#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 20310
#define LARGE_STATE_COUNT 2894
#define SYMBOL_COUNT 421
#define ALIAS_COUNT 12
#define TOKEN_COUNT 144
#define EXTERNAL_TOKEN_COUNT 7
#define FIELD_COUNT 15
#define MAX_ALIAS_SEQUENCE_LENGTH 11
#define PRODUCTION_ID_COUNT 137

enum ts_symbol_identifiers {
  sym__lowercase_identifier = 1,
  anon_sym_SEMI_SEMI = 2,
  anon_sym_let = 3,
  anon_sym_rec = 4,
  anon_sym_and = 5,
  anon_sym_COLON_GT = 6,
  anon_sym_EQ = 7,
  anon_sym_TILDE = 8,
  anon_sym_QMARK = 9,
  anon_sym_COLON = 10,
  anon_sym_LPAREN = 11,
  anon_sym_RPAREN = 12,
  anon_sym_external = 13,
  anon_sym_type = 14,
  anon_sym_nonrec = 15,
  anon_sym_private = 16,
  anon_sym_DOT_DOT = 17,
  anon_sym_PLUS_EQ = 18,
  anon_sym_COMMA = 19,
  anon_sym_PLUS = 20,
  anon_sym_BANG = 21,
  anon_sym_DASH = 22,
  anon_sym__ = 23,
  anon_sym_COLON_EQ = 24,
  anon_sym_PIPE = 25,
  anon_sym_LBRACK = 26,
  anon_sym_RBRACK = 27,
  anon_sym_true = 28,
  anon_sym_false = 29,
  anon_sym_of = 30,
  anon_sym_COLON2 = 31,
  anon_sym_DOT = 32,
  anon_sym_DASH_GT = 33,
  anon_sym_STAR = 34,
  anon_sym_LBRACE = 35,
  anon_sym_SEMI = 36,
  anon_sym_RBRACE = 37,
  anon_sym_mutable = 38,
  anon_sym_constraint = 39,
  anon_sym_exception = 40,
  anon_sym_module = 41,
  anon_sym_open = 42,
  anon_sym_include = 43,
  anon_sym_class = 44,
  anon_sym_virtual = 45,
  anon_sym_val = 46,
  anon_sym_sig = 47,
  anon_sym_end = 48,
  anon_sym_with = 49,
  anon_sym_functor = 50,
  anon_sym_struct = 51,
  anon_sym_object = 52,
  anon_sym_inherit = 53,
  anon_sym_method = 54,
  anon_sym_in = 55,
  anon_sym_fun = 56,
  anon_sym_as = 57,
  anon_sym_initializer = 58,
  anon_sym_LBRACK_GT = 59,
  anon_sym_LBRACK_LT = 60,
  anon_sym_GT = 61,
  anon_sym_AMP = 62,
  anon_sym_LT = 63,
  anon_sym_POUND = 64,
  anon_sym_COLON_COLON = 65,
  anon_sym_LBRACK_PIPE = 66,
  anon_sym_PIPE_RBRACK = 67,
  anon_sym_LT_DASH = 68,
  anon_sym_if = 69,
  anon_sym_then = 70,
  anon_sym_else = 71,
  anon_sym_while = 72,
  anon_sym_do = 73,
  anon_sym_done = 74,
  anon_sym_for = 75,
  anon_sym_to = 76,
  anon_sym_downto = 77,
  anon_sym_match = 78,
  anon_sym_when = 79,
  anon_sym_function = 80,
  anon_sym_try = 81,
  anon_sym_assert = 82,
  anon_sym_lazy = 83,
  anon_sym_new = 84,
  anon_sym_LBRACE_LT = 85,
  anon_sym_GT_RBRACE = 86,
  anon_sym_begin = 87,
  sym_ocamlyacc_value = 88,
  anon_sym_effect = 89,
  aux_sym_attribute_token1 = 90,
  anon_sym_LBRACK_AT_AT = 91,
  anon_sym_LBRACK_AT_AT_AT = 92,
  anon_sym_LBRACK_PERCENT = 93,
  anon_sym_LBRACE_PERCENT = 94,
  aux_sym_quoted_extension_token1 = 95,
  anon_sym_LBRACK_PERCENT_PERCENT = 96,
  anon_sym_LBRACE_PERCENT_PERCENT = 97,
  anon_sym_PERCENT = 98,
  aux_sym_number_token1 = 99,
  aux_sym_signed_number_token1 = 100,
  anon_sym_SQUOTE = 101,
  anon_sym_SQUOTE2 = 102,
  aux_sym_character_content_token1 = 103,
  aux_sym_character_content_token2 = 104,
  anon_sym_DQUOTE = 105,
  aux_sym_string_content_token1 = 106,
  aux_sym_string_content_token2 = 107,
  aux_sym_string_content_token3 = 108,
  aux_sym_string_content_token4 = 109,
  aux_sym_string_content_token5 = 110,
  aux_sym_quoted_string_content_token1 = 111,
  aux_sym_escape_sequence_token1 = 112,
  aux_sym_escape_sequence_token2 = 113,
  aux_sym_escape_sequence_token3 = 114,
  aux_sym_escape_sequence_token4 = 115,
  sym_conversion_specification = 116,
  sym_pretty_printing_indication = 117,
  sym_prefix_operator = 118,
  aux_sym_sign_operator_token1 = 119,
  sym_hash_operator = 120,
  sym_pow_operator = 121,
  sym_mult_operator = 122,
  aux_sym_add_operator_token1 = 123,
  sym_concat_operator = 124,
  sym_rel_operator = 125,
  sym_and_operator = 126,
  sym_or_operator = 127,
  sym_assign_operator = 128,
  sym_indexing_operator = 129,
  sym_let_operator = 130,
  sym_let_and_operator = 131,
  sym_match_operator = 132,
  sym__uppercase_identifier = 133,
  aux_sym_directive_token1 = 134,
  aux_sym_type_variable_token1 = 135,
  aux_sym_tag_token1 = 136,
  aux_sym_attribute_id_token1 = 137,
  sym_comment = 138,
  sym__left_quoted_string_delimiter = 139,
  sym__right_quoted_string_delimiter = 140,
  sym_line_number_directive = 141,
  sym__null = 142,
  sym__error_sentinel = 143,
  sym_compilation_unit = 144,
  sym__structure = 145,
  sym_expression_item = 146,
  sym__signature = 147,
  sym_toplevel_directive = 148,
  sym__structure_item = 149,
  sym_value_definition = 150,
  sym_let_binding = 151,
  sym_parameter = 152,
  sym_external = 153,
  sym_type_definition = 154,
  sym_type_binding = 155,
  sym__type_params = 156,
  sym__type_param = 157,
  sym__type_equation = 158,
  sym_variant_declaration = 159,
  sym_constructor_declaration = 160,
  sym__constructor_argument = 161,
  sym_record_declaration = 162,
  sym_field_declaration = 163,
  sym_type_constraint = 164,
  sym_exception_definition = 165,
  sym_module_definition = 166,
  sym_module_binding = 167,
  sym_module_parameter = 168,
  sym_module_type_definition = 169,
  sym_open_module = 170,
  sym_include_module = 171,
  sym_class_definition = 172,
  sym_class_binding = 173,
  sym_class_type_definition = 174,
  sym_class_type_binding = 175,
  sym__signature_item = 176,
  sym_value_specification = 177,
  sym_include_module_type = 178,
  sym__module_typed = 179,
  sym__module_type = 180,
  sym_signature = 181,
  sym_module_type_constraint = 182,
  sym_constrain_type = 183,
  sym_constrain_module = 184,
  sym_constrain_module_type = 185,
  sym_module_type_of = 186,
  sym_functor_type = 187,
  sym_parenthesized_module_type = 188,
  sym__simple_module_expression = 189,
  sym__module_expression = 190,
  sym_structure = 191,
  sym_functor = 192,
  sym_module_application = 193,
  sym_typed_module_expression = 194,
  sym_packed_module = 195,
  sym_parenthesized_module_expression = 196,
  sym__class_typed = 197,
  sym__simple_class_type = 198,
  sym__class_type = 199,
  sym_instantiated_class_type = 200,
  sym_class_body_type = 201,
  sym__class_field_specification = 202,
  sym_inheritance_specification = 203,
  sym_instance_variable_specification = 204,
  sym_method_specification = 205,
  sym_type_parameter_constraint = 206,
  sym_let_open_class_type = 207,
  sym_class_function_type = 208,
  sym__simple_class_expression = 209,
  sym__class_expression = 210,
  sym_instantiated_class = 211,
  sym_typed_class_expression = 212,
  sym_class_function = 213,
  sym_class_application = 214,
  sym_let_class_expression = 215,
  sym__class_field = 216,
  sym_inheritance_definition = 217,
  sym_instance_variable_definition = 218,
  sym_method_definition = 219,
  sym_class_initializer = 220,
  sym_let_open_class_expression = 221,
  sym_parenthesized_class_expression = 222,
  sym__typed = 223,
  sym__simple_typed = 224,
  sym__polymorphic_typed = 225,
  sym__polymorphic_type = 226,
  sym_polymorphic_type = 227,
  sym__abstract_type = 228,
  sym__parenthesized_abstract_type = 229,
  sym__simple_type = 230,
  sym__tuple_type = 231,
  sym__type = 232,
  sym_function_type = 233,
  sym_typed_label = 234,
  sym_tuple_type = 235,
  sym_constructed_type = 236,
  sym_aliased_type = 237,
  sym_local_open_type = 238,
  sym_polymorphic_variant_type = 239,
  sym__tag_spec = 240,
  sym_tag_specification = 241,
  sym_package_type = 242,
  sym_object_type = 243,
  sym_method_type = 244,
  sym_hash_type = 245,
  sym_parenthesized_type = 246,
  sym__simple_expression = 247,
  sym__expression = 248,
  sym__sequence_expression = 249,
  sym_typed_expression = 250,
  sym_product_expression = 251,
  sym_cons_expression = 252,
  sym_list_expression = 253,
  sym_array_expression = 254,
  sym_record_expression = 255,
  sym_field_expression = 256,
  sym_application_expression = 257,
  sym_labeled_argument = 258,
  sym_prefix_expression = 259,
  sym_sign_expression = 260,
  sym_hash_expression = 261,
  sym_infix_expression = 262,
  sym_field_get_expression = 263,
  sym_array_get_expression = 264,
  sym_string_get_expression = 265,
  sym_bigarray_get_expression = 266,
  sym_set_expression = 267,
  sym_if_expression = 268,
  sym_then_clause = 269,
  sym_else_clause = 270,
  sym_while_expression = 271,
  sym_do_clause = 272,
  sym_for_expression = 273,
  sym_sequence_expression = 274,
  sym_match_expression = 275,
  sym__match_cases = 276,
  sym_match_case = 277,
  sym_guard = 278,
  sym_refutation_case = 279,
  sym_function_expression = 280,
  sym_fun_expression = 281,
  sym_try_expression = 282,
  sym_let_expression = 283,
  sym_coercion_expression = 284,
  sym_assert_expression = 285,
  sym_lazy_expression = 286,
  sym_let_module_expression = 287,
  sym_let_open_expression = 288,
  sym_local_open_expression = 289,
  sym_package_expression = 290,
  sym_let_exception_expression = 291,
  sym_new_expression = 292,
  sym_object_copy_expression = 293,
  sym_instance_variable_expression = 294,
  sym_method_invocation = 295,
  sym_object_expression = 296,
  sym_parenthesized_expression = 297,
  sym__simple_pattern = 298,
  sym__effect_pattern = 299,
  sym__pattern = 300,
  sym__binding_pattern = 301,
  sym_alias_pattern = 302,
  sym_alias_binding_pattern = 303,
  sym_typed_pattern = 304,
  sym_typed_binding_pattern = 305,
  sym_or_pattern = 306,
  sym_or_binding_pattern = 307,
  sym_constructor_pattern = 308,
  sym_constructor_binding_pattern = 309,
  sym_tag_pattern = 310,
  sym_tag_binding_pattern = 311,
  sym_polymorphic_variant_pattern = 312,
  sym_tuple_pattern = 313,
  sym_tuple_binding_pattern = 314,
  sym_record_pattern = 315,
  sym_field_pattern = 316,
  sym_record_binding_pattern = 317,
  sym_field_binding_pattern = 318,
  sym_list_pattern = 319,
  sym_list_binding_pattern = 320,
  sym_cons_pattern = 321,
  sym_cons_binding_pattern = 322,
  sym_array_pattern = 323,
  sym_array_binding_pattern = 324,
  sym_range_pattern = 325,
  sym_lazy_pattern = 326,
  sym_lazy_binding_pattern = 327,
  sym_local_open_pattern = 328,
  sym_local_open_binding_pattern = 329,
  sym_package_pattern = 330,
  sym_parenthesized_pattern = 331,
  sym_parenthesized_binding_pattern = 332,
  sym_exception_pattern = 333,
  sym_effect_pattern = 334,
  sym_attribute = 335,
  sym_item_attribute = 336,
  sym_floating_attribute = 337,
  sym_attribute_payload = 338,
  sym_extension = 339,
  sym_quoted_extension = 340,
  sym_item_extension = 341,
  sym_quoted_item_extension = 342,
  sym__attribute = 343,
  sym__constant = 344,
  sym__signed_constant = 345,
  sym_number = 346,
  sym_signed_number = 347,
  sym_character = 348,
  sym_character_content = 349,
  sym_string = 350,
  sym_string_content = 351,
  sym_quoted_string = 352,
  sym__quoted_string = 353,
  sym_quoted_string_content = 354,
  sym_escape_sequence = 355,
  sym_boolean = 356,
  sym_unit = 357,
  sym_sign_operator = 358,
  sym__infix_operator = 359,
  sym_add_operator = 360,
  sym_indexing_operator_path = 361,
  sym__value_name = 362,
  sym__simple_value_pattern = 363,
  sym_parenthesized_operator = 364,
  sym_value_path = 365,
  sym_module_path = 366,
  sym_extended_module_path = 367,
  sym_module_type_path = 368,
  sym_field_path = 369,
  sym_constructor_path = 370,
  sym_type_constructor_path = 371,
  sym_class_path = 372,
  sym_class_type_path = 373,
  sym__instance_variable_name = 374,
  sym__constructor_name = 375,
  sym_directive = 376,
  sym_type_variable = 377,
  sym_tag = 378,
  sym_attribute_id = 379,
  aux_sym__structure_repeat1 = 380,
  aux_sym__structure_repeat2 = 381,
  aux_sym_expression_item_repeat1 = 382,
  aux_sym__signature_repeat1 = 383,
  aux_sym_value_definition_repeat1 = 384,
  aux_sym_let_binding_repeat1 = 385,
  aux_sym_external_repeat1 = 386,
  aux_sym_type_definition_repeat1 = 387,
  aux_sym_type_binding_repeat1 = 388,
  aux_sym__type_params_repeat1 = 389,
  aux_sym_variant_declaration_repeat1 = 390,
  aux_sym_constructor_declaration_repeat1 = 391,
  aux_sym__constructor_argument_repeat1 = 392,
  aux_sym_record_declaration_repeat1 = 393,
  aux_sym_module_definition_repeat1 = 394,
  aux_sym_module_binding_repeat1 = 395,
  aux_sym_class_definition_repeat1 = 396,
  aux_sym_class_type_definition_repeat1 = 397,
  aux_sym_module_type_constraint_repeat1 = 398,
  aux_sym_instantiated_class_type_repeat1 = 399,
  aux_sym_class_body_type_repeat1 = 400,
  aux_sym_instance_variable_specification_repeat1 = 401,
  aux_sym_method_specification_repeat1 = 402,
  aux_sym_class_application_repeat1 = 403,
  aux_sym__abstract_type_repeat1 = 404,
  aux_sym_polymorphic_variant_type_repeat1 = 405,
  aux_sym_polymorphic_variant_type_repeat2 = 406,
  aux_sym_tag_specification_repeat1 = 407,
  aux_sym_object_type_repeat1 = 408,
  aux_sym_list_expression_repeat1 = 409,
  aux_sym_record_expression_repeat1 = 410,
  aux_sym__match_cases_repeat1 = 411,
  aux_sym_object_copy_expression_repeat1 = 412,
  aux_sym_object_expression_repeat1 = 413,
  aux_sym_record_pattern_repeat1 = 414,
  aux_sym_record_binding_pattern_repeat1 = 415,
  aux_sym_list_pattern_repeat1 = 416,
  aux_sym_list_binding_pattern_repeat1 = 417,
  aux_sym_string_content_repeat1 = 418,
  aux_sym_quoted_string_content_repeat1 = 419,
  aux_sym_attribute_id_repeat1 = 420,
  alias_sym_class_name = 421,
  alias_sym_class_type_name = 422,
  alias_sym_constructor_name = 423,
  alias_sym_field_name = 424,
  alias_sym_instance_variable_name = 425,
  alias_sym_label_name = 426,
  alias_sym_method_name = 427,
  alias_sym_module_name = 428,
  alias_sym_module_type_name = 429,
  alias_sym_type_constructor = 430,
  alias_sym_value_name = 431,
  alias_sym_value_pattern = 432,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__lowercase_identifier] = "_lowercase_identifier",
  [anon_sym_SEMI_SEMI] = ";;",
  [anon_sym_let] = "let",
  [anon_sym_rec] = "rec",
  [anon_sym_and] = "and",
  [anon_sym_COLON_GT] = ":>",
  [anon_sym_EQ] = "=",
  [anon_sym_TILDE] = "~",
  [anon_sym_QMARK] = "\?",
  [anon_sym_COLON] = ":",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_external] = "external",
  [anon_sym_type] = "type",
  [anon_sym_nonrec] = "nonrec",
  [anon_sym_private] = "private",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_COMMA] = ",",
  [anon_sym_PLUS] = "+",
  [anon_sym_BANG] = "!",
  [anon_sym_DASH] = "-",
  [anon_sym__] = "_",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_PIPE] = "|",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_of] = "of",
  [anon_sym_COLON2] = ":",
  [anon_sym_DOT] = ".",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_STAR] = "*",
  [anon_sym_LBRACE] = "{",
  [anon_sym_SEMI] = ";",
  [anon_sym_RBRACE] = "}",
  [anon_sym_mutable] = "mutable",
  [anon_sym_constraint] = "constraint",
  [anon_sym_exception] = "exception",
  [anon_sym_module] = "module",
  [anon_sym_open] = "open",
  [anon_sym_include] = "include",
  [anon_sym_class] = "class",
  [anon_sym_virtual] = "virtual",
  [anon_sym_val] = "val",
  [anon_sym_sig] = "sig",
  [anon_sym_end] = "end",
  [anon_sym_with] = "with",
  [anon_sym_functor] = "functor",
  [anon_sym_struct] = "struct",
  [anon_sym_object] = "object",
  [anon_sym_inherit] = "inherit",
  [anon_sym_method] = "method",
  [anon_sym_in] = "in",
  [anon_sym_fun] = "fun",
  [anon_sym_as] = "as",
  [anon_sym_initializer] = "initializer",
  [anon_sym_LBRACK_GT] = "[>",
  [anon_sym_LBRACK_LT] = "[<",
  [anon_sym_GT] = ">",
  [anon_sym_AMP] = "&",
  [anon_sym_LT] = "<",
  [anon_sym_POUND] = "#",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_PIPE] = "[|",
  [anon_sym_PIPE_RBRACK] = "|]",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_if] = "if",
  [anon_sym_then] = "then",
  [anon_sym_else] = "else",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_done] = "done",
  [anon_sym_for] = "for",
  [anon_sym_to] = "to",
  [anon_sym_downto] = "downto",
  [anon_sym_match] = "match",
  [anon_sym_when] = "when",
  [anon_sym_function] = "function",
  [anon_sym_try] = "try",
  [anon_sym_assert] = "assert",
  [anon_sym_lazy] = "lazy",
  [anon_sym_new] = "new",
  [anon_sym_LBRACE_LT] = "{<",
  [anon_sym_GT_RBRACE] = ">}",
  [anon_sym_begin] = "begin",
  [sym_ocamlyacc_value] = "ocamlyacc_value",
  [anon_sym_effect] = "effect",
  [aux_sym_attribute_token1] = "[@",
  [anon_sym_LBRACK_AT_AT] = "[@@",
  [anon_sym_LBRACK_AT_AT_AT] = "[@@@",
  [anon_sym_LBRACK_PERCENT] = "[%",
  [anon_sym_LBRACE_PERCENT] = "{%",
  [aux_sym_quoted_extension_token1] = "quoted_extension_token1",
  [anon_sym_LBRACK_PERCENT_PERCENT] = "[%%",
  [anon_sym_LBRACE_PERCENT_PERCENT] = "{%%",
  [anon_sym_PERCENT] = "%",
  [aux_sym_number_token1] = "number_token1",
  [aux_sym_signed_number_token1] = "signed_number_token1",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_SQUOTE2] = "'",
  [aux_sym_character_content_token1] = "character_content_token1",
  [aux_sym_character_content_token2] = "character_content_token2",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_content_token1] = "string_content_token1",
  [aux_sym_string_content_token2] = "string_content_token2",
  [aux_sym_string_content_token3] = "string_content_token3",
  [aux_sym_string_content_token4] = "escape_sequence",
  [aux_sym_string_content_token5] = "escape_sequence",
  [aux_sym_quoted_string_content_token1] = "quoted_string_content_token1",
  [aux_sym_escape_sequence_token1] = "escape_sequence_token1",
  [aux_sym_escape_sequence_token2] = "escape_sequence_token2",
  [aux_sym_escape_sequence_token3] = "escape_sequence_token3",
  [aux_sym_escape_sequence_token4] = "escape_sequence_token4",
  [sym_conversion_specification] = "conversion_specification",
  [sym_pretty_printing_indication] = "pretty_printing_indication",
  [sym_prefix_operator] = "prefix_operator",
  [aux_sym_sign_operator_token1] = "sign_operator_token1",
  [sym_hash_operator] = "hash_operator",
  [sym_pow_operator] = "pow_operator",
  [sym_mult_operator] = "mult_operator",
  [aux_sym_add_operator_token1] = "add_operator_token1",
  [sym_concat_operator] = "concat_operator",
  [sym_rel_operator] = "rel_operator",
  [sym_and_operator] = "and_operator",
  [sym_or_operator] = "or_operator",
  [sym_assign_operator] = "assign_operator",
  [sym_indexing_operator] = "indexing_operator",
  [sym_let_operator] = "let_operator",
  [sym_let_and_operator] = "let_and_operator",
  [sym_match_operator] = "match_operator",
  [sym__uppercase_identifier] = "_uppercase_identifier",
  [aux_sym_directive_token1] = "directive_token1",
  [aux_sym_type_variable_token1] = "type_variable_token1",
  [aux_sym_tag_token1] = "tag_token1",
  [aux_sym_attribute_id_token1] = "attribute_id_token1",
  [sym_comment] = "comment",
  [sym__left_quoted_string_delimiter] = "_left_quoted_string_delimiter",
  [sym__right_quoted_string_delimiter] = "_right_quoted_string_delimiter",
  [sym_line_number_directive] = "line_number_directive",
  [sym__null] = "_null",
  [sym__error_sentinel] = "_error_sentinel",
  [sym_compilation_unit] = "compilation_unit",
  [sym__structure] = "_structure",
  [sym_expression_item] = "expression_item",
  [sym__signature] = "_signature",
  [sym_toplevel_directive] = "toplevel_directive",
  [sym__structure_item] = "_structure_item",
  [sym_value_definition] = "value_definition",
  [sym_let_binding] = "let_binding",
  [sym_parameter] = "parameter",
  [sym_external] = "external",
  [sym_type_definition] = "type_definition",
  [sym_type_binding] = "type_binding",
  [sym__type_params] = "_type_params",
  [sym__type_param] = "_type_param",
  [sym__type_equation] = "_type_equation",
  [sym_variant_declaration] = "variant_declaration",
  [sym_constructor_declaration] = "constructor_declaration",
  [sym__constructor_argument] = "_constructor_argument",
  [sym_record_declaration] = "record_declaration",
  [sym_field_declaration] = "field_declaration",
  [sym_type_constraint] = "type_constraint",
  [sym_exception_definition] = "exception_definition",
  [sym_module_definition] = "module_definition",
  [sym_module_binding] = "module_binding",
  [sym_module_parameter] = "module_parameter",
  [sym_module_type_definition] = "module_type_definition",
  [sym_open_module] = "open_module",
  [sym_include_module] = "include_module",
  [sym_class_definition] = "class_definition",
  [sym_class_binding] = "class_binding",
  [sym_class_type_definition] = "class_type_definition",
  [sym_class_type_binding] = "class_type_binding",
  [sym__signature_item] = "_signature_item",
  [sym_value_specification] = "value_specification",
  [sym_include_module_type] = "include_module_type",
  [sym__module_typed] = "_module_typed",
  [sym__module_type] = "_module_type",
  [sym_signature] = "signature",
  [sym_module_type_constraint] = "module_type_constraint",
  [sym_constrain_type] = "constrain_type",
  [sym_constrain_module] = "constrain_module",
  [sym_constrain_module_type] = "constrain_module_type",
  [sym_module_type_of] = "module_type_of",
  [sym_functor_type] = "functor_type",
  [sym_parenthesized_module_type] = "parenthesized_module_type",
  [sym__simple_module_expression] = "_simple_module_expression",
  [sym__module_expression] = "_module_expression",
  [sym_structure] = "structure",
  [sym_functor] = "functor",
  [sym_module_application] = "module_application",
  [sym_typed_module_expression] = "typed_module_expression",
  [sym_packed_module] = "packed_module",
  [sym_parenthesized_module_expression] = "parenthesized_module_expression",
  [sym__class_typed] = "_class_typed",
  [sym__simple_class_type] = "_simple_class_type",
  [sym__class_type] = "_class_type",
  [sym_instantiated_class_type] = "instantiated_class_type",
  [sym_class_body_type] = "class_body_type",
  [sym__class_field_specification] = "_class_field_specification",
  [sym_inheritance_specification] = "inheritance_specification",
  [sym_instance_variable_specification] = "instance_variable_specification",
  [sym_method_specification] = "method_specification",
  [sym_type_parameter_constraint] = "type_parameter_constraint",
  [sym_let_open_class_type] = "let_open_class_type",
  [sym_class_function_type] = "class_function_type",
  [sym__simple_class_expression] = "_simple_class_expression",
  [sym__class_expression] = "_class_expression",
  [sym_instantiated_class] = "instantiated_class",
  [sym_typed_class_expression] = "typed_class_expression",
  [sym_class_function] = "class_function",
  [sym_class_application] = "class_application",
  [sym_let_class_expression] = "let_class_expression",
  [sym__class_field] = "_class_field",
  [sym_inheritance_definition] = "inheritance_definition",
  [sym_instance_variable_definition] = "instance_variable_definition",
  [sym_method_definition] = "method_definition",
  [sym_class_initializer] = "class_initializer",
  [sym_let_open_class_expression] = "let_open_class_expression",
  [sym_parenthesized_class_expression] = "parenthesized_class_expression",
  [sym__typed] = "_typed",
  [sym__simple_typed] = "_simple_typed",
  [sym__polymorphic_typed] = "_polymorphic_typed",
  [sym__polymorphic_type] = "_polymorphic_type",
  [sym_polymorphic_type] = "polymorphic_type",
  [sym__abstract_type] = "_abstract_type",
  [sym__parenthesized_abstract_type] = "abstract_type",
  [sym__simple_type] = "_simple_type",
  [sym__tuple_type] = "_tuple_type",
  [sym__type] = "_type",
  [sym_function_type] = "function_type",
  [sym_typed_label] = "typed_label",
  [sym_tuple_type] = "tuple_type",
  [sym_constructed_type] = "constructed_type",
  [sym_aliased_type] = "aliased_type",
  [sym_local_open_type] = "local_open_type",
  [sym_polymorphic_variant_type] = "polymorphic_variant_type",
  [sym__tag_spec] = "_tag_spec",
  [sym_tag_specification] = "tag_specification",
  [sym_package_type] = "package_type",
  [sym_object_type] = "object_type",
  [sym_method_type] = "method_type",
  [sym_hash_type] = "hash_type",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym__simple_expression] = "_simple_expression",
  [sym__expression] = "_expression",
  [sym__sequence_expression] = "_sequence_expression",
  [sym_typed_expression] = "typed_expression",
  [sym_product_expression] = "product_expression",
  [sym_cons_expression] = "cons_expression",
  [sym_list_expression] = "list_expression",
  [sym_array_expression] = "array_expression",
  [sym_record_expression] = "record_expression",
  [sym_field_expression] = "field_expression",
  [sym_application_expression] = "application_expression",
  [sym_labeled_argument] = "labeled_argument",
  [sym_prefix_expression] = "prefix_expression",
  [sym_sign_expression] = "sign_expression",
  [sym_hash_expression] = "hash_expression",
  [sym_infix_expression] = "infix_expression",
  [sym_field_get_expression] = "field_get_expression",
  [sym_array_get_expression] = "array_get_expression",
  [sym_string_get_expression] = "string_get_expression",
  [sym_bigarray_get_expression] = "bigarray_get_expression",
  [sym_set_expression] = "set_expression",
  [sym_if_expression] = "if_expression",
  [sym_then_clause] = "then_clause",
  [sym_else_clause] = "else_clause",
  [sym_while_expression] = "while_expression",
  [sym_do_clause] = "do_clause",
  [sym_for_expression] = "for_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_match_expression] = "match_expression",
  [sym__match_cases] = "_match_cases",
  [sym_match_case] = "match_case",
  [sym_guard] = "guard",
  [sym_refutation_case] = "refutation_case",
  [sym_function_expression] = "function_expression",
  [sym_fun_expression] = "fun_expression",
  [sym_try_expression] = "try_expression",
  [sym_let_expression] = "let_expression",
  [sym_coercion_expression] = "coercion_expression",
  [sym_assert_expression] = "assert_expression",
  [sym_lazy_expression] = "lazy_expression",
  [sym_let_module_expression] = "let_module_expression",
  [sym_let_open_expression] = "let_open_expression",
  [sym_local_open_expression] = "local_open_expression",
  [sym_package_expression] = "package_expression",
  [sym_let_exception_expression] = "let_exception_expression",
  [sym_new_expression] = "new_expression",
  [sym_object_copy_expression] = "object_copy_expression",
  [sym_instance_variable_expression] = "instance_variable_expression",
  [sym_method_invocation] = "method_invocation",
  [sym_object_expression] = "object_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__simple_pattern] = "_simple_pattern",
  [sym__effect_pattern] = "_effect_pattern",
  [sym__pattern] = "_pattern",
  [sym__binding_pattern] = "_binding_pattern",
  [sym_alias_pattern] = "alias_pattern",
  [sym_alias_binding_pattern] = "alias_pattern",
  [sym_typed_pattern] = "typed_pattern",
  [sym_typed_binding_pattern] = "typed_pattern",
  [sym_or_pattern] = "or_pattern",
  [sym_or_binding_pattern] = "or_pattern",
  [sym_constructor_pattern] = "constructor_pattern",
  [sym_constructor_binding_pattern] = "constructor_pattern",
  [sym_tag_pattern] = "tag_pattern",
  [sym_tag_binding_pattern] = "tag_pattern",
  [sym_polymorphic_variant_pattern] = "polymorphic_variant_pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_tuple_binding_pattern] = "tuple_pattern",
  [sym_record_pattern] = "record_pattern",
  [sym_field_pattern] = "field_pattern",
  [sym_record_binding_pattern] = "record_binding_pattern",
  [sym_field_binding_pattern] = "field_pattern",
  [sym_list_pattern] = "list_pattern",
  [sym_list_binding_pattern] = "list_binding_pattern",
  [sym_cons_pattern] = "cons_pattern",
  [sym_cons_binding_pattern] = "cons_pattern",
  [sym_array_pattern] = "array_pattern",
  [sym_array_binding_pattern] = "array_binding_pattern",
  [sym_range_pattern] = "range_pattern",
  [sym_lazy_pattern] = "lazy_pattern",
  [sym_lazy_binding_pattern] = "lazy_pattern",
  [sym_local_open_pattern] = "local_open_pattern",
  [sym_local_open_binding_pattern] = "local_open_pattern",
  [sym_package_pattern] = "package_pattern",
  [sym_parenthesized_pattern] = "parenthesized_pattern",
  [sym_parenthesized_binding_pattern] = "parenthesized_pattern",
  [sym_exception_pattern] = "exception_pattern",
  [sym_effect_pattern] = "effect_pattern",
  [sym_attribute] = "attribute",
  [sym_item_attribute] = "item_attribute",
  [sym_floating_attribute] = "floating_attribute",
  [sym_attribute_payload] = "attribute_payload",
  [sym_extension] = "extension",
  [sym_quoted_extension] = "quoted_extension",
  [sym_item_extension] = "item_extension",
  [sym_quoted_item_extension] = "quoted_item_extension",
  [sym__attribute] = "_attribute",
  [sym__constant] = "_constant",
  [sym__signed_constant] = "_signed_constant",
  [sym_number] = "number",
  [sym_signed_number] = "signed_number",
  [sym_character] = "character",
  [sym_character_content] = "character_content",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_quoted_string] = "quoted_string",
  [sym__quoted_string] = "_quoted_string",
  [sym_quoted_string_content] = "quoted_string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_boolean] = "boolean",
  [sym_unit] = "unit",
  [sym_sign_operator] = "sign_operator",
  [sym__infix_operator] = "_infix_operator",
  [sym_add_operator] = "add_operator",
  [sym_indexing_operator_path] = "indexing_operator_path",
  [sym__value_name] = "_value_name",
  [sym__simple_value_pattern] = "_simple_value_pattern",
  [sym_parenthesized_operator] = "parenthesized_operator",
  [sym_value_path] = "value_path",
  [sym_module_path] = "module_path",
  [sym_extended_module_path] = "extended_module_path",
  [sym_module_type_path] = "module_type_path",
  [sym_field_path] = "field_path",
  [sym_constructor_path] = "constructor_path",
  [sym_type_constructor_path] = "type_constructor_path",
  [sym_class_path] = "class_path",
  [sym_class_type_path] = "class_type_path",
  [sym__instance_variable_name] = "_instance_variable_name",
  [sym__constructor_name] = "_constructor_name",
  [sym_directive] = "directive",
  [sym_type_variable] = "type_variable",
  [sym_tag] = "tag",
  [sym_attribute_id] = "attribute_id",
  [aux_sym__structure_repeat1] = "_structure_repeat1",
  [aux_sym__structure_repeat2] = "_structure_repeat2",
  [aux_sym_expression_item_repeat1] = "expression_item_repeat1",
  [aux_sym__signature_repeat1] = "_signature_repeat1",
  [aux_sym_value_definition_repeat1] = "value_definition_repeat1",
  [aux_sym_let_binding_repeat1] = "let_binding_repeat1",
  [aux_sym_external_repeat1] = "external_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym_type_binding_repeat1] = "type_binding_repeat1",
  [aux_sym__type_params_repeat1] = "_type_params_repeat1",
  [aux_sym_variant_declaration_repeat1] = "variant_declaration_repeat1",
  [aux_sym_constructor_declaration_repeat1] = "constructor_declaration_repeat1",
  [aux_sym__constructor_argument_repeat1] = "_constructor_argument_repeat1",
  [aux_sym_record_declaration_repeat1] = "record_declaration_repeat1",
  [aux_sym_module_definition_repeat1] = "module_definition_repeat1",
  [aux_sym_module_binding_repeat1] = "module_binding_repeat1",
  [aux_sym_class_definition_repeat1] = "class_definition_repeat1",
  [aux_sym_class_type_definition_repeat1] = "class_type_definition_repeat1",
  [aux_sym_module_type_constraint_repeat1] = "module_type_constraint_repeat1",
  [aux_sym_instantiated_class_type_repeat1] = "instantiated_class_type_repeat1",
  [aux_sym_class_body_type_repeat1] = "class_body_type_repeat1",
  [aux_sym_instance_variable_specification_repeat1] = "instance_variable_specification_repeat1",
  [aux_sym_method_specification_repeat1] = "method_specification_repeat1",
  [aux_sym_class_application_repeat1] = "class_application_repeat1",
  [aux_sym__abstract_type_repeat1] = "_abstract_type_repeat1",
  [aux_sym_polymorphic_variant_type_repeat1] = "polymorphic_variant_type_repeat1",
  [aux_sym_polymorphic_variant_type_repeat2] = "polymorphic_variant_type_repeat2",
  [aux_sym_tag_specification_repeat1] = "tag_specification_repeat1",
  [aux_sym_object_type_repeat1] = "object_type_repeat1",
  [aux_sym_list_expression_repeat1] = "list_expression_repeat1",
  [aux_sym_record_expression_repeat1] = "record_expression_repeat1",
  [aux_sym__match_cases_repeat1] = "_match_cases_repeat1",
  [aux_sym_object_copy_expression_repeat1] = "object_copy_expression_repeat1",
  [aux_sym_object_expression_repeat1] = "object_expression_repeat1",
  [aux_sym_record_pattern_repeat1] = "record_pattern_repeat1",
  [aux_sym_record_binding_pattern_repeat1] = "record_binding_pattern_repeat1",
  [aux_sym_list_pattern_repeat1] = "list_pattern_repeat1",
  [aux_sym_list_binding_pattern_repeat1] = "list_binding_pattern_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_quoted_string_content_repeat1] = "quoted_string_content_repeat1",
  [aux_sym_attribute_id_repeat1] = "attribute_id_repeat1",
  [alias_sym_class_name] = "class_name",
  [alias_sym_class_type_name] = "class_type_name",
  [alias_sym_constructor_name] = "constructor_name",
  [alias_sym_field_name] = "field_name",
  [alias_sym_instance_variable_name] = "instance_variable_name",
  [alias_sym_label_name] = "label_name",
  [alias_sym_method_name] = "method_name",
  [alias_sym_module_name] = "module_name",
  [alias_sym_module_type_name] = "module_type_name",
  [alias_sym_type_constructor] = "type_constructor",
  [alias_sym_value_name] = "value_name",
  [alias_sym_value_pattern] = "value_pattern",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__lowercase_identifier] = sym__lowercase_identifier,
  [anon_sym_SEMI_SEMI] = anon_sym_SEMI_SEMI,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_rec] = anon_sym_rec,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_COLON_GT] = anon_sym_COLON_GT,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_external] = anon_sym_external,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_nonrec] = anon_sym_nonrec,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym__] = anon_sym__,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_COLON2] = anon_sym_COLON,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_constraint] = anon_sym_constraint,
  [anon_sym_exception] = anon_sym_exception,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_open] = anon_sym_open,
  [anon_sym_include] = anon_sym_include,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_virtual] = anon_sym_virtual,
  [anon_sym_val] = anon_sym_val,
  [anon_sym_sig] = anon_sym_sig,
  [anon_sym_end] = anon_sym_end,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_functor] = anon_sym_functor,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_inherit] = anon_sym_inherit,
  [anon_sym_method] = anon_sym_method,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_fun] = anon_sym_fun,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_initializer] = anon_sym_initializer,
  [anon_sym_LBRACK_GT] = anon_sym_LBRACK_GT,
  [anon_sym_LBRACK_LT] = anon_sym_LBRACK_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_PIPE] = anon_sym_LBRACK_PIPE,
  [anon_sym_PIPE_RBRACK] = anon_sym_PIPE_RBRACK,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_done] = anon_sym_done,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_to] = anon_sym_to,
  [anon_sym_downto] = anon_sym_downto,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_lazy] = anon_sym_lazy,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_LBRACE_LT] = anon_sym_LBRACE_LT,
  [anon_sym_GT_RBRACE] = anon_sym_GT_RBRACE,
  [anon_sym_begin] = anon_sym_begin,
  [sym_ocamlyacc_value] = sym_ocamlyacc_value,
  [anon_sym_effect] = anon_sym_effect,
  [aux_sym_attribute_token1] = aux_sym_attribute_token1,
  [anon_sym_LBRACK_AT_AT] = anon_sym_LBRACK_AT_AT,
  [anon_sym_LBRACK_AT_AT_AT] = anon_sym_LBRACK_AT_AT_AT,
  [anon_sym_LBRACK_PERCENT] = anon_sym_LBRACK_PERCENT,
  [anon_sym_LBRACE_PERCENT] = anon_sym_LBRACE_PERCENT,
  [aux_sym_quoted_extension_token1] = aux_sym_quoted_extension_token1,
  [anon_sym_LBRACK_PERCENT_PERCENT] = anon_sym_LBRACK_PERCENT_PERCENT,
  [anon_sym_LBRACE_PERCENT_PERCENT] = anon_sym_LBRACE_PERCENT_PERCENT,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_number_token1] = aux_sym_number_token1,
  [aux_sym_signed_number_token1] = aux_sym_signed_number_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [aux_sym_character_content_token1] = aux_sym_character_content_token1,
  [aux_sym_character_content_token2] = aux_sym_character_content_token2,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_content_token1] = aux_sym_string_content_token1,
  [aux_sym_string_content_token2] = aux_sym_string_content_token2,
  [aux_sym_string_content_token3] = aux_sym_string_content_token3,
  [aux_sym_string_content_token4] = sym_escape_sequence,
  [aux_sym_string_content_token5] = sym_escape_sequence,
  [aux_sym_quoted_string_content_token1] = aux_sym_quoted_string_content_token1,
  [aux_sym_escape_sequence_token1] = aux_sym_escape_sequence_token1,
  [aux_sym_escape_sequence_token2] = aux_sym_escape_sequence_token2,
  [aux_sym_escape_sequence_token3] = aux_sym_escape_sequence_token3,
  [aux_sym_escape_sequence_token4] = aux_sym_escape_sequence_token4,
  [sym_conversion_specification] = sym_conversion_specification,
  [sym_pretty_printing_indication] = sym_pretty_printing_indication,
  [sym_prefix_operator] = sym_prefix_operator,
  [aux_sym_sign_operator_token1] = aux_sym_sign_operator_token1,
  [sym_hash_operator] = sym_hash_operator,
  [sym_pow_operator] = sym_pow_operator,
  [sym_mult_operator] = sym_mult_operator,
  [aux_sym_add_operator_token1] = aux_sym_add_operator_token1,
  [sym_concat_operator] = sym_concat_operator,
  [sym_rel_operator] = sym_rel_operator,
  [sym_and_operator] = sym_and_operator,
  [sym_or_operator] = sym_or_operator,
  [sym_assign_operator] = sym_assign_operator,
  [sym_indexing_operator] = sym_indexing_operator,
  [sym_let_operator] = sym_let_operator,
  [sym_let_and_operator] = sym_let_and_operator,
  [sym_match_operator] = sym_match_operator,
  [sym__uppercase_identifier] = sym__uppercase_identifier,
  [aux_sym_directive_token1] = aux_sym_directive_token1,
  [aux_sym_type_variable_token1] = aux_sym_type_variable_token1,
  [aux_sym_tag_token1] = aux_sym_tag_token1,
  [aux_sym_attribute_id_token1] = aux_sym_attribute_id_token1,
  [sym_comment] = sym_comment,
  [sym__left_quoted_string_delimiter] = sym__left_quoted_string_delimiter,
  [sym__right_quoted_string_delimiter] = sym__right_quoted_string_delimiter,
  [sym_line_number_directive] = sym_line_number_directive,
  [sym__null] = sym__null,
  [sym__error_sentinel] = sym__error_sentinel,
  [sym_compilation_unit] = sym_compilation_unit,
  [sym__structure] = sym__structure,
  [sym_expression_item] = sym_expression_item,
  [sym__signature] = sym__signature,
  [sym_toplevel_directive] = sym_toplevel_directive,
  [sym__structure_item] = sym__structure_item,
  [sym_value_definition] = sym_value_definition,
  [sym_let_binding] = sym_let_binding,
  [sym_parameter] = sym_parameter,
  [sym_external] = sym_external,
  [sym_type_definition] = sym_type_definition,
  [sym_type_binding] = sym_type_binding,
  [sym__type_params] = sym__type_params,
  [sym__type_param] = sym__type_param,
  [sym__type_equation] = sym__type_equation,
  [sym_variant_declaration] = sym_variant_declaration,
  [sym_constructor_declaration] = sym_constructor_declaration,
  [sym__constructor_argument] = sym__constructor_argument,
  [sym_record_declaration] = sym_record_declaration,
  [sym_field_declaration] = sym_field_declaration,
  [sym_type_constraint] = sym_type_constraint,
  [sym_exception_definition] = sym_exception_definition,
  [sym_module_definition] = sym_module_definition,
  [sym_module_binding] = sym_module_binding,
  [sym_module_parameter] = sym_module_parameter,
  [sym_module_type_definition] = sym_module_type_definition,
  [sym_open_module] = sym_open_module,
  [sym_include_module] = sym_include_module,
  [sym_class_definition] = sym_class_definition,
  [sym_class_binding] = sym_class_binding,
  [sym_class_type_definition] = sym_class_type_definition,
  [sym_class_type_binding] = sym_class_type_binding,
  [sym__signature_item] = sym__signature_item,
  [sym_value_specification] = sym_value_specification,
  [sym_include_module_type] = sym_include_module_type,
  [sym__module_typed] = sym__module_typed,
  [sym__module_type] = sym__module_type,
  [sym_signature] = sym_signature,
  [sym_module_type_constraint] = sym_module_type_constraint,
  [sym_constrain_type] = sym_constrain_type,
  [sym_constrain_module] = sym_constrain_module,
  [sym_constrain_module_type] = sym_constrain_module_type,
  [sym_module_type_of] = sym_module_type_of,
  [sym_functor_type] = sym_functor_type,
  [sym_parenthesized_module_type] = sym_parenthesized_module_type,
  [sym__simple_module_expression] = sym__simple_module_expression,
  [sym__module_expression] = sym__module_expression,
  [sym_structure] = sym_structure,
  [sym_functor] = sym_functor,
  [sym_module_application] = sym_module_application,
  [sym_typed_module_expression] = sym_typed_module_expression,
  [sym_packed_module] = sym_packed_module,
  [sym_parenthesized_module_expression] = sym_parenthesized_module_expression,
  [sym__class_typed] = sym__class_typed,
  [sym__simple_class_type] = sym__simple_class_type,
  [sym__class_type] = sym__class_type,
  [sym_instantiated_class_type] = sym_instantiated_class_type,
  [sym_class_body_type] = sym_class_body_type,
  [sym__class_field_specification] = sym__class_field_specification,
  [sym_inheritance_specification] = sym_inheritance_specification,
  [sym_instance_variable_specification] = sym_instance_variable_specification,
  [sym_method_specification] = sym_method_specification,
  [sym_type_parameter_constraint] = sym_type_parameter_constraint,
  [sym_let_open_class_type] = sym_let_open_class_type,
  [sym_class_function_type] = sym_class_function_type,
  [sym__simple_class_expression] = sym__simple_class_expression,
  [sym__class_expression] = sym__class_expression,
  [sym_instantiated_class] = sym_instantiated_class,
  [sym_typed_class_expression] = sym_typed_class_expression,
  [sym_class_function] = sym_class_function,
  [sym_class_application] = sym_class_application,
  [sym_let_class_expression] = sym_let_class_expression,
  [sym__class_field] = sym__class_field,
  [sym_inheritance_definition] = sym_inheritance_definition,
  [sym_instance_variable_definition] = sym_instance_variable_definition,
  [sym_method_definition] = sym_method_definition,
  [sym_class_initializer] = sym_class_initializer,
  [sym_let_open_class_expression] = sym_let_open_class_expression,
  [sym_parenthesized_class_expression] = sym_parenthesized_class_expression,
  [sym__typed] = sym__typed,
  [sym__simple_typed] = sym__simple_typed,
  [sym__polymorphic_typed] = sym__polymorphic_typed,
  [sym__polymorphic_type] = sym__polymorphic_type,
  [sym_polymorphic_type] = sym_polymorphic_type,
  [sym__abstract_type] = sym__abstract_type,
  [sym__parenthesized_abstract_type] = sym__parenthesized_abstract_type,
  [sym__simple_type] = sym__simple_type,
  [sym__tuple_type] = sym__tuple_type,
  [sym__type] = sym__type,
  [sym_function_type] = sym_function_type,
  [sym_typed_label] = sym_typed_label,
  [sym_tuple_type] = sym_tuple_type,
  [sym_constructed_type] = sym_constructed_type,
  [sym_aliased_type] = sym_aliased_type,
  [sym_local_open_type] = sym_local_open_type,
  [sym_polymorphic_variant_type] = sym_polymorphic_variant_type,
  [sym__tag_spec] = sym__tag_spec,
  [sym_tag_specification] = sym_tag_specification,
  [sym_package_type] = sym_package_type,
  [sym_object_type] = sym_object_type,
  [sym_method_type] = sym_method_type,
  [sym_hash_type] = sym_hash_type,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym__simple_expression] = sym__simple_expression,
  [sym__expression] = sym__expression,
  [sym__sequence_expression] = sym__sequence_expression,
  [sym_typed_expression] = sym_typed_expression,
  [sym_product_expression] = sym_product_expression,
  [sym_cons_expression] = sym_cons_expression,
  [sym_list_expression] = sym_list_expression,
  [sym_array_expression] = sym_array_expression,
  [sym_record_expression] = sym_record_expression,
  [sym_field_expression] = sym_field_expression,
  [sym_application_expression] = sym_application_expression,
  [sym_labeled_argument] = sym_labeled_argument,
  [sym_prefix_expression] = sym_prefix_expression,
  [sym_sign_expression] = sym_sign_expression,
  [sym_hash_expression] = sym_hash_expression,
  [sym_infix_expression] = sym_infix_expression,
  [sym_field_get_expression] = sym_field_get_expression,
  [sym_array_get_expression] = sym_array_get_expression,
  [sym_string_get_expression] = sym_string_get_expression,
  [sym_bigarray_get_expression] = sym_bigarray_get_expression,
  [sym_set_expression] = sym_set_expression,
  [sym_if_expression] = sym_if_expression,
  [sym_then_clause] = sym_then_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_while_expression] = sym_while_expression,
  [sym_do_clause] = sym_do_clause,
  [sym_for_expression] = sym_for_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_match_expression] = sym_match_expression,
  [sym__match_cases] = sym__match_cases,
  [sym_match_case] = sym_match_case,
  [sym_guard] = sym_guard,
  [sym_refutation_case] = sym_refutation_case,
  [sym_function_expression] = sym_function_expression,
  [sym_fun_expression] = sym_fun_expression,
  [sym_try_expression] = sym_try_expression,
  [sym_let_expression] = sym_let_expression,
  [sym_coercion_expression] = sym_coercion_expression,
  [sym_assert_expression] = sym_assert_expression,
  [sym_lazy_expression] = sym_lazy_expression,
  [sym_let_module_expression] = sym_let_module_expression,
  [sym_let_open_expression] = sym_let_open_expression,
  [sym_local_open_expression] = sym_local_open_expression,
  [sym_package_expression] = sym_package_expression,
  [sym_let_exception_expression] = sym_let_exception_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_object_copy_expression] = sym_object_copy_expression,
  [sym_instance_variable_expression] = sym_instance_variable_expression,
  [sym_method_invocation] = sym_method_invocation,
  [sym_object_expression] = sym_object_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym__simple_pattern] = sym__simple_pattern,
  [sym__effect_pattern] = sym__effect_pattern,
  [sym__pattern] = sym__pattern,
  [sym__binding_pattern] = sym__binding_pattern,
  [sym_alias_pattern] = sym_alias_pattern,
  [sym_alias_binding_pattern] = sym_alias_pattern,
  [sym_typed_pattern] = sym_typed_pattern,
  [sym_typed_binding_pattern] = sym_typed_pattern,
  [sym_or_pattern] = sym_or_pattern,
  [sym_or_binding_pattern] = sym_or_pattern,
  [sym_constructor_pattern] = sym_constructor_pattern,
  [sym_constructor_binding_pattern] = sym_constructor_pattern,
  [sym_tag_pattern] = sym_tag_pattern,
  [sym_tag_binding_pattern] = sym_tag_pattern,
  [sym_polymorphic_variant_pattern] = sym_polymorphic_variant_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_tuple_binding_pattern] = sym_tuple_pattern,
  [sym_record_pattern] = sym_record_pattern,
  [sym_field_pattern] = sym_field_pattern,
  [sym_record_binding_pattern] = sym_record_binding_pattern,
  [sym_field_binding_pattern] = sym_field_pattern,
  [sym_list_pattern] = sym_list_pattern,
  [sym_list_binding_pattern] = sym_list_binding_pattern,
  [sym_cons_pattern] = sym_cons_pattern,
  [sym_cons_binding_pattern] = sym_cons_pattern,
  [sym_array_pattern] = sym_array_pattern,
  [sym_array_binding_pattern] = sym_array_binding_pattern,
  [sym_range_pattern] = sym_range_pattern,
  [sym_lazy_pattern] = sym_lazy_pattern,
  [sym_lazy_binding_pattern] = sym_lazy_pattern,
  [sym_local_open_pattern] = sym_local_open_pattern,
  [sym_local_open_binding_pattern] = sym_local_open_pattern,
  [sym_package_pattern] = sym_package_pattern,
  [sym_parenthesized_pattern] = sym_parenthesized_pattern,
  [sym_parenthesized_binding_pattern] = sym_parenthesized_pattern,
  [sym_exception_pattern] = sym_exception_pattern,
  [sym_effect_pattern] = sym_effect_pattern,
  [sym_attribute] = sym_attribute,
  [sym_item_attribute] = sym_item_attribute,
  [sym_floating_attribute] = sym_floating_attribute,
  [sym_attribute_payload] = sym_attribute_payload,
  [sym_extension] = sym_extension,
  [sym_quoted_extension] = sym_quoted_extension,
  [sym_item_extension] = sym_item_extension,
  [sym_quoted_item_extension] = sym_quoted_item_extension,
  [sym__attribute] = sym__attribute,
  [sym__constant] = sym__constant,
  [sym__signed_constant] = sym__signed_constant,
  [sym_number] = sym_number,
  [sym_signed_number] = sym_signed_number,
  [sym_character] = sym_character,
  [sym_character_content] = sym_character_content,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_quoted_string] = sym_quoted_string,
  [sym__quoted_string] = sym__quoted_string,
  [sym_quoted_string_content] = sym_quoted_string_content,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_boolean] = sym_boolean,
  [sym_unit] = sym_unit,
  [sym_sign_operator] = sym_sign_operator,
  [sym__infix_operator] = sym__infix_operator,
  [sym_add_operator] = sym_add_operator,
  [sym_indexing_operator_path] = sym_indexing_operator_path,
  [sym__value_name] = sym__value_name,
  [sym__simple_value_pattern] = sym__simple_value_pattern,
  [sym_parenthesized_operator] = sym_parenthesized_operator,
  [sym_value_path] = sym_value_path,
  [sym_module_path] = sym_module_path,
  [sym_extended_module_path] = sym_extended_module_path,
  [sym_module_type_path] = sym_module_type_path,
  [sym_field_path] = sym_field_path,
  [sym_constructor_path] = sym_constructor_path,
  [sym_type_constructor_path] = sym_type_constructor_path,
  [sym_class_path] = sym_class_path,
  [sym_class_type_path] = sym_class_type_path,
  [sym__instance_variable_name] = sym__instance_variable_name,
  [sym__constructor_name] = sym__constructor_name,
  [sym_directive] = sym_directive,
  [sym_type_variable] = sym_type_variable,
  [sym_tag] = sym_tag,
  [sym_attribute_id] = sym_attribute_id,
  [aux_sym__structure_repeat1] = aux_sym__structure_repeat1,
  [aux_sym__structure_repeat2] = aux_sym__structure_repeat2,
  [aux_sym_expression_item_repeat1] = aux_sym_expression_item_repeat1,
  [aux_sym__signature_repeat1] = aux_sym__signature_repeat1,
  [aux_sym_value_definition_repeat1] = aux_sym_value_definition_repeat1,
  [aux_sym_let_binding_repeat1] = aux_sym_let_binding_repeat1,
  [aux_sym_external_repeat1] = aux_sym_external_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym_type_binding_repeat1] = aux_sym_type_binding_repeat1,
  [aux_sym__type_params_repeat1] = aux_sym__type_params_repeat1,
  [aux_sym_variant_declaration_repeat1] = aux_sym_variant_declaration_repeat1,
  [aux_sym_constructor_declaration_repeat1] = aux_sym_constructor_declaration_repeat1,
  [aux_sym__constructor_argument_repeat1] = aux_sym__constructor_argument_repeat1,
  [aux_sym_record_declaration_repeat1] = aux_sym_record_declaration_repeat1,
  [aux_sym_module_definition_repeat1] = aux_sym_module_definition_repeat1,
  [aux_sym_module_binding_repeat1] = aux_sym_module_binding_repeat1,
  [aux_sym_class_definition_repeat1] = aux_sym_class_definition_repeat1,
  [aux_sym_class_type_definition_repeat1] = aux_sym_class_type_definition_repeat1,
  [aux_sym_module_type_constraint_repeat1] = aux_sym_module_type_constraint_repeat1,
  [aux_sym_instantiated_class_type_repeat1] = aux_sym_instantiated_class_type_repeat1,
  [aux_sym_class_body_type_repeat1] = aux_sym_class_body_type_repeat1,
  [aux_sym_instance_variable_specification_repeat1] = aux_sym_instance_variable_specification_repeat1,
  [aux_sym_method_specification_repeat1] = aux_sym_method_specification_repeat1,
  [aux_sym_class_application_repeat1] = aux_sym_class_application_repeat1,
  [aux_sym__abstract_type_repeat1] = aux_sym__abstract_type_repeat1,
  [aux_sym_polymorphic_variant_type_repeat1] = aux_sym_polymorphic_variant_type_repeat1,
  [aux_sym_polymorphic_variant_type_repeat2] = aux_sym_polymorphic_variant_type_repeat2,
  [aux_sym_tag_specification_repeat1] = aux_sym_tag_specification_repeat1,
  [aux_sym_object_type_repeat1] = aux_sym_object_type_repeat1,
  [aux_sym_list_expression_repeat1] = aux_sym_list_expression_repeat1,
  [aux_sym_record_expression_repeat1] = aux_sym_record_expression_repeat1,
  [aux_sym__match_cases_repeat1] = aux_sym__match_cases_repeat1,
  [aux_sym_object_copy_expression_repeat1] = aux_sym_object_copy_expression_repeat1,
  [aux_sym_object_expression_repeat1] = aux_sym_object_expression_repeat1,
  [aux_sym_record_pattern_repeat1] = aux_sym_record_pattern_repeat1,
  [aux_sym_record_binding_pattern_repeat1] = aux_sym_record_binding_pattern_repeat1,
  [aux_sym_list_pattern_repeat1] = aux_sym_list_pattern_repeat1,
  [aux_sym_list_binding_pattern_repeat1] = aux_sym_list_binding_pattern_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_quoted_string_content_repeat1] = aux_sym_quoted_string_content_repeat1,
  [aux_sym_attribute_id_repeat1] = aux_sym_attribute_id_repeat1,
  [alias_sym_class_name] = alias_sym_class_name,
  [alias_sym_class_type_name] = alias_sym_class_type_name,
  [alias_sym_constructor_name] = alias_sym_constructor_name,
  [alias_sym_field_name] = alias_sym_field_name,
  [alias_sym_instance_variable_name] = alias_sym_instance_variable_name,
  [alias_sym_label_name] = alias_sym_label_name,
  [alias_sym_method_name] = alias_sym_method_name,
  [alias_sym_module_name] = alias_sym_module_name,
  [alias_sym_module_type_name] = alias_sym_module_type_name,
  [alias_sym_type_constructor] = alias_sym_type_constructor,
  [alias_sym_value_name] = alias_sym_value_name,
  [alias_sym_value_pattern] = alias_sym_value_pattern,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__lowercase_identifier] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SEMI_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_external] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonrec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constraint] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exception] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_open] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_include] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_virtual] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_val] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sig] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_end] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_functor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inherit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_method] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fun] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_initializer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_done] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_to] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_downto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lazy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_begin] = {
    .visible = true,
    .named = false,
  },
  [sym_ocamlyacc_value] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_effect] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_attribute_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_AT_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_AT_AT_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_quoted_extension_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LBRACK_PERCENT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PERCENT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_number_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_signed_number_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_character_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_character_content_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token4] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_content_token5] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_quoted_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token4] = {
    .visible = false,
    .named = false,
  },
  [sym_conversion_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_pretty_printing_indication] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_operator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_sign_operator_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_hash_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_pow_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_mult_operator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_add_operator_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_concat_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_rel_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_and_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_or_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_assign_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_indexing_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_let_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_let_and_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_match_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__uppercase_identifier] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_directive_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_variable_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tag_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_id_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__left_quoted_string_delimiter] = {
    .visible = false,
    .named = true,
  },
  [sym__right_quoted_string_delimiter] = {
    .visible = false,
    .named = true,
  },
  [sym_line_number_directive] = {
    .visible = true,
    .named = true,
  },
  [sym__null] = {
    .visible = false,
    .named = true,
  },
  [sym__error_sentinel] = {
    .visible = false,
    .named = true,
  },
  [sym_compilation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__structure] = {
    .visible = false,
    .named = true,
  },
  [sym_expression_item] = {
    .visible = true,
    .named = true,
  },
  [sym__signature] = {
    .visible = false,
    .named = true,
  },
  [sym_toplevel_directive] = {
    .visible = true,
    .named = true,
  },
  [sym__structure_item] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_value_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_let_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_external] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_type_binding] = {
    .visible = true,
    .named = true,
  },
  [sym__type_params] = {
    .visible = false,
    .named = true,
  },
  [sym__type_param] = {
    .visible = false,
    .named = true,
  },
  [sym__type_equation] = {
    .visible = false,
    .named = true,
  },
  [sym_variant_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_argument] = {
    .visible = false,
    .named = true,
  },
  [sym_record_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_exception_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_module_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_module_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_module_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_open_module] = {
    .visible = true,
    .named = true,
  },
  [sym_include_module] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_binding] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_item] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_value_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_include_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym__module_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__module_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_module] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_of] = {
    .visible = true,
    .named = true,
  },
  [sym_functor_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_module_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__module_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_structure] = {
    .visible = true,
    .named = true,
  },
  [sym_functor] = {
    .visible = true,
    .named = true,
  },
  [sym_module_application] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_packed_module] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__class_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_class_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__class_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_instantiated_class_type] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body_type] = {
    .visible = true,
    .named = true,
  },
  [sym__class_field_specification] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_inheritance_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_method_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_class_type] = {
    .visible = true,
    .named = true,
  },
  [sym_class_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_class_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__class_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_instantiated_class] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_function] = {
    .visible = true,
    .named = true,
  },
  [sym_class_application] = {
    .visible = true,
    .named = true,
  },
  [sym_let_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__class_field] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_inheritance_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__typed] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__polymorphic_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__polymorphic_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_polymorphic_type] = {
    .visible = true,
    .named = true,
  },
  [sym__abstract_type] = {
    .visible = false,
    .named = true,
  },
  [sym__parenthesized_abstract_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__tuple_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_label] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constructed_type] = {
    .visible = true,
    .named = true,
  },
  [sym_aliased_type] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_type] = {
    .visible = true,
    .named = true,
  },
  [sym_polymorphic_variant_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tag_spec] = {
    .visible = false,
    .named = true,
  },
  [sym_tag_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_package_type] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_method_type] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__sequence_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_typed_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_product_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_record_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_application_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sign_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_field_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bigarray_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_set_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_if_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_then_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_do_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__match_cases] = {
    .visible = false,
    .named = true,
  },
  [sym_match_case] = {
    .visible = true,
    .named = true,
  },
  [sym_guard] = {
    .visible = true,
    .named = true,
  },
  [sym_refutation_case] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_fun_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_try_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_coercion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_package_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_exception_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object_copy_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_object_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__effect_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__binding_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_alias_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_or_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_or_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tag_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tag_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_polymorphic_variant_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_field_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_field_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_range_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_package_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_exception_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_effect_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_item_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_floating_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_payload] = {
    .visible = true,
    .named = true,
  },
  [sym_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_item_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_item_extension] = {
    .visible = true,
    .named = true,
  },
  [sym__attribute] = {
    .visible = false,
    .named = true,
  },
  [sym__constant] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__signed_constant] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_signed_number] = {
    .visible = true,
    .named = true,
  },
  [sym_character] = {
    .visible = true,
    .named = true,
  },
  [sym_character_content] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_string] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_string] = {
    .visible = false,
    .named = true,
  },
  [sym_quoted_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_sign_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__infix_operator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_add_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_indexing_operator_path] = {
    .visible = true,
    .named = true,
  },
  [sym__value_name] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_value_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_value_path] = {
    .visible = true,
    .named = true,
  },
  [sym_module_path] = {
    .visible = true,
    .named = true,
  },
  [sym_extended_module_path] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_path] = {
    .visible = true,
    .named = true,
  },
  [sym_field_path] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_path] = {
    .visible = true,
    .named = true,
  },
  [sym_type_constructor_path] = {
    .visible = true,
    .named = true,
  },
  [sym_class_path] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_path] = {
    .visible = true,
    .named = true,
  },
  [sym__instance_variable_name] = {
    .visible = false,
    .named = true,
  },
  [sym__constructor_name] = {
    .visible = false,
    .named = true,
  },
  [sym_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_type_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_id] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__structure_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__structure_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_item_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__signature_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_value_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_let_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_external_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variant_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__constructor_argument_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_type_constraint_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_instantiated_class_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_instance_variable_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_method_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_application_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__abstract_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polymorphic_variant_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polymorphic_variant_type_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tag_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__match_cases_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_copy_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_binding_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_binding_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_quoted_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_id_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_class_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_class_type_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_constructor_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_field_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_instance_variable_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_label_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_method_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_module_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_module_type_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_constructor] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_value_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_value_pattern] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_argument = 1,
  field_body = 2,
  field_class = 3,
  field_condition = 4,
  field_continuation = 5,
  field_effect = 6,
  field_from = 7,
  field_function = 8,
  field_functor = 9,
  field_left = 10,
  field_name = 11,
  field_operator = 12,
  field_pattern = 13,
  field_right = 14,
  field_to = 15,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_argument] = "argument",
  [field_body] = "body",
  [field_class] = "class",
  [field_condition] = "condition",
  [field_continuation] = "continuation",
  [field_effect] = "effect",
  [field_from] = "from",
  [field_function] = "function",
  [field_functor] = "functor",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_pattern] = "pattern",
  [field_right] = "right",
  [field_to] = "to",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [3] = {.index = 0, .length = 1},
  [7] = {.index = 0, .length = 1},
  [9] = {.index = 0, .length = 1},
  [12] = {.index = 1, .length = 1},
  [14] = {.index = 2, .length = 1},
  [15] = {.index = 3, .length = 2},
  [16] = {.index = 1, .length = 1},
  [18] = {.index = 5, .length = 1},
  [23] = {.index = 0, .length = 1},
  [25] = {.index = 6, .length = 2},
  [26] = {.index = 8, .length = 1},
  [27] = {.index = 9, .length = 2},
  [28] = {.index = 11, .length = 1},
  [30] = {.index = 12, .length = 2},
  [33] = {.index = 12, .length = 2},
  [35] = {.index = 14, .length = 1},
  [36] = {.index = 12, .length = 2},
  [37] = {.index = 15, .length = 1},
  [39] = {.index = 12, .length = 2},
  [40] = {.index = 16, .length = 1},
  [42] = {.index = 1, .length = 1},
  [43] = {.index = 1, .length = 1},
  [44] = {.index = 17, .length = 1},
  [47] = {.index = 18, .length = 3},
  [48] = {.index = 21, .length = 2},
  [49] = {.index = 23, .length = 2},
  [50] = {.index = 25, .length = 1},
  [51] = {.index = 26, .length = 2},
  [52] = {.index = 28, .length = 2},
  [53] = {.index = 28, .length = 2},
  [54] = {.index = 26, .length = 2},
  [55] = {.index = 30, .length = 2},
  [56] = {.index = 26, .length = 2},
  [57] = {.index = 32, .length = 1},
  [58] = {.index = 1, .length = 1},
  [59] = {.index = 12, .length = 2},
  [60] = {.index = 14, .length = 1},
  [61] = {.index = 28, .length = 2},
  [62] = {.index = 33, .length = 2},
  [63] = {.index = 26, .length = 2},
  [64] = {.index = 35, .length = 2},
  [68] = {.index = 2, .length = 1},
  [69] = {.index = 2, .length = 1},
  [70] = {.index = 37, .length = 1},
  [72] = {.index = 38, .length = 2},
  [74] = {.index = 40, .length = 2},
  [75] = {.index = 42, .length = 2},
  [76] = {.index = 42, .length = 2},
  [77] = {.index = 44, .length = 2},
  [78] = {.index = 40, .length = 2},
  [79] = {.index = 28, .length = 2},
  [80] = {.index = 46, .length = 1},
  [81] = {.index = 42, .length = 2},
  [82] = {.index = 47, .length = 1},
  [83] = {.index = 48, .length = 1},
  [85] = {.index = 40, .length = 2},
  [86] = {.index = 49, .length = 2},
  [87] = {.index = 51, .length = 2},
  [88] = {.index = 14, .length = 1},
  [89] = {.index = 14, .length = 1},
  [90] = {.index = 28, .length = 2},
  [91] = {.index = 53, .length = 1},
  [93] = {.index = 54, .length = 2},
  [94] = {.index = 44, .length = 2},
  [95] = {.index = 56, .length = 1},
  [96] = {.index = 54, .length = 2},
  [99] = {.index = 48, .length = 1},
  [100] = {.index = 57, .length = 2},
  [101] = {.index = 30, .length = 2},
  [102] = {.index = 30, .length = 2},
  [103] = {.index = 42, .length = 2},
  [104] = {.index = 59, .length = 1},
  [106] = {.index = 44, .length = 2},
  [107] = {.index = 60, .length = 2},
  [108] = {.index = 62, .length = 2},
  [109] = {.index = 64, .length = 2},
  [110] = {.index = 66, .length = 2},
  [111] = {.index = 44, .length = 2},
  [112] = {.index = 54, .length = 2},
  [113] = {.index = 66, .length = 2},
  [114] = {.index = 44, .length = 2},
  [115] = {.index = 54, .length = 2},
  [116] = {.index = 68, .length = 3},
  [117] = {.index = 62, .length = 2},
  [118] = {.index = 71, .length = 2},
  [119] = {.index = 73, .length = 2},
  [120] = {.index = 75, .length = 2},
  [121] = {.index = 77, .length = 2},
  [122] = {.index = 79, .length = 2},
  [123] = {.index = 60, .length = 2},
  [124] = {.index = 81, .length = 2},
  [125] = {.index = 79, .length = 2},
  [126] = {.index = 60, .length = 2},
  [127] = {.index = 83, .length = 3},
  [128] = {.index = 75, .length = 2},
  [129] = {.index = 86, .length = 2},
  [130] = {.index = 88, .length = 2},
  [131] = {.index = 90, .length = 1},
  [132] = {.index = 91, .length = 2},
  [133] = {.index = 71, .length = 2},
  [134] = {.index = 71, .length = 2},
  [135] = {.index = 93, .length = 2},
  [136] = {.index = 95, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0},
  [1] =
    {field_name, 1},
  [2] =
    {field_name, 2},
  [3] =
    {field_argument, 1},
    {field_functor, 0},
  [5] =
    {field_pattern, 0},
  [6] =
    {field_operator, 0},
    {field_right, 1},
  [8] =
    {field_argument, 0},
  [9] =
    {field_argument, 1, .inherited = true},
    {field_function, 0},
  [11] =
    {field_left, 0},
  [12] =
    {field_body, 2},
    {field_name, 0},
  [14] =
    {field_name, 3},
  [15] =
    {field_functor, 0},
  [16] =
    {field_pattern, 1},
  [17] =
    {field_condition, 1},
  [18] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [21] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [23] =
    {field_left, 0},
    {field_right, 2},
  [25] =
    {field_body, 2},
  [26] =
    {field_body, 3},
    {field_name, 0},
  [28] =
    {field_body, 3},
    {field_name, 1},
  [30] =
    {field_body, 4},
    {field_name, 2},
  [32] =
    {field_body, 3},
  [33] =
    {field_argument, 1, .inherited = true},
    {field_class, 0},
  [35] =
    {field_body, 2},
    {field_pattern, 0},
  [37] =
    {field_condition, 2},
  [38] =
    {field_left, 0},
    {field_right, 3},
  [40] =
    {field_body, 4},
    {field_name, 0},
  [42] =
    {field_body, 4},
    {field_name, 1},
  [44] =
    {field_body, 5},
    {field_name, 3},
  [46] =
    {field_name, 4},
  [47] =
    {field_pattern, 2},
  [48] =
    {field_pattern, 3},
  [49] =
    {field_body, 3},
    {field_pattern, 0},
  [51] =
    {field_continuation, 3},
    {field_effect, 1},
  [53] =
    {field_body, 4},
  [54] =
    {field_body, 5},
    {field_name, 1},
  [56] =
    {field_name, 5},
  [57] =
    {field_body, 4},
    {field_pattern, 0},
  [59] =
    {field_body, 5},
  [60] =
    {field_body, 6},
    {field_name, 3},
  [62] =
    {field_body, 6},
    {field_name, 4},
  [64] =
    {field_body, 5},
    {field_pattern, 0},
  [66] =
    {field_body, 5},
    {field_name, 2},
  [68] =
    {field_from, 3},
    {field_name, 1},
    {field_to, 5},
  [71] =
    {field_body, 7},
    {field_name, 3},
  [73] =
    {field_body, 7},
    {field_name, 4},
  [75] =
    {field_body, 7},
    {field_name, 5},
  [77] =
    {field_body, 6},
    {field_pattern, 0},
  [79] =
    {field_body, 6},
    {field_name, 2},
  [81] =
    {field_body, 6},
    {field_name, 1},
  [83] =
    {field_from, 4},
    {field_name, 2},
    {field_to, 6},
  [86] =
    {field_body, 8},
    {field_name, 4},
  [88] =
    {field_body, 8},
    {field_name, 5},
  [90] =
    {field_pattern, 4},
  [91] =
    {field_body, 7},
    {field_name, 2},
  [93] =
    {field_body, 9},
    {field_name, 5},
  [95] =
    {field_body, 8},
    {field_name, 3},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_value_name,
  },
  [2] = {
    [0] = sym_type_variable,
  },
  [3] = {
    [0] = alias_sym_type_constructor,
  },
  [4] = {
    [0] = alias_sym_type_constructor,
  },
  [5] = {
    [0] = alias_sym_module_name,
  },
  [6] = {
    [0] = alias_sym_constructor_name,
  },
  [7] = {
    [0] = alias_sym_module_name,
  },
  [8] = {
    [0] = alias_sym_module_type_name,
  },
  [9] = {
    [0] = alias_sym_class_name,
  },
  [10] = {
    [0] = alias_sym_instance_variable_name,
  },
  [11] = {
    [1] = sym_type_variable,
  },
  [12] = {
    [1] = alias_sym_type_constructor,
  },
  [13] = {
    [0] = alias_sym_constructor_name,
    [1] = alias_sym_constructor_name,
  },
  [14] = {
    [2] = alias_sym_module_type_name,
  },
  [16] = {
    [1] = alias_sym_class_name,
  },
  [17] = {
    [0] = alias_sym_value_pattern,
  },
  [19] = {
    [0] = sym_record_pattern,
  },
  [20] = {
    [0] = sym_list_pattern,
  },
  [21] = {
    [0] = sym_array_pattern,
  },
  [22] = {
    [0] = alias_sym_field_name,
  },
  [24] = {
    [0] = alias_sym_class_name,
  },
  [29] = {
    [2] = sym_type_variable,
  },
  [30] = {
    [0] = alias_sym_type_constructor,
  },
  [31] = {
    [2] = alias_sym_type_constructor,
  },
  [32] = {
    [2] = alias_sym_module_name,
  },
  [34] = {
    [1] = alias_sym_constructor_name,
  },
  [35] = {
    [3] = alias_sym_module_type_name,
  },
  [36] = {
    [0] = alias_sym_module_name,
  },
  [38] = {
    [2] = alias_sym_module_type_name,
  },
  [39] = {
    [0] = alias_sym_class_name,
  },
  [41] = {
    [0] = alias_sym_class_type_name,
  },
  [43] = {
    [1] = alias_sym_method_name,
  },
  [45] = {
    [1] = alias_sym_label_name,
  },
  [46] = {
    [2] = alias_sym_method_name,
  },
  [51] = {
    [0] = alias_sym_type_constructor,
  },
  [52] = {
    [1] = alias_sym_type_constructor,
  },
  [55] = {
    [2] = alias_sym_module_type_name,
  },
  [56] = {
    [0] = alias_sym_module_name,
  },
  [58] = {
    [1] = alias_sym_module_name,
  },
  [59] = {
    [0] = alias_sym_class_type_name,
  },
  [60] = {
    [3] = alias_sym_class_name,
  },
  [61] = {
    [1] = alias_sym_class_name,
  },
  [63] = {
    [0] = alias_sym_class_name,
  },
  [65] = {
    [0] = alias_sym_method_name,
  },
  [66] = {
    [0] = alias_sym_label_name,
  },
  [67] = {
    [2] = alias_sym_field_name,
  },
  [69] = {
    [2] = alias_sym_method_name,
  },
  [71] = {
    [2] = alias_sym_class_name,
  },
  [73] = {
    [0] = sym__parenthesized_abstract_type,
  },
  [74] = {
    [0] = alias_sym_type_constructor,
  },
  [75] = {
    [1] = alias_sym_type_constructor,
  },
  [77] = {
    [3] = alias_sym_module_type_name,
  },
  [78] = {
    [0] = alias_sym_module_name,
  },
  [79] = {
    [1] = alias_sym_class_type_name,
  },
  [80] = {
    [4] = alias_sym_class_name,
  },
  [81] = {
    [1] = alias_sym_class_name,
  },
  [83] = {
    [1] = alias_sym_label_name,
  },
  [84] = {
    [2] = alias_sym_class_type_name,
  },
  [85] = {
    [0] = alias_sym_class_name,
  },
  [89] = {
    [3] = alias_sym_method_name,
  },
  [90] = {
    [1] = alias_sym_method_name,
  },
  [92] = {
    [1] = alias_sym_field_name,
  },
  [93] = {
    [1] = alias_sym_type_constructor,
  },
  [94] = {
    [3] = alias_sym_class_name,
  },
  [95] = {
    [5] = alias_sym_class_name,
  },
  [96] = {
    [1] = alias_sym_class_name,
  },
  [97] = {
    [3] = alias_sym_module_name,
  },
  [98] = {
    [1] = alias_sym_method_name,
  },
  [102] = {
    [2] = alias_sym_method_name,
  },
  [103] = {
    [1] = alias_sym_method_name,
  },
  [105] = {
    [2] = alias_sym_label_name,
  },
  [106] = {
    [3] = alias_sym_class_type_name,
  },
  [107] = {
    [3] = alias_sym_class_name,
  },
  [108] = {
    [4] = alias_sym_class_name,
  },
  [113] = {
    [2] = alias_sym_method_name,
  },
  [114] = {
    [3] = alias_sym_method_name,
  },
  [115] = {
    [1] = alias_sym_method_name,
  },
  [117] = {
    [4] = alias_sym_class_type_name,
  },
  [118] = {
    [3] = alias_sym_class_name,
  },
  [119] = {
    [4] = alias_sym_class_name,
  },
  [120] = {
    [5] = alias_sym_class_name,
  },
  [125] = {
    [2] = alias_sym_method_name,
  },
  [126] = {
    [3] = alias_sym_method_name,
  },
  [128] = {
    [5] = alias_sym_class_type_name,
  },
  [129] = {
    [4] = alias_sym_class_name,
  },
  [130] = {
    [5] = alias_sym_class_name,
  },
  [131] = {
    [1] = alias_sym_label_name,
  },
  [134] = {
    [3] = alias_sym_method_name,
  },
  [135] = {
    [5] = alias_sym_class_name,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__abstract_type, 2,
    sym__abstract_type,
    sym__parenthesized_abstract_type,
  sym_record_binding_pattern, 2,
    sym_record_binding_pattern,
    sym_record_pattern,
  sym_list_binding_pattern, 2,
    sym_list_binding_pattern,
    sym_list_pattern,
  sym_array_binding_pattern, 2,
    sym_array_binding_pattern,
    sym_array_pattern,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 2,
  [6] = 2,
  [7] = 7,
  [8] = 2,
  [9] = 7,
  [10] = 2,
  [11] = 7,
  [12] = 2,
  [13] = 2,
  [14] = 2,
  [15] = 2,
  [16] = 2,
  [17] = 2,
  [18] = 2,
  [19] = 2,
  [20] = 2,
  [21] = 2,
  [22] = 2,
  [23] = 2,
  [24] = 7,
  [25] = 2,
  [26] = 2,
  [27] = 2,
  [28] = 2,
  [29] = 2,
  [30] = 2,
  [31] = 2,
  [32] = 2,
  [33] = 2,
  [34] = 2,
  [35] = 2,
  [36] = 2,
  [37] = 2,
  [38] = 2,
  [39] = 2,
  [40] = 2,
  [41] = 2,
  [42] = 2,
  [43] = 43,
  [44] = 44,
  [45] = 2,
  [46] = 2,
  [47] = 2,
  [48] = 2,
  [49] = 2,
  [50] = 2,
  [51] = 2,
  [52] = 2,
  [53] = 2,
  [54] = 2,
  [55] = 2,
  [56] = 2,
  [57] = 2,
  [58] = 2,
  [59] = 2,
  [60] = 2,
  [61] = 2,
  [62] = 2,
  [63] = 2,
  [64] = 2,
  [65] = 2,
  [66] = 2,
  [67] = 2,
  [68] = 2,
  [69] = 2,
  [70] = 2,
  [71] = 2,
  [72] = 2,
  [73] = 2,
  [74] = 2,
  [75] = 2,
  [76] = 2,
  [77] = 2,
  [78] = 2,
  [79] = 2,
  [80] = 2,
  [81] = 2,
  [82] = 2,
  [83] = 2,
  [84] = 2,
  [85] = 2,
  [86] = 2,
  [87] = 2,
  [88] = 2,
  [89] = 89,
  [90] = 89,
  [91] = 91,
  [92] = 91,
  [93] = 89,
  [94] = 89,
  [95] = 89,
  [96] = 89,
  [97] = 97,
  [98] = 89,
  [99] = 99,
  [100] = 100,
  [101] = 89,
  [102] = 102,
  [103] = 97,
  [104] = 102,
  [105] = 100,
  [106] = 99,
  [107] = 89,
  [108] = 89,
  [109] = 109,
  [110] = 109,
  [111] = 89,
  [112] = 89,
  [113] = 89,
  [114] = 89,
  [115] = 89,
  [116] = 89,
  [117] = 89,
  [118] = 89,
  [119] = 89,
  [120] = 89,
  [121] = 89,
  [122] = 89,
  [123] = 89,
  [124] = 89,
  [125] = 89,
  [126] = 89,
  [127] = 89,
  [128] = 89,
  [129] = 89,
  [130] = 130,
  [131] = 130,
  [132] = 132,
  [133] = 89,
  [134] = 132,
  [135] = 132,
  [136] = 130,
  [137] = 130,
  [138] = 132,
  [139] = 132,
  [140] = 130,
  [141] = 132,
  [142] = 130,
  [143] = 132,
  [144] = 130,
  [145] = 130,
  [146] = 132,
  [147] = 130,
  [148] = 132,
  [149] = 130,
  [150] = 132,
  [151] = 130,
  [152] = 132,
  [153] = 130,
  [154] = 132,
  [155] = 132,
  [156] = 130,
  [157] = 132,
  [158] = 130,
  [159] = 130,
  [160] = 132,
  [161] = 130,
  [162] = 130,
  [163] = 132,
  [164] = 132,
  [165] = 130,
  [166] = 132,
  [167] = 132,
  [168] = 130,
  [169] = 132,
  [170] = 130,
  [171] = 130,
  [172] = 132,
  [173] = 89,
  [174] = 130,
  [175] = 132,
  [176] = 130,
  [177] = 130,
  [178] = 132,
  [179] = 132,
  [180] = 130,
  [181] = 132,
  [182] = 130,
  [183] = 132,
  [184] = 132,
  [185] = 130,
  [186] = 132,
  [187] = 130,
  [188] = 130,
  [189] = 132,
  [190] = 130,
  [191] = 130,
  [192] = 132,
  [193] = 132,
  [194] = 130,
  [195] = 89,
  [196] = 132,
  [197] = 130,
  [198] = 132,
  [199] = 130,
  [200] = 89,
  [201] = 89,
  [202] = 89,
  [203] = 89,
  [204] = 132,
  [205] = 89,
  [206] = 132,
  [207] = 130,
  [208] = 132,
  [209] = 130,
  [210] = 132,
  [211] = 130,
  [212] = 132,
  [213] = 130,
  [214] = 132,
  [215] = 130,
  [216] = 130,
  [217] = 132,
  [218] = 132,
  [219] = 130,
  [220] = 132,
  [221] = 130,
  [222] = 132,
  [223] = 89,
  [224] = 130,
  [225] = 89,
  [226] = 89,
  [227] = 89,
  [228] = 89,
  [229] = 89,
  [230] = 89,
  [231] = 89,
  [232] = 89,
  [233] = 89,
  [234] = 89,
  [235] = 89,
  [236] = 89,
  [237] = 89,
  [238] = 89,
  [239] = 89,
  [240] = 89,
  [241] = 89,
  [242] = 89,
  [243] = 243,
  [244] = 243,
  [245] = 243,
  [246] = 243,
  [247] = 243,
  [248] = 243,
  [249] = 243,
  [250] = 243,
  [251] = 243,
  [252] = 243,
  [253] = 243,
  [254] = 243,
  [255] = 243,
  [256] = 89,
  [257] = 243,
  [258] = 243,
  [259] = 243,
  [260] = 243,
  [261] = 243,
  [262] = 243,
  [263] = 243,
  [264] = 243,
  [265] = 243,
  [266] = 243,
  [267] = 243,
  [268] = 243,
  [269] = 243,
  [270] = 243,
  [271] = 243,
  [272] = 243,
  [273] = 89,
  [274] = 243,
  [275] = 243,
  [276] = 243,
  [277] = 243,
  [278] = 89,
  [279] = 243,
  [280] = 243,
  [281] = 243,
  [282] = 243,
  [283] = 243,
  [284] = 89,
  [285] = 243,
  [286] = 89,
  [287] = 243,
  [288] = 243,
  [289] = 89,
  [290] = 243,
  [291] = 243,
  [292] = 292,
  [293] = 293,
  [294] = 292,
  [295] = 295,
  [296] = 293,
  [297] = 297,
  [298] = 292,
  [299] = 293,
  [300] = 292,
  [301] = 293,
  [302] = 292,
  [303] = 293,
  [304] = 292,
  [305] = 292,
  [306] = 306,
  [307] = 307,
  [308] = 292,
  [309] = 293,
  [310] = 292,
  [311] = 293,
  [312] = 292,
  [313] = 293,
  [314] = 293,
  [315] = 293,
  [316] = 292,
  [317] = 292,
  [318] = 293,
  [319] = 292,
  [320] = 293,
  [321] = 292,
  [322] = 293,
  [323] = 292,
  [324] = 293,
  [325] = 293,
  [326] = 292,
  [327] = 293,
  [328] = 292,
  [329] = 292,
  [330] = 293,
  [331] = 292,
  [332] = 293,
  [333] = 293,
  [334] = 293,
  [335] = 292,
  [336] = 293,
  [337] = 292,
  [338] = 292,
  [339] = 293,
  [340] = 293,
  [341] = 292,
  [342] = 293,
  [343] = 292,
  [344] = 293,
  [345] = 292,
  [346] = 346,
  [347] = 293,
  [348] = 292,
  [349] = 292,
  [350] = 293,
  [351] = 293,
  [352] = 346,
  [353] = 292,
  [354] = 293,
  [355] = 292,
  [356] = 293,
  [357] = 292,
  [358] = 292,
  [359] = 293,
  [360] = 293,
  [361] = 306,
  [362] = 307,
  [363] = 292,
  [364] = 306,
  [365] = 307,
  [366] = 306,
  [367] = 307,
  [368] = 306,
  [369] = 306,
  [370] = 306,
  [371] = 306,
  [372] = 306,
  [373] = 306,
  [374] = 306,
  [375] = 306,
  [376] = 306,
  [377] = 306,
  [378] = 306,
  [379] = 306,
  [380] = 306,
  [381] = 306,
  [382] = 306,
  [383] = 306,
  [384] = 306,
  [385] = 306,
  [386] = 306,
  [387] = 306,
  [388] = 306,
  [389] = 306,
  [390] = 306,
  [391] = 306,
  [392] = 306,
  [393] = 306,
  [394] = 306,
  [395] = 306,
  [396] = 306,
  [397] = 306,
  [398] = 306,
  [399] = 295,
  [400] = 297,
  [401] = 306,
  [402] = 295,
  [403] = 297,
  [404] = 306,
  [405] = 295,
  [406] = 297,
  [407] = 306,
  [408] = 295,
  [409] = 297,
  [410] = 306,
  [411] = 295,
  [412] = 297,
  [413] = 306,
  [414] = 295,
  [415] = 297,
  [416] = 306,
  [417] = 295,
  [418] = 297,
  [419] = 306,
  [420] = 295,
  [421] = 297,
  [422] = 306,
  [423] = 295,
  [424] = 297,
  [425] = 306,
  [426] = 295,
  [427] = 297,
  [428] = 306,
  [429] = 295,
  [430] = 297,
  [431] = 295,
  [432] = 297,
  [433] = 295,
  [434] = 297,
  [435] = 295,
  [436] = 297,
  [437] = 295,
  [438] = 297,
  [439] = 295,
  [440] = 297,
  [441] = 295,
  [442] = 297,
  [443] = 295,
  [444] = 297,
  [445] = 295,
  [446] = 297,
  [447] = 295,
  [448] = 297,
  [449] = 295,
  [450] = 297,
  [451] = 295,
  [452] = 297,
  [453] = 295,
  [454] = 297,
  [455] = 295,
  [456] = 297,
  [457] = 295,
  [458] = 297,
  [459] = 295,
  [460] = 297,
  [461] = 295,
  [462] = 297,
  [463] = 295,
  [464] = 297,
  [465] = 295,
  [466] = 297,
  [467] = 295,
  [468] = 297,
  [469] = 295,
  [470] = 297,
  [471] = 295,
  [472] = 297,
  [473] = 295,
  [474] = 297,
  [475] = 295,
  [476] = 297,
  [477] = 295,
  [478] = 297,
  [479] = 295,
  [480] = 297,
  [481] = 295,
  [482] = 297,
  [483] = 295,
  [484] = 297,
  [485] = 295,
  [486] = 297,
  [487] = 295,
  [488] = 297,
  [489] = 295,
  [490] = 297,
  [491] = 295,
  [492] = 297,
  [493] = 295,
  [494] = 297,
  [495] = 306,
  [496] = 496,
  [497] = 496,
  [498] = 496,
  [499] = 496,
  [500] = 346,
  [501] = 496,
  [502] = 496,
  [503] = 496,
  [504] = 346,
  [505] = 496,
  [506] = 496,
  [507] = 507,
  [508] = 496,
  [509] = 496,
  [510] = 496,
  [511] = 496,
  [512] = 496,
  [513] = 346,
  [514] = 496,
  [515] = 496,
  [516] = 496,
  [517] = 496,
  [518] = 496,
  [519] = 507,
  [520] = 496,
  [521] = 496,
  [522] = 496,
  [523] = 496,
  [524] = 496,
  [525] = 507,
  [526] = 496,
  [527] = 496,
  [528] = 507,
  [529] = 496,
  [530] = 496,
  [531] = 496,
  [532] = 496,
  [533] = 496,
  [534] = 496,
  [535] = 496,
  [536] = 496,
  [537] = 496,
  [538] = 496,
  [539] = 496,
  [540] = 496,
  [541] = 496,
  [542] = 346,
  [543] = 496,
  [544] = 496,
  [545] = 496,
  [546] = 496,
  [547] = 547,
  [548] = 346,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 547,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 547,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 552,
  [588] = 561,
  [589] = 569,
  [590] = 578,
  [591] = 591,
  [592] = 592,
  [593] = 585,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 585,
  [601] = 551,
  [602] = 566,
  [603] = 595,
  [604] = 596,
  [605] = 597,
  [606] = 598,
  [607] = 599,
  [608] = 608,
  [609] = 585,
  [610] = 551,
  [611] = 611,
  [612] = 566,
  [613] = 595,
  [614] = 596,
  [615] = 597,
  [616] = 598,
  [617] = 599,
  [618] = 618,
  [619] = 585,
  [620] = 551,
  [621] = 566,
  [622] = 595,
  [623] = 596,
  [624] = 597,
  [625] = 598,
  [626] = 599,
  [627] = 585,
  [628] = 551,
  [629] = 566,
  [630] = 595,
  [631] = 596,
  [632] = 597,
  [633] = 598,
  [634] = 599,
  [635] = 585,
  [636] = 551,
  [637] = 566,
  [638] = 585,
  [639] = 585,
  [640] = 640,
  [641] = 595,
  [642] = 596,
  [643] = 597,
  [644] = 598,
  [645] = 599,
  [646] = 551,
  [647] = 566,
  [648] = 595,
  [649] = 649,
  [650] = 596,
  [651] = 597,
  [652] = 598,
  [653] = 599,
  [654] = 551,
  [655] = 566,
  [656] = 595,
  [657] = 595,
  [658] = 596,
  [659] = 597,
  [660] = 598,
  [661] = 599,
  [662] = 551,
  [663] = 566,
  [664] = 595,
  [665] = 596,
  [666] = 597,
  [667] = 598,
  [668] = 599,
  [669] = 551,
  [670] = 566,
  [671] = 547,
  [672] = 582,
  [673] = 596,
  [674] = 597,
  [675] = 552,
  [676] = 561,
  [677] = 569,
  [678] = 578,
  [679] = 598,
  [680] = 585,
  [681] = 582,
  [682] = 585,
  [683] = 599,
  [684] = 585,
  [685] = 595,
  [686] = 585,
  [687] = 585,
  [688] = 585,
  [689] = 585,
  [690] = 585,
  [691] = 595,
  [692] = 596,
  [693] = 597,
  [694] = 598,
  [695] = 599,
  [696] = 551,
  [697] = 566,
  [698] = 595,
  [699] = 596,
  [700] = 597,
  [701] = 598,
  [702] = 599,
  [703] = 551,
  [704] = 566,
  [705] = 585,
  [706] = 552,
  [707] = 551,
  [708] = 547,
  [709] = 582,
  [710] = 552,
  [711] = 561,
  [712] = 569,
  [713] = 578,
  [714] = 585,
  [715] = 561,
  [716] = 566,
  [717] = 569,
  [718] = 578,
  [719] = 585,
  [720] = 585,
  [721] = 595,
  [722] = 596,
  [723] = 597,
  [724] = 598,
  [725] = 599,
  [726] = 551,
  [727] = 566,
  [728] = 595,
  [729] = 596,
  [730] = 597,
  [731] = 598,
  [732] = 599,
  [733] = 551,
  [734] = 566,
  [735] = 595,
  [736] = 547,
  [737] = 585,
  [738] = 585,
  [739] = 595,
  [740] = 596,
  [741] = 597,
  [742] = 598,
  [743] = 599,
  [744] = 551,
  [745] = 566,
  [746] = 595,
  [747] = 596,
  [748] = 597,
  [749] = 598,
  [750] = 599,
  [751] = 551,
  [752] = 566,
  [753] = 547,
  [754] = 596,
  [755] = 597,
  [756] = 598,
  [757] = 599,
  [758] = 585,
  [759] = 585,
  [760] = 585,
  [761] = 595,
  [762] = 596,
  [763] = 597,
  [764] = 598,
  [765] = 599,
  [766] = 551,
  [767] = 566,
  [768] = 595,
  [769] = 596,
  [770] = 597,
  [771] = 598,
  [772] = 599,
  [773] = 551,
  [774] = 566,
  [775] = 551,
  [776] = 553,
  [777] = 566,
  [778] = 547,
  [779] = 595,
  [780] = 585,
  [781] = 585,
  [782] = 595,
  [783] = 596,
  [784] = 597,
  [785] = 598,
  [786] = 599,
  [787] = 551,
  [788] = 566,
  [789] = 547,
  [790] = 585,
  [791] = 585,
  [792] = 595,
  [793] = 596,
  [794] = 597,
  [795] = 598,
  [796] = 599,
  [797] = 551,
  [798] = 566,
  [799] = 596,
  [800] = 597,
  [801] = 598,
  [802] = 599,
  [803] = 547,
  [804] = 585,
  [805] = 551,
  [806] = 585,
  [807] = 595,
  [808] = 596,
  [809] = 597,
  [810] = 598,
  [811] = 599,
  [812] = 551,
  [813] = 566,
  [814] = 566,
  [815] = 595,
  [816] = 547,
  [817] = 585,
  [818] = 595,
  [819] = 596,
  [820] = 597,
  [821] = 598,
  [822] = 599,
  [823] = 551,
  [824] = 566,
  [825] = 547,
  [826] = 596,
  [827] = 585,
  [828] = 595,
  [829] = 596,
  [830] = 597,
  [831] = 598,
  [832] = 599,
  [833] = 551,
  [834] = 566,
  [835] = 597,
  [836] = 598,
  [837] = 599,
  [838] = 547,
  [839] = 585,
  [840] = 551,
  [841] = 585,
  [842] = 595,
  [843] = 596,
  [844] = 597,
  [845] = 598,
  [846] = 599,
  [847] = 551,
  [848] = 566,
  [849] = 566,
  [850] = 595,
  [851] = 547,
  [852] = 585,
  [853] = 595,
  [854] = 596,
  [855] = 597,
  [856] = 598,
  [857] = 599,
  [858] = 551,
  [859] = 566,
  [860] = 547,
  [861] = 585,
  [862] = 595,
  [863] = 596,
  [864] = 597,
  [865] = 598,
  [866] = 599,
  [867] = 551,
  [868] = 566,
  [869] = 547,
  [870] = 585,
  [871] = 596,
  [872] = 597,
  [873] = 598,
  [874] = 547,
  [875] = 599,
  [876] = 596,
  [877] = 585,
  [878] = 585,
  [879] = 551,
  [880] = 597,
  [881] = 547,
  [882] = 566,
  [883] = 585,
  [884] = 595,
  [885] = 598,
  [886] = 547,
  [887] = 585,
  [888] = 547,
  [889] = 585,
  [890] = 547,
  [891] = 596,
  [892] = 585,
  [893] = 597,
  [894] = 598,
  [895] = 599,
  [896] = 582,
  [897] = 547,
  [898] = 585,
  [899] = 585,
  [900] = 551,
  [901] = 583,
  [902] = 566,
  [903] = 903,
  [904] = 585,
  [905] = 595,
  [906] = 547,
  [907] = 585,
  [908] = 547,
  [909] = 585,
  [910] = 547,
  [911] = 596,
  [912] = 597,
  [913] = 598,
  [914] = 599,
  [915] = 547,
  [916] = 585,
  [917] = 551,
  [918] = 566,
  [919] = 547,
  [920] = 595,
  [921] = 599,
  [922] = 547,
  [923] = 547,
  [924] = 547,
  [925] = 596,
  [926] = 597,
  [927] = 598,
  [928] = 599,
  [929] = 585,
  [930] = 547,
  [931] = 551,
  [932] = 566,
  [933] = 595,
  [934] = 596,
  [935] = 597,
  [936] = 598,
  [937] = 599,
  [938] = 585,
  [939] = 551,
  [940] = 566,
  [941] = 595,
  [942] = 596,
  [943] = 597,
  [944] = 598,
  [945] = 599,
  [946] = 585,
  [947] = 551,
  [948] = 566,
  [949] = 595,
  [950] = 596,
  [951] = 597,
  [952] = 598,
  [953] = 599,
  [954] = 585,
  [955] = 551,
  [956] = 566,
  [957] = 903,
  [958] = 595,
  [959] = 596,
  [960] = 597,
  [961] = 598,
  [962] = 599,
  [963] = 551,
  [964] = 566,
  [965] = 595,
  [966] = 547,
  [967] = 555,
  [968] = 649,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 556,
  [973] = 557,
  [974] = 558,
  [975] = 560,
  [976] = 567,
  [977] = 568,
  [978] = 576,
  [979] = 577,
  [980] = 592,
  [981] = 585,
  [982] = 595,
  [983] = 596,
  [984] = 597,
  [985] = 598,
  [986] = 599,
  [987] = 551,
  [988] = 566,
  [989] = 585,
  [990] = 585,
  [991] = 595,
  [992] = 596,
  [993] = 597,
  [994] = 598,
  [995] = 599,
  [996] = 551,
  [997] = 566,
  [998] = 547,
  [999] = 585,
  [1000] = 585,
  [1001] = 585,
  [1002] = 547,
  [1003] = 547,
  [1004] = 547,
  [1005] = 547,
  [1006] = 555,
  [1007] = 649,
  [1008] = 969,
  [1009] = 970,
  [1010] = 971,
  [1011] = 556,
  [1012] = 557,
  [1013] = 558,
  [1014] = 560,
  [1015] = 567,
  [1016] = 568,
  [1017] = 576,
  [1018] = 577,
  [1019] = 592,
  [1020] = 547,
  [1021] = 555,
  [1022] = 649,
  [1023] = 969,
  [1024] = 970,
  [1025] = 971,
  [1026] = 556,
  [1027] = 557,
  [1028] = 558,
  [1029] = 560,
  [1030] = 567,
  [1031] = 568,
  [1032] = 576,
  [1033] = 577,
  [1034] = 592,
  [1035] = 547,
  [1036] = 649,
  [1037] = 969,
  [1038] = 970,
  [1039] = 971,
  [1040] = 556,
  [1041] = 557,
  [1042] = 558,
  [1043] = 560,
  [1044] = 568,
  [1045] = 577,
  [1046] = 592,
  [1047] = 547,
  [1048] = 649,
  [1049] = 969,
  [1050] = 970,
  [1051] = 971,
  [1052] = 556,
  [1053] = 557,
  [1054] = 558,
  [1055] = 560,
  [1056] = 568,
  [1057] = 577,
  [1058] = 592,
  [1059] = 547,
  [1060] = 649,
  [1061] = 969,
  [1062] = 970,
  [1063] = 971,
  [1064] = 556,
  [1065] = 557,
  [1066] = 558,
  [1067] = 547,
  [1068] = 649,
  [1069] = 969,
  [1070] = 970,
  [1071] = 971,
  [1072] = 556,
  [1073] = 557,
  [1074] = 558,
  [1075] = 547,
  [1076] = 649,
  [1077] = 969,
  [1078] = 970,
  [1079] = 553,
  [1080] = 556,
  [1081] = 557,
  [1082] = 558,
  [1083] = 547,
  [1084] = 649,
  [1085] = 969,
  [1086] = 970,
  [1087] = 971,
  [1088] = 556,
  [1089] = 557,
  [1090] = 558,
  [1091] = 596,
  [1092] = 547,
  [1093] = 649,
  [1094] = 969,
  [1095] = 970,
  [1096] = 971,
  [1097] = 556,
  [1098] = 557,
  [1099] = 558,
  [1100] = 597,
  [1101] = 547,
  [1102] = 649,
  [1103] = 969,
  [1104] = 970,
  [1105] = 971,
  [1106] = 556,
  [1107] = 557,
  [1108] = 558,
  [1109] = 598,
  [1110] = 649,
  [1111] = 969,
  [1112] = 970,
  [1113] = 971,
  [1114] = 556,
  [1115] = 557,
  [1116] = 558,
  [1117] = 599,
  [1118] = 649,
  [1119] = 969,
  [1120] = 970,
  [1121] = 971,
  [1122] = 556,
  [1123] = 557,
  [1124] = 558,
  [1125] = 649,
  [1126] = 969,
  [1127] = 970,
  [1128] = 971,
  [1129] = 556,
  [1130] = 557,
  [1131] = 558,
  [1132] = 551,
  [1133] = 649,
  [1134] = 969,
  [1135] = 970,
  [1136] = 971,
  [1137] = 556,
  [1138] = 557,
  [1139] = 558,
  [1140] = 649,
  [1141] = 969,
  [1142] = 970,
  [1143] = 971,
  [1144] = 556,
  [1145] = 557,
  [1146] = 558,
  [1147] = 566,
  [1148] = 649,
  [1149] = 969,
  [1150] = 970,
  [1151] = 971,
  [1152] = 556,
  [1153] = 557,
  [1154] = 558,
  [1155] = 649,
  [1156] = 969,
  [1157] = 970,
  [1158] = 971,
  [1159] = 556,
  [1160] = 557,
  [1161] = 558,
  [1162] = 595,
  [1163] = 649,
  [1164] = 969,
  [1165] = 970,
  [1166] = 971,
  [1167] = 556,
  [1168] = 557,
  [1169] = 558,
  [1170] = 649,
  [1171] = 969,
  [1172] = 970,
  [1173] = 971,
  [1174] = 556,
  [1175] = 557,
  [1176] = 558,
  [1177] = 1177,
  [1178] = 649,
  [1179] = 969,
  [1180] = 970,
  [1181] = 971,
  [1182] = 556,
  [1183] = 557,
  [1184] = 558,
  [1185] = 649,
  [1186] = 969,
  [1187] = 970,
  [1188] = 971,
  [1189] = 556,
  [1190] = 557,
  [1191] = 558,
  [1192] = 649,
  [1193] = 969,
  [1194] = 970,
  [1195] = 971,
  [1196] = 556,
  [1197] = 557,
  [1198] = 558,
  [1199] = 649,
  [1200] = 969,
  [1201] = 970,
  [1202] = 971,
  [1203] = 556,
  [1204] = 557,
  [1205] = 558,
  [1206] = 649,
  [1207] = 969,
  [1208] = 970,
  [1209] = 971,
  [1210] = 556,
  [1211] = 557,
  [1212] = 558,
  [1213] = 649,
  [1214] = 969,
  [1215] = 970,
  [1216] = 971,
  [1217] = 556,
  [1218] = 557,
  [1219] = 558,
  [1220] = 649,
  [1221] = 969,
  [1222] = 970,
  [1223] = 971,
  [1224] = 556,
  [1225] = 557,
  [1226] = 558,
  [1227] = 649,
  [1228] = 969,
  [1229] = 970,
  [1230] = 971,
  [1231] = 556,
  [1232] = 557,
  [1233] = 558,
  [1234] = 649,
  [1235] = 969,
  [1236] = 970,
  [1237] = 971,
  [1238] = 556,
  [1239] = 557,
  [1240] = 558,
  [1241] = 649,
  [1242] = 969,
  [1243] = 970,
  [1244] = 971,
  [1245] = 556,
  [1246] = 557,
  [1247] = 558,
  [1248] = 649,
  [1249] = 969,
  [1250] = 970,
  [1251] = 971,
  [1252] = 556,
  [1253] = 557,
  [1254] = 558,
  [1255] = 596,
  [1256] = 649,
  [1257] = 969,
  [1258] = 970,
  [1259] = 971,
  [1260] = 556,
  [1261] = 557,
  [1262] = 558,
  [1263] = 597,
  [1264] = 649,
  [1265] = 969,
  [1266] = 970,
  [1267] = 971,
  [1268] = 556,
  [1269] = 557,
  [1270] = 558,
  [1271] = 598,
  [1272] = 649,
  [1273] = 969,
  [1274] = 970,
  [1275] = 971,
  [1276] = 556,
  [1277] = 557,
  [1278] = 558,
  [1279] = 649,
  [1280] = 969,
  [1281] = 970,
  [1282] = 971,
  [1283] = 556,
  [1284] = 557,
  [1285] = 558,
  [1286] = 649,
  [1287] = 969,
  [1288] = 970,
  [1289] = 971,
  [1290] = 556,
  [1291] = 557,
  [1292] = 558,
  [1293] = 649,
  [1294] = 969,
  [1295] = 970,
  [1296] = 971,
  [1297] = 556,
  [1298] = 557,
  [1299] = 558,
  [1300] = 649,
  [1301] = 969,
  [1302] = 970,
  [1303] = 971,
  [1304] = 556,
  [1305] = 557,
  [1306] = 558,
  [1307] = 649,
  [1308] = 969,
  [1309] = 970,
  [1310] = 971,
  [1311] = 556,
  [1312] = 557,
  [1313] = 558,
  [1314] = 649,
  [1315] = 969,
  [1316] = 970,
  [1317] = 971,
  [1318] = 556,
  [1319] = 557,
  [1320] = 558,
  [1321] = 649,
  [1322] = 969,
  [1323] = 970,
  [1324] = 971,
  [1325] = 556,
  [1326] = 557,
  [1327] = 558,
  [1328] = 599,
  [1329] = 551,
  [1330] = 1177,
  [1331] = 559,
  [1332] = 640,
  [1333] = 566,
  [1334] = 1177,
  [1335] = 559,
  [1336] = 640,
  [1337] = 595,
  [1338] = 1177,
  [1339] = 559,
  [1340] = 640,
  [1341] = 969,
  [1342] = 1177,
  [1343] = 559,
  [1344] = 640,
  [1345] = 1177,
  [1346] = 559,
  [1347] = 640,
  [1348] = 1177,
  [1349] = 559,
  [1350] = 640,
  [1351] = 596,
  [1352] = 1177,
  [1353] = 559,
  [1354] = 640,
  [1355] = 597,
  [1356] = 598,
  [1357] = 599,
  [1358] = 1177,
  [1359] = 559,
  [1360] = 640,
  [1361] = 551,
  [1362] = 566,
  [1363] = 1177,
  [1364] = 559,
  [1365] = 640,
  [1366] = 595,
  [1367] = 1177,
  [1368] = 559,
  [1369] = 640,
  [1370] = 970,
  [1371] = 1177,
  [1372] = 559,
  [1373] = 640,
  [1374] = 1177,
  [1375] = 559,
  [1376] = 640,
  [1377] = 1177,
  [1378] = 559,
  [1379] = 640,
  [1380] = 1177,
  [1381] = 559,
  [1382] = 640,
  [1383] = 1177,
  [1384] = 559,
  [1385] = 640,
  [1386] = 596,
  [1387] = 1177,
  [1388] = 559,
  [1389] = 640,
  [1390] = 597,
  [1391] = 598,
  [1392] = 1177,
  [1393] = 559,
  [1394] = 640,
  [1395] = 599,
  [1396] = 1177,
  [1397] = 559,
  [1398] = 640,
  [1399] = 551,
  [1400] = 1177,
  [1401] = 559,
  [1402] = 640,
  [1403] = 566,
  [1404] = 1177,
  [1405] = 559,
  [1406] = 640,
  [1407] = 595,
  [1408] = 1177,
  [1409] = 559,
  [1410] = 640,
  [1411] = 971,
  [1412] = 1177,
  [1413] = 559,
  [1414] = 640,
  [1415] = 1177,
  [1416] = 559,
  [1417] = 640,
  [1418] = 1177,
  [1419] = 559,
  [1420] = 640,
  [1421] = 1177,
  [1422] = 559,
  [1423] = 640,
  [1424] = 1177,
  [1425] = 559,
  [1426] = 640,
  [1427] = 596,
  [1428] = 1177,
  [1429] = 559,
  [1430] = 640,
  [1431] = 597,
  [1432] = 598,
  [1433] = 1177,
  [1434] = 559,
  [1435] = 640,
  [1436] = 599,
  [1437] = 551,
  [1438] = 1177,
  [1439] = 559,
  [1440] = 640,
  [1441] = 566,
  [1442] = 1177,
  [1443] = 559,
  [1444] = 640,
  [1445] = 595,
  [1446] = 1177,
  [1447] = 559,
  [1448] = 640,
  [1449] = 1177,
  [1450] = 559,
  [1451] = 640,
  [1452] = 1177,
  [1453] = 559,
  [1454] = 640,
  [1455] = 1177,
  [1456] = 559,
  [1457] = 640,
  [1458] = 1177,
  [1459] = 559,
  [1460] = 640,
  [1461] = 1177,
  [1462] = 559,
  [1463] = 640,
  [1464] = 1177,
  [1465] = 559,
  [1466] = 640,
  [1467] = 596,
  [1468] = 597,
  [1469] = 1177,
  [1470] = 559,
  [1471] = 640,
  [1472] = 598,
  [1473] = 599,
  [1474] = 1177,
  [1475] = 559,
  [1476] = 640,
  [1477] = 551,
  [1478] = 1177,
  [1479] = 559,
  [1480] = 640,
  [1481] = 566,
  [1482] = 1177,
  [1483] = 559,
  [1484] = 640,
  [1485] = 585,
  [1486] = 1486,
  [1487] = 1177,
  [1488] = 559,
  [1489] = 640,
  [1490] = 346,
  [1491] = 1177,
  [1492] = 559,
  [1493] = 640,
  [1494] = 903,
  [1495] = 553,
  [1496] = 903,
  [1497] = 971,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1498,
  [1505] = 1499,
  [1506] = 1500,
  [1507] = 1501,
  [1508] = 1502,
  [1509] = 1503,
  [1510] = 1498,
  [1511] = 1499,
  [1512] = 1500,
  [1513] = 1501,
  [1514] = 1502,
  [1515] = 1503,
  [1516] = 1498,
  [1517] = 1499,
  [1518] = 1500,
  [1519] = 1501,
  [1520] = 1502,
  [1521] = 1503,
  [1522] = 1498,
  [1523] = 1499,
  [1524] = 1500,
  [1525] = 1501,
  [1526] = 1502,
  [1527] = 1503,
  [1528] = 1498,
  [1529] = 1499,
  [1530] = 1500,
  [1531] = 1501,
  [1532] = 1502,
  [1533] = 1503,
  [1534] = 1498,
  [1535] = 1499,
  [1536] = 1500,
  [1537] = 1501,
  [1538] = 1502,
  [1539] = 1503,
  [1540] = 1498,
  [1541] = 1499,
  [1542] = 1500,
  [1543] = 346,
  [1544] = 1501,
  [1545] = 1502,
  [1546] = 1503,
  [1547] = 1498,
  [1548] = 1499,
  [1549] = 1500,
  [1550] = 1502,
  [1551] = 1501,
  [1552] = 1502,
  [1553] = 1503,
  [1554] = 1498,
  [1555] = 1499,
  [1556] = 1500,
  [1557] = 1501,
  [1558] = 1502,
  [1559] = 1503,
  [1560] = 1498,
  [1561] = 1499,
  [1562] = 1500,
  [1563] = 1501,
  [1564] = 1502,
  [1565] = 1503,
  [1566] = 1498,
  [1567] = 1499,
  [1568] = 1500,
  [1569] = 1501,
  [1570] = 1502,
  [1571] = 1503,
  [1572] = 1498,
  [1573] = 1499,
  [1574] = 1500,
  [1575] = 1501,
  [1576] = 1502,
  [1577] = 1503,
  [1578] = 1498,
  [1579] = 1499,
  [1580] = 1500,
  [1581] = 1501,
  [1582] = 1502,
  [1583] = 1503,
  [1584] = 1498,
  [1585] = 1499,
  [1586] = 1500,
  [1587] = 1501,
  [1588] = 1502,
  [1589] = 1503,
  [1590] = 1498,
  [1591] = 1499,
  [1592] = 1500,
  [1593] = 1501,
  [1594] = 1502,
  [1595] = 1503,
  [1596] = 1498,
  [1597] = 1499,
  [1598] = 1500,
  [1599] = 1501,
  [1600] = 1502,
  [1601] = 1503,
  [1602] = 1498,
  [1603] = 1499,
  [1604] = 1500,
  [1605] = 1501,
  [1606] = 1502,
  [1607] = 1503,
  [1608] = 1498,
  [1609] = 1499,
  [1610] = 1499,
  [1611] = 1500,
  [1612] = 346,
  [1613] = 1501,
  [1614] = 1502,
  [1615] = 1503,
  [1616] = 1498,
  [1617] = 1499,
  [1618] = 1500,
  [1619] = 1619,
  [1620] = 1620,
  [1621] = 1499,
  [1622] = 1500,
  [1623] = 1501,
  [1624] = 1502,
  [1625] = 1503,
  [1626] = 1498,
  [1627] = 1499,
  [1628] = 1500,
  [1629] = 1501,
  [1630] = 1502,
  [1631] = 1503,
  [1632] = 1498,
  [1633] = 1501,
  [1634] = 1502,
  [1635] = 1499,
  [1636] = 1500,
  [1637] = 1501,
  [1638] = 1502,
  [1639] = 1503,
  [1640] = 1498,
  [1641] = 1499,
  [1642] = 1498,
  [1643] = 1501,
  [1644] = 1502,
  [1645] = 1503,
  [1646] = 1498,
  [1647] = 1499,
  [1648] = 1500,
  [1649] = 1499,
  [1650] = 1501,
  [1651] = 1502,
  [1652] = 1503,
  [1653] = 1498,
  [1654] = 1500,
  [1655] = 1501,
  [1656] = 1499,
  [1657] = 1500,
  [1658] = 1502,
  [1659] = 1501,
  [1660] = 1502,
  [1661] = 1503,
  [1662] = 1498,
  [1663] = 1503,
  [1664] = 1498,
  [1665] = 1499,
  [1666] = 1500,
  [1667] = 1501,
  [1668] = 1502,
  [1669] = 1503,
  [1670] = 1498,
  [1671] = 1503,
  [1672] = 1498,
  [1673] = 1619,
  [1674] = 1503,
  [1675] = 1499,
  [1676] = 1500,
  [1677] = 1501,
  [1678] = 1502,
  [1679] = 1503,
  [1680] = 1498,
  [1681] = 1500,
  [1682] = 1499,
  [1683] = 1500,
  [1684] = 1501,
  [1685] = 1502,
  [1686] = 1503,
  [1687] = 1498,
  [1688] = 1499,
  [1689] = 1500,
  [1690] = 1501,
  [1691] = 1502,
  [1692] = 1503,
  [1693] = 1498,
  [1694] = 1499,
  [1695] = 1500,
  [1696] = 1501,
  [1697] = 1502,
  [1698] = 1503,
  [1699] = 1498,
  [1700] = 1499,
  [1701] = 1500,
  [1702] = 1501,
  [1703] = 1502,
  [1704] = 1503,
  [1705] = 1498,
  [1706] = 1499,
  [1707] = 1500,
  [1708] = 1501,
  [1709] = 1502,
  [1710] = 1503,
  [1711] = 1498,
  [1712] = 1499,
  [1713] = 1500,
  [1714] = 1501,
  [1715] = 1502,
  [1716] = 1503,
  [1717] = 1498,
  [1718] = 1499,
  [1719] = 1500,
  [1720] = 1501,
  [1721] = 1502,
  [1722] = 1499,
  [1723] = 1503,
  [1724] = 1498,
  [1725] = 1500,
  [1726] = 1499,
  [1727] = 1500,
  [1728] = 1620,
  [1729] = 1501,
  [1730] = 1502,
  [1731] = 1503,
  [1732] = 1498,
  [1733] = 1501,
  [1734] = 1502,
  [1735] = 1499,
  [1736] = 1500,
  [1737] = 1501,
  [1738] = 1502,
  [1739] = 1503,
  [1740] = 1498,
  [1741] = 1499,
  [1742] = 1500,
  [1743] = 1503,
  [1744] = 1498,
  [1745] = 1501,
  [1746] = 1502,
  [1747] = 1501,
  [1748] = 1503,
  [1749] = 1498,
  [1750] = 1499,
  [1751] = 1500,
  [1752] = 1501,
  [1753] = 1502,
  [1754] = 1503,
  [1755] = 1500,
  [1756] = 1756,
  [1757] = 1756,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 1765,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 1767,
  [1769] = 1769,
  [1770] = 1756,
  [1771] = 1758,
  [1772] = 1760,
  [1773] = 1761,
  [1774] = 1762,
  [1775] = 1763,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1766,
  [1779] = 1779,
  [1780] = 1766,
  [1781] = 1769,
  [1782] = 1756,
  [1783] = 1758,
  [1784] = 1760,
  [1785] = 1764,
  [1786] = 1761,
  [1787] = 1762,
  [1788] = 1763,
  [1789] = 1769,
  [1790] = 1767,
  [1791] = 1769,
  [1792] = 1756,
  [1793] = 1758,
  [1794] = 1760,
  [1795] = 1761,
  [1796] = 1762,
  [1797] = 1763,
  [1798] = 1776,
  [1799] = 1777,
  [1800] = 1766,
  [1801] = 1779,
  [1802] = 1764,
  [1803] = 1767,
  [1804] = 1776,
  [1805] = 1769,
  [1806] = 1756,
  [1807] = 1758,
  [1808] = 1760,
  [1809] = 1761,
  [1810] = 1762,
  [1811] = 1763,
  [1812] = 1776,
  [1813] = 1777,
  [1814] = 1766,
  [1815] = 1779,
  [1816] = 1777,
  [1817] = 1766,
  [1818] = 1779,
  [1819] = 1779,
  [1820] = 1764,
  [1821] = 1764,
  [1822] = 1822,
  [1823] = 1823,
  [1824] = 1767,
  [1825] = 1777,
  [1826] = 1764,
  [1827] = 1767,
  [1828] = 1767,
  [1829] = 1769,
  [1830] = 1756,
  [1831] = 1758,
  [1832] = 1760,
  [1833] = 1761,
  [1834] = 1762,
  [1835] = 1763,
  [1836] = 1776,
  [1837] = 1777,
  [1838] = 1766,
  [1839] = 1779,
  [1840] = 1764,
  [1841] = 1765,
  [1842] = 1767,
  [1843] = 1769,
  [1844] = 1769,
  [1845] = 1756,
  [1846] = 1758,
  [1847] = 1756,
  [1848] = 1758,
  [1849] = 1760,
  [1850] = 1761,
  [1851] = 1762,
  [1852] = 1763,
  [1853] = 1776,
  [1854] = 1777,
  [1855] = 1766,
  [1856] = 1779,
  [1857] = 1769,
  [1858] = 1756,
  [1859] = 1756,
  [1860] = 1758,
  [1861] = 1760,
  [1862] = 1760,
  [1863] = 1761,
  [1864] = 1764,
  [1865] = 1761,
  [1866] = 1776,
  [1867] = 1779,
  [1868] = 1758,
  [1869] = 1777,
  [1870] = 1766,
  [1871] = 1779,
  [1872] = 1762,
  [1873] = 1766,
  [1874] = 1767,
  [1875] = 1765,
  [1876] = 1763,
  [1877] = 1756,
  [1878] = 1779,
  [1879] = 1762,
  [1880] = 1765,
  [1881] = 1776,
  [1882] = 1777,
  [1883] = 1766,
  [1884] = 1760,
  [1885] = 1779,
  [1886] = 1758,
  [1887] = 1760,
  [1888] = 1767,
  [1889] = 1761,
  [1890] = 1769,
  [1891] = 1763,
  [1892] = 1756,
  [1893] = 1758,
  [1894] = 1760,
  [1895] = 1761,
  [1896] = 1762,
  [1897] = 1763,
  [1898] = 1776,
  [1899] = 1777,
  [1900] = 1766,
  [1901] = 1779,
  [1902] = 1762,
  [1903] = 1763,
  [1904] = 1776,
  [1905] = 1764,
  [1906] = 1776,
  [1907] = 1767,
  [1908] = 1764,
  [1909] = 1777,
  [1910] = 1767,
  [1911] = 1769,
  [1912] = 1769,
  [1913] = 1777,
  [1914] = 1756,
  [1915] = 1758,
  [1916] = 1760,
  [1917] = 1761,
  [1918] = 1762,
  [1919] = 1763,
  [1920] = 1776,
  [1921] = 1777,
  [1922] = 1766,
  [1923] = 1766,
  [1924] = 1779,
  [1925] = 1766,
  [1926] = 1756,
  [1927] = 1758,
  [1928] = 1760,
  [1929] = 1761,
  [1930] = 1764,
  [1931] = 1779,
  [1932] = 1762,
  [1933] = 1763,
  [1934] = 1760,
  [1935] = 1758,
  [1936] = 1764,
  [1937] = 1761,
  [1938] = 1776,
  [1939] = 1777,
  [1940] = 1766,
  [1941] = 1761,
  [1942] = 1767,
  [1943] = 1764,
  [1944] = 1767,
  [1945] = 1765,
  [1946] = 1779,
  [1947] = 1769,
  [1948] = 1762,
  [1949] = 1756,
  [1950] = 1779,
  [1951] = 1759,
  [1952] = 1767,
  [1953] = 1769,
  [1954] = 1756,
  [1955] = 1758,
  [1956] = 1760,
  [1957] = 1761,
  [1958] = 1762,
  [1959] = 1763,
  [1960] = 1776,
  [1961] = 1777,
  [1962] = 1766,
  [1963] = 1779,
  [1964] = 1764,
  [1965] = 1761,
  [1966] = 1767,
  [1967] = 1764,
  [1968] = 1762,
  [1969] = 1758,
  [1970] = 1779,
  [1971] = 1766,
  [1972] = 1760,
  [1973] = 1761,
  [1974] = 1762,
  [1975] = 1769,
  [1976] = 1764,
  [1977] = 1762,
  [1978] = 1763,
  [1979] = 1763,
  [1980] = 1767,
  [1981] = 1765,
  [1982] = 1776,
  [1983] = 1777,
  [1984] = 1766,
  [1985] = 1764,
  [1986] = 1779,
  [1987] = 1756,
  [1988] = 1758,
  [1989] = 1767,
  [1990] = 1760,
  [1991] = 1769,
  [1992] = 1756,
  [1993] = 1758,
  [1994] = 1760,
  [1995] = 1761,
  [1996] = 1762,
  [1997] = 1763,
  [1998] = 1776,
  [1999] = 1777,
  [2000] = 1766,
  [2001] = 1767,
  [2002] = 1779,
  [2003] = 1761,
  [2004] = 1762,
  [2005] = 1763,
  [2006] = 1776,
  [2007] = 1777,
  [2008] = 1764,
  [2009] = 1766,
  [2010] = 1779,
  [2011] = 1767,
  [2012] = 1763,
  [2013] = 1765,
  [2014] = 1764,
  [2015] = 1620,
  [2016] = 1769,
  [2017] = 1776,
  [2018] = 1777,
  [2019] = 1763,
  [2020] = 1769,
  [2021] = 1619,
  [2022] = 1765,
  [2023] = 1767,
  [2024] = 1764,
  [2025] = 1764,
  [2026] = 1776,
  [2027] = 1620,
  [2028] = 1767,
  [2029] = 1769,
  [2030] = 1756,
  [2031] = 1756,
  [2032] = 1758,
  [2033] = 1760,
  [2034] = 1761,
  [2035] = 1762,
  [2036] = 1763,
  [2037] = 1776,
  [2038] = 1777,
  [2039] = 1758,
  [2040] = 1766,
  [2041] = 1779,
  [2042] = 1769,
  [2043] = 346,
  [2044] = 1756,
  [2045] = 1758,
  [2046] = 1760,
  [2047] = 1760,
  [2048] = 1764,
  [2049] = 1761,
  [2050] = 1762,
  [2051] = 1769,
  [2052] = 1765,
  [2053] = 1767,
  [2054] = 1763,
  [2055] = 1761,
  [2056] = 1769,
  [2057] = 1766,
  [2058] = 1763,
  [2059] = 1756,
  [2060] = 1777,
  [2061] = 1758,
  [2062] = 1760,
  [2063] = 1762,
  [2064] = 1765,
  [2065] = 1756,
  [2066] = 1758,
  [2067] = 1760,
  [2068] = 1761,
  [2069] = 1769,
  [2070] = 1767,
  [2071] = 1763,
  [2072] = 1776,
  [2073] = 1769,
  [2074] = 1756,
  [2075] = 1758,
  [2076] = 1760,
  [2077] = 1761,
  [2078] = 1762,
  [2079] = 1776,
  [2080] = 1763,
  [2081] = 1776,
  [2082] = 1777,
  [2083] = 1766,
  [2084] = 1779,
  [2085] = 1777,
  [2086] = 1766,
  [2087] = 1777,
  [2088] = 1769,
  [2089] = 1779,
  [2090] = 1756,
  [2091] = 1764,
  [2092] = 1764,
  [2093] = 1762,
  [2094] = 1761,
  [2095] = 1766,
  [2096] = 1760,
  [2097] = 1763,
  [2098] = 1776,
  [2099] = 1777,
  [2100] = 1765,
  [2101] = 1762,
  [2102] = 1779,
  [2103] = 1779,
  [2104] = 1766,
  [2105] = 1756,
  [2106] = 1763,
  [2107] = 1765,
  [2108] = 1779,
  [2109] = 1765,
  [2110] = 1758,
  [2111] = 1767,
  [2112] = 1760,
  [2113] = 1769,
  [2114] = 1756,
  [2115] = 1758,
  [2116] = 1760,
  [2117] = 1761,
  [2118] = 1762,
  [2119] = 1763,
  [2120] = 1776,
  [2121] = 1777,
  [2122] = 1766,
  [2123] = 1779,
  [2124] = 1763,
  [2125] = 1776,
  [2126] = 1777,
  [2127] = 1762,
  [2128] = 1763,
  [2129] = 1764,
  [2130] = 1776,
  [2131] = 1765,
  [2132] = 1767,
  [2133] = 1756,
  [2134] = 1777,
  [2135] = 1766,
  [2136] = 1766,
  [2137] = 1779,
  [2138] = 1766,
  [2139] = 1776,
  [2140] = 1779,
  [2141] = 1765,
  [2142] = 1758,
  [2143] = 1764,
  [2144] = 1776,
  [2145] = 1767,
  [2146] = 1765,
  [2147] = 1769,
  [2148] = 1756,
  [2149] = 1758,
  [2150] = 1760,
  [2151] = 1761,
  [2152] = 1762,
  [2153] = 1763,
  [2154] = 1776,
  [2155] = 1777,
  [2156] = 1766,
  [2157] = 1779,
  [2158] = 1769,
  [2159] = 1619,
  [2160] = 1756,
  [2161] = 1765,
  [2162] = 1764,
  [2163] = 1764,
  [2164] = 1779,
  [2165] = 1758,
  [2166] = 346,
  [2167] = 1767,
  [2168] = 1767,
  [2169] = 1777,
  [2170] = 1760,
  [2171] = 1769,
  [2172] = 1760,
  [2173] = 1769,
  [2174] = 1765,
  [2175] = 1769,
  [2176] = 1767,
  [2177] = 1756,
  [2178] = 1769,
  [2179] = 1756,
  [2180] = 1758,
  [2181] = 1764,
  [2182] = 1760,
  [2183] = 1761,
  [2184] = 1762,
  [2185] = 1763,
  [2186] = 1767,
  [2187] = 1776,
  [2188] = 1777,
  [2189] = 1766,
  [2190] = 1779,
  [2191] = 1769,
  [2192] = 1758,
  [2193] = 1760,
  [2194] = 1761,
  [2195] = 1762,
  [2196] = 1756,
  [2197] = 1758,
  [2198] = 1763,
  [2199] = 1764,
  [2200] = 1776,
  [2201] = 1760,
  [2202] = 1761,
  [2203] = 1762,
  [2204] = 1761,
  [2205] = 1761,
  [2206] = 1756,
  [2207] = 1763,
  [2208] = 1776,
  [2209] = 1777,
  [2210] = 1756,
  [2211] = 1758,
  [2212] = 1760,
  [2213] = 1766,
  [2214] = 1779,
  [2215] = 1777,
  [2216] = 1762,
  [2217] = 1764,
  [2218] = 1761,
  [2219] = 1763,
  [2220] = 1762,
  [2221] = 1765,
  [2222] = 1766,
  [2223] = 1779,
  [2224] = 1767,
  [2225] = 1764,
  [2226] = 1769,
  [2227] = 1756,
  [2228] = 1758,
  [2229] = 1764,
  [2230] = 1767,
  [2231] = 1762,
  [2232] = 1756,
  [2233] = 1767,
  [2234] = 1763,
  [2235] = 1769,
  [2236] = 1776,
  [2237] = 1756,
  [2238] = 1777,
  [2239] = 1760,
  [2240] = 1758,
  [2241] = 1758,
  [2242] = 1760,
  [2243] = 1764,
  [2244] = 1766,
  [2245] = 1776,
  [2246] = 1761,
  [2247] = 1762,
  [2248] = 1761,
  [2249] = 1765,
  [2250] = 1767,
  [2251] = 1763,
  [2252] = 1776,
  [2253] = 1779,
  [2254] = 1760,
  [2255] = 1769,
  [2256] = 1777,
  [2257] = 1766,
  [2258] = 1761,
  [2259] = 1769,
  [2260] = 1756,
  [2261] = 1779,
  [2262] = 1758,
  [2263] = 2263,
  [2264] = 1756,
  [2265] = 1760,
  [2266] = 1763,
  [2267] = 2267,
  [2268] = 1761,
  [2269] = 1762,
  [2270] = 1763,
  [2271] = 1758,
  [2272] = 1620,
  [2273] = 1761,
  [2274] = 1776,
  [2275] = 1764,
  [2276] = 1777,
  [2277] = 1764,
  [2278] = 1766,
  [2279] = 1762,
  [2280] = 1760,
  [2281] = 1779,
  [2282] = 1767,
  [2283] = 1761,
  [2284] = 1762,
  [2285] = 1762,
  [2286] = 1767,
  [2287] = 1769,
  [2288] = 1763,
  [2289] = 1776,
  [2290] = 1763,
  [2291] = 1769,
  [2292] = 1756,
  [2293] = 1776,
  [2294] = 1777,
  [2295] = 1777,
  [2296] = 1758,
  [2297] = 1760,
  [2298] = 1766,
  [2299] = 1756,
  [2300] = 1779,
  [2301] = 1761,
  [2302] = 1762,
  [2303] = 1777,
  [2304] = 1766,
  [2305] = 1758,
  [2306] = 1763,
  [2307] = 1776,
  [2308] = 1766,
  [2309] = 1779,
  [2310] = 1760,
  [2311] = 1777,
  [2312] = 1766,
  [2313] = 1761,
  [2314] = 1762,
  [2315] = 1764,
  [2316] = 1779,
  [2317] = 1776,
  [2318] = 1620,
  [2319] = 1763,
  [2320] = 1777,
  [2321] = 1766,
  [2322] = 1779,
  [2323] = 1776,
  [2324] = 1764,
  [2325] = 1764,
  [2326] = 1777,
  [2327] = 1766,
  [2328] = 1779,
  [2329] = 1779,
  [2330] = 1764,
  [2331] = 1767,
  [2332] = 1764,
  [2333] = 1619,
  [2334] = 1769,
  [2335] = 1767,
  [2336] = 1763,
  [2337] = 1619,
  [2338] = 1756,
  [2339] = 1758,
  [2340] = 1769,
  [2341] = 1767,
  [2342] = 1760,
  [2343] = 1758,
  [2344] = 1764,
  [2345] = 1761,
  [2346] = 1762,
  [2347] = 1760,
  [2348] = 1761,
  [2349] = 1769,
  [2350] = 1763,
  [2351] = 1776,
  [2352] = 1762,
  [2353] = 1763,
  [2354] = 1777,
  [2355] = 1766,
  [2356] = 1779,
  [2357] = 1776,
  [2358] = 1777,
  [2359] = 1764,
  [2360] = 1765,
  [2361] = 1766,
  [2362] = 1779,
  [2363] = 1769,
  [2364] = 1767,
  [2365] = 1767,
  [2366] = 1762,
  [2367] = 1776,
  [2368] = 1756,
  [2369] = 1767,
  [2370] = 1764,
  [2371] = 1776,
  [2372] = 1769,
  [2373] = 1767,
  [2374] = 1769,
  [2375] = 1764,
  [2376] = 2263,
  [2377] = 1767,
  [2378] = 1760,
  [2379] = 1764,
  [2380] = 1756,
  [2381] = 1769,
  [2382] = 1765,
  [2383] = 1758,
  [2384] = 1760,
  [2385] = 1761,
  [2386] = 1758,
  [2387] = 1758,
  [2388] = 1777,
  [2389] = 1762,
  [2390] = 1777,
  [2391] = 1765,
  [2392] = 1767,
  [2393] = 1761,
  [2394] = 1620,
  [2395] = 1620,
  [2396] = 1619,
  [2397] = 1619,
  [2398] = 1620,
  [2399] = 1619,
  [2400] = 1619,
  [2401] = 1620,
  [2402] = 1619,
  [2403] = 1620,
  [2404] = 1619,
  [2405] = 1620,
  [2406] = 346,
  [2407] = 346,
  [2408] = 346,
  [2409] = 346,
  [2410] = 346,
  [2411] = 1619,
  [2412] = 1620,
  [2413] = 1619,
  [2414] = 1620,
  [2415] = 346,
  [2416] = 1619,
  [2417] = 1620,
  [2418] = 1619,
  [2419] = 1620,
  [2420] = 1620,
  [2421] = 346,
  [2422] = 1619,
  [2423] = 2423,
  [2424] = 2423,
  [2425] = 2425,
  [2426] = 2426,
  [2427] = 2423,
  [2428] = 2423,
  [2429] = 2423,
  [2430] = 2423,
  [2431] = 2425,
  [2432] = 2426,
  [2433] = 2423,
  [2434] = 2423,
  [2435] = 346,
  [2436] = 1619,
  [2437] = 1620,
  [2438] = 2425,
  [2439] = 2425,
  [2440] = 2426,
  [2441] = 2426,
  [2442] = 346,
  [2443] = 2443,
  [2444] = 1620,
  [2445] = 2443,
  [2446] = 2443,
  [2447] = 2447,
  [2448] = 2443,
  [2449] = 2443,
  [2450] = 2443,
  [2451] = 2447,
  [2452] = 346,
  [2453] = 346,
  [2454] = 346,
  [2455] = 346,
  [2456] = 346,
  [2457] = 2447,
  [2458] = 346,
  [2459] = 2447,
  [2460] = 1619,
  [2461] = 2447,
  [2462] = 346,
  [2463] = 1619,
  [2464] = 2464,
  [2465] = 346,
  [2466] = 1620,
  [2467] = 2464,
  [2468] = 346,
  [2469] = 346,
  [2470] = 346,
  [2471] = 2464,
  [2472] = 2472,
  [2473] = 2473,
  [2474] = 2472,
  [2475] = 1620,
  [2476] = 2464,
  [2477] = 1619,
  [2478] = 2473,
  [2479] = 1620,
  [2480] = 1620,
  [2481] = 1619,
  [2482] = 1620,
  [2483] = 1619,
  [2484] = 2472,
  [2485] = 2473,
  [2486] = 1620,
  [2487] = 1619,
  [2488] = 1619,
  [2489] = 1619,
  [2490] = 1619,
  [2491] = 1620,
  [2492] = 1620,
  [2493] = 1620,
  [2494] = 1620,
  [2495] = 1620,
  [2496] = 1619,
  [2497] = 1620,
  [2498] = 1620,
  [2499] = 2473,
  [2500] = 1619,
  [2501] = 1619,
  [2502] = 1620,
  [2503] = 1620,
  [2504] = 1620,
  [2505] = 2472,
  [2506] = 1619,
  [2507] = 1620,
  [2508] = 1619,
  [2509] = 2509,
  [2510] = 2509,
  [2511] = 2509,
  [2512] = 2509,
  [2513] = 2509,
  [2514] = 2509,
  [2515] = 2509,
  [2516] = 2516,
  [2517] = 2517,
  [2518] = 2517,
  [2519] = 2519,
  [2520] = 2520,
  [2521] = 2521,
  [2522] = 2520,
  [2523] = 2472,
  [2524] = 2524,
  [2525] = 2525,
  [2526] = 2473,
  [2527] = 2527,
  [2528] = 2527,
  [2529] = 2519,
  [2530] = 2524,
  [2531] = 2531,
  [2532] = 2521,
  [2533] = 2531,
  [2534] = 2534,
  [2535] = 2516,
  [2536] = 1620,
  [2537] = 2525,
  [2538] = 2534,
  [2539] = 2534,
  [2540] = 2531,
  [2541] = 2517,
  [2542] = 2527,
  [2543] = 2543,
  [2544] = 2519,
  [2545] = 2520,
  [2546] = 2521,
  [2547] = 2525,
  [2548] = 2524,
  [2549] = 2516,
  [2550] = 2519,
  [2551] = 2520,
  [2552] = 2524,
  [2553] = 2531,
  [2554] = 2517,
  [2555] = 2525,
  [2556] = 2534,
  [2557] = 2516,
  [2558] = 2558,
  [2559] = 2521,
  [2560] = 2527,
  [2561] = 2561,
  [2562] = 2561,
  [2563] = 2561,
  [2564] = 2543,
  [2565] = 2426,
  [2566] = 2425,
  [2567] = 2561,
  [2568] = 2543,
  [2569] = 2558,
  [2570] = 2558,
  [2571] = 2571,
  [2572] = 2571,
  [2573] = 2571,
  [2574] = 2574,
  [2575] = 2571,
  [2576] = 2571,
  [2577] = 2571,
  [2578] = 2571,
  [2579] = 2571,
  [2580] = 2571,
  [2581] = 2571,
  [2582] = 2582,
  [2583] = 2571,
  [2584] = 2571,
  [2585] = 2571,
  [2586] = 2571,
  [2587] = 2571,
  [2588] = 2571,
  [2589] = 2571,
  [2590] = 2571,
  [2591] = 2571,
  [2592] = 2571,
  [2593] = 2571,
  [2594] = 2594,
  [2595] = 2571,
  [2596] = 2571,
  [2597] = 2571,
  [2598] = 2571,
  [2599] = 2571,
  [2600] = 2571,
  [2601] = 2571,
  [2602] = 2571,
  [2603] = 2571,
  [2604] = 2571,
  [2605] = 2571,
  [2606] = 2571,
  [2607] = 2571,
  [2608] = 2571,
  [2609] = 2571,
  [2610] = 2571,
  [2611] = 2571,
  [2612] = 2571,
  [2613] = 2571,
  [2614] = 2571,
  [2615] = 2571,
  [2616] = 2616,
  [2617] = 2617,
  [2618] = 2618,
  [2619] = 2571,
  [2620] = 2571,
  [2621] = 2621,
  [2622] = 2621,
  [2623] = 2464,
  [2624] = 2621,
  [2625] = 2621,
  [2626] = 2621,
  [2627] = 2621,
  [2628] = 2621,
  [2629] = 2621,
  [2630] = 2621,
  [2631] = 2621,
  [2632] = 2621,
  [2633] = 2621,
  [2634] = 2621,
  [2635] = 2621,
  [2636] = 2621,
  [2637] = 2621,
  [2638] = 2621,
  [2639] = 2621,
  [2640] = 2621,
  [2641] = 2621,
  [2642] = 2621,
  [2643] = 2621,
  [2644] = 2621,
  [2645] = 2621,
  [2646] = 2621,
  [2647] = 2621,
  [2648] = 2621,
  [2649] = 2621,
  [2650] = 2621,
  [2651] = 2621,
  [2652] = 2621,
  [2653] = 2621,
  [2654] = 2621,
  [2655] = 2621,
  [2656] = 2621,
  [2657] = 2621,
  [2658] = 2621,
  [2659] = 2621,
  [2660] = 2621,
  [2661] = 2621,
  [2662] = 2621,
  [2663] = 2621,
  [2664] = 2621,
  [2665] = 2621,
  [2666] = 2621,
  [2667] = 2621,
  [2668] = 2621,
  [2669] = 2621,
  [2670] = 2670,
  [2671] = 2671,
  [2672] = 2672,
  [2673] = 2670,
  [2674] = 2674,
  [2675] = 2675,
  [2676] = 2671,
  [2677] = 2672,
  [2678] = 2670,
  [2679] = 2674,
  [2680] = 2675,
  [2681] = 2671,
  [2682] = 2672,
  [2683] = 2670,
  [2684] = 2674,
  [2685] = 2671,
  [2686] = 2672,
  [2687] = 2670,
  [2688] = 2674,
  [2689] = 2675,
  [2690] = 2671,
  [2691] = 2671,
  [2692] = 2672,
  [2693] = 2670,
  [2694] = 2674,
  [2695] = 2675,
  [2696] = 2672,
  [2697] = 2671,
  [2698] = 2672,
  [2699] = 2670,
  [2700] = 2674,
  [2701] = 2675,
  [2702] = 2670,
  [2703] = 2671,
  [2704] = 2672,
  [2705] = 2670,
  [2706] = 2674,
  [2707] = 2675,
  [2708] = 2671,
  [2709] = 2672,
  [2710] = 2670,
  [2711] = 2674,
  [2712] = 2675,
  [2713] = 2671,
  [2714] = 2672,
  [2715] = 2670,
  [2716] = 2674,
  [2717] = 2674,
  [2718] = 2675,
  [2719] = 2675,
  [2720] = 2671,
  [2721] = 2672,
  [2722] = 2670,
  [2723] = 2674,
  [2724] = 2674,
  [2725] = 2675,
  [2726] = 2674,
  [2727] = 2671,
  [2728] = 2671,
  [2729] = 2672,
  [2730] = 2670,
  [2731] = 2675,
  [2732] = 2674,
  [2733] = 2675,
  [2734] = 2671,
  [2735] = 2672,
  [2736] = 2670,
  [2737] = 2674,
  [2738] = 2675,
  [2739] = 2671,
  [2740] = 2672,
  [2741] = 2670,
  [2742] = 2742,
  [2743] = 2674,
  [2744] = 2675,
  [2745] = 2671,
  [2746] = 2672,
  [2747] = 2670,
  [2748] = 2674,
  [2749] = 2675,
  [2750] = 2671,
  [2751] = 2672,
  [2752] = 2670,
  [2753] = 2674,
  [2754] = 2675,
  [2755] = 2671,
  [2756] = 2672,
  [2757] = 2670,
  [2758] = 2674,
  [2759] = 2675,
  [2760] = 2671,
  [2761] = 2671,
  [2762] = 2672,
  [2763] = 2670,
  [2764] = 2674,
  [2765] = 2675,
  [2766] = 2675,
  [2767] = 2671,
  [2768] = 2672,
  [2769] = 2670,
  [2770] = 2674,
  [2771] = 2675,
  [2772] = 2671,
  [2773] = 2672,
  [2774] = 2670,
  [2775] = 2674,
  [2776] = 2675,
  [2777] = 2671,
  [2778] = 2672,
  [2779] = 2670,
  [2780] = 2674,
  [2781] = 2675,
  [2782] = 2671,
  [2783] = 2672,
  [2784] = 2670,
  [2785] = 2674,
  [2786] = 2675,
  [2787] = 2671,
  [2788] = 2672,
  [2789] = 2670,
  [2790] = 2674,
  [2791] = 2675,
  [2792] = 2671,
  [2793] = 2672,
  [2794] = 2670,
  [2795] = 2674,
  [2796] = 2675,
  [2797] = 2672,
  [2798] = 2671,
  [2799] = 2672,
  [2800] = 2670,
  [2801] = 2674,
  [2802] = 2675,
  [2803] = 2672,
  [2804] = 2670,
  [2805] = 2671,
  [2806] = 1620,
  [2807] = 2671,
  [2808] = 2672,
  [2809] = 2670,
  [2810] = 2674,
  [2811] = 2472,
  [2812] = 2675,
  [2813] = 2671,
  [2814] = 2672,
  [2815] = 2671,
  [2816] = 2672,
  [2817] = 2670,
  [2818] = 2670,
  [2819] = 2670,
  [2820] = 2674,
  [2821] = 2675,
  [2822] = 2674,
  [2823] = 2674,
  [2824] = 2675,
  [2825] = 2675,
  [2826] = 2672,
  [2827] = 2670,
  [2828] = 2675,
  [2829] = 2671,
  [2830] = 2671,
  [2831] = 2672,
  [2832] = 2670,
  [2833] = 2672,
  [2834] = 2674,
  [2835] = 2675,
  [2836] = 2670,
  [2837] = 2670,
  [2838] = 2671,
  [2839] = 2671,
  [2840] = 2672,
  [2841] = 2670,
  [2842] = 2674,
  [2843] = 2675,
  [2844] = 2674,
  [2845] = 2672,
  [2846] = 2671,
  [2847] = 2675,
  [2848] = 2671,
  [2849] = 2672,
  [2850] = 2671,
  [2851] = 2670,
  [2852] = 2674,
  [2853] = 2672,
  [2854] = 2675,
  [2855] = 2671,
  [2856] = 2670,
  [2857] = 2672,
  [2858] = 2674,
  [2859] = 2675,
  [2860] = 2674,
  [2861] = 2671,
  [2862] = 2672,
  [2863] = 2670,
  [2864] = 2674,
  [2865] = 2675,
  [2866] = 2671,
  [2867] = 2672,
  [2868] = 2670,
  [2869] = 2674,
  [2870] = 2675,
  [2871] = 2671,
  [2872] = 2672,
  [2873] = 2670,
  [2874] = 2674,
  [2875] = 2675,
  [2876] = 2671,
  [2877] = 2672,
  [2878] = 2670,
  [2879] = 2670,
  [2880] = 2674,
  [2881] = 2675,
  [2882] = 2674,
  [2883] = 2675,
  [2884] = 2674,
  [2885] = 2671,
  [2886] = 2672,
  [2887] = 2670,
  [2888] = 2674,
  [2889] = 2675,
  [2890] = 2675,
  [2891] = 2473,
  [2892] = 2672,
  [2893] = 2675,
  [2894] = 2894,
  [2895] = 2894,
  [2896] = 2896,
  [2897] = 2894,
  [2898] = 2543,
  [2899] = 2894,
  [2900] = 2900,
  [2901] = 2901,
  [2902] = 2902,
  [2903] = 2903,
  [2904] = 2904,
  [2905] = 2905,
  [2906] = 2894,
  [2907] = 2907,
  [2908] = 2908,
  [2909] = 2894,
  [2910] = 2910,
  [2911] = 2894,
  [2912] = 2912,
  [2913] = 2894,
  [2914] = 2912,
  [2915] = 2894,
  [2916] = 2912,
  [2917] = 2917,
  [2918] = 2903,
  [2919] = 2894,
  [2920] = 2561,
  [2921] = 2894,
  [2922] = 2917,
  [2923] = 2908,
  [2924] = 2896,
  [2925] = 2912,
  [2926] = 2900,
  [2927] = 2901,
  [2928] = 2902,
  [2929] = 2904,
  [2930] = 2905,
  [2931] = 2907,
  [2932] = 2910,
  [2933] = 2917,
  [2934] = 2934,
  [2935] = 2934,
  [2936] = 2936,
  [2937] = 2937,
  [2938] = 2938,
  [2939] = 2939,
  [2940] = 2940,
  [2941] = 2941,
  [2942] = 2942,
  [2943] = 2896,
  [2944] = 2907,
  [2945] = 2934,
  [2946] = 2903,
  [2947] = 2939,
  [2948] = 2948,
  [2949] = 2949,
  [2950] = 2950,
  [2951] = 2949,
  [2952] = 2950,
  [2953] = 2939,
  [2954] = 2954,
  [2955] = 2900,
  [2956] = 2939,
  [2957] = 2934,
  [2958] = 2901,
  [2959] = 2902,
  [2960] = 2904,
  [2961] = 2961,
  [2962] = 2905,
  [2963] = 2907,
  [2964] = 2964,
  [2965] = 2939,
  [2966] = 2903,
  [2967] = 2967,
  [2968] = 2968,
  [2969] = 2558,
  [2970] = 2940,
  [2971] = 2939,
  [2972] = 2941,
  [2973] = 2973,
  [2974] = 2974,
  [2975] = 2939,
  [2976] = 2976,
  [2977] = 2977,
  [2978] = 2939,
  [2979] = 2979,
  [2980] = 2980,
  [2981] = 2961,
  [2982] = 2939,
  [2983] = 2964,
  [2984] = 2973,
  [2985] = 2949,
  [2986] = 2950,
  [2987] = 2896,
  [2988] = 2949,
  [2989] = 2939,
  [2990] = 2950,
  [2991] = 2991,
  [2992] = 2992,
  [2993] = 2993,
  [2994] = 2940,
  [2995] = 2939,
  [2996] = 2939,
  [2997] = 2973,
  [2998] = 2973,
  [2999] = 2961,
  [3000] = 2964,
  [3001] = 2973,
  [3002] = 3002,
  [3003] = 2973,
  [3004] = 2939,
  [3005] = 3005,
  [3006] = 2939,
  [3007] = 2977,
  [3008] = 2940,
  [3009] = 2973,
  [3010] = 2941,
  [3011] = 2973,
  [3012] = 2900,
  [3013] = 2901,
  [3014] = 2973,
  [3015] = 2939,
  [3016] = 2977,
  [3017] = 2902,
  [3018] = 2904,
  [3019] = 2973,
  [3020] = 2905,
  [3021] = 2940,
  [3022] = 2907,
  [3023] = 2961,
  [3024] = 2973,
  [3025] = 2939,
  [3026] = 2949,
  [3027] = 2973,
  [3028] = 2950,
  [3029] = 2977,
  [3030] = 2964,
  [3031] = 2941,
  [3032] = 2973,
  [3033] = 2939,
  [3034] = 2973,
  [3035] = 2425,
  [3036] = 2939,
  [3037] = 2973,
  [3038] = 2961,
  [3039] = 2977,
  [3040] = 2964,
  [3041] = 2973,
  [3042] = 2426,
  [3043] = 2973,
  [3044] = 3044,
  [3045] = 2934,
  [3046] = 2973,
  [3047] = 2940,
  [3048] = 2977,
  [3049] = 2941,
  [3050] = 2973,
  [3051] = 2939,
  [3052] = 2973,
  [3053] = 2940,
  [3054] = 2977,
  [3055] = 2941,
  [3056] = 2973,
  [3057] = 2967,
  [3058] = 2973,
  [3059] = 2941,
  [3060] = 2977,
  [3061] = 3061,
  [3062] = 2973,
  [3063] = 3063,
  [3064] = 2973,
  [3065] = 2939,
  [3066] = 2977,
  [3067] = 3067,
  [3068] = 2973,
  [3069] = 2903,
  [3070] = 2973,
  [3071] = 3071,
  [3072] = 2977,
  [3073] = 2973,
  [3074] = 2973,
  [3075] = 2949,
  [3076] = 2973,
  [3077] = 2968,
  [3078] = 2977,
  [3079] = 2908,
  [3080] = 2939,
  [3081] = 2973,
  [3082] = 2910,
  [3083] = 2974,
  [3084] = 2973,
  [3085] = 2976,
  [3086] = 2977,
  [3087] = 2979,
  [3088] = 2939,
  [3089] = 2977,
  [3090] = 3090,
  [3091] = 2977,
  [3092] = 2908,
  [3093] = 3093,
  [3094] = 2977,
  [3095] = 2910,
  [3096] = 2980,
  [3097] = 2977,
  [3098] = 2939,
  [3099] = 2977,
  [3100] = 2949,
  [3101] = 2977,
  [3102] = 2908,
  [3103] = 2977,
  [3104] = 2950,
  [3105] = 2977,
  [3106] = 2910,
  [3107] = 2977,
  [3108] = 2950,
  [3109] = 2977,
  [3110] = 2905,
  [3111] = 2977,
  [3112] = 3112,
  [3113] = 2973,
  [3114] = 2977,
  [3115] = 3115,
  [3116] = 3116,
  [3117] = 2934,
  [3118] = 2977,
  [3119] = 3119,
  [3120] = 3120,
  [3121] = 3121,
  [3122] = 3122,
  [3123] = 2939,
  [3124] = 2977,
  [3125] = 3125,
  [3126] = 3126,
  [3127] = 3127,
  [3128] = 2904,
  [3129] = 3129,
  [3130] = 3130,
  [3131] = 2977,
  [3132] = 3132,
  [3133] = 2961,
  [3134] = 3134,
  [3135] = 3135,
  [3136] = 2939,
  [3137] = 2977,
  [3138] = 3138,
  [3139] = 2936,
  [3140] = 3140,
  [3141] = 3141,
  [3142] = 3142,
  [3143] = 2939,
  [3144] = 2977,
  [3145] = 3145,
  [3146] = 3146,
  [3147] = 3147,
  [3148] = 3148,
  [3149] = 3149,
  [3150] = 3150,
  [3151] = 3151,
  [3152] = 2964,
  [3153] = 2977,
  [3154] = 3154,
  [3155] = 3155,
  [3156] = 3156,
  [3157] = 3157,
  [3158] = 2961,
  [3159] = 2939,
  [3160] = 2964,
  [3161] = 2903,
  [3162] = 2977,
  [3163] = 3163,
  [3164] = 3164,
  [3165] = 3165,
  [3166] = 3166,
  [3167] = 2991,
  [3168] = 2992,
  [3169] = 2993,
  [3170] = 2977,
  [3171] = 2939,
  [3172] = 3172,
  [3173] = 3002,
  [3174] = 2977,
  [3175] = 3175,
  [3176] = 2940,
  [3177] = 2977,
  [3178] = 2941,
  [3179] = 3179,
  [3180] = 3005,
  [3181] = 2977,
  [3182] = 3044,
  [3183] = 2977,
  [3184] = 2939,
  [3185] = 2977,
  [3186] = 3186,
  [3187] = 3187,
  [3188] = 3061,
  [3189] = 2908,
  [3190] = 2977,
  [3191] = 3191,
  [3192] = 2910,
  [3193] = 3063,
  [3194] = 2977,
  [3195] = 3195,
  [3196] = 3196,
  [3197] = 3067,
  [3198] = 3198,
  [3199] = 3071,
  [3200] = 2977,
  [3201] = 3201,
  [3202] = 3202,
  [3203] = 3090,
  [3204] = 2977,
  [3205] = 3205,
  [3206] = 3112,
  [3207] = 2977,
  [3208] = 2977,
  [3209] = 3093,
  [3210] = 3115,
  [3211] = 3116,
  [3212] = 3119,
  [3213] = 3120,
  [3214] = 2939,
  [3215] = 3121,
  [3216] = 3122,
  [3217] = 3125,
  [3218] = 3126,
  [3219] = 3127,
  [3220] = 3220,
  [3221] = 3129,
  [3222] = 3132,
  [3223] = 2949,
  [3224] = 3134,
  [3225] = 3135,
  [3226] = 2950,
  [3227] = 3138,
  [3228] = 2902,
  [3229] = 3140,
  [3230] = 3141,
  [3231] = 3142,
  [3232] = 3145,
  [3233] = 3146,
  [3234] = 3147,
  [3235] = 3148,
  [3236] = 3149,
  [3237] = 3150,
  [3238] = 3151,
  [3239] = 3154,
  [3240] = 3155,
  [3241] = 3156,
  [3242] = 3157,
  [3243] = 3130,
  [3244] = 3244,
  [3245] = 2937,
  [3246] = 3163,
  [3247] = 3164,
  [3248] = 3165,
  [3249] = 3166,
  [3250] = 2939,
  [3251] = 2939,
  [3252] = 2938,
  [3253] = 3172,
  [3254] = 3175,
  [3255] = 2961,
  [3256] = 2964,
  [3257] = 3179,
  [3258] = 2948,
  [3259] = 2954,
  [3260] = 3186,
  [3261] = 3187,
  [3262] = 2942,
  [3263] = 3191,
  [3264] = 2896,
  [3265] = 3195,
  [3266] = 3196,
  [3267] = 3244,
  [3268] = 3198,
  [3269] = 2900,
  [3270] = 2901,
  [3271] = 2902,
  [3272] = 3201,
  [3273] = 2904,
  [3274] = 2905,
  [3275] = 2907,
  [3276] = 3202,
  [3277] = 3205,
  [3278] = 2896,
  [3279] = 2900,
  [3280] = 2901,
  [3281] = 3220,
  [3282] = 2942,
  [3283] = 3164,
  [3284] = 3284,
  [3285] = 3175,
  [3286] = 3186,
  [3287] = 3187,
  [3288] = 3288,
  [3289] = 3112,
  [3290] = 3115,
  [3291] = 3116,
  [3292] = 3119,
  [3293] = 3120,
  [3294] = 3121,
  [3295] = 3191,
  [3296] = 3125,
  [3297] = 3126,
  [3298] = 3127,
  [3299] = 3220,
  [3300] = 3129,
  [3301] = 3132,
  [3302] = 3134,
  [3303] = 3135,
  [3304] = 3138,
  [3305] = 2936,
  [3306] = 3165,
  [3307] = 3140,
  [3308] = 3141,
  [3309] = 2968,
  [3310] = 2974,
  [3311] = 2976,
  [3312] = 3142,
  [3313] = 3145,
  [3314] = 3146,
  [3315] = 3147,
  [3316] = 3148,
  [3317] = 3149,
  [3318] = 3150,
  [3319] = 3151,
  [3320] = 3154,
  [3321] = 3155,
  [3322] = 3156,
  [3323] = 2979,
  [3324] = 3163,
  [3325] = 3164,
  [3326] = 3165,
  [3327] = 3166,
  [3328] = 3179,
  [3329] = 3172,
  [3330] = 2967,
  [3331] = 3195,
  [3332] = 3196,
  [3333] = 2968,
  [3334] = 2974,
  [3335] = 2976,
  [3336] = 2979,
  [3337] = 3175,
  [3338] = 3122,
  [3339] = 3339,
  [3340] = 2980,
  [3341] = 3179,
  [3342] = 3157,
  [3343] = 2991,
  [3344] = 2992,
  [3345] = 2993,
  [3346] = 3002,
  [3347] = 3005,
  [3348] = 3044,
  [3349] = 2980,
  [3350] = 3186,
  [3351] = 3061,
  [3352] = 3063,
  [3353] = 3067,
  [3354] = 3071,
  [3355] = 2991,
  [3356] = 2992,
  [3357] = 3191,
  [3358] = 2993,
  [3359] = 3195,
  [3360] = 3002,
  [3361] = 3005,
  [3362] = 3044,
  [3363] = 3198,
  [3364] = 3090,
  [3365] = 3061,
  [3366] = 3201,
  [3367] = 3202,
  [3368] = 3205,
  [3369] = 3369,
  [3370] = 3063,
  [3371] = 3093,
  [3372] = 3067,
  [3373] = 3071,
  [3374] = 3090,
  [3375] = 3375,
  [3376] = 3376,
  [3377] = 3130,
  [3378] = 3093,
  [3379] = 3379,
  [3380] = 3380,
  [3381] = 2954,
  [3382] = 3112,
  [3383] = 3383,
  [3384] = 3115,
  [3385] = 3116,
  [3386] = 3187,
  [3387] = 3119,
  [3388] = 3120,
  [3389] = 3121,
  [3390] = 3130,
  [3391] = 3125,
  [3392] = 3126,
  [3393] = 3127,
  [3394] = 3220,
  [3395] = 3129,
  [3396] = 3132,
  [3397] = 3134,
  [3398] = 3135,
  [3399] = 3138,
  [3400] = 2936,
  [3401] = 3140,
  [3402] = 3141,
  [3403] = 3142,
  [3404] = 3145,
  [3405] = 3196,
  [3406] = 3146,
  [3407] = 3147,
  [3408] = 3148,
  [3409] = 3149,
  [3410] = 3150,
  [3411] = 3151,
  [3412] = 3154,
  [3413] = 3155,
  [3414] = 3156,
  [3415] = 3163,
  [3416] = 3164,
  [3417] = 3165,
  [3418] = 3166,
  [3419] = 3172,
  [3420] = 3175,
  [3421] = 3122,
  [3422] = 3198,
  [3423] = 3244,
  [3424] = 2937,
  [3425] = 2938,
  [3426] = 2942,
  [3427] = 3244,
  [3428] = 2937,
  [3429] = 2938,
  [3430] = 3179,
  [3431] = 3157,
  [3432] = 2948,
  [3433] = 3186,
  [3434] = 3201,
  [3435] = 3191,
  [3436] = 3195,
  [3437] = 3198,
  [3438] = 3201,
  [3439] = 3202,
  [3440] = 3205,
  [3441] = 3369,
  [3442] = 3375,
  [3443] = 3376,
  [3444] = 3379,
  [3445] = 3380,
  [3446] = 3383,
  [3447] = 3202,
  [3448] = 3205,
  [3449] = 2425,
  [3450] = 2426,
  [3451] = 3172,
  [3452] = 3186,
  [3453] = 3453,
  [3454] = 3187,
  [3455] = 3244,
  [3456] = 3284,
  [3457] = 3166,
  [3458] = 3191,
  [3459] = 2937,
  [3460] = 3187,
  [3461] = 2938,
  [3462] = 3195,
  [3463] = 3196,
  [3464] = 3196,
  [3465] = 2942,
  [3466] = 2425,
  [3467] = 2426,
  [3468] = 2954,
  [3469] = 2908,
  [3470] = 2910,
  [3471] = 3198,
  [3472] = 3201,
  [3473] = 3202,
  [3474] = 3205,
  [3475] = 2967,
  [3476] = 2968,
  [3477] = 2974,
  [3478] = 2976,
  [3479] = 2979,
  [3480] = 2908,
  [3481] = 2910,
  [3482] = 3482,
  [3483] = 2948,
  [3484] = 3369,
  [3485] = 3375,
  [3486] = 3376,
  [3487] = 3379,
  [3488] = 3380,
  [3489] = 3383,
  [3490] = 2993,
  [3491] = 3005,
  [3492] = 2980,
  [3493] = 3067,
  [3494] = 3071,
  [3495] = 2991,
  [3496] = 2992,
  [3497] = 3002,
  [3498] = 3044,
  [3499] = 3061,
  [3500] = 3063,
  [3501] = 3090,
  [3502] = 3093,
  [3503] = 3130,
  [3504] = 2896,
  [3505] = 2900,
  [3506] = 2901,
  [3507] = 2902,
  [3508] = 2904,
  [3509] = 2905,
  [3510] = 2907,
  [3511] = 2967,
  [3512] = 2968,
  [3513] = 2974,
  [3514] = 2976,
  [3515] = 2979,
  [3516] = 2934,
  [3517] = 2896,
  [3518] = 2903,
  [3519] = 2900,
  [3520] = 2901,
  [3521] = 2902,
  [3522] = 2904,
  [3523] = 2905,
  [3524] = 2907,
  [3525] = 2980,
  [3526] = 3244,
  [3527] = 3527,
  [3528] = 2937,
  [3529] = 2938,
  [3530] = 2942,
  [3531] = 2991,
  [3532] = 2992,
  [3533] = 2993,
  [3534] = 3002,
  [3535] = 3005,
  [3536] = 3044,
  [3537] = 2934,
  [3538] = 3061,
  [3539] = 3063,
  [3540] = 3067,
  [3541] = 3071,
  [3542] = 2903,
  [3543] = 3090,
  [3544] = 3093,
  [3545] = 3375,
  [3546] = 3383,
  [3547] = 3547,
  [3548] = 3130,
  [3549] = 2948,
  [3550] = 2954,
  [3551] = 3527,
  [3552] = 3339,
  [3553] = 3453,
  [3554] = 3527,
  [3555] = 3339,
  [3556] = 3453,
  [3557] = 3527,
  [3558] = 3339,
  [3559] = 3453,
  [3560] = 3527,
  [3561] = 3339,
  [3562] = 3453,
  [3563] = 3527,
  [3564] = 3339,
  [3565] = 3453,
  [3566] = 3527,
  [3567] = 3453,
  [3568] = 3527,
  [3569] = 3453,
  [3570] = 3527,
  [3571] = 3453,
  [3572] = 3527,
  [3573] = 3453,
  [3574] = 3527,
  [3575] = 3453,
  [3576] = 3527,
  [3577] = 3453,
  [3578] = 3527,
  [3579] = 3453,
  [3580] = 3527,
  [3581] = 3453,
  [3582] = 3527,
  [3583] = 3453,
  [3584] = 3527,
  [3585] = 3453,
  [3586] = 3527,
  [3587] = 3453,
  [3588] = 3527,
  [3589] = 3453,
  [3590] = 3527,
  [3591] = 3453,
  [3592] = 3527,
  [3593] = 3453,
  [3594] = 3527,
  [3595] = 3453,
  [3596] = 3112,
  [3597] = 3115,
  [3598] = 3527,
  [3599] = 3116,
  [3600] = 3453,
  [3601] = 3119,
  [3602] = 3120,
  [3603] = 3527,
  [3604] = 3121,
  [3605] = 3122,
  [3606] = 3453,
  [3607] = 3527,
  [3608] = 3453,
  [3609] = 3125,
  [3610] = 3126,
  [3611] = 3127,
  [3612] = 3527,
  [3613] = 2948,
  [3614] = 3220,
  [3615] = 3453,
  [3616] = 3129,
  [3617] = 3132,
  [3618] = 3527,
  [3619] = 3134,
  [3620] = 3453,
  [3621] = 3135,
  [3622] = 3138,
  [3623] = 3527,
  [3624] = 3453,
  [3625] = 2936,
  [3626] = 3140,
  [3627] = 3527,
  [3628] = 3141,
  [3629] = 3142,
  [3630] = 3453,
  [3631] = 2954,
  [3632] = 3145,
  [3633] = 3527,
  [3634] = 3146,
  [3635] = 3147,
  [3636] = 3453,
  [3637] = 3148,
  [3638] = 3527,
  [3639] = 3149,
  [3640] = 3150,
  [3641] = 3453,
  [3642] = 3151,
  [3643] = 3154,
  [3644] = 3527,
  [3645] = 3155,
  [3646] = 3156,
  [3647] = 3453,
  [3648] = 3157,
  [3649] = 3527,
  [3650] = 3163,
  [3651] = 3453,
  [3652] = 3164,
  [3653] = 3165,
  [3654] = 3166,
  [3655] = 3527,
  [3656] = 3453,
  [3657] = 3527,
  [3658] = 3172,
  [3659] = 3453,
  [3660] = 3112,
  [3661] = 3175,
  [3662] = 3527,
  [3663] = 3115,
  [3664] = 3453,
  [3665] = 3116,
  [3666] = 3119,
  [3667] = 3527,
  [3668] = 3120,
  [3669] = 3121,
  [3670] = 3453,
  [3671] = 3122,
  [3672] = 3527,
  [3673] = 3453,
  [3674] = 3125,
  [3675] = 3126,
  [3676] = 3127,
  [3677] = 3527,
  [3678] = 3220,
  [3679] = 3453,
  [3680] = 3129,
  [3681] = 3132,
  [3682] = 3527,
  [3683] = 3134,
  [3684] = 3453,
  [3685] = 3135,
  [3686] = 3138,
  [3687] = 3527,
  [3688] = 3179,
  [3689] = 2936,
  [3690] = 3453,
  [3691] = 3140,
  [3692] = 3141,
  [3693] = 3142,
  [3694] = 3527,
  [3695] = 3145,
  [3696] = 3453,
  [3697] = 3146,
  [3698] = 3147,
  [3699] = 3527,
  [3700] = 3148,
  [3701] = 3453,
  [3702] = 3149,
  [3703] = 3150,
  [3704] = 3151,
  [3705] = 3527,
  [3706] = 3154,
  [3707] = 3453,
  [3708] = 3155,
  [3709] = 3156,
  [3710] = 3157,
  [3711] = 3527,
  [3712] = 3453,
  [3713] = 3163,
  [3714] = 2967,
  [3715] = 3135,
  [3716] = 3198,
  [3717] = 3157,
  [3718] = 3201,
  [3719] = 3202,
  [3720] = 3205,
  [3721] = 3721,
  [3722] = 3721,
  [3723] = 3090,
  [3724] = 3721,
  [3725] = 2903,
  [3726] = 3726,
  [3727] = 3721,
  [3728] = 3728,
  [3729] = 3721,
  [3730] = 3730,
  [3731] = 2903,
  [3732] = 3721,
  [3733] = 2896,
  [3734] = 2954,
  [3735] = 3186,
  [3736] = 3187,
  [3737] = 3244,
  [3738] = 3191,
  [3739] = 3721,
  [3740] = 3195,
  [3741] = 3196,
  [3742] = 3198,
  [3743] = 3721,
  [3744] = 2937,
  [3745] = 3721,
  [3746] = 3201,
  [3747] = 3721,
  [3748] = 3202,
  [3749] = 3205,
  [3750] = 2938,
  [3751] = 2948,
  [3752] = 2954,
  [3753] = 3726,
  [3754] = 3728,
  [3755] = 3730,
  [3756] = 2948,
  [3757] = 2942,
  [3758] = 3244,
  [3759] = 3721,
  [3760] = 2937,
  [3761] = 2976,
  [3762] = 3726,
  [3763] = 3728,
  [3764] = 2938,
  [3765] = 3721,
  [3766] = 3721,
  [3767] = 3726,
  [3768] = 3093,
  [3769] = 2942,
  [3770] = 3721,
  [3771] = 3721,
  [3772] = 3728,
  [3773] = 3721,
  [3774] = 2968,
  [3775] = 2908,
  [3776] = 2974,
  [3777] = 3721,
  [3778] = 3090,
  [3779] = 2910,
  [3780] = 2980,
  [3781] = 2976,
  [3782] = 3093,
  [3783] = 3721,
  [3784] = 3130,
  [3785] = 2979,
  [3786] = 3726,
  [3787] = 3728,
  [3788] = 3721,
  [3789] = 3721,
  [3790] = 2900,
  [3791] = 3721,
  [3792] = 2896,
  [3793] = 2991,
  [3794] = 3044,
  [3795] = 2992,
  [3796] = 2901,
  [3797] = 3721,
  [3798] = 3721,
  [3799] = 2902,
  [3800] = 2900,
  [3801] = 2901,
  [3802] = 2902,
  [3803] = 3721,
  [3804] = 2904,
  [3805] = 2905,
  [3806] = 2907,
  [3807] = 3721,
  [3808] = 3721,
  [3809] = 3721,
  [3810] = 2904,
  [3811] = 2993,
  [3812] = 3721,
  [3813] = 3721,
  [3814] = 3002,
  [3815] = 2905,
  [3816] = 2907,
  [3817] = 3112,
  [3818] = 3115,
  [3819] = 3116,
  [3820] = 3119,
  [3821] = 3120,
  [3822] = 3121,
  [3823] = 3721,
  [3824] = 3125,
  [3825] = 3126,
  [3826] = 3005,
  [3827] = 3044,
  [3828] = 3127,
  [3829] = 3220,
  [3830] = 3129,
  [3831] = 3132,
  [3832] = 3721,
  [3833] = 3134,
  [3834] = 2993,
  [3835] = 2967,
  [3836] = 2936,
  [3837] = 3140,
  [3838] = 3141,
  [3839] = 3142,
  [3840] = 3145,
  [3841] = 3146,
  [3842] = 3147,
  [3843] = 3148,
  [3844] = 3149,
  [3845] = 3150,
  [3846] = 3151,
  [3847] = 3154,
  [3848] = 3155,
  [3849] = 3156,
  [3850] = 3721,
  [3851] = 2908,
  [3852] = 2910,
  [3853] = 3163,
  [3854] = 3164,
  [3855] = 3165,
  [3856] = 3166,
  [3857] = 3130,
  [3858] = 3061,
  [3859] = 3721,
  [3860] = 3172,
  [3861] = 3175,
  [3862] = 3721,
  [3863] = 3179,
  [3864] = 3063,
  [3865] = 3002,
  [3866] = 3067,
  [3867] = 3721,
  [3868] = 3112,
  [3869] = 3061,
  [3870] = 3115,
  [3871] = 3116,
  [3872] = 2991,
  [3873] = 3119,
  [3874] = 3120,
  [3875] = 2992,
  [3876] = 3121,
  [3877] = 3122,
  [3878] = 3721,
  [3879] = 3063,
  [3880] = 3125,
  [3881] = 3126,
  [3882] = 3127,
  [3883] = 3220,
  [3884] = 3129,
  [3885] = 3132,
  [3886] = 3721,
  [3887] = 3134,
  [3888] = 3135,
  [3889] = 3138,
  [3890] = 2967,
  [3891] = 2936,
  [3892] = 3140,
  [3893] = 3141,
  [3894] = 3142,
  [3895] = 3145,
  [3896] = 3146,
  [3897] = 3147,
  [3898] = 3148,
  [3899] = 3071,
  [3900] = 3149,
  [3901] = 3150,
  [3902] = 3151,
  [3903] = 3154,
  [3904] = 3155,
  [3905] = 3156,
  [3906] = 3157,
  [3907] = 2979,
  [3908] = 2974,
  [3909] = 3721,
  [3910] = 3163,
  [3911] = 3164,
  [3912] = 3165,
  [3913] = 3166,
  [3914] = 3721,
  [3915] = 3721,
  [3916] = 3005,
  [3917] = 3172,
  [3918] = 3067,
  [3919] = 3071,
  [3920] = 3175,
  [3921] = 3186,
  [3922] = 3187,
  [3923] = 2934,
  [3924] = 3122,
  [3925] = 2934,
  [3926] = 3191,
  [3927] = 3179,
  [3928] = 3721,
  [3929] = 3721,
  [3930] = 2980,
  [3931] = 3195,
  [3932] = 2968,
  [3933] = 3196,
  [3934] = 3138,
  [3935] = 3157,
  [3936] = 3191,
  [3937] = 3195,
  [3938] = 3198,
  [3939] = 3201,
  [3940] = 3202,
  [3941] = 3205,
  [3942] = 3942,
  [3943] = 2903,
  [3944] = 3942,
  [3945] = 2910,
  [3946] = 3942,
  [3947] = 3942,
  [3948] = 2900,
  [3949] = 3942,
  [3950] = 3112,
  [3951] = 2901,
  [3952] = 2902,
  [3953] = 3942,
  [3954] = 3115,
  [3955] = 3116,
  [3956] = 3187,
  [3957] = 3119,
  [3958] = 3120,
  [3959] = 3121,
  [3960] = 3942,
  [3961] = 3942,
  [3962] = 3125,
  [3963] = 3126,
  [3964] = 3127,
  [3965] = 3244,
  [3966] = 2904,
  [3967] = 3220,
  [3968] = 3129,
  [3969] = 3132,
  [3970] = 3730,
  [3971] = 3134,
  [3972] = 3135,
  [3973] = 2905,
  [3974] = 3942,
  [3975] = 3138,
  [3976] = 2937,
  [3977] = 2936,
  [3978] = 3140,
  [3979] = 3141,
  [3980] = 3142,
  [3981] = 2907,
  [3982] = 3145,
  [3983] = 3196,
  [3984] = 3146,
  [3985] = 3942,
  [3986] = 3147,
  [3987] = 3148,
  [3988] = 3149,
  [3989] = 3150,
  [3990] = 3151,
  [3991] = 3154,
  [3992] = 2903,
  [3993] = 3155,
  [3994] = 3156,
  [3995] = 3942,
  [3996] = 3942,
  [3997] = 3163,
  [3998] = 3164,
  [3999] = 3165,
  [4000] = 3166,
  [4001] = 2938,
  [4002] = 3172,
  [4003] = 2954,
  [4004] = 3942,
  [4005] = 3175,
  [4006] = 3942,
  [4007] = 3942,
  [4008] = 3942,
  [4009] = 2896,
  [4010] = 2942,
  [4011] = 4011,
  [4012] = 3942,
  [4013] = 3179,
  [4014] = 3942,
  [4015] = 2908,
  [4016] = 3942,
  [4017] = 3122,
  [4018] = 3942,
  [4019] = 2910,
  [4020] = 3942,
  [4021] = 3942,
  [4022] = 3942,
  [4023] = 3942,
  [4024] = 3942,
  [4025] = 2948,
  [4026] = 3186,
  [4027] = 3942,
  [4028] = 3942,
  [4029] = 3191,
  [4030] = 3942,
  [4031] = 3195,
  [4032] = 3942,
  [4033] = 3198,
  [4034] = 3942,
  [4035] = 3201,
  [4036] = 3202,
  [4037] = 3205,
  [4038] = 3942,
  [4039] = 3942,
  [4040] = 3187,
  [4041] = 2900,
  [4042] = 3196,
  [4043] = 2901,
  [4044] = 2902,
  [4045] = 2954,
  [4046] = 3942,
  [4047] = 2967,
  [4048] = 2968,
  [4049] = 2974,
  [4050] = 2976,
  [4051] = 2979,
  [4052] = 2948,
  [4053] = 2934,
  [4054] = 2980,
  [4055] = 3942,
  [4056] = 2992,
  [4057] = 2993,
  [4058] = 3002,
  [4059] = 3005,
  [4060] = 3044,
  [4061] = 3061,
  [4062] = 3063,
  [4063] = 3067,
  [4064] = 3071,
  [4065] = 3942,
  [4066] = 3090,
  [4067] = 2967,
  [4068] = 3093,
  [4069] = 4011,
  [4070] = 2904,
  [4071] = 2968,
  [4072] = 2974,
  [4073] = 2905,
  [4074] = 2976,
  [4075] = 2979,
  [4076] = 3942,
  [4077] = 2907,
  [4078] = 3130,
  [4079] = 3730,
  [4080] = 3942,
  [4081] = 2980,
  [4082] = 4082,
  [4083] = 4083,
  [4084] = 2991,
  [4085] = 2992,
  [4086] = 2993,
  [4087] = 3002,
  [4088] = 3005,
  [4089] = 3044,
  [4090] = 3112,
  [4091] = 3061,
  [4092] = 3063,
  [4093] = 3067,
  [4094] = 3071,
  [4095] = 3942,
  [4096] = 2934,
  [4097] = 3090,
  [4098] = 3093,
  [4099] = 3115,
  [4100] = 4082,
  [4101] = 3130,
  [4102] = 3116,
  [4103] = 4083,
  [4104] = 3119,
  [4105] = 3120,
  [4106] = 3121,
  [4107] = 3942,
  [4108] = 3125,
  [4109] = 3126,
  [4110] = 3127,
  [4111] = 3730,
  [4112] = 3220,
  [4113] = 3129,
  [4114] = 3132,
  [4115] = 3134,
  [4116] = 3135,
  [4117] = 3138,
  [4118] = 2936,
  [4119] = 3140,
  [4120] = 3141,
  [4121] = 3142,
  [4122] = 3145,
  [4123] = 3146,
  [4124] = 3147,
  [4125] = 3244,
  [4126] = 3148,
  [4127] = 3942,
  [4128] = 3149,
  [4129] = 3150,
  [4130] = 3942,
  [4131] = 3151,
  [4132] = 3154,
  [4133] = 3730,
  [4134] = 2908,
  [4135] = 2937,
  [4136] = 2938,
  [4137] = 3155,
  [4138] = 3156,
  [4139] = 3163,
  [4140] = 3164,
  [4141] = 2942,
  [4142] = 3165,
  [4143] = 3166,
  [4144] = 3172,
  [4145] = 3942,
  [4146] = 3175,
  [4147] = 3122,
  [4148] = 2896,
  [4149] = 3942,
  [4150] = 3179,
  [4151] = 3157,
  [4152] = 3186,
  [4153] = 2991,
  [4154] = 3090,
  [4155] = 3145,
  [4156] = 3163,
  [4157] = 2993,
  [4158] = 4158,
  [4159] = 4159,
  [4160] = 4160,
  [4161] = 4082,
  [4162] = 2968,
  [4163] = 4158,
  [4164] = 4159,
  [4165] = 4160,
  [4166] = 2968,
  [4167] = 4160,
  [4168] = 3175,
  [4169] = 4158,
  [4170] = 4160,
  [4171] = 4158,
  [4172] = 4159,
  [4173] = 4160,
  [4174] = 3002,
  [4175] = 3005,
  [4176] = 3191,
  [4177] = 4158,
  [4178] = 3175,
  [4179] = 4159,
  [4180] = 4158,
  [4181] = 4159,
  [4182] = 4160,
  [4183] = 4159,
  [4184] = 4160,
  [4185] = 3005,
  [4186] = 4158,
  [4187] = 4159,
  [4188] = 4160,
  [4189] = 4160,
  [4190] = 3220,
  [4191] = 4158,
  [4192] = 3164,
  [4193] = 4193,
  [4194] = 4194,
  [4195] = 4158,
  [4196] = 3165,
  [4197] = 3166,
  [4198] = 2974,
  [4199] = 3201,
  [4200] = 3125,
  [4201] = 4159,
  [4202] = 4160,
  [4203] = 2976,
  [4204] = 2979,
  [4205] = 3156,
  [4206] = 3149,
  [4207] = 4159,
  [4208] = 3157,
  [4209] = 3150,
  [4210] = 3151,
  [4211] = 3134,
  [4212] = 2954,
  [4213] = 3154,
  [4214] = 4158,
  [4215] = 4160,
  [4216] = 3198,
  [4217] = 4158,
  [4218] = 4158,
  [4219] = 3135,
  [4220] = 3044,
  [4221] = 4160,
  [4222] = 3115,
  [4223] = 3186,
  [4224] = 4159,
  [4225] = 4160,
  [4226] = 3067,
  [4227] = 3138,
  [4228] = 3179,
  [4229] = 3071,
  [4230] = 3116,
  [4231] = 4193,
  [4232] = 4194,
  [4233] = 3126,
  [4234] = 4159,
  [4235] = 4160,
  [4236] = 3187,
  [4237] = 3155,
  [4238] = 4158,
  [4239] = 4158,
  [4240] = 2942,
  [4241] = 3163,
  [4242] = 4159,
  [4243] = 2967,
  [4244] = 3130,
  [4245] = 3244,
  [4246] = 3119,
  [4247] = 3187,
  [4248] = 4160,
  [4249] = 4158,
  [4250] = 3146,
  [4251] = 4159,
  [4252] = 4160,
  [4253] = 3156,
  [4254] = 4158,
  [4255] = 3129,
  [4256] = 3119,
  [4257] = 2948,
  [4258] = 4159,
  [4259] = 3120,
  [4260] = 4158,
  [4261] = 4159,
  [4262] = 4160,
  [4263] = 3164,
  [4264] = 3165,
  [4265] = 3166,
  [4266] = 3201,
  [4267] = 3120,
  [4268] = 2992,
  [4269] = 3121,
  [4270] = 3090,
  [4271] = 4159,
  [4272] = 3121,
  [4273] = 4160,
  [4274] = 4158,
  [4275] = 4159,
  [4276] = 4160,
  [4277] = 3157,
  [4278] = 4158,
  [4279] = 4159,
  [4280] = 3132,
  [4281] = 2980,
  [4282] = 2974,
  [4283] = 4160,
  [4284] = 3730,
  [4285] = 2936,
  [4286] = 3140,
  [4287] = 4159,
  [4288] = 3141,
  [4289] = 3142,
  [4290] = 4159,
  [4291] = 4158,
  [4292] = 4160,
  [4293] = 3195,
  [4294] = 4159,
  [4295] = 3730,
  [4296] = 3044,
  [4297] = 4160,
  [4298] = 4159,
  [4299] = 4160,
  [4300] = 2980,
  [4301] = 4159,
  [4302] = 3145,
  [4303] = 4158,
  [4304] = 4082,
  [4305] = 4159,
  [4306] = 4160,
  [4307] = 3196,
  [4308] = 3122,
  [4309] = 4159,
  [4310] = 4158,
  [4311] = 4159,
  [4312] = 4160,
  [4313] = 4160,
  [4314] = 4159,
  [4315] = 3115,
  [4316] = 3196,
  [4317] = 3146,
  [4318] = 3147,
  [4319] = 3063,
  [4320] = 3002,
  [4321] = 4158,
  [4322] = 2967,
  [4323] = 3130,
  [4324] = 3244,
  [4325] = 3186,
  [4326] = 2991,
  [4327] = 4083,
  [4328] = 3093,
  [4329] = 2991,
  [4330] = 3205,
  [4331] = 3148,
  [4332] = 4160,
  [4333] = 3172,
  [4334] = 3202,
  [4335] = 4158,
  [4336] = 4159,
  [4337] = 4160,
  [4338] = 3148,
  [4339] = 4083,
  [4340] = 4194,
  [4341] = 3122,
  [4342] = 3116,
  [4343] = 4158,
  [4344] = 4159,
  [4345] = 4160,
  [4346] = 4158,
  [4347] = 4159,
  [4348] = 4160,
  [4349] = 3147,
  [4350] = 2937,
  [4351] = 4193,
  [4352] = 4194,
  [4353] = 4159,
  [4354] = 4158,
  [4355] = 4158,
  [4356] = 4159,
  [4357] = 4160,
  [4358] = 4160,
  [4359] = 4193,
  [4360] = 4194,
  [4361] = 4159,
  [4362] = 4160,
  [4363] = 2938,
  [4364] = 3149,
  [4365] = 3150,
  [4366] = 3151,
  [4367] = 3125,
  [4368] = 4158,
  [4369] = 3126,
  [4370] = 3154,
  [4371] = 3198,
  [4372] = 3127,
  [4373] = 3061,
  [4374] = 3191,
  [4375] = 3112,
  [4376] = 4159,
  [4377] = 4160,
  [4378] = 4082,
  [4379] = 4193,
  [4380] = 4158,
  [4381] = 4158,
  [4382] = 4159,
  [4383] = 4160,
  [4384] = 3127,
  [4385] = 3172,
  [4386] = 3202,
  [4387] = 4083,
  [4388] = 2976,
  [4389] = 3112,
  [4390] = 3205,
  [4391] = 2979,
  [4392] = 4158,
  [4393] = 3220,
  [4394] = 4159,
  [4395] = 4160,
  [4396] = 4082,
  [4397] = 2948,
  [4398] = 2954,
  [4399] = 2942,
  [4400] = 4160,
  [4401] = 4159,
  [4402] = 4160,
  [4403] = 2992,
  [4404] = 4158,
  [4405] = 4159,
  [4406] = 4158,
  [4407] = 4159,
  [4408] = 4160,
  [4409] = 3061,
  [4410] = 4158,
  [4411] = 4158,
  [4412] = 4159,
  [4413] = 4160,
  [4414] = 4159,
  [4415] = 2993,
  [4416] = 3129,
  [4417] = 3132,
  [4418] = 3063,
  [4419] = 4159,
  [4420] = 4083,
  [4421] = 3093,
  [4422] = 3134,
  [4423] = 3135,
  [4424] = 3155,
  [4425] = 3067,
  [4426] = 3138,
  [4427] = 3179,
  [4428] = 3071,
  [4429] = 2937,
  [4430] = 2938,
  [4431] = 4158,
  [4432] = 4159,
  [4433] = 4160,
  [4434] = 4158,
  [4435] = 4159,
  [4436] = 4160,
  [4437] = 2936,
  [4438] = 3140,
  [4439] = 3141,
  [4440] = 3142,
  [4441] = 3195,
  [4442] = 4160,
  [4443] = 4160,
  [4444] = 4444,
  [4445] = 4444,
  [4446] = 4446,
  [4447] = 4447,
  [4448] = 4447,
  [4449] = 4082,
  [4450] = 4450,
  [4451] = 4447,
  [4452] = 4447,
  [4453] = 4447,
  [4454] = 4444,
  [4455] = 4447,
  [4456] = 4447,
  [4457] = 4447,
  [4458] = 4447,
  [4459] = 4083,
  [4460] = 4447,
  [4461] = 4444,
  [4462] = 4447,
  [4463] = 4447,
  [4464] = 4082,
  [4465] = 4447,
  [4466] = 4450,
  [4467] = 4447,
  [4468] = 4447,
  [4469] = 4447,
  [4470] = 4444,
  [4471] = 4447,
  [4472] = 4447,
  [4473] = 4447,
  [4474] = 4446,
  [4475] = 4450,
  [4476] = 4447,
  [4477] = 4447,
  [4478] = 4083,
  [4479] = 4444,
  [4480] = 4450,
  [4481] = 4447,
  [4482] = 4450,
  [4483] = 4446,
  [4484] = 4447,
  [4485] = 4447,
  [4486] = 4447,
  [4487] = 4447,
  [4488] = 4447,
  [4489] = 4447,
  [4490] = 4450,
  [4491] = 3730,
  [4492] = 4450,
  [4493] = 4447,
  [4494] = 4447,
  [4495] = 4444,
  [4496] = 4446,
  [4497] = 4447,
  [4498] = 4447,
  [4499] = 4447,
  [4500] = 4447,
  [4501] = 4447,
  [4502] = 4447,
  [4503] = 4447,
  [4504] = 4447,
  [4505] = 4444,
  [4506] = 4447,
  [4507] = 4447,
  [4508] = 4446,
  [4509] = 3730,
  [4510] = 4447,
  [4511] = 4447,
  [4512] = 4447,
  [4513] = 4513,
  [4514] = 4514,
  [4515] = 4514,
  [4516] = 4516,
  [4517] = 4516,
  [4518] = 4518,
  [4519] = 4513,
  [4520] = 4520,
  [4521] = 4521,
  [4522] = 4521,
  [4523] = 4082,
  [4524] = 4518,
  [4525] = 4516,
  [4526] = 4526,
  [4527] = 4518,
  [4528] = 4520,
  [4529] = 4521,
  [4530] = 4520,
  [4531] = 4516,
  [4532] = 4532,
  [4533] = 4520,
  [4534] = 4532,
  [4535] = 3730,
  [4536] = 4083,
  [4537] = 4513,
  [4538] = 4513,
  [4539] = 4514,
  [4540] = 4532,
  [4541] = 4518,
  [4542] = 4542,
  [4543] = 4543,
  [4544] = 4543,
  [4545] = 4521,
  [4546] = 4542,
  [4547] = 4520,
  [4548] = 4526,
  [4549] = 4516,
  [4550] = 4543,
  [4551] = 4518,
  [4552] = 4526,
  [4553] = 4532,
  [4554] = 4514,
  [4555] = 4543,
  [4556] = 4082,
  [4557] = 4513,
  [4558] = 3730,
  [4559] = 4532,
  [4560] = 4513,
  [4561] = 4542,
  [4562] = 4516,
  [4563] = 4542,
  [4564] = 4520,
  [4565] = 4513,
  [4566] = 4542,
  [4567] = 4516,
  [4568] = 4532,
  [4569] = 4083,
  [4570] = 4542,
  [4571] = 4520,
  [4572] = 4542,
  [4573] = 4526,
  [4574] = 4526,
  [4575] = 4514,
  [4576] = 4521,
  [4577] = 4543,
  [4578] = 4532,
  [4579] = 4521,
  [4580] = 4521,
  [4581] = 4581,
  [4582] = 4582,
  [4583] = 4583,
  [4584] = 4583,
  [4585] = 4583,
  [4586] = 4586,
  [4587] = 4581,
  [4588] = 4586,
  [4589] = 4589,
  [4590] = 4590,
  [4591] = 4586,
  [4592] = 4586,
  [4593] = 4582,
  [4594] = 4589,
  [4595] = 4582,
  [4596] = 4590,
  [4597] = 4582,
  [4598] = 2561,
  [4599] = 4590,
  [4600] = 4590,
  [4601] = 4586,
  [4602] = 4581,
  [4603] = 4583,
  [4604] = 4586,
  [4605] = 4605,
  [4606] = 4083,
  [4607] = 4582,
  [4608] = 4582,
  [4609] = 4581,
  [4610] = 4082,
  [4611] = 4583,
  [4612] = 4612,
  [4613] = 4581,
  [4614] = 4586,
  [4615] = 4582,
  [4616] = 4582,
  [4617] = 4583,
  [4618] = 4583,
  [4619] = 4586,
  [4620] = 4590,
  [4621] = 4082,
  [4622] = 4583,
  [4623] = 4581,
  [4624] = 4581,
  [4625] = 4581,
  [4626] = 4083,
  [4627] = 4627,
  [4628] = 4628,
  [4629] = 4627,
  [4630] = 4627,
  [4631] = 4628,
  [4632] = 4627,
  [4633] = 4628,
  [4634] = 4628,
  [4635] = 4627,
  [4636] = 4628,
  [4637] = 4627,
  [4638] = 4628,
  [4639] = 4627,
  [4640] = 4628,
  [4641] = 4627,
  [4642] = 4628,
  [4643] = 2908,
  [4644] = 4627,
  [4645] = 4628,
  [4646] = 4628,
  [4647] = 4627,
  [4648] = 4627,
  [4649] = 4628,
  [4650] = 2910,
  [4651] = 4628,
  [4652] = 4627,
  [4653] = 4627,
  [4654] = 4628,
  [4655] = 4628,
  [4656] = 4627,
  [4657] = 4627,
  [4658] = 4628,
  [4659] = 4627,
  [4660] = 4628,
  [4661] = 4628,
  [4662] = 4628,
  [4663] = 4628,
  [4664] = 4627,
  [4665] = 4627,
  [4666] = 4627,
  [4667] = 4628,
  [4668] = 4627,
  [4669] = 4669,
  [4670] = 4628,
  [4671] = 4627,
  [4672] = 4628,
  [4673] = 4627,
  [4674] = 4628,
  [4675] = 4627,
  [4676] = 4627,
  [4677] = 2896,
  [4678] = 4628,
  [4679] = 2900,
  [4680] = 2901,
  [4681] = 2902,
  [4682] = 2904,
  [4683] = 4628,
  [4684] = 2907,
  [4685] = 4685,
  [4686] = 4628,
  [4687] = 4627,
  [4688] = 4628,
  [4689] = 4628,
  [4690] = 4627,
  [4691] = 4627,
  [4692] = 2934,
  [4693] = 2903,
  [4694] = 4628,
  [4695] = 4627,
  [4696] = 4627,
  [4697] = 4627,
  [4698] = 4628,
  [4699] = 4628,
  [4700] = 4628,
  [4701] = 4627,
  [4702] = 4627,
  [4703] = 4628,
  [4704] = 4627,
  [4705] = 4628,
  [4706] = 4627,
  [4707] = 4628,
  [4708] = 4627,
  [4709] = 4709,
  [4710] = 4628,
  [4711] = 4627,
  [4712] = 4627,
  [4713] = 4628,
  [4714] = 4627,
  [4715] = 4628,
  [4716] = 4628,
  [4717] = 4627,
  [4718] = 4627,
  [4719] = 4627,
  [4720] = 4628,
  [4721] = 4627,
  [4722] = 4628,
  [4723] = 4628,
  [4724] = 4628,
  [4725] = 4627,
  [4726] = 4628,
  [4727] = 4627,
  [4728] = 4627,
  [4729] = 4627,
  [4730] = 4628,
  [4731] = 4628,
  [4732] = 2905,
  [4733] = 2901,
  [4734] = 3130,
  [4735] = 4735,
  [4736] = 4735,
  [4737] = 4735,
  [4738] = 4735,
  [4739] = 2910,
  [4740] = 4735,
  [4741] = 4735,
  [4742] = 4735,
  [4743] = 4735,
  [4744] = 4735,
  [4745] = 3112,
  [4746] = 4735,
  [4747] = 3115,
  [4748] = 3116,
  [4749] = 3119,
  [4750] = 4735,
  [4751] = 3120,
  [4752] = 3121,
  [4753] = 3122,
  [4754] = 4735,
  [4755] = 3125,
  [4756] = 3126,
  [4757] = 3127,
  [4758] = 3220,
  [4759] = 3129,
  [4760] = 3132,
  [4761] = 4735,
  [4762] = 3134,
  [4763] = 3135,
  [4764] = 3090,
  [4765] = 3138,
  [4766] = 4735,
  [4767] = 2936,
  [4768] = 3140,
  [4769] = 3141,
  [4770] = 3142,
  [4771] = 3145,
  [4772] = 3146,
  [4773] = 3147,
  [4774] = 4735,
  [4775] = 3148,
  [4776] = 3149,
  [4777] = 3150,
  [4778] = 3151,
  [4779] = 3154,
  [4780] = 3155,
  [4781] = 3156,
  [4782] = 4735,
  [4783] = 3157,
  [4784] = 2910,
  [4785] = 3163,
  [4786] = 3164,
  [4787] = 3165,
  [4788] = 4735,
  [4789] = 3166,
  [4790] = 2896,
  [4791] = 3172,
  [4792] = 4735,
  [4793] = 4735,
  [4794] = 3175,
  [4795] = 4735,
  [4796] = 4735,
  [4797] = 4735,
  [4798] = 3244,
  [4799] = 4735,
  [4800] = 3179,
  [4801] = 2934,
  [4802] = 4735,
  [4803] = 4735,
  [4804] = 3002,
  [4805] = 4735,
  [4806] = 4735,
  [4807] = 3005,
  [4808] = 3061,
  [4809] = 4735,
  [4810] = 3186,
  [4811] = 3187,
  [4812] = 4735,
  [4813] = 3191,
  [4814] = 3195,
  [4815] = 4735,
  [4816] = 3196,
  [4817] = 3198,
  [4818] = 3201,
  [4819] = 3202,
  [4820] = 3205,
  [4821] = 4735,
  [4822] = 4735,
  [4823] = 2908,
  [4824] = 4735,
  [4825] = 3063,
  [4826] = 4735,
  [4827] = 4735,
  [4828] = 3067,
  [4829] = 4735,
  [4830] = 4735,
  [4831] = 4735,
  [4832] = 4735,
  [4833] = 4735,
  [4834] = 2904,
  [4835] = 3071,
  [4836] = 4735,
  [4837] = 2903,
  [4838] = 2967,
  [4839] = 2937,
  [4840] = 2968,
  [4841] = 2948,
  [4842] = 2954,
  [4843] = 2905,
  [4844] = 2974,
  [4845] = 2976,
  [4846] = 4846,
  [4847] = 2938,
  [4848] = 4735,
  [4849] = 2907,
  [4850] = 2979,
  [4851] = 3093,
  [4852] = 2942,
  [4853] = 3044,
  [4854] = 4735,
  [4855] = 2993,
  [4856] = 2900,
  [4857] = 2980,
  [4858] = 4735,
  [4859] = 2991,
  [4860] = 4735,
  [4861] = 2992,
  [4862] = 4735,
  [4863] = 2902,
  [4864] = 3129,
  [4865] = 2976,
  [4866] = 3141,
  [4867] = 3187,
  [4868] = 2905,
  [4869] = 4869,
  [4870] = 3142,
  [4871] = 3172,
  [4872] = 2991,
  [4873] = 3005,
  [4874] = 2942,
  [4875] = 3202,
  [4876] = 2904,
  [4877] = 3119,
  [4878] = 3135,
  [4879] = 3166,
  [4880] = 3164,
  [4881] = 3147,
  [4882] = 2954,
  [4883] = 3191,
  [4884] = 2901,
  [4885] = 3148,
  [4886] = 3134,
  [4887] = 3179,
  [4888] = 2979,
  [4889] = 3067,
  [4890] = 3002,
  [4891] = 2993,
  [4892] = 3198,
  [4893] = 4869,
  [4894] = 3244,
  [4895] = 3145,
  [4896] = 3149,
  [4897] = 3120,
  [4898] = 3071,
  [4899] = 4869,
  [4900] = 2907,
  [4901] = 3112,
  [4902] = 2902,
  [4903] = 2968,
  [4904] = 3150,
  [4905] = 2937,
  [4906] = 3196,
  [4907] = 3121,
  [4908] = 3157,
  [4909] = 3163,
  [4910] = 2992,
  [4911] = 3195,
  [4912] = 3140,
  [4913] = 3116,
  [4914] = 3146,
  [4915] = 2934,
  [4916] = 4869,
  [4917] = 3125,
  [4918] = 2948,
  [4919] = 3061,
  [4920] = 2900,
  [4921] = 3132,
  [4922] = 3126,
  [4923] = 2908,
  [4924] = 3127,
  [4925] = 3154,
  [4926] = 3044,
  [4927] = 3155,
  [4928] = 3186,
  [4929] = 2974,
  [4930] = 3156,
  [4931] = 3201,
  [4932] = 3165,
  [4933] = 3063,
  [4934] = 3130,
  [4935] = 3175,
  [4936] = 3093,
  [4937] = 4869,
  [4938] = 3138,
  [4939] = 3220,
  [4940] = 2938,
  [4941] = 3090,
  [4942] = 2903,
  [4943] = 2936,
  [4944] = 2980,
  [4945] = 2910,
  [4946] = 2896,
  [4947] = 3122,
  [4948] = 3205,
  [4949] = 4869,
  [4950] = 3115,
  [4951] = 2967,
  [4952] = 3151,
  [4953] = 3130,
  [4954] = 4954,
  [4955] = 2948,
  [4956] = 4956,
  [4957] = 4954,
  [4958] = 2936,
  [4959] = 3179,
  [4960] = 3155,
  [4961] = 3156,
  [4962] = 4954,
  [4963] = 2934,
  [4964] = 3141,
  [4965] = 4954,
  [4966] = 3122,
  [4967] = 3142,
  [4968] = 4954,
  [4969] = 2896,
  [4970] = 4954,
  [4971] = 4954,
  [4972] = 4972,
  [4973] = 4954,
  [4974] = 3157,
  [4975] = 4954,
  [4976] = 3730,
  [4977] = 4954,
  [4978] = 2903,
  [4979] = 4954,
  [4980] = 2900,
  [4981] = 4954,
  [4982] = 4954,
  [4983] = 4954,
  [4984] = 2901,
  [4985] = 4954,
  [4986] = 3163,
  [4987] = 4954,
  [4988] = 3164,
  [4989] = 2902,
  [4990] = 4954,
  [4991] = 3165,
  [4992] = 3186,
  [4993] = 3187,
  [4994] = 4954,
  [4995] = 3166,
  [4996] = 3191,
  [4997] = 4954,
  [4998] = 3145,
  [4999] = 3195,
  [5000] = 3196,
  [5001] = 3198,
  [5002] = 3201,
  [5003] = 4954,
  [5004] = 3202,
  [5005] = 3205,
  [5006] = 4954,
  [5007] = 3146,
  [5008] = 4954,
  [5009] = 2896,
  [5010] = 3172,
  [5011] = 4954,
  [5012] = 4954,
  [5013] = 2967,
  [5014] = 4954,
  [5015] = 3147,
  [5016] = 4954,
  [5017] = 4954,
  [5018] = 2954,
  [5019] = 4954,
  [5020] = 2900,
  [5021] = 4954,
  [5022] = 4954,
  [5023] = 2968,
  [5024] = 2901,
  [5025] = 2902,
  [5026] = 4954,
  [5027] = 2974,
  [5028] = 3154,
  [5029] = 2976,
  [5030] = 2979,
  [5031] = 2908,
  [5032] = 4954,
  [5033] = 3138,
  [5034] = 5034,
  [5035] = 4954,
  [5036] = 2904,
  [5037] = 4954,
  [5038] = 2903,
  [5039] = 2905,
  [5040] = 2907,
  [5041] = 4954,
  [5042] = 4954,
  [5043] = 2980,
  [5044] = 3148,
  [5045] = 4954,
  [5046] = 4954,
  [5047] = 4954,
  [5048] = 4954,
  [5049] = 2991,
  [5050] = 2992,
  [5051] = 2993,
  [5052] = 3002,
  [5053] = 4954,
  [5054] = 4954,
  [5055] = 4954,
  [5056] = 4954,
  [5057] = 3005,
  [5058] = 3044,
  [5059] = 4956,
  [5060] = 4972,
  [5061] = 4956,
  [5062] = 4972,
  [5063] = 3061,
  [5064] = 3063,
  [5065] = 4972,
  [5066] = 3067,
  [5067] = 4972,
  [5068] = 3071,
  [5069] = 4972,
  [5070] = 3175,
  [5071] = 3090,
  [5072] = 4954,
  [5073] = 3093,
  [5074] = 3149,
  [5075] = 2934,
  [5076] = 3140,
  [5077] = 5034,
  [5078] = 3150,
  [5079] = 2904,
  [5080] = 3244,
  [5081] = 3112,
  [5082] = 2905,
  [5083] = 2907,
  [5084] = 3115,
  [5085] = 3116,
  [5086] = 4954,
  [5087] = 3119,
  [5088] = 3120,
  [5089] = 3121,
  [5090] = 3125,
  [5091] = 3126,
  [5092] = 2908,
  [5093] = 3151,
  [5094] = 3127,
  [5095] = 2937,
  [5096] = 2938,
  [5097] = 2942,
  [5098] = 3220,
  [5099] = 3129,
  [5100] = 3132,
  [5101] = 3134,
  [5102] = 3135,
  [5103] = 2910,
  [5104] = 3166,
  [5105] = 2942,
  [5106] = 3156,
  [5107] = 3141,
  [5108] = 3121,
  [5109] = 2942,
  [5110] = 3112,
  [5111] = 2993,
  [5112] = 3146,
  [5113] = 3196,
  [5114] = 2992,
  [5115] = 3126,
  [5116] = 3191,
  [5117] = 3063,
  [5118] = 2976,
  [5119] = 3163,
  [5120] = 2968,
  [5121] = 3164,
  [5122] = 3165,
  [5123] = 3129,
  [5124] = 3129,
  [5125] = 3132,
  [5126] = 2993,
  [5127] = 2896,
  [5128] = 3175,
  [5129] = 3132,
  [5130] = 3122,
  [5131] = 3002,
  [5132] = 3061,
  [5133] = 3157,
  [5134] = 2979,
  [5135] = 3138,
  [5136] = 3005,
  [5137] = 3179,
  [5138] = 3195,
  [5139] = 3163,
  [5140] = 3134,
  [5141] = 2993,
  [5142] = 3005,
  [5143] = 2902,
  [5144] = 3135,
  [5145] = 3172,
  [5146] = 3115,
  [5147] = 3220,
  [5148] = 3044,
  [5149] = 3730,
  [5150] = 3090,
  [5151] = 2974,
  [5152] = 3116,
  [5153] = 2980,
  [5154] = 3093,
  [5155] = 2976,
  [5156] = 3061,
  [5157] = 2979,
  [5158] = 2948,
  [5159] = 3164,
  [5160] = 2954,
  [5161] = 3126,
  [5162] = 3155,
  [5163] = 3191,
  [5164] = 3138,
  [5165] = 4082,
  [5166] = 3142,
  [5167] = 3067,
  [5168] = 3063,
  [5169] = 3165,
  [5170] = 2936,
  [5171] = 5171,
  [5172] = 3157,
  [5173] = 3156,
  [5174] = 3187,
  [5175] = 3067,
  [5176] = 3093,
  [5177] = 3175,
  [5178] = 2993,
  [5179] = 2910,
  [5180] = 2991,
  [5181] = 3122,
  [5182] = 3145,
  [5183] = 2904,
  [5184] = 3145,
  [5185] = 3067,
  [5186] = 3127,
  [5187] = 2905,
  [5188] = 2900,
  [5189] = 3198,
  [5190] = 3148,
  [5191] = 3130,
  [5192] = 3125,
  [5193] = 2908,
  [5194] = 2992,
  [5195] = 3201,
  [5196] = 3220,
  [5197] = 3179,
  [5198] = 3002,
  [5199] = 3149,
  [5200] = 3202,
  [5201] = 2937,
  [5202] = 3044,
  [5203] = 3119,
  [5204] = 2938,
  [5205] = 3154,
  [5206] = 3205,
  [5207] = 5171,
  [5208] = 3166,
  [5209] = 3120,
  [5210] = 2910,
  [5211] = 3127,
  [5212] = 3201,
  [5213] = 3067,
  [5214] = 2967,
  [5215] = 3142,
  [5216] = 3134,
  [5217] = 2948,
  [5218] = 2954,
  [5219] = 2980,
  [5220] = 3135,
  [5221] = 2936,
  [5222] = 3121,
  [5223] = 3146,
  [5224] = 4083,
  [5225] = 3125,
  [5226] = 3147,
  [5227] = 3115,
  [5228] = 3198,
  [5229] = 3112,
  [5230] = 2968,
  [5231] = 3148,
  [5232] = 3186,
  [5233] = 3071,
  [5234] = 3196,
  [5235] = 2934,
  [5236] = 3172,
  [5237] = 2903,
  [5238] = 2967,
  [5239] = 3202,
  [5240] = 3150,
  [5241] = 3195,
  [5242] = 2901,
  [5243] = 2974,
  [5244] = 3147,
  [5245] = 3149,
  [5246] = 2907,
  [5247] = 3150,
  [5248] = 3186,
  [5249] = 3187,
  [5250] = 3140,
  [5251] = 3244,
  [5252] = 3151,
  [5253] = 3151,
  [5254] = 3116,
  [5255] = 3244,
  [5256] = 3205,
  [5257] = 3090,
  [5258] = 3119,
  [5259] = 3130,
  [5260] = 3141,
  [5261] = 3140,
  [5262] = 3120,
  [5263] = 3154,
  [5264] = 3155,
  [5265] = 2991,
  [5266] = 2937,
  [5267] = 2938,
  [5268] = 3071,
  [5269] = 3151,
  [5270] = 3126,
  [5271] = 3121,
  [5272] = 3156,
  [5273] = 2974,
  [5274] = 2910,
  [5275] = 5275,
  [5276] = 3198,
  [5277] = 2992,
  [5278] = 2948,
  [5279] = 3067,
  [5280] = 3175,
  [5281] = 2954,
  [5282] = 3148,
  [5283] = 3140,
  [5284] = 3147,
  [5285] = 3191,
  [5286] = 3129,
  [5287] = 3002,
  [5288] = 3061,
  [5289] = 3134,
  [5290] = 3002,
  [5291] = 3005,
  [5292] = 3090,
  [5293] = 3201,
  [5294] = 3135,
  [5295] = 3044,
  [5296] = 3061,
  [5297] = 3186,
  [5298] = 3063,
  [5299] = 3093,
  [5300] = 2980,
  [5301] = 3142,
  [5302] = 3166,
  [5303] = 3145,
  [5304] = 3202,
  [5305] = 3132,
  [5306] = 3205,
  [5307] = 3002,
  [5308] = 3187,
  [5309] = 5309,
  [5310] = 3090,
  [5311] = 5311,
  [5312] = 2980,
  [5313] = 3141,
  [5314] = 5275,
  [5315] = 2993,
  [5316] = 3063,
  [5317] = 3138,
  [5318] = 3090,
  [5319] = 3154,
  [5320] = 3067,
  [5321] = 4082,
  [5322] = 3093,
  [5323] = 3155,
  [5324] = 3122,
  [5325] = 3163,
  [5326] = 3112,
  [5327] = 5309,
  [5328] = 5328,
  [5329] = 3146,
  [5330] = 3061,
  [5331] = 2968,
  [5332] = 3044,
  [5333] = 2936,
  [5334] = 3063,
  [5335] = 3093,
  [5336] = 5328,
  [5337] = 3157,
  [5338] = 3244,
  [5339] = 3071,
  [5340] = 2937,
  [5341] = 5341,
  [5342] = 2979,
  [5343] = 3005,
  [5344] = 4083,
  [5345] = 2938,
  [5346] = 2942,
  [5347] = 3127,
  [5348] = 3119,
  [5349] = 2980,
  [5350] = 3130,
  [5351] = 3044,
  [5352] = 3115,
  [5353] = 3125,
  [5354] = 3179,
  [5355] = 3195,
  [5356] = 2993,
  [5357] = 3071,
  [5358] = 2991,
  [5359] = 3164,
  [5360] = 5360,
  [5361] = 2976,
  [5362] = 3730,
  [5363] = 3165,
  [5364] = 2992,
  [5365] = 2967,
  [5366] = 3120,
  [5367] = 3116,
  [5368] = 3130,
  [5369] = 3196,
  [5370] = 2993,
  [5371] = 3071,
  [5372] = 3172,
  [5373] = 2991,
  [5374] = 3005,
  [5375] = 3149,
  [5376] = 3150,
  [5377] = 2991,
  [5378] = 3067,
  [5379] = 2992,
  [5380] = 3130,
  [5381] = 3220,
  [5382] = 2967,
  [5383] = 5383,
  [5384] = 5384,
  [5385] = 5385,
  [5386] = 3090,
  [5387] = 5387,
  [5388] = 2937,
  [5389] = 5389,
  [5390] = 2976,
  [5391] = 5391,
  [5392] = 2974,
  [5393] = 5393,
  [5394] = 2992,
  [5395] = 5395,
  [5396] = 3063,
  [5397] = 5397,
  [5398] = 5398,
  [5399] = 3061,
  [5400] = 5383,
  [5401] = 4082,
  [5402] = 2991,
  [5403] = 5403,
  [5404] = 2979,
  [5405] = 5309,
  [5406] = 3061,
  [5407] = 3730,
  [5408] = 5393,
  [5409] = 5409,
  [5410] = 2976,
  [5411] = 2979,
  [5412] = 2954,
  [5413] = 2942,
  [5414] = 5414,
  [5415] = 5415,
  [5416] = 2938,
  [5417] = 5275,
  [5418] = 5418,
  [5419] = 3130,
  [5420] = 5420,
  [5421] = 3063,
  [5422] = 3093,
  [5423] = 2910,
  [5424] = 5384,
  [5425] = 5425,
  [5426] = 3005,
  [5427] = 5389,
  [5428] = 5428,
  [5429] = 5395,
  [5430] = 5397,
  [5431] = 5385,
  [5432] = 5387,
  [5433] = 5328,
  [5434] = 3730,
  [5435] = 5414,
  [5436] = 5436,
  [5437] = 5437,
  [5438] = 5438,
  [5439] = 3002,
  [5440] = 5440,
  [5441] = 5441,
  [5442] = 5442,
  [5443] = 5441,
  [5444] = 2948,
  [5445] = 3002,
  [5446] = 5446,
  [5447] = 3130,
  [5448] = 5418,
  [5449] = 2937,
  [5450] = 3044,
  [5451] = 5451,
  [5452] = 2896,
  [5453] = 3071,
  [5454] = 2991,
  [5455] = 2900,
  [5456] = 2901,
  [5457] = 2902,
  [5458] = 5458,
  [5459] = 2904,
  [5460] = 3093,
  [5461] = 2905,
  [5462] = 2907,
  [5463] = 3244,
  [5464] = 3244,
  [5465] = 5465,
  [5466] = 2938,
  [5467] = 5467,
  [5468] = 2908,
  [5469] = 5469,
  [5470] = 5328,
  [5471] = 5440,
  [5472] = 2980,
  [5473] = 5473,
  [5474] = 3005,
  [5475] = 5475,
  [5476] = 5476,
  [5477] = 5275,
  [5478] = 5398,
  [5479] = 2968,
  [5480] = 5480,
  [5481] = 5391,
  [5482] = 5482,
  [5483] = 5483,
  [5484] = 3090,
  [5485] = 2942,
  [5486] = 5465,
  [5487] = 5437,
  [5488] = 2980,
  [5489] = 5438,
  [5490] = 5403,
  [5491] = 5309,
  [5492] = 4083,
  [5493] = 5458,
  [5494] = 5494,
  [5495] = 5420,
  [5496] = 2934,
  [5497] = 5497,
  [5498] = 5494,
  [5499] = 5415,
  [5500] = 2968,
  [5501] = 2974,
  [5502] = 2948,
  [5503] = 5451,
  [5504] = 5409,
  [5505] = 5446,
  [5506] = 5467,
  [5507] = 5483,
  [5508] = 5425,
  [5509] = 5428,
  [5510] = 5469,
  [5511] = 5473,
  [5512] = 5475,
  [5513] = 2903,
  [5514] = 5480,
  [5515] = 5482,
  [5516] = 2954,
  [5517] = 5497,
  [5518] = 2992,
  [5519] = 2967,
  [5520] = 5442,
  [5521] = 5436,
  [5522] = 3071,
  [5523] = 5476,
  [5524] = 3044,
  [5525] = 3063,
  [5526] = 5395,
  [5527] = 5441,
  [5528] = 2942,
  [5529] = 5437,
  [5530] = 5438,
  [5531] = 5465,
  [5532] = 5403,
  [5533] = 5483,
  [5534] = 4083,
  [5535] = 5441,
  [5536] = 5451,
  [5537] = 5409,
  [5538] = 5446,
  [5539] = 5467,
  [5540] = 5469,
  [5541] = 5473,
  [5542] = 5475,
  [5543] = 5480,
  [5544] = 5482,
  [5545] = 5465,
  [5546] = 5497,
  [5547] = 5436,
  [5548] = 5442,
  [5549] = 2992,
  [5550] = 2993,
  [5551] = 5384,
  [5552] = 5397,
  [5553] = 3112,
  [5554] = 3115,
  [5555] = 3116,
  [5556] = 3119,
  [5557] = 3120,
  [5558] = 2974,
  [5559] = 3121,
  [5560] = 3122,
  [5561] = 2976,
  [5562] = 5387,
  [5563] = 2903,
  [5564] = 3125,
  [5565] = 3126,
  [5566] = 2954,
  [5567] = 3127,
  [5568] = 3220,
  [5569] = 5428,
  [5570] = 3129,
  [5571] = 3132,
  [5572] = 5476,
  [5573] = 3002,
  [5574] = 5494,
  [5575] = 3134,
  [5576] = 3135,
  [5577] = 5415,
  [5578] = 2948,
  [5579] = 3138,
  [5580] = 5385,
  [5581] = 2936,
  [5582] = 3140,
  [5583] = 3141,
  [5584] = 2968,
  [5585] = 3142,
  [5586] = 3145,
  [5587] = 3146,
  [5588] = 3147,
  [5589] = 3148,
  [5590] = 3244,
  [5591] = 3149,
  [5592] = 2967,
  [5593] = 3150,
  [5594] = 3151,
  [5595] = 3154,
  [5596] = 5414,
  [5597] = 3155,
  [5598] = 3156,
  [5599] = 3157,
  [5600] = 2979,
  [5601] = 5440,
  [5602] = 3163,
  [5603] = 3164,
  [5604] = 3165,
  [5605] = 3166,
  [5606] = 5420,
  [5607] = 5442,
  [5608] = 2967,
  [5609] = 2968,
  [5610] = 3172,
  [5611] = 5425,
  [5612] = 4083,
  [5613] = 2954,
  [5614] = 3175,
  [5615] = 5428,
  [5616] = 5420,
  [5617] = 5403,
  [5618] = 2937,
  [5619] = 2974,
  [5620] = 5393,
  [5621] = 2900,
  [5622] = 5391,
  [5623] = 5476,
  [5624] = 2901,
  [5625] = 5458,
  [5626] = 5397,
  [5627] = 5483,
  [5628] = 2967,
  [5629] = 2948,
  [5630] = 2942,
  [5631] = 3205,
  [5632] = 3067,
  [5633] = 3179,
  [5634] = 2904,
  [5635] = 3130,
  [5636] = 2937,
  [5637] = 3071,
  [5638] = 5389,
  [5639] = 2905,
  [5640] = 5391,
  [5641] = 3005,
  [5642] = 5418,
  [5643] = 2907,
  [5644] = 2938,
  [5645] = 3090,
  [5646] = 5395,
  [5647] = 2974,
  [5648] = 5497,
  [5649] = 4082,
  [5650] = 5475,
  [5651] = 2954,
  [5652] = 5383,
  [5653] = 2976,
  [5654] = 5385,
  [5655] = 2910,
  [5656] = 5414,
  [5657] = 5480,
  [5658] = 5436,
  [5659] = 2948,
  [5660] = 3201,
  [5661] = 5494,
  [5662] = 3186,
  [5663] = 5415,
  [5664] = 4082,
  [5665] = 3187,
  [5666] = 2968,
  [5667] = 3244,
  [5668] = 5398,
  [5669] = 5398,
  [5670] = 2980,
  [5671] = 5393,
  [5672] = 5418,
  [5673] = 5458,
  [5674] = 2979,
  [5675] = 2910,
  [5676] = 3191,
  [5677] = 2937,
  [5678] = 2896,
  [5679] = 3730,
  [5680] = 2942,
  [5681] = 5451,
  [5682] = 5409,
  [5683] = 2934,
  [5684] = 5446,
  [5685] = 2938,
  [5686] = 5437,
  [5687] = 2908,
  [5688] = 3195,
  [5689] = 5425,
  [5690] = 3196,
  [5691] = 5438,
  [5692] = 3244,
  [5693] = 3061,
  [5694] = 3093,
  [5695] = 2976,
  [5696] = 2938,
  [5697] = 3202,
  [5698] = 5384,
  [5699] = 2979,
  [5700] = 3198,
  [5701] = 5467,
  [5702] = 5387,
  [5703] = 5469,
  [5704] = 3044,
  [5705] = 5473,
  [5706] = 5383,
  [5707] = 2991,
  [5708] = 5482,
  [5709] = 5389,
  [5710] = 5440,
  [5711] = 2902,
  [5712] = 3119,
  [5713] = 3129,
  [5714] = 3132,
  [5715] = 2974,
  [5716] = 2992,
  [5717] = 3067,
  [5718] = 2976,
  [5719] = 2910,
  [5720] = 5720,
  [5721] = 3126,
  [5722] = 3121,
  [5723] = 5723,
  [5724] = 2993,
  [5725] = 3142,
  [5726] = 3090,
  [5727] = 2979,
  [5728] = 3198,
  [5729] = 3195,
  [5730] = 2954,
  [5731] = 2980,
  [5732] = 3205,
  [5733] = 2905,
  [5734] = 2937,
  [5735] = 3148,
  [5736] = 3220,
  [5737] = 2942,
  [5738] = 4083,
  [5739] = 2936,
  [5740] = 3163,
  [5741] = 3147,
  [5742] = 3196,
  [5743] = 3071,
  [5744] = 3140,
  [5745] = 2968,
  [5746] = 4082,
  [5747] = 5720,
  [5748] = 3157,
  [5749] = 3164,
  [5750] = 3165,
  [5751] = 3002,
  [5752] = 3166,
  [5753] = 5723,
  [5754] = 2948,
  [5755] = 3149,
  [5756] = 3145,
  [5757] = 2900,
  [5758] = 2908,
  [5759] = 3138,
  [5760] = 3116,
  [5761] = 5720,
  [5762] = 2903,
  [5763] = 3130,
  [5764] = 3244,
  [5765] = 5720,
  [5766] = 2904,
  [5767] = 2934,
  [5768] = 3005,
  [5769] = 3115,
  [5770] = 3191,
  [5771] = 3134,
  [5772] = 3044,
  [5773] = 2967,
  [5774] = 3093,
  [5775] = 3141,
  [5776] = 3135,
  [5777] = 3150,
  [5778] = 2910,
  [5779] = 5720,
  [5780] = 3151,
  [5781] = 5723,
  [5782] = 3122,
  [5783] = 3172,
  [5784] = 3120,
  [5785] = 3201,
  [5786] = 2907,
  [5787] = 2902,
  [5788] = 5720,
  [5789] = 3186,
  [5790] = 3154,
  [5791] = 3112,
  [5792] = 3146,
  [5793] = 2991,
  [5794] = 3175,
  [5795] = 3125,
  [5796] = 3061,
  [5797] = 3127,
  [5798] = 3155,
  [5799] = 2938,
  [5800] = 3179,
  [5801] = 3063,
  [5802] = 3202,
  [5803] = 3156,
  [5804] = 3187,
  [5805] = 2896,
  [5806] = 2901,
  [5807] = 2979,
  [5808] = 2934,
  [5809] = 3125,
  [5810] = 3126,
  [5811] = 3127,
  [5812] = 3220,
  [5813] = 3129,
  [5814] = 3132,
  [5815] = 2896,
  [5816] = 3134,
  [5817] = 3135,
  [5818] = 3138,
  [5819] = 2936,
  [5820] = 3140,
  [5821] = 3141,
  [5822] = 3142,
  [5823] = 3145,
  [5824] = 3146,
  [5825] = 3147,
  [5826] = 3148,
  [5827] = 2903,
  [5828] = 3149,
  [5829] = 3150,
  [5830] = 3151,
  [5831] = 3154,
  [5832] = 3155,
  [5833] = 3156,
  [5834] = 2900,
  [5835] = 2901,
  [5836] = 2902,
  [5837] = 3163,
  [5838] = 3164,
  [5839] = 3165,
  [5840] = 3166,
  [5841] = 2904,
  [5842] = 2905,
  [5843] = 2907,
  [5844] = 3172,
  [5845] = 3175,
  [5846] = 3179,
  [5847] = 2934,
  [5848] = 2903,
  [5849] = 3186,
  [5850] = 3187,
  [5851] = 3191,
  [5852] = 3195,
  [5853] = 3196,
  [5854] = 3198,
  [5855] = 3201,
  [5856] = 3202,
  [5857] = 3205,
  [5858] = 2954,
  [5859] = 2967,
  [5860] = 2896,
  [5861] = 2900,
  [5862] = 2901,
  [5863] = 2902,
  [5864] = 2968,
  [5865] = 2904,
  [5866] = 2905,
  [5867] = 2907,
  [5868] = 2974,
  [5869] = 2976,
  [5870] = 2979,
  [5871] = 3112,
  [5872] = 3115,
  [5873] = 3116,
  [5874] = 3119,
  [5875] = 3120,
  [5876] = 3121,
  [5877] = 3122,
  [5878] = 3125,
  [5879] = 3126,
  [5880] = 3127,
  [5881] = 3220,
  [5882] = 3129,
  [5883] = 3132,
  [5884] = 3134,
  [5885] = 3135,
  [5886] = 3138,
  [5887] = 2936,
  [5888] = 3140,
  [5889] = 3141,
  [5890] = 3142,
  [5891] = 3145,
  [5892] = 3146,
  [5893] = 3147,
  [5894] = 3148,
  [5895] = 3149,
  [5896] = 3150,
  [5897] = 3151,
  [5898] = 3154,
  [5899] = 3155,
  [5900] = 3156,
  [5901] = 3157,
  [5902] = 3163,
  [5903] = 3164,
  [5904] = 3165,
  [5905] = 3166,
  [5906] = 3172,
  [5907] = 3175,
  [5908] = 2980,
  [5909] = 2934,
  [5910] = 3730,
  [5911] = 3179,
  [5912] = 2903,
  [5913] = 2991,
  [5914] = 2992,
  [5915] = 2993,
  [5916] = 3002,
  [5917] = 3005,
  [5918] = 3044,
  [5919] = 3186,
  [5920] = 3187,
  [5921] = 3061,
  [5922] = 3191,
  [5923] = 3063,
  [5924] = 3067,
  [5925] = 3071,
  [5926] = 3195,
  [5927] = 3196,
  [5928] = 3198,
  [5929] = 3201,
  [5930] = 3202,
  [5931] = 3205,
  [5932] = 3090,
  [5933] = 3093,
  [5934] = 3130,
  [5935] = 2948,
  [5936] = 2954,
  [5937] = 2967,
  [5938] = 2968,
  [5939] = 2974,
  [5940] = 2976,
  [5941] = 2980,
  [5942] = 2991,
  [5943] = 2992,
  [5944] = 2993,
  [5945] = 3002,
  [5946] = 3005,
  [5947] = 3044,
  [5948] = 3061,
  [5949] = 3063,
  [5950] = 3067,
  [5951] = 3071,
  [5952] = 3090,
  [5953] = 3093,
  [5954] = 3130,
  [5955] = 2967,
  [5956] = 2968,
  [5957] = 2974,
  [5958] = 2976,
  [5959] = 2979,
  [5960] = 2980,
  [5961] = 2991,
  [5962] = 2992,
  [5963] = 2993,
  [5964] = 3002,
  [5965] = 3005,
  [5966] = 3044,
  [5967] = 3061,
  [5968] = 3063,
  [5969] = 3067,
  [5970] = 3071,
  [5971] = 3121,
  [5972] = 3093,
  [5973] = 3130,
  [5974] = 3244,
  [5975] = 2937,
  [5976] = 2938,
  [5977] = 2942,
  [5978] = 3244,
  [5979] = 2937,
  [5980] = 2938,
  [5981] = 2942,
  [5982] = 3244,
  [5983] = 2937,
  [5984] = 2938,
  [5985] = 2942,
  [5986] = 2908,
  [5987] = 2910,
  [5988] = 3122,
  [5989] = 3157,
  [5990] = 2896,
  [5991] = 2900,
  [5992] = 2901,
  [5993] = 2902,
  [5994] = 2904,
  [5995] = 2905,
  [5996] = 2907,
  [5997] = 2908,
  [5998] = 2934,
  [5999] = 2903,
  [6000] = 2908,
  [6001] = 3122,
  [6002] = 2910,
  [6003] = 2910,
  [6004] = 2910,
  [6005] = 2910,
  [6006] = 3157,
  [6007] = 2948,
  [6008] = 2908,
  [6009] = 2908,
  [6010] = 3112,
  [6011] = 3115,
  [6012] = 3116,
  [6013] = 3119,
  [6014] = 3120,
  [6015] = 3121,
  [6016] = 3125,
  [6017] = 3126,
  [6018] = 3127,
  [6019] = 3220,
  [6020] = 3129,
  [6021] = 3132,
  [6022] = 2896,
  [6023] = 3134,
  [6024] = 3135,
  [6025] = 3138,
  [6026] = 2936,
  [6027] = 3140,
  [6028] = 3141,
  [6029] = 3142,
  [6030] = 3145,
  [6031] = 3146,
  [6032] = 3147,
  [6033] = 3148,
  [6034] = 3149,
  [6035] = 3150,
  [6036] = 3151,
  [6037] = 3154,
  [6038] = 3155,
  [6039] = 3156,
  [6040] = 2900,
  [6041] = 2901,
  [6042] = 2902,
  [6043] = 3163,
  [6044] = 3164,
  [6045] = 3165,
  [6046] = 3166,
  [6047] = 2904,
  [6048] = 2905,
  [6049] = 2907,
  [6050] = 3172,
  [6051] = 3175,
  [6052] = 2896,
  [6053] = 3179,
  [6054] = 2900,
  [6055] = 2901,
  [6056] = 2902,
  [6057] = 2904,
  [6058] = 2905,
  [6059] = 2907,
  [6060] = 2934,
  [6061] = 2896,
  [6062] = 2903,
  [6063] = 2900,
  [6064] = 2910,
  [6065] = 2901,
  [6066] = 2902,
  [6067] = 2904,
  [6068] = 2905,
  [6069] = 2907,
  [6070] = 2948,
  [6071] = 3186,
  [6072] = 3187,
  [6073] = 2934,
  [6074] = 3191,
  [6075] = 2896,
  [6076] = 3195,
  [6077] = 3196,
  [6078] = 2903,
  [6079] = 3198,
  [6080] = 2900,
  [6081] = 2901,
  [6082] = 2902,
  [6083] = 3201,
  [6084] = 2904,
  [6085] = 2905,
  [6086] = 2907,
  [6087] = 3202,
  [6088] = 3205,
  [6089] = 2908,
  [6090] = 2910,
  [6091] = 2934,
  [6092] = 2896,
  [6093] = 2903,
  [6094] = 2900,
  [6095] = 2901,
  [6096] = 2902,
  [6097] = 2904,
  [6098] = 2905,
  [6099] = 2907,
  [6100] = 2954,
  [6101] = 2934,
  [6102] = 2903,
  [6103] = 3112,
  [6104] = 3115,
  [6105] = 3116,
  [6106] = 3119,
  [6107] = 3120,
  [6108] = 3090,
  [6109] = 2948,
  [6110] = 3132,
  [6111] = 3198,
  [6112] = 3134,
  [6113] = 3135,
  [6114] = 3138,
  [6115] = 2936,
  [6116] = 3140,
  [6117] = 3141,
  [6118] = 3142,
  [6119] = 3145,
  [6120] = 3146,
  [6121] = 3147,
  [6122] = 3148,
  [6123] = 3149,
  [6124] = 3150,
  [6125] = 3151,
  [6126] = 3154,
  [6127] = 3155,
  [6128] = 3156,
  [6129] = 3157,
  [6130] = 3202,
  [6131] = 3205,
  [6132] = 2954,
  [6133] = 3163,
  [6134] = 3164,
  [6135] = 3165,
  [6136] = 3166,
  [6137] = 3172,
  [6138] = 3195,
  [6139] = 3175,
  [6140] = 3186,
  [6141] = 3187,
  [6142] = 2967,
  [6143] = 2980,
  [6144] = 3191,
  [6145] = 3179,
  [6146] = 3195,
  [6147] = 3196,
  [6148] = 3198,
  [6149] = 2968,
  [6150] = 3201,
  [6151] = 2974,
  [6152] = 2976,
  [6153] = 2979,
  [6154] = 3202,
  [6155] = 3186,
  [6156] = 3187,
  [6157] = 4082,
  [6158] = 2967,
  [6159] = 3205,
  [6160] = 3191,
  [6161] = 2948,
  [6162] = 3195,
  [6163] = 3196,
  [6164] = 2954,
  [6165] = 3198,
  [6166] = 2908,
  [6167] = 2968,
  [6168] = 3201,
  [6169] = 4083,
  [6170] = 2974,
  [6171] = 3202,
  [6172] = 2976,
  [6173] = 3205,
  [6174] = 2979,
  [6175] = 2991,
  [6176] = 2992,
  [6177] = 2993,
  [6178] = 3002,
  [6179] = 3005,
  [6180] = 3044,
  [6181] = 2980,
  [6182] = 2967,
  [6183] = 2968,
  [6184] = 2908,
  [6185] = 2974,
  [6186] = 2976,
  [6187] = 3157,
  [6188] = 2979,
  [6189] = 2991,
  [6190] = 2992,
  [6191] = 2993,
  [6192] = 3002,
  [6193] = 2934,
  [6194] = 3005,
  [6195] = 3044,
  [6196] = 2980,
  [6197] = 2967,
  [6198] = 3061,
  [6199] = 3063,
  [6200] = 3067,
  [6201] = 3071,
  [6202] = 2896,
  [6203] = 2968,
  [6204] = 2974,
  [6205] = 2976,
  [6206] = 2979,
  [6207] = 2948,
  [6208] = 2954,
  [6209] = 2991,
  [6210] = 2992,
  [6211] = 2993,
  [6212] = 3002,
  [6213] = 3005,
  [6214] = 3044,
  [6215] = 3090,
  [6216] = 2980,
  [6217] = 3061,
  [6218] = 3063,
  [6219] = 3093,
  [6220] = 3067,
  [6221] = 3071,
  [6222] = 2903,
  [6223] = 3061,
  [6224] = 2991,
  [6225] = 2900,
  [6226] = 2992,
  [6227] = 2993,
  [6228] = 3002,
  [6229] = 2901,
  [6230] = 3005,
  [6231] = 3044,
  [6232] = 2902,
  [6233] = 3090,
  [6234] = 2980,
  [6235] = 3130,
  [6236] = 3244,
  [6237] = 3061,
  [6238] = 3063,
  [6239] = 3093,
  [6240] = 3067,
  [6241] = 3071,
  [6242] = 2937,
  [6243] = 2938,
  [6244] = 2904,
  [6245] = 2905,
  [6246] = 2907,
  [6247] = 2942,
  [6248] = 3063,
  [6249] = 2991,
  [6250] = 2992,
  [6251] = 2993,
  [6252] = 3002,
  [6253] = 3005,
  [6254] = 3044,
  [6255] = 3090,
  [6256] = 2908,
  [6257] = 3130,
  [6258] = 3061,
  [6259] = 3063,
  [6260] = 3093,
  [6261] = 3067,
  [6262] = 3071,
  [6263] = 3090,
  [6264] = 3130,
  [6265] = 3093,
  [6266] = 2934,
  [6267] = 3067,
  [6268] = 3130,
  [6269] = 3071,
  [6270] = 2896,
  [6271] = 2967,
  [6272] = 2968,
  [6273] = 2974,
  [6274] = 2976,
  [6275] = 2979,
  [6276] = 3196,
  [6277] = 2980,
  [6278] = 2991,
  [6279] = 2992,
  [6280] = 2993,
  [6281] = 3002,
  [6282] = 3005,
  [6283] = 3044,
  [6284] = 3061,
  [6285] = 3063,
  [6286] = 3067,
  [6287] = 3071,
  [6288] = 2903,
  [6289] = 3090,
  [6290] = 3093,
  [6291] = 3130,
  [6292] = 2900,
  [6293] = 2901,
  [6294] = 2902,
  [6295] = 2904,
  [6296] = 2905,
  [6297] = 2907,
  [6298] = 2908,
  [6299] = 3244,
  [6300] = 2937,
  [6301] = 2938,
  [6302] = 2942,
  [6303] = 3244,
  [6304] = 2937,
  [6305] = 2938,
  [6306] = 2942,
  [6307] = 3244,
  [6308] = 2937,
  [6309] = 2938,
  [6310] = 2942,
  [6311] = 3244,
  [6312] = 2937,
  [6313] = 2938,
  [6314] = 2942,
  [6315] = 3244,
  [6316] = 2937,
  [6317] = 2938,
  [6318] = 2942,
  [6319] = 2948,
  [6320] = 2954,
  [6321] = 2934,
  [6322] = 6322,
  [6323] = 2896,
  [6324] = 6324,
  [6325] = 2903,
  [6326] = 2900,
  [6327] = 2901,
  [6328] = 2902,
  [6329] = 6322,
  [6330] = 2904,
  [6331] = 2905,
  [6332] = 2907,
  [6333] = 3122,
  [6334] = 2896,
  [6335] = 6322,
  [6336] = 6324,
  [6337] = 3157,
  [6338] = 2900,
  [6339] = 2901,
  [6340] = 2902,
  [6341] = 2904,
  [6342] = 2905,
  [6343] = 2907,
  [6344] = 3186,
  [6345] = 6322,
  [6346] = 2934,
  [6347] = 6324,
  [6348] = 3191,
  [6349] = 3195,
  [6350] = 2903,
  [6351] = 3198,
  [6352] = 3201,
  [6353] = 3202,
  [6354] = 3205,
  [6355] = 3112,
  [6356] = 3115,
  [6357] = 3116,
  [6358] = 3119,
  [6359] = 3120,
  [6360] = 3121,
  [6361] = 3125,
  [6362] = 3126,
  [6363] = 3127,
  [6364] = 3220,
  [6365] = 3129,
  [6366] = 3132,
  [6367] = 2896,
  [6368] = 3134,
  [6369] = 3135,
  [6370] = 3138,
  [6371] = 2936,
  [6372] = 3140,
  [6373] = 3141,
  [6374] = 3142,
  [6375] = 3145,
  [6376] = 3146,
  [6377] = 3147,
  [6378] = 3148,
  [6379] = 3149,
  [6380] = 3150,
  [6381] = 3151,
  [6382] = 3154,
  [6383] = 3155,
  [6384] = 3156,
  [6385] = 2900,
  [6386] = 2901,
  [6387] = 2902,
  [6388] = 3163,
  [6389] = 3164,
  [6390] = 3165,
  [6391] = 3166,
  [6392] = 2904,
  [6393] = 2905,
  [6394] = 2907,
  [6395] = 3172,
  [6396] = 2908,
  [6397] = 2910,
  [6398] = 3175,
  [6399] = 3179,
  [6400] = 6324,
  [6401] = 2934,
  [6402] = 2903,
  [6403] = 2948,
  [6404] = 2896,
  [6405] = 2900,
  [6406] = 2901,
  [6407] = 2902,
  [6408] = 2904,
  [6409] = 2905,
  [6410] = 2907,
  [6411] = 2954,
  [6412] = 3112,
  [6413] = 3115,
  [6414] = 3116,
  [6415] = 3119,
  [6416] = 3120,
  [6417] = 3121,
  [6418] = 3125,
  [6419] = 3126,
  [6420] = 3127,
  [6421] = 3220,
  [6422] = 3129,
  [6423] = 3132,
  [6424] = 3134,
  [6425] = 3135,
  [6426] = 3138,
  [6427] = 2936,
  [6428] = 3140,
  [6429] = 3141,
  [6430] = 3142,
  [6431] = 3145,
  [6432] = 3146,
  [6433] = 3147,
  [6434] = 3148,
  [6435] = 3149,
  [6436] = 3150,
  [6437] = 3129,
  [6438] = 3154,
  [6439] = 3155,
  [6440] = 3156,
  [6441] = 3163,
  [6442] = 3164,
  [6443] = 3165,
  [6444] = 3166,
  [6445] = 3090,
  [6446] = 3172,
  [6447] = 3175,
  [6448] = 3122,
  [6449] = 2934,
  [6450] = 3179,
  [6451] = 2903,
  [6452] = 3157,
  [6453] = 2910,
  [6454] = 3186,
  [6455] = 3244,
  [6456] = 3191,
  [6457] = 2937,
  [6458] = 2938,
  [6459] = 3195,
  [6460] = 2942,
  [6461] = 3198,
  [6462] = 3201,
  [6463] = 3202,
  [6464] = 3205,
  [6465] = 2910,
  [6466] = 2910,
  [6467] = 2910,
  [6468] = 2910,
  [6469] = 2910,
  [6470] = 3093,
  [6471] = 2910,
  [6472] = 3187,
  [6473] = 3196,
  [6474] = 2954,
  [6475] = 2910,
  [6476] = 2967,
  [6477] = 3187,
  [6478] = 2968,
  [6479] = 2974,
  [6480] = 2976,
  [6481] = 2979,
  [6482] = 3730,
  [6483] = 3201,
  [6484] = 3130,
  [6485] = 2948,
  [6486] = 3112,
  [6487] = 2993,
  [6488] = 3005,
  [6489] = 3115,
  [6490] = 3116,
  [6491] = 3119,
  [6492] = 3120,
  [6493] = 3121,
  [6494] = 2980,
  [6495] = 3125,
  [6496] = 3126,
  [6497] = 3127,
  [6498] = 3220,
  [6499] = 3129,
  [6500] = 3132,
  [6501] = 3134,
  [6502] = 3135,
  [6503] = 3067,
  [6504] = 3138,
  [6505] = 3071,
  [6506] = 2936,
  [6507] = 3140,
  [6508] = 3141,
  [6509] = 3142,
  [6510] = 3145,
  [6511] = 3146,
  [6512] = 3147,
  [6513] = 3148,
  [6514] = 3149,
  [6515] = 3150,
  [6516] = 3151,
  [6517] = 3154,
  [6518] = 3155,
  [6519] = 3156,
  [6520] = 3163,
  [6521] = 3164,
  [6522] = 3165,
  [6523] = 3166,
  [6524] = 3172,
  [6525] = 2991,
  [6526] = 3112,
  [6527] = 2992,
  [6528] = 3002,
  [6529] = 3175,
  [6530] = 3044,
  [6531] = 3115,
  [6532] = 3116,
  [6533] = 3119,
  [6534] = 3120,
  [6535] = 3121,
  [6536] = 3125,
  [6537] = 3126,
  [6538] = 3127,
  [6539] = 3061,
  [6540] = 3220,
  [6541] = 3129,
  [6542] = 3132,
  [6543] = 3063,
  [6544] = 3134,
  [6545] = 3135,
  [6546] = 3138,
  [6547] = 3179,
  [6548] = 2936,
  [6549] = 3140,
  [6550] = 3141,
  [6551] = 3142,
  [6552] = 3145,
  [6553] = 3146,
  [6554] = 3147,
  [6555] = 3148,
  [6556] = 3149,
  [6557] = 3150,
  [6558] = 3151,
  [6559] = 3154,
  [6560] = 3155,
  [6561] = 2910,
  [6562] = 3156,
  [6563] = 3163,
  [6564] = 3164,
  [6565] = 3165,
  [6566] = 3166,
  [6567] = 3172,
  [6568] = 3112,
  [6569] = 3175,
  [6570] = 3115,
  [6571] = 3116,
  [6572] = 3119,
  [6573] = 3120,
  [6574] = 3090,
  [6575] = 3121,
  [6576] = 3122,
  [6577] = 3125,
  [6578] = 3126,
  [6579] = 3127,
  [6580] = 3220,
  [6581] = 3129,
  [6582] = 3132,
  [6583] = 3093,
  [6584] = 3134,
  [6585] = 3135,
  [6586] = 3138,
  [6587] = 3179,
  [6588] = 2936,
  [6589] = 3140,
  [6590] = 3141,
  [6591] = 3142,
  [6592] = 3145,
  [6593] = 3146,
  [6594] = 3147,
  [6595] = 3148,
  [6596] = 2948,
  [6597] = 3149,
  [6598] = 3150,
  [6599] = 3151,
  [6600] = 3154,
  [6601] = 3191,
  [6602] = 3155,
  [6603] = 3156,
  [6604] = 3157,
  [6605] = 3112,
  [6606] = 3163,
  [6607] = 3164,
  [6608] = 3165,
  [6609] = 3166,
  [6610] = 3172,
  [6611] = 3115,
  [6612] = 3112,
  [6613] = 3116,
  [6614] = 3119,
  [6615] = 3175,
  [6616] = 3115,
  [6617] = 3186,
  [6618] = 3116,
  [6619] = 3187,
  [6620] = 3119,
  [6621] = 3120,
  [6622] = 3121,
  [6623] = 3122,
  [6624] = 3130,
  [6625] = 3120,
  [6626] = 3125,
  [6627] = 3126,
  [6628] = 3127,
  [6629] = 3191,
  [6630] = 3220,
  [6631] = 3129,
  [6632] = 3132,
  [6633] = 3121,
  [6634] = 3134,
  [6635] = 3135,
  [6636] = 3138,
  [6637] = 3179,
  [6638] = 2936,
  [6639] = 3140,
  [6640] = 3141,
  [6641] = 3142,
  [6642] = 3195,
  [6643] = 3145,
  [6644] = 3196,
  [6645] = 3146,
  [6646] = 3147,
  [6647] = 3148,
  [6648] = 3149,
  [6649] = 3150,
  [6650] = 3151,
  [6651] = 3154,
  [6652] = 3198,
  [6653] = 3155,
  [6654] = 3156,
  [6655] = 3157,
  [6656] = 3122,
  [6657] = 3163,
  [6658] = 3164,
  [6659] = 3165,
  [6660] = 3166,
  [6661] = 3201,
  [6662] = 3172,
  [6663] = 3202,
  [6664] = 3205,
  [6665] = 3175,
  [6666] = 3186,
  [6667] = 3187,
  [6668] = 3122,
  [6669] = 2967,
  [6670] = 3191,
  [6671] = 3179,
  [6672] = 3196,
  [6673] = 3195,
  [6674] = 3196,
  [6675] = 3198,
  [6676] = 3157,
  [6677] = 2968,
  [6678] = 3201,
  [6679] = 2974,
  [6680] = 3202,
  [6681] = 2976,
  [6682] = 3205,
  [6683] = 2979,
  [6684] = 2954,
  [6685] = 3125,
  [6686] = 3186,
  [6687] = 3126,
  [6688] = 3187,
  [6689] = 3127,
  [6690] = 3220,
  [6691] = 3122,
  [6692] = 3151,
  [6693] = 3121,
  [6694] = 3141,
  [6695] = 3129,
  [6696] = 3132,
  [6697] = 3134,
  [6698] = 3135,
  [6699] = 3142,
  [6700] = 2980,
  [6701] = 3138,
  [6702] = 3179,
  [6703] = 2991,
  [6704] = 2992,
  [6705] = 2993,
  [6706] = 3002,
  [6707] = 3005,
  [6708] = 3044,
  [6709] = 3145,
  [6710] = 3061,
  [6711] = 3063,
  [6712] = 3067,
  [6713] = 3071,
  [6714] = 3090,
  [6715] = 3146,
  [6716] = 2936,
  [6717] = 3140,
  [6718] = 3141,
  [6719] = 3093,
  [6720] = 3147,
  [6721] = 3148,
  [6722] = 3149,
  [6723] = 3142,
  [6724] = 3195,
  [6725] = 2980,
  [6726] = 3112,
  [6727] = 3130,
  [6728] = 3146,
  [6729] = 3147,
  [6730] = 3148,
  [6731] = 3005,
  [6732] = 2910,
  [6733] = 3044,
  [6734] = 3150,
  [6735] = 3175,
  [6736] = 3151,
  [6737] = 3154,
  [6738] = 3155,
  [6739] = 3156,
  [6740] = 2948,
  [6741] = 3244,
  [6742] = 2900,
  [6743] = 2901,
  [6744] = 2902,
  [6745] = 3163,
  [6746] = 2937,
  [6747] = 2938,
  [6748] = 2942,
  [6749] = 3149,
  [6750] = 3150,
  [6751] = 3151,
  [6752] = 3154,
  [6753] = 3198,
  [6754] = 3155,
  [6755] = 3156,
  [6756] = 3157,
  [6757] = 3164,
  [6758] = 3730,
  [6759] = 3163,
  [6760] = 3165,
  [6761] = 3164,
  [6762] = 3165,
  [6763] = 3166,
  [6764] = 3201,
  [6765] = 3112,
  [6766] = 3172,
  [6767] = 3202,
  [6768] = 3205,
  [6769] = 2954,
  [6770] = 3166,
  [6771] = 3112,
  [6772] = 2904,
  [6773] = 2993,
  [6774] = 2910,
  [6775] = 3175,
  [6776] = 3005,
  [6777] = 3115,
  [6778] = 2991,
  [6779] = 3186,
  [6780] = 3116,
  [6781] = 3187,
  [6782] = 3119,
  [6783] = 3120,
  [6784] = 3121,
  [6785] = 2980,
  [6786] = 3122,
  [6787] = 2905,
  [6788] = 2907,
  [6789] = 3172,
  [6790] = 3115,
  [6791] = 3115,
  [6792] = 3186,
  [6793] = 3116,
  [6794] = 3125,
  [6795] = 3126,
  [6796] = 3116,
  [6797] = 3127,
  [6798] = 3191,
  [6799] = 3220,
  [6800] = 3129,
  [6801] = 3132,
  [6802] = 3134,
  [6803] = 3135,
  [6804] = 6804,
  [6805] = 3119,
  [6806] = 3067,
  [6807] = 3138,
  [6808] = 3179,
  [6809] = 3071,
  [6810] = 6810,
  [6811] = 2936,
  [6812] = 3140,
  [6813] = 3141,
  [6814] = 3142,
  [6815] = 3195,
  [6816] = 3145,
  [6817] = 3196,
  [6818] = 3146,
  [6819] = 3147,
  [6820] = 3148,
  [6821] = 3120,
  [6822] = 3149,
  [6823] = 3150,
  [6824] = 3151,
  [6825] = 3154,
  [6826] = 3198,
  [6827] = 3155,
  [6828] = 3156,
  [6829] = 3157,
  [6830] = 3121,
  [6831] = 3119,
  [6832] = 3163,
  [6833] = 3120,
  [6834] = 3164,
  [6835] = 3165,
  [6836] = 3166,
  [6837] = 3201,
  [6838] = 3172,
  [6839] = 3202,
  [6840] = 3205,
  [6841] = 2948,
  [6842] = 2954,
  [6843] = 2991,
  [6844] = 3112,
  [6845] = 2992,
  [6846] = 3002,
  [6847] = 3175,
  [6848] = 3044,
  [6849] = 3115,
  [6850] = 3186,
  [6851] = 3116,
  [6852] = 3187,
  [6853] = 3119,
  [6854] = 3120,
  [6855] = 3090,
  [6856] = 3121,
  [6857] = 3122,
  [6858] = 2967,
  [6859] = 3125,
  [6860] = 3126,
  [6861] = 3127,
  [6862] = 3061,
  [6863] = 3191,
  [6864] = 3220,
  [6865] = 3129,
  [6866] = 3132,
  [6867] = 3063,
  [6868] = 3093,
  [6869] = 3134,
  [6870] = 3135,
  [6871] = 3138,
  [6872] = 3179,
  [6873] = 2936,
  [6874] = 3140,
  [6875] = 3141,
  [6876] = 3142,
  [6877] = 3195,
  [6878] = 3145,
  [6879] = 3196,
  [6880] = 3090,
  [6881] = 3146,
  [6882] = 3147,
  [6883] = 3148,
  [6884] = 3149,
  [6885] = 3150,
  [6886] = 3151,
  [6887] = 6804,
  [6888] = 3154,
  [6889] = 3198,
  [6890] = 3155,
  [6891] = 3156,
  [6892] = 3163,
  [6893] = 2968,
  [6894] = 6810,
  [6895] = 3164,
  [6896] = 3165,
  [6897] = 3166,
  [6898] = 3201,
  [6899] = 3061,
  [6900] = 2974,
  [6901] = 3172,
  [6902] = 3202,
  [6903] = 2976,
  [6904] = 3205,
  [6905] = 2979,
  [6906] = 2948,
  [6907] = 2954,
  [6908] = 2991,
  [6909] = 2992,
  [6910] = 2993,
  [6911] = 3002,
  [6912] = 3005,
  [6913] = 3044,
  [6914] = 3187,
  [6915] = 3090,
  [6916] = 2980,
  [6917] = 2967,
  [6918] = 3130,
  [6919] = 3244,
  [6920] = 6804,
  [6921] = 3061,
  [6922] = 3063,
  [6923] = 3093,
  [6924] = 6810,
  [6925] = 3067,
  [6926] = 3071,
  [6927] = 2937,
  [6928] = 2938,
  [6929] = 3196,
  [6930] = 2942,
  [6931] = 2968,
  [6932] = 2974,
  [6933] = 2976,
  [6934] = 2979,
  [6935] = 2948,
  [6936] = 2991,
  [6937] = 2992,
  [6938] = 6804,
  [6939] = 2993,
  [6940] = 3002,
  [6941] = 3005,
  [6942] = 3044,
  [6943] = 3063,
  [6944] = 3187,
  [6945] = 3067,
  [6946] = 3090,
  [6947] = 3071,
  [6948] = 2980,
  [6949] = 2967,
  [6950] = 3130,
  [6951] = 3244,
  [6952] = 3157,
  [6953] = 3061,
  [6954] = 3063,
  [6955] = 3093,
  [6956] = 3125,
  [6957] = 3067,
  [6958] = 3071,
  [6959] = 2937,
  [6960] = 2938,
  [6961] = 3125,
  [6962] = 3196,
  [6963] = 3126,
  [6964] = 2942,
  [6965] = 3126,
  [6966] = 3127,
  [6967] = 3191,
  [6968] = 3220,
  [6969] = 3129,
  [6970] = 2968,
  [6971] = 3132,
  [6972] = 3134,
  [6973] = 3135,
  [6974] = 2974,
  [6975] = 2976,
  [6976] = 2979,
  [6977] = 2948,
  [6978] = 2993,
  [6979] = 3138,
  [6980] = 3005,
  [6981] = 2980,
  [6982] = 2967,
  [6983] = 3130,
  [6984] = 3244,
  [6985] = 3067,
  [6986] = 3179,
  [6987] = 3071,
  [6988] = 2937,
  [6989] = 2938,
  [6990] = 2942,
  [6991] = 2968,
  [6992] = 2974,
  [6993] = 2976,
  [6994] = 2979,
  [6995] = 2991,
  [6996] = 2992,
  [6997] = 2954,
  [6998] = 2993,
  [6999] = 3175,
  [7000] = 3002,
  [7001] = 3005,
  [7002] = 3044,
  [7003] = 3090,
  [7004] = 2980,
  [7005] = 3061,
  [7006] = 3063,
  [7007] = 3093,
  [7008] = 3067,
  [7009] = 3071,
  [7010] = 3130,
  [7011] = 3244,
  [7012] = 3730,
  [7013] = 2937,
  [7014] = 2938,
  [7015] = 2942,
  [7016] = 3112,
  [7017] = 3115,
  [7018] = 3116,
  [7019] = 3119,
  [7020] = 3120,
  [7021] = 3121,
  [7022] = 3125,
  [7023] = 3126,
  [7024] = 3127,
  [7025] = 3220,
  [7026] = 3129,
  [7027] = 3132,
  [7028] = 3134,
  [7029] = 3135,
  [7030] = 3138,
  [7031] = 2936,
  [7032] = 3140,
  [7033] = 3141,
  [7034] = 3142,
  [7035] = 3145,
  [7036] = 3146,
  [7037] = 3147,
  [7038] = 3148,
  [7039] = 3149,
  [7040] = 3150,
  [7041] = 3151,
  [7042] = 3154,
  [7043] = 3155,
  [7044] = 3156,
  [7045] = 3163,
  [7046] = 3164,
  [7047] = 3165,
  [7048] = 3166,
  [7049] = 3172,
  [7050] = 3175,
  [7051] = 3187,
  [7052] = 3122,
  [7053] = 3179,
  [7054] = 3196,
  [7055] = 2992,
  [7056] = 2936,
  [7057] = 3140,
  [7058] = 3141,
  [7059] = 3127,
  [7060] = 3244,
  [7061] = 3157,
  [7062] = 3142,
  [7063] = 3195,
  [7064] = 3145,
  [7065] = 3186,
  [7066] = 3191,
  [7067] = 3195,
  [7068] = 3198,
  [7069] = 3146,
  [7070] = 3201,
  [7071] = 3202,
  [7072] = 3205,
  [7073] = 2937,
  [7074] = 2938,
  [7075] = 3130,
  [7076] = 3147,
  [7077] = 3148,
  [7078] = 2942,
  [7079] = 2993,
  [7080] = 3187,
  [7081] = 3730,
  [7082] = 3196,
  [7083] = 3122,
  [7084] = 2954,
  [7085] = 3149,
  [7086] = 3150,
  [7087] = 3179,
  [7088] = 3151,
  [7089] = 3122,
  [7090] = 3154,
  [7091] = 3157,
  [7092] = 3198,
  [7093] = 3155,
  [7094] = 3156,
  [7095] = 3157,
  [7096] = 2948,
  [7097] = 3186,
  [7098] = 4082,
  [7099] = 3191,
  [7100] = 3220,
  [7101] = 3195,
  [7102] = 3198,
  [7103] = 2954,
  [7104] = 3201,
  [7105] = 4083,
  [7106] = 2934,
  [7107] = 3202,
  [7108] = 3205,
  [7109] = 6810,
  [7110] = 3163,
  [7111] = 3129,
  [7112] = 3164,
  [7113] = 3165,
  [7114] = 3002,
  [7115] = 3166,
  [7116] = 3201,
  [7117] = 3172,
  [7118] = 3202,
  [7119] = 3132,
  [7120] = 3205,
  [7121] = 3093,
  [7122] = 2954,
  [7123] = 3112,
  [7124] = 2910,
  [7125] = 2903,
  [7126] = 3175,
  [7127] = 3115,
  [7128] = 3186,
  [7129] = 3116,
  [7130] = 3119,
  [7131] = 3120,
  [7132] = 3121,
  [7133] = 2896,
  [7134] = 2967,
  [7135] = 3122,
  [7136] = 2967,
  [7137] = 2968,
  [7138] = 3125,
  [7139] = 3126,
  [7140] = 2974,
  [7141] = 2976,
  [7142] = 2979,
  [7143] = 3134,
  [7144] = 3135,
  [7145] = 2910,
  [7146] = 3138,
  [7147] = 2968,
  [7148] = 2974,
  [7149] = 3127,
  [7150] = 2976,
  [7151] = 3191,
  [7152] = 2979,
  [7153] = 2948,
  [7154] = 2936,
  [7155] = 3220,
  [7156] = 3140,
  [7157] = 3145,
  [7158] = 3172,
  [7159] = 3201,
  [7160] = 2993,
  [7161] = 3186,
  [7162] = 3191,
  [7163] = 3067,
  [7164] = 3195,
  [7165] = 2901,
  [7166] = 3198,
  [7167] = 3201,
  [7168] = 3202,
  [7169] = 3205,
  [7170] = 3156,
  [7171] = 7171,
  [7172] = 3198,
  [7173] = 3112,
  [7174] = 3067,
  [7175] = 3730,
  [7176] = 3196,
  [7177] = 3115,
  [7178] = 4082,
  [7179] = 3201,
  [7180] = 7180,
  [7181] = 3202,
  [7182] = 3205,
  [7183] = 3071,
  [7184] = 7184,
  [7185] = 7180,
  [7186] = 7184,
  [7187] = 3244,
  [7188] = 3125,
  [7189] = 3126,
  [7190] = 2902,
  [7191] = 3127,
  [7192] = 3191,
  [7193] = 3175,
  [7194] = 3220,
  [7195] = 3129,
  [7196] = 3132,
  [7197] = 4083,
  [7198] = 3163,
  [7199] = 2967,
  [7200] = 3187,
  [7201] = 2896,
  [7202] = 3134,
  [7203] = 4083,
  [7204] = 2934,
  [7205] = 3164,
  [7206] = 3165,
  [7207] = 2937,
  [7208] = 3186,
  [7209] = 7209,
  [7210] = 7210,
  [7211] = 2968,
  [7212] = 3166,
  [7213] = 3201,
  [7214] = 3187,
  [7215] = 2974,
  [7216] = 2904,
  [7217] = 7209,
  [7218] = 2905,
  [7219] = 3730,
  [7220] = 3138,
  [7221] = 3179,
  [7222] = 2976,
  [7223] = 3155,
  [7224] = 7224,
  [7225] = 3186,
  [7226] = 7210,
  [7227] = 3116,
  [7228] = 2991,
  [7229] = 2907,
  [7230] = 2992,
  [7231] = 3730,
  [7232] = 2993,
  [7233] = 3112,
  [7234] = 3149,
  [7235] = 7224,
  [7236] = 3002,
  [7237] = 3115,
  [7238] = 3116,
  [7239] = 3119,
  [7240] = 3120,
  [7241] = 3121,
  [7242] = 2979,
  [7243] = 3044,
  [7244] = 2936,
  [7245] = 3140,
  [7246] = 3141,
  [7247] = 3125,
  [7248] = 3126,
  [7249] = 3127,
  [7250] = 3220,
  [7251] = 3129,
  [7252] = 3132,
  [7253] = 3198,
  [7254] = 4083,
  [7255] = 2896,
  [7256] = 3134,
  [7257] = 3135,
  [7258] = 3150,
  [7259] = 3138,
  [7260] = 3142,
  [7261] = 2937,
  [7262] = 2936,
  [7263] = 3195,
  [7264] = 3140,
  [7265] = 3141,
  [7266] = 3142,
  [7267] = 3145,
  [7268] = 3730,
  [7269] = 3146,
  [7270] = 3147,
  [7271] = 3148,
  [7272] = 3149,
  [7273] = 3150,
  [7274] = 3145,
  [7275] = 3151,
  [7276] = 3154,
  [7277] = 3155,
  [7278] = 3156,
  [7279] = 2900,
  [7280] = 2901,
  [7281] = 2902,
  [7282] = 3163,
  [7283] = 3164,
  [7284] = 3165,
  [7285] = 3166,
  [7286] = 2904,
  [7287] = 2905,
  [7288] = 2907,
  [7289] = 3172,
  [7290] = 3090,
  [7291] = 3175,
  [7292] = 3061,
  [7293] = 2948,
  [7294] = 3063,
  [7295] = 3093,
  [7296] = 3730,
  [7297] = 3067,
  [7298] = 3191,
  [7299] = 3196,
  [7300] = 2980,
  [7301] = 3179,
  [7302] = 3730,
  [7303] = 2900,
  [7304] = 2954,
  [7305] = 2938,
  [7306] = 3202,
  [7307] = 3119,
  [7308] = 3198,
  [7309] = 3146,
  [7310] = 2903,
  [7311] = 3205,
  [7312] = 2993,
  [7313] = 3205,
  [7314] = 3005,
  [7315] = 4082,
  [7316] = 3147,
  [7317] = 3186,
  [7318] = 7171,
  [7319] = 3187,
  [7320] = 3195,
  [7321] = 3120,
  [7322] = 2942,
  [7323] = 3196,
  [7324] = 3121,
  [7325] = 4082,
  [7326] = 3151,
  [7327] = 2942,
  [7328] = 3730,
  [7329] = 3191,
  [7330] = 3244,
  [7331] = 3130,
  [7332] = 2938,
  [7333] = 3154,
  [7334] = 3187,
  [7335] = 3148,
  [7336] = 3195,
  [7337] = 3196,
  [7338] = 3202,
  [7339] = 7180,
  [7340] = 2980,
  [7341] = 5442,
  [7342] = 3186,
  [7343] = 2993,
  [7344] = 3005,
  [7345] = 3130,
  [7346] = 3067,
  [7347] = 3071,
  [7348] = 3244,
  [7349] = 7349,
  [7350] = 7350,
  [7351] = 7351,
  [7352] = 7352,
  [7353] = 5328,
  [7354] = 7354,
  [7355] = 7355,
  [7356] = 5440,
  [7357] = 3187,
  [7358] = 5418,
  [7359] = 5275,
  [7360] = 5442,
  [7361] = 7361,
  [7362] = 7362,
  [7363] = 7224,
  [7364] = 5441,
  [7365] = 5476,
  [7366] = 5458,
  [7367] = 7367,
  [7368] = 3730,
  [7369] = 5398,
  [7370] = 2991,
  [7371] = 2992,
  [7372] = 3002,
  [7373] = 3044,
  [7374] = 3090,
  [7375] = 3061,
  [7376] = 3063,
  [7377] = 3093,
  [7378] = 7378,
  [7379] = 3730,
  [7380] = 3730,
  [7381] = 3191,
  [7382] = 3156,
  [7383] = 2900,
  [7384] = 3130,
  [7385] = 3244,
  [7386] = 3175,
  [7387] = 3195,
  [7388] = 3196,
  [7389] = 2937,
  [7390] = 2938,
  [7391] = 3198,
  [7392] = 2942,
  [7393] = 3244,
  [7394] = 2967,
  [7395] = 5440,
  [7396] = 3148,
  [7397] = 7184,
  [7398] = 7398,
  [7399] = 3201,
  [7400] = 3202,
  [7401] = 3205,
  [7402] = 7402,
  [7403] = 7403,
  [7404] = 7404,
  [7405] = 7405,
  [7406] = 2968,
  [7407] = 7407,
  [7408] = 7362,
  [7409] = 2974,
  [7410] = 2976,
  [7411] = 2979,
  [7412] = 7367,
  [7413] = 7413,
  [7414] = 3730,
  [7415] = 7415,
  [7416] = 2948,
  [7417] = 2954,
  [7418] = 7418,
  [7419] = 7419,
  [7420] = 7420,
  [7421] = 7421,
  [7422] = 3005,
  [7423] = 2980,
  [7424] = 4082,
  [7425] = 2967,
  [7426] = 3071,
  [7427] = 7427,
  [7428] = 4083,
  [7429] = 2991,
  [7430] = 2992,
  [7431] = 7431,
  [7432] = 3002,
  [7433] = 3044,
  [7434] = 3090,
  [7435] = 2967,
  [7436] = 3061,
  [7437] = 2937,
  [7438] = 3063,
  [7439] = 3093,
  [7440] = 2938,
  [7441] = 2968,
  [7442] = 7349,
  [7443] = 2974,
  [7444] = 7351,
  [7445] = 2976,
  [7446] = 7352,
  [7447] = 2979,
  [7448] = 2968,
  [7449] = 2974,
  [7450] = 7354,
  [7451] = 3135,
  [7452] = 7355,
  [7453] = 2976,
  [7454] = 2979,
  [7455] = 2901,
  [7456] = 3005,
  [7457] = 2980,
  [7458] = 3130,
  [7459] = 2902,
  [7460] = 3071,
  [7461] = 3163,
  [7462] = 7462,
  [7463] = 7463,
  [7464] = 2991,
  [7465] = 2992,
  [7466] = 5328,
  [7467] = 2993,
  [7468] = 3150,
  [7469] = 3002,
  [7470] = 3044,
  [7471] = 5360,
  [7472] = 7472,
  [7473] = 7473,
  [7474] = 7474,
  [7475] = 3061,
  [7476] = 3063,
  [7477] = 3730,
  [7478] = 7427,
  [7479] = 7472,
  [7480] = 7480,
  [7481] = 3179,
  [7482] = 3164,
  [7483] = 3165,
  [7484] = 3090,
  [7485] = 7485,
  [7486] = 3244,
  [7487] = 3147,
  [7488] = 3093,
  [7489] = 7489,
  [7490] = 7489,
  [7491] = 2937,
  [7492] = 2938,
  [7493] = 3166,
  [7494] = 2942,
  [7495] = 2934,
  [7496] = 5418,
  [7497] = 4082,
  [7498] = 5275,
  [7499] = 3730,
  [7500] = 3151,
  [7501] = 2904,
  [7502] = 7502,
  [7503] = 7171,
  [7504] = 3130,
  [7505] = 7505,
  [7506] = 7418,
  [7507] = 7419,
  [7508] = 7420,
  [7509] = 7421,
  [7510] = 7473,
  [7511] = 7462,
  [7512] = 7463,
  [7513] = 7480,
  [7514] = 4082,
  [7515] = 7485,
  [7516] = 7402,
  [7517] = 5341,
  [7518] = 7474,
  [7519] = 7413,
  [7520] = 7403,
  [7521] = 7404,
  [7522] = 7407,
  [7523] = 7378,
  [7524] = 2905,
  [7525] = 2907,
  [7526] = 3154,
  [7527] = 4083,
  [7528] = 3067,
  [7529] = 3172,
  [7530] = 5441,
  [7531] = 4082,
  [7532] = 2903,
  [7533] = 4083,
  [7534] = 2991,
  [7535] = 7405,
  [7536] = 2992,
  [7537] = 3002,
  [7538] = 3044,
  [7539] = 7539,
  [7540] = 2942,
  [7541] = 7398,
  [7542] = 3061,
  [7543] = 3063,
  [7544] = 4083,
  [7545] = 5476,
  [7546] = 5458,
  [7547] = 4082,
  [7548] = 7539,
  [7549] = 3244,
  [7550] = 7415,
  [7551] = 7350,
  [7552] = 2937,
  [7553] = 2938,
  [7554] = 7361,
  [7555] = 2942,
  [7556] = 7431,
  [7557] = 2903,
  [7558] = 4083,
  [7559] = 2942,
  [7560] = 3112,
  [7561] = 3090,
  [7562] = 5398,
  [7563] = 3115,
  [7564] = 3116,
  [7565] = 3119,
  [7566] = 3120,
  [7567] = 4083,
  [7568] = 3149,
  [7569] = 3121,
  [7570] = 2967,
  [7571] = 3093,
  [7572] = 2934,
  [7573] = 3125,
  [7574] = 3126,
  [7575] = 4082,
  [7576] = 3127,
  [7577] = 3155,
  [7578] = 2937,
  [7579] = 3220,
  [7580] = 2938,
  [7581] = 3129,
  [7582] = 5311,
  [7583] = 3132,
  [7584] = 2968,
  [7585] = 2974,
  [7586] = 7502,
  [7587] = 7505,
  [7588] = 2896,
  [7589] = 3134,
  [7590] = 4083,
  [7591] = 3135,
  [7592] = 3138,
  [7593] = 7209,
  [7594] = 2936,
  [7595] = 3140,
  [7596] = 2976,
  [7597] = 3141,
  [7598] = 3142,
  [7599] = 7210,
  [7600] = 3145,
  [7601] = 2979,
  [7602] = 3146,
  [7603] = 4082,
  [7604] = 7431,
  [7605] = 7349,
  [7606] = 7354,
  [7607] = 7415,
  [7608] = 7485,
  [7609] = 7418,
  [7610] = 7610,
  [7611] = 2979,
  [7612] = 7367,
  [7613] = 7351,
  [7614] = 4083,
  [7615] = 7610,
  [7616] = 7610,
  [7617] = 7617,
  [7618] = 7378,
  [7619] = 7419,
  [7620] = 7420,
  [7621] = 4082,
  [7622] = 7617,
  [7623] = 7352,
  [7624] = 7617,
  [7625] = 7421,
  [7626] = 7405,
  [7627] = 4083,
  [7628] = 7473,
  [7629] = 7610,
  [7630] = 7474,
  [7631] = 7539,
  [7632] = 5328,
  [7633] = 2991,
  [7634] = 2992,
  [7635] = 3002,
  [7636] = 3005,
  [7637] = 4082,
  [7638] = 3044,
  [7639] = 7610,
  [7640] = 7224,
  [7641] = 3090,
  [7642] = 2980,
  [7643] = 4083,
  [7644] = 7610,
  [7645] = 2993,
  [7646] = 2967,
  [7647] = 3130,
  [7648] = 3244,
  [7649] = 3067,
  [7650] = 7398,
  [7651] = 7610,
  [7652] = 4082,
  [7653] = 7171,
  [7654] = 7610,
  [7655] = 4083,
  [7656] = 7362,
  [7657] = 3061,
  [7658] = 4083,
  [7659] = 7610,
  [7660] = 7184,
  [7661] = 2938,
  [7662] = 3063,
  [7663] = 3093,
  [7664] = 7610,
  [7665] = 2974,
  [7666] = 7610,
  [7667] = 7610,
  [7668] = 7610,
  [7669] = 7610,
  [7670] = 3071,
  [7671] = 7610,
  [7672] = 2976,
  [7673] = 7610,
  [7674] = 7413,
  [7675] = 7489,
  [7676] = 5398,
  [7677] = 7610,
  [7678] = 7610,
  [7679] = 7404,
  [7680] = 4082,
  [7681] = 5458,
  [7682] = 7505,
  [7683] = 7610,
  [7684] = 7180,
  [7685] = 5442,
  [7686] = 5476,
  [7687] = 2942,
  [7688] = 7403,
  [7689] = 7350,
  [7690] = 5440,
  [7691] = 7502,
  [7692] = 4082,
  [7693] = 2968,
  [7694] = 7407,
  [7695] = 4082,
  [7696] = 7610,
  [7697] = 5441,
  [7698] = 7355,
  [7699] = 7480,
  [7700] = 7209,
  [7701] = 4083,
  [7702] = 7210,
  [7703] = 7402,
  [7704] = 5418,
  [7705] = 7361,
  [7706] = 7617,
  [7707] = 5275,
  [7708] = 7610,
  [7709] = 7610,
  [7710] = 2937,
  [7711] = 7711,
  [7712] = 3115,
  [7713] = 2974,
  [7714] = 7714,
  [7715] = 2976,
  [7716] = 2979,
  [7717] = 7717,
  [7718] = 7718,
  [7719] = 7719,
  [7720] = 3191,
  [7721] = 3138,
  [7722] = 7350,
  [7723] = 3157,
  [7724] = 7724,
  [7725] = 2936,
  [7726] = 3140,
  [7727] = 7727,
  [7728] = 7717,
  [7729] = 7718,
  [7730] = 7730,
  [7731] = 3141,
  [7732] = 7502,
  [7733] = 3142,
  [7734] = 3145,
  [7735] = 7717,
  [7736] = 7718,
  [7737] = 7361,
  [7738] = 3146,
  [7739] = 3147,
  [7740] = 7717,
  [7741] = 7718,
  [7742] = 7717,
  [7743] = 7718,
  [7744] = 7744,
  [7745] = 7717,
  [7746] = 7718,
  [7747] = 3148,
  [7748] = 7505,
  [7749] = 3116,
  [7750] = 7717,
  [7751] = 7718,
  [7752] = 3119,
  [7753] = 3120,
  [7754] = 7717,
  [7755] = 7718,
  [7756] = 5441,
  [7757] = 7717,
  [7758] = 7718,
  [7759] = 7719,
  [7760] = 3121,
  [7761] = 3149,
  [7762] = 7717,
  [7763] = 7718,
  [7764] = 3150,
  [7765] = 7765,
  [7766] = 7717,
  [7767] = 7718,
  [7768] = 3005,
  [7769] = 7717,
  [7770] = 7718,
  [7771] = 3151,
  [7772] = 2980,
  [7773] = 7719,
  [7774] = 3154,
  [7775] = 7717,
  [7776] = 7718,
  [7777] = 2942,
  [7778] = 7719,
  [7779] = 3155,
  [7780] = 7480,
  [7781] = 7717,
  [7782] = 7718,
  [7783] = 2938,
  [7784] = 7719,
  [7785] = 3156,
  [7786] = 2900,
  [7787] = 2901,
  [7788] = 7717,
  [7789] = 3071,
  [7790] = 2902,
  [7791] = 3163,
  [7792] = 5476,
  [7793] = 3244,
  [7794] = 5458,
  [7795] = 3164,
  [7796] = 3165,
  [7797] = 3166,
  [7798] = 7718,
  [7799] = 2904,
  [7800] = 4709,
  [7801] = 7765,
  [7802] = 2991,
  [7803] = 2905,
  [7804] = 2992,
  [7805] = 2907,
  [7806] = 3002,
  [7807] = 3044,
  [7808] = 5398,
  [7809] = 3172,
  [7810] = 2967,
  [7811] = 7719,
  [7812] = 3244,
  [7813] = 4669,
  [7814] = 3061,
  [7815] = 7431,
  [7816] = 7816,
  [7817] = 3063,
  [7818] = 7719,
  [7819] = 3175,
  [7820] = 7765,
  [7821] = 7403,
  [7822] = 7717,
  [7823] = 7823,
  [7824] = 2937,
  [7825] = 2938,
  [7826] = 7826,
  [7827] = 7402,
  [7828] = 2954,
  [7829] = 2942,
  [7830] = 3196,
  [7831] = 7831,
  [7832] = 7404,
  [7833] = 7833,
  [7834] = 2968,
  [7835] = 5418,
  [7836] = 5275,
  [7837] = 7837,
  [7838] = 7838,
  [7839] = 2974,
  [7840] = 2976,
  [7841] = 2979,
  [7842] = 7719,
  [7843] = 7413,
  [7844] = 7407,
  [7845] = 7845,
  [7846] = 7846,
  [7847] = 3090,
  [7848] = 7848,
  [7849] = 7485,
  [7850] = 7362,
  [7851] = 7415,
  [7852] = 2937,
  [7853] = 7378,
  [7854] = 7398,
  [7855] = 3093,
  [7856] = 7719,
  [7857] = 7857,
  [7858] = 3179,
  [7859] = 7420,
  [7860] = 3125,
  [7861] = 7845,
  [7862] = 7719,
  [7863] = 7823,
  [7864] = 7719,
  [7865] = 3126,
  [7866] = 7719,
  [7867] = 7719,
  [7868] = 7868,
  [7869] = 7718,
  [7870] = 7724,
  [7871] = 3127,
  [7872] = 7719,
  [7873] = 7717,
  [7874] = 7718,
  [7875] = 7719,
  [7876] = 7876,
  [7877] = 2980,
  [7878] = 3220,
  [7879] = 7719,
  [7880] = 3130,
  [7881] = 7881,
  [7882] = 3195,
  [7883] = 7719,
  [7884] = 7823,
  [7885] = 7405,
  [7886] = 7724,
  [7887] = 7539,
  [7888] = 2934,
  [7889] = 3129,
  [7890] = 7876,
  [7891] = 3130,
  [7892] = 3198,
  [7893] = 7846,
  [7894] = 7719,
  [7895] = 7765,
  [7896] = 7717,
  [7897] = 7718,
  [7898] = 7898,
  [7899] = 7719,
  [7900] = 2967,
  [7901] = 7719,
  [7902] = 7489,
  [7903] = 2991,
  [7904] = 2992,
  [7905] = 3187,
  [7906] = 2993,
  [7907] = 4685,
  [7908] = 3002,
  [7909] = 3132,
  [7910] = 3005,
  [7911] = 3044,
  [7912] = 3244,
  [7913] = 2903,
  [7914] = 5440,
  [7915] = 7915,
  [7916] = 7876,
  [7917] = 3061,
  [7918] = 3063,
  [7919] = 7876,
  [7920] = 3067,
  [7921] = 7724,
  [7922] = 3071,
  [7923] = 3201,
  [7924] = 7845,
  [7925] = 7876,
  [7926] = 7926,
  [7927] = 7823,
  [7928] = 3202,
  [7929] = 3205,
  [7930] = 7717,
  [7931] = 7718,
  [7932] = 7724,
  [7933] = 2948,
  [7934] = 7823,
  [7935] = 3112,
  [7936] = 2896,
  [7937] = 2937,
  [7938] = 7349,
  [7939] = 7351,
  [7940] = 7352,
  [7941] = 2938,
  [7942] = 7473,
  [7943] = 7845,
  [7944] = 7354,
  [7945] = 3090,
  [7946] = 7845,
  [7947] = 7816,
  [7948] = 7355,
  [7949] = 3122,
  [7950] = 3093,
  [7951] = 7765,
  [7952] = 7717,
  [7953] = 7718,
  [7954] = 7421,
  [7955] = 3134,
  [7956] = 7956,
  [7957] = 7719,
  [7958] = 2942,
  [7959] = 3135,
  [7960] = 5328,
  [7961] = 7724,
  [7962] = 7474,
  [7963] = 7963,
  [7964] = 7717,
  [7965] = 7719,
  [7966] = 7718,
  [7967] = 5442,
  [7968] = 7968,
  [7969] = 7969,
  [7970] = 2968,
  [7971] = 3186,
  [7972] = 7418,
  [7973] = 7717,
  [7974] = 7718,
  [7975] = 7975,
  [7976] = 7976,
  [7977] = 7419,
  [7978] = 7367,
  [7979] = 7979,
  [7980] = 7956,
  [7981] = 7915,
  [7982] = 7982,
  [7983] = 7983,
  [7984] = 7979,
  [7985] = 7985,
  [7986] = 7986,
  [7987] = 7987,
  [7988] = 7988,
  [7989] = 7989,
  [7990] = 7983,
  [7991] = 7979,
  [7992] = 7985,
  [7993] = 7987,
  [7994] = 7988,
  [7995] = 7989,
  [7996] = 7926,
  [7997] = 7997,
  [7998] = 7998,
  [7999] = 7983,
  [8000] = 7979,
  [8001] = 8001,
  [8002] = 7985,
  [8003] = 7711,
  [8004] = 8004,
  [8005] = 8005,
  [8006] = 8006,
  [8007] = 7831,
  [8008] = 7837,
  [8009] = 7997,
  [8010] = 7983,
  [8011] = 7979,
  [8012] = 8001,
  [8013] = 7985,
  [8014] = 8014,
  [8015] = 7983,
  [8016] = 7979,
  [8017] = 7985,
  [8018] = 8018,
  [8019] = 8014,
  [8020] = 7983,
  [8021] = 7979,
  [8022] = 7985,
  [8023] = 7837,
  [8024] = 8024,
  [8025] = 7983,
  [8026] = 7979,
  [8027] = 7985,
  [8028] = 7983,
  [8029] = 7979,
  [8030] = 7868,
  [8031] = 7985,
  [8032] = 7983,
  [8033] = 7979,
  [8034] = 7985,
  [8035] = 7983,
  [8036] = 7979,
  [8037] = 7985,
  [8038] = 7969,
  [8039] = 7983,
  [8040] = 7979,
  [8041] = 7985,
  [8042] = 8018,
  [8043] = 8014,
  [8044] = 7983,
  [8045] = 7979,
  [8046] = 7968,
  [8047] = 7985,
  [8048] = 7956,
  [8049] = 7983,
  [8050] = 7979,
  [8051] = 7838,
  [8052] = 7985,
  [8053] = 8053,
  [8054] = 8054,
  [8055] = 7848,
  [8056] = 7848,
  [8057] = 7983,
  [8058] = 7979,
  [8059] = 7985,
  [8060] = 7838,
  [8061] = 7983,
  [8062] = 7979,
  [8063] = 7985,
  [8064] = 7983,
  [8065] = 7979,
  [8066] = 7985,
  [8067] = 7744,
  [8068] = 7826,
  [8069] = 8069,
  [8070] = 2980,
  [8071] = 7968,
  [8072] = 7714,
  [8073] = 8073,
  [8074] = 8073,
  [8075] = 8075,
  [8076] = 5341,
  [8077] = 7915,
  [8078] = 8069,
  [8079] = 7730,
  [8080] = 7868,
  [8081] = 8081,
  [8082] = 8082,
  [8083] = 8083,
  [8084] = 8084,
  [8085] = 8085,
  [8086] = 7982,
  [8087] = 8004,
  [8088] = 8005,
  [8089] = 8006,
  [8090] = 8090,
  [8091] = 8091,
  [8092] = 7986,
  [8093] = 3130,
  [8094] = 7975,
  [8095] = 3067,
  [8096] = 7976,
  [8097] = 7983,
  [8098] = 7926,
  [8099] = 7979,
  [8100] = 8024,
  [8101] = 8101,
  [8102] = 7983,
  [8103] = 7979,
  [8104] = 7985,
  [8105] = 8105,
  [8106] = 8073,
  [8107] = 8054,
  [8108] = 8075,
  [8109] = 7833,
  [8110] = 8110,
  [8111] = 7857,
  [8112] = 7881,
  [8113] = 4846,
  [8114] = 7983,
  [8115] = 8105,
  [8116] = 8116,
  [8117] = 8014,
  [8118] = 7985,
  [8119] = 2993,
  [8120] = 8090,
  [8121] = 3005,
  [8122] = 7985,
  [8123] = 7833,
  [8124] = 7857,
  [8125] = 7881,
  [8126] = 8073,
  [8127] = 8081,
  [8128] = 7983,
  [8129] = 7979,
  [8130] = 3071,
  [8131] = 7985,
  [8132] = 7975,
  [8133] = 8110,
  [8134] = 7963,
  [8135] = 7711,
  [8136] = 8091,
  [8137] = 5360,
  [8138] = 7983,
  [8139] = 7831,
  [8140] = 7979,
  [8141] = 5311,
  [8142] = 7985,
  [8143] = 7963,
  [8144] = 7969,
  [8145] = 7714,
  [8146] = 7727,
  [8147] = 7730,
  [8148] = 8082,
  [8149] = 7744,
  [8150] = 7826,
  [8151] = 7976,
  [8152] = 7983,
  [8153] = 7979,
  [8154] = 7985,
  [8155] = 8083,
  [8156] = 8084,
  [8157] = 8085,
  [8158] = 7727,
  [8159] = 7988,
  [8160] = 8073,
  [8161] = 8073,
  [8162] = 8073,
  [8163] = 7988,
  [8164] = 7989,
  [8165] = 8075,
  [8166] = 8166,
  [8167] = 8075,
  [8168] = 8024,
  [8169] = 8018,
  [8170] = 8069,
  [8171] = 8081,
  [8172] = 8082,
  [8173] = 8014,
  [8174] = 8083,
  [8175] = 8082,
  [8176] = 8084,
  [8177] = 8085,
  [8178] = 8001,
  [8179] = 8179,
  [8180] = 8083,
  [8181] = 7982,
  [8182] = 8084,
  [8183] = 8004,
  [8184] = 8014,
  [8185] = 8005,
  [8186] = 8018,
  [8187] = 8006,
  [8188] = 8024,
  [8189] = 7997,
  [8190] = 3730,
  [8191] = 8069,
  [8192] = 8018,
  [8193] = 7987,
  [8194] = 8001,
  [8195] = 8075,
  [8196] = 8085,
  [8197] = 7987,
  [8198] = 8179,
  [8199] = 8018,
  [8200] = 8014,
  [8201] = 8201,
  [8202] = 8081,
  [8203] = 7997,
  [8204] = 7987,
  [8205] = 8110,
  [8206] = 8024,
  [8207] = 8105,
  [8208] = 7988,
  [8209] = 7982,
  [8210] = 8105,
  [8211] = 8069,
  [8212] = 8075,
  [8213] = 8004,
  [8214] = 7989,
  [8215] = 8001,
  [8216] = 8081,
  [8217] = 8105,
  [8218] = 8082,
  [8219] = 8110,
  [8220] = 8005,
  [8221] = 7988,
  [8222] = 7989,
  [8223] = 8179,
  [8224] = 8083,
  [8225] = 8105,
  [8226] = 8084,
  [8227] = 8085,
  [8228] = 7997,
  [8229] = 7987,
  [8230] = 8069,
  [8231] = 8006,
  [8232] = 8001,
  [8233] = 8081,
  [8234] = 7982,
  [8235] = 8082,
  [8236] = 7997,
  [8237] = 8004,
  [8238] = 8083,
  [8239] = 8239,
  [8240] = 8084,
  [8241] = 8085,
  [8242] = 7982,
  [8243] = 8004,
  [8244] = 8005,
  [8245] = 8005,
  [8246] = 8073,
  [8247] = 8014,
  [8248] = 8006,
  [8249] = 8024,
  [8250] = 8006,
  [8251] = 8179,
  [8252] = 7989,
  [8253] = 2993,
  [8254] = 7987,
  [8255] = 8082,
  [8256] = 8083,
  [8257] = 8084,
  [8258] = 7171,
  [8259] = 8085,
  [8260] = 7982,
  [8261] = 8105,
  [8262] = 8004,
  [8263] = 8005,
  [8264] = 8006,
  [8265] = 8024,
  [8266] = 8075,
  [8267] = 8267,
  [8268] = 8075,
  [8269] = 8269,
  [8270] = 8270,
  [8271] = 2993,
  [8272] = 8105,
  [8273] = 7209,
  [8274] = 7210,
  [8275] = 4083,
  [8276] = 8270,
  [8277] = 3067,
  [8278] = 8269,
  [8279] = 8105,
  [8280] = 7997,
  [8281] = 8281,
  [8282] = 7224,
  [8283] = 4082,
  [8284] = 8018,
  [8285] = 8069,
  [8286] = 8081,
  [8287] = 3067,
  [8288] = 8082,
  [8289] = 7997,
  [8290] = 8083,
  [8291] = 8084,
  [8292] = 8085,
  [8293] = 7982,
  [8294] = 7180,
  [8295] = 8004,
  [8296] = 8069,
  [8297] = 8005,
  [8298] = 8298,
  [8299] = 8006,
  [8300] = 8024,
  [8301] = 8267,
  [8302] = 8018,
  [8303] = 7987,
  [8304] = 7988,
  [8305] = 7989,
  [8306] = 8306,
  [8307] = 8001,
  [8308] = 8281,
  [8309] = 7988,
  [8310] = 8081,
  [8311] = 8105,
  [8312] = 8306,
  [8313] = 8001,
  [8314] = 7989,
  [8315] = 3071,
  [8316] = 8006,
  [8317] = 8317,
  [8318] = 8318,
  [8319] = 8318,
  [8320] = 8320,
  [8321] = 8084,
  [8322] = 8085,
  [8323] = 7982,
  [8324] = 8004,
  [8325] = 8085,
  [8326] = 8005,
  [8327] = 8317,
  [8328] = 8318,
  [8329] = 8318,
  [8330] = 8006,
  [8331] = 8024,
  [8332] = 8317,
  [8333] = 8105,
  [8334] = 8320,
  [8335] = 8024,
  [8336] = 8317,
  [8337] = 8018,
  [8338] = 8105,
  [8339] = 8320,
  [8340] = 8018,
  [8341] = 8320,
  [8342] = 8014,
  [8343] = 8317,
  [8344] = 8320,
  [8345] = 8317,
  [8346] = 7997,
  [8347] = 3005,
  [8348] = 8317,
  [8349] = 8073,
  [8350] = 8320,
  [8351] = 8069,
  [8352] = 8001,
  [8353] = 3130,
  [8354] = 8014,
  [8355] = 8318,
  [8356] = 7184,
  [8357] = 8073,
  [8358] = 8317,
  [8359] = 8014,
  [8360] = 8317,
  [8361] = 8318,
  [8362] = 7987,
  [8363] = 8081,
  [8364] = 8084,
  [8365] = 8075,
  [8366] = 8317,
  [8367] = 7988,
  [8368] = 7989,
  [8369] = 8320,
  [8370] = 8317,
  [8371] = 8317,
  [8372] = 8320,
  [8373] = 3005,
  [8374] = 8317,
  [8375] = 8105,
  [8376] = 8320,
  [8377] = 8320,
  [8378] = 8320,
  [8379] = 2993,
  [8380] = 8320,
  [8381] = 8320,
  [8382] = 8382,
  [8383] = 8073,
  [8384] = 8317,
  [8385] = 8317,
  [8386] = 8075,
  [8387] = 3071,
  [8388] = 2993,
  [8389] = 7982,
  [8390] = 8317,
  [8391] = 8318,
  [8392] = 8318,
  [8393] = 8317,
  [8394] = 8320,
  [8395] = 8317,
  [8396] = 3130,
  [8397] = 8004,
  [8398] = 8320,
  [8399] = 8317,
  [8400] = 3067,
  [8401] = 8073,
  [8402] = 8082,
  [8403] = 8069,
  [8404] = 8081,
  [8405] = 3067,
  [8406] = 8320,
  [8407] = 7987,
  [8408] = 8014,
  [8409] = 8110,
  [8410] = 8410,
  [8411] = 2980,
  [8412] = 7988,
  [8413] = 7989,
  [8414] = 8082,
  [8415] = 8105,
  [8416] = 8320,
  [8417] = 8083,
  [8418] = 8318,
  [8419] = 8317,
  [8420] = 8320,
  [8421] = 7997,
  [8422] = 2980,
  [8423] = 8317,
  [8424] = 8001,
  [8425] = 3130,
  [8426] = 8320,
  [8427] = 8320,
  [8428] = 8317,
  [8429] = 8320,
  [8430] = 8318,
  [8431] = 8083,
  [8432] = 8005,
  [8433] = 8320,
  [8434] = 8110,
  [8435] = 8435,
  [8436] = 3090,
  [8437] = 8437,
  [8438] = 8438,
  [8439] = 8439,
  [8440] = 8440,
  [8441] = 7988,
  [8442] = 8442,
  [8443] = 8439,
  [8444] = 8440,
  [8445] = 8445,
  [8446] = 5328,
  [8447] = 8001,
  [8448] = 7402,
  [8449] = 5360,
  [8450] = 8439,
  [8451] = 5418,
  [8452] = 5275,
  [8453] = 8440,
  [8454] = 7987,
  [8455] = 8442,
  [8456] = 8439,
  [8457] = 8457,
  [8458] = 7502,
  [8459] = 8440,
  [8460] = 8460,
  [8461] = 8442,
  [8462] = 8462,
  [8463] = 5441,
  [8464] = 8439,
  [8465] = 8440,
  [8466] = 8466,
  [8467] = 8462,
  [8468] = 8439,
  [8469] = 8469,
  [8470] = 5476,
  [8471] = 8440,
  [8472] = 5458,
  [8473] = 7405,
  [8474] = 7539,
  [8475] = 8442,
  [8476] = 8437,
  [8477] = 8439,
  [8478] = 5398,
  [8479] = 8440,
  [8480] = 8439,
  [8481] = 8481,
  [8482] = 7987,
  [8483] = 8440,
  [8484] = 5440,
  [8485] = 8485,
  [8486] = 8439,
  [8487] = 8487,
  [8488] = 8488,
  [8489] = 8440,
  [8490] = 8442,
  [8491] = 8491,
  [8492] = 8437,
  [8493] = 8439,
  [8494] = 8442,
  [8495] = 8495,
  [8496] = 8440,
  [8497] = 8069,
  [8498] = 8439,
  [8499] = 2942,
  [8500] = 8440,
  [8501] = 8439,
  [8502] = 8437,
  [8503] = 8081,
  [8504] = 8082,
  [8505] = 8462,
  [8506] = 8440,
  [8507] = 7505,
  [8508] = 8439,
  [8509] = 8083,
  [8510] = 8440,
  [8511] = 8084,
  [8512] = 8085,
  [8513] = 7413,
  [8514] = 7982,
  [8515] = 8457,
  [8516] = 8018,
  [8517] = 8004,
  [8518] = 8005,
  [8519] = 8439,
  [8520] = 8006,
  [8521] = 8024,
  [8522] = 8440,
  [8523] = 7988,
  [8524] = 7989,
  [8525] = 8439,
  [8526] = 8437,
  [8527] = 8075,
  [8528] = 8440,
  [8529] = 8485,
  [8530] = 8439,
  [8531] = 7415,
  [8532] = 8491,
  [8533] = 8440,
  [8534] = 8534,
  [8535] = 8535,
  [8536] = 8460,
  [8537] = 8485,
  [8538] = 8439,
  [8539] = 8491,
  [8540] = 8440,
  [8541] = 8105,
  [8542] = 8439,
  [8543] = 2991,
  [8544] = 8462,
  [8545] = 8440,
  [8546] = 2992,
  [8547] = 8462,
  [8548] = 3002,
  [8549] = 8437,
  [8550] = 3005,
  [8551] = 8439,
  [8552] = 3044,
  [8553] = 8440,
  [8554] = 3090,
  [8555] = 2980,
  [8556] = 8437,
  [8557] = 8439,
  [8558] = 8440,
  [8559] = 8442,
  [8560] = 3061,
  [8561] = 5309,
  [8562] = 8439,
  [8563] = 3063,
  [8564] = 3093,
  [8565] = 8440,
  [8566] = 3093,
  [8567] = 8439,
  [8568] = 8440,
  [8569] = 8442,
  [8570] = 8439,
  [8571] = 8440,
  [8572] = 7350,
  [8573] = 7361,
  [8574] = 8440,
  [8575] = 8439,
  [8576] = 3071,
  [8577] = 8440,
  [8578] = 8578,
  [8579] = 7378,
  [8580] = 8439,
  [8581] = 8442,
  [8582] = 8440,
  [8583] = 7398,
  [8584] = 8439,
  [8585] = 8440,
  [8586] = 8439,
  [8587] = 8018,
  [8588] = 8440,
  [8589] = 8442,
  [8590] = 8439,
  [8591] = 8440,
  [8592] = 8439,
  [8593] = 8440,
  [8594] = 3130,
  [8595] = 8439,
  [8596] = 8440,
  [8597] = 7431,
  [8598] = 8439,
  [8599] = 8440,
  [8600] = 8442,
  [8601] = 7997,
  [8602] = 8440,
  [8603] = 5275,
  [8604] = 8462,
  [8605] = 8439,
  [8606] = 8440,
  [8607] = 8460,
  [8608] = 7403,
  [8609] = 7404,
  [8610] = 7407,
  [8611] = 7362,
  [8612] = 8439,
  [8613] = 8462,
  [8614] = 8440,
  [8615] = 8439,
  [8616] = 8442,
  [8617] = 8440,
  [8618] = 8462,
  [8619] = 8439,
  [8620] = 8440,
  [8621] = 3244,
  [8622] = 8462,
  [8623] = 8439,
  [8624] = 8437,
  [8625] = 8440,
  [8626] = 8626,
  [8627] = 8069,
  [8628] = 8439,
  [8629] = 5341,
  [8630] = 8081,
  [8631] = 8082,
  [8632] = 8440,
  [8633] = 8083,
  [8634] = 8084,
  [8635] = 2967,
  [8636] = 8439,
  [8637] = 8637,
  [8638] = 8085,
  [8639] = 8440,
  [8640] = 7982,
  [8641] = 8004,
  [8642] = 8005,
  [8643] = 8006,
  [8644] = 8024,
  [8645] = 8439,
  [8646] = 8440,
  [8647] = 8485,
  [8648] = 8491,
  [8649] = 7367,
  [8650] = 8626,
  [8651] = 8651,
  [8652] = 5442,
  [8653] = 8487,
  [8654] = 8654,
  [8655] = 8535,
  [8656] = 8435,
  [8657] = 8654,
  [8658] = 7989,
  [8659] = 8105,
  [8660] = 8485,
  [8661] = 2968,
  [8662] = 8626,
  [8663] = 8487,
  [8664] = 8654,
  [8665] = 2974,
  [8666] = 8535,
  [8667] = 8435,
  [8668] = 2976,
  [8669] = 8626,
  [8670] = 2979,
  [8671] = 8491,
  [8672] = 8487,
  [8673] = 8654,
  [8674] = 8535,
  [8675] = 8435,
  [8676] = 2993,
  [8677] = 8442,
  [8678] = 8626,
  [8679] = 8487,
  [8680] = 8626,
  [8681] = 3130,
  [8682] = 8487,
  [8683] = 8626,
  [8684] = 7349,
  [8685] = 7351,
  [8686] = 7352,
  [8687] = 8626,
  [8688] = 7354,
  [8689] = 8437,
  [8690] = 7355,
  [8691] = 8626,
  [8692] = 8692,
  [8693] = 3067,
  [8694] = 8626,
  [8695] = 7473,
  [8696] = 8462,
  [8697] = 8697,
  [8698] = 7474,
  [8699] = 8699,
  [8700] = 5328,
  [8701] = 8439,
  [8702] = 8460,
  [8703] = 5311,
  [8704] = 8437,
  [8705] = 2937,
  [8706] = 7418,
  [8707] = 7419,
  [8708] = 7420,
  [8709] = 2938,
  [8710] = 7421,
  [8711] = 2980,
  [8712] = 7489,
  [8713] = 8442,
  [8714] = 8714,
  [8715] = 7997,
  [8716] = 8654,
  [8717] = 8442,
  [8718] = 8718,
  [8719] = 8439,
  [8720] = 8442,
  [8721] = 8721,
  [8722] = 8001,
  [8723] = 7480,
  [8724] = 8485,
  [8725] = 8491,
  [8726] = 8298,
  [8727] = 8410,
  [8728] = 8728,
  [8729] = 8535,
  [8730] = 8440,
  [8731] = 7485,
  [8732] = 2991,
  [8733] = 2992,
  [8734] = 3002,
  [8735] = 3005,
  [8736] = 3044,
  [8737] = 8435,
  [8738] = 3061,
  [8739] = 8075,
  [8740] = 3063,
  [8741] = 3071,
  [8742] = 8728,
  [8743] = 8651,
  [8744] = 8439,
  [8745] = 3071,
  [8746] = 5440,
  [8747] = 5467,
  [8748] = 2974,
  [8749] = 2948,
  [8750] = 7427,
  [8751] = 5385,
  [8752] = 2976,
  [8753] = 7472,
  [8754] = 2979,
  [8755] = 5437,
  [8756] = 5469,
  [8757] = 8757,
  [8758] = 5389,
  [8759] = 5473,
  [8760] = 5475,
  [8761] = 5480,
  [8762] = 5482,
  [8763] = 5465,
  [8764] = 8764,
  [8765] = 5497,
  [8766] = 3244,
  [8767] = 8105,
  [8768] = 3005,
  [8769] = 5438,
  [8770] = 5395,
  [8771] = 8771,
  [8772] = 5397,
  [8773] = 8773,
  [8774] = 5383,
  [8775] = 2967,
  [8776] = 5387,
  [8777] = 8777,
  [8778] = 5393,
  [8779] = 8779,
  [8780] = 5420,
  [8781] = 5436,
  [8782] = 5398,
  [8783] = 5476,
  [8784] = 5458,
  [8785] = 5441,
  [8786] = 5418,
  [8787] = 8787,
  [8788] = 2937,
  [8789] = 2938,
  [8790] = 5442,
  [8791] = 8791,
  [8792] = 5494,
  [8793] = 8793,
  [8794] = 5414,
  [8795] = 5451,
  [8796] = 7462,
  [8797] = 7463,
  [8798] = 8798,
  [8799] = 5409,
  [8800] = 2968,
  [8801] = 8105,
  [8802] = 5391,
  [8803] = 2954,
  [8804] = 5446,
  [8805] = 8805,
  [8806] = 8806,
  [8807] = 8807,
  [8808] = 2942,
  [8809] = 5403,
  [8810] = 5483,
  [8811] = 5415,
  [8812] = 5425,
  [8813] = 8757,
  [8814] = 5428,
  [8815] = 5384,
  [8816] = 8816,
  [8817] = 8817,
  [8818] = 8818,
  [8819] = 8819,
  [8820] = 8816,
  [8821] = 8821,
  [8822] = 8822,
  [8823] = 8821,
  [8824] = 8824,
  [8825] = 8817,
  [8826] = 8824,
  [8827] = 8818,
  [8828] = 5440,
  [8829] = 8821,
  [8830] = 8830,
  [8831] = 8817,
  [8832] = 8832,
  [8833] = 8833,
  [8834] = 8818,
  [8835] = 8833,
  [8836] = 8832,
  [8837] = 8833,
  [8838] = 8838,
  [8839] = 8839,
  [8840] = 8824,
  [8841] = 8841,
  [8842] = 8830,
  [8843] = 8832,
  [8844] = 8819,
  [8845] = 8845,
  [8846] = 8816,
  [8847] = 8832,
  [8848] = 8848,
  [8849] = 8833,
  [8850] = 8839,
  [8851] = 8833,
  [8852] = 8839,
  [8853] = 8853,
  [8854] = 8824,
  [8855] = 8839,
  [8856] = 8856,
  [8857] = 8833,
  [8858] = 8839,
  [8859] = 8832,
  [8860] = 8832,
  [8861] = 8832,
  [8862] = 8862,
  [8863] = 8832,
  [8864] = 8839,
  [8865] = 8856,
  [8866] = 8839,
  [8867] = 8839,
  [8868] = 8833,
  [8869] = 8869,
  [8870] = 8839,
  [8871] = 8832,
  [8872] = 8838,
  [8873] = 8833,
  [8874] = 8692,
  [8875] = 8833,
  [8876] = 8833,
  [8877] = 8833,
  [8878] = 8824,
  [8879] = 8879,
  [8880] = 8832,
  [8881] = 8839,
  [8882] = 8839,
  [8883] = 8832,
  [8884] = 8832,
  [8885] = 8833,
  [8886] = 8833,
  [8887] = 8839,
  [8888] = 8869,
  [8889] = 8839,
  [8890] = 8832,
  [8891] = 8891,
  [8892] = 8892,
  [8893] = 8692,
  [8894] = 8894,
  [8895] = 8895,
  [8896] = 8896,
  [8897] = 8869,
  [8898] = 8838,
  [8899] = 8822,
  [8900] = 8900,
  [8901] = 8901,
  [8902] = 8902,
  [8903] = 8901,
  [8904] = 3122,
  [8905] = 8905,
  [8906] = 8902,
  [8907] = 8907,
  [8908] = 8908,
  [8909] = 8909,
  [8910] = 8910,
  [8911] = 8911,
  [8912] = 8912,
  [8913] = 8913,
  [8914] = 3175,
  [8915] = 8915,
  [8916] = 8916,
  [8917] = 8917,
  [8918] = 8918,
  [8919] = 8919,
  [8920] = 8920,
  [8921] = 8921,
  [8922] = 3165,
  [8923] = 3090,
  [8924] = 8900,
  [8925] = 8925,
  [8926] = 8912,
  [8927] = 2902,
  [8928] = 8928,
  [8929] = 5442,
  [8930] = 8900,
  [8931] = 8931,
  [8932] = 8905,
  [8933] = 8933,
  [8934] = 8934,
  [8935] = 8935,
  [8936] = 8936,
  [8937] = 8937,
  [8938] = 5440,
  [8939] = 8939,
  [8940] = 8900,
  [8941] = 2993,
  [8942] = 8928,
  [8943] = 8907,
  [8944] = 8944,
  [8945] = 8945,
  [8946] = 8946,
  [8947] = 8901,
  [8948] = 8948,
  [8949] = 8902,
  [8950] = 8901,
  [8951] = 8902,
  [8952] = 8907,
  [8953] = 8907,
  [8954] = 8954,
  [8955] = 8692,
  [8956] = 8956,
  [8957] = 2976,
  [8958] = 8958,
  [8959] = 8912,
  [8960] = 3093,
  [8961] = 8961,
  [8962] = 8816,
  [8963] = 2934,
  [8964] = 8818,
  [8965] = 8900,
  [8966] = 8816,
  [8967] = 3186,
  [8968] = 8907,
  [8969] = 8913,
  [8970] = 8905,
  [8971] = 8971,
  [8972] = 8925,
  [8973] = 8973,
  [8974] = 8907,
  [8975] = 8975,
  [8976] = 8925,
  [8977] = 2900,
  [8978] = 8978,
  [8979] = 8912,
  [8980] = 8900,
  [8981] = 8907,
  [8982] = 8912,
  [8983] = 8920,
  [8984] = 8984,
  [8985] = 8925,
  [8986] = 8900,
  [8987] = 8987,
  [8988] = 8905,
  [8989] = 3198,
  [8990] = 8907,
  [8991] = 3179,
  [8992] = 8912,
  [8993] = 8987,
  [8994] = 3244,
  [8995] = 8913,
  [8996] = 3201,
  [8997] = 8905,
  [8998] = 2954,
  [8999] = 8692,
  [9000] = 8907,
  [9001] = 2937,
  [9002] = 8913,
  [9003] = 2979,
  [9004] = 8907,
  [9005] = 2968,
  [9006] = 8925,
  [9007] = 8912,
  [9008] = 8900,
  [9009] = 8908,
  [9010] = 8909,
  [9011] = 8910,
  [9012] = 8911,
  [9013] = 8928,
  [9014] = 8907,
  [9015] = 8912,
  [9016] = 8913,
  [9017] = 2903,
  [9018] = 8925,
  [9019] = 8901,
  [9020] = 8900,
  [9021] = 8916,
  [9022] = 8928,
  [9023] = 8928,
  [9024] = 8905,
  [9025] = 8901,
  [9026] = 8902,
  [9027] = 8824,
  [9028] = 8917,
  [9029] = 8918,
  [9030] = 3166,
  [9031] = 3067,
  [9032] = 8956,
  [9033] = 2948,
  [9034] = 8913,
  [9035] = 8919,
  [9036] = 8925,
  [9037] = 8915,
  [9038] = 8921,
  [9039] = 8816,
  [9040] = 8907,
  [9041] = 2938,
  [9042] = 8912,
  [9043] = 8905,
  [9044] = 8912,
  [9045] = 8900,
  [9046] = 8856,
  [9047] = 8912,
  [9048] = 2901,
  [9049] = 2904,
  [9050] = 8900,
  [9051] = 2905,
  [9052] = 8912,
  [9053] = 8907,
  [9054] = 8931,
  [9055] = 8933,
  [9056] = 8925,
  [9057] = 8934,
  [9058] = 8935,
  [9059] = 8936,
  [9060] = 8901,
  [9061] = 8937,
  [9062] = 8956,
  [9063] = 8900,
  [9064] = 8905,
  [9065] = 8818,
  [9066] = 8848,
  [9067] = 8913,
  [9068] = 9068,
  [9069] = 9069,
  [9070] = 8912,
  [9071] = 3191,
  [9072] = 2974,
  [9073] = 8928,
  [9074] = 8900,
  [9075] = 8944,
  [9076] = 8945,
  [9077] = 8946,
  [9078] = 2907,
  [9079] = 8928,
  [9080] = 8824,
  [9081] = 8907,
  [9082] = 8900,
  [9083] = 2942,
  [9084] = 8901,
  [9085] = 8902,
  [9086] = 8905,
  [9087] = 8948,
  [9088] = 8925,
  [9089] = 3196,
  [9090] = 8925,
  [9091] = 3172,
  [9092] = 8907,
  [9093] = 8913,
  [9094] = 8907,
  [9095] = 8913,
  [9096] = 3202,
  [9097] = 8912,
  [9098] = 8901,
  [9099] = 3157,
  [9100] = 8902,
  [9101] = 3244,
  [9102] = 8907,
  [9103] = 2937,
  [9104] = 2938,
  [9105] = 2991,
  [9106] = 8913,
  [9107] = 2992,
  [9108] = 8900,
  [9109] = 3187,
  [9110] = 8912,
  [9111] = 8912,
  [9112] = 3002,
  [9113] = 8928,
  [9114] = 3044,
  [9115] = 8954,
  [9116] = 9068,
  [9117] = 8902,
  [9118] = 8912,
  [9119] = 8900,
  [9120] = 2937,
  [9121] = 9069,
  [9122] = 8928,
  [9123] = 8901,
  [9124] = 8902,
  [9125] = 3112,
  [9126] = 2938,
  [9127] = 8692,
  [9128] = 2942,
  [9129] = 8907,
  [9130] = 8853,
  [9131] = 8939,
  [9132] = 8905,
  [9133] = 8900,
  [9134] = 3115,
  [9135] = 3205,
  [9136] = 3116,
  [9137] = 8902,
  [9138] = 3119,
  [9139] = 3120,
  [9140] = 3121,
  [9141] = 8901,
  [9142] = 8902,
  [9143] = 8912,
  [9144] = 8925,
  [9145] = 8905,
  [9146] = 8928,
  [9147] = 8901,
  [9148] = 8818,
  [9149] = 8912,
  [9150] = 8902,
  [9151] = 3195,
  [9152] = 3163,
  [9153] = 8907,
  [9154] = 8913,
  [9155] = 3244,
  [9156] = 8900,
  [9157] = 8907,
  [9158] = 8905,
  [9159] = 8900,
  [9160] = 8913,
  [9161] = 8928,
  [9162] = 8901,
  [9163] = 8912,
  [9164] = 3125,
  [9165] = 5442,
  [9166] = 8902,
  [9167] = 2942,
  [9168] = 8971,
  [9169] = 8907,
  [9170] = 8973,
  [9171] = 8912,
  [9172] = 3164,
  [9173] = 3126,
  [9174] = 8961,
  [9175] = 8975,
  [9176] = 8978,
  [9177] = 8900,
  [9178] = 3127,
  [9179] = 9179,
  [9180] = 8905,
  [9181] = 3220,
  [9182] = 8925,
  [9183] = 3129,
  [9184] = 3132,
  [9185] = 5440,
  [9186] = 8900,
  [9187] = 2896,
  [9188] = 3134,
  [9189] = 3135,
  [9190] = 8912,
  [9191] = 8925,
  [9192] = 2967,
  [9193] = 8900,
  [9194] = 3138,
  [9195] = 9195,
  [9196] = 2936,
  [9197] = 3140,
  [9198] = 3141,
  [9199] = 9199,
  [9200] = 3142,
  [9201] = 3063,
  [9202] = 8907,
  [9203] = 3145,
  [9204] = 3146,
  [9205] = 3147,
  [9206] = 3148,
  [9207] = 9207,
  [9208] = 3149,
  [9209] = 3150,
  [9210] = 3151,
  [9211] = 3154,
  [9212] = 3155,
  [9213] = 8928,
  [9214] = 8913,
  [9215] = 3061,
  [9216] = 3156,
  [9217] = 9217,
  [9218] = 7427,
  [9219] = 7472,
  [9220] = 7462,
  [9221] = 7463,
  [9222] = 8928,
  [9223] = 8845,
  [9224] = 7988,
  [9225] = 2942,
  [9226] = 8073,
  [9227] = 8921,
  [9228] = 9228,
  [9229] = 8931,
  [9230] = 8961,
  [9231] = 8075,
  [9232] = 8933,
  [9233] = 8931,
  [9234] = 2974,
  [9235] = 9235,
  [9236] = 3244,
  [9237] = 5440,
  [9238] = 8961,
  [9239] = 8934,
  [9240] = 9240,
  [9241] = 9241,
  [9242] = 8824,
  [9243] = 9243,
  [9244] = 9244,
  [9245] = 9228,
  [9246] = 8933,
  [9247] = 8935,
  [9248] = 8936,
  [9249] = 8920,
  [9250] = 8915,
  [9251] = 8934,
  [9252] = 8935,
  [9253] = 8909,
  [9254] = 9254,
  [9255] = 8987,
  [9256] = 8971,
  [9257] = 2968,
  [9258] = 8937,
  [9259] = 2967,
  [9260] = 3071,
  [9261] = 8916,
  [9262] = 2937,
  [9263] = 8910,
  [9264] = 3244,
  [9265] = 8939,
  [9266] = 2938,
  [9267] = 8987,
  [9268] = 8944,
  [9269] = 8945,
  [9270] = 9270,
  [9271] = 8973,
  [9272] = 8944,
  [9273] = 8975,
  [9274] = 8961,
  [9275] = 2937,
  [9276] = 2938,
  [9277] = 9277,
  [9278] = 8917,
  [9279] = 9279,
  [9280] = 9277,
  [9281] = 2942,
  [9282] = 2937,
  [9283] = 9283,
  [9284] = 8945,
  [9285] = 8946,
  [9286] = 3005,
  [9287] = 9287,
  [9288] = 8918,
  [9289] = 8948,
  [9290] = 8978,
  [9291] = 8946,
  [9292] = 8975,
  [9293] = 9068,
  [9294] = 8919,
  [9295] = 8908,
  [9296] = 9296,
  [9297] = 8954,
  [9298] = 8916,
  [9299] = 8909,
  [9300] = 8917,
  [9301] = 8919,
  [9302] = 8014,
  [9303] = 8911,
  [9304] = 8954,
  [9305] = 8110,
  [9306] = 5442,
  [9307] = 8936,
  [9308] = 8918,
  [9309] = 8915,
  [9310] = 8921,
  [9311] = 5440,
  [9312] = 7997,
  [9313] = 8001,
  [9314] = 8856,
  [9315] = 8910,
  [9316] = 9279,
  [9317] = 7987,
  [9318] = 8856,
  [9319] = 9319,
  [9320] = 8973,
  [9321] = 9228,
  [9322] = 8816,
  [9323] = 5440,
  [9324] = 9228,
  [9325] = 7989,
  [9326] = 8971,
  [9327] = 8978,
  [9328] = 8954,
  [9329] = 8105,
  [9330] = 8973,
  [9331] = 8987,
  [9332] = 8939,
  [9333] = 8692,
  [9334] = 8692,
  [9335] = 8939,
  [9336] = 2976,
  [9337] = 8908,
  [9338] = 8018,
  [9339] = 9254,
  [9340] = 2942,
  [9341] = 9277,
  [9342] = 8918,
  [9343] = 8911,
  [9344] = 8937,
  [9345] = 8014,
  [9346] = 8944,
  [9347] = 9069,
  [9348] = 2979,
  [9349] = 8909,
  [9350] = 8975,
  [9351] = 8919,
  [9352] = 9352,
  [9353] = 8931,
  [9354] = 5442,
  [9355] = 8916,
  [9356] = 9241,
  [9357] = 8856,
  [9358] = 5442,
  [9359] = 9277,
  [9360] = 8069,
  [9361] = 3244,
  [9362] = 3130,
  [9363] = 8933,
  [9364] = 8073,
  [9365] = 8917,
  [9366] = 8081,
  [9367] = 9228,
  [9368] = 8082,
  [9369] = 9369,
  [9370] = 2938,
  [9371] = 9371,
  [9372] = 9068,
  [9373] = 8945,
  [9374] = 9069,
  [9375] = 8920,
  [9376] = 9277,
  [9377] = 8908,
  [9378] = 8934,
  [9379] = 8818,
  [9380] = 8935,
  [9381] = 8971,
  [9382] = 8915,
  [9383] = 8921,
  [9384] = 8083,
  [9385] = 8910,
  [9386] = 8084,
  [9387] = 8978,
  [9388] = 9068,
  [9389] = 8936,
  [9390] = 8085,
  [9391] = 9069,
  [9392] = 8948,
  [9393] = 8937,
  [9394] = 8911,
  [9395] = 7982,
  [9396] = 9283,
  [9397] = 8004,
  [9398] = 8005,
  [9399] = 8946,
  [9400] = 8006,
  [9401] = 8024,
  [9402] = 8920,
  [9403] = 9403,
  [9404] = 8948,
  [9405] = 9287,
  [9406] = 9243,
  [9407] = 2980,
  [9408] = 9283,
  [9409] = 9409,
  [9410] = 9410,
  [9411] = 9409,
  [9412] = 9412,
  [9413] = 7427,
  [9414] = 7472,
  [9415] = 9415,
  [9416] = 9416,
  [9417] = 9417,
  [9418] = 9418,
  [9419] = 5442,
  [9420] = 9420,
  [9421] = 8915,
  [9422] = 8921,
  [9423] = 9423,
  [9424] = 9424,
  [9425] = 9425,
  [9426] = 9426,
  [9427] = 9427,
  [9428] = 9428,
  [9429] = 9429,
  [9430] = 9420,
  [9431] = 3112,
  [9432] = 5440,
  [9433] = 9416,
  [9434] = 8987,
  [9435] = 9068,
  [9436] = 3115,
  [9437] = 9069,
  [9438] = 3116,
  [9439] = 3119,
  [9440] = 3120,
  [9441] = 3121,
  [9442] = 3125,
  [9443] = 8018,
  [9444] = 3126,
  [9445] = 8014,
  [9446] = 3127,
  [9447] = 8954,
  [9448] = 3220,
  [9449] = 3129,
  [9450] = 3132,
  [9451] = 2896,
  [9452] = 3134,
  [9453] = 3135,
  [9454] = 3138,
  [9455] = 9417,
  [9456] = 2936,
  [9457] = 3140,
  [9458] = 3141,
  [9459] = 3142,
  [9460] = 3145,
  [9461] = 9254,
  [9462] = 5442,
  [9463] = 3146,
  [9464] = 3147,
  [9465] = 3148,
  [9466] = 3149,
  [9467] = 3150,
  [9468] = 3151,
  [9469] = 3154,
  [9470] = 3155,
  [9471] = 3156,
  [9472] = 2900,
  [9473] = 2901,
  [9474] = 2902,
  [9475] = 3163,
  [9476] = 9418,
  [9477] = 3164,
  [9478] = 3165,
  [9479] = 3166,
  [9480] = 2904,
  [9481] = 2905,
  [9482] = 2907,
  [9483] = 3172,
  [9484] = 8856,
  [9485] = 8939,
  [9486] = 3175,
  [9487] = 8069,
  [9488] = 8081,
  [9489] = 8105,
  [9490] = 8082,
  [9491] = 8083,
  [9492] = 8084,
  [9493] = 8085,
  [9494] = 7982,
  [9495] = 8004,
  [9496] = 8005,
  [9497] = 8006,
  [9498] = 8024,
  [9499] = 8075,
  [9500] = 9279,
  [9501] = 9501,
  [9502] = 9502,
  [9503] = 9503,
  [9504] = 2934,
  [9505] = 3244,
  [9506] = 3179,
  [9507] = 9423,
  [9508] = 2903,
  [9509] = 2937,
  [9510] = 2938,
  [9511] = 8824,
  [9512] = 9424,
  [9513] = 2942,
  [9514] = 3186,
  [9515] = 3187,
  [9516] = 9516,
  [9517] = 3191,
  [9518] = 3195,
  [9519] = 8692,
  [9520] = 3196,
  [9521] = 8818,
  [9522] = 3198,
  [9523] = 3201,
  [9524] = 9524,
  [9525] = 3202,
  [9526] = 3205,
  [9527] = 8073,
  [9528] = 9528,
  [9529] = 9068,
  [9530] = 9530,
  [9531] = 9254,
  [9532] = 8824,
  [9533] = 9533,
  [9534] = 8915,
  [9535] = 8921,
  [9536] = 9536,
  [9537] = 9069,
  [9538] = 8692,
  [9539] = 9502,
  [9540] = 8971,
  [9541] = 8973,
  [9542] = 8961,
  [9543] = 9536,
  [9544] = 8975,
  [9545] = 8978,
  [9546] = 9546,
  [9547] = 9547,
  [9548] = 9548,
  [9549] = 9410,
  [9550] = 9409,
  [9551] = 9412,
  [9552] = 9287,
  [9553] = 9415,
  [9554] = 9416,
  [9555] = 9417,
  [9556] = 9418,
  [9557] = 8908,
  [9558] = 8909,
  [9559] = 8910,
  [9560] = 8911,
  [9561] = 9561,
  [9562] = 9423,
  [9563] = 9424,
  [9564] = 9425,
  [9565] = 9426,
  [9566] = 9427,
  [9567] = 9428,
  [9568] = 9429,
  [9569] = 9420,
  [9570] = 9570,
  [9571] = 8105,
  [9572] = 9503,
  [9573] = 8916,
  [9574] = 8917,
  [9575] = 8918,
  [9576] = 8919,
  [9577] = 8920,
  [9578] = 9410,
  [9579] = 9579,
  [9580] = 9580,
  [9581] = 9581,
  [9582] = 9243,
  [9583] = 9583,
  [9584] = 2948,
  [9585] = 2954,
  [9586] = 9503,
  [9587] = 8939,
  [9588] = 9241,
  [9589] = 9530,
  [9590] = 9530,
  [9591] = 9591,
  [9592] = 9592,
  [9593] = 8933,
  [9594] = 8934,
  [9595] = 8935,
  [9596] = 9503,
  [9597] = 8936,
  [9598] = 8937,
  [9599] = 8971,
  [9600] = 8973,
  [9601] = 8975,
  [9602] = 8978,
  [9603] = 9502,
  [9604] = 9536,
  [9605] = 9503,
  [9606] = 9606,
  [9607] = 9410,
  [9608] = 9409,
  [9609] = 9412,
  [9610] = 7462,
  [9611] = 9415,
  [9612] = 9416,
  [9613] = 8908,
  [9614] = 8909,
  [9615] = 8910,
  [9616] = 9417,
  [9617] = 9418,
  [9618] = 8911,
  [9619] = 8944,
  [9620] = 9503,
  [9621] = 8945,
  [9622] = 8946,
  [9623] = 7463,
  [9624] = 9423,
  [9625] = 9424,
  [9626] = 9425,
  [9627] = 7997,
  [9628] = 8001,
  [9629] = 7987,
  [9630] = 7988,
  [9631] = 7989,
  [9632] = 9426,
  [9633] = 9427,
  [9634] = 8916,
  [9635] = 8917,
  [9636] = 9428,
  [9637] = 8918,
  [9638] = 8919,
  [9639] = 9429,
  [9640] = 9420,
  [9641] = 8948,
  [9642] = 8931,
  [9643] = 8933,
  [9644] = 8934,
  [9645] = 8935,
  [9646] = 8936,
  [9647] = 8937,
  [9648] = 8944,
  [9649] = 8945,
  [9650] = 8946,
  [9651] = 8948,
  [9652] = 9652,
  [9653] = 8692,
  [9654] = 9654,
  [9655] = 9655,
  [9656] = 8961,
  [9657] = 8920,
  [9658] = 9409,
  [9659] = 8816,
  [9660] = 2991,
  [9661] = 2992,
  [9662] = 3002,
  [9663] = 9417,
  [9664] = 9418,
  [9665] = 3044,
  [9666] = 9666,
  [9667] = 2967,
  [9668] = 3061,
  [9669] = 3063,
  [9670] = 9425,
  [9671] = 9241,
  [9672] = 2968,
  [9673] = 2974,
  [9674] = 2976,
  [9675] = 2979,
  [9676] = 3090,
  [9677] = 9426,
  [9678] = 8069,
  [9679] = 8081,
  [9680] = 8082,
  [9681] = 8083,
  [9682] = 8084,
  [9683] = 8085,
  [9684] = 7982,
  [9685] = 8004,
  [9686] = 8005,
  [9687] = 8006,
  [9688] = 8024,
  [9689] = 2980,
  [9690] = 8073,
  [9691] = 8075,
  [9692] = 3093,
  [9693] = 9427,
  [9694] = 2993,
  [9695] = 3005,
  [9696] = 3067,
  [9697] = 3071,
  [9698] = 3130,
  [9699] = 9501,
  [9700] = 5440,
  [9701] = 3244,
  [9702] = 2937,
  [9703] = 2938,
  [9704] = 2942,
  [9705] = 9409,
  [9706] = 9417,
  [9707] = 9418,
  [9708] = 8014,
  [9709] = 8110,
  [9710] = 8018,
  [9711] = 3244,
  [9712] = 2937,
  [9713] = 2938,
  [9714] = 2942,
  [9715] = 3244,
  [9716] = 2937,
  [9717] = 2938,
  [9718] = 2942,
  [9719] = 9415,
  [9720] = 9412,
  [9721] = 8987,
  [9722] = 9722,
  [9723] = 9723,
  [9724] = 9530,
  [9725] = 9570,
  [9726] = 9254,
  [9727] = 9241,
  [9728] = 3730,
  [9729] = 8954,
  [9730] = 9502,
  [9731] = 9536,
  [9732] = 9732,
  [9733] = 9428,
  [9734] = 9652,
  [9735] = 9429,
  [9736] = 9736,
  [9737] = 8931,
  [9738] = 9738,
  [9739] = 9739,
  [9740] = 9652,
  [9741] = 9741,
  [9742] = 8069,
  [9743] = 9743,
  [9744] = 8081,
  [9745] = 8082,
  [9746] = 8083,
  [9747] = 8084,
  [9748] = 8085,
  [9749] = 7982,
  [9750] = 8004,
  [9751] = 8005,
  [9752] = 8006,
  [9753] = 8024,
  [9754] = 9754,
  [9755] = 9738,
  [9756] = 8954,
  [9757] = 8824,
  [9758] = 9739,
  [9759] = 9741,
  [9760] = 9652,
  [9761] = 8915,
  [9762] = 8921,
  [9763] = 3244,
  [9764] = 7184,
  [9765] = 9765,
  [9766] = 9766,
  [9767] = 9767,
  [9768] = 2937,
  [9769] = 2938,
  [9770] = 2942,
  [9771] = 9241,
  [9772] = 9772,
  [9773] = 8105,
  [9774] = 9772,
  [9775] = 9775,
  [9776] = 9772,
  [9777] = 9777,
  [9778] = 9743,
  [9779] = 8075,
  [9780] = 9772,
  [9781] = 9781,
  [9782] = 9754,
  [9783] = 8987,
  [9784] = 9775,
  [9785] = 9777,
  [9786] = 9738,
  [9787] = 9743,
  [9788] = 9739,
  [9789] = 9741,
  [9790] = 9790,
  [9791] = 9791,
  [9792] = 9754,
  [9793] = 9068,
  [9794] = 9069,
  [9795] = 9775,
  [9796] = 9777,
  [9797] = 9743,
  [9798] = 9754,
  [9799] = 9738,
  [9800] = 9739,
  [9801] = 9741,
  [9802] = 9772,
  [9803] = 9772,
  [9804] = 9772,
  [9805] = 9805,
  [9806] = 9775,
  [9807] = 9807,
  [9808] = 8939,
  [9809] = 8961,
  [9810] = 4083,
  [9811] = 9811,
  [9812] = 8954,
  [9813] = 9738,
  [9814] = 9739,
  [9815] = 9068,
  [9816] = 9283,
  [9817] = 8971,
  [9818] = 9818,
  [9819] = 9279,
  [9820] = 8973,
  [9821] = 8975,
  [9822] = 8978,
  [9823] = 9772,
  [9824] = 8915,
  [9825] = 8921,
  [9826] = 9741,
  [9827] = 9772,
  [9828] = 9069,
  [9829] = 9254,
  [9830] = 9775,
  [9831] = 9777,
  [9832] = 9743,
  [9833] = 9754,
  [9834] = 9738,
  [9835] = 9739,
  [9836] = 8915,
  [9837] = 9741,
  [9838] = 8987,
  [9839] = 9068,
  [9840] = 8921,
  [9841] = 9775,
  [9842] = 9777,
  [9843] = 9743,
  [9844] = 8908,
  [9845] = 9069,
  [9846] = 9754,
  [9847] = 9241,
  [9848] = 9775,
  [9849] = 9738,
  [9850] = 9739,
  [9851] = 9741,
  [9852] = 8909,
  [9853] = 8910,
  [9854] = 8911,
  [9855] = 8920,
  [9856] = 8916,
  [9857] = 8917,
  [9858] = 8918,
  [9859] = 9777,
  [9860] = 8919,
  [9861] = 5442,
  [9862] = 8692,
  [9863] = 8931,
  [9864] = 8933,
  [9865] = 8934,
  [9866] = 9243,
  [9867] = 8936,
  [9868] = 8937,
  [9869] = 9869,
  [9870] = 3244,
  [9871] = 7209,
  [9872] = 7210,
  [9873] = 9869,
  [9874] = 8944,
  [9875] = 8945,
  [9876] = 8946,
  [9877] = 8948,
  [9878] = 9772,
  [9879] = 9570,
  [9880] = 9880,
  [9881] = 8856,
  [9882] = 8954,
  [9883] = 7224,
  [9884] = 9775,
  [9885] = 9777,
  [9886] = 9743,
  [9887] = 9887,
  [9888] = 9754,
  [9889] = 9738,
  [9890] = 9739,
  [9891] = 9741,
  [9892] = 9741,
  [9893] = 9743,
  [9894] = 9754,
  [9895] = 9738,
  [9896] = 9739,
  [9897] = 7180,
  [9898] = 9741,
  [9899] = 8961,
  [9900] = 9754,
  [9901] = 9772,
  [9902] = 2937,
  [9903] = 2938,
  [9904] = 9767,
  [9905] = 9905,
  [9906] = 9738,
  [9907] = 9739,
  [9908] = 9772,
  [9909] = 5440,
  [9910] = 9652,
  [9911] = 9765,
  [9912] = 9766,
  [9913] = 2942,
  [9914] = 8105,
  [9915] = 8018,
  [9916] = 9775,
  [9917] = 9777,
  [9918] = 9743,
  [9919] = 9775,
  [9920] = 9754,
  [9921] = 9738,
  [9922] = 9739,
  [9923] = 9741,
  [9924] = 8920,
  [9925] = 3244,
  [9926] = 9775,
  [9927] = 9777,
  [9928] = 9781,
  [9929] = 9254,
  [9930] = 9775,
  [9931] = 9790,
  [9932] = 9791,
  [9933] = 9743,
  [9934] = 9805,
  [9935] = 9777,
  [9936] = 9777,
  [9937] = 9570,
  [9938] = 8987,
  [9939] = 9743,
  [9940] = 9570,
  [9941] = 9772,
  [9942] = 4082,
  [9943] = 9943,
  [9944] = 9943,
  [9945] = 2937,
  [9946] = 9775,
  [9947] = 9777,
  [9948] = 9772,
  [9949] = 9743,
  [9950] = 9754,
  [9951] = 9738,
  [9952] = 9739,
  [9953] = 9741,
  [9954] = 2938,
  [9955] = 9772,
  [9956] = 9775,
  [9957] = 9777,
  [9958] = 9743,
  [9959] = 9754,
  [9960] = 9738,
  [9961] = 9739,
  [9962] = 9741,
  [9963] = 7171,
  [9964] = 9754,
  [9965] = 2942,
  [9966] = 9966,
  [9967] = 9967,
  [9968] = 9968,
  [9969] = 9969,
  [9970] = 9966,
  [9971] = 9967,
  [9972] = 9968,
  [9973] = 9969,
  [9974] = 9287,
  [9975] = 8935,
  [9976] = 5458,
  [9977] = 9977,
  [9978] = 8920,
  [9979] = 4685,
  [9980] = 9241,
  [9981] = 9869,
  [9982] = 8911,
  [9983] = 9983,
  [9984] = 9254,
  [9985] = 4669,
  [9986] = 9986,
  [9987] = 8939,
  [9988] = 9765,
  [9989] = 9766,
  [9990] = 9983,
  [9991] = 8908,
  [9992] = 8824,
  [9993] = 5418,
  [9994] = 7402,
  [9995] = 8909,
  [9996] = 5275,
  [9997] = 9983,
  [9998] = 8692,
  [9999] = 3002,
  [10000] = 7405,
  [10001] = 7419,
  [10002] = 9781,
  [10003] = 7539,
  [10004] = 9983,
  [10005] = 8824,
  [10006] = 9791,
  [10007] = 8073,
  [10008] = 2968,
  [10009] = 9254,
  [10010] = 8971,
  [10011] = 8973,
  [10012] = 8961,
  [10013] = 9983,
  [10014] = 8975,
  [10015] = 9983,
  [10016] = 3130,
  [10017] = 8978,
  [10018] = 9790,
  [10019] = 9791,
  [10020] = 10020,
  [10021] = 7502,
  [10022] = 7505,
  [10023] = 8692,
  [10024] = 9983,
  [10025] = 10025,
  [10026] = 9805,
  [10027] = 8908,
  [10028] = 8816,
  [10029] = 9983,
  [10030] = 3044,
  [10031] = 9983,
  [10032] = 10032,
  [10033] = 8909,
  [10034] = 10034,
  [10035] = 10035,
  [10036] = 9983,
  [10037] = 8910,
  [10038] = 5328,
  [10039] = 8911,
  [10040] = 9983,
  [10041] = 4685,
  [10042] = 8916,
  [10043] = 10043,
  [10044] = 9983,
  [10045] = 8931,
  [10046] = 7489,
  [10047] = 8692,
  [10048] = 8933,
  [10049] = 3244,
  [10050] = 10050,
  [10051] = 9254,
  [10052] = 9983,
  [10053] = 9983,
  [10054] = 8934,
  [10055] = 9652,
  [10056] = 9969,
  [10057] = 9983,
  [10058] = 3090,
  [10059] = 8692,
  [10060] = 8935,
  [10061] = 9983,
  [10062] = 5442,
  [10063] = 8018,
  [10064] = 8014,
  [10065] = 2937,
  [10066] = 2938,
  [10067] = 9791,
  [10068] = 9983,
  [10069] = 10034,
  [10070] = 8939,
  [10071] = 2942,
  [10072] = 7350,
  [10073] = 2942,
  [10074] = 8916,
  [10075] = 9068,
  [10076] = 9069,
  [10077] = 5441,
  [10078] = 8917,
  [10079] = 10079,
  [10080] = 8954,
  [10081] = 8918,
  [10082] = 9254,
  [10083] = 8919,
  [10084] = 7361,
  [10085] = 2967,
  [10086] = 8920,
  [10087] = 7421,
  [10088] = 9805,
  [10089] = 9967,
  [10090] = 10079,
  [10091] = 10091,
  [10092] = 9983,
  [10093] = 9968,
  [10094] = 8915,
  [10095] = 7431,
  [10096] = 9767,
  [10097] = 8936,
  [10098] = 9966,
  [10099] = 8937,
  [10100] = 8921,
  [10101] = 9781,
  [10102] = 8917,
  [10103] = 8931,
  [10104] = 8933,
  [10105] = 9983,
  [10106] = 9241,
  [10107] = 8934,
  [10108] = 4709,
  [10109] = 8936,
  [10110] = 10110,
  [10111] = 8937,
  [10112] = 8014,
  [10113] = 7413,
  [10114] = 9983,
  [10115] = 8069,
  [10116] = 8081,
  [10117] = 8082,
  [10118] = 8083,
  [10119] = 8084,
  [10120] = 8085,
  [10121] = 7982,
  [10122] = 8004,
  [10123] = 8005,
  [10124] = 8006,
  [10125] = 8024,
  [10126] = 8073,
  [10127] = 8075,
  [10128] = 8987,
  [10129] = 5440,
  [10130] = 8944,
  [10131] = 8945,
  [10132] = 9790,
  [10133] = 8946,
  [10134] = 8918,
  [10135] = 2974,
  [10136] = 10136,
  [10137] = 9570,
  [10138] = 10138,
  [10139] = 3244,
  [10140] = 5440,
  [10141] = 3061,
  [10142] = 8948,
  [10143] = 10136,
  [10144] = 9570,
  [10145] = 10138,
  [10146] = 5398,
  [10147] = 7480,
  [10148] = 2937,
  [10149] = 9241,
  [10150] = 3063,
  [10151] = 3093,
  [10152] = 9943,
  [10153] = 9805,
  [10154] = 8944,
  [10155] = 7403,
  [10156] = 7404,
  [10157] = 8824,
  [10158] = 7407,
  [10159] = 9983,
  [10160] = 7362,
  [10161] = 7367,
  [10162] = 2991,
  [10163] = 2976,
  [10164] = 8945,
  [10165] = 7418,
  [10166] = 7473,
  [10167] = 7415,
  [10168] = 9977,
  [10169] = 2979,
  [10170] = 7474,
  [10171] = 8971,
  [10172] = 8973,
  [10173] = 5442,
  [10174] = 5440,
  [10175] = 4709,
  [10176] = 10020,
  [10177] = 8975,
  [10178] = 9790,
  [10179] = 8978,
  [10180] = 10050,
  [10181] = 8824,
  [10182] = 10110,
  [10183] = 8818,
  [10184] = 5442,
  [10185] = 8110,
  [10186] = 9652,
  [10187] = 8946,
  [10188] = 2938,
  [10189] = 8948,
  [10190] = 7378,
  [10191] = 9983,
  [10192] = 7420,
  [10193] = 5476,
  [10194] = 9765,
  [10195] = 9765,
  [10196] = 9766,
  [10197] = 9766,
  [10198] = 2992,
  [10199] = 8961,
  [10200] = 7349,
  [10201] = 7351,
  [10202] = 10035,
  [10203] = 7352,
  [10204] = 7354,
  [10205] = 7355,
  [10206] = 7398,
  [10207] = 9781,
  [10208] = 8919,
  [10209] = 7997,
  [10210] = 8001,
  [10211] = 7987,
  [10212] = 7988,
  [10213] = 7989,
  [10214] = 8910,
  [10215] = 4669,
  [10216] = 7485,
  [10217] = 10025,
  [10218] = 8105,
  [10219] = 8935,
  [10220] = 7833,
  [10221] = 10221,
  [10222] = 10222,
  [10223] = 10223,
  [10224] = 8082,
  [10225] = 8083,
  [10226] = 8084,
  [10227] = 8948,
  [10228] = 10228,
  [10229] = 8085,
  [10230] = 7982,
  [10231] = 7976,
  [10232] = 8004,
  [10233] = 8005,
  [10234] = 8006,
  [10235] = 10235,
  [10236] = 10236,
  [10237] = 10236,
  [10238] = 8987,
  [10239] = 8024,
  [10240] = 8091,
  [10241] = 7730,
  [10242] = 8073,
  [10243] = 10236,
  [10244] = 7405,
  [10245] = 4846,
  [10246] = 10236,
  [10247] = 10236,
  [10248] = 10248,
  [10249] = 9767,
  [10250] = 10250,
  [10251] = 10251,
  [10252] = 10252,
  [10253] = 8908,
  [10254] = 8075,
  [10255] = 10236,
  [10256] = 8909,
  [10257] = 10236,
  [10258] = 10236,
  [10259] = 8910,
  [10260] = 10260,
  [10261] = 9766,
  [10262] = 10236,
  [10263] = 10263,
  [10264] = 10236,
  [10265] = 10236,
  [10266] = 5440,
  [10267] = 10267,
  [10268] = 10268,
  [10269] = 10269,
  [10270] = 10270,
  [10271] = 9240,
  [10272] = 10272,
  [10273] = 10236,
  [10274] = 5442,
  [10275] = 9977,
  [10276] = 10276,
  [10277] = 8105,
  [10278] = 10236,
  [10279] = 10279,
  [10280] = 10280,
  [10281] = 10281,
  [10282] = 10282,
  [10283] = 9781,
  [10284] = 10284,
  [10285] = 8818,
  [10286] = 10286,
  [10287] = 10287,
  [10288] = 10267,
  [10289] = 10268,
  [10290] = 10270,
  [10291] = 10236,
  [10292] = 9790,
  [10293] = 9791,
  [10294] = 10236,
  [10295] = 10295,
  [10296] = 7926,
  [10297] = 8069,
  [10298] = 9869,
  [10299] = 10299,
  [10300] = 7956,
  [10301] = 8081,
  [10302] = 8082,
  [10303] = 8083,
  [10304] = 8084,
  [10305] = 8085,
  [10306] = 7826,
  [10307] = 7982,
  [10308] = 10236,
  [10309] = 8004,
  [10310] = 10236,
  [10311] = 8005,
  [10312] = 8006,
  [10313] = 8024,
  [10314] = 8110,
  [10315] = 5311,
  [10316] = 7988,
  [10317] = 10236,
  [10318] = 7989,
  [10319] = 9765,
  [10320] = 8856,
  [10321] = 9805,
  [10322] = 10020,
  [10323] = 10236,
  [10324] = 10324,
  [10325] = 10325,
  [10326] = 8816,
  [10327] = 10050,
  [10328] = 7831,
  [10329] = 10329,
  [10330] = 10236,
  [10331] = 8090,
  [10332] = 2948,
  [10333] = 2954,
  [10334] = 8939,
  [10335] = 4846,
  [10336] = 10110,
  [10337] = 10236,
  [10338] = 8075,
  [10339] = 7837,
  [10340] = 7714,
  [10341] = 7838,
  [10342] = 10342,
  [10343] = 10236,
  [10344] = 7997,
  [10345] = 10345,
  [10346] = 8018,
  [10347] = 10347,
  [10348] = 10348,
  [10349] = 10349,
  [10350] = 10350,
  [10351] = 10351,
  [10352] = 10352,
  [10353] = 10353,
  [10354] = 8054,
  [10355] = 10355,
  [10356] = 7848,
  [10357] = 9805,
  [10358] = 7711,
  [10359] = 10359,
  [10360] = 10360,
  [10361] = 10361,
  [10362] = 7968,
  [10363] = 9790,
  [10364] = 10364,
  [10365] = 10236,
  [10366] = 7868,
  [10367] = 10236,
  [10368] = 10236,
  [10369] = 9791,
  [10370] = 9652,
  [10371] = 9068,
  [10372] = 10372,
  [10373] = 10373,
  [10374] = 10374,
  [10375] = 7986,
  [10376] = 10376,
  [10377] = 10377,
  [10378] = 10378,
  [10379] = 8916,
  [10380] = 10236,
  [10381] = 10381,
  [10382] = 10236,
  [10383] = 9652,
  [10384] = 9765,
  [10385] = 10385,
  [10386] = 10386,
  [10387] = 8917,
  [10388] = 10388,
  [10389] = 8915,
  [10390] = 8921,
  [10391] = 8918,
  [10392] = 9254,
  [10393] = 10393,
  [10394] = 8824,
  [10395] = 10395,
  [10396] = 10396,
  [10397] = 10397,
  [10398] = 10236,
  [10399] = 8919,
  [10400] = 7969,
  [10401] = 9766,
  [10402] = 7744,
  [10403] = 10236,
  [10404] = 7915,
  [10405] = 10236,
  [10406] = 10236,
  [10407] = 4709,
  [10408] = 10408,
  [10409] = 8105,
  [10410] = 10079,
  [10411] = 10236,
  [10412] = 10412,
  [10413] = 4669,
  [10414] = 10414,
  [10415] = 10415,
  [10416] = 10416,
  [10417] = 3244,
  [10418] = 10418,
  [10419] = 10419,
  [10420] = 5341,
  [10421] = 2937,
  [10422] = 10422,
  [10423] = 10423,
  [10424] = 4685,
  [10425] = 2938,
  [10426] = 10236,
  [10427] = 10427,
  [10428] = 10428,
  [10429] = 2942,
  [10430] = 10430,
  [10431] = 10431,
  [10432] = 10432,
  [10433] = 10433,
  [10434] = 10434,
  [10435] = 8971,
  [10436] = 8973,
  [10437] = 10236,
  [10438] = 8961,
  [10439] = 8975,
  [10440] = 8978,
  [10441] = 10236,
  [10442] = 8954,
  [10443] = 10443,
  [10444] = 10444,
  [10445] = 10445,
  [10446] = 7963,
  [10447] = 10447,
  [10448] = 10448,
  [10449] = 10449,
  [10450] = 10450,
  [10451] = 10451,
  [10452] = 10452,
  [10453] = 10453,
  [10454] = 10454,
  [10455] = 10455,
  [10456] = 10456,
  [10457] = 10457,
  [10458] = 10458,
  [10459] = 10459,
  [10460] = 10460,
  [10461] = 10461,
  [10462] = 10462,
  [10463] = 10463,
  [10464] = 9069,
  [10465] = 8692,
  [10466] = 10443,
  [10467] = 10445,
  [10468] = 10447,
  [10469] = 10469,
  [10470] = 10449,
  [10471] = 10471,
  [10472] = 10451,
  [10473] = 10452,
  [10474] = 10453,
  [10475] = 10454,
  [10476] = 10456,
  [10477] = 10457,
  [10478] = 10458,
  [10479] = 10459,
  [10480] = 10236,
  [10481] = 10460,
  [10482] = 10461,
  [10483] = 10462,
  [10484] = 10463,
  [10485] = 10485,
  [10486] = 9570,
  [10487] = 10487,
  [10488] = 10488,
  [10489] = 10489,
  [10490] = 10490,
  [10491] = 10491,
  [10492] = 8920,
  [10493] = 10493,
  [10494] = 10487,
  [10495] = 10488,
  [10496] = 10496,
  [10497] = 9781,
  [10498] = 10498,
  [10499] = 7727,
  [10500] = 10500,
  [10501] = 10501,
  [10502] = 8911,
  [10503] = 9943,
  [10504] = 10504,
  [10505] = 10505,
  [10506] = 10236,
  [10507] = 8018,
  [10508] = 8014,
  [10509] = 10236,
  [10510] = 10510,
  [10511] = 9869,
  [10512] = 8931,
  [10513] = 8933,
  [10514] = 8934,
  [10515] = 10515,
  [10516] = 7857,
  [10517] = 7881,
  [10518] = 8935,
  [10519] = 10236,
  [10520] = 9241,
  [10521] = 8936,
  [10522] = 10522,
  [10523] = 10236,
  [10524] = 10524,
  [10525] = 8937,
  [10526] = 10526,
  [10527] = 10527,
  [10528] = 8014,
  [10529] = 10529,
  [10530] = 10530,
  [10531] = 10531,
  [10532] = 10532,
  [10533] = 5360,
  [10534] = 10534,
  [10535] = 8001,
  [10536] = 8073,
  [10537] = 10537,
  [10538] = 7987,
  [10539] = 10539,
  [10540] = 10540,
  [10541] = 10541,
  [10542] = 10542,
  [10543] = 10236,
  [10544] = 10544,
  [10545] = 10545,
  [10546] = 10236,
  [10547] = 9652,
  [10548] = 10548,
  [10549] = 10549,
  [10550] = 10550,
  [10551] = 9869,
  [10552] = 10552,
  [10553] = 10553,
  [10554] = 10554,
  [10555] = 10035,
  [10556] = 10556,
  [10557] = 10236,
  [10558] = 7975,
  [10559] = 10138,
  [10560] = 10560,
  [10561] = 9966,
  [10562] = 9967,
  [10563] = 9968,
  [10564] = 9969,
  [10565] = 10565,
  [10566] = 10566,
  [10567] = 10236,
  [10568] = 8944,
  [10569] = 8945,
  [10570] = 10565,
  [10571] = 8946,
  [10572] = 10136,
  [10573] = 8069,
  [10574] = 8081,
  [10575] = 10575,
  [10576] = 10454,
  [10577] = 8948,
  [10578] = 8918,
  [10579] = 10270,
  [10580] = 10580,
  [10581] = 10581,
  [10582] = 8919,
  [10583] = 10457,
  [10584] = 10575,
  [10585] = 10585,
  [10586] = 10580,
  [10587] = 10587,
  [10588] = 8939,
  [10589] = 10488,
  [10590] = 10458,
  [10591] = 8911,
  [10592] = 9781,
  [10593] = 5442,
  [10594] = 8973,
  [10595] = 8916,
  [10596] = 8948,
  [10597] = 10580,
  [10598] = 10598,
  [10599] = 8961,
  [10600] = 10600,
  [10601] = 9805,
  [10602] = 10575,
  [10603] = 10580,
  [10604] = 8937,
  [10605] = 10605,
  [10606] = 8931,
  [10607] = 4846,
  [10608] = 8909,
  [10609] = 10609,
  [10610] = 8971,
  [10611] = 8973,
  [10612] = 10580,
  [10613] = 8975,
  [10614] = 9765,
  [10615] = 10020,
  [10616] = 5442,
  [10617] = 10460,
  [10618] = 10580,
  [10619] = 10580,
  [10620] = 8916,
  [10621] = 10621,
  [10622] = 8917,
  [10623] = 8918,
  [10624] = 10079,
  [10625] = 8069,
  [10626] = 8975,
  [10627] = 8908,
  [10628] = 8939,
  [10629] = 8081,
  [10630] = 10630,
  [10631] = 8961,
  [10632] = 8931,
  [10633] = 8933,
  [10634] = 8082,
  [10635] = 8978,
  [10636] = 8083,
  [10637] = 8919,
  [10638] = 8934,
  [10639] = 10580,
  [10640] = 10575,
  [10641] = 10641,
  [10642] = 8084,
  [10643] = 2942,
  [10644] = 8935,
  [10645] = 10451,
  [10646] = 8936,
  [10647] = 8920,
  [10648] = 5442,
  [10649] = 8937,
  [10650] = 8945,
  [10651] = 8201,
  [10652] = 9765,
  [10653] = 8909,
  [10654] = 9766,
  [10655] = 10452,
  [10656] = 10580,
  [10657] = 10600,
  [10658] = 10463,
  [10659] = 8978,
  [10660] = 8946,
  [10661] = 8937,
  [10662] = 8920,
  [10663] = 8085,
  [10664] = 9791,
  [10665] = 7982,
  [10666] = 10580,
  [10667] = 10580,
  [10668] = 10449,
  [10669] = 8931,
  [10670] = 10444,
  [10671] = 8004,
  [10672] = 9790,
  [10673] = 8933,
  [10674] = 9790,
  [10675] = 8944,
  [10676] = 8945,
  [10677] = 10677,
  [10678] = 10020,
  [10679] = 10679,
  [10680] = 9791,
  [10681] = 10267,
  [10682] = 10580,
  [10683] = 8946,
  [10684] = 10268,
  [10685] = 10456,
  [10686] = 8933,
  [10687] = 10459,
  [10688] = 8971,
  [10689] = 10461,
  [10690] = 9805,
  [10691] = 10270,
  [10692] = 8939,
  [10693] = 2942,
  [10694] = 8005,
  [10695] = 8006,
  [10696] = 10136,
  [10697] = 8024,
  [10698] = 8201,
  [10699] = 10138,
  [10700] = 10035,
  [10701] = 8948,
  [10702] = 8944,
  [10703] = 10703,
  [10704] = 8936,
  [10705] = 8931,
  [10706] = 8933,
  [10707] = 10707,
  [10708] = 9781,
  [10709] = 10581,
  [10710] = 10621,
  [10711] = 10580,
  [10712] = 8910,
  [10713] = 10565,
  [10714] = 8934,
  [10715] = 10580,
  [10716] = 10050,
  [10717] = 8973,
  [10718] = 10718,
  [10719] = 8945,
  [10720] = 10450,
  [10721] = 10050,
  [10722] = 2942,
  [10723] = 8911,
  [10724] = 10447,
  [10725] = 10443,
  [10726] = 10110,
  [10727] = 8934,
  [10728] = 8934,
  [10729] = 3244,
  [10730] = 10267,
  [10731] = 10268,
  [10732] = 8105,
  [10733] = 8945,
  [10734] = 9790,
  [10735] = 8856,
  [10736] = 8937,
  [10737] = 10737,
  [10738] = 10580,
  [10739] = 10270,
  [10740] = 5440,
  [10741] = 8935,
  [10742] = 10742,
  [10743] = 10462,
  [10744] = 8935,
  [10745] = 8935,
  [10746] = 10580,
  [10747] = 3244,
  [10748] = 3244,
  [10749] = 10707,
  [10750] = 8978,
  [10751] = 2937,
  [10752] = 10621,
  [10753] = 9652,
  [10754] = 10020,
  [10755] = 8910,
  [10756] = 8018,
  [10757] = 8936,
  [10758] = 10600,
  [10759] = 8946,
  [10760] = 10760,
  [10761] = 8075,
  [10762] = 10762,
  [10763] = 10763,
  [10764] = 10764,
  [10765] = 8908,
  [10766] = 8909,
  [10767] = 10605,
  [10768] = 9869,
  [10769] = 8910,
  [10770] = 10580,
  [10771] = 8911,
  [10772] = 10585,
  [10773] = 8908,
  [10774] = 10774,
  [10775] = 5440,
  [10776] = 8946,
  [10777] = 8909,
  [10778] = 8910,
  [10779] = 8911,
  [10780] = 5442,
  [10781] = 10737,
  [10782] = 10742,
  [10783] = 9241,
  [10784] = 9977,
  [10785] = 10580,
  [10786] = 9765,
  [10787] = 2938,
  [10788] = 10050,
  [10789] = 9781,
  [10790] = 10580,
  [10791] = 8936,
  [10792] = 10792,
  [10793] = 10793,
  [10794] = 9766,
  [10795] = 10793,
  [10796] = 10796,
  [10797] = 10797,
  [10798] = 10487,
  [10799] = 9791,
  [10800] = 10800,
  [10801] = 10453,
  [10802] = 5442,
  [10803] = 10707,
  [10804] = 8917,
  [10805] = 8961,
  [10806] = 8918,
  [10807] = 8939,
  [10808] = 10598,
  [10809] = 5440,
  [10810] = 9977,
  [10811] = 8971,
  [10812] = 8944,
  [10813] = 8916,
  [10814] = 8917,
  [10815] = 8918,
  [10816] = 8919,
  [10817] = 10267,
  [10818] = 2937,
  [10819] = 10580,
  [10820] = 10268,
  [10821] = 9977,
  [10822] = 2937,
  [10823] = 2938,
  [10824] = 8971,
  [10825] = 8920,
  [10826] = 8973,
  [10827] = 8961,
  [10828] = 8920,
  [10829] = 2938,
  [10830] = 8975,
  [10831] = 8944,
  [10832] = 8948,
  [10833] = 10580,
  [10834] = 10605,
  [10835] = 8978,
  [10836] = 10445,
  [10837] = 8919,
  [10838] = 8908,
  [10839] = 8916,
  [10840] = 9805,
  [10841] = 10630,
  [10842] = 10600,
  [10843] = 9766,
  [10844] = 10605,
  [10845] = 10793,
  [10846] = 10707,
  [10847] = 10581,
  [10848] = 10797,
  [10849] = 10800,
  [10850] = 10587,
  [10851] = 10641,
  [10852] = 10600,
  [10853] = 10605,
  [10854] = 10707,
  [10855] = 10855,
  [10856] = 10580,
  [10857] = 10621,
  [10858] = 10575,
  [10859] = 10621,
  [10860] = 10600,
  [10861] = 8917,
  [10862] = 10605,
  [10863] = 10793,
  [10864] = 10707,
  [10865] = 10581,
  [10866] = 10575,
  [10867] = 10621,
  [10868] = 8975,
  [10869] = 10869,
  [10870] = 3244,
  [10871] = 10869,
  [10872] = 2937,
  [10873] = 9807,
  [10874] = 2938,
  [10875] = 2942,
  [10876] = 10869,
  [10877] = 9905,
  [10878] = 10869,
  [10879] = 10869,
  [10880] = 10869,
  [10881] = 10869,
  [10882] = 9652,
  [10883] = 10869,
  [10884] = 10110,
  [10885] = 9977,
  [10886] = 10869,
  [10887] = 10869,
  [10888] = 10869,
  [10889] = 10869,
  [10890] = 10869,
  [10891] = 10641,
  [10892] = 10869,
  [10893] = 9880,
  [10894] = 10869,
  [10895] = 10737,
  [10896] = 10742,
  [10897] = 10897,
  [10898] = 10869,
  [10899] = 10899,
  [10900] = 10900,
  [10901] = 10901,
  [10902] = 10902,
  [10903] = 10903,
  [10904] = 10904,
  [10905] = 10905,
  [10906] = 10906,
  [10907] = 10907,
  [10908] = 10908,
  [10909] = 10909,
  [10910] = 10910,
  [10911] = 10911,
  [10912] = 10912,
  [10913] = 8816,
  [10914] = 10869,
  [10915] = 8073,
  [10916] = 10737,
  [10917] = 10742,
  [10918] = 8105,
  [10919] = 10897,
  [10920] = 10899,
  [10921] = 10800,
  [10922] = 10900,
  [10923] = 10903,
  [10924] = 10907,
  [10925] = 10908,
  [10926] = 10909,
  [10927] = 10910,
  [10928] = 10911,
  [10929] = 10912,
  [10930] = 8110,
  [10931] = 8018,
  [10932] = 8014,
  [10933] = 8824,
  [10934] = 10869,
  [10935] = 10267,
  [10936] = 10268,
  [10937] = 10270,
  [10938] = 10869,
  [10939] = 9781,
  [10940] = 8069,
  [10941] = 8081,
  [10942] = 8082,
  [10943] = 8083,
  [10944] = 8084,
  [10945] = 8085,
  [10946] = 7982,
  [10947] = 8004,
  [10948] = 8005,
  [10949] = 8006,
  [10950] = 8024,
  [10951] = 8073,
  [10952] = 8075,
  [10953] = 10737,
  [10954] = 10742,
  [10955] = 9869,
  [10956] = 10869,
  [10957] = 10869,
  [10958] = 7997,
  [10959] = 8001,
  [10960] = 7987,
  [10961] = 7988,
  [10962] = 7989,
  [10963] = 10869,
  [10964] = 4709,
  [10965] = 10869,
  [10966] = 4669,
  [10967] = 8014,
  [10968] = 10110,
  [10969] = 3090,
  [10970] = 10869,
  [10971] = 8201,
  [10972] = 3093,
  [10973] = 10267,
  [10974] = 10268,
  [10975] = 4685,
  [10976] = 10976,
  [10977] = 10270,
  [10978] = 10869,
  [10979] = 10869,
  [10980] = 8939,
  [10981] = 10981,
  [10982] = 10982,
  [10983] = 10050,
  [10984] = 9790,
  [10985] = 9791,
  [10986] = 5442,
  [10987] = 10869,
  [10988] = 8971,
  [10989] = 8973,
  [10990] = 8975,
  [10991] = 8978,
  [10992] = 8818,
  [10993] = 9765,
  [10994] = 9766,
  [10995] = 10869,
  [10996] = 10869,
  [10997] = 8908,
  [10998] = 10869,
  [10999] = 8909,
  [11000] = 8910,
  [11001] = 8911,
  [11002] = 10869,
  [11003] = 8916,
  [11004] = 8917,
  [11005] = 8918,
  [11006] = 8919,
  [11007] = 10020,
  [11008] = 10869,
  [11009] = 8931,
  [11010] = 8933,
  [11011] = 8934,
  [11012] = 8935,
  [11013] = 8936,
  [11014] = 8937,
  [11015] = 10976,
  [11016] = 10869,
  [11017] = 8944,
  [11018] = 8945,
  [11019] = 8946,
  [11020] = 8948,
  [11021] = 10976,
  [11022] = 11022,
  [11023] = 11023,
  [11024] = 9943,
  [11025] = 10981,
  [11026] = 11026,
  [11027] = 8692,
  [11028] = 10869,
  [11029] = 10869,
  [11030] = 9943,
  [11031] = 10487,
  [11032] = 10488,
  [11033] = 10869,
  [11034] = 10901,
  [11035] = 10904,
  [11036] = 10905,
  [11037] = 10443,
  [11038] = 10445,
  [11039] = 11023,
  [11040] = 10447,
  [11041] = 10449,
  [11042] = 10451,
  [11043] = 10452,
  [11044] = 11026,
  [11045] = 10453,
  [11046] = 10454,
  [11047] = 10456,
  [11048] = 10457,
  [11049] = 10458,
  [11050] = 10459,
  [11051] = 10460,
  [11052] = 10461,
  [11053] = 10462,
  [11054] = 10463,
  [11055] = 10869,
  [11056] = 7402,
  [11057] = 10869,
  [11058] = 8961,
  [11059] = 10869,
  [11060] = 10869,
  [11061] = 9805,
  [11062] = 10869,
  [11063] = 10587,
  [11064] = 10869,
  [11065] = 5440,
  [11066] = 8920,
  [11067] = 10565,
  [11068] = 10869,
  [11069] = 10902,
  [11070] = 10906,
  [11071] = 10797,
  [11072] = 11022,
  [11073] = 10869,
  [11074] = 11074,
  [11075] = 8082,
  [11076] = 8083,
  [11077] = 8084,
  [11078] = 8085,
  [11079] = 7982,
  [11080] = 8004,
  [11081] = 8005,
  [11082] = 8006,
  [11083] = 8024,
  [11084] = 11084,
  [11085] = 11085,
  [11086] = 8075,
  [11087] = 11087,
  [11088] = 11084,
  [11089] = 11089,
  [11090] = 11085,
  [11091] = 11091,
  [11092] = 8014,
  [11093] = 11093,
  [11094] = 10903,
  [11095] = 11095,
  [11096] = 11093,
  [11097] = 9254,
  [11098] = 11098,
  [11099] = 11099,
  [11100] = 11100,
  [11101] = 11101,
  [11102] = 11102,
  [11103] = 11103,
  [11104] = 11104,
  [11105] = 11101,
  [11106] = 11099,
  [11107] = 11100,
  [11108] = 11103,
  [11109] = 11093,
  [11110] = 11104,
  [11111] = 11111,
  [11112] = 11101,
  [11113] = 11104,
  [11114] = 11084,
  [11115] = 11085,
  [11116] = 11101,
  [11117] = 11085,
  [11118] = 11093,
  [11119] = 8069,
  [11120] = 8081,
  [11121] = 8082,
  [11122] = 8083,
  [11123] = 8084,
  [11124] = 8085,
  [11125] = 7982,
  [11126] = 8004,
  [11127] = 8005,
  [11128] = 8006,
  [11129] = 8024,
  [11130] = 8073,
  [11131] = 8075,
  [11132] = 11085,
  [11133] = 11133,
  [11134] = 11134,
  [11135] = 11093,
  [11136] = 11099,
  [11137] = 11100,
  [11138] = 11084,
  [11139] = 11103,
  [11140] = 11104,
  [11141] = 11101,
  [11142] = 11102,
  [11143] = 9790,
  [11144] = 9791,
  [11145] = 11104,
  [11146] = 11084,
  [11147] = 11085,
  [11148] = 11084,
  [11149] = 11149,
  [11150] = 10020,
  [11151] = 11085,
  [11152] = 11093,
  [11153] = 11093,
  [11154] = 8110,
  [11155] = 11155,
  [11156] = 11085,
  [11157] = 11084,
  [11158] = 11093,
  [11159] = 11093,
  [11160] = 11099,
  [11161] = 11100,
  [11162] = 11103,
  [11163] = 11104,
  [11164] = 11101,
  [11165] = 11099,
  [11166] = 11100,
  [11167] = 11103,
  [11168] = 11099,
  [11169] = 11100,
  [11170] = 8018,
  [11171] = 8014,
  [11172] = 11103,
  [11173] = 11104,
  [11174] = 11104,
  [11175] = 11085,
  [11176] = 10267,
  [11177] = 10268,
  [11178] = 10270,
  [11179] = 11102,
  [11180] = 11101,
  [11181] = 11084,
  [11182] = 11085,
  [11183] = 9805,
  [11184] = 11084,
  [11185] = 10050,
  [11186] = 7997,
  [11187] = 8001,
  [11188] = 7987,
  [11189] = 7988,
  [11190] = 7989,
  [11191] = 10899,
  [11192] = 11093,
  [11193] = 10737,
  [11194] = 10742,
  [11195] = 11085,
  [11196] = 11084,
  [11197] = 11102,
  [11198] = 11085,
  [11199] = 11099,
  [11200] = 11100,
  [11201] = 10897,
  [11202] = 11103,
  [11203] = 11103,
  [11204] = 11104,
  [11205] = 11099,
  [11206] = 11093,
  [11207] = 11102,
  [11208] = 11101,
  [11209] = 11209,
  [11210] = 11093,
  [11211] = 11093,
  [11212] = 11099,
  [11213] = 11100,
  [11214] = 11100,
  [11215] = 11101,
  [11216] = 11099,
  [11217] = 11100,
  [11218] = 11103,
  [11219] = 11104,
  [11220] = 11101,
  [11221] = 11102,
  [11222] = 11084,
  [11223] = 10737,
  [11224] = 11103,
  [11225] = 11103,
  [11226] = 11104,
  [11227] = 11084,
  [11228] = 11102,
  [11229] = 10742,
  [11230] = 11085,
  [11231] = 11101,
  [11232] = 8018,
  [11233] = 11085,
  [11234] = 11093,
  [11235] = 11084,
  [11236] = 11099,
  [11237] = 11100,
  [11238] = 11102,
  [11239] = 11103,
  [11240] = 11104,
  [11241] = 11101,
  [11242] = 11085,
  [11243] = 11102,
  [11244] = 11093,
  [11245] = 11084,
  [11246] = 11084,
  [11247] = 11085,
  [11248] = 11102,
  [11249] = 11093,
  [11250] = 11104,
  [11251] = 11085,
  [11252] = 11098,
  [11253] = 11099,
  [11254] = 10908,
  [11255] = 11093,
  [11256] = 4846,
  [11257] = 11100,
  [11258] = 11085,
  [11259] = 11099,
  [11260] = 11100,
  [11261] = 11093,
  [11262] = 11099,
  [11263] = 11100,
  [11264] = 11102,
  [11265] = 11103,
  [11266] = 11104,
  [11267] = 11099,
  [11268] = 11100,
  [11269] = 11103,
  [11270] = 11104,
  [11271] = 11101,
  [11272] = 10267,
  [11273] = 10268,
  [11274] = 10270,
  [11275] = 11102,
  [11276] = 11101,
  [11277] = 11101,
  [11278] = 11104,
  [11279] = 11103,
  [11280] = 11084,
  [11281] = 11104,
  [11282] = 11102,
  [11283] = 11084,
  [11284] = 11101,
  [11285] = 11285,
  [11286] = 11102,
  [11287] = 10904,
  [11288] = 11085,
  [11289] = 11085,
  [11290] = 11084,
  [11291] = 10905,
  [11292] = 11102,
  [11293] = 10110,
  [11294] = 11093,
  [11295] = 11099,
  [11296] = 11101,
  [11297] = 11100,
  [11298] = 11103,
  [11299] = 11093,
  [11300] = 11102,
  [11301] = 11104,
  [11302] = 11101,
  [11303] = 11093,
  [11304] = 11304,
  [11305] = 11099,
  [11306] = 11100,
  [11307] = 11103,
  [11308] = 11102,
  [11309] = 11104,
  [11310] = 11101,
  [11311] = 11084,
  [11312] = 11084,
  [11313] = 11099,
  [11314] = 11084,
  [11315] = 11103,
  [11316] = 11102,
  [11317] = 11085,
  [11318] = 11104,
  [11319] = 11319,
  [11320] = 11026,
  [11321] = 11093,
  [11322] = 11102,
  [11323] = 11099,
  [11324] = 11100,
  [11325] = 11103,
  [11326] = 11104,
  [11327] = 11101,
  [11328] = 11100,
  [11329] = 11103,
  [11330] = 11084,
  [11331] = 10901,
  [11332] = 11102,
  [11333] = 11104,
  [11334] = 11085,
  [11335] = 11084,
  [11336] = 11085,
  [11337] = 10910,
  [11338] = 11101,
  [11339] = 11101,
  [11340] = 11102,
  [11341] = 11093,
  [11342] = 11099,
  [11343] = 11100,
  [11344] = 11093,
  [11345] = 11345,
  [11346] = 11103,
  [11347] = 11099,
  [11348] = 11100,
  [11349] = 10911,
  [11350] = 11103,
  [11351] = 11104,
  [11352] = 11101,
  [11353] = 11102,
  [11354] = 11104,
  [11355] = 11101,
  [11356] = 11023,
  [11357] = 11102,
  [11358] = 11085,
  [11359] = 11102,
  [11360] = 11084,
  [11361] = 10906,
  [11362] = 11103,
  [11363] = 11085,
  [11364] = 11084,
  [11365] = 11102,
  [11366] = 11099,
  [11367] = 11100,
  [11368] = 11085,
  [11369] = 11102,
  [11370] = 11370,
  [11371] = 11093,
  [11372] = 11085,
  [11373] = 11102,
  [11374] = 11084,
  [11375] = 11085,
  [11376] = 11091,
  [11377] = 11102,
  [11378] = 11093,
  [11379] = 11102,
  [11380] = 11084,
  [11381] = 11093,
  [11382] = 11099,
  [11383] = 11100,
  [11384] = 11103,
  [11385] = 11104,
  [11386] = 11102,
  [11387] = 11101,
  [11388] = 11102,
  [11389] = 11099,
  [11390] = 11100,
  [11391] = 11103,
  [11392] = 11104,
  [11393] = 11101,
  [11394] = 10909,
  [11395] = 11102,
  [11396] = 11093,
  [11397] = 11084,
  [11398] = 11102,
  [11399] = 11099,
  [11400] = 11102,
  [11401] = 11100,
  [11402] = 11103,
  [11403] = 11104,
  [11404] = 9977,
  [11405] = 11085,
  [11406] = 11101,
  [11407] = 11102,
  [11408] = 11099,
  [11409] = 11102,
  [11410] = 11093,
  [11411] = 11084,
  [11412] = 11093,
  [11413] = 11102,
  [11414] = 11085,
  [11415] = 11099,
  [11416] = 11100,
  [11417] = 11103,
  [11418] = 11104,
  [11419] = 11101,
  [11420] = 11102,
  [11421] = 11084,
  [11422] = 11093,
  [11423] = 11085,
  [11424] = 11099,
  [11425] = 11085,
  [11426] = 11102,
  [11427] = 11100,
  [11428] = 11103,
  [11429] = 11104,
  [11430] = 11101,
  [11431] = 11102,
  [11432] = 11099,
  [11433] = 11084,
  [11434] = 11155,
  [11435] = 10907,
  [11436] = 8105,
  [11437] = 11085,
  [11438] = 11100,
  [11439] = 11103,
  [11440] = 11155,
  [11441] = 11093,
  [11442] = 11093,
  [11443] = 11104,
  [11444] = 8073,
  [11445] = 11099,
  [11446] = 11100,
  [11447] = 11101,
  [11448] = 11103,
  [11449] = 11100,
  [11450] = 11104,
  [11451] = 11101,
  [11452] = 11452,
  [11453] = 11099,
  [11454] = 11100,
  [11455] = 11103,
  [11456] = 11104,
  [11457] = 11101,
  [11458] = 11209,
  [11459] = 10267,
  [11460] = 10268,
  [11461] = 11084,
  [11462] = 10901,
  [11463] = 10904,
  [11464] = 10905,
  [11465] = 11084,
  [11466] = 8105,
  [11467] = 11085,
  [11468] = 11023,
  [11469] = 11026,
  [11470] = 11103,
  [11471] = 11093,
  [11472] = 9765,
  [11473] = 10270,
  [11474] = 11099,
  [11475] = 11100,
  [11476] = 11103,
  [11477] = 11104,
  [11478] = 11101,
  [11479] = 11093,
  [11480] = 11104,
  [11481] = 11304,
  [11482] = 11102,
  [11483] = 11084,
  [11484] = 11085,
  [11485] = 11101,
  [11486] = 11074,
  [11487] = 11084,
  [11488] = 11488,
  [11489] = 11099,
  [11490] = 11490,
  [11491] = 11085,
  [11492] = 11093,
  [11493] = 11084,
  [11494] = 11085,
  [11495] = 11099,
  [11496] = 11100,
  [11497] = 11103,
  [11498] = 11093,
  [11499] = 11104,
  [11500] = 9766,
  [11501] = 11101,
  [11502] = 11099,
  [11503] = 11100,
  [11504] = 11103,
  [11505] = 10901,
  [11506] = 10904,
  [11507] = 10905,
  [11508] = 10902,
  [11509] = 11104,
  [11510] = 11023,
  [11511] = 11084,
  [11512] = 11085,
  [11513] = 11026,
  [11514] = 11085,
  [11515] = 11099,
  [11516] = 11099,
  [11517] = 11100,
  [11518] = 8105,
  [11519] = 11093,
  [11520] = 11093,
  [11521] = 11099,
  [11522] = 11100,
  [11523] = 11103,
  [11524] = 11099,
  [11525] = 11104,
  [11526] = 11101,
  [11527] = 11100,
  [11528] = 11103,
  [11529] = 11104,
  [11530] = 11101,
  [11531] = 11100,
  [11532] = 11084,
  [11533] = 9943,
  [11534] = 11101,
  [11535] = 11535,
  [11536] = 11022,
  [11537] = 11084,
  [11538] = 11101,
  [11539] = 11103,
  [11540] = 11084,
  [11541] = 11085,
  [11542] = 11085,
  [11543] = 11100,
  [11544] = 11319,
  [11545] = 11093,
  [11546] = 10900,
  [11547] = 11084,
  [11548] = 11084,
  [11549] = 11099,
  [11550] = 11100,
  [11551] = 11093,
  [11552] = 11103,
  [11553] = 11104,
  [11554] = 11101,
  [11555] = 11099,
  [11556] = 11100,
  [11557] = 11103,
  [11558] = 11104,
  [11559] = 11101,
  [11560] = 11560,
  [11561] = 11104,
  [11562] = 11103,
  [11563] = 11084,
  [11564] = 10912,
  [11565] = 11085,
  [11566] = 11101,
  [11567] = 11085,
  [11568] = 11568,
  [11569] = 11093,
  [11570] = 11099,
  [11571] = 11100,
  [11572] = 11103,
  [11573] = 11104,
  [11574] = 11101,
  [11575] = 10797,
  [11576] = 10800,
  [11577] = 11095,
  [11578] = 10587,
  [11579] = 10981,
  [11580] = 11490,
  [11581] = 8856,
  [11582] = 11084,
  [11583] = 11085,
  [11584] = 10641,
  [11585] = 11093,
  [11586] = 11093,
  [11587] = 9781,
  [11588] = 11099,
  [11589] = 11100,
  [11590] = 11103,
  [11591] = 11104,
  [11592] = 11101,
  [11593] = 11099,
  [11594] = 11100,
  [11595] = 8069,
  [11596] = 8081,
  [11597] = 11103,
  [11598] = 11104,
  [11599] = 11102,
  [11600] = 10737,
  [11601] = 8082,
  [11602] = 11095,
  [11603] = 8910,
  [11604] = 8917,
  [11605] = 10737,
  [11606] = 11606,
  [11607] = 8918,
  [11608] = 8919,
  [11609] = 8083,
  [11610] = 11610,
  [11611] = 9943,
  [11612] = 10899,
  [11613] = 10900,
  [11614] = 10742,
  [11615] = 8105,
  [11616] = 8931,
  [11617] = 11490,
  [11618] = 8933,
  [11619] = 8934,
  [11620] = 8935,
  [11621] = 8936,
  [11622] = 8937,
  [11623] = 3244,
  [11624] = 8911,
  [11625] = 8084,
  [11626] = 8069,
  [11627] = 11627,
  [11628] = 8081,
  [11629] = 8082,
  [11630] = 11630,
  [11631] = 8083,
  [11632] = 10742,
  [11633] = 2937,
  [11634] = 2938,
  [11635] = 2942,
  [11636] = 11074,
  [11637] = 8084,
  [11638] = 8085,
  [11639] = 5440,
  [11640] = 7982,
  [11641] = 8692,
  [11642] = 10903,
  [11643] = 10110,
  [11644] = 8816,
  [11645] = 8085,
  [11646] = 8004,
  [11647] = 8005,
  [11648] = 8006,
  [11649] = 11627,
  [11650] = 8024,
  [11651] = 8944,
  [11652] = 8945,
  [11653] = 11627,
  [11654] = 7982,
  [11655] = 9869,
  [11656] = 10907,
  [11657] = 8105,
  [11658] = 5442,
  [11659] = 8946,
  [11660] = 8073,
  [11661] = 10908,
  [11662] = 10909,
  [11663] = 11098,
  [11664] = 8818,
  [11665] = 10910,
  [11666] = 10911,
  [11667] = 10912,
  [11668] = 7997,
  [11669] = 8001,
  [11670] = 7987,
  [11671] = 8004,
  [11672] = 7988,
  [11673] = 7989,
  [11674] = 8005,
  [11675] = 8006,
  [11676] = 8024,
  [11677] = 8073,
  [11678] = 11304,
  [11679] = 8948,
  [11680] = 8075,
  [11681] = 8939,
  [11682] = 8069,
  [11683] = 8961,
  [11684] = 11630,
  [11685] = 11627,
  [11686] = 11319,
  [11687] = 11687,
  [11688] = 8105,
  [11689] = 11689,
  [11690] = 11690,
  [11691] = 11691,
  [11692] = 11692,
  [11693] = 10737,
  [11694] = 11627,
  [11695] = 8971,
  [11696] = 11630,
  [11697] = 10901,
  [11698] = 11091,
  [11699] = 11630,
  [11700] = 8973,
  [11701] = 11701,
  [11702] = 11702,
  [11703] = 11703,
  [11704] = 11095,
  [11705] = 8975,
  [11706] = 11319,
  [11707] = 11630,
  [11708] = 10904,
  [11709] = 10905,
  [11710] = 11087,
  [11711] = 11711,
  [11712] = 11023,
  [11713] = 11026,
  [11714] = 10902,
  [11715] = 11715,
  [11716] = 10906,
  [11717] = 11490,
  [11718] = 11098,
  [11719] = 11023,
  [11720] = 8201,
  [11721] = 8908,
  [11722] = 11630,
  [11723] = 11026,
  [11724] = 11627,
  [11725] = 8916,
  [11726] = 8978,
  [11727] = 11715,
  [11728] = 11627,
  [11729] = 11074,
  [11730] = 11149,
  [11731] = 8018,
  [11732] = 11630,
  [11733] = 8110,
  [11734] = 11091,
  [11735] = 8909,
  [11736] = 8920,
  [11737] = 8075,
  [11738] = 8014,
  [11739] = 11022,
  [11740] = 10981,
  [11741] = 10901,
  [11742] = 11627,
  [11743] = 10897,
  [11744] = 10904,
  [11745] = 10905,
  [11746] = 11304,
  [11747] = 8081,
  [11748] = 8018,
  [11749] = 8824,
  [11750] = 8014,
  [11751] = 11751,
  [11752] = 10742,
  [11753] = 11753,
  [11754] = 7988,
  [11755] = 7989,
  [11756] = 8073,
  [11757] = 8069,
  [11758] = 8081,
  [11759] = 8082,
  [11760] = 8083,
  [11761] = 8084,
  [11762] = 8085,
  [11763] = 7982,
  [11764] = 8004,
  [11765] = 8005,
  [11766] = 8006,
  [11767] = 8024,
  [11768] = 8073,
  [11769] = 8075,
  [11770] = 3044,
  [11771] = 11771,
  [11772] = 11771,
  [11773] = 11773,
  [11774] = 8018,
  [11775] = 8014,
  [11776] = 8110,
  [11777] = 11773,
  [11778] = 11778,
  [11779] = 11753,
  [11780] = 11780,
  [11781] = 11781,
  [11782] = 8069,
  [11783] = 8081,
  [11784] = 8082,
  [11785] = 8083,
  [11786] = 8084,
  [11787] = 8085,
  [11788] = 7982,
  [11789] = 8004,
  [11790] = 8005,
  [11791] = 8006,
  [11792] = 8024,
  [11793] = 8073,
  [11794] = 8075,
  [11795] = 8069,
  [11796] = 8105,
  [11797] = 11771,
  [11798] = 10268,
  [11799] = 7997,
  [11800] = 8018,
  [11801] = 8014,
  [11802] = 11689,
  [11803] = 11692,
  [11804] = 11804,
  [11805] = 10267,
  [11806] = 10268,
  [11807] = 10270,
  [11808] = 9869,
  [11809] = 11771,
  [11810] = 10270,
  [11811] = 8014,
  [11812] = 8110,
  [11813] = 8081,
  [11814] = 10267,
  [11815] = 10268,
  [11816] = 10270,
  [11817] = 8105,
  [11818] = 11771,
  [11819] = 11819,
  [11820] = 8082,
  [11821] = 8083,
  [11822] = 8084,
  [11823] = 8085,
  [11824] = 7982,
  [11825] = 8105,
  [11826] = 11771,
  [11827] = 8014,
  [11828] = 7997,
  [11829] = 8001,
  [11830] = 7987,
  [11831] = 7988,
  [11832] = 7989,
  [11833] = 11771,
  [11834] = 11834,
  [11835] = 7997,
  [11836] = 8001,
  [11837] = 7987,
  [11838] = 7988,
  [11839] = 7989,
  [11840] = 8004,
  [11841] = 2991,
  [11842] = 11771,
  [11843] = 7997,
  [11844] = 8001,
  [11845] = 7987,
  [11846] = 7988,
  [11847] = 7989,
  [11848] = 11848,
  [11849] = 11849,
  [11850] = 8075,
  [11851] = 2992,
  [11852] = 11771,
  [11853] = 11773,
  [11854] = 11854,
  [11855] = 11778,
  [11856] = 7997,
  [11857] = 8001,
  [11858] = 7987,
  [11859] = 7988,
  [11860] = 7989,
  [11861] = 8069,
  [11862] = 8081,
  [11863] = 8082,
  [11864] = 11771,
  [11865] = 8014,
  [11866] = 8083,
  [11867] = 8084,
  [11868] = 8085,
  [11869] = 7982,
  [11870] = 8004,
  [11871] = 8005,
  [11872] = 8069,
  [11873] = 11873,
  [11874] = 8081,
  [11875] = 8082,
  [11876] = 8006,
  [11877] = 8024,
  [11878] = 8083,
  [11879] = 11879,
  [11880] = 8084,
  [11881] = 11771,
  [11882] = 8085,
  [11883] = 7982,
  [11884] = 8004,
  [11885] = 11885,
  [11886] = 11886,
  [11887] = 8073,
  [11888] = 11771,
  [11889] = 8018,
  [11890] = 11771,
  [11891] = 8005,
  [11892] = 11892,
  [11893] = 8006,
  [11894] = 8014,
  [11895] = 11848,
  [11896] = 8024,
  [11897] = 8075,
  [11898] = 11898,
  [11899] = 8018,
  [11900] = 8005,
  [11901] = 8073,
  [11902] = 11771,
  [11903] = 8075,
  [11904] = 8110,
  [11905] = 8006,
  [11906] = 11771,
  [11907] = 11771,
  [11908] = 8024,
  [11909] = 11771,
  [11910] = 11910,
  [11911] = 11771,
  [11912] = 8105,
  [11913] = 8014,
  [11914] = 11914,
  [11915] = 3002,
  [11916] = 11771,
  [11917] = 8105,
  [11918] = 11771,
  [11919] = 11854,
  [11920] = 8073,
  [11921] = 11771,
  [11922] = 8073,
  [11923] = 11892,
  [11924] = 11771,
  [11925] = 10742,
  [11926] = 11848,
  [11927] = 11771,
  [11928] = 8001,
  [11929] = 11771,
  [11930] = 11898,
  [11931] = 3061,
  [11932] = 11771,
  [11933] = 7987,
  [11934] = 11771,
  [11935] = 11771,
  [11936] = 11936,
  [11937] = 11937,
  [11938] = 7997,
  [11939] = 11771,
  [11940] = 11898,
  [11941] = 11771,
  [11942] = 3244,
  [11943] = 11943,
  [11944] = 11771,
  [11945] = 11771,
  [11946] = 3063,
  [11947] = 3093,
  [11948] = 8001,
  [11949] = 11771,
  [11950] = 7987,
  [11951] = 11771,
  [11952] = 11771,
  [11953] = 11771,
  [11954] = 8110,
  [11955] = 8073,
  [11956] = 11771,
  [11957] = 7988,
  [11958] = 11958,
  [11959] = 7989,
  [11960] = 11771,
  [11961] = 7997,
  [11962] = 8001,
  [11963] = 7987,
  [11964] = 7988,
  [11965] = 7989,
  [11966] = 11771,
  [11967] = 8824,
  [11968] = 11771,
  [11969] = 11771,
  [11970] = 10737,
  [11971] = 11771,
  [11972] = 11943,
  [11973] = 11973,
  [11974] = 11974,
  [11975] = 11975,
  [11976] = 3090,
  [11977] = 11977,
  [11978] = 11978,
  [11979] = 11979,
  [11980] = 11980,
  [11981] = 8069,
  [11982] = 8081,
  [11983] = 11983,
  [11984] = 8082,
  [11985] = 8083,
  [11986] = 8084,
  [11987] = 8085,
  [11988] = 7982,
  [11989] = 8004,
  [11990] = 8005,
  [11991] = 8006,
  [11992] = 8024,
  [11993] = 11993,
  [11994] = 11848,
  [11995] = 8014,
  [11996] = 8110,
  [11997] = 11834,
  [11998] = 8073,
  [11999] = 11999,
  [12000] = 11973,
  [12001] = 11974,
  [12002] = 8075,
  [12003] = 11975,
  [12004] = 8816,
  [12005] = 11973,
  [12006] = 10901,
  [12007] = 10904,
  [12008] = 10905,
  [12009] = 8069,
  [12010] = 8081,
  [12011] = 8082,
  [12012] = 8083,
  [12013] = 8084,
  [12014] = 11973,
  [12015] = 8085,
  [12016] = 7982,
  [12017] = 5440,
  [12018] = 11834,
  [12019] = 8004,
  [12020] = 8005,
  [12021] = 8006,
  [12022] = 8024,
  [12023] = 8073,
  [12024] = 8075,
  [12025] = 11936,
  [12026] = 11937,
  [12027] = 8018,
  [12028] = 8014,
  [12029] = 10267,
  [12030] = 8856,
  [12031] = 8018,
  [12032] = 8014,
  [12033] = 12033,
  [12034] = 8105,
  [12035] = 11914,
  [12036] = 11819,
  [12037] = 8818,
  [12038] = 9977,
  [12039] = 11849,
  [12040] = 12040,
  [12041] = 8073,
  [12042] = 8692,
  [12043] = 9254,
  [12044] = 8105,
  [12045] = 11879,
  [12046] = 2937,
  [12047] = 2938,
  [12048] = 11885,
  [12049] = 11886,
  [12050] = 11702,
  [12051] = 11703,
  [12052] = 11892,
  [12053] = 11771,
  [12054] = 12054,
  [12055] = 12055,
  [12056] = 2942,
  [12057] = 8014,
  [12058] = 11910,
  [12059] = 11023,
  [12060] = 11026,
  [12061] = 11711,
  [12062] = 8073,
  [12063] = 11914,
  [12064] = 11977,
  [12065] = 11978,
  [12066] = 8018,
  [12067] = 11979,
  [12068] = 11980,
  [12069] = 11983,
  [12070] = 12054,
  [12071] = 12055,
  [12072] = 8014,
  [12073] = 8110,
  [12074] = 11854,
  [12075] = 8919,
  [12076] = 12076,
  [12077] = 8083,
  [12078] = 8084,
  [12079] = 8085,
  [12080] = 7982,
  [12081] = 8004,
  [12082] = 8005,
  [12083] = 8006,
  [12084] = 12084,
  [12085] = 8024,
  [12086] = 8073,
  [12087] = 12084,
  [12088] = 12084,
  [12089] = 8075,
  [12090] = 3090,
  [12091] = 12091,
  [12092] = 12076,
  [12093] = 12076,
  [12094] = 3093,
  [12095] = 8054,
  [12096] = 12091,
  [12097] = 12084,
  [12098] = 8908,
  [12099] = 11979,
  [12100] = 12084,
  [12101] = 11980,
  [12102] = 12084,
  [12103] = 12084,
  [12104] = 12091,
  [12105] = 8973,
  [12106] = 11879,
  [12107] = 8105,
  [12108] = 11781,
  [12109] = 12076,
  [12110] = 8018,
  [12111] = 12091,
  [12112] = 12084,
  [12113] = 8910,
  [12114] = 8961,
  [12115] = 8975,
  [12116] = 8105,
  [12117] = 8410,
  [12118] = 8909,
  [12119] = 12119,
  [12120] = 8978,
  [12121] = 12091,
  [12122] = 12076,
  [12123] = 11886,
  [12124] = 8931,
  [12125] = 8933,
  [12126] = 12076,
  [12127] = 11943,
  [12128] = 8934,
  [12129] = 8935,
  [12130] = 12084,
  [12131] = 8069,
  [12132] = 12091,
  [12133] = 12084,
  [12134] = 12076,
  [12135] = 8018,
  [12136] = 12091,
  [12137] = 7997,
  [12138] = 8105,
  [12139] = 12091,
  [12140] = 8001,
  [12141] = 7987,
  [12142] = 12142,
  [12143] = 8936,
  [12144] = 8937,
  [12145] = 8014,
  [12146] = 12084,
  [12147] = 7997,
  [12148] = 8001,
  [12149] = 8081,
  [12150] = 8082,
  [12151] = 8083,
  [12152] = 7987,
  [12153] = 7988,
  [12154] = 7989,
  [12155] = 5034,
  [12156] = 8084,
  [12157] = 7989,
  [12158] = 12076,
  [12159] = 8069,
  [12160] = 8085,
  [12161] = 7988,
  [12162] = 8014,
  [12163] = 12084,
  [12164] = 7982,
  [12165] = 8004,
  [12166] = 12091,
  [12167] = 8081,
  [12168] = 8005,
  [12169] = 8110,
  [12170] = 8082,
  [12171] = 12091,
  [12172] = 11977,
  [12173] = 8018,
  [12174] = 8006,
  [12175] = 8939,
  [12176] = 12084,
  [12177] = 11974,
  [12178] = 8083,
  [12179] = 12091,
  [12180] = 12076,
  [12181] = 12076,
  [12182] = 8105,
  [12183] = 8084,
  [12184] = 8085,
  [12185] = 7982,
  [12186] = 8004,
  [12187] = 8005,
  [12188] = 12076,
  [12189] = 8006,
  [12190] = 12091,
  [12191] = 12084,
  [12192] = 12091,
  [12193] = 12091,
  [12194] = 8024,
  [12195] = 12076,
  [12196] = 9977,
  [12197] = 2991,
  [12198] = 3175,
  [12199] = 8018,
  [12200] = 8075,
  [12201] = 8024,
  [12202] = 2992,
  [12203] = 8916,
  [12204] = 12055,
  [12205] = 3002,
  [12206] = 8917,
  [12207] = 8918,
  [12208] = 12076,
  [12209] = 12084,
  [12210] = 12076,
  [12211] = 12076,
  [12212] = 8920,
  [12213] = 8075,
  [12214] = 12091,
  [12215] = 12084,
  [12216] = 12084,
  [12217] = 12076,
  [12218] = 12091,
  [12219] = 7997,
  [12220] = 12091,
  [12221] = 8001,
  [12222] = 7987,
  [12223] = 12076,
  [12224] = 12084,
  [12225] = 12076,
  [12226] = 7988,
  [12227] = 12076,
  [12228] = 7989,
  [12229] = 8014,
  [12230] = 12091,
  [12231] = 8018,
  [12232] = 3179,
  [12233] = 8069,
  [12234] = 3044,
  [12235] = 8081,
  [12236] = 8069,
  [12237] = 8081,
  [12238] = 8082,
  [12239] = 8083,
  [12240] = 8084,
  [12241] = 12084,
  [12242] = 8085,
  [12243] = 7982,
  [12244] = 8004,
  [12245] = 2967,
  [12246] = 12091,
  [12247] = 12076,
  [12248] = 8018,
  [12249] = 8005,
  [12250] = 12084,
  [12251] = 12076,
  [12252] = 8069,
  [12253] = 8081,
  [12254] = 8082,
  [12255] = 12076,
  [12256] = 8083,
  [12257] = 8084,
  [12258] = 8018,
  [12259] = 10737,
  [12260] = 12084,
  [12261] = 8085,
  [12262] = 7982,
  [12263] = 12091,
  [12264] = 12076,
  [12265] = 8004,
  [12266] = 12076,
  [12267] = 10742,
  [12268] = 8948,
  [12269] = 8005,
  [12270] = 8006,
  [12271] = 8024,
  [12272] = 12076,
  [12273] = 8006,
  [12274] = 8024,
  [12275] = 11910,
  [12276] = 8105,
  [12277] = 12277,
  [12278] = 12091,
  [12279] = 8082,
  [12280] = 12084,
  [12281] = 8075,
  [12282] = 8001,
  [12283] = 8083,
  [12284] = 12076,
  [12285] = 7987,
  [12286] = 8084,
  [12287] = 12076,
  [12288] = 12076,
  [12289] = 8085,
  [12290] = 7982,
  [12291] = 8004,
  [12292] = 8005,
  [12293] = 8006,
  [12294] = 8024,
  [12295] = 12084,
  [12296] = 8073,
  [12297] = 12076,
  [12298] = 8069,
  [12299] = 12076,
  [12300] = 12300,
  [12301] = 8075,
  [12302] = 8073,
  [12303] = 7989,
  [12304] = 12091,
  [12305] = 12084,
  [12306] = 12076,
  [12307] = 12084,
  [12308] = 8081,
  [12309] = 12091,
  [12310] = 12076,
  [12311] = 8082,
  [12312] = 8014,
  [12313] = 12076,
  [12314] = 12076,
  [12315] = 12315,
  [12316] = 12091,
  [12317] = 8083,
  [12318] = 8014,
  [12319] = 8073,
  [12320] = 8075,
  [12321] = 12076,
  [12322] = 12076,
  [12323] = 12076,
  [12324] = 12091,
  [12325] = 8014,
  [12326] = 3061,
  [12327] = 8014,
  [12328] = 3063,
  [12329] = 12091,
  [12330] = 12076,
  [12331] = 8105,
  [12332] = 8105,
  [12333] = 12084,
  [12334] = 12076,
  [12335] = 8018,
  [12336] = 8110,
  [12337] = 8298,
  [12338] = 11975,
  [12339] = 12091,
  [12340] = 12084,
  [12341] = 12084,
  [12342] = 12076,
  [12343] = 12084,
  [12344] = 12091,
  [12345] = 8856,
  [12346] = 12091,
  [12347] = 12084,
  [12348] = 12076,
  [12349] = 8084,
  [12350] = 8085,
  [12351] = 12084,
  [12352] = 12076,
  [12353] = 8075,
  [12354] = 12354,
  [12355] = 8069,
  [12356] = 8073,
  [12357] = 12357,
  [12358] = 8069,
  [12359] = 12076,
  [12360] = 12084,
  [12361] = 12084,
  [12362] = 8105,
  [12363] = 8971,
  [12364] = 12091,
  [12365] = 12091,
  [12366] = 12091,
  [12367] = 12367,
  [12368] = 12084,
  [12369] = 8081,
  [12370] = 11778,
  [12371] = 12091,
  [12372] = 12315,
  [12373] = 12054,
  [12374] = 8018,
  [12375] = 8082,
  [12376] = 12084,
  [12377] = 11849,
  [12378] = 8944,
  [12379] = 8945,
  [12380] = 8083,
  [12381] = 8084,
  [12382] = 8946,
  [12383] = 8085,
  [12384] = 7982,
  [12385] = 8105,
  [12386] = 8081,
  [12387] = 12076,
  [12388] = 12084,
  [12389] = 8110,
  [12390] = 8004,
  [12391] = 12076,
  [12392] = 12091,
  [12393] = 8005,
  [12394] = 11978,
  [12395] = 12033,
  [12396] = 8082,
  [12397] = 12076,
  [12398] = 8083,
  [12399] = 12076,
  [12400] = 8006,
  [12401] = 7997,
  [12402] = 8084,
  [12403] = 12091,
  [12404] = 11885,
  [12405] = 12084,
  [12406] = 12084,
  [12407] = 12076,
  [12408] = 8085,
  [12409] = 12091,
  [12410] = 12091,
  [12411] = 8069,
  [12412] = 8081,
  [12413] = 8082,
  [12414] = 8083,
  [12415] = 8084,
  [12416] = 8085,
  [12417] = 12084,
  [12418] = 7982,
  [12419] = 12091,
  [12420] = 8004,
  [12421] = 8005,
  [12422] = 8006,
  [12423] = 8024,
  [12424] = 8105,
  [12425] = 7982,
  [12426] = 11983,
  [12427] = 12091,
  [12428] = 8018,
  [12429] = 8004,
  [12430] = 2968,
  [12431] = 8014,
  [12432] = 8105,
  [12433] = 7982,
  [12434] = 8073,
  [12435] = 8024,
  [12436] = 7988,
  [12437] = 8090,
  [12438] = 7989,
  [12439] = 8091,
  [12440] = 8004,
  [12441] = 7986,
  [12442] = 11936,
  [12443] = 12076,
  [12444] = 11937,
  [12445] = 12076,
  [12446] = 12084,
  [12447] = 2974,
  [12448] = 12091,
  [12449] = 8005,
  [12450] = 2976,
  [12451] = 2979,
  [12452] = 8075,
  [12453] = 8006,
  [12454] = 11753,
  [12455] = 8073,
  [12456] = 8005,
  [12457] = 7997,
  [12458] = 12076,
  [12459] = 8110,
  [12460] = 8075,
  [12461] = 12076,
  [12462] = 11780,
  [12463] = 8024,
  [12464] = 12076,
  [12465] = 12076,
  [12466] = 12084,
  [12467] = 12091,
  [12468] = 8006,
  [12469] = 8024,
  [12470] = 12076,
  [12471] = 12091,
  [12472] = 8073,
  [12473] = 12084,
  [12474] = 12076,
  [12475] = 7997,
  [12476] = 8001,
  [12477] = 8075,
  [12478] = 7987,
  [12479] = 7988,
  [12480] = 7989,
  [12481] = 8001,
  [12482] = 8911,
  [12483] = 8069,
  [12484] = 8081,
  [12485] = 8082,
  [12486] = 7987,
  [12487] = 7988,
  [12488] = 12076,
  [12489] = 8919,
  [12490] = 12055,
  [12491] = 8105,
  [12492] = 12492,
  [12493] = 8018,
  [12494] = 12494,
  [12495] = 12495,
  [12496] = 12492,
  [12497] = 11937,
  [12498] = 8081,
  [12499] = 12499,
  [12500] = 12494,
  [12501] = 12492,
  [12502] = 12492,
  [12503] = 12492,
  [12504] = 12492,
  [12505] = 8082,
  [12506] = 8018,
  [12507] = 11849,
  [12508] = 12492,
  [12509] = 7982,
  [12510] = 8908,
  [12511] = 8909,
  [12512] = 8910,
  [12513] = 8911,
  [12514] = 12514,
  [12515] = 12515,
  [12516] = 8081,
  [12517] = 8075,
  [12518] = 12518,
  [12519] = 8024,
  [12520] = 12520,
  [12521] = 12492,
  [12522] = 12492,
  [12523] = 8069,
  [12524] = 12492,
  [12525] = 11778,
  [12526] = 8081,
  [12527] = 8818,
  [12528] = 8082,
  [12529] = 8084,
  [12530] = 8082,
  [12531] = 8083,
  [12532] = 12532,
  [12533] = 8920,
  [12534] = 8084,
  [12535] = 8085,
  [12536] = 7982,
  [12537] = 8004,
  [12538] = 12492,
  [12539] = 8971,
  [12540] = 8916,
  [12541] = 8105,
  [12542] = 8917,
  [12543] = 8918,
  [12544] = 8005,
  [12545] = 8006,
  [12546] = 8024,
  [12547] = 11753,
  [12548] = 11936,
  [12549] = 8018,
  [12550] = 9869,
  [12551] = 8816,
  [12552] = 12492,
  [12553] = 12492,
  [12554] = 12554,
  [12555] = 8075,
  [12556] = 8973,
  [12557] = 11910,
  [12558] = 12558,
  [12559] = 12559,
  [12560] = 8105,
  [12561] = 12492,
  [12562] = 8105,
  [12563] = 12563,
  [12564] = 8006,
  [12565] = 12565,
  [12566] = 8083,
  [12567] = 12492,
  [12568] = 12568,
  [12569] = 8105,
  [12570] = 12492,
  [12571] = 12494,
  [12572] = 8975,
  [12573] = 8978,
  [12574] = 8018,
  [12575] = 12492,
  [12576] = 12576,
  [12577] = 11974,
  [12578] = 11975,
  [12579] = 5171,
  [12580] = 8931,
  [12581] = 8933,
  [12582] = 8934,
  [12583] = 12492,
  [12584] = 12492,
  [12585] = 8935,
  [12586] = 8936,
  [12587] = 8937,
  [12588] = 12492,
  [12589] = 12520,
  [12590] = 8939,
  [12591] = 8084,
  [12592] = 12492,
  [12593] = 12492,
  [12594] = 8069,
  [12595] = 8085,
  [12596] = 12596,
  [12597] = 3244,
  [12598] = 2937,
  [12599] = 2938,
  [12600] = 2942,
  [12601] = 8069,
  [12602] = 12492,
  [12603] = 12603,
  [12604] = 12604,
  [12605] = 8081,
  [12606] = 12492,
  [12607] = 12607,
  [12608] = 12608,
  [12609] = 8105,
  [12610] = 12610,
  [12611] = 12492,
  [12612] = 8944,
  [12613] = 8945,
  [12614] = 7982,
  [12615] = 12492,
  [12616] = 12492,
  [12617] = 12492,
  [12618] = 8946,
  [12619] = 12492,
  [12620] = 11943,
  [12621] = 8082,
  [12622] = 8083,
  [12623] = 8084,
  [12624] = 8085,
  [12625] = 8948,
  [12626] = 7982,
  [12627] = 8105,
  [12628] = 12492,
  [12629] = 12629,
  [12630] = 12492,
  [12631] = 11879,
  [12632] = 8105,
  [12633] = 8004,
  [12634] = 12634,
  [12635] = 12492,
  [12636] = 8961,
  [12637] = 11885,
  [12638] = 12492,
  [12639] = 8005,
  [12640] = 8004,
  [12641] = 8006,
  [12642] = 12495,
  [12643] = 8024,
  [12644] = 12644,
  [12645] = 12492,
  [12646] = 8105,
  [12647] = 8005,
  [12648] = 12596,
  [12649] = 11886,
  [12650] = 12492,
  [12651] = 8006,
  [12652] = 12492,
  [12653] = 8024,
  [12654] = 12554,
  [12655] = 12629,
  [12656] = 12518,
  [12657] = 12492,
  [12658] = 8004,
  [12659] = 8069,
  [12660] = 12492,
  [12661] = 12495,
  [12662] = 5442,
  [12663] = 12576,
  [12664] = 5440,
  [12665] = 12495,
  [12666] = 12492,
  [12667] = 8075,
  [12668] = 12492,
  [12669] = 8005,
  [12670] = 8075,
  [12671] = 8824,
  [12672] = 11977,
  [12673] = 11978,
  [12674] = 11979,
  [12675] = 11980,
  [12676] = 11983,
  [12677] = 12492,
  [12678] = 12678,
  [12679] = 12492,
  [12680] = 8083,
  [12681] = 8085,
  [12682] = 8105,
  [12683] = 12054,
  [12684] = 12492,
  [12685] = 12685,
  [12686] = 12686,
  [12687] = 8822,
  [12688] = 12688,
  [12689] = 12689,
  [12690] = 12690,
  [12691] = 12686,
  [12692] = 8819,
  [12693] = 12689,
  [12694] = 12690,
  [12695] = 12686,
  [12696] = 9977,
  [12697] = 2980,
  [12698] = 8856,
  [12699] = 12699,
  [12700] = 12690,
  [12701] = 12689,
  [12702] = 12702,
  [12703] = 8830,
  [12704] = 12704,
  [12705] = 12689,
  [12706] = 12690,
  [12707] = 12686,
  [12708] = 3244,
  [12709] = 12709,
  [12710] = 8945,
  [12711] = 12711,
  [12712] = 5328,
  [12713] = 8853,
  [12714] = 8946,
  [12715] = 2937,
  [12716] = 2938,
  [12717] = 2942,
  [12718] = 12718,
  [12719] = 12711,
  [12720] = 8948,
  [12721] = 8848,
  [12722] = 12722,
  [12723] = 12723,
  [12724] = 12724,
  [12725] = 8845,
  [12726] = 12699,
  [12727] = 12727,
  [12728] = 12728,
  [12729] = 12724,
  [12730] = 8931,
  [12731] = 11780,
  [12732] = 12711,
  [12733] = 8933,
  [12734] = 2942,
  [12735] = 5275,
  [12736] = 12736,
  [12737] = 8692,
  [12738] = 8934,
  [12739] = 12711,
  [12740] = 8818,
  [12741] = 12728,
  [12742] = 8939,
  [12743] = 12743,
  [12744] = 8935,
  [12745] = 8936,
  [12746] = 12033,
  [12747] = 8937,
  [12748] = 12711,
  [12749] = 12728,
  [12750] = 5442,
  [12751] = 8971,
  [12752] = 8973,
  [12753] = 8920,
  [12754] = 8918,
  [12755] = 8975,
  [12756] = 8978,
  [12757] = 8961,
  [12758] = 12724,
  [12759] = 8919,
  [12760] = 2937,
  [12761] = 2938,
  [12762] = 11781,
  [12763] = 8944,
  [12764] = 5442,
  [12765] = 8816,
  [12766] = 12711,
  [12767] = 5440,
  [12768] = 12768,
  [12769] = 9254,
  [12770] = 12724,
  [12771] = 12728,
  [12772] = 7898,
  [12773] = 12773,
  [12774] = 8908,
  [12775] = 8909,
  [12776] = 8910,
  [12777] = 8911,
  [12778] = 8824,
  [12779] = 5440,
  [12780] = 12780,
  [12781] = 3244,
  [12782] = 8916,
  [12783] = 8917,
  [12784] = 12784,
  [12785] = 12785,
  [12786] = 12786,
  [12787] = 9243,
  [12788] = 12785,
  [12789] = 12789,
  [12790] = 12785,
  [12791] = 5476,
  [12792] = 4669,
  [12793] = 12785,
  [12794] = 12794,
  [12795] = 7361,
  [12796] = 12796,
  [12797] = 12797,
  [12798] = 12798,
  [12799] = 12797,
  [12800] = 12800,
  [12801] = 12785,
  [12802] = 12797,
  [12803] = 12803,
  [12804] = 12804,
  [12805] = 12805,
  [12806] = 12806,
  [12807] = 12785,
  [12808] = 12808,
  [12809] = 12785,
  [12810] = 12810,
  [12811] = 12811,
  [12812] = 12812,
  [12813] = 12797,
  [12814] = 12814,
  [12815] = 12815,
  [12816] = 12816,
  [12817] = 8116,
  [12818] = 12818,
  [12819] = 12819,
  [12820] = 12820,
  [12821] = 12785,
  [12822] = 12822,
  [12823] = 12823,
  [12824] = 12824,
  [12825] = 12785,
  [12826] = 12797,
  [12827] = 12827,
  [12828] = 12828,
  [12829] = 12829,
  [12830] = 12797,
  [12831] = 12785,
  [12832] = 12797,
  [12833] = 12789,
  [12834] = 12834,
  [12835] = 12835,
  [12836] = 12797,
  [12837] = 12837,
  [12838] = 12838,
  [12839] = 12797,
  [12840] = 12797,
  [12841] = 12841,
  [12842] = 12797,
  [12843] = 12843,
  [12844] = 12797,
  [12845] = 12845,
  [12846] = 12846,
  [12847] = 12785,
  [12848] = 12848,
  [12849] = 12785,
  [12850] = 12789,
  [12851] = 12851,
  [12852] = 4709,
  [12853] = 7349,
  [12854] = 12854,
  [12855] = 12855,
  [12856] = 12797,
  [12857] = 12797,
  [12858] = 12785,
  [12859] = 12859,
  [12860] = 12797,
  [12861] = 12861,
  [12862] = 12785,
  [12863] = 7485,
  [12864] = 12864,
  [12865] = 12785,
  [12866] = 12785,
  [12867] = 12867,
  [12868] = 12868,
  [12869] = 12785,
  [12870] = 12797,
  [12871] = 12797,
  [12872] = 12797,
  [12873] = 12873,
  [12874] = 12785,
  [12875] = 12797,
  [12876] = 12864,
  [12877] = 9869,
  [12878] = 12878,
  [12879] = 12879,
  [12880] = 12797,
  [12881] = 12785,
  [12882] = 12797,
  [12883] = 5458,
  [12884] = 12797,
  [12885] = 9287,
  [12886] = 12785,
  [12887] = 7354,
  [12888] = 12785,
  [12889] = 12797,
  [12890] = 12785,
  [12891] = 12797,
  [12892] = 12797,
  [12893] = 12797,
  [12894] = 12894,
  [12895] = 12895,
  [12896] = 12896,
  [12897] = 12785,
  [12898] = 12898,
  [12899] = 12797,
  [12900] = 12797,
  [12901] = 12838,
  [12902] = 12902,
  [12903] = 12785,
  [12904] = 12785,
  [12905] = 12905,
  [12906] = 12906,
  [12907] = 12797,
  [12908] = 12908,
  [12909] = 12909,
  [12910] = 5441,
  [12911] = 12911,
  [12912] = 3130,
  [12913] = 7351,
  [12914] = 7362,
  [12915] = 12797,
  [12916] = 12916,
  [12917] = 12917,
  [12918] = 12785,
  [12919] = 12785,
  [12920] = 8856,
  [12921] = 12785,
  [12922] = 12864,
  [12923] = 7403,
  [12924] = 12785,
  [12925] = 5465,
  [12926] = 8101,
  [12927] = 12785,
  [12928] = 7355,
  [12929] = 12785,
  [12930] = 7404,
  [12931] = 12931,
  [12932] = 12932,
  [12933] = 12933,
  [12934] = 12934,
  [12935] = 7367,
  [12936] = 12936,
  [12937] = 12785,
  [12938] = 12797,
  [12939] = 12939,
  [12940] = 12940,
  [12941] = 12785,
  [12942] = 12942,
  [12943] = 12943,
  [12944] = 4685,
  [12945] = 12785,
  [12946] = 12785,
  [12947] = 12797,
  [12948] = 12948,
  [12949] = 12949,
  [12950] = 12950,
  [12951] = 12789,
  [12952] = 12952,
  [12953] = 12785,
  [12954] = 12954,
  [12955] = 12797,
  [12956] = 12785,
  [12957] = 12957,
  [12958] = 7352,
  [12959] = 12959,
  [12960] = 7418,
  [12961] = 12961,
  [12962] = 12864,
  [12963] = 12785,
  [12964] = 12797,
  [12965] = 12797,
  [12966] = 7419,
  [12967] = 7407,
  [12968] = 12968,
  [12969] = 5398,
  [12970] = 12785,
  [12971] = 12971,
  [12972] = 12797,
  [12973] = 12785,
  [12974] = 7420,
  [12975] = 7480,
  [12976] = 7421,
  [12977] = 12785,
  [12978] = 12797,
  [12979] = 12979,
  [12980] = 8298,
  [12981] = 12981,
  [12982] = 7350,
  [12983] = 12797,
  [12984] = 12785,
  [12985] = 12797,
  [12986] = 12797,
  [12987] = 12987,
  [12988] = 12988,
  [12989] = 7539,
  [12990] = 12990,
  [12991] = 5418,
  [12992] = 12992,
  [12993] = 12993,
  [12994] = 12797,
  [12995] = 12797,
  [12996] = 8908,
  [12997] = 8916,
  [12998] = 8578,
  [12999] = 8946,
  [13000] = 8911,
  [13001] = 5442,
  [13002] = 4709,
  [13003] = 13003,
  [13004] = 8469,
  [13005] = 4685,
  [13006] = 13006,
  [13007] = 13007,
  [13008] = 13008,
  [13009] = 13009,
  [13010] = 3244,
  [13011] = 2937,
  [13012] = 8481,
  [13013] = 2938,
  [13014] = 8961,
  [13015] = 2942,
  [13016] = 9869,
  [13017] = 4669,
  [13018] = 8931,
  [13019] = 13019,
  [13020] = 4846,
  [13021] = 13021,
  [13022] = 12033,
  [13023] = 8933,
  [13024] = 5440,
  [13025] = 8934,
  [13026] = 8909,
  [13027] = 8910,
  [13028] = 8944,
  [13029] = 8918,
  [13030] = 8939,
  [13031] = 9977,
  [13032] = 8948,
  [13033] = 8920,
  [13034] = 8935,
  [13035] = 8936,
  [13036] = 11780,
  [13037] = 8937,
  [13038] = 8919,
  [13039] = 13039,
  [13040] = 13040,
  [13041] = 12688,
  [13042] = 8945,
  [13043] = 8971,
  [13044] = 8973,
  [13045] = 11781,
  [13046] = 8975,
  [13047] = 8978,
  [13048] = 8917,
  [13049] = 13049,
  [13050] = 8692,
  [13051] = 8987,
  [13052] = 13052,
  [13053] = 9943,
  [13054] = 2993,
  [13055] = 8805,
  [13056] = 8773,
  [13057] = 9977,
  [13058] = 9967,
  [13059] = 9968,
  [13060] = 5309,
  [13061] = 4846,
  [13062] = 8798,
  [13063] = 8764,
  [13064] = 8954,
  [13065] = 8771,
  [13066] = 9869,
  [13067] = 13067,
  [13068] = 8777,
  [13069] = 3067,
  [13070] = 13070,
  [13071] = 9966,
  [13072] = 13072,
  [13073] = 13073,
  [13074] = 8779,
  [13075] = 13070,
  [13076] = 9069,
  [13077] = 13077,
  [13078] = 3244,
  [13079] = 2937,
  [13080] = 2938,
  [13081] = 13070,
  [13082] = 8787,
  [13083] = 2942,
  [13084] = 13067,
  [13085] = 8791,
  [13086] = 9068,
  [13087] = 13070,
  [13088] = 13067,
  [13089] = 8807,
  [13090] = 8793,
  [13091] = 13091,
  [13092] = 13067,
  [13093] = 8915,
  [13094] = 9969,
  [13095] = 8921,
  [13096] = 8201,
  [13097] = 8806,
  [13098] = 13098,
  [13099] = 3071,
  [13100] = 13100,
  [13101] = 13100,
  [13102] = 8862,
  [13103] = 13103,
  [13104] = 13098,
  [13105] = 13098,
  [13106] = 10020,
  [13107] = 13100,
  [13108] = 13108,
  [13109] = 13100,
  [13110] = 13098,
  [13111] = 13098,
  [13112] = 13100,
  [13113] = 13100,
  [13114] = 10110,
  [13115] = 13115,
  [13116] = 3005,
  [13117] = 13098,
  [13118] = 13100,
  [13119] = 5393,
  [13120] = 13098,
  [13121] = 13100,
  [13122] = 13100,
  [13123] = 13108,
  [13124] = 13103,
  [13125] = 13125,
  [13126] = 13115,
  [13127] = 10050,
  [13128] = 13098,
  [13129] = 8692,
  [13130] = 13100,
  [13131] = 13100,
  [13132] = 13125,
  [13133] = 5389,
  [13134] = 5395,
  [13135] = 13108,
  [13136] = 13098,
  [13137] = 13098,
  [13138] = 5397,
  [13139] = 13098,
  [13140] = 8892,
  [13141] = 9241,
  [13142] = 13100,
  [13143] = 13100,
  [13144] = 13108,
  [13145] = 13100,
  [13146] = 5437,
  [13147] = 5438,
  [13148] = 13100,
  [13149] = 5451,
  [13150] = 9254,
  [13151] = 13125,
  [13152] = 13115,
  [13153] = 13100,
  [13154] = 13154,
  [13155] = 13098,
  [13156] = 13100,
  [13157] = 5409,
  [13158] = 5446,
  [13159] = 5467,
  [13160] = 13098,
  [13161] = 5469,
  [13162] = 13098,
  [13163] = 13098,
  [13164] = 13098,
  [13165] = 13098,
  [13166] = 13098,
  [13167] = 13100,
  [13168] = 13108,
  [13169] = 5480,
  [13170] = 13100,
  [13171] = 5497,
  [13172] = 13125,
  [13173] = 13100,
  [13174] = 13125,
  [13175] = 5383,
  [13176] = 13176,
  [13177] = 13098,
  [13178] = 13098,
  [13179] = 13100,
  [13180] = 5436,
  [13181] = 13098,
  [13182] = 13098,
  [13183] = 13100,
  [13184] = 13100,
  [13185] = 13108,
  [13186] = 13100,
  [13187] = 5494,
  [13188] = 13108,
  [13189] = 13098,
  [13190] = 13098,
  [13191] = 13098,
  [13192] = 13108,
  [13193] = 13098,
  [13194] = 13100,
  [13195] = 13098,
  [13196] = 8824,
  [13197] = 8692,
  [13198] = 13100,
  [13199] = 13098,
  [13200] = 13100,
  [13201] = 13098,
  [13202] = 13108,
  [13203] = 8879,
  [13204] = 13098,
  [13205] = 13100,
  [13206] = 5391,
  [13207] = 13098,
  [13208] = 13108,
  [13209] = 13098,
  [13210] = 13100,
  [13211] = 13108,
  [13212] = 13100,
  [13213] = 13098,
  [13214] = 13154,
  [13215] = 13098,
  [13216] = 13098,
  [13217] = 13115,
  [13218] = 13098,
  [13219] = 13098,
  [13220] = 13125,
  [13221] = 13100,
  [13222] = 13100,
  [13223] = 13098,
  [13224] = 13098,
  [13225] = 5415,
  [13226] = 5425,
  [13227] = 13154,
  [13228] = 5428,
  [13229] = 5385,
  [13230] = 5414,
  [13231] = 13098,
  [13232] = 13098,
  [13233] = 13098,
  [13234] = 13098,
  [13235] = 13103,
  [13236] = 13103,
  [13237] = 13100,
  [13238] = 13098,
  [13239] = 13098,
  [13240] = 13240,
  [13241] = 5403,
  [13242] = 13103,
  [13243] = 13100,
  [13244] = 13098,
  [13245] = 9977,
  [13246] = 5387,
  [13247] = 13100,
  [13248] = 13100,
  [13249] = 8895,
  [13250] = 13098,
  [13251] = 13098,
  [13252] = 13100,
  [13253] = 13098,
  [13254] = 13098,
  [13255] = 13100,
  [13256] = 13154,
  [13257] = 8896,
  [13258] = 8841,
  [13259] = 5384,
  [13260] = 13100,
  [13261] = 13100,
  [13262] = 13125,
  [13263] = 13100,
  [13264] = 5420,
  [13265] = 13098,
  [13266] = 5483,
  [13267] = 13098,
  [13268] = 8201,
  [13269] = 13100,
  [13270] = 13098,
  [13271] = 13098,
  [13272] = 13098,
  [13273] = 9179,
  [13274] = 13103,
  [13275] = 13275,
  [13276] = 13098,
  [13277] = 13100,
  [13278] = 9967,
  [13279] = 13279,
  [13280] = 13280,
  [13281] = 13281,
  [13282] = 9943,
  [13283] = 13281,
  [13284] = 13279,
  [13285] = 13281,
  [13286] = 2903,
  [13287] = 13287,
  [13288] = 10565,
  [13289] = 13279,
  [13290] = 2934,
  [13291] = 9199,
  [13292] = 13281,
  [13293] = 13279,
  [13294] = 13281,
  [13295] = 13295,
  [13296] = 13279,
  [13297] = 13281,
  [13298] = 10487,
  [13299] = 13287,
  [13300] = 10488,
  [13301] = 13287,
  [13302] = 9652,
  [13303] = 13303,
  [13304] = 9869,
  [13305] = 13287,
  [13306] = 13279,
  [13307] = 13281,
  [13308] = 13281,
  [13309] = 13279,
  [13310] = 13281,
  [13311] = 13281,
  [13312] = 13312,
  [13313] = 13279,
  [13314] = 13281,
  [13315] = 13281,
  [13316] = 13281,
  [13317] = 13281,
  [13318] = 13279,
  [13319] = 13281,
  [13320] = 13320,
  [13321] = 13281,
  [13322] = 13281,
  [13323] = 13281,
  [13324] = 13279,
  [13325] = 13279,
  [13326] = 13279,
  [13327] = 13279,
  [13328] = 13279,
  [13329] = 13279,
  [13330] = 13287,
  [13331] = 9966,
  [13332] = 13279,
  [13333] = 9968,
  [13334] = 9969,
  [13335] = 13279,
  [13336] = 13281,
  [13337] = 13279,
  [13338] = 13338,
  [13339] = 13280,
  [13340] = 13279,
  [13341] = 13280,
  [13342] = 13281,
  [13343] = 13343,
  [13344] = 13281,
  [13345] = 13280,
  [13346] = 13279,
  [13347] = 13281,
  [13348] = 13279,
  [13349] = 13279,
  [13350] = 13280,
  [13351] = 13280,
  [13352] = 13352,
  [13353] = 13353,
  [13354] = 13354,
  [13355] = 13355,
  [13356] = 13356,
  [13357] = 13357,
  [13358] = 13358,
  [13359] = 13353,
  [13360] = 13360,
  [13361] = 13354,
  [13362] = 9732,
  [13363] = 13363,
  [13364] = 13364,
  [13365] = 5309,
  [13366] = 13354,
  [13367] = 13367,
  [13368] = 13353,
  [13369] = 8920,
  [13370] = 9296,
  [13371] = 13363,
  [13372] = 13353,
  [13373] = 13358,
  [13374] = 13363,
  [13375] = 13363,
  [13376] = 13363,
  [13377] = 13354,
  [13378] = 13363,
  [13379] = 13379,
  [13380] = 13352,
  [13381] = 13353,
  [13382] = 8971,
  [13383] = 8973,
  [13384] = 13356,
  [13385] = 8975,
  [13386] = 8978,
  [13387] = 13387,
  [13388] = 13354,
  [13389] = 13389,
  [13390] = 10110,
  [13391] = 3067,
  [13392] = 13363,
  [13393] = 9781,
  [13394] = 13354,
  [13395] = 13395,
  [13396] = 13387,
  [13397] = 13397,
  [13398] = 13364,
  [13399] = 13353,
  [13400] = 13363,
  [13401] = 9652,
  [13402] = 13353,
  [13403] = 13358,
  [13404] = 13404,
  [13405] = 13353,
  [13406] = 13363,
  [13407] = 13356,
  [13408] = 13408,
  [13409] = 5275,
  [13410] = 13352,
  [13411] = 13354,
  [13412] = 13363,
  [13413] = 13354,
  [13414] = 13414,
  [13415] = 13353,
  [13416] = 13364,
  [13417] = 13354,
  [13418] = 13353,
  [13419] = 13414,
  [13420] = 8937,
  [13421] = 13354,
  [13422] = 3090,
  [13423] = 13091,
  [13424] = 9765,
  [13425] = 13363,
  [13426] = 13352,
  [13427] = 13353,
  [13428] = 13397,
  [13429] = 13356,
  [13430] = 13353,
  [13431] = 13363,
  [13432] = 13353,
  [13433] = 13414,
  [13434] = 8934,
  [13435] = 13354,
  [13436] = 13353,
  [13437] = 9244,
  [13438] = 13360,
  [13439] = 13439,
  [13440] = 13397,
  [13441] = 13360,
  [13442] = 13439,
  [13443] = 9369,
  [13444] = 10800,
  [13445] = 13353,
  [13446] = 5328,
  [13447] = 13397,
  [13448] = 9591,
  [13449] = 13360,
  [13450] = 13439,
  [13451] = 13354,
  [13452] = 13354,
  [13453] = 13352,
  [13454] = 9791,
  [13455] = 13455,
  [13456] = 13456,
  [13457] = 13357,
  [13458] = 13458,
  [13459] = 13355,
  [13460] = 13354,
  [13461] = 13456,
  [13462] = 13363,
  [13463] = 8931,
  [13464] = 13352,
  [13465] = 13414,
  [13466] = 8908,
  [13467] = 8909,
  [13468] = 13354,
  [13469] = 8910,
  [13470] = 13353,
  [13471] = 9561,
  [13472] = 13414,
  [13473] = 13354,
  [13474] = 13354,
  [13475] = 8911,
  [13476] = 13364,
  [13477] = 13354,
  [13478] = 13397,
  [13479] = 13363,
  [13480] = 13360,
  [13481] = 13358,
  [13482] = 13353,
  [13483] = 13356,
  [13484] = 13389,
  [13485] = 13485,
  [13486] = 13439,
  [13487] = 13354,
  [13488] = 9403,
  [13489] = 9766,
  [13490] = 13354,
  [13491] = 2948,
  [13492] = 13077,
  [13493] = 10641,
  [13494] = 13357,
  [13495] = 13458,
  [13496] = 13360,
  [13497] = 13353,
  [13498] = 13354,
  [13499] = 13353,
  [13500] = 13354,
  [13501] = 13363,
  [13502] = 13389,
  [13503] = 13354,
  [13504] = 13387,
  [13505] = 13363,
  [13506] = 13389,
  [13507] = 13363,
  [13508] = 9977,
  [13509] = 13404,
  [13510] = 13455,
  [13511] = 8944,
  [13512] = 13456,
  [13513] = 13439,
  [13514] = 13353,
  [13515] = 13358,
  [13516] = 9270,
  [13517] = 13354,
  [13518] = 13353,
  [13519] = 3061,
  [13520] = 13363,
  [13521] = 13353,
  [13522] = 9352,
  [13523] = 5473,
  [13524] = 5475,
  [13525] = 13414,
  [13526] = 5482,
  [13527] = 13363,
  [13528] = 13354,
  [13529] = 9869,
  [13530] = 13455,
  [13531] = 13353,
  [13532] = 13364,
  [13533] = 13363,
  [13534] = 13534,
  [13535] = 13379,
  [13536] = 13354,
  [13537] = 13458,
  [13538] = 13363,
  [13539] = 13052,
  [13540] = 13357,
  [13541] = 13397,
  [13542] = 13353,
  [13543] = 13356,
  [13544] = 13544,
  [13545] = 13545,
  [13546] = 13363,
  [13547] = 13389,
  [13548] = 8916,
  [13549] = 9790,
  [13550] = 2993,
  [13551] = 13387,
  [13552] = 8917,
  [13553] = 8918,
  [13554] = 13358,
  [13555] = 13363,
  [13556] = 13458,
  [13557] = 8919,
  [13558] = 13360,
  [13559] = 13353,
  [13560] = 13358,
  [13561] = 13354,
  [13562] = 13397,
  [13563] = 13563,
  [13564] = 13363,
  [13565] = 13404,
  [13566] = 13354,
  [13567] = 13439,
  [13568] = 13455,
  [13569] = 13354,
  [13570] = 13353,
  [13571] = 2954,
  [13572] = 8961,
  [13573] = 13363,
  [13574] = 10050,
  [13575] = 13352,
  [13576] = 3044,
  [13577] = 13354,
  [13578] = 13354,
  [13579] = 13358,
  [13580] = 10444,
  [13581] = 2991,
  [13582] = 8933,
  [13583] = 13367,
  [13584] = 13354,
  [13585] = 13353,
  [13586] = 13456,
  [13587] = 2992,
  [13588] = 13353,
  [13589] = 13363,
  [13590] = 13357,
  [13591] = 13354,
  [13592] = 13458,
  [13593] = 13354,
  [13594] = 13364,
  [13595] = 13353,
  [13596] = 13363,
  [13597] = 13389,
  [13598] = 8939,
  [13599] = 9371,
  [13600] = 13363,
  [13601] = 13353,
  [13602] = 13363,
  [13603] = 13073,
  [13604] = 13353,
  [13605] = 13455,
  [13606] = 13606,
  [13607] = 13379,
  [13608] = 3002,
  [13609] = 13455,
  [13610] = 13363,
  [13611] = 8948,
  [13612] = 13353,
  [13613] = 13613,
  [13614] = 13387,
  [13615] = 13356,
  [13616] = 10020,
  [13617] = 13363,
  [13618] = 13387,
  [13619] = 13353,
  [13620] = 13389,
  [13621] = 8935,
  [13622] = 13353,
  [13623] = 10797,
  [13624] = 13414,
  [13625] = 13625,
  [13626] = 13353,
  [13627] = 13354,
  [13628] = 13354,
  [13629] = 13629,
  [13630] = 8945,
  [13631] = 13354,
  [13632] = 13363,
  [13633] = 3063,
  [13634] = 13355,
  [13635] = 13353,
  [13636] = 13456,
  [13637] = 13354,
  [13638] = 13354,
  [13639] = 13357,
  [13640] = 13354,
  [13641] = 12723,
  [13642] = 8936,
  [13643] = 9805,
  [13644] = 13397,
  [13645] = 13354,
  [13646] = 13360,
  [13647] = 10587,
  [13648] = 13354,
  [13649] = 13439,
  [13650] = 13455,
  [13651] = 13625,
  [13652] = 13404,
  [13653] = 13414,
  [13654] = 13354,
  [13655] = 13353,
  [13656] = 13629,
  [13657] = 13387,
  [13658] = 13353,
  [13659] = 9235,
  [13660] = 9767,
  [13661] = 13353,
  [13662] = 13353,
  [13663] = 13456,
  [13664] = 3093,
  [13665] = 13387,
  [13666] = 13458,
  [13667] = 13455,
  [13668] = 10450,
  [13669] = 13353,
  [13670] = 13439,
  [13671] = 13353,
  [13672] = 13379,
  [13673] = 13456,
  [13674] = 8946,
  [13675] = 13367,
  [13676] = 13354,
  [13677] = 13357,
  [13678] = 13458,
  [13679] = 13355,
  [13680] = 13367,
  [13681] = 13072,
  [13682] = 13353,
  [13683] = 13353,
  [13684] = 13684,
  [13685] = 13685,
  [13686] = 13686,
  [13687] = 13687,
  [13688] = 13686,
  [13689] = 13684,
  [13690] = 13690,
  [13691] = 13691,
  [13692] = 2980,
  [13693] = 13685,
  [13694] = 13694,
  [13695] = 13684,
  [13696] = 13686,
  [13697] = 13684,
  [13698] = 13690,
  [13699] = 13691,
  [13700] = 13690,
  [13701] = 13691,
  [13702] = 13685,
  [13703] = 3005,
  [13704] = 13704,
  [13705] = 13686,
  [13706] = 13684,
  [13707] = 13690,
  [13708] = 3071,
  [13709] = 13691,
  [13710] = 3130,
  [13711] = 10079,
  [13712] = 12851,
  [13713] = 13685,
  [13714] = 12843,
  [13715] = 13691,
  [13716] = 13686,
  [13717] = 13684,
  [13718] = 13690,
  [13719] = 13691,
  [13720] = 13684,
  [13721] = 13685,
  [13722] = 13686,
  [13723] = 13723,
  [13724] = 13684,
  [13725] = 13690,
  [13726] = 13691,
  [13727] = 13691,
  [13728] = 13685,
  [13729] = 13686,
  [13730] = 13684,
  [13731] = 13690,
  [13732] = 13691,
  [13733] = 13685,
  [13734] = 13686,
  [13735] = 13684,
  [13736] = 13690,
  [13737] = 13691,
  [13738] = 13685,
  [13739] = 13739,
  [13740] = 5473,
  [13741] = 5475,
  [13742] = 13685,
  [13743] = 5482,
  [13744] = 13686,
  [13745] = 13684,
  [13746] = 13690,
  [13747] = 13691,
  [13748] = 13686,
  [13749] = 13685,
  [13750] = 13686,
  [13751] = 13684,
  [13752] = 13690,
  [13753] = 13685,
  [13754] = 13691,
  [13755] = 13684,
  [13756] = 13685,
  [13757] = 13686,
  [13758] = 13684,
  [13759] = 13690,
  [13760] = 13690,
  [13761] = 13691,
  [13762] = 13685,
  [13763] = 13686,
  [13764] = 13684,
  [13765] = 13690,
  [13766] = 13691,
  [13767] = 10035,
  [13768] = 13685,
  [13769] = 13691,
  [13770] = 13686,
  [13771] = 13684,
  [13772] = 13690,
  [13773] = 13686,
  [13774] = 13691,
  [13775] = 13685,
  [13776] = 13686,
  [13777] = 13684,
  [13778] = 13690,
  [13779] = 13691,
  [13780] = 13685,
  [13781] = 13686,
  [13782] = 13684,
  [13783] = 13690,
  [13784] = 13685,
  [13785] = 13691,
  [13786] = 10272,
  [13787] = 13685,
  [13788] = 13686,
  [13789] = 13684,
  [13790] = 13690,
  [13791] = 13691,
  [13792] = 13686,
  [13793] = 13684,
  [13794] = 13685,
  [13795] = 13686,
  [13796] = 13684,
  [13797] = 13690,
  [13798] = 13691,
  [13799] = 13684,
  [13800] = 13685,
  [13801] = 13690,
  [13802] = 13077,
  [13803] = 12846,
  [13804] = 13686,
  [13805] = 13684,
  [13806] = 13690,
  [13807] = 12896,
  [13808] = 13690,
  [13809] = 12845,
  [13810] = 13691,
  [13811] = 13691,
  [13812] = 13685,
  [13813] = 13813,
  [13814] = 13686,
  [13815] = 13684,
  [13816] = 13690,
  [13817] = 13691,
  [13818] = 13818,
  [13819] = 13691,
  [13820] = 13685,
  [13821] = 13686,
  [13822] = 13684,
  [13823] = 13690,
  [13824] = 13685,
  [13825] = 13686,
  [13826] = 13684,
  [13827] = 13690,
  [13828] = 13828,
  [13829] = 13829,
  [13830] = 13691,
  [13831] = 13691,
  [13832] = 13685,
  [13833] = 13685,
  [13834] = 13690,
  [13835] = 13686,
  [13836] = 13684,
  [13837] = 13690,
  [13838] = 13685,
  [13839] = 10359,
  [13840] = 13691,
  [13841] = 7405,
  [13842] = 13685,
  [13843] = 7539,
  [13844] = 13685,
  [13845] = 13686,
  [13846] = 13091,
  [13847] = 13684,
  [13848] = 12990,
  [13849] = 13690,
  [13850] = 13739,
  [13851] = 13052,
  [13852] = 13073,
  [13853] = 12952,
  [13854] = 13072,
  [13855] = 12794,
  [13856] = 5403,
  [13857] = 13686,
  [13858] = 5483,
  [13859] = 13691,
  [13860] = 5436,
  [13861] = 5494,
  [13862] = 5418,
  [13863] = 13685,
  [13864] = 13686,
  [13865] = 13684,
  [13866] = 13684,
  [13867] = 13690,
  [13868] = 13868,
  [13869] = 9977,
  [13870] = 13686,
  [13871] = 13691,
  [13872] = 13686,
  [13873] = 13685,
  [13874] = 13686,
  [13875] = 13684,
  [13876] = 13690,
  [13877] = 13684,
  [13878] = 13691,
  [13879] = 13690,
  [13880] = 9240,
  [13881] = 13685,
  [13882] = 13691,
  [13883] = 13686,
  [13884] = 13884,
  [13885] = 13684,
  [13886] = 13690,
  [13887] = 13887,
  [13888] = 7350,
  [13889] = 7361,
  [13890] = 5389,
  [13891] = 5395,
  [13892] = 13691,
  [13893] = 5397,
  [13894] = 5437,
  [13895] = 5438,
  [13896] = 13896,
  [13897] = 13685,
  [13898] = 13686,
  [13899] = 13684,
  [13900] = 13690,
  [13901] = 13687,
  [13902] = 13691,
  [13903] = 10284,
  [13904] = 10295,
  [13905] = 12824,
  [13906] = 13906,
  [13907] = 5441,
  [13908] = 13685,
  [13909] = 13685,
  [13910] = 13686,
  [13911] = 2948,
  [13912] = 13690,
  [13913] = 2954,
  [13914] = 13691,
  [13915] = 13685,
  [13916] = 13686,
  [13917] = 13686,
  [13918] = 7403,
  [13919] = 13684,
  [13920] = 13690,
  [13921] = 7404,
  [13922] = 7407,
  [13923] = 7362,
  [13924] = 13691,
  [13925] = 7367,
  [13926] = 5451,
  [13927] = 5409,
  [13928] = 5446,
  [13929] = 5467,
  [13930] = 5469,
  [13931] = 5476,
  [13932] = 13684,
  [13933] = 13685,
  [13934] = 5458,
  [13935] = 13686,
  [13936] = 13684,
  [13937] = 13690,
  [13938] = 13690,
  [13939] = 5473,
  [13940] = 13691,
  [13941] = 5475,
  [13942] = 5480,
  [13943] = 5482,
  [13944] = 5465,
  [13945] = 5497,
  [13946] = 13685,
  [13947] = 13818,
  [13948] = 5398,
  [13949] = 13686,
  [13950] = 10532,
  [13951] = 10534,
  [13952] = 13684,
  [13953] = 10487,
  [13954] = 13690,
  [13955] = 10488,
  [13956] = 13691,
  [13957] = 7349,
  [13958] = 7351,
  [13959] = 7352,
  [13960] = 7354,
  [13961] = 7355,
  [13962] = 5415,
  [13963] = 5425,
  [13964] = 5428,
  [13965] = 5385,
  [13966] = 5414,
  [13967] = 13685,
  [13968] = 10498,
  [13969] = 10500,
  [13970] = 13686,
  [13971] = 13684,
  [13972] = 13690,
  [13973] = 10560,
  [13974] = 10548,
  [13975] = 10250,
  [13976] = 13691,
  [13977] = 2967,
  [13978] = 7418,
  [13979] = 13691,
  [13980] = 7419,
  [13981] = 7420,
  [13982] = 7421,
  [13983] = 5383,
  [13984] = 5384,
  [13985] = 5387,
  [13986] = 13685,
  [13987] = 5420,
  [13988] = 2968,
  [13989] = 2974,
  [13990] = 2976,
  [13991] = 2979,
  [13992] = 13686,
  [13993] = 13684,
  [13994] = 13690,
  [13995] = 13691,
  [13996] = 13896,
  [13997] = 7480,
  [13998] = 13685,
  [13999] = 5391,
  [14000] = 13686,
  [14001] = 13684,
  [14002] = 13690,
  [14003] = 7485,
  [14004] = 5393,
  [14005] = 13691,
  [14006] = 13685,
  [14007] = 13723,
  [14008] = 10565,
  [14009] = 13868,
  [14010] = 13685,
  [14011] = 13686,
  [14012] = 13684,
  [14013] = 13868,
  [14014] = 13690,
  [14015] = 14015,
  [14016] = 13691,
  [14017] = 13868,
  [14018] = 13690,
  [14019] = 14019,
  [14020] = 14020,
  [14021] = 14021,
  [14022] = 14020,
  [14023] = 14020,
  [14024] = 14024,
  [14025] = 14025,
  [14026] = 14026,
  [14027] = 14020,
  [14028] = 9240,
  [14029] = 14020,
  [14030] = 14030,
  [14031] = 14020,
  [14032] = 10386,
  [14033] = 14025,
  [14034] = 14034,
  [14035] = 14035,
  [14036] = 14020,
  [14037] = 14021,
  [14038] = 14038,
  [14039] = 14020,
  [14040] = 14040,
  [14041] = 14025,
  [14042] = 14038,
  [14043] = 14043,
  [14044] = 14025,
  [14045] = 14038,
  [14046] = 14046,
  [14047] = 14026,
  [14048] = 14025,
  [14049] = 14049,
  [14050] = 14025,
  [14051] = 14026,
  [14052] = 14024,
  [14053] = 14025,
  [14054] = 14054,
  [14055] = 14026,
  [14056] = 14056,
  [14057] = 14020,
  [14058] = 14025,
  [14059] = 14059,
  [14060] = 14060,
  [14061] = 14061,
  [14062] = 14062,
  [14063] = 14063,
  [14064] = 14064,
  [14065] = 14025,
  [14066] = 14038,
  [14067] = 14067,
  [14068] = 14038,
  [14069] = 14043,
  [14070] = 14025,
  [14071] = 14026,
  [14072] = 14060,
  [14073] = 14025,
  [14074] = 14025,
  [14075] = 14026,
  [14076] = 14025,
  [14077] = 14020,
  [14078] = 14020,
  [14079] = 14079,
  [14080] = 14025,
  [14081] = 14025,
  [14082] = 10501,
  [14083] = 14020,
  [14084] = 14025,
  [14085] = 14043,
  [14086] = 14025,
  [14087] = 14061,
  [14088] = 14038,
  [14089] = 14025,
  [14090] = 14038,
  [14091] = 14025,
  [14092] = 14020,
  [14093] = 10522,
  [14094] = 12688,
  [14095] = 14025,
  [14096] = 14026,
  [14097] = 14025,
  [14098] = 14098,
  [14099] = 14038,
  [14100] = 14025,
  [14101] = 14038,
  [14102] = 14025,
  [14103] = 10269,
  [14104] = 14020,
  [14105] = 14020,
  [14106] = 14025,
  [14107] = 14061,
  [14108] = 14026,
  [14109] = 14109,
  [14110] = 14109,
  [14111] = 14038,
  [14112] = 14109,
  [14113] = 14025,
  [14114] = 14060,
  [14115] = 14115,
  [14116] = 14026,
  [14117] = 14025,
  [14118] = 14118,
  [14119] = 14038,
  [14120] = 14020,
  [14121] = 14020,
  [14122] = 14025,
  [14123] = 10252,
  [14124] = 14025,
  [14125] = 14020,
  [14126] = 14025,
  [14127] = 14026,
  [14128] = 14025,
  [14129] = 14115,
  [14130] = 14038,
  [14131] = 14131,
  [14132] = 14025,
  [14133] = 14020,
  [14134] = 14025,
  [14135] = 14026,
  [14136] = 14020,
  [14137] = 14038,
  [14138] = 14020,
  [14139] = 14025,
  [14140] = 14140,
  [14141] = 14079,
  [14142] = 14025,
  [14143] = 10395,
  [14144] = 14038,
  [14145] = 14043,
  [14146] = 14079,
  [14147] = 14061,
  [14148] = 14024,
  [14149] = 14109,
  [14150] = 14026,
  [14151] = 14020,
  [14152] = 14115,
  [14153] = 14140,
  [14154] = 14020,
  [14155] = 14043,
  [14156] = 14115,
  [14157] = 14157,
  [14158] = 14158,
  [14159] = 14159,
  [14160] = 14026,
  [14161] = 14020,
  [14162] = 14109,
  [14163] = 14043,
  [14164] = 14061,
  [14165] = 14115,
  [14166] = 14026,
  [14167] = 14020,
  [14168] = 14026,
  [14169] = 14020,
  [14170] = 14020,
  [14171] = 14020,
  [14172] = 14038,
  [14173] = 14025,
  [14174] = 14140,
  [14175] = 14079,
  [14176] = 14020,
  [14177] = 14060,
  [14178] = 14026,
  [14179] = 14038,
  [14180] = 14180,
  [14181] = 14140,
  [14182] = 14109,
  [14183] = 12033,
  [14184] = 14061,
  [14185] = 14115,
  [14186] = 14026,
  [14187] = 14020,
  [14188] = 14140,
  [14189] = 14020,
  [14190] = 14025,
  [14191] = 14079,
  [14192] = 14020,
  [14193] = 14026,
  [14194] = 14020,
  [14195] = 14140,
  [14196] = 14049,
  [14197] = 12688,
  [14198] = 14038,
  [14199] = 14049,
  [14200] = 14200,
  [14201] = 14043,
  [14202] = 14038,
  [14203] = 14025,
  [14204] = 14020,
  [14205] = 14020,
  [14206] = 14079,
  [14207] = 14026,
  [14208] = 14020,
  [14209] = 11780,
  [14210] = 11781,
  [14211] = 14020,
  [14212] = 14180,
  [14213] = 14038,
  [14214] = 10267,
  [14215] = 14038,
  [14216] = 14025,
  [14217] = 14024,
  [14218] = 9666,
  [14219] = 14020,
  [14220] = 10268,
  [14221] = 14109,
  [14222] = 14025,
  [14223] = 14026,
  [14224] = 14224,
  [14225] = 14225,
  [14226] = 14038,
  [14227] = 14061,
  [14228] = 14020,
  [14229] = 14109,
  [14230] = 14115,
  [14231] = 14021,
  [14232] = 10800,
  [14233] = 14025,
  [14234] = 10587,
  [14235] = 14026,
  [14236] = 14021,
  [14237] = 14020,
  [14238] = 14021,
  [14239] = 14021,
  [14240] = 14240,
  [14241] = 10641,
  [14242] = 14242,
  [14243] = 14020,
  [14244] = 14025,
  [14245] = 10270,
  [14246] = 14246,
  [14247] = 14049,
  [14248] = 14020,
  [14249] = 14043,
  [14250] = 14038,
  [14251] = 14025,
  [14252] = 14026,
  [14253] = 14253,
  [14254] = 14254,
  [14255] = 14255,
  [14256] = 14256,
  [14257] = 14254,
  [14258] = 14258,
  [14259] = 14259,
  [14260] = 11490,
  [14261] = 14261,
  [14262] = 14262,
  [14263] = 12846,
  [14264] = 14264,
  [14265] = 12896,
  [14266] = 14266,
  [14267] = 14267,
  [14268] = 14268,
  [14269] = 14269,
  [14270] = 14270,
  [14271] = 14254,
  [14272] = 14268,
  [14273] = 12845,
  [14274] = 14255,
  [14275] = 14275,
  [14276] = 14255,
  [14277] = 14268,
  [14278] = 14278,
  [14279] = 14279,
  [14280] = 14278,
  [14281] = 14254,
  [14282] = 14278,
  [14283] = 14264,
  [14284] = 14254,
  [14285] = 14285,
  [14286] = 14278,
  [14287] = 14287,
  [14288] = 14287,
  [14289] = 14289,
  [14290] = 14285,
  [14291] = 14287,
  [14292] = 11319,
  [14293] = 14293,
  [14294] = 14267,
  [14295] = 14295,
  [14296] = 14267,
  [14297] = 14269,
  [14298] = 14270,
  [14299] = 14285,
  [14300] = 14300,
  [14301] = 14301,
  [14302] = 14268,
  [14303] = 14275,
  [14304] = 14287,
  [14305] = 14289,
  [14306] = 14268,
  [14307] = 14300,
  [14308] = 14301,
  [14309] = 14267,
  [14310] = 14254,
  [14311] = 14311,
  [14312] = 14293,
  [14313] = 14255,
  [14314] = 14314,
  [14315] = 14315,
  [14316] = 14255,
  [14317] = 14311,
  [14318] = 14258,
  [14319] = 14261,
  [14320] = 14262,
  [14321] = 14268,
  [14322] = 14269,
  [14323] = 14270,
  [14324] = 14324,
  [14325] = 14314,
  [14326] = 14314,
  [14327] = 14293,
  [14328] = 14275,
  [14329] = 14329,
  [14330] = 14330,
  [14331] = 14254,
  [14332] = 14267,
  [14333] = 14267,
  [14334] = 14255,
  [14335] = 14268,
  [14336] = 14279,
  [14337] = 14254,
  [14338] = 14338,
  [14339] = 14295,
  [14340] = 14340,
  [14341] = 14264,
  [14342] = 14255,
  [14343] = 14255,
  [14344] = 14267,
  [14345] = 14278,
  [14346] = 14287,
  [14347] = 14275,
  [14348] = 14348,
  [14349] = 14289,
  [14350] = 14258,
  [14351] = 14289,
  [14352] = 14324,
  [14353] = 14258,
  [14354] = 14300,
  [14355] = 14285,
  [14356] = 14261,
  [14357] = 14262,
  [14358] = 14267,
  [14359] = 14295,
  [14360] = 14278,
  [14361] = 14269,
  [14362] = 14270,
  [14363] = 14267,
  [14364] = 14275,
  [14365] = 14365,
  [14366] = 14268,
  [14367] = 14268,
  [14368] = 14300,
  [14369] = 14301,
  [14370] = 14300,
  [14371] = 14301,
  [14372] = 14254,
  [14373] = 14311,
  [14374] = 14255,
  [14375] = 14314,
  [14376] = 14275,
  [14377] = 14269,
  [14378] = 14270,
  [14379] = 14301,
  [14380] = 14255,
  [14381] = 14258,
  [14382] = 14382,
  [14383] = 14261,
  [14384] = 14262,
  [14385] = 14300,
  [14386] = 14301,
  [14387] = 10679,
  [14388] = 14287,
  [14389] = 14389,
  [14390] = 14390,
  [14391] = 14254,
  [14392] = 14315,
  [14393] = 14393,
  [14394] = 10760,
  [14395] = 14268,
  [14396] = 14275,
  [14397] = 14279,
  [14398] = 14293,
  [14399] = 14254,
  [14400] = 14311,
  [14401] = 14264,
  [14402] = 14267,
  [14403] = 14403,
  [14404] = 14267,
  [14405] = 14300,
  [14406] = 14275,
  [14407] = 14289,
  [14408] = 14314,
  [14409] = 14268,
  [14410] = 14410,
  [14411] = 14268,
  [14412] = 14268,
  [14413] = 14267,
  [14414] = 14414,
  [14415] = 12990,
  [14416] = 14269,
  [14417] = 14270,
  [14418] = 14300,
  [14419] = 14255,
  [14420] = 14268,
  [14421] = 14275,
  [14422] = 14301,
  [14423] = 14267,
  [14424] = 14300,
  [14425] = 14301,
  [14426] = 14295,
  [14427] = 14301,
  [14428] = 14311,
  [14429] = 14254,
  [14430] = 14314,
  [14431] = 14311,
  [14432] = 12794,
  [14433] = 14275,
  [14434] = 14268,
  [14435] = 14255,
  [14436] = 14258,
  [14437] = 14261,
  [14438] = 14267,
  [14439] = 14262,
  [14440] = 14267,
  [14441] = 14267,
  [14442] = 14279,
  [14443] = 14314,
  [14444] = 14315,
  [14445] = 14268,
  [14446] = 14268,
  [14447] = 14255,
  [14448] = 14255,
  [14449] = 14254,
  [14450] = 14254,
  [14451] = 14269,
  [14452] = 14264,
  [14453] = 14311,
  [14454] = 14264,
  [14455] = 14254,
  [14456] = 14268,
  [14457] = 14289,
  [14458] = 14254,
  [14459] = 14269,
  [14460] = 14258,
  [14461] = 14255,
  [14462] = 14267,
  [14463] = 14269,
  [14464] = 14270,
  [14465] = 14465,
  [14466] = 14270,
  [14467] = 14255,
  [14468] = 14468,
  [14469] = 14268,
  [14470] = 14289,
  [14471] = 14254,
  [14472] = 14300,
  [14473] = 14301,
  [14474] = 14258,
  [14475] = 14475,
  [14476] = 14311,
  [14477] = 14261,
  [14478] = 14262,
  [14479] = 14267,
  [14480] = 14314,
  [14481] = 14278,
  [14482] = 14287,
  [14483] = 14255,
  [14484] = 14258,
  [14485] = 14261,
  [14486] = 14262,
  [14487] = 14314,
  [14488] = 14268,
  [14489] = 14267,
  [14490] = 14490,
  [14491] = 14255,
  [14492] = 14254,
  [14493] = 11074,
  [14494] = 14261,
  [14495] = 14254,
  [14496] = 14293,
  [14497] = 14268,
  [14498] = 14268,
  [14499] = 14264,
  [14500] = 14258,
  [14501] = 14314,
  [14502] = 14261,
  [14503] = 14267,
  [14504] = 3135,
  [14505] = 14255,
  [14506] = 14268,
  [14507] = 14289,
  [14508] = 14279,
  [14509] = 14289,
  [14510] = 10855,
  [14511] = 14511,
  [14512] = 14255,
  [14513] = 14254,
  [14514] = 14267,
  [14515] = 14268,
  [14516] = 14258,
  [14517] = 14269,
  [14518] = 14270,
  [14519] = 14270,
  [14520] = 14520,
  [14521] = 14268,
  [14522] = 14253,
  [14523] = 14300,
  [14524] = 14520,
  [14525] = 14301,
  [14526] = 14267,
  [14527] = 14267,
  [14528] = 14311,
  [14529] = 14279,
  [14530] = 14267,
  [14531] = 14268,
  [14532] = 14314,
  [14533] = 14255,
  [14534] = 14258,
  [14535] = 14295,
  [14536] = 14261,
  [14537] = 14262,
  [14538] = 14538,
  [14539] = 14329,
  [14540] = 14410,
  [14541] = 14254,
  [14542] = 14542,
  [14543] = 14254,
  [14544] = 14254,
  [14545] = 14254,
  [14546] = 14264,
  [14547] = 9905,
  [14548] = 14255,
  [14549] = 14264,
  [14550] = 14261,
  [14551] = 14279,
  [14552] = 14289,
  [14553] = 14258,
  [14554] = 14554,
  [14555] = 14269,
  [14556] = 14270,
  [14557] = 14267,
  [14558] = 14261,
  [14559] = 14262,
  [14560] = 14262,
  [14561] = 14269,
  [14562] = 14270,
  [14563] = 14315,
  [14564] = 14300,
  [14565] = 14278,
  [14566] = 14268,
  [14567] = 14268,
  [14568] = 14287,
  [14569] = 14300,
  [14570] = 14301,
  [14571] = 14301,
  [14572] = 14255,
  [14573] = 14311,
  [14574] = 14289,
  [14575] = 14314,
  [14576] = 14576,
  [14577] = 14577,
  [14578] = 14255,
  [14579] = 14258,
  [14580] = 14261,
  [14581] = 14262,
  [14582] = 14285,
  [14583] = 14254,
  [14584] = 14267,
  [14585] = 14585,
  [14586] = 14295,
  [14587] = 14254,
  [14588] = 14588,
  [14589] = 14269,
  [14590] = 14270,
  [14591] = 10764,
  [14592] = 14264,
  [14593] = 14254,
  [14594] = 14289,
  [14595] = 14268,
  [14596] = 14259,
  [14597] = 14264,
  [14598] = 14258,
  [14599] = 14300,
  [14600] = 14301,
  [14601] = 14300,
  [14602] = 14301,
  [14603] = 14267,
  [14604] = 14268,
  [14605] = 14289,
  [14606] = 14311,
  [14607] = 14311,
  [14608] = 14268,
  [14609] = 14314,
  [14610] = 14267,
  [14611] = 14261,
  [14612] = 14315,
  [14613] = 14269,
  [14614] = 14270,
  [14615] = 14264,
  [14616] = 14468,
  [14617] = 14268,
  [14618] = 14262,
  [14619] = 14300,
  [14620] = 14301,
  [14621] = 14262,
  [14622] = 12033,
  [14623] = 14311,
  [14624] = 14255,
  [14625] = 14311,
  [14626] = 14314,
  [14627] = 14255,
  [14628] = 14258,
  [14629] = 14255,
  [14630] = 14258,
  [14631] = 14261,
  [14632] = 14262,
  [14633] = 14253,
  [14634] = 14261,
  [14635] = 14262,
  [14636] = 14468,
  [14637] = 14275,
  [14638] = 14314,
  [14639] = 14468,
  [14640] = 4685,
  [14641] = 14278,
  [14642] = 14287,
  [14643] = 14254,
  [14644] = 11304,
  [14645] = 14258,
  [14646] = 14646,
  [14647] = 11780,
  [14648] = 14264,
  [14649] = 11781,
  [14650] = 14267,
  [14651] = 14340,
  [14652] = 14289,
  [14653] = 14254,
  [14654] = 14585,
  [14655] = 14655,
  [14656] = 14255,
  [14657] = 14554,
  [14658] = 14338,
  [14659] = 14324,
  [14660] = 14329,
  [14661] = 14256,
  [14662] = 14267,
  [14663] = 14258,
  [14664] = 14279,
  [14665] = 14261,
  [14666] = 14262,
  [14667] = 14520,
  [14668] = 14410,
  [14669] = 14475,
  [14670] = 14269,
  [14671] = 14270,
  [14672] = 14365,
  [14673] = 14295,
  [14674] = 14674,
  [14675] = 14255,
  [14676] = 14268,
  [14677] = 14264,
  [14678] = 14674,
  [14679] = 14300,
  [14680] = 14301,
  [14681] = 14255,
  [14682] = 14267,
  [14683] = 14311,
  [14684] = 14655,
  [14685] = 14279,
  [14686] = 14258,
  [14687] = 14254,
  [14688] = 14314,
  [14689] = 14262,
  [14690] = 14255,
  [14691] = 14264,
  [14692] = 14258,
  [14693] = 14261,
  [14694] = 14262,
  [14695] = 14262,
  [14696] = 9880,
  [14697] = 10774,
  [14698] = 14255,
  [14699] = 14293,
  [14700] = 14259,
  [14701] = 14261,
  [14702] = 14278,
  [14703] = 14520,
  [14704] = 14254,
  [14705] = 14287,
  [14706] = 14315,
  [14707] = 14264,
  [14708] = 14311,
  [14709] = 14709,
  [14710] = 14262,
  [14711] = 14289,
  [14712] = 14279,
  [14713] = 14713,
  [14714] = 14365,
  [14715] = 14538,
  [14716] = 14268,
  [14717] = 14266,
  [14718] = 14255,
  [14719] = 14289,
  [14720] = 14267,
  [14721] = 14261,
  [14722] = 14655,
  [14723] = 14295,
  [14724] = 14724,
  [14725] = 14267,
  [14726] = 14726,
  [14727] = 14269,
  [14728] = 14269,
  [14729] = 14270,
  [14730] = 14270,
  [14731] = 14268,
  [14732] = 14365,
  [14733] = 14733,
  [14734] = 14300,
  [14735] = 14301,
  [14736] = 14254,
  [14737] = 14733,
  [14738] = 14738,
  [14739] = 14655,
  [14740] = 14268,
  [14741] = 14311,
  [14742] = 14255,
  [14743] = 14314,
  [14744] = 14255,
  [14745] = 14300,
  [14746] = 14301,
  [14747] = 14261,
  [14748] = 14365,
  [14749] = 14254,
  [14750] = 14264,
  [14751] = 14655,
  [14752] = 14311,
  [14753] = 14275,
  [14754] = 14254,
  [14755] = 14365,
  [14756] = 14655,
  [14757] = 14314,
  [14758] = 14264,
  [14759] = 14279,
  [14760] = 14289,
  [14761] = 11091,
  [14762] = 14255,
  [14763] = 14365,
  [14764] = 14389,
  [14765] = 14365,
  [14766] = 14258,
  [14767] = 14261,
  [14768] = 14262,
  [14769] = 14365,
  [14770] = 14289,
  [14771] = 14254,
  [14772] = 14468,
  [14773] = 11095,
  [14774] = 14365,
  [14775] = 14278,
  [14776] = 14287,
  [14777] = 14311,
  [14778] = 14267,
  [14779] = 14365,
  [14780] = 14267,
  [14781] = 14279,
  [14782] = 14285,
  [14783] = 14365,
  [14784] = 14269,
  [14785] = 14270,
  [14786] = 14365,
  [14787] = 14254,
  [14788] = 14733,
  [14789] = 14365,
  [14790] = 14262,
  [14791] = 14268,
  [14792] = 14365,
  [14793] = 14267,
  [14794] = 14365,
  [14795] = 14300,
  [14796] = 14301,
  [14797] = 14293,
  [14798] = 14365,
  [14799] = 14365,
  [14800] = 14311,
  [14801] = 14279,
  [14802] = 14365,
  [14803] = 14314,
  [14804] = 14255,
  [14805] = 14365,
  [14806] = 14254,
  [14807] = 14264,
  [14808] = 14365,
  [14809] = 14269,
  [14810] = 9807,
  [14811] = 14365,
  [14812] = 14365,
  [14813] = 14254,
  [14814] = 14365,
  [14815] = 14254,
  [14816] = 4709,
  [14817] = 14264,
  [14818] = 14365,
  [14819] = 14253,
  [14820] = 14365,
  [14821] = 14365,
  [14822] = 14365,
  [14823] = 11098,
  [14824] = 14538,
  [14825] = 14289,
  [14826] = 14365,
  [14827] = 14264,
  [14828] = 14270,
  [14829] = 10703,
  [14830] = 14365,
  [14831] = 14278,
  [14832] = 14287,
  [14833] = 14365,
  [14834] = 14267,
  [14835] = 14365,
  [14836] = 14289,
  [14837] = 10609,
  [14838] = 14269,
  [14839] = 14365,
  [14840] = 14270,
  [14841] = 14267,
  [14842] = 14365,
  [14843] = 14259,
  [14844] = 14465,
  [14845] = 14268,
  [14846] = 14365,
  [14847] = 14365,
  [14848] = 14300,
  [14849] = 14301,
  [14850] = 14365,
  [14851] = 14278,
  [14852] = 14554,
  [14853] = 14254,
  [14854] = 14365,
  [14855] = 14311,
  [14856] = 14287,
  [14857] = 14365,
  [14858] = 14264,
  [14859] = 14314,
  [14860] = 14293,
  [14861] = 14255,
  [14862] = 14365,
  [14863] = 10742,
  [14864] = 14268,
  [14865] = 14365,
  [14866] = 14289,
  [14867] = 14295,
  [14868] = 14268,
  [14869] = 14365,
  [14870] = 14289,
  [14871] = 14871,
  [14872] = 14254,
  [14873] = 14275,
  [14874] = 14490,
  [14875] = 14267,
  [14876] = 14876,
  [14877] = 10797,
  [14878] = 14295,
  [14879] = 14254,
  [14880] = 14269,
  [14881] = 14338,
  [14882] = 14733,
  [14883] = 14269,
  [14884] = 14270,
  [14885] = 14267,
  [14886] = 4669,
  [14887] = 14270,
  [14888] = 14267,
  [14889] = 14267,
  [14890] = 14255,
  [14891] = 14268,
  [14892] = 10737,
  [14893] = 14295,
  [14894] = 14268,
  [14895] = 14300,
  [14896] = 14554,
  [14897] = 14324,
  [14898] = 14329,
  [14899] = 14301,
  [14900] = 14410,
  [14901] = 14542,
  [14902] = 14279,
  [14903] = 14295,
  [14904] = 14538,
  [14905] = 14255,
  [14906] = 14468,
  [14907] = 14554,
  [14908] = 14324,
  [14909] = 14329,
  [14910] = 14311,
  [14911] = 14255,
  [14912] = 14410,
  [14913] = 14538,
  [14914] = 14314,
  [14915] = 14490,
  [14916] = 14338,
  [14917] = 14255,
  [14918] = 14324,
  [14919] = 14329,
  [14920] = 14295,
  [14921] = 14410,
  [14922] = 14542,
  [14923] = 14538,
  [14924] = 14542,
  [14925] = 14490,
  [14926] = 14338,
  [14927] = 14338,
  [14928] = 14314,
  [14929] = 14929,
  [14930] = 14930,
  [14931] = 14931,
  [14932] = 14932,
  [14933] = 14933,
  [14934] = 14930,
  [14935] = 14935,
  [14936] = 12055,
  [14937] = 14937,
  [14938] = 14938,
  [14939] = 14939,
  [14940] = 14939,
  [14941] = 14941,
  [14942] = 14942,
  [14943] = 14943,
  [14944] = 14944,
  [14945] = 14945,
  [14946] = 14946,
  [14947] = 14944,
  [14948] = 14948,
  [14949] = 14949,
  [14950] = 14950,
  [14951] = 14951,
  [14952] = 14944,
  [14953] = 14953,
  [14954] = 14954,
  [14955] = 14935,
  [14956] = 14956,
  [14957] = 14957,
  [14958] = 14958,
  [14959] = 14949,
  [14960] = 14954,
  [14961] = 14938,
  [14962] = 14957,
  [14963] = 14963,
  [14964] = 14964,
  [14965] = 14965,
  [14966] = 14963,
  [14967] = 14941,
  [14968] = 14963,
  [14969] = 14958,
  [14970] = 14970,
  [14971] = 14971,
  [14972] = 14972,
  [14973] = 14971,
  [14974] = 14974,
  [14975] = 14974,
  [14976] = 14976,
  [14977] = 14965,
  [14978] = 14978,
  [14979] = 14979,
  [14980] = 14939,
  [14981] = 14974,
  [14982] = 14982,
  [14983] = 14953,
  [14984] = 14944,
  [14985] = 14974,
  [14986] = 14935,
  [14987] = 14937,
  [14988] = 14988,
  [14989] = 14943,
  [14990] = 14990,
  [14991] = 14946,
  [14992] = 14948,
  [14993] = 14945,
  [14994] = 14945,
  [14995] = 14951,
  [14996] = 14996,
  [14997] = 14938,
  [14998] = 14953,
  [14999] = 11978,
  [15000] = 14982,
  [15001] = 15001,
  [15002] = 14941,
  [15003] = 15003,
  [15004] = 14965,
  [15005] = 14942,
  [15006] = 14990,
  [15007] = 14970,
  [15008] = 15008,
  [15009] = 14958,
  [15010] = 15010,
  [15011] = 14974,
  [15012] = 14990,
  [15013] = 14976,
  [15014] = 14945,
  [15015] = 14950,
  [15016] = 14951,
  [15017] = 14950,
  [15018] = 14945,
  [15019] = 15019,
  [15020] = 14950,
  [15021] = 14950,
  [15022] = 15022,
  [15023] = 14935,
  [15024] = 14944,
  [15025] = 14937,
  [15026] = 14931,
  [15027] = 14938,
  [15028] = 14944,
  [15029] = 14946,
  [15030] = 14948,
  [15031] = 15031,
  [15032] = 14953,
  [15033] = 14933,
  [15034] = 14930,
  [15035] = 14941,
  [15036] = 15008,
  [15037] = 15037,
  [15038] = 14965,
  [15039] = 14978,
  [15040] = 14932,
  [15041] = 14958,
  [15042] = 15042,
  [15043] = 14970,
  [15044] = 14954,
  [15045] = 14957,
  [15046] = 14963,
  [15047] = 14939,
  [15048] = 14939,
  [15049] = 14971,
  [15050] = 14974,
  [15051] = 14931,
  [15052] = 14976,
  [15053] = 15053,
  [15054] = 14951,
  [15055] = 14944,
  [15056] = 15056,
  [15057] = 14982,
  [15058] = 14945,
  [15059] = 14935,
  [15060] = 14937,
  [15061] = 15008,
  [15062] = 14950,
  [15063] = 14931,
  [15064] = 14946,
  [15065] = 14948,
  [15066] = 14990,
  [15067] = 14933,
  [15068] = 14930,
  [15069] = 14949,
  [15070] = 15070,
  [15071] = 14939,
  [15072] = 14951,
  [15073] = 14944,
  [15074] = 14982,
  [15075] = 14965,
  [15076] = 14970,
  [15077] = 14949,
  [15078] = 15078,
  [15079] = 14938,
  [15080] = 15080,
  [15081] = 15081,
  [15082] = 14964,
  [15083] = 14976,
  [15084] = 14944,
  [15085] = 14941,
  [15086] = 14953,
  [15087] = 14950,
  [15088] = 15088,
  [15089] = 14931,
  [15090] = 14941,
  [15091] = 14958,
  [15092] = 15092,
  [15093] = 14958,
  [15094] = 14974,
  [15095] = 14933,
  [15096] = 14935,
  [15097] = 14930,
  [15098] = 14937,
  [15099] = 15019,
  [15100] = 14982,
  [15101] = 14939,
  [15102] = 14946,
  [15103] = 14948,
  [15104] = 14945,
  [15105] = 14944,
  [15106] = 14950,
  [15107] = 14954,
  [15108] = 15108,
  [15109] = 14965,
  [15110] = 14944,
  [15111] = 14957,
  [15112] = 14963,
  [15113] = 14970,
  [15114] = 14949,
  [15115] = 14982,
  [15116] = 14933,
  [15117] = 14953,
  [15118] = 14976,
  [15119] = 14958,
  [15120] = 14990,
  [15121] = 14971,
  [15122] = 15122,
  [15123] = 14935,
  [15124] = 15124,
  [15125] = 14937,
  [15126] = 14949,
  [15127] = 14974,
  [15128] = 14990,
  [15129] = 14946,
  [15130] = 14948,
  [15131] = 14982,
  [15132] = 14951,
  [15133] = 14974,
  [15134] = 14938,
  [15135] = 14990,
  [15136] = 14965,
  [15137] = 14970,
  [15138] = 14951,
  [15139] = 14982,
  [15140] = 15140,
  [15141] = 15019,
  [15142] = 14953,
  [15143] = 14990,
  [15144] = 15022,
  [15145] = 15145,
  [15146] = 15022,
  [15147] = 14951,
  [15148] = 14938,
  [15149] = 15149,
  [15150] = 14935,
  [15151] = 14953,
  [15152] = 14937,
  [15153] = 14951,
  [15154] = 14946,
  [15155] = 14948,
  [15156] = 14938,
  [15157] = 14941,
  [15158] = 14953,
  [15159] = 14958,
  [15160] = 14951,
  [15161] = 14965,
  [15162] = 14954,
  [15163] = 14957,
  [15164] = 14963,
  [15165] = 14941,
  [15166] = 14941,
  [15167] = 14958,
  [15168] = 14970,
  [15169] = 14971,
  [15170] = 14974,
  [15171] = 14958,
  [15172] = 10742,
  [15173] = 14974,
  [15174] = 14945,
  [15175] = 14945,
  [15176] = 14974,
  [15177] = 14950,
  [15178] = 14931,
  [15179] = 14938,
  [15180] = 14933,
  [15181] = 14930,
  [15182] = 14935,
  [15183] = 14945,
  [15184] = 14937,
  [15185] = 14950,
  [15186] = 14950,
  [15187] = 14939,
  [15188] = 14944,
  [15189] = 14946,
  [15190] = 14948,
  [15191] = 14944,
  [15192] = 14949,
  [15193] = 14945,
  [15194] = 14965,
  [15195] = 14950,
  [15196] = 15196,
  [15197] = 14970,
  [15198] = 14976,
  [15199] = 14953,
  [15200] = 14944,
  [15201] = 15201,
  [15202] = 15202,
  [15203] = 15053,
  [15204] = 15008,
  [15205] = 14951,
  [15206] = 14941,
  [15207] = 14938,
  [15208] = 15208,
  [15209] = 15070,
  [15210] = 14945,
  [15211] = 14982,
  [15212] = 14935,
  [15213] = 15213,
  [15214] = 14937,
  [15215] = 14946,
  [15216] = 14948,
  [15217] = 14965,
  [15218] = 15056,
  [15219] = 11979,
  [15220] = 14990,
  [15221] = 14970,
  [15222] = 14951,
  [15223] = 11980,
  [15224] = 14938,
  [15225] = 14935,
  [15226] = 14950,
  [15227] = 14937,
  [15228] = 15228,
  [15229] = 14953,
  [15230] = 15230,
  [15231] = 14946,
  [15232] = 14948,
  [15233] = 14965,
  [15234] = 14982,
  [15235] = 14958,
  [15236] = 14970,
  [15237] = 14941,
  [15238] = 14982,
  [15239] = 14990,
  [15240] = 15149,
  [15241] = 14935,
  [15242] = 14937,
  [15243] = 14951,
  [15244] = 14958,
  [15245] = 14946,
  [15246] = 14948,
  [15247] = 14965,
  [15248] = 15019,
  [15249] = 14974,
  [15250] = 14950,
  [15251] = 14970,
  [15252] = 15022,
  [15253] = 14931,
  [15254] = 14938,
  [15255] = 14945,
  [15256] = 14953,
  [15257] = 14990,
  [15258] = 14950,
  [15259] = 14974,
  [15260] = 14941,
  [15261] = 14935,
  [15262] = 14937,
  [15263] = 14958,
  [15264] = 14946,
  [15265] = 14948,
  [15266] = 14954,
  [15267] = 14965,
  [15268] = 14957,
  [15269] = 14963,
  [15270] = 14944,
  [15271] = 14933,
  [15272] = 14970,
  [15273] = 14938,
  [15274] = 14971,
  [15275] = 14974,
  [15276] = 14930,
  [15277] = 14982,
  [15278] = 14944,
  [15279] = 14930,
  [15280] = 14982,
  [15281] = 14945,
  [15282] = 14935,
  [15283] = 14937,
  [15284] = 14950,
  [15285] = 14931,
  [15286] = 14951,
  [15287] = 14933,
  [15288] = 14930,
  [15289] = 14946,
  [15290] = 14948,
  [15291] = 15070,
  [15292] = 14965,
  [15293] = 15078,
  [15294] = 14939,
  [15295] = 14970,
  [15296] = 14953,
  [15297] = 14944,
  [15298] = 14939,
  [15299] = 14949,
  [15300] = 14990,
  [15301] = 14945,
  [15302] = 14990,
  [15303] = 14945,
  [15304] = 14944,
  [15305] = 14935,
  [15306] = 14950,
  [15307] = 14937,
  [15308] = 15078,
  [15309] = 14946,
  [15310] = 14948,
  [15311] = 14965,
  [15312] = 14951,
  [15313] = 14944,
  [15314] = 14938,
  [15315] = 14970,
  [15316] = 14951,
  [15317] = 14941,
  [15318] = 15318,
  [15319] = 14953,
  [15320] = 15320,
  [15321] = 15019,
  [15322] = 14945,
  [15323] = 15022,
  [15324] = 15140,
  [15325] = 14941,
  [15326] = 14935,
  [15327] = 14937,
  [15328] = 14938,
  [15329] = 14946,
  [15330] = 14948,
  [15331] = 15331,
  [15332] = 14965,
  [15333] = 14953,
  [15334] = 14958,
  [15335] = 14970,
  [15336] = 14974,
  [15337] = 14953,
  [15338] = 14941,
  [15339] = 15019,
  [15340] = 14982,
  [15341] = 14949,
  [15342] = 14950,
  [15343] = 14978,
  [15344] = 14939,
  [15345] = 15345,
  [15346] = 14951,
  [15347] = 14958,
  [15348] = 14990,
  [15349] = 14935,
  [15350] = 14937,
  [15351] = 14946,
  [15352] = 14948,
  [15353] = 14945,
  [15354] = 14965,
  [15355] = 15019,
  [15356] = 14970,
  [15357] = 14954,
  [15358] = 14951,
  [15359] = 14957,
  [15360] = 15019,
  [15361] = 14963,
  [15362] = 15022,
  [15363] = 14950,
  [15364] = 14938,
  [15365] = 14938,
  [15366] = 15022,
  [15367] = 14971,
  [15368] = 14974,
  [15369] = 14953,
  [15370] = 14935,
  [15371] = 14938,
  [15372] = 14937,
  [15373] = 14944,
  [15374] = 14946,
  [15375] = 14948,
  [15376] = 14941,
  [15377] = 14965,
  [15378] = 14982,
  [15379] = 14970,
  [15380] = 14953,
  [15381] = 14958,
  [15382] = 14941,
  [15383] = 14954,
  [15384] = 14957,
  [15385] = 14963,
  [15386] = 4846,
  [15387] = 15387,
  [15388] = 15388,
  [15389] = 14971,
  [15390] = 14945,
  [15391] = 14974,
  [15392] = 15392,
  [15393] = 14937,
  [15394] = 14965,
  [15395] = 14946,
  [15396] = 14948,
  [15397] = 14945,
  [15398] = 14965,
  [15399] = 14950,
  [15400] = 14970,
  [15401] = 14931,
  [15402] = 14982,
  [15403] = 14933,
  [15404] = 14930,
  [15405] = 15008,
  [15406] = 14950,
  [15407] = 14931,
  [15408] = 14944,
  [15409] = 14939,
  [15410] = 14944,
  [15411] = 14933,
  [15412] = 14941,
  [15413] = 14965,
  [15414] = 14949,
  [15415] = 14970,
  [15416] = 15416,
  [15417] = 14930,
  [15418] = 14944,
  [15419] = 14958,
  [15420] = 14982,
  [15421] = 14982,
  [15422] = 14939,
  [15423] = 14965,
  [15424] = 14931,
  [15425] = 14944,
  [15426] = 14970,
  [15427] = 14970,
  [15428] = 15387,
  [15429] = 15320,
  [15430] = 14978,
  [15431] = 14949,
  [15432] = 14941,
  [15433] = 14982,
  [15434] = 14996,
  [15435] = 14965,
  [15436] = 15031,
  [15437] = 14970,
  [15438] = 15438,
  [15439] = 14932,
  [15440] = 15440,
  [15441] = 15441,
  [15442] = 14990,
  [15443] = 14929,
  [15444] = 14945,
  [15445] = 14990,
  [15446] = 14982,
  [15447] = 15053,
  [15448] = 14965,
  [15449] = 15124,
  [15450] = 15056,
  [15451] = 14970,
  [15452] = 15078,
  [15453] = 15453,
  [15454] = 14990,
  [15455] = 14976,
  [15456] = 14970,
  [15457] = 14951,
  [15458] = 14965,
  [15459] = 14958,
  [15460] = 14951,
  [15461] = 14990,
  [15462] = 14970,
  [15463] = 15019,
  [15464] = 14938,
  [15465] = 15465,
  [15466] = 14954,
  [15467] = 15022,
  [15468] = 14990,
  [15469] = 14938,
  [15470] = 14957,
  [15471] = 14963,
  [15472] = 15022,
  [15473] = 14953,
  [15474] = 14953,
  [15475] = 14965,
  [15476] = 15476,
  [15477] = 14971,
  [15478] = 14970,
  [15479] = 14951,
  [15480] = 14941,
  [15481] = 14974,
  [15482] = 14941,
  [15483] = 15483,
  [15484] = 14958,
  [15485] = 15485,
  [15486] = 14954,
  [15487] = 14957,
  [15488] = 14963,
  [15489] = 15489,
  [15490] = 15387,
  [15491] = 14965,
  [15492] = 14971,
  [15493] = 14974,
  [15494] = 14970,
  [15495] = 14974,
  [15496] = 14958,
  [15497] = 14938,
  [15498] = 15498,
  [15499] = 14974,
  [15500] = 14945,
  [15501] = 14950,
  [15502] = 14965,
  [15503] = 14931,
  [15504] = 14953,
  [15505] = 14933,
  [15506] = 14930,
  [15507] = 14970,
  [15508] = 14945,
  [15509] = 14941,
  [15510] = 14939,
  [15511] = 15511,
  [15512] = 10737,
  [15513] = 14944,
  [15514] = 14949,
  [15515] = 14965,
  [15516] = 14978,
  [15517] = 15149,
  [15518] = 14945,
  [15519] = 14970,
  [15520] = 15122,
  [15521] = 14958,
  [15522] = 14945,
  [15523] = 15318,
  [15524] = 14950,
  [15525] = 15525,
  [15526] = 14945,
  [15527] = 14965,
  [15528] = 15498,
  [15529] = 15201,
  [15530] = 14970,
  [15531] = 14944,
  [15532] = 15008,
  [15533] = 15331,
  [15534] = 14996,
  [15535] = 14958,
  [15536] = 9905,
  [15537] = 15031,
  [15538] = 14965,
  [15539] = 14974,
  [15540] = 14935,
  [15541] = 14970,
  [15542] = 14937,
  [15543] = 15392,
  [15544] = 15140,
  [15545] = 15545,
  [15546] = 14932,
  [15547] = 11983,
  [15548] = 14982,
  [15549] = 14950,
  [15550] = 14950,
  [15551] = 14931,
  [15552] = 14965,
  [15553] = 14942,
  [15554] = 14933,
  [15555] = 14930,
  [15556] = 14970,
  [15557] = 14990,
  [15558] = 14943,
  [15559] = 15559,
  [15560] = 14982,
  [15561] = 15092,
  [15562] = 14951,
  [15563] = 14964,
  [15564] = 14965,
  [15565] = 14939,
  [15566] = 15019,
  [15567] = 14970,
  [15568] = 14946,
  [15569] = 15213,
  [15570] = 15022,
  [15571] = 14953,
  [15572] = 15122,
  [15573] = 14938,
  [15574] = 14944,
  [15575] = 14948,
  [15576] = 14953,
  [15577] = 14965,
  [15578] = 14990,
  [15579] = 14941,
  [15580] = 14970,
  [15581] = 14958,
  [15582] = 14958,
  [15583] = 14982,
  [15584] = 14954,
  [15585] = 14957,
  [15586] = 14963,
  [15587] = 14949,
  [15588] = 14944,
  [15589] = 14971,
  [15590] = 14965,
  [15591] = 14974,
  [15592] = 15053,
  [15593] = 14970,
  [15594] = 14945,
  [15595] = 15070,
  [15596] = 14945,
  [15597] = 14950,
  [15598] = 14931,
  [15599] = 14965,
  [15600] = 15056,
  [15601] = 14933,
  [15602] = 14930,
  [15603] = 14970,
  [15604] = 14950,
  [15605] = 14951,
  [15606] = 14939,
  [15607] = 15607,
  [15608] = 14948,
  [15609] = 14944,
  [15610] = 14949,
  [15611] = 14949,
  [15612] = 14965,
  [15613] = 15019,
  [15614] = 14982,
  [15615] = 14970,
  [15616] = 15078,
  [15617] = 15022,
  [15618] = 15031,
  [15619] = 14982,
  [15620] = 14938,
  [15621] = 14990,
  [15622] = 14953,
  [15623] = 15623,
  [15624] = 14965,
  [15625] = 14944,
  [15626] = 14970,
  [15627] = 14951,
  [15628] = 14941,
  [15629] = 14971,
  [15630] = 14978,
  [15631] = 14938,
  [15632] = 14958,
  [15633] = 14938,
  [15634] = 14965,
  [15635] = 14970,
  [15636] = 14954,
  [15637] = 14957,
  [15638] = 14963,
  [15639] = 9880,
  [15640] = 14974,
  [15641] = 15641,
  [15642] = 14971,
  [15643] = 14974,
  [15644] = 14982,
  [15645] = 14953,
  [15646] = 14965,
  [15647] = 15070,
  [15648] = 14970,
  [15649] = 15483,
  [15650] = 14990,
  [15651] = 14965,
  [15652] = 14970,
  [15653] = 14965,
  [15654] = 14970,
  [15655] = 14965,
  [15656] = 14970,
  [15657] = 14965,
  [15658] = 14970,
  [15659] = 14965,
  [15660] = 14951,
  [15661] = 14970,
  [15662] = 14965,
  [15663] = 14958,
  [15664] = 14970,
  [15665] = 14965,
  [15666] = 14970,
  [15667] = 14965,
  [15668] = 15525,
  [15669] = 14970,
  [15670] = 14965,
  [15671] = 15019,
  [15672] = 14970,
  [15673] = 14965,
  [15674] = 15008,
  [15675] = 14970,
  [15676] = 14965,
  [15677] = 14970,
  [15678] = 14965,
  [15679] = 14970,
  [15680] = 14965,
  [15681] = 15022,
  [15682] = 14970,
  [15683] = 14965,
  [15684] = 14970,
  [15685] = 14965,
  [15686] = 14970,
  [15687] = 14965,
  [15688] = 14970,
  [15689] = 14965,
  [15690] = 14970,
  [15691] = 14965,
  [15692] = 14970,
  [15693] = 14965,
  [15694] = 14970,
  [15695] = 14965,
  [15696] = 14970,
  [15697] = 14965,
  [15698] = 14970,
  [15699] = 14965,
  [15700] = 14970,
  [15701] = 14965,
  [15702] = 14970,
  [15703] = 14965,
  [15704] = 14970,
  [15705] = 14965,
  [15706] = 14970,
  [15707] = 14965,
  [15708] = 14970,
  [15709] = 14965,
  [15710] = 14970,
  [15711] = 14965,
  [15712] = 14970,
  [15713] = 14965,
  [15714] = 14970,
  [15715] = 14965,
  [15716] = 14970,
  [15717] = 14965,
  [15718] = 14970,
  [15719] = 14965,
  [15720] = 14970,
  [15721] = 14965,
  [15722] = 14970,
  [15723] = 14965,
  [15724] = 14970,
  [15725] = 14965,
  [15726] = 14970,
  [15727] = 14965,
  [15728] = 14970,
  [15729] = 15525,
  [15730] = 14970,
  [15731] = 14945,
  [15732] = 14938,
  [15733] = 15008,
  [15734] = 14950,
  [15735] = 14931,
  [15736] = 15736,
  [15737] = 14953,
  [15738] = 15001,
  [15739] = 14941,
  [15740] = 14933,
  [15741] = 15196,
  [15742] = 14930,
  [15743] = 14978,
  [15744] = 14990,
  [15745] = 15745,
  [15746] = 14951,
  [15747] = 14941,
  [15748] = 14939,
  [15749] = 14954,
  [15750] = 14944,
  [15751] = 14958,
  [15752] = 14958,
  [15753] = 14954,
  [15754] = 14972,
  [15755] = 14957,
  [15756] = 15145,
  [15757] = 14974,
  [15758] = 14963,
  [15759] = 14949,
  [15760] = 14949,
  [15761] = 14957,
  [15762] = 14963,
  [15763] = 14982,
  [15764] = 14971,
  [15765] = 14974,
  [15766] = 14933,
  [15767] = 14929,
  [15768] = 15019,
  [15769] = 14945,
  [15770] = 15770,
  [15771] = 14950,
  [15772] = 14945,
  [15773] = 14950,
  [15774] = 14931,
  [15775] = 15022,
  [15776] = 14954,
  [15777] = 14933,
  [15778] = 14930,
  [15779] = 14990,
  [15780] = 10280,
  [15781] = 14944,
  [15782] = 14939,
  [15783] = 15149,
  [15784] = 15476,
  [15785] = 14944,
  [15786] = 14949,
  [15787] = 14990,
  [15788] = 14982,
  [15789] = 10286,
  [15790] = 14938,
  [15791] = 14971,
  [15792] = 15485,
  [15793] = 15641,
  [15794] = 15794,
  [15795] = 15489,
  [15796] = 15796,
  [15797] = 14935,
  [15798] = 14953,
  [15799] = 11452,
  [15800] = 15800,
  [15801] = 14974,
  [15802] = 14990,
  [15803] = 14951,
  [15804] = 14957,
  [15805] = 15318,
  [15806] = 15230,
  [15807] = 14941,
  [15808] = 14990,
  [15809] = 14932,
  [15810] = 15140,
  [15811] = 14938,
  [15812] = 15392,
  [15813] = 14941,
  [15814] = 15814,
  [15815] = 15511,
  [15816] = 14963,
  [15817] = 14982,
  [15818] = 14982,
  [15819] = 15819,
  [15820] = 14951,
  [15821] = 15196,
  [15822] = 14954,
  [15823] = 14990,
  [15824] = 14937,
  [15825] = 14938,
  [15826] = 14930,
  [15827] = 14990,
  [15828] = 15318,
  [15829] = 14951,
  [15830] = 14929,
  [15831] = 14982,
  [15832] = 14953,
  [15833] = 14951,
  [15834] = 14951,
  [15835] = 15003,
  [15836] = 15019,
  [15837] = 14938,
  [15838] = 15476,
  [15839] = 15022,
  [15840] = 15840,
  [15841] = 14938,
  [15842] = 15019,
  [15843] = 14982,
  [15844] = 14990,
  [15845] = 14953,
  [15846] = 14953,
  [15847] = 14942,
  [15848] = 14958,
  [15849] = 14941,
  [15850] = 15022,
  [15851] = 14958,
  [15852] = 14965,
  [15853] = 14954,
  [15854] = 14957,
  [15855] = 14963,
  [15856] = 14941,
  [15857] = 14941,
  [15858] = 15196,
  [15859] = 14971,
  [15860] = 14974,
  [15861] = 15140,
  [15862] = 15862,
  [15863] = 15863,
  [15864] = 15416,
  [15865] = 14938,
  [15866] = 14929,
  [15867] = 14945,
  [15868] = 14950,
  [15869] = 14931,
  [15870] = 14958,
  [15871] = 14933,
  [15872] = 14930,
  [15873] = 14951,
  [15874] = 14970,
  [15875] = 15476,
  [15876] = 14939,
  [15877] = 15320,
  [15878] = 14944,
  [15879] = 14974,
  [15880] = 15019,
  [15881] = 14958,
  [15882] = 15022,
  [15883] = 14949,
  [15884] = 14945,
  [15885] = 14974,
  [15886] = 14990,
  [15887] = 15887,
  [15888] = 14938,
  [15889] = 14953,
  [15890] = 15465,
  [15891] = 14953,
  [15892] = 15196,
  [15893] = 14976,
  [15894] = 15485,
  [15895] = 15489,
  [15896] = 14945,
  [15897] = 15840,
  [15898] = 14929,
  [15899] = 15149,
  [15900] = 15476,
  [15901] = 15525,
  [15902] = 14950,
  [15903] = 15196,
  [15904] = 14941,
  [15905] = 15905,
  [15906] = 14953,
  [15907] = 14944,
  [15908] = 14978,
  [15909] = 14929,
  [15910] = 14990,
  [15911] = 14982,
  [15912] = 14958,
  [15913] = 15476,
  [15914] = 15196,
  [15915] = 15525,
  [15916] = 15201,
  [15917] = 15917,
  [15918] = 14954,
  [15919] = 14957,
  [15920] = 14929,
  [15921] = 14990,
  [15922] = 15476,
  [15923] = 15196,
  [15924] = 15331,
  [15925] = 14963,
  [15926] = 14929,
  [15927] = 15149,
  [15928] = 15476,
  [15929] = 15196,
  [15930] = 14951,
  [15931] = 14935,
  [15932] = 15149,
  [15933] = 15019,
  [15934] = 14937,
  [15935] = 14929,
  [15936] = 15318,
  [15937] = 15022,
  [15938] = 15476,
  [15939] = 15196,
  [15940] = 14971,
  [15941] = 14938,
  [15942] = 14974,
  [15943] = 15905,
  [15944] = 14942,
  [15945] = 14953,
  [15946] = 14941,
  [15947] = 14929,
  [15948] = 15070,
  [15949] = 15476,
  [15950] = 15196,
  [15951] = 14943,
  [15952] = 14964,
  [15953] = 14946,
  [15954] = 14941,
  [15955] = 14945,
  [15956] = 14929,
  [15957] = 14950,
  [15958] = 15476,
  [15959] = 15196,
  [15960] = 15122,
  [15961] = 14958,
  [15962] = 14948,
  [15963] = 14954,
  [15964] = 14957,
  [15965] = 14929,
  [15966] = 14963,
  [15967] = 15476,
  [15968] = 15196,
  [15969] = 14945,
  [15970] = 15008,
  [15971] = 14950,
  [15972] = 14971,
  [15973] = 14974,
  [15974] = 14929,
  [15975] = 14931,
  [15976] = 15476,
  [15977] = 15196,
  [15978] = 14982,
  [15979] = 14943,
  [15980] = 14933,
  [15981] = 14930,
  [15982] = 15982,
  [15983] = 14929,
  [15984] = 15476,
  [15985] = 15196,
  [15986] = 14945,
  [15987] = 14990,
  [15988] = 14929,
  [15989] = 14950,
  [15990] = 15476,
  [15991] = 15196,
  [15992] = 14931,
  [15993] = 15387,
  [15994] = 14933,
  [15995] = 14939,
  [15996] = 14930,
  [15997] = 15318,
  [15998] = 14944,
  [15999] = 14929,
  [16000] = 15476,
  [16001] = 15196,
  [16002] = 14939,
  [16003] = 14944,
  [16004] = 14949,
  [16005] = 14944,
  [16006] = 14929,
  [16007] = 15476,
  [16008] = 15196,
  [16009] = 16009,
  [16010] = 14949,
  [16011] = 14951,
  [16012] = 14929,
  [16013] = 15476,
  [16014] = 15196,
  [16015] = 14972,
  [16016] = 14938,
  [16017] = 14996,
  [16018] = 14929,
  [16019] = 15476,
  [16020] = 15196,
  [16021] = 15465,
  [16022] = 14978,
  [16023] = 15387,
  [16024] = 14929,
  [16025] = 15476,
  [16026] = 15196,
  [16027] = 14941,
  [16028] = 14978,
  [16029] = 14982,
  [16030] = 14953,
  [16031] = 14929,
  [16032] = 14996,
  [16033] = 15476,
  [16034] = 15196,
  [16035] = 15416,
  [16036] = 14996,
  [16037] = 14929,
  [16038] = 15476,
  [16039] = 15196,
  [16040] = 15031,
  [16041] = 15008,
  [16042] = 14929,
  [16043] = 15476,
  [16044] = 15196,
  [16045] = 15008,
  [16046] = 14932,
  [16047] = 14982,
  [16048] = 14941,
  [16049] = 14951,
  [16050] = 14929,
  [16051] = 15476,
  [16052] = 15196,
  [16053] = 14982,
  [16054] = 14958,
  [16055] = 14990,
  [16056] = 14929,
  [16057] = 15476,
  [16058] = 15196,
  [16059] = 14951,
  [16060] = 14974,
  [16061] = 14990,
  [16062] = 14929,
  [16063] = 15476,
  [16064] = 15196,
  [16065] = 14982,
  [16066] = 15559,
  [16067] = 14929,
  [16068] = 15476,
  [16069] = 15196,
  [16070] = 9807,
  [16071] = 15019,
  [16072] = 14951,
  [16073] = 14965,
  [16074] = 14929,
  [16075] = 15031,
  [16076] = 15476,
  [16077] = 15196,
  [16078] = 15019,
  [16079] = 15053,
  [16080] = 15019,
  [16081] = 15056,
  [16082] = 15022,
  [16083] = 14932,
  [16084] = 14929,
  [16085] = 14938,
  [16086] = 15476,
  [16087] = 15196,
  [16088] = 15078,
  [16089] = 15416,
  [16090] = 14957,
  [16091] = 14953,
  [16092] = 14929,
  [16093] = 14945,
  [16094] = 15476,
  [16095] = 15196,
  [16096] = 14950,
  [16097] = 14970,
  [16098] = 14941,
  [16099] = 14929,
  [16100] = 15476,
  [16101] = 15196,
  [16102] = 15320,
  [16103] = 14958,
  [16104] = 14958,
  [16105] = 14958,
  [16106] = 14929,
  [16107] = 14954,
  [16108] = 15476,
  [16109] = 15196,
  [16110] = 14957,
  [16111] = 14963,
  [16112] = 14944,
  [16113] = 14954,
  [16114] = 14957,
  [16115] = 15318,
  [16116] = 14971,
  [16117] = 14929,
  [16118] = 15476,
  [16119] = 15196,
  [16120] = 14974,
  [16121] = 14963,
  [16122] = 14946,
  [16123] = 15022,
  [16124] = 14971,
  [16125] = 14929,
  [16126] = 12054,
  [16127] = 15476,
  [16128] = 15196,
  [16129] = 14974,
  [16130] = 15140,
  [16131] = 14945,
  [16132] = 14929,
  [16133] = 15476,
  [16134] = 15196,
  [16135] = 14950,
  [16136] = 14931,
  [16137] = 15022,
  [16138] = 14933,
  [16139] = 14930,
  [16140] = 14976,
  [16141] = 14929,
  [16142] = 14938,
  [16143] = 15476,
  [16144] = 15196,
  [16145] = 15140,
  [16146] = 14939,
  [16147] = 14974,
  [16148] = 15485,
  [16149] = 14944,
  [16150] = 15489,
  [16151] = 14929,
  [16152] = 15053,
  [16153] = 15476,
  [16154] = 15196,
  [16155] = 14938,
  [16156] = 14949,
  [16157] = 14929,
  [16158] = 11977,
  [16159] = 15476,
  [16160] = 15196,
  [16161] = 15056,
  [16162] = 15042,
  [16163] = 14974,
  [16164] = 14953,
  [16165] = 14982,
  [16166] = 14929,
  [16167] = 15525,
  [16168] = 15476,
  [16169] = 15196,
  [16170] = 15201,
  [16171] = 15108,
  [16172] = 15331,
  [16173] = 16173,
  [16174] = 14929,
  [16175] = 14945,
  [16176] = 15476,
  [16177] = 15196,
  [16178] = 14935,
  [16179] = 14951,
  [16180] = 14937,
  [16181] = 16009,
  [16182] = 14929,
  [16183] = 14982,
  [16184] = 15476,
  [16185] = 15196,
  [16186] = 14942,
  [16187] = 14929,
  [16188] = 15476,
  [16189] = 15196,
  [16190] = 15019,
  [16191] = 14953,
  [16192] = 14929,
  [16193] = 14943,
  [16194] = 15196,
  [16195] = 14964,
  [16196] = 15022,
  [16197] = 14982,
  [16198] = 14929,
  [16199] = 14946,
  [16200] = 15196,
  [16201] = 14929,
  [16202] = 15196,
  [16203] = 14929,
  [16204] = 15196,
  [16205] = 14929,
  [16206] = 15196,
  [16207] = 15056,
  [16208] = 15196,
  [16209] = 14929,
  [16210] = 15196,
  [16211] = 14929,
  [16212] = 15196,
  [16213] = 14929,
  [16214] = 15196,
  [16215] = 14929,
  [16216] = 15196,
  [16217] = 14929,
  [16218] = 15196,
  [16219] = 14929,
  [16220] = 15196,
  [16221] = 14929,
  [16222] = 15196,
  [16223] = 14929,
  [16224] = 15196,
  [16225] = 15196,
  [16226] = 15196,
  [16227] = 15196,
  [16228] = 15196,
  [16229] = 15196,
  [16230] = 15196,
  [16231] = 15196,
  [16232] = 15196,
  [16233] = 15196,
  [16234] = 15196,
  [16235] = 15196,
  [16236] = 15196,
  [16237] = 15196,
  [16238] = 15196,
  [16239] = 15196,
  [16240] = 15196,
  [16241] = 15196,
  [16242] = 15196,
  [16243] = 15196,
  [16244] = 15196,
  [16245] = 15196,
  [16246] = 15196,
  [16247] = 15196,
  [16248] = 14938,
  [16249] = 16009,
  [16250] = 14982,
  [16251] = 15392,
  [16252] = 15078,
  [16253] = 15122,
  [16254] = 14948,
  [16255] = 15145,
  [16256] = 15331,
  [16257] = 14990,
  [16258] = 14941,
  [16259] = 14990,
  [16260] = 14953,
  [16261] = 15008,
  [16262] = 16262,
  [16263] = 14990,
  [16264] = 14951,
  [16265] = 14945,
  [16266] = 14938,
  [16267] = 14951,
  [16268] = 14953,
  [16269] = 14950,
  [16270] = 15019,
  [16271] = 14931,
  [16272] = 14941,
  [16273] = 14941,
  [16274] = 14971,
  [16275] = 14958,
  [16276] = 15318,
  [16277] = 14974,
  [16278] = 15022,
  [16279] = 16279,
  [16280] = 14951,
  [16281] = 14950,
  [16282] = 14938,
  [16283] = 15483,
  [16284] = 15745,
  [16285] = 15037,
  [16286] = 15081,
  [16287] = 15863,
  [16288] = 14945,
  [16289] = 14950,
  [16290] = 14938,
  [16291] = 14944,
  [16292] = 15387,
  [16293] = 14953,
  [16294] = 14990,
  [16295] = 14953,
  [16296] = 14941,
  [16297] = 14972,
  [16298] = 15145,
  [16299] = 14950,
  [16300] = 14931,
  [16301] = 14978,
  [16302] = 14978,
  [16303] = 14990,
  [16304] = 14978,
  [16305] = 14958,
  [16306] = 14965,
  [16307] = 14996,
  [16308] = 15465,
  [16309] = 15031,
  [16310] = 14932,
  [16311] = 14933,
  [16312] = 14954,
  [16313] = 14957,
  [16314] = 14963,
  [16315] = 14972,
  [16316] = 14941,
  [16317] = 15145,
  [16318] = 14944,
  [16319] = 14970,
  [16320] = 14930,
  [16321] = 16009,
  [16322] = 14971,
  [16323] = 14974,
  [16324] = 15483,
  [16325] = 14996,
  [16326] = 14933,
  [16327] = 14958,
  [16328] = 14958,
  [16329] = 15031,
  [16330] = 14976,
  [16331] = 14974,
  [16332] = 14945,
  [16333] = 16009,
  [16334] = 14951,
  [16335] = 15053,
  [16336] = 15008,
  [16337] = 14950,
  [16338] = 15483,
  [16339] = 15483,
  [16340] = 14965,
  [16341] = 16341,
  [16342] = 16342,
  [16343] = 16343,
  [16344] = 16344,
  [16345] = 16345,
  [16346] = 16346,
  [16347] = 16347,
  [16348] = 16347,
  [16349] = 16349,
  [16350] = 16350,
  [16351] = 16351,
  [16352] = 16352,
  [16353] = 16353,
  [16354] = 16354,
  [16355] = 16353,
  [16356] = 16343,
  [16357] = 16345,
  [16358] = 16353,
  [16359] = 16345,
  [16360] = 16353,
  [16361] = 16353,
  [16362] = 16362,
  [16363] = 16345,
  [16364] = 16353,
  [16365] = 16365,
  [16366] = 16366,
  [16367] = 16345,
  [16368] = 16342,
  [16369] = 16350,
  [16370] = 16370,
  [16371] = 16354,
  [16372] = 16353,
  [16373] = 16373,
  [16374] = 16374,
  [16375] = 16345,
  [16376] = 16345,
  [16377] = 16377,
  [16378] = 16362,
  [16379] = 16349,
  [16380] = 16380,
  [16381] = 16381,
  [16382] = 16382,
  [16383] = 16342,
  [16384] = 16384,
  [16385] = 16385,
  [16386] = 16350,
  [16387] = 16362,
  [16388] = 16341,
  [16389] = 16389,
  [16390] = 16390,
  [16391] = 16345,
  [16392] = 16342,
  [16393] = 16393,
  [16394] = 16394,
  [16395] = 16342,
  [16396] = 16350,
  [16397] = 16397,
  [16398] = 16398,
  [16399] = 16399,
  [16400] = 16400,
  [16401] = 16343,
  [16402] = 16400,
  [16403] = 16403,
  [16404] = 16342,
  [16405] = 16347,
  [16406] = 16344,
  [16407] = 16347,
  [16408] = 16345,
  [16409] = 16409,
  [16410] = 16410,
  [16411] = 16411,
  [16412] = 16343,
  [16413] = 16365,
  [16414] = 16414,
  [16415] = 16415,
  [16416] = 16347,
  [16417] = 16417,
  [16418] = 16353,
  [16419] = 16398,
  [16420] = 16414,
  [16421] = 16362,
  [16422] = 16400,
  [16423] = 16374,
  [16424] = 16414,
  [16425] = 16377,
  [16426] = 16415,
  [16427] = 16350,
  [16428] = 16380,
  [16429] = 16381,
  [16430] = 16343,
  [16431] = 16384,
  [16432] = 16344,
  [16433] = 16374,
  [16434] = 16385,
  [16435] = 16341,
  [16436] = 16389,
  [16437] = 16390,
  [16438] = 16398,
  [16439] = 16393,
  [16440] = 16394,
  [16441] = 16342,
  [16442] = 16400,
  [16443] = 16397,
  [16444] = 16351,
  [16445] = 16445,
  [16446] = 16347,
  [16447] = 16343,
  [16448] = 16448,
  [16449] = 16345,
  [16450] = 16353,
  [16451] = 16451,
  [16452] = 16362,
  [16453] = 16448,
  [16454] = 16394,
  [16455] = 16351,
  [16456] = 16456,
  [16457] = 16350,
  [16458] = 16458,
  [16459] = 16354,
  [16460] = 16400,
  [16461] = 16343,
  [16462] = 16344,
  [16463] = 16399,
  [16464] = 16398,
  [16465] = 16345,
  [16466] = 16466,
  [16467] = 16342,
  [16468] = 16353,
  [16469] = 16347,
  [16470] = 16365,
  [16471] = 16344,
  [16472] = 16398,
  [16473] = 16343,
  [16474] = 16344,
  [16475] = 16398,
  [16476] = 16343,
  [16477] = 16353,
  [16478] = 16374,
  [16479] = 16377,
  [16480] = 16380,
  [16481] = 16381,
  [16482] = 16400,
  [16483] = 16385,
  [16484] = 16341,
  [16485] = 16389,
  [16486] = 16390,
  [16487] = 16393,
  [16488] = 16397,
  [16489] = 16362,
  [16490] = 16362,
  [16491] = 16491,
  [16492] = 16353,
  [16493] = 16350,
  [16494] = 16347,
  [16495] = 16345,
  [16496] = 16351,
  [16497] = 16497,
  [16498] = 16346,
  [16499] = 16370,
  [16500] = 16500,
  [16501] = 16501,
  [16502] = 16342,
  [16503] = 16365,
  [16504] = 16504,
  [16505] = 16353,
  [16506] = 16506,
  [16507] = 16347,
  [16508] = 16398,
  [16509] = 16353,
  [16510] = 16510,
  [16511] = 16353,
  [16512] = 16362,
  [16513] = 16374,
  [16514] = 16377,
  [16515] = 16380,
  [16516] = 16414,
  [16517] = 16385,
  [16518] = 16345,
  [16519] = 16341,
  [16520] = 16389,
  [16521] = 16390,
  [16522] = 16393,
  [16523] = 16351,
  [16524] = 16343,
  [16525] = 16400,
  [16526] = 16526,
  [16527] = 16397,
  [16528] = 16344,
  [16529] = 16362,
  [16530] = 16400,
  [16531] = 16351,
  [16532] = 16347,
  [16533] = 16362,
  [16534] = 16353,
  [16535] = 16365,
  [16536] = 16536,
  [16537] = 16400,
  [16538] = 16362,
  [16539] = 16539,
  [16540] = 16353,
  [16541] = 16414,
  [16542] = 16374,
  [16543] = 16343,
  [16544] = 16377,
  [16545] = 16350,
  [16546] = 16385,
  [16547] = 16354,
  [16548] = 16506,
  [16549] = 16549,
  [16550] = 16389,
  [16551] = 16390,
  [16552] = 16393,
  [16553] = 16350,
  [16554] = 16397,
  [16555] = 16448,
  [16556] = 16342,
  [16557] = 16365,
  [16558] = 16362,
  [16559] = 16350,
  [16560] = 16448,
  [16561] = 16456,
  [16562] = 16562,
  [16563] = 16353,
  [16564] = 16398,
  [16565] = 16362,
  [16566] = 16458,
  [16567] = 16374,
  [16568] = 16377,
  [16569] = 16342,
  [16570] = 16385,
  [16571] = 16343,
  [16572] = 16342,
  [16573] = 16341,
  [16574] = 16389,
  [16575] = 16390,
  [16576] = 16393,
  [16577] = 16400,
  [16578] = 16350,
  [16579] = 16345,
  [16580] = 16397,
  [16581] = 16350,
  [16582] = 16456,
  [16583] = 16343,
  [16584] = 16347,
  [16585] = 16354,
  [16586] = 16458,
  [16587] = 16399,
  [16588] = 16365,
  [16589] = 16344,
  [16590] = 16353,
  [16591] = 16347,
  [16592] = 16400,
  [16593] = 16377,
  [16594] = 16373,
  [16595] = 16345,
  [16596] = 16385,
  [16597] = 16341,
  [16598] = 16389,
  [16599] = 16390,
  [16600] = 16393,
  [16601] = 16351,
  [16602] = 16347,
  [16603] = 16342,
  [16604] = 16344,
  [16605] = 16397,
  [16606] = 16399,
  [16607] = 16365,
  [16608] = 16400,
  [16609] = 16343,
  [16610] = 16414,
  [16611] = 16497,
  [16612] = 16346,
  [16613] = 16353,
  [16614] = 16343,
  [16615] = 16345,
  [16616] = 16504,
  [16617] = 16377,
  [16618] = 16344,
  [16619] = 16385,
  [16620] = 16370,
  [16621] = 16341,
  [16622] = 16389,
  [16623] = 16390,
  [16624] = 16393,
  [16625] = 16342,
  [16626] = 16342,
  [16627] = 16397,
  [16628] = 16351,
  [16629] = 16506,
  [16630] = 16353,
  [16631] = 16347,
  [16632] = 16365,
  [16633] = 16362,
  [16634] = 16362,
  [16635] = 16345,
  [16636] = 16350,
  [16637] = 16353,
  [16638] = 16354,
  [16639] = 10032,
  [16640] = 16377,
  [16641] = 16350,
  [16642] = 16385,
  [16643] = 16347,
  [16644] = 16414,
  [16645] = 16341,
  [16646] = 16389,
  [16647] = 16390,
  [16648] = 16393,
  [16649] = 16415,
  [16650] = 16510,
  [16651] = 16397,
  [16652] = 16342,
  [16653] = 16342,
  [16654] = 16345,
  [16655] = 16458,
  [16656] = 16353,
  [16657] = 16349,
  [16658] = 16365,
  [16659] = 16393,
  [16660] = 16398,
  [16661] = 16353,
  [16662] = 16343,
  [16663] = 16343,
  [16664] = 16377,
  [16665] = 16385,
  [16666] = 16400,
  [16667] = 16400,
  [16668] = 16341,
  [16669] = 16389,
  [16670] = 16390,
  [16671] = 16393,
  [16672] = 16344,
  [16673] = 16362,
  [16674] = 16397,
  [16675] = 16365,
  [16676] = 16347,
  [16677] = 16677,
  [16678] = 16347,
  [16679] = 16344,
  [16680] = 16345,
  [16681] = 16377,
  [16682] = 16343,
  [16683] = 16385,
  [16684] = 16398,
  [16685] = 16341,
  [16686] = 16389,
  [16687] = 16390,
  [16688] = 16393,
  [16689] = 16345,
  [16690] = 16690,
  [16691] = 16397,
  [16692] = 16692,
  [16693] = 16414,
  [16694] = 16365,
  [16695] = 16353,
  [16696] = 16549,
  [16697] = 16343,
  [16698] = 16377,
  [16699] = 16344,
  [16700] = 16415,
  [16701] = 16385,
  [16702] = 16536,
  [16703] = 16341,
  [16704] = 16389,
  [16705] = 16390,
  [16706] = 16397,
  [16707] = 16351,
  [16708] = 16365,
  [16709] = 16709,
  [16710] = 16350,
  [16711] = 16353,
  [16712] = 16351,
  [16713] = 16377,
  [16714] = 16385,
  [16715] = 16362,
  [16716] = 16341,
  [16717] = 16389,
  [16718] = 16390,
  [16719] = 16362,
  [16720] = 16400,
  [16721] = 16350,
  [16722] = 16722,
  [16723] = 16397,
  [16724] = 16354,
  [16725] = 16353,
  [16726] = 16365,
  [16727] = 16342,
  [16728] = 16536,
  [16729] = 16377,
  [16730] = 16458,
  [16731] = 16385,
  [16732] = 16342,
  [16733] = 16341,
  [16734] = 16389,
  [16735] = 16390,
  [16736] = 16350,
  [16737] = 16362,
  [16738] = 16397,
  [16739] = 16365,
  [16740] = 16400,
  [16741] = 16398,
  [16742] = 16377,
  [16743] = 16400,
  [16744] = 16385,
  [16745] = 16341,
  [16746] = 16389,
  [16747] = 16390,
  [16748] = 16400,
  [16749] = 16397,
  [16750] = 16347,
  [16751] = 16342,
  [16752] = 16365,
  [16753] = 16342,
  [16754] = 16399,
  [16755] = 16377,
  [16756] = 16343,
  [16757] = 16385,
  [16758] = 16341,
  [16759] = 16389,
  [16760] = 16390,
  [16761] = 16347,
  [16762] = 16397,
  [16763] = 16345,
  [16764] = 16365,
  [16765] = 16765,
  [16766] = 16414,
  [16767] = 16377,
  [16768] = 16385,
  [16769] = 16343,
  [16770] = 16346,
  [16771] = 16341,
  [16772] = 16389,
  [16773] = 16390,
  [16774] = 16344,
  [16775] = 16397,
  [16776] = 16353,
  [16777] = 16350,
  [16778] = 16365,
  [16779] = 16765,
  [16780] = 16351,
  [16781] = 16377,
  [16782] = 16347,
  [16783] = 16342,
  [16784] = 16350,
  [16785] = 16385,
  [16786] = 16353,
  [16787] = 16341,
  [16788] = 16389,
  [16789] = 16390,
  [16790] = 16397,
  [16791] = 16362,
  [16792] = 16354,
  [16793] = 16365,
  [16794] = 16400,
  [16795] = 16350,
  [16796] = 16497,
  [16797] = 16354,
  [16798] = 16346,
  [16799] = 16377,
  [16800] = 16377,
  [16801] = 16385,
  [16802] = 16400,
  [16803] = 16341,
  [16804] = 16389,
  [16805] = 16390,
  [16806] = 16347,
  [16807] = 16807,
  [16808] = 16345,
  [16809] = 16397,
  [16810] = 16810,
  [16811] = 16342,
  [16812] = 16365,
  [16813] = 16370,
  [16814] = 16347,
  [16815] = 16377,
  [16816] = 16350,
  [16817] = 16385,
  [16818] = 16347,
  [16819] = 16398,
  [16820] = 16506,
  [16821] = 16343,
  [16822] = 16345,
  [16823] = 16341,
  [16824] = 16389,
  [16825] = 16390,
  [16826] = 16353,
  [16827] = 16397,
  [16828] = 16347,
  [16829] = 16365,
  [16830] = 16400,
  [16831] = 16345,
  [16832] = 16377,
  [16833] = 16345,
  [16834] = 16385,
  [16835] = 16353,
  [16836] = 16836,
  [16837] = 16354,
  [16838] = 16341,
  [16839] = 16389,
  [16840] = 16390,
  [16841] = 16342,
  [16842] = 10490,
  [16843] = 16397,
  [16844] = 16365,
  [16845] = 16377,
  [16846] = 16347,
  [16847] = 16341,
  [16848] = 16389,
  [16849] = 16390,
  [16850] = 16397,
  [16851] = 16397,
  [16852] = 16345,
  [16853] = 16365,
  [16854] = 16350,
  [16855] = 16362,
  [16856] = 16414,
  [16857] = 16377,
  [16858] = 16510,
  [16859] = 16491,
  [16860] = 16350,
  [16861] = 16341,
  [16862] = 16389,
  [16863] = 16390,
  [16864] = 16343,
  [16865] = 16397,
  [16866] = 16343,
  [16867] = 16500,
  [16868] = 16365,
  [16869] = 16344,
  [16870] = 16342,
  [16871] = 16343,
  [16872] = 16377,
  [16873] = 16341,
  [16874] = 16389,
  [16875] = 16390,
  [16876] = 16344,
  [16877] = 16397,
  [16878] = 16351,
  [16879] = 16879,
  [16880] = 16365,
  [16881] = 16353,
  [16882] = 16377,
  [16883] = 16362,
  [16884] = 16341,
  [16885] = 16389,
  [16886] = 16390,
  [16887] = 16397,
  [16888] = 16365,
  [16889] = 16350,
  [16890] = 16400,
  [16891] = 16354,
  [16892] = 10091,
  [16893] = 16377,
  [16894] = 16341,
  [16895] = 16389,
  [16896] = 16390,
  [16897] = 16397,
  [16898] = 16343,
  [16899] = 16345,
  [16900] = 16347,
  [16901] = 16365,
  [16902] = 16344,
  [16903] = 16342,
  [16904] = 16414,
  [16905] = 16415,
  [16906] = 16377,
  [16907] = 16398,
  [16908] = 16344,
  [16909] = 16341,
  [16910] = 16389,
  [16911] = 16390,
  [16912] = 16343,
  [16913] = 16397,
  [16914] = 16345,
  [16915] = 16365,
  [16916] = 16398,
  [16917] = 16350,
  [16918] = 16400,
  [16919] = 16377,
  [16920] = 9986,
  [16921] = 16341,
  [16922] = 16389,
  [16923] = 16390,
  [16924] = 16397,
  [16925] = 16400,
  [16926] = 16365,
  [16927] = 16343,
  [16928] = 16362,
  [16929] = 16377,
  [16930] = 16341,
  [16931] = 16389,
  [16932] = 16390,
  [16933] = 16397,
  [16934] = 16365,
  [16935] = 16350,
  [16936] = 16344,
  [16937] = 16347,
  [16938] = 16377,
  [16939] = 16400,
  [16940] = 16345,
  [16941] = 16341,
  [16942] = 16389,
  [16943] = 16390,
  [16944] = 16342,
  [16945] = 16397,
  [16946] = 16350,
  [16947] = 16365,
  [16948] = 16342,
  [16949] = 16539,
  [16950] = 16414,
  [16951] = 16448,
  [16952] = 16377,
  [16953] = 16456,
  [16954] = 16343,
  [16955] = 16458,
  [16956] = 16341,
  [16957] = 16389,
  [16958] = 16390,
  [16959] = 16397,
  [16960] = 16344,
  [16961] = 16377,
  [16962] = 16399,
  [16963] = 16351,
  [16964] = 16341,
  [16965] = 16389,
  [16966] = 16390,
  [16967] = 16397,
  [16968] = 16353,
  [16969] = 16400,
  [16970] = 10537,
  [16971] = 16377,
  [16972] = 16362,
  [16973] = 16536,
  [16974] = 16341,
  [16975] = 16389,
  [16976] = 16390,
  [16977] = 16397,
  [16978] = 16350,
  [16979] = 16342,
  [16980] = 16354,
  [16981] = 16347,
  [16982] = 16377,
  [16983] = 16690,
  [16984] = 16343,
  [16985] = 16341,
  [16986] = 16389,
  [16987] = 16390,
  [16988] = 16351,
  [16989] = 16397,
  [16990] = 16342,
  [16991] = 16377,
  [16992] = 16341,
  [16993] = 16389,
  [16994] = 16390,
  [16995] = 16397,
  [16996] = 16345,
  [16997] = 16353,
  [16998] = 16398,
  [16999] = 16497,
  [17000] = 16377,
  [17001] = 16346,
  [17002] = 16353,
  [17003] = 16341,
  [17004] = 16389,
  [17005] = 16390,
  [17006] = 16397,
  [17007] = 16400,
  [17008] = 16342,
  [17009] = 16362,
  [17010] = 16377,
  [17011] = 16400,
  [17012] = 16370,
  [17013] = 16341,
  [17014] = 16389,
  [17015] = 16390,
  [17016] = 16347,
  [17017] = 16347,
  [17018] = 16377,
  [17019] = 16343,
  [17020] = 16345,
  [17021] = 16341,
  [17022] = 16389,
  [17023] = 16390,
  [17024] = 16347,
  [17025] = 16400,
  [17026] = 16414,
  [17027] = 16377,
  [17028] = 16341,
  [17029] = 16389,
  [17030] = 16390,
  [17031] = 16343,
  [17032] = 16344,
  [17033] = 16345,
  [17034] = 16377,
  [17035] = 16342,
  [17036] = 16350,
  [17037] = 16341,
  [17038] = 16389,
  [17039] = 16390,
  [17040] = 16351,
  [17041] = 16510,
  [17042] = 16400,
  [17043] = 16353,
  [17044] = 16354,
  [17045] = 16377,
  [17046] = 17046,
  [17047] = 16341,
  [17048] = 16389,
  [17049] = 16390,
  [17050] = 16347,
  [17051] = 16377,
  [17052] = 16362,
  [17053] = 16341,
  [17054] = 16389,
  [17055] = 16390,
  [17056] = 16414,
  [17057] = 16400,
  [17058] = 16377,
  [17059] = 16341,
  [17060] = 16389,
  [17061] = 16390,
  [17062] = 17062,
  [17063] = 16343,
  [17064] = 16350,
  [17065] = 16377,
  [17066] = 16341,
  [17067] = 16389,
  [17068] = 16390,
  [17069] = 17069,
  [17070] = 16377,
  [17071] = 16341,
  [17072] = 16389,
  [17073] = 16390,
  [17074] = 16377,
  [17075] = 16341,
  [17076] = 16389,
  [17077] = 16390,
  [17078] = 16377,
  [17079] = 16341,
  [17080] = 16389,
  [17081] = 16390,
  [17082] = 16354,
  [17083] = 16400,
  [17084] = 16377,
  [17085] = 16341,
  [17086] = 16389,
  [17087] = 16390,
  [17088] = 16347,
  [17089] = 16377,
  [17090] = 16341,
  [17091] = 16389,
  [17092] = 16390,
  [17093] = 16343,
  [17094] = 16377,
  [17095] = 16341,
  [17096] = 16389,
  [17097] = 16390,
  [17098] = 16377,
  [17099] = 16341,
  [17100] = 16389,
  [17101] = 16390,
  [17102] = 16377,
  [17103] = 16341,
  [17104] = 16389,
  [17105] = 16390,
  [17106] = 16536,
  [17107] = 16377,
  [17108] = 16341,
  [17109] = 16389,
  [17110] = 16390,
  [17111] = 16400,
  [17112] = 16377,
  [17113] = 16341,
  [17114] = 16389,
  [17115] = 16390,
  [17116] = 16347,
  [17117] = 16377,
  [17118] = 16343,
  [17119] = 16377,
  [17120] = 16377,
  [17121] = 16362,
  [17122] = 16377,
  [17123] = 16377,
  [17124] = 16377,
  [17125] = 16400,
  [17126] = 16377,
  [17127] = 16347,
  [17128] = 16377,
  [17129] = 16377,
  [17130] = 16343,
  [17131] = 16377,
  [17132] = 16354,
  [17133] = 16377,
  [17134] = 16377,
  [17135] = 16377,
  [17136] = 16377,
  [17137] = 16400,
  [17138] = 16377,
  [17139] = 16347,
  [17140] = 16377,
  [17141] = 16343,
  [17142] = 16377,
  [17143] = 16377,
  [17144] = 16414,
  [17145] = 16377,
  [17146] = 16377,
  [17147] = 16377,
  [17148] = 16400,
  [17149] = 16377,
  [17150] = 16347,
  [17151] = 16377,
  [17152] = 16377,
  [17153] = 16343,
  [17154] = 16549,
  [17155] = 16400,
  [17156] = 16347,
  [17157] = 16345,
  [17158] = 16342,
  [17159] = 16343,
  [17160] = 16384,
  [17161] = 16400,
  [17162] = 16347,
  [17163] = 16343,
  [17164] = 16398,
  [17165] = 16400,
  [17166] = 16400,
  [17167] = 16347,
  [17168] = 16343,
  [17169] = 16342,
  [17170] = 16400,
  [17171] = 16347,
  [17172] = 16343,
  [17173] = 16347,
  [17174] = 16722,
  [17175] = 16345,
  [17176] = 16539,
  [17177] = 16879,
  [17178] = 16400,
  [17179] = 16347,
  [17180] = 16414,
  [17181] = 16343,
  [17182] = 16497,
  [17183] = 16341,
  [17184] = 16343,
  [17185] = 16344,
  [17186] = 16549,
  [17187] = 16389,
  [17188] = 10043,
  [17189] = 16390,
  [17190] = 16400,
  [17191] = 16351,
  [17192] = 16347,
  [17193] = 16549,
  [17194] = 16343,
  [17195] = 16353,
  [17196] = 16362,
  [17197] = 16400,
  [17198] = 16350,
  [17199] = 16347,
  [17200] = 16354,
  [17201] = 16343,
  [17202] = 17202,
  [17203] = 16504,
  [17204] = 16722,
  [17205] = 16536,
  [17206] = 17206,
  [17207] = 16342,
  [17208] = 16879,
  [17209] = 16539,
  [17210] = 16692,
  [17211] = 16549,
  [17212] = 16350,
  [17213] = 16549,
  [17214] = 16398,
  [17215] = 16347,
  [17216] = 16400,
  [17217] = 17217,
  [17218] = 16342,
  [17219] = 16722,
  [17220] = 16347,
  [17221] = 16879,
  [17222] = 16380,
  [17223] = 16549,
  [17224] = 16345,
  [17225] = 16350,
  [17226] = 16549,
  [17227] = 16414,
  [17228] = 17228,
  [17229] = 16415,
  [17230] = 17230,
  [17231] = 16343,
  [17232] = 16344,
  [17233] = 16414,
  [17234] = 16549,
  [17235] = 16549,
  [17236] = 16415,
  [17237] = 17237,
  [17238] = 16398,
  [17239] = 16351,
  [17240] = 16549,
  [17241] = 16549,
  [17242] = 16353,
  [17243] = 16343,
  [17244] = 16362,
  [17245] = 16350,
  [17246] = 16344,
  [17247] = 16354,
  [17248] = 16351,
  [17249] = 16354,
  [17250] = 16365,
  [17251] = 16549,
  [17252] = 16343,
  [17253] = 16400,
  [17254] = 16344,
  [17255] = 16342,
  [17256] = 16403,
  [17257] = 16836,
  [17258] = 16562,
  [17259] = 16398,
  [17260] = 16394,
  [17261] = 17261,
  [17262] = 16342,
  [17263] = 17263,
  [17264] = 17264,
  [17265] = 16400,
  [17266] = 16347,
  [17267] = 16353,
  [17268] = 16353,
  [17269] = 16500,
  [17270] = 16346,
  [17271] = 16374,
  [17272] = 16345,
  [17273] = 16347,
  [17274] = 16362,
  [17275] = 16345,
  [17276] = 16362,
  [17277] = 16448,
  [17278] = 17278,
  [17279] = 16398,
  [17280] = 16414,
  [17281] = 16351,
  [17282] = 16350,
  [17283] = 16377,
  [17284] = 16343,
  [17285] = 16344,
  [17286] = 16365,
  [17287] = 16415,
  [17288] = 16353,
  [17289] = 16380,
  [17290] = 17278,
  [17291] = 16370,
  [17292] = 16381,
  [17293] = 16351,
  [17294] = 16385,
  [17295] = 16384,
  [17296] = 16343,
  [17297] = 16353,
  [17298] = 10428,
  [17299] = 16362,
  [17300] = 16342,
  [17301] = 17301,
  [17302] = 16362,
  [17303] = 16385,
  [17304] = 16350,
  [17305] = 16354,
  [17306] = 16341,
  [17307] = 16389,
  [17308] = 16390,
  [17309] = 16414,
  [17310] = 16414,
  [17311] = 16504,
  [17312] = 16415,
  [17313] = 16765,
  [17314] = 16343,
  [17315] = 16342,
  [17316] = 16400,
  [17317] = 16344,
  [17318] = 16366,
  [17319] = 16393,
  [17320] = 17320,
  [17321] = 16394,
  [17322] = 16400,
  [17323] = 16398,
  [17324] = 16397,
  [17325] = 16400,
  [17326] = 16343,
  [17327] = 16400,
  [17328] = 16351,
  [17329] = 16400,
  [17330] = 16347,
  [17331] = 16353,
  [17332] = 16366,
  [17333] = 16344,
  [17334] = 16458,
  [17335] = 16362,
  [17336] = 11370,
  [17337] = 16347,
  [17338] = 16384,
  [17339] = 16345,
  [17340] = 16345,
  [17341] = 16399,
  [17342] = 17342,
  [17343] = 16350,
  [17344] = 16414,
  [17345] = 16350,
  [17346] = 16765,
  [17347] = 16362,
  [17348] = 16354,
  [17349] = 16343,
  [17350] = 16354,
  [17351] = 17351,
  [17352] = 16343,
  [17353] = 16344,
  [17354] = 16344,
  [17355] = 16347,
  [17356] = 16345,
  [17357] = 17263,
  [17358] = 16342,
  [17359] = 16345,
  [17360] = 16344,
  [17361] = 17361,
  [17362] = 16398,
  [17363] = 16362,
  [17364] = 16350,
  [17365] = 16400,
  [17366] = 16350,
  [17367] = 16347,
  [17368] = 16343,
  [17369] = 17264,
  [17370] = 16353,
  [17371] = 16352,
  [17372] = 16456,
  [17373] = 16709,
  [17374] = 16381,
  [17375] = 17278,
  [17376] = 16362,
  [17377] = 16350,
  [17378] = 16345,
  [17379] = 16342,
  [17380] = 16344,
  [17381] = 16458,
  [17382] = 16342,
  [17383] = 16351,
  [17384] = 16342,
  [17385] = 16347,
  [17386] = 17386,
  [17387] = 16354,
  [17388] = 16398,
  [17389] = 16345,
  [17390] = 16353,
  [17391] = 16500,
  [17392] = 16346,
  [17393] = 16400,
  [17394] = 16362,
  [17395] = 16370,
  [17396] = 16366,
  [17397] = 16347,
  [17398] = 16347,
  [17399] = 16345,
  [17400] = 16414,
  [17401] = 16400,
  [17402] = 16353,
  [17403] = 16345,
  [17404] = 16343,
  [17405] = 16539,
  [17406] = 16345,
  [17407] = 16344,
  [17408] = 16352,
  [17409] = 16400,
  [17410] = 16349,
  [17411] = 16765,
  [17412] = 16414,
  [17413] = 16352,
  [17414] = 16539,
  [17415] = 16350,
  [17416] = 17416,
  [17417] = 17417,
  [17418] = 17418,
  [17419] = 17419,
  [17420] = 17420,
  [17421] = 17421,
  [17422] = 17422,
  [17423] = 17420,
  [17424] = 17422,
  [17425] = 17425,
  [17426] = 17425,
  [17427] = 17427,
  [17428] = 17428,
  [17429] = 17429,
  [17430] = 17417,
  [17431] = 17431,
  [17432] = 17432,
  [17433] = 17433,
  [17434] = 17427,
  [17435] = 17435,
  [17436] = 17432,
  [17437] = 17428,
  [17438] = 17438,
  [17439] = 17439,
  [17440] = 17440,
  [17441] = 17441,
  [17442] = 17442,
  [17443] = 17443,
  [17444] = 17444,
  [17445] = 17445,
  [17446] = 17446,
  [17447] = 17441,
  [17448] = 17448,
  [17449] = 17449,
  [17450] = 17450,
  [17451] = 17450,
  [17452] = 17452,
  [17453] = 17435,
  [17454] = 17454,
  [17455] = 17455,
  [17456] = 17456,
  [17457] = 17457,
  [17458] = 17458,
  [17459] = 17443,
  [17460] = 17460,
  [17461] = 17429,
  [17462] = 17442,
  [17463] = 17441,
  [17464] = 17450,
  [17465] = 17452,
  [17466] = 17435,
  [17467] = 17454,
  [17468] = 17460,
  [17469] = 17449,
  [17470] = 17470,
  [17471] = 17471,
  [17472] = 17472,
  [17473] = 17473,
  [17474] = 17471,
  [17475] = 17475,
  [17476] = 17476,
  [17477] = 17452,
  [17478] = 17478,
  [17479] = 17479,
  [17480] = 17480,
  [17481] = 17473,
  [17482] = 17444,
  [17483] = 17479,
  [17484] = 17484,
  [17485] = 17485,
  [17486] = 17418,
  [17487] = 17419,
  [17488] = 17488,
  [17489] = 17427,
  [17490] = 17490,
  [17491] = 17470,
  [17492] = 17470,
  [17493] = 17432,
  [17494] = 17431,
  [17495] = 17435,
  [17496] = 17485,
  [17497] = 17429,
  [17498] = 17442,
  [17499] = 17431,
  [17500] = 17433,
  [17501] = 17444,
  [17502] = 17454,
  [17503] = 17443,
  [17504] = 17428,
  [17505] = 17479,
  [17506] = 17448,
  [17507] = 17490,
  [17508] = 17438,
  [17509] = 17470,
  [17510] = 17460,
  [17511] = 17471,
  [17512] = 17475,
  [17513] = 17513,
  [17514] = 17514,
  [17515] = 17448,
  [17516] = 17421,
  [17517] = 17517,
  [17518] = 17439,
  [17519] = 17519,
  [17520] = 17484,
  [17521] = 17521,
  [17522] = 17455,
  [17523] = 17456,
  [17524] = 17457,
  [17525] = 17458,
  [17526] = 17479,
  [17527] = 17527,
  [17528] = 17445,
  [17529] = 17519,
  [17530] = 17475,
  [17531] = 17513,
  [17532] = 17470,
  [17533] = 17476,
  [17534] = 17417,
  [17535] = 17535,
  [17536] = 17443,
  [17537] = 17460,
  [17538] = 17418,
  [17539] = 17471,
  [17540] = 17485,
  [17541] = 17418,
  [17542] = 17419,
  [17543] = 17429,
  [17544] = 17419,
  [17545] = 17442,
  [17546] = 17455,
  [17547] = 17444,
  [17548] = 17439,
  [17549] = 17443,
  [17550] = 17456,
  [17551] = 17480,
  [17552] = 17460,
  [17553] = 17431,
  [17554] = 17433,
  [17555] = 17471,
  [17556] = 17457,
  [17557] = 17557,
  [17558] = 17428,
  [17559] = 17458,
  [17560] = 17470,
  [17561] = 17454,
  [17562] = 17562,
  [17563] = 17479,
  [17564] = 17420,
  [17565] = 17480,
  [17566] = 17566,
  [17567] = 17479,
  [17568] = 17448,
  [17569] = 17438,
  [17570] = 17570,
  [17571] = 17440,
  [17572] = 17488,
  [17573] = 17519,
  [17574] = 17422,
  [17575] = 17455,
  [17576] = 17456,
  [17577] = 17457,
  [17578] = 17458,
  [17579] = 17478,
  [17580] = 17473,
  [17581] = 17440,
  [17582] = 17425,
  [17583] = 17583,
  [17584] = 17470,
  [17585] = 17585,
  [17586] = 17475,
  [17587] = 17476,
  [17588] = 17438,
  [17589] = 17429,
  [17590] = 17519,
  [17591] = 17443,
  [17592] = 17592,
  [17593] = 17427,
  [17594] = 17485,
  [17595] = 17418,
  [17596] = 17419,
  [17597] = 17470,
  [17598] = 17442,
  [17599] = 17480,
  [17600] = 17440,
  [17601] = 17438,
  [17602] = 17440,
  [17603] = 17488,
  [17604] = 17488,
  [17605] = 17488,
  [17606] = 17480,
  [17607] = 17431,
  [17608] = 17433,
  [17609] = 17609,
  [17610] = 17478,
  [17611] = 17433,
  [17612] = 17428,
  [17613] = 17473,
  [17614] = 17438,
  [17615] = 17440,
  [17616] = 17583,
  [17617] = 17585,
  [17618] = 17488,
  [17619] = 17619,
  [17620] = 17444,
  [17621] = 17484,
  [17622] = 17448,
  [17623] = 17478,
  [17624] = 17624,
  [17625] = 17625,
  [17626] = 17417,
  [17627] = 17627,
  [17628] = 17514,
  [17629] = 17455,
  [17630] = 17456,
  [17631] = 17457,
  [17632] = 17458,
  [17633] = 17470,
  [17634] = 17421,
  [17635] = 17420,
  [17636] = 17517,
  [17637] = 17627,
  [17638] = 17513,
  [17639] = 17639,
  [17640] = 17478,
  [17641] = 17476,
  [17642] = 17583,
  [17643] = 17490,
  [17644] = 17583,
  [17645] = 17441,
  [17646] = 17484,
  [17647] = 17422,
  [17648] = 17485,
  [17649] = 17418,
  [17650] = 17419,
  [17651] = 17417,
  [17652] = 17535,
  [17653] = 17480,
  [17654] = 17445,
  [17655] = 17425,
  [17656] = 17438,
  [17657] = 17557,
  [17658] = 17583,
  [17659] = 17585,
  [17660] = 17440,
  [17661] = 17431,
  [17662] = 17433,
  [17663] = 17585,
  [17664] = 17450,
  [17665] = 17585,
  [17666] = 17428,
  [17667] = 17450,
  [17668] = 17668,
  [17669] = 17557,
  [17670] = 17490,
  [17671] = 17488,
  [17672] = 17672,
  [17673] = 17427,
  [17674] = 17452,
  [17675] = 17484,
  [17676] = 17448,
  [17677] = 17445,
  [17678] = 17557,
  [17679] = 17679,
  [17680] = 17475,
  [17681] = 17478,
  [17682] = 17682,
  [17683] = 17455,
  [17684] = 17456,
  [17685] = 17457,
  [17686] = 17458,
  [17687] = 17432,
  [17688] = 17420,
  [17689] = 17689,
  [17690] = 17422,
  [17691] = 17420,
  [17692] = 17422,
  [17693] = 17425,
  [17694] = 17425,
  [17695] = 17476,
  [17696] = 17427,
  [17697] = 17697,
  [17698] = 17432,
  [17699] = 17432,
  [17700] = 17535,
  [17701] = 17484,
  [17702] = 17485,
  [17703] = 17418,
  [17704] = 17419,
  [17705] = 8166,
  [17706] = 17639,
  [17707] = 17475,
  [17708] = 17708,
  [17709] = 17417,
  [17710] = 17427,
  [17711] = 17439,
  [17712] = 17470,
  [17713] = 17450,
  [17714] = 17420,
  [17715] = 17431,
  [17716] = 17433,
  [17717] = 17422,
  [17718] = 17425,
  [17719] = 17452,
  [17720] = 17428,
  [17721] = 17429,
  [17722] = 17478,
  [17723] = 17444,
  [17724] = 17427,
  [17725] = 17441,
  [17726] = 17435,
  [17727] = 17432,
  [17728] = 17454,
  [17729] = 17583,
  [17730] = 17448,
  [17731] = 17585,
  [17732] = 17443,
  [17733] = 17557,
  [17734] = 17417,
  [17735] = 17735,
  [17736] = 17473,
  [17737] = 17455,
  [17738] = 17456,
  [17739] = 17457,
  [17740] = 17458,
  [17741] = 17460,
  [17742] = 17432,
  [17743] = 17450,
  [17744] = 17449,
  [17745] = 17435,
  [17746] = 17449,
  [17747] = 17445,
  [17748] = 17445,
  [17749] = 17476,
  [17750] = 17490,
  [17751] = 17455,
  [17752] = 17480,
  [17753] = 17484,
  [17754] = 17754,
  [17755] = 17441,
  [17756] = 17485,
  [17757] = 17418,
  [17758] = 17419,
  [17759] = 17450,
  [17760] = 17471,
  [17761] = 17452,
  [17762] = 17435,
  [17763] = 17454,
  [17764] = 17452,
  [17765] = 17429,
  [17766] = 17557,
  [17767] = 17442,
  [17768] = 17472,
  [17769] = 17431,
  [17770] = 17433,
  [17771] = 17444,
  [17772] = 17454,
  [17773] = 17513,
  [17774] = 17428,
  [17775] = 17432,
  [17776] = 17583,
  [17777] = 17435,
  [17778] = 17454,
  [17779] = 17443,
  [17780] = 17460,
  [17781] = 17471,
  [17782] = 17782,
  [17783] = 17473,
  [17784] = 17448,
  [17785] = 17535,
  [17786] = 17490,
  [17787] = 17441,
  [17788] = 17583,
  [17789] = 17442,
  [17790] = 17450,
  [17791] = 17455,
  [17792] = 17456,
  [17793] = 17457,
  [17794] = 17458,
  [17795] = 17479,
  [17796] = 17585,
  [17797] = 17446,
  [17798] = 17445,
  [17799] = 17452,
  [17800] = 17682,
  [17801] = 17682,
  [17802] = 17470,
  [17803] = 17476,
  [17804] = 17435,
  [17805] = 17454,
  [17806] = 17806,
  [17807] = 17782,
  [17808] = 17808,
  [17809] = 17809,
  [17810] = 17485,
  [17811] = 17418,
  [17812] = 17419,
  [17813] = 17813,
  [17814] = 17484,
  [17815] = 17815,
  [17816] = 17480,
  [17817] = 17490,
  [17818] = 17475,
  [17819] = 17438,
  [17820] = 17585,
  [17821] = 17440,
  [17822] = 17442,
  [17823] = 17431,
  [17824] = 17433,
  [17825] = 17488,
  [17826] = 17445,
  [17827] = 17490,
  [17828] = 17428,
  [17829] = 17809,
  [17830] = 17473,
  [17831] = 17831,
  [17832] = 17429,
  [17833] = 17442,
  [17834] = 17478,
  [17835] = 17808,
  [17836] = 17836,
  [17837] = 17444,
  [17838] = 17448,
  [17839] = 17583,
  [17840] = 17557,
  [17841] = 17443,
  [17842] = 17460,
  [17843] = 17471,
  [17844] = 17585,
  [17845] = 17455,
  [17846] = 17456,
  [17847] = 17457,
  [17848] = 17458,
  [17849] = 17444,
  [17850] = 17808,
  [17851] = 17429,
  [17852] = 17472,
  [17853] = 17583,
  [17854] = 17444,
  [17855] = 17479,
  [17856] = 17441,
  [17857] = 17476,
  [17858] = 17475,
  [17859] = 17476,
  [17860] = 17450,
  [17861] = 17417,
  [17862] = 17452,
  [17863] = 17442,
  [17864] = 17485,
  [17865] = 17418,
  [17866] = 17419,
  [17867] = 17435,
  [17868] = 17429,
  [17869] = 17470,
  [17870] = 17444,
  [17871] = 17754,
  [17872] = 17872,
  [17873] = 17421,
  [17874] = 17874,
  [17875] = 17420,
  [17876] = 17473,
  [17877] = 17431,
  [17878] = 17433,
  [17879] = 17422,
  [17880] = 17490,
  [17881] = 17425,
  [17882] = 17428,
  [17883] = 17438,
  [17884] = 17429,
  [17885] = 17442,
  [17886] = 17480,
  [17887] = 17454,
  [17888] = 17484,
  [17889] = 17438,
  [17890] = 17445,
  [17891] = 17440,
  [17892] = 17448,
  [17893] = 17488,
  [17894] = 17475,
  [17895] = 17444,
  [17896] = 17431,
  [17897] = 17478,
  [17898] = 17473,
  [17899] = 17455,
  [17900] = 17456,
  [17901] = 17457,
  [17902] = 17458,
  [17903] = 17427,
  [17904] = 17904,
  [17905] = 17449,
  [17906] = 17485,
  [17907] = 17583,
  [17908] = 17585,
  [17909] = 17432,
  [17910] = 17439,
  [17911] = 17476,
  [17912] = 17813,
  [17913] = 17475,
  [17914] = 17443,
  [17915] = 17815,
  [17916] = 17418,
  [17917] = 17639,
  [17918] = 17485,
  [17919] = 17418,
  [17920] = 17419,
  [17921] = 17419,
  [17922] = 17420,
  [17923] = 17583,
  [17924] = 17639,
  [17925] = 17484,
  [17926] = 17420,
  [17927] = 17422,
  [17928] = 17460,
  [17929] = 17425,
  [17930] = 17585,
  [17931] = 17431,
  [17932] = 17433,
  [17933] = 17427,
  [17934] = 17433,
  [17935] = 17417,
  [17936] = 17428,
  [17937] = 17422,
  [17938] = 17697,
  [17939] = 17473,
  [17940] = 17432,
  [17941] = 17432,
  [17942] = 17471,
  [17943] = 17445,
  [17944] = 17425,
  [17945] = 17585,
  [17946] = 17448,
  [17947] = 17557,
  [17948] = 17475,
  [17949] = 17427,
  [17950] = 17478,
  [17951] = 17951,
  [17952] = 17450,
  [17953] = 17455,
  [17954] = 17456,
  [17955] = 17457,
  [17956] = 17458,
  [17957] = 17452,
  [17958] = 17435,
  [17959] = 17514,
  [17960] = 17454,
  [17961] = 17490,
  [17962] = 17417,
  [17963] = 17441,
  [17964] = 17484,
  [17965] = 17476,
  [17966] = 17428,
  [17967] = 17445,
  [17968] = 17450,
  [17969] = 17443,
  [17970] = 17452,
  [17971] = 17473,
  [17972] = 17485,
  [17973] = 17418,
  [17974] = 17419,
  [17975] = 17435,
  [17976] = 17517,
  [17977] = 17472,
  [17978] = 17454,
  [17979] = 17473,
  [17980] = 17980,
  [17981] = 17431,
  [17982] = 17627,
  [17983] = 17433,
  [17984] = 17460,
  [17985] = 17431,
  [17986] = 17433,
  [17987] = 17432,
  [17988] = 17479,
  [17989] = 17428,
  [17990] = 17428,
  [17991] = 17951,
  [17992] = 17440,
  [17993] = 17429,
  [17994] = 17475,
  [17995] = 17557,
  [17996] = 17996,
  [17997] = 17429,
  [17998] = 17557,
  [17999] = 17448,
  [18000] = 17442,
  [18001] = 17446,
  [18002] = 17420,
  [18003] = 17422,
  [18004] = 17425,
  [18005] = 17444,
  [18006] = 17455,
  [18007] = 17456,
  [18008] = 17457,
  [18009] = 17458,
  [18010] = 17471,
  [18011] = 17443,
  [18012] = 17443,
  [18013] = 17460,
  [18014] = 17427,
  [18015] = 17429,
  [18016] = 17432,
  [18017] = 17471,
  [18018] = 17476,
  [18019] = 18019,
  [18020] = 17473,
  [18021] = 17470,
  [18022] = 17485,
  [18023] = 17418,
  [18024] = 17419,
  [18025] = 17479,
  [18026] = 17460,
  [18027] = 17782,
  [18028] = 17480,
  [18029] = 17609,
  [18030] = 17479,
  [18031] = 17470,
  [18032] = 17431,
  [18033] = 17433,
  [18034] = 17449,
  [18035] = 17471,
  [18036] = 17480,
  [18037] = 17428,
  [18038] = 17448,
  [18039] = 17449,
  [18040] = 17583,
  [18041] = 17585,
  [18042] = 17448,
  [18043] = 17438,
  [18044] = 17440,
  [18045] = 17527,
  [18046] = 17754,
  [18047] = 17441,
  [18048] = 17455,
  [18049] = 17456,
  [18050] = 17457,
  [18051] = 17458,
  [18052] = 17450,
  [18053] = 17488,
  [18054] = 17480,
  [18055] = 17452,
  [18056] = 17435,
  [18057] = 17454,
  [18058] = 18058,
  [18059] = 17476,
  [18060] = 17438,
  [18061] = 17440,
  [18062] = 17472,
  [18063] = 17485,
  [18064] = 17418,
  [18065] = 17419,
  [18066] = 17488,
  [18067] = 17443,
  [18068] = 17490,
  [18069] = 17806,
  [18070] = 17478,
  [18071] = 17480,
  [18072] = 17431,
  [18073] = 17433,
  [18074] = 17438,
  [18075] = 18075,
  [18076] = 17473,
  [18077] = 17428,
  [18078] = 17478,
  [18079] = 17446,
  [18080] = 17455,
  [18081] = 17456,
  [18082] = 17448,
  [18083] = 18083,
  [18084] = 17457,
  [18085] = 17458,
  [18086] = 17808,
  [18087] = 17583,
  [18088] = 17455,
  [18089] = 17456,
  [18090] = 17457,
  [18091] = 17458,
  [18092] = 17585,
  [18093] = 17583,
  [18094] = 17639,
  [18095] = 17585,
  [18096] = 18096,
  [18097] = 17440,
  [18098] = 17484,
  [18099] = 17476,
  [18100] = 17488,
  [18101] = 17441,
  [18102] = 17420,
  [18103] = 17485,
  [18104] = 17418,
  [18105] = 17419,
  [18106] = 17450,
  [18107] = 17452,
  [18108] = 17435,
  [18109] = 17473,
  [18110] = 17417,
  [18111] = 17836,
  [18112] = 17431,
  [18113] = 17433,
  [18114] = 17422,
  [18115] = 17454,
  [18116] = 17782,
  [18117] = 17428,
  [18118] = 17813,
  [18119] = 17417,
  [18120] = 17484,
  [18121] = 17472,
  [18122] = 17448,
  [18123] = 17425,
  [18124] = 17479,
  [18125] = 18125,
  [18126] = 17519,
  [18127] = 17429,
  [18128] = 17455,
  [18129] = 17456,
  [18130] = 17457,
  [18131] = 17458,
  [18132] = 17442,
  [18133] = 17460,
  [18134] = 17672,
  [18135] = 17438,
  [18136] = 17444,
  [18137] = 17441,
  [18138] = 17443,
  [18139] = 17476,
  [18140] = 17473,
  [18141] = 17460,
  [18142] = 17471,
  [18143] = 17485,
  [18144] = 17418,
  [18145] = 17419,
  [18146] = 17429,
  [18147] = 17450,
  [18148] = 17490,
  [18149] = 18149,
  [18150] = 17831,
  [18151] = 17479,
  [18152] = 17431,
  [18153] = 17433,
  [18154] = 17484,
  [18155] = 17445,
  [18156] = 18156,
  [18157] = 17428,
  [18158] = 17452,
  [18159] = 17435,
  [18160] = 17454,
  [18161] = 17442,
  [18162] = 17448,
  [18163] = 17782,
  [18164] = 17443,
  [18165] = 17440,
  [18166] = 17444,
  [18167] = 17470,
  [18168] = 17455,
  [18169] = 17456,
  [18170] = 17457,
  [18171] = 17458,
  [18172] = 17519,
  [18173] = 18173,
  [18174] = 17443,
  [18175] = 17476,
  [18176] = 17475,
  [18177] = 18177,
  [18178] = 17904,
  [18179] = 17476,
  [18180] = 17429,
  [18181] = 17442,
  [18182] = 17689,
  [18183] = 17485,
  [18184] = 17418,
  [18185] = 17419,
  [18186] = 17460,
  [18187] = 17813,
  [18188] = 17480,
  [18189] = 17471,
  [18190] = 17420,
  [18191] = 17438,
  [18192] = 17431,
  [18193] = 17433,
  [18194] = 17440,
  [18195] = 17488,
  [18196] = 17471,
  [18197] = 17428,
  [18198] = 17815,
  [18199] = 17454,
  [18200] = 17951,
  [18201] = 17422,
  [18202] = 17448,
  [18203] = 17478,
  [18204] = 17479,
  [18205] = 17445,
  [18206] = 17583,
  [18207] = 17585,
  [18208] = 17455,
  [18209] = 17456,
  [18210] = 17457,
  [18211] = 17458,
  [18212] = 17425,
  [18213] = 17417,
  [18214] = 17478,
  [18215] = 17470,
  [18216] = 17427,
  [18217] = 17488,
  [18218] = 17432,
  [18219] = 17476,
  [18220] = 17478,
  [18221] = 17470,
  [18222] = 17427,
  [18223] = 17485,
  [18224] = 17418,
  [18225] = 17419,
  [18226] = 17460,
  [18227] = 17472,
  [18228] = 17479,
  [18229] = 17639,
  [18230] = 17583,
  [18231] = 18156,
  [18232] = 17431,
  [18233] = 17433,
  [18234] = 17450,
  [18235] = 17452,
  [18236] = 17435,
  [18237] = 17428,
  [18238] = 17490,
  [18239] = 17472,
  [18240] = 17488,
  [18241] = 17454,
  [18242] = 17448,
  [18243] = 17585,
  [18244] = 17448,
  [18245] = 17417,
  [18246] = 17490,
  [18247] = 17488,
  [18248] = 17455,
  [18249] = 17456,
  [18250] = 17457,
  [18251] = 17458,
  [18252] = 17420,
  [18253] = 17754,
  [18254] = 17417,
  [18255] = 17473,
  [18256] = 17557,
  [18257] = 17444,
  [18258] = 17484,
  [18259] = 17476,
  [18260] = 17470,
  [18261] = 17476,
  [18262] = 17445,
  [18263] = 17485,
  [18264] = 17418,
  [18265] = 17419,
  [18266] = 17490,
  [18267] = 17422,
  [18268] = 17421,
  [18269] = 17417,
  [18270] = 17429,
  [18271] = 17484,
  [18272] = 17431,
  [18273] = 17433,
  [18274] = 17445,
  [18275] = 17442,
  [18276] = 17872,
  [18277] = 17428,
  [18278] = 17527,
  [18279] = 17874,
  [18280] = 17754,
  [18281] = 17806,
  [18282] = 17448,
  [18283] = 17429,
  [18284] = 17484,
  [18285] = 17442,
  [18286] = 17444,
  [18287] = 17445,
  [18288] = 17455,
  [18289] = 17456,
  [18290] = 17457,
  [18291] = 17458,
  [18292] = 17443,
  [18293] = 17439,
  [18294] = 17460,
  [18295] = 17475,
  [18296] = 17471,
  [18297] = 17456,
  [18298] = 17475,
  [18299] = 17476,
  [18300] = 17444,
  [18301] = 17475,
  [18302] = 17473,
  [18303] = 17485,
  [18304] = 17418,
  [18305] = 17419,
  [18306] = 17475,
  [18307] = 17485,
  [18308] = 17471,
  [18309] = 17479,
  [18310] = 17480,
  [18311] = 17443,
  [18312] = 17431,
  [18313] = 17433,
  [18314] = 17438,
  [18315] = 17420,
  [18316] = 17422,
  [18317] = 17428,
  [18318] = 17425,
  [18319] = 17418,
  [18320] = 17419,
  [18321] = 17425,
  [18322] = 17448,
  [18323] = 17470,
  [18324] = 17672,
  [18325] = 17427,
  [18326] = 17475,
  [18327] = 17432,
  [18328] = 17455,
  [18329] = 17456,
  [18330] = 17457,
  [18331] = 17458,
  [18332] = 17440,
  [18333] = 17475,
  [18334] = 17488,
  [18335] = 17490,
  [18336] = 17480,
  [18337] = 17429,
  [18338] = 17480,
  [18339] = 17476,
  [18340] = 17557,
  [18341] = 17438,
  [18342] = 17440,
  [18343] = 17485,
  [18344] = 17418,
  [18345] = 17419,
  [18346] = 17449,
  [18347] = 17697,
  [18348] = 17420,
  [18349] = 17488,
  [18350] = 17442,
  [18351] = 17478,
  [18352] = 17431,
  [18353] = 17433,
  [18354] = 17583,
  [18355] = 17422,
  [18356] = 17425,
  [18357] = 17428,
  [18358] = 17514,
  [18359] = 17427,
  [18360] = 17831,
  [18361] = 17441,
  [18362] = 17448,
  [18363] = 17450,
  [18364] = 18364,
  [18365] = 17452,
  [18366] = 17435,
  [18367] = 17454,
  [18368] = 17455,
  [18369] = 17456,
  [18370] = 17457,
  [18371] = 17458,
  [18372] = 17585,
  [18373] = 17475,
  [18374] = 18374,
  [18375] = 17417,
  [18376] = 17472,
  [18377] = 17480,
  [18378] = 17478,
  [18379] = 17476,
  [18380] = 17460,
  [18381] = 17427,
  [18382] = 17455,
  [18383] = 17485,
  [18384] = 17418,
  [18385] = 17419,
  [18386] = 17583,
  [18387] = 17416,
  [18388] = 17420,
  [18389] = 17473,
  [18390] = 17444,
  [18391] = 17585,
  [18392] = 17431,
  [18393] = 17433,
  [18394] = 17514,
  [18395] = 17431,
  [18396] = 17517,
  [18397] = 17428,
  [18398] = 17609,
  [18399] = 17433,
  [18400] = 18173,
  [18401] = 17417,
  [18402] = 17448,
  [18403] = 17422,
  [18404] = 17425,
  [18405] = 18405,
  [18406] = 17428,
  [18407] = 18407,
  [18408] = 17455,
  [18409] = 17456,
  [18410] = 17457,
  [18411] = 17458,
  [18412] = 17592,
  [18413] = 17456,
  [18414] = 17471,
  [18415] = 17457,
  [18416] = 17458,
  [18417] = 17446,
  [18418] = 17438,
  [18419] = 17476,
  [18420] = 17445,
  [18421] = 17490,
  [18422] = 17627,
  [18423] = 17485,
  [18424] = 17418,
  [18425] = 17419,
  [18426] = 18364,
  [18427] = 17427,
  [18428] = 18428,
  [18429] = 17484,
  [18430] = 17445,
  [18431] = 17421,
  [18432] = 17431,
  [18433] = 17433,
  [18434] = 17475,
  [18435] = 17420,
  [18436] = 17428,
  [18437] = 17517,
  [18438] = 18173,
  [18439] = 17432,
  [18440] = 17429,
  [18441] = 17448,
  [18442] = 17442,
  [18443] = 17429,
  [18444] = 17448,
  [18445] = 17444,
  [18446] = 17479,
  [18447] = 17455,
  [18448] = 17456,
  [18449] = 17457,
  [18450] = 17458,
  [18451] = 17443,
  [18452] = 17439,
  [18453] = 17460,
  [18454] = 17471,
  [18455] = 17490,
  [18456] = 17417,
  [18457] = 17476,
  [18458] = 17443,
  [18459] = 17475,
  [18460] = 17479,
  [18461] = 17485,
  [18462] = 17418,
  [18463] = 17419,
  [18464] = 17460,
  [18465] = 17442,
  [18466] = 17422,
  [18467] = 17471,
  [18468] = 18468,
  [18469] = 17420,
  [18470] = 17431,
  [18471] = 17433,
  [18472] = 17420,
  [18473] = 17425,
  [18474] = 17422,
  [18475] = 17428,
  [18476] = 17444,
  [18477] = 17440,
  [18478] = 17488,
  [18479] = 17470,
  [18480] = 17448,
  [18481] = 17425,
  [18482] = 17836,
  [18483] = 17432,
  [18484] = 17689,
  [18485] = 17427,
  [18486] = 17455,
  [18487] = 17456,
  [18488] = 17457,
  [18489] = 17458,
  [18490] = 17480,
  [18491] = 17455,
  [18492] = 17432,
  [18493] = 17456,
  [18494] = 17420,
  [18495] = 17480,
  [18496] = 17476,
  [18497] = 17557,
  [18498] = 17470,
  [18499] = 17438,
  [18500] = 17485,
  [18501] = 17418,
  [18502] = 17419,
  [18503] = 17440,
  [18504] = 17457,
  [18505] = 17488,
  [18506] = 17458,
  [18507] = 17420,
  [18508] = 17450,
  [18509] = 17431,
  [18510] = 17433,
  [18511] = 17478,
  [18512] = 17452,
  [18513] = 17583,
  [18514] = 17428,
  [18515] = 17438,
  [18516] = 17422,
  [18517] = 17425,
  [18518] = 17585,
  [18519] = 17448,
  [18520] = 17449,
  [18521] = 17441,
  [18522] = 17421,
  [18523] = 17435,
  [18524] = 17454,
  [18525] = 17455,
  [18526] = 17456,
  [18527] = 17457,
  [18528] = 17458,
  [18529] = 17439,
  [18530] = 17479,
  [18531] = 17443,
  [18532] = 17422,
  [18533] = 17460,
  [18534] = 17476,
  [18535] = 17417,
  [18536] = 17473,
  [18537] = 17639,
  [18538] = 17485,
  [18539] = 17418,
  [18540] = 17419,
  [18541] = 17490,
  [18542] = 17471,
  [18543] = 17450,
  [18544] = 17808,
  [18545] = 17519,
  [18546] = 17427,
  [18547] = 17431,
  [18548] = 17433,
  [18549] = 17442,
  [18550] = 17444,
  [18551] = 17417,
  [18552] = 17428,
  [18553] = 17427,
  [18554] = 17479,
  [18555] = 17452,
  [18556] = 18556,
  [18557] = 17448,
  [18558] = 17435,
  [18559] = 17454,
  [18560] = 17441,
  [18561] = 17450,
  [18562] = 17557,
  [18563] = 17455,
  [18564] = 17456,
  [18565] = 17457,
  [18566] = 17458,
  [18567] = 17452,
  [18568] = 17443,
  [18569] = 17478,
  [18570] = 17460,
  [18571] = 17471,
  [18572] = 17476,
  [18573] = 17425,
  [18574] = 17490,
  [18575] = 17435,
  [18576] = 17485,
  [18577] = 17418,
  [18578] = 17419,
  [18579] = 17454,
  [18580] = 17440,
  [18581] = 17484,
  [18582] = 17445,
  [18583] = 17470,
  [18584] = 17782,
  [18585] = 17431,
  [18586] = 17433,
  [18587] = 17484,
  [18588] = 17479,
  [18589] = 17470,
  [18590] = 17428,
  [18591] = 17519,
  [18592] = 17479,
  [18593] = 17488,
  [18594] = 17445,
  [18595] = 17448,
  [18596] = 18596,
  [18597] = 17470,
  [18598] = 17514,
  [18599] = 17517,
  [18600] = 17904,
  [18601] = 17455,
  [18602] = 17456,
  [18603] = 17457,
  [18604] = 17458,
  [18605] = 17440,
  [18606] = 17488,
  [18607] = 17514,
  [18608] = 17484,
  [18609] = 17583,
  [18610] = 17476,
  [18611] = 17585,
  [18612] = 17813,
  [18613] = 17475,
  [18614] = 17485,
  [18615] = 17418,
  [18616] = 17419,
  [18617] = 17517,
  [18618] = 17627,
  [18619] = 17815,
  [18620] = 17806,
  [18621] = 17480,
  [18622] = 17473,
  [18623] = 17431,
  [18624] = 17433,
  [18625] = 17420,
  [18626] = 17422,
  [18627] = 17425,
  [18628] = 17428,
  [18629] = 17432,
  [18630] = 17478,
  [18631] = 17420,
  [18632] = 17417,
  [18633] = 17448,
  [18634] = 17427,
  [18635] = 17480,
  [18636] = 17478,
  [18637] = 17432,
  [18638] = 17480,
  [18639] = 17455,
  [18640] = 17456,
  [18641] = 17457,
  [18642] = 17458,
  [18643] = 17449,
  [18644] = 17438,
  [18645] = 17438,
  [18646] = 17484,
  [18647] = 17440,
  [18648] = 17476,
  [18649] = 17475,
  [18650] = 17488,
  [18651] = 17440,
  [18652] = 17485,
  [18653] = 17418,
  [18654] = 17419,
  [18655] = 17449,
  [18656] = 17476,
  [18657] = 17951,
  [18658] = 17427,
  [18659] = 17488,
  [18660] = 17836,
  [18661] = 17431,
  [18662] = 17433,
  [18663] = 17478,
  [18664] = 17583,
  [18665] = 17454,
  [18666] = 17428,
  [18667] = 17422,
  [18668] = 17872,
  [18669] = 17514,
  [18670] = 17441,
  [18671] = 17448,
  [18672] = 17450,
  [18673] = 17452,
  [18674] = 17435,
  [18675] = 17454,
  [18676] = 17455,
  [18677] = 17456,
  [18678] = 17457,
  [18679] = 17458,
  [18680] = 17421,
  [18681] = 17439,
  [18682] = 17874,
  [18683] = 17472,
  [18684] = 17475,
  [18685] = 17476,
  [18686] = 17473,
  [18687] = 17557,
  [18688] = 17472,
  [18689] = 17485,
  [18690] = 17418,
  [18691] = 17419,
  [18692] = 17478,
  [18693] = 17425,
  [18694] = 17480,
  [18695] = 17585,
  [18696] = 17442,
  [18697] = 17473,
  [18698] = 17431,
  [18699] = 17433,
  [18700] = 18700,
  [18701] = 17428,
  [18702] = 17438,
  [18703] = 17428,
  [18704] = 17513,
  [18705] = 17517,
  [18706] = 17557,
  [18707] = 17535,
  [18708] = 17448,
  [18709] = 17444,
  [18710] = 17485,
  [18711] = 17527,
  [18712] = 17443,
  [18713] = 17455,
  [18714] = 17456,
  [18715] = 17457,
  [18716] = 17458,
  [18717] = 17460,
  [18718] = 17471,
  [18719] = 17754,
  [18720] = 17806,
  [18721] = 17479,
  [18722] = 17476,
  [18723] = 17470,
  [18724] = 17427,
  [18725] = 17513,
  [18726] = 17485,
  [18727] = 17418,
  [18728] = 17419,
  [18729] = 17473,
  [18730] = 17583,
  [18731] = 17672,
  [18732] = 17831,
  [18733] = 17438,
  [18734] = 17535,
  [18735] = 17431,
  [18736] = 17433,
  [18737] = 17420,
  [18738] = 17440,
  [18739] = 17488,
  [18740] = 17428,
  [18741] = 17418,
  [18742] = 17419,
  [18743] = 17585,
  [18744] = 17639,
  [18745] = 17448,
  [18746] = 17429,
  [18747] = 17442,
  [18748] = 17432,
  [18749] = 17444,
  [18750] = 17455,
  [18751] = 17456,
  [18752] = 17457,
  [18753] = 17458,
  [18754] = 17583,
  [18755] = 17585,
  [18756] = 17443,
  [18757] = 17460,
  [18758] = 17471,
  [18759] = 17583,
  [18760] = 17585,
  [18761] = 17417,
  [18762] = 17485,
  [18763] = 17418,
  [18764] = 17419,
  [18765] = 17449,
  [18766] = 17429,
  [18767] = 17479,
  [18768] = 17904,
  [18769] = 17479,
  [18770] = 17570,
  [18771] = 17431,
  [18772] = 17433,
  [18773] = 17484,
  [18774] = 17429,
  [18775] = 17475,
  [18776] = 17428,
  [18777] = 17442,
  [18778] = 17444,
  [18779] = 17570,
  [18780] = 17478,
  [18781] = 17448,
  [18782] = 17422,
  [18783] = 17470,
  [18784] = 17425,
  [18785] = 17443,
  [18786] = 17455,
  [18787] = 17456,
  [18788] = 17457,
  [18789] = 17458,
  [18790] = 17485,
  [18791] = 17429,
  [18792] = 17440,
  [18793] = 17431,
  [18794] = 17473,
  [18795] = 17457,
  [18796] = 17454,
  [18797] = 17485,
  [18798] = 17418,
  [18799] = 17419,
  [18800] = 17433,
  [18801] = 17460,
  [18802] = 17431,
  [18803] = 17433,
  [18804] = 17428,
  [18805] = 17471,
  [18806] = 17639,
  [18807] = 17428,
  [18808] = 17448,
  [18809] = 17480,
  [18810] = 17455,
  [18811] = 17456,
  [18812] = 17457,
  [18813] = 17458,
  [18814] = 18814,
  [18815] = 17427,
  [18816] = 17438,
  [18817] = 17440,
  [18818] = 17442,
  [18819] = 17488,
  [18820] = 17485,
  [18821] = 17418,
  [18822] = 17419,
  [18823] = 17668,
  [18824] = 17441,
  [18825] = 17431,
  [18826] = 17433,
  [18827] = 17450,
  [18828] = 17592,
  [18829] = 17513,
  [18830] = 17448,
  [18831] = 17452,
  [18832] = 17455,
  [18833] = 17456,
  [18834] = 17457,
  [18835] = 17458,
  [18836] = 17479,
  [18837] = 17478,
  [18838] = 18838,
  [18839] = 17473,
  [18840] = 17583,
  [18841] = 17443,
  [18842] = 17535,
  [18843] = 17448,
  [18844] = 17627,
  [18845] = 17456,
  [18846] = 17457,
  [18847] = 17458,
  [18848] = 17639,
  [18849] = 17585,
  [18850] = 17435,
  [18851] = 17470,
  [18852] = 17513,
  [18853] = 17417,
  [18854] = 17583,
  [18855] = 17455,
  [18856] = 17456,
  [18857] = 17456,
  [18858] = 17457,
  [18859] = 17458,
  [18860] = 17442,
  [18861] = 17457,
  [18862] = 17444,
  [18863] = 17458,
  [18864] = 17583,
  [18865] = 17585,
  [18866] = 18866,
  [18867] = 17456,
  [18868] = 17457,
  [18869] = 17458,
  [18870] = 17443,
  [18871] = 17470,
  [18872] = 17440,
  [18873] = 17592,
  [18874] = 17454,
  [18875] = 17557,
  [18876] = 17476,
  [18877] = 17456,
  [18878] = 17457,
  [18879] = 17458,
  [18880] = 17488,
  [18881] = 17583,
  [18882] = 17585,
  [18883] = 17782,
  [18884] = 17480,
  [18885] = 17585,
  [18886] = 17490,
  [18887] = 17456,
  [18888] = 17457,
  [18889] = 17458,
  [18890] = 17484,
  [18891] = 17627,
  [18892] = 17438,
  [18893] = 17813,
  [18894] = 17808,
  [18895] = 17440,
  [18896] = 17488,
  [18897] = 17456,
  [18898] = 17457,
  [18899] = 17458,
  [18900] = 17454,
  [18901] = 17484,
  [18902] = 17473,
  [18903] = 17441,
  [18904] = 17445,
  [18905] = 17460,
  [18906] = 17478,
  [18907] = 17456,
  [18908] = 17457,
  [18909] = 17458,
  [18910] = 17432,
  [18911] = 17476,
  [18912] = 17442,
  [18913] = 17471,
  [18914] = 17583,
  [18915] = 17585,
  [18916] = 17872,
  [18917] = 17456,
  [18918] = 17457,
  [18919] = 17458,
  [18920] = 17444,
  [18921] = 17460,
  [18922] = 17470,
  [18923] = 17417,
  [18924] = 17450,
  [18925] = 17472,
  [18926] = 17440,
  [18927] = 17456,
  [18928] = 17457,
  [18929] = 17458,
  [18930] = 17440,
  [18931] = 17639,
  [18932] = 17488,
  [18933] = 17452,
  [18934] = 17435,
  [18935] = 17808,
  [18936] = 17442,
  [18937] = 17456,
  [18938] = 17457,
  [18939] = 17458,
  [18940] = 17583,
  [18941] = 17485,
  [18942] = 17585,
  [18943] = 17488,
  [18944] = 17454,
  [18945] = 17418,
  [18946] = 17419,
  [18947] = 17456,
  [18948] = 17457,
  [18949] = 17458,
  [18950] = 17484,
  [18951] = 17490,
  [18952] = 17454,
  [18953] = 17473,
  [18954] = 17627,
  [18955] = 17458,
  [18956] = 17417,
  [18957] = 17456,
  [18958] = 17457,
  [18959] = 17458,
  [18960] = 17475,
  [18961] = 17473,
  [18962] = 17557,
  [18963] = 17488,
  [18964] = 17448,
  [18965] = 17479,
  [18966] = 17442,
  [18967] = 17444,
  [18968] = 17484,
  [18969] = 18173,
  [18970] = 17470,
  [18971] = 17444,
  [18972] = 17440,
  [18973] = 17488,
  [18974] = 17420,
  [18975] = 17583,
  [18976] = 17585,
  [18977] = 17431,
  [18978] = 17484,
  [18979] = 17422,
  [18980] = 17433,
  [18981] = 17454,
  [18982] = 17425,
  [18983] = 17452,
  [18984] = 17473,
  [18985] = 17471,
  [18986] = 17427,
  [18987] = 17428,
  [18988] = 17442,
  [18989] = 17421,
  [18990] = 17444,
  [18991] = 17836,
  [18992] = 17479,
  [18993] = 17470,
  [18994] = 17440,
  [18995] = 17473,
  [18996] = 17488,
  [18997] = 17583,
  [18998] = 17836,
  [18999] = 17585,
  [19000] = 17484,
  [19001] = 17514,
  [19002] = 17484,
  [19003] = 17454,
  [19004] = 17517,
  [19005] = 17445,
  [19006] = 17473,
  [19007] = 17627,
  [19008] = 17417,
  [19009] = 17448,
  [19010] = 17490,
  [19011] = 17442,
  [19012] = 17444,
  [19013] = 17444,
  [19014] = 17432,
  [19015] = 17470,
  [19016] = 17980,
  [19017] = 17440,
  [19018] = 17488,
  [19019] = 17668,
  [19020] = 17583,
  [19021] = 17585,
  [19022] = 17484,
  [19023] = 17484,
  [19024] = 17455,
  [19025] = 17456,
  [19026] = 17454,
  [19027] = 17457,
  [19028] = 17458,
  [19029] = 17473,
  [19030] = 17478,
  [19031] = 17445,
  [19032] = 17490,
  [19033] = 17442,
  [19034] = 17444,
  [19035] = 17813,
  [19036] = 17470,
  [19037] = 17417,
  [19038] = 17440,
  [19039] = 17488,
  [19040] = 19040,
  [19041] = 17470,
  [19042] = 18866,
  [19043] = 17583,
  [19044] = 17585,
  [19045] = 17484,
  [19046] = 17429,
  [19047] = 17454,
  [19048] = 17484,
  [19049] = 17557,
  [19050] = 17473,
  [19051] = 17445,
  [19052] = 17449,
  [19053] = 17443,
  [19054] = 17442,
  [19055] = 17490,
  [19056] = 17444,
  [19057] = 17460,
  [19058] = 17435,
  [19059] = 17445,
  [19060] = 17470,
  [19061] = 17416,
  [19062] = 17440,
  [19063] = 17488,
  [19064] = 17583,
  [19065] = 17585,
  [19066] = 17484,
  [19067] = 17475,
  [19068] = 17454,
  [19069] = 17471,
  [19070] = 18364,
  [19071] = 17473,
  [19072] = 17679,
  [19073] = 17441,
  [19074] = 17513,
  [19075] = 17442,
  [19076] = 19076,
  [19077] = 17479,
  [19078] = 17444,
  [19079] = 17557,
  [19080] = 18156,
  [19081] = 17470,
  [19082] = 17440,
  [19083] = 17488,
  [19084] = 17418,
  [19085] = 17475,
  [19086] = 17583,
  [19087] = 17585,
  [19088] = 17484,
  [19089] = 17478,
  [19090] = 17420,
  [19091] = 17422,
  [19092] = 17425,
  [19093] = 17454,
  [19094] = 17427,
  [19095] = 17441,
  [19096] = 17432,
  [19097] = 17442,
  [19098] = 17473,
  [19099] = 18374,
  [19100] = 19076,
  [19101] = 17450,
  [19102] = 17442,
  [19103] = 17444,
  [19104] = 17452,
  [19105] = 17470,
  [19106] = 17449,
  [19107] = 17440,
  [19108] = 17488,
  [19109] = 18814,
  [19110] = 17583,
  [19111] = 18083,
  [19112] = 17585,
  [19113] = 17484,
  [19114] = 17421,
  [19115] = 17672,
  [19116] = 17441,
  [19117] = 17450,
  [19118] = 17452,
  [19119] = 17435,
  [19120] = 17454,
  [19121] = 17435,
  [19122] = 17454,
  [19123] = 17472,
  [19124] = 17454,
  [19125] = 17473,
  [19126] = 17450,
  [19127] = 17782,
  [19128] = 17735,
  [19129] = 17980,
  [19130] = 18019,
  [19131] = 17442,
  [19132] = 17476,
  [19133] = 17444,
  [19134] = 17813,
  [19135] = 18405,
  [19136] = 18556,
  [19137] = 18700,
  [19138] = 17452,
  [19139] = 17470,
  [19140] = 17473,
  [19141] = 17440,
  [19142] = 17443,
  [19143] = 17439,
  [19144] = 17488,
  [19145] = 17872,
  [19146] = 17583,
  [19147] = 19147,
  [19148] = 17585,
  [19149] = 17420,
  [19150] = 17484,
  [19151] = 17422,
  [19152] = 17454,
  [19153] = 18096,
  [19154] = 17472,
  [19155] = 19155,
  [19156] = 17473,
  [19157] = 17490,
  [19158] = 17425,
  [19159] = 17444,
  [19160] = 17419,
  [19161] = 17442,
  [19162] = 17444,
  [19163] = 17535,
  [19164] = 17470,
  [19165] = 17514,
  [19166] = 17429,
  [19167] = 17460,
  [19168] = 17429,
  [19169] = 17442,
  [19170] = 17485,
  [19171] = 17440,
  [19172] = 17444,
  [19173] = 17427,
  [19174] = 17488,
  [19175] = 17442,
  [19176] = 17443,
  [19177] = 17460,
  [19178] = 17471,
  [19179] = 17517,
  [19180] = 17418,
  [19181] = 17419,
  [19182] = 17479,
  [19183] = 17583,
  [19184] = 17585,
  [19185] = 17484,
  [19186] = 17473,
  [19187] = 17454,
  [19188] = 17432,
  [19189] = 17444,
  [19190] = 17470,
  [19191] = 17473,
  [19192] = 17435,
  [19193] = 19040,
  [19194] = 17417,
  [19195] = 18866,
  [19196] = 18156,
  [19197] = 17442,
  [19198] = 17444,
  [19199] = 17475,
  [19200] = 17454,
  [19201] = 17470,
  [19202] = 17440,
  [19203] = 17480,
  [19204] = 17488,
  [19205] = 17438,
  [19206] = 17416,
  [19207] = 17440,
  [19208] = 17488,
  [19209] = 17583,
  [19210] = 17432,
  [19211] = 17585,
  [19212] = 17478,
  [19213] = 17484,
  [19214] = 17535,
  [19215] = 17583,
  [19216] = 17585,
  [19217] = 17454,
  [19218] = 17639,
  [19219] = 17480,
  [19220] = 17443,
  [19221] = 17473,
  [19222] = 19222,
  [19223] = 17479,
  [19224] = 17441,
  [19225] = 17444,
  [19226] = 18814,
  [19227] = 17639,
  [19228] = 18083,
  [19229] = 17808,
  [19230] = 17697,
  [19231] = 17488,
  [19232] = 17583,
  [19233] = 17585,
  [19234] = 17431,
  [19235] = 17484,
  [19236] = 17417,
  [19237] = 17444,
  [19238] = 17450,
  [19239] = 17583,
  [19240] = 18019,
  [19241] = 17585,
  [19242] = 17433,
  [19243] = 18405,
  [19244] = 18556,
  [19245] = 18700,
  [19246] = 17452,
  [19247] = 17484,
  [19248] = 17557,
  [19249] = 17435,
  [19250] = 17454,
  [19251] = 17444,
  [19252] = 17484,
  [19253] = 17490,
  [19254] = 17428,
  [19255] = 17460,
  [19256] = 17471,
  [19257] = 17484,
  [19258] = 17445,
  [19259] = 17475,
  [19260] = 17583,
  [19261] = 17585,
  [19262] = 17484,
  [19263] = 17583,
  [19264] = 17583,
  [19265] = 17585,
  [19266] = 17484,
  [19267] = 17471,
  [19268] = 19268,
  [19269] = 17519,
  [19270] = 18866,
  [19271] = 17583,
  [19272] = 17585,
  [19273] = 5341,
  [19274] = 17484,
  [19275] = 17445,
  [19276] = 17583,
  [19277] = 17475,
  [19278] = 19147,
  [19279] = 19279,
  [19280] = 17585,
  [19281] = 17484,
  [19282] = 19282,
  [19283] = 17420,
  [19284] = 17422,
  [19285] = 17425,
  [19286] = 17583,
  [19287] = 17585,
  [19288] = 17427,
  [19289] = 17476,
  [19290] = 17432,
  [19291] = 17484,
  [19292] = 17585,
  [19293] = 17583,
  [19294] = 17585,
  [19295] = 17484,
  [19296] = 17473,
  [19297] = 17583,
  [19298] = 17449,
  [19299] = 18814,
  [19300] = 17479,
  [19301] = 18083,
  [19302] = 17585,
  [19303] = 17484,
  [19304] = 17473,
  [19305] = 17583,
  [19306] = 17585,
  [19307] = 17484,
  [19308] = 17441,
  [19309] = 17450,
  [19310] = 18156,
  [19311] = 17583,
  [19312] = 17452,
  [19313] = 18019,
  [19314] = 17435,
  [19315] = 17448,
  [19316] = 18405,
  [19317] = 18556,
  [19318] = 18700,
  [19319] = 17454,
  [19320] = 17585,
  [19321] = 17484,
  [19322] = 17472,
  [19323] = 17708,
  [19324] = 17583,
  [19325] = 17585,
  [19326] = 17583,
  [19327] = 17689,
  [19328] = 17484,
  [19329] = 17449,
  [19330] = 17473,
  [19331] = 17438,
  [19332] = 17470,
  [19333] = 17420,
  [19334] = 17422,
  [19335] = 17583,
  [19336] = 17585,
  [19337] = 17872,
  [19338] = 17831,
  [19339] = 17455,
  [19340] = 18866,
  [19341] = 17484,
  [19342] = 17456,
  [19343] = 17570,
  [19344] = 19344,
  [19345] = 17457,
  [19346] = 17458,
  [19347] = 17583,
  [19348] = 17585,
  [19349] = 17484,
  [19350] = 17425,
  [19351] = 17583,
  [19352] = 17585,
  [19353] = 17417,
  [19354] = 17429,
  [19355] = 17442,
  [19356] = 17443,
  [19357] = 17444,
  [19358] = 18814,
  [19359] = 17427,
  [19360] = 18083,
  [19361] = 17484,
  [19362] = 17443,
  [19363] = 17432,
  [19364] = 17583,
  [19365] = 17460,
  [19366] = 18019,
  [19367] = 18405,
  [19368] = 18556,
  [19369] = 18700,
  [19370] = 17471,
  [19371] = 17417,
  [19372] = 19372,
  [19373] = 18866,
  [19374] = 17585,
  [19375] = 17441,
  [19376] = 17484,
  [19377] = 17450,
  [19378] = 17479,
  [19379] = 17452,
  [19380] = 17583,
  [19381] = 17585,
  [19382] = 17484,
  [19383] = 17682,
  [19384] = 17479,
  [19385] = 17583,
  [19386] = 17435,
  [19387] = 17585,
  [19388] = 17470,
  [19389] = 18814,
  [19390] = 17484,
  [19391] = 18083,
  [19392] = 17490,
  [19393] = 18405,
  [19394] = 18556,
  [19395] = 18700,
  [19396] = 17454,
  [19397] = 17527,
  [19398] = 18866,
  [19399] = 17583,
  [19400] = 17585,
  [19401] = 17484,
  [19402] = 17438,
  [19403] = 17420,
  [19404] = 17782,
  [19405] = 17583,
  [19406] = 17585,
  [19407] = 17429,
  [19408] = 17480,
  [19409] = 17484,
  [19410] = 17475,
  [19411] = 18814,
  [19412] = 17438,
  [19413] = 18083,
  [19414] = 17583,
  [19415] = 18405,
  [19416] = 18556,
  [19417] = 18700,
  [19418] = 18866,
  [19419] = 17585,
  [19420] = 17440,
  [19421] = 17488,
  [19422] = 17470,
  [19423] = 17442,
  [19424] = 17478,
  [19425] = 17484,
  [19426] = 17417,
  [19427] = 17583,
  [19428] = 17585,
  [19429] = 17583,
  [19430] = 17585,
  [19431] = 18814,
  [19432] = 17422,
  [19433] = 18083,
  [19434] = 17484,
  [19435] = 18405,
  [19436] = 18556,
  [19437] = 18700,
  [19438] = 18866,
  [19439] = 17519,
  [19440] = 17429,
  [19441] = 17583,
  [19442] = 17585,
  [19443] = 17442,
  [19444] = 17444,
  [19445] = 17484,
  [19446] = 17444,
  [19447] = 17583,
  [19448] = 17639,
  [19449] = 17585,
  [19450] = 17484,
  [19451] = 18814,
  [19452] = 17689,
  [19453] = 18083,
  [19454] = 17420,
  [19455] = 18405,
  [19456] = 18556,
  [19457] = 18700,
  [19458] = 18866,
  [19459] = 17445,
  [19460] = 17422,
  [19461] = 17904,
  [19462] = 17476,
  [19463] = 17592,
  [19464] = 17417,
  [19465] = 17425,
  [19466] = 17813,
  [19467] = 17427,
  [19468] = 17432,
  [19469] = 17429,
  [19470] = 18814,
  [19471] = 17442,
  [19472] = 18083,
  [19473] = 17872,
  [19474] = 18405,
  [19475] = 18556,
  [19476] = 18700,
  [19477] = 18866,
  [19478] = 17514,
  [19479] = 17557,
  [19480] = 17517,
  [19481] = 17443,
  [19482] = 17627,
  [19483] = 19483,
  [19484] = 17425,
  [19485] = 17490,
  [19486] = 17460,
  [19487] = 17444,
  [19488] = 18814,
  [19489] = 17432,
  [19490] = 18083,
  [19491] = 17417,
  [19492] = 18405,
  [19493] = 18556,
  [19494] = 18700,
  [19495] = 18866,
  [19496] = 17443,
  [19497] = 17484,
  [19498] = 17445,
  [19499] = 17460,
  [19500] = 17471,
  [19501] = 17476,
  [19502] = 17421,
  [19503] = 17445,
  [19504] = 17484,
  [19505] = 17445,
  [19506] = 18814,
  [19507] = 17479,
  [19508] = 18083,
  [19509] = 17471,
  [19510] = 18405,
  [19511] = 18556,
  [19512] = 18700,
  [19513] = 18866,
  [19514] = 17449,
  [19515] = 17470,
  [19516] = 18866,
  [19517] = 17439,
  [19518] = 17422,
  [19519] = 17557,
  [19520] = 17815,
  [19521] = 17470,
  [19522] = 17425,
  [19523] = 18814,
  [19524] = 17872,
  [19525] = 18083,
  [19526] = 17585,
  [19527] = 18405,
  [19528] = 18556,
  [19529] = 18700,
  [19530] = 17441,
  [19531] = 17754,
  [19532] = 17475,
  [19533] = 17485,
  [19534] = 17450,
  [19535] = 17441,
  [19536] = 19536,
  [19537] = 17452,
  [19538] = 17435,
  [19539] = 18814,
  [19540] = 17420,
  [19541] = 18083,
  [19542] = 17872,
  [19543] = 18405,
  [19544] = 18556,
  [19545] = 18700,
  [19546] = 17874,
  [19547] = 17422,
  [19548] = 17425,
  [19549] = 17454,
  [19550] = 17782,
  [19551] = 17427,
  [19552] = 17429,
  [19553] = 17432,
  [19554] = 17874,
  [19555] = 18814,
  [19556] = 17813,
  [19557] = 18083,
  [19558] = 17450,
  [19559] = 18405,
  [19560] = 18556,
  [19561] = 18700,
  [19562] = 17490,
  [19563] = 17472,
  [19564] = 17441,
  [19565] = 17639,
  [19566] = 17815,
  [19567] = 17418,
  [19568] = 17480,
  [19569] = 17419,
  [19570] = 17519,
  [19571] = 18814,
  [19572] = 17449,
  [19573] = 18083,
  [19574] = 17473,
  [19575] = 18405,
  [19576] = 18556,
  [19577] = 18700,
  [19578] = 17442,
  [19579] = 17443,
  [19580] = 17689,
  [19581] = 17689,
  [19582] = 17485,
  [19583] = 17480,
  [19584] = 17460,
  [19585] = 17471,
  [19586] = 17475,
  [19587] = 18814,
  [19588] = 17441,
  [19589] = 18083,
  [19590] = 17418,
  [19591] = 18405,
  [19592] = 18556,
  [19593] = 18700,
  [19594] = 17419,
  [19595] = 17450,
  [19596] = 17452,
  [19597] = 17435,
  [19598] = 17438,
  [19599] = 17454,
  [19600] = 17557,
  [19601] = 17708,
  [19602] = 17440,
  [19603] = 18814,
  [19604] = 17472,
  [19605] = 18083,
  [19606] = 17427,
  [19607] = 18405,
  [19608] = 18556,
  [19609] = 18700,
  [19610] = 17480,
  [19611] = 17488,
  [19612] = 17668,
  [19613] = 12773,
  [19614] = 17438,
  [19615] = 17444,
  [19616] = 17951,
  [19617] = 17440,
  [19618] = 17484,
  [19619] = 18814,
  [19620] = 17473,
  [19621] = 18083,
  [19622] = 17440,
  [19623] = 18405,
  [19624] = 18556,
  [19625] = 18700,
  [19626] = 17488,
  [19627] = 17479,
  [19628] = 17479,
  [19629] = 19629,
  [19630] = 17478,
  [19631] = 17421,
  [19632] = 17438,
  [19633] = 17460,
  [19634] = 17443,
  [19635] = 18814,
  [19636] = 19636,
  [19637] = 18083,
  [19638] = 17624,
  [19639] = 18405,
  [19640] = 18556,
  [19641] = 18700,
  [19642] = 17583,
  [19643] = 17431,
  [19644] = 17478,
  [19645] = 17519,
  [19646] = 17585,
  [19647] = 17460,
  [19648] = 17445,
  [19649] = 17433,
  [19650] = 17450,
  [19651] = 18814,
  [19652] = 17471,
  [19653] = 18083,
  [19654] = 17452,
  [19655] = 18405,
  [19656] = 18556,
  [19657] = 18700,
  [19658] = 17708,
  [19659] = 17470,
  [19660] = 17435,
  [19661] = 17440,
  [19662] = 17452,
  [19663] = 17429,
  [19664] = 17442,
  [19665] = 18468,
  [19666] = 17639,
  [19667] = 18814,
  [19668] = 17444,
  [19669] = 18083,
  [19670] = 17951,
  [19671] = 18405,
  [19672] = 18556,
  [19673] = 18700,
  [19674] = 17475,
  [19675] = 17627,
  [19676] = 17443,
  [19677] = 17460,
  [19678] = 17417,
  [19679] = 17471,
  [19680] = 17420,
  [19681] = 17428,
  [19682] = 18156,
  [19683] = 17490,
  [19684] = 18083,
  [19685] = 17697,
  [19686] = 18405,
  [19687] = 18556,
  [19688] = 18700,
  [19689] = 17488,
  [19690] = 17479,
  [19691] = 17422,
  [19692] = 17488,
  [19693] = 17476,
  [19694] = 17557,
  [19695] = 17479,
  [19696] = 17475,
  [19697] = 17441,
  [19698] = 17485,
  [19699] = 18083,
  [19700] = 17470,
  [19701] = 18405,
  [19702] = 18556,
  [19703] = 18700,
  [19704] = 17470,
  [19705] = 19705,
  [19706] = 17470,
  [19707] = 17480,
  [19708] = 17557,
  [19709] = 17473,
  [19710] = 17438,
  [19711] = 17440,
  [19712] = 17809,
  [19713] = 17448,
  [19714] = 18083,
  [19715] = 17874,
  [19716] = 18405,
  [19717] = 18556,
  [19718] = 18700,
  [19719] = 19719,
  [19720] = 17488,
  [19721] = 17460,
  [19722] = 19722,
  [19723] = 17513,
  [19724] = 17480,
  [19725] = 17472,
  [19726] = 17438,
  [19727] = 17535,
  [19728] = 17440,
  [19729] = 18083,
  [19730] = 17441,
  [19731] = 18405,
  [19732] = 18556,
  [19733] = 18700,
  [19734] = 18407,
  [19735] = 17488,
  [19736] = 17519,
  [19737] = 17478,
  [19738] = 17619,
  [19739] = 17478,
  [19740] = 17490,
  [19741] = 17583,
  [19742] = 17429,
  [19743] = 17585,
  [19744] = 18083,
  [19745] = 17583,
  [19746] = 18405,
  [19747] = 18556,
  [19748] = 18700,
  [19749] = 17490,
  [19750] = 19483,
  [19751] = 17455,
  [19752] = 17431,
  [19753] = 17585,
  [19754] = 17433,
  [19755] = 18075,
  [19756] = 17456,
  [19757] = 17735,
  [19758] = 17420,
  [19759] = 18083,
  [19760] = 17428,
  [19761] = 18405,
  [19762] = 18556,
  [19763] = 18700,
  [19764] = 17457,
  [19765] = 17458,
  [19766] = 17480,
  [19767] = 17639,
  [19768] = 17682,
  [19769] = 17418,
  [19770] = 17422,
  [19771] = 17484,
  [19772] = 17450,
  [19773] = 17470,
  [19774] = 18083,
  [19775] = 17445,
  [19776] = 18405,
  [19777] = 18556,
  [19778] = 18700,
  [19779] = 17425,
  [19780] = 17425,
  [19781] = 17513,
  [19782] = 17417,
  [19783] = 17438,
  [19784] = 17440,
  [19785] = 19155,
  [19786] = 17535,
  [19787] = 17420,
  [19788] = 17429,
  [19789] = 18083,
  [19790] = 17422,
  [19791] = 18405,
  [19792] = 18556,
  [19793] = 18700,
  [19794] = 17425,
  [19795] = 17557,
  [19796] = 17583,
  [19797] = 17419,
  [19798] = 17427,
  [19799] = 17442,
  [19800] = 17475,
  [19801] = 17490,
  [19802] = 17519,
  [19803] = 17585,
  [19804] = 18083,
  [19805] = 17479,
  [19806] = 18405,
  [19807] = 18556,
  [19808] = 18700,
  [19809] = 17446,
  [19810] = 17682,
  [19811] = 17484,
  [19812] = 17445,
  [19813] = 17429,
  [19814] = 17444,
  [19815] = 17488,
  [19816] = 17478,
  [19817] = 17514,
  [19818] = 17435,
  [19819] = 18083,
  [19820] = 17480,
  [19821] = 18405,
  [19822] = 18556,
  [19823] = 18700,
  [19824] = 17420,
  [19825] = 17422,
  [19826] = 17425,
  [19827] = 17427,
  [19828] = 17421,
  [19829] = 17439,
  [19830] = 17427,
  [19831] = 17443,
  [19832] = 17475,
  [19833] = 17452,
  [19834] = 18083,
  [19835] = 17460,
  [19836] = 18405,
  [19837] = 18556,
  [19838] = 18700,
  [19839] = 17448,
  [19840] = 17471,
  [19841] = 17438,
  [19842] = 19040,
  [19843] = 17432,
  [19844] = 17475,
  [19845] = 17440,
  [19846] = 17432,
  [19847] = 17479,
  [19848] = 17427,
  [19849] = 18083,
  [19850] = 17488,
  [19851] = 18405,
  [19852] = 18556,
  [19853] = 18700,
  [19854] = 17517,
  [19855] = 17429,
  [19856] = 17420,
  [19857] = 17422,
  [19858] = 17627,
  [19859] = 17425,
  [19860] = 17441,
  [19861] = 17427,
  [19862] = 17519,
  [19863] = 17471,
  [19864] = 18083,
  [19865] = 17450,
  [19866] = 18405,
  [19867] = 18556,
  [19868] = 18700,
  [19869] = 17583,
  [19870] = 17432,
  [19871] = 17452,
  [19872] = 17435,
  [19873] = 17470,
  [19874] = 17454,
  [19875] = 17476,
  [19876] = 17442,
  [19877] = 17445,
  [19878] = 17432,
  [19879] = 18083,
  [19880] = 17455,
  [19881] = 18405,
  [19882] = 18556,
  [19883] = 18700,
  [19884] = 17442,
  [19885] = 17449,
  [19886] = 17456,
  [19887] = 17457,
  [19888] = 17458,
  [19889] = 17478,
  [19890] = 17478,
  [19891] = 17872,
  [19892] = 17527,
  [19893] = 17444,
  [19894] = 18083,
  [19895] = 17583,
  [19896] = 18405,
  [19897] = 18556,
  [19898] = 18700,
  [19899] = 17473,
  [19900] = 17441,
  [19901] = 17450,
  [19902] = 17452,
  [19903] = 17480,
  [19904] = 17435,
  [19905] = 17454,
  [19906] = 17454,
  [19907] = 17438,
  [19908] = 17440,
  [19909] = 18083,
  [19910] = 17488,
  [19911] = 18405,
  [19912] = 18556,
  [19913] = 18700,
  [19914] = 17585,
  [19915] = 17472,
  [19916] = 17441,
  [19917] = 17478,
  [19918] = 17754,
  [19919] = 17450,
  [19920] = 17585,
  [19921] = 17806,
  [19922] = 17452,
  [19923] = 17624,
  [19924] = 19924,
  [19925] = 18405,
  [19926] = 18556,
  [19927] = 18700,
  [19928] = 17513,
  [19929] = 17473,
  [19930] = 17432,
  [19931] = 17485,
  [19932] = 17535,
  [19933] = 17417,
  [19934] = 17583,
  [19935] = 17583,
  [19936] = 17585,
  [19937] = 17435,
  [19938] = 17454,
  [19939] = 18405,
  [19940] = 18556,
  [19941] = 18700,
  [19942] = 17480,
  [19943] = 17418,
  [19944] = 17419,
  [19945] = 17429,
  [19946] = 17470,
  [19947] = 17449,
  [19948] = 17432,
  [19949] = 17585,
  [19950] = 17435,
  [19951] = 17429,
  [19952] = 17442,
  [19953] = 18405,
  [19954] = 18556,
  [19955] = 18700,
  [19956] = 17639,
  [19957] = 17432,
  [19958] = 17639,
  [19959] = 17454,
  [19960] = 17471,
  [19961] = 17429,
  [19962] = 17442,
  [19963] = 17609,
  [19964] = 17444,
  [19965] = 17444,
  [19966] = 17440,
  [19967] = 18405,
  [19968] = 18556,
  [19969] = 18700,
  [19970] = 17443,
  [19971] = 17460,
  [19972] = 17443,
  [19973] = 17460,
  [19974] = 17471,
  [19975] = 17421,
  [19976] = 17639,
  [19977] = 17439,
  [19978] = 17417,
  [19979] = 18405,
  [19980] = 18556,
  [19981] = 18700,
  [19982] = 17471,
  [19983] = 17479,
  [19984] = 17708,
  [19985] = 17472,
  [19986] = 19986,
  [19987] = 17470,
  [19988] = 19705,
  [19989] = 17454,
  [19990] = 17473,
  [19991] = 18405,
  [19992] = 18556,
  [19993] = 18700,
  [19994] = 17557,
  [19995] = 17431,
  [19996] = 18405,
  [19997] = 18556,
  [19998] = 18700,
  [19999] = 17808,
  [20000] = 17479,
  [20001] = 18405,
  [20002] = 18556,
  [20003] = 18700,
  [20004] = 17433,
  [20005] = 17490,
  [20006] = 18405,
  [20007] = 18556,
  [20008] = 18700,
  [20009] = 17443,
  [20010] = 17460,
  [20011] = 18405,
  [20012] = 18556,
  [20013] = 18700,
  [20014] = 17471,
  [20015] = 17808,
  [20016] = 18405,
  [20017] = 18556,
  [20018] = 18700,
  [20019] = 17782,
  [20020] = 17484,
  [20021] = 18405,
  [20022] = 18556,
  [20023] = 18700,
  [20024] = 17697,
  [20025] = 17445,
  [20026] = 18405,
  [20027] = 18556,
  [20028] = 18700,
  [20029] = 17470,
  [20030] = 17444,
  [20031] = 18405,
  [20032] = 18556,
  [20033] = 18700,
  [20034] = 17441,
  [20035] = 17449,
  [20036] = 18405,
  [20037] = 18556,
  [20038] = 18700,
  [20039] = 17417,
  [20040] = 20040,
  [20041] = 18405,
  [20042] = 18556,
  [20043] = 18700,
  [20044] = 17480,
  [20045] = 17450,
  [20046] = 18405,
  [20047] = 18556,
  [20048] = 18700,
  [20049] = 17438,
  [20050] = 17440,
  [20051] = 18405,
  [20052] = 18556,
  [20053] = 18700,
  [20054] = 17442,
  [20055] = 17488,
  [20056] = 17428,
  [20057] = 17479,
  [20058] = 17475,
  [20059] = 17479,
  [20060] = 17452,
  [20061] = 17478,
  [20062] = 17435,
  [20063] = 17420,
  [20064] = 17422,
  [20065] = 17425,
  [20066] = 17583,
  [20067] = 17427,
  [20068] = 17872,
  [20069] = 17514,
  [20070] = 17517,
  [20071] = 17627,
  [20072] = 17585,
  [20073] = 17432,
  [20074] = 17454,
  [20075] = 17808,
  [20076] = 17427,
  [20077] = 17592,
  [20078] = 17417,
  [20079] = 19040,
  [20080] = 17429,
  [20081] = 17441,
  [20082] = 17490,
  [20083] = 17449,
  [20084] = 19483,
  [20085] = 17450,
  [20086] = 17562,
  [20087] = 17452,
  [20088] = 17484,
  [20089] = 17490,
  [20090] = 17417,
  [20091] = 17473,
  [20092] = 17429,
  [20093] = 17417,
  [20094] = 17448,
  [20095] = 17452,
  [20096] = 17442,
  [20097] = 17435,
  [20098] = 17473,
  [20099] = 19636,
  [20100] = 17480,
  [20101] = 17454,
  [20102] = 17438,
  [20103] = 17441,
  [20104] = 17450,
  [20105] = 20040,
  [20106] = 17440,
  [20107] = 17488,
  [20108] = 17442,
  [20109] = 19279,
  [20110] = 17452,
  [20111] = 17478,
  [20112] = 18149,
  [20113] = 17435,
  [20114] = 17583,
  [20115] = 17585,
  [20116] = 17454,
  [20117] = 17557,
  [20118] = 17562,
  [20119] = 17782,
  [20120] = 17836,
  [20121] = 17813,
  [20122] = 17874,
  [20123] = 17444,
  [20124] = 19636,
  [20125] = 17472,
  [20126] = 17455,
  [20127] = 17417,
  [20128] = 17557,
  [20129] = 17444,
  [20130] = 17808,
  [20131] = 17456,
  [20132] = 17557,
  [20133] = 17562,
  [20134] = 17519,
  [20135] = 17457,
  [20136] = 17458,
  [20137] = 19636,
  [20138] = 17806,
  [20139] = 17490,
  [20140] = 17490,
  [20141] = 17782,
  [20142] = 17490,
  [20143] = 17484,
  [20144] = 17445,
  [20145] = 17562,
  [20146] = 17473,
  [20147] = 5311,
  [20148] = 19636,
  [20149] = 17470,
  [20150] = 17490,
  [20151] = 17490,
  [20152] = 17813,
  [20153] = 17562,
  [20154] = 17562,
  [20155] = 17562,
  [20156] = 17562,
  [20157] = 17562,
  [20158] = 17562,
  [20159] = 17562,
  [20160] = 17562,
  [20161] = 17562,
  [20162] = 17562,
  [20163] = 17562,
  [20164] = 17562,
  [20165] = 17562,
  [20166] = 17562,
  [20167] = 17562,
  [20168] = 17562,
  [20169] = 17562,
  [20170] = 17562,
  [20171] = 17562,
  [20172] = 17562,
  [20173] = 17562,
  [20174] = 17562,
  [20175] = 17562,
  [20176] = 17562,
  [20177] = 17562,
  [20178] = 17562,
  [20179] = 17562,
  [20180] = 17562,
  [20181] = 17562,
  [20182] = 17562,
  [20183] = 17562,
  [20184] = 17562,
  [20185] = 17562,
  [20186] = 17562,
  [20187] = 17562,
  [20188] = 17562,
  [20189] = 17562,
  [20190] = 17562,
  [20191] = 17562,
  [20192] = 17562,
  [20193] = 17562,
  [20194] = 17562,
  [20195] = 17562,
  [20196] = 17562,
  [20197] = 17562,
  [20198] = 17562,
  [20199] = 17562,
  [20200] = 17562,
  [20201] = 17562,
  [20202] = 17562,
  [20203] = 17562,
  [20204] = 17484,
  [20205] = 17445,
  [20206] = 17475,
  [20207] = 5360,
  [20208] = 17639,
  [20209] = 17808,
  [20210] = 18177,
  [20211] = 17672,
  [20212] = 17639,
  [20213] = 17484,
  [20214] = 17815,
  [20215] = 20215,
  [20216] = 17420,
  [20217] = 17904,
  [20218] = 17445,
  [20219] = 17480,
  [20220] = 17422,
  [20221] = 17425,
  [20222] = 17443,
  [20223] = 17427,
  [20224] = 17445,
  [20225] = 17432,
  [20226] = 17438,
  [20227] = 17440,
  [20228] = 17488,
  [20229] = 18177,
  [20230] = 17484,
  [20231] = 20215,
  [20232] = 18177,
  [20233] = 20215,
  [20234] = 17460,
  [20235] = 17441,
  [20236] = 17420,
  [20237] = 17450,
  [20238] = 17951,
  [20239] = 17475,
  [20240] = 17478,
  [20241] = 17452,
  [20242] = 17478,
  [20243] = 17435,
  [20244] = 17471,
  [20245] = 17484,
  [20246] = 17454,
  [20247] = 17445,
  [20248] = 17708,
  [20249] = 17813,
  [20250] = 17420,
  [20251] = 17431,
  [20252] = 17422,
  [20253] = 17473,
  [20254] = 20254,
  [20255] = 17425,
  [20256] = 17836,
  [20257] = 17417,
  [20258] = 17473,
  [20259] = 17427,
  [20260] = 17480,
  [20261] = 17484,
  [20262] = 20262,
  [20263] = 17432,
  [20264] = 17476,
  [20265] = 17513,
  [20266] = 17438,
  [20267] = 17479,
  [20268] = 17535,
  [20269] = 17476,
  [20270] = 19722,
  [20271] = 17583,
  [20272] = 17585,
  [20273] = 17735,
  [20274] = 18156,
  [20275] = 17445,
  [20276] = 17429,
  [20277] = 17475,
  [20278] = 17442,
  [20279] = 20279,
  [20280] = 17429,
  [20281] = 17422,
  [20282] = 17444,
  [20283] = 17440,
  [20284] = 17443,
  [20285] = 17460,
  [20286] = 17471,
  [20287] = 17682,
  [20288] = 17488,
  [20289] = 17831,
  [20290] = 17475,
  [20291] = 17417,
  [20292] = 17443,
  [20293] = 17472,
  [20294] = 17433,
  [20295] = 17460,
  [20296] = 17815,
  [20297] = 19722,
  [20298] = 17471,
  [20299] = 17475,
  [20300] = 20215,
  [20301] = 17485,
  [20302] = 17425,
  [20303] = 17441,
  [20304] = 17557,
  [20305] = 17624,
  [20306] = 17450,
  [20307] = 17484,
  [20308] = 20308,
  [20309] = 20309,
};

static TSCharacterRange sym_conversion_specification_character_set_6[] = {
  {'!', '!'}, {'%', '%'}, {',', ','}, {'@', '@'}, {'B', 'C'}, {'E', 'H'}, {'L', 'L'}, {'N', 'N'},
  {'S', 'S'}, {'X', 'X'}, {'a', 'i'}, {'l', 'l'}, {'n', 'o'}, {'s', 'u'}, {'x', 'x'},
};

static TSCharacterRange sym_conversion_specification_character_set_7[] = {
  {'!', '!'}, {'%', '%'}, {',', ','}, {'0', '9'}, {'@', '@'}, {'B', 'C'}, {'E', 'H'}, {'L', 'L'},
  {'N', 'N'}, {'S', 'S'}, {'X', 'X'}, {'a', 'i'}, {'l', 'l'}, {'n', 'o'}, {'s', 'u'}, {'x', 'x'},
};

static TSCharacterRange sym_prefix_operator_character_set_1[] = {
  {'!', '!'}, {'#', '&'}, {'*', '+'}, {'-', '/'}, {':', ':'}, {'<', '@'}, {'^', '^'}, {'|', '|'},
  {'~', '~'},
};

static TSCharacterRange sym_pow_operator_character_set_1[] = {
  {'!', '!'}, {'$', '&'}, {'*', '+'}, {'-', '/'}, {':', ':'}, {'<', '@'}, {'^', '^'}, {'|', '|'},
  {'~', '~'},
};

static TSCharacterRange sym_indexing_operator_character_set_1[] = {
  {'!', '!'}, {'$', '&'}, {'*', '+'}, {'-', '-'}, {'/', '/'}, {':', ':'}, {'=', '@'}, {'^', '^'},
  {'|', '|'},
};

static TSCharacterRange sym_let_operator_character_set_1[] = {
  {'$', '$'}, {'&', '&'}, {'*', '+'}, {'-', '-'}, {'/', '/'}, {'<', '>'}, {'@', '@'}, {'^', '^'},
  {'|', '|'},
};

static TSCharacterRange sym__lowercase_identifier_character_set_2[] = {
  {'\'', '\''}, {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7},
  {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee},
  {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf},
  {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3},
  {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa},
  {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963},
  {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc},
  {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36},
  {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e},
  {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03},
  {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48},
  {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10},
  {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9},
  {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf3},
  {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f},
  {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca},
  {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59},
  {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6},
  {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37},
  {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049},
  {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715},
  {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd},
  {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b},
  {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e},
  {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59},
  {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf},
  {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc},
  {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040}, {0x2054, 0x2054},
  {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107},
  {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f},
  {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d},
  {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6},
  {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c},
  {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff},
  {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1},
  {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c},
  {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c},
  {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2},
  {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e},
  {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb},
  {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e},
  {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9},
  {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79},
  {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff65, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0},
  {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d},
  {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592},
  {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767},
  {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c},
  {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7},
  {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1},
  {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075},
  {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173},
  {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x11241},
  {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303},
  {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348},
  {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459},
  {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640},
  {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746},
  {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938},
  {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47},
  {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f},
  {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47},
  {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6},
  {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543},
  {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe},
  {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f},
  {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7},
  {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152},
  {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e},
  {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244},
  {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb},
  {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544},
  {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734},
  {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36},
  {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e000, 0x1e006},
  {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d},
  {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee},
  {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22},
  {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47},
  {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b},
  {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c},
  {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df},
  {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
  {0xe0100, 0xe01ef},
};

static TSCharacterRange sym__lowercase_identifier_character_set_3[] = {
  {'_', '_'}, {'a', 'z'}, {0xb5, 0xb5}, {0xdf, 0xf6}, {0xf8, 0xff}, {0x101, 0x101}, {0x103, 0x103}, {0x105, 0x105},
  {0x107, 0x107}, {0x109, 0x109}, {0x10b, 0x10b}, {0x10d, 0x10d}, {0x10f, 0x10f}, {0x111, 0x111}, {0x113, 0x113}, {0x115, 0x115},
  {0x117, 0x117}, {0x119, 0x119}, {0x11b, 0x11b}, {0x11d, 0x11d}, {0x11f, 0x11f}, {0x121, 0x121}, {0x123, 0x123}, {0x125, 0x125},
  {0x127, 0x127}, {0x129, 0x129}, {0x12b, 0x12b}, {0x12d, 0x12d}, {0x12f, 0x12f}, {0x131, 0x131}, {0x133, 0x133}, {0x135, 0x135},
  {0x137, 0x138}, {0x13a, 0x13a}, {0x13c, 0x13c}, {0x13e, 0x13e}, {0x140, 0x140}, {0x142, 0x142}, {0x144, 0x144}, {0x146, 0x146},
  {0x148, 0x149}, {0x14b, 0x14b}, {0x14d, 0x14d}, {0x14f, 0x14f}, {0x151, 0x151}, {0x153, 0x153}, {0x155, 0x155}, {0x157, 0x157},
  {0x159, 0x159}, {0x15b, 0x15b}, {0x15d, 0x15d}, {0x15f, 0x15f}, {0x161, 0x161}, {0x163, 0x163}, {0x165, 0x165}, {0x167, 0x167},
  {0x169, 0x169}, {0x16b, 0x16b}, {0x16d, 0x16d}, {0x16f, 0x16f}, {0x171, 0x171}, {0x173, 0x173}, {0x175, 0x175}, {0x177, 0x177},
  {0x17a, 0x17a}, {0x17c, 0x17c}, {0x17e, 0x180}, {0x183, 0x183}, {0x185, 0x185}, {0x188, 0x188}, {0x18c, 0x18d}, {0x192, 0x192},
  {0x195, 0x195}, {0x199, 0x19b}, {0x19e, 0x19e}, {0x1a1, 0x1a1}, {0x1a3, 0x1a3}, {0x1a5, 0x1a5}, {0x1a8, 0x1a8}, {0x1aa, 0x1ab},
  {0x1ad, 0x1ad}, {0x1b0, 0x1b0}, {0x1b4, 0x1b4}, {0x1b6, 0x1b6}, {0x1b9, 0x1ba}, {0x1bd, 0x1bf}, {0x1c6, 0x1c6}, {0x1c9, 0x1c9},
  {0x1cc, 0x1cc}, {0x1ce, 0x1ce}, {0x1d0, 0x1d0}, {0x1d2, 0x1d2}, {0x1d4, 0x1d4}, {0x1d6, 0x1d6}, {0x1d8, 0x1d8}, {0x1da, 0x1da},
  {0x1dc, 0x1dd}, {0x1df, 0x1df}, {0x1e1, 0x1e1}, {0x1e3, 0x1e3}, {0x1e5, 0x1e5}, {0x1e7, 0x1e7}, {0x1e9, 0x1e9}, {0x1eb, 0x1eb},
  {0x1ed, 0x1ed}, {0x1ef, 0x1f0}, {0x1f3, 0x1f3}, {0x1f5, 0x1f5}, {0x1f9, 0x1f9}, {0x1fb, 0x1fb}, {0x1fd, 0x1fd}, {0x1ff, 0x1ff},
  {0x201, 0x201}, {0x203, 0x203}, {0x205, 0x205}, {0x207, 0x207}, {0x209, 0x209}, {0x20b, 0x20b}, {0x20d, 0x20d}, {0x20f, 0x20f},
  {0x211, 0x211}, {0x213, 0x213}, {0x215, 0x215}, {0x217, 0x217}, {0x219, 0x219}, {0x21b, 0x21b}, {0x21d, 0x21d}, {0x21f, 0x21f},
  {0x221, 0x221}, {0x223, 0x223}, {0x225, 0x225}, {0x227, 0x227}, {0x229, 0x229}, {0x22b, 0x22b}, {0x22d, 0x22d}, {0x22f, 0x22f},
  {0x231, 0x231}, {0x233, 0x239}, {0x23c, 0x23c}, {0x23f, 0x240}, {0x242, 0x242}, {0x247, 0x247}, {0x249, 0x249}, {0x24b, 0x24b},
  {0x24d, 0x24d}, {0x24f, 0x293}, {0x295, 0x2af}, {0x371, 0x371}, {0x373, 0x373}, {0x377, 0x377}, {0x37b, 0x37d}, {0x390, 0x390},
  {0x3ac, 0x3ce}, {0x3d0, 0x3d1}, {0x3d5, 0x3d7}, {0x3d9, 0x3d9}, {0x3db, 0x3db}, {0x3dd, 0x3dd}, {0x3df, 0x3df}, {0x3e1, 0x3e1},
  {0x3e3, 0x3e3}, {0x3e5, 0x3e5}, {0x3e7, 0x3e7}, {0x3e9, 0x3e9}, {0x3eb, 0x3eb}, {0x3ed, 0x3ed}, {0x3ef, 0x3f3}, {0x3f5, 0x3f5},
  {0x3f8, 0x3f8}, {0x3fb, 0x3fc}, {0x430, 0x45f}, {0x461, 0x461}, {0x463, 0x463}, {0x465, 0x465}, {0x467, 0x467}, {0x469, 0x469},
  {0x46b, 0x46b}, {0x46d, 0x46d}, {0x46f, 0x46f}, {0x471, 0x471}, {0x473, 0x473}, {0x475, 0x475}, {0x477, 0x477}, {0x479, 0x479},
  {0x47b, 0x47b}, {0x47d, 0x47d}, {0x47f, 0x47f}, {0x481, 0x481}, {0x48b, 0x48b}, {0x48d, 0x48d}, {0x48f, 0x48f}, {0x491, 0x491},
  {0x493, 0x493}, {0x495, 0x495}, {0x497, 0x497}, {0x499, 0x499}, {0x49b, 0x49b}, {0x49d, 0x49d}, {0x49f, 0x49f}, {0x4a1, 0x4a1},
  {0x4a3, 0x4a3}, {0x4a5, 0x4a5}, {0x4a7, 0x4a7}, {0x4a9, 0x4a9}, {0x4ab, 0x4ab}, {0x4ad, 0x4ad}, {0x4af, 0x4af}, {0x4b1, 0x4b1},
  {0x4b3, 0x4b3}, {0x4b5, 0x4b5}, {0x4b7, 0x4b7}, {0x4b9, 0x4b9}, {0x4bb, 0x4bb}, {0x4bd, 0x4bd}, {0x4bf, 0x4bf}, {0x4c2, 0x4c2},
  {0x4c4, 0x4c4}, {0x4c6, 0x4c6}, {0x4c8, 0x4c8}, {0x4ca, 0x4ca}, {0x4cc, 0x4cc}, {0x4ce, 0x4cf}, {0x4d1, 0x4d1}, {0x4d3, 0x4d3},
  {0x4d5, 0x4d5}, {0x4d7, 0x4d7}, {0x4d9, 0x4d9}, {0x4db, 0x4db}, {0x4dd, 0x4dd}, {0x4df, 0x4df}, {0x4e1, 0x4e1}, {0x4e3, 0x4e3},
  {0x4e5, 0x4e5}, {0x4e7, 0x4e7}, {0x4e9, 0x4e9}, {0x4eb, 0x4eb}, {0x4ed, 0x4ed}, {0x4ef, 0x4ef}, {0x4f1, 0x4f1}, {0x4f3, 0x4f3},
  {0x4f5, 0x4f5}, {0x4f7, 0x4f7}, {0x4f9, 0x4f9}, {0x4fb, 0x4fb}, {0x4fd, 0x4fd}, {0x4ff, 0x4ff}, {0x501, 0x501}, {0x503, 0x503},
  {0x505, 0x505}, {0x507, 0x507}, {0x509, 0x509}, {0x50b, 0x50b}, {0x50d, 0x50d}, {0x50f, 0x50f}, {0x511, 0x511}, {0x513, 0x513},
  {0x515, 0x515}, {0x517, 0x517}, {0x519, 0x519}, {0x51b, 0x51b}, {0x51d, 0x51d}, {0x51f, 0x51f}, {0x521, 0x521}, {0x523, 0x523},
  {0x525, 0x525}, {0x527, 0x527}, {0x529, 0x529}, {0x52b, 0x52b}, {0x52d, 0x52d}, {0x52f, 0x52f}, {0x560, 0x588}, {0x10d0, 0x10fa},
  {0x10fd, 0x10ff}, {0x13f8, 0x13fd}, {0x1c80, 0x1c88}, {0x1d00, 0x1d2b}, {0x1d6b, 0x1d77}, {0x1d79, 0x1d9a}, {0x1e01, 0x1e01}, {0x1e03, 0x1e03},
  {0x1e05, 0x1e05}, {0x1e07, 0x1e07}, {0x1e09, 0x1e09}, {0x1e0b, 0x1e0b}, {0x1e0d, 0x1e0d}, {0x1e0f, 0x1e0f}, {0x1e11, 0x1e11}, {0x1e13, 0x1e13},
  {0x1e15, 0x1e15}, {0x1e17, 0x1e17}, {0x1e19, 0x1e19}, {0x1e1b, 0x1e1b}, {0x1e1d, 0x1e1d}, {0x1e1f, 0x1e1f}, {0x1e21, 0x1e21}, {0x1e23, 0x1e23},
  {0x1e25, 0x1e25}, {0x1e27, 0x1e27}, {0x1e29, 0x1e29}, {0x1e2b, 0x1e2b}, {0x1e2d, 0x1e2d}, {0x1e2f, 0x1e2f}, {0x1e31, 0x1e31}, {0x1e33, 0x1e33},
  {0x1e35, 0x1e35}, {0x1e37, 0x1e37}, {0x1e39, 0x1e39}, {0x1e3b, 0x1e3b}, {0x1e3d, 0x1e3d}, {0x1e3f, 0x1e3f}, {0x1e41, 0x1e41}, {0x1e43, 0x1e43},
  {0x1e45, 0x1e45}, {0x1e47, 0x1e47}, {0x1e49, 0x1e49}, {0x1e4b, 0x1e4b}, {0x1e4d, 0x1e4d}, {0x1e4f, 0x1e4f}, {0x1e51, 0x1e51}, {0x1e53, 0x1e53},
  {0x1e55, 0x1e55}, {0x1e57, 0x1e57}, {0x1e59, 0x1e59}, {0x1e5b, 0x1e5b}, {0x1e5d, 0x1e5d}, {0x1e5f, 0x1e5f}, {0x1e61, 0x1e61}, {0x1e63, 0x1e63},
  {0x1e65, 0x1e65}, {0x1e67, 0x1e67}, {0x1e69, 0x1e69}, {0x1e6b, 0x1e6b}, {0x1e6d, 0x1e6d}, {0x1e6f, 0x1e6f}, {0x1e71, 0x1e71}, {0x1e73, 0x1e73},
  {0x1e75, 0x1e75}, {0x1e77, 0x1e77}, {0x1e79, 0x1e79}, {0x1e7b, 0x1e7b}, {0x1e7d, 0x1e7d}, {0x1e7f, 0x1e7f}, {0x1e81, 0x1e81}, {0x1e83, 0x1e83},
  {0x1e85, 0x1e85}, {0x1e87, 0x1e87}, {0x1e89, 0x1e89}, {0x1e8b, 0x1e8b}, {0x1e8d, 0x1e8d}, {0x1e8f, 0x1e8f}, {0x1e91, 0x1e91}, {0x1e93, 0x1e93},
  {0x1e95, 0x1e9d}, {0x1e9f, 0x1e9f}, {0x1ea1, 0x1ea1}, {0x1ea3, 0x1ea3}, {0x1ea5, 0x1ea5}, {0x1ea7, 0x1ea7}, {0x1ea9, 0x1ea9}, {0x1eab, 0x1eab},
  {0x1ead, 0x1ead}, {0x1eaf, 0x1eaf}, {0x1eb1, 0x1eb1}, {0x1eb3, 0x1eb3}, {0x1eb5, 0x1eb5}, {0x1eb7, 0x1eb7}, {0x1eb9, 0x1eb9}, {0x1ebb, 0x1ebb},
  {0x1ebd, 0x1ebd}, {0x1ebf, 0x1ebf}, {0x1ec1, 0x1ec1}, {0x1ec3, 0x1ec3}, {0x1ec5, 0x1ec5}, {0x1ec7, 0x1ec7}, {0x1ec9, 0x1ec9}, {0x1ecb, 0x1ecb},
  {0x1ecd, 0x1ecd}, {0x1ecf, 0x1ecf}, {0x1ed1, 0x1ed1}, {0x1ed3, 0x1ed3}, {0x1ed5, 0x1ed5}, {0x1ed7, 0x1ed7}, {0x1ed9, 0x1ed9}, {0x1edb, 0x1edb},
  {0x1edd, 0x1edd}, {0x1edf, 0x1edf}, {0x1ee1, 0x1ee1}, {0x1ee3, 0x1ee3}, {0x1ee5, 0x1ee5}, {0x1ee7, 0x1ee7}, {0x1ee9, 0x1ee9}, {0x1eeb, 0x1eeb},
  {0x1eed, 0x1eed}, {0x1eef, 0x1eef}, {0x1ef1, 0x1ef1}, {0x1ef3, 0x1ef3}, {0x1ef5, 0x1ef5}, {0x1ef7, 0x1ef7}, {0x1ef9, 0x1ef9}, {0x1efb, 0x1efb},
  {0x1efd, 0x1efd}, {0x1eff, 0x1f07}, {0x1f10, 0x1f15}, {0x1f20, 0x1f27}, {0x1f30, 0x1f37}, {0x1f40, 0x1f45}, {0x1f50, 0x1f57}, {0x1f60, 0x1f67},
  {0x1f70, 0x1f7d}, {0x1f80, 0x1f87}, {0x1f90, 0x1f97}, {0x1fa0, 0x1fa7}, {0x1fb0, 0x1fb4}, {0x1fb6, 0x1fb7}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fc7}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fd7}, {0x1fe0, 0x1fe7}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ff7}, {0x210a, 0x210a}, {0x210e, 0x210f},
  {0x2113, 0x2113}, {0x212f, 0x212f}, {0x2134, 0x2134}, {0x2139, 0x2139}, {0x213c, 0x213d}, {0x2146, 0x2149}, {0x214e, 0x214e}, {0x2184, 0x2184},
  {0x2c30, 0x2c5f}, {0x2c61, 0x2c61}, {0x2c65, 0x2c66}, {0x2c68, 0x2c68}, {0x2c6a, 0x2c6a}, {0x2c6c, 0x2c6c}, {0x2c71, 0x2c71}, {0x2c73, 0x2c74},
  {0x2c76, 0x2c7b}, {0x2c81, 0x2c81}, {0x2c83, 0x2c83}, {0x2c85, 0x2c85}, {0x2c87, 0x2c87}, {0x2c89, 0x2c89}, {0x2c8b, 0x2c8b}, {0x2c8d, 0x2c8d},
  {0x2c8f, 0x2c8f}, {0x2c91, 0x2c91}, {0x2c93, 0x2c93}, {0x2c95, 0x2c95}, {0x2c97, 0x2c97}, {0x2c99, 0x2c99}, {0x2c9b, 0x2c9b}, {0x2c9d, 0x2c9d},
  {0x2c9f, 0x2c9f}, {0x2ca1, 0x2ca1}, {0x2ca3, 0x2ca3}, {0x2ca5, 0x2ca5}, {0x2ca7, 0x2ca7}, {0x2ca9, 0x2ca9}, {0x2cab, 0x2cab}, {0x2cad, 0x2cad},
  {0x2caf, 0x2caf}, {0x2cb1, 0x2cb1}, {0x2cb3, 0x2cb3}, {0x2cb5, 0x2cb5}, {0x2cb7, 0x2cb7}, {0x2cb9, 0x2cb9}, {0x2cbb, 0x2cbb}, {0x2cbd, 0x2cbd},
  {0x2cbf, 0x2cbf}, {0x2cc1, 0x2cc1}, {0x2cc3, 0x2cc3}, {0x2cc5, 0x2cc5}, {0x2cc7, 0x2cc7}, {0x2cc9, 0x2cc9}, {0x2ccb, 0x2ccb}, {0x2ccd, 0x2ccd},
  {0x2ccf, 0x2ccf}, {0x2cd1, 0x2cd1}, {0x2cd3, 0x2cd3}, {0x2cd5, 0x2cd5}, {0x2cd7, 0x2cd7}, {0x2cd9, 0x2cd9}, {0x2cdb, 0x2cdb}, {0x2cdd, 0x2cdd},
  {0x2cdf, 0x2cdf}, {0x2ce1, 0x2ce1}, {0x2ce3, 0x2ce4}, {0x2cec, 0x2cec}, {0x2cee, 0x2cee}, {0x2cf3, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27},
  {0x2d2d, 0x2d2d}, {0xa641, 0xa641}, {0xa643, 0xa643}, {0xa645, 0xa645}, {0xa647, 0xa647}, {0xa649, 0xa649}, {0xa64b, 0xa64b}, {0xa64d, 0xa64d},
  {0xa64f, 0xa64f}, {0xa651, 0xa651}, {0xa653, 0xa653}, {0xa655, 0xa655}, {0xa657, 0xa657}, {0xa659, 0xa659}, {0xa65b, 0xa65b}, {0xa65d, 0xa65d},
  {0xa65f, 0xa65f}, {0xa661, 0xa661}, {0xa663, 0xa663}, {0xa665, 0xa665}, {0xa667, 0xa667}, {0xa669, 0xa669}, {0xa66b, 0xa66b}, {0xa66d, 0xa66d},
  {0xa681, 0xa681}, {0xa683, 0xa683}, {0xa685, 0xa685}, {0xa687, 0xa687}, {0xa689, 0xa689}, {0xa68b, 0xa68b}, {0xa68d, 0xa68d}, {0xa68f, 0xa68f},
  {0xa691, 0xa691}, {0xa693, 0xa693}, {0xa695, 0xa695}, {0xa697, 0xa697}, {0xa699, 0xa699}, {0xa69b, 0xa69b}, {0xa723, 0xa723}, {0xa725, 0xa725},
  {0xa727, 0xa727}, {0xa729, 0xa729}, {0xa72b, 0xa72b}, {0xa72d, 0xa72d}, {0xa72f, 0xa731}, {0xa733, 0xa733}, {0xa735, 0xa735}, {0xa737, 0xa737},
  {0xa739, 0xa739}, {0xa73b, 0xa73b}, {0xa73d, 0xa73d}, {0xa73f, 0xa73f}, {0xa741, 0xa741}, {0xa743, 0xa743}, {0xa745, 0xa745}, {0xa747, 0xa747},
  {0xa749, 0xa749}, {0xa74b, 0xa74b}, {0xa74d, 0xa74d}, {0xa74f, 0xa74f}, {0xa751, 0xa751}, {0xa753, 0xa753}, {0xa755, 0xa755}, {0xa757, 0xa757},
  {0xa759, 0xa759}, {0xa75b, 0xa75b}, {0xa75d, 0xa75d}, {0xa75f, 0xa75f}, {0xa761, 0xa761}, {0xa763, 0xa763}, {0xa765, 0xa765}, {0xa767, 0xa767},
  {0xa769, 0xa769}, {0xa76b, 0xa76b}, {0xa76d, 0xa76d}, {0xa76f, 0xa76f}, {0xa771, 0xa778}, {0xa77a, 0xa77a}, {0xa77c, 0xa77c}, {0xa77f, 0xa77f},
  {0xa781, 0xa781}, {0xa783, 0xa783}, {0xa785, 0xa785}, {0xa787, 0xa787}, {0xa78c, 0xa78c}, {0xa78e, 0xa78e}, {0xa791, 0xa791}, {0xa793, 0xa795},
  {0xa797, 0xa797}, {0xa799, 0xa799}, {0xa79b, 0xa79b}, {0xa79d, 0xa79d}, {0xa79f, 0xa79f}, {0xa7a1, 0xa7a1}, {0xa7a3, 0xa7a3}, {0xa7a5, 0xa7a5},
  {0xa7a7, 0xa7a7}, {0xa7a9, 0xa7a9}, {0xa7af, 0xa7af}, {0xa7b5, 0xa7b5}, {0xa7b7, 0xa7b7}, {0xa7b9, 0xa7b9}, {0xa7bb, 0xa7bb}, {0xa7bd, 0xa7bd},
  {0xa7bf, 0xa7bf}, {0xa7c1, 0xa7c1}, {0xa7c3, 0xa7c3}, {0xa7c8, 0xa7c8}, {0xa7ca, 0xa7ca}, {0xa7d1, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d5},
  {0xa7d7, 0xa7d7}, {0xa7d9, 0xa7d9}, {0xa7f6, 0xa7f6}, {0xa7fa, 0xa7fa}, {0xab30, 0xab5a}, {0xab60, 0xab68}, {0xab70, 0xabbf}, {0xfb00, 0xfb06},
  {0xfb13, 0xfb17}, {0xff41, 0xff5a}, {0x10428, 0x1044f}, {0x104d8, 0x104fb}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
};

static TSCharacterRange sym__uppercase_identifier_character_set_1[] = {
  {'A', 'Z'}, {0xc0, 0xd6}, {0xd8, 0xde}, {0x100, 0x100}, {0x102, 0x102}, {0x104, 0x104}, {0x106, 0x106}, {0x108, 0x108},
  {0x10a, 0x10a}, {0x10c, 0x10c}, {0x10e, 0x10e}, {0x110, 0x110}, {0x112, 0x112}, {0x114, 0x114}, {0x116, 0x116}, {0x118, 0x118},
  {0x11a, 0x11a}, {0x11c, 0x11c}, {0x11e, 0x11e}, {0x120, 0x120}, {0x122, 0x122}, {0x124, 0x124}, {0x126, 0x126}, {0x128, 0x128},
  {0x12a, 0x12a}, {0x12c, 0x12c}, {0x12e, 0x12e}, {0x130, 0x130}, {0x132, 0x132}, {0x134, 0x134}, {0x136, 0x136}, {0x139, 0x139},
  {0x13b, 0x13b}, {0x13d, 0x13d}, {0x13f, 0x13f}, {0x141, 0x141}, {0x143, 0x143}, {0x145, 0x145}, {0x147, 0x147}, {0x14a, 0x14a},
  {0x14c, 0x14c}, {0x14e, 0x14e}, {0x150, 0x150}, {0x152, 0x152}, {0x154, 0x154}, {0x156, 0x156}, {0x158, 0x158}, {0x15a, 0x15a},
  {0x15c, 0x15c}, {0x15e, 0x15e}, {0x160, 0x160}, {0x162, 0x162}, {0x164, 0x164}, {0x166, 0x166}, {0x168, 0x168}, {0x16a, 0x16a},
  {0x16c, 0x16c}, {0x16e, 0x16e}, {0x170, 0x170}, {0x172, 0x172}, {0x174, 0x174}, {0x176, 0x176}, {0x178, 0x179}, {0x17b, 0x17b},
  {0x17d, 0x17d}, {0x181, 0x182}, {0x184, 0x184}, {0x186, 0x187}, {0x189, 0x18b}, {0x18e, 0x191}, {0x193, 0x194}, {0x196, 0x198},
  {0x19c, 0x19d}, {0x19f, 0x1a0}, {0x1a2, 0x1a2}, {0x1a4, 0x1a4}, {0x1a6, 0x1a7}, {0x1a9, 0x1a9}, {0x1ac, 0x1ac}, {0x1ae, 0x1af},
  {0x1b1, 0x1b3}, {0x1b5, 0x1b5}, {0x1b7, 0x1b8}, {0x1bc, 0x1bc}, {0x1c4, 0x1c4}, {0x1c7, 0x1c7}, {0x1ca, 0x1ca}, {0x1cd, 0x1cd},
  {0x1cf, 0x1cf}, {0x1d1, 0x1d1}, {0x1d3, 0x1d3}, {0x1d5, 0x1d5}, {0x1d7, 0x1d7}, {0x1d9, 0x1d9}, {0x1db, 0x1db}, {0x1de, 0x1de},
  {0x1e0, 0x1e0}, {0x1e2, 0x1e2}, {0x1e4, 0x1e4}, {0x1e6, 0x1e6}, {0x1e8, 0x1e8}, {0x1ea, 0x1ea}, {0x1ec, 0x1ec}, {0x1ee, 0x1ee},
  {0x1f1, 0x1f1}, {0x1f4, 0x1f4}, {0x1f6, 0x1f8}, {0x1fa, 0x1fa}, {0x1fc, 0x1fc}, {0x1fe, 0x1fe}, {0x200, 0x200}, {0x202, 0x202},
  {0x204, 0x204}, {0x206, 0x206}, {0x208, 0x208}, {0x20a, 0x20a}, {0x20c, 0x20c}, {0x20e, 0x20e}, {0x210, 0x210}, {0x212, 0x212},
  {0x214, 0x214}, {0x216, 0x216}, {0x218, 0x218}, {0x21a, 0x21a}, {0x21c, 0x21c}, {0x21e, 0x21e}, {0x220, 0x220}, {0x222, 0x222},
  {0x224, 0x224}, {0x226, 0x226}, {0x228, 0x228}, {0x22a, 0x22a}, {0x22c, 0x22c}, {0x22e, 0x22e}, {0x230, 0x230}, {0x232, 0x232},
  {0x23a, 0x23b}, {0x23d, 0x23e}, {0x241, 0x241}, {0x243, 0x246}, {0x248, 0x248}, {0x24a, 0x24a}, {0x24c, 0x24c}, {0x24e, 0x24e},
  {0x370, 0x370}, {0x372, 0x372}, {0x376, 0x376}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x38f},
  {0x391, 0x3a1}, {0x3a3, 0x3ab}, {0x3cf, 0x3cf}, {0x3d2, 0x3d4}, {0x3d8, 0x3d8}, {0x3da, 0x3da}, {0x3dc, 0x3dc}, {0x3de, 0x3de},
  {0x3e0, 0x3e0}, {0x3e2, 0x3e2}, {0x3e4, 0x3e4}, {0x3e6, 0x3e6}, {0x3e8, 0x3e8}, {0x3ea, 0x3ea}, {0x3ec, 0x3ec}, {0x3ee, 0x3ee},
  {0x3f4, 0x3f4}, {0x3f7, 0x3f7}, {0x3f9, 0x3fa}, {0x3fd, 0x42f}, {0x460, 0x460}, {0x462, 0x462}, {0x464, 0x464}, {0x466, 0x466},
  {0x468, 0x468}, {0x46a, 0x46a}, {0x46c, 0x46c}, {0x46e, 0x46e}, {0x470, 0x470}, {0x472, 0x472}, {0x474, 0x474}, {0x476, 0x476},
  {0x478, 0x478}, {0x47a, 0x47a}, {0x47c, 0x47c}, {0x47e, 0x47e}, {0x480, 0x480}, {0x48a, 0x48a}, {0x48c, 0x48c}, {0x48e, 0x48e},
  {0x490, 0x490}, {0x492, 0x492}, {0x494, 0x494}, {0x496, 0x496}, {0x498, 0x498}, {0x49a, 0x49a}, {0x49c, 0x49c}, {0x49e, 0x49e},
  {0x4a0, 0x4a0}, {0x4a2, 0x4a2}, {0x4a4, 0x4a4}, {0x4a6, 0x4a6}, {0x4a8, 0x4a8}, {0x4aa, 0x4aa}, {0x4ac, 0x4ac}, {0x4ae, 0x4ae},
  {0x4b0, 0x4b0}, {0x4b2, 0x4b2}, {0x4b4, 0x4b4}, {0x4b6, 0x4b6}, {0x4b8, 0x4b8}, {0x4ba, 0x4ba}, {0x4bc, 0x4bc}, {0x4be, 0x4be},
  {0x4c0, 0x4c1}, {0x4c3, 0x4c3}, {0x4c5, 0x4c5}, {0x4c7, 0x4c7}, {0x4c9, 0x4c9}, {0x4cb, 0x4cb}, {0x4cd, 0x4cd}, {0x4d0, 0x4d0},
  {0x4d2, 0x4d2}, {0x4d4, 0x4d4}, {0x4d6, 0x4d6}, {0x4d8, 0x4d8}, {0x4da, 0x4da}, {0x4dc, 0x4dc}, {0x4de, 0x4de}, {0x4e0, 0x4e0},
  {0x4e2, 0x4e2}, {0x4e4, 0x4e4}, {0x4e6, 0x4e6}, {0x4e8, 0x4e8}, {0x4ea, 0x4ea}, {0x4ec, 0x4ec}, {0x4ee, 0x4ee}, {0x4f0, 0x4f0},
  {0x4f2, 0x4f2}, {0x4f4, 0x4f4}, {0x4f6, 0x4f6}, {0x4f8, 0x4f8}, {0x4fa, 0x4fa}, {0x4fc, 0x4fc}, {0x4fe, 0x4fe}, {0x500, 0x500},
  {0x502, 0x502}, {0x504, 0x504}, {0x506, 0x506}, {0x508, 0x508}, {0x50a, 0x50a}, {0x50c, 0x50c}, {0x50e, 0x50e}, {0x510, 0x510},
  {0x512, 0x512}, {0x514, 0x514}, {0x516, 0x516}, {0x518, 0x518}, {0x51a, 0x51a}, {0x51c, 0x51c}, {0x51e, 0x51e}, {0x520, 0x520},
  {0x522, 0x522}, {0x524, 0x524}, {0x526, 0x526}, {0x528, 0x528}, {0x52a, 0x52a}, {0x52c, 0x52c}, {0x52e, 0x52e}, {0x531, 0x556},
  {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x13a0, 0x13f5}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1e00, 0x1e00}, {0x1e02, 0x1e02},
  {0x1e04, 0x1e04}, {0x1e06, 0x1e06}, {0x1e08, 0x1e08}, {0x1e0a, 0x1e0a}, {0x1e0c, 0x1e0c}, {0x1e0e, 0x1e0e}, {0x1e10, 0x1e10}, {0x1e12, 0x1e12},
  {0x1e14, 0x1e14}, {0x1e16, 0x1e16}, {0x1e18, 0x1e18}, {0x1e1a, 0x1e1a}, {0x1e1c, 0x1e1c}, {0x1e1e, 0x1e1e}, {0x1e20, 0x1e20}, {0x1e22, 0x1e22},
  {0x1e24, 0x1e24}, {0x1e26, 0x1e26}, {0x1e28, 0x1e28}, {0x1e2a, 0x1e2a}, {0x1e2c, 0x1e2c}, {0x1e2e, 0x1e2e}, {0x1e30, 0x1e30}, {0x1e32, 0x1e32},
  {0x1e34, 0x1e34}, {0x1e36, 0x1e36}, {0x1e38, 0x1e38}, {0x1e3a, 0x1e3a}, {0x1e3c, 0x1e3c}, {0x1e3e, 0x1e3e}, {0x1e40, 0x1e40}, {0x1e42, 0x1e42},
  {0x1e44, 0x1e44}, {0x1e46, 0x1e46}, {0x1e48, 0x1e48}, {0x1e4a, 0x1e4a}, {0x1e4c, 0x1e4c}, {0x1e4e, 0x1e4e}, {0x1e50, 0x1e50}, {0x1e52, 0x1e52},
  {0x1e54, 0x1e54}, {0x1e56, 0x1e56}, {0x1e58, 0x1e58}, {0x1e5a, 0x1e5a}, {0x1e5c, 0x1e5c}, {0x1e5e, 0x1e5e}, {0x1e60, 0x1e60}, {0x1e62, 0x1e62},
  {0x1e64, 0x1e64}, {0x1e66, 0x1e66}, {0x1e68, 0x1e68}, {0x1e6a, 0x1e6a}, {0x1e6c, 0x1e6c}, {0x1e6e, 0x1e6e}, {0x1e70, 0x1e70}, {0x1e72, 0x1e72},
  {0x1e74, 0x1e74}, {0x1e76, 0x1e76}, {0x1e78, 0x1e78}, {0x1e7a, 0x1e7a}, {0x1e7c, 0x1e7c}, {0x1e7e, 0x1e7e}, {0x1e80, 0x1e80}, {0x1e82, 0x1e82},
  {0x1e84, 0x1e84}, {0x1e86, 0x1e86}, {0x1e88, 0x1e88}, {0x1e8a, 0x1e8a}, {0x1e8c, 0x1e8c}, {0x1e8e, 0x1e8e}, {0x1e90, 0x1e90}, {0x1e92, 0x1e92},
  {0x1e94, 0x1e94}, {0x1e9e, 0x1e9e}, {0x1ea0, 0x1ea0}, {0x1ea2, 0x1ea2}, {0x1ea4, 0x1ea4}, {0x1ea6, 0x1ea6}, {0x1ea8, 0x1ea8}, {0x1eaa, 0x1eaa},
  {0x1eac, 0x1eac}, {0x1eae, 0x1eae}, {0x1eb0, 0x1eb0}, {0x1eb2, 0x1eb2}, {0x1eb4, 0x1eb4}, {0x1eb6, 0x1eb6}, {0x1eb8, 0x1eb8}, {0x1eba, 0x1eba},
  {0x1ebc, 0x1ebc}, {0x1ebe, 0x1ebe}, {0x1ec0, 0x1ec0}, {0x1ec2, 0x1ec2}, {0x1ec4, 0x1ec4}, {0x1ec6, 0x1ec6}, {0x1ec8, 0x1ec8}, {0x1eca, 0x1eca},
  {0x1ecc, 0x1ecc}, {0x1ece, 0x1ece}, {0x1ed0, 0x1ed0}, {0x1ed2, 0x1ed2}, {0x1ed4, 0x1ed4}, {0x1ed6, 0x1ed6}, {0x1ed8, 0x1ed8}, {0x1eda, 0x1eda},
  {0x1edc, 0x1edc}, {0x1ede, 0x1ede}, {0x1ee0, 0x1ee0}, {0x1ee2, 0x1ee2}, {0x1ee4, 0x1ee4}, {0x1ee6, 0x1ee6}, {0x1ee8, 0x1ee8}, {0x1eea, 0x1eea},
  {0x1eec, 0x1eec}, {0x1eee, 0x1eee}, {0x1ef0, 0x1ef0}, {0x1ef2, 0x1ef2}, {0x1ef4, 0x1ef4}, {0x1ef6, 0x1ef6}, {0x1ef8, 0x1ef8}, {0x1efa, 0x1efa},
  {0x1efc, 0x1efc}, {0x1efe, 0x1efe}, {0x1f08, 0x1f0f}, {0x1f18, 0x1f1d}, {0x1f28, 0x1f2f}, {0x1f38, 0x1f3f}, {0x1f48, 0x1f4d}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f5f}, {0x1f68, 0x1f6f}, {0x1fb8, 0x1fbb}, {0x1fc8, 0x1fcb}, {0x1fd8, 0x1fdb}, {0x1fe8, 0x1fec},
  {0x1ff8, 0x1ffb}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210b, 0x210d}, {0x2110, 0x2112}, {0x2115, 0x2115}, {0x2119, 0x211d}, {0x2124, 0x2124},
  {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x212d}, {0x2130, 0x2133}, {0x213e, 0x213f}, {0x2145, 0x2145}, {0x2183, 0x2183}, {0x2c00, 0x2c2f},
  {0x2c60, 0x2c60}, {0x2c62, 0x2c64}, {0x2c67, 0x2c67}, {0x2c69, 0x2c69}, {0x2c6b, 0x2c6b}, {0x2c6d, 0x2c70}, {0x2c72, 0x2c72}, {0x2c75, 0x2c75},
  {0x2c7e, 0x2c80}, {0x2c82, 0x2c82}, {0x2c84, 0x2c84}, {0x2c86, 0x2c86}, {0x2c88, 0x2c88}, {0x2c8a, 0x2c8a}, {0x2c8c, 0x2c8c}, {0x2c8e, 0x2c8e},
  {0x2c90, 0x2c90}, {0x2c92, 0x2c92}, {0x2c94, 0x2c94}, {0x2c96, 0x2c96}, {0x2c98, 0x2c98}, {0x2c9a, 0x2c9a}, {0x2c9c, 0x2c9c}, {0x2c9e, 0x2c9e},
  {0x2ca0, 0x2ca0}, {0x2ca2, 0x2ca2}, {0x2ca4, 0x2ca4}, {0x2ca6, 0x2ca6}, {0x2ca8, 0x2ca8}, {0x2caa, 0x2caa}, {0x2cac, 0x2cac}, {0x2cae, 0x2cae},
  {0x2cb0, 0x2cb0}, {0x2cb2, 0x2cb2}, {0x2cb4, 0x2cb4}, {0x2cb6, 0x2cb6}, {0x2cb8, 0x2cb8}, {0x2cba, 0x2cba}, {0x2cbc, 0x2cbc}, {0x2cbe, 0x2cbe},
  {0x2cc0, 0x2cc0}, {0x2cc2, 0x2cc2}, {0x2cc4, 0x2cc4}, {0x2cc6, 0x2cc6}, {0x2cc8, 0x2cc8}, {0x2cca, 0x2cca}, {0x2ccc, 0x2ccc}, {0x2cce, 0x2cce},
  {0x2cd0, 0x2cd0}, {0x2cd2, 0x2cd2}, {0x2cd4, 0x2cd4}, {0x2cd6, 0x2cd6}, {0x2cd8, 0x2cd8}, {0x2cda, 0x2cda}, {0x2cdc, 0x2cdc}, {0x2cde, 0x2cde},
  {0x2ce0, 0x2ce0}, {0x2ce2, 0x2ce2}, {0x2ceb, 0x2ceb}, {0x2ced, 0x2ced}, {0x2cf2, 0x2cf2}, {0xa640, 0xa640}, {0xa642, 0xa642}, {0xa644, 0xa644},
  {0xa646, 0xa646}, {0xa648, 0xa648}, {0xa64a, 0xa64a}, {0xa64c, 0xa64c}, {0xa64e, 0xa64e}, {0xa650, 0xa650}, {0xa652, 0xa652}, {0xa654, 0xa654},
  {0xa656, 0xa656}, {0xa658, 0xa658}, {0xa65a, 0xa65a}, {0xa65c, 0xa65c}, {0xa65e, 0xa65e}, {0xa660, 0xa660}, {0xa662, 0xa662}, {0xa664, 0xa664},
  {0xa666, 0xa666}, {0xa668, 0xa668}, {0xa66a, 0xa66a}, {0xa66c, 0xa66c}, {0xa680, 0xa680}, {0xa682, 0xa682}, {0xa684, 0xa684}, {0xa686, 0xa686},
  {0xa688, 0xa688}, {0xa68a, 0xa68a}, {0xa68c, 0xa68c}, {0xa68e, 0xa68e}, {0xa690, 0xa690}, {0xa692, 0xa692}, {0xa694, 0xa694}, {0xa696, 0xa696},
  {0xa698, 0xa698}, {0xa69a, 0xa69a}, {0xa722, 0xa722}, {0xa724, 0xa724}, {0xa726, 0xa726}, {0xa728, 0xa728}, {0xa72a, 0xa72a}, {0xa72c, 0xa72c},
  {0xa72e, 0xa72e}, {0xa732, 0xa732}, {0xa734, 0xa734}, {0xa736, 0xa736}, {0xa738, 0xa738}, {0xa73a, 0xa73a}, {0xa73c, 0xa73c}, {0xa73e, 0xa73e},
  {0xa740, 0xa740}, {0xa742, 0xa742}, {0xa744, 0xa744}, {0xa746, 0xa746}, {0xa748, 0xa748}, {0xa74a, 0xa74a}, {0xa74c, 0xa74c}, {0xa74e, 0xa74e},
  {0xa750, 0xa750}, {0xa752, 0xa752}, {0xa754, 0xa754}, {0xa756, 0xa756}, {0xa758, 0xa758}, {0xa75a, 0xa75a}, {0xa75c, 0xa75c}, {0xa75e, 0xa75e},
  {0xa760, 0xa760}, {0xa762, 0xa762}, {0xa764, 0xa764}, {0xa766, 0xa766}, {0xa768, 0xa768}, {0xa76a, 0xa76a}, {0xa76c, 0xa76c}, {0xa76e, 0xa76e},
  {0xa779, 0xa779}, {0xa77b, 0xa77b}, {0xa77d, 0xa77e}, {0xa780, 0xa780}, {0xa782, 0xa782}, {0xa784, 0xa784}, {0xa786, 0xa786}, {0xa78b, 0xa78b},
  {0xa78d, 0xa78d}, {0xa790, 0xa790}, {0xa792, 0xa792}, {0xa796, 0xa796}, {0xa798, 0xa798}, {0xa79a, 0xa79a}, {0xa79c, 0xa79c}, {0xa79e, 0xa79e},
  {0xa7a0, 0xa7a0}, {0xa7a2, 0xa7a2}, {0xa7a4, 0xa7a4}, {0xa7a6, 0xa7a6}, {0xa7a8, 0xa7a8}, {0xa7aa, 0xa7ae}, {0xa7b0, 0xa7b4}, {0xa7b6, 0xa7b6},
  {0xa7b8, 0xa7b8}, {0xa7ba, 0xa7ba}, {0xa7bc, 0xa7bc}, {0xa7be, 0xa7be}, {0xa7c0, 0xa7c0}, {0xa7c2, 0xa7c2}, {0xa7c4, 0xa7c7}, {0xa7c9, 0xa7c9},
  {0xa7d0, 0xa7d0}, {0xa7d6, 0xa7d6}, {0xa7d8, 0xa7d8}, {0xa7f5, 0xa7f5}, {0xff21, 0xff3a}, {0x10400, 0x10427}, {0x104b0, 0x104d3}, {0x10570, 0x1057a},
  {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 467,
        '"', 607,
        '#', 547,
        '$', 402,
        '%', 581,
        '&', 543,
        '\'', 603,
        '(', 456,
        ')', 457,
        '*', 501,
        '+', 466,
        ',', 464,
        '-', 469,
        '.', 498,
        '0', 584,
        ':', 451,
        ';', 509,
        '<', 545,
        '=', 445,
        '>', 541,
        '?', 448,
        '@', 647,
        '[', 476,
        '\\', 2,
        ']', 486,
        '^', 649,
        '`', 815,
        'a', 739,
        'c', 733,
        'd', 760,
        'e', 727,
        'i', 740,
        'l', 698,
        'm', 670,
        'o', 772,
        't', 719,
        'v', 668,
        'w', 723,
        '{', 504,
        '|', 473,
        '}', 510,
        '~', 446,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(418);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(615);
      if (lookahead == '\r') ADVANCE(1);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '\n', 615,
        '\r', 1,
        '#', 417,
        'o', 399,
        'u', 390,
        'x', 416,
        ' ', 621,
        '"', 621,
        '\'', 621,
        '\\', 621,
        'b', 621,
        'n', 621,
        'r', 621,
        't', 621,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(406);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 615,
        '\r', 1,
        'o', 399,
        'u', 390,
        'x', 416,
        ' ', 621,
        '"', 621,
        '\'', 621,
        '\\', 621,
        'b', 621,
        'n', 621,
        'r', 621,
        't', 621,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(406);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(604);
      if (lookahead == '\r') ADVANCE(5);
      if (lookahead == '[') ADVANCE(606);
      if (lookahead == '\\') ADVANCE(347);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(605);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(605);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(604);
      if (lookahead == '\r') ADVANCE(5);
      if (lookahead == '[') ADVANCE(262);
      if (lookahead == '\\') ADVANCE(347);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(265);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 467,
        '"', 607,
        '#', 546,
        '%', 581,
        '\'', 602,
        '(', 456,
        '+', 595,
        ',', 464,
        '-', 601,
        '.', 816,
        '0', 584,
        ':', 493,
        ';', 508,
        '=', 445,
        '>', 393,
        '?', 448,
        '[', 482,
        '\\', 201,
        '`', 815,
        '{', 505,
        '|', 472,
        '~', 446,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 467,
        '#', 546,
        '&', 542,
        '\'', 814,
        '(', 456,
        ')', 457,
        '*', 501,
        '+', 254,
        ',', 464,
        '-', 259,
        '.', 247,
        ':', 490,
        ';', 508,
        '<', 544,
        '=', 445,
        '>', 541,
        '?', 448,
        '[', 480,
        '\\', 201,
        ']', 486,
        '`', 815,
        '{', 505,
        '|', 471,
        '}', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 467,
        '%', 581,
        '\'', 814,
        '(', 456,
        '+', 465,
        '-', 468,
        '.', 816,
        '[', 481,
        '\\', 201,
        '{', 235,
        '|', 471,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(467);
      if (lookahead == '(') ADVANCE(456);
      if (lookahead == '[') ADVANCE(481);
      if (lookahead == '\\') ADVANCE(201);
      if (lookahead == 'l') ADVANCE(698);
      if (lookahead == '{') ADVANCE(235);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 257,
        '#', 547,
        '&', 658,
        '\'', 603,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        ':', 491,
        ';', 509,
        '<', 652,
        '[', 484,
        ']', 486,
        '`', 815,
        'a', 328,
        'c', 323,
        'd', 349,
        'e', 319,
        'i', 333,
        'l', 270,
        'm', 355,
        'o', 360,
        't', 351,
        'v', 268,
        'w', 312,
        '{', 507,
        '|', 475,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '$', 655,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(12);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 257,
        '#', 547,
        '&', 658,
        '(', 456,
        ')', 457,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 600,
        '.', 497,
        ':', 492,
        ';', 508,
        '<', 652,
        '>', 653,
        '[', 234,
        ']', 486,
        'a', 341,
        'd', 348,
        'e', 318,
        'i', 335,
        'l', 272,
        'm', 356,
        'o', 363,
        't', 309,
        'w', 312,
        '{', 235,
        '|', 474,
        '}', 510,
        '$', 655,
        '=', 655,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(11);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 257,
        '#', 547,
        '&', 658,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        ':', 491,
        ';', 509,
        '<', 652,
        '[', 484,
        ']', 486,
        '`', 815,
        'a', 328,
        'c', 323,
        'd', 349,
        'e', 319,
        'i', 333,
        'l', 270,
        'm', 355,
        'o', 360,
        't', 351,
        'v', 268,
        'w', 312,
        '{', 507,
        '|', 475,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '$', 655,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(12);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '!', 257,
        '#', 547,
        '&', 658,
        ')', 457,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 600,
        '.', 497,
        ':', 492,
        ';', 508,
        '<', 652,
        '>', 653,
        '[', 237,
        ']', 486,
        'a', 370,
        'c', 354,
        'd', 348,
        'e', 318,
        'i', 334,
        'l', 272,
        'm', 297,
        'o', 363,
        't', 309,
        'v', 268,
        'w', 312,
        '{', 238,
        '|', 475,
        '}', 510,
        '$', 655,
        '=', 655,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(13);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 257,
        '#', 547,
        '&', 658,
        ')', 457,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 600,
        '.', 497,
        ':', 492,
        ';', 508,
        '<', 652,
        '>', 653,
        '[', 237,
        ']', 486,
        'a', 370,
        'c', 354,
        'd', 348,
        'e', 318,
        'i', 334,
        'l', 272,
        'm', 297,
        'o', 363,
        't', 309,
        'v', 268,
        'w', 312,
        '{', 238,
        '|', 474,
        '}', 510,
        '$', 655,
        '=', 655,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '!', 257,
        '#', 547,
        '&', 658,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        ':', 252,
        ';', 508,
        '<', 652,
        '[', 263,
        'a', 328,
        'd', 349,
        'e', 317,
        'i', 335,
        'l', 272,
        'm', 356,
        'o', 363,
        't', 350,
        '|', 475,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '$', 655,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '!', 257,
        '#', 813,
        '&', 658,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        ':', 252,
        ';', 509,
        '<', 652,
        '[', 237,
        ']', 486,
        'a', 328,
        'c', 323,
        'd', 349,
        'e', 319,
        'i', 333,
        'l', 270,
        'm', 355,
        'o', 360,
        't', 351,
        '{', 238,
        '|', 475,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '$', 655,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(16);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '!', 257,
        '&', 658,
        ')', 457,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 600,
        ':', 492,
        ';', 508,
        '<', 652,
        '>', 653,
        '[', 263,
        ']', 486,
        'a', 328,
        'd', 348,
        'e', 318,
        'i', 335,
        'l', 272,
        'm', 356,
        'o', 363,
        't', 309,
        'w', 312,
        '|', 474,
        '}', 510,
        '$', 655,
        '=', 655,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(17);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '#', 547,
        '$', 402,
        '%', 581,
        '&', 542,
        '\'', 602,
        '(', 456,
        ')', 457,
        '*', 501,
        '+', 595,
        ',', 464,
        '-', 601,
        '.', 497,
        '0', 584,
        ':', 493,
        ';', 508,
        '=', 445,
        '>', 541,
        '?', 449,
        '[', 482,
        '\\', 201,
        ']', 486,
        '`', 815,
        '{', 506,
        '|', 471,
        '}', 510,
        '~', 447,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(18);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '#', 547,
        '$', 402,
        '\'', 602,
        '(', 456,
        ')', 457,
        ',', 464,
        '.', 497,
        '0', 584,
        ':', 488,
        ';', 508,
        '?', 449,
        '[', 482,
        '\\', 201,
        '`', 815,
        '{', 506,
        '|', 472,
        '~', 447,
        '+', 595,
        '-', 595,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(19);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '#', 547,
        '$', 402,
        '\'', 602,
        '(', 456,
        '*', 501,
        '-', 259,
        '.', 497,
        '0', 584,
        ':', 450,
        ';', 253,
        '=', 445,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 756,
        'c', 734,
        'e', 748,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 668,
        '{', 504,
        '|', 471,
        '~', 447,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(23);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '#', 547,
        '$', 402,
        '\'', 602,
        '(', 456,
        '*', 501,
        '-', 259,
        '.', 497,
        '0', 584,
        ':', 455,
        '=', 445,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'c', 764,
        'e', 749,
        'i', 744,
        'm', 708,
        'v', 668,
        '{', 504,
        '~', 447,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(22);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 22:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '#', 547,
        '$', 402,
        '\'', 602,
        '(', 456,
        '*', 501,
        '-', 259,
        '.', 497,
        '0', 584,
        ':', 260,
        '=', 445,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'c', 764,
        'e', 749,
        'i', 744,
        'm', 708,
        'v', 668,
        '{', 504,
        '~', 447,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(22);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '#', 547,
        '$', 402,
        '\'', 602,
        '(', 456,
        '*', 501,
        '-', 259,
        '.', 497,
        '0', 584,
        ';', 253,
        '=', 445,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 756,
        'c', 734,
        'e', 748,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 668,
        '{', 504,
        '|', 471,
        '~', 447,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(23);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 24:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '#', 547,
        '$', 402,
        '\'', 602,
        '(', 456,
        '.', 497,
        '0', 584,
        ';', 253,
        '?', 449,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 756,
        'c', 734,
        'e', 803,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 504,
        '~', 447,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(24);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 25:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '#', 547,
        '$', 402,
        '\'', 602,
        '(', 456,
        '.', 497,
        '0', 584,
        ';', 253,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 756,
        'c', 734,
        'e', 748,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 504,
        '~', 447,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(25);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '#', 813,
        '$', 402,
        '%', 581,
        '&', 542,
        '\'', 602,
        '(', 456,
        ')', 457,
        '*', 501,
        '+', 596,
        '-', 597,
        '.', 816,
        '0', 584,
        ':', 495,
        ';', 253,
        '<', 246,
        '=', 445,
        '>', 541,
        '?', 449,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'c', 734,
        'e', 803,
        'i', 750,
        'l', 698,
        'm', 673,
        'o', 773,
        't', 805,
        '{', 504,
        '|', 471,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(26);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 27:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '#', 813,
        '$', 402,
        '%', 581,
        '\'', 602,
        '(', 456,
        '.', 497,
        '0', 584,
        ':', 255,
        ';', 253,
        '=', 445,
        '[', 479,
        '\\', 201,
        '`', 815,
        'c', 734,
        'e', 748,
        'i', 750,
        'l', 698,
        'm', 673,
        'o', 773,
        't', 805,
        '{', 504,
        '+', 596,
        '-', 596,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(27);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 28:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '#', 813,
        '$', 402,
        '%', 581,
        '\'', 602,
        '(', 456,
        '0', 584,
        ';', 253,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 739,
        'c', 734,
        'e', 803,
        'i', 740,
        'l', 698,
        'm', 673,
        'o', 773,
        't', 805,
        '{', 504,
        '+', 596,
        '-', 596,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(28);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '#', 813,
        '$', 402,
        '%', 581,
        '\'', 602,
        '(', 456,
        '0', 584,
        ';', 253,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 739,
        'c', 734,
        'e', 803,
        'i', 750,
        'l', 698,
        'm', 673,
        'o', 773,
        't', 805,
        '{', 504,
        '+', 596,
        '-', 596,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(29);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 30:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '#', 813,
        '$', 402,
        '%', 581,
        '\'', 602,
        '(', 456,
        '0', 584,
        ';', 253,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 739,
        'c', 734,
        'e', 748,
        'i', 740,
        'l', 698,
        'm', 673,
        'o', 773,
        't', 805,
        '{', 504,
        '+', 596,
        '-', 596,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(30);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 31:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '#', 813,
        '$', 402,
        '%', 581,
        '\'', 602,
        '(', 456,
        '0', 584,
        ';', 253,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 739,
        'c', 734,
        'e', 748,
        'i', 750,
        'l', 698,
        'm', 673,
        'o', 773,
        't', 805,
        '{', 504,
        '+', 596,
        '-', 596,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(31);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 32:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '#', 813,
        '$', 402,
        '\'', 602,
        '(', 456,
        '+', 254,
        '0', 584,
        ':', 450,
        ';', 253,
        '?', 449,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 756,
        'c', 734,
        'e', 803,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 504,
        '~', 447,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(33);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 33:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '#', 813,
        '$', 402,
        '\'', 602,
        '(', 456,
        '+', 254,
        '0', 584,
        ';', 253,
        '?', 449,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 756,
        'c', 734,
        'e', 803,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 504,
        '~', 447,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(33);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 34:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '#', 813,
        '$', 402,
        '\'', 602,
        '(', 456,
        '0', 584,
        ':', 450,
        ';', 253,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 756,
        'c', 734,
        'e', 748,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 504,
        '~', 447,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(35);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 35:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '#', 813,
        '$', 402,
        '\'', 602,
        '(', 456,
        '0', 584,
        ';', 253,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 756,
        'c', 734,
        'e', 748,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 504,
        '~', 447,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(35);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 36:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '$', 402,
        '%', 581,
        '\'', 602,
        '(', 456,
        ')', 457,
        '+', 596,
        '-', 597,
        '.', 497,
        '0', 584,
        ':', 496,
        ';', 508,
        '=', 445,
        '>', 393,
        '[', 482,
        '\\', 201,
        ']', 486,
        '`', 815,
        'l', 698,
        'm', 676,
        '{', 506,
        '|', 266,
        '}', 510,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(36);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 37:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '$', 402,
        '%', 581,
        '\'', 602,
        '(', 456,
        '0', 584,
        ':', 487,
        ';', 508,
        '=', 445,
        '>', 541,
        '[', 479,
        '\\', 201,
        '`', 815,
        'c', 764,
        'e', 749,
        'i', 744,
        'l', 698,
        'm', 672,
        'v', 668,
        '{', 504,
        '}', 510,
        '+', 596,
        '-', 596,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(37);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 38:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '$', 402,
        '%', 581,
        '\'', 602,
        '(', 456,
        '0', 584,
        '[', 482,
        '\\', 201,
        '`', 815,
        'd', 760,
        'l', 698,
        'm', 676,
        '{', 506,
        '+', 596,
        '-', 596,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(38);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 39:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '$', 402,
        '%', 581,
        '\'', 602,
        '(', 456,
        '0', 584,
        '[', 482,
        '\\', 201,
        '`', 815,
        'd', 762,
        'l', 698,
        'm', 676,
        't', 761,
        '{', 506,
        '+', 596,
        '-', 596,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(39);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 40:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '$', 402,
        '%', 581,
        '\'', 602,
        '(', 456,
        '0', 584,
        '[', 482,
        '\\', 201,
        '`', 815,
        'd', 771,
        'l', 698,
        'm', 676,
        '{', 506,
        '+', 596,
        '-', 596,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(40);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 41:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '$', 402,
        '%', 581,
        '\'', 602,
        '(', 456,
        '0', 584,
        '[', 482,
        '\\', 201,
        '`', 815,
        'e', 749,
        'l', 698,
        'm', 676,
        '{', 506,
        '+', 596,
        '-', 596,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(41);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 42:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '$', 402,
        '%', 581,
        '\'', 602,
        '(', 456,
        '0', 584,
        '[', 482,
        '\\', 201,
        '`', 815,
        'l', 698,
        'm', 676,
        't', 720,
        '{', 506,
        '+', 596,
        '-', 596,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(42);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 43:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '$', 402,
        '%', 581,
        '\'', 602,
        '(', 456,
        '0', 584,
        '[', 482,
        '\\', 201,
        '`', 815,
        'l', 698,
        'm', 676,
        'w', 723,
        '{', 506,
        '+', 596,
        '-', 596,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(43);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 44:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '$', 402,
        '%', 581,
        '\'', 602,
        '(', 456,
        '0', 584,
        '[', 483,
        '\\', 201,
        '`', 815,
        'a', 739,
        'i', 745,
        'l', 698,
        'm', 676,
        '{', 506,
        '+', 596,
        '-', 596,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(44);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 45:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '$', 402,
        '\'', 602,
        '(', 456,
        ')', 457,
        '.', 816,
        '0', 584,
        ':', 487,
        '?', 449,
        '[', 482,
        '\\', 201,
        '`', 815,
        '{', 506,
        '~', 447,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(45);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 46:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '$', 402,
        '\'', 602,
        '(', 456,
        ')', 457,
        '.', 816,
        '0', 584,
        ':', 450,
        '?', 449,
        '[', 482,
        '\\', 201,
        '`', 815,
        '{', 506,
        '~', 447,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(45);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 47:
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '$', 402,
        '\'', 602,
        '(', 456,
        '.', 816,
        '0', 584,
        '[', 482,
        '\\', 201,
        '`', 815,
        'l', 698,
        'm', 676,
        '{', 506,
        '+', 596,
        '-', 596,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 48:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        ')', 457,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 600,
        '.', 497,
        '0', 584,
        ':', 492,
        ';', 508,
        '<', 651,
        '=', 655,
        '>', 653,
        '?', 449,
        '[', 482,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 785,
        'e', 730,
        'l', 682,
        'm', 769,
        'o', 776,
        '{', 506,
        '|', 475,
        '}', 510,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(48);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 49:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        ')', 457,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 600,
        '.', 497,
        '0', 584,
        ':', 492,
        ';', 508,
        '<', 651,
        '=', 655,
        '>', 653,
        '?', 449,
        '[', 482,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 785,
        'e', 730,
        'l', 682,
        'm', 769,
        'o', 776,
        '{', 506,
        '|', 474,
        '}', 510,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(49);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 50:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        ')', 457,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 600,
        '.', 497,
        '0', 584,
        ':', 492,
        ';', 508,
        '<', 651,
        '=', 655,
        '>', 653,
        '?', 449,
        '[', 482,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 785,
        'l', 682,
        'm', 769,
        'o', 776,
        '{', 506,
        '|', 475,
        '}', 510,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        ')', 457,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 600,
        '.', 497,
        '0', 584,
        ':', 492,
        ';', 508,
        '<', 651,
        '=', 655,
        '>', 653,
        '?', 449,
        '[', 482,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 785,
        'l', 682,
        'm', 769,
        'o', 776,
        '{', 506,
        '|', 474,
        '}', 510,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(51);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 52:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 651,
        '?', 449,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 803,
        'i', 740,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 53:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 651,
        '?', 449,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 803,
        'i', 750,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 54:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 651,
        '?', 449,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 729,
        'i', 740,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 55:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 651,
        '?', 449,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 729,
        'i', 750,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 56:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 651,
        '?', 449,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 785,
        'c', 734,
        'e', 803,
        'i', 750,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 57:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 651,
        '?', 449,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 785,
        'c', 734,
        'e', 729,
        'i', 750,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 58:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 651,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 727,
        'i', 740,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 59:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 651,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 727,
        'i', 750,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 60:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 651,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 748,
        'i', 740,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(60);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 61:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 651,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 748,
        'i', 750,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(61);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 62:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 651,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 785,
        'c', 734,
        'e', 727,
        'i', 750,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(62);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 63:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 651,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 785,
        'c', 734,
        'e', 748,
        'i', 750,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 64:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 785,
        'c', 764,
        'e', 728,
        'i', 744,
        'l', 682,
        'm', 707,
        'o', 776,
        'v', 668,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 65:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 785,
        'c', 764,
        'e', 749,
        'i', 744,
        'l', 682,
        'm', 707,
        'o', 776,
        'v', 668,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 66:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'd', 760,
        'e', 730,
        'l', 682,
        'm', 769,
        'o', 776,
        '{', 506,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 67:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'd', 760,
        'l', 682,
        'm', 769,
        'o', 776,
        '{', 506,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(67);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 68:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'd', 762,
        'e', 730,
        'l', 682,
        'm', 769,
        'o', 776,
        't', 761,
        '{', 506,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(68);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 69:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'd', 762,
        'l', 682,
        'm', 769,
        'o', 776,
        't', 761,
        '{', 506,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(69);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 70:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'd', 771,
        'e', 730,
        'l', 682,
        'm', 769,
        'o', 776,
        '{', 506,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(70);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 71:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'd', 771,
        'l', 682,
        'm', 769,
        'o', 776,
        '{', 506,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(71);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 72:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'e', 728,
        'l', 682,
        'm', 769,
        'o', 776,
        '{', 506,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(72);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 73:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'e', 730,
        'l', 682,
        'm', 769,
        'o', 776,
        't', 720,
        '{', 506,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(73);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 74:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'e', 730,
        'l', 682,
        'm', 769,
        'o', 776,
        'w', 723,
        '{', 506,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(74);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 75:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'e', 749,
        'l', 682,
        'm', 769,
        'o', 776,
        '{', 506,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(75);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 76:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'l', 682,
        'm', 769,
        'o', 776,
        't', 720,
        '{', 506,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(76);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 77:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'l', 682,
        'm', 769,
        'o', 776,
        'w', 723,
        '{', 506,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(77);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 78:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 483,
        '\\', 201,
        '`', 815,
        'a', 738,
        'e', 730,
        'i', 745,
        'l', 682,
        'm', 769,
        'o', 776,
        '{', 506,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(78);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 79:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 483,
        '\\', 201,
        '`', 815,
        'a', 738,
        'i', 745,
        'l', 682,
        'm', 769,
        'o', 776,
        '{', 506,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(79);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 80:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 452,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 785,
        'c', 764,
        'e', 728,
        'i', 744,
        'l', 682,
        'm', 707,
        'o', 776,
        'v', 668,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 81:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 452,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 785,
        'c', 764,
        'e', 749,
        'i', 744,
        'l', 682,
        'm', 707,
        'o', 776,
        'v', 668,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 82:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 452,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'd', 760,
        'e', 730,
        'l', 682,
        'm', 769,
        'o', 776,
        '{', 506,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 83:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 452,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'd', 760,
        'l', 682,
        'm', 769,
        'o', 776,
        '{', 506,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(67);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 84:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 452,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'd', 762,
        'e', 730,
        'l', 682,
        'm', 769,
        'o', 776,
        't', 761,
        '{', 506,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(68);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 85:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 452,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'd', 762,
        'l', 682,
        'm', 769,
        'o', 776,
        't', 761,
        '{', 506,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(69);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 86:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 452,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'd', 771,
        'e', 730,
        'l', 682,
        'm', 769,
        'o', 776,
        '{', 506,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(70);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 87:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 452,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'd', 771,
        'l', 682,
        'm', 769,
        'o', 776,
        '{', 506,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(71);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 88:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 452,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'e', 728,
        'l', 682,
        'm', 769,
        'o', 776,
        '{', 506,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(72);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 89:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 452,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'e', 730,
        'l', 682,
        'm', 769,
        'o', 776,
        't', 720,
        '{', 506,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(73);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 90:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 452,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'e', 730,
        'l', 682,
        'm', 769,
        'o', 776,
        'w', 723,
        '{', 506,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(74);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 91:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 452,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'e', 749,
        'l', 682,
        'm', 769,
        'o', 776,
        '{', 506,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(75);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 92:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 452,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'l', 682,
        'm', 769,
        'o', 776,
        't', 720,
        '{', 506,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(76);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 93:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 452,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'l', 682,
        'm', 769,
        'o', 776,
        'w', 723,
        '{', 506,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(77);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 94:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 452,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 483,
        '\\', 201,
        '`', 815,
        'a', 738,
        'e', 730,
        'i', 745,
        'l', 682,
        'm', 769,
        'o', 776,
        '{', 506,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(78);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 95:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 452,
        ';', 508,
        '<', 651,
        '?', 449,
        '[', 483,
        '\\', 201,
        '`', 815,
        'a', 738,
        'i', 745,
        'l', 682,
        'm', 769,
        'o', 776,
        '{', 506,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(79);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 96:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '&', 658,
        '\'', 602,
        '(', 456,
        ')', 457,
        '*', 640,
        '+', 598,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        '<', 652,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 755,
        'e', 804,
        'l', 681,
        'm', 674,
        'o', 776,
        't', 805,
        '{', 505,
        '|', 391,
        '%', 643,
        '/', 643,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '$', 655,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(96);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 97:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '&', 658,
        '\'', 602,
        '(', 456,
        ')', 457,
        '*', 640,
        '+', 598,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        '<', 652,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 755,
        'e', 804,
        'l', 681,
        'm', 674,
        'o', 776,
        '{', 505,
        '|', 391,
        '%', 643,
        '/', 643,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '$', 655,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(97);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 98:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 547,
        '&', 658,
        '\'', 602,
        '(', 456,
        ')', 457,
        '*', 640,
        '+', 598,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        '<', 652,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 755,
        'l', 681,
        'm', 674,
        'o', 776,
        '{', 505,
        '|', 391,
        '%', 643,
        '/', 643,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '$', 655,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(98);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 99:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 247,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 652,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 729,
        'i', 740,
        'l', 680,
        'm', 674,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(99);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 100:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 652,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 803,
        'i', 740,
        'l', 680,
        'm', 674,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(100);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 652,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 803,
        'i', 750,
        'l', 680,
        'm', 674,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(101);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 102:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 652,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 729,
        'i', 750,
        'l', 680,
        'm', 674,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(102);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 103:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 652,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 785,
        'c', 734,
        'e', 803,
        'i', 750,
        'l', 680,
        'm', 674,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(103);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 104:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 652,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 785,
        'c', 734,
        'e', 729,
        'i', 750,
        'l', 680,
        'm', 674,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(104);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 105:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 652,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 727,
        'i', 740,
        'l', 680,
        'm', 674,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(105);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 106:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 652,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 727,
        'i', 750,
        'l', 680,
        'm', 674,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(106);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 107:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 652,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 748,
        'i', 740,
        'l', 680,
        'm', 674,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(107);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 108:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 652,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 748,
        'i', 750,
        'l', 680,
        'm', 674,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(108);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 109:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 652,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 785,
        'c', 734,
        'e', 727,
        'i', 750,
        'l', 680,
        'm', 674,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(109);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 110:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 652,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 785,
        'c', 734,
        'e', 748,
        'i', 750,
        'l', 680,
        'm', 674,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(110);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 111:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 652,
        '?', 449,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 803,
        'i', 740,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(111);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 112:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 652,
        '?', 449,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 803,
        'i', 750,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(112);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 113:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 652,
        '?', 449,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 729,
        'i', 740,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(113);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 114:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 652,
        '?', 449,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 729,
        'i', 750,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(114);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 115:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 652,
        '?', 449,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 785,
        'c', 734,
        'e', 803,
        'i', 750,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(115);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 116:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 652,
        '?', 449,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 785,
        'c', 734,
        'e', 729,
        'i', 750,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(116);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 117:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 652,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 727,
        'i', 740,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(117);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 118:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 652,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 727,
        'i', 750,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(118);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 119:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 652,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 748,
        'i', 740,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(119);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 120:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 652,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 748,
        'i', 750,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(120);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 121:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 652,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 785,
        'c', 734,
        'e', 727,
        'i', 750,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(121);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 122:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '0', 584,
        ':', 252,
        ';', 509,
        '<', 652,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 785,
        'c', 734,
        'e', 748,
        'i', 750,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(122);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 123:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '0', 584,
        ':', 452,
        ';', 509,
        '<', 652,
        '?', 449,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 803,
        'i', 740,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(111);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 124:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '0', 584,
        ':', 452,
        ';', 509,
        '<', 652,
        '?', 449,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 803,
        'i', 750,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(112);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 125:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '0', 584,
        ':', 452,
        ';', 509,
        '<', 652,
        '?', 449,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 729,
        'i', 740,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(113);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 126:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '0', 584,
        ':', 452,
        ';', 509,
        '<', 652,
        '?', 449,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 729,
        'i', 750,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(114);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 127:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '0', 584,
        ':', 452,
        ';', 509,
        '<', 652,
        '?', 449,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 785,
        'c', 734,
        'e', 803,
        'i', 750,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(115);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 128:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '0', 584,
        ':', 452,
        ';', 509,
        '<', 652,
        '?', 449,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 785,
        'c', 734,
        'e', 729,
        'i', 750,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(116);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 129:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '0', 584,
        ':', 452,
        ';', 509,
        '<', 652,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 727,
        'i', 740,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(117);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 130:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '0', 584,
        ':', 452,
        ';', 509,
        '<', 652,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 727,
        'i', 750,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(118);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 131:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '0', 584,
        ':', 452,
        ';', 509,
        '<', 652,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 748,
        'i', 740,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(119);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 132:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '0', 584,
        ':', 452,
        ';', 509,
        '<', 652,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 738,
        'c', 734,
        'e', 748,
        'i', 750,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(120);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 133:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '0', 584,
        ':', 452,
        ';', 509,
        '<', 652,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 785,
        'c', 734,
        'e', 727,
        'i', 750,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(121);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 134:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 813,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '0', 584,
        ':', 452,
        ';', 509,
        '<', 652,
        '?', 449,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 785,
        'c', 734,
        'e', 748,
        'i', 750,
        'l', 680,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 504,
        '|', 475,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(122);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 135:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '#', 412,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        ')', 457,
        '*', 640,
        '+', 598,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 652,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 755,
        'l', 680,
        'm', 674,
        'o', 776,
        '{', 506,
        '|', 267,
        '%', 643,
        '/', 643,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(135);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 136:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        ')', 457,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 652,
        '=', 655,
        '>', 653,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 785,
        'c', 764,
        'e', 728,
        'i', 744,
        'l', 680,
        'm', 671,
        'o', 776,
        'v', 668,
        '{', 504,
        '|', 475,
        '}', 510,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(136);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 137:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        ')', 457,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 600,
        '/', 643,
        '0', 584,
        ':', 492,
        ';', 508,
        '<', 652,
        '=', 655,
        '>', 653,
        '[', 482,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 785,
        'e', 730,
        'l', 680,
        'm', 675,
        'o', 776,
        '{', 506,
        '|', 475,
        '}', 510,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(137);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 138:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        ')', 457,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 600,
        '/', 643,
        '0', 584,
        ':', 492,
        ';', 508,
        '<', 652,
        '=', 655,
        '>', 653,
        '[', 482,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 785,
        'l', 680,
        'm', 675,
        'o', 776,
        '{', 506,
        '|', 475,
        '}', 510,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(138);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 139:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 652,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 785,
        'c', 764,
        'e', 749,
        'i', 744,
        'l', 680,
        'm', 671,
        'o', 776,
        'v', 668,
        '{', 504,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(139);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 140:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 652,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'd', 760,
        'e', 730,
        'l', 680,
        'm', 675,
        'o', 776,
        '{', 506,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(140);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 141:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 652,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'd', 760,
        'l', 680,
        'm', 675,
        'o', 776,
        '{', 506,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(141);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 142:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 652,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'd', 762,
        'e', 730,
        'l', 680,
        'm', 675,
        'o', 776,
        't', 761,
        '{', 506,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(142);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 143:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 652,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'd', 762,
        'l', 680,
        'm', 675,
        'o', 776,
        't', 761,
        '{', 506,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(143);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 144:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 652,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'd', 771,
        'e', 730,
        'l', 680,
        'm', 675,
        'o', 776,
        '{', 506,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(144);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 145:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 652,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'd', 771,
        'l', 680,
        'm', 675,
        'o', 776,
        '{', 506,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(145);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 146:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 652,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'e', 728,
        'l', 680,
        'm', 675,
        'o', 776,
        '{', 506,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(146);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 147:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 652,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'e', 730,
        'l', 680,
        'm', 675,
        'o', 776,
        't', 720,
        '{', 506,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(147);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 148:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 652,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'e', 730,
        'l', 680,
        'm', 675,
        'o', 776,
        'w', 723,
        '{', 506,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(148);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 149:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 652,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'e', 730,
        'l', 680,
        'm', 675,
        'o', 776,
        '{', 506,
        '|', 474,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(149);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 150:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 652,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'e', 749,
        'l', 680,
        'm', 675,
        'o', 776,
        '{', 506,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(150);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 151:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 652,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'l', 680,
        'm', 675,
        'o', 776,
        't', 720,
        '{', 506,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(151);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 152:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 652,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'l', 680,
        'm', 675,
        'o', 776,
        'w', 723,
        '{', 506,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(152);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 153:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 652,
        '[', 482,
        '\\', 201,
        '`', 815,
        'a', 785,
        'l', 680,
        'm', 675,
        'o', 776,
        '{', 506,
        '|', 474,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(153);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 154:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 652,
        '[', 483,
        '\\', 201,
        '`', 815,
        'a', 738,
        'e', 730,
        'i', 745,
        'l', 680,
        'm', 675,
        'o', 776,
        '{', 506,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(154);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 155:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '$', 654,
        '%', 582,
        '&', 658,
        '\'', 602,
        '(', 456,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '/', 643,
        '0', 584,
        ':', 252,
        ';', 508,
        '<', 652,
        '[', 483,
        '\\', 201,
        '`', 815,
        'a', 738,
        'i', 745,
        'l', 680,
        'm', 675,
        'o', 776,
        '{', 506,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(155);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 156:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        ')', 457,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 600,
        '0', 584,
        ':', 453,
        ';', 508,
        '<', 652,
        '=', 655,
        '>', 653,
        '?', 449,
        '[', 482,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 785,
        'e', 730,
        'l', 682,
        'm', 769,
        'o', 776,
        '{', 506,
        '|', 475,
        '}', 510,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(160);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 157:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        ')', 457,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 600,
        '0', 584,
        ':', 453,
        ';', 508,
        '<', 652,
        '=', 655,
        '>', 653,
        '?', 449,
        '[', 482,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 785,
        'e', 730,
        'l', 682,
        'm', 769,
        'o', 776,
        '{', 506,
        '|', 474,
        '}', 510,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(161);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 158:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        ')', 457,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 600,
        '0', 584,
        ':', 453,
        ';', 508,
        '<', 652,
        '=', 655,
        '>', 653,
        '?', 449,
        '[', 482,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 785,
        'l', 682,
        'm', 769,
        'o', 776,
        '{', 506,
        '|', 475,
        '}', 510,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(162);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 159:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        ')', 457,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 600,
        '0', 584,
        ':', 453,
        ';', 508,
        '<', 652,
        '=', 655,
        '>', 653,
        '?', 449,
        '[', 482,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 785,
        'l', 682,
        'm', 769,
        'o', 776,
        '{', 506,
        '|', 474,
        '}', 510,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 160:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        ')', 457,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 600,
        '0', 584,
        ':', 492,
        ';', 508,
        '<', 652,
        '=', 655,
        '>', 653,
        '?', 449,
        '[', 482,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 785,
        'e', 730,
        'l', 682,
        'm', 769,
        'o', 776,
        '{', 506,
        '|', 475,
        '}', 510,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(160);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 161:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        ')', 457,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 600,
        '0', 584,
        ':', 492,
        ';', 508,
        '<', 652,
        '=', 655,
        '>', 653,
        '?', 449,
        '[', 482,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 785,
        'e', 730,
        'l', 682,
        'm', 769,
        'o', 776,
        '{', 506,
        '|', 474,
        '}', 510,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(161);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 162:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        ')', 457,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 600,
        '0', 584,
        ':', 492,
        ';', 508,
        '<', 652,
        '=', 655,
        '>', 653,
        '?', 449,
        '[', 482,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 785,
        'l', 682,
        'm', 769,
        'o', 776,
        '{', 506,
        '|', 475,
        '}', 510,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(162);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 163:
      ADVANCE_MAP(
        '!', 630,
        '"', 607,
        '$', 654,
        '&', 658,
        '\'', 602,
        '(', 456,
        ')', 457,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 600,
        '0', 584,
        ':', 492,
        ';', 508,
        '<', 652,
        '=', 655,
        '>', 653,
        '?', 449,
        '[', 482,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 785,
        'l', 682,
        'm', 769,
        'o', 776,
        '{', 506,
        '|', 474,
        '}', 510,
        '~', 447,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 164:
      ADVANCE_MAP(
        '!', 630,
        '#', 412,
        '&', 658,
        ')', 457,
        '*', 640,
        '+', 598,
        '-', 599,
        '.', 497,
        ':', 258,
        '<', 652,
        '[', 262,
        'a', 343,
        'l', 271,
        'm', 276,
        'o', 363,
        '|', 391,
        '%', 643,
        '/', 643,
        '?', 413,
        '~', 413,
        '@', 649,
        '^', 649,
        '$', 655,
        '=', 655,
        '>', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(164);
      END_STATE();
    case 165:
      ADVANCE_MAP(
        '"', 607,
        '#', 813,
        '\'', 602,
        '(', 456,
        ')', 457,
        ',', 464,
        '0', 584,
        ':', 488,
        ';', 253,
        '=', 445,
        '[', 237,
        '\\', 201,
        ']', 486,
        'c', 734,
        'e', 748,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 507,
        '|', 471,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(165);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 166:
      ADVANCE_MAP(
        '"', 607,
        '#', 813,
        '\'', 602,
        '(', 456,
        '0', 584,
        ':', 487,
        ';', 253,
        '=', 445,
        '[', 237,
        '\\', 201,
        ']', 486,
        'c', 734,
        'e', 803,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 507,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(166);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 167:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '%', 581,
        '\'', 602,
        '(', 456,
        ')', 457,
        '+', 595,
        ',', 464,
        '-', 601,
        '.', 497,
        '0', 584,
        ':', 488,
        ';', 508,
        '=', 445,
        '[', 482,
        '\\', 201,
        ']', 486,
        '`', 815,
        'e', 804,
        '{', 505,
        '|', 471,
        '}', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(167);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 168:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '%', 581,
        '\'', 602,
        '(', 456,
        '0', 584,
        '[', 482,
        '\\', 201,
        '`', 815,
        'e', 804,
        'm', 765,
        'o', 773,
        '{', 505,
        '+', 595,
        '-', 595,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(168);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 169:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '%', 581,
        '\'', 602,
        '(', 456,
        '0', 584,
        '[', 482,
        '\\', 201,
        '`', 815,
        'o', 773,
        '{', 505,
        '+', 595,
        '-', 595,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(169);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 170:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        ')', 457,
        '*', 501,
        '+', 595,
        ',', 464,
        '-', 601,
        '.', 497,
        '0', 584,
        ':', 493,
        ';', 508,
        '=', 445,
        '?', 448,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'c', 764,
        'e', 749,
        'i', 744,
        'm', 708,
        'v', 668,
        '{', 503,
        '|', 471,
        '}', 510,
        '~', 446,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(170);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 171:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        ')', 457,
        '+', 595,
        ',', 464,
        '-', 601,
        '.', 497,
        '0', 584,
        ':', 493,
        ';', 508,
        '=', 445,
        '?', 448,
        '[', 482,
        '\\', 201,
        ']', 486,
        '`', 815,
        '{', 505,
        '|', 471,
        '}', 510,
        '~', 446,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(171);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 172:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        '*', 501,
        '+', 595,
        '-', 601,
        '.', 497,
        '0', 584,
        ':', 487,
        ';', 253,
        '=', 445,
        '?', 448,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 756,
        'c', 734,
        'e', 803,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 503,
        '|', 471,
        '~', 446,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(172);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 173:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        '*', 501,
        '+', 595,
        '-', 601,
        '.', 497,
        '0', 584,
        ':', 487,
        ';', 253,
        '=', 445,
        '?', 448,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 756,
        'c', 734,
        'e', 748,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 503,
        '|', 471,
        '~', 446,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(173);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 174:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        '*', 501,
        '+', 595,
        '-', 601,
        '.', 497,
        '0', 584,
        ':', 487,
        ';', 253,
        '=', 445,
        '?', 448,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 756,
        'c', 734,
        'e', 748,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 668,
        '{', 503,
        '|', 471,
        '~', 446,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(174);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 175:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        '+', 595,
        ',', 464,
        '-', 601,
        '.', 247,
        '0', 584,
        ':', 493,
        ';', 508,
        '=', 445,
        '?', 448,
        '[', 482,
        '\\', 201,
        '`', 815,
        '{', 505,
        '|', 472,
        '~', 446,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 176:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        '+', 595,
        ',', 464,
        '-', 601,
        '.', 247,
        '0', 584,
        ':', 454,
        ';', 508,
        '=', 445,
        '?', 448,
        '[', 482,
        '\\', 201,
        '`', 815,
        '{', 505,
        '|', 472,
        '~', 446,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 177:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        ',', 464,
        '.', 497,
        '0', 584,
        ':', 493,
        ';', 253,
        '=', 445,
        '?', 448,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 739,
        'c', 734,
        'e', 803,
        'i', 740,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 503,
        '|', 471,
        '~', 446,
        '+', 595,
        '-', 595,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 178:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        ',', 464,
        '.', 497,
        '0', 584,
        ':', 493,
        ';', 253,
        '=', 445,
        '?', 448,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 739,
        'c', 734,
        'e', 803,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 503,
        '|', 471,
        '~', 446,
        '+', 595,
        '-', 595,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(178);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 179:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        ',', 464,
        '.', 497,
        '0', 584,
        ':', 493,
        ';', 253,
        '=', 445,
        '?', 448,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 739,
        'c', 734,
        'e', 748,
        'i', 740,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 503,
        '|', 471,
        '~', 446,
        '+', 595,
        '-', 595,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 180:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        ',', 464,
        '.', 497,
        '0', 584,
        ':', 493,
        ';', 253,
        '=', 445,
        '?', 448,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 739,
        'c', 734,
        'e', 748,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 503,
        '|', 471,
        '~', 446,
        '+', 595,
        '-', 595,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(180);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 181:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        ',', 464,
        '.', 497,
        '0', 584,
        ':', 493,
        '=', 445,
        '?', 448,
        '[', 483,
        '\\', 201,
        '`', 815,
        'a', 739,
        'i', 745,
        '{', 505,
        '|', 471,
        '~', 446,
        '+', 595,
        '-', 595,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(181);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 182:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        ',', 464,
        '.', 497,
        '0', 584,
        ':', 251,
        ';', 508,
        '[', 482,
        '\\', 201,
        '`', 815,
        'e', 804,
        '{', 505,
        '|', 472,
        '+', 595,
        '-', 595,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(182);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 183:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        ',', 464,
        '.', 247,
        '0', 584,
        ':', 493,
        ';', 253,
        '=', 445,
        '?', 448,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 739,
        'c', 734,
        'e', 803,
        'i', 740,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 503,
        '|', 471,
        '~', 446,
        '+', 595,
        '-', 595,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 184:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        ',', 464,
        '.', 247,
        '0', 584,
        ':', 493,
        ';', 253,
        '=', 445,
        '?', 448,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 739,
        'c', 734,
        'e', 803,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 503,
        '|', 471,
        '~', 446,
        '+', 595,
        '-', 595,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(184);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 185:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        ',', 464,
        '.', 247,
        '0', 584,
        ':', 493,
        ';', 253,
        '=', 445,
        '?', 448,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 739,
        'c', 734,
        'e', 748,
        'i', 740,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 503,
        '|', 471,
        '~', 446,
        '+', 595,
        '-', 595,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(185);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 186:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        ',', 464,
        '.', 247,
        '0', 584,
        ':', 493,
        ';', 253,
        '=', 445,
        '?', 448,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 739,
        'c', 734,
        'e', 748,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 503,
        '|', 471,
        '~', 446,
        '+', 595,
        '-', 595,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(186);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 187:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        ',', 464,
        '.', 247,
        '0', 584,
        ':', 493,
        '=', 445,
        '?', 448,
        '[', 483,
        '\\', 201,
        '`', 815,
        'a', 739,
        'i', 745,
        '{', 505,
        '|', 471,
        '~', 446,
        '+', 595,
        '-', 595,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 188:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        '.', 816,
        '0', 584,
        '[', 482,
        '\\', 201,
        '`', 815,
        'e', 804,
        '{', 505,
        '|', 471,
        '+', 595,
        '-', 595,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(188);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 189:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        '0', 584,
        ':', 487,
        ';', 253,
        '=', 445,
        '?', 448,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 756,
        'c', 734,
        'e', 803,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 503,
        '~', 446,
        '+', 595,
        '-', 595,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 190:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        '0', 584,
        ':', 487,
        ';', 253,
        '=', 445,
        '?', 448,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 756,
        'c', 734,
        'e', 748,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 503,
        '~', 446,
        '+', 595,
        '-', 595,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 191:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        '0', 584,
        ':', 487,
        ';', 253,
        '=', 445,
        '?', 448,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 756,
        'c', 734,
        'e', 748,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 668,
        '{', 503,
        '~', 446,
        '+', 595,
        '-', 595,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 192:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        '0', 584,
        ':', 487,
        '=', 445,
        '?', 448,
        '[', 479,
        '\\', 201,
        '`', 815,
        'c', 764,
        'e', 749,
        'i', 744,
        'm', 708,
        'v', 668,
        '{', 503,
        '~', 446,
        '+', 595,
        '-', 595,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 193:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        '0', 584,
        ':', 450,
        ';', 253,
        '=', 445,
        '?', 448,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 756,
        'c', 734,
        'e', 803,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 503,
        '~', 446,
        '+', 595,
        '-', 595,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 194:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        '0', 584,
        ':', 450,
        ';', 253,
        '=', 445,
        '?', 448,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 756,
        'c', 734,
        'e', 748,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 503,
        '~', 446,
        '+', 595,
        '-', 595,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 195:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        '0', 584,
        ':', 450,
        ';', 253,
        '=', 445,
        '?', 448,
        '[', 479,
        '\\', 201,
        '`', 815,
        'a', 756,
        'c', 734,
        'e', 748,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 668,
        '{', 503,
        '~', 446,
        '+', 595,
        '-', 595,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 196:
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        '0', 584,
        ':', 450,
        '=', 445,
        '?', 448,
        '[', 479,
        '\\', 201,
        '`', 815,
        'c', 764,
        'e', 749,
        'i', 744,
        'm', 708,
        'v', 668,
        '{', 503,
        '~', 446,
        '+', 595,
        '-', 595,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 197:
      if (lookahead == '"') ADVANCE(607);
      if (lookahead == '%') ADVANCE(610);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(612);
      if (lookahead == '\\') ADVANCE(3);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(608);
      if (lookahead != 0) ADVANCE(613);
      END_STATE();
    case 198:
      ADVANCE_MAP(
        '#', 547,
        '(', 456,
        '*', 501,
        '-', 259,
        '.', 497,
        ':', 494,
        ';', 508,
        '=', 445,
        '[', 234,
        'a', 340,
        'c', 354,
        'i', 335,
        'w', 312,
        '{', 235,
        '}', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(198);
      END_STATE();
    case 199:
      ADVANCE_MAP(
        '#', 547,
        ')', 457,
        ',', 464,
        '-', 259,
        '.', 498,
        ':', 488,
        ';', 508,
        '=', 445,
        '[', 262,
        '\\', 201,
        ']', 486,
        'w', 723,
        '|', 471,
        '}', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(199);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 200:
      ADVANCE_MAP(
        '#', 547,
        ')', 457,
        ',', 464,
        '-', 259,
        '.', 497,
        ':', 488,
        ';', 508,
        '=', 445,
        '[', 237,
        '\\', 201,
        ']', 486,
        'c', 764,
        'e', 749,
        'i', 744,
        'm', 708,
        'v', 668,
        'w', 723,
        '{', 238,
        '|', 471,
        '}', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 201:
      if (lookahead == '#') ADVANCE(417);
      END_STATE();
    case 202:
      ADVANCE_MAP(
        '#', 813,
        '(', 456,
        '*', 501,
        '-', 259,
        ':', 487,
        ';', 253,
        '=', 445,
        '[', 484,
        '\\', 201,
        ']', 486,
        'a', 756,
        'c', 733,
        'e', 803,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 238,
        '|', 471,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(202);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 203:
      ADVANCE_MAP(
        '#', 813,
        '(', 456,
        '*', 501,
        '-', 259,
        ':', 487,
        ';', 253,
        '=', 445,
        '[', 484,
        '\\', 201,
        ']', 486,
        'a', 756,
        'c', 733,
        'e', 748,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 238,
        '|', 471,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 204:
      ADVANCE_MAP(
        '#', 813,
        '(', 456,
        ':', 487,
        ';', 253,
        '=', 445,
        '[', 484,
        '\\', 201,
        ']', 486,
        'a', 756,
        'c', 734,
        'e', 803,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 238,
        '|', 471,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(204);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 205:
      ADVANCE_MAP(
        '#', 813,
        '(', 456,
        ':', 487,
        ';', 253,
        '=', 445,
        '[', 484,
        '\\', 201,
        'a', 756,
        'c', 734,
        'e', 748,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 238,
        '|', 471,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 206:
      ADVANCE_MAP(
        '#', 813,
        '*', 501,
        '-', 259,
        ':', 255,
        ';', 253,
        '=', 445,
        '[', 237,
        '\\', 201,
        ']', 486,
        'a', 756,
        'c', 733,
        'e', 803,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        'w', 723,
        '{', 238,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(206);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 207:
      ADVANCE_MAP(
        '#', 813,
        '*', 501,
        '-', 259,
        ':', 255,
        ';', 253,
        '=', 445,
        '[', 237,
        '\\', 201,
        'a', 756,
        'c', 733,
        'e', 748,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        'w', 723,
        '{', 238,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(207);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 208:
      ADVANCE_MAP(
        '#', 546,
        '%', 581,
        '\'', 814,
        '(', 456,
        ')', 457,
        '-', 259,
        '.', 816,
        ':', 251,
        '<', 544,
        '?', 448,
        '[', 480,
        '\\', 201,
        'm', 765,
        '{', 235,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 209:
      ADVANCE_MAP(
        '#', 546,
        '%', 581,
        '\'', 814,
        '(', 456,
        '<', 544,
        '?', 448,
        '[', 480,
        '\\', 201,
        't', 805,
        '{', 235,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 210:
      ADVANCE_MAP(
        '#', 546,
        '&', 542,
        '\'', 814,
        ')', 457,
        '*', 501,
        ',', 464,
        '-', 259,
        '.', 497,
        ':', 260,
        ';', 508,
        '=', 445,
        '>', 541,
        '[', 262,
        '\\', 201,
        ']', 486,
        '|', 471,
        '}', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 211:
      ADVANCE_MAP(
        '#', 546,
        '\'', 814,
        '(', 456,
        '*', 501,
        '-', 259,
        '.', 497,
        ':', 487,
        ';', 253,
        '=', 445,
        '[', 484,
        '\\', 201,
        'a', 756,
        'c', 733,
        'e', 748,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 668,
        '{', 238,
        '|', 471,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(211);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 212:
      ADVANCE_MAP(
        '#', 546,
        '\'', 814,
        '(', 456,
        '*', 501,
        '-', 259,
        '.', 497,
        ';', 253,
        '[', 484,
        '\\', 201,
        'a', 756,
        'c', 734,
        'e', 748,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 668,
        '{', 238,
        '|', 471,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 213:
      ADVANCE_MAP(
        '#', 546,
        '\'', 814,
        '(', 456,
        '<', 544,
        '?', 448,
        '[', 480,
        '\\', 201,
        'l', 713,
        '{', 235,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(213);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 214:
      ADVANCE_MAP(
        '#', 546,
        '\'', 814,
        '*', 501,
        ',', 464,
        '-', 259,
        '.', 497,
        ':', 488,
        ';', 508,
        '=', 445,
        '[', 263,
        '\\', 201,
        'i', 745,
        '|', 472,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 215:
      ADVANCE_MAP(
        '#', 546,
        '\'', 814,
        '*', 501,
        '-', 259,
        '.', 497,
        ':', 487,
        ';', 253,
        '=', 445,
        '[', 237,
        '\\', 201,
        ']', 486,
        'a', 756,
        'c', 733,
        'e', 803,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 238,
        '|', 471,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 216:
      ADVANCE_MAP(
        '#', 546,
        '\'', 814,
        '*', 501,
        '-', 259,
        '.', 497,
        ':', 487,
        ';', 253,
        '=', 445,
        '[', 237,
        '\\', 201,
        'a', 756,
        'c', 733,
        'e', 748,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 238,
        '|', 471,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(216);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 217:
      ADVANCE_MAP(
        '#', 546,
        '\'', 814,
        '*', 501,
        '-', 259,
        '.', 497,
        ':', 487,
        ';', 253,
        '=', 445,
        '[', 237,
        '\\', 201,
        'c', 734,
        'e', 748,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 668,
        '{', 238,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(217);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 218:
      ADVANCE_MAP(
        '#', 546,
        '\'', 814,
        '*', 501,
        '-', 259,
        '.', 497,
        ':', 487,
        '[', 237,
        '\\', 201,
        'c', 764,
        'e', 749,
        'i', 752,
        'm', 708,
        'v', 668,
        '{', 238,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(218);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 219:
      ADVANCE_MAP(
        '#', 546,
        '\'', 814,
        '*', 501,
        '-', 259,
        '.', 497,
        ':', 260,
        '=', 445,
        '[', 237,
        '\\', 201,
        'c', 764,
        'e', 749,
        'i', 744,
        'm', 708,
        'v', 668,
        '{', 238,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(219);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 220:
      ADVANCE_MAP(
        '#', 546,
        '\'', 814,
        '*', 501,
        '-', 259,
        '.', 497,
        ';', 253,
        '[', 237,
        '\\', 201,
        ']', 486,
        'a', 756,
        'c', 734,
        'e', 803,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 238,
        '|', 471,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 221:
      ADVANCE_MAP(
        '#', 546,
        '\'', 814,
        '*', 501,
        '-', 259,
        '.', 497,
        ';', 253,
        '[', 237,
        '\\', 201,
        ']', 486,
        'c', 734,
        'e', 803,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 238,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 222:
      ADVANCE_MAP(
        '#', 546,
        '\'', 814,
        '*', 501,
        '-', 259,
        '.', 497,
        ';', 253,
        '[', 237,
        '\\', 201,
        'a', 756,
        'c', 734,
        'e', 748,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 238,
        '|', 471,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 223:
      ADVANCE_MAP(
        '#', 546,
        '\'', 814,
        '*', 501,
        '-', 259,
        '.', 497,
        ';', 253,
        '[', 237,
        '\\', 201,
        'c', 734,
        'e', 748,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 238,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 224:
      ADVANCE_MAP(
        '#', 546,
        ')', 457,
        '*', 501,
        '-', 259,
        ':', 496,
        '[', 262,
        '\\', 201,
        'a', 756,
        'c', 764,
        'w', 723,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 225:
      ADVANCE_MAP(
        '#', 546,
        '*', 501,
        '-', 259,
        ':', 494,
        ';', 253,
        '=', 445,
        '[', 237,
        '\\', 201,
        ']', 486,
        'a', 756,
        'c', 733,
        'e', 803,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        'w', 723,
        '{', 238,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 226:
      ADVANCE_MAP(
        '#', 546,
        '*', 501,
        '-', 259,
        ':', 494,
        ';', 253,
        '=', 445,
        '[', 237,
        '\\', 201,
        'a', 756,
        'c', 733,
        'e', 748,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        'w', 723,
        '{', 238,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(226);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 227:
      ADVANCE_MAP(
        '#', 546,
        '*', 501,
        '-', 259,
        ':', 494,
        ';', 508,
        '=', 445,
        '>', 541,
        '[', 263,
        '\\', 201,
        'a', 756,
        'c', 764,
        'i', 745,
        'w', 723,
        '}', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 228:
      if (lookahead == '%') ADVANCE(581);
      if (lookahead == '[') ADVANCE(485);
      if (lookahead == '\\') ADVANCE(201);
      if (lookahead == 't') ADVANCE(805);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(228);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 229:
      if (lookahead == '%') ADVANCE(575);
      if (lookahead == '@') ADVANCE(569);
      END_STATE();
    case 230:
      if (lookahead == '%') ADVANCE(577);
      END_STATE();
    case 231:
      if (lookahead == '%') ADVANCE(579);
      END_STATE();
    case 232:
      if (lookahead == '%') ADVANCE(580);
      END_STATE();
    case 233:
      if (lookahead == '%') ADVANCE(574);
      if (lookahead == '@') ADVANCE(568);
      END_STATE();
    case 234:
      if (lookahead == '%') ADVANCE(574);
      if (lookahead == '@') ADVANCE(570);
      END_STATE();
    case 235:
      if (lookahead == '%') ADVANCE(576);
      END_STATE();
    case 236:
      if (lookahead == '%') ADVANCE(617);
      if (lookahead == '@') ADVANCE(618);
      if (lookahead == '[') ADVANCE(619);
      if (lookahead == '|') ADVANCE(616);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(608);
      if (lookahead != 0) ADVANCE(620);
      END_STATE();
    case 237:
      if (lookahead == '%') ADVANCE(231);
      if (lookahead == '@') ADVANCE(569);
      END_STATE();
    case 238:
      if (lookahead == '%') ADVANCE(232);
      END_STATE();
    case 239:
      if (lookahead == '(') ADVANCE(456);
      if (lookahead == ')') ADVANCE(457);
      if (lookahead == '[') ADVANCE(233);
      if (lookahead == '\\') ADVANCE(201);
      if (lookahead == 'v') ADVANCE(668);
      if (lookahead == '{') ADVANCE(235);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239);
      if (set_contains(sym_indexing_operator_character_set_1, 9, lookahead)) ADVANCE(664);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 240:
      ADVANCE_MAP(
        '(', 456,
        '.', 816,
        ':', 496,
        ';', 508,
        '=', 445,
        '>', 393,
        '[', 237,
        'c', 354,
        'e', 336,
        'i', 334,
        'm', 295,
        'v', 268,
        '{', 238,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(240);
      END_STATE();
    case 241:
      if (lookahead == '(') ADVANCE(456);
      if (lookahead == '.') ADVANCE(247);
      if (lookahead == '[') ADVANCE(485);
      if (lookahead == '\\') ADVANCE(201);
      if (lookahead == '{') ADVANCE(502);
      if (lookahead == '|') ADVANCE(471);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 242:
      if (lookahead == '(') ADVANCE(456);
      if (lookahead == '[') ADVANCE(485);
      if (lookahead == '\\') ADVANCE(201);
      if (lookahead == '{') ADVANCE(502);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(242);
      if (set_contains(sym_indexing_operator_character_set_1, 9, lookahead)) ADVANCE(664);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 243:
      if (lookahead == '*') ADVANCE(250);
      if (lookahead == '.') ADVANCE(244);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(626);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(249);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(625);
      END_STATE();
    case 244:
      if (lookahead == '*') ADVANCE(398);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(626);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(625);
      END_STATE();
    case 245:
      ADVANCE_MAP(
        ',', 464,
        '.', 497,
        ':', 488,
        ';', 508,
        '=', 445,
        '[', 263,
        '\\', 201,
        ']', 486,
        'i', 745,
        '|', 471,
        '}', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(245);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 246:
      if (lookahead == '-') ADVANCE(551);
      END_STATE();
    case 247:
      if (lookahead == '.') ADVANCE(462);
      END_STATE();
    case 248:
      if (lookahead == '.') ADVANCE(816);
      if (lookahead == '[') ADVANCE(262);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(578);
      END_STATE();
    case 249:
      if (lookahead == '.') ADVANCE(244);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(626);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(249);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(625);
      END_STATE();
    case 250:
      if (lookahead == '.') ADVANCE(244);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(626);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(625);
      END_STATE();
    case 251:
      if (lookahead == ':') ADVANCE(548);
      END_STATE();
    case 252:
      if (lookahead == ':') ADVANCE(548);
      if (lookahead == '=') ADVANCE(663);
      END_STATE();
    case 253:
      if (lookahead == ';') ADVANCE(436);
      END_STATE();
    case 254:
      if (lookahead == '=') ADVANCE(463);
      END_STATE();
    case 255:
      if (lookahead == '=') ADVANCE(470);
      END_STATE();
    case 256:
      if (lookahead == '=') ADVANCE(470);
      if (lookahead == '>') ADVANCE(444);
      END_STATE();
    case 257:
      if (lookahead == '=') ADVANCE(650);
      END_STATE();
    case 258:
      if (lookahead == '=') ADVANCE(663);
      END_STATE();
    case 259:
      if (lookahead == '>') ADVANCE(499);
      END_STATE();
    case 260:
      if (lookahead == '>') ADVANCE(444);
      END_STATE();
    case 261:
      if (lookahead == '>') ADVANCE(627);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 262:
      if (lookahead == '@') ADVANCE(568);
      END_STATE();
    case 263:
      if (lookahead == '@') ADVANCE(570);
      END_STATE();
    case 264:
      if (lookahead == '[') ADVANCE(481);
      if (lookahead == '\\') ADVANCE(201);
      if (lookahead == 'l') ADVANCE(713);
      if (lookahead == '{') ADVANCE(235);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(264);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 265:
      if (lookahead == '[') ADVANCE(262);
      if (lookahead == '\\') ADVANCE(347);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(265);
      END_STATE();
    case 266:
      if (lookahead == ']') ADVANCE(550);
      END_STATE();
    case 267:
      if (lookahead == ']') ADVANCE(550);
      if (lookahead == '|') ADVANCE(661);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(655);
      END_STATE();
    case 268:
      if (lookahead == 'a') ADVANCE(320);
      END_STATE();
    case 269:
      if (lookahead == 'a') ADVANCE(373);
      END_STATE();
    case 270:
      if (lookahead == 'a') ADVANCE(339);
      if (lookahead == 'e') ADVANCE(375);
      if (lookahead == 'o') ADVANCE(365);
      if (lookahead == 's') ADVANCE(395);
      if (lookahead == 'x') ADVANCE(353);
      END_STATE();
    case 271:
      if (lookahead == 'a') ADVANCE(339);
      if (lookahead == 'e') ADVANCE(382);
      if (lookahead == 'o') ADVANCE(365);
      if (lookahead == 's') ADVANCE(395);
      if (lookahead == 'x') ADVANCE(353);
      END_STATE();
    case 272:
      if (lookahead == 'a') ADVANCE(339);
      if (lookahead == 'o') ADVANCE(365);
      if (lookahead == 's') ADVANCE(395);
      if (lookahead == 'x') ADVANCE(353);
      END_STATE();
    case 273:
      if (lookahead == 'a') ADVANCE(315);
      END_STATE();
    case 274:
      if (lookahead == 'a') ADVANCE(325);
      END_STATE();
    case 275:
      if (lookahead == 'a') ADVANCE(322);
      END_STATE();
    case 276:
      if (lookahead == 'a') ADVANCE(379);
      if (lookahead == 'o') ADVANCE(282);
      END_STATE();
    case 277:
      if (lookahead == 'c') ADVANCE(321);
      if (lookahead == 'h') ADVANCE(301);
      if (lookahead == 'i') ADVANCE(380);
      END_STATE();
    case 278:
      if (lookahead == 'c') ADVANCE(299);
      if (lookahead == 't') ADVANCE(300);
      END_STATE();
    case 279:
      if (lookahead == 'c') ADVANCE(307);
      END_STATE();
    case 280:
      if (lookahead == 'd') ADVANCE(441);
      END_STATE();
    case 281:
      if (lookahead == 'd') ADVANCE(525);
      END_STATE();
    case 282:
      if (lookahead == 'd') ADVANCE(639);
      END_STATE();
    case 283:
      if (lookahead == 'd') ADVANCE(642);
      END_STATE();
    case 284:
      if (lookahead == 'd') ADVANCE(531);
      END_STATE();
    case 285:
      if (lookahead == 'd') ADVANCE(440);
      END_STATE();
    case 286:
      if (lookahead == 'd') ADVANCE(407);
      END_STATE();
    case 287:
      if (lookahead == 'd') ADVANCE(386);
      END_STATE();
    case 288:
      if (lookahead == 'd') ADVANCE(293);
      END_STATE();
    case 289:
      if (lookahead == 'e') ADVANCE(375);
      END_STATE();
    case 290:
      if (lookahead == 'e') ADVANCE(555);
      END_STATE();
    case 291:
      if (lookahead == 'e') ADVANCE(460);
      END_STATE();
    case 292:
      if (lookahead == 'e') ADVANCE(515);
      END_STATE();
    case 293:
      if (lookahead == 'e') ADVANCE(519);
      END_STATE();
    case 294:
      if (lookahead == 'e') ADVANCE(559);
      END_STATE();
    case 295:
      if (lookahead == 'e') ADVANCE(376);
      END_STATE();
    case 296:
      if (lookahead == 'e') ADVANCE(376);
      if (lookahead == 'o') ADVANCE(283);
      END_STATE();
    case 297:
      if (lookahead == 'e') ADVANCE(376);
      if (lookahead == 'o') ADVANCE(282);
      END_STATE();
    case 298:
      if (lookahead == 'e') ADVANCE(376);
      if (lookahead == 'o') ADVANCE(287);
      END_STATE();
    case 299:
      if (lookahead == 'e') ADVANCE(361);
      END_STATE();
    case 300:
      if (lookahead == 'e') ADVANCE(368);
      END_STATE();
    case 301:
      if (lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 302:
      if (lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 303:
      if (lookahead == 'e') ADVANCE(331);
      END_STATE();
    case 304:
      if (lookahead == 'e') ADVANCE(366);
      END_STATE();
    case 305:
      if (lookahead == 'h') ADVANCE(527);
      END_STATE();
    case 306:
      if (lookahead == 'h') ADVANCE(357);
      END_STATE();
    case 307:
      if (lookahead == 'h') ADVANCE(409);
      END_STATE();
    case 308:
      if (lookahead == 'h') ADVANCE(301);
      if (lookahead == 'i') ADVANCE(380);
      END_STATE();
    case 309:
      if (lookahead == 'h') ADVANCE(303);
      END_STATE();
    case 310:
      if (lookahead == 'h') ADVANCE(303);
      if (lookahead == 'y') ADVANCE(362);
      END_STATE();
    case 311:
      if (lookahead == 'i') ADVANCE(389);
      END_STATE();
    case 312:
      if (lookahead == 'i') ADVANCE(381);
      END_STATE();
    case 313:
      if (lookahead == 'i') ADVANCE(358);
      END_STATE();
    case 314:
      if (lookahead == 'i') ADVANCE(377);
      END_STATE();
    case 315:
      if (lookahead == 'i') ADVANCE(342);
      END_STATE();
    case 316:
      if (lookahead == 'i') ADVANCE(274);
      END_STATE();
    case 317:
      if (lookahead == 'l') ADVANCE(372);
      END_STATE();
    case 318:
      if (lookahead == 'l') ADVANCE(372);
      if (lookahead == 'n') ADVANCE(281);
      END_STATE();
    case 319:
      if (lookahead == 'l') ADVANCE(372);
      if (lookahead == 'n') ADVANCE(281);
      if (lookahead == 'x') ADVANCE(278);
      END_STATE();
    case 320:
      if (lookahead == 'l') ADVANCE(523);
      END_STATE();
    case 321:
      if (lookahead == 'l') ADVANCE(387);
      END_STATE();
    case 322:
      if (lookahead == 'l') ADVANCE(458);
      END_STATE();
    case 323:
      if (lookahead == 'l') ADVANCE(269);
      END_STATE();
    case 324:
      if (lookahead == 'l') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(338);
      END_STATE();
    case 325:
      if (lookahead == 'l') ADVANCE(311);
      END_STATE();
    case 326:
      if (lookahead == 'l') ADVANCE(292);
      END_STATE();
    case 327:
      if (lookahead == 'n') ADVANCE(627);
      END_STATE();
    case 328:
      if (lookahead == 'n') ADVANCE(280);
      if (lookahead == 's') ADVANCE(364);
      END_STATE();
    case 329:
      if (lookahead == 'n') ADVANCE(277);
      END_STATE();
    case 330:
      if (lookahead == 'n') ADVANCE(517);
      END_STATE();
    case 331:
      if (lookahead == 'n') ADVANCE(553);
      END_STATE();
    case 332:
      if (lookahead == 'n') ADVANCE(513);
      END_STATE();
    case 333:
      if (lookahead == 'n') ADVANCE(535);
      END_STATE();
    case 334:
      if (lookahead == 'n') ADVANCE(308);
      END_STATE();
    case 335:
      if (lookahead == 'n') ADVANCE(533);
      END_STATE();
    case 336:
      if (lookahead == 'n') ADVANCE(281);
      END_STATE();
    case 337:
      if (lookahead == 'n') ADVANCE(281);
      if (lookahead == 'x') ADVANCE(278);
      END_STATE();
    case 338:
      if (lookahead == 'n') ADVANCE(374);
      END_STATE();
    case 339:
      if (lookahead == 'n') ADVANCE(282);
      END_STATE();
    case 340:
      if (lookahead == 'n') ADVANCE(285);
      END_STATE();
    case 341:
      if (lookahead == 'n') ADVANCE(285);
      if (lookahead == 's') ADVANCE(364);
      END_STATE();
    case 342:
      if (lookahead == 'n') ADVANCE(378);
      END_STATE();
    case 343:
      if (lookahead == 'n') ADVANCE(286);
      if (lookahead == 's') ADVANCE(364);
      END_STATE();
    case 344:
      if (lookahead == 'n') ADVANCE(385);
      END_STATE();
    case 345:
      if (lookahead == 'n') ADVANCE(294);
      if (lookahead == 'w') ADVANCE(344);
      END_STATE();
    case 346:
      if (lookahead == 'n') ADVANCE(275);
      END_STATE();
    case 347:
      ADVANCE_MAP(
        'o', 399,
        'x', 416,
        ' ', 621,
        '"', 621,
        '\'', 621,
        '\\', 621,
        'b', 621,
        'n', 621,
        'r', 621,
        't', 621,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(406);
      END_STATE();
    case 348:
      if (lookahead == 'o') ADVANCE(557);
      END_STATE();
    case 349:
      if (lookahead == 'o') ADVANCE(345);
      END_STATE();
    case 350:
      if (lookahead == 'o') ADVANCE(561);
      END_STATE();
    case 351:
      if (lookahead == 'o') ADVANCE(561);
      if (lookahead == 'y') ADVANCE(362);
      END_STATE();
    case 352:
      if (lookahead == 'o') ADVANCE(563);
      END_STATE();
    case 353:
      if (lookahead == 'o') ADVANCE(365);
      END_STATE();
    case 354:
      if (lookahead == 'o') ADVANCE(338);
      END_STATE();
    case 355:
      if (lookahead == 'o') ADVANCE(283);
      END_STATE();
    case 356:
      if (lookahead == 'o') ADVANCE(282);
      END_STATE();
    case 357:
      if (lookahead == 'o') ADVANCE(284);
      END_STATE();
    case 358:
      if (lookahead == 'o') ADVANCE(332);
      END_STATE();
    case 359:
      if (lookahead == 'p') ADVANCE(302);
      END_STATE();
    case 360:
      if (lookahead == 'p') ADVANCE(302);
      if (lookahead == 'r') ADVANCE(660);
      END_STATE();
    case 361:
      if (lookahead == 'p') ADVANCE(383);
      END_STATE();
    case 362:
      if (lookahead == 'p') ADVANCE(291);
      END_STATE();
    case 363:
      if (lookahead == 'r') ADVANCE(660);
      END_STATE();
    case 364:
      if (lookahead == 'r') ADVANCE(636);
      END_STATE();
    case 365:
      if (lookahead == 'r') ADVANCE(639);
      END_STATE();
    case 366:
      if (lookahead == 'r') ADVANCE(537);
      END_STATE();
    case 367:
      if (lookahead == 'r') ADVANCE(273);
      END_STATE();
    case 368:
      if (lookahead == 'r') ADVANCE(346);
      END_STATE();
    case 369:
      if (lookahead == 'r') ADVANCE(314);
      END_STATE();
    case 370:
      if (lookahead == 's') ADVANCE(364);
      END_STATE();
    case 371:
      if (lookahead == 's') ADVANCE(521);
      END_STATE();
    case 372:
      if (lookahead == 's') ADVANCE(290);
      END_STATE();
    case 373:
      if (lookahead == 's') ADVANCE(371);
      END_STATE();
    case 374:
      if (lookahead == 's') ADVANCE(384);
      END_STATE();
    case 375:
      if (lookahead == 't') ADVANCE(437);
      END_STATE();
    case 376:
      if (lookahead == 't') ADVANCE(306);
      END_STATE();
    case 377:
      if (lookahead == 't') ADVANCE(529);
      END_STATE();
    case 378:
      if (lookahead == 't') ADVANCE(511);
      END_STATE();
    case 379:
      if (lookahead == 't') ADVANCE(279);
      END_STATE();
    case 380:
      if (lookahead == 't') ADVANCE(316);
      END_STATE();
    case 381:
      if (lookahead == 't') ADVANCE(305);
      END_STATE();
    case 382:
      if (lookahead == 't') ADVANCE(408);
      END_STATE();
    case 383:
      if (lookahead == 't') ADVANCE(313);
      END_STATE();
    case 384:
      if (lookahead == 't') ADVANCE(367);
      END_STATE();
    case 385:
      if (lookahead == 't') ADVANCE(352);
      END_STATE();
    case 386:
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 387:
      if (lookahead == 'u') ADVANCE(288);
      END_STATE();
    case 388:
      if (lookahead == 'y') ADVANCE(362);
      END_STATE();
    case 389:
      if (lookahead == 'z') ADVANCE(304);
      END_STATE();
    case 390:
      if (lookahead == '{') ADVANCE(414);
      END_STATE();
    case 391:
      if (lookahead == '|') ADVANCE(661);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(655);
      END_STATE();
    case 392:
      if (lookahead == '}') ADVANCE(614);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(392);
      END_STATE();
    case 393:
      if (lookahead == '}') ADVANCE(566);
      END_STATE();
    case 394:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(403);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(593);
      END_STATE();
    case 395:
      if (lookahead == 'l' ||
          lookahead == 'r') ADVANCE(636);
      END_STATE();
    case 396:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(590);
      END_STATE();
    case 397:
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(626);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(625);
      END_STATE();
    case 398:
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(626);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(625);
      END_STATE();
    case 399:
      if (('0' <= lookahead && lookahead <= '3')) ADVANCE(401);
      END_STATE();
    case 400:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(624);
      END_STATE();
    case 401:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(400);
      END_STATE();
    case 402:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(567);
      END_STATE();
    case 403:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(593);
      END_STATE();
    case 404:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 405:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(622);
      END_STATE();
    case 406:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(405);
      END_STATE();
    case 407:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(666);
      END_STATE();
    case 408:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(665);
      END_STATE();
    case 409:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(667);
      END_STATE();
    case 410:
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(655);
      END_STATE();
    case 411:
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(646);
      END_STATE();
    case 412:
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(635);
      END_STATE();
    case 413:
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(631);
      END_STATE();
    case 414:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(392);
      END_STATE();
    case 415:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(623);
      END_STATE();
    case 416:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(415);
      END_STATE();
    case 417:
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 418:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 467,
        '"', 607,
        '#', 547,
        '$', 402,
        '%', 581,
        '&', 543,
        '\'', 602,
        '(', 456,
        ')', 457,
        '*', 501,
        '+', 466,
        ',', 464,
        '-', 469,
        '.', 498,
        '0', 584,
        ':', 490,
        ';', 509,
        '<', 545,
        '=', 445,
        '>', 541,
        '?', 448,
        '@', 647,
        '[', 477,
        '\\', 2,
        ']', 486,
        '^', 649,
        '`', 815,
        'a', 739,
        'c', 733,
        'd', 760,
        'e', 727,
        'i', 740,
        'l', 698,
        'm', 670,
        'o', 772,
        't', 719,
        'v', 668,
        'w', 723,
        '{', 504,
        '|', 473,
        '}', 510,
        '~', 446,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(418);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 419:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 257,
        '"', 607,
        '#', 813,
        '&', 658,
        '\'', 814,
        '(', 456,
        ')', 457,
        '*', 640,
        '+', 598,
        ',', 464,
        '-', 599,
        '.', 497,
        '0', 584,
        ':', 492,
        ';', 509,
        '<', 652,
        '>', 653,
        '[', 479,
        ']', 486,
        '`', 815,
        'a', 328,
        'c', 324,
        'd', 348,
        'e', 319,
        'i', 329,
        'l', 270,
        'm', 296,
        'o', 360,
        't', 310,
        'v', 268,
        'w', 312,
        '{', 503,
        '|', 475,
        '}', 510,
        '$', 655,
        '=', 655,
        '%', 643,
        '/', 643,
        '@', 649,
        '^', 649,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(419);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      END_STATE();
    case 420:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '#', 547,
        '$', 402,
        '\'', 602,
        '(', 456,
        '*', 501,
        '-', 259,
        '.', 497,
        '0', 584,
        ':', 450,
        ';', 253,
        '=', 445,
        '?', 449,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 756,
        'c', 734,
        'e', 803,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 668,
        '{', 504,
        '|', 471,
        '~', 447,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(421);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 421:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 629,
        '"', 607,
        '#', 547,
        '$', 402,
        '\'', 602,
        '(', 456,
        '*', 501,
        '-', 259,
        '.', 497,
        '0', 584,
        ';', 253,
        '=', 445,
        '?', 449,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 756,
        'c', 734,
        'e', 803,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 668,
        '{', 504,
        '|', 471,
        '~', 447,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(421);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 422:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        '*', 501,
        '+', 595,
        '-', 601,
        '.', 497,
        '0', 584,
        ':', 487,
        ';', 253,
        '=', 445,
        '?', 448,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 756,
        'c', 734,
        'e', 803,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 668,
        '{', 503,
        '|', 471,
        '~', 446,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(422);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 423:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        '0', 584,
        ':', 487,
        ';', 253,
        '=', 445,
        '?', 448,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 756,
        'c', 734,
        'e', 803,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 668,
        '{', 503,
        '~', 446,
        '+', 595,
        '-', 595,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(423);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 424:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '"', 607,
        '#', 546,
        '\'', 602,
        '(', 456,
        '0', 584,
        ':', 450,
        ';', 253,
        '=', 445,
        '?', 448,
        '[', 479,
        '\\', 201,
        ']', 486,
        '`', 815,
        'a', 756,
        'c', 734,
        'e', 803,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 668,
        '{', 503,
        '~', 446,
        '+', 595,
        '-', 595,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(423);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 425:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '#', 547,
        '(', 456,
        ')', 457,
        ',', 464,
        '-', 259,
        '.', 497,
        ':', 490,
        ';', 253,
        '=', 445,
        '[', 229,
        '\\', 201,
        ']', 486,
        'a', 756,
        'c', 733,
        'e', 748,
        'i', 746,
        'm', 706,
        'o', 773,
        't', 805,
        'v', 668,
        'w', 723,
        '{', 230,
        '|', 471,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(425);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 426:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '#', 547,
        ')', 457,
        '*', 501,
        ',', 464,
        '-', 259,
        '.', 497,
        ':', 489,
        ';', 253,
        '=', 445,
        '[', 237,
        '\\', 201,
        ']', 486,
        'a', 756,
        'c', 733,
        'e', 748,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 668,
        'w', 723,
        '{', 238,
        '|', 471,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(426);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 427:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '#', 813,
        '%', 581,
        '(', 456,
        ')', 457,
        '*', 501,
        '+', 254,
        '-', 259,
        '.', 497,
        ':', 495,
        ';', 253,
        '=', 445,
        '[', 229,
        ']', 486,
        'a', 340,
        'c', 324,
        'e', 337,
        'i', 329,
        'l', 289,
        'm', 298,
        'o', 359,
        't', 388,
        'v', 268,
        'w', 312,
        '{', 230,
        '|', 471,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(427);
      END_STATE();
    case 428:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '#', 813,
        '&', 542,
        ')', 457,
        '*', 501,
        ',', 464,
        '-', 259,
        ':', 256,
        ';', 253,
        '=', 445,
        '>', 541,
        '[', 237,
        '\\', 201,
        ']', 486,
        'a', 756,
        'c', 733,
        'e', 748,
        'i', 747,
        'l', 698,
        'm', 706,
        'o', 773,
        't', 805,
        'v', 668,
        'w', 723,
        '{', 238,
        '|', 471,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(428);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 429:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '#', 813,
        '(', 456,
        ')', 457,
        ',', 464,
        '-', 259,
        '.', 497,
        ':', 488,
        ';', 253,
        '=', 445,
        '[', 237,
        '\\', 201,
        ']', 486,
        'a', 756,
        'c', 733,
        'e', 748,
        'i', 750,
        'l', 698,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 668,
        '{', 238,
        '|', 471,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(429);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 430:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '#', 813,
        ')', 457,
        ':', 487,
        ';', 253,
        '[', 237,
        '\\', 201,
        ']', 486,
        'a', 756,
        'c', 733,
        'e', 748,
        'i', 747,
        'l', 698,
        'm', 706,
        'o', 773,
        't', 805,
        'v', 668,
        '{', 238,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(430);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 431:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '#', 546,
        '\'', 814,
        '(', 456,
        ')', 457,
        '*', 501,
        ',', 464,
        '-', 259,
        '.', 497,
        ':', 489,
        ';', 253,
        '<', 544,
        '=', 445,
        '?', 448,
        '[', 478,
        '\\', 201,
        ']', 486,
        'c', 734,
        'e', 803,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 668,
        '{', 230,
        '|', 471,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(431);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 432:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '#', 546,
        '\'', 814,
        '(', 456,
        '*', 501,
        '-', 259,
        '.', 497,
        ':', 487,
        ';', 253,
        '=', 445,
        '[', 484,
        '\\', 201,
        ']', 486,
        'a', 756,
        'c', 733,
        'e', 803,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 668,
        '{', 238,
        '|', 471,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(432);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 433:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '#', 546,
        '\'', 814,
        '(', 456,
        '*', 501,
        '-', 259,
        '.', 497,
        ';', 253,
        '[', 484,
        '\\', 201,
        ']', 486,
        'a', 756,
        'c', 734,
        'e', 803,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 668,
        '{', 238,
        '|', 471,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(433);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 434:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '#', 546,
        '*', 501,
        '-', 259,
        ':', 494,
        ';', 253,
        '=', 445,
        '[', 237,
        '\\', 201,
        ']', 486,
        'a', 756,
        'c', 733,
        'e', 803,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 668,
        'w', 723,
        '{', 238,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(434);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_let);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(665);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_let);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(665);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_let);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(666);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(666);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_COLON_GT);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(631);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(631);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(548);
      if (lookahead == '=') ADVANCE(470);
      if (lookahead == '>') ADVANCE(444);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(548);
      if (lookahead == '=') ADVANCE(663);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(548);
      if (lookahead == '=') ADVANCE(663);
      if (lookahead == '>') ADVANCE(444);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(548);
      if (lookahead == '>') ADVANCE(444);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '>') ADVANCE(444);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_external);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_external);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_type);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(632);
      if (lookahead == '=') ADVANCE(463);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(632);
      if (lookahead == '>') ADVANCE(499);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(550);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(550);
      if (lookahead == '|') ADVANCE(660);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(550);
      if (lookahead == '|') ADVANCE(661);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(655);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(661);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(655);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(575);
      if (lookahead == '<') ADVANCE(540);
      if (lookahead == '>') ADVANCE(539);
      if (lookahead == '@') ADVANCE(609);
      if (lookahead == '|') ADVANCE(549);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(575);
      if (lookahead == '<') ADVANCE(540);
      if (lookahead == '>') ADVANCE(539);
      if (lookahead == '@') ADVANCE(568);
      if (lookahead == '|') ADVANCE(549);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(575);
      if (lookahead == '<') ADVANCE(540);
      if (lookahead == '>') ADVANCE(539);
      if (lookahead == '@') ADVANCE(569);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(575);
      if (lookahead == '@') ADVANCE(569);
      if (lookahead == '|') ADVANCE(549);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(574);
      if (lookahead == '<') ADVANCE(540);
      if (lookahead == '>') ADVANCE(539);
      if (lookahead == '@') ADVANCE(568);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(574);
      if (lookahead == '@') ADVANCE(568);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(574);
      if (lookahead == '@') ADVANCE(568);
      if (lookahead == '|') ADVANCE(549);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(574);
      if (lookahead == '@') ADVANCE(570);
      if (lookahead == '|') ADVANCE(549);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(231);
      if (lookahead == '@') ADVANCE(569);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '@') ADVANCE(568);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_COLON2);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(548);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(548);
      if (lookahead == '=') ADVANCE(470);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(548);
      if (lookahead == '=') ADVANCE(470);
      if (lookahead == '>') ADVANCE(444);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(548);
      if (lookahead == '=') ADVANCE(663);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(548);
      if (lookahead == '=') ADVANCE(663);
      if (lookahead == '>') ADVANCE(444);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(548);
      if (lookahead == '>') ADVANCE(444);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '=') ADVANCE(470);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '=') ADVANCE(470);
      if (lookahead == '>') ADVANCE(444);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '>') ADVANCE(444);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(462);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(646);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(577);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(577);
      if (lookahead == '<') ADVANCE(565);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(576);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(576);
      if (lookahead == '<') ADVANCE(565);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(232);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == ';') ADVANCE(436);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_constraint);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_constraint);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_exception);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_exception);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_module);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_open);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_open);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_include);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_include);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_class);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_val);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_val);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_end);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_end);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_with);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_inherit);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_inherit);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_method);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_method);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'c') ADVANCE(735);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'c') ADVANCE(321);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_in);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_initializer);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_initializer);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_LBRACK_GT);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_LBRACK_LT);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(657);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(551);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(635);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_LBRACK_PIPE);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACK);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(655);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym_then);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(anon_sym_else);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(anon_sym_do);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(anon_sym_done);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(anon_sym_done);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(anon_sym_to);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(anon_sym_to);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(anon_sym_downto);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(anon_sym_downto);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym_LBRACE_LT);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_GT_RBRACE);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_ocamlyacc_value);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(567);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      if (lookahead == '@') ADVANCE(572);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      if (lookahead == '@') ADVANCE(571);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT);
      if (lookahead == '@') ADVANCE(573);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT_AT);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT);
      if (lookahead == '%') ADVANCE(579);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT);
      if (lookahead == '%') ADVANCE(580);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(aux_sym_quoted_extension_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(578);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT_PERCENT);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT_PERCENT);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(643);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(aux_sym_number_token1);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(aux_sym_number_token1);
      ADVANCE_MAP(
        '.', 588,
        'B', 396,
        'b', 396,
        'E', 394,
        'e', 394,
        'O', 591,
        'o', 591,
        'X', 594,
        'x', 594,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(585);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(583);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '.') ADVANCE(588);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(394);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(585);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(583);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '.') ADVANCE(589);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(587);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(586);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(583);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(403);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(593);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(394);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(588);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(583);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(587);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(589);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(583);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '0' ||
          lookahead == '1' ||
          lookahead == '_') ADVANCE(590);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(583);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(592);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '7') ||
          lookahead == '_') ADVANCE(592);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(583);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(593);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(583);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(586);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(632);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(632);
      if (lookahead == '>') ADVANCE(499);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(634);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(646);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(633);
      if (lookahead == '>') ADVANCE(411);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(645);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(633);
      if (lookahead == '>') ADVANCE(500);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(645);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '>') ADVANCE(499);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(aux_sym_character_content_token1);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(aux_sym_character_content_token2);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(aux_sym_character_content_token2);
      if (lookahead == '@') ADVANCE(568);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(aux_sym_string_content_token2);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      ADVANCE_MAP(
        '*', 250,
        '.', 244,
        'L', 626,
        'l', 626,
        'n', 626,
        ' ', 243,
        '#', 243,
        '+', 243,
        '-', 243,
        '0', 243,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(249);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(625);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      ADVANCE_MAP(
        '<', 404,
        '\\', 327,
        ' ', 627,
        ',', 627,
        '.', 627,
        ';', 627,
        '?', 627,
        '[', 627,
        ']', 627,
        '{', 627,
        '}', 627,
      );
      END_STATE();
    case 612:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      if (lookahead == '@') ADVANCE(609);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '%' &&
          lookahead != '\\') ADVANCE(613);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '%' &&
          lookahead != '@' &&
          lookahead != '\\') ADVANCE(613);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(aux_sym_string_content_token4);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(aux_sym_string_content_token5);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(615);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      ADVANCE_MAP(
        '*', 250,
        '.', 244,
        'L', 626,
        'l', 626,
        'n', 626,
        ' ', 243,
        '#', 243,
        '+', 243,
        '-', 243,
        '0', 243,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(249);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(625);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      ADVANCE_MAP(
        '<', 404,
        '\\', 327,
        ' ', 627,
        ',', 627,
        '.', 627,
        ';', 627,
        '?', 627,
        '[', 627,
        ']', 627,
        '{', 627,
        '}', 627,
      );
      END_STATE();
    case 619:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      if (lookahead == '@') ADVANCE(609);
      if (lookahead != 0 &&
          lookahead != '%' &&
          lookahead != '|') ADVANCE(620);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '%' &&
          lookahead != '@' &&
          lookahead != '|') ADVANCE(620);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token1);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token2);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token3);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token4);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_conversion_specification);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_conversion_specification);
      if (lookahead == 'X' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          lookahead == 'o' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(625);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_pretty_printing_indication);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_pretty_printing_indication);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(649);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (lookahead == '=') ADVANCE(413);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(631);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (lookahead == '=') ADVANCE(656);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(631);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(631);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      if (lookahead == '>') ADVANCE(646);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(645);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(646);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_hash_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(635);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym_pow_operator);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_pow_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(637);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_pow_operator);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_mult_operator);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == '*') ADVANCE(637);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(643);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == 'u') ADVANCE(737);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_mult_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(643);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_mult_operator);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(aux_sym_add_operator_token1);
      if (lookahead == '>') ADVANCE(646);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(645);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(aux_sym_add_operator_token1);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(646);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_concat_operator);
      ADVANCE_MAP(
        '<', 648,
        '\\', 327,
        '.', 628,
        '?', 628,
        ' ', 627,
        ',', 627,
        ';', 627,
        '[', 627,
        ']', 627,
        '{', 627,
        '}', 627,
      );
      if (lookahead == '!' ||
          ('$' <= lookahead && lookahead <= '&') ||
          ('*' <= lookahead && lookahead <= '/') ||
          (':' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          ('|' <= lookahead && lookahead <= '~')) ADVANCE(649);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_concat_operator);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(649);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_concat_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(649);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_rel_operator);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '-') ADVANCE(552);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(655);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '-') ADVANCE(410);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(655);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '}') ADVANCE(566);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(655);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_rel_operator);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(655);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_rel_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(655);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_rel_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(631);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_and_operator);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_and_operator);
      if (lookahead == '&') ADVANCE(659);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(655);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_and_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(655);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_or_operator);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_or_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(655);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_or_operator);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_assign_operator);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_indexing_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(664);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_let_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(665);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_let_and_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(666);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_match_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(667);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(731);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(786);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(789);
      if (lookahead == 'e') ADVANCE(790);
      if (lookahead == 'o') ADVANCE(691);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(789);
      if (lookahead == 'e') ADVANCE(790);
      if (lookahead == 'o') ADVANCE(693);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(789);
      if (lookahead == 'e') ADVANCE(790);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(789);
      if (lookahead == 'o') ADVANCE(691);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(789);
      if (lookahead == 'o') ADVANCE(694);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(789);
      if (lookahead == 'o') ADVANCE(693);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(789);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(724);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(732);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(736);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(753);
      if (lookahead == 'e') ADVANCE(788);
      if (lookahead == 'o') ADVANCE(778);
      if (lookahead == 's') ADVANCE(807);
      if (lookahead == 'x') ADVANCE(766);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(753);
      if (lookahead == 'e') ADVANCE(797);
      if (lookahead == 'o') ADVANCE(778);
      if (lookahead == 's') ADVANCE(807);
      if (lookahead == 'x') ADVANCE(766);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(753);
      if (lookahead == 'o') ADVANCE(778);
      if (lookahead == 's') ADVANCE(807);
      if (lookahead == 'x') ADVANCE(766);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(735);
      if (lookahead == 'h') ADVANCE(711);
      if (lookahead == 'i') ADVANCE(798);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(735);
      if (lookahead == 'h') ADVANCE(711);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(735);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(715);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(705);
      if (lookahead == 't') ADVANCE(700);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(705);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(442);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(526);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(800);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(532);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(644);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(641);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(443);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(808);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(703);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(788);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(556);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(781);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(461);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(516);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(520);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(560);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(775);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(790);
      if (lookahead == 'o') ADVANCE(691);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(790);
      if (lookahead == 'o') ADVANCE(693);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(790);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(741);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(742);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(782);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(779);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(793);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(528);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(810);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(767);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(711);
      if (lookahead == 'i') ADVANCE(798);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(711);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(562);
      if (lookahead == 'y') ADVANCE(774);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(710);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(806);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(770);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(795);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(754);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(792);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(679);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(784);
      if (lookahead == 'n') ADVANCE(690);
      if (lookahead == 'x') ADVANCE(687);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(784);
      if (lookahead == 'n') ADVANCE(690);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(784);
      if (lookahead == 'x') ADVANCE(687);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(784);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(524);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(459);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(669);
      if (lookahead == 'o') ADVANCE(751);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(669);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(801);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(721);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(702);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(689);
      if (lookahead == 's') ADVANCE(777);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(689);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(534);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(518);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(554);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(514);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(717);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(536);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(684);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(683);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(690);
      if (lookahead == 'x') ADVANCE(687);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(690);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(685);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(787);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(718);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(693);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(791);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(696);
      if (lookahead == 's') ADVANCE(777);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(695);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(799);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(704);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(678);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(558);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(562);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(802);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(564);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(751);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(691);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(778);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(692);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(694);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(693);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(743);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(758);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'p') ADVANCE(709);
      if (lookahead == 'r') ADVANCE(662);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'p') ADVANCE(709);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'p') ADVANCE(701);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'p') ADVANCE(794);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(662);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(638);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(644);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(538);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(677);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(759);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(725);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(522);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(699);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(777);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(783);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(796);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(438);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(686);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(716);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(512);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(530);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(439);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(722);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(714);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(780);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(809);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(726);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(763);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'u') ADVANCE(737);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'u') ADVANCE(697);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'w') ADVANCE(757);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'x') ADVANCE(687);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'x') ADVANCE(688);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'y') ADVANCE(774);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'z') ADVANCE(712);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l' ||
          lookahead == 'r') ADVANCE(638);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(666);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(665);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(667);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(sym__uppercase_identifier);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(812);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(aux_sym_directive_token1);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(aux_sym_type_variable_token1);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(aux_sym_tag_token1);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(aux_sym_attribute_id_token1);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        '_', 1,
        'a', 2,
        'b', 3,
        'e', 4,
        'f', 5,
        'i', 6,
        'l', 7,
        'm', 8,
        'n', 9,
        'o', 10,
        'p', 11,
        'r', 12,
        's', 13,
        't', 14,
        'v', 15,
        'w', 16,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 2:
      if (lookahead == 's') ADVANCE(17);
      END_STATE();
    case 3:
      if (lookahead == 'e') ADVANCE(18);
      END_STATE();
    case 4:
      if (lookahead == 'f') ADVANCE(19);
      END_STATE();
    case 5:
      if (lookahead == 'a') ADVANCE(20);
      if (lookahead == 'o') ADVANCE(21);
      if (lookahead == 'u') ADVANCE(22);
      END_STATE();
    case 6:
      if (lookahead == 'f') ADVANCE(23);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(24);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(25);
      if (lookahead == 'u') ADVANCE(26);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(27);
      if (lookahead == 'o') ADVANCE(28);
      END_STATE();
    case 10:
      if (lookahead == 'b') ADVANCE(29);
      if (lookahead == 'f') ADVANCE(30);
      END_STATE();
    case 11:
      if (lookahead == 'r') ADVANCE(31);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(32);
      END_STATE();
    case 13:
      if (lookahead == 'i') ADVANCE(33);
      if (lookahead == 't') ADVANCE(34);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(35);
      END_STATE();
    case 15:
      if (lookahead == 'i') ADVANCE(36);
      END_STATE();
    case 16:
      if (lookahead == 'h') ADVANCE(37);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(38);
      END_STATE();
    case 18:
      if (lookahead == 'g') ADVANCE(39);
      END_STATE();
    case 19:
      if (lookahead == 'f') ADVANCE(40);
      END_STATE();
    case 20:
      if (lookahead == 'l') ADVANCE(41);
      END_STATE();
    case 21:
      if (lookahead == 'r') ADVANCE(42);
      END_STATE();
    case 22:
      if (lookahead == 'n') ADVANCE(43);
      END_STATE();
    case 23:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 24:
      if (lookahead == 'z') ADVANCE(44);
      END_STATE();
    case 25:
      if (lookahead == 't') ADVANCE(45);
      END_STATE();
    case 26:
      if (lookahead == 't') ADVANCE(46);
      END_STATE();
    case 27:
      if (lookahead == 'w') ADVANCE(47);
      END_STATE();
    case 28:
      if (lookahead == 'n') ADVANCE(48);
      END_STATE();
    case 29:
      if (lookahead == 'j') ADVANCE(49);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 31:
      if (lookahead == 'i') ADVANCE(50);
      END_STATE();
    case 32:
      if (lookahead == 'c') ADVANCE(51);
      END_STATE();
    case 33:
      if (lookahead == 'g') ADVANCE(52);
      END_STATE();
    case 34:
      if (lookahead == 'r') ADVANCE(53);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(54);
      if (lookahead == 'y') ADVANCE(55);
      END_STATE();
    case 36:
      if (lookahead == 'r') ADVANCE(56);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(57);
      if (lookahead == 'i') ADVANCE(58);
      END_STATE();
    case 38:
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 39:
      if (lookahead == 'i') ADVANCE(60);
      END_STATE();
    case 40:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 41:
      if (lookahead == 's') ADVANCE(62);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_fun);
      if (lookahead == 'c') ADVANCE(63);
      END_STATE();
    case 44:
      if (lookahead == 'y') ADVANCE(64);
      END_STATE();
    case 45:
      if (lookahead == 'c') ADVANCE(65);
      END_STATE();
    case 46:
      if (lookahead == 'a') ADVANCE(66);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 48:
      if (lookahead == 'r') ADVANCE(67);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 50:
      if (lookahead == 'v') ADVANCE(69);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_rec);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_sig);
      END_STATE();
    case 53:
      if (lookahead == 'u') ADVANCE(70);
      END_STATE();
    case 54:
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 56:
      if (lookahead == 't') ADVANCE(72);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(73);
      END_STATE();
    case 58:
      if (lookahead == 'l') ADVANCE(74);
      END_STATE();
    case 59:
      if (lookahead == 'r') ADVANCE(75);
      END_STATE();
    case 60:
      if (lookahead == 'n') ADVANCE(76);
      END_STATE();
    case 61:
      if (lookahead == 'c') ADVANCE(77);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(78);
      END_STATE();
    case 63:
      if (lookahead == 't') ADVANCE(79);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_lazy);
      END_STATE();
    case 65:
      if (lookahead == 'h') ADVANCE(80);
      END_STATE();
    case 66:
      if (lookahead == 'b') ADVANCE(81);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(82);
      END_STATE();
    case 68:
      if (lookahead == 'c') ADVANCE(83);
      END_STATE();
    case 69:
      if (lookahead == 'a') ADVANCE(84);
      END_STATE();
    case 70:
      if (lookahead == 'c') ADVANCE(85);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 72:
      if (lookahead == 'u') ADVANCE(86);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 74:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 75:
      if (lookahead == 't') ADVANCE(88);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_begin);
      END_STATE();
    case 77:
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(90);
      if (lookahead == 'o') ADVANCE(91);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 81:
      if (lookahead == 'l') ADVANCE(92);
      END_STATE();
    case 82:
      if (lookahead == 'c') ADVANCE(93);
      END_STATE();
    case 83:
      if (lookahead == 't') ADVANCE(94);
      END_STATE();
    case 84:
      if (lookahead == 't') ADVANCE(95);
      END_STATE();
    case 85:
      if (lookahead == 't') ADVANCE(96);
      END_STATE();
    case 86:
      if (lookahead == 'a') ADVANCE(97);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_effect);
      END_STATE();
    case 90:
      if (lookahead == 'o') ADVANCE(98);
      END_STATE();
    case 91:
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_nonrec);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 95:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 97:
      if (lookahead == 'l') ADVANCE(102);
      END_STATE();
    case 98:
      if (lookahead == 'n') ADVANCE(103);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_functor);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_virtual);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 419, .external_lex_state = 2},
  [2] = {.lex_state = 26, .external_lex_state = 3},
  [3] = {.lex_state = 26, .external_lex_state = 3},
  [4] = {.lex_state = 26, .external_lex_state = 3},
  [5] = {.lex_state = 26, .external_lex_state = 3},
  [6] = {.lex_state = 26, .external_lex_state = 3},
  [7] = {.lex_state = 26, .external_lex_state = 3},
  [8] = {.lex_state = 26, .external_lex_state = 3},
  [9] = {.lex_state = 26, .external_lex_state = 3},
  [10] = {.lex_state = 26, .external_lex_state = 3},
  [11] = {.lex_state = 26, .external_lex_state = 3},
  [12] = {.lex_state = 26, .external_lex_state = 3},
  [13] = {.lex_state = 26, .external_lex_state = 3},
  [14] = {.lex_state = 26, .external_lex_state = 3},
  [15] = {.lex_state = 26, .external_lex_state = 3},
  [16] = {.lex_state = 26, .external_lex_state = 3},
  [17] = {.lex_state = 26, .external_lex_state = 3},
  [18] = {.lex_state = 26, .external_lex_state = 3},
  [19] = {.lex_state = 26, .external_lex_state = 3},
  [20] = {.lex_state = 26, .external_lex_state = 3},
  [21] = {.lex_state = 26, .external_lex_state = 3},
  [22] = {.lex_state = 26, .external_lex_state = 3},
  [23] = {.lex_state = 26, .external_lex_state = 3},
  [24] = {.lex_state = 26, .external_lex_state = 3},
  [25] = {.lex_state = 26, .external_lex_state = 3},
  [26] = {.lex_state = 26, .external_lex_state = 3},
  [27] = {.lex_state = 26, .external_lex_state = 3},
  [28] = {.lex_state = 26, .external_lex_state = 3},
  [29] = {.lex_state = 26, .external_lex_state = 3},
  [30] = {.lex_state = 26, .external_lex_state = 3},
  [31] = {.lex_state = 26, .external_lex_state = 3},
  [32] = {.lex_state = 26, .external_lex_state = 3},
  [33] = {.lex_state = 26, .external_lex_state = 3},
  [34] = {.lex_state = 26, .external_lex_state = 3},
  [35] = {.lex_state = 26, .external_lex_state = 3},
  [36] = {.lex_state = 26, .external_lex_state = 3},
  [37] = {.lex_state = 26, .external_lex_state = 3},
  [38] = {.lex_state = 26, .external_lex_state = 3},
  [39] = {.lex_state = 26, .external_lex_state = 3},
  [40] = {.lex_state = 26, .external_lex_state = 3},
  [41] = {.lex_state = 26, .external_lex_state = 3},
  [42] = {.lex_state = 26, .external_lex_state = 3},
  [43] = {.lex_state = 26, .external_lex_state = 3},
  [44] = {.lex_state = 26, .external_lex_state = 3},
  [45] = {.lex_state = 26, .external_lex_state = 3},
  [46] = {.lex_state = 26, .external_lex_state = 3},
  [47] = {.lex_state = 26, .external_lex_state = 3},
  [48] = {.lex_state = 26, .external_lex_state = 3},
  [49] = {.lex_state = 26, .external_lex_state = 3},
  [50] = {.lex_state = 26, .external_lex_state = 3},
  [51] = {.lex_state = 26, .external_lex_state = 3},
  [52] = {.lex_state = 26, .external_lex_state = 3},
  [53] = {.lex_state = 26, .external_lex_state = 3},
  [54] = {.lex_state = 26, .external_lex_state = 3},
  [55] = {.lex_state = 26, .external_lex_state = 3},
  [56] = {.lex_state = 26, .external_lex_state = 3},
  [57] = {.lex_state = 26, .external_lex_state = 3},
  [58] = {.lex_state = 26, .external_lex_state = 3},
  [59] = {.lex_state = 26, .external_lex_state = 3},
  [60] = {.lex_state = 26, .external_lex_state = 3},
  [61] = {.lex_state = 26, .external_lex_state = 3},
  [62] = {.lex_state = 26, .external_lex_state = 3},
  [63] = {.lex_state = 26, .external_lex_state = 3},
  [64] = {.lex_state = 26, .external_lex_state = 3},
  [65] = {.lex_state = 26, .external_lex_state = 3},
  [66] = {.lex_state = 26, .external_lex_state = 3},
  [67] = {.lex_state = 26, .external_lex_state = 3},
  [68] = {.lex_state = 26, .external_lex_state = 3},
  [69] = {.lex_state = 26, .external_lex_state = 3},
  [70] = {.lex_state = 26, .external_lex_state = 3},
  [71] = {.lex_state = 26, .external_lex_state = 3},
  [72] = {.lex_state = 26, .external_lex_state = 3},
  [73] = {.lex_state = 26, .external_lex_state = 3},
  [74] = {.lex_state = 26, .external_lex_state = 3},
  [75] = {.lex_state = 26, .external_lex_state = 3},
  [76] = {.lex_state = 26, .external_lex_state = 3},
  [77] = {.lex_state = 26, .external_lex_state = 3},
  [78] = {.lex_state = 26, .external_lex_state = 3},
  [79] = {.lex_state = 26, .external_lex_state = 3},
  [80] = {.lex_state = 26, .external_lex_state = 3},
  [81] = {.lex_state = 26, .external_lex_state = 3},
  [82] = {.lex_state = 26, .external_lex_state = 3},
  [83] = {.lex_state = 26, .external_lex_state = 3},
  [84] = {.lex_state = 26, .external_lex_state = 3},
  [85] = {.lex_state = 26, .external_lex_state = 3},
  [86] = {.lex_state = 26, .external_lex_state = 3},
  [87] = {.lex_state = 26, .external_lex_state = 3},
  [88] = {.lex_state = 26, .external_lex_state = 3},
  [89] = {.lex_state = 99, .external_lex_state = 3},
  [90] = {.lex_state = 105, .external_lex_state = 3},
  [91] = {.lex_state = 27, .external_lex_state = 3},
  [92] = {.lex_state = 27, .external_lex_state = 3},
  [93] = {.lex_state = 107, .external_lex_state = 3},
  [94] = {.lex_state = 100, .external_lex_state = 3},
  [95] = {.lex_state = 102, .external_lex_state = 3},
  [96] = {.lex_state = 106, .external_lex_state = 3},
  [97] = {.lex_state = 26, .external_lex_state = 3},
  [98] = {.lex_state = 101, .external_lex_state = 3},
  [99] = {.lex_state = 26, .external_lex_state = 3},
  [100] = {.lex_state = 26, .external_lex_state = 3},
  [101] = {.lex_state = 108, .external_lex_state = 3},
  [102] = {.lex_state = 26, .external_lex_state = 3},
  [103] = {.lex_state = 27, .external_lex_state = 3},
  [104] = {.lex_state = 27, .external_lex_state = 3},
  [105] = {.lex_state = 27, .external_lex_state = 3},
  [106] = {.lex_state = 27, .external_lex_state = 3},
  [107] = {.lex_state = 104, .external_lex_state = 3},
  [108] = {.lex_state = 109, .external_lex_state = 3},
  [109] = {.lex_state = 26, .external_lex_state = 3},
  [110] = {.lex_state = 26, .external_lex_state = 3},
  [111] = {.lex_state = 103, .external_lex_state = 3},
  [112] = {.lex_state = 110, .external_lex_state = 3},
  [113] = {.lex_state = 136, .external_lex_state = 3},
  [114] = {.lex_state = 136, .external_lex_state = 3},
  [115] = {.lex_state = 139, .external_lex_state = 3},
  [116] = {.lex_state = 139, .external_lex_state = 3},
  [117] = {.lex_state = 137, .external_lex_state = 3},
  [118] = {.lex_state = 138, .external_lex_state = 3},
  [119] = {.lex_state = 137, .external_lex_state = 3},
  [120] = {.lex_state = 138, .external_lex_state = 3},
  [121] = {.lex_state = 30, .external_lex_state = 3},
  [122] = {.lex_state = 154, .external_lex_state = 3},
  [123] = {.lex_state = 28, .external_lex_state = 3},
  [124] = {.lex_state = 29, .external_lex_state = 3},
  [125] = {.lex_state = 31, .external_lex_state = 3},
  [126] = {.lex_state = 154, .external_lex_state = 3},
  [127] = {.lex_state = 155, .external_lex_state = 3},
  [128] = {.lex_state = 155, .external_lex_state = 3},
  [129] = {.lex_state = 142, .external_lex_state = 3},
  [130] = {.lex_state = 135, .external_lex_state = 3},
  [131] = {.lex_state = 135, .external_lex_state = 3},
  [132] = {.lex_state = 135, .external_lex_state = 3},
  [133] = {.lex_state = 143, .external_lex_state = 3},
  [134] = {.lex_state = 135, .external_lex_state = 3},
  [135] = {.lex_state = 135, .external_lex_state = 3},
  [136] = {.lex_state = 135, .external_lex_state = 3},
  [137] = {.lex_state = 135, .external_lex_state = 3},
  [138] = {.lex_state = 135, .external_lex_state = 3},
  [139] = {.lex_state = 135, .external_lex_state = 3},
  [140] = {.lex_state = 135, .external_lex_state = 3},
  [141] = {.lex_state = 135, .external_lex_state = 3},
  [142] = {.lex_state = 135, .external_lex_state = 3},
  [143] = {.lex_state = 135, .external_lex_state = 3},
  [144] = {.lex_state = 135, .external_lex_state = 3},
  [145] = {.lex_state = 135, .external_lex_state = 3},
  [146] = {.lex_state = 135, .external_lex_state = 3},
  [147] = {.lex_state = 135, .external_lex_state = 3},
  [148] = {.lex_state = 135, .external_lex_state = 3},
  [149] = {.lex_state = 135, .external_lex_state = 3},
  [150] = {.lex_state = 135, .external_lex_state = 3},
  [151] = {.lex_state = 135, .external_lex_state = 3},
  [152] = {.lex_state = 135, .external_lex_state = 3},
  [153] = {.lex_state = 135, .external_lex_state = 3},
  [154] = {.lex_state = 135, .external_lex_state = 3},
  [155] = {.lex_state = 135, .external_lex_state = 3},
  [156] = {.lex_state = 135, .external_lex_state = 3},
  [157] = {.lex_state = 135, .external_lex_state = 3},
  [158] = {.lex_state = 135, .external_lex_state = 3},
  [159] = {.lex_state = 135, .external_lex_state = 3},
  [160] = {.lex_state = 135, .external_lex_state = 3},
  [161] = {.lex_state = 135, .external_lex_state = 3},
  [162] = {.lex_state = 135, .external_lex_state = 3},
  [163] = {.lex_state = 135, .external_lex_state = 3},
  [164] = {.lex_state = 135, .external_lex_state = 3},
  [165] = {.lex_state = 135, .external_lex_state = 3},
  [166] = {.lex_state = 135, .external_lex_state = 3},
  [167] = {.lex_state = 135, .external_lex_state = 3},
  [168] = {.lex_state = 135, .external_lex_state = 3},
  [169] = {.lex_state = 135, .external_lex_state = 3},
  [170] = {.lex_state = 135, .external_lex_state = 3},
  [171] = {.lex_state = 135, .external_lex_state = 3},
  [172] = {.lex_state = 135, .external_lex_state = 3},
  [173] = {.lex_state = 144, .external_lex_state = 3},
  [174] = {.lex_state = 135, .external_lex_state = 3},
  [175] = {.lex_state = 135, .external_lex_state = 3},
  [176] = {.lex_state = 135, .external_lex_state = 3},
  [177] = {.lex_state = 135, .external_lex_state = 3},
  [178] = {.lex_state = 135, .external_lex_state = 3},
  [179] = {.lex_state = 135, .external_lex_state = 3},
  [180] = {.lex_state = 135, .external_lex_state = 3},
  [181] = {.lex_state = 135, .external_lex_state = 3},
  [182] = {.lex_state = 135, .external_lex_state = 3},
  [183] = {.lex_state = 135, .external_lex_state = 3},
  [184] = {.lex_state = 135, .external_lex_state = 3},
  [185] = {.lex_state = 135, .external_lex_state = 3},
  [186] = {.lex_state = 135, .external_lex_state = 3},
  [187] = {.lex_state = 135, .external_lex_state = 3},
  [188] = {.lex_state = 135, .external_lex_state = 3},
  [189] = {.lex_state = 135, .external_lex_state = 3},
  [190] = {.lex_state = 135, .external_lex_state = 3},
  [191] = {.lex_state = 135, .external_lex_state = 3},
  [192] = {.lex_state = 135, .external_lex_state = 3},
  [193] = {.lex_state = 135, .external_lex_state = 3},
  [194] = {.lex_state = 135, .external_lex_state = 3},
  [195] = {.lex_state = 27, .external_lex_state = 3},
  [196] = {.lex_state = 135, .external_lex_state = 3},
  [197] = {.lex_state = 135, .external_lex_state = 3},
  [198] = {.lex_state = 135, .external_lex_state = 3},
  [199] = {.lex_state = 135, .external_lex_state = 3},
  [200] = {.lex_state = 147, .external_lex_state = 3},
  [201] = {.lex_state = 140, .external_lex_state = 3},
  [202] = {.lex_state = 148, .external_lex_state = 3},
  [203] = {.lex_state = 146, .external_lex_state = 3},
  [204] = {.lex_state = 135, .external_lex_state = 3},
  [205] = {.lex_state = 26, .external_lex_state = 3},
  [206] = {.lex_state = 135, .external_lex_state = 3},
  [207] = {.lex_state = 135, .external_lex_state = 3},
  [208] = {.lex_state = 135, .external_lex_state = 3},
  [209] = {.lex_state = 135, .external_lex_state = 3},
  [210] = {.lex_state = 135, .external_lex_state = 3},
  [211] = {.lex_state = 135, .external_lex_state = 3},
  [212] = {.lex_state = 135, .external_lex_state = 3},
  [213] = {.lex_state = 135, .external_lex_state = 3},
  [214] = {.lex_state = 135, .external_lex_state = 3},
  [215] = {.lex_state = 135, .external_lex_state = 3},
  [216] = {.lex_state = 135, .external_lex_state = 3},
  [217] = {.lex_state = 135, .external_lex_state = 3},
  [218] = {.lex_state = 135, .external_lex_state = 3},
  [219] = {.lex_state = 135, .external_lex_state = 3},
  [220] = {.lex_state = 135, .external_lex_state = 3},
  [221] = {.lex_state = 135, .external_lex_state = 3},
  [222] = {.lex_state = 135, .external_lex_state = 3},
  [223] = {.lex_state = 149, .external_lex_state = 3},
  [224] = {.lex_state = 135, .external_lex_state = 3},
  [225] = {.lex_state = 148, .external_lex_state = 3},
  [226] = {.lex_state = 145, .external_lex_state = 3},
  [227] = {.lex_state = 140, .external_lex_state = 3},
  [228] = {.lex_state = 151, .external_lex_state = 3},
  [229] = {.lex_state = 141, .external_lex_state = 3},
  [230] = {.lex_state = 152, .external_lex_state = 3},
  [231] = {.lex_state = 150, .external_lex_state = 3},
  [232] = {.lex_state = 146, .external_lex_state = 3},
  [233] = {.lex_state = 153, .external_lex_state = 3},
  [234] = {.lex_state = 147, .external_lex_state = 3},
  [235] = {.lex_state = 152, .external_lex_state = 3},
  [236] = {.lex_state = 141, .external_lex_state = 3},
  [237] = {.lex_state = 150, .external_lex_state = 3},
  [238] = {.lex_state = 151, .external_lex_state = 3},
  [239] = {.lex_state = 37, .external_lex_state = 3},
  [240] = {.lex_state = 36, .external_lex_state = 3},
  [241] = {.lex_state = 44, .external_lex_state = 3},
  [242] = {.lex_state = 39, .external_lex_state = 3},
  [243] = {.lex_state = 41, .external_lex_state = 3},
  [244] = {.lex_state = 41, .external_lex_state = 3},
  [245] = {.lex_state = 41, .external_lex_state = 3},
  [246] = {.lex_state = 41, .external_lex_state = 3},
  [247] = {.lex_state = 41, .external_lex_state = 3},
  [248] = {.lex_state = 41, .external_lex_state = 3},
  [249] = {.lex_state = 41, .external_lex_state = 3},
  [250] = {.lex_state = 41, .external_lex_state = 3},
  [251] = {.lex_state = 41, .external_lex_state = 3},
  [252] = {.lex_state = 41, .external_lex_state = 3},
  [253] = {.lex_state = 41, .external_lex_state = 3},
  [254] = {.lex_state = 41, .external_lex_state = 3},
  [255] = {.lex_state = 41, .external_lex_state = 3},
  [256] = {.lex_state = 40, .external_lex_state = 3},
  [257] = {.lex_state = 41, .external_lex_state = 3},
  [258] = {.lex_state = 41, .external_lex_state = 3},
  [259] = {.lex_state = 41, .external_lex_state = 3},
  [260] = {.lex_state = 41, .external_lex_state = 3},
  [261] = {.lex_state = 41, .external_lex_state = 3},
  [262] = {.lex_state = 41, .external_lex_state = 3},
  [263] = {.lex_state = 41, .external_lex_state = 3},
  [264] = {.lex_state = 41, .external_lex_state = 3},
  [265] = {.lex_state = 41, .external_lex_state = 3},
  [266] = {.lex_state = 41, .external_lex_state = 3},
  [267] = {.lex_state = 41, .external_lex_state = 3},
  [268] = {.lex_state = 41, .external_lex_state = 3},
  [269] = {.lex_state = 41, .external_lex_state = 3},
  [270] = {.lex_state = 41, .external_lex_state = 3},
  [271] = {.lex_state = 41, .external_lex_state = 3},
  [272] = {.lex_state = 41, .external_lex_state = 3},
  [273] = {.lex_state = 42, .external_lex_state = 3},
  [274] = {.lex_state = 41, .external_lex_state = 3},
  [275] = {.lex_state = 41, .external_lex_state = 3},
  [276] = {.lex_state = 41, .external_lex_state = 3},
  [277] = {.lex_state = 41, .external_lex_state = 3},
  [278] = {.lex_state = 36, .external_lex_state = 3},
  [279] = {.lex_state = 41, .external_lex_state = 3},
  [280] = {.lex_state = 41, .external_lex_state = 3},
  [281] = {.lex_state = 41, .external_lex_state = 3},
  [282] = {.lex_state = 41, .external_lex_state = 3},
  [283] = {.lex_state = 41, .external_lex_state = 3},
  [284] = {.lex_state = 38, .external_lex_state = 3},
  [285] = {.lex_state = 41, .external_lex_state = 3},
  [286] = {.lex_state = 43, .external_lex_state = 3},
  [287] = {.lex_state = 41, .external_lex_state = 3},
  [288] = {.lex_state = 41, .external_lex_state = 3},
  [289] = {.lex_state = 41, .external_lex_state = 3},
  [290] = {.lex_state = 41, .external_lex_state = 3},
  [291] = {.lex_state = 41, .external_lex_state = 3},
  [292] = {.lex_state = 36, .external_lex_state = 3},
  [293] = {.lex_state = 36, .external_lex_state = 3},
  [294] = {.lex_state = 36, .external_lex_state = 3},
  [295] = {.lex_state = 36, .external_lex_state = 3},
  [296] = {.lex_state = 36, .external_lex_state = 3},
  [297] = {.lex_state = 36, .external_lex_state = 3},
  [298] = {.lex_state = 36, .external_lex_state = 3},
  [299] = {.lex_state = 36, .external_lex_state = 3},
  [300] = {.lex_state = 36, .external_lex_state = 3},
  [301] = {.lex_state = 36, .external_lex_state = 3},
  [302] = {.lex_state = 36, .external_lex_state = 3},
  [303] = {.lex_state = 36, .external_lex_state = 3},
  [304] = {.lex_state = 36, .external_lex_state = 3},
  [305] = {.lex_state = 36, .external_lex_state = 3},
  [306] = {.lex_state = 36, .external_lex_state = 3},
  [307] = {.lex_state = 36, .external_lex_state = 3},
  [308] = {.lex_state = 36, .external_lex_state = 3},
  [309] = {.lex_state = 36, .external_lex_state = 3},
  [310] = {.lex_state = 36, .external_lex_state = 3},
  [311] = {.lex_state = 36, .external_lex_state = 3},
  [312] = {.lex_state = 36, .external_lex_state = 3},
  [313] = {.lex_state = 36, .external_lex_state = 3},
  [314] = {.lex_state = 36, .external_lex_state = 3},
  [315] = {.lex_state = 36, .external_lex_state = 3},
  [316] = {.lex_state = 36, .external_lex_state = 3},
  [317] = {.lex_state = 36, .external_lex_state = 3},
  [318] = {.lex_state = 36, .external_lex_state = 3},
  [319] = {.lex_state = 36, .external_lex_state = 3},
  [320] = {.lex_state = 36, .external_lex_state = 3},
  [321] = {.lex_state = 36, .external_lex_state = 3},
  [322] = {.lex_state = 36, .external_lex_state = 3},
  [323] = {.lex_state = 36, .external_lex_state = 3},
  [324] = {.lex_state = 36, .external_lex_state = 3},
  [325] = {.lex_state = 36, .external_lex_state = 3},
  [326] = {.lex_state = 36, .external_lex_state = 3},
  [327] = {.lex_state = 36, .external_lex_state = 3},
  [328] = {.lex_state = 36, .external_lex_state = 3},
  [329] = {.lex_state = 36, .external_lex_state = 3},
  [330] = {.lex_state = 36, .external_lex_state = 3},
  [331] = {.lex_state = 36, .external_lex_state = 3},
  [332] = {.lex_state = 36, .external_lex_state = 3},
  [333] = {.lex_state = 36, .external_lex_state = 3},
  [334] = {.lex_state = 36, .external_lex_state = 3},
  [335] = {.lex_state = 36, .external_lex_state = 3},
  [336] = {.lex_state = 36, .external_lex_state = 3},
  [337] = {.lex_state = 36, .external_lex_state = 3},
  [338] = {.lex_state = 36, .external_lex_state = 3},
  [339] = {.lex_state = 36, .external_lex_state = 3},
  [340] = {.lex_state = 36, .external_lex_state = 3},
  [341] = {.lex_state = 36, .external_lex_state = 3},
  [342] = {.lex_state = 36, .external_lex_state = 3},
  [343] = {.lex_state = 36, .external_lex_state = 3},
  [344] = {.lex_state = 36, .external_lex_state = 3},
  [345] = {.lex_state = 36, .external_lex_state = 3},
  [346] = {.lex_state = 54, .external_lex_state = 3},
  [347] = {.lex_state = 36, .external_lex_state = 3},
  [348] = {.lex_state = 36, .external_lex_state = 3},
  [349] = {.lex_state = 36, .external_lex_state = 3},
  [350] = {.lex_state = 36, .external_lex_state = 3},
  [351] = {.lex_state = 36, .external_lex_state = 3},
  [352] = {.lex_state = 58, .external_lex_state = 3},
  [353] = {.lex_state = 36, .external_lex_state = 3},
  [354] = {.lex_state = 36, .external_lex_state = 3},
  [355] = {.lex_state = 36, .external_lex_state = 3},
  [356] = {.lex_state = 36, .external_lex_state = 3},
  [357] = {.lex_state = 36, .external_lex_state = 3},
  [358] = {.lex_state = 36, .external_lex_state = 3},
  [359] = {.lex_state = 36, .external_lex_state = 3},
  [360] = {.lex_state = 36, .external_lex_state = 3},
  [361] = {.lex_state = 36, .external_lex_state = 3},
  [362] = {.lex_state = 36, .external_lex_state = 3},
  [363] = {.lex_state = 36, .external_lex_state = 3},
  [364] = {.lex_state = 36, .external_lex_state = 3},
  [365] = {.lex_state = 36, .external_lex_state = 3},
  [366] = {.lex_state = 36, .external_lex_state = 3},
  [367] = {.lex_state = 36, .external_lex_state = 3},
  [368] = {.lex_state = 36, .external_lex_state = 3},
  [369] = {.lex_state = 36, .external_lex_state = 3},
  [370] = {.lex_state = 36, .external_lex_state = 3},
  [371] = {.lex_state = 36, .external_lex_state = 3},
  [372] = {.lex_state = 36, .external_lex_state = 3},
  [373] = {.lex_state = 36, .external_lex_state = 3},
  [374] = {.lex_state = 36, .external_lex_state = 3},
  [375] = {.lex_state = 36, .external_lex_state = 3},
  [376] = {.lex_state = 36, .external_lex_state = 3},
  [377] = {.lex_state = 36, .external_lex_state = 3},
  [378] = {.lex_state = 36, .external_lex_state = 3},
  [379] = {.lex_state = 36, .external_lex_state = 3},
  [380] = {.lex_state = 36, .external_lex_state = 3},
  [381] = {.lex_state = 36, .external_lex_state = 3},
  [382] = {.lex_state = 36, .external_lex_state = 3},
  [383] = {.lex_state = 36, .external_lex_state = 3},
  [384] = {.lex_state = 36, .external_lex_state = 3},
  [385] = {.lex_state = 36, .external_lex_state = 3},
  [386] = {.lex_state = 36, .external_lex_state = 3},
  [387] = {.lex_state = 36, .external_lex_state = 3},
  [388] = {.lex_state = 36, .external_lex_state = 3},
  [389] = {.lex_state = 36, .external_lex_state = 3},
  [390] = {.lex_state = 36, .external_lex_state = 3},
  [391] = {.lex_state = 36, .external_lex_state = 3},
  [392] = {.lex_state = 36, .external_lex_state = 3},
  [393] = {.lex_state = 36, .external_lex_state = 3},
  [394] = {.lex_state = 36, .external_lex_state = 3},
  [395] = {.lex_state = 36, .external_lex_state = 3},
  [396] = {.lex_state = 36, .external_lex_state = 3},
  [397] = {.lex_state = 36, .external_lex_state = 3},
  [398] = {.lex_state = 36, .external_lex_state = 3},
  [399] = {.lex_state = 36, .external_lex_state = 3},
  [400] = {.lex_state = 36, .external_lex_state = 3},
  [401] = {.lex_state = 36, .external_lex_state = 3},
  [402] = {.lex_state = 36, .external_lex_state = 3},
  [403] = {.lex_state = 36, .external_lex_state = 3},
  [404] = {.lex_state = 36, .external_lex_state = 3},
  [405] = {.lex_state = 36, .external_lex_state = 3},
  [406] = {.lex_state = 36, .external_lex_state = 3},
  [407] = {.lex_state = 36, .external_lex_state = 3},
  [408] = {.lex_state = 36, .external_lex_state = 3},
  [409] = {.lex_state = 36, .external_lex_state = 3},
  [410] = {.lex_state = 36, .external_lex_state = 3},
  [411] = {.lex_state = 36, .external_lex_state = 3},
  [412] = {.lex_state = 36, .external_lex_state = 3},
  [413] = {.lex_state = 36, .external_lex_state = 3},
  [414] = {.lex_state = 36, .external_lex_state = 3},
  [415] = {.lex_state = 36, .external_lex_state = 3},
  [416] = {.lex_state = 36, .external_lex_state = 3},
  [417] = {.lex_state = 36, .external_lex_state = 3},
  [418] = {.lex_state = 36, .external_lex_state = 3},
  [419] = {.lex_state = 36, .external_lex_state = 3},
  [420] = {.lex_state = 36, .external_lex_state = 3},
  [421] = {.lex_state = 36, .external_lex_state = 3},
  [422] = {.lex_state = 36, .external_lex_state = 3},
  [423] = {.lex_state = 36, .external_lex_state = 3},
  [424] = {.lex_state = 36, .external_lex_state = 3},
  [425] = {.lex_state = 36, .external_lex_state = 3},
  [426] = {.lex_state = 36, .external_lex_state = 3},
  [427] = {.lex_state = 36, .external_lex_state = 3},
  [428] = {.lex_state = 36, .external_lex_state = 3},
  [429] = {.lex_state = 36, .external_lex_state = 3},
  [430] = {.lex_state = 36, .external_lex_state = 3},
  [431] = {.lex_state = 36, .external_lex_state = 3},
  [432] = {.lex_state = 36, .external_lex_state = 3},
  [433] = {.lex_state = 36, .external_lex_state = 3},
  [434] = {.lex_state = 36, .external_lex_state = 3},
  [435] = {.lex_state = 36, .external_lex_state = 3},
  [436] = {.lex_state = 36, .external_lex_state = 3},
  [437] = {.lex_state = 36, .external_lex_state = 3},
  [438] = {.lex_state = 36, .external_lex_state = 3},
  [439] = {.lex_state = 36, .external_lex_state = 3},
  [440] = {.lex_state = 36, .external_lex_state = 3},
  [441] = {.lex_state = 36, .external_lex_state = 3},
  [442] = {.lex_state = 36, .external_lex_state = 3},
  [443] = {.lex_state = 36, .external_lex_state = 3},
  [444] = {.lex_state = 36, .external_lex_state = 3},
  [445] = {.lex_state = 36, .external_lex_state = 3},
  [446] = {.lex_state = 36, .external_lex_state = 3},
  [447] = {.lex_state = 36, .external_lex_state = 3},
  [448] = {.lex_state = 36, .external_lex_state = 3},
  [449] = {.lex_state = 36, .external_lex_state = 3},
  [450] = {.lex_state = 36, .external_lex_state = 3},
  [451] = {.lex_state = 36, .external_lex_state = 3},
  [452] = {.lex_state = 36, .external_lex_state = 3},
  [453] = {.lex_state = 36, .external_lex_state = 3},
  [454] = {.lex_state = 36, .external_lex_state = 3},
  [455] = {.lex_state = 36, .external_lex_state = 3},
  [456] = {.lex_state = 36, .external_lex_state = 3},
  [457] = {.lex_state = 36, .external_lex_state = 3},
  [458] = {.lex_state = 36, .external_lex_state = 3},
  [459] = {.lex_state = 36, .external_lex_state = 3},
  [460] = {.lex_state = 36, .external_lex_state = 3},
  [461] = {.lex_state = 36, .external_lex_state = 3},
  [462] = {.lex_state = 36, .external_lex_state = 3},
  [463] = {.lex_state = 36, .external_lex_state = 3},
  [464] = {.lex_state = 36, .external_lex_state = 3},
  [465] = {.lex_state = 36, .external_lex_state = 3},
  [466] = {.lex_state = 36, .external_lex_state = 3},
  [467] = {.lex_state = 36, .external_lex_state = 3},
  [468] = {.lex_state = 36, .external_lex_state = 3},
  [469] = {.lex_state = 36, .external_lex_state = 3},
  [470] = {.lex_state = 36, .external_lex_state = 3},
  [471] = {.lex_state = 36, .external_lex_state = 3},
  [472] = {.lex_state = 36, .external_lex_state = 3},
  [473] = {.lex_state = 36, .external_lex_state = 3},
  [474] = {.lex_state = 36, .external_lex_state = 3},
  [475] = {.lex_state = 36, .external_lex_state = 3},
  [476] = {.lex_state = 36, .external_lex_state = 3},
  [477] = {.lex_state = 36, .external_lex_state = 3},
  [478] = {.lex_state = 36, .external_lex_state = 3},
  [479] = {.lex_state = 36, .external_lex_state = 3},
  [480] = {.lex_state = 36, .external_lex_state = 3},
  [481] = {.lex_state = 36, .external_lex_state = 3},
  [482] = {.lex_state = 36, .external_lex_state = 3},
  [483] = {.lex_state = 36, .external_lex_state = 3},
  [484] = {.lex_state = 36, .external_lex_state = 3},
  [485] = {.lex_state = 36, .external_lex_state = 3},
  [486] = {.lex_state = 36, .external_lex_state = 3},
  [487] = {.lex_state = 36, .external_lex_state = 3},
  [488] = {.lex_state = 36, .external_lex_state = 3},
  [489] = {.lex_state = 36, .external_lex_state = 3},
  [490] = {.lex_state = 36, .external_lex_state = 3},
  [491] = {.lex_state = 36, .external_lex_state = 3},
  [492] = {.lex_state = 36, .external_lex_state = 3},
  [493] = {.lex_state = 36, .external_lex_state = 3},
  [494] = {.lex_state = 36, .external_lex_state = 3},
  [495] = {.lex_state = 36, .external_lex_state = 3},
  [496] = {.lex_state = 36, .external_lex_state = 3},
  [497] = {.lex_state = 36, .external_lex_state = 3},
  [498] = {.lex_state = 36, .external_lex_state = 3},
  [499] = {.lex_state = 36, .external_lex_state = 3},
  [500] = {.lex_state = 55, .external_lex_state = 3},
  [501] = {.lex_state = 36, .external_lex_state = 3},
  [502] = {.lex_state = 36, .external_lex_state = 3},
  [503] = {.lex_state = 36, .external_lex_state = 3},
  [504] = {.lex_state = 59, .external_lex_state = 3},
  [505] = {.lex_state = 36, .external_lex_state = 3},
  [506] = {.lex_state = 36, .external_lex_state = 3},
  [507] = {.lex_state = 40, .external_lex_state = 3},
  [508] = {.lex_state = 36, .external_lex_state = 3},
  [509] = {.lex_state = 36, .external_lex_state = 3},
  [510] = {.lex_state = 36, .external_lex_state = 3},
  [511] = {.lex_state = 36, .external_lex_state = 3},
  [512] = {.lex_state = 36, .external_lex_state = 3},
  [513] = {.lex_state = 60, .external_lex_state = 3},
  [514] = {.lex_state = 36, .external_lex_state = 3},
  [515] = {.lex_state = 36, .external_lex_state = 3},
  [516] = {.lex_state = 36, .external_lex_state = 3},
  [517] = {.lex_state = 36, .external_lex_state = 3},
  [518] = {.lex_state = 36, .external_lex_state = 3},
  [519] = {.lex_state = 40, .external_lex_state = 3},
  [520] = {.lex_state = 36, .external_lex_state = 3},
  [521] = {.lex_state = 36, .external_lex_state = 3},
  [522] = {.lex_state = 36, .external_lex_state = 3},
  [523] = {.lex_state = 36, .external_lex_state = 3},
  [524] = {.lex_state = 36, .external_lex_state = 3},
  [525] = {.lex_state = 40, .external_lex_state = 3},
  [526] = {.lex_state = 36, .external_lex_state = 3},
  [527] = {.lex_state = 36, .external_lex_state = 3},
  [528] = {.lex_state = 40, .external_lex_state = 3},
  [529] = {.lex_state = 36, .external_lex_state = 3},
  [530] = {.lex_state = 36, .external_lex_state = 3},
  [531] = {.lex_state = 36, .external_lex_state = 3},
  [532] = {.lex_state = 36, .external_lex_state = 3},
  [533] = {.lex_state = 36, .external_lex_state = 3},
  [534] = {.lex_state = 36, .external_lex_state = 3},
  [535] = {.lex_state = 36, .external_lex_state = 3},
  [536] = {.lex_state = 36, .external_lex_state = 3},
  [537] = {.lex_state = 36, .external_lex_state = 3},
  [538] = {.lex_state = 36, .external_lex_state = 3},
  [539] = {.lex_state = 36, .external_lex_state = 3},
  [540] = {.lex_state = 36, .external_lex_state = 3},
  [541] = {.lex_state = 36, .external_lex_state = 3},
  [542] = {.lex_state = 52, .external_lex_state = 3},
  [543] = {.lex_state = 36, .external_lex_state = 3},
  [544] = {.lex_state = 36, .external_lex_state = 3},
  [545] = {.lex_state = 36, .external_lex_state = 3},
  [546] = {.lex_state = 36, .external_lex_state = 3},
  [547] = {.lex_state = 36, .external_lex_state = 3},
  [548] = {.lex_state = 61, .external_lex_state = 3},
  [549] = {.lex_state = 36, .external_lex_state = 3},
  [550] = {.lex_state = 36, .external_lex_state = 3},
  [551] = {.lex_state = 36, .external_lex_state = 3},
  [552] = {.lex_state = 36, .external_lex_state = 3},
  [553] = {.lex_state = 36, .external_lex_state = 3},
  [554] = {.lex_state = 36, .external_lex_state = 3},
  [555] = {.lex_state = 36, .external_lex_state = 3},
  [556] = {.lex_state = 36, .external_lex_state = 3},
  [557] = {.lex_state = 36, .external_lex_state = 3},
  [558] = {.lex_state = 36, .external_lex_state = 3},
  [559] = {.lex_state = 36, .external_lex_state = 3},
  [560] = {.lex_state = 36, .external_lex_state = 3},
  [561] = {.lex_state = 36, .external_lex_state = 3},
  [562] = {.lex_state = 36, .external_lex_state = 3},
  [563] = {.lex_state = 36, .external_lex_state = 3},
  [564] = {.lex_state = 36, .external_lex_state = 3},
  [565] = {.lex_state = 36, .external_lex_state = 3},
  [566] = {.lex_state = 36, .external_lex_state = 3},
  [567] = {.lex_state = 36, .external_lex_state = 3},
  [568] = {.lex_state = 36, .external_lex_state = 3},
  [569] = {.lex_state = 36, .external_lex_state = 3},
  [570] = {.lex_state = 36, .external_lex_state = 3},
  [571] = {.lex_state = 36, .external_lex_state = 3},
  [572] = {.lex_state = 36, .external_lex_state = 3},
  [573] = {.lex_state = 36, .external_lex_state = 3},
  [574] = {.lex_state = 36, .external_lex_state = 3},
  [575] = {.lex_state = 36, .external_lex_state = 3},
  [576] = {.lex_state = 36, .external_lex_state = 3},
  [577] = {.lex_state = 36, .external_lex_state = 3},
  [578] = {.lex_state = 36, .external_lex_state = 3},
  [579] = {.lex_state = 36, .external_lex_state = 3},
  [580] = {.lex_state = 36, .external_lex_state = 3},
  [581] = {.lex_state = 36, .external_lex_state = 3},
  [582] = {.lex_state = 36, .external_lex_state = 3},
  [583] = {.lex_state = 36, .external_lex_state = 3},
  [584] = {.lex_state = 36, .external_lex_state = 3},
  [585] = {.lex_state = 36, .external_lex_state = 3},
  [586] = {.lex_state = 36, .external_lex_state = 3},
  [587] = {.lex_state = 36, .external_lex_state = 3},
  [588] = {.lex_state = 36, .external_lex_state = 3},
  [589] = {.lex_state = 36, .external_lex_state = 3},
  [590] = {.lex_state = 36, .external_lex_state = 3},
  [591] = {.lex_state = 36, .external_lex_state = 3},
  [592] = {.lex_state = 36, .external_lex_state = 3},
  [593] = {.lex_state = 36, .external_lex_state = 3},
  [594] = {.lex_state = 36, .external_lex_state = 3},
  [595] = {.lex_state = 36, .external_lex_state = 3},
  [596] = {.lex_state = 36, .external_lex_state = 3},
  [597] = {.lex_state = 36, .external_lex_state = 3},
  [598] = {.lex_state = 36, .external_lex_state = 3},
  [599] = {.lex_state = 36, .external_lex_state = 3},
  [600] = {.lex_state = 36, .external_lex_state = 3},
  [601] = {.lex_state = 36, .external_lex_state = 3},
  [602] = {.lex_state = 36, .external_lex_state = 3},
  [603] = {.lex_state = 36, .external_lex_state = 3},
  [604] = {.lex_state = 36, .external_lex_state = 3},
  [605] = {.lex_state = 36, .external_lex_state = 3},
  [606] = {.lex_state = 36, .external_lex_state = 3},
  [607] = {.lex_state = 36, .external_lex_state = 3},
  [608] = {.lex_state = 36, .external_lex_state = 3},
  [609] = {.lex_state = 36, .external_lex_state = 3},
  [610] = {.lex_state = 36, .external_lex_state = 3},
  [611] = {.lex_state = 36, .external_lex_state = 3},
  [612] = {.lex_state = 36, .external_lex_state = 3},
  [613] = {.lex_state = 36, .external_lex_state = 3},
  [614] = {.lex_state = 36, .external_lex_state = 3},
  [615] = {.lex_state = 36, .external_lex_state = 3},
  [616] = {.lex_state = 36, .external_lex_state = 3},
  [617] = {.lex_state = 36, .external_lex_state = 3},
  [618] = {.lex_state = 36, .external_lex_state = 3},
  [619] = {.lex_state = 36, .external_lex_state = 3},
  [620] = {.lex_state = 36, .external_lex_state = 3},
  [621] = {.lex_state = 36, .external_lex_state = 3},
  [622] = {.lex_state = 36, .external_lex_state = 3},
  [623] = {.lex_state = 36, .external_lex_state = 3},
  [624] = {.lex_state = 36, .external_lex_state = 3},
  [625] = {.lex_state = 36, .external_lex_state = 3},
  [626] = {.lex_state = 36, .external_lex_state = 3},
  [627] = {.lex_state = 36, .external_lex_state = 3},
  [628] = {.lex_state = 36, .external_lex_state = 3},
  [629] = {.lex_state = 36, .external_lex_state = 3},
  [630] = {.lex_state = 36, .external_lex_state = 3},
  [631] = {.lex_state = 36, .external_lex_state = 3},
  [632] = {.lex_state = 36, .external_lex_state = 3},
  [633] = {.lex_state = 36, .external_lex_state = 3},
  [634] = {.lex_state = 36, .external_lex_state = 3},
  [635] = {.lex_state = 36, .external_lex_state = 3},
  [636] = {.lex_state = 36, .external_lex_state = 3},
  [637] = {.lex_state = 36, .external_lex_state = 3},
  [638] = {.lex_state = 36, .external_lex_state = 3},
  [639] = {.lex_state = 36, .external_lex_state = 3},
  [640] = {.lex_state = 36, .external_lex_state = 3},
  [641] = {.lex_state = 36, .external_lex_state = 3},
  [642] = {.lex_state = 36, .external_lex_state = 3},
  [643] = {.lex_state = 36, .external_lex_state = 3},
  [644] = {.lex_state = 36, .external_lex_state = 3},
  [645] = {.lex_state = 36, .external_lex_state = 3},
  [646] = {.lex_state = 36, .external_lex_state = 3},
  [647] = {.lex_state = 36, .external_lex_state = 3},
  [648] = {.lex_state = 36, .external_lex_state = 3},
  [649] = {.lex_state = 36, .external_lex_state = 3},
  [650] = {.lex_state = 36, .external_lex_state = 3},
  [651] = {.lex_state = 36, .external_lex_state = 3},
  [652] = {.lex_state = 36, .external_lex_state = 3},
  [653] = {.lex_state = 36, .external_lex_state = 3},
  [654] = {.lex_state = 36, .external_lex_state = 3},
  [655] = {.lex_state = 36, .external_lex_state = 3},
  [656] = {.lex_state = 36, .external_lex_state = 3},
  [657] = {.lex_state = 36, .external_lex_state = 3},
  [658] = {.lex_state = 36, .external_lex_state = 3},
  [659] = {.lex_state = 36, .external_lex_state = 3},
  [660] = {.lex_state = 36, .external_lex_state = 3},
  [661] = {.lex_state = 36, .external_lex_state = 3},
  [662] = {.lex_state = 36, .external_lex_state = 3},
  [663] = {.lex_state = 36, .external_lex_state = 3},
  [664] = {.lex_state = 36, .external_lex_state = 3},
  [665] = {.lex_state = 36, .external_lex_state = 3},
  [666] = {.lex_state = 36, .external_lex_state = 3},
  [667] = {.lex_state = 36, .external_lex_state = 3},
  [668] = {.lex_state = 36, .external_lex_state = 3},
  [669] = {.lex_state = 36, .external_lex_state = 3},
  [670] = {.lex_state = 36, .external_lex_state = 3},
  [671] = {.lex_state = 36, .external_lex_state = 3},
  [672] = {.lex_state = 36, .external_lex_state = 3},
  [673] = {.lex_state = 36, .external_lex_state = 3},
  [674] = {.lex_state = 36, .external_lex_state = 3},
  [675] = {.lex_state = 36, .external_lex_state = 3},
  [676] = {.lex_state = 36, .external_lex_state = 3},
  [677] = {.lex_state = 36, .external_lex_state = 3},
  [678] = {.lex_state = 36, .external_lex_state = 3},
  [679] = {.lex_state = 36, .external_lex_state = 3},
  [680] = {.lex_state = 36, .external_lex_state = 3},
  [681] = {.lex_state = 36, .external_lex_state = 3},
  [682] = {.lex_state = 36, .external_lex_state = 3},
  [683] = {.lex_state = 36, .external_lex_state = 3},
  [684] = {.lex_state = 36, .external_lex_state = 3},
  [685] = {.lex_state = 36, .external_lex_state = 3},
  [686] = {.lex_state = 36, .external_lex_state = 3},
  [687] = {.lex_state = 36, .external_lex_state = 3},
  [688] = {.lex_state = 36, .external_lex_state = 3},
  [689] = {.lex_state = 36, .external_lex_state = 3},
  [690] = {.lex_state = 36, .external_lex_state = 3},
  [691] = {.lex_state = 36, .external_lex_state = 3},
  [692] = {.lex_state = 36, .external_lex_state = 3},
  [693] = {.lex_state = 36, .external_lex_state = 3},
  [694] = {.lex_state = 36, .external_lex_state = 3},
  [695] = {.lex_state = 36, .external_lex_state = 3},
  [696] = {.lex_state = 36, .external_lex_state = 3},
  [697] = {.lex_state = 36, .external_lex_state = 3},
  [698] = {.lex_state = 36, .external_lex_state = 3},
  [699] = {.lex_state = 36, .external_lex_state = 3},
  [700] = {.lex_state = 36, .external_lex_state = 3},
  [701] = {.lex_state = 36, .external_lex_state = 3},
  [702] = {.lex_state = 36, .external_lex_state = 3},
  [703] = {.lex_state = 36, .external_lex_state = 3},
  [704] = {.lex_state = 36, .external_lex_state = 3},
  [705] = {.lex_state = 36, .external_lex_state = 3},
  [706] = {.lex_state = 36, .external_lex_state = 3},
  [707] = {.lex_state = 36, .external_lex_state = 3},
  [708] = {.lex_state = 36, .external_lex_state = 3},
  [709] = {.lex_state = 36, .external_lex_state = 3},
  [710] = {.lex_state = 36, .external_lex_state = 3},
  [711] = {.lex_state = 36, .external_lex_state = 3},
  [712] = {.lex_state = 36, .external_lex_state = 3},
  [713] = {.lex_state = 36, .external_lex_state = 3},
  [714] = {.lex_state = 36, .external_lex_state = 3},
  [715] = {.lex_state = 36, .external_lex_state = 3},
  [716] = {.lex_state = 36, .external_lex_state = 3},
  [717] = {.lex_state = 36, .external_lex_state = 3},
  [718] = {.lex_state = 36, .external_lex_state = 3},
  [719] = {.lex_state = 36, .external_lex_state = 3},
  [720] = {.lex_state = 36, .external_lex_state = 3},
  [721] = {.lex_state = 36, .external_lex_state = 3},
  [722] = {.lex_state = 36, .external_lex_state = 3},
  [723] = {.lex_state = 36, .external_lex_state = 3},
  [724] = {.lex_state = 36, .external_lex_state = 3},
  [725] = {.lex_state = 36, .external_lex_state = 3},
  [726] = {.lex_state = 36, .external_lex_state = 3},
  [727] = {.lex_state = 36, .external_lex_state = 3},
  [728] = {.lex_state = 36, .external_lex_state = 3},
  [729] = {.lex_state = 36, .external_lex_state = 3},
  [730] = {.lex_state = 36, .external_lex_state = 3},
  [731] = {.lex_state = 36, .external_lex_state = 3},
  [732] = {.lex_state = 36, .external_lex_state = 3},
  [733] = {.lex_state = 36, .external_lex_state = 3},
  [734] = {.lex_state = 36, .external_lex_state = 3},
  [735] = {.lex_state = 36, .external_lex_state = 3},
  [736] = {.lex_state = 36, .external_lex_state = 3},
  [737] = {.lex_state = 36, .external_lex_state = 3},
  [738] = {.lex_state = 36, .external_lex_state = 3},
  [739] = {.lex_state = 36, .external_lex_state = 3},
  [740] = {.lex_state = 36, .external_lex_state = 3},
  [741] = {.lex_state = 36, .external_lex_state = 3},
  [742] = {.lex_state = 36, .external_lex_state = 3},
  [743] = {.lex_state = 36, .external_lex_state = 3},
  [744] = {.lex_state = 36, .external_lex_state = 3},
  [745] = {.lex_state = 36, .external_lex_state = 3},
  [746] = {.lex_state = 36, .external_lex_state = 3},
  [747] = {.lex_state = 36, .external_lex_state = 3},
  [748] = {.lex_state = 36, .external_lex_state = 3},
  [749] = {.lex_state = 36, .external_lex_state = 3},
  [750] = {.lex_state = 36, .external_lex_state = 3},
  [751] = {.lex_state = 36, .external_lex_state = 3},
  [752] = {.lex_state = 36, .external_lex_state = 3},
  [753] = {.lex_state = 36, .external_lex_state = 3},
  [754] = {.lex_state = 36, .external_lex_state = 3},
  [755] = {.lex_state = 36, .external_lex_state = 3},
  [756] = {.lex_state = 36, .external_lex_state = 3},
  [757] = {.lex_state = 36, .external_lex_state = 3},
  [758] = {.lex_state = 36, .external_lex_state = 3},
  [759] = {.lex_state = 36, .external_lex_state = 3},
  [760] = {.lex_state = 36, .external_lex_state = 3},
  [761] = {.lex_state = 36, .external_lex_state = 3},
  [762] = {.lex_state = 36, .external_lex_state = 3},
  [763] = {.lex_state = 36, .external_lex_state = 3},
  [764] = {.lex_state = 36, .external_lex_state = 3},
  [765] = {.lex_state = 36, .external_lex_state = 3},
  [766] = {.lex_state = 36, .external_lex_state = 3},
  [767] = {.lex_state = 36, .external_lex_state = 3},
  [768] = {.lex_state = 36, .external_lex_state = 3},
  [769] = {.lex_state = 36, .external_lex_state = 3},
  [770] = {.lex_state = 36, .external_lex_state = 3},
  [771] = {.lex_state = 36, .external_lex_state = 3},
  [772] = {.lex_state = 36, .external_lex_state = 3},
  [773] = {.lex_state = 36, .external_lex_state = 3},
  [774] = {.lex_state = 36, .external_lex_state = 3},
  [775] = {.lex_state = 36, .external_lex_state = 3},
  [776] = {.lex_state = 36, .external_lex_state = 3},
  [777] = {.lex_state = 36, .external_lex_state = 3},
  [778] = {.lex_state = 36, .external_lex_state = 3},
  [779] = {.lex_state = 36, .external_lex_state = 3},
  [780] = {.lex_state = 36, .external_lex_state = 3},
  [781] = {.lex_state = 36, .external_lex_state = 3},
  [782] = {.lex_state = 36, .external_lex_state = 3},
  [783] = {.lex_state = 36, .external_lex_state = 3},
  [784] = {.lex_state = 36, .external_lex_state = 3},
  [785] = {.lex_state = 36, .external_lex_state = 3},
  [786] = {.lex_state = 36, .external_lex_state = 3},
  [787] = {.lex_state = 36, .external_lex_state = 3},
  [788] = {.lex_state = 36, .external_lex_state = 3},
  [789] = {.lex_state = 36, .external_lex_state = 3},
  [790] = {.lex_state = 36, .external_lex_state = 3},
  [791] = {.lex_state = 36, .external_lex_state = 3},
  [792] = {.lex_state = 36, .external_lex_state = 3},
  [793] = {.lex_state = 36, .external_lex_state = 3},
  [794] = {.lex_state = 36, .external_lex_state = 3},
  [795] = {.lex_state = 36, .external_lex_state = 3},
  [796] = {.lex_state = 36, .external_lex_state = 3},
  [797] = {.lex_state = 36, .external_lex_state = 3},
  [798] = {.lex_state = 36, .external_lex_state = 3},
  [799] = {.lex_state = 36, .external_lex_state = 3},
  [800] = {.lex_state = 36, .external_lex_state = 3},
  [801] = {.lex_state = 36, .external_lex_state = 3},
  [802] = {.lex_state = 36, .external_lex_state = 3},
  [803] = {.lex_state = 36, .external_lex_state = 3},
  [804] = {.lex_state = 36, .external_lex_state = 3},
  [805] = {.lex_state = 36, .external_lex_state = 3},
  [806] = {.lex_state = 36, .external_lex_state = 3},
  [807] = {.lex_state = 36, .external_lex_state = 3},
  [808] = {.lex_state = 36, .external_lex_state = 3},
  [809] = {.lex_state = 36, .external_lex_state = 3},
  [810] = {.lex_state = 36, .external_lex_state = 3},
  [811] = {.lex_state = 36, .external_lex_state = 3},
  [812] = {.lex_state = 36, .external_lex_state = 3},
  [813] = {.lex_state = 36, .external_lex_state = 3},
  [814] = {.lex_state = 36, .external_lex_state = 3},
  [815] = {.lex_state = 36, .external_lex_state = 3},
  [816] = {.lex_state = 36, .external_lex_state = 3},
  [817] = {.lex_state = 36, .external_lex_state = 3},
  [818] = {.lex_state = 36, .external_lex_state = 3},
  [819] = {.lex_state = 36, .external_lex_state = 3},
  [820] = {.lex_state = 36, .external_lex_state = 3},
  [821] = {.lex_state = 36, .external_lex_state = 3},
  [822] = {.lex_state = 36, .external_lex_state = 3},
  [823] = {.lex_state = 36, .external_lex_state = 3},
  [824] = {.lex_state = 36, .external_lex_state = 3},
  [825] = {.lex_state = 36, .external_lex_state = 3},
  [826] = {.lex_state = 36, .external_lex_state = 3},
  [827] = {.lex_state = 36, .external_lex_state = 3},
  [828] = {.lex_state = 36, .external_lex_state = 3},
  [829] = {.lex_state = 36, .external_lex_state = 3},
  [830] = {.lex_state = 36, .external_lex_state = 3},
  [831] = {.lex_state = 36, .external_lex_state = 3},
  [832] = {.lex_state = 36, .external_lex_state = 3},
  [833] = {.lex_state = 36, .external_lex_state = 3},
  [834] = {.lex_state = 36, .external_lex_state = 3},
  [835] = {.lex_state = 36, .external_lex_state = 3},
  [836] = {.lex_state = 36, .external_lex_state = 3},
  [837] = {.lex_state = 36, .external_lex_state = 3},
  [838] = {.lex_state = 36, .external_lex_state = 3},
  [839] = {.lex_state = 36, .external_lex_state = 3},
  [840] = {.lex_state = 36, .external_lex_state = 3},
  [841] = {.lex_state = 36, .external_lex_state = 3},
  [842] = {.lex_state = 36, .external_lex_state = 3},
  [843] = {.lex_state = 36, .external_lex_state = 3},
  [844] = {.lex_state = 36, .external_lex_state = 3},
  [845] = {.lex_state = 36, .external_lex_state = 3},
  [846] = {.lex_state = 36, .external_lex_state = 3},
  [847] = {.lex_state = 36, .external_lex_state = 3},
  [848] = {.lex_state = 36, .external_lex_state = 3},
  [849] = {.lex_state = 36, .external_lex_state = 3},
  [850] = {.lex_state = 36, .external_lex_state = 3},
  [851] = {.lex_state = 36, .external_lex_state = 3},
  [852] = {.lex_state = 36, .external_lex_state = 3},
  [853] = {.lex_state = 36, .external_lex_state = 3},
  [854] = {.lex_state = 36, .external_lex_state = 3},
  [855] = {.lex_state = 36, .external_lex_state = 3},
  [856] = {.lex_state = 36, .external_lex_state = 3},
  [857] = {.lex_state = 36, .external_lex_state = 3},
  [858] = {.lex_state = 36, .external_lex_state = 3},
  [859] = {.lex_state = 36, .external_lex_state = 3},
  [860] = {.lex_state = 36, .external_lex_state = 3},
  [861] = {.lex_state = 36, .external_lex_state = 3},
  [862] = {.lex_state = 36, .external_lex_state = 3},
  [863] = {.lex_state = 36, .external_lex_state = 3},
  [864] = {.lex_state = 36, .external_lex_state = 3},
  [865] = {.lex_state = 36, .external_lex_state = 3},
  [866] = {.lex_state = 36, .external_lex_state = 3},
  [867] = {.lex_state = 36, .external_lex_state = 3},
  [868] = {.lex_state = 36, .external_lex_state = 3},
  [869] = {.lex_state = 36, .external_lex_state = 3},
  [870] = {.lex_state = 36, .external_lex_state = 3},
  [871] = {.lex_state = 36, .external_lex_state = 3},
  [872] = {.lex_state = 36, .external_lex_state = 3},
  [873] = {.lex_state = 36, .external_lex_state = 3},
  [874] = {.lex_state = 36, .external_lex_state = 3},
  [875] = {.lex_state = 36, .external_lex_state = 3},
  [876] = {.lex_state = 36, .external_lex_state = 3},
  [877] = {.lex_state = 36, .external_lex_state = 3},
  [878] = {.lex_state = 36, .external_lex_state = 3},
  [879] = {.lex_state = 36, .external_lex_state = 3},
  [880] = {.lex_state = 36, .external_lex_state = 3},
  [881] = {.lex_state = 36, .external_lex_state = 3},
  [882] = {.lex_state = 36, .external_lex_state = 3},
  [883] = {.lex_state = 36, .external_lex_state = 3},
  [884] = {.lex_state = 36, .external_lex_state = 3},
  [885] = {.lex_state = 36, .external_lex_state = 3},
  [886] = {.lex_state = 36, .external_lex_state = 3},
  [887] = {.lex_state = 36, .external_lex_state = 3},
  [888] = {.lex_state = 36, .external_lex_state = 3},
  [889] = {.lex_state = 36, .external_lex_state = 3},
  [890] = {.lex_state = 36, .external_lex_state = 3},
  [891] = {.lex_state = 36, .external_lex_state = 3},
  [892] = {.lex_state = 36, .external_lex_state = 3},
  [893] = {.lex_state = 36, .external_lex_state = 3},
  [894] = {.lex_state = 36, .external_lex_state = 3},
  [895] = {.lex_state = 36, .external_lex_state = 3},
  [896] = {.lex_state = 36, .external_lex_state = 3},
  [897] = {.lex_state = 36, .external_lex_state = 3},
  [898] = {.lex_state = 36, .external_lex_state = 3},
  [899] = {.lex_state = 36, .external_lex_state = 3},
  [900] = {.lex_state = 36, .external_lex_state = 3},
  [901] = {.lex_state = 36, .external_lex_state = 3},
  [902] = {.lex_state = 36, .external_lex_state = 3},
  [903] = {.lex_state = 36, .external_lex_state = 3},
  [904] = {.lex_state = 36, .external_lex_state = 3},
  [905] = {.lex_state = 36, .external_lex_state = 3},
  [906] = {.lex_state = 36, .external_lex_state = 3},
  [907] = {.lex_state = 36, .external_lex_state = 3},
  [908] = {.lex_state = 36, .external_lex_state = 3},
  [909] = {.lex_state = 36, .external_lex_state = 3},
  [910] = {.lex_state = 36, .external_lex_state = 3},
  [911] = {.lex_state = 36, .external_lex_state = 3},
  [912] = {.lex_state = 36, .external_lex_state = 3},
  [913] = {.lex_state = 36, .external_lex_state = 3},
  [914] = {.lex_state = 36, .external_lex_state = 3},
  [915] = {.lex_state = 36, .external_lex_state = 3},
  [916] = {.lex_state = 36, .external_lex_state = 3},
  [917] = {.lex_state = 36, .external_lex_state = 3},
  [918] = {.lex_state = 36, .external_lex_state = 3},
  [919] = {.lex_state = 36, .external_lex_state = 3},
  [920] = {.lex_state = 36, .external_lex_state = 3},
  [921] = {.lex_state = 36, .external_lex_state = 3},
  [922] = {.lex_state = 36, .external_lex_state = 3},
  [923] = {.lex_state = 36, .external_lex_state = 3},
  [924] = {.lex_state = 36, .external_lex_state = 3},
  [925] = {.lex_state = 36, .external_lex_state = 3},
  [926] = {.lex_state = 36, .external_lex_state = 3},
  [927] = {.lex_state = 36, .external_lex_state = 3},
  [928] = {.lex_state = 36, .external_lex_state = 3},
  [929] = {.lex_state = 36, .external_lex_state = 3},
  [930] = {.lex_state = 36, .external_lex_state = 3},
  [931] = {.lex_state = 36, .external_lex_state = 3},
  [932] = {.lex_state = 36, .external_lex_state = 3},
  [933] = {.lex_state = 36, .external_lex_state = 3},
  [934] = {.lex_state = 36, .external_lex_state = 3},
  [935] = {.lex_state = 36, .external_lex_state = 3},
  [936] = {.lex_state = 36, .external_lex_state = 3},
  [937] = {.lex_state = 36, .external_lex_state = 3},
  [938] = {.lex_state = 36, .external_lex_state = 3},
  [939] = {.lex_state = 36, .external_lex_state = 3},
  [940] = {.lex_state = 36, .external_lex_state = 3},
  [941] = {.lex_state = 36, .external_lex_state = 3},
  [942] = {.lex_state = 36, .external_lex_state = 3},
  [943] = {.lex_state = 36, .external_lex_state = 3},
  [944] = {.lex_state = 36, .external_lex_state = 3},
  [945] = {.lex_state = 36, .external_lex_state = 3},
  [946] = {.lex_state = 36, .external_lex_state = 3},
  [947] = {.lex_state = 36, .external_lex_state = 3},
  [948] = {.lex_state = 36, .external_lex_state = 3},
  [949] = {.lex_state = 36, .external_lex_state = 3},
  [950] = {.lex_state = 36, .external_lex_state = 3},
  [951] = {.lex_state = 36, .external_lex_state = 3},
  [952] = {.lex_state = 36, .external_lex_state = 3},
  [953] = {.lex_state = 36, .external_lex_state = 3},
  [954] = {.lex_state = 36, .external_lex_state = 3},
  [955] = {.lex_state = 36, .external_lex_state = 3},
  [956] = {.lex_state = 36, .external_lex_state = 3},
  [957] = {.lex_state = 36, .external_lex_state = 3},
  [958] = {.lex_state = 36, .external_lex_state = 3},
  [959] = {.lex_state = 36, .external_lex_state = 3},
  [960] = {.lex_state = 36, .external_lex_state = 3},
  [961] = {.lex_state = 36, .external_lex_state = 3},
  [962] = {.lex_state = 36, .external_lex_state = 3},
  [963] = {.lex_state = 36, .external_lex_state = 3},
  [964] = {.lex_state = 36, .external_lex_state = 3},
  [965] = {.lex_state = 36, .external_lex_state = 3},
  [966] = {.lex_state = 36, .external_lex_state = 3},
  [967] = {.lex_state = 36, .external_lex_state = 3},
  [968] = {.lex_state = 36, .external_lex_state = 3},
  [969] = {.lex_state = 36, .external_lex_state = 3},
  [970] = {.lex_state = 36, .external_lex_state = 3},
  [971] = {.lex_state = 36, .external_lex_state = 3},
  [972] = {.lex_state = 36, .external_lex_state = 3},
  [973] = {.lex_state = 36, .external_lex_state = 3},
  [974] = {.lex_state = 36, .external_lex_state = 3},
  [975] = {.lex_state = 36, .external_lex_state = 3},
  [976] = {.lex_state = 36, .external_lex_state = 3},
  [977] = {.lex_state = 36, .external_lex_state = 3},
  [978] = {.lex_state = 36, .external_lex_state = 3},
  [979] = {.lex_state = 36, .external_lex_state = 3},
  [980] = {.lex_state = 36, .external_lex_state = 3},
  [981] = {.lex_state = 36, .external_lex_state = 3},
  [982] = {.lex_state = 36, .external_lex_state = 3},
  [983] = {.lex_state = 36, .external_lex_state = 3},
  [984] = {.lex_state = 36, .external_lex_state = 3},
  [985] = {.lex_state = 36, .external_lex_state = 3},
  [986] = {.lex_state = 36, .external_lex_state = 3},
  [987] = {.lex_state = 36, .external_lex_state = 3},
  [988] = {.lex_state = 36, .external_lex_state = 3},
  [989] = {.lex_state = 36, .external_lex_state = 3},
  [990] = {.lex_state = 36, .external_lex_state = 3},
  [991] = {.lex_state = 36, .external_lex_state = 3},
  [992] = {.lex_state = 36, .external_lex_state = 3},
  [993] = {.lex_state = 36, .external_lex_state = 3},
  [994] = {.lex_state = 36, .external_lex_state = 3},
  [995] = {.lex_state = 36, .external_lex_state = 3},
  [996] = {.lex_state = 36, .external_lex_state = 3},
  [997] = {.lex_state = 36, .external_lex_state = 3},
  [998] = {.lex_state = 36, .external_lex_state = 3},
  [999] = {.lex_state = 36, .external_lex_state = 3},
  [1000] = {.lex_state = 36, .external_lex_state = 3},
  [1001] = {.lex_state = 36, .external_lex_state = 3},
  [1002] = {.lex_state = 36, .external_lex_state = 3},
  [1003] = {.lex_state = 36, .external_lex_state = 3},
  [1004] = {.lex_state = 36, .external_lex_state = 3},
  [1005] = {.lex_state = 36, .external_lex_state = 3},
  [1006] = {.lex_state = 36, .external_lex_state = 3},
  [1007] = {.lex_state = 36, .external_lex_state = 3},
  [1008] = {.lex_state = 36, .external_lex_state = 3},
  [1009] = {.lex_state = 36, .external_lex_state = 3},
  [1010] = {.lex_state = 36, .external_lex_state = 3},
  [1011] = {.lex_state = 36, .external_lex_state = 3},
  [1012] = {.lex_state = 36, .external_lex_state = 3},
  [1013] = {.lex_state = 36, .external_lex_state = 3},
  [1014] = {.lex_state = 36, .external_lex_state = 3},
  [1015] = {.lex_state = 36, .external_lex_state = 3},
  [1016] = {.lex_state = 36, .external_lex_state = 3},
  [1017] = {.lex_state = 36, .external_lex_state = 3},
  [1018] = {.lex_state = 36, .external_lex_state = 3},
  [1019] = {.lex_state = 36, .external_lex_state = 3},
  [1020] = {.lex_state = 36, .external_lex_state = 3},
  [1021] = {.lex_state = 36, .external_lex_state = 3},
  [1022] = {.lex_state = 36, .external_lex_state = 3},
  [1023] = {.lex_state = 36, .external_lex_state = 3},
  [1024] = {.lex_state = 36, .external_lex_state = 3},
  [1025] = {.lex_state = 36, .external_lex_state = 3},
  [1026] = {.lex_state = 36, .external_lex_state = 3},
  [1027] = {.lex_state = 36, .external_lex_state = 3},
  [1028] = {.lex_state = 36, .external_lex_state = 3},
  [1029] = {.lex_state = 36, .external_lex_state = 3},
  [1030] = {.lex_state = 36, .external_lex_state = 3},
  [1031] = {.lex_state = 36, .external_lex_state = 3},
  [1032] = {.lex_state = 36, .external_lex_state = 3},
  [1033] = {.lex_state = 36, .external_lex_state = 3},
  [1034] = {.lex_state = 36, .external_lex_state = 3},
  [1035] = {.lex_state = 36, .external_lex_state = 3},
  [1036] = {.lex_state = 36, .external_lex_state = 3},
  [1037] = {.lex_state = 36, .external_lex_state = 3},
  [1038] = {.lex_state = 36, .external_lex_state = 3},
  [1039] = {.lex_state = 36, .external_lex_state = 3},
  [1040] = {.lex_state = 36, .external_lex_state = 3},
  [1041] = {.lex_state = 36, .external_lex_state = 3},
  [1042] = {.lex_state = 36, .external_lex_state = 3},
  [1043] = {.lex_state = 36, .external_lex_state = 3},
  [1044] = {.lex_state = 36, .external_lex_state = 3},
  [1045] = {.lex_state = 36, .external_lex_state = 3},
  [1046] = {.lex_state = 36, .external_lex_state = 3},
  [1047] = {.lex_state = 36, .external_lex_state = 3},
  [1048] = {.lex_state = 36, .external_lex_state = 3},
  [1049] = {.lex_state = 36, .external_lex_state = 3},
  [1050] = {.lex_state = 36, .external_lex_state = 3},
  [1051] = {.lex_state = 36, .external_lex_state = 3},
  [1052] = {.lex_state = 36, .external_lex_state = 3},
  [1053] = {.lex_state = 36, .external_lex_state = 3},
  [1054] = {.lex_state = 36, .external_lex_state = 3},
  [1055] = {.lex_state = 36, .external_lex_state = 3},
  [1056] = {.lex_state = 36, .external_lex_state = 3},
  [1057] = {.lex_state = 36, .external_lex_state = 3},
  [1058] = {.lex_state = 36, .external_lex_state = 3},
  [1059] = {.lex_state = 36, .external_lex_state = 3},
  [1060] = {.lex_state = 36, .external_lex_state = 3},
  [1061] = {.lex_state = 36, .external_lex_state = 3},
  [1062] = {.lex_state = 36, .external_lex_state = 3},
  [1063] = {.lex_state = 36, .external_lex_state = 3},
  [1064] = {.lex_state = 36, .external_lex_state = 3},
  [1065] = {.lex_state = 36, .external_lex_state = 3},
  [1066] = {.lex_state = 36, .external_lex_state = 3},
  [1067] = {.lex_state = 36, .external_lex_state = 3},
  [1068] = {.lex_state = 36, .external_lex_state = 3},
  [1069] = {.lex_state = 36, .external_lex_state = 3},
  [1070] = {.lex_state = 36, .external_lex_state = 3},
  [1071] = {.lex_state = 36, .external_lex_state = 3},
  [1072] = {.lex_state = 36, .external_lex_state = 3},
  [1073] = {.lex_state = 36, .external_lex_state = 3},
  [1074] = {.lex_state = 36, .external_lex_state = 3},
  [1075] = {.lex_state = 36, .external_lex_state = 3},
  [1076] = {.lex_state = 36, .external_lex_state = 3},
  [1077] = {.lex_state = 36, .external_lex_state = 3},
  [1078] = {.lex_state = 36, .external_lex_state = 3},
  [1079] = {.lex_state = 36, .external_lex_state = 3},
  [1080] = {.lex_state = 36, .external_lex_state = 3},
  [1081] = {.lex_state = 36, .external_lex_state = 3},
  [1082] = {.lex_state = 36, .external_lex_state = 3},
  [1083] = {.lex_state = 36, .external_lex_state = 3},
  [1084] = {.lex_state = 36, .external_lex_state = 3},
  [1085] = {.lex_state = 36, .external_lex_state = 3},
  [1086] = {.lex_state = 36, .external_lex_state = 3},
  [1087] = {.lex_state = 36, .external_lex_state = 3},
  [1088] = {.lex_state = 36, .external_lex_state = 3},
  [1089] = {.lex_state = 36, .external_lex_state = 3},
  [1090] = {.lex_state = 36, .external_lex_state = 3},
  [1091] = {.lex_state = 36, .external_lex_state = 3},
  [1092] = {.lex_state = 36, .external_lex_state = 3},
  [1093] = {.lex_state = 36, .external_lex_state = 3},
  [1094] = {.lex_state = 36, .external_lex_state = 3},
  [1095] = {.lex_state = 36, .external_lex_state = 3},
  [1096] = {.lex_state = 36, .external_lex_state = 3},
  [1097] = {.lex_state = 36, .external_lex_state = 3},
  [1098] = {.lex_state = 36, .external_lex_state = 3},
  [1099] = {.lex_state = 36, .external_lex_state = 3},
  [1100] = {.lex_state = 36, .external_lex_state = 3},
  [1101] = {.lex_state = 36, .external_lex_state = 3},
  [1102] = {.lex_state = 36, .external_lex_state = 3},
  [1103] = {.lex_state = 36, .external_lex_state = 3},
  [1104] = {.lex_state = 36, .external_lex_state = 3},
  [1105] = {.lex_state = 36, .external_lex_state = 3},
  [1106] = {.lex_state = 36, .external_lex_state = 3},
  [1107] = {.lex_state = 36, .external_lex_state = 3},
  [1108] = {.lex_state = 36, .external_lex_state = 3},
  [1109] = {.lex_state = 36, .external_lex_state = 3},
  [1110] = {.lex_state = 36, .external_lex_state = 3},
  [1111] = {.lex_state = 36, .external_lex_state = 3},
  [1112] = {.lex_state = 36, .external_lex_state = 3},
  [1113] = {.lex_state = 36, .external_lex_state = 3},
  [1114] = {.lex_state = 36, .external_lex_state = 3},
  [1115] = {.lex_state = 36, .external_lex_state = 3},
  [1116] = {.lex_state = 36, .external_lex_state = 3},
  [1117] = {.lex_state = 36, .external_lex_state = 3},
  [1118] = {.lex_state = 36, .external_lex_state = 3},
  [1119] = {.lex_state = 36, .external_lex_state = 3},
  [1120] = {.lex_state = 36, .external_lex_state = 3},
  [1121] = {.lex_state = 36, .external_lex_state = 3},
  [1122] = {.lex_state = 36, .external_lex_state = 3},
  [1123] = {.lex_state = 36, .external_lex_state = 3},
  [1124] = {.lex_state = 36, .external_lex_state = 3},
  [1125] = {.lex_state = 36, .external_lex_state = 3},
  [1126] = {.lex_state = 36, .external_lex_state = 3},
  [1127] = {.lex_state = 36, .external_lex_state = 3},
  [1128] = {.lex_state = 36, .external_lex_state = 3},
  [1129] = {.lex_state = 36, .external_lex_state = 3},
  [1130] = {.lex_state = 36, .external_lex_state = 3},
  [1131] = {.lex_state = 36, .external_lex_state = 3},
  [1132] = {.lex_state = 36, .external_lex_state = 3},
  [1133] = {.lex_state = 36, .external_lex_state = 3},
  [1134] = {.lex_state = 36, .external_lex_state = 3},
  [1135] = {.lex_state = 36, .external_lex_state = 3},
  [1136] = {.lex_state = 36, .external_lex_state = 3},
  [1137] = {.lex_state = 36, .external_lex_state = 3},
  [1138] = {.lex_state = 36, .external_lex_state = 3},
  [1139] = {.lex_state = 36, .external_lex_state = 3},
  [1140] = {.lex_state = 36, .external_lex_state = 3},
  [1141] = {.lex_state = 36, .external_lex_state = 3},
  [1142] = {.lex_state = 36, .external_lex_state = 3},
  [1143] = {.lex_state = 36, .external_lex_state = 3},
  [1144] = {.lex_state = 36, .external_lex_state = 3},
  [1145] = {.lex_state = 36, .external_lex_state = 3},
  [1146] = {.lex_state = 36, .external_lex_state = 3},
  [1147] = {.lex_state = 36, .external_lex_state = 3},
  [1148] = {.lex_state = 36, .external_lex_state = 3},
  [1149] = {.lex_state = 36, .external_lex_state = 3},
  [1150] = {.lex_state = 36, .external_lex_state = 3},
  [1151] = {.lex_state = 36, .external_lex_state = 3},
  [1152] = {.lex_state = 36, .external_lex_state = 3},
  [1153] = {.lex_state = 36, .external_lex_state = 3},
  [1154] = {.lex_state = 36, .external_lex_state = 3},
  [1155] = {.lex_state = 36, .external_lex_state = 3},
  [1156] = {.lex_state = 36, .external_lex_state = 3},
  [1157] = {.lex_state = 36, .external_lex_state = 3},
  [1158] = {.lex_state = 36, .external_lex_state = 3},
  [1159] = {.lex_state = 36, .external_lex_state = 3},
  [1160] = {.lex_state = 36, .external_lex_state = 3},
  [1161] = {.lex_state = 36, .external_lex_state = 3},
  [1162] = {.lex_state = 36, .external_lex_state = 3},
  [1163] = {.lex_state = 36, .external_lex_state = 3},
  [1164] = {.lex_state = 36, .external_lex_state = 3},
  [1165] = {.lex_state = 36, .external_lex_state = 3},
  [1166] = {.lex_state = 36, .external_lex_state = 3},
  [1167] = {.lex_state = 36, .external_lex_state = 3},
  [1168] = {.lex_state = 36, .external_lex_state = 3},
  [1169] = {.lex_state = 36, .external_lex_state = 3},
  [1170] = {.lex_state = 36, .external_lex_state = 3},
  [1171] = {.lex_state = 36, .external_lex_state = 3},
  [1172] = {.lex_state = 36, .external_lex_state = 3},
  [1173] = {.lex_state = 36, .external_lex_state = 3},
  [1174] = {.lex_state = 36, .external_lex_state = 3},
  [1175] = {.lex_state = 36, .external_lex_state = 3},
  [1176] = {.lex_state = 36, .external_lex_state = 3},
  [1177] = {.lex_state = 36, .external_lex_state = 3},
  [1178] = {.lex_state = 36, .external_lex_state = 3},
  [1179] = {.lex_state = 36, .external_lex_state = 3},
  [1180] = {.lex_state = 36, .external_lex_state = 3},
  [1181] = {.lex_state = 36, .external_lex_state = 3},
  [1182] = {.lex_state = 36, .external_lex_state = 3},
  [1183] = {.lex_state = 36, .external_lex_state = 3},
  [1184] = {.lex_state = 36, .external_lex_state = 3},
  [1185] = {.lex_state = 36, .external_lex_state = 3},
  [1186] = {.lex_state = 36, .external_lex_state = 3},
  [1187] = {.lex_state = 36, .external_lex_state = 3},
  [1188] = {.lex_state = 36, .external_lex_state = 3},
  [1189] = {.lex_state = 36, .external_lex_state = 3},
  [1190] = {.lex_state = 36, .external_lex_state = 3},
  [1191] = {.lex_state = 36, .external_lex_state = 3},
  [1192] = {.lex_state = 36, .external_lex_state = 3},
  [1193] = {.lex_state = 36, .external_lex_state = 3},
  [1194] = {.lex_state = 36, .external_lex_state = 3},
  [1195] = {.lex_state = 36, .external_lex_state = 3},
  [1196] = {.lex_state = 36, .external_lex_state = 3},
  [1197] = {.lex_state = 36, .external_lex_state = 3},
  [1198] = {.lex_state = 36, .external_lex_state = 3},
  [1199] = {.lex_state = 36, .external_lex_state = 3},
  [1200] = {.lex_state = 36, .external_lex_state = 3},
  [1201] = {.lex_state = 36, .external_lex_state = 3},
  [1202] = {.lex_state = 36, .external_lex_state = 3},
  [1203] = {.lex_state = 36, .external_lex_state = 3},
  [1204] = {.lex_state = 36, .external_lex_state = 3},
  [1205] = {.lex_state = 36, .external_lex_state = 3},
  [1206] = {.lex_state = 36, .external_lex_state = 3},
  [1207] = {.lex_state = 36, .external_lex_state = 3},
  [1208] = {.lex_state = 36, .external_lex_state = 3},
  [1209] = {.lex_state = 36, .external_lex_state = 3},
  [1210] = {.lex_state = 36, .external_lex_state = 3},
  [1211] = {.lex_state = 36, .external_lex_state = 3},
  [1212] = {.lex_state = 36, .external_lex_state = 3},
  [1213] = {.lex_state = 36, .external_lex_state = 3},
  [1214] = {.lex_state = 36, .external_lex_state = 3},
  [1215] = {.lex_state = 36, .external_lex_state = 3},
  [1216] = {.lex_state = 36, .external_lex_state = 3},
  [1217] = {.lex_state = 36, .external_lex_state = 3},
  [1218] = {.lex_state = 36, .external_lex_state = 3},
  [1219] = {.lex_state = 36, .external_lex_state = 3},
  [1220] = {.lex_state = 36, .external_lex_state = 3},
  [1221] = {.lex_state = 36, .external_lex_state = 3},
  [1222] = {.lex_state = 36, .external_lex_state = 3},
  [1223] = {.lex_state = 36, .external_lex_state = 3},
  [1224] = {.lex_state = 36, .external_lex_state = 3},
  [1225] = {.lex_state = 36, .external_lex_state = 3},
  [1226] = {.lex_state = 36, .external_lex_state = 3},
  [1227] = {.lex_state = 36, .external_lex_state = 3},
  [1228] = {.lex_state = 36, .external_lex_state = 3},
  [1229] = {.lex_state = 36, .external_lex_state = 3},
  [1230] = {.lex_state = 36, .external_lex_state = 3},
  [1231] = {.lex_state = 36, .external_lex_state = 3},
  [1232] = {.lex_state = 36, .external_lex_state = 3},
  [1233] = {.lex_state = 36, .external_lex_state = 3},
  [1234] = {.lex_state = 36, .external_lex_state = 3},
  [1235] = {.lex_state = 36, .external_lex_state = 3},
  [1236] = {.lex_state = 36, .external_lex_state = 3},
  [1237] = {.lex_state = 36, .external_lex_state = 3},
  [1238] = {.lex_state = 36, .external_lex_state = 3},
  [1239] = {.lex_state = 36, .external_lex_state = 3},
  [1240] = {.lex_state = 36, .external_lex_state = 3},
  [1241] = {.lex_state = 36, .external_lex_state = 3},
  [1242] = {.lex_state = 36, .external_lex_state = 3},
  [1243] = {.lex_state = 36, .external_lex_state = 3},
  [1244] = {.lex_state = 36, .external_lex_state = 3},
  [1245] = {.lex_state = 36, .external_lex_state = 3},
  [1246] = {.lex_state = 36, .external_lex_state = 3},
  [1247] = {.lex_state = 36, .external_lex_state = 3},
  [1248] = {.lex_state = 36, .external_lex_state = 3},
  [1249] = {.lex_state = 36, .external_lex_state = 3},
  [1250] = {.lex_state = 36, .external_lex_state = 3},
  [1251] = {.lex_state = 36, .external_lex_state = 3},
  [1252] = {.lex_state = 36, .external_lex_state = 3},
  [1253] = {.lex_state = 36, .external_lex_state = 3},
  [1254] = {.lex_state = 36, .external_lex_state = 3},
  [1255] = {.lex_state = 36, .external_lex_state = 3},
  [1256] = {.lex_state = 36, .external_lex_state = 3},
  [1257] = {.lex_state = 36, .external_lex_state = 3},
  [1258] = {.lex_state = 36, .external_lex_state = 3},
  [1259] = {.lex_state = 36, .external_lex_state = 3},
  [1260] = {.lex_state = 36, .external_lex_state = 3},
  [1261] = {.lex_state = 36, .external_lex_state = 3},
  [1262] = {.lex_state = 36, .external_lex_state = 3},
  [1263] = {.lex_state = 36, .external_lex_state = 3},
  [1264] = {.lex_state = 36, .external_lex_state = 3},
  [1265] = {.lex_state = 36, .external_lex_state = 3},
  [1266] = {.lex_state = 36, .external_lex_state = 3},
  [1267] = {.lex_state = 36, .external_lex_state = 3},
  [1268] = {.lex_state = 36, .external_lex_state = 3},
  [1269] = {.lex_state = 36, .external_lex_state = 3},
  [1270] = {.lex_state = 36, .external_lex_state = 3},
  [1271] = {.lex_state = 36, .external_lex_state = 3},
  [1272] = {.lex_state = 36, .external_lex_state = 3},
  [1273] = {.lex_state = 36, .external_lex_state = 3},
  [1274] = {.lex_state = 36, .external_lex_state = 3},
  [1275] = {.lex_state = 36, .external_lex_state = 3},
  [1276] = {.lex_state = 36, .external_lex_state = 3},
  [1277] = {.lex_state = 36, .external_lex_state = 3},
  [1278] = {.lex_state = 36, .external_lex_state = 3},
  [1279] = {.lex_state = 36, .external_lex_state = 3},
  [1280] = {.lex_state = 36, .external_lex_state = 3},
  [1281] = {.lex_state = 36, .external_lex_state = 3},
  [1282] = {.lex_state = 36, .external_lex_state = 3},
  [1283] = {.lex_state = 36, .external_lex_state = 3},
  [1284] = {.lex_state = 36, .external_lex_state = 3},
  [1285] = {.lex_state = 36, .external_lex_state = 3},
  [1286] = {.lex_state = 36, .external_lex_state = 3},
  [1287] = {.lex_state = 36, .external_lex_state = 3},
  [1288] = {.lex_state = 36, .external_lex_state = 3},
  [1289] = {.lex_state = 36, .external_lex_state = 3},
  [1290] = {.lex_state = 36, .external_lex_state = 3},
  [1291] = {.lex_state = 36, .external_lex_state = 3},
  [1292] = {.lex_state = 36, .external_lex_state = 3},
  [1293] = {.lex_state = 36, .external_lex_state = 3},
  [1294] = {.lex_state = 36, .external_lex_state = 3},
  [1295] = {.lex_state = 36, .external_lex_state = 3},
  [1296] = {.lex_state = 36, .external_lex_state = 3},
  [1297] = {.lex_state = 36, .external_lex_state = 3},
  [1298] = {.lex_state = 36, .external_lex_state = 3},
  [1299] = {.lex_state = 36, .external_lex_state = 3},
  [1300] = {.lex_state = 36, .external_lex_state = 3},
  [1301] = {.lex_state = 36, .external_lex_state = 3},
  [1302] = {.lex_state = 36, .external_lex_state = 3},
  [1303] = {.lex_state = 36, .external_lex_state = 3},
  [1304] = {.lex_state = 36, .external_lex_state = 3},
  [1305] = {.lex_state = 36, .external_lex_state = 3},
  [1306] = {.lex_state = 36, .external_lex_state = 3},
  [1307] = {.lex_state = 36, .external_lex_state = 3},
  [1308] = {.lex_state = 36, .external_lex_state = 3},
  [1309] = {.lex_state = 36, .external_lex_state = 3},
  [1310] = {.lex_state = 36, .external_lex_state = 3},
  [1311] = {.lex_state = 36, .external_lex_state = 3},
  [1312] = {.lex_state = 36, .external_lex_state = 3},
  [1313] = {.lex_state = 36, .external_lex_state = 3},
  [1314] = {.lex_state = 36, .external_lex_state = 3},
  [1315] = {.lex_state = 36, .external_lex_state = 3},
  [1316] = {.lex_state = 36, .external_lex_state = 3},
  [1317] = {.lex_state = 36, .external_lex_state = 3},
  [1318] = {.lex_state = 36, .external_lex_state = 3},
  [1319] = {.lex_state = 36, .external_lex_state = 3},
  [1320] = {.lex_state = 36, .external_lex_state = 3},
  [1321] = {.lex_state = 36, .external_lex_state = 3},
  [1322] = {.lex_state = 36, .external_lex_state = 3},
  [1323] = {.lex_state = 36, .external_lex_state = 3},
  [1324] = {.lex_state = 36, .external_lex_state = 3},
  [1325] = {.lex_state = 36, .external_lex_state = 3},
  [1326] = {.lex_state = 36, .external_lex_state = 3},
  [1327] = {.lex_state = 36, .external_lex_state = 3},
  [1328] = {.lex_state = 36, .external_lex_state = 3},
  [1329] = {.lex_state = 36, .external_lex_state = 3},
  [1330] = {.lex_state = 36, .external_lex_state = 3},
  [1331] = {.lex_state = 36, .external_lex_state = 3},
  [1332] = {.lex_state = 36, .external_lex_state = 3},
  [1333] = {.lex_state = 36, .external_lex_state = 3},
  [1334] = {.lex_state = 36, .external_lex_state = 3},
  [1335] = {.lex_state = 36, .external_lex_state = 3},
  [1336] = {.lex_state = 36, .external_lex_state = 3},
  [1337] = {.lex_state = 36, .external_lex_state = 3},
  [1338] = {.lex_state = 36, .external_lex_state = 3},
  [1339] = {.lex_state = 36, .external_lex_state = 3},
  [1340] = {.lex_state = 36, .external_lex_state = 3},
  [1341] = {.lex_state = 36, .external_lex_state = 3},
  [1342] = {.lex_state = 36, .external_lex_state = 3},
  [1343] = {.lex_state = 36, .external_lex_state = 3},
  [1344] = {.lex_state = 36, .external_lex_state = 3},
  [1345] = {.lex_state = 36, .external_lex_state = 3},
  [1346] = {.lex_state = 36, .external_lex_state = 3},
  [1347] = {.lex_state = 36, .external_lex_state = 3},
  [1348] = {.lex_state = 36, .external_lex_state = 3},
  [1349] = {.lex_state = 36, .external_lex_state = 3},
  [1350] = {.lex_state = 36, .external_lex_state = 3},
  [1351] = {.lex_state = 36, .external_lex_state = 3},
  [1352] = {.lex_state = 36, .external_lex_state = 3},
  [1353] = {.lex_state = 36, .external_lex_state = 3},
  [1354] = {.lex_state = 36, .external_lex_state = 3},
  [1355] = {.lex_state = 36, .external_lex_state = 3},
  [1356] = {.lex_state = 36, .external_lex_state = 3},
  [1357] = {.lex_state = 36, .external_lex_state = 3},
  [1358] = {.lex_state = 36, .external_lex_state = 3},
  [1359] = {.lex_state = 36, .external_lex_state = 3},
  [1360] = {.lex_state = 36, .external_lex_state = 3},
  [1361] = {.lex_state = 36, .external_lex_state = 3},
  [1362] = {.lex_state = 36, .external_lex_state = 3},
  [1363] = {.lex_state = 36, .external_lex_state = 3},
  [1364] = {.lex_state = 36, .external_lex_state = 3},
  [1365] = {.lex_state = 36, .external_lex_state = 3},
  [1366] = {.lex_state = 36, .external_lex_state = 3},
  [1367] = {.lex_state = 36, .external_lex_state = 3},
  [1368] = {.lex_state = 36, .external_lex_state = 3},
  [1369] = {.lex_state = 36, .external_lex_state = 3},
  [1370] = {.lex_state = 36, .external_lex_state = 3},
  [1371] = {.lex_state = 36, .external_lex_state = 3},
  [1372] = {.lex_state = 36, .external_lex_state = 3},
  [1373] = {.lex_state = 36, .external_lex_state = 3},
  [1374] = {.lex_state = 36, .external_lex_state = 3},
  [1375] = {.lex_state = 36, .external_lex_state = 3},
  [1376] = {.lex_state = 36, .external_lex_state = 3},
  [1377] = {.lex_state = 36, .external_lex_state = 3},
  [1378] = {.lex_state = 36, .external_lex_state = 3},
  [1379] = {.lex_state = 36, .external_lex_state = 3},
  [1380] = {.lex_state = 36, .external_lex_state = 3},
  [1381] = {.lex_state = 36, .external_lex_state = 3},
  [1382] = {.lex_state = 36, .external_lex_state = 3},
  [1383] = {.lex_state = 36, .external_lex_state = 3},
  [1384] = {.lex_state = 36, .external_lex_state = 3},
  [1385] = {.lex_state = 36, .external_lex_state = 3},
  [1386] = {.lex_state = 36, .external_lex_state = 3},
  [1387] = {.lex_state = 36, .external_lex_state = 3},
  [1388] = {.lex_state = 36, .external_lex_state = 3},
  [1389] = {.lex_state = 36, .external_lex_state = 3},
  [1390] = {.lex_state = 36, .external_lex_state = 3},
  [1391] = {.lex_state = 36, .external_lex_state = 3},
  [1392] = {.lex_state = 36, .external_lex_state = 3},
  [1393] = {.lex_state = 36, .external_lex_state = 3},
  [1394] = {.lex_state = 36, .external_lex_state = 3},
  [1395] = {.lex_state = 36, .external_lex_state = 3},
  [1396] = {.lex_state = 36, .external_lex_state = 3},
  [1397] = {.lex_state = 36, .external_lex_state = 3},
  [1398] = {.lex_state = 36, .external_lex_state = 3},
  [1399] = {.lex_state = 36, .external_lex_state = 3},
  [1400] = {.lex_state = 36, .external_lex_state = 3},
  [1401] = {.lex_state = 36, .external_lex_state = 3},
  [1402] = {.lex_state = 36, .external_lex_state = 3},
  [1403] = {.lex_state = 36, .external_lex_state = 3},
  [1404] = {.lex_state = 36, .external_lex_state = 3},
  [1405] = {.lex_state = 36, .external_lex_state = 3},
  [1406] = {.lex_state = 36, .external_lex_state = 3},
  [1407] = {.lex_state = 36, .external_lex_state = 3},
  [1408] = {.lex_state = 36, .external_lex_state = 3},
  [1409] = {.lex_state = 36, .external_lex_state = 3},
  [1410] = {.lex_state = 36, .external_lex_state = 3},
  [1411] = {.lex_state = 36, .external_lex_state = 3},
  [1412] = {.lex_state = 36, .external_lex_state = 3},
  [1413] = {.lex_state = 36, .external_lex_state = 3},
  [1414] = {.lex_state = 36, .external_lex_state = 3},
  [1415] = {.lex_state = 36, .external_lex_state = 3},
  [1416] = {.lex_state = 36, .external_lex_state = 3},
  [1417] = {.lex_state = 36, .external_lex_state = 3},
  [1418] = {.lex_state = 36, .external_lex_state = 3},
  [1419] = {.lex_state = 36, .external_lex_state = 3},
  [1420] = {.lex_state = 36, .external_lex_state = 3},
  [1421] = {.lex_state = 36, .external_lex_state = 3},
  [1422] = {.lex_state = 36, .external_lex_state = 3},
  [1423] = {.lex_state = 36, .external_lex_state = 3},
  [1424] = {.lex_state = 36, .external_lex_state = 3},
  [1425] = {.lex_state = 36, .external_lex_state = 3},
  [1426] = {.lex_state = 36, .external_lex_state = 3},
  [1427] = {.lex_state = 36, .external_lex_state = 3},
  [1428] = {.lex_state = 36, .external_lex_state = 3},
  [1429] = {.lex_state = 36, .external_lex_state = 3},
  [1430] = {.lex_state = 36, .external_lex_state = 3},
  [1431] = {.lex_state = 36, .external_lex_state = 3},
  [1432] = {.lex_state = 36, .external_lex_state = 3},
  [1433] = {.lex_state = 36, .external_lex_state = 3},
  [1434] = {.lex_state = 36, .external_lex_state = 3},
  [1435] = {.lex_state = 36, .external_lex_state = 3},
  [1436] = {.lex_state = 36, .external_lex_state = 3},
  [1437] = {.lex_state = 36, .external_lex_state = 3},
  [1438] = {.lex_state = 36, .external_lex_state = 3},
  [1439] = {.lex_state = 36, .external_lex_state = 3},
  [1440] = {.lex_state = 36, .external_lex_state = 3},
  [1441] = {.lex_state = 36, .external_lex_state = 3},
  [1442] = {.lex_state = 36, .external_lex_state = 3},
  [1443] = {.lex_state = 36, .external_lex_state = 3},
  [1444] = {.lex_state = 36, .external_lex_state = 3},
  [1445] = {.lex_state = 36, .external_lex_state = 3},
  [1446] = {.lex_state = 36, .external_lex_state = 3},
  [1447] = {.lex_state = 36, .external_lex_state = 3},
  [1448] = {.lex_state = 36, .external_lex_state = 3},
  [1449] = {.lex_state = 36, .external_lex_state = 3},
  [1450] = {.lex_state = 36, .external_lex_state = 3},
  [1451] = {.lex_state = 36, .external_lex_state = 3},
  [1452] = {.lex_state = 36, .external_lex_state = 3},
  [1453] = {.lex_state = 36, .external_lex_state = 3},
  [1454] = {.lex_state = 36, .external_lex_state = 3},
  [1455] = {.lex_state = 36, .external_lex_state = 3},
  [1456] = {.lex_state = 36, .external_lex_state = 3},
  [1457] = {.lex_state = 36, .external_lex_state = 3},
  [1458] = {.lex_state = 36, .external_lex_state = 3},
  [1459] = {.lex_state = 36, .external_lex_state = 3},
  [1460] = {.lex_state = 36, .external_lex_state = 3},
  [1461] = {.lex_state = 36, .external_lex_state = 3},
  [1462] = {.lex_state = 36, .external_lex_state = 3},
  [1463] = {.lex_state = 36, .external_lex_state = 3},
  [1464] = {.lex_state = 36, .external_lex_state = 3},
  [1465] = {.lex_state = 36, .external_lex_state = 3},
  [1466] = {.lex_state = 36, .external_lex_state = 3},
  [1467] = {.lex_state = 36, .external_lex_state = 3},
  [1468] = {.lex_state = 36, .external_lex_state = 3},
  [1469] = {.lex_state = 36, .external_lex_state = 3},
  [1470] = {.lex_state = 36, .external_lex_state = 3},
  [1471] = {.lex_state = 36, .external_lex_state = 3},
  [1472] = {.lex_state = 36, .external_lex_state = 3},
  [1473] = {.lex_state = 36, .external_lex_state = 3},
  [1474] = {.lex_state = 36, .external_lex_state = 3},
  [1475] = {.lex_state = 36, .external_lex_state = 3},
  [1476] = {.lex_state = 36, .external_lex_state = 3},
  [1477] = {.lex_state = 36, .external_lex_state = 3},
  [1478] = {.lex_state = 36, .external_lex_state = 3},
  [1479] = {.lex_state = 36, .external_lex_state = 3},
  [1480] = {.lex_state = 36, .external_lex_state = 3},
  [1481] = {.lex_state = 36, .external_lex_state = 3},
  [1482] = {.lex_state = 36, .external_lex_state = 3},
  [1483] = {.lex_state = 36, .external_lex_state = 3},
  [1484] = {.lex_state = 36, .external_lex_state = 3},
  [1485] = {.lex_state = 36, .external_lex_state = 3},
  [1486] = {.lex_state = 36, .external_lex_state = 3},
  [1487] = {.lex_state = 36, .external_lex_state = 3},
  [1488] = {.lex_state = 36, .external_lex_state = 3},
  [1489] = {.lex_state = 36, .external_lex_state = 3},
  [1490] = {.lex_state = 53, .external_lex_state = 3},
  [1491] = {.lex_state = 36, .external_lex_state = 3},
  [1492] = {.lex_state = 36, .external_lex_state = 3},
  [1493] = {.lex_state = 36, .external_lex_state = 3},
  [1494] = {.lex_state = 36, .external_lex_state = 3},
  [1495] = {.lex_state = 36, .external_lex_state = 3},
  [1496] = {.lex_state = 36, .external_lex_state = 3},
  [1497] = {.lex_state = 36, .external_lex_state = 3},
  [1498] = {.lex_state = 36, .external_lex_state = 3},
  [1499] = {.lex_state = 36, .external_lex_state = 3},
  [1500] = {.lex_state = 36, .external_lex_state = 3},
  [1501] = {.lex_state = 36, .external_lex_state = 3},
  [1502] = {.lex_state = 36, .external_lex_state = 3},
  [1503] = {.lex_state = 36, .external_lex_state = 3},
  [1504] = {.lex_state = 36, .external_lex_state = 3},
  [1505] = {.lex_state = 36, .external_lex_state = 3},
  [1506] = {.lex_state = 36, .external_lex_state = 3},
  [1507] = {.lex_state = 36, .external_lex_state = 3},
  [1508] = {.lex_state = 36, .external_lex_state = 3},
  [1509] = {.lex_state = 36, .external_lex_state = 3},
  [1510] = {.lex_state = 36, .external_lex_state = 3},
  [1511] = {.lex_state = 36, .external_lex_state = 3},
  [1512] = {.lex_state = 36, .external_lex_state = 3},
  [1513] = {.lex_state = 36, .external_lex_state = 3},
  [1514] = {.lex_state = 36, .external_lex_state = 3},
  [1515] = {.lex_state = 36, .external_lex_state = 3},
  [1516] = {.lex_state = 36, .external_lex_state = 3},
  [1517] = {.lex_state = 36, .external_lex_state = 3},
  [1518] = {.lex_state = 36, .external_lex_state = 3},
  [1519] = {.lex_state = 36, .external_lex_state = 3},
  [1520] = {.lex_state = 36, .external_lex_state = 3},
  [1521] = {.lex_state = 36, .external_lex_state = 3},
  [1522] = {.lex_state = 36, .external_lex_state = 3},
  [1523] = {.lex_state = 36, .external_lex_state = 3},
  [1524] = {.lex_state = 36, .external_lex_state = 3},
  [1525] = {.lex_state = 36, .external_lex_state = 3},
  [1526] = {.lex_state = 36, .external_lex_state = 3},
  [1527] = {.lex_state = 36, .external_lex_state = 3},
  [1528] = {.lex_state = 36, .external_lex_state = 3},
  [1529] = {.lex_state = 36, .external_lex_state = 3},
  [1530] = {.lex_state = 36, .external_lex_state = 3},
  [1531] = {.lex_state = 36, .external_lex_state = 3},
  [1532] = {.lex_state = 36, .external_lex_state = 3},
  [1533] = {.lex_state = 36, .external_lex_state = 3},
  [1534] = {.lex_state = 36, .external_lex_state = 3},
  [1535] = {.lex_state = 36, .external_lex_state = 3},
  [1536] = {.lex_state = 36, .external_lex_state = 3},
  [1537] = {.lex_state = 36, .external_lex_state = 3},
  [1538] = {.lex_state = 36, .external_lex_state = 3},
  [1539] = {.lex_state = 36, .external_lex_state = 3},
  [1540] = {.lex_state = 36, .external_lex_state = 3},
  [1541] = {.lex_state = 36, .external_lex_state = 3},
  [1542] = {.lex_state = 36, .external_lex_state = 3},
  [1543] = {.lex_state = 57, .external_lex_state = 3},
  [1544] = {.lex_state = 36, .external_lex_state = 3},
  [1545] = {.lex_state = 36, .external_lex_state = 3},
  [1546] = {.lex_state = 36, .external_lex_state = 3},
  [1547] = {.lex_state = 36, .external_lex_state = 3},
  [1548] = {.lex_state = 36, .external_lex_state = 3},
  [1549] = {.lex_state = 36, .external_lex_state = 3},
  [1550] = {.lex_state = 36, .external_lex_state = 3},
  [1551] = {.lex_state = 36, .external_lex_state = 3},
  [1552] = {.lex_state = 36, .external_lex_state = 3},
  [1553] = {.lex_state = 36, .external_lex_state = 3},
  [1554] = {.lex_state = 36, .external_lex_state = 3},
  [1555] = {.lex_state = 36, .external_lex_state = 3},
  [1556] = {.lex_state = 36, .external_lex_state = 3},
  [1557] = {.lex_state = 36, .external_lex_state = 3},
  [1558] = {.lex_state = 36, .external_lex_state = 3},
  [1559] = {.lex_state = 36, .external_lex_state = 3},
  [1560] = {.lex_state = 36, .external_lex_state = 3},
  [1561] = {.lex_state = 36, .external_lex_state = 3},
  [1562] = {.lex_state = 36, .external_lex_state = 3},
  [1563] = {.lex_state = 36, .external_lex_state = 3},
  [1564] = {.lex_state = 36, .external_lex_state = 3},
  [1565] = {.lex_state = 36, .external_lex_state = 3},
  [1566] = {.lex_state = 36, .external_lex_state = 3},
  [1567] = {.lex_state = 36, .external_lex_state = 3},
  [1568] = {.lex_state = 36, .external_lex_state = 3},
  [1569] = {.lex_state = 36, .external_lex_state = 3},
  [1570] = {.lex_state = 36, .external_lex_state = 3},
  [1571] = {.lex_state = 36, .external_lex_state = 3},
  [1572] = {.lex_state = 36, .external_lex_state = 3},
  [1573] = {.lex_state = 36, .external_lex_state = 3},
  [1574] = {.lex_state = 36, .external_lex_state = 3},
  [1575] = {.lex_state = 36, .external_lex_state = 3},
  [1576] = {.lex_state = 36, .external_lex_state = 3},
  [1577] = {.lex_state = 36, .external_lex_state = 3},
  [1578] = {.lex_state = 36, .external_lex_state = 3},
  [1579] = {.lex_state = 36, .external_lex_state = 3},
  [1580] = {.lex_state = 36, .external_lex_state = 3},
  [1581] = {.lex_state = 36, .external_lex_state = 3},
  [1582] = {.lex_state = 36, .external_lex_state = 3},
  [1583] = {.lex_state = 36, .external_lex_state = 3},
  [1584] = {.lex_state = 36, .external_lex_state = 3},
  [1585] = {.lex_state = 36, .external_lex_state = 3},
  [1586] = {.lex_state = 36, .external_lex_state = 3},
  [1587] = {.lex_state = 36, .external_lex_state = 3},
  [1588] = {.lex_state = 36, .external_lex_state = 3},
  [1589] = {.lex_state = 36, .external_lex_state = 3},
  [1590] = {.lex_state = 36, .external_lex_state = 3},
  [1591] = {.lex_state = 36, .external_lex_state = 3},
  [1592] = {.lex_state = 36, .external_lex_state = 3},
  [1593] = {.lex_state = 36, .external_lex_state = 3},
  [1594] = {.lex_state = 36, .external_lex_state = 3},
  [1595] = {.lex_state = 36, .external_lex_state = 3},
  [1596] = {.lex_state = 36, .external_lex_state = 3},
  [1597] = {.lex_state = 36, .external_lex_state = 3},
  [1598] = {.lex_state = 36, .external_lex_state = 3},
  [1599] = {.lex_state = 36, .external_lex_state = 3},
  [1600] = {.lex_state = 36, .external_lex_state = 3},
  [1601] = {.lex_state = 36, .external_lex_state = 3},
  [1602] = {.lex_state = 36, .external_lex_state = 3},
  [1603] = {.lex_state = 36, .external_lex_state = 3},
  [1604] = {.lex_state = 36, .external_lex_state = 3},
  [1605] = {.lex_state = 36, .external_lex_state = 3},
  [1606] = {.lex_state = 36, .external_lex_state = 3},
  [1607] = {.lex_state = 36, .external_lex_state = 3},
  [1608] = {.lex_state = 36, .external_lex_state = 3},
  [1609] = {.lex_state = 36, .external_lex_state = 3},
  [1610] = {.lex_state = 36, .external_lex_state = 3},
  [1611] = {.lex_state = 36, .external_lex_state = 3},
  [1612] = {.lex_state = 62, .external_lex_state = 3},
  [1613] = {.lex_state = 36, .external_lex_state = 3},
  [1614] = {.lex_state = 36, .external_lex_state = 3},
  [1615] = {.lex_state = 36, .external_lex_state = 3},
  [1616] = {.lex_state = 36, .external_lex_state = 3},
  [1617] = {.lex_state = 36, .external_lex_state = 3},
  [1618] = {.lex_state = 36, .external_lex_state = 3},
  [1619] = {.lex_state = 129, .external_lex_state = 3},
  [1620] = {.lex_state = 129, .external_lex_state = 3},
  [1621] = {.lex_state = 36, .external_lex_state = 3},
  [1622] = {.lex_state = 36, .external_lex_state = 3},
  [1623] = {.lex_state = 36, .external_lex_state = 3},
  [1624] = {.lex_state = 36, .external_lex_state = 3},
  [1625] = {.lex_state = 36, .external_lex_state = 3},
  [1626] = {.lex_state = 36, .external_lex_state = 3},
  [1627] = {.lex_state = 36, .external_lex_state = 3},
  [1628] = {.lex_state = 36, .external_lex_state = 3},
  [1629] = {.lex_state = 36, .external_lex_state = 3},
  [1630] = {.lex_state = 36, .external_lex_state = 3},
  [1631] = {.lex_state = 36, .external_lex_state = 3},
  [1632] = {.lex_state = 36, .external_lex_state = 3},
  [1633] = {.lex_state = 36, .external_lex_state = 3},
  [1634] = {.lex_state = 36, .external_lex_state = 3},
  [1635] = {.lex_state = 36, .external_lex_state = 3},
  [1636] = {.lex_state = 36, .external_lex_state = 3},
  [1637] = {.lex_state = 36, .external_lex_state = 3},
  [1638] = {.lex_state = 36, .external_lex_state = 3},
  [1639] = {.lex_state = 36, .external_lex_state = 3},
  [1640] = {.lex_state = 36, .external_lex_state = 3},
  [1641] = {.lex_state = 36, .external_lex_state = 3},
  [1642] = {.lex_state = 36, .external_lex_state = 3},
  [1643] = {.lex_state = 36, .external_lex_state = 3},
  [1644] = {.lex_state = 36, .external_lex_state = 3},
  [1645] = {.lex_state = 36, .external_lex_state = 3},
  [1646] = {.lex_state = 36, .external_lex_state = 3},
  [1647] = {.lex_state = 36, .external_lex_state = 3},
  [1648] = {.lex_state = 36, .external_lex_state = 3},
  [1649] = {.lex_state = 36, .external_lex_state = 3},
  [1650] = {.lex_state = 36, .external_lex_state = 3},
  [1651] = {.lex_state = 36, .external_lex_state = 3},
  [1652] = {.lex_state = 36, .external_lex_state = 3},
  [1653] = {.lex_state = 36, .external_lex_state = 3},
  [1654] = {.lex_state = 36, .external_lex_state = 3},
  [1655] = {.lex_state = 36, .external_lex_state = 3},
  [1656] = {.lex_state = 36, .external_lex_state = 3},
  [1657] = {.lex_state = 36, .external_lex_state = 3},
  [1658] = {.lex_state = 36, .external_lex_state = 3},
  [1659] = {.lex_state = 36, .external_lex_state = 3},
  [1660] = {.lex_state = 36, .external_lex_state = 3},
  [1661] = {.lex_state = 36, .external_lex_state = 3},
  [1662] = {.lex_state = 36, .external_lex_state = 3},
  [1663] = {.lex_state = 36, .external_lex_state = 3},
  [1664] = {.lex_state = 36, .external_lex_state = 3},
  [1665] = {.lex_state = 36, .external_lex_state = 3},
  [1666] = {.lex_state = 36, .external_lex_state = 3},
  [1667] = {.lex_state = 36, .external_lex_state = 3},
  [1668] = {.lex_state = 36, .external_lex_state = 3},
  [1669] = {.lex_state = 36, .external_lex_state = 3},
  [1670] = {.lex_state = 36, .external_lex_state = 3},
  [1671] = {.lex_state = 36, .external_lex_state = 3},
  [1672] = {.lex_state = 36, .external_lex_state = 3},
  [1673] = {.lex_state = 125, .external_lex_state = 3},
  [1674] = {.lex_state = 36, .external_lex_state = 3},
  [1675] = {.lex_state = 36, .external_lex_state = 3},
  [1676] = {.lex_state = 36, .external_lex_state = 3},
  [1677] = {.lex_state = 36, .external_lex_state = 3},
  [1678] = {.lex_state = 36, .external_lex_state = 3},
  [1679] = {.lex_state = 36, .external_lex_state = 3},
  [1680] = {.lex_state = 36, .external_lex_state = 3},
  [1681] = {.lex_state = 36, .external_lex_state = 3},
  [1682] = {.lex_state = 36, .external_lex_state = 3},
  [1683] = {.lex_state = 36, .external_lex_state = 3},
  [1684] = {.lex_state = 36, .external_lex_state = 3},
  [1685] = {.lex_state = 36, .external_lex_state = 3},
  [1686] = {.lex_state = 36, .external_lex_state = 3},
  [1687] = {.lex_state = 36, .external_lex_state = 3},
  [1688] = {.lex_state = 36, .external_lex_state = 3},
  [1689] = {.lex_state = 36, .external_lex_state = 3},
  [1690] = {.lex_state = 36, .external_lex_state = 3},
  [1691] = {.lex_state = 36, .external_lex_state = 3},
  [1692] = {.lex_state = 36, .external_lex_state = 3},
  [1693] = {.lex_state = 36, .external_lex_state = 3},
  [1694] = {.lex_state = 36, .external_lex_state = 3},
  [1695] = {.lex_state = 36, .external_lex_state = 3},
  [1696] = {.lex_state = 36, .external_lex_state = 3},
  [1697] = {.lex_state = 36, .external_lex_state = 3},
  [1698] = {.lex_state = 36, .external_lex_state = 3},
  [1699] = {.lex_state = 36, .external_lex_state = 3},
  [1700] = {.lex_state = 36, .external_lex_state = 3},
  [1701] = {.lex_state = 36, .external_lex_state = 3},
  [1702] = {.lex_state = 36, .external_lex_state = 3},
  [1703] = {.lex_state = 36, .external_lex_state = 3},
  [1704] = {.lex_state = 36, .external_lex_state = 3},
  [1705] = {.lex_state = 36, .external_lex_state = 3},
  [1706] = {.lex_state = 36, .external_lex_state = 3},
  [1707] = {.lex_state = 36, .external_lex_state = 3},
  [1708] = {.lex_state = 36, .external_lex_state = 3},
  [1709] = {.lex_state = 36, .external_lex_state = 3},
  [1710] = {.lex_state = 36, .external_lex_state = 3},
  [1711] = {.lex_state = 36, .external_lex_state = 3},
  [1712] = {.lex_state = 36, .external_lex_state = 3},
  [1713] = {.lex_state = 36, .external_lex_state = 3},
  [1714] = {.lex_state = 36, .external_lex_state = 3},
  [1715] = {.lex_state = 36, .external_lex_state = 3},
  [1716] = {.lex_state = 36, .external_lex_state = 3},
  [1717] = {.lex_state = 36, .external_lex_state = 3},
  [1718] = {.lex_state = 36, .external_lex_state = 3},
  [1719] = {.lex_state = 36, .external_lex_state = 3},
  [1720] = {.lex_state = 36, .external_lex_state = 3},
  [1721] = {.lex_state = 36, .external_lex_state = 3},
  [1722] = {.lex_state = 36, .external_lex_state = 3},
  [1723] = {.lex_state = 36, .external_lex_state = 3},
  [1724] = {.lex_state = 36, .external_lex_state = 3},
  [1725] = {.lex_state = 36, .external_lex_state = 3},
  [1726] = {.lex_state = 36, .external_lex_state = 3},
  [1727] = {.lex_state = 36, .external_lex_state = 3},
  [1728] = {.lex_state = 125, .external_lex_state = 3},
  [1729] = {.lex_state = 36, .external_lex_state = 3},
  [1730] = {.lex_state = 36, .external_lex_state = 3},
  [1731] = {.lex_state = 36, .external_lex_state = 3},
  [1732] = {.lex_state = 36, .external_lex_state = 3},
  [1733] = {.lex_state = 36, .external_lex_state = 3},
  [1734] = {.lex_state = 36, .external_lex_state = 3},
  [1735] = {.lex_state = 36, .external_lex_state = 3},
  [1736] = {.lex_state = 36, .external_lex_state = 3},
  [1737] = {.lex_state = 36, .external_lex_state = 3},
  [1738] = {.lex_state = 36, .external_lex_state = 3},
  [1739] = {.lex_state = 36, .external_lex_state = 3},
  [1740] = {.lex_state = 36, .external_lex_state = 3},
  [1741] = {.lex_state = 36, .external_lex_state = 3},
  [1742] = {.lex_state = 36, .external_lex_state = 3},
  [1743] = {.lex_state = 36, .external_lex_state = 3},
  [1744] = {.lex_state = 36, .external_lex_state = 3},
  [1745] = {.lex_state = 36, .external_lex_state = 3},
  [1746] = {.lex_state = 36, .external_lex_state = 3},
  [1747] = {.lex_state = 36, .external_lex_state = 3},
  [1748] = {.lex_state = 36, .external_lex_state = 3},
  [1749] = {.lex_state = 36, .external_lex_state = 3},
  [1750] = {.lex_state = 36, .external_lex_state = 3},
  [1751] = {.lex_state = 36, .external_lex_state = 3},
  [1752] = {.lex_state = 36, .external_lex_state = 3},
  [1753] = {.lex_state = 36, .external_lex_state = 3},
  [1754] = {.lex_state = 36, .external_lex_state = 3},
  [1755] = {.lex_state = 36, .external_lex_state = 3},
  [1756] = {.lex_state = 36, .external_lex_state = 3},
  [1757] = {.lex_state = 36, .external_lex_state = 3},
  [1758] = {.lex_state = 36, .external_lex_state = 3},
  [1759] = {.lex_state = 36, .external_lex_state = 3},
  [1760] = {.lex_state = 36, .external_lex_state = 3},
  [1761] = {.lex_state = 36, .external_lex_state = 3},
  [1762] = {.lex_state = 36, .external_lex_state = 3},
  [1763] = {.lex_state = 36, .external_lex_state = 3},
  [1764] = {.lex_state = 36, .external_lex_state = 3},
  [1765] = {.lex_state = 36, .external_lex_state = 3},
  [1766] = {.lex_state = 36, .external_lex_state = 3},
  [1767] = {.lex_state = 36, .external_lex_state = 3},
  [1768] = {.lex_state = 36, .external_lex_state = 3},
  [1769] = {.lex_state = 36, .external_lex_state = 3},
  [1770] = {.lex_state = 36, .external_lex_state = 3},
  [1771] = {.lex_state = 36, .external_lex_state = 3},
  [1772] = {.lex_state = 36, .external_lex_state = 3},
  [1773] = {.lex_state = 36, .external_lex_state = 3},
  [1774] = {.lex_state = 36, .external_lex_state = 3},
  [1775] = {.lex_state = 36, .external_lex_state = 3},
  [1776] = {.lex_state = 36, .external_lex_state = 3},
  [1777] = {.lex_state = 36, .external_lex_state = 3},
  [1778] = {.lex_state = 36, .external_lex_state = 3},
  [1779] = {.lex_state = 36, .external_lex_state = 3},
  [1780] = {.lex_state = 36, .external_lex_state = 3},
  [1781] = {.lex_state = 36, .external_lex_state = 3},
  [1782] = {.lex_state = 36, .external_lex_state = 3},
  [1783] = {.lex_state = 36, .external_lex_state = 3},
  [1784] = {.lex_state = 36, .external_lex_state = 3},
  [1785] = {.lex_state = 36, .external_lex_state = 3},
  [1786] = {.lex_state = 36, .external_lex_state = 3},
  [1787] = {.lex_state = 36, .external_lex_state = 3},
  [1788] = {.lex_state = 36, .external_lex_state = 3},
  [1789] = {.lex_state = 36, .external_lex_state = 3},
  [1790] = {.lex_state = 36, .external_lex_state = 3},
  [1791] = {.lex_state = 36, .external_lex_state = 3},
  [1792] = {.lex_state = 36, .external_lex_state = 3},
  [1793] = {.lex_state = 36, .external_lex_state = 3},
  [1794] = {.lex_state = 36, .external_lex_state = 3},
  [1795] = {.lex_state = 36, .external_lex_state = 3},
  [1796] = {.lex_state = 36, .external_lex_state = 3},
  [1797] = {.lex_state = 36, .external_lex_state = 3},
  [1798] = {.lex_state = 36, .external_lex_state = 3},
  [1799] = {.lex_state = 36, .external_lex_state = 3},
  [1800] = {.lex_state = 36, .external_lex_state = 3},
  [1801] = {.lex_state = 36, .external_lex_state = 3},
  [1802] = {.lex_state = 36, .external_lex_state = 3},
  [1803] = {.lex_state = 36, .external_lex_state = 3},
  [1804] = {.lex_state = 36, .external_lex_state = 3},
  [1805] = {.lex_state = 36, .external_lex_state = 3},
  [1806] = {.lex_state = 36, .external_lex_state = 3},
  [1807] = {.lex_state = 36, .external_lex_state = 3},
  [1808] = {.lex_state = 36, .external_lex_state = 3},
  [1809] = {.lex_state = 36, .external_lex_state = 3},
  [1810] = {.lex_state = 36, .external_lex_state = 3},
  [1811] = {.lex_state = 36, .external_lex_state = 3},
  [1812] = {.lex_state = 36, .external_lex_state = 3},
  [1813] = {.lex_state = 36, .external_lex_state = 3},
  [1814] = {.lex_state = 36, .external_lex_state = 3},
  [1815] = {.lex_state = 36, .external_lex_state = 3},
  [1816] = {.lex_state = 36, .external_lex_state = 3},
  [1817] = {.lex_state = 36, .external_lex_state = 3},
  [1818] = {.lex_state = 36, .external_lex_state = 3},
  [1819] = {.lex_state = 36, .external_lex_state = 3},
  [1820] = {.lex_state = 36, .external_lex_state = 3},
  [1821] = {.lex_state = 36, .external_lex_state = 3},
  [1822] = {.lex_state = 36, .external_lex_state = 3},
  [1823] = {.lex_state = 36, .external_lex_state = 3},
  [1824] = {.lex_state = 36, .external_lex_state = 3},
  [1825] = {.lex_state = 36, .external_lex_state = 3},
  [1826] = {.lex_state = 36, .external_lex_state = 3},
  [1827] = {.lex_state = 36, .external_lex_state = 3},
  [1828] = {.lex_state = 36, .external_lex_state = 3},
  [1829] = {.lex_state = 36, .external_lex_state = 3},
  [1830] = {.lex_state = 36, .external_lex_state = 3},
  [1831] = {.lex_state = 36, .external_lex_state = 3},
  [1832] = {.lex_state = 36, .external_lex_state = 3},
  [1833] = {.lex_state = 36, .external_lex_state = 3},
  [1834] = {.lex_state = 36, .external_lex_state = 3},
  [1835] = {.lex_state = 36, .external_lex_state = 3},
  [1836] = {.lex_state = 36, .external_lex_state = 3},
  [1837] = {.lex_state = 36, .external_lex_state = 3},
  [1838] = {.lex_state = 36, .external_lex_state = 3},
  [1839] = {.lex_state = 36, .external_lex_state = 3},
  [1840] = {.lex_state = 36, .external_lex_state = 3},
  [1841] = {.lex_state = 36, .external_lex_state = 3},
  [1842] = {.lex_state = 36, .external_lex_state = 3},
  [1843] = {.lex_state = 36, .external_lex_state = 3},
  [1844] = {.lex_state = 36, .external_lex_state = 3},
  [1845] = {.lex_state = 36, .external_lex_state = 3},
  [1846] = {.lex_state = 36, .external_lex_state = 3},
  [1847] = {.lex_state = 36, .external_lex_state = 3},
  [1848] = {.lex_state = 36, .external_lex_state = 3},
  [1849] = {.lex_state = 36, .external_lex_state = 3},
  [1850] = {.lex_state = 36, .external_lex_state = 3},
  [1851] = {.lex_state = 36, .external_lex_state = 3},
  [1852] = {.lex_state = 36, .external_lex_state = 3},
  [1853] = {.lex_state = 36, .external_lex_state = 3},
  [1854] = {.lex_state = 36, .external_lex_state = 3},
  [1855] = {.lex_state = 36, .external_lex_state = 3},
  [1856] = {.lex_state = 36, .external_lex_state = 3},
  [1857] = {.lex_state = 36, .external_lex_state = 3},
  [1858] = {.lex_state = 36, .external_lex_state = 3},
  [1859] = {.lex_state = 36, .external_lex_state = 3},
  [1860] = {.lex_state = 36, .external_lex_state = 3},
  [1861] = {.lex_state = 36, .external_lex_state = 3},
  [1862] = {.lex_state = 36, .external_lex_state = 3},
  [1863] = {.lex_state = 36, .external_lex_state = 3},
  [1864] = {.lex_state = 36, .external_lex_state = 3},
  [1865] = {.lex_state = 36, .external_lex_state = 3},
  [1866] = {.lex_state = 36, .external_lex_state = 3},
  [1867] = {.lex_state = 36, .external_lex_state = 3},
  [1868] = {.lex_state = 36, .external_lex_state = 3},
  [1869] = {.lex_state = 36, .external_lex_state = 3},
  [1870] = {.lex_state = 36, .external_lex_state = 3},
  [1871] = {.lex_state = 36, .external_lex_state = 3},
  [1872] = {.lex_state = 36, .external_lex_state = 3},
  [1873] = {.lex_state = 36, .external_lex_state = 3},
  [1874] = {.lex_state = 36, .external_lex_state = 3},
  [1875] = {.lex_state = 36, .external_lex_state = 3},
  [1876] = {.lex_state = 36, .external_lex_state = 3},
  [1877] = {.lex_state = 36, .external_lex_state = 3},
  [1878] = {.lex_state = 36, .external_lex_state = 3},
  [1879] = {.lex_state = 36, .external_lex_state = 3},
  [1880] = {.lex_state = 36, .external_lex_state = 3},
  [1881] = {.lex_state = 36, .external_lex_state = 3},
  [1882] = {.lex_state = 36, .external_lex_state = 3},
  [1883] = {.lex_state = 36, .external_lex_state = 3},
  [1884] = {.lex_state = 36, .external_lex_state = 3},
  [1885] = {.lex_state = 36, .external_lex_state = 3},
  [1886] = {.lex_state = 36, .external_lex_state = 3},
  [1887] = {.lex_state = 36, .external_lex_state = 3},
  [1888] = {.lex_state = 36, .external_lex_state = 3},
  [1889] = {.lex_state = 36, .external_lex_state = 3},
  [1890] = {.lex_state = 36, .external_lex_state = 3},
  [1891] = {.lex_state = 36, .external_lex_state = 3},
  [1892] = {.lex_state = 36, .external_lex_state = 3},
  [1893] = {.lex_state = 36, .external_lex_state = 3},
  [1894] = {.lex_state = 36, .external_lex_state = 3},
  [1895] = {.lex_state = 36, .external_lex_state = 3},
  [1896] = {.lex_state = 36, .external_lex_state = 3},
  [1897] = {.lex_state = 36, .external_lex_state = 3},
  [1898] = {.lex_state = 36, .external_lex_state = 3},
  [1899] = {.lex_state = 36, .external_lex_state = 3},
  [1900] = {.lex_state = 36, .external_lex_state = 3},
  [1901] = {.lex_state = 36, .external_lex_state = 3},
  [1902] = {.lex_state = 36, .external_lex_state = 3},
  [1903] = {.lex_state = 36, .external_lex_state = 3},
  [1904] = {.lex_state = 36, .external_lex_state = 3},
  [1905] = {.lex_state = 36, .external_lex_state = 3},
  [1906] = {.lex_state = 36, .external_lex_state = 3},
  [1907] = {.lex_state = 36, .external_lex_state = 3},
  [1908] = {.lex_state = 36, .external_lex_state = 3},
  [1909] = {.lex_state = 36, .external_lex_state = 3},
  [1910] = {.lex_state = 36, .external_lex_state = 3},
  [1911] = {.lex_state = 36, .external_lex_state = 3},
  [1912] = {.lex_state = 36, .external_lex_state = 3},
  [1913] = {.lex_state = 36, .external_lex_state = 3},
  [1914] = {.lex_state = 36, .external_lex_state = 3},
  [1915] = {.lex_state = 36, .external_lex_state = 3},
  [1916] = {.lex_state = 36, .external_lex_state = 3},
  [1917] = {.lex_state = 36, .external_lex_state = 3},
  [1918] = {.lex_state = 36, .external_lex_state = 3},
  [1919] = {.lex_state = 36, .external_lex_state = 3},
  [1920] = {.lex_state = 36, .external_lex_state = 3},
  [1921] = {.lex_state = 36, .external_lex_state = 3},
  [1922] = {.lex_state = 36, .external_lex_state = 3},
  [1923] = {.lex_state = 36, .external_lex_state = 3},
  [1924] = {.lex_state = 36, .external_lex_state = 3},
  [1925] = {.lex_state = 36, .external_lex_state = 3},
  [1926] = {.lex_state = 36, .external_lex_state = 3},
  [1927] = {.lex_state = 36, .external_lex_state = 3},
  [1928] = {.lex_state = 36, .external_lex_state = 3},
  [1929] = {.lex_state = 36, .external_lex_state = 3},
  [1930] = {.lex_state = 36, .external_lex_state = 3},
  [1931] = {.lex_state = 36, .external_lex_state = 3},
  [1932] = {.lex_state = 36, .external_lex_state = 3},
  [1933] = {.lex_state = 36, .external_lex_state = 3},
  [1934] = {.lex_state = 36, .external_lex_state = 3},
  [1935] = {.lex_state = 36, .external_lex_state = 3},
  [1936] = {.lex_state = 36, .external_lex_state = 3},
  [1937] = {.lex_state = 36, .external_lex_state = 3},
  [1938] = {.lex_state = 36, .external_lex_state = 3},
  [1939] = {.lex_state = 36, .external_lex_state = 3},
  [1940] = {.lex_state = 36, .external_lex_state = 3},
  [1941] = {.lex_state = 36, .external_lex_state = 3},
  [1942] = {.lex_state = 36, .external_lex_state = 3},
  [1943] = {.lex_state = 36, .external_lex_state = 3},
  [1944] = {.lex_state = 36, .external_lex_state = 3},
  [1945] = {.lex_state = 36, .external_lex_state = 3},
  [1946] = {.lex_state = 36, .external_lex_state = 3},
  [1947] = {.lex_state = 36, .external_lex_state = 3},
  [1948] = {.lex_state = 36, .external_lex_state = 3},
  [1949] = {.lex_state = 36, .external_lex_state = 3},
  [1950] = {.lex_state = 36, .external_lex_state = 3},
  [1951] = {.lex_state = 36, .external_lex_state = 3},
  [1952] = {.lex_state = 36, .external_lex_state = 3},
  [1953] = {.lex_state = 36, .external_lex_state = 3},
  [1954] = {.lex_state = 36, .external_lex_state = 3},
  [1955] = {.lex_state = 36, .external_lex_state = 3},
  [1956] = {.lex_state = 36, .external_lex_state = 3},
  [1957] = {.lex_state = 36, .external_lex_state = 3},
  [1958] = {.lex_state = 36, .external_lex_state = 3},
  [1959] = {.lex_state = 36, .external_lex_state = 3},
  [1960] = {.lex_state = 36, .external_lex_state = 3},
  [1961] = {.lex_state = 36, .external_lex_state = 3},
  [1962] = {.lex_state = 36, .external_lex_state = 3},
  [1963] = {.lex_state = 36, .external_lex_state = 3},
  [1964] = {.lex_state = 36, .external_lex_state = 3},
  [1965] = {.lex_state = 36, .external_lex_state = 3},
  [1966] = {.lex_state = 36, .external_lex_state = 3},
  [1967] = {.lex_state = 36, .external_lex_state = 3},
  [1968] = {.lex_state = 36, .external_lex_state = 3},
  [1969] = {.lex_state = 36, .external_lex_state = 3},
  [1970] = {.lex_state = 36, .external_lex_state = 3},
  [1971] = {.lex_state = 36, .external_lex_state = 3},
  [1972] = {.lex_state = 36, .external_lex_state = 3},
  [1973] = {.lex_state = 36, .external_lex_state = 3},
  [1974] = {.lex_state = 36, .external_lex_state = 3},
  [1975] = {.lex_state = 36, .external_lex_state = 3},
  [1976] = {.lex_state = 36, .external_lex_state = 3},
  [1977] = {.lex_state = 36, .external_lex_state = 3},
  [1978] = {.lex_state = 36, .external_lex_state = 3},
  [1979] = {.lex_state = 36, .external_lex_state = 3},
  [1980] = {.lex_state = 36, .external_lex_state = 3},
  [1981] = {.lex_state = 36, .external_lex_state = 3},
  [1982] = {.lex_state = 36, .external_lex_state = 3},
  [1983] = {.lex_state = 36, .external_lex_state = 3},
  [1984] = {.lex_state = 36, .external_lex_state = 3},
  [1985] = {.lex_state = 36, .external_lex_state = 3},
  [1986] = {.lex_state = 36, .external_lex_state = 3},
  [1987] = {.lex_state = 36, .external_lex_state = 3},
  [1988] = {.lex_state = 36, .external_lex_state = 3},
  [1989] = {.lex_state = 36, .external_lex_state = 3},
  [1990] = {.lex_state = 36, .external_lex_state = 3},
  [1991] = {.lex_state = 36, .external_lex_state = 3},
  [1992] = {.lex_state = 36, .external_lex_state = 3},
  [1993] = {.lex_state = 36, .external_lex_state = 3},
  [1994] = {.lex_state = 36, .external_lex_state = 3},
  [1995] = {.lex_state = 36, .external_lex_state = 3},
  [1996] = {.lex_state = 36, .external_lex_state = 3},
  [1997] = {.lex_state = 36, .external_lex_state = 3},
  [1998] = {.lex_state = 36, .external_lex_state = 3},
  [1999] = {.lex_state = 36, .external_lex_state = 3},
  [2000] = {.lex_state = 36, .external_lex_state = 3},
  [2001] = {.lex_state = 36, .external_lex_state = 3},
  [2002] = {.lex_state = 36, .external_lex_state = 3},
  [2003] = {.lex_state = 36, .external_lex_state = 3},
  [2004] = {.lex_state = 36, .external_lex_state = 3},
  [2005] = {.lex_state = 36, .external_lex_state = 3},
  [2006] = {.lex_state = 36, .external_lex_state = 3},
  [2007] = {.lex_state = 36, .external_lex_state = 3},
  [2008] = {.lex_state = 36, .external_lex_state = 3},
  [2009] = {.lex_state = 36, .external_lex_state = 3},
  [2010] = {.lex_state = 36, .external_lex_state = 3},
  [2011] = {.lex_state = 36, .external_lex_state = 3},
  [2012] = {.lex_state = 36, .external_lex_state = 3},
  [2013] = {.lex_state = 36, .external_lex_state = 3},
  [2014] = {.lex_state = 36, .external_lex_state = 3},
  [2015] = {.lex_state = 126, .external_lex_state = 3},
  [2016] = {.lex_state = 36, .external_lex_state = 3},
  [2017] = {.lex_state = 36, .external_lex_state = 3},
  [2018] = {.lex_state = 36, .external_lex_state = 3},
  [2019] = {.lex_state = 36, .external_lex_state = 3},
  [2020] = {.lex_state = 36, .external_lex_state = 3},
  [2021] = {.lex_state = 123, .external_lex_state = 3},
  [2022] = {.lex_state = 36, .external_lex_state = 3},
  [2023] = {.lex_state = 36, .external_lex_state = 3},
  [2024] = {.lex_state = 36, .external_lex_state = 3},
  [2025] = {.lex_state = 36, .external_lex_state = 3},
  [2026] = {.lex_state = 36, .external_lex_state = 3},
  [2027] = {.lex_state = 130, .external_lex_state = 3},
  [2028] = {.lex_state = 36, .external_lex_state = 3},
  [2029] = {.lex_state = 36, .external_lex_state = 3},
  [2030] = {.lex_state = 36, .external_lex_state = 3},
  [2031] = {.lex_state = 36, .external_lex_state = 3},
  [2032] = {.lex_state = 36, .external_lex_state = 3},
  [2033] = {.lex_state = 36, .external_lex_state = 3},
  [2034] = {.lex_state = 36, .external_lex_state = 3},
  [2035] = {.lex_state = 36, .external_lex_state = 3},
  [2036] = {.lex_state = 36, .external_lex_state = 3},
  [2037] = {.lex_state = 36, .external_lex_state = 3},
  [2038] = {.lex_state = 36, .external_lex_state = 3},
  [2039] = {.lex_state = 36, .external_lex_state = 3},
  [2040] = {.lex_state = 36, .external_lex_state = 3},
  [2041] = {.lex_state = 36, .external_lex_state = 3},
  [2042] = {.lex_state = 36, .external_lex_state = 3},
  [2043] = {.lex_state = 56, .external_lex_state = 3},
  [2044] = {.lex_state = 36, .external_lex_state = 3},
  [2045] = {.lex_state = 36, .external_lex_state = 3},
  [2046] = {.lex_state = 36, .external_lex_state = 3},
  [2047] = {.lex_state = 36, .external_lex_state = 3},
  [2048] = {.lex_state = 36, .external_lex_state = 3},
  [2049] = {.lex_state = 36, .external_lex_state = 3},
  [2050] = {.lex_state = 36, .external_lex_state = 3},
  [2051] = {.lex_state = 36, .external_lex_state = 3},
  [2052] = {.lex_state = 36, .external_lex_state = 3},
  [2053] = {.lex_state = 36, .external_lex_state = 3},
  [2054] = {.lex_state = 36, .external_lex_state = 3},
  [2055] = {.lex_state = 36, .external_lex_state = 3},
  [2056] = {.lex_state = 36, .external_lex_state = 3},
  [2057] = {.lex_state = 36, .external_lex_state = 3},
  [2058] = {.lex_state = 36, .external_lex_state = 3},
  [2059] = {.lex_state = 36, .external_lex_state = 3},
  [2060] = {.lex_state = 36, .external_lex_state = 3},
  [2061] = {.lex_state = 36, .external_lex_state = 3},
  [2062] = {.lex_state = 36, .external_lex_state = 3},
  [2063] = {.lex_state = 36, .external_lex_state = 3},
  [2064] = {.lex_state = 36, .external_lex_state = 3},
  [2065] = {.lex_state = 36, .external_lex_state = 3},
  [2066] = {.lex_state = 36, .external_lex_state = 3},
  [2067] = {.lex_state = 36, .external_lex_state = 3},
  [2068] = {.lex_state = 36, .external_lex_state = 3},
  [2069] = {.lex_state = 36, .external_lex_state = 3},
  [2070] = {.lex_state = 36, .external_lex_state = 3},
  [2071] = {.lex_state = 36, .external_lex_state = 3},
  [2072] = {.lex_state = 36, .external_lex_state = 3},
  [2073] = {.lex_state = 36, .external_lex_state = 3},
  [2074] = {.lex_state = 36, .external_lex_state = 3},
  [2075] = {.lex_state = 36, .external_lex_state = 3},
  [2076] = {.lex_state = 36, .external_lex_state = 3},
  [2077] = {.lex_state = 36, .external_lex_state = 3},
  [2078] = {.lex_state = 36, .external_lex_state = 3},
  [2079] = {.lex_state = 36, .external_lex_state = 3},
  [2080] = {.lex_state = 36, .external_lex_state = 3},
  [2081] = {.lex_state = 36, .external_lex_state = 3},
  [2082] = {.lex_state = 36, .external_lex_state = 3},
  [2083] = {.lex_state = 36, .external_lex_state = 3},
  [2084] = {.lex_state = 36, .external_lex_state = 3},
  [2085] = {.lex_state = 36, .external_lex_state = 3},
  [2086] = {.lex_state = 36, .external_lex_state = 3},
  [2087] = {.lex_state = 36, .external_lex_state = 3},
  [2088] = {.lex_state = 36, .external_lex_state = 3},
  [2089] = {.lex_state = 36, .external_lex_state = 3},
  [2090] = {.lex_state = 36, .external_lex_state = 3},
  [2091] = {.lex_state = 36, .external_lex_state = 3},
  [2092] = {.lex_state = 36, .external_lex_state = 3},
  [2093] = {.lex_state = 36, .external_lex_state = 3},
  [2094] = {.lex_state = 36, .external_lex_state = 3},
  [2095] = {.lex_state = 36, .external_lex_state = 3},
  [2096] = {.lex_state = 36, .external_lex_state = 3},
  [2097] = {.lex_state = 36, .external_lex_state = 3},
  [2098] = {.lex_state = 36, .external_lex_state = 3},
  [2099] = {.lex_state = 36, .external_lex_state = 3},
  [2100] = {.lex_state = 36, .external_lex_state = 3},
  [2101] = {.lex_state = 36, .external_lex_state = 3},
  [2102] = {.lex_state = 36, .external_lex_state = 3},
  [2103] = {.lex_state = 36, .external_lex_state = 3},
  [2104] = {.lex_state = 36, .external_lex_state = 3},
  [2105] = {.lex_state = 36, .external_lex_state = 3},
  [2106] = {.lex_state = 36, .external_lex_state = 3},
  [2107] = {.lex_state = 36, .external_lex_state = 3},
  [2108] = {.lex_state = 36, .external_lex_state = 3},
  [2109] = {.lex_state = 36, .external_lex_state = 3},
  [2110] = {.lex_state = 36, .external_lex_state = 3},
  [2111] = {.lex_state = 36, .external_lex_state = 3},
  [2112] = {.lex_state = 36, .external_lex_state = 3},
  [2113] = {.lex_state = 36, .external_lex_state = 3},
  [2114] = {.lex_state = 36, .external_lex_state = 3},
  [2115] = {.lex_state = 36, .external_lex_state = 3},
  [2116] = {.lex_state = 36, .external_lex_state = 3},
  [2117] = {.lex_state = 36, .external_lex_state = 3},
  [2118] = {.lex_state = 36, .external_lex_state = 3},
  [2119] = {.lex_state = 36, .external_lex_state = 3},
  [2120] = {.lex_state = 36, .external_lex_state = 3},
  [2121] = {.lex_state = 36, .external_lex_state = 3},
  [2122] = {.lex_state = 36, .external_lex_state = 3},
  [2123] = {.lex_state = 36, .external_lex_state = 3},
  [2124] = {.lex_state = 36, .external_lex_state = 3},
  [2125] = {.lex_state = 36, .external_lex_state = 3},
  [2126] = {.lex_state = 36, .external_lex_state = 3},
  [2127] = {.lex_state = 36, .external_lex_state = 3},
  [2128] = {.lex_state = 36, .external_lex_state = 3},
  [2129] = {.lex_state = 36, .external_lex_state = 3},
  [2130] = {.lex_state = 36, .external_lex_state = 3},
  [2131] = {.lex_state = 36, .external_lex_state = 3},
  [2132] = {.lex_state = 36, .external_lex_state = 3},
  [2133] = {.lex_state = 36, .external_lex_state = 3},
  [2134] = {.lex_state = 36, .external_lex_state = 3},
  [2135] = {.lex_state = 36, .external_lex_state = 3},
  [2136] = {.lex_state = 36, .external_lex_state = 3},
  [2137] = {.lex_state = 36, .external_lex_state = 3},
  [2138] = {.lex_state = 36, .external_lex_state = 3},
  [2139] = {.lex_state = 36, .external_lex_state = 3},
  [2140] = {.lex_state = 36, .external_lex_state = 3},
  [2141] = {.lex_state = 36, .external_lex_state = 3},
  [2142] = {.lex_state = 36, .external_lex_state = 3},
  [2143] = {.lex_state = 36, .external_lex_state = 3},
  [2144] = {.lex_state = 36, .external_lex_state = 3},
  [2145] = {.lex_state = 36, .external_lex_state = 3},
  [2146] = {.lex_state = 36, .external_lex_state = 3},
  [2147] = {.lex_state = 36, .external_lex_state = 3},
  [2148] = {.lex_state = 36, .external_lex_state = 3},
  [2149] = {.lex_state = 36, .external_lex_state = 3},
  [2150] = {.lex_state = 36, .external_lex_state = 3},
  [2151] = {.lex_state = 36, .external_lex_state = 3},
  [2152] = {.lex_state = 36, .external_lex_state = 3},
  [2153] = {.lex_state = 36, .external_lex_state = 3},
  [2154] = {.lex_state = 36, .external_lex_state = 3},
  [2155] = {.lex_state = 36, .external_lex_state = 3},
  [2156] = {.lex_state = 36, .external_lex_state = 3},
  [2157] = {.lex_state = 36, .external_lex_state = 3},
  [2158] = {.lex_state = 36, .external_lex_state = 3},
  [2159] = {.lex_state = 126, .external_lex_state = 3},
  [2160] = {.lex_state = 36, .external_lex_state = 3},
  [2161] = {.lex_state = 36, .external_lex_state = 3},
  [2162] = {.lex_state = 36, .external_lex_state = 3},
  [2163] = {.lex_state = 36, .external_lex_state = 3},
  [2164] = {.lex_state = 36, .external_lex_state = 3},
  [2165] = {.lex_state = 36, .external_lex_state = 3},
  [2166] = {.lex_state = 63, .external_lex_state = 3},
  [2167] = {.lex_state = 36, .external_lex_state = 3},
  [2168] = {.lex_state = 36, .external_lex_state = 3},
  [2169] = {.lex_state = 36, .external_lex_state = 3},
  [2170] = {.lex_state = 36, .external_lex_state = 3},
  [2171] = {.lex_state = 36, .external_lex_state = 3},
  [2172] = {.lex_state = 36, .external_lex_state = 3},
  [2173] = {.lex_state = 36, .external_lex_state = 3},
  [2174] = {.lex_state = 36, .external_lex_state = 3},
  [2175] = {.lex_state = 36, .external_lex_state = 3},
  [2176] = {.lex_state = 36, .external_lex_state = 3},
  [2177] = {.lex_state = 36, .external_lex_state = 3},
  [2178] = {.lex_state = 36, .external_lex_state = 3},
  [2179] = {.lex_state = 36, .external_lex_state = 3},
  [2180] = {.lex_state = 36, .external_lex_state = 3},
  [2181] = {.lex_state = 36, .external_lex_state = 3},
  [2182] = {.lex_state = 36, .external_lex_state = 3},
  [2183] = {.lex_state = 36, .external_lex_state = 3},
  [2184] = {.lex_state = 36, .external_lex_state = 3},
  [2185] = {.lex_state = 36, .external_lex_state = 3},
  [2186] = {.lex_state = 36, .external_lex_state = 3},
  [2187] = {.lex_state = 36, .external_lex_state = 3},
  [2188] = {.lex_state = 36, .external_lex_state = 3},
  [2189] = {.lex_state = 36, .external_lex_state = 3},
  [2190] = {.lex_state = 36, .external_lex_state = 3},
  [2191] = {.lex_state = 36, .external_lex_state = 3},
  [2192] = {.lex_state = 36, .external_lex_state = 3},
  [2193] = {.lex_state = 36, .external_lex_state = 3},
  [2194] = {.lex_state = 36, .external_lex_state = 3},
  [2195] = {.lex_state = 36, .external_lex_state = 3},
  [2196] = {.lex_state = 36, .external_lex_state = 3},
  [2197] = {.lex_state = 36, .external_lex_state = 3},
  [2198] = {.lex_state = 36, .external_lex_state = 3},
  [2199] = {.lex_state = 36, .external_lex_state = 3},
  [2200] = {.lex_state = 36, .external_lex_state = 3},
  [2201] = {.lex_state = 36, .external_lex_state = 3},
  [2202] = {.lex_state = 36, .external_lex_state = 3},
  [2203] = {.lex_state = 36, .external_lex_state = 3},
  [2204] = {.lex_state = 36, .external_lex_state = 3},
  [2205] = {.lex_state = 36, .external_lex_state = 3},
  [2206] = {.lex_state = 36, .external_lex_state = 3},
  [2207] = {.lex_state = 36, .external_lex_state = 3},
  [2208] = {.lex_state = 36, .external_lex_state = 3},
  [2209] = {.lex_state = 36, .external_lex_state = 3},
  [2210] = {.lex_state = 36, .external_lex_state = 3},
  [2211] = {.lex_state = 36, .external_lex_state = 3},
  [2212] = {.lex_state = 36, .external_lex_state = 3},
  [2213] = {.lex_state = 36, .external_lex_state = 3},
  [2214] = {.lex_state = 36, .external_lex_state = 3},
  [2215] = {.lex_state = 36, .external_lex_state = 3},
  [2216] = {.lex_state = 36, .external_lex_state = 3},
  [2217] = {.lex_state = 36, .external_lex_state = 3},
  [2218] = {.lex_state = 36, .external_lex_state = 3},
  [2219] = {.lex_state = 36, .external_lex_state = 3},
  [2220] = {.lex_state = 36, .external_lex_state = 3},
  [2221] = {.lex_state = 36, .external_lex_state = 3},
  [2222] = {.lex_state = 36, .external_lex_state = 3},
  [2223] = {.lex_state = 36, .external_lex_state = 3},
  [2224] = {.lex_state = 36, .external_lex_state = 3},
  [2225] = {.lex_state = 36, .external_lex_state = 3},
  [2226] = {.lex_state = 36, .external_lex_state = 3},
  [2227] = {.lex_state = 36, .external_lex_state = 3},
  [2228] = {.lex_state = 36, .external_lex_state = 3},
  [2229] = {.lex_state = 36, .external_lex_state = 3},
  [2230] = {.lex_state = 36, .external_lex_state = 3},
  [2231] = {.lex_state = 36, .external_lex_state = 3},
  [2232] = {.lex_state = 36, .external_lex_state = 3},
  [2233] = {.lex_state = 36, .external_lex_state = 3},
  [2234] = {.lex_state = 36, .external_lex_state = 3},
  [2235] = {.lex_state = 36, .external_lex_state = 3},
  [2236] = {.lex_state = 36, .external_lex_state = 3},
  [2237] = {.lex_state = 36, .external_lex_state = 3},
  [2238] = {.lex_state = 36, .external_lex_state = 3},
  [2239] = {.lex_state = 36, .external_lex_state = 3},
  [2240] = {.lex_state = 36, .external_lex_state = 3},
  [2241] = {.lex_state = 36, .external_lex_state = 3},
  [2242] = {.lex_state = 36, .external_lex_state = 3},
  [2243] = {.lex_state = 36, .external_lex_state = 3},
  [2244] = {.lex_state = 36, .external_lex_state = 3},
  [2245] = {.lex_state = 36, .external_lex_state = 3},
  [2246] = {.lex_state = 36, .external_lex_state = 3},
  [2247] = {.lex_state = 36, .external_lex_state = 3},
  [2248] = {.lex_state = 36, .external_lex_state = 3},
  [2249] = {.lex_state = 36, .external_lex_state = 3},
  [2250] = {.lex_state = 36, .external_lex_state = 3},
  [2251] = {.lex_state = 36, .external_lex_state = 3},
  [2252] = {.lex_state = 36, .external_lex_state = 3},
  [2253] = {.lex_state = 36, .external_lex_state = 3},
  [2254] = {.lex_state = 36, .external_lex_state = 3},
  [2255] = {.lex_state = 36, .external_lex_state = 3},
  [2256] = {.lex_state = 36, .external_lex_state = 3},
  [2257] = {.lex_state = 36, .external_lex_state = 3},
  [2258] = {.lex_state = 36, .external_lex_state = 3},
  [2259] = {.lex_state = 36, .external_lex_state = 3},
  [2260] = {.lex_state = 36, .external_lex_state = 3},
  [2261] = {.lex_state = 36, .external_lex_state = 3},
  [2262] = {.lex_state = 36, .external_lex_state = 3},
  [2263] = {.lex_state = 36, .external_lex_state = 3},
  [2264] = {.lex_state = 36, .external_lex_state = 3},
  [2265] = {.lex_state = 36, .external_lex_state = 3},
  [2266] = {.lex_state = 36, .external_lex_state = 3},
  [2267] = {.lex_state = 36, .external_lex_state = 3},
  [2268] = {.lex_state = 36, .external_lex_state = 3},
  [2269] = {.lex_state = 36, .external_lex_state = 3},
  [2270] = {.lex_state = 36, .external_lex_state = 3},
  [2271] = {.lex_state = 36, .external_lex_state = 3},
  [2272] = {.lex_state = 131, .external_lex_state = 3},
  [2273] = {.lex_state = 36, .external_lex_state = 3},
  [2274] = {.lex_state = 36, .external_lex_state = 3},
  [2275] = {.lex_state = 36, .external_lex_state = 3},
  [2276] = {.lex_state = 36, .external_lex_state = 3},
  [2277] = {.lex_state = 36, .external_lex_state = 3},
  [2278] = {.lex_state = 36, .external_lex_state = 3},
  [2279] = {.lex_state = 36, .external_lex_state = 3},
  [2280] = {.lex_state = 36, .external_lex_state = 3},
  [2281] = {.lex_state = 36, .external_lex_state = 3},
  [2282] = {.lex_state = 36, .external_lex_state = 3},
  [2283] = {.lex_state = 36, .external_lex_state = 3},
  [2284] = {.lex_state = 36, .external_lex_state = 3},
  [2285] = {.lex_state = 36, .external_lex_state = 3},
  [2286] = {.lex_state = 36, .external_lex_state = 3},
  [2287] = {.lex_state = 36, .external_lex_state = 3},
  [2288] = {.lex_state = 36, .external_lex_state = 3},
  [2289] = {.lex_state = 36, .external_lex_state = 3},
  [2290] = {.lex_state = 36, .external_lex_state = 3},
  [2291] = {.lex_state = 36, .external_lex_state = 3},
  [2292] = {.lex_state = 36, .external_lex_state = 3},
  [2293] = {.lex_state = 36, .external_lex_state = 3},
  [2294] = {.lex_state = 36, .external_lex_state = 3},
  [2295] = {.lex_state = 36, .external_lex_state = 3},
  [2296] = {.lex_state = 36, .external_lex_state = 3},
  [2297] = {.lex_state = 36, .external_lex_state = 3},
  [2298] = {.lex_state = 36, .external_lex_state = 3},
  [2299] = {.lex_state = 36, .external_lex_state = 3},
  [2300] = {.lex_state = 36, .external_lex_state = 3},
  [2301] = {.lex_state = 36, .external_lex_state = 3},
  [2302] = {.lex_state = 36, .external_lex_state = 3},
  [2303] = {.lex_state = 36, .external_lex_state = 3},
  [2304] = {.lex_state = 36, .external_lex_state = 3},
  [2305] = {.lex_state = 36, .external_lex_state = 3},
  [2306] = {.lex_state = 36, .external_lex_state = 3},
  [2307] = {.lex_state = 36, .external_lex_state = 3},
  [2308] = {.lex_state = 36, .external_lex_state = 3},
  [2309] = {.lex_state = 36, .external_lex_state = 3},
  [2310] = {.lex_state = 36, .external_lex_state = 3},
  [2311] = {.lex_state = 36, .external_lex_state = 3},
  [2312] = {.lex_state = 36, .external_lex_state = 3},
  [2313] = {.lex_state = 36, .external_lex_state = 3},
  [2314] = {.lex_state = 36, .external_lex_state = 3},
  [2315] = {.lex_state = 36, .external_lex_state = 3},
  [2316] = {.lex_state = 36, .external_lex_state = 3},
  [2317] = {.lex_state = 36, .external_lex_state = 3},
  [2318] = {.lex_state = 123, .external_lex_state = 3},
  [2319] = {.lex_state = 36, .external_lex_state = 3},
  [2320] = {.lex_state = 36, .external_lex_state = 3},
  [2321] = {.lex_state = 36, .external_lex_state = 3},
  [2322] = {.lex_state = 36, .external_lex_state = 3},
  [2323] = {.lex_state = 36, .external_lex_state = 3},
  [2324] = {.lex_state = 36, .external_lex_state = 3},
  [2325] = {.lex_state = 36, .external_lex_state = 3},
  [2326] = {.lex_state = 36, .external_lex_state = 3},
  [2327] = {.lex_state = 36, .external_lex_state = 3},
  [2328] = {.lex_state = 36, .external_lex_state = 3},
  [2329] = {.lex_state = 36, .external_lex_state = 3},
  [2330] = {.lex_state = 36, .external_lex_state = 3},
  [2331] = {.lex_state = 36, .external_lex_state = 3},
  [2332] = {.lex_state = 36, .external_lex_state = 3},
  [2333] = {.lex_state = 131, .external_lex_state = 3},
  [2334] = {.lex_state = 36, .external_lex_state = 3},
  [2335] = {.lex_state = 36, .external_lex_state = 3},
  [2336] = {.lex_state = 36, .external_lex_state = 3},
  [2337] = {.lex_state = 130, .external_lex_state = 3},
  [2338] = {.lex_state = 36, .external_lex_state = 3},
  [2339] = {.lex_state = 36, .external_lex_state = 3},
  [2340] = {.lex_state = 36, .external_lex_state = 3},
  [2341] = {.lex_state = 36, .external_lex_state = 3},
  [2342] = {.lex_state = 36, .external_lex_state = 3},
  [2343] = {.lex_state = 36, .external_lex_state = 3},
  [2344] = {.lex_state = 36, .external_lex_state = 3},
  [2345] = {.lex_state = 36, .external_lex_state = 3},
  [2346] = {.lex_state = 36, .external_lex_state = 3},
  [2347] = {.lex_state = 36, .external_lex_state = 3},
  [2348] = {.lex_state = 36, .external_lex_state = 3},
  [2349] = {.lex_state = 36, .external_lex_state = 3},
  [2350] = {.lex_state = 36, .external_lex_state = 3},
  [2351] = {.lex_state = 36, .external_lex_state = 3},
  [2352] = {.lex_state = 36, .external_lex_state = 3},
  [2353] = {.lex_state = 36, .external_lex_state = 3},
  [2354] = {.lex_state = 36, .external_lex_state = 3},
  [2355] = {.lex_state = 36, .external_lex_state = 3},
  [2356] = {.lex_state = 36, .external_lex_state = 3},
  [2357] = {.lex_state = 36, .external_lex_state = 3},
  [2358] = {.lex_state = 36, .external_lex_state = 3},
  [2359] = {.lex_state = 36, .external_lex_state = 3},
  [2360] = {.lex_state = 36, .external_lex_state = 3},
  [2361] = {.lex_state = 36, .external_lex_state = 3},
  [2362] = {.lex_state = 36, .external_lex_state = 3},
  [2363] = {.lex_state = 36, .external_lex_state = 3},
  [2364] = {.lex_state = 36, .external_lex_state = 3},
  [2365] = {.lex_state = 36, .external_lex_state = 3},
  [2366] = {.lex_state = 36, .external_lex_state = 3},
  [2367] = {.lex_state = 36, .external_lex_state = 3},
  [2368] = {.lex_state = 36, .external_lex_state = 3},
  [2369] = {.lex_state = 36, .external_lex_state = 3},
  [2370] = {.lex_state = 36, .external_lex_state = 3},
  [2371] = {.lex_state = 36, .external_lex_state = 3},
  [2372] = {.lex_state = 36, .external_lex_state = 3},
  [2373] = {.lex_state = 36, .external_lex_state = 3},
  [2374] = {.lex_state = 36, .external_lex_state = 3},
  [2375] = {.lex_state = 36, .external_lex_state = 3},
  [2376] = {.lex_state = 36, .external_lex_state = 3},
  [2377] = {.lex_state = 36, .external_lex_state = 3},
  [2378] = {.lex_state = 36, .external_lex_state = 3},
  [2379] = {.lex_state = 36, .external_lex_state = 3},
  [2380] = {.lex_state = 36, .external_lex_state = 3},
  [2381] = {.lex_state = 36, .external_lex_state = 3},
  [2382] = {.lex_state = 36, .external_lex_state = 3},
  [2383] = {.lex_state = 36, .external_lex_state = 3},
  [2384] = {.lex_state = 36, .external_lex_state = 3},
  [2385] = {.lex_state = 36, .external_lex_state = 3},
  [2386] = {.lex_state = 36, .external_lex_state = 3},
  [2387] = {.lex_state = 36, .external_lex_state = 3},
  [2388] = {.lex_state = 36, .external_lex_state = 3},
  [2389] = {.lex_state = 36, .external_lex_state = 3},
  [2390] = {.lex_state = 36, .external_lex_state = 3},
  [2391] = {.lex_state = 36, .external_lex_state = 3},
  [2392] = {.lex_state = 36, .external_lex_state = 3},
  [2393] = {.lex_state = 36, .external_lex_state = 3},
  [2394] = {.lex_state = 124, .external_lex_state = 3},
  [2395] = {.lex_state = 132, .external_lex_state = 3},
  [2396] = {.lex_state = 124, .external_lex_state = 3},
  [2397] = {.lex_state = 132, .external_lex_state = 3},
  [2398] = {.lex_state = 133, .external_lex_state = 3},
  [2399] = {.lex_state = 128, .external_lex_state = 3},
  [2400] = {.lex_state = 133, .external_lex_state = 3},
  [2401] = {.lex_state = 128, .external_lex_state = 3},
  [2402] = {.lex_state = 134, .external_lex_state = 3},
  [2403] = {.lex_state = 127, .external_lex_state = 3},
  [2404] = {.lex_state = 127, .external_lex_state = 3},
  [2405] = {.lex_state = 134, .external_lex_state = 3},
  [2406] = {.lex_state = 80, .external_lex_state = 3},
  [2407] = {.lex_state = 81, .external_lex_state = 3},
  [2408] = {.lex_state = 49, .external_lex_state = 3},
  [2409] = {.lex_state = 51, .external_lex_state = 3},
  [2410] = {.lex_state = 48, .external_lex_state = 3},
  [2411] = {.lex_state = 80, .external_lex_state = 3},
  [2412] = {.lex_state = 80, .external_lex_state = 3},
  [2413] = {.lex_state = 81, .external_lex_state = 3},
  [2414] = {.lex_state = 81, .external_lex_state = 3},
  [2415] = {.lex_state = 50, .external_lex_state = 3},
  [2416] = {.lex_state = 49, .external_lex_state = 3},
  [2417] = {.lex_state = 49, .external_lex_state = 3},
  [2418] = {.lex_state = 51, .external_lex_state = 3},
  [2419] = {.lex_state = 51, .external_lex_state = 3},
  [2420] = {.lex_state = 48, .external_lex_state = 3},
  [2421] = {.lex_state = 94, .external_lex_state = 3},
  [2422] = {.lex_state = 48, .external_lex_state = 3},
  [2423] = {.lex_state = 96, .external_lex_state = 3},
  [2424] = {.lex_state = 96, .external_lex_state = 3},
  [2425] = {.lex_state = 177, .external_lex_state = 3},
  [2426] = {.lex_state = 177, .external_lex_state = 3},
  [2427] = {.lex_state = 96, .external_lex_state = 3},
  [2428] = {.lex_state = 96, .external_lex_state = 3},
  [2429] = {.lex_state = 96, .external_lex_state = 3},
  [2430] = {.lex_state = 96, .external_lex_state = 3},
  [2431] = {.lex_state = 179, .external_lex_state = 3},
  [2432] = {.lex_state = 179, .external_lex_state = 3},
  [2433] = {.lex_state = 96, .external_lex_state = 3},
  [2434] = {.lex_state = 96, .external_lex_state = 3},
  [2435] = {.lex_state = 95, .external_lex_state = 3},
  [2436] = {.lex_state = 50, .external_lex_state = 3},
  [2437] = {.lex_state = 50, .external_lex_state = 3},
  [2438] = {.lex_state = 178, .external_lex_state = 3},
  [2439] = {.lex_state = 180, .external_lex_state = 3},
  [2440] = {.lex_state = 180, .external_lex_state = 3},
  [2441] = {.lex_state = 178, .external_lex_state = 3},
  [2442] = {.lex_state = 84, .external_lex_state = 3},
  [2443] = {.lex_state = 97, .external_lex_state = 3},
  [2444] = {.lex_state = 94, .external_lex_state = 3},
  [2445] = {.lex_state = 97, .external_lex_state = 3},
  [2446] = {.lex_state = 97, .external_lex_state = 3},
  [2447] = {.lex_state = 97, .external_lex_state = 3},
  [2448] = {.lex_state = 97, .external_lex_state = 3},
  [2449] = {.lex_state = 97, .external_lex_state = 3},
  [2450] = {.lex_state = 97, .external_lex_state = 3},
  [2451] = {.lex_state = 97, .external_lex_state = 3},
  [2452] = {.lex_state = 85, .external_lex_state = 3},
  [2453] = {.lex_state = 89, .external_lex_state = 3},
  [2454] = {.lex_state = 82, .external_lex_state = 3},
  [2455] = {.lex_state = 90, .external_lex_state = 3},
  [2456] = {.lex_state = 88, .external_lex_state = 3},
  [2457] = {.lex_state = 97, .external_lex_state = 3},
  [2458] = {.lex_state = 86, .external_lex_state = 3},
  [2459] = {.lex_state = 97, .external_lex_state = 3},
  [2460] = {.lex_state = 94, .external_lex_state = 3},
  [2461] = {.lex_state = 97, .external_lex_state = 3},
  [2462] = {.lex_state = 87, .external_lex_state = 3},
  [2463] = {.lex_state = 95, .external_lex_state = 3},
  [2464] = {.lex_state = 177, .external_lex_state = 3},
  [2465] = {.lex_state = 93, .external_lex_state = 3},
  [2466] = {.lex_state = 95, .external_lex_state = 3},
  [2467] = {.lex_state = 179, .external_lex_state = 3},
  [2468] = {.lex_state = 91, .external_lex_state = 3},
  [2469] = {.lex_state = 83, .external_lex_state = 3},
  [2470] = {.lex_state = 92, .external_lex_state = 3},
  [2471] = {.lex_state = 178, .external_lex_state = 3},
  [2472] = {.lex_state = 32, .external_lex_state = 3},
  [2473] = {.lex_state = 34, .external_lex_state = 3},
  [2474] = {.lex_state = 34, .external_lex_state = 3},
  [2475] = {.lex_state = 34, .external_lex_state = 3},
  [2476] = {.lex_state = 180, .external_lex_state = 3},
  [2477] = {.lex_state = 84, .external_lex_state = 3},
  [2478] = {.lex_state = 32, .external_lex_state = 3},
  [2479] = {.lex_state = 84, .external_lex_state = 3},
  [2480] = {.lex_state = 32, .external_lex_state = 3},
  [2481] = {.lex_state = 86, .external_lex_state = 3},
  [2482] = {.lex_state = 86, .external_lex_state = 3},
  [2483] = {.lex_state = 85, .external_lex_state = 3},
  [2484] = {.lex_state = 420, .external_lex_state = 3},
  [2485] = {.lex_state = 420, .external_lex_state = 3},
  [2486] = {.lex_state = 85, .external_lex_state = 3},
  [2487] = {.lex_state = 89, .external_lex_state = 3},
  [2488] = {.lex_state = 82, .external_lex_state = 3},
  [2489] = {.lex_state = 90, .external_lex_state = 3},
  [2490] = {.lex_state = 88, .external_lex_state = 3},
  [2491] = {.lex_state = 89, .external_lex_state = 3},
  [2492] = {.lex_state = 82, .external_lex_state = 3},
  [2493] = {.lex_state = 420, .external_lex_state = 3},
  [2494] = {.lex_state = 90, .external_lex_state = 3},
  [2495] = {.lex_state = 88, .external_lex_state = 3},
  [2496] = {.lex_state = 91, .external_lex_state = 3},
  [2497] = {.lex_state = 93, .external_lex_state = 3},
  [2498] = {.lex_state = 87, .external_lex_state = 3},
  [2499] = {.lex_state = 20, .external_lex_state = 3},
  [2500] = {.lex_state = 93, .external_lex_state = 3},
  [2501] = {.lex_state = 87, .external_lex_state = 3},
  [2502] = {.lex_state = 91, .external_lex_state = 3},
  [2503] = {.lex_state = 83, .external_lex_state = 3},
  [2504] = {.lex_state = 20, .external_lex_state = 3},
  [2505] = {.lex_state = 20, .external_lex_state = 3},
  [2506] = {.lex_state = 83, .external_lex_state = 3},
  [2507] = {.lex_state = 92, .external_lex_state = 3},
  [2508] = {.lex_state = 92, .external_lex_state = 3},
  [2509] = {.lex_state = 98, .external_lex_state = 3},
  [2510] = {.lex_state = 98, .external_lex_state = 3},
  [2511] = {.lex_state = 98, .external_lex_state = 3},
  [2512] = {.lex_state = 98, .external_lex_state = 3},
  [2513] = {.lex_state = 98, .external_lex_state = 3},
  [2514] = {.lex_state = 98, .external_lex_state = 3},
  [2515] = {.lex_state = 98, .external_lex_state = 3},
  [2516] = {.lex_state = 173, .external_lex_state = 3},
  [2517] = {.lex_state = 172, .external_lex_state = 3},
  [2518] = {.lex_state = 173, .external_lex_state = 3},
  [2519] = {.lex_state = 172, .external_lex_state = 3},
  [2520] = {.lex_state = 172, .external_lex_state = 3},
  [2521] = {.lex_state = 173, .external_lex_state = 3},
  [2522] = {.lex_state = 173, .external_lex_state = 3},
  [2523] = {.lex_state = 21, .external_lex_state = 3},
  [2524] = {.lex_state = 173, .external_lex_state = 3},
  [2525] = {.lex_state = 172, .external_lex_state = 3},
  [2526] = {.lex_state = 21, .external_lex_state = 3},
  [2527] = {.lex_state = 172, .external_lex_state = 3},
  [2528] = {.lex_state = 173, .external_lex_state = 3},
  [2529] = {.lex_state = 173, .external_lex_state = 3},
  [2530] = {.lex_state = 172, .external_lex_state = 3},
  [2531] = {.lex_state = 172, .external_lex_state = 3},
  [2532] = {.lex_state = 172, .external_lex_state = 3},
  [2533] = {.lex_state = 173, .external_lex_state = 3},
  [2534] = {.lex_state = 173, .external_lex_state = 3},
  [2535] = {.lex_state = 172, .external_lex_state = 3},
  [2536] = {.lex_state = 21, .external_lex_state = 3},
  [2537] = {.lex_state = 173, .external_lex_state = 3},
  [2538] = {.lex_state = 172, .external_lex_state = 3},
  [2539] = {.lex_state = 422, .external_lex_state = 3},
  [2540] = {.lex_state = 422, .external_lex_state = 3},
  [2541] = {.lex_state = 422, .external_lex_state = 3},
  [2542] = {.lex_state = 422, .external_lex_state = 3},
  [2543] = {.lex_state = 167, .external_lex_state = 3},
  [2544] = {.lex_state = 422, .external_lex_state = 3},
  [2545] = {.lex_state = 422, .external_lex_state = 3},
  [2546] = {.lex_state = 422, .external_lex_state = 3},
  [2547] = {.lex_state = 422, .external_lex_state = 3},
  [2548] = {.lex_state = 422, .external_lex_state = 3},
  [2549] = {.lex_state = 422, .external_lex_state = 3},
  [2550] = {.lex_state = 174, .external_lex_state = 3},
  [2551] = {.lex_state = 174, .external_lex_state = 3},
  [2552] = {.lex_state = 174, .external_lex_state = 3},
  [2553] = {.lex_state = 174, .external_lex_state = 3},
  [2554] = {.lex_state = 174, .external_lex_state = 3},
  [2555] = {.lex_state = 174, .external_lex_state = 3},
  [2556] = {.lex_state = 174, .external_lex_state = 3},
  [2557] = {.lex_state = 174, .external_lex_state = 3},
  [2558] = {.lex_state = 167, .external_lex_state = 3},
  [2559] = {.lex_state = 174, .external_lex_state = 3},
  [2560] = {.lex_state = 174, .external_lex_state = 3},
  [2561] = {.lex_state = 173, .external_lex_state = 3},
  [2562] = {.lex_state = 172, .external_lex_state = 3},
  [2563] = {.lex_state = 422, .external_lex_state = 3},
  [2564] = {.lex_state = 167, .external_lex_state = 3},
  [2565] = {.lex_state = 181, .external_lex_state = 3},
  [2566] = {.lex_state = 181, .external_lex_state = 3},
  [2567] = {.lex_state = 174, .external_lex_state = 3},
  [2568] = {.lex_state = 182, .external_lex_state = 3},
  [2569] = {.lex_state = 167, .external_lex_state = 3},
  [2570] = {.lex_state = 182, .external_lex_state = 3},
  [2571] = {.lex_state = 167, .external_lex_state = 3},
  [2572] = {.lex_state = 167, .external_lex_state = 3},
  [2573] = {.lex_state = 167, .external_lex_state = 3},
  [2574] = {.lex_state = 170, .external_lex_state = 3},
  [2575] = {.lex_state = 167, .external_lex_state = 3},
  [2576] = {.lex_state = 167, .external_lex_state = 3},
  [2577] = {.lex_state = 167, .external_lex_state = 3},
  [2578] = {.lex_state = 167, .external_lex_state = 3},
  [2579] = {.lex_state = 167, .external_lex_state = 3},
  [2580] = {.lex_state = 167, .external_lex_state = 3},
  [2581] = {.lex_state = 167, .external_lex_state = 3},
  [2582] = {.lex_state = 170, .external_lex_state = 3},
  [2583] = {.lex_state = 167, .external_lex_state = 3},
  [2584] = {.lex_state = 167, .external_lex_state = 3},
  [2585] = {.lex_state = 167, .external_lex_state = 3},
  [2586] = {.lex_state = 167, .external_lex_state = 3},
  [2587] = {.lex_state = 167, .external_lex_state = 3},
  [2588] = {.lex_state = 167, .external_lex_state = 3},
  [2589] = {.lex_state = 167, .external_lex_state = 3},
  [2590] = {.lex_state = 167, .external_lex_state = 3},
  [2591] = {.lex_state = 167, .external_lex_state = 3},
  [2592] = {.lex_state = 167, .external_lex_state = 3},
  [2593] = {.lex_state = 167, .external_lex_state = 3},
  [2594] = {.lex_state = 170, .external_lex_state = 3},
  [2595] = {.lex_state = 167, .external_lex_state = 3},
  [2596] = {.lex_state = 167, .external_lex_state = 3},
  [2597] = {.lex_state = 167, .external_lex_state = 3},
  [2598] = {.lex_state = 167, .external_lex_state = 3},
  [2599] = {.lex_state = 167, .external_lex_state = 3},
  [2600] = {.lex_state = 167, .external_lex_state = 3},
  [2601] = {.lex_state = 167, .external_lex_state = 3},
  [2602] = {.lex_state = 167, .external_lex_state = 3},
  [2603] = {.lex_state = 167, .external_lex_state = 3},
  [2604] = {.lex_state = 167, .external_lex_state = 3},
  [2605] = {.lex_state = 167, .external_lex_state = 3},
  [2606] = {.lex_state = 167, .external_lex_state = 3},
  [2607] = {.lex_state = 167, .external_lex_state = 3},
  [2608] = {.lex_state = 167, .external_lex_state = 3},
  [2609] = {.lex_state = 167, .external_lex_state = 3},
  [2610] = {.lex_state = 167, .external_lex_state = 3},
  [2611] = {.lex_state = 167, .external_lex_state = 3},
  [2612] = {.lex_state = 167, .external_lex_state = 3},
  [2613] = {.lex_state = 167, .external_lex_state = 3},
  [2614] = {.lex_state = 167, .external_lex_state = 3},
  [2615] = {.lex_state = 167, .external_lex_state = 3},
  [2616] = {.lex_state = 170, .external_lex_state = 3},
  [2617] = {.lex_state = 170, .external_lex_state = 3},
  [2618] = {.lex_state = 170, .external_lex_state = 3},
  [2619] = {.lex_state = 167, .external_lex_state = 3},
  [2620] = {.lex_state = 167, .external_lex_state = 3},
  [2621] = {.lex_state = 168, .external_lex_state = 3},
  [2622] = {.lex_state = 168, .external_lex_state = 3},
  [2623] = {.lex_state = 181, .external_lex_state = 3},
  [2624] = {.lex_state = 168, .external_lex_state = 3},
  [2625] = {.lex_state = 168, .external_lex_state = 3},
  [2626] = {.lex_state = 168, .external_lex_state = 3},
  [2627] = {.lex_state = 168, .external_lex_state = 3},
  [2628] = {.lex_state = 168, .external_lex_state = 3},
  [2629] = {.lex_state = 168, .external_lex_state = 3},
  [2630] = {.lex_state = 168, .external_lex_state = 3},
  [2631] = {.lex_state = 168, .external_lex_state = 3},
  [2632] = {.lex_state = 168, .external_lex_state = 3},
  [2633] = {.lex_state = 168, .external_lex_state = 3},
  [2634] = {.lex_state = 168, .external_lex_state = 3},
  [2635] = {.lex_state = 168, .external_lex_state = 3},
  [2636] = {.lex_state = 168, .external_lex_state = 3},
  [2637] = {.lex_state = 168, .external_lex_state = 3},
  [2638] = {.lex_state = 168, .external_lex_state = 3},
  [2639] = {.lex_state = 168, .external_lex_state = 3},
  [2640] = {.lex_state = 168, .external_lex_state = 3},
  [2641] = {.lex_state = 168, .external_lex_state = 3},
  [2642] = {.lex_state = 168, .external_lex_state = 3},
  [2643] = {.lex_state = 168, .external_lex_state = 3},
  [2644] = {.lex_state = 168, .external_lex_state = 3},
  [2645] = {.lex_state = 168, .external_lex_state = 3},
  [2646] = {.lex_state = 168, .external_lex_state = 3},
  [2647] = {.lex_state = 168, .external_lex_state = 3},
  [2648] = {.lex_state = 168, .external_lex_state = 3},
  [2649] = {.lex_state = 168, .external_lex_state = 3},
  [2650] = {.lex_state = 168, .external_lex_state = 3},
  [2651] = {.lex_state = 168, .external_lex_state = 3},
  [2652] = {.lex_state = 168, .external_lex_state = 3},
  [2653] = {.lex_state = 168, .external_lex_state = 3},
  [2654] = {.lex_state = 168, .external_lex_state = 3},
  [2655] = {.lex_state = 168, .external_lex_state = 3},
  [2656] = {.lex_state = 168, .external_lex_state = 3},
  [2657] = {.lex_state = 168, .external_lex_state = 3},
  [2658] = {.lex_state = 168, .external_lex_state = 3},
  [2659] = {.lex_state = 168, .external_lex_state = 3},
  [2660] = {.lex_state = 168, .external_lex_state = 3},
  [2661] = {.lex_state = 168, .external_lex_state = 3},
  [2662] = {.lex_state = 168, .external_lex_state = 3},
  [2663] = {.lex_state = 168, .external_lex_state = 3},
  [2664] = {.lex_state = 168, .external_lex_state = 3},
  [2665] = {.lex_state = 168, .external_lex_state = 3},
  [2666] = {.lex_state = 168, .external_lex_state = 3},
  [2667] = {.lex_state = 168, .external_lex_state = 3},
  [2668] = {.lex_state = 168, .external_lex_state = 3},
  [2669] = {.lex_state = 168, .external_lex_state = 3},
  [2670] = {.lex_state = 167, .external_lex_state = 3},
  [2671] = {.lex_state = 167, .external_lex_state = 3},
  [2672] = {.lex_state = 167, .external_lex_state = 3},
  [2673] = {.lex_state = 167, .external_lex_state = 3},
  [2674] = {.lex_state = 167, .external_lex_state = 3},
  [2675] = {.lex_state = 167, .external_lex_state = 3},
  [2676] = {.lex_state = 167, .external_lex_state = 3},
  [2677] = {.lex_state = 167, .external_lex_state = 3},
  [2678] = {.lex_state = 167, .external_lex_state = 3},
  [2679] = {.lex_state = 167, .external_lex_state = 3},
  [2680] = {.lex_state = 167, .external_lex_state = 3},
  [2681] = {.lex_state = 167, .external_lex_state = 3},
  [2682] = {.lex_state = 167, .external_lex_state = 3},
  [2683] = {.lex_state = 167, .external_lex_state = 3},
  [2684] = {.lex_state = 167, .external_lex_state = 3},
  [2685] = {.lex_state = 167, .external_lex_state = 3},
  [2686] = {.lex_state = 167, .external_lex_state = 3},
  [2687] = {.lex_state = 167, .external_lex_state = 3},
  [2688] = {.lex_state = 167, .external_lex_state = 3},
  [2689] = {.lex_state = 167, .external_lex_state = 3},
  [2690] = {.lex_state = 167, .external_lex_state = 3},
  [2691] = {.lex_state = 167, .external_lex_state = 3},
  [2692] = {.lex_state = 167, .external_lex_state = 3},
  [2693] = {.lex_state = 167, .external_lex_state = 3},
  [2694] = {.lex_state = 167, .external_lex_state = 3},
  [2695] = {.lex_state = 167, .external_lex_state = 3},
  [2696] = {.lex_state = 167, .external_lex_state = 3},
  [2697] = {.lex_state = 167, .external_lex_state = 3},
  [2698] = {.lex_state = 167, .external_lex_state = 3},
  [2699] = {.lex_state = 167, .external_lex_state = 3},
  [2700] = {.lex_state = 167, .external_lex_state = 3},
  [2701] = {.lex_state = 167, .external_lex_state = 3},
  [2702] = {.lex_state = 167, .external_lex_state = 3},
  [2703] = {.lex_state = 167, .external_lex_state = 3},
  [2704] = {.lex_state = 167, .external_lex_state = 3},
  [2705] = {.lex_state = 167, .external_lex_state = 3},
  [2706] = {.lex_state = 167, .external_lex_state = 3},
  [2707] = {.lex_state = 167, .external_lex_state = 3},
  [2708] = {.lex_state = 167, .external_lex_state = 3},
  [2709] = {.lex_state = 167, .external_lex_state = 3},
  [2710] = {.lex_state = 167, .external_lex_state = 3},
  [2711] = {.lex_state = 167, .external_lex_state = 3},
  [2712] = {.lex_state = 167, .external_lex_state = 3},
  [2713] = {.lex_state = 167, .external_lex_state = 3},
  [2714] = {.lex_state = 167, .external_lex_state = 3},
  [2715] = {.lex_state = 167, .external_lex_state = 3},
  [2716] = {.lex_state = 167, .external_lex_state = 3},
  [2717] = {.lex_state = 167, .external_lex_state = 3},
  [2718] = {.lex_state = 167, .external_lex_state = 3},
  [2719] = {.lex_state = 167, .external_lex_state = 3},
  [2720] = {.lex_state = 167, .external_lex_state = 3},
  [2721] = {.lex_state = 167, .external_lex_state = 3},
  [2722] = {.lex_state = 167, .external_lex_state = 3},
  [2723] = {.lex_state = 167, .external_lex_state = 3},
  [2724] = {.lex_state = 167, .external_lex_state = 3},
  [2725] = {.lex_state = 167, .external_lex_state = 3},
  [2726] = {.lex_state = 167, .external_lex_state = 3},
  [2727] = {.lex_state = 167, .external_lex_state = 3},
  [2728] = {.lex_state = 167, .external_lex_state = 3},
  [2729] = {.lex_state = 167, .external_lex_state = 3},
  [2730] = {.lex_state = 167, .external_lex_state = 3},
  [2731] = {.lex_state = 167, .external_lex_state = 3},
  [2732] = {.lex_state = 167, .external_lex_state = 3},
  [2733] = {.lex_state = 167, .external_lex_state = 3},
  [2734] = {.lex_state = 167, .external_lex_state = 3},
  [2735] = {.lex_state = 167, .external_lex_state = 3},
  [2736] = {.lex_state = 167, .external_lex_state = 3},
  [2737] = {.lex_state = 167, .external_lex_state = 3},
  [2738] = {.lex_state = 167, .external_lex_state = 3},
  [2739] = {.lex_state = 167, .external_lex_state = 3},
  [2740] = {.lex_state = 167, .external_lex_state = 3},
  [2741] = {.lex_state = 167, .external_lex_state = 3},
  [2742] = {.lex_state = 431, .external_lex_state = 2},
  [2743] = {.lex_state = 167, .external_lex_state = 3},
  [2744] = {.lex_state = 167, .external_lex_state = 3},
  [2745] = {.lex_state = 167, .external_lex_state = 3},
  [2746] = {.lex_state = 167, .external_lex_state = 3},
  [2747] = {.lex_state = 167, .external_lex_state = 3},
  [2748] = {.lex_state = 167, .external_lex_state = 3},
  [2749] = {.lex_state = 167, .external_lex_state = 3},
  [2750] = {.lex_state = 167, .external_lex_state = 3},
  [2751] = {.lex_state = 167, .external_lex_state = 3},
  [2752] = {.lex_state = 167, .external_lex_state = 3},
  [2753] = {.lex_state = 167, .external_lex_state = 3},
  [2754] = {.lex_state = 167, .external_lex_state = 3},
  [2755] = {.lex_state = 167, .external_lex_state = 3},
  [2756] = {.lex_state = 167, .external_lex_state = 3},
  [2757] = {.lex_state = 167, .external_lex_state = 3},
  [2758] = {.lex_state = 167, .external_lex_state = 3},
  [2759] = {.lex_state = 167, .external_lex_state = 3},
  [2760] = {.lex_state = 167, .external_lex_state = 3},
  [2761] = {.lex_state = 167, .external_lex_state = 3},
  [2762] = {.lex_state = 167, .external_lex_state = 3},
  [2763] = {.lex_state = 167, .external_lex_state = 3},
  [2764] = {.lex_state = 167, .external_lex_state = 3},
  [2765] = {.lex_state = 167, .external_lex_state = 3},
  [2766] = {.lex_state = 167, .external_lex_state = 3},
  [2767] = {.lex_state = 167, .external_lex_state = 3},
  [2768] = {.lex_state = 167, .external_lex_state = 3},
  [2769] = {.lex_state = 167, .external_lex_state = 3},
  [2770] = {.lex_state = 167, .external_lex_state = 3},
  [2771] = {.lex_state = 167, .external_lex_state = 3},
  [2772] = {.lex_state = 167, .external_lex_state = 3},
  [2773] = {.lex_state = 167, .external_lex_state = 3},
  [2774] = {.lex_state = 167, .external_lex_state = 3},
  [2775] = {.lex_state = 167, .external_lex_state = 3},
  [2776] = {.lex_state = 167, .external_lex_state = 3},
  [2777] = {.lex_state = 167, .external_lex_state = 3},
  [2778] = {.lex_state = 167, .external_lex_state = 3},
  [2779] = {.lex_state = 167, .external_lex_state = 3},
  [2780] = {.lex_state = 167, .external_lex_state = 3},
  [2781] = {.lex_state = 167, .external_lex_state = 3},
  [2782] = {.lex_state = 167, .external_lex_state = 3},
  [2783] = {.lex_state = 167, .external_lex_state = 3},
  [2784] = {.lex_state = 167, .external_lex_state = 3},
  [2785] = {.lex_state = 167, .external_lex_state = 3},
  [2786] = {.lex_state = 167, .external_lex_state = 3},
  [2787] = {.lex_state = 167, .external_lex_state = 3},
  [2788] = {.lex_state = 167, .external_lex_state = 3},
  [2789] = {.lex_state = 167, .external_lex_state = 3},
  [2790] = {.lex_state = 167, .external_lex_state = 3},
  [2791] = {.lex_state = 167, .external_lex_state = 3},
  [2792] = {.lex_state = 167, .external_lex_state = 3},
  [2793] = {.lex_state = 167, .external_lex_state = 3},
  [2794] = {.lex_state = 167, .external_lex_state = 3},
  [2795] = {.lex_state = 167, .external_lex_state = 3},
  [2796] = {.lex_state = 167, .external_lex_state = 3},
  [2797] = {.lex_state = 167, .external_lex_state = 3},
  [2798] = {.lex_state = 167, .external_lex_state = 3},
  [2799] = {.lex_state = 167, .external_lex_state = 3},
  [2800] = {.lex_state = 167, .external_lex_state = 3},
  [2801] = {.lex_state = 167, .external_lex_state = 3},
  [2802] = {.lex_state = 167, .external_lex_state = 3},
  [2803] = {.lex_state = 167, .external_lex_state = 3},
  [2804] = {.lex_state = 167, .external_lex_state = 3},
  [2805] = {.lex_state = 167, .external_lex_state = 3},
  [2806] = {.lex_state = 18, .external_lex_state = 3},
  [2807] = {.lex_state = 167, .external_lex_state = 3},
  [2808] = {.lex_state = 167, .external_lex_state = 3},
  [2809] = {.lex_state = 167, .external_lex_state = 3},
  [2810] = {.lex_state = 167, .external_lex_state = 3},
  [2811] = {.lex_state = 18, .external_lex_state = 3},
  [2812] = {.lex_state = 167, .external_lex_state = 3},
  [2813] = {.lex_state = 167, .external_lex_state = 3},
  [2814] = {.lex_state = 167, .external_lex_state = 3},
  [2815] = {.lex_state = 167, .external_lex_state = 3},
  [2816] = {.lex_state = 167, .external_lex_state = 3},
  [2817] = {.lex_state = 167, .external_lex_state = 3},
  [2818] = {.lex_state = 167, .external_lex_state = 3},
  [2819] = {.lex_state = 167, .external_lex_state = 3},
  [2820] = {.lex_state = 167, .external_lex_state = 3},
  [2821] = {.lex_state = 167, .external_lex_state = 3},
  [2822] = {.lex_state = 167, .external_lex_state = 3},
  [2823] = {.lex_state = 167, .external_lex_state = 3},
  [2824] = {.lex_state = 167, .external_lex_state = 3},
  [2825] = {.lex_state = 167, .external_lex_state = 3},
  [2826] = {.lex_state = 167, .external_lex_state = 3},
  [2827] = {.lex_state = 167, .external_lex_state = 3},
  [2828] = {.lex_state = 167, .external_lex_state = 3},
  [2829] = {.lex_state = 167, .external_lex_state = 3},
  [2830] = {.lex_state = 167, .external_lex_state = 3},
  [2831] = {.lex_state = 167, .external_lex_state = 3},
  [2832] = {.lex_state = 167, .external_lex_state = 3},
  [2833] = {.lex_state = 167, .external_lex_state = 3},
  [2834] = {.lex_state = 167, .external_lex_state = 3},
  [2835] = {.lex_state = 167, .external_lex_state = 3},
  [2836] = {.lex_state = 167, .external_lex_state = 3},
  [2837] = {.lex_state = 167, .external_lex_state = 3},
  [2838] = {.lex_state = 167, .external_lex_state = 3},
  [2839] = {.lex_state = 167, .external_lex_state = 3},
  [2840] = {.lex_state = 167, .external_lex_state = 3},
  [2841] = {.lex_state = 167, .external_lex_state = 3},
  [2842] = {.lex_state = 167, .external_lex_state = 3},
  [2843] = {.lex_state = 167, .external_lex_state = 3},
  [2844] = {.lex_state = 167, .external_lex_state = 3},
  [2845] = {.lex_state = 167, .external_lex_state = 3},
  [2846] = {.lex_state = 167, .external_lex_state = 3},
  [2847] = {.lex_state = 167, .external_lex_state = 3},
  [2848] = {.lex_state = 167, .external_lex_state = 3},
  [2849] = {.lex_state = 167, .external_lex_state = 3},
  [2850] = {.lex_state = 167, .external_lex_state = 3},
  [2851] = {.lex_state = 167, .external_lex_state = 3},
  [2852] = {.lex_state = 167, .external_lex_state = 3},
  [2853] = {.lex_state = 167, .external_lex_state = 3},
  [2854] = {.lex_state = 167, .external_lex_state = 3},
  [2855] = {.lex_state = 167, .external_lex_state = 3},
  [2856] = {.lex_state = 167, .external_lex_state = 3},
  [2857] = {.lex_state = 167, .external_lex_state = 3},
  [2858] = {.lex_state = 167, .external_lex_state = 3},
  [2859] = {.lex_state = 167, .external_lex_state = 3},
  [2860] = {.lex_state = 167, .external_lex_state = 3},
  [2861] = {.lex_state = 167, .external_lex_state = 3},
  [2862] = {.lex_state = 167, .external_lex_state = 3},
  [2863] = {.lex_state = 167, .external_lex_state = 3},
  [2864] = {.lex_state = 167, .external_lex_state = 3},
  [2865] = {.lex_state = 167, .external_lex_state = 3},
  [2866] = {.lex_state = 167, .external_lex_state = 3},
  [2867] = {.lex_state = 167, .external_lex_state = 3},
  [2868] = {.lex_state = 167, .external_lex_state = 3},
  [2869] = {.lex_state = 167, .external_lex_state = 3},
  [2870] = {.lex_state = 167, .external_lex_state = 3},
  [2871] = {.lex_state = 167, .external_lex_state = 3},
  [2872] = {.lex_state = 167, .external_lex_state = 3},
  [2873] = {.lex_state = 167, .external_lex_state = 3},
  [2874] = {.lex_state = 167, .external_lex_state = 3},
  [2875] = {.lex_state = 167, .external_lex_state = 3},
  [2876] = {.lex_state = 167, .external_lex_state = 3},
  [2877] = {.lex_state = 167, .external_lex_state = 3},
  [2878] = {.lex_state = 167, .external_lex_state = 3},
  [2879] = {.lex_state = 167, .external_lex_state = 3},
  [2880] = {.lex_state = 167, .external_lex_state = 3},
  [2881] = {.lex_state = 167, .external_lex_state = 3},
  [2882] = {.lex_state = 167, .external_lex_state = 3},
  [2883] = {.lex_state = 167, .external_lex_state = 3},
  [2884] = {.lex_state = 167, .external_lex_state = 3},
  [2885] = {.lex_state = 167, .external_lex_state = 3},
  [2886] = {.lex_state = 167, .external_lex_state = 3},
  [2887] = {.lex_state = 167, .external_lex_state = 3},
  [2888] = {.lex_state = 167, .external_lex_state = 3},
  [2889] = {.lex_state = 167, .external_lex_state = 3},
  [2890] = {.lex_state = 167, .external_lex_state = 3},
  [2891] = {.lex_state = 18, .external_lex_state = 3},
  [2892] = {.lex_state = 167, .external_lex_state = 3},
  [2893] = {.lex_state = 167, .external_lex_state = 3},
  [2894] = {.lex_state = 167, .external_lex_state = 3},
  [2895] = {.lex_state = 167, .external_lex_state = 3},
  [2896] = {.lex_state = 54, .external_lex_state = 3},
  [2897] = {.lex_state = 167, .external_lex_state = 3},
  [2898] = {.lex_state = 167, .external_lex_state = 3},
  [2899] = {.lex_state = 167, .external_lex_state = 3},
  [2900] = {.lex_state = 54, .external_lex_state = 3},
  [2901] = {.lex_state = 54, .external_lex_state = 3},
  [2902] = {.lex_state = 54, .external_lex_state = 3},
  [2903] = {.lex_state = 58, .external_lex_state = 3},
  [2904] = {.lex_state = 54, .external_lex_state = 3},
  [2905] = {.lex_state = 54, .external_lex_state = 3},
  [2906] = {.lex_state = 167, .external_lex_state = 3},
  [2907] = {.lex_state = 54, .external_lex_state = 3},
  [2908] = {.lex_state = 54, .external_lex_state = 3},
  [2909] = {.lex_state = 167, .external_lex_state = 3},
  [2910] = {.lex_state = 54, .external_lex_state = 3},
  [2911] = {.lex_state = 167, .external_lex_state = 3},
  [2912] = {.lex_state = 167, .external_lex_state = 3},
  [2913] = {.lex_state = 167, .external_lex_state = 3},
  [2914] = {.lex_state = 167, .external_lex_state = 3},
  [2915] = {.lex_state = 167, .external_lex_state = 3},
  [2916] = {.lex_state = 167, .external_lex_state = 3},
  [2917] = {.lex_state = 167, .external_lex_state = 3},
  [2918] = {.lex_state = 54, .external_lex_state = 3},
  [2919] = {.lex_state = 167, .external_lex_state = 3},
  [2920] = {.lex_state = 170, .external_lex_state = 3},
  [2921] = {.lex_state = 167, .external_lex_state = 3},
  [2922] = {.lex_state = 167, .external_lex_state = 3},
  [2923] = {.lex_state = 58, .external_lex_state = 3},
  [2924] = {.lex_state = 58, .external_lex_state = 3},
  [2925] = {.lex_state = 167, .external_lex_state = 3},
  [2926] = {.lex_state = 58, .external_lex_state = 3},
  [2927] = {.lex_state = 58, .external_lex_state = 3},
  [2928] = {.lex_state = 58, .external_lex_state = 3},
  [2929] = {.lex_state = 58, .external_lex_state = 3},
  [2930] = {.lex_state = 58, .external_lex_state = 3},
  [2931] = {.lex_state = 58, .external_lex_state = 3},
  [2932] = {.lex_state = 58, .external_lex_state = 3},
  [2933] = {.lex_state = 167, .external_lex_state = 3},
  [2934] = {.lex_state = 58, .external_lex_state = 3},
  [2935] = {.lex_state = 54, .external_lex_state = 3},
  [2936] = {.lex_state = 58, .external_lex_state = 3},
  [2937] = {.lex_state = 58, .external_lex_state = 3},
  [2938] = {.lex_state = 58, .external_lex_state = 3},
  [2939] = {.lex_state = 167, .external_lex_state = 3},
  [2940] = {.lex_state = 167, .external_lex_state = 3},
  [2941] = {.lex_state = 182, .external_lex_state = 3},
  [2942] = {.lex_state = 58, .external_lex_state = 3},
  [2943] = {.lex_state = 60, .external_lex_state = 3},
  [2944] = {.lex_state = 59, .external_lex_state = 3},
  [2945] = {.lex_state = 55, .external_lex_state = 3},
  [2946] = {.lex_state = 55, .external_lex_state = 3},
  [2947] = {.lex_state = 167, .external_lex_state = 3},
  [2948] = {.lex_state = 58, .external_lex_state = 3},
  [2949] = {.lex_state = 167, .external_lex_state = 3},
  [2950] = {.lex_state = 182, .external_lex_state = 3},
  [2951] = {.lex_state = 167, .external_lex_state = 3},
  [2952] = {.lex_state = 182, .external_lex_state = 3},
  [2953] = {.lex_state = 167, .external_lex_state = 3},
  [2954] = {.lex_state = 58, .external_lex_state = 3},
  [2955] = {.lex_state = 60, .external_lex_state = 3},
  [2956] = {.lex_state = 167, .external_lex_state = 3},
  [2957] = {.lex_state = 59, .external_lex_state = 3},
  [2958] = {.lex_state = 60, .external_lex_state = 3},
  [2959] = {.lex_state = 60, .external_lex_state = 3},
  [2960] = {.lex_state = 60, .external_lex_state = 3},
  [2961] = {.lex_state = 167, .external_lex_state = 3},
  [2962] = {.lex_state = 60, .external_lex_state = 3},
  [2963] = {.lex_state = 60, .external_lex_state = 3},
  [2964] = {.lex_state = 182, .external_lex_state = 3},
  [2965] = {.lex_state = 167, .external_lex_state = 3},
  [2966] = {.lex_state = 59, .external_lex_state = 3},
  [2967] = {.lex_state = 54, .external_lex_state = 3},
  [2968] = {.lex_state = 54, .external_lex_state = 3},
  [2969] = {.lex_state = 167, .external_lex_state = 3},
  [2970] = {.lex_state = 167, .external_lex_state = 3},
  [2971] = {.lex_state = 167, .external_lex_state = 3},
  [2972] = {.lex_state = 182, .external_lex_state = 3},
  [2973] = {.lex_state = 167, .external_lex_state = 3},
  [2974] = {.lex_state = 54, .external_lex_state = 3},
  [2975] = {.lex_state = 167, .external_lex_state = 3},
  [2976] = {.lex_state = 54, .external_lex_state = 3},
  [2977] = {.lex_state = 18, .external_lex_state = 4},
  [2978] = {.lex_state = 167, .external_lex_state = 3},
  [2979] = {.lex_state = 54, .external_lex_state = 3},
  [2980] = {.lex_state = 54, .external_lex_state = 3},
  [2981] = {.lex_state = 167, .external_lex_state = 3},
  [2982] = {.lex_state = 167, .external_lex_state = 3},
  [2983] = {.lex_state = 182, .external_lex_state = 3},
  [2984] = {.lex_state = 167, .external_lex_state = 3},
  [2985] = {.lex_state = 167, .external_lex_state = 3},
  [2986] = {.lex_state = 182, .external_lex_state = 3},
  [2987] = {.lex_state = 52, .external_lex_state = 3},
  [2988] = {.lex_state = 167, .external_lex_state = 3},
  [2989] = {.lex_state = 167, .external_lex_state = 3},
  [2990] = {.lex_state = 182, .external_lex_state = 3},
  [2991] = {.lex_state = 54, .external_lex_state = 3},
  [2992] = {.lex_state = 54, .external_lex_state = 3},
  [2993] = {.lex_state = 54, .external_lex_state = 3},
  [2994] = {.lex_state = 167, .external_lex_state = 3},
  [2995] = {.lex_state = 167, .external_lex_state = 3},
  [2996] = {.lex_state = 167, .external_lex_state = 3},
  [2997] = {.lex_state = 167, .external_lex_state = 3},
  [2998] = {.lex_state = 167, .external_lex_state = 3},
  [2999] = {.lex_state = 167, .external_lex_state = 3},
  [3000] = {.lex_state = 182, .external_lex_state = 3},
  [3001] = {.lex_state = 167, .external_lex_state = 3},
  [3002] = {.lex_state = 54, .external_lex_state = 3},
  [3003] = {.lex_state = 167, .external_lex_state = 3},
  [3004] = {.lex_state = 167, .external_lex_state = 3},
  [3005] = {.lex_state = 54, .external_lex_state = 3},
  [3006] = {.lex_state = 167, .external_lex_state = 3},
  [3007] = {.lex_state = 18, .external_lex_state = 4},
  [3008] = {.lex_state = 167, .external_lex_state = 3},
  [3009] = {.lex_state = 167, .external_lex_state = 3},
  [3010] = {.lex_state = 182, .external_lex_state = 3},
  [3011] = {.lex_state = 167, .external_lex_state = 3},
  [3012] = {.lex_state = 52, .external_lex_state = 3},
  [3013] = {.lex_state = 52, .external_lex_state = 3},
  [3014] = {.lex_state = 167, .external_lex_state = 3},
  [3015] = {.lex_state = 167, .external_lex_state = 3},
  [3016] = {.lex_state = 18, .external_lex_state = 4},
  [3017] = {.lex_state = 52, .external_lex_state = 3},
  [3018] = {.lex_state = 52, .external_lex_state = 3},
  [3019] = {.lex_state = 167, .external_lex_state = 3},
  [3020] = {.lex_state = 52, .external_lex_state = 3},
  [3021] = {.lex_state = 167, .external_lex_state = 3},
  [3022] = {.lex_state = 52, .external_lex_state = 3},
  [3023] = {.lex_state = 167, .external_lex_state = 3},
  [3024] = {.lex_state = 167, .external_lex_state = 3},
  [3025] = {.lex_state = 167, .external_lex_state = 3},
  [3026] = {.lex_state = 167, .external_lex_state = 3},
  [3027] = {.lex_state = 167, .external_lex_state = 3},
  [3028] = {.lex_state = 182, .external_lex_state = 3},
  [3029] = {.lex_state = 18, .external_lex_state = 4},
  [3030] = {.lex_state = 182, .external_lex_state = 3},
  [3031] = {.lex_state = 182, .external_lex_state = 3},
  [3032] = {.lex_state = 167, .external_lex_state = 3},
  [3033] = {.lex_state = 167, .external_lex_state = 3},
  [3034] = {.lex_state = 167, .external_lex_state = 3},
  [3035] = {.lex_state = 18, .external_lex_state = 3},
  [3036] = {.lex_state = 167, .external_lex_state = 3},
  [3037] = {.lex_state = 167, .external_lex_state = 3},
  [3038] = {.lex_state = 167, .external_lex_state = 3},
  [3039] = {.lex_state = 18, .external_lex_state = 4},
  [3040] = {.lex_state = 182, .external_lex_state = 3},
  [3041] = {.lex_state = 167, .external_lex_state = 3},
  [3042] = {.lex_state = 18, .external_lex_state = 3},
  [3043] = {.lex_state = 167, .external_lex_state = 3},
  [3044] = {.lex_state = 54, .external_lex_state = 3},
  [3045] = {.lex_state = 60, .external_lex_state = 3},
  [3046] = {.lex_state = 167, .external_lex_state = 3},
  [3047] = {.lex_state = 167, .external_lex_state = 3},
  [3048] = {.lex_state = 18, .external_lex_state = 4},
  [3049] = {.lex_state = 182, .external_lex_state = 3},
  [3050] = {.lex_state = 167, .external_lex_state = 3},
  [3051] = {.lex_state = 167, .external_lex_state = 3},
  [3052] = {.lex_state = 167, .external_lex_state = 3},
  [3053] = {.lex_state = 167, .external_lex_state = 3},
  [3054] = {.lex_state = 18, .external_lex_state = 4},
  [3055] = {.lex_state = 182, .external_lex_state = 3},
  [3056] = {.lex_state = 167, .external_lex_state = 3},
  [3057] = {.lex_state = 58, .external_lex_state = 3},
  [3058] = {.lex_state = 167, .external_lex_state = 3},
  [3059] = {.lex_state = 182, .external_lex_state = 3},
  [3060] = {.lex_state = 18, .external_lex_state = 4},
  [3061] = {.lex_state = 54, .external_lex_state = 3},
  [3062] = {.lex_state = 167, .external_lex_state = 3},
  [3063] = {.lex_state = 54, .external_lex_state = 3},
  [3064] = {.lex_state = 167, .external_lex_state = 3},
  [3065] = {.lex_state = 167, .external_lex_state = 3},
  [3066] = {.lex_state = 18, .external_lex_state = 4},
  [3067] = {.lex_state = 54, .external_lex_state = 3},
  [3068] = {.lex_state = 167, .external_lex_state = 3},
  [3069] = {.lex_state = 60, .external_lex_state = 3},
  [3070] = {.lex_state = 167, .external_lex_state = 3},
  [3071] = {.lex_state = 54, .external_lex_state = 3},
  [3072] = {.lex_state = 18, .external_lex_state = 4},
  [3073] = {.lex_state = 167, .external_lex_state = 3},
  [3074] = {.lex_state = 167, .external_lex_state = 3},
  [3075] = {.lex_state = 167, .external_lex_state = 3},
  [3076] = {.lex_state = 167, .external_lex_state = 3},
  [3077] = {.lex_state = 58, .external_lex_state = 3},
  [3078] = {.lex_state = 18, .external_lex_state = 4},
  [3079] = {.lex_state = 55, .external_lex_state = 3},
  [3080] = {.lex_state = 167, .external_lex_state = 3},
  [3081] = {.lex_state = 167, .external_lex_state = 3},
  [3082] = {.lex_state = 55, .external_lex_state = 3},
  [3083] = {.lex_state = 58, .external_lex_state = 3},
  [3084] = {.lex_state = 167, .external_lex_state = 3},
  [3085] = {.lex_state = 58, .external_lex_state = 3},
  [3086] = {.lex_state = 18, .external_lex_state = 4},
  [3087] = {.lex_state = 58, .external_lex_state = 3},
  [3088] = {.lex_state = 167, .external_lex_state = 3},
  [3089] = {.lex_state = 18, .external_lex_state = 4},
  [3090] = {.lex_state = 54, .external_lex_state = 3},
  [3091] = {.lex_state = 18, .external_lex_state = 4},
  [3092] = {.lex_state = 59, .external_lex_state = 3},
  [3093] = {.lex_state = 54, .external_lex_state = 3},
  [3094] = {.lex_state = 18, .external_lex_state = 4},
  [3095] = {.lex_state = 59, .external_lex_state = 3},
  [3096] = {.lex_state = 58, .external_lex_state = 3},
  [3097] = {.lex_state = 18, .external_lex_state = 4},
  [3098] = {.lex_state = 167, .external_lex_state = 3},
  [3099] = {.lex_state = 18, .external_lex_state = 4},
  [3100] = {.lex_state = 167, .external_lex_state = 3},
  [3101] = {.lex_state = 18, .external_lex_state = 4},
  [3102] = {.lex_state = 60, .external_lex_state = 3},
  [3103] = {.lex_state = 18, .external_lex_state = 4},
  [3104] = {.lex_state = 182, .external_lex_state = 3},
  [3105] = {.lex_state = 18, .external_lex_state = 4},
  [3106] = {.lex_state = 60, .external_lex_state = 3},
  [3107] = {.lex_state = 18, .external_lex_state = 4},
  [3108] = {.lex_state = 182, .external_lex_state = 3},
  [3109] = {.lex_state = 18, .external_lex_state = 4},
  [3110] = {.lex_state = 59, .external_lex_state = 3},
  [3111] = {.lex_state = 18, .external_lex_state = 4},
  [3112] = {.lex_state = 54, .external_lex_state = 3},
  [3113] = {.lex_state = 167, .external_lex_state = 3},
  [3114] = {.lex_state = 18, .external_lex_state = 4},
  [3115] = {.lex_state = 54, .external_lex_state = 3},
  [3116] = {.lex_state = 54, .external_lex_state = 3},
  [3117] = {.lex_state = 52, .external_lex_state = 3},
  [3118] = {.lex_state = 18, .external_lex_state = 4},
  [3119] = {.lex_state = 54, .external_lex_state = 3},
  [3120] = {.lex_state = 54, .external_lex_state = 3},
  [3121] = {.lex_state = 54, .external_lex_state = 3},
  [3122] = {.lex_state = 54, .external_lex_state = 3},
  [3123] = {.lex_state = 167, .external_lex_state = 3},
  [3124] = {.lex_state = 18, .external_lex_state = 4},
  [3125] = {.lex_state = 54, .external_lex_state = 3},
  [3126] = {.lex_state = 54, .external_lex_state = 3},
  [3127] = {.lex_state = 54, .external_lex_state = 3},
  [3128] = {.lex_state = 59, .external_lex_state = 3},
  [3129] = {.lex_state = 54, .external_lex_state = 3},
  [3130] = {.lex_state = 54, .external_lex_state = 3},
  [3131] = {.lex_state = 18, .external_lex_state = 4},
  [3132] = {.lex_state = 54, .external_lex_state = 3},
  [3133] = {.lex_state = 167, .external_lex_state = 3},
  [3134] = {.lex_state = 54, .external_lex_state = 3},
  [3135] = {.lex_state = 54, .external_lex_state = 3},
  [3136] = {.lex_state = 167, .external_lex_state = 3},
  [3137] = {.lex_state = 18, .external_lex_state = 4},
  [3138] = {.lex_state = 54, .external_lex_state = 3},
  [3139] = {.lex_state = 54, .external_lex_state = 3},
  [3140] = {.lex_state = 54, .external_lex_state = 3},
  [3141] = {.lex_state = 54, .external_lex_state = 3},
  [3142] = {.lex_state = 54, .external_lex_state = 3},
  [3143] = {.lex_state = 167, .external_lex_state = 3},
  [3144] = {.lex_state = 18, .external_lex_state = 4},
  [3145] = {.lex_state = 54, .external_lex_state = 3},
  [3146] = {.lex_state = 54, .external_lex_state = 3},
  [3147] = {.lex_state = 54, .external_lex_state = 3},
  [3148] = {.lex_state = 54, .external_lex_state = 3},
  [3149] = {.lex_state = 54, .external_lex_state = 3},
  [3150] = {.lex_state = 54, .external_lex_state = 3},
  [3151] = {.lex_state = 54, .external_lex_state = 3},
  [3152] = {.lex_state = 182, .external_lex_state = 3},
  [3153] = {.lex_state = 18, .external_lex_state = 4},
  [3154] = {.lex_state = 54, .external_lex_state = 3},
  [3155] = {.lex_state = 54, .external_lex_state = 3},
  [3156] = {.lex_state = 54, .external_lex_state = 3},
  [3157] = {.lex_state = 54, .external_lex_state = 3},
  [3158] = {.lex_state = 167, .external_lex_state = 3},
  [3159] = {.lex_state = 167, .external_lex_state = 3},
  [3160] = {.lex_state = 182, .external_lex_state = 3},
  [3161] = {.lex_state = 52, .external_lex_state = 3},
  [3162] = {.lex_state = 18, .external_lex_state = 4},
  [3163] = {.lex_state = 54, .external_lex_state = 3},
  [3164] = {.lex_state = 54, .external_lex_state = 3},
  [3165] = {.lex_state = 54, .external_lex_state = 3},
  [3166] = {.lex_state = 54, .external_lex_state = 3},
  [3167] = {.lex_state = 58, .external_lex_state = 3},
  [3168] = {.lex_state = 58, .external_lex_state = 3},
  [3169] = {.lex_state = 58, .external_lex_state = 3},
  [3170] = {.lex_state = 18, .external_lex_state = 4},
  [3171] = {.lex_state = 167, .external_lex_state = 3},
  [3172] = {.lex_state = 54, .external_lex_state = 3},
  [3173] = {.lex_state = 58, .external_lex_state = 3},
  [3174] = {.lex_state = 18, .external_lex_state = 4},
  [3175] = {.lex_state = 54, .external_lex_state = 3},
  [3176] = {.lex_state = 167, .external_lex_state = 3},
  [3177] = {.lex_state = 18, .external_lex_state = 4},
  [3178] = {.lex_state = 182, .external_lex_state = 3},
  [3179] = {.lex_state = 54, .external_lex_state = 3},
  [3180] = {.lex_state = 58, .external_lex_state = 3},
  [3181] = {.lex_state = 18, .external_lex_state = 4},
  [3182] = {.lex_state = 58, .external_lex_state = 3},
  [3183] = {.lex_state = 18, .external_lex_state = 4},
  [3184] = {.lex_state = 167, .external_lex_state = 3},
  [3185] = {.lex_state = 18, .external_lex_state = 4},
  [3186] = {.lex_state = 54, .external_lex_state = 3},
  [3187] = {.lex_state = 54, .external_lex_state = 3},
  [3188] = {.lex_state = 58, .external_lex_state = 3},
  [3189] = {.lex_state = 52, .external_lex_state = 3},
  [3190] = {.lex_state = 18, .external_lex_state = 4},
  [3191] = {.lex_state = 54, .external_lex_state = 3},
  [3192] = {.lex_state = 52, .external_lex_state = 3},
  [3193] = {.lex_state = 58, .external_lex_state = 3},
  [3194] = {.lex_state = 18, .external_lex_state = 4},
  [3195] = {.lex_state = 54, .external_lex_state = 3},
  [3196] = {.lex_state = 54, .external_lex_state = 3},
  [3197] = {.lex_state = 58, .external_lex_state = 3},
  [3198] = {.lex_state = 54, .external_lex_state = 3},
  [3199] = {.lex_state = 58, .external_lex_state = 3},
  [3200] = {.lex_state = 18, .external_lex_state = 4},
  [3201] = {.lex_state = 54, .external_lex_state = 3},
  [3202] = {.lex_state = 54, .external_lex_state = 3},
  [3203] = {.lex_state = 58, .external_lex_state = 3},
  [3204] = {.lex_state = 18, .external_lex_state = 4},
  [3205] = {.lex_state = 54, .external_lex_state = 3},
  [3206] = {.lex_state = 58, .external_lex_state = 3},
  [3207] = {.lex_state = 18, .external_lex_state = 4},
  [3208] = {.lex_state = 18, .external_lex_state = 4},
  [3209] = {.lex_state = 58, .external_lex_state = 3},
  [3210] = {.lex_state = 58, .external_lex_state = 3},
  [3211] = {.lex_state = 58, .external_lex_state = 3},
  [3212] = {.lex_state = 58, .external_lex_state = 3},
  [3213] = {.lex_state = 58, .external_lex_state = 3},
  [3214] = {.lex_state = 167, .external_lex_state = 3},
  [3215] = {.lex_state = 58, .external_lex_state = 3},
  [3216] = {.lex_state = 58, .external_lex_state = 3},
  [3217] = {.lex_state = 58, .external_lex_state = 3},
  [3218] = {.lex_state = 58, .external_lex_state = 3},
  [3219] = {.lex_state = 58, .external_lex_state = 3},
  [3220] = {.lex_state = 58, .external_lex_state = 3},
  [3221] = {.lex_state = 58, .external_lex_state = 3},
  [3222] = {.lex_state = 58, .external_lex_state = 3},
  [3223] = {.lex_state = 167, .external_lex_state = 3},
  [3224] = {.lex_state = 58, .external_lex_state = 3},
  [3225] = {.lex_state = 58, .external_lex_state = 3},
  [3226] = {.lex_state = 182, .external_lex_state = 3},
  [3227] = {.lex_state = 58, .external_lex_state = 3},
  [3228] = {.lex_state = 59, .external_lex_state = 3},
  [3229] = {.lex_state = 58, .external_lex_state = 3},
  [3230] = {.lex_state = 58, .external_lex_state = 3},
  [3231] = {.lex_state = 58, .external_lex_state = 3},
  [3232] = {.lex_state = 58, .external_lex_state = 3},
  [3233] = {.lex_state = 58, .external_lex_state = 3},
  [3234] = {.lex_state = 58, .external_lex_state = 3},
  [3235] = {.lex_state = 58, .external_lex_state = 3},
  [3236] = {.lex_state = 58, .external_lex_state = 3},
  [3237] = {.lex_state = 58, .external_lex_state = 3},
  [3238] = {.lex_state = 58, .external_lex_state = 3},
  [3239] = {.lex_state = 58, .external_lex_state = 3},
  [3240] = {.lex_state = 58, .external_lex_state = 3},
  [3241] = {.lex_state = 58, .external_lex_state = 3},
  [3242] = {.lex_state = 58, .external_lex_state = 3},
  [3243] = {.lex_state = 58, .external_lex_state = 3},
  [3244] = {.lex_state = 54, .external_lex_state = 3},
  [3245] = {.lex_state = 54, .external_lex_state = 3},
  [3246] = {.lex_state = 58, .external_lex_state = 3},
  [3247] = {.lex_state = 58, .external_lex_state = 3},
  [3248] = {.lex_state = 58, .external_lex_state = 3},
  [3249] = {.lex_state = 58, .external_lex_state = 3},
  [3250] = {.lex_state = 167, .external_lex_state = 3},
  [3251] = {.lex_state = 167, .external_lex_state = 3},
  [3252] = {.lex_state = 54, .external_lex_state = 3},
  [3253] = {.lex_state = 58, .external_lex_state = 3},
  [3254] = {.lex_state = 58, .external_lex_state = 3},
  [3255] = {.lex_state = 167, .external_lex_state = 3},
  [3256] = {.lex_state = 182, .external_lex_state = 3},
  [3257] = {.lex_state = 58, .external_lex_state = 3},
  [3258] = {.lex_state = 54, .external_lex_state = 3},
  [3259] = {.lex_state = 54, .external_lex_state = 3},
  [3260] = {.lex_state = 58, .external_lex_state = 3},
  [3261] = {.lex_state = 58, .external_lex_state = 3},
  [3262] = {.lex_state = 54, .external_lex_state = 3},
  [3263] = {.lex_state = 58, .external_lex_state = 3},
  [3264] = {.lex_state = 55, .external_lex_state = 3},
  [3265] = {.lex_state = 58, .external_lex_state = 3},
  [3266] = {.lex_state = 58, .external_lex_state = 3},
  [3267] = {.lex_state = 58, .external_lex_state = 3},
  [3268] = {.lex_state = 58, .external_lex_state = 3},
  [3269] = {.lex_state = 55, .external_lex_state = 3},
  [3270] = {.lex_state = 55, .external_lex_state = 3},
  [3271] = {.lex_state = 55, .external_lex_state = 3},
  [3272] = {.lex_state = 58, .external_lex_state = 3},
  [3273] = {.lex_state = 55, .external_lex_state = 3},
  [3274] = {.lex_state = 55, .external_lex_state = 3},
  [3275] = {.lex_state = 55, .external_lex_state = 3},
  [3276] = {.lex_state = 58, .external_lex_state = 3},
  [3277] = {.lex_state = 58, .external_lex_state = 3},
  [3278] = {.lex_state = 59, .external_lex_state = 3},
  [3279] = {.lex_state = 59, .external_lex_state = 3},
  [3280] = {.lex_state = 59, .external_lex_state = 3},
  [3281] = {.lex_state = 54, .external_lex_state = 3},
  [3282] = {.lex_state = 59, .external_lex_state = 3},
  [3283] = {.lex_state = 59, .external_lex_state = 3},
  [3284] = {.lex_state = 167, .external_lex_state = 3},
  [3285] = {.lex_state = 59, .external_lex_state = 3},
  [3286] = {.lex_state = 55, .external_lex_state = 3},
  [3287] = {.lex_state = 55, .external_lex_state = 3},
  [3288] = {.lex_state = 167, .external_lex_state = 3},
  [3289] = {.lex_state = 52, .external_lex_state = 3},
  [3290] = {.lex_state = 52, .external_lex_state = 3},
  [3291] = {.lex_state = 52, .external_lex_state = 3},
  [3292] = {.lex_state = 52, .external_lex_state = 3},
  [3293] = {.lex_state = 52, .external_lex_state = 3},
  [3294] = {.lex_state = 52, .external_lex_state = 3},
  [3295] = {.lex_state = 55, .external_lex_state = 3},
  [3296] = {.lex_state = 52, .external_lex_state = 3},
  [3297] = {.lex_state = 52, .external_lex_state = 3},
  [3298] = {.lex_state = 52, .external_lex_state = 3},
  [3299] = {.lex_state = 52, .external_lex_state = 3},
  [3300] = {.lex_state = 52, .external_lex_state = 3},
  [3301] = {.lex_state = 52, .external_lex_state = 3},
  [3302] = {.lex_state = 52, .external_lex_state = 3},
  [3303] = {.lex_state = 52, .external_lex_state = 3},
  [3304] = {.lex_state = 52, .external_lex_state = 3},
  [3305] = {.lex_state = 52, .external_lex_state = 3},
  [3306] = {.lex_state = 59, .external_lex_state = 3},
  [3307] = {.lex_state = 52, .external_lex_state = 3},
  [3308] = {.lex_state = 52, .external_lex_state = 3},
  [3309] = {.lex_state = 55, .external_lex_state = 3},
  [3310] = {.lex_state = 55, .external_lex_state = 3},
  [3311] = {.lex_state = 55, .external_lex_state = 3},
  [3312] = {.lex_state = 52, .external_lex_state = 3},
  [3313] = {.lex_state = 52, .external_lex_state = 3},
  [3314] = {.lex_state = 52, .external_lex_state = 3},
  [3315] = {.lex_state = 52, .external_lex_state = 3},
  [3316] = {.lex_state = 52, .external_lex_state = 3},
  [3317] = {.lex_state = 52, .external_lex_state = 3},
  [3318] = {.lex_state = 52, .external_lex_state = 3},
  [3319] = {.lex_state = 52, .external_lex_state = 3},
  [3320] = {.lex_state = 52, .external_lex_state = 3},
  [3321] = {.lex_state = 52, .external_lex_state = 3},
  [3322] = {.lex_state = 52, .external_lex_state = 3},
  [3323] = {.lex_state = 55, .external_lex_state = 3},
  [3324] = {.lex_state = 52, .external_lex_state = 3},
  [3325] = {.lex_state = 52, .external_lex_state = 3},
  [3326] = {.lex_state = 52, .external_lex_state = 3},
  [3327] = {.lex_state = 52, .external_lex_state = 3},
  [3328] = {.lex_state = 59, .external_lex_state = 3},
  [3329] = {.lex_state = 52, .external_lex_state = 3},
  [3330] = {.lex_state = 59, .external_lex_state = 3},
  [3331] = {.lex_state = 55, .external_lex_state = 3},
  [3332] = {.lex_state = 55, .external_lex_state = 3},
  [3333] = {.lex_state = 59, .external_lex_state = 3},
  [3334] = {.lex_state = 59, .external_lex_state = 3},
  [3335] = {.lex_state = 59, .external_lex_state = 3},
  [3336] = {.lex_state = 59, .external_lex_state = 3},
  [3337] = {.lex_state = 52, .external_lex_state = 3},
  [3338] = {.lex_state = 52, .external_lex_state = 3},
  [3339] = {.lex_state = 169, .external_lex_state = 3},
  [3340] = {.lex_state = 55, .external_lex_state = 3},
  [3341] = {.lex_state = 52, .external_lex_state = 3},
  [3342] = {.lex_state = 52, .external_lex_state = 3},
  [3343] = {.lex_state = 55, .external_lex_state = 3},
  [3344] = {.lex_state = 55, .external_lex_state = 3},
  [3345] = {.lex_state = 55, .external_lex_state = 3},
  [3346] = {.lex_state = 55, .external_lex_state = 3},
  [3347] = {.lex_state = 55, .external_lex_state = 3},
  [3348] = {.lex_state = 55, .external_lex_state = 3},
  [3349] = {.lex_state = 59, .external_lex_state = 3},
  [3350] = {.lex_state = 52, .external_lex_state = 3},
  [3351] = {.lex_state = 55, .external_lex_state = 3},
  [3352] = {.lex_state = 55, .external_lex_state = 3},
  [3353] = {.lex_state = 55, .external_lex_state = 3},
  [3354] = {.lex_state = 55, .external_lex_state = 3},
  [3355] = {.lex_state = 59, .external_lex_state = 3},
  [3356] = {.lex_state = 59, .external_lex_state = 3},
  [3357] = {.lex_state = 52, .external_lex_state = 3},
  [3358] = {.lex_state = 59, .external_lex_state = 3},
  [3359] = {.lex_state = 52, .external_lex_state = 3},
  [3360] = {.lex_state = 59, .external_lex_state = 3},
  [3361] = {.lex_state = 59, .external_lex_state = 3},
  [3362] = {.lex_state = 59, .external_lex_state = 3},
  [3363] = {.lex_state = 52, .external_lex_state = 3},
  [3364] = {.lex_state = 55, .external_lex_state = 3},
  [3365] = {.lex_state = 59, .external_lex_state = 3},
  [3366] = {.lex_state = 52, .external_lex_state = 3},
  [3367] = {.lex_state = 52, .external_lex_state = 3},
  [3368] = {.lex_state = 52, .external_lex_state = 3},
  [3369] = {.lex_state = 167, .external_lex_state = 3},
  [3370] = {.lex_state = 59, .external_lex_state = 3},
  [3371] = {.lex_state = 55, .external_lex_state = 3},
  [3372] = {.lex_state = 59, .external_lex_state = 3},
  [3373] = {.lex_state = 59, .external_lex_state = 3},
  [3374] = {.lex_state = 59, .external_lex_state = 3},
  [3375] = {.lex_state = 167, .external_lex_state = 3},
  [3376] = {.lex_state = 167, .external_lex_state = 3},
  [3377] = {.lex_state = 55, .external_lex_state = 3},
  [3378] = {.lex_state = 59, .external_lex_state = 3},
  [3379] = {.lex_state = 167, .external_lex_state = 3},
  [3380] = {.lex_state = 167, .external_lex_state = 3},
  [3381] = {.lex_state = 52, .external_lex_state = 3},
  [3382] = {.lex_state = 60, .external_lex_state = 3},
  [3383] = {.lex_state = 167, .external_lex_state = 3},
  [3384] = {.lex_state = 60, .external_lex_state = 3},
  [3385] = {.lex_state = 60, .external_lex_state = 3},
  [3386] = {.lex_state = 52, .external_lex_state = 3},
  [3387] = {.lex_state = 60, .external_lex_state = 3},
  [3388] = {.lex_state = 60, .external_lex_state = 3},
  [3389] = {.lex_state = 60, .external_lex_state = 3},
  [3390] = {.lex_state = 59, .external_lex_state = 3},
  [3391] = {.lex_state = 60, .external_lex_state = 3},
  [3392] = {.lex_state = 60, .external_lex_state = 3},
  [3393] = {.lex_state = 60, .external_lex_state = 3},
  [3394] = {.lex_state = 60, .external_lex_state = 3},
  [3395] = {.lex_state = 60, .external_lex_state = 3},
  [3396] = {.lex_state = 60, .external_lex_state = 3},
  [3397] = {.lex_state = 60, .external_lex_state = 3},
  [3398] = {.lex_state = 60, .external_lex_state = 3},
  [3399] = {.lex_state = 60, .external_lex_state = 3},
  [3400] = {.lex_state = 60, .external_lex_state = 3},
  [3401] = {.lex_state = 60, .external_lex_state = 3},
  [3402] = {.lex_state = 60, .external_lex_state = 3},
  [3403] = {.lex_state = 60, .external_lex_state = 3},
  [3404] = {.lex_state = 60, .external_lex_state = 3},
  [3405] = {.lex_state = 52, .external_lex_state = 3},
  [3406] = {.lex_state = 60, .external_lex_state = 3},
  [3407] = {.lex_state = 60, .external_lex_state = 3},
  [3408] = {.lex_state = 60, .external_lex_state = 3},
  [3409] = {.lex_state = 60, .external_lex_state = 3},
  [3410] = {.lex_state = 60, .external_lex_state = 3},
  [3411] = {.lex_state = 60, .external_lex_state = 3},
  [3412] = {.lex_state = 60, .external_lex_state = 3},
  [3413] = {.lex_state = 60, .external_lex_state = 3},
  [3414] = {.lex_state = 60, .external_lex_state = 3},
  [3415] = {.lex_state = 60, .external_lex_state = 3},
  [3416] = {.lex_state = 60, .external_lex_state = 3},
  [3417] = {.lex_state = 60, .external_lex_state = 3},
  [3418] = {.lex_state = 60, .external_lex_state = 3},
  [3419] = {.lex_state = 60, .external_lex_state = 3},
  [3420] = {.lex_state = 60, .external_lex_state = 3},
  [3421] = {.lex_state = 60, .external_lex_state = 3},
  [3422] = {.lex_state = 55, .external_lex_state = 3},
  [3423] = {.lex_state = 55, .external_lex_state = 3},
  [3424] = {.lex_state = 55, .external_lex_state = 3},
  [3425] = {.lex_state = 55, .external_lex_state = 3},
  [3426] = {.lex_state = 55, .external_lex_state = 3},
  [3427] = {.lex_state = 59, .external_lex_state = 3},
  [3428] = {.lex_state = 59, .external_lex_state = 3},
  [3429] = {.lex_state = 59, .external_lex_state = 3},
  [3430] = {.lex_state = 60, .external_lex_state = 3},
  [3431] = {.lex_state = 60, .external_lex_state = 3},
  [3432] = {.lex_state = 52, .external_lex_state = 3},
  [3433] = {.lex_state = 60, .external_lex_state = 3},
  [3434] = {.lex_state = 55, .external_lex_state = 3},
  [3435] = {.lex_state = 60, .external_lex_state = 3},
  [3436] = {.lex_state = 60, .external_lex_state = 3},
  [3437] = {.lex_state = 60, .external_lex_state = 3},
  [3438] = {.lex_state = 60, .external_lex_state = 3},
  [3439] = {.lex_state = 60, .external_lex_state = 3},
  [3440] = {.lex_state = 60, .external_lex_state = 3},
  [3441] = {.lex_state = 167, .external_lex_state = 3},
  [3442] = {.lex_state = 167, .external_lex_state = 3},
  [3443] = {.lex_state = 167, .external_lex_state = 3},
  [3444] = {.lex_state = 167, .external_lex_state = 3},
  [3445] = {.lex_state = 167, .external_lex_state = 3},
  [3446] = {.lex_state = 167, .external_lex_state = 3},
  [3447] = {.lex_state = 55, .external_lex_state = 3},
  [3448] = {.lex_state = 55, .external_lex_state = 3},
  [3449] = {.lex_state = 18, .external_lex_state = 3},
  [3450] = {.lex_state = 18, .external_lex_state = 3},
  [3451] = {.lex_state = 59, .external_lex_state = 3},
  [3452] = {.lex_state = 59, .external_lex_state = 3},
  [3453] = {.lex_state = 167, .external_lex_state = 3},
  [3454] = {.lex_state = 59, .external_lex_state = 3},
  [3455] = {.lex_state = 60, .external_lex_state = 3},
  [3456] = {.lex_state = 167, .external_lex_state = 3},
  [3457] = {.lex_state = 59, .external_lex_state = 3},
  [3458] = {.lex_state = 59, .external_lex_state = 3},
  [3459] = {.lex_state = 60, .external_lex_state = 3},
  [3460] = {.lex_state = 60, .external_lex_state = 3},
  [3461] = {.lex_state = 60, .external_lex_state = 3},
  [3462] = {.lex_state = 59, .external_lex_state = 3},
  [3463] = {.lex_state = 60, .external_lex_state = 3},
  [3464] = {.lex_state = 59, .external_lex_state = 3},
  [3465] = {.lex_state = 60, .external_lex_state = 3},
  [3466] = {.lex_state = 6, .external_lex_state = 3},
  [3467] = {.lex_state = 6, .external_lex_state = 3},
  [3468] = {.lex_state = 60, .external_lex_state = 3},
  [3469] = {.lex_state = 53, .external_lex_state = 3},
  [3470] = {.lex_state = 53, .external_lex_state = 3},
  [3471] = {.lex_state = 59, .external_lex_state = 3},
  [3472] = {.lex_state = 59, .external_lex_state = 3},
  [3473] = {.lex_state = 59, .external_lex_state = 3},
  [3474] = {.lex_state = 59, .external_lex_state = 3},
  [3475] = {.lex_state = 52, .external_lex_state = 3},
  [3476] = {.lex_state = 52, .external_lex_state = 3},
  [3477] = {.lex_state = 52, .external_lex_state = 3},
  [3478] = {.lex_state = 52, .external_lex_state = 3},
  [3479] = {.lex_state = 52, .external_lex_state = 3},
  [3480] = {.lex_state = 61, .external_lex_state = 3},
  [3481] = {.lex_state = 61, .external_lex_state = 3},
  [3482] = {.lex_state = 167, .external_lex_state = 3},
  [3483] = {.lex_state = 60, .external_lex_state = 3},
  [3484] = {.lex_state = 167, .external_lex_state = 3},
  [3485] = {.lex_state = 167, .external_lex_state = 3},
  [3486] = {.lex_state = 167, .external_lex_state = 3},
  [3487] = {.lex_state = 167, .external_lex_state = 3},
  [3488] = {.lex_state = 167, .external_lex_state = 3},
  [3489] = {.lex_state = 167, .external_lex_state = 3},
  [3490] = {.lex_state = 52, .external_lex_state = 3},
  [3491] = {.lex_state = 52, .external_lex_state = 3},
  [3492] = {.lex_state = 52, .external_lex_state = 3},
  [3493] = {.lex_state = 52, .external_lex_state = 3},
  [3494] = {.lex_state = 52, .external_lex_state = 3},
  [3495] = {.lex_state = 52, .external_lex_state = 3},
  [3496] = {.lex_state = 52, .external_lex_state = 3},
  [3497] = {.lex_state = 52, .external_lex_state = 3},
  [3498] = {.lex_state = 52, .external_lex_state = 3},
  [3499] = {.lex_state = 52, .external_lex_state = 3},
  [3500] = {.lex_state = 52, .external_lex_state = 3},
  [3501] = {.lex_state = 52, .external_lex_state = 3},
  [3502] = {.lex_state = 52, .external_lex_state = 3},
  [3503] = {.lex_state = 52, .external_lex_state = 3},
  [3504] = {.lex_state = 53, .external_lex_state = 3},
  [3505] = {.lex_state = 53, .external_lex_state = 3},
  [3506] = {.lex_state = 53, .external_lex_state = 3},
  [3507] = {.lex_state = 53, .external_lex_state = 3},
  [3508] = {.lex_state = 53, .external_lex_state = 3},
  [3509] = {.lex_state = 53, .external_lex_state = 3},
  [3510] = {.lex_state = 53, .external_lex_state = 3},
  [3511] = {.lex_state = 60, .external_lex_state = 3},
  [3512] = {.lex_state = 60, .external_lex_state = 3},
  [3513] = {.lex_state = 60, .external_lex_state = 3},
  [3514] = {.lex_state = 60, .external_lex_state = 3},
  [3515] = {.lex_state = 60, .external_lex_state = 3},
  [3516] = {.lex_state = 53, .external_lex_state = 3},
  [3517] = {.lex_state = 61, .external_lex_state = 3},
  [3518] = {.lex_state = 53, .external_lex_state = 3},
  [3519] = {.lex_state = 61, .external_lex_state = 3},
  [3520] = {.lex_state = 61, .external_lex_state = 3},
  [3521] = {.lex_state = 61, .external_lex_state = 3},
  [3522] = {.lex_state = 61, .external_lex_state = 3},
  [3523] = {.lex_state = 61, .external_lex_state = 3},
  [3524] = {.lex_state = 61, .external_lex_state = 3},
  [3525] = {.lex_state = 60, .external_lex_state = 3},
  [3526] = {.lex_state = 52, .external_lex_state = 3},
  [3527] = {.lex_state = 167, .external_lex_state = 3},
  [3528] = {.lex_state = 52, .external_lex_state = 3},
  [3529] = {.lex_state = 52, .external_lex_state = 3},
  [3530] = {.lex_state = 52, .external_lex_state = 3},
  [3531] = {.lex_state = 60, .external_lex_state = 3},
  [3532] = {.lex_state = 60, .external_lex_state = 3},
  [3533] = {.lex_state = 60, .external_lex_state = 3},
  [3534] = {.lex_state = 60, .external_lex_state = 3},
  [3535] = {.lex_state = 60, .external_lex_state = 3},
  [3536] = {.lex_state = 60, .external_lex_state = 3},
  [3537] = {.lex_state = 61, .external_lex_state = 3},
  [3538] = {.lex_state = 60, .external_lex_state = 3},
  [3539] = {.lex_state = 60, .external_lex_state = 3},
  [3540] = {.lex_state = 60, .external_lex_state = 3},
  [3541] = {.lex_state = 60, .external_lex_state = 3},
  [3542] = {.lex_state = 61, .external_lex_state = 3},
  [3543] = {.lex_state = 60, .external_lex_state = 3},
  [3544] = {.lex_state = 60, .external_lex_state = 3},
  [3545] = {.lex_state = 167, .external_lex_state = 3},
  [3546] = {.lex_state = 167, .external_lex_state = 3},
  [3547] = {.lex_state = 167, .external_lex_state = 3},
  [3548] = {.lex_state = 60, .external_lex_state = 3},
  [3549] = {.lex_state = 55, .external_lex_state = 3},
  [3550] = {.lex_state = 55, .external_lex_state = 3},
  [3551] = {.lex_state = 167, .external_lex_state = 3},
  [3552] = {.lex_state = 169, .external_lex_state = 3},
  [3553] = {.lex_state = 167, .external_lex_state = 3},
  [3554] = {.lex_state = 167, .external_lex_state = 3},
  [3555] = {.lex_state = 169, .external_lex_state = 3},
  [3556] = {.lex_state = 167, .external_lex_state = 3},
  [3557] = {.lex_state = 167, .external_lex_state = 3},
  [3558] = {.lex_state = 169, .external_lex_state = 3},
  [3559] = {.lex_state = 167, .external_lex_state = 3},
  [3560] = {.lex_state = 167, .external_lex_state = 3},
  [3561] = {.lex_state = 169, .external_lex_state = 3},
  [3562] = {.lex_state = 167, .external_lex_state = 3},
  [3563] = {.lex_state = 167, .external_lex_state = 3},
  [3564] = {.lex_state = 169, .external_lex_state = 3},
  [3565] = {.lex_state = 167, .external_lex_state = 3},
  [3566] = {.lex_state = 167, .external_lex_state = 3},
  [3567] = {.lex_state = 167, .external_lex_state = 3},
  [3568] = {.lex_state = 167, .external_lex_state = 3},
  [3569] = {.lex_state = 167, .external_lex_state = 3},
  [3570] = {.lex_state = 167, .external_lex_state = 3},
  [3571] = {.lex_state = 167, .external_lex_state = 3},
  [3572] = {.lex_state = 167, .external_lex_state = 3},
  [3573] = {.lex_state = 167, .external_lex_state = 3},
  [3574] = {.lex_state = 167, .external_lex_state = 3},
  [3575] = {.lex_state = 167, .external_lex_state = 3},
  [3576] = {.lex_state = 167, .external_lex_state = 3},
  [3577] = {.lex_state = 167, .external_lex_state = 3},
  [3578] = {.lex_state = 167, .external_lex_state = 3},
  [3579] = {.lex_state = 167, .external_lex_state = 3},
  [3580] = {.lex_state = 167, .external_lex_state = 3},
  [3581] = {.lex_state = 167, .external_lex_state = 3},
  [3582] = {.lex_state = 167, .external_lex_state = 3},
  [3583] = {.lex_state = 167, .external_lex_state = 3},
  [3584] = {.lex_state = 167, .external_lex_state = 3},
  [3585] = {.lex_state = 167, .external_lex_state = 3},
  [3586] = {.lex_state = 167, .external_lex_state = 3},
  [3587] = {.lex_state = 167, .external_lex_state = 3},
  [3588] = {.lex_state = 167, .external_lex_state = 3},
  [3589] = {.lex_state = 167, .external_lex_state = 3},
  [3590] = {.lex_state = 167, .external_lex_state = 3},
  [3591] = {.lex_state = 167, .external_lex_state = 3},
  [3592] = {.lex_state = 167, .external_lex_state = 3},
  [3593] = {.lex_state = 167, .external_lex_state = 3},
  [3594] = {.lex_state = 167, .external_lex_state = 3},
  [3595] = {.lex_state = 167, .external_lex_state = 3},
  [3596] = {.lex_state = 55, .external_lex_state = 3},
  [3597] = {.lex_state = 55, .external_lex_state = 3},
  [3598] = {.lex_state = 167, .external_lex_state = 3},
  [3599] = {.lex_state = 55, .external_lex_state = 3},
  [3600] = {.lex_state = 167, .external_lex_state = 3},
  [3601] = {.lex_state = 55, .external_lex_state = 3},
  [3602] = {.lex_state = 55, .external_lex_state = 3},
  [3603] = {.lex_state = 167, .external_lex_state = 3},
  [3604] = {.lex_state = 55, .external_lex_state = 3},
  [3605] = {.lex_state = 55, .external_lex_state = 3},
  [3606] = {.lex_state = 167, .external_lex_state = 3},
  [3607] = {.lex_state = 167, .external_lex_state = 3},
  [3608] = {.lex_state = 167, .external_lex_state = 3},
  [3609] = {.lex_state = 55, .external_lex_state = 3},
  [3610] = {.lex_state = 55, .external_lex_state = 3},
  [3611] = {.lex_state = 55, .external_lex_state = 3},
  [3612] = {.lex_state = 167, .external_lex_state = 3},
  [3613] = {.lex_state = 59, .external_lex_state = 3},
  [3614] = {.lex_state = 55, .external_lex_state = 3},
  [3615] = {.lex_state = 167, .external_lex_state = 3},
  [3616] = {.lex_state = 55, .external_lex_state = 3},
  [3617] = {.lex_state = 55, .external_lex_state = 3},
  [3618] = {.lex_state = 167, .external_lex_state = 3},
  [3619] = {.lex_state = 55, .external_lex_state = 3},
  [3620] = {.lex_state = 167, .external_lex_state = 3},
  [3621] = {.lex_state = 55, .external_lex_state = 3},
  [3622] = {.lex_state = 55, .external_lex_state = 3},
  [3623] = {.lex_state = 167, .external_lex_state = 3},
  [3624] = {.lex_state = 167, .external_lex_state = 3},
  [3625] = {.lex_state = 55, .external_lex_state = 3},
  [3626] = {.lex_state = 55, .external_lex_state = 3},
  [3627] = {.lex_state = 167, .external_lex_state = 3},
  [3628] = {.lex_state = 55, .external_lex_state = 3},
  [3629] = {.lex_state = 55, .external_lex_state = 3},
  [3630] = {.lex_state = 167, .external_lex_state = 3},
  [3631] = {.lex_state = 59, .external_lex_state = 3},
  [3632] = {.lex_state = 55, .external_lex_state = 3},
  [3633] = {.lex_state = 167, .external_lex_state = 3},
  [3634] = {.lex_state = 55, .external_lex_state = 3},
  [3635] = {.lex_state = 55, .external_lex_state = 3},
  [3636] = {.lex_state = 167, .external_lex_state = 3},
  [3637] = {.lex_state = 55, .external_lex_state = 3},
  [3638] = {.lex_state = 167, .external_lex_state = 3},
  [3639] = {.lex_state = 55, .external_lex_state = 3},
  [3640] = {.lex_state = 55, .external_lex_state = 3},
  [3641] = {.lex_state = 167, .external_lex_state = 3},
  [3642] = {.lex_state = 55, .external_lex_state = 3},
  [3643] = {.lex_state = 55, .external_lex_state = 3},
  [3644] = {.lex_state = 167, .external_lex_state = 3},
  [3645] = {.lex_state = 55, .external_lex_state = 3},
  [3646] = {.lex_state = 55, .external_lex_state = 3},
  [3647] = {.lex_state = 167, .external_lex_state = 3},
  [3648] = {.lex_state = 55, .external_lex_state = 3},
  [3649] = {.lex_state = 167, .external_lex_state = 3},
  [3650] = {.lex_state = 55, .external_lex_state = 3},
  [3651] = {.lex_state = 167, .external_lex_state = 3},
  [3652] = {.lex_state = 55, .external_lex_state = 3},
  [3653] = {.lex_state = 55, .external_lex_state = 3},
  [3654] = {.lex_state = 55, .external_lex_state = 3},
  [3655] = {.lex_state = 167, .external_lex_state = 3},
  [3656] = {.lex_state = 167, .external_lex_state = 3},
  [3657] = {.lex_state = 167, .external_lex_state = 3},
  [3658] = {.lex_state = 55, .external_lex_state = 3},
  [3659] = {.lex_state = 167, .external_lex_state = 3},
  [3660] = {.lex_state = 59, .external_lex_state = 3},
  [3661] = {.lex_state = 55, .external_lex_state = 3},
  [3662] = {.lex_state = 167, .external_lex_state = 3},
  [3663] = {.lex_state = 59, .external_lex_state = 3},
  [3664] = {.lex_state = 167, .external_lex_state = 3},
  [3665] = {.lex_state = 59, .external_lex_state = 3},
  [3666] = {.lex_state = 59, .external_lex_state = 3},
  [3667] = {.lex_state = 167, .external_lex_state = 3},
  [3668] = {.lex_state = 59, .external_lex_state = 3},
  [3669] = {.lex_state = 59, .external_lex_state = 3},
  [3670] = {.lex_state = 167, .external_lex_state = 3},
  [3671] = {.lex_state = 59, .external_lex_state = 3},
  [3672] = {.lex_state = 167, .external_lex_state = 3},
  [3673] = {.lex_state = 167, .external_lex_state = 3},
  [3674] = {.lex_state = 59, .external_lex_state = 3},
  [3675] = {.lex_state = 59, .external_lex_state = 3},
  [3676] = {.lex_state = 59, .external_lex_state = 3},
  [3677] = {.lex_state = 167, .external_lex_state = 3},
  [3678] = {.lex_state = 59, .external_lex_state = 3},
  [3679] = {.lex_state = 167, .external_lex_state = 3},
  [3680] = {.lex_state = 59, .external_lex_state = 3},
  [3681] = {.lex_state = 59, .external_lex_state = 3},
  [3682] = {.lex_state = 167, .external_lex_state = 3},
  [3683] = {.lex_state = 59, .external_lex_state = 3},
  [3684] = {.lex_state = 167, .external_lex_state = 3},
  [3685] = {.lex_state = 59, .external_lex_state = 3},
  [3686] = {.lex_state = 59, .external_lex_state = 3},
  [3687] = {.lex_state = 167, .external_lex_state = 3},
  [3688] = {.lex_state = 55, .external_lex_state = 3},
  [3689] = {.lex_state = 59, .external_lex_state = 3},
  [3690] = {.lex_state = 167, .external_lex_state = 3},
  [3691] = {.lex_state = 59, .external_lex_state = 3},
  [3692] = {.lex_state = 59, .external_lex_state = 3},
  [3693] = {.lex_state = 59, .external_lex_state = 3},
  [3694] = {.lex_state = 167, .external_lex_state = 3},
  [3695] = {.lex_state = 59, .external_lex_state = 3},
  [3696] = {.lex_state = 167, .external_lex_state = 3},
  [3697] = {.lex_state = 59, .external_lex_state = 3},
  [3698] = {.lex_state = 59, .external_lex_state = 3},
  [3699] = {.lex_state = 167, .external_lex_state = 3},
  [3700] = {.lex_state = 59, .external_lex_state = 3},
  [3701] = {.lex_state = 167, .external_lex_state = 3},
  [3702] = {.lex_state = 59, .external_lex_state = 3},
  [3703] = {.lex_state = 59, .external_lex_state = 3},
  [3704] = {.lex_state = 59, .external_lex_state = 3},
  [3705] = {.lex_state = 167, .external_lex_state = 3},
  [3706] = {.lex_state = 59, .external_lex_state = 3},
  [3707] = {.lex_state = 167, .external_lex_state = 3},
  [3708] = {.lex_state = 59, .external_lex_state = 3},
  [3709] = {.lex_state = 59, .external_lex_state = 3},
  [3710] = {.lex_state = 59, .external_lex_state = 3},
  [3711] = {.lex_state = 167, .external_lex_state = 3},
  [3712] = {.lex_state = 167, .external_lex_state = 3},
  [3713] = {.lex_state = 59, .external_lex_state = 3},
  [3714] = {.lex_state = 55, .external_lex_state = 3},
  [3715] = {.lex_state = 53, .external_lex_state = 3},
  [3716] = {.lex_state = 53, .external_lex_state = 3},
  [3717] = {.lex_state = 61, .external_lex_state = 3},
  [3718] = {.lex_state = 53, .external_lex_state = 3},
  [3719] = {.lex_state = 53, .external_lex_state = 3},
  [3720] = {.lex_state = 53, .external_lex_state = 3},
  [3721] = {.lex_state = 18, .external_lex_state = 3},
  [3722] = {.lex_state = 18, .external_lex_state = 3},
  [3723] = {.lex_state = 61, .external_lex_state = 3},
  [3724] = {.lex_state = 18, .external_lex_state = 3},
  [3725] = {.lex_state = 62, .external_lex_state = 3},
  [3726] = {.lex_state = 18, .external_lex_state = 3},
  [3727] = {.lex_state = 18, .external_lex_state = 3},
  [3728] = {.lex_state = 18, .external_lex_state = 3},
  [3729] = {.lex_state = 18, .external_lex_state = 3},
  [3730] = {.lex_state = 125, .external_lex_state = 3},
  [3731] = {.lex_state = 57, .external_lex_state = 3},
  [3732] = {.lex_state = 18, .external_lex_state = 3},
  [3733] = {.lex_state = 57, .external_lex_state = 3},
  [3734] = {.lex_state = 53, .external_lex_state = 3},
  [3735] = {.lex_state = 61, .external_lex_state = 3},
  [3736] = {.lex_state = 61, .external_lex_state = 3},
  [3737] = {.lex_state = 53, .external_lex_state = 3},
  [3738] = {.lex_state = 61, .external_lex_state = 3},
  [3739] = {.lex_state = 18, .external_lex_state = 3},
  [3740] = {.lex_state = 61, .external_lex_state = 3},
  [3741] = {.lex_state = 61, .external_lex_state = 3},
  [3742] = {.lex_state = 61, .external_lex_state = 3},
  [3743] = {.lex_state = 18, .external_lex_state = 3},
  [3744] = {.lex_state = 53, .external_lex_state = 3},
  [3745] = {.lex_state = 18, .external_lex_state = 3},
  [3746] = {.lex_state = 61, .external_lex_state = 3},
  [3747] = {.lex_state = 18, .external_lex_state = 3},
  [3748] = {.lex_state = 61, .external_lex_state = 3},
  [3749] = {.lex_state = 61, .external_lex_state = 3},
  [3750] = {.lex_state = 53, .external_lex_state = 3},
  [3751] = {.lex_state = 53, .external_lex_state = 3},
  [3752] = {.lex_state = 61, .external_lex_state = 3},
  [3753] = {.lex_state = 18, .external_lex_state = 3},
  [3754] = {.lex_state = 18, .external_lex_state = 3},
  [3755] = {.lex_state = 129, .external_lex_state = 3},
  [3756] = {.lex_state = 61, .external_lex_state = 3},
  [3757] = {.lex_state = 53, .external_lex_state = 3},
  [3758] = {.lex_state = 61, .external_lex_state = 3},
  [3759] = {.lex_state = 18, .external_lex_state = 3},
  [3760] = {.lex_state = 61, .external_lex_state = 3},
  [3761] = {.lex_state = 53, .external_lex_state = 3},
  [3762] = {.lex_state = 18, .external_lex_state = 3},
  [3763] = {.lex_state = 18, .external_lex_state = 3},
  [3764] = {.lex_state = 61, .external_lex_state = 3},
  [3765] = {.lex_state = 18, .external_lex_state = 3},
  [3766] = {.lex_state = 18, .external_lex_state = 3},
  [3767] = {.lex_state = 18, .external_lex_state = 3},
  [3768] = {.lex_state = 61, .external_lex_state = 3},
  [3769] = {.lex_state = 61, .external_lex_state = 3},
  [3770] = {.lex_state = 18, .external_lex_state = 3},
  [3771] = {.lex_state = 18, .external_lex_state = 3},
  [3772] = {.lex_state = 18, .external_lex_state = 3},
  [3773] = {.lex_state = 18, .external_lex_state = 3},
  [3774] = {.lex_state = 61, .external_lex_state = 3},
  [3775] = {.lex_state = 57, .external_lex_state = 3},
  [3776] = {.lex_state = 61, .external_lex_state = 3},
  [3777] = {.lex_state = 18, .external_lex_state = 3},
  [3778] = {.lex_state = 53, .external_lex_state = 3},
  [3779] = {.lex_state = 57, .external_lex_state = 3},
  [3780] = {.lex_state = 61, .external_lex_state = 3},
  [3781] = {.lex_state = 61, .external_lex_state = 3},
  [3782] = {.lex_state = 53, .external_lex_state = 3},
  [3783] = {.lex_state = 18, .external_lex_state = 3},
  [3784] = {.lex_state = 61, .external_lex_state = 3},
  [3785] = {.lex_state = 61, .external_lex_state = 3},
  [3786] = {.lex_state = 18, .external_lex_state = 3},
  [3787] = {.lex_state = 18, .external_lex_state = 3},
  [3788] = {.lex_state = 18, .external_lex_state = 3},
  [3789] = {.lex_state = 18, .external_lex_state = 3},
  [3790] = {.lex_state = 57, .external_lex_state = 3},
  [3791] = {.lex_state = 18, .external_lex_state = 3},
  [3792] = {.lex_state = 62, .external_lex_state = 3},
  [3793] = {.lex_state = 53, .external_lex_state = 3},
  [3794] = {.lex_state = 61, .external_lex_state = 3},
  [3795] = {.lex_state = 53, .external_lex_state = 3},
  [3796] = {.lex_state = 57, .external_lex_state = 3},
  [3797] = {.lex_state = 18, .external_lex_state = 3},
  [3798] = {.lex_state = 18, .external_lex_state = 3},
  [3799] = {.lex_state = 57, .external_lex_state = 3},
  [3800] = {.lex_state = 62, .external_lex_state = 3},
  [3801] = {.lex_state = 62, .external_lex_state = 3},
  [3802] = {.lex_state = 62, .external_lex_state = 3},
  [3803] = {.lex_state = 18, .external_lex_state = 3},
  [3804] = {.lex_state = 62, .external_lex_state = 3},
  [3805] = {.lex_state = 62, .external_lex_state = 3},
  [3806] = {.lex_state = 62, .external_lex_state = 3},
  [3807] = {.lex_state = 18, .external_lex_state = 3},
  [3808] = {.lex_state = 18, .external_lex_state = 3},
  [3809] = {.lex_state = 18, .external_lex_state = 3},
  [3810] = {.lex_state = 57, .external_lex_state = 3},
  [3811] = {.lex_state = 53, .external_lex_state = 3},
  [3812] = {.lex_state = 18, .external_lex_state = 3},
  [3813] = {.lex_state = 18, .external_lex_state = 3},
  [3814] = {.lex_state = 53, .external_lex_state = 3},
  [3815] = {.lex_state = 57, .external_lex_state = 3},
  [3816] = {.lex_state = 57, .external_lex_state = 3},
  [3817] = {.lex_state = 53, .external_lex_state = 3},
  [3818] = {.lex_state = 53, .external_lex_state = 3},
  [3819] = {.lex_state = 53, .external_lex_state = 3},
  [3820] = {.lex_state = 53, .external_lex_state = 3},
  [3821] = {.lex_state = 53, .external_lex_state = 3},
  [3822] = {.lex_state = 53, .external_lex_state = 3},
  [3823] = {.lex_state = 18, .external_lex_state = 3},
  [3824] = {.lex_state = 53, .external_lex_state = 3},
  [3825] = {.lex_state = 53, .external_lex_state = 3},
  [3826] = {.lex_state = 53, .external_lex_state = 3},
  [3827] = {.lex_state = 53, .external_lex_state = 3},
  [3828] = {.lex_state = 53, .external_lex_state = 3},
  [3829] = {.lex_state = 53, .external_lex_state = 3},
  [3830] = {.lex_state = 53, .external_lex_state = 3},
  [3831] = {.lex_state = 53, .external_lex_state = 3},
  [3832] = {.lex_state = 18, .external_lex_state = 3},
  [3833] = {.lex_state = 53, .external_lex_state = 3},
  [3834] = {.lex_state = 61, .external_lex_state = 3},
  [3835] = {.lex_state = 61, .external_lex_state = 3},
  [3836] = {.lex_state = 53, .external_lex_state = 3},
  [3837] = {.lex_state = 53, .external_lex_state = 3},
  [3838] = {.lex_state = 53, .external_lex_state = 3},
  [3839] = {.lex_state = 53, .external_lex_state = 3},
  [3840] = {.lex_state = 53, .external_lex_state = 3},
  [3841] = {.lex_state = 53, .external_lex_state = 3},
  [3842] = {.lex_state = 53, .external_lex_state = 3},
  [3843] = {.lex_state = 53, .external_lex_state = 3},
  [3844] = {.lex_state = 53, .external_lex_state = 3},
  [3845] = {.lex_state = 53, .external_lex_state = 3},
  [3846] = {.lex_state = 53, .external_lex_state = 3},
  [3847] = {.lex_state = 53, .external_lex_state = 3},
  [3848] = {.lex_state = 53, .external_lex_state = 3},
  [3849] = {.lex_state = 53, .external_lex_state = 3},
  [3850] = {.lex_state = 18, .external_lex_state = 3},
  [3851] = {.lex_state = 62, .external_lex_state = 3},
  [3852] = {.lex_state = 62, .external_lex_state = 3},
  [3853] = {.lex_state = 53, .external_lex_state = 3},
  [3854] = {.lex_state = 53, .external_lex_state = 3},
  [3855] = {.lex_state = 53, .external_lex_state = 3},
  [3856] = {.lex_state = 53, .external_lex_state = 3},
  [3857] = {.lex_state = 53, .external_lex_state = 3},
  [3858] = {.lex_state = 61, .external_lex_state = 3},
  [3859] = {.lex_state = 18, .external_lex_state = 3},
  [3860] = {.lex_state = 53, .external_lex_state = 3},
  [3861] = {.lex_state = 53, .external_lex_state = 3},
  [3862] = {.lex_state = 18, .external_lex_state = 3},
  [3863] = {.lex_state = 53, .external_lex_state = 3},
  [3864] = {.lex_state = 61, .external_lex_state = 3},
  [3865] = {.lex_state = 61, .external_lex_state = 3},
  [3866] = {.lex_state = 61, .external_lex_state = 3},
  [3867] = {.lex_state = 18, .external_lex_state = 3},
  [3868] = {.lex_state = 61, .external_lex_state = 3},
  [3869] = {.lex_state = 53, .external_lex_state = 3},
  [3870] = {.lex_state = 61, .external_lex_state = 3},
  [3871] = {.lex_state = 61, .external_lex_state = 3},
  [3872] = {.lex_state = 61, .external_lex_state = 3},
  [3873] = {.lex_state = 61, .external_lex_state = 3},
  [3874] = {.lex_state = 61, .external_lex_state = 3},
  [3875] = {.lex_state = 61, .external_lex_state = 3},
  [3876] = {.lex_state = 61, .external_lex_state = 3},
  [3877] = {.lex_state = 53, .external_lex_state = 3},
  [3878] = {.lex_state = 18, .external_lex_state = 3},
  [3879] = {.lex_state = 53, .external_lex_state = 3},
  [3880] = {.lex_state = 61, .external_lex_state = 3},
  [3881] = {.lex_state = 61, .external_lex_state = 3},
  [3882] = {.lex_state = 61, .external_lex_state = 3},
  [3883] = {.lex_state = 61, .external_lex_state = 3},
  [3884] = {.lex_state = 61, .external_lex_state = 3},
  [3885] = {.lex_state = 61, .external_lex_state = 3},
  [3886] = {.lex_state = 18, .external_lex_state = 3},
  [3887] = {.lex_state = 61, .external_lex_state = 3},
  [3888] = {.lex_state = 61, .external_lex_state = 3},
  [3889] = {.lex_state = 61, .external_lex_state = 3},
  [3890] = {.lex_state = 53, .external_lex_state = 3},
  [3891] = {.lex_state = 61, .external_lex_state = 3},
  [3892] = {.lex_state = 61, .external_lex_state = 3},
  [3893] = {.lex_state = 61, .external_lex_state = 3},
  [3894] = {.lex_state = 61, .external_lex_state = 3},
  [3895] = {.lex_state = 61, .external_lex_state = 3},
  [3896] = {.lex_state = 61, .external_lex_state = 3},
  [3897] = {.lex_state = 61, .external_lex_state = 3},
  [3898] = {.lex_state = 61, .external_lex_state = 3},
  [3899] = {.lex_state = 61, .external_lex_state = 3},
  [3900] = {.lex_state = 61, .external_lex_state = 3},
  [3901] = {.lex_state = 61, .external_lex_state = 3},
  [3902] = {.lex_state = 61, .external_lex_state = 3},
  [3903] = {.lex_state = 61, .external_lex_state = 3},
  [3904] = {.lex_state = 61, .external_lex_state = 3},
  [3905] = {.lex_state = 61, .external_lex_state = 3},
  [3906] = {.lex_state = 53, .external_lex_state = 3},
  [3907] = {.lex_state = 53, .external_lex_state = 3},
  [3908] = {.lex_state = 53, .external_lex_state = 3},
  [3909] = {.lex_state = 18, .external_lex_state = 3},
  [3910] = {.lex_state = 61, .external_lex_state = 3},
  [3911] = {.lex_state = 61, .external_lex_state = 3},
  [3912] = {.lex_state = 61, .external_lex_state = 3},
  [3913] = {.lex_state = 61, .external_lex_state = 3},
  [3914] = {.lex_state = 18, .external_lex_state = 3},
  [3915] = {.lex_state = 18, .external_lex_state = 3},
  [3916] = {.lex_state = 61, .external_lex_state = 3},
  [3917] = {.lex_state = 61, .external_lex_state = 3},
  [3918] = {.lex_state = 53, .external_lex_state = 3},
  [3919] = {.lex_state = 53, .external_lex_state = 3},
  [3920] = {.lex_state = 61, .external_lex_state = 3},
  [3921] = {.lex_state = 53, .external_lex_state = 3},
  [3922] = {.lex_state = 53, .external_lex_state = 3},
  [3923] = {.lex_state = 62, .external_lex_state = 3},
  [3924] = {.lex_state = 61, .external_lex_state = 3},
  [3925] = {.lex_state = 57, .external_lex_state = 3},
  [3926] = {.lex_state = 53, .external_lex_state = 3},
  [3927] = {.lex_state = 61, .external_lex_state = 3},
  [3928] = {.lex_state = 18, .external_lex_state = 3},
  [3929] = {.lex_state = 18, .external_lex_state = 3},
  [3930] = {.lex_state = 53, .external_lex_state = 3},
  [3931] = {.lex_state = 53, .external_lex_state = 3},
  [3932] = {.lex_state = 53, .external_lex_state = 3},
  [3933] = {.lex_state = 53, .external_lex_state = 3},
  [3934] = {.lex_state = 53, .external_lex_state = 3},
  [3935] = {.lex_state = 62, .external_lex_state = 3},
  [3936] = {.lex_state = 57, .external_lex_state = 3},
  [3937] = {.lex_state = 57, .external_lex_state = 3},
  [3938] = {.lex_state = 57, .external_lex_state = 3},
  [3939] = {.lex_state = 57, .external_lex_state = 3},
  [3940] = {.lex_state = 57, .external_lex_state = 3},
  [3941] = {.lex_state = 57, .external_lex_state = 3},
  [3942] = {.lex_state = 18, .external_lex_state = 3},
  [3943] = {.lex_state = 56, .external_lex_state = 3},
  [3944] = {.lex_state = 18, .external_lex_state = 3},
  [3945] = {.lex_state = 56, .external_lex_state = 3},
  [3946] = {.lex_state = 18, .external_lex_state = 3},
  [3947] = {.lex_state = 18, .external_lex_state = 3},
  [3948] = {.lex_state = 63, .external_lex_state = 3},
  [3949] = {.lex_state = 18, .external_lex_state = 3},
  [3950] = {.lex_state = 62, .external_lex_state = 3},
  [3951] = {.lex_state = 63, .external_lex_state = 3},
  [3952] = {.lex_state = 63, .external_lex_state = 3},
  [3953] = {.lex_state = 18, .external_lex_state = 3},
  [3954] = {.lex_state = 62, .external_lex_state = 3},
  [3955] = {.lex_state = 62, .external_lex_state = 3},
  [3956] = {.lex_state = 57, .external_lex_state = 3},
  [3957] = {.lex_state = 62, .external_lex_state = 3},
  [3958] = {.lex_state = 62, .external_lex_state = 3},
  [3959] = {.lex_state = 62, .external_lex_state = 3},
  [3960] = {.lex_state = 18, .external_lex_state = 3},
  [3961] = {.lex_state = 18, .external_lex_state = 3},
  [3962] = {.lex_state = 62, .external_lex_state = 3},
  [3963] = {.lex_state = 62, .external_lex_state = 3},
  [3964] = {.lex_state = 62, .external_lex_state = 3},
  [3965] = {.lex_state = 62, .external_lex_state = 3},
  [3966] = {.lex_state = 63, .external_lex_state = 3},
  [3967] = {.lex_state = 62, .external_lex_state = 3},
  [3968] = {.lex_state = 62, .external_lex_state = 3},
  [3969] = {.lex_state = 62, .external_lex_state = 3},
  [3970] = {.lex_state = 131, .external_lex_state = 3},
  [3971] = {.lex_state = 62, .external_lex_state = 3},
  [3972] = {.lex_state = 62, .external_lex_state = 3},
  [3973] = {.lex_state = 63, .external_lex_state = 3},
  [3974] = {.lex_state = 18, .external_lex_state = 3},
  [3975] = {.lex_state = 62, .external_lex_state = 3},
  [3976] = {.lex_state = 62, .external_lex_state = 3},
  [3977] = {.lex_state = 62, .external_lex_state = 3},
  [3978] = {.lex_state = 62, .external_lex_state = 3},
  [3979] = {.lex_state = 62, .external_lex_state = 3},
  [3980] = {.lex_state = 62, .external_lex_state = 3},
  [3981] = {.lex_state = 63, .external_lex_state = 3},
  [3982] = {.lex_state = 62, .external_lex_state = 3},
  [3983] = {.lex_state = 57, .external_lex_state = 3},
  [3984] = {.lex_state = 62, .external_lex_state = 3},
  [3985] = {.lex_state = 18, .external_lex_state = 3},
  [3986] = {.lex_state = 62, .external_lex_state = 3},
  [3987] = {.lex_state = 62, .external_lex_state = 3},
  [3988] = {.lex_state = 62, .external_lex_state = 3},
  [3989] = {.lex_state = 62, .external_lex_state = 3},
  [3990] = {.lex_state = 62, .external_lex_state = 3},
  [3991] = {.lex_state = 62, .external_lex_state = 3},
  [3992] = {.lex_state = 63, .external_lex_state = 3},
  [3993] = {.lex_state = 62, .external_lex_state = 3},
  [3994] = {.lex_state = 62, .external_lex_state = 3},
  [3995] = {.lex_state = 18, .external_lex_state = 3},
  [3996] = {.lex_state = 18, .external_lex_state = 3},
  [3997] = {.lex_state = 62, .external_lex_state = 3},
  [3998] = {.lex_state = 62, .external_lex_state = 3},
  [3999] = {.lex_state = 62, .external_lex_state = 3},
  [4000] = {.lex_state = 62, .external_lex_state = 3},
  [4001] = {.lex_state = 62, .external_lex_state = 3},
  [4002] = {.lex_state = 62, .external_lex_state = 3},
  [4003] = {.lex_state = 57, .external_lex_state = 3},
  [4004] = {.lex_state = 18, .external_lex_state = 3},
  [4005] = {.lex_state = 62, .external_lex_state = 3},
  [4006] = {.lex_state = 18, .external_lex_state = 3},
  [4007] = {.lex_state = 18, .external_lex_state = 3},
  [4008] = {.lex_state = 18, .external_lex_state = 3},
  [4009] = {.lex_state = 56, .external_lex_state = 3},
  [4010] = {.lex_state = 62, .external_lex_state = 3},
  [4011] = {.lex_state = 18, .external_lex_state = 3},
  [4012] = {.lex_state = 18, .external_lex_state = 3},
  [4013] = {.lex_state = 62, .external_lex_state = 3},
  [4014] = {.lex_state = 18, .external_lex_state = 3},
  [4015] = {.lex_state = 63, .external_lex_state = 3},
  [4016] = {.lex_state = 18, .external_lex_state = 3},
  [4017] = {.lex_state = 62, .external_lex_state = 3},
  [4018] = {.lex_state = 18, .external_lex_state = 3},
  [4019] = {.lex_state = 63, .external_lex_state = 3},
  [4020] = {.lex_state = 18, .external_lex_state = 3},
  [4021] = {.lex_state = 18, .external_lex_state = 3},
  [4022] = {.lex_state = 18, .external_lex_state = 3},
  [4023] = {.lex_state = 18, .external_lex_state = 3},
  [4024] = {.lex_state = 18, .external_lex_state = 3},
  [4025] = {.lex_state = 57, .external_lex_state = 3},
  [4026] = {.lex_state = 62, .external_lex_state = 3},
  [4027] = {.lex_state = 18, .external_lex_state = 3},
  [4028] = {.lex_state = 18, .external_lex_state = 3},
  [4029] = {.lex_state = 62, .external_lex_state = 3},
  [4030] = {.lex_state = 18, .external_lex_state = 3},
  [4031] = {.lex_state = 62, .external_lex_state = 3},
  [4032] = {.lex_state = 18, .external_lex_state = 3},
  [4033] = {.lex_state = 62, .external_lex_state = 3},
  [4034] = {.lex_state = 18, .external_lex_state = 3},
  [4035] = {.lex_state = 62, .external_lex_state = 3},
  [4036] = {.lex_state = 62, .external_lex_state = 3},
  [4037] = {.lex_state = 62, .external_lex_state = 3},
  [4038] = {.lex_state = 18, .external_lex_state = 3},
  [4039] = {.lex_state = 18, .external_lex_state = 3},
  [4040] = {.lex_state = 62, .external_lex_state = 3},
  [4041] = {.lex_state = 56, .external_lex_state = 3},
  [4042] = {.lex_state = 62, .external_lex_state = 3},
  [4043] = {.lex_state = 56, .external_lex_state = 3},
  [4044] = {.lex_state = 56, .external_lex_state = 3},
  [4045] = {.lex_state = 62, .external_lex_state = 3},
  [4046] = {.lex_state = 18, .external_lex_state = 3},
  [4047] = {.lex_state = 57, .external_lex_state = 3},
  [4048] = {.lex_state = 57, .external_lex_state = 3},
  [4049] = {.lex_state = 57, .external_lex_state = 3},
  [4050] = {.lex_state = 57, .external_lex_state = 3},
  [4051] = {.lex_state = 57, .external_lex_state = 3},
  [4052] = {.lex_state = 62, .external_lex_state = 3},
  [4053] = {.lex_state = 63, .external_lex_state = 3},
  [4054] = {.lex_state = 57, .external_lex_state = 3},
  [4055] = {.lex_state = 18, .external_lex_state = 3},
  [4056] = {.lex_state = 57, .external_lex_state = 3},
  [4057] = {.lex_state = 57, .external_lex_state = 3},
  [4058] = {.lex_state = 57, .external_lex_state = 3},
  [4059] = {.lex_state = 57, .external_lex_state = 3},
  [4060] = {.lex_state = 57, .external_lex_state = 3},
  [4061] = {.lex_state = 57, .external_lex_state = 3},
  [4062] = {.lex_state = 57, .external_lex_state = 3},
  [4063] = {.lex_state = 57, .external_lex_state = 3},
  [4064] = {.lex_state = 57, .external_lex_state = 3},
  [4065] = {.lex_state = 18, .external_lex_state = 3},
  [4066] = {.lex_state = 57, .external_lex_state = 3},
  [4067] = {.lex_state = 62, .external_lex_state = 3},
  [4068] = {.lex_state = 57, .external_lex_state = 3},
  [4069] = {.lex_state = 18, .external_lex_state = 3},
  [4070] = {.lex_state = 56, .external_lex_state = 3},
  [4071] = {.lex_state = 62, .external_lex_state = 3},
  [4072] = {.lex_state = 62, .external_lex_state = 3},
  [4073] = {.lex_state = 56, .external_lex_state = 3},
  [4074] = {.lex_state = 62, .external_lex_state = 3},
  [4075] = {.lex_state = 62, .external_lex_state = 3},
  [4076] = {.lex_state = 18, .external_lex_state = 3},
  [4077] = {.lex_state = 56, .external_lex_state = 3},
  [4078] = {.lex_state = 57, .external_lex_state = 3},
  [4079] = {.lex_state = 123, .external_lex_state = 3},
  [4080] = {.lex_state = 18, .external_lex_state = 3},
  [4081] = {.lex_state = 62, .external_lex_state = 3},
  [4082] = {.lex_state = 125, .external_lex_state = 3},
  [4083] = {.lex_state = 125, .external_lex_state = 3},
  [4084] = {.lex_state = 62, .external_lex_state = 3},
  [4085] = {.lex_state = 62, .external_lex_state = 3},
  [4086] = {.lex_state = 62, .external_lex_state = 3},
  [4087] = {.lex_state = 62, .external_lex_state = 3},
  [4088] = {.lex_state = 62, .external_lex_state = 3},
  [4089] = {.lex_state = 62, .external_lex_state = 3},
  [4090] = {.lex_state = 57, .external_lex_state = 3},
  [4091] = {.lex_state = 62, .external_lex_state = 3},
  [4092] = {.lex_state = 62, .external_lex_state = 3},
  [4093] = {.lex_state = 62, .external_lex_state = 3},
  [4094] = {.lex_state = 62, .external_lex_state = 3},
  [4095] = {.lex_state = 18, .external_lex_state = 3},
  [4096] = {.lex_state = 56, .external_lex_state = 3},
  [4097] = {.lex_state = 62, .external_lex_state = 3},
  [4098] = {.lex_state = 62, .external_lex_state = 3},
  [4099] = {.lex_state = 57, .external_lex_state = 3},
  [4100] = {.lex_state = 129, .external_lex_state = 3},
  [4101] = {.lex_state = 62, .external_lex_state = 3},
  [4102] = {.lex_state = 57, .external_lex_state = 3},
  [4103] = {.lex_state = 129, .external_lex_state = 3},
  [4104] = {.lex_state = 57, .external_lex_state = 3},
  [4105] = {.lex_state = 57, .external_lex_state = 3},
  [4106] = {.lex_state = 57, .external_lex_state = 3},
  [4107] = {.lex_state = 18, .external_lex_state = 3},
  [4108] = {.lex_state = 57, .external_lex_state = 3},
  [4109] = {.lex_state = 57, .external_lex_state = 3},
  [4110] = {.lex_state = 57, .external_lex_state = 3},
  [4111] = {.lex_state = 126, .external_lex_state = 3},
  [4112] = {.lex_state = 57, .external_lex_state = 3},
  [4113] = {.lex_state = 57, .external_lex_state = 3},
  [4114] = {.lex_state = 57, .external_lex_state = 3},
  [4115] = {.lex_state = 57, .external_lex_state = 3},
  [4116] = {.lex_state = 57, .external_lex_state = 3},
  [4117] = {.lex_state = 57, .external_lex_state = 3},
  [4118] = {.lex_state = 57, .external_lex_state = 3},
  [4119] = {.lex_state = 57, .external_lex_state = 3},
  [4120] = {.lex_state = 57, .external_lex_state = 3},
  [4121] = {.lex_state = 57, .external_lex_state = 3},
  [4122] = {.lex_state = 57, .external_lex_state = 3},
  [4123] = {.lex_state = 57, .external_lex_state = 3},
  [4124] = {.lex_state = 57, .external_lex_state = 3},
  [4125] = {.lex_state = 57, .external_lex_state = 3},
  [4126] = {.lex_state = 57, .external_lex_state = 3},
  [4127] = {.lex_state = 18, .external_lex_state = 3},
  [4128] = {.lex_state = 57, .external_lex_state = 3},
  [4129] = {.lex_state = 57, .external_lex_state = 3},
  [4130] = {.lex_state = 18, .external_lex_state = 3},
  [4131] = {.lex_state = 57, .external_lex_state = 3},
  [4132] = {.lex_state = 57, .external_lex_state = 3},
  [4133] = {.lex_state = 130, .external_lex_state = 3},
  [4134] = {.lex_state = 56, .external_lex_state = 3},
  [4135] = {.lex_state = 57, .external_lex_state = 3},
  [4136] = {.lex_state = 57, .external_lex_state = 3},
  [4137] = {.lex_state = 57, .external_lex_state = 3},
  [4138] = {.lex_state = 57, .external_lex_state = 3},
  [4139] = {.lex_state = 57, .external_lex_state = 3},
  [4140] = {.lex_state = 57, .external_lex_state = 3},
  [4141] = {.lex_state = 57, .external_lex_state = 3},
  [4142] = {.lex_state = 57, .external_lex_state = 3},
  [4143] = {.lex_state = 57, .external_lex_state = 3},
  [4144] = {.lex_state = 57, .external_lex_state = 3},
  [4145] = {.lex_state = 18, .external_lex_state = 3},
  [4146] = {.lex_state = 57, .external_lex_state = 3},
  [4147] = {.lex_state = 57, .external_lex_state = 3},
  [4148] = {.lex_state = 63, .external_lex_state = 3},
  [4149] = {.lex_state = 18, .external_lex_state = 3},
  [4150] = {.lex_state = 57, .external_lex_state = 3},
  [4151] = {.lex_state = 57, .external_lex_state = 3},
  [4152] = {.lex_state = 57, .external_lex_state = 3},
  [4153] = {.lex_state = 57, .external_lex_state = 3},
  [4154] = {.lex_state = 63, .external_lex_state = 3},
  [4155] = {.lex_state = 63, .external_lex_state = 3},
  [4156] = {.lex_state = 63, .external_lex_state = 3},
  [4157] = {.lex_state = 63, .external_lex_state = 3},
  [4158] = {.lex_state = 18, .external_lex_state = 3},
  [4159] = {.lex_state = 18, .external_lex_state = 3},
  [4160] = {.lex_state = 18, .external_lex_state = 3},
  [4161] = {.lex_state = 131, .external_lex_state = 3},
  [4162] = {.lex_state = 56, .external_lex_state = 3},
  [4163] = {.lex_state = 18, .external_lex_state = 3},
  [4164] = {.lex_state = 18, .external_lex_state = 3},
  [4165] = {.lex_state = 18, .external_lex_state = 3},
  [4166] = {.lex_state = 63, .external_lex_state = 3},
  [4167] = {.lex_state = 18, .external_lex_state = 3},
  [4168] = {.lex_state = 56, .external_lex_state = 3},
  [4169] = {.lex_state = 18, .external_lex_state = 3},
  [4170] = {.lex_state = 18, .external_lex_state = 3},
  [4171] = {.lex_state = 18, .external_lex_state = 3},
  [4172] = {.lex_state = 18, .external_lex_state = 3},
  [4173] = {.lex_state = 18, .external_lex_state = 3},
  [4174] = {.lex_state = 63, .external_lex_state = 3},
  [4175] = {.lex_state = 56, .external_lex_state = 3},
  [4176] = {.lex_state = 56, .external_lex_state = 3},
  [4177] = {.lex_state = 18, .external_lex_state = 3},
  [4178] = {.lex_state = 63, .external_lex_state = 3},
  [4179] = {.lex_state = 18, .external_lex_state = 3},
  [4180] = {.lex_state = 18, .external_lex_state = 3},
  [4181] = {.lex_state = 18, .external_lex_state = 3},
  [4182] = {.lex_state = 18, .external_lex_state = 3},
  [4183] = {.lex_state = 18, .external_lex_state = 3},
  [4184] = {.lex_state = 18, .external_lex_state = 3},
  [4185] = {.lex_state = 63, .external_lex_state = 3},
  [4186] = {.lex_state = 18, .external_lex_state = 3},
  [4187] = {.lex_state = 18, .external_lex_state = 3},
  [4188] = {.lex_state = 18, .external_lex_state = 3},
  [4189] = {.lex_state = 18, .external_lex_state = 3},
  [4190] = {.lex_state = 56, .external_lex_state = 3},
  [4191] = {.lex_state = 18, .external_lex_state = 3},
  [4192] = {.lex_state = 63, .external_lex_state = 3},
  [4193] = {.lex_state = 18, .external_lex_state = 3},
  [4194] = {.lex_state = 18, .external_lex_state = 3},
  [4195] = {.lex_state = 18, .external_lex_state = 3},
  [4196] = {.lex_state = 63, .external_lex_state = 3},
  [4197] = {.lex_state = 63, .external_lex_state = 3},
  [4198] = {.lex_state = 63, .external_lex_state = 3},
  [4199] = {.lex_state = 63, .external_lex_state = 3},
  [4200] = {.lex_state = 56, .external_lex_state = 3},
  [4201] = {.lex_state = 18, .external_lex_state = 3},
  [4202] = {.lex_state = 18, .external_lex_state = 3},
  [4203] = {.lex_state = 63, .external_lex_state = 3},
  [4204] = {.lex_state = 63, .external_lex_state = 3},
  [4205] = {.lex_state = 56, .external_lex_state = 3},
  [4206] = {.lex_state = 63, .external_lex_state = 3},
  [4207] = {.lex_state = 18, .external_lex_state = 3},
  [4208] = {.lex_state = 56, .external_lex_state = 3},
  [4209] = {.lex_state = 63, .external_lex_state = 3},
  [4210] = {.lex_state = 63, .external_lex_state = 3},
  [4211] = {.lex_state = 56, .external_lex_state = 3},
  [4212] = {.lex_state = 56, .external_lex_state = 3},
  [4213] = {.lex_state = 63, .external_lex_state = 3},
  [4214] = {.lex_state = 18, .external_lex_state = 3},
  [4215] = {.lex_state = 18, .external_lex_state = 3},
  [4216] = {.lex_state = 63, .external_lex_state = 3},
  [4217] = {.lex_state = 18, .external_lex_state = 3},
  [4218] = {.lex_state = 18, .external_lex_state = 3},
  [4219] = {.lex_state = 56, .external_lex_state = 3},
  [4220] = {.lex_state = 63, .external_lex_state = 3},
  [4221] = {.lex_state = 18, .external_lex_state = 3},
  [4222] = {.lex_state = 63, .external_lex_state = 3},
  [4223] = {.lex_state = 63, .external_lex_state = 3},
  [4224] = {.lex_state = 18, .external_lex_state = 3},
  [4225] = {.lex_state = 18, .external_lex_state = 3},
  [4226] = {.lex_state = 56, .external_lex_state = 3},
  [4227] = {.lex_state = 56, .external_lex_state = 3},
  [4228] = {.lex_state = 56, .external_lex_state = 3},
  [4229] = {.lex_state = 56, .external_lex_state = 3},
  [4230] = {.lex_state = 63, .external_lex_state = 3},
  [4231] = {.lex_state = 18, .external_lex_state = 3},
  [4232] = {.lex_state = 18, .external_lex_state = 3},
  [4233] = {.lex_state = 56, .external_lex_state = 3},
  [4234] = {.lex_state = 18, .external_lex_state = 3},
  [4235] = {.lex_state = 18, .external_lex_state = 3},
  [4236] = {.lex_state = 63, .external_lex_state = 3},
  [4237] = {.lex_state = 63, .external_lex_state = 3},
  [4238] = {.lex_state = 18, .external_lex_state = 3},
  [4239] = {.lex_state = 18, .external_lex_state = 3},
  [4240] = {.lex_state = 63, .external_lex_state = 3},
  [4241] = {.lex_state = 56, .external_lex_state = 3},
  [4242] = {.lex_state = 18, .external_lex_state = 3},
  [4243] = {.lex_state = 63, .external_lex_state = 3},
  [4244] = {.lex_state = 63, .external_lex_state = 3},
  [4245] = {.lex_state = 63, .external_lex_state = 3},
  [4246] = {.lex_state = 63, .external_lex_state = 3},
  [4247] = {.lex_state = 56, .external_lex_state = 3},
  [4248] = {.lex_state = 18, .external_lex_state = 3},
  [4249] = {.lex_state = 18, .external_lex_state = 3},
  [4250] = {.lex_state = 63, .external_lex_state = 3},
  [4251] = {.lex_state = 18, .external_lex_state = 3},
  [4252] = {.lex_state = 18, .external_lex_state = 3},
  [4253] = {.lex_state = 63, .external_lex_state = 3},
  [4254] = {.lex_state = 18, .external_lex_state = 3},
  [4255] = {.lex_state = 56, .external_lex_state = 3},
  [4256] = {.lex_state = 56, .external_lex_state = 3},
  [4257] = {.lex_state = 63, .external_lex_state = 3},
  [4258] = {.lex_state = 18, .external_lex_state = 3},
  [4259] = {.lex_state = 63, .external_lex_state = 3},
  [4260] = {.lex_state = 18, .external_lex_state = 3},
  [4261] = {.lex_state = 18, .external_lex_state = 3},
  [4262] = {.lex_state = 18, .external_lex_state = 3},
  [4263] = {.lex_state = 56, .external_lex_state = 3},
  [4264] = {.lex_state = 56, .external_lex_state = 3},
  [4265] = {.lex_state = 56, .external_lex_state = 3},
  [4266] = {.lex_state = 56, .external_lex_state = 3},
  [4267] = {.lex_state = 56, .external_lex_state = 3},
  [4268] = {.lex_state = 56, .external_lex_state = 3},
  [4269] = {.lex_state = 63, .external_lex_state = 3},
  [4270] = {.lex_state = 56, .external_lex_state = 3},
  [4271] = {.lex_state = 18, .external_lex_state = 3},
  [4272] = {.lex_state = 56, .external_lex_state = 3},
  [4273] = {.lex_state = 18, .external_lex_state = 3},
  [4274] = {.lex_state = 18, .external_lex_state = 3},
  [4275] = {.lex_state = 18, .external_lex_state = 3},
  [4276] = {.lex_state = 18, .external_lex_state = 3},
  [4277] = {.lex_state = 63, .external_lex_state = 3},
  [4278] = {.lex_state = 18, .external_lex_state = 3},
  [4279] = {.lex_state = 18, .external_lex_state = 3},
  [4280] = {.lex_state = 56, .external_lex_state = 3},
  [4281] = {.lex_state = 56, .external_lex_state = 3},
  [4282] = {.lex_state = 56, .external_lex_state = 3},
  [4283] = {.lex_state = 18, .external_lex_state = 3},
  [4284] = {.lex_state = 124, .external_lex_state = 3},
  [4285] = {.lex_state = 56, .external_lex_state = 3},
  [4286] = {.lex_state = 56, .external_lex_state = 3},
  [4287] = {.lex_state = 18, .external_lex_state = 3},
  [4288] = {.lex_state = 56, .external_lex_state = 3},
  [4289] = {.lex_state = 56, .external_lex_state = 3},
  [4290] = {.lex_state = 18, .external_lex_state = 3},
  [4291] = {.lex_state = 18, .external_lex_state = 3},
  [4292] = {.lex_state = 18, .external_lex_state = 3},
  [4293] = {.lex_state = 56, .external_lex_state = 3},
  [4294] = {.lex_state = 18, .external_lex_state = 3},
  [4295] = {.lex_state = 132, .external_lex_state = 3},
  [4296] = {.lex_state = 56, .external_lex_state = 3},
  [4297] = {.lex_state = 18, .external_lex_state = 3},
  [4298] = {.lex_state = 18, .external_lex_state = 3},
  [4299] = {.lex_state = 18, .external_lex_state = 3},
  [4300] = {.lex_state = 63, .external_lex_state = 3},
  [4301] = {.lex_state = 18, .external_lex_state = 3},
  [4302] = {.lex_state = 56, .external_lex_state = 3},
  [4303] = {.lex_state = 18, .external_lex_state = 3},
  [4304] = {.lex_state = 123, .external_lex_state = 3},
  [4305] = {.lex_state = 18, .external_lex_state = 3},
  [4306] = {.lex_state = 18, .external_lex_state = 3},
  [4307] = {.lex_state = 63, .external_lex_state = 3},
  [4308] = {.lex_state = 63, .external_lex_state = 3},
  [4309] = {.lex_state = 18, .external_lex_state = 3},
  [4310] = {.lex_state = 18, .external_lex_state = 3},
  [4311] = {.lex_state = 18, .external_lex_state = 3},
  [4312] = {.lex_state = 18, .external_lex_state = 3},
  [4313] = {.lex_state = 18, .external_lex_state = 3},
  [4314] = {.lex_state = 18, .external_lex_state = 3},
  [4315] = {.lex_state = 56, .external_lex_state = 3},
  [4316] = {.lex_state = 56, .external_lex_state = 3},
  [4317] = {.lex_state = 56, .external_lex_state = 3},
  [4318] = {.lex_state = 56, .external_lex_state = 3},
  [4319] = {.lex_state = 56, .external_lex_state = 3},
  [4320] = {.lex_state = 56, .external_lex_state = 3},
  [4321] = {.lex_state = 18, .external_lex_state = 3},
  [4322] = {.lex_state = 56, .external_lex_state = 3},
  [4323] = {.lex_state = 56, .external_lex_state = 3},
  [4324] = {.lex_state = 56, .external_lex_state = 3},
  [4325] = {.lex_state = 56, .external_lex_state = 3},
  [4326] = {.lex_state = 56, .external_lex_state = 3},
  [4327] = {.lex_state = 123, .external_lex_state = 3},
  [4328] = {.lex_state = 56, .external_lex_state = 3},
  [4329] = {.lex_state = 63, .external_lex_state = 3},
  [4330] = {.lex_state = 56, .external_lex_state = 3},
  [4331] = {.lex_state = 56, .external_lex_state = 3},
  [4332] = {.lex_state = 18, .external_lex_state = 3},
  [4333] = {.lex_state = 56, .external_lex_state = 3},
  [4334] = {.lex_state = 56, .external_lex_state = 3},
  [4335] = {.lex_state = 18, .external_lex_state = 3},
  [4336] = {.lex_state = 18, .external_lex_state = 3},
  [4337] = {.lex_state = 18, .external_lex_state = 3},
  [4338] = {.lex_state = 63, .external_lex_state = 3},
  [4339] = {.lex_state = 131, .external_lex_state = 3},
  [4340] = {.lex_state = 18, .external_lex_state = 3},
  [4341] = {.lex_state = 56, .external_lex_state = 3},
  [4342] = {.lex_state = 56, .external_lex_state = 3},
  [4343] = {.lex_state = 18, .external_lex_state = 3},
  [4344] = {.lex_state = 18, .external_lex_state = 3},
  [4345] = {.lex_state = 18, .external_lex_state = 3},
  [4346] = {.lex_state = 18, .external_lex_state = 3},
  [4347] = {.lex_state = 18, .external_lex_state = 3},
  [4348] = {.lex_state = 18, .external_lex_state = 3},
  [4349] = {.lex_state = 63, .external_lex_state = 3},
  [4350] = {.lex_state = 63, .external_lex_state = 3},
  [4351] = {.lex_state = 18, .external_lex_state = 3},
  [4352] = {.lex_state = 18, .external_lex_state = 3},
  [4353] = {.lex_state = 18, .external_lex_state = 3},
  [4354] = {.lex_state = 18, .external_lex_state = 3},
  [4355] = {.lex_state = 18, .external_lex_state = 3},
  [4356] = {.lex_state = 18, .external_lex_state = 3},
  [4357] = {.lex_state = 18, .external_lex_state = 3},
  [4358] = {.lex_state = 18, .external_lex_state = 3},
  [4359] = {.lex_state = 18, .external_lex_state = 3},
  [4360] = {.lex_state = 18, .external_lex_state = 3},
  [4361] = {.lex_state = 18, .external_lex_state = 3},
  [4362] = {.lex_state = 18, .external_lex_state = 3},
  [4363] = {.lex_state = 63, .external_lex_state = 3},
  [4364] = {.lex_state = 56, .external_lex_state = 3},
  [4365] = {.lex_state = 56, .external_lex_state = 3},
  [4366] = {.lex_state = 56, .external_lex_state = 3},
  [4367] = {.lex_state = 63, .external_lex_state = 3},
  [4368] = {.lex_state = 18, .external_lex_state = 3},
  [4369] = {.lex_state = 63, .external_lex_state = 3},
  [4370] = {.lex_state = 56, .external_lex_state = 3},
  [4371] = {.lex_state = 56, .external_lex_state = 3},
  [4372] = {.lex_state = 63, .external_lex_state = 3},
  [4373] = {.lex_state = 63, .external_lex_state = 3},
  [4374] = {.lex_state = 63, .external_lex_state = 3},
  [4375] = {.lex_state = 56, .external_lex_state = 3},
  [4376] = {.lex_state = 18, .external_lex_state = 3},
  [4377] = {.lex_state = 18, .external_lex_state = 3},
  [4378] = {.lex_state = 126, .external_lex_state = 3},
  [4379] = {.lex_state = 18, .external_lex_state = 3},
  [4380] = {.lex_state = 18, .external_lex_state = 3},
  [4381] = {.lex_state = 18, .external_lex_state = 3},
  [4382] = {.lex_state = 18, .external_lex_state = 3},
  [4383] = {.lex_state = 18, .external_lex_state = 3},
  [4384] = {.lex_state = 56, .external_lex_state = 3},
  [4385] = {.lex_state = 63, .external_lex_state = 3},
  [4386] = {.lex_state = 63, .external_lex_state = 3},
  [4387] = {.lex_state = 126, .external_lex_state = 3},
  [4388] = {.lex_state = 56, .external_lex_state = 3},
  [4389] = {.lex_state = 63, .external_lex_state = 3},
  [4390] = {.lex_state = 63, .external_lex_state = 3},
  [4391] = {.lex_state = 56, .external_lex_state = 3},
  [4392] = {.lex_state = 18, .external_lex_state = 3},
  [4393] = {.lex_state = 63, .external_lex_state = 3},
  [4394] = {.lex_state = 18, .external_lex_state = 3},
  [4395] = {.lex_state = 18, .external_lex_state = 3},
  [4396] = {.lex_state = 130, .external_lex_state = 3},
  [4397] = {.lex_state = 56, .external_lex_state = 3},
  [4398] = {.lex_state = 63, .external_lex_state = 3},
  [4399] = {.lex_state = 56, .external_lex_state = 3},
  [4400] = {.lex_state = 18, .external_lex_state = 3},
  [4401] = {.lex_state = 18, .external_lex_state = 3},
  [4402] = {.lex_state = 18, .external_lex_state = 3},
  [4403] = {.lex_state = 63, .external_lex_state = 3},
  [4404] = {.lex_state = 18, .external_lex_state = 3},
  [4405] = {.lex_state = 18, .external_lex_state = 3},
  [4406] = {.lex_state = 18, .external_lex_state = 3},
  [4407] = {.lex_state = 18, .external_lex_state = 3},
  [4408] = {.lex_state = 18, .external_lex_state = 3},
  [4409] = {.lex_state = 56, .external_lex_state = 3},
  [4410] = {.lex_state = 18, .external_lex_state = 3},
  [4411] = {.lex_state = 18, .external_lex_state = 3},
  [4412] = {.lex_state = 18, .external_lex_state = 3},
  [4413] = {.lex_state = 18, .external_lex_state = 3},
  [4414] = {.lex_state = 18, .external_lex_state = 3},
  [4415] = {.lex_state = 56, .external_lex_state = 3},
  [4416] = {.lex_state = 63, .external_lex_state = 3},
  [4417] = {.lex_state = 63, .external_lex_state = 3},
  [4418] = {.lex_state = 63, .external_lex_state = 3},
  [4419] = {.lex_state = 18, .external_lex_state = 3},
  [4420] = {.lex_state = 130, .external_lex_state = 3},
  [4421] = {.lex_state = 63, .external_lex_state = 3},
  [4422] = {.lex_state = 63, .external_lex_state = 3},
  [4423] = {.lex_state = 63, .external_lex_state = 3},
  [4424] = {.lex_state = 56, .external_lex_state = 3},
  [4425] = {.lex_state = 63, .external_lex_state = 3},
  [4426] = {.lex_state = 63, .external_lex_state = 3},
  [4427] = {.lex_state = 63, .external_lex_state = 3},
  [4428] = {.lex_state = 63, .external_lex_state = 3},
  [4429] = {.lex_state = 56, .external_lex_state = 3},
  [4430] = {.lex_state = 56, .external_lex_state = 3},
  [4431] = {.lex_state = 18, .external_lex_state = 3},
  [4432] = {.lex_state = 18, .external_lex_state = 3},
  [4433] = {.lex_state = 18, .external_lex_state = 3},
  [4434] = {.lex_state = 18, .external_lex_state = 3},
  [4435] = {.lex_state = 18, .external_lex_state = 3},
  [4436] = {.lex_state = 18, .external_lex_state = 3},
  [4437] = {.lex_state = 63, .external_lex_state = 3},
  [4438] = {.lex_state = 63, .external_lex_state = 3},
  [4439] = {.lex_state = 63, .external_lex_state = 3},
  [4440] = {.lex_state = 63, .external_lex_state = 3},
  [4441] = {.lex_state = 63, .external_lex_state = 3},
  [4442] = {.lex_state = 18, .external_lex_state = 3},
  [4443] = {.lex_state = 18, .external_lex_state = 3},
  [4444] = {.lex_state = 18, .external_lex_state = 3},
  [4445] = {.lex_state = 18, .external_lex_state = 3},
  [4446] = {.lex_state = 18, .external_lex_state = 3},
  [4447] = {.lex_state = 18, .external_lex_state = 3},
  [4448] = {.lex_state = 18, .external_lex_state = 3},
  [4449] = {.lex_state = 124, .external_lex_state = 3},
  [4450] = {.lex_state = 18, .external_lex_state = 3},
  [4451] = {.lex_state = 18, .external_lex_state = 3},
  [4452] = {.lex_state = 18, .external_lex_state = 3},
  [4453] = {.lex_state = 18, .external_lex_state = 3},
  [4454] = {.lex_state = 18, .external_lex_state = 3},
  [4455] = {.lex_state = 18, .external_lex_state = 3},
  [4456] = {.lex_state = 18, .external_lex_state = 3},
  [4457] = {.lex_state = 18, .external_lex_state = 3},
  [4458] = {.lex_state = 18, .external_lex_state = 3},
  [4459] = {.lex_state = 124, .external_lex_state = 3},
  [4460] = {.lex_state = 18, .external_lex_state = 3},
  [4461] = {.lex_state = 18, .external_lex_state = 3},
  [4462] = {.lex_state = 18, .external_lex_state = 3},
  [4463] = {.lex_state = 18, .external_lex_state = 3},
  [4464] = {.lex_state = 132, .external_lex_state = 3},
  [4465] = {.lex_state = 18, .external_lex_state = 3},
  [4466] = {.lex_state = 18, .external_lex_state = 3},
  [4467] = {.lex_state = 18, .external_lex_state = 3},
  [4468] = {.lex_state = 18, .external_lex_state = 3},
  [4469] = {.lex_state = 18, .external_lex_state = 3},
  [4470] = {.lex_state = 18, .external_lex_state = 3},
  [4471] = {.lex_state = 18, .external_lex_state = 3},
  [4472] = {.lex_state = 18, .external_lex_state = 3},
  [4473] = {.lex_state = 18, .external_lex_state = 3},
  [4474] = {.lex_state = 18, .external_lex_state = 3},
  [4475] = {.lex_state = 18, .external_lex_state = 3},
  [4476] = {.lex_state = 18, .external_lex_state = 3},
  [4477] = {.lex_state = 18, .external_lex_state = 3},
  [4478] = {.lex_state = 132, .external_lex_state = 3},
  [4479] = {.lex_state = 18, .external_lex_state = 3},
  [4480] = {.lex_state = 18, .external_lex_state = 3},
  [4481] = {.lex_state = 18, .external_lex_state = 3},
  [4482] = {.lex_state = 18, .external_lex_state = 3},
  [4483] = {.lex_state = 18, .external_lex_state = 3},
  [4484] = {.lex_state = 18, .external_lex_state = 3},
  [4485] = {.lex_state = 18, .external_lex_state = 3},
  [4486] = {.lex_state = 18, .external_lex_state = 3},
  [4487] = {.lex_state = 18, .external_lex_state = 3},
  [4488] = {.lex_state = 18, .external_lex_state = 3},
  [4489] = {.lex_state = 18, .external_lex_state = 3},
  [4490] = {.lex_state = 18, .external_lex_state = 3},
  [4491] = {.lex_state = 133, .external_lex_state = 3},
  [4492] = {.lex_state = 18, .external_lex_state = 3},
  [4493] = {.lex_state = 18, .external_lex_state = 3},
  [4494] = {.lex_state = 18, .external_lex_state = 3},
  [4495] = {.lex_state = 18, .external_lex_state = 3},
  [4496] = {.lex_state = 18, .external_lex_state = 3},
  [4497] = {.lex_state = 18, .external_lex_state = 3},
  [4498] = {.lex_state = 18, .external_lex_state = 3},
  [4499] = {.lex_state = 18, .external_lex_state = 3},
  [4500] = {.lex_state = 18, .external_lex_state = 3},
  [4501] = {.lex_state = 18, .external_lex_state = 3},
  [4502] = {.lex_state = 18, .external_lex_state = 3},
  [4503] = {.lex_state = 18, .external_lex_state = 3},
  [4504] = {.lex_state = 18, .external_lex_state = 3},
  [4505] = {.lex_state = 18, .external_lex_state = 3},
  [4506] = {.lex_state = 18, .external_lex_state = 3},
  [4507] = {.lex_state = 18, .external_lex_state = 3},
  [4508] = {.lex_state = 18, .external_lex_state = 3},
  [4509] = {.lex_state = 128, .external_lex_state = 3},
  [4510] = {.lex_state = 18, .external_lex_state = 3},
  [4511] = {.lex_state = 18, .external_lex_state = 3},
  [4512] = {.lex_state = 18, .external_lex_state = 3},
  [4513] = {.lex_state = 18, .external_lex_state = 3},
  [4514] = {.lex_state = 18, .external_lex_state = 3},
  [4515] = {.lex_state = 18, .external_lex_state = 3},
  [4516] = {.lex_state = 6, .external_lex_state = 3},
  [4517] = {.lex_state = 6, .external_lex_state = 3},
  [4518] = {.lex_state = 18, .external_lex_state = 3},
  [4519] = {.lex_state = 18, .external_lex_state = 3},
  [4520] = {.lex_state = 18, .external_lex_state = 3},
  [4521] = {.lex_state = 18, .external_lex_state = 3},
  [4522] = {.lex_state = 18, .external_lex_state = 3},
  [4523] = {.lex_state = 133, .external_lex_state = 3},
  [4524] = {.lex_state = 18, .external_lex_state = 3},
  [4525] = {.lex_state = 6, .external_lex_state = 3},
  [4526] = {.lex_state = 18, .external_lex_state = 3},
  [4527] = {.lex_state = 18, .external_lex_state = 3},
  [4528] = {.lex_state = 18, .external_lex_state = 3},
  [4529] = {.lex_state = 18, .external_lex_state = 3},
  [4530] = {.lex_state = 18, .external_lex_state = 3},
  [4531] = {.lex_state = 6, .external_lex_state = 3},
  [4532] = {.lex_state = 6, .external_lex_state = 3},
  [4533] = {.lex_state = 18, .external_lex_state = 3},
  [4534] = {.lex_state = 6, .external_lex_state = 3},
  [4535] = {.lex_state = 127, .external_lex_state = 3},
  [4536] = {.lex_state = 133, .external_lex_state = 3},
  [4537] = {.lex_state = 18, .external_lex_state = 3},
  [4538] = {.lex_state = 18, .external_lex_state = 3},
  [4539] = {.lex_state = 18, .external_lex_state = 3},
  [4540] = {.lex_state = 6, .external_lex_state = 3},
  [4541] = {.lex_state = 18, .external_lex_state = 3},
  [4542] = {.lex_state = 6, .external_lex_state = 3},
  [4543] = {.lex_state = 18, .external_lex_state = 3},
  [4544] = {.lex_state = 18, .external_lex_state = 3},
  [4545] = {.lex_state = 18, .external_lex_state = 3},
  [4546] = {.lex_state = 6, .external_lex_state = 3},
  [4547] = {.lex_state = 18, .external_lex_state = 3},
  [4548] = {.lex_state = 18, .external_lex_state = 3},
  [4549] = {.lex_state = 6, .external_lex_state = 3},
  [4550] = {.lex_state = 18, .external_lex_state = 3},
  [4551] = {.lex_state = 18, .external_lex_state = 3},
  [4552] = {.lex_state = 18, .external_lex_state = 3},
  [4553] = {.lex_state = 6, .external_lex_state = 3},
  [4554] = {.lex_state = 18, .external_lex_state = 3},
  [4555] = {.lex_state = 18, .external_lex_state = 3},
  [4556] = {.lex_state = 128, .external_lex_state = 3},
  [4557] = {.lex_state = 18, .external_lex_state = 3},
  [4558] = {.lex_state = 134, .external_lex_state = 3},
  [4559] = {.lex_state = 6, .external_lex_state = 3},
  [4560] = {.lex_state = 18, .external_lex_state = 3},
  [4561] = {.lex_state = 6, .external_lex_state = 3},
  [4562] = {.lex_state = 6, .external_lex_state = 3},
  [4563] = {.lex_state = 6, .external_lex_state = 3},
  [4564] = {.lex_state = 18, .external_lex_state = 3},
  [4565] = {.lex_state = 18, .external_lex_state = 3},
  [4566] = {.lex_state = 6, .external_lex_state = 3},
  [4567] = {.lex_state = 6, .external_lex_state = 3},
  [4568] = {.lex_state = 6, .external_lex_state = 3},
  [4569] = {.lex_state = 128, .external_lex_state = 3},
  [4570] = {.lex_state = 6, .external_lex_state = 3},
  [4571] = {.lex_state = 18, .external_lex_state = 3},
  [4572] = {.lex_state = 6, .external_lex_state = 3},
  [4573] = {.lex_state = 18, .external_lex_state = 3},
  [4574] = {.lex_state = 18, .external_lex_state = 3},
  [4575] = {.lex_state = 18, .external_lex_state = 3},
  [4576] = {.lex_state = 18, .external_lex_state = 3},
  [4577] = {.lex_state = 18, .external_lex_state = 3},
  [4578] = {.lex_state = 6, .external_lex_state = 3},
  [4579] = {.lex_state = 18, .external_lex_state = 3},
  [4580] = {.lex_state = 18, .external_lex_state = 3},
  [4581] = {.lex_state = 18, .external_lex_state = 3},
  [4582] = {.lex_state = 18, .external_lex_state = 3},
  [4583] = {.lex_state = 18, .external_lex_state = 3},
  [4584] = {.lex_state = 18, .external_lex_state = 3},
  [4585] = {.lex_state = 18, .external_lex_state = 3},
  [4586] = {.lex_state = 18, .external_lex_state = 3},
  [4587] = {.lex_state = 18, .external_lex_state = 3},
  [4588] = {.lex_state = 18, .external_lex_state = 3},
  [4589] = {.lex_state = 18, .external_lex_state = 3},
  [4590] = {.lex_state = 6, .external_lex_state = 3},
  [4591] = {.lex_state = 18, .external_lex_state = 3},
  [4592] = {.lex_state = 18, .external_lex_state = 3},
  [4593] = {.lex_state = 18, .external_lex_state = 3},
  [4594] = {.lex_state = 18, .external_lex_state = 3},
  [4595] = {.lex_state = 18, .external_lex_state = 3},
  [4596] = {.lex_state = 6, .external_lex_state = 3},
  [4597] = {.lex_state = 18, .external_lex_state = 3},
  [4598] = {.lex_state = 6, .external_lex_state = 3},
  [4599] = {.lex_state = 6, .external_lex_state = 3},
  [4600] = {.lex_state = 6, .external_lex_state = 3},
  [4601] = {.lex_state = 18, .external_lex_state = 3},
  [4602] = {.lex_state = 18, .external_lex_state = 3},
  [4603] = {.lex_state = 18, .external_lex_state = 3},
  [4604] = {.lex_state = 18, .external_lex_state = 3},
  [4605] = {.lex_state = 18, .external_lex_state = 3},
  [4606] = {.lex_state = 134, .external_lex_state = 3},
  [4607] = {.lex_state = 18, .external_lex_state = 3},
  [4608] = {.lex_state = 18, .external_lex_state = 3},
  [4609] = {.lex_state = 18, .external_lex_state = 3},
  [4610] = {.lex_state = 127, .external_lex_state = 3},
  [4611] = {.lex_state = 18, .external_lex_state = 3},
  [4612] = {.lex_state = 18, .external_lex_state = 3},
  [4613] = {.lex_state = 18, .external_lex_state = 3},
  [4614] = {.lex_state = 18, .external_lex_state = 3},
  [4615] = {.lex_state = 18, .external_lex_state = 3},
  [4616] = {.lex_state = 18, .external_lex_state = 3},
  [4617] = {.lex_state = 18, .external_lex_state = 3},
  [4618] = {.lex_state = 18, .external_lex_state = 3},
  [4619] = {.lex_state = 18, .external_lex_state = 3},
  [4620] = {.lex_state = 6, .external_lex_state = 3},
  [4621] = {.lex_state = 134, .external_lex_state = 3},
  [4622] = {.lex_state = 18, .external_lex_state = 3},
  [4623] = {.lex_state = 18, .external_lex_state = 3},
  [4624] = {.lex_state = 18, .external_lex_state = 3},
  [4625] = {.lex_state = 18, .external_lex_state = 3},
  [4626] = {.lex_state = 127, .external_lex_state = 3},
  [4627] = {.lex_state = 6, .external_lex_state = 3},
  [4628] = {.lex_state = 6, .external_lex_state = 3},
  [4629] = {.lex_state = 6, .external_lex_state = 3},
  [4630] = {.lex_state = 6, .external_lex_state = 3},
  [4631] = {.lex_state = 6, .external_lex_state = 3},
  [4632] = {.lex_state = 6, .external_lex_state = 3},
  [4633] = {.lex_state = 6, .external_lex_state = 3},
  [4634] = {.lex_state = 6, .external_lex_state = 3},
  [4635] = {.lex_state = 6, .external_lex_state = 3},
  [4636] = {.lex_state = 6, .external_lex_state = 3},
  [4637] = {.lex_state = 6, .external_lex_state = 3},
  [4638] = {.lex_state = 6, .external_lex_state = 3},
  [4639] = {.lex_state = 6, .external_lex_state = 3},
  [4640] = {.lex_state = 6, .external_lex_state = 3},
  [4641] = {.lex_state = 6, .external_lex_state = 3},
  [4642] = {.lex_state = 6, .external_lex_state = 3},
  [4643] = {.lex_state = 80, .external_lex_state = 3},
  [4644] = {.lex_state = 6, .external_lex_state = 3},
  [4645] = {.lex_state = 6, .external_lex_state = 3},
  [4646] = {.lex_state = 6, .external_lex_state = 3},
  [4647] = {.lex_state = 6, .external_lex_state = 3},
  [4648] = {.lex_state = 6, .external_lex_state = 3},
  [4649] = {.lex_state = 6, .external_lex_state = 3},
  [4650] = {.lex_state = 80, .external_lex_state = 3},
  [4651] = {.lex_state = 6, .external_lex_state = 3},
  [4652] = {.lex_state = 6, .external_lex_state = 3},
  [4653] = {.lex_state = 6, .external_lex_state = 3},
  [4654] = {.lex_state = 6, .external_lex_state = 3},
  [4655] = {.lex_state = 6, .external_lex_state = 3},
  [4656] = {.lex_state = 6, .external_lex_state = 3},
  [4657] = {.lex_state = 6, .external_lex_state = 3},
  [4658] = {.lex_state = 6, .external_lex_state = 3},
  [4659] = {.lex_state = 6, .external_lex_state = 3},
  [4660] = {.lex_state = 6, .external_lex_state = 3},
  [4661] = {.lex_state = 6, .external_lex_state = 3},
  [4662] = {.lex_state = 6, .external_lex_state = 3},
  [4663] = {.lex_state = 6, .external_lex_state = 3},
  [4664] = {.lex_state = 6, .external_lex_state = 3},
  [4665] = {.lex_state = 6, .external_lex_state = 3},
  [4666] = {.lex_state = 6, .external_lex_state = 3},
  [4667] = {.lex_state = 6, .external_lex_state = 3},
  [4668] = {.lex_state = 6, .external_lex_state = 3},
  [4669] = {.lex_state = 26, .external_lex_state = 3},
  [4670] = {.lex_state = 6, .external_lex_state = 3},
  [4671] = {.lex_state = 6, .external_lex_state = 3},
  [4672] = {.lex_state = 6, .external_lex_state = 3},
  [4673] = {.lex_state = 6, .external_lex_state = 3},
  [4674] = {.lex_state = 6, .external_lex_state = 3},
  [4675] = {.lex_state = 6, .external_lex_state = 3},
  [4676] = {.lex_state = 6, .external_lex_state = 3},
  [4677] = {.lex_state = 80, .external_lex_state = 3},
  [4678] = {.lex_state = 6, .external_lex_state = 3},
  [4679] = {.lex_state = 80, .external_lex_state = 3},
  [4680] = {.lex_state = 80, .external_lex_state = 3},
  [4681] = {.lex_state = 80, .external_lex_state = 3},
  [4682] = {.lex_state = 80, .external_lex_state = 3},
  [4683] = {.lex_state = 6, .external_lex_state = 3},
  [4684] = {.lex_state = 80, .external_lex_state = 3},
  [4685] = {.lex_state = 26, .external_lex_state = 3},
  [4686] = {.lex_state = 6, .external_lex_state = 3},
  [4687] = {.lex_state = 6, .external_lex_state = 3},
  [4688] = {.lex_state = 6, .external_lex_state = 3},
  [4689] = {.lex_state = 6, .external_lex_state = 3},
  [4690] = {.lex_state = 6, .external_lex_state = 3},
  [4691] = {.lex_state = 6, .external_lex_state = 3},
  [4692] = {.lex_state = 80, .external_lex_state = 3},
  [4693] = {.lex_state = 80, .external_lex_state = 3},
  [4694] = {.lex_state = 6, .external_lex_state = 3},
  [4695] = {.lex_state = 6, .external_lex_state = 3},
  [4696] = {.lex_state = 6, .external_lex_state = 3},
  [4697] = {.lex_state = 6, .external_lex_state = 3},
  [4698] = {.lex_state = 6, .external_lex_state = 3},
  [4699] = {.lex_state = 6, .external_lex_state = 3},
  [4700] = {.lex_state = 6, .external_lex_state = 3},
  [4701] = {.lex_state = 6, .external_lex_state = 3},
  [4702] = {.lex_state = 6, .external_lex_state = 3},
  [4703] = {.lex_state = 6, .external_lex_state = 3},
  [4704] = {.lex_state = 6, .external_lex_state = 3},
  [4705] = {.lex_state = 6, .external_lex_state = 3},
  [4706] = {.lex_state = 6, .external_lex_state = 3},
  [4707] = {.lex_state = 6, .external_lex_state = 3},
  [4708] = {.lex_state = 6, .external_lex_state = 3},
  [4709] = {.lex_state = 26, .external_lex_state = 3},
  [4710] = {.lex_state = 6, .external_lex_state = 3},
  [4711] = {.lex_state = 6, .external_lex_state = 3},
  [4712] = {.lex_state = 6, .external_lex_state = 3},
  [4713] = {.lex_state = 6, .external_lex_state = 3},
  [4714] = {.lex_state = 6, .external_lex_state = 3},
  [4715] = {.lex_state = 6, .external_lex_state = 3},
  [4716] = {.lex_state = 6, .external_lex_state = 3},
  [4717] = {.lex_state = 6, .external_lex_state = 3},
  [4718] = {.lex_state = 6, .external_lex_state = 3},
  [4719] = {.lex_state = 6, .external_lex_state = 3},
  [4720] = {.lex_state = 6, .external_lex_state = 3},
  [4721] = {.lex_state = 6, .external_lex_state = 3},
  [4722] = {.lex_state = 6, .external_lex_state = 3},
  [4723] = {.lex_state = 6, .external_lex_state = 3},
  [4724] = {.lex_state = 6, .external_lex_state = 3},
  [4725] = {.lex_state = 6, .external_lex_state = 3},
  [4726] = {.lex_state = 6, .external_lex_state = 3},
  [4727] = {.lex_state = 6, .external_lex_state = 3},
  [4728] = {.lex_state = 6, .external_lex_state = 3},
  [4729] = {.lex_state = 6, .external_lex_state = 3},
  [4730] = {.lex_state = 6, .external_lex_state = 3},
  [4731] = {.lex_state = 6, .external_lex_state = 3},
  [4732] = {.lex_state = 80, .external_lex_state = 3},
  [4733] = {.lex_state = 81, .external_lex_state = 3},
  [4734] = {.lex_state = 80, .external_lex_state = 3},
  [4735] = {.lex_state = 6, .external_lex_state = 3},
  [4736] = {.lex_state = 6, .external_lex_state = 3},
  [4737] = {.lex_state = 6, .external_lex_state = 3},
  [4738] = {.lex_state = 6, .external_lex_state = 3},
  [4739] = {.lex_state = 80, .external_lex_state = 3},
  [4740] = {.lex_state = 6, .external_lex_state = 3},
  [4741] = {.lex_state = 6, .external_lex_state = 3},
  [4742] = {.lex_state = 6, .external_lex_state = 3},
  [4743] = {.lex_state = 6, .external_lex_state = 3},
  [4744] = {.lex_state = 6, .external_lex_state = 3},
  [4745] = {.lex_state = 80, .external_lex_state = 3},
  [4746] = {.lex_state = 6, .external_lex_state = 3},
  [4747] = {.lex_state = 80, .external_lex_state = 3},
  [4748] = {.lex_state = 80, .external_lex_state = 3},
  [4749] = {.lex_state = 80, .external_lex_state = 3},
  [4750] = {.lex_state = 6, .external_lex_state = 3},
  [4751] = {.lex_state = 80, .external_lex_state = 3},
  [4752] = {.lex_state = 80, .external_lex_state = 3},
  [4753] = {.lex_state = 80, .external_lex_state = 3},
  [4754] = {.lex_state = 6, .external_lex_state = 3},
  [4755] = {.lex_state = 80, .external_lex_state = 3},
  [4756] = {.lex_state = 80, .external_lex_state = 3},
  [4757] = {.lex_state = 80, .external_lex_state = 3},
  [4758] = {.lex_state = 80, .external_lex_state = 3},
  [4759] = {.lex_state = 80, .external_lex_state = 3},
  [4760] = {.lex_state = 80, .external_lex_state = 3},
  [4761] = {.lex_state = 6, .external_lex_state = 3},
  [4762] = {.lex_state = 80, .external_lex_state = 3},
  [4763] = {.lex_state = 80, .external_lex_state = 3},
  [4764] = {.lex_state = 80, .external_lex_state = 3},
  [4765] = {.lex_state = 80, .external_lex_state = 3},
  [4766] = {.lex_state = 6, .external_lex_state = 3},
  [4767] = {.lex_state = 80, .external_lex_state = 3},
  [4768] = {.lex_state = 80, .external_lex_state = 3},
  [4769] = {.lex_state = 80, .external_lex_state = 3},
  [4770] = {.lex_state = 80, .external_lex_state = 3},
  [4771] = {.lex_state = 80, .external_lex_state = 3},
  [4772] = {.lex_state = 80, .external_lex_state = 3},
  [4773] = {.lex_state = 80, .external_lex_state = 3},
  [4774] = {.lex_state = 6, .external_lex_state = 3},
  [4775] = {.lex_state = 80, .external_lex_state = 3},
  [4776] = {.lex_state = 80, .external_lex_state = 3},
  [4777] = {.lex_state = 80, .external_lex_state = 3},
  [4778] = {.lex_state = 80, .external_lex_state = 3},
  [4779] = {.lex_state = 80, .external_lex_state = 3},
  [4780] = {.lex_state = 80, .external_lex_state = 3},
  [4781] = {.lex_state = 80, .external_lex_state = 3},
  [4782] = {.lex_state = 6, .external_lex_state = 3},
  [4783] = {.lex_state = 80, .external_lex_state = 3},
  [4784] = {.lex_state = 81, .external_lex_state = 3},
  [4785] = {.lex_state = 80, .external_lex_state = 3},
  [4786] = {.lex_state = 80, .external_lex_state = 3},
  [4787] = {.lex_state = 80, .external_lex_state = 3},
  [4788] = {.lex_state = 6, .external_lex_state = 3},
  [4789] = {.lex_state = 80, .external_lex_state = 3},
  [4790] = {.lex_state = 81, .external_lex_state = 3},
  [4791] = {.lex_state = 80, .external_lex_state = 3},
  [4792] = {.lex_state = 6, .external_lex_state = 3},
  [4793] = {.lex_state = 6, .external_lex_state = 3},
  [4794] = {.lex_state = 80, .external_lex_state = 3},
  [4795] = {.lex_state = 6, .external_lex_state = 3},
  [4796] = {.lex_state = 6, .external_lex_state = 3},
  [4797] = {.lex_state = 6, .external_lex_state = 3},
  [4798] = {.lex_state = 80, .external_lex_state = 3},
  [4799] = {.lex_state = 6, .external_lex_state = 3},
  [4800] = {.lex_state = 80, .external_lex_state = 3},
  [4801] = {.lex_state = 81, .external_lex_state = 3},
  [4802] = {.lex_state = 6, .external_lex_state = 3},
  [4803] = {.lex_state = 6, .external_lex_state = 3},
  [4804] = {.lex_state = 80, .external_lex_state = 3},
  [4805] = {.lex_state = 6, .external_lex_state = 3},
  [4806] = {.lex_state = 6, .external_lex_state = 3},
  [4807] = {.lex_state = 80, .external_lex_state = 3},
  [4808] = {.lex_state = 80, .external_lex_state = 3},
  [4809] = {.lex_state = 6, .external_lex_state = 3},
  [4810] = {.lex_state = 80, .external_lex_state = 3},
  [4811] = {.lex_state = 80, .external_lex_state = 3},
  [4812] = {.lex_state = 6, .external_lex_state = 3},
  [4813] = {.lex_state = 80, .external_lex_state = 3},
  [4814] = {.lex_state = 80, .external_lex_state = 3},
  [4815] = {.lex_state = 6, .external_lex_state = 3},
  [4816] = {.lex_state = 80, .external_lex_state = 3},
  [4817] = {.lex_state = 80, .external_lex_state = 3},
  [4818] = {.lex_state = 80, .external_lex_state = 3},
  [4819] = {.lex_state = 80, .external_lex_state = 3},
  [4820] = {.lex_state = 80, .external_lex_state = 3},
  [4821] = {.lex_state = 6, .external_lex_state = 3},
  [4822] = {.lex_state = 6, .external_lex_state = 3},
  [4823] = {.lex_state = 81, .external_lex_state = 3},
  [4824] = {.lex_state = 6, .external_lex_state = 3},
  [4825] = {.lex_state = 80, .external_lex_state = 3},
  [4826] = {.lex_state = 6, .external_lex_state = 3},
  [4827] = {.lex_state = 6, .external_lex_state = 3},
  [4828] = {.lex_state = 80, .external_lex_state = 3},
  [4829] = {.lex_state = 6, .external_lex_state = 3},
  [4830] = {.lex_state = 6, .external_lex_state = 3},
  [4831] = {.lex_state = 6, .external_lex_state = 3},
  [4832] = {.lex_state = 6, .external_lex_state = 3},
  [4833] = {.lex_state = 6, .external_lex_state = 3},
  [4834] = {.lex_state = 81, .external_lex_state = 3},
  [4835] = {.lex_state = 80, .external_lex_state = 3},
  [4836] = {.lex_state = 6, .external_lex_state = 3},
  [4837] = {.lex_state = 81, .external_lex_state = 3},
  [4838] = {.lex_state = 80, .external_lex_state = 3},
  [4839] = {.lex_state = 80, .external_lex_state = 3},
  [4840] = {.lex_state = 80, .external_lex_state = 3},
  [4841] = {.lex_state = 80, .external_lex_state = 3},
  [4842] = {.lex_state = 80, .external_lex_state = 3},
  [4843] = {.lex_state = 81, .external_lex_state = 3},
  [4844] = {.lex_state = 80, .external_lex_state = 3},
  [4845] = {.lex_state = 80, .external_lex_state = 3},
  [4846] = {.lex_state = 26, .external_lex_state = 3},
  [4847] = {.lex_state = 80, .external_lex_state = 3},
  [4848] = {.lex_state = 6, .external_lex_state = 3},
  [4849] = {.lex_state = 81, .external_lex_state = 3},
  [4850] = {.lex_state = 80, .external_lex_state = 3},
  [4851] = {.lex_state = 80, .external_lex_state = 3},
  [4852] = {.lex_state = 80, .external_lex_state = 3},
  [4853] = {.lex_state = 80, .external_lex_state = 3},
  [4854] = {.lex_state = 6, .external_lex_state = 3},
  [4855] = {.lex_state = 80, .external_lex_state = 3},
  [4856] = {.lex_state = 81, .external_lex_state = 3},
  [4857] = {.lex_state = 80, .external_lex_state = 3},
  [4858] = {.lex_state = 6, .external_lex_state = 3},
  [4859] = {.lex_state = 80, .external_lex_state = 3},
  [4860] = {.lex_state = 6, .external_lex_state = 3},
  [4861] = {.lex_state = 80, .external_lex_state = 3},
  [4862] = {.lex_state = 6, .external_lex_state = 3},
  [4863] = {.lex_state = 81, .external_lex_state = 3},
  [4864] = {.lex_state = 81, .external_lex_state = 3},
  [4865] = {.lex_state = 81, .external_lex_state = 3},
  [4866] = {.lex_state = 81, .external_lex_state = 3},
  [4867] = {.lex_state = 81, .external_lex_state = 3},
  [4868] = {.lex_state = 49, .external_lex_state = 3},
  [4869] = {.lex_state = 6, .external_lex_state = 3},
  [4870] = {.lex_state = 81, .external_lex_state = 3},
  [4871] = {.lex_state = 81, .external_lex_state = 3},
  [4872] = {.lex_state = 81, .external_lex_state = 3},
  [4873] = {.lex_state = 81, .external_lex_state = 3},
  [4874] = {.lex_state = 81, .external_lex_state = 3},
  [4875] = {.lex_state = 81, .external_lex_state = 3},
  [4876] = {.lex_state = 49, .external_lex_state = 3},
  [4877] = {.lex_state = 81, .external_lex_state = 3},
  [4878] = {.lex_state = 81, .external_lex_state = 3},
  [4879] = {.lex_state = 81, .external_lex_state = 3},
  [4880] = {.lex_state = 81, .external_lex_state = 3},
  [4881] = {.lex_state = 81, .external_lex_state = 3},
  [4882] = {.lex_state = 81, .external_lex_state = 3},
  [4883] = {.lex_state = 81, .external_lex_state = 3},
  [4884] = {.lex_state = 49, .external_lex_state = 3},
  [4885] = {.lex_state = 81, .external_lex_state = 3},
  [4886] = {.lex_state = 81, .external_lex_state = 3},
  [4887] = {.lex_state = 81, .external_lex_state = 3},
  [4888] = {.lex_state = 81, .external_lex_state = 3},
  [4889] = {.lex_state = 81, .external_lex_state = 3},
  [4890] = {.lex_state = 81, .external_lex_state = 3},
  [4891] = {.lex_state = 81, .external_lex_state = 3},
  [4892] = {.lex_state = 81, .external_lex_state = 3},
  [4893] = {.lex_state = 6, .external_lex_state = 3},
  [4894] = {.lex_state = 81, .external_lex_state = 3},
  [4895] = {.lex_state = 81, .external_lex_state = 3},
  [4896] = {.lex_state = 81, .external_lex_state = 3},
  [4897] = {.lex_state = 81, .external_lex_state = 3},
  [4898] = {.lex_state = 81, .external_lex_state = 3},
  [4899] = {.lex_state = 6, .external_lex_state = 3},
  [4900] = {.lex_state = 49, .external_lex_state = 3},
  [4901] = {.lex_state = 81, .external_lex_state = 3},
  [4902] = {.lex_state = 49, .external_lex_state = 3},
  [4903] = {.lex_state = 81, .external_lex_state = 3},
  [4904] = {.lex_state = 81, .external_lex_state = 3},
  [4905] = {.lex_state = 81, .external_lex_state = 3},
  [4906] = {.lex_state = 81, .external_lex_state = 3},
  [4907] = {.lex_state = 81, .external_lex_state = 3},
  [4908] = {.lex_state = 81, .external_lex_state = 3},
  [4909] = {.lex_state = 81, .external_lex_state = 3},
  [4910] = {.lex_state = 81, .external_lex_state = 3},
  [4911] = {.lex_state = 81, .external_lex_state = 3},
  [4912] = {.lex_state = 81, .external_lex_state = 3},
  [4913] = {.lex_state = 81, .external_lex_state = 3},
  [4914] = {.lex_state = 81, .external_lex_state = 3},
  [4915] = {.lex_state = 49, .external_lex_state = 3},
  [4916] = {.lex_state = 6, .external_lex_state = 3},
  [4917] = {.lex_state = 81, .external_lex_state = 3},
  [4918] = {.lex_state = 81, .external_lex_state = 3},
  [4919] = {.lex_state = 81, .external_lex_state = 3},
  [4920] = {.lex_state = 49, .external_lex_state = 3},
  [4921] = {.lex_state = 81, .external_lex_state = 3},
  [4922] = {.lex_state = 81, .external_lex_state = 3},
  [4923] = {.lex_state = 49, .external_lex_state = 3},
  [4924] = {.lex_state = 81, .external_lex_state = 3},
  [4925] = {.lex_state = 81, .external_lex_state = 3},
  [4926] = {.lex_state = 81, .external_lex_state = 3},
  [4927] = {.lex_state = 81, .external_lex_state = 3},
  [4928] = {.lex_state = 81, .external_lex_state = 3},
  [4929] = {.lex_state = 81, .external_lex_state = 3},
  [4930] = {.lex_state = 81, .external_lex_state = 3},
  [4931] = {.lex_state = 81, .external_lex_state = 3},
  [4932] = {.lex_state = 81, .external_lex_state = 3},
  [4933] = {.lex_state = 81, .external_lex_state = 3},
  [4934] = {.lex_state = 81, .external_lex_state = 3},
  [4935] = {.lex_state = 81, .external_lex_state = 3},
  [4936] = {.lex_state = 81, .external_lex_state = 3},
  [4937] = {.lex_state = 6, .external_lex_state = 3},
  [4938] = {.lex_state = 81, .external_lex_state = 3},
  [4939] = {.lex_state = 81, .external_lex_state = 3},
  [4940] = {.lex_state = 81, .external_lex_state = 3},
  [4941] = {.lex_state = 81, .external_lex_state = 3},
  [4942] = {.lex_state = 49, .external_lex_state = 3},
  [4943] = {.lex_state = 81, .external_lex_state = 3},
  [4944] = {.lex_state = 81, .external_lex_state = 3},
  [4945] = {.lex_state = 81, .external_lex_state = 3},
  [4946] = {.lex_state = 49, .external_lex_state = 3},
  [4947] = {.lex_state = 81, .external_lex_state = 3},
  [4948] = {.lex_state = 81, .external_lex_state = 3},
  [4949] = {.lex_state = 6, .external_lex_state = 3},
  [4950] = {.lex_state = 81, .external_lex_state = 3},
  [4951] = {.lex_state = 81, .external_lex_state = 3},
  [4952] = {.lex_state = 81, .external_lex_state = 3},
  [4953] = {.lex_state = 49, .external_lex_state = 3},
  [4954] = {.lex_state = 6, .external_lex_state = 3},
  [4955] = {.lex_state = 49, .external_lex_state = 3},
  [4956] = {.lex_state = 18, .external_lex_state = 3},
  [4957] = {.lex_state = 6, .external_lex_state = 3},
  [4958] = {.lex_state = 49, .external_lex_state = 3},
  [4959] = {.lex_state = 49, .external_lex_state = 3},
  [4960] = {.lex_state = 49, .external_lex_state = 3},
  [4961] = {.lex_state = 49, .external_lex_state = 3},
  [4962] = {.lex_state = 6, .external_lex_state = 3},
  [4963] = {.lex_state = 51, .external_lex_state = 3},
  [4964] = {.lex_state = 49, .external_lex_state = 3},
  [4965] = {.lex_state = 6, .external_lex_state = 3},
  [4966] = {.lex_state = 49, .external_lex_state = 3},
  [4967] = {.lex_state = 49, .external_lex_state = 3},
  [4968] = {.lex_state = 6, .external_lex_state = 3},
  [4969] = {.lex_state = 48, .external_lex_state = 3},
  [4970] = {.lex_state = 6, .external_lex_state = 3},
  [4971] = {.lex_state = 6, .external_lex_state = 3},
  [4972] = {.lex_state = 6, .external_lex_state = 3},
  [4973] = {.lex_state = 6, .external_lex_state = 3},
  [4974] = {.lex_state = 49, .external_lex_state = 3},
  [4975] = {.lex_state = 6, .external_lex_state = 3},
  [4976] = {.lex_state = 80, .external_lex_state = 3},
  [4977] = {.lex_state = 6, .external_lex_state = 3},
  [4978] = {.lex_state = 48, .external_lex_state = 3},
  [4979] = {.lex_state = 6, .external_lex_state = 3},
  [4980] = {.lex_state = 51, .external_lex_state = 3},
  [4981] = {.lex_state = 6, .external_lex_state = 3},
  [4982] = {.lex_state = 6, .external_lex_state = 3},
  [4983] = {.lex_state = 6, .external_lex_state = 3},
  [4984] = {.lex_state = 51, .external_lex_state = 3},
  [4985] = {.lex_state = 6, .external_lex_state = 3},
  [4986] = {.lex_state = 49, .external_lex_state = 3},
  [4987] = {.lex_state = 6, .external_lex_state = 3},
  [4988] = {.lex_state = 49, .external_lex_state = 3},
  [4989] = {.lex_state = 51, .external_lex_state = 3},
  [4990] = {.lex_state = 6, .external_lex_state = 3},
  [4991] = {.lex_state = 49, .external_lex_state = 3},
  [4992] = {.lex_state = 49, .external_lex_state = 3},
  [4993] = {.lex_state = 49, .external_lex_state = 3},
  [4994] = {.lex_state = 6, .external_lex_state = 3},
  [4995] = {.lex_state = 49, .external_lex_state = 3},
  [4996] = {.lex_state = 49, .external_lex_state = 3},
  [4997] = {.lex_state = 6, .external_lex_state = 3},
  [4998] = {.lex_state = 49, .external_lex_state = 3},
  [4999] = {.lex_state = 49, .external_lex_state = 3},
  [5000] = {.lex_state = 49, .external_lex_state = 3},
  [5001] = {.lex_state = 49, .external_lex_state = 3},
  [5002] = {.lex_state = 49, .external_lex_state = 3},
  [5003] = {.lex_state = 6, .external_lex_state = 3},
  [5004] = {.lex_state = 49, .external_lex_state = 3},
  [5005] = {.lex_state = 49, .external_lex_state = 3},
  [5006] = {.lex_state = 6, .external_lex_state = 3},
  [5007] = {.lex_state = 49, .external_lex_state = 3},
  [5008] = {.lex_state = 6, .external_lex_state = 3},
  [5009] = {.lex_state = 51, .external_lex_state = 3},
  [5010] = {.lex_state = 49, .external_lex_state = 3},
  [5011] = {.lex_state = 6, .external_lex_state = 3},
  [5012] = {.lex_state = 6, .external_lex_state = 3},
  [5013] = {.lex_state = 49, .external_lex_state = 3},
  [5014] = {.lex_state = 6, .external_lex_state = 3},
  [5015] = {.lex_state = 49, .external_lex_state = 3},
  [5016] = {.lex_state = 6, .external_lex_state = 3},
  [5017] = {.lex_state = 6, .external_lex_state = 3},
  [5018] = {.lex_state = 49, .external_lex_state = 3},
  [5019] = {.lex_state = 6, .external_lex_state = 3},
  [5020] = {.lex_state = 48, .external_lex_state = 3},
  [5021] = {.lex_state = 6, .external_lex_state = 3},
  [5022] = {.lex_state = 6, .external_lex_state = 3},
  [5023] = {.lex_state = 49, .external_lex_state = 3},
  [5024] = {.lex_state = 48, .external_lex_state = 3},
  [5025] = {.lex_state = 48, .external_lex_state = 3},
  [5026] = {.lex_state = 6, .external_lex_state = 3},
  [5027] = {.lex_state = 49, .external_lex_state = 3},
  [5028] = {.lex_state = 49, .external_lex_state = 3},
  [5029] = {.lex_state = 49, .external_lex_state = 3},
  [5030] = {.lex_state = 49, .external_lex_state = 3},
  [5031] = {.lex_state = 48, .external_lex_state = 3},
  [5032] = {.lex_state = 6, .external_lex_state = 3},
  [5033] = {.lex_state = 49, .external_lex_state = 3},
  [5034] = {.lex_state = 26, .external_lex_state = 3},
  [5035] = {.lex_state = 6, .external_lex_state = 3},
  [5036] = {.lex_state = 48, .external_lex_state = 3},
  [5037] = {.lex_state = 6, .external_lex_state = 3},
  [5038] = {.lex_state = 51, .external_lex_state = 3},
  [5039] = {.lex_state = 48, .external_lex_state = 3},
  [5040] = {.lex_state = 48, .external_lex_state = 3},
  [5041] = {.lex_state = 6, .external_lex_state = 3},
  [5042] = {.lex_state = 6, .external_lex_state = 3},
  [5043] = {.lex_state = 49, .external_lex_state = 3},
  [5044] = {.lex_state = 49, .external_lex_state = 3},
  [5045] = {.lex_state = 6, .external_lex_state = 3},
  [5046] = {.lex_state = 6, .external_lex_state = 3},
  [5047] = {.lex_state = 6, .external_lex_state = 3},
  [5048] = {.lex_state = 6, .external_lex_state = 3},
  [5049] = {.lex_state = 49, .external_lex_state = 3},
  [5050] = {.lex_state = 49, .external_lex_state = 3},
  [5051] = {.lex_state = 49, .external_lex_state = 3},
  [5052] = {.lex_state = 49, .external_lex_state = 3},
  [5053] = {.lex_state = 6, .external_lex_state = 3},
  [5054] = {.lex_state = 6, .external_lex_state = 3},
  [5055] = {.lex_state = 6, .external_lex_state = 3},
  [5056] = {.lex_state = 6, .external_lex_state = 3},
  [5057] = {.lex_state = 49, .external_lex_state = 3},
  [5058] = {.lex_state = 49, .external_lex_state = 3},
  [5059] = {.lex_state = 18, .external_lex_state = 3},
  [5060] = {.lex_state = 6, .external_lex_state = 3},
  [5061] = {.lex_state = 18, .external_lex_state = 3},
  [5062] = {.lex_state = 6, .external_lex_state = 3},
  [5063] = {.lex_state = 49, .external_lex_state = 3},
  [5064] = {.lex_state = 49, .external_lex_state = 3},
  [5065] = {.lex_state = 6, .external_lex_state = 3},
  [5066] = {.lex_state = 49, .external_lex_state = 3},
  [5067] = {.lex_state = 6, .external_lex_state = 3},
  [5068] = {.lex_state = 49, .external_lex_state = 3},
  [5069] = {.lex_state = 6, .external_lex_state = 3},
  [5070] = {.lex_state = 49, .external_lex_state = 3},
  [5071] = {.lex_state = 49, .external_lex_state = 3},
  [5072] = {.lex_state = 6, .external_lex_state = 3},
  [5073] = {.lex_state = 49, .external_lex_state = 3},
  [5074] = {.lex_state = 49, .external_lex_state = 3},
  [5075] = {.lex_state = 48, .external_lex_state = 3},
  [5076] = {.lex_state = 49, .external_lex_state = 3},
  [5077] = {.lex_state = 27, .external_lex_state = 3},
  [5078] = {.lex_state = 49, .external_lex_state = 3},
  [5079] = {.lex_state = 51, .external_lex_state = 3},
  [5080] = {.lex_state = 49, .external_lex_state = 3},
  [5081] = {.lex_state = 49, .external_lex_state = 3},
  [5082] = {.lex_state = 51, .external_lex_state = 3},
  [5083] = {.lex_state = 51, .external_lex_state = 3},
  [5084] = {.lex_state = 49, .external_lex_state = 3},
  [5085] = {.lex_state = 49, .external_lex_state = 3},
  [5086] = {.lex_state = 6, .external_lex_state = 3},
  [5087] = {.lex_state = 49, .external_lex_state = 3},
  [5088] = {.lex_state = 49, .external_lex_state = 3},
  [5089] = {.lex_state = 49, .external_lex_state = 3},
  [5090] = {.lex_state = 49, .external_lex_state = 3},
  [5091] = {.lex_state = 49, .external_lex_state = 3},
  [5092] = {.lex_state = 51, .external_lex_state = 3},
  [5093] = {.lex_state = 49, .external_lex_state = 3},
  [5094] = {.lex_state = 49, .external_lex_state = 3},
  [5095] = {.lex_state = 49, .external_lex_state = 3},
  [5096] = {.lex_state = 49, .external_lex_state = 3},
  [5097] = {.lex_state = 49, .external_lex_state = 3},
  [5098] = {.lex_state = 49, .external_lex_state = 3},
  [5099] = {.lex_state = 49, .external_lex_state = 3},
  [5100] = {.lex_state = 49, .external_lex_state = 3},
  [5101] = {.lex_state = 49, .external_lex_state = 3},
  [5102] = {.lex_state = 49, .external_lex_state = 3},
  [5103] = {.lex_state = 48, .external_lex_state = 3},
  [5104] = {.lex_state = 48, .external_lex_state = 3},
  [5105] = {.lex_state = 51, .external_lex_state = 3},
  [5106] = {.lex_state = 48, .external_lex_state = 3},
  [5107] = {.lex_state = 48, .external_lex_state = 3},
  [5108] = {.lex_state = 51, .external_lex_state = 3},
  [5109] = {.lex_state = 48, .external_lex_state = 3},
  [5110] = {.lex_state = 48, .external_lex_state = 3},
  [5111] = {.lex_state = 179, .external_lex_state = 3},
  [5112] = {.lex_state = 51, .external_lex_state = 3},
  [5113] = {.lex_state = 51, .external_lex_state = 3},
  [5114] = {.lex_state = 51, .external_lex_state = 3},
  [5115] = {.lex_state = 51, .external_lex_state = 3},
  [5116] = {.lex_state = 48, .external_lex_state = 3},
  [5117] = {.lex_state = 48, .external_lex_state = 3},
  [5118] = {.lex_state = 48, .external_lex_state = 3},
  [5119] = {.lex_state = 48, .external_lex_state = 3},
  [5120] = {.lex_state = 51, .external_lex_state = 3},
  [5121] = {.lex_state = 48, .external_lex_state = 3},
  [5122] = {.lex_state = 48, .external_lex_state = 3},
  [5123] = {.lex_state = 48, .external_lex_state = 3},
  [5124] = {.lex_state = 51, .external_lex_state = 3},
  [5125] = {.lex_state = 51, .external_lex_state = 3},
  [5126] = {.lex_state = 51, .external_lex_state = 3},
  [5127] = {.lex_state = 50, .external_lex_state = 3},
  [5128] = {.lex_state = 51, .external_lex_state = 3},
  [5129] = {.lex_state = 48, .external_lex_state = 3},
  [5130] = {.lex_state = 51, .external_lex_state = 3},
  [5131] = {.lex_state = 51, .external_lex_state = 3},
  [5132] = {.lex_state = 48, .external_lex_state = 3},
  [5133] = {.lex_state = 48, .external_lex_state = 3},
  [5134] = {.lex_state = 48, .external_lex_state = 3},
  [5135] = {.lex_state = 51, .external_lex_state = 3},
  [5136] = {.lex_state = 51, .external_lex_state = 3},
  [5137] = {.lex_state = 51, .external_lex_state = 3},
  [5138] = {.lex_state = 51, .external_lex_state = 3},
  [5139] = {.lex_state = 51, .external_lex_state = 3},
  [5140] = {.lex_state = 48, .external_lex_state = 3},
  [5141] = {.lex_state = 48, .external_lex_state = 3},
  [5142] = {.lex_state = 48, .external_lex_state = 3},
  [5143] = {.lex_state = 50, .external_lex_state = 3},
  [5144] = {.lex_state = 48, .external_lex_state = 3},
  [5145] = {.lex_state = 48, .external_lex_state = 3},
  [5146] = {.lex_state = 48, .external_lex_state = 3},
  [5147] = {.lex_state = 48, .external_lex_state = 3},
  [5148] = {.lex_state = 51, .external_lex_state = 3},
  [5149] = {.lex_state = 81, .external_lex_state = 3},
  [5150] = {.lex_state = 51, .external_lex_state = 3},
  [5151] = {.lex_state = 51, .external_lex_state = 3},
  [5152] = {.lex_state = 48, .external_lex_state = 3},
  [5153] = {.lex_state = 51, .external_lex_state = 3},
  [5154] = {.lex_state = 48, .external_lex_state = 3},
  [5155] = {.lex_state = 51, .external_lex_state = 3},
  [5156] = {.lex_state = 51, .external_lex_state = 3},
  [5157] = {.lex_state = 51, .external_lex_state = 3},
  [5158] = {.lex_state = 51, .external_lex_state = 3},
  [5159] = {.lex_state = 51, .external_lex_state = 3},
  [5160] = {.lex_state = 51, .external_lex_state = 3},
  [5161] = {.lex_state = 48, .external_lex_state = 3},
  [5162] = {.lex_state = 51, .external_lex_state = 3},
  [5163] = {.lex_state = 51, .external_lex_state = 3},
  [5164] = {.lex_state = 48, .external_lex_state = 3},
  [5165] = {.lex_state = 80, .external_lex_state = 3},
  [5166] = {.lex_state = 48, .external_lex_state = 3},
  [5167] = {.lex_state = 48, .external_lex_state = 3},
  [5168] = {.lex_state = 51, .external_lex_state = 3},
  [5169] = {.lex_state = 51, .external_lex_state = 3},
  [5170] = {.lex_state = 48, .external_lex_state = 3},
  [5171] = {.lex_state = 26, .external_lex_state = 3},
  [5172] = {.lex_state = 51, .external_lex_state = 3},
  [5173] = {.lex_state = 51, .external_lex_state = 3},
  [5174] = {.lex_state = 51, .external_lex_state = 3},
  [5175] = {.lex_state = 177, .external_lex_state = 3},
  [5176] = {.lex_state = 51, .external_lex_state = 3},
  [5177] = {.lex_state = 48, .external_lex_state = 3},
  [5178] = {.lex_state = 177, .external_lex_state = 3},
  [5179] = {.lex_state = 49, .external_lex_state = 3},
  [5180] = {.lex_state = 48, .external_lex_state = 3},
  [5181] = {.lex_state = 48, .external_lex_state = 3},
  [5182] = {.lex_state = 48, .external_lex_state = 3},
  [5183] = {.lex_state = 50, .external_lex_state = 3},
  [5184] = {.lex_state = 51, .external_lex_state = 3},
  [5185] = {.lex_state = 51, .external_lex_state = 3},
  [5186] = {.lex_state = 48, .external_lex_state = 3},
  [5187] = {.lex_state = 50, .external_lex_state = 3},
  [5188] = {.lex_state = 50, .external_lex_state = 3},
  [5189] = {.lex_state = 48, .external_lex_state = 3},
  [5190] = {.lex_state = 51, .external_lex_state = 3},
  [5191] = {.lex_state = 51, .external_lex_state = 3},
  [5192] = {.lex_state = 48, .external_lex_state = 3},
  [5193] = {.lex_state = 50, .external_lex_state = 3},
  [5194] = {.lex_state = 48, .external_lex_state = 3},
  [5195] = {.lex_state = 48, .external_lex_state = 3},
  [5196] = {.lex_state = 51, .external_lex_state = 3},
  [5197] = {.lex_state = 48, .external_lex_state = 3},
  [5198] = {.lex_state = 48, .external_lex_state = 3},
  [5199] = {.lex_state = 51, .external_lex_state = 3},
  [5200] = {.lex_state = 48, .external_lex_state = 3},
  [5201] = {.lex_state = 51, .external_lex_state = 3},
  [5202] = {.lex_state = 48, .external_lex_state = 3},
  [5203] = {.lex_state = 48, .external_lex_state = 3},
  [5204] = {.lex_state = 51, .external_lex_state = 3},
  [5205] = {.lex_state = 51, .external_lex_state = 3},
  [5206] = {.lex_state = 48, .external_lex_state = 3},
  [5207] = {.lex_state = 27, .external_lex_state = 3},
  [5208] = {.lex_state = 51, .external_lex_state = 3},
  [5209] = {.lex_state = 48, .external_lex_state = 3},
  [5210] = {.lex_state = 50, .external_lex_state = 3},
  [5211] = {.lex_state = 51, .external_lex_state = 3},
  [5212] = {.lex_state = 51, .external_lex_state = 3},
  [5213] = {.lex_state = 179, .external_lex_state = 3},
  [5214] = {.lex_state = 48, .external_lex_state = 3},
  [5215] = {.lex_state = 51, .external_lex_state = 3},
  [5216] = {.lex_state = 51, .external_lex_state = 3},
  [5217] = {.lex_state = 48, .external_lex_state = 3},
  [5218] = {.lex_state = 48, .external_lex_state = 3},
  [5219] = {.lex_state = 48, .external_lex_state = 3},
  [5220] = {.lex_state = 51, .external_lex_state = 3},
  [5221] = {.lex_state = 51, .external_lex_state = 3},
  [5222] = {.lex_state = 48, .external_lex_state = 3},
  [5223] = {.lex_state = 48, .external_lex_state = 3},
  [5224] = {.lex_state = 80, .external_lex_state = 3},
  [5225] = {.lex_state = 51, .external_lex_state = 3},
  [5226] = {.lex_state = 48, .external_lex_state = 3},
  [5227] = {.lex_state = 51, .external_lex_state = 3},
  [5228] = {.lex_state = 51, .external_lex_state = 3},
  [5229] = {.lex_state = 51, .external_lex_state = 3},
  [5230] = {.lex_state = 48, .external_lex_state = 3},
  [5231] = {.lex_state = 48, .external_lex_state = 3},
  [5232] = {.lex_state = 48, .external_lex_state = 3},
  [5233] = {.lex_state = 48, .external_lex_state = 3},
  [5234] = {.lex_state = 48, .external_lex_state = 3},
  [5235] = {.lex_state = 50, .external_lex_state = 3},
  [5236] = {.lex_state = 51, .external_lex_state = 3},
  [5237] = {.lex_state = 50, .external_lex_state = 3},
  [5238] = {.lex_state = 51, .external_lex_state = 3},
  [5239] = {.lex_state = 51, .external_lex_state = 3},
  [5240] = {.lex_state = 51, .external_lex_state = 3},
  [5241] = {.lex_state = 48, .external_lex_state = 3},
  [5242] = {.lex_state = 50, .external_lex_state = 3},
  [5243] = {.lex_state = 48, .external_lex_state = 3},
  [5244] = {.lex_state = 51, .external_lex_state = 3},
  [5245] = {.lex_state = 48, .external_lex_state = 3},
  [5246] = {.lex_state = 50, .external_lex_state = 3},
  [5247] = {.lex_state = 48, .external_lex_state = 3},
  [5248] = {.lex_state = 51, .external_lex_state = 3},
  [5249] = {.lex_state = 48, .external_lex_state = 3},
  [5250] = {.lex_state = 51, .external_lex_state = 3},
  [5251] = {.lex_state = 48, .external_lex_state = 3},
  [5252] = {.lex_state = 48, .external_lex_state = 3},
  [5253] = {.lex_state = 51, .external_lex_state = 3},
  [5254] = {.lex_state = 51, .external_lex_state = 3},
  [5255] = {.lex_state = 51, .external_lex_state = 3},
  [5256] = {.lex_state = 51, .external_lex_state = 3},
  [5257] = {.lex_state = 48, .external_lex_state = 3},
  [5258] = {.lex_state = 51, .external_lex_state = 3},
  [5259] = {.lex_state = 48, .external_lex_state = 3},
  [5260] = {.lex_state = 51, .external_lex_state = 3},
  [5261] = {.lex_state = 48, .external_lex_state = 3},
  [5262] = {.lex_state = 51, .external_lex_state = 3},
  [5263] = {.lex_state = 48, .external_lex_state = 3},
  [5264] = {.lex_state = 48, .external_lex_state = 3},
  [5265] = {.lex_state = 51, .external_lex_state = 3},
  [5266] = {.lex_state = 48, .external_lex_state = 3},
  [5267] = {.lex_state = 48, .external_lex_state = 3},
  [5268] = {.lex_state = 51, .external_lex_state = 3},
  [5269] = {.lex_state = 50, .external_lex_state = 3},
  [5270] = {.lex_state = 50, .external_lex_state = 3},
  [5271] = {.lex_state = 50, .external_lex_state = 3},
  [5272] = {.lex_state = 50, .external_lex_state = 3},
  [5273] = {.lex_state = 50, .external_lex_state = 3},
  [5274] = {.lex_state = 51, .external_lex_state = 3},
  [5275] = {.lex_state = 185, .external_lex_state = 3},
  [5276] = {.lex_state = 50, .external_lex_state = 3},
  [5277] = {.lex_state = 185, .external_lex_state = 3},
  [5278] = {.lex_state = 50, .external_lex_state = 3},
  [5279] = {.lex_state = 178, .external_lex_state = 3},
  [5280] = {.lex_state = 50, .external_lex_state = 3},
  [5281] = {.lex_state = 50, .external_lex_state = 3},
  [5282] = {.lex_state = 50, .external_lex_state = 3},
  [5283] = {.lex_state = 50, .external_lex_state = 3},
  [5284] = {.lex_state = 50, .external_lex_state = 3},
  [5285] = {.lex_state = 50, .external_lex_state = 3},
  [5286] = {.lex_state = 50, .external_lex_state = 3},
  [5287] = {.lex_state = 185, .external_lex_state = 3},
  [5288] = {.lex_state = 50, .external_lex_state = 3},
  [5289] = {.lex_state = 50, .external_lex_state = 3},
  [5290] = {.lex_state = 50, .external_lex_state = 3},
  [5291] = {.lex_state = 179, .external_lex_state = 3},
  [5292] = {.lex_state = 183, .external_lex_state = 3},
  [5293] = {.lex_state = 50, .external_lex_state = 3},
  [5294] = {.lex_state = 50, .external_lex_state = 3},
  [5295] = {.lex_state = 185, .external_lex_state = 3},
  [5296] = {.lex_state = 183, .external_lex_state = 3},
  [5297] = {.lex_state = 50, .external_lex_state = 3},
  [5298] = {.lex_state = 183, .external_lex_state = 3},
  [5299] = {.lex_state = 183, .external_lex_state = 3},
  [5300] = {.lex_state = 177, .external_lex_state = 3},
  [5301] = {.lex_state = 50, .external_lex_state = 3},
  [5302] = {.lex_state = 50, .external_lex_state = 3},
  [5303] = {.lex_state = 50, .external_lex_state = 3},
  [5304] = {.lex_state = 50, .external_lex_state = 3},
  [5305] = {.lex_state = 50, .external_lex_state = 3},
  [5306] = {.lex_state = 50, .external_lex_state = 3},
  [5307] = {.lex_state = 183, .external_lex_state = 3},
  [5308] = {.lex_state = 50, .external_lex_state = 3},
  [5309] = {.lex_state = 185, .external_lex_state = 3},
  [5310] = {.lex_state = 185, .external_lex_state = 3},
  [5311] = {.lex_state = 419, .external_lex_state = 2},
  [5312] = {.lex_state = 179, .external_lex_state = 3},
  [5313] = {.lex_state = 50, .external_lex_state = 3},
  [5314] = {.lex_state = 183, .external_lex_state = 3},
  [5315] = {.lex_state = 178, .external_lex_state = 3},
  [5316] = {.lex_state = 50, .external_lex_state = 3},
  [5317] = {.lex_state = 50, .external_lex_state = 3},
  [5318] = {.lex_state = 50, .external_lex_state = 3},
  [5319] = {.lex_state = 50, .external_lex_state = 3},
  [5320] = {.lex_state = 50, .external_lex_state = 3},
  [5321] = {.lex_state = 81, .external_lex_state = 3},
  [5322] = {.lex_state = 50, .external_lex_state = 3},
  [5323] = {.lex_state = 50, .external_lex_state = 3},
  [5324] = {.lex_state = 50, .external_lex_state = 3},
  [5325] = {.lex_state = 50, .external_lex_state = 3},
  [5326] = {.lex_state = 50, .external_lex_state = 3},
  [5327] = {.lex_state = 183, .external_lex_state = 3},
  [5328] = {.lex_state = 185, .external_lex_state = 3},
  [5329] = {.lex_state = 50, .external_lex_state = 3},
  [5330] = {.lex_state = 185, .external_lex_state = 3},
  [5331] = {.lex_state = 50, .external_lex_state = 3},
  [5332] = {.lex_state = 183, .external_lex_state = 3},
  [5333] = {.lex_state = 50, .external_lex_state = 3},
  [5334] = {.lex_state = 185, .external_lex_state = 3},
  [5335] = {.lex_state = 185, .external_lex_state = 3},
  [5336] = {.lex_state = 183, .external_lex_state = 3},
  [5337] = {.lex_state = 50, .external_lex_state = 3},
  [5338] = {.lex_state = 50, .external_lex_state = 3},
  [5339] = {.lex_state = 179, .external_lex_state = 3},
  [5340] = {.lex_state = 50, .external_lex_state = 3},
  [5341] = {.lex_state = 419, .external_lex_state = 2},
  [5342] = {.lex_state = 50, .external_lex_state = 3},
  [5343] = {.lex_state = 177, .external_lex_state = 3},
  [5344] = {.lex_state = 81, .external_lex_state = 3},
  [5345] = {.lex_state = 50, .external_lex_state = 3},
  [5346] = {.lex_state = 50, .external_lex_state = 3},
  [5347] = {.lex_state = 50, .external_lex_state = 3},
  [5348] = {.lex_state = 50, .external_lex_state = 3},
  [5349] = {.lex_state = 50, .external_lex_state = 3},
  [5350] = {.lex_state = 50, .external_lex_state = 3},
  [5351] = {.lex_state = 50, .external_lex_state = 3},
  [5352] = {.lex_state = 50, .external_lex_state = 3},
  [5353] = {.lex_state = 50, .external_lex_state = 3},
  [5354] = {.lex_state = 50, .external_lex_state = 3},
  [5355] = {.lex_state = 50, .external_lex_state = 3},
  [5356] = {.lex_state = 180, .external_lex_state = 3},
  [5357] = {.lex_state = 177, .external_lex_state = 3},
  [5358] = {.lex_state = 50, .external_lex_state = 3},
  [5359] = {.lex_state = 50, .external_lex_state = 3},
  [5360] = {.lex_state = 419, .external_lex_state = 2},
  [5361] = {.lex_state = 50, .external_lex_state = 3},
  [5362] = {.lex_state = 157, .external_lex_state = 3},
  [5363] = {.lex_state = 50, .external_lex_state = 3},
  [5364] = {.lex_state = 50, .external_lex_state = 3},
  [5365] = {.lex_state = 50, .external_lex_state = 3},
  [5366] = {.lex_state = 50, .external_lex_state = 3},
  [5367] = {.lex_state = 50, .external_lex_state = 3},
  [5368] = {.lex_state = 179, .external_lex_state = 3},
  [5369] = {.lex_state = 50, .external_lex_state = 3},
  [5370] = {.lex_state = 50, .external_lex_state = 3},
  [5371] = {.lex_state = 50, .external_lex_state = 3},
  [5372] = {.lex_state = 50, .external_lex_state = 3},
  [5373] = {.lex_state = 185, .external_lex_state = 3},
  [5374] = {.lex_state = 50, .external_lex_state = 3},
  [5375] = {.lex_state = 50, .external_lex_state = 3},
  [5376] = {.lex_state = 50, .external_lex_state = 3},
  [5377] = {.lex_state = 183, .external_lex_state = 3},
  [5378] = {.lex_state = 180, .external_lex_state = 3},
  [5379] = {.lex_state = 183, .external_lex_state = 3},
  [5380] = {.lex_state = 177, .external_lex_state = 3},
  [5381] = {.lex_state = 50, .external_lex_state = 3},
  [5382] = {.lex_state = 179, .external_lex_state = 3},
  [5383] = {.lex_state = 177, .external_lex_state = 3},
  [5384] = {.lex_state = 177, .external_lex_state = 3},
  [5385] = {.lex_state = 179, .external_lex_state = 3},
  [5386] = {.lex_state = 186, .external_lex_state = 3},
  [5387] = {.lex_state = 177, .external_lex_state = 3},
  [5388] = {.lex_state = 179, .external_lex_state = 3},
  [5389] = {.lex_state = 177, .external_lex_state = 3},
  [5390] = {.lex_state = 179, .external_lex_state = 3},
  [5391] = {.lex_state = 177, .external_lex_state = 3},
  [5392] = {.lex_state = 177, .external_lex_state = 3},
  [5393] = {.lex_state = 177, .external_lex_state = 3},
  [5394] = {.lex_state = 186, .external_lex_state = 3},
  [5395] = {.lex_state = 177, .external_lex_state = 3},
  [5396] = {.lex_state = 186, .external_lex_state = 3},
  [5397] = {.lex_state = 177, .external_lex_state = 3},
  [5398] = {.lex_state = 179, .external_lex_state = 3},
  [5399] = {.lex_state = 184, .external_lex_state = 3},
  [5400] = {.lex_state = 179, .external_lex_state = 3},
  [5401] = {.lex_state = 49, .external_lex_state = 3},
  [5402] = {.lex_state = 184, .external_lex_state = 3},
  [5403] = {.lex_state = 177, .external_lex_state = 3},
  [5404] = {.lex_state = 179, .external_lex_state = 3},
  [5405] = {.lex_state = 186, .external_lex_state = 3},
  [5406] = {.lex_state = 186, .external_lex_state = 3},
  [5407] = {.lex_state = 156, .external_lex_state = 3},
  [5408] = {.lex_state = 179, .external_lex_state = 3},
  [5409] = {.lex_state = 177, .external_lex_state = 3},
  [5410] = {.lex_state = 177, .external_lex_state = 3},
  [5411] = {.lex_state = 177, .external_lex_state = 3},
  [5412] = {.lex_state = 179, .external_lex_state = 3},
  [5413] = {.lex_state = 177, .external_lex_state = 3},
  [5414] = {.lex_state = 179, .external_lex_state = 3},
  [5415] = {.lex_state = 177, .external_lex_state = 3},
  [5416] = {.lex_state = 179, .external_lex_state = 3},
  [5417] = {.lex_state = 184, .external_lex_state = 3},
  [5418] = {.lex_state = 177, .external_lex_state = 3},
  [5419] = {.lex_state = 178, .external_lex_state = 3},
  [5420] = {.lex_state = 177, .external_lex_state = 3},
  [5421] = {.lex_state = 184, .external_lex_state = 3},
  [5422] = {.lex_state = 184, .external_lex_state = 3},
  [5423] = {.lex_state = 94, .external_lex_state = 3},
  [5424] = {.lex_state = 179, .external_lex_state = 3},
  [5425] = {.lex_state = 177, .external_lex_state = 3},
  [5426] = {.lex_state = 178, .external_lex_state = 3},
  [5427] = {.lex_state = 179, .external_lex_state = 3},
  [5428] = {.lex_state = 177, .external_lex_state = 3},
  [5429] = {.lex_state = 179, .external_lex_state = 3},
  [5430] = {.lex_state = 179, .external_lex_state = 3},
  [5431] = {.lex_state = 177, .external_lex_state = 3},
  [5432] = {.lex_state = 179, .external_lex_state = 3},
  [5433] = {.lex_state = 184, .external_lex_state = 3},
  [5434] = {.lex_state = 159, .external_lex_state = 3},
  [5435] = {.lex_state = 177, .external_lex_state = 3},
  [5436] = {.lex_state = 179, .external_lex_state = 3},
  [5437] = {.lex_state = 179, .external_lex_state = 3},
  [5438] = {.lex_state = 179, .external_lex_state = 3},
  [5439] = {.lex_state = 184, .external_lex_state = 3},
  [5440] = {.lex_state = 179, .external_lex_state = 3},
  [5441] = {.lex_state = 179, .external_lex_state = 3},
  [5442] = {.lex_state = 177, .external_lex_state = 3},
  [5443] = {.lex_state = 177, .external_lex_state = 3},
  [5444] = {.lex_state = 177, .external_lex_state = 3},
  [5445] = {.lex_state = 186, .external_lex_state = 3},
  [5446] = {.lex_state = 177, .external_lex_state = 3},
  [5447] = {.lex_state = 180, .external_lex_state = 3},
  [5448] = {.lex_state = 179, .external_lex_state = 3},
  [5449] = {.lex_state = 177, .external_lex_state = 3},
  [5450] = {.lex_state = 186, .external_lex_state = 3},
  [5451] = {.lex_state = 177, .external_lex_state = 3},
  [5452] = {.lex_state = 94, .external_lex_state = 3},
  [5453] = {.lex_state = 178, .external_lex_state = 3},
  [5454] = {.lex_state = 186, .external_lex_state = 3},
  [5455] = {.lex_state = 94, .external_lex_state = 3},
  [5456] = {.lex_state = 94, .external_lex_state = 3},
  [5457] = {.lex_state = 94, .external_lex_state = 3},
  [5458] = {.lex_state = 179, .external_lex_state = 3},
  [5459] = {.lex_state = 94, .external_lex_state = 3},
  [5460] = {.lex_state = 186, .external_lex_state = 3},
  [5461] = {.lex_state = 94, .external_lex_state = 3},
  [5462] = {.lex_state = 94, .external_lex_state = 3},
  [5463] = {.lex_state = 177, .external_lex_state = 3},
  [5464] = {.lex_state = 179, .external_lex_state = 3},
  [5465] = {.lex_state = 179, .external_lex_state = 3},
  [5466] = {.lex_state = 177, .external_lex_state = 3},
  [5467] = {.lex_state = 177, .external_lex_state = 3},
  [5468] = {.lex_state = 94, .external_lex_state = 3},
  [5469] = {.lex_state = 177, .external_lex_state = 3},
  [5470] = {.lex_state = 186, .external_lex_state = 3},
  [5471] = {.lex_state = 177, .external_lex_state = 3},
  [5472] = {.lex_state = 178, .external_lex_state = 3},
  [5473] = {.lex_state = 177, .external_lex_state = 3},
  [5474] = {.lex_state = 180, .external_lex_state = 3},
  [5475] = {.lex_state = 177, .external_lex_state = 3},
  [5476] = {.lex_state = 177, .external_lex_state = 3},
  [5477] = {.lex_state = 186, .external_lex_state = 3},
  [5478] = {.lex_state = 177, .external_lex_state = 3},
  [5479] = {.lex_state = 179, .external_lex_state = 3},
  [5480] = {.lex_state = 177, .external_lex_state = 3},
  [5481] = {.lex_state = 179, .external_lex_state = 3},
  [5482] = {.lex_state = 177, .external_lex_state = 3},
  [5483] = {.lex_state = 177, .external_lex_state = 3},
  [5484] = {.lex_state = 184, .external_lex_state = 3},
  [5485] = {.lex_state = 179, .external_lex_state = 3},
  [5486] = {.lex_state = 177, .external_lex_state = 3},
  [5487] = {.lex_state = 177, .external_lex_state = 3},
  [5488] = {.lex_state = 180, .external_lex_state = 3},
  [5489] = {.lex_state = 177, .external_lex_state = 3},
  [5490] = {.lex_state = 179, .external_lex_state = 3},
  [5491] = {.lex_state = 184, .external_lex_state = 3},
  [5492] = {.lex_state = 49, .external_lex_state = 3},
  [5493] = {.lex_state = 177, .external_lex_state = 3},
  [5494] = {.lex_state = 179, .external_lex_state = 3},
  [5495] = {.lex_state = 179, .external_lex_state = 3},
  [5496] = {.lex_state = 94, .external_lex_state = 3},
  [5497] = {.lex_state = 177, .external_lex_state = 3},
  [5498] = {.lex_state = 177, .external_lex_state = 3},
  [5499] = {.lex_state = 179, .external_lex_state = 3},
  [5500] = {.lex_state = 177, .external_lex_state = 3},
  [5501] = {.lex_state = 179, .external_lex_state = 3},
  [5502] = {.lex_state = 179, .external_lex_state = 3},
  [5503] = {.lex_state = 179, .external_lex_state = 3},
  [5504] = {.lex_state = 179, .external_lex_state = 3},
  [5505] = {.lex_state = 179, .external_lex_state = 3},
  [5506] = {.lex_state = 179, .external_lex_state = 3},
  [5507] = {.lex_state = 179, .external_lex_state = 3},
  [5508] = {.lex_state = 179, .external_lex_state = 3},
  [5509] = {.lex_state = 179, .external_lex_state = 3},
  [5510] = {.lex_state = 179, .external_lex_state = 3},
  [5511] = {.lex_state = 179, .external_lex_state = 3},
  [5512] = {.lex_state = 179, .external_lex_state = 3},
  [5513] = {.lex_state = 94, .external_lex_state = 3},
  [5514] = {.lex_state = 179, .external_lex_state = 3},
  [5515] = {.lex_state = 179, .external_lex_state = 3},
  [5516] = {.lex_state = 177, .external_lex_state = 3},
  [5517] = {.lex_state = 179, .external_lex_state = 3},
  [5518] = {.lex_state = 184, .external_lex_state = 3},
  [5519] = {.lex_state = 177, .external_lex_state = 3},
  [5520] = {.lex_state = 179, .external_lex_state = 3},
  [5521] = {.lex_state = 177, .external_lex_state = 3},
  [5522] = {.lex_state = 180, .external_lex_state = 3},
  [5523] = {.lex_state = 179, .external_lex_state = 3},
  [5524] = {.lex_state = 184, .external_lex_state = 3},
  [5525] = {.lex_state = 94, .external_lex_state = 3},
  [5526] = {.lex_state = 180, .external_lex_state = 3},
  [5527] = {.lex_state = 178, .external_lex_state = 3},
  [5528] = {.lex_state = 180, .external_lex_state = 3},
  [5529] = {.lex_state = 180, .external_lex_state = 3},
  [5530] = {.lex_state = 180, .external_lex_state = 3},
  [5531] = {.lex_state = 178, .external_lex_state = 3},
  [5532] = {.lex_state = 180, .external_lex_state = 3},
  [5533] = {.lex_state = 180, .external_lex_state = 3},
  [5534] = {.lex_state = 48, .external_lex_state = 3},
  [5535] = {.lex_state = 180, .external_lex_state = 3},
  [5536] = {.lex_state = 180, .external_lex_state = 3},
  [5537] = {.lex_state = 180, .external_lex_state = 3},
  [5538] = {.lex_state = 180, .external_lex_state = 3},
  [5539] = {.lex_state = 180, .external_lex_state = 3},
  [5540] = {.lex_state = 180, .external_lex_state = 3},
  [5541] = {.lex_state = 180, .external_lex_state = 3},
  [5542] = {.lex_state = 180, .external_lex_state = 3},
  [5543] = {.lex_state = 180, .external_lex_state = 3},
  [5544] = {.lex_state = 180, .external_lex_state = 3},
  [5545] = {.lex_state = 180, .external_lex_state = 3},
  [5546] = {.lex_state = 180, .external_lex_state = 3},
  [5547] = {.lex_state = 180, .external_lex_state = 3},
  [5548] = {.lex_state = 178, .external_lex_state = 3},
  [5549] = {.lex_state = 94, .external_lex_state = 3},
  [5550] = {.lex_state = 94, .external_lex_state = 3},
  [5551] = {.lex_state = 180, .external_lex_state = 3},
  [5552] = {.lex_state = 178, .external_lex_state = 3},
  [5553] = {.lex_state = 94, .external_lex_state = 3},
  [5554] = {.lex_state = 94, .external_lex_state = 3},
  [5555] = {.lex_state = 94, .external_lex_state = 3},
  [5556] = {.lex_state = 94, .external_lex_state = 3},
  [5557] = {.lex_state = 94, .external_lex_state = 3},
  [5558] = {.lex_state = 94, .external_lex_state = 3},
  [5559] = {.lex_state = 94, .external_lex_state = 3},
  [5560] = {.lex_state = 94, .external_lex_state = 3},
  [5561] = {.lex_state = 94, .external_lex_state = 3},
  [5562] = {.lex_state = 180, .external_lex_state = 3},
  [5563] = {.lex_state = 95, .external_lex_state = 3},
  [5564] = {.lex_state = 94, .external_lex_state = 3},
  [5565] = {.lex_state = 94, .external_lex_state = 3},
  [5566] = {.lex_state = 178, .external_lex_state = 3},
  [5567] = {.lex_state = 94, .external_lex_state = 3},
  [5568] = {.lex_state = 94, .external_lex_state = 3},
  [5569] = {.lex_state = 178, .external_lex_state = 3},
  [5570] = {.lex_state = 94, .external_lex_state = 3},
  [5571] = {.lex_state = 94, .external_lex_state = 3},
  [5572] = {.lex_state = 178, .external_lex_state = 3},
  [5573] = {.lex_state = 94, .external_lex_state = 3},
  [5574] = {.lex_state = 180, .external_lex_state = 3},
  [5575] = {.lex_state = 94, .external_lex_state = 3},
  [5576] = {.lex_state = 94, .external_lex_state = 3},
  [5577] = {.lex_state = 180, .external_lex_state = 3},
  [5578] = {.lex_state = 94, .external_lex_state = 3},
  [5579] = {.lex_state = 94, .external_lex_state = 3},
  [5580] = {.lex_state = 178, .external_lex_state = 3},
  [5581] = {.lex_state = 94, .external_lex_state = 3},
  [5582] = {.lex_state = 94, .external_lex_state = 3},
  [5583] = {.lex_state = 94, .external_lex_state = 3},
  [5584] = {.lex_state = 180, .external_lex_state = 3},
  [5585] = {.lex_state = 94, .external_lex_state = 3},
  [5586] = {.lex_state = 94, .external_lex_state = 3},
  [5587] = {.lex_state = 94, .external_lex_state = 3},
  [5588] = {.lex_state = 94, .external_lex_state = 3},
  [5589] = {.lex_state = 94, .external_lex_state = 3},
  [5590] = {.lex_state = 94, .external_lex_state = 3},
  [5591] = {.lex_state = 94, .external_lex_state = 3},
  [5592] = {.lex_state = 178, .external_lex_state = 3},
  [5593] = {.lex_state = 94, .external_lex_state = 3},
  [5594] = {.lex_state = 94, .external_lex_state = 3},
  [5595] = {.lex_state = 94, .external_lex_state = 3},
  [5596] = {.lex_state = 178, .external_lex_state = 3},
  [5597] = {.lex_state = 94, .external_lex_state = 3},
  [5598] = {.lex_state = 94, .external_lex_state = 3},
  [5599] = {.lex_state = 94, .external_lex_state = 3},
  [5600] = {.lex_state = 178, .external_lex_state = 3},
  [5601] = {.lex_state = 180, .external_lex_state = 3},
  [5602] = {.lex_state = 94, .external_lex_state = 3},
  [5603] = {.lex_state = 94, .external_lex_state = 3},
  [5604] = {.lex_state = 94, .external_lex_state = 3},
  [5605] = {.lex_state = 94, .external_lex_state = 3},
  [5606] = {.lex_state = 178, .external_lex_state = 3},
  [5607] = {.lex_state = 180, .external_lex_state = 3},
  [5608] = {.lex_state = 94, .external_lex_state = 3},
  [5609] = {.lex_state = 94, .external_lex_state = 3},
  [5610] = {.lex_state = 94, .external_lex_state = 3},
  [5611] = {.lex_state = 180, .external_lex_state = 3},
  [5612] = {.lex_state = 51, .external_lex_state = 3},
  [5613] = {.lex_state = 94, .external_lex_state = 3},
  [5614] = {.lex_state = 94, .external_lex_state = 3},
  [5615] = {.lex_state = 180, .external_lex_state = 3},
  [5616] = {.lex_state = 180, .external_lex_state = 3},
  [5617] = {.lex_state = 178, .external_lex_state = 3},
  [5618] = {.lex_state = 180, .external_lex_state = 3},
  [5619] = {.lex_state = 180, .external_lex_state = 3},
  [5620] = {.lex_state = 180, .external_lex_state = 3},
  [5621] = {.lex_state = 95, .external_lex_state = 3},
  [5622] = {.lex_state = 180, .external_lex_state = 3},
  [5623] = {.lex_state = 180, .external_lex_state = 3},
  [5624] = {.lex_state = 95, .external_lex_state = 3},
  [5625] = {.lex_state = 180, .external_lex_state = 3},
  [5626] = {.lex_state = 180, .external_lex_state = 3},
  [5627] = {.lex_state = 178, .external_lex_state = 3},
  [5628] = {.lex_state = 180, .external_lex_state = 3},
  [5629] = {.lex_state = 178, .external_lex_state = 3},
  [5630] = {.lex_state = 94, .external_lex_state = 3},
  [5631] = {.lex_state = 94, .external_lex_state = 3},
  [5632] = {.lex_state = 94, .external_lex_state = 3},
  [5633] = {.lex_state = 94, .external_lex_state = 3},
  [5634] = {.lex_state = 95, .external_lex_state = 3},
  [5635] = {.lex_state = 94, .external_lex_state = 3},
  [5636] = {.lex_state = 94, .external_lex_state = 3},
  [5637] = {.lex_state = 94, .external_lex_state = 3},
  [5638] = {.lex_state = 178, .external_lex_state = 3},
  [5639] = {.lex_state = 95, .external_lex_state = 3},
  [5640] = {.lex_state = 178, .external_lex_state = 3},
  [5641] = {.lex_state = 94, .external_lex_state = 3},
  [5642] = {.lex_state = 180, .external_lex_state = 3},
  [5643] = {.lex_state = 95, .external_lex_state = 3},
  [5644] = {.lex_state = 180, .external_lex_state = 3},
  [5645] = {.lex_state = 94, .external_lex_state = 3},
  [5646] = {.lex_state = 178, .external_lex_state = 3},
  [5647] = {.lex_state = 178, .external_lex_state = 3},
  [5648] = {.lex_state = 178, .external_lex_state = 3},
  [5649] = {.lex_state = 51, .external_lex_state = 3},
  [5650] = {.lex_state = 178, .external_lex_state = 3},
  [5651] = {.lex_state = 180, .external_lex_state = 3},
  [5652] = {.lex_state = 178, .external_lex_state = 3},
  [5653] = {.lex_state = 180, .external_lex_state = 3},
  [5654] = {.lex_state = 180, .external_lex_state = 3},
  [5655] = {.lex_state = 95, .external_lex_state = 3},
  [5656] = {.lex_state = 180, .external_lex_state = 3},
  [5657] = {.lex_state = 178, .external_lex_state = 3},
  [5658] = {.lex_state = 178, .external_lex_state = 3},
  [5659] = {.lex_state = 180, .external_lex_state = 3},
  [5660] = {.lex_state = 94, .external_lex_state = 3},
  [5661] = {.lex_state = 178, .external_lex_state = 3},
  [5662] = {.lex_state = 94, .external_lex_state = 3},
  [5663] = {.lex_state = 178, .external_lex_state = 3},
  [5664] = {.lex_state = 48, .external_lex_state = 3},
  [5665] = {.lex_state = 94, .external_lex_state = 3},
  [5666] = {.lex_state = 178, .external_lex_state = 3},
  [5667] = {.lex_state = 178, .external_lex_state = 3},
  [5668] = {.lex_state = 180, .external_lex_state = 3},
  [5669] = {.lex_state = 178, .external_lex_state = 3},
  [5670] = {.lex_state = 94, .external_lex_state = 3},
  [5671] = {.lex_state = 178, .external_lex_state = 3},
  [5672] = {.lex_state = 178, .external_lex_state = 3},
  [5673] = {.lex_state = 178, .external_lex_state = 3},
  [5674] = {.lex_state = 94, .external_lex_state = 3},
  [5675] = {.lex_state = 94, .external_lex_state = 3},
  [5676] = {.lex_state = 94, .external_lex_state = 3},
  [5677] = {.lex_state = 178, .external_lex_state = 3},
  [5678] = {.lex_state = 95, .external_lex_state = 3},
  [5679] = {.lex_state = 158, .external_lex_state = 3},
  [5680] = {.lex_state = 178, .external_lex_state = 3},
  [5681] = {.lex_state = 178, .external_lex_state = 3},
  [5682] = {.lex_state = 178, .external_lex_state = 3},
  [5683] = {.lex_state = 95, .external_lex_state = 3},
  [5684] = {.lex_state = 178, .external_lex_state = 3},
  [5685] = {.lex_state = 178, .external_lex_state = 3},
  [5686] = {.lex_state = 178, .external_lex_state = 3},
  [5687] = {.lex_state = 95, .external_lex_state = 3},
  [5688] = {.lex_state = 94, .external_lex_state = 3},
  [5689] = {.lex_state = 178, .external_lex_state = 3},
  [5690] = {.lex_state = 94, .external_lex_state = 3},
  [5691] = {.lex_state = 178, .external_lex_state = 3},
  [5692] = {.lex_state = 180, .external_lex_state = 3},
  [5693] = {.lex_state = 94, .external_lex_state = 3},
  [5694] = {.lex_state = 94, .external_lex_state = 3},
  [5695] = {.lex_state = 178, .external_lex_state = 3},
  [5696] = {.lex_state = 94, .external_lex_state = 3},
  [5697] = {.lex_state = 94, .external_lex_state = 3},
  [5698] = {.lex_state = 178, .external_lex_state = 3},
  [5699] = {.lex_state = 180, .external_lex_state = 3},
  [5700] = {.lex_state = 94, .external_lex_state = 3},
  [5701] = {.lex_state = 178, .external_lex_state = 3},
  [5702] = {.lex_state = 178, .external_lex_state = 3},
  [5703] = {.lex_state = 178, .external_lex_state = 3},
  [5704] = {.lex_state = 94, .external_lex_state = 3},
  [5705] = {.lex_state = 178, .external_lex_state = 3},
  [5706] = {.lex_state = 180, .external_lex_state = 3},
  [5707] = {.lex_state = 94, .external_lex_state = 3},
  [5708] = {.lex_state = 178, .external_lex_state = 3},
  [5709] = {.lex_state = 180, .external_lex_state = 3},
  [5710] = {.lex_state = 178, .external_lex_state = 3},
  [5711] = {.lex_state = 95, .external_lex_state = 3},
  [5712] = {.lex_state = 95, .external_lex_state = 3},
  [5713] = {.lex_state = 95, .external_lex_state = 3},
  [5714] = {.lex_state = 95, .external_lex_state = 3},
  [5715] = {.lex_state = 95, .external_lex_state = 3},
  [5716] = {.lex_state = 95, .external_lex_state = 3},
  [5717] = {.lex_state = 95, .external_lex_state = 3},
  [5718] = {.lex_state = 95, .external_lex_state = 3},
  [5719] = {.lex_state = 84, .external_lex_state = 3},
  [5720] = {.lex_state = 18, .external_lex_state = 3},
  [5721] = {.lex_state = 95, .external_lex_state = 3},
  [5722] = {.lex_state = 95, .external_lex_state = 3},
  [5723] = {.lex_state = 18, .external_lex_state = 3},
  [5724] = {.lex_state = 95, .external_lex_state = 3},
  [5725] = {.lex_state = 95, .external_lex_state = 3},
  [5726] = {.lex_state = 95, .external_lex_state = 3},
  [5727] = {.lex_state = 95, .external_lex_state = 3},
  [5728] = {.lex_state = 95, .external_lex_state = 3},
  [5729] = {.lex_state = 95, .external_lex_state = 3},
  [5730] = {.lex_state = 95, .external_lex_state = 3},
  [5731] = {.lex_state = 95, .external_lex_state = 3},
  [5732] = {.lex_state = 95, .external_lex_state = 3},
  [5733] = {.lex_state = 84, .external_lex_state = 3},
  [5734] = {.lex_state = 95, .external_lex_state = 3},
  [5735] = {.lex_state = 95, .external_lex_state = 3},
  [5736] = {.lex_state = 95, .external_lex_state = 3},
  [5737] = {.lex_state = 95, .external_lex_state = 3},
  [5738] = {.lex_state = 50, .external_lex_state = 3},
  [5739] = {.lex_state = 95, .external_lex_state = 3},
  [5740] = {.lex_state = 95, .external_lex_state = 3},
  [5741] = {.lex_state = 95, .external_lex_state = 3},
  [5742] = {.lex_state = 95, .external_lex_state = 3},
  [5743] = {.lex_state = 95, .external_lex_state = 3},
  [5744] = {.lex_state = 95, .external_lex_state = 3},
  [5745] = {.lex_state = 95, .external_lex_state = 3},
  [5746] = {.lex_state = 50, .external_lex_state = 3},
  [5747] = {.lex_state = 18, .external_lex_state = 3},
  [5748] = {.lex_state = 95, .external_lex_state = 3},
  [5749] = {.lex_state = 95, .external_lex_state = 3},
  [5750] = {.lex_state = 95, .external_lex_state = 3},
  [5751] = {.lex_state = 95, .external_lex_state = 3},
  [5752] = {.lex_state = 95, .external_lex_state = 3},
  [5753] = {.lex_state = 18, .external_lex_state = 3},
  [5754] = {.lex_state = 95, .external_lex_state = 3},
  [5755] = {.lex_state = 95, .external_lex_state = 3},
  [5756] = {.lex_state = 95, .external_lex_state = 3},
  [5757] = {.lex_state = 84, .external_lex_state = 3},
  [5758] = {.lex_state = 84, .external_lex_state = 3},
  [5759] = {.lex_state = 95, .external_lex_state = 3},
  [5760] = {.lex_state = 95, .external_lex_state = 3},
  [5761] = {.lex_state = 18, .external_lex_state = 3},
  [5762] = {.lex_state = 84, .external_lex_state = 3},
  [5763] = {.lex_state = 95, .external_lex_state = 3},
  [5764] = {.lex_state = 95, .external_lex_state = 3},
  [5765] = {.lex_state = 18, .external_lex_state = 3},
  [5766] = {.lex_state = 84, .external_lex_state = 3},
  [5767] = {.lex_state = 84, .external_lex_state = 3},
  [5768] = {.lex_state = 95, .external_lex_state = 3},
  [5769] = {.lex_state = 95, .external_lex_state = 3},
  [5770] = {.lex_state = 95, .external_lex_state = 3},
  [5771] = {.lex_state = 95, .external_lex_state = 3},
  [5772] = {.lex_state = 95, .external_lex_state = 3},
  [5773] = {.lex_state = 95, .external_lex_state = 3},
  [5774] = {.lex_state = 95, .external_lex_state = 3},
  [5775] = {.lex_state = 95, .external_lex_state = 3},
  [5776] = {.lex_state = 95, .external_lex_state = 3},
  [5777] = {.lex_state = 95, .external_lex_state = 3},
  [5778] = {.lex_state = 95, .external_lex_state = 3},
  [5779] = {.lex_state = 18, .external_lex_state = 3},
  [5780] = {.lex_state = 95, .external_lex_state = 3},
  [5781] = {.lex_state = 18, .external_lex_state = 3},
  [5782] = {.lex_state = 95, .external_lex_state = 3},
  [5783] = {.lex_state = 95, .external_lex_state = 3},
  [5784] = {.lex_state = 95, .external_lex_state = 3},
  [5785] = {.lex_state = 95, .external_lex_state = 3},
  [5786] = {.lex_state = 84, .external_lex_state = 3},
  [5787] = {.lex_state = 84, .external_lex_state = 3},
  [5788] = {.lex_state = 18, .external_lex_state = 3},
  [5789] = {.lex_state = 95, .external_lex_state = 3},
  [5790] = {.lex_state = 95, .external_lex_state = 3},
  [5791] = {.lex_state = 95, .external_lex_state = 3},
  [5792] = {.lex_state = 95, .external_lex_state = 3},
  [5793] = {.lex_state = 95, .external_lex_state = 3},
  [5794] = {.lex_state = 95, .external_lex_state = 3},
  [5795] = {.lex_state = 95, .external_lex_state = 3},
  [5796] = {.lex_state = 95, .external_lex_state = 3},
  [5797] = {.lex_state = 95, .external_lex_state = 3},
  [5798] = {.lex_state = 95, .external_lex_state = 3},
  [5799] = {.lex_state = 95, .external_lex_state = 3},
  [5800] = {.lex_state = 95, .external_lex_state = 3},
  [5801] = {.lex_state = 95, .external_lex_state = 3},
  [5802] = {.lex_state = 95, .external_lex_state = 3},
  [5803] = {.lex_state = 95, .external_lex_state = 3},
  [5804] = {.lex_state = 95, .external_lex_state = 3},
  [5805] = {.lex_state = 84, .external_lex_state = 3},
  [5806] = {.lex_state = 84, .external_lex_state = 3},
  [5807] = {.lex_state = 25, .external_lex_state = 3},
  [5808] = {.lex_state = 88, .external_lex_state = 3},
  [5809] = {.lex_state = 25, .external_lex_state = 3},
  [5810] = {.lex_state = 25, .external_lex_state = 3},
  [5811] = {.lex_state = 25, .external_lex_state = 3},
  [5812] = {.lex_state = 25, .external_lex_state = 3},
  [5813] = {.lex_state = 25, .external_lex_state = 3},
  [5814] = {.lex_state = 25, .external_lex_state = 3},
  [5815] = {.lex_state = 25, .external_lex_state = 3},
  [5816] = {.lex_state = 25, .external_lex_state = 3},
  [5817] = {.lex_state = 25, .external_lex_state = 3},
  [5818] = {.lex_state = 25, .external_lex_state = 3},
  [5819] = {.lex_state = 25, .external_lex_state = 3},
  [5820] = {.lex_state = 25, .external_lex_state = 3},
  [5821] = {.lex_state = 25, .external_lex_state = 3},
  [5822] = {.lex_state = 25, .external_lex_state = 3},
  [5823] = {.lex_state = 25, .external_lex_state = 3},
  [5824] = {.lex_state = 25, .external_lex_state = 3},
  [5825] = {.lex_state = 25, .external_lex_state = 3},
  [5826] = {.lex_state = 25, .external_lex_state = 3},
  [5827] = {.lex_state = 88, .external_lex_state = 3},
  [5828] = {.lex_state = 25, .external_lex_state = 3},
  [5829] = {.lex_state = 25, .external_lex_state = 3},
  [5830] = {.lex_state = 25, .external_lex_state = 3},
  [5831] = {.lex_state = 25, .external_lex_state = 3},
  [5832] = {.lex_state = 25, .external_lex_state = 3},
  [5833] = {.lex_state = 25, .external_lex_state = 3},
  [5834] = {.lex_state = 25, .external_lex_state = 3},
  [5835] = {.lex_state = 25, .external_lex_state = 3},
  [5836] = {.lex_state = 25, .external_lex_state = 3},
  [5837] = {.lex_state = 25, .external_lex_state = 3},
  [5838] = {.lex_state = 25, .external_lex_state = 3},
  [5839] = {.lex_state = 25, .external_lex_state = 3},
  [5840] = {.lex_state = 25, .external_lex_state = 3},
  [5841] = {.lex_state = 25, .external_lex_state = 3},
  [5842] = {.lex_state = 25, .external_lex_state = 3},
  [5843] = {.lex_state = 25, .external_lex_state = 3},
  [5844] = {.lex_state = 25, .external_lex_state = 3},
  [5845] = {.lex_state = 25, .external_lex_state = 3},
  [5846] = {.lex_state = 25, .external_lex_state = 3},
  [5847] = {.lex_state = 25, .external_lex_state = 3},
  [5848] = {.lex_state = 25, .external_lex_state = 3},
  [5849] = {.lex_state = 25, .external_lex_state = 3},
  [5850] = {.lex_state = 25, .external_lex_state = 3},
  [5851] = {.lex_state = 25, .external_lex_state = 3},
  [5852] = {.lex_state = 25, .external_lex_state = 3},
  [5853] = {.lex_state = 25, .external_lex_state = 3},
  [5854] = {.lex_state = 25, .external_lex_state = 3},
  [5855] = {.lex_state = 25, .external_lex_state = 3},
  [5856] = {.lex_state = 25, .external_lex_state = 3},
  [5857] = {.lex_state = 25, .external_lex_state = 3},
  [5858] = {.lex_state = 25, .external_lex_state = 3},
  [5859] = {.lex_state = 24, .external_lex_state = 3},
  [5860] = {.lex_state = 86, .external_lex_state = 3},
  [5861] = {.lex_state = 86, .external_lex_state = 3},
  [5862] = {.lex_state = 86, .external_lex_state = 3},
  [5863] = {.lex_state = 86, .external_lex_state = 3},
  [5864] = {.lex_state = 24, .external_lex_state = 3},
  [5865] = {.lex_state = 86, .external_lex_state = 3},
  [5866] = {.lex_state = 86, .external_lex_state = 3},
  [5867] = {.lex_state = 86, .external_lex_state = 3},
  [5868] = {.lex_state = 24, .external_lex_state = 3},
  [5869] = {.lex_state = 24, .external_lex_state = 3},
  [5870] = {.lex_state = 24, .external_lex_state = 3},
  [5871] = {.lex_state = 84, .external_lex_state = 3},
  [5872] = {.lex_state = 84, .external_lex_state = 3},
  [5873] = {.lex_state = 84, .external_lex_state = 3},
  [5874] = {.lex_state = 84, .external_lex_state = 3},
  [5875] = {.lex_state = 84, .external_lex_state = 3},
  [5876] = {.lex_state = 84, .external_lex_state = 3},
  [5877] = {.lex_state = 84, .external_lex_state = 3},
  [5878] = {.lex_state = 84, .external_lex_state = 3},
  [5879] = {.lex_state = 84, .external_lex_state = 3},
  [5880] = {.lex_state = 84, .external_lex_state = 3},
  [5881] = {.lex_state = 84, .external_lex_state = 3},
  [5882] = {.lex_state = 84, .external_lex_state = 3},
  [5883] = {.lex_state = 84, .external_lex_state = 3},
  [5884] = {.lex_state = 84, .external_lex_state = 3},
  [5885] = {.lex_state = 84, .external_lex_state = 3},
  [5886] = {.lex_state = 84, .external_lex_state = 3},
  [5887] = {.lex_state = 84, .external_lex_state = 3},
  [5888] = {.lex_state = 84, .external_lex_state = 3},
  [5889] = {.lex_state = 84, .external_lex_state = 3},
  [5890] = {.lex_state = 84, .external_lex_state = 3},
  [5891] = {.lex_state = 84, .external_lex_state = 3},
  [5892] = {.lex_state = 84, .external_lex_state = 3},
  [5893] = {.lex_state = 84, .external_lex_state = 3},
  [5894] = {.lex_state = 84, .external_lex_state = 3},
  [5895] = {.lex_state = 84, .external_lex_state = 3},
  [5896] = {.lex_state = 84, .external_lex_state = 3},
  [5897] = {.lex_state = 84, .external_lex_state = 3},
  [5898] = {.lex_state = 84, .external_lex_state = 3},
  [5899] = {.lex_state = 84, .external_lex_state = 3},
  [5900] = {.lex_state = 84, .external_lex_state = 3},
  [5901] = {.lex_state = 84, .external_lex_state = 3},
  [5902] = {.lex_state = 84, .external_lex_state = 3},
  [5903] = {.lex_state = 84, .external_lex_state = 3},
  [5904] = {.lex_state = 84, .external_lex_state = 3},
  [5905] = {.lex_state = 84, .external_lex_state = 3},
  [5906] = {.lex_state = 84, .external_lex_state = 3},
  [5907] = {.lex_state = 84, .external_lex_state = 3},
  [5908] = {.lex_state = 24, .external_lex_state = 3},
  [5909] = {.lex_state = 86, .external_lex_state = 3},
  [5910] = {.lex_state = 94, .external_lex_state = 3},
  [5911] = {.lex_state = 84, .external_lex_state = 3},
  [5912] = {.lex_state = 86, .external_lex_state = 3},
  [5913] = {.lex_state = 24, .external_lex_state = 3},
  [5914] = {.lex_state = 24, .external_lex_state = 3},
  [5915] = {.lex_state = 24, .external_lex_state = 3},
  [5916] = {.lex_state = 24, .external_lex_state = 3},
  [5917] = {.lex_state = 24, .external_lex_state = 3},
  [5918] = {.lex_state = 24, .external_lex_state = 3},
  [5919] = {.lex_state = 84, .external_lex_state = 3},
  [5920] = {.lex_state = 84, .external_lex_state = 3},
  [5921] = {.lex_state = 24, .external_lex_state = 3},
  [5922] = {.lex_state = 84, .external_lex_state = 3},
  [5923] = {.lex_state = 24, .external_lex_state = 3},
  [5924] = {.lex_state = 24, .external_lex_state = 3},
  [5925] = {.lex_state = 24, .external_lex_state = 3},
  [5926] = {.lex_state = 84, .external_lex_state = 3},
  [5927] = {.lex_state = 84, .external_lex_state = 3},
  [5928] = {.lex_state = 84, .external_lex_state = 3},
  [5929] = {.lex_state = 84, .external_lex_state = 3},
  [5930] = {.lex_state = 84, .external_lex_state = 3},
  [5931] = {.lex_state = 84, .external_lex_state = 3},
  [5932] = {.lex_state = 24, .external_lex_state = 3},
  [5933] = {.lex_state = 24, .external_lex_state = 3},
  [5934] = {.lex_state = 24, .external_lex_state = 3},
  [5935] = {.lex_state = 84, .external_lex_state = 3},
  [5936] = {.lex_state = 84, .external_lex_state = 3},
  [5937] = {.lex_state = 25, .external_lex_state = 3},
  [5938] = {.lex_state = 25, .external_lex_state = 3},
  [5939] = {.lex_state = 25, .external_lex_state = 3},
  [5940] = {.lex_state = 25, .external_lex_state = 3},
  [5941] = {.lex_state = 25, .external_lex_state = 3},
  [5942] = {.lex_state = 25, .external_lex_state = 3},
  [5943] = {.lex_state = 25, .external_lex_state = 3},
  [5944] = {.lex_state = 25, .external_lex_state = 3},
  [5945] = {.lex_state = 25, .external_lex_state = 3},
  [5946] = {.lex_state = 25, .external_lex_state = 3},
  [5947] = {.lex_state = 25, .external_lex_state = 3},
  [5948] = {.lex_state = 25, .external_lex_state = 3},
  [5949] = {.lex_state = 25, .external_lex_state = 3},
  [5950] = {.lex_state = 25, .external_lex_state = 3},
  [5951] = {.lex_state = 25, .external_lex_state = 3},
  [5952] = {.lex_state = 25, .external_lex_state = 3},
  [5953] = {.lex_state = 25, .external_lex_state = 3},
  [5954] = {.lex_state = 25, .external_lex_state = 3},
  [5955] = {.lex_state = 84, .external_lex_state = 3},
  [5956] = {.lex_state = 84, .external_lex_state = 3},
  [5957] = {.lex_state = 84, .external_lex_state = 3},
  [5958] = {.lex_state = 84, .external_lex_state = 3},
  [5959] = {.lex_state = 84, .external_lex_state = 3},
  [5960] = {.lex_state = 84, .external_lex_state = 3},
  [5961] = {.lex_state = 84, .external_lex_state = 3},
  [5962] = {.lex_state = 84, .external_lex_state = 3},
  [5963] = {.lex_state = 84, .external_lex_state = 3},
  [5964] = {.lex_state = 84, .external_lex_state = 3},
  [5965] = {.lex_state = 84, .external_lex_state = 3},
  [5966] = {.lex_state = 84, .external_lex_state = 3},
  [5967] = {.lex_state = 84, .external_lex_state = 3},
  [5968] = {.lex_state = 84, .external_lex_state = 3},
  [5969] = {.lex_state = 84, .external_lex_state = 3},
  [5970] = {.lex_state = 84, .external_lex_state = 3},
  [5971] = {.lex_state = 25, .external_lex_state = 3},
  [5972] = {.lex_state = 84, .external_lex_state = 3},
  [5973] = {.lex_state = 84, .external_lex_state = 3},
  [5974] = {.lex_state = 24, .external_lex_state = 3},
  [5975] = {.lex_state = 24, .external_lex_state = 3},
  [5976] = {.lex_state = 24, .external_lex_state = 3},
  [5977] = {.lex_state = 24, .external_lex_state = 3},
  [5978] = {.lex_state = 25, .external_lex_state = 3},
  [5979] = {.lex_state = 25, .external_lex_state = 3},
  [5980] = {.lex_state = 25, .external_lex_state = 3},
  [5981] = {.lex_state = 25, .external_lex_state = 3},
  [5982] = {.lex_state = 84, .external_lex_state = 3},
  [5983] = {.lex_state = 84, .external_lex_state = 3},
  [5984] = {.lex_state = 84, .external_lex_state = 3},
  [5985] = {.lex_state = 84, .external_lex_state = 3},
  [5986] = {.lex_state = 85, .external_lex_state = 3},
  [5987] = {.lex_state = 85, .external_lex_state = 3},
  [5988] = {.lex_state = 24, .external_lex_state = 3},
  [5989] = {.lex_state = 24, .external_lex_state = 3},
  [5990] = {.lex_state = 85, .external_lex_state = 3},
  [5991] = {.lex_state = 85, .external_lex_state = 3},
  [5992] = {.lex_state = 85, .external_lex_state = 3},
  [5993] = {.lex_state = 85, .external_lex_state = 3},
  [5994] = {.lex_state = 85, .external_lex_state = 3},
  [5995] = {.lex_state = 85, .external_lex_state = 3},
  [5996] = {.lex_state = 85, .external_lex_state = 3},
  [5997] = {.lex_state = 89, .external_lex_state = 3},
  [5998] = {.lex_state = 85, .external_lex_state = 3},
  [5999] = {.lex_state = 85, .external_lex_state = 3},
  [6000] = {.lex_state = 82, .external_lex_state = 3},
  [6001] = {.lex_state = 25, .external_lex_state = 3},
  [6002] = {.lex_state = 89, .external_lex_state = 3},
  [6003] = {.lex_state = 82, .external_lex_state = 3},
  [6004] = {.lex_state = 90, .external_lex_state = 3},
  [6005] = {.lex_state = 88, .external_lex_state = 3},
  [6006] = {.lex_state = 25, .external_lex_state = 3},
  [6007] = {.lex_state = 24, .external_lex_state = 3},
  [6008] = {.lex_state = 90, .external_lex_state = 3},
  [6009] = {.lex_state = 88, .external_lex_state = 3},
  [6010] = {.lex_state = 24, .external_lex_state = 3},
  [6011] = {.lex_state = 24, .external_lex_state = 3},
  [6012] = {.lex_state = 24, .external_lex_state = 3},
  [6013] = {.lex_state = 24, .external_lex_state = 3},
  [6014] = {.lex_state = 24, .external_lex_state = 3},
  [6015] = {.lex_state = 24, .external_lex_state = 3},
  [6016] = {.lex_state = 24, .external_lex_state = 3},
  [6017] = {.lex_state = 24, .external_lex_state = 3},
  [6018] = {.lex_state = 24, .external_lex_state = 3},
  [6019] = {.lex_state = 24, .external_lex_state = 3},
  [6020] = {.lex_state = 24, .external_lex_state = 3},
  [6021] = {.lex_state = 24, .external_lex_state = 3},
  [6022] = {.lex_state = 24, .external_lex_state = 3},
  [6023] = {.lex_state = 24, .external_lex_state = 3},
  [6024] = {.lex_state = 24, .external_lex_state = 3},
  [6025] = {.lex_state = 24, .external_lex_state = 3},
  [6026] = {.lex_state = 24, .external_lex_state = 3},
  [6027] = {.lex_state = 24, .external_lex_state = 3},
  [6028] = {.lex_state = 24, .external_lex_state = 3},
  [6029] = {.lex_state = 24, .external_lex_state = 3},
  [6030] = {.lex_state = 24, .external_lex_state = 3},
  [6031] = {.lex_state = 24, .external_lex_state = 3},
  [6032] = {.lex_state = 24, .external_lex_state = 3},
  [6033] = {.lex_state = 24, .external_lex_state = 3},
  [6034] = {.lex_state = 24, .external_lex_state = 3},
  [6035] = {.lex_state = 24, .external_lex_state = 3},
  [6036] = {.lex_state = 24, .external_lex_state = 3},
  [6037] = {.lex_state = 24, .external_lex_state = 3},
  [6038] = {.lex_state = 24, .external_lex_state = 3},
  [6039] = {.lex_state = 24, .external_lex_state = 3},
  [6040] = {.lex_state = 24, .external_lex_state = 3},
  [6041] = {.lex_state = 24, .external_lex_state = 3},
  [6042] = {.lex_state = 24, .external_lex_state = 3},
  [6043] = {.lex_state = 24, .external_lex_state = 3},
  [6044] = {.lex_state = 24, .external_lex_state = 3},
  [6045] = {.lex_state = 24, .external_lex_state = 3},
  [6046] = {.lex_state = 24, .external_lex_state = 3},
  [6047] = {.lex_state = 24, .external_lex_state = 3},
  [6048] = {.lex_state = 24, .external_lex_state = 3},
  [6049] = {.lex_state = 24, .external_lex_state = 3},
  [6050] = {.lex_state = 24, .external_lex_state = 3},
  [6051] = {.lex_state = 24, .external_lex_state = 3},
  [6052] = {.lex_state = 89, .external_lex_state = 3},
  [6053] = {.lex_state = 24, .external_lex_state = 3},
  [6054] = {.lex_state = 89, .external_lex_state = 3},
  [6055] = {.lex_state = 89, .external_lex_state = 3},
  [6056] = {.lex_state = 89, .external_lex_state = 3},
  [6057] = {.lex_state = 89, .external_lex_state = 3},
  [6058] = {.lex_state = 89, .external_lex_state = 3},
  [6059] = {.lex_state = 89, .external_lex_state = 3},
  [6060] = {.lex_state = 24, .external_lex_state = 3},
  [6061] = {.lex_state = 82, .external_lex_state = 3},
  [6062] = {.lex_state = 24, .external_lex_state = 3},
  [6063] = {.lex_state = 82, .external_lex_state = 3},
  [6064] = {.lex_state = 49, .external_lex_state = 3},
  [6065] = {.lex_state = 82, .external_lex_state = 3},
  [6066] = {.lex_state = 82, .external_lex_state = 3},
  [6067] = {.lex_state = 82, .external_lex_state = 3},
  [6068] = {.lex_state = 82, .external_lex_state = 3},
  [6069] = {.lex_state = 82, .external_lex_state = 3},
  [6070] = {.lex_state = 25, .external_lex_state = 3},
  [6071] = {.lex_state = 24, .external_lex_state = 3},
  [6072] = {.lex_state = 24, .external_lex_state = 3},
  [6073] = {.lex_state = 89, .external_lex_state = 3},
  [6074] = {.lex_state = 24, .external_lex_state = 3},
  [6075] = {.lex_state = 90, .external_lex_state = 3},
  [6076] = {.lex_state = 24, .external_lex_state = 3},
  [6077] = {.lex_state = 24, .external_lex_state = 3},
  [6078] = {.lex_state = 89, .external_lex_state = 3},
  [6079] = {.lex_state = 24, .external_lex_state = 3},
  [6080] = {.lex_state = 90, .external_lex_state = 3},
  [6081] = {.lex_state = 90, .external_lex_state = 3},
  [6082] = {.lex_state = 90, .external_lex_state = 3},
  [6083] = {.lex_state = 24, .external_lex_state = 3},
  [6084] = {.lex_state = 90, .external_lex_state = 3},
  [6085] = {.lex_state = 90, .external_lex_state = 3},
  [6086] = {.lex_state = 90, .external_lex_state = 3},
  [6087] = {.lex_state = 24, .external_lex_state = 3},
  [6088] = {.lex_state = 24, .external_lex_state = 3},
  [6089] = {.lex_state = 86, .external_lex_state = 3},
  [6090] = {.lex_state = 86, .external_lex_state = 3},
  [6091] = {.lex_state = 82, .external_lex_state = 3},
  [6092] = {.lex_state = 88, .external_lex_state = 3},
  [6093] = {.lex_state = 82, .external_lex_state = 3},
  [6094] = {.lex_state = 88, .external_lex_state = 3},
  [6095] = {.lex_state = 88, .external_lex_state = 3},
  [6096] = {.lex_state = 88, .external_lex_state = 3},
  [6097] = {.lex_state = 88, .external_lex_state = 3},
  [6098] = {.lex_state = 88, .external_lex_state = 3},
  [6099] = {.lex_state = 88, .external_lex_state = 3},
  [6100] = {.lex_state = 24, .external_lex_state = 3},
  [6101] = {.lex_state = 90, .external_lex_state = 3},
  [6102] = {.lex_state = 90, .external_lex_state = 3},
  [6103] = {.lex_state = 25, .external_lex_state = 3},
  [6104] = {.lex_state = 25, .external_lex_state = 3},
  [6105] = {.lex_state = 25, .external_lex_state = 3},
  [6106] = {.lex_state = 25, .external_lex_state = 3},
  [6107] = {.lex_state = 25, .external_lex_state = 3},
  [6108] = {.lex_state = 84, .external_lex_state = 3},
  [6109] = {.lex_state = 90, .external_lex_state = 3},
  [6110] = {.lex_state = 86, .external_lex_state = 3},
  [6111] = {.lex_state = 90, .external_lex_state = 3},
  [6112] = {.lex_state = 86, .external_lex_state = 3},
  [6113] = {.lex_state = 86, .external_lex_state = 3},
  [6114] = {.lex_state = 86, .external_lex_state = 3},
  [6115] = {.lex_state = 86, .external_lex_state = 3},
  [6116] = {.lex_state = 86, .external_lex_state = 3},
  [6117] = {.lex_state = 86, .external_lex_state = 3},
  [6118] = {.lex_state = 86, .external_lex_state = 3},
  [6119] = {.lex_state = 86, .external_lex_state = 3},
  [6120] = {.lex_state = 86, .external_lex_state = 3},
  [6121] = {.lex_state = 86, .external_lex_state = 3},
  [6122] = {.lex_state = 86, .external_lex_state = 3},
  [6123] = {.lex_state = 86, .external_lex_state = 3},
  [6124] = {.lex_state = 86, .external_lex_state = 3},
  [6125] = {.lex_state = 86, .external_lex_state = 3},
  [6126] = {.lex_state = 86, .external_lex_state = 3},
  [6127] = {.lex_state = 86, .external_lex_state = 3},
  [6128] = {.lex_state = 86, .external_lex_state = 3},
  [6129] = {.lex_state = 86, .external_lex_state = 3},
  [6130] = {.lex_state = 90, .external_lex_state = 3},
  [6131] = {.lex_state = 90, .external_lex_state = 3},
  [6132] = {.lex_state = 82, .external_lex_state = 3},
  [6133] = {.lex_state = 86, .external_lex_state = 3},
  [6134] = {.lex_state = 86, .external_lex_state = 3},
  [6135] = {.lex_state = 86, .external_lex_state = 3},
  [6136] = {.lex_state = 86, .external_lex_state = 3},
  [6137] = {.lex_state = 86, .external_lex_state = 3},
  [6138] = {.lex_state = 90, .external_lex_state = 3},
  [6139] = {.lex_state = 86, .external_lex_state = 3},
  [6140] = {.lex_state = 88, .external_lex_state = 3},
  [6141] = {.lex_state = 88, .external_lex_state = 3},
  [6142] = {.lex_state = 89, .external_lex_state = 3},
  [6143] = {.lex_state = 85, .external_lex_state = 3},
  [6144] = {.lex_state = 88, .external_lex_state = 3},
  [6145] = {.lex_state = 86, .external_lex_state = 3},
  [6146] = {.lex_state = 88, .external_lex_state = 3},
  [6147] = {.lex_state = 88, .external_lex_state = 3},
  [6148] = {.lex_state = 88, .external_lex_state = 3},
  [6149] = {.lex_state = 89, .external_lex_state = 3},
  [6150] = {.lex_state = 88, .external_lex_state = 3},
  [6151] = {.lex_state = 89, .external_lex_state = 3},
  [6152] = {.lex_state = 89, .external_lex_state = 3},
  [6153] = {.lex_state = 89, .external_lex_state = 3},
  [6154] = {.lex_state = 88, .external_lex_state = 3},
  [6155] = {.lex_state = 86, .external_lex_state = 3},
  [6156] = {.lex_state = 86, .external_lex_state = 3},
  [6157] = {.lex_state = 94, .external_lex_state = 3},
  [6158] = {.lex_state = 82, .external_lex_state = 3},
  [6159] = {.lex_state = 88, .external_lex_state = 3},
  [6160] = {.lex_state = 86, .external_lex_state = 3},
  [6161] = {.lex_state = 89, .external_lex_state = 3},
  [6162] = {.lex_state = 86, .external_lex_state = 3},
  [6163] = {.lex_state = 86, .external_lex_state = 3},
  [6164] = {.lex_state = 90, .external_lex_state = 3},
  [6165] = {.lex_state = 86, .external_lex_state = 3},
  [6166] = {.lex_state = 83, .external_lex_state = 3},
  [6167] = {.lex_state = 82, .external_lex_state = 3},
  [6168] = {.lex_state = 86, .external_lex_state = 3},
  [6169] = {.lex_state = 94, .external_lex_state = 3},
  [6170] = {.lex_state = 82, .external_lex_state = 3},
  [6171] = {.lex_state = 86, .external_lex_state = 3},
  [6172] = {.lex_state = 82, .external_lex_state = 3},
  [6173] = {.lex_state = 86, .external_lex_state = 3},
  [6174] = {.lex_state = 82, .external_lex_state = 3},
  [6175] = {.lex_state = 85, .external_lex_state = 3},
  [6176] = {.lex_state = 85, .external_lex_state = 3},
  [6177] = {.lex_state = 85, .external_lex_state = 3},
  [6178] = {.lex_state = 85, .external_lex_state = 3},
  [6179] = {.lex_state = 85, .external_lex_state = 3},
  [6180] = {.lex_state = 85, .external_lex_state = 3},
  [6181] = {.lex_state = 89, .external_lex_state = 3},
  [6182] = {.lex_state = 90, .external_lex_state = 3},
  [6183] = {.lex_state = 90, .external_lex_state = 3},
  [6184] = {.lex_state = 92, .external_lex_state = 3},
  [6185] = {.lex_state = 90, .external_lex_state = 3},
  [6186] = {.lex_state = 90, .external_lex_state = 3},
  [6187] = {.lex_state = 88, .external_lex_state = 3},
  [6188] = {.lex_state = 90, .external_lex_state = 3},
  [6189] = {.lex_state = 89, .external_lex_state = 3},
  [6190] = {.lex_state = 89, .external_lex_state = 3},
  [6191] = {.lex_state = 89, .external_lex_state = 3},
  [6192] = {.lex_state = 89, .external_lex_state = 3},
  [6193] = {.lex_state = 92, .external_lex_state = 3},
  [6194] = {.lex_state = 89, .external_lex_state = 3},
  [6195] = {.lex_state = 89, .external_lex_state = 3},
  [6196] = {.lex_state = 82, .external_lex_state = 3},
  [6197] = {.lex_state = 88, .external_lex_state = 3},
  [6198] = {.lex_state = 89, .external_lex_state = 3},
  [6199] = {.lex_state = 89, .external_lex_state = 3},
  [6200] = {.lex_state = 89, .external_lex_state = 3},
  [6201] = {.lex_state = 89, .external_lex_state = 3},
  [6202] = {.lex_state = 92, .external_lex_state = 3},
  [6203] = {.lex_state = 88, .external_lex_state = 3},
  [6204] = {.lex_state = 88, .external_lex_state = 3},
  [6205] = {.lex_state = 88, .external_lex_state = 3},
  [6206] = {.lex_state = 88, .external_lex_state = 3},
  [6207] = {.lex_state = 86, .external_lex_state = 3},
  [6208] = {.lex_state = 86, .external_lex_state = 3},
  [6209] = {.lex_state = 82, .external_lex_state = 3},
  [6210] = {.lex_state = 82, .external_lex_state = 3},
  [6211] = {.lex_state = 82, .external_lex_state = 3},
  [6212] = {.lex_state = 82, .external_lex_state = 3},
  [6213] = {.lex_state = 82, .external_lex_state = 3},
  [6214] = {.lex_state = 82, .external_lex_state = 3},
  [6215] = {.lex_state = 89, .external_lex_state = 3},
  [6216] = {.lex_state = 90, .external_lex_state = 3},
  [6217] = {.lex_state = 82, .external_lex_state = 3},
  [6218] = {.lex_state = 82, .external_lex_state = 3},
  [6219] = {.lex_state = 89, .external_lex_state = 3},
  [6220] = {.lex_state = 82, .external_lex_state = 3},
  [6221] = {.lex_state = 82, .external_lex_state = 3},
  [6222] = {.lex_state = 92, .external_lex_state = 3},
  [6223] = {.lex_state = 85, .external_lex_state = 3},
  [6224] = {.lex_state = 90, .external_lex_state = 3},
  [6225] = {.lex_state = 92, .external_lex_state = 3},
  [6226] = {.lex_state = 90, .external_lex_state = 3},
  [6227] = {.lex_state = 90, .external_lex_state = 3},
  [6228] = {.lex_state = 90, .external_lex_state = 3},
  [6229] = {.lex_state = 92, .external_lex_state = 3},
  [6230] = {.lex_state = 90, .external_lex_state = 3},
  [6231] = {.lex_state = 90, .external_lex_state = 3},
  [6232] = {.lex_state = 92, .external_lex_state = 3},
  [6233] = {.lex_state = 82, .external_lex_state = 3},
  [6234] = {.lex_state = 88, .external_lex_state = 3},
  [6235] = {.lex_state = 89, .external_lex_state = 3},
  [6236] = {.lex_state = 85, .external_lex_state = 3},
  [6237] = {.lex_state = 90, .external_lex_state = 3},
  [6238] = {.lex_state = 90, .external_lex_state = 3},
  [6239] = {.lex_state = 82, .external_lex_state = 3},
  [6240] = {.lex_state = 90, .external_lex_state = 3},
  [6241] = {.lex_state = 90, .external_lex_state = 3},
  [6242] = {.lex_state = 85, .external_lex_state = 3},
  [6243] = {.lex_state = 85, .external_lex_state = 3},
  [6244] = {.lex_state = 92, .external_lex_state = 3},
  [6245] = {.lex_state = 92, .external_lex_state = 3},
  [6246] = {.lex_state = 92, .external_lex_state = 3},
  [6247] = {.lex_state = 85, .external_lex_state = 3},
  [6248] = {.lex_state = 85, .external_lex_state = 3},
  [6249] = {.lex_state = 88, .external_lex_state = 3},
  [6250] = {.lex_state = 88, .external_lex_state = 3},
  [6251] = {.lex_state = 88, .external_lex_state = 3},
  [6252] = {.lex_state = 88, .external_lex_state = 3},
  [6253] = {.lex_state = 88, .external_lex_state = 3},
  [6254] = {.lex_state = 88, .external_lex_state = 3},
  [6255] = {.lex_state = 90, .external_lex_state = 3},
  [6256] = {.lex_state = 93, .external_lex_state = 3},
  [6257] = {.lex_state = 82, .external_lex_state = 3},
  [6258] = {.lex_state = 88, .external_lex_state = 3},
  [6259] = {.lex_state = 88, .external_lex_state = 3},
  [6260] = {.lex_state = 90, .external_lex_state = 3},
  [6261] = {.lex_state = 88, .external_lex_state = 3},
  [6262] = {.lex_state = 88, .external_lex_state = 3},
  [6263] = {.lex_state = 88, .external_lex_state = 3},
  [6264] = {.lex_state = 90, .external_lex_state = 3},
  [6265] = {.lex_state = 88, .external_lex_state = 3},
  [6266] = {.lex_state = 83, .external_lex_state = 3},
  [6267] = {.lex_state = 85, .external_lex_state = 3},
  [6268] = {.lex_state = 88, .external_lex_state = 3},
  [6269] = {.lex_state = 85, .external_lex_state = 3},
  [6270] = {.lex_state = 83, .external_lex_state = 3},
  [6271] = {.lex_state = 86, .external_lex_state = 3},
  [6272] = {.lex_state = 86, .external_lex_state = 3},
  [6273] = {.lex_state = 86, .external_lex_state = 3},
  [6274] = {.lex_state = 86, .external_lex_state = 3},
  [6275] = {.lex_state = 86, .external_lex_state = 3},
  [6276] = {.lex_state = 90, .external_lex_state = 3},
  [6277] = {.lex_state = 86, .external_lex_state = 3},
  [6278] = {.lex_state = 86, .external_lex_state = 3},
  [6279] = {.lex_state = 86, .external_lex_state = 3},
  [6280] = {.lex_state = 86, .external_lex_state = 3},
  [6281] = {.lex_state = 86, .external_lex_state = 3},
  [6282] = {.lex_state = 86, .external_lex_state = 3},
  [6283] = {.lex_state = 86, .external_lex_state = 3},
  [6284] = {.lex_state = 86, .external_lex_state = 3},
  [6285] = {.lex_state = 86, .external_lex_state = 3},
  [6286] = {.lex_state = 86, .external_lex_state = 3},
  [6287] = {.lex_state = 86, .external_lex_state = 3},
  [6288] = {.lex_state = 83, .external_lex_state = 3},
  [6289] = {.lex_state = 86, .external_lex_state = 3},
  [6290] = {.lex_state = 86, .external_lex_state = 3},
  [6291] = {.lex_state = 86, .external_lex_state = 3},
  [6292] = {.lex_state = 83, .external_lex_state = 3},
  [6293] = {.lex_state = 83, .external_lex_state = 3},
  [6294] = {.lex_state = 83, .external_lex_state = 3},
  [6295] = {.lex_state = 83, .external_lex_state = 3},
  [6296] = {.lex_state = 83, .external_lex_state = 3},
  [6297] = {.lex_state = 83, .external_lex_state = 3},
  [6298] = {.lex_state = 91, .external_lex_state = 3},
  [6299] = {.lex_state = 89, .external_lex_state = 3},
  [6300] = {.lex_state = 89, .external_lex_state = 3},
  [6301] = {.lex_state = 89, .external_lex_state = 3},
  [6302] = {.lex_state = 89, .external_lex_state = 3},
  [6303] = {.lex_state = 82, .external_lex_state = 3},
  [6304] = {.lex_state = 82, .external_lex_state = 3},
  [6305] = {.lex_state = 82, .external_lex_state = 3},
  [6306] = {.lex_state = 82, .external_lex_state = 3},
  [6307] = {.lex_state = 90, .external_lex_state = 3},
  [6308] = {.lex_state = 90, .external_lex_state = 3},
  [6309] = {.lex_state = 90, .external_lex_state = 3},
  [6310] = {.lex_state = 90, .external_lex_state = 3},
  [6311] = {.lex_state = 88, .external_lex_state = 3},
  [6312] = {.lex_state = 88, .external_lex_state = 3},
  [6313] = {.lex_state = 88, .external_lex_state = 3},
  [6314] = {.lex_state = 88, .external_lex_state = 3},
  [6315] = {.lex_state = 86, .external_lex_state = 3},
  [6316] = {.lex_state = 86, .external_lex_state = 3},
  [6317] = {.lex_state = 86, .external_lex_state = 3},
  [6318] = {.lex_state = 86, .external_lex_state = 3},
  [6319] = {.lex_state = 82, .external_lex_state = 3},
  [6320] = {.lex_state = 88, .external_lex_state = 3},
  [6321] = {.lex_state = 93, .external_lex_state = 3},
  [6322] = {.lex_state = 7, .external_lex_state = 2},
  [6323] = {.lex_state = 93, .external_lex_state = 3},
  [6324] = {.lex_state = 7, .external_lex_state = 2},
  [6325] = {.lex_state = 93, .external_lex_state = 3},
  [6326] = {.lex_state = 93, .external_lex_state = 3},
  [6327] = {.lex_state = 93, .external_lex_state = 3},
  [6328] = {.lex_state = 93, .external_lex_state = 3},
  [6329] = {.lex_state = 7, .external_lex_state = 2},
  [6330] = {.lex_state = 93, .external_lex_state = 3},
  [6331] = {.lex_state = 93, .external_lex_state = 3},
  [6332] = {.lex_state = 93, .external_lex_state = 3},
  [6333] = {.lex_state = 420, .external_lex_state = 3},
  [6334] = {.lex_state = 91, .external_lex_state = 3},
  [6335] = {.lex_state = 7, .external_lex_state = 2},
  [6336] = {.lex_state = 7, .external_lex_state = 2},
  [6337] = {.lex_state = 420, .external_lex_state = 3},
  [6338] = {.lex_state = 91, .external_lex_state = 3},
  [6339] = {.lex_state = 91, .external_lex_state = 3},
  [6340] = {.lex_state = 91, .external_lex_state = 3},
  [6341] = {.lex_state = 91, .external_lex_state = 3},
  [6342] = {.lex_state = 91, .external_lex_state = 3},
  [6343] = {.lex_state = 91, .external_lex_state = 3},
  [6344] = {.lex_state = 420, .external_lex_state = 3},
  [6345] = {.lex_state = 7, .external_lex_state = 2},
  [6346] = {.lex_state = 91, .external_lex_state = 3},
  [6347] = {.lex_state = 7, .external_lex_state = 2},
  [6348] = {.lex_state = 420, .external_lex_state = 3},
  [6349] = {.lex_state = 420, .external_lex_state = 3},
  [6350] = {.lex_state = 91, .external_lex_state = 3},
  [6351] = {.lex_state = 420, .external_lex_state = 3},
  [6352] = {.lex_state = 420, .external_lex_state = 3},
  [6353] = {.lex_state = 420, .external_lex_state = 3},
  [6354] = {.lex_state = 420, .external_lex_state = 3},
  [6355] = {.lex_state = 420, .external_lex_state = 3},
  [6356] = {.lex_state = 420, .external_lex_state = 3},
  [6357] = {.lex_state = 420, .external_lex_state = 3},
  [6358] = {.lex_state = 420, .external_lex_state = 3},
  [6359] = {.lex_state = 420, .external_lex_state = 3},
  [6360] = {.lex_state = 420, .external_lex_state = 3},
  [6361] = {.lex_state = 420, .external_lex_state = 3},
  [6362] = {.lex_state = 420, .external_lex_state = 3},
  [6363] = {.lex_state = 420, .external_lex_state = 3},
  [6364] = {.lex_state = 420, .external_lex_state = 3},
  [6365] = {.lex_state = 420, .external_lex_state = 3},
  [6366] = {.lex_state = 420, .external_lex_state = 3},
  [6367] = {.lex_state = 420, .external_lex_state = 3},
  [6368] = {.lex_state = 420, .external_lex_state = 3},
  [6369] = {.lex_state = 420, .external_lex_state = 3},
  [6370] = {.lex_state = 420, .external_lex_state = 3},
  [6371] = {.lex_state = 420, .external_lex_state = 3},
  [6372] = {.lex_state = 420, .external_lex_state = 3},
  [6373] = {.lex_state = 420, .external_lex_state = 3},
  [6374] = {.lex_state = 420, .external_lex_state = 3},
  [6375] = {.lex_state = 420, .external_lex_state = 3},
  [6376] = {.lex_state = 420, .external_lex_state = 3},
  [6377] = {.lex_state = 420, .external_lex_state = 3},
  [6378] = {.lex_state = 420, .external_lex_state = 3},
  [6379] = {.lex_state = 420, .external_lex_state = 3},
  [6380] = {.lex_state = 420, .external_lex_state = 3},
  [6381] = {.lex_state = 420, .external_lex_state = 3},
  [6382] = {.lex_state = 420, .external_lex_state = 3},
  [6383] = {.lex_state = 420, .external_lex_state = 3},
  [6384] = {.lex_state = 420, .external_lex_state = 3},
  [6385] = {.lex_state = 420, .external_lex_state = 3},
  [6386] = {.lex_state = 420, .external_lex_state = 3},
  [6387] = {.lex_state = 420, .external_lex_state = 3},
  [6388] = {.lex_state = 420, .external_lex_state = 3},
  [6389] = {.lex_state = 420, .external_lex_state = 3},
  [6390] = {.lex_state = 420, .external_lex_state = 3},
  [6391] = {.lex_state = 420, .external_lex_state = 3},
  [6392] = {.lex_state = 420, .external_lex_state = 3},
  [6393] = {.lex_state = 420, .external_lex_state = 3},
  [6394] = {.lex_state = 420, .external_lex_state = 3},
  [6395] = {.lex_state = 420, .external_lex_state = 3},
  [6396] = {.lex_state = 87, .external_lex_state = 3},
  [6397] = {.lex_state = 87, .external_lex_state = 3},
  [6398] = {.lex_state = 420, .external_lex_state = 3},
  [6399] = {.lex_state = 420, .external_lex_state = 3},
  [6400] = {.lex_state = 7, .external_lex_state = 2},
  [6401] = {.lex_state = 420, .external_lex_state = 3},
  [6402] = {.lex_state = 420, .external_lex_state = 3},
  [6403] = {.lex_state = 420, .external_lex_state = 3},
  [6404] = {.lex_state = 87, .external_lex_state = 3},
  [6405] = {.lex_state = 87, .external_lex_state = 3},
  [6406] = {.lex_state = 87, .external_lex_state = 3},
  [6407] = {.lex_state = 87, .external_lex_state = 3},
  [6408] = {.lex_state = 87, .external_lex_state = 3},
  [6409] = {.lex_state = 87, .external_lex_state = 3},
  [6410] = {.lex_state = 87, .external_lex_state = 3},
  [6411] = {.lex_state = 420, .external_lex_state = 3},
  [6412] = {.lex_state = 85, .external_lex_state = 3},
  [6413] = {.lex_state = 85, .external_lex_state = 3},
  [6414] = {.lex_state = 85, .external_lex_state = 3},
  [6415] = {.lex_state = 85, .external_lex_state = 3},
  [6416] = {.lex_state = 85, .external_lex_state = 3},
  [6417] = {.lex_state = 85, .external_lex_state = 3},
  [6418] = {.lex_state = 85, .external_lex_state = 3},
  [6419] = {.lex_state = 85, .external_lex_state = 3},
  [6420] = {.lex_state = 85, .external_lex_state = 3},
  [6421] = {.lex_state = 85, .external_lex_state = 3},
  [6422] = {.lex_state = 85, .external_lex_state = 3},
  [6423] = {.lex_state = 85, .external_lex_state = 3},
  [6424] = {.lex_state = 85, .external_lex_state = 3},
  [6425] = {.lex_state = 85, .external_lex_state = 3},
  [6426] = {.lex_state = 85, .external_lex_state = 3},
  [6427] = {.lex_state = 85, .external_lex_state = 3},
  [6428] = {.lex_state = 85, .external_lex_state = 3},
  [6429] = {.lex_state = 85, .external_lex_state = 3},
  [6430] = {.lex_state = 85, .external_lex_state = 3},
  [6431] = {.lex_state = 85, .external_lex_state = 3},
  [6432] = {.lex_state = 85, .external_lex_state = 3},
  [6433] = {.lex_state = 85, .external_lex_state = 3},
  [6434] = {.lex_state = 85, .external_lex_state = 3},
  [6435] = {.lex_state = 85, .external_lex_state = 3},
  [6436] = {.lex_state = 85, .external_lex_state = 3},
  [6437] = {.lex_state = 86, .external_lex_state = 3},
  [6438] = {.lex_state = 85, .external_lex_state = 3},
  [6439] = {.lex_state = 85, .external_lex_state = 3},
  [6440] = {.lex_state = 85, .external_lex_state = 3},
  [6441] = {.lex_state = 85, .external_lex_state = 3},
  [6442] = {.lex_state = 85, .external_lex_state = 3},
  [6443] = {.lex_state = 85, .external_lex_state = 3},
  [6444] = {.lex_state = 85, .external_lex_state = 3},
  [6445] = {.lex_state = 85, .external_lex_state = 3},
  [6446] = {.lex_state = 85, .external_lex_state = 3},
  [6447] = {.lex_state = 85, .external_lex_state = 3},
  [6448] = {.lex_state = 85, .external_lex_state = 3},
  [6449] = {.lex_state = 87, .external_lex_state = 3},
  [6450] = {.lex_state = 85, .external_lex_state = 3},
  [6451] = {.lex_state = 87, .external_lex_state = 3},
  [6452] = {.lex_state = 85, .external_lex_state = 3},
  [6453] = {.lex_state = 89, .external_lex_state = 3},
  [6454] = {.lex_state = 85, .external_lex_state = 3},
  [6455] = {.lex_state = 420, .external_lex_state = 3},
  [6456] = {.lex_state = 85, .external_lex_state = 3},
  [6457] = {.lex_state = 420, .external_lex_state = 3},
  [6458] = {.lex_state = 420, .external_lex_state = 3},
  [6459] = {.lex_state = 85, .external_lex_state = 3},
  [6460] = {.lex_state = 420, .external_lex_state = 3},
  [6461] = {.lex_state = 85, .external_lex_state = 3},
  [6462] = {.lex_state = 85, .external_lex_state = 3},
  [6463] = {.lex_state = 85, .external_lex_state = 3},
  [6464] = {.lex_state = 85, .external_lex_state = 3},
  [6465] = {.lex_state = 82, .external_lex_state = 3},
  [6466] = {.lex_state = 92, .external_lex_state = 3},
  [6467] = {.lex_state = 83, .external_lex_state = 3},
  [6468] = {.lex_state = 93, .external_lex_state = 3},
  [6469] = {.lex_state = 91, .external_lex_state = 3},
  [6470] = {.lex_state = 85, .external_lex_state = 3},
  [6471] = {.lex_state = 90, .external_lex_state = 3},
  [6472] = {.lex_state = 85, .external_lex_state = 3},
  [6473] = {.lex_state = 85, .external_lex_state = 3},
  [6474] = {.lex_state = 85, .external_lex_state = 3},
  [6475] = {.lex_state = 88, .external_lex_state = 3},
  [6476] = {.lex_state = 420, .external_lex_state = 3},
  [6477] = {.lex_state = 420, .external_lex_state = 3},
  [6478] = {.lex_state = 420, .external_lex_state = 3},
  [6479] = {.lex_state = 420, .external_lex_state = 3},
  [6480] = {.lex_state = 420, .external_lex_state = 3},
  [6481] = {.lex_state = 420, .external_lex_state = 3},
  [6482] = {.lex_state = 95, .external_lex_state = 3},
  [6483] = {.lex_state = 90, .external_lex_state = 3},
  [6484] = {.lex_state = 85, .external_lex_state = 3},
  [6485] = {.lex_state = 85, .external_lex_state = 3},
  [6486] = {.lex_state = 89, .external_lex_state = 3},
  [6487] = {.lex_state = 420, .external_lex_state = 3},
  [6488] = {.lex_state = 420, .external_lex_state = 3},
  [6489] = {.lex_state = 89, .external_lex_state = 3},
  [6490] = {.lex_state = 89, .external_lex_state = 3},
  [6491] = {.lex_state = 89, .external_lex_state = 3},
  [6492] = {.lex_state = 89, .external_lex_state = 3},
  [6493] = {.lex_state = 89, .external_lex_state = 3},
  [6494] = {.lex_state = 420, .external_lex_state = 3},
  [6495] = {.lex_state = 89, .external_lex_state = 3},
  [6496] = {.lex_state = 89, .external_lex_state = 3},
  [6497] = {.lex_state = 89, .external_lex_state = 3},
  [6498] = {.lex_state = 89, .external_lex_state = 3},
  [6499] = {.lex_state = 89, .external_lex_state = 3},
  [6500] = {.lex_state = 89, .external_lex_state = 3},
  [6501] = {.lex_state = 89, .external_lex_state = 3},
  [6502] = {.lex_state = 89, .external_lex_state = 3},
  [6503] = {.lex_state = 420, .external_lex_state = 3},
  [6504] = {.lex_state = 89, .external_lex_state = 3},
  [6505] = {.lex_state = 420, .external_lex_state = 3},
  [6506] = {.lex_state = 89, .external_lex_state = 3},
  [6507] = {.lex_state = 89, .external_lex_state = 3},
  [6508] = {.lex_state = 89, .external_lex_state = 3},
  [6509] = {.lex_state = 89, .external_lex_state = 3},
  [6510] = {.lex_state = 89, .external_lex_state = 3},
  [6511] = {.lex_state = 89, .external_lex_state = 3},
  [6512] = {.lex_state = 89, .external_lex_state = 3},
  [6513] = {.lex_state = 89, .external_lex_state = 3},
  [6514] = {.lex_state = 89, .external_lex_state = 3},
  [6515] = {.lex_state = 89, .external_lex_state = 3},
  [6516] = {.lex_state = 89, .external_lex_state = 3},
  [6517] = {.lex_state = 89, .external_lex_state = 3},
  [6518] = {.lex_state = 89, .external_lex_state = 3},
  [6519] = {.lex_state = 89, .external_lex_state = 3},
  [6520] = {.lex_state = 89, .external_lex_state = 3},
  [6521] = {.lex_state = 89, .external_lex_state = 3},
  [6522] = {.lex_state = 89, .external_lex_state = 3},
  [6523] = {.lex_state = 89, .external_lex_state = 3},
  [6524] = {.lex_state = 89, .external_lex_state = 3},
  [6525] = {.lex_state = 420, .external_lex_state = 3},
  [6526] = {.lex_state = 82, .external_lex_state = 3},
  [6527] = {.lex_state = 420, .external_lex_state = 3},
  [6528] = {.lex_state = 420, .external_lex_state = 3},
  [6529] = {.lex_state = 89, .external_lex_state = 3},
  [6530] = {.lex_state = 420, .external_lex_state = 3},
  [6531] = {.lex_state = 82, .external_lex_state = 3},
  [6532] = {.lex_state = 82, .external_lex_state = 3},
  [6533] = {.lex_state = 82, .external_lex_state = 3},
  [6534] = {.lex_state = 82, .external_lex_state = 3},
  [6535] = {.lex_state = 82, .external_lex_state = 3},
  [6536] = {.lex_state = 82, .external_lex_state = 3},
  [6537] = {.lex_state = 82, .external_lex_state = 3},
  [6538] = {.lex_state = 82, .external_lex_state = 3},
  [6539] = {.lex_state = 420, .external_lex_state = 3},
  [6540] = {.lex_state = 82, .external_lex_state = 3},
  [6541] = {.lex_state = 82, .external_lex_state = 3},
  [6542] = {.lex_state = 82, .external_lex_state = 3},
  [6543] = {.lex_state = 420, .external_lex_state = 3},
  [6544] = {.lex_state = 82, .external_lex_state = 3},
  [6545] = {.lex_state = 82, .external_lex_state = 3},
  [6546] = {.lex_state = 82, .external_lex_state = 3},
  [6547] = {.lex_state = 89, .external_lex_state = 3},
  [6548] = {.lex_state = 82, .external_lex_state = 3},
  [6549] = {.lex_state = 82, .external_lex_state = 3},
  [6550] = {.lex_state = 82, .external_lex_state = 3},
  [6551] = {.lex_state = 82, .external_lex_state = 3},
  [6552] = {.lex_state = 82, .external_lex_state = 3},
  [6553] = {.lex_state = 82, .external_lex_state = 3},
  [6554] = {.lex_state = 82, .external_lex_state = 3},
  [6555] = {.lex_state = 82, .external_lex_state = 3},
  [6556] = {.lex_state = 82, .external_lex_state = 3},
  [6557] = {.lex_state = 82, .external_lex_state = 3},
  [6558] = {.lex_state = 82, .external_lex_state = 3},
  [6559] = {.lex_state = 82, .external_lex_state = 3},
  [6560] = {.lex_state = 82, .external_lex_state = 3},
  [6561] = {.lex_state = 51, .external_lex_state = 3},
  [6562] = {.lex_state = 82, .external_lex_state = 3},
  [6563] = {.lex_state = 82, .external_lex_state = 3},
  [6564] = {.lex_state = 82, .external_lex_state = 3},
  [6565] = {.lex_state = 82, .external_lex_state = 3},
  [6566] = {.lex_state = 82, .external_lex_state = 3},
  [6567] = {.lex_state = 82, .external_lex_state = 3},
  [6568] = {.lex_state = 90, .external_lex_state = 3},
  [6569] = {.lex_state = 82, .external_lex_state = 3},
  [6570] = {.lex_state = 90, .external_lex_state = 3},
  [6571] = {.lex_state = 90, .external_lex_state = 3},
  [6572] = {.lex_state = 90, .external_lex_state = 3},
  [6573] = {.lex_state = 90, .external_lex_state = 3},
  [6574] = {.lex_state = 420, .external_lex_state = 3},
  [6575] = {.lex_state = 90, .external_lex_state = 3},
  [6576] = {.lex_state = 89, .external_lex_state = 3},
  [6577] = {.lex_state = 90, .external_lex_state = 3},
  [6578] = {.lex_state = 90, .external_lex_state = 3},
  [6579] = {.lex_state = 90, .external_lex_state = 3},
  [6580] = {.lex_state = 90, .external_lex_state = 3},
  [6581] = {.lex_state = 90, .external_lex_state = 3},
  [6582] = {.lex_state = 90, .external_lex_state = 3},
  [6583] = {.lex_state = 420, .external_lex_state = 3},
  [6584] = {.lex_state = 90, .external_lex_state = 3},
  [6585] = {.lex_state = 90, .external_lex_state = 3},
  [6586] = {.lex_state = 90, .external_lex_state = 3},
  [6587] = {.lex_state = 82, .external_lex_state = 3},
  [6588] = {.lex_state = 90, .external_lex_state = 3},
  [6589] = {.lex_state = 90, .external_lex_state = 3},
  [6590] = {.lex_state = 90, .external_lex_state = 3},
  [6591] = {.lex_state = 90, .external_lex_state = 3},
  [6592] = {.lex_state = 90, .external_lex_state = 3},
  [6593] = {.lex_state = 90, .external_lex_state = 3},
  [6594] = {.lex_state = 90, .external_lex_state = 3},
  [6595] = {.lex_state = 90, .external_lex_state = 3},
  [6596] = {.lex_state = 88, .external_lex_state = 3},
  [6597] = {.lex_state = 90, .external_lex_state = 3},
  [6598] = {.lex_state = 90, .external_lex_state = 3},
  [6599] = {.lex_state = 90, .external_lex_state = 3},
  [6600] = {.lex_state = 90, .external_lex_state = 3},
  [6601] = {.lex_state = 90, .external_lex_state = 3},
  [6602] = {.lex_state = 90, .external_lex_state = 3},
  [6603] = {.lex_state = 90, .external_lex_state = 3},
  [6604] = {.lex_state = 89, .external_lex_state = 3},
  [6605] = {.lex_state = 86, .external_lex_state = 3},
  [6606] = {.lex_state = 90, .external_lex_state = 3},
  [6607] = {.lex_state = 90, .external_lex_state = 3},
  [6608] = {.lex_state = 90, .external_lex_state = 3},
  [6609] = {.lex_state = 90, .external_lex_state = 3},
  [6610] = {.lex_state = 90, .external_lex_state = 3},
  [6611] = {.lex_state = 86, .external_lex_state = 3},
  [6612] = {.lex_state = 88, .external_lex_state = 3},
  [6613] = {.lex_state = 86, .external_lex_state = 3},
  [6614] = {.lex_state = 86, .external_lex_state = 3},
  [6615] = {.lex_state = 90, .external_lex_state = 3},
  [6616] = {.lex_state = 88, .external_lex_state = 3},
  [6617] = {.lex_state = 89, .external_lex_state = 3},
  [6618] = {.lex_state = 88, .external_lex_state = 3},
  [6619] = {.lex_state = 89, .external_lex_state = 3},
  [6620] = {.lex_state = 88, .external_lex_state = 3},
  [6621] = {.lex_state = 88, .external_lex_state = 3},
  [6622] = {.lex_state = 88, .external_lex_state = 3},
  [6623] = {.lex_state = 82, .external_lex_state = 3},
  [6624] = {.lex_state = 420, .external_lex_state = 3},
  [6625] = {.lex_state = 86, .external_lex_state = 3},
  [6626] = {.lex_state = 88, .external_lex_state = 3},
  [6627] = {.lex_state = 88, .external_lex_state = 3},
  [6628] = {.lex_state = 88, .external_lex_state = 3},
  [6629] = {.lex_state = 89, .external_lex_state = 3},
  [6630] = {.lex_state = 88, .external_lex_state = 3},
  [6631] = {.lex_state = 88, .external_lex_state = 3},
  [6632] = {.lex_state = 88, .external_lex_state = 3},
  [6633] = {.lex_state = 86, .external_lex_state = 3},
  [6634] = {.lex_state = 88, .external_lex_state = 3},
  [6635] = {.lex_state = 88, .external_lex_state = 3},
  [6636] = {.lex_state = 88, .external_lex_state = 3},
  [6637] = {.lex_state = 90, .external_lex_state = 3},
  [6638] = {.lex_state = 88, .external_lex_state = 3},
  [6639] = {.lex_state = 88, .external_lex_state = 3},
  [6640] = {.lex_state = 88, .external_lex_state = 3},
  [6641] = {.lex_state = 88, .external_lex_state = 3},
  [6642] = {.lex_state = 89, .external_lex_state = 3},
  [6643] = {.lex_state = 88, .external_lex_state = 3},
  [6644] = {.lex_state = 89, .external_lex_state = 3},
  [6645] = {.lex_state = 88, .external_lex_state = 3},
  [6646] = {.lex_state = 88, .external_lex_state = 3},
  [6647] = {.lex_state = 88, .external_lex_state = 3},
  [6648] = {.lex_state = 88, .external_lex_state = 3},
  [6649] = {.lex_state = 88, .external_lex_state = 3},
  [6650] = {.lex_state = 88, .external_lex_state = 3},
  [6651] = {.lex_state = 88, .external_lex_state = 3},
  [6652] = {.lex_state = 89, .external_lex_state = 3},
  [6653] = {.lex_state = 88, .external_lex_state = 3},
  [6654] = {.lex_state = 88, .external_lex_state = 3},
  [6655] = {.lex_state = 82, .external_lex_state = 3},
  [6656] = {.lex_state = 86, .external_lex_state = 3},
  [6657] = {.lex_state = 88, .external_lex_state = 3},
  [6658] = {.lex_state = 88, .external_lex_state = 3},
  [6659] = {.lex_state = 88, .external_lex_state = 3},
  [6660] = {.lex_state = 88, .external_lex_state = 3},
  [6661] = {.lex_state = 89, .external_lex_state = 3},
  [6662] = {.lex_state = 88, .external_lex_state = 3},
  [6663] = {.lex_state = 89, .external_lex_state = 3},
  [6664] = {.lex_state = 89, .external_lex_state = 3},
  [6665] = {.lex_state = 88, .external_lex_state = 3},
  [6666] = {.lex_state = 82, .external_lex_state = 3},
  [6667] = {.lex_state = 82, .external_lex_state = 3},
  [6668] = {.lex_state = 90, .external_lex_state = 3},
  [6669] = {.lex_state = 85, .external_lex_state = 3},
  [6670] = {.lex_state = 82, .external_lex_state = 3},
  [6671] = {.lex_state = 88, .external_lex_state = 3},
  [6672] = {.lex_state = 420, .external_lex_state = 3},
  [6673] = {.lex_state = 82, .external_lex_state = 3},
  [6674] = {.lex_state = 82, .external_lex_state = 3},
  [6675] = {.lex_state = 82, .external_lex_state = 3},
  [6676] = {.lex_state = 90, .external_lex_state = 3},
  [6677] = {.lex_state = 85, .external_lex_state = 3},
  [6678] = {.lex_state = 82, .external_lex_state = 3},
  [6679] = {.lex_state = 85, .external_lex_state = 3},
  [6680] = {.lex_state = 82, .external_lex_state = 3},
  [6681] = {.lex_state = 85, .external_lex_state = 3},
  [6682] = {.lex_state = 82, .external_lex_state = 3},
  [6683] = {.lex_state = 85, .external_lex_state = 3},
  [6684] = {.lex_state = 89, .external_lex_state = 3},
  [6685] = {.lex_state = 86, .external_lex_state = 3},
  [6686] = {.lex_state = 90, .external_lex_state = 3},
  [6687] = {.lex_state = 86, .external_lex_state = 3},
  [6688] = {.lex_state = 90, .external_lex_state = 3},
  [6689] = {.lex_state = 86, .external_lex_state = 3},
  [6690] = {.lex_state = 86, .external_lex_state = 3},
  [6691] = {.lex_state = 88, .external_lex_state = 3},
  [6692] = {.lex_state = 85, .external_lex_state = 3},
  [6693] = {.lex_state = 20, .external_lex_state = 3},
  [6694] = {.lex_state = 20, .external_lex_state = 3},
  [6695] = {.lex_state = 83, .external_lex_state = 3},
  [6696] = {.lex_state = 83, .external_lex_state = 3},
  [6697] = {.lex_state = 83, .external_lex_state = 3},
  [6698] = {.lex_state = 83, .external_lex_state = 3},
  [6699] = {.lex_state = 20, .external_lex_state = 3},
  [6700] = {.lex_state = 20, .external_lex_state = 3},
  [6701] = {.lex_state = 83, .external_lex_state = 3},
  [6702] = {.lex_state = 83, .external_lex_state = 3},
  [6703] = {.lex_state = 20, .external_lex_state = 3},
  [6704] = {.lex_state = 20, .external_lex_state = 3},
  [6705] = {.lex_state = 20, .external_lex_state = 3},
  [6706] = {.lex_state = 20, .external_lex_state = 3},
  [6707] = {.lex_state = 20, .external_lex_state = 3},
  [6708] = {.lex_state = 20, .external_lex_state = 3},
  [6709] = {.lex_state = 20, .external_lex_state = 3},
  [6710] = {.lex_state = 20, .external_lex_state = 3},
  [6711] = {.lex_state = 20, .external_lex_state = 3},
  [6712] = {.lex_state = 20, .external_lex_state = 3},
  [6713] = {.lex_state = 20, .external_lex_state = 3},
  [6714] = {.lex_state = 20, .external_lex_state = 3},
  [6715] = {.lex_state = 20, .external_lex_state = 3},
  [6716] = {.lex_state = 83, .external_lex_state = 3},
  [6717] = {.lex_state = 83, .external_lex_state = 3},
  [6718] = {.lex_state = 83, .external_lex_state = 3},
  [6719] = {.lex_state = 20, .external_lex_state = 3},
  [6720] = {.lex_state = 20, .external_lex_state = 3},
  [6721] = {.lex_state = 20, .external_lex_state = 3},
  [6722] = {.lex_state = 20, .external_lex_state = 3},
  [6723] = {.lex_state = 83, .external_lex_state = 3},
  [6724] = {.lex_state = 83, .external_lex_state = 3},
  [6725] = {.lex_state = 87, .external_lex_state = 3},
  [6726] = {.lex_state = 92, .external_lex_state = 3},
  [6727] = {.lex_state = 20, .external_lex_state = 3},
  [6728] = {.lex_state = 83, .external_lex_state = 3},
  [6729] = {.lex_state = 83, .external_lex_state = 3},
  [6730] = {.lex_state = 83, .external_lex_state = 3},
  [6731] = {.lex_state = 87, .external_lex_state = 3},
  [6732] = {.lex_state = 83, .external_lex_state = 3},
  [6733] = {.lex_state = 87, .external_lex_state = 3},
  [6734] = {.lex_state = 20, .external_lex_state = 3},
  [6735] = {.lex_state = 92, .external_lex_state = 3},
  [6736] = {.lex_state = 20, .external_lex_state = 3},
  [6737] = {.lex_state = 20, .external_lex_state = 3},
  [6738] = {.lex_state = 20, .external_lex_state = 3},
  [6739] = {.lex_state = 20, .external_lex_state = 3},
  [6740] = {.lex_state = 10, .external_lex_state = 2},
  [6741] = {.lex_state = 20, .external_lex_state = 3},
  [6742] = {.lex_state = 20, .external_lex_state = 3},
  [6743] = {.lex_state = 20, .external_lex_state = 3},
  [6744] = {.lex_state = 20, .external_lex_state = 3},
  [6745] = {.lex_state = 20, .external_lex_state = 3},
  [6746] = {.lex_state = 20, .external_lex_state = 3},
  [6747] = {.lex_state = 20, .external_lex_state = 3},
  [6748] = {.lex_state = 20, .external_lex_state = 3},
  [6749] = {.lex_state = 83, .external_lex_state = 3},
  [6750] = {.lex_state = 83, .external_lex_state = 3},
  [6751] = {.lex_state = 83, .external_lex_state = 3},
  [6752] = {.lex_state = 83, .external_lex_state = 3},
  [6753] = {.lex_state = 83, .external_lex_state = 3},
  [6754] = {.lex_state = 83, .external_lex_state = 3},
  [6755] = {.lex_state = 83, .external_lex_state = 3},
  [6756] = {.lex_state = 93, .external_lex_state = 3},
  [6757] = {.lex_state = 20, .external_lex_state = 3},
  [6758] = {.lex_state = 84, .external_lex_state = 3},
  [6759] = {.lex_state = 83, .external_lex_state = 3},
  [6760] = {.lex_state = 20, .external_lex_state = 3},
  [6761] = {.lex_state = 83, .external_lex_state = 3},
  [6762] = {.lex_state = 83, .external_lex_state = 3},
  [6763] = {.lex_state = 83, .external_lex_state = 3},
  [6764] = {.lex_state = 83, .external_lex_state = 3},
  [6765] = {.lex_state = 20, .external_lex_state = 3},
  [6766] = {.lex_state = 83, .external_lex_state = 3},
  [6767] = {.lex_state = 83, .external_lex_state = 3},
  [6768] = {.lex_state = 83, .external_lex_state = 3},
  [6769] = {.lex_state = 83, .external_lex_state = 3},
  [6770] = {.lex_state = 20, .external_lex_state = 3},
  [6771] = {.lex_state = 93, .external_lex_state = 3},
  [6772] = {.lex_state = 20, .external_lex_state = 3},
  [6773] = {.lex_state = 10, .external_lex_state = 2},
  [6774] = {.lex_state = 91, .external_lex_state = 3},
  [6775] = {.lex_state = 93, .external_lex_state = 3},
  [6776] = {.lex_state = 10, .external_lex_state = 2},
  [6777] = {.lex_state = 93, .external_lex_state = 3},
  [6778] = {.lex_state = 87, .external_lex_state = 3},
  [6779] = {.lex_state = 93, .external_lex_state = 3},
  [6780] = {.lex_state = 93, .external_lex_state = 3},
  [6781] = {.lex_state = 92, .external_lex_state = 3},
  [6782] = {.lex_state = 93, .external_lex_state = 3},
  [6783] = {.lex_state = 93, .external_lex_state = 3},
  [6784] = {.lex_state = 93, .external_lex_state = 3},
  [6785] = {.lex_state = 10, .external_lex_state = 2},
  [6786] = {.lex_state = 91, .external_lex_state = 3},
  [6787] = {.lex_state = 20, .external_lex_state = 3},
  [6788] = {.lex_state = 20, .external_lex_state = 3},
  [6789] = {.lex_state = 20, .external_lex_state = 3},
  [6790] = {.lex_state = 92, .external_lex_state = 3},
  [6791] = {.lex_state = 20, .external_lex_state = 3},
  [6792] = {.lex_state = 92, .external_lex_state = 3},
  [6793] = {.lex_state = 20, .external_lex_state = 3},
  [6794] = {.lex_state = 93, .external_lex_state = 3},
  [6795] = {.lex_state = 93, .external_lex_state = 3},
  [6796] = {.lex_state = 92, .external_lex_state = 3},
  [6797] = {.lex_state = 93, .external_lex_state = 3},
  [6798] = {.lex_state = 93, .external_lex_state = 3},
  [6799] = {.lex_state = 93, .external_lex_state = 3},
  [6800] = {.lex_state = 93, .external_lex_state = 3},
  [6801] = {.lex_state = 93, .external_lex_state = 3},
  [6802] = {.lex_state = 93, .external_lex_state = 3},
  [6803] = {.lex_state = 93, .external_lex_state = 3},
  [6804] = {.lex_state = 7, .external_lex_state = 2},
  [6805] = {.lex_state = 92, .external_lex_state = 3},
  [6806] = {.lex_state = 10, .external_lex_state = 2},
  [6807] = {.lex_state = 93, .external_lex_state = 3},
  [6808] = {.lex_state = 93, .external_lex_state = 3},
  [6809] = {.lex_state = 10, .external_lex_state = 2},
  [6810] = {.lex_state = 7, .external_lex_state = 2},
  [6811] = {.lex_state = 93, .external_lex_state = 3},
  [6812] = {.lex_state = 93, .external_lex_state = 3},
  [6813] = {.lex_state = 93, .external_lex_state = 3},
  [6814] = {.lex_state = 93, .external_lex_state = 3},
  [6815] = {.lex_state = 93, .external_lex_state = 3},
  [6816] = {.lex_state = 93, .external_lex_state = 3},
  [6817] = {.lex_state = 92, .external_lex_state = 3},
  [6818] = {.lex_state = 93, .external_lex_state = 3},
  [6819] = {.lex_state = 93, .external_lex_state = 3},
  [6820] = {.lex_state = 93, .external_lex_state = 3},
  [6821] = {.lex_state = 92, .external_lex_state = 3},
  [6822] = {.lex_state = 93, .external_lex_state = 3},
  [6823] = {.lex_state = 93, .external_lex_state = 3},
  [6824] = {.lex_state = 93, .external_lex_state = 3},
  [6825] = {.lex_state = 93, .external_lex_state = 3},
  [6826] = {.lex_state = 93, .external_lex_state = 3},
  [6827] = {.lex_state = 93, .external_lex_state = 3},
  [6828] = {.lex_state = 93, .external_lex_state = 3},
  [6829] = {.lex_state = 91, .external_lex_state = 3},
  [6830] = {.lex_state = 92, .external_lex_state = 3},
  [6831] = {.lex_state = 20, .external_lex_state = 3},
  [6832] = {.lex_state = 93, .external_lex_state = 3},
  [6833] = {.lex_state = 20, .external_lex_state = 3},
  [6834] = {.lex_state = 93, .external_lex_state = 3},
  [6835] = {.lex_state = 93, .external_lex_state = 3},
  [6836] = {.lex_state = 93, .external_lex_state = 3},
  [6837] = {.lex_state = 93, .external_lex_state = 3},
  [6838] = {.lex_state = 93, .external_lex_state = 3},
  [6839] = {.lex_state = 93, .external_lex_state = 3},
  [6840] = {.lex_state = 93, .external_lex_state = 3},
  [6841] = {.lex_state = 92, .external_lex_state = 3},
  [6842] = {.lex_state = 93, .external_lex_state = 3},
  [6843] = {.lex_state = 92, .external_lex_state = 3},
  [6844] = {.lex_state = 91, .external_lex_state = 3},
  [6845] = {.lex_state = 92, .external_lex_state = 3},
  [6846] = {.lex_state = 92, .external_lex_state = 3},
  [6847] = {.lex_state = 91, .external_lex_state = 3},
  [6848] = {.lex_state = 92, .external_lex_state = 3},
  [6849] = {.lex_state = 91, .external_lex_state = 3},
  [6850] = {.lex_state = 91, .external_lex_state = 3},
  [6851] = {.lex_state = 91, .external_lex_state = 3},
  [6852] = {.lex_state = 83, .external_lex_state = 3},
  [6853] = {.lex_state = 91, .external_lex_state = 3},
  [6854] = {.lex_state = 91, .external_lex_state = 3},
  [6855] = {.lex_state = 92, .external_lex_state = 3},
  [6856] = {.lex_state = 91, .external_lex_state = 3},
  [6857] = {.lex_state = 83, .external_lex_state = 3},
  [6858] = {.lex_state = 92, .external_lex_state = 3},
  [6859] = {.lex_state = 91, .external_lex_state = 3},
  [6860] = {.lex_state = 91, .external_lex_state = 3},
  [6861] = {.lex_state = 91, .external_lex_state = 3},
  [6862] = {.lex_state = 92, .external_lex_state = 3},
  [6863] = {.lex_state = 91, .external_lex_state = 3},
  [6864] = {.lex_state = 91, .external_lex_state = 3},
  [6865] = {.lex_state = 91, .external_lex_state = 3},
  [6866] = {.lex_state = 91, .external_lex_state = 3},
  [6867] = {.lex_state = 92, .external_lex_state = 3},
  [6868] = {.lex_state = 92, .external_lex_state = 3},
  [6869] = {.lex_state = 91, .external_lex_state = 3},
  [6870] = {.lex_state = 91, .external_lex_state = 3},
  [6871] = {.lex_state = 91, .external_lex_state = 3},
  [6872] = {.lex_state = 91, .external_lex_state = 3},
  [6873] = {.lex_state = 91, .external_lex_state = 3},
  [6874] = {.lex_state = 91, .external_lex_state = 3},
  [6875] = {.lex_state = 91, .external_lex_state = 3},
  [6876] = {.lex_state = 91, .external_lex_state = 3},
  [6877] = {.lex_state = 91, .external_lex_state = 3},
  [6878] = {.lex_state = 91, .external_lex_state = 3},
  [6879] = {.lex_state = 83, .external_lex_state = 3},
  [6880] = {.lex_state = 87, .external_lex_state = 3},
  [6881] = {.lex_state = 91, .external_lex_state = 3},
  [6882] = {.lex_state = 91, .external_lex_state = 3},
  [6883] = {.lex_state = 91, .external_lex_state = 3},
  [6884] = {.lex_state = 91, .external_lex_state = 3},
  [6885] = {.lex_state = 91, .external_lex_state = 3},
  [6886] = {.lex_state = 91, .external_lex_state = 3},
  [6887] = {.lex_state = 7, .external_lex_state = 2},
  [6888] = {.lex_state = 91, .external_lex_state = 3},
  [6889] = {.lex_state = 91, .external_lex_state = 3},
  [6890] = {.lex_state = 91, .external_lex_state = 3},
  [6891] = {.lex_state = 91, .external_lex_state = 3},
  [6892] = {.lex_state = 91, .external_lex_state = 3},
  [6893] = {.lex_state = 92, .external_lex_state = 3},
  [6894] = {.lex_state = 7, .external_lex_state = 2},
  [6895] = {.lex_state = 91, .external_lex_state = 3},
  [6896] = {.lex_state = 91, .external_lex_state = 3},
  [6897] = {.lex_state = 91, .external_lex_state = 3},
  [6898] = {.lex_state = 91, .external_lex_state = 3},
  [6899] = {.lex_state = 87, .external_lex_state = 3},
  [6900] = {.lex_state = 92, .external_lex_state = 3},
  [6901] = {.lex_state = 91, .external_lex_state = 3},
  [6902] = {.lex_state = 91, .external_lex_state = 3},
  [6903] = {.lex_state = 92, .external_lex_state = 3},
  [6904] = {.lex_state = 91, .external_lex_state = 3},
  [6905] = {.lex_state = 92, .external_lex_state = 3},
  [6906] = {.lex_state = 83, .external_lex_state = 3},
  [6907] = {.lex_state = 91, .external_lex_state = 3},
  [6908] = {.lex_state = 83, .external_lex_state = 3},
  [6909] = {.lex_state = 83, .external_lex_state = 3},
  [6910] = {.lex_state = 92, .external_lex_state = 3},
  [6911] = {.lex_state = 83, .external_lex_state = 3},
  [6912] = {.lex_state = 92, .external_lex_state = 3},
  [6913] = {.lex_state = 83, .external_lex_state = 3},
  [6914] = {.lex_state = 93, .external_lex_state = 3},
  [6915] = {.lex_state = 83, .external_lex_state = 3},
  [6916] = {.lex_state = 92, .external_lex_state = 3},
  [6917] = {.lex_state = 83, .external_lex_state = 3},
  [6918] = {.lex_state = 92, .external_lex_state = 3},
  [6919] = {.lex_state = 92, .external_lex_state = 3},
  [6920] = {.lex_state = 7, .external_lex_state = 2},
  [6921] = {.lex_state = 83, .external_lex_state = 3},
  [6922] = {.lex_state = 83, .external_lex_state = 3},
  [6923] = {.lex_state = 83, .external_lex_state = 3},
  [6924] = {.lex_state = 7, .external_lex_state = 2},
  [6925] = {.lex_state = 92, .external_lex_state = 3},
  [6926] = {.lex_state = 92, .external_lex_state = 3},
  [6927] = {.lex_state = 92, .external_lex_state = 3},
  [6928] = {.lex_state = 92, .external_lex_state = 3},
  [6929] = {.lex_state = 93, .external_lex_state = 3},
  [6930] = {.lex_state = 92, .external_lex_state = 3},
  [6931] = {.lex_state = 83, .external_lex_state = 3},
  [6932] = {.lex_state = 83, .external_lex_state = 3},
  [6933] = {.lex_state = 83, .external_lex_state = 3},
  [6934] = {.lex_state = 83, .external_lex_state = 3},
  [6935] = {.lex_state = 93, .external_lex_state = 3},
  [6936] = {.lex_state = 93, .external_lex_state = 3},
  [6937] = {.lex_state = 93, .external_lex_state = 3},
  [6938] = {.lex_state = 7, .external_lex_state = 2},
  [6939] = {.lex_state = 83, .external_lex_state = 3},
  [6940] = {.lex_state = 93, .external_lex_state = 3},
  [6941] = {.lex_state = 83, .external_lex_state = 3},
  [6942] = {.lex_state = 93, .external_lex_state = 3},
  [6943] = {.lex_state = 87, .external_lex_state = 3},
  [6944] = {.lex_state = 91, .external_lex_state = 3},
  [6945] = {.lex_state = 87, .external_lex_state = 3},
  [6946] = {.lex_state = 93, .external_lex_state = 3},
  [6947] = {.lex_state = 87, .external_lex_state = 3},
  [6948] = {.lex_state = 83, .external_lex_state = 3},
  [6949] = {.lex_state = 93, .external_lex_state = 3},
  [6950] = {.lex_state = 83, .external_lex_state = 3},
  [6951] = {.lex_state = 83, .external_lex_state = 3},
  [6952] = {.lex_state = 92, .external_lex_state = 3},
  [6953] = {.lex_state = 93, .external_lex_state = 3},
  [6954] = {.lex_state = 93, .external_lex_state = 3},
  [6955] = {.lex_state = 93, .external_lex_state = 3},
  [6956] = {.lex_state = 20, .external_lex_state = 3},
  [6957] = {.lex_state = 83, .external_lex_state = 3},
  [6958] = {.lex_state = 83, .external_lex_state = 3},
  [6959] = {.lex_state = 83, .external_lex_state = 3},
  [6960] = {.lex_state = 83, .external_lex_state = 3},
  [6961] = {.lex_state = 92, .external_lex_state = 3},
  [6962] = {.lex_state = 91, .external_lex_state = 3},
  [6963] = {.lex_state = 92, .external_lex_state = 3},
  [6964] = {.lex_state = 83, .external_lex_state = 3},
  [6965] = {.lex_state = 20, .external_lex_state = 3},
  [6966] = {.lex_state = 92, .external_lex_state = 3},
  [6967] = {.lex_state = 92, .external_lex_state = 3},
  [6968] = {.lex_state = 92, .external_lex_state = 3},
  [6969] = {.lex_state = 92, .external_lex_state = 3},
  [6970] = {.lex_state = 93, .external_lex_state = 3},
  [6971] = {.lex_state = 92, .external_lex_state = 3},
  [6972] = {.lex_state = 92, .external_lex_state = 3},
  [6973] = {.lex_state = 92, .external_lex_state = 3},
  [6974] = {.lex_state = 93, .external_lex_state = 3},
  [6975] = {.lex_state = 93, .external_lex_state = 3},
  [6976] = {.lex_state = 93, .external_lex_state = 3},
  [6977] = {.lex_state = 91, .external_lex_state = 3},
  [6978] = {.lex_state = 93, .external_lex_state = 3},
  [6979] = {.lex_state = 92, .external_lex_state = 3},
  [6980] = {.lex_state = 93, .external_lex_state = 3},
  [6981] = {.lex_state = 93, .external_lex_state = 3},
  [6982] = {.lex_state = 91, .external_lex_state = 3},
  [6983] = {.lex_state = 93, .external_lex_state = 3},
  [6984] = {.lex_state = 93, .external_lex_state = 3},
  [6985] = {.lex_state = 93, .external_lex_state = 3},
  [6986] = {.lex_state = 92, .external_lex_state = 3},
  [6987] = {.lex_state = 93, .external_lex_state = 3},
  [6988] = {.lex_state = 93, .external_lex_state = 3},
  [6989] = {.lex_state = 93, .external_lex_state = 3},
  [6990] = {.lex_state = 93, .external_lex_state = 3},
  [6991] = {.lex_state = 91, .external_lex_state = 3},
  [6992] = {.lex_state = 91, .external_lex_state = 3},
  [6993] = {.lex_state = 91, .external_lex_state = 3},
  [6994] = {.lex_state = 91, .external_lex_state = 3},
  [6995] = {.lex_state = 91, .external_lex_state = 3},
  [6996] = {.lex_state = 91, .external_lex_state = 3},
  [6997] = {.lex_state = 10, .external_lex_state = 2},
  [6998] = {.lex_state = 91, .external_lex_state = 3},
  [6999] = {.lex_state = 20, .external_lex_state = 3},
  [7000] = {.lex_state = 91, .external_lex_state = 3},
  [7001] = {.lex_state = 91, .external_lex_state = 3},
  [7002] = {.lex_state = 91, .external_lex_state = 3},
  [7003] = {.lex_state = 91, .external_lex_state = 3},
  [7004] = {.lex_state = 91, .external_lex_state = 3},
  [7005] = {.lex_state = 91, .external_lex_state = 3},
  [7006] = {.lex_state = 91, .external_lex_state = 3},
  [7007] = {.lex_state = 91, .external_lex_state = 3},
  [7008] = {.lex_state = 91, .external_lex_state = 3},
  [7009] = {.lex_state = 91, .external_lex_state = 3},
  [7010] = {.lex_state = 91, .external_lex_state = 3},
  [7011] = {.lex_state = 91, .external_lex_state = 3},
  [7012] = {.lex_state = 32, .external_lex_state = 3},
  [7013] = {.lex_state = 91, .external_lex_state = 3},
  [7014] = {.lex_state = 91, .external_lex_state = 3},
  [7015] = {.lex_state = 91, .external_lex_state = 3},
  [7016] = {.lex_state = 87, .external_lex_state = 3},
  [7017] = {.lex_state = 87, .external_lex_state = 3},
  [7018] = {.lex_state = 87, .external_lex_state = 3},
  [7019] = {.lex_state = 87, .external_lex_state = 3},
  [7020] = {.lex_state = 87, .external_lex_state = 3},
  [7021] = {.lex_state = 87, .external_lex_state = 3},
  [7022] = {.lex_state = 87, .external_lex_state = 3},
  [7023] = {.lex_state = 87, .external_lex_state = 3},
  [7024] = {.lex_state = 87, .external_lex_state = 3},
  [7025] = {.lex_state = 87, .external_lex_state = 3},
  [7026] = {.lex_state = 87, .external_lex_state = 3},
  [7027] = {.lex_state = 87, .external_lex_state = 3},
  [7028] = {.lex_state = 87, .external_lex_state = 3},
  [7029] = {.lex_state = 87, .external_lex_state = 3},
  [7030] = {.lex_state = 87, .external_lex_state = 3},
  [7031] = {.lex_state = 87, .external_lex_state = 3},
  [7032] = {.lex_state = 87, .external_lex_state = 3},
  [7033] = {.lex_state = 87, .external_lex_state = 3},
  [7034] = {.lex_state = 87, .external_lex_state = 3},
  [7035] = {.lex_state = 87, .external_lex_state = 3},
  [7036] = {.lex_state = 87, .external_lex_state = 3},
  [7037] = {.lex_state = 87, .external_lex_state = 3},
  [7038] = {.lex_state = 87, .external_lex_state = 3},
  [7039] = {.lex_state = 87, .external_lex_state = 3},
  [7040] = {.lex_state = 87, .external_lex_state = 3},
  [7041] = {.lex_state = 87, .external_lex_state = 3},
  [7042] = {.lex_state = 87, .external_lex_state = 3},
  [7043] = {.lex_state = 87, .external_lex_state = 3},
  [7044] = {.lex_state = 87, .external_lex_state = 3},
  [7045] = {.lex_state = 87, .external_lex_state = 3},
  [7046] = {.lex_state = 87, .external_lex_state = 3},
  [7047] = {.lex_state = 87, .external_lex_state = 3},
  [7048] = {.lex_state = 87, .external_lex_state = 3},
  [7049] = {.lex_state = 87, .external_lex_state = 3},
  [7050] = {.lex_state = 87, .external_lex_state = 3},
  [7051] = {.lex_state = 20, .external_lex_state = 3},
  [7052] = {.lex_state = 87, .external_lex_state = 3},
  [7053] = {.lex_state = 87, .external_lex_state = 3},
  [7054] = {.lex_state = 20, .external_lex_state = 3},
  [7055] = {.lex_state = 87, .external_lex_state = 3},
  [7056] = {.lex_state = 92, .external_lex_state = 3},
  [7057] = {.lex_state = 92, .external_lex_state = 3},
  [7058] = {.lex_state = 92, .external_lex_state = 3},
  [7059] = {.lex_state = 20, .external_lex_state = 3},
  [7060] = {.lex_state = 87, .external_lex_state = 3},
  [7061] = {.lex_state = 87, .external_lex_state = 3},
  [7062] = {.lex_state = 92, .external_lex_state = 3},
  [7063] = {.lex_state = 92, .external_lex_state = 3},
  [7064] = {.lex_state = 92, .external_lex_state = 3},
  [7065] = {.lex_state = 87, .external_lex_state = 3},
  [7066] = {.lex_state = 87, .external_lex_state = 3},
  [7067] = {.lex_state = 87, .external_lex_state = 3},
  [7068] = {.lex_state = 87, .external_lex_state = 3},
  [7069] = {.lex_state = 92, .external_lex_state = 3},
  [7070] = {.lex_state = 87, .external_lex_state = 3},
  [7071] = {.lex_state = 87, .external_lex_state = 3},
  [7072] = {.lex_state = 87, .external_lex_state = 3},
  [7073] = {.lex_state = 87, .external_lex_state = 3},
  [7074] = {.lex_state = 87, .external_lex_state = 3},
  [7075] = {.lex_state = 87, .external_lex_state = 3},
  [7076] = {.lex_state = 92, .external_lex_state = 3},
  [7077] = {.lex_state = 92, .external_lex_state = 3},
  [7078] = {.lex_state = 87, .external_lex_state = 3},
  [7079] = {.lex_state = 87, .external_lex_state = 3},
  [7080] = {.lex_state = 87, .external_lex_state = 3},
  [7081] = {.lex_state = 34, .external_lex_state = 3},
  [7082] = {.lex_state = 87, .external_lex_state = 3},
  [7083] = {.lex_state = 92, .external_lex_state = 3},
  [7084] = {.lex_state = 87, .external_lex_state = 3},
  [7085] = {.lex_state = 92, .external_lex_state = 3},
  [7086] = {.lex_state = 92, .external_lex_state = 3},
  [7087] = {.lex_state = 20, .external_lex_state = 3},
  [7088] = {.lex_state = 92, .external_lex_state = 3},
  [7089] = {.lex_state = 20, .external_lex_state = 3},
  [7090] = {.lex_state = 92, .external_lex_state = 3},
  [7091] = {.lex_state = 20, .external_lex_state = 3},
  [7092] = {.lex_state = 92, .external_lex_state = 3},
  [7093] = {.lex_state = 92, .external_lex_state = 3},
  [7094] = {.lex_state = 92, .external_lex_state = 3},
  [7095] = {.lex_state = 83, .external_lex_state = 3},
  [7096] = {.lex_state = 87, .external_lex_state = 3},
  [7097] = {.lex_state = 20, .external_lex_state = 3},
  [7098] = {.lex_state = 95, .external_lex_state = 3},
  [7099] = {.lex_state = 20, .external_lex_state = 3},
  [7100] = {.lex_state = 20, .external_lex_state = 3},
  [7101] = {.lex_state = 20, .external_lex_state = 3},
  [7102] = {.lex_state = 20, .external_lex_state = 3},
  [7103] = {.lex_state = 20, .external_lex_state = 3},
  [7104] = {.lex_state = 20, .external_lex_state = 3},
  [7105] = {.lex_state = 95, .external_lex_state = 3},
  [7106] = {.lex_state = 20, .external_lex_state = 3},
  [7107] = {.lex_state = 20, .external_lex_state = 3},
  [7108] = {.lex_state = 20, .external_lex_state = 3},
  [7109] = {.lex_state = 7, .external_lex_state = 2},
  [7110] = {.lex_state = 92, .external_lex_state = 3},
  [7111] = {.lex_state = 20, .external_lex_state = 3},
  [7112] = {.lex_state = 92, .external_lex_state = 3},
  [7113] = {.lex_state = 92, .external_lex_state = 3},
  [7114] = {.lex_state = 87, .external_lex_state = 3},
  [7115] = {.lex_state = 92, .external_lex_state = 3},
  [7116] = {.lex_state = 92, .external_lex_state = 3},
  [7117] = {.lex_state = 92, .external_lex_state = 3},
  [7118] = {.lex_state = 92, .external_lex_state = 3},
  [7119] = {.lex_state = 20, .external_lex_state = 3},
  [7120] = {.lex_state = 92, .external_lex_state = 3},
  [7121] = {.lex_state = 87, .external_lex_state = 3},
  [7122] = {.lex_state = 92, .external_lex_state = 3},
  [7123] = {.lex_state = 83, .external_lex_state = 3},
  [7124] = {.lex_state = 93, .external_lex_state = 3},
  [7125] = {.lex_state = 20, .external_lex_state = 3},
  [7126] = {.lex_state = 83, .external_lex_state = 3},
  [7127] = {.lex_state = 83, .external_lex_state = 3},
  [7128] = {.lex_state = 83, .external_lex_state = 3},
  [7129] = {.lex_state = 83, .external_lex_state = 3},
  [7130] = {.lex_state = 83, .external_lex_state = 3},
  [7131] = {.lex_state = 83, .external_lex_state = 3},
  [7132] = {.lex_state = 83, .external_lex_state = 3},
  [7133] = {.lex_state = 20, .external_lex_state = 3},
  [7134] = {.lex_state = 20, .external_lex_state = 3},
  [7135] = {.lex_state = 93, .external_lex_state = 3},
  [7136] = {.lex_state = 87, .external_lex_state = 3},
  [7137] = {.lex_state = 20, .external_lex_state = 3},
  [7138] = {.lex_state = 83, .external_lex_state = 3},
  [7139] = {.lex_state = 83, .external_lex_state = 3},
  [7140] = {.lex_state = 20, .external_lex_state = 3},
  [7141] = {.lex_state = 20, .external_lex_state = 3},
  [7142] = {.lex_state = 20, .external_lex_state = 3},
  [7143] = {.lex_state = 20, .external_lex_state = 3},
  [7144] = {.lex_state = 20, .external_lex_state = 3},
  [7145] = {.lex_state = 92, .external_lex_state = 3},
  [7146] = {.lex_state = 20, .external_lex_state = 3},
  [7147] = {.lex_state = 87, .external_lex_state = 3},
  [7148] = {.lex_state = 87, .external_lex_state = 3},
  [7149] = {.lex_state = 83, .external_lex_state = 3},
  [7150] = {.lex_state = 87, .external_lex_state = 3},
  [7151] = {.lex_state = 83, .external_lex_state = 3},
  [7152] = {.lex_state = 87, .external_lex_state = 3},
  [7153] = {.lex_state = 20, .external_lex_state = 3},
  [7154] = {.lex_state = 20, .external_lex_state = 3},
  [7155] = {.lex_state = 83, .external_lex_state = 3},
  [7156] = {.lex_state = 20, .external_lex_state = 3},
  [7157] = {.lex_state = 83, .external_lex_state = 3},
  [7158] = {.lex_state = 10, .external_lex_state = 2},
  [7159] = {.lex_state = 14, .external_lex_state = 2},
  [7160] = {.lex_state = 173, .external_lex_state = 3},
  [7161] = {.lex_state = 34, .external_lex_state = 3},
  [7162] = {.lex_state = 34, .external_lex_state = 3},
  [7163] = {.lex_state = 173, .external_lex_state = 3},
  [7164] = {.lex_state = 34, .external_lex_state = 3},
  [7165] = {.lex_state = 10, .external_lex_state = 2},
  [7166] = {.lex_state = 34, .external_lex_state = 3},
  [7167] = {.lex_state = 34, .external_lex_state = 3},
  [7168] = {.lex_state = 34, .external_lex_state = 3},
  [7169] = {.lex_state = 34, .external_lex_state = 3},
  [7170] = {.lex_state = 10, .external_lex_state = 2},
  [7171] = {.lex_state = 32, .external_lex_state = 3},
  [7172] = {.lex_state = 32, .external_lex_state = 3},
  [7173] = {.lex_state = 10, .external_lex_state = 2},
  [7174] = {.lex_state = 14, .external_lex_state = 2},
  [7175] = {.lex_state = 420, .external_lex_state = 3},
  [7176] = {.lex_state = 32, .external_lex_state = 3},
  [7177] = {.lex_state = 10, .external_lex_state = 2},
  [7178] = {.lex_state = 32, .external_lex_state = 3},
  [7179] = {.lex_state = 32, .external_lex_state = 3},
  [7180] = {.lex_state = 34, .external_lex_state = 3},
  [7181] = {.lex_state = 32, .external_lex_state = 3},
  [7182] = {.lex_state = 32, .external_lex_state = 3},
  [7183] = {.lex_state = 14, .external_lex_state = 2},
  [7184] = {.lex_state = 193, .external_lex_state = 3},
  [7185] = {.lex_state = 32, .external_lex_state = 3},
  [7186] = {.lex_state = 194, .external_lex_state = 3},
  [7187] = {.lex_state = 34, .external_lex_state = 3},
  [7188] = {.lex_state = 10, .external_lex_state = 2},
  [7189] = {.lex_state = 10, .external_lex_state = 2},
  [7190] = {.lex_state = 10, .external_lex_state = 2},
  [7191] = {.lex_state = 10, .external_lex_state = 2},
  [7192] = {.lex_state = 10, .external_lex_state = 2},
  [7193] = {.lex_state = 10, .external_lex_state = 2},
  [7194] = {.lex_state = 10, .external_lex_state = 2},
  [7195] = {.lex_state = 10, .external_lex_state = 2},
  [7196] = {.lex_state = 10, .external_lex_state = 2},
  [7197] = {.lex_state = 84, .external_lex_state = 3},
  [7198] = {.lex_state = 10, .external_lex_state = 2},
  [7199] = {.lex_state = 14, .external_lex_state = 2},
  [7200] = {.lex_state = 10, .external_lex_state = 2},
  [7201] = {.lex_state = 10, .external_lex_state = 2},
  [7202] = {.lex_state = 10, .external_lex_state = 2},
  [7203] = {.lex_state = 32, .external_lex_state = 3},
  [7204] = {.lex_state = 14, .external_lex_state = 2},
  [7205] = {.lex_state = 10, .external_lex_state = 2},
  [7206] = {.lex_state = 10, .external_lex_state = 2},
  [7207] = {.lex_state = 34, .external_lex_state = 3},
  [7208] = {.lex_state = 32, .external_lex_state = 3},
  [7209] = {.lex_state = 34, .external_lex_state = 3},
  [7210] = {.lex_state = 34, .external_lex_state = 3},
  [7211] = {.lex_state = 14, .external_lex_state = 2},
  [7212] = {.lex_state = 10, .external_lex_state = 2},
  [7213] = {.lex_state = 10, .external_lex_state = 2},
  [7214] = {.lex_state = 34, .external_lex_state = 3},
  [7215] = {.lex_state = 14, .external_lex_state = 2},
  [7216] = {.lex_state = 10, .external_lex_state = 2},
  [7217] = {.lex_state = 32, .external_lex_state = 3},
  [7218] = {.lex_state = 10, .external_lex_state = 2},
  [7219] = {.lex_state = 86, .external_lex_state = 3},
  [7220] = {.lex_state = 10, .external_lex_state = 2},
  [7221] = {.lex_state = 10, .external_lex_state = 2},
  [7222] = {.lex_state = 14, .external_lex_state = 2},
  [7223] = {.lex_state = 10, .external_lex_state = 2},
  [7224] = {.lex_state = 34, .external_lex_state = 3},
  [7225] = {.lex_state = 10, .external_lex_state = 2},
  [7226] = {.lex_state = 32, .external_lex_state = 3},
  [7227] = {.lex_state = 10, .external_lex_state = 2},
  [7228] = {.lex_state = 14, .external_lex_state = 2},
  [7229] = {.lex_state = 10, .external_lex_state = 2},
  [7230] = {.lex_state = 14, .external_lex_state = 2},
  [7231] = {.lex_state = 89, .external_lex_state = 3},
  [7232] = {.lex_state = 172, .external_lex_state = 3},
  [7233] = {.lex_state = 14, .external_lex_state = 2},
  [7234] = {.lex_state = 10, .external_lex_state = 2},
  [7235] = {.lex_state = 32, .external_lex_state = 3},
  [7236] = {.lex_state = 14, .external_lex_state = 2},
  [7237] = {.lex_state = 14, .external_lex_state = 2},
  [7238] = {.lex_state = 14, .external_lex_state = 2},
  [7239] = {.lex_state = 14, .external_lex_state = 2},
  [7240] = {.lex_state = 14, .external_lex_state = 2},
  [7241] = {.lex_state = 14, .external_lex_state = 2},
  [7242] = {.lex_state = 14, .external_lex_state = 2},
  [7243] = {.lex_state = 14, .external_lex_state = 2},
  [7244] = {.lex_state = 10, .external_lex_state = 2},
  [7245] = {.lex_state = 10, .external_lex_state = 2},
  [7246] = {.lex_state = 10, .external_lex_state = 2},
  [7247] = {.lex_state = 14, .external_lex_state = 2},
  [7248] = {.lex_state = 14, .external_lex_state = 2},
  [7249] = {.lex_state = 14, .external_lex_state = 2},
  [7250] = {.lex_state = 14, .external_lex_state = 2},
  [7251] = {.lex_state = 14, .external_lex_state = 2},
  [7252] = {.lex_state = 14, .external_lex_state = 2},
  [7253] = {.lex_state = 14, .external_lex_state = 2},
  [7254] = {.lex_state = 34, .external_lex_state = 3},
  [7255] = {.lex_state = 14, .external_lex_state = 2},
  [7256] = {.lex_state = 14, .external_lex_state = 2},
  [7257] = {.lex_state = 14, .external_lex_state = 2},
  [7258] = {.lex_state = 10, .external_lex_state = 2},
  [7259] = {.lex_state = 14, .external_lex_state = 2},
  [7260] = {.lex_state = 10, .external_lex_state = 2},
  [7261] = {.lex_state = 32, .external_lex_state = 3},
  [7262] = {.lex_state = 14, .external_lex_state = 2},
  [7263] = {.lex_state = 10, .external_lex_state = 2},
  [7264] = {.lex_state = 14, .external_lex_state = 2},
  [7265] = {.lex_state = 14, .external_lex_state = 2},
  [7266] = {.lex_state = 14, .external_lex_state = 2},
  [7267] = {.lex_state = 14, .external_lex_state = 2},
  [7268] = {.lex_state = 82, .external_lex_state = 3},
  [7269] = {.lex_state = 14, .external_lex_state = 2},
  [7270] = {.lex_state = 14, .external_lex_state = 2},
  [7271] = {.lex_state = 14, .external_lex_state = 2},
  [7272] = {.lex_state = 14, .external_lex_state = 2},
  [7273] = {.lex_state = 14, .external_lex_state = 2},
  [7274] = {.lex_state = 10, .external_lex_state = 2},
  [7275] = {.lex_state = 14, .external_lex_state = 2},
  [7276] = {.lex_state = 14, .external_lex_state = 2},
  [7277] = {.lex_state = 14, .external_lex_state = 2},
  [7278] = {.lex_state = 14, .external_lex_state = 2},
  [7279] = {.lex_state = 14, .external_lex_state = 2},
  [7280] = {.lex_state = 14, .external_lex_state = 2},
  [7281] = {.lex_state = 14, .external_lex_state = 2},
  [7282] = {.lex_state = 14, .external_lex_state = 2},
  [7283] = {.lex_state = 14, .external_lex_state = 2},
  [7284] = {.lex_state = 14, .external_lex_state = 2},
  [7285] = {.lex_state = 14, .external_lex_state = 2},
  [7286] = {.lex_state = 14, .external_lex_state = 2},
  [7287] = {.lex_state = 14, .external_lex_state = 2},
  [7288] = {.lex_state = 14, .external_lex_state = 2},
  [7289] = {.lex_state = 14, .external_lex_state = 2},
  [7290] = {.lex_state = 14, .external_lex_state = 2},
  [7291] = {.lex_state = 14, .external_lex_state = 2},
  [7292] = {.lex_state = 14, .external_lex_state = 2},
  [7293] = {.lex_state = 14, .external_lex_state = 2},
  [7294] = {.lex_state = 14, .external_lex_state = 2},
  [7295] = {.lex_state = 14, .external_lex_state = 2},
  [7296] = {.lex_state = 85, .external_lex_state = 3},
  [7297] = {.lex_state = 172, .external_lex_state = 3},
  [7298] = {.lex_state = 32, .external_lex_state = 3},
  [7299] = {.lex_state = 10, .external_lex_state = 2},
  [7300] = {.lex_state = 14, .external_lex_state = 2},
  [7301] = {.lex_state = 14, .external_lex_state = 2},
  [7302] = {.lex_state = 90, .external_lex_state = 3},
  [7303] = {.lex_state = 10, .external_lex_state = 2},
  [7304] = {.lex_state = 14, .external_lex_state = 2},
  [7305] = {.lex_state = 34, .external_lex_state = 3},
  [7306] = {.lex_state = 14, .external_lex_state = 2},
  [7307] = {.lex_state = 10, .external_lex_state = 2},
  [7308] = {.lex_state = 10, .external_lex_state = 2},
  [7309] = {.lex_state = 10, .external_lex_state = 2},
  [7310] = {.lex_state = 14, .external_lex_state = 2},
  [7311] = {.lex_state = 14, .external_lex_state = 2},
  [7312] = {.lex_state = 14, .external_lex_state = 2},
  [7313] = {.lex_state = 10, .external_lex_state = 2},
  [7314] = {.lex_state = 14, .external_lex_state = 2},
  [7315] = {.lex_state = 84, .external_lex_state = 3},
  [7316] = {.lex_state = 10, .external_lex_state = 2},
  [7317] = {.lex_state = 14, .external_lex_state = 2},
  [7318] = {.lex_state = 34, .external_lex_state = 3},
  [7319] = {.lex_state = 14, .external_lex_state = 2},
  [7320] = {.lex_state = 32, .external_lex_state = 3},
  [7321] = {.lex_state = 10, .external_lex_state = 2},
  [7322] = {.lex_state = 34, .external_lex_state = 3},
  [7323] = {.lex_state = 34, .external_lex_state = 3},
  [7324] = {.lex_state = 10, .external_lex_state = 2},
  [7325] = {.lex_state = 34, .external_lex_state = 3},
  [7326] = {.lex_state = 10, .external_lex_state = 2},
  [7327] = {.lex_state = 32, .external_lex_state = 3},
  [7328] = {.lex_state = 88, .external_lex_state = 3},
  [7329] = {.lex_state = 14, .external_lex_state = 2},
  [7330] = {.lex_state = 32, .external_lex_state = 3},
  [7331] = {.lex_state = 14, .external_lex_state = 2},
  [7332] = {.lex_state = 32, .external_lex_state = 3},
  [7333] = {.lex_state = 10, .external_lex_state = 2},
  [7334] = {.lex_state = 32, .external_lex_state = 3},
  [7335] = {.lex_state = 10, .external_lex_state = 2},
  [7336] = {.lex_state = 14, .external_lex_state = 2},
  [7337] = {.lex_state = 14, .external_lex_state = 2},
  [7338] = {.lex_state = 10, .external_lex_state = 2},
  [7339] = {.lex_state = 420, .external_lex_state = 3},
  [7340] = {.lex_state = 13, .external_lex_state = 2},
  [7341] = {.lex_state = 173, .external_lex_state = 3},
  [7342] = {.lex_state = 13, .external_lex_state = 2},
  [7343] = {.lex_state = 13, .external_lex_state = 2},
  [7344] = {.lex_state = 13, .external_lex_state = 2},
  [7345] = {.lex_state = 13, .external_lex_state = 2},
  [7346] = {.lex_state = 13, .external_lex_state = 2},
  [7347] = {.lex_state = 13, .external_lex_state = 2},
  [7348] = {.lex_state = 13, .external_lex_state = 2},
  [7349] = {.lex_state = 173, .external_lex_state = 3},
  [7350] = {.lex_state = 172, .external_lex_state = 3},
  [7351] = {.lex_state = 173, .external_lex_state = 3},
  [7352] = {.lex_state = 173, .external_lex_state = 3},
  [7353] = {.lex_state = 173, .external_lex_state = 3},
  [7354] = {.lex_state = 173, .external_lex_state = 3},
  [7355] = {.lex_state = 173, .external_lex_state = 3},
  [7356] = {.lex_state = 172, .external_lex_state = 3},
  [7357] = {.lex_state = 13, .external_lex_state = 2},
  [7358] = {.lex_state = 173, .external_lex_state = 3},
  [7359] = {.lex_state = 173, .external_lex_state = 3},
  [7360] = {.lex_state = 172, .external_lex_state = 3},
  [7361] = {.lex_state = 172, .external_lex_state = 3},
  [7362] = {.lex_state = 173, .external_lex_state = 3},
  [7363] = {.lex_state = 420, .external_lex_state = 3},
  [7364] = {.lex_state = 173, .external_lex_state = 3},
  [7365] = {.lex_state = 173, .external_lex_state = 3},
  [7366] = {.lex_state = 173, .external_lex_state = 3},
  [7367] = {.lex_state = 173, .external_lex_state = 3},
  [7368] = {.lex_state = 83, .external_lex_state = 3},
  [7369] = {.lex_state = 173, .external_lex_state = 3},
  [7370] = {.lex_state = 10, .external_lex_state = 2},
  [7371] = {.lex_state = 10, .external_lex_state = 2},
  [7372] = {.lex_state = 10, .external_lex_state = 2},
  [7373] = {.lex_state = 10, .external_lex_state = 2},
  [7374] = {.lex_state = 10, .external_lex_state = 2},
  [7375] = {.lex_state = 10, .external_lex_state = 2},
  [7376] = {.lex_state = 10, .external_lex_state = 2},
  [7377] = {.lex_state = 10, .external_lex_state = 2},
  [7378] = {.lex_state = 173, .external_lex_state = 3},
  [7379] = {.lex_state = 93, .external_lex_state = 3},
  [7380] = {.lex_state = 91, .external_lex_state = 3},
  [7381] = {.lex_state = 13, .external_lex_state = 2},
  [7382] = {.lex_state = 13, .external_lex_state = 2},
  [7383] = {.lex_state = 13, .external_lex_state = 2},
  [7384] = {.lex_state = 10, .external_lex_state = 2},
  [7385] = {.lex_state = 10, .external_lex_state = 2},
  [7386] = {.lex_state = 13, .external_lex_state = 2},
  [7387] = {.lex_state = 13, .external_lex_state = 2},
  [7388] = {.lex_state = 13, .external_lex_state = 2},
  [7389] = {.lex_state = 10, .external_lex_state = 2},
  [7390] = {.lex_state = 10, .external_lex_state = 2},
  [7391] = {.lex_state = 13, .external_lex_state = 2},
  [7392] = {.lex_state = 10, .external_lex_state = 2},
  [7393] = {.lex_state = 425, .external_lex_state = 2},
  [7394] = {.lex_state = 172, .external_lex_state = 3},
  [7395] = {.lex_state = 173, .external_lex_state = 3},
  [7396] = {.lex_state = 13, .external_lex_state = 2},
  [7397] = {.lex_state = 424, .external_lex_state = 3},
  [7398] = {.lex_state = 173, .external_lex_state = 3},
  [7399] = {.lex_state = 13, .external_lex_state = 2},
  [7400] = {.lex_state = 13, .external_lex_state = 2},
  [7401] = {.lex_state = 13, .external_lex_state = 2},
  [7402] = {.lex_state = 173, .external_lex_state = 3},
  [7403] = {.lex_state = 172, .external_lex_state = 3},
  [7404] = {.lex_state = 172, .external_lex_state = 3},
  [7405] = {.lex_state = 172, .external_lex_state = 3},
  [7406] = {.lex_state = 172, .external_lex_state = 3},
  [7407] = {.lex_state = 172, .external_lex_state = 3},
  [7408] = {.lex_state = 172, .external_lex_state = 3},
  [7409] = {.lex_state = 172, .external_lex_state = 3},
  [7410] = {.lex_state = 172, .external_lex_state = 3},
  [7411] = {.lex_state = 172, .external_lex_state = 3},
  [7412] = {.lex_state = 172, .external_lex_state = 3},
  [7413] = {.lex_state = 172, .external_lex_state = 3},
  [7414] = {.lex_state = 87, .external_lex_state = 3},
  [7415] = {.lex_state = 172, .external_lex_state = 3},
  [7416] = {.lex_state = 13, .external_lex_state = 2},
  [7417] = {.lex_state = 13, .external_lex_state = 2},
  [7418] = {.lex_state = 173, .external_lex_state = 3},
  [7419] = {.lex_state = 173, .external_lex_state = 3},
  [7420] = {.lex_state = 173, .external_lex_state = 3},
  [7421] = {.lex_state = 173, .external_lex_state = 3},
  [7422] = {.lex_state = 172, .external_lex_state = 3},
  [7423] = {.lex_state = 172, .external_lex_state = 3},
  [7424] = {.lex_state = 85, .external_lex_state = 3},
  [7425] = {.lex_state = 10, .external_lex_state = 2},
  [7426] = {.lex_state = 172, .external_lex_state = 3},
  [7427] = {.lex_state = 10, .external_lex_state = 2},
  [7428] = {.lex_state = 85, .external_lex_state = 3},
  [7429] = {.lex_state = 172, .external_lex_state = 3},
  [7430] = {.lex_state = 172, .external_lex_state = 3},
  [7431] = {.lex_state = 173, .external_lex_state = 3},
  [7432] = {.lex_state = 172, .external_lex_state = 3},
  [7433] = {.lex_state = 172, .external_lex_state = 3},
  [7434] = {.lex_state = 172, .external_lex_state = 3},
  [7435] = {.lex_state = 173, .external_lex_state = 3},
  [7436] = {.lex_state = 172, .external_lex_state = 3},
  [7437] = {.lex_state = 13, .external_lex_state = 2},
  [7438] = {.lex_state = 172, .external_lex_state = 3},
  [7439] = {.lex_state = 172, .external_lex_state = 3},
  [7440] = {.lex_state = 13, .external_lex_state = 2},
  [7441] = {.lex_state = 173, .external_lex_state = 3},
  [7442] = {.lex_state = 172, .external_lex_state = 3},
  [7443] = {.lex_state = 173, .external_lex_state = 3},
  [7444] = {.lex_state = 172, .external_lex_state = 3},
  [7445] = {.lex_state = 173, .external_lex_state = 3},
  [7446] = {.lex_state = 172, .external_lex_state = 3},
  [7447] = {.lex_state = 173, .external_lex_state = 3},
  [7448] = {.lex_state = 10, .external_lex_state = 2},
  [7449] = {.lex_state = 10, .external_lex_state = 2},
  [7450] = {.lex_state = 172, .external_lex_state = 3},
  [7451] = {.lex_state = 10, .external_lex_state = 2},
  [7452] = {.lex_state = 172, .external_lex_state = 3},
  [7453] = {.lex_state = 10, .external_lex_state = 2},
  [7454] = {.lex_state = 10, .external_lex_state = 2},
  [7455] = {.lex_state = 13, .external_lex_state = 2},
  [7456] = {.lex_state = 173, .external_lex_state = 3},
  [7457] = {.lex_state = 173, .external_lex_state = 3},
  [7458] = {.lex_state = 172, .external_lex_state = 3},
  [7459] = {.lex_state = 13, .external_lex_state = 2},
  [7460] = {.lex_state = 173, .external_lex_state = 3},
  [7461] = {.lex_state = 13, .external_lex_state = 2},
  [7462] = {.lex_state = 10, .external_lex_state = 2},
  [7463] = {.lex_state = 10, .external_lex_state = 2},
  [7464] = {.lex_state = 173, .external_lex_state = 3},
  [7465] = {.lex_state = 173, .external_lex_state = 3},
  [7466] = {.lex_state = 172, .external_lex_state = 3},
  [7467] = {.lex_state = 422, .external_lex_state = 3},
  [7468] = {.lex_state = 13, .external_lex_state = 2},
  [7469] = {.lex_state = 173, .external_lex_state = 3},
  [7470] = {.lex_state = 173, .external_lex_state = 3},
  [7471] = {.lex_state = 16, .external_lex_state = 2},
  [7472] = {.lex_state = 10, .external_lex_state = 2},
  [7473] = {.lex_state = 172, .external_lex_state = 3},
  [7474] = {.lex_state = 172, .external_lex_state = 3},
  [7475] = {.lex_state = 173, .external_lex_state = 3},
  [7476] = {.lex_state = 173, .external_lex_state = 3},
  [7477] = {.lex_state = 20, .external_lex_state = 3},
  [7478] = {.lex_state = 13, .external_lex_state = 2},
  [7479] = {.lex_state = 13, .external_lex_state = 2},
  [7480] = {.lex_state = 173, .external_lex_state = 3},
  [7481] = {.lex_state = 13, .external_lex_state = 2},
  [7482] = {.lex_state = 13, .external_lex_state = 2},
  [7483] = {.lex_state = 13, .external_lex_state = 2},
  [7484] = {.lex_state = 173, .external_lex_state = 3},
  [7485] = {.lex_state = 173, .external_lex_state = 3},
  [7486] = {.lex_state = 172, .external_lex_state = 3},
  [7487] = {.lex_state = 13, .external_lex_state = 2},
  [7488] = {.lex_state = 173, .external_lex_state = 3},
  [7489] = {.lex_state = 173, .external_lex_state = 3},
  [7490] = {.lex_state = 172, .external_lex_state = 3},
  [7491] = {.lex_state = 172, .external_lex_state = 3},
  [7492] = {.lex_state = 172, .external_lex_state = 3},
  [7493] = {.lex_state = 13, .external_lex_state = 2},
  [7494] = {.lex_state = 172, .external_lex_state = 3},
  [7495] = {.lex_state = 10, .external_lex_state = 2},
  [7496] = {.lex_state = 172, .external_lex_state = 3},
  [7497] = {.lex_state = 86, .external_lex_state = 3},
  [7498] = {.lex_state = 172, .external_lex_state = 3},
  [7499] = {.lex_state = 92, .external_lex_state = 3},
  [7500] = {.lex_state = 13, .external_lex_state = 2},
  [7501] = {.lex_state = 13, .external_lex_state = 2},
  [7502] = {.lex_state = 173, .external_lex_state = 3},
  [7503] = {.lex_state = 420, .external_lex_state = 3},
  [7504] = {.lex_state = 173, .external_lex_state = 3},
  [7505] = {.lex_state = 173, .external_lex_state = 3},
  [7506] = {.lex_state = 172, .external_lex_state = 3},
  [7507] = {.lex_state = 172, .external_lex_state = 3},
  [7508] = {.lex_state = 172, .external_lex_state = 3},
  [7509] = {.lex_state = 172, .external_lex_state = 3},
  [7510] = {.lex_state = 173, .external_lex_state = 3},
  [7511] = {.lex_state = 13, .external_lex_state = 2},
  [7512] = {.lex_state = 13, .external_lex_state = 2},
  [7513] = {.lex_state = 172, .external_lex_state = 3},
  [7514] = {.lex_state = 89, .external_lex_state = 3},
  [7515] = {.lex_state = 172, .external_lex_state = 3},
  [7516] = {.lex_state = 172, .external_lex_state = 3},
  [7517] = {.lex_state = 16, .external_lex_state = 2},
  [7518] = {.lex_state = 173, .external_lex_state = 3},
  [7519] = {.lex_state = 173, .external_lex_state = 3},
  [7520] = {.lex_state = 173, .external_lex_state = 3},
  [7521] = {.lex_state = 173, .external_lex_state = 3},
  [7522] = {.lex_state = 173, .external_lex_state = 3},
  [7523] = {.lex_state = 172, .external_lex_state = 3},
  [7524] = {.lex_state = 13, .external_lex_state = 2},
  [7525] = {.lex_state = 13, .external_lex_state = 2},
  [7526] = {.lex_state = 13, .external_lex_state = 2},
  [7527] = {.lex_state = 89, .external_lex_state = 3},
  [7528] = {.lex_state = 422, .external_lex_state = 3},
  [7529] = {.lex_state = 13, .external_lex_state = 2},
  [7530] = {.lex_state = 172, .external_lex_state = 3},
  [7531] = {.lex_state = 82, .external_lex_state = 3},
  [7532] = {.lex_state = 10, .external_lex_state = 2},
  [7533] = {.lex_state = 86, .external_lex_state = 3},
  [7534] = {.lex_state = 13, .external_lex_state = 2},
  [7535] = {.lex_state = 173, .external_lex_state = 3},
  [7536] = {.lex_state = 13, .external_lex_state = 2},
  [7537] = {.lex_state = 13, .external_lex_state = 2},
  [7538] = {.lex_state = 13, .external_lex_state = 2},
  [7539] = {.lex_state = 173, .external_lex_state = 3},
  [7540] = {.lex_state = 13, .external_lex_state = 2},
  [7541] = {.lex_state = 172, .external_lex_state = 3},
  [7542] = {.lex_state = 13, .external_lex_state = 2},
  [7543] = {.lex_state = 13, .external_lex_state = 2},
  [7544] = {.lex_state = 82, .external_lex_state = 3},
  [7545] = {.lex_state = 172, .external_lex_state = 3},
  [7546] = {.lex_state = 172, .external_lex_state = 3},
  [7547] = {.lex_state = 90, .external_lex_state = 3},
  [7548] = {.lex_state = 172, .external_lex_state = 3},
  [7549] = {.lex_state = 173, .external_lex_state = 3},
  [7550] = {.lex_state = 173, .external_lex_state = 3},
  [7551] = {.lex_state = 173, .external_lex_state = 3},
  [7552] = {.lex_state = 173, .external_lex_state = 3},
  [7553] = {.lex_state = 173, .external_lex_state = 3},
  [7554] = {.lex_state = 173, .external_lex_state = 3},
  [7555] = {.lex_state = 425, .external_lex_state = 2},
  [7556] = {.lex_state = 172, .external_lex_state = 3},
  [7557] = {.lex_state = 13, .external_lex_state = 2},
  [7558] = {.lex_state = 420, .external_lex_state = 3},
  [7559] = {.lex_state = 173, .external_lex_state = 3},
  [7560] = {.lex_state = 13, .external_lex_state = 2},
  [7561] = {.lex_state = 13, .external_lex_state = 2},
  [7562] = {.lex_state = 172, .external_lex_state = 3},
  [7563] = {.lex_state = 13, .external_lex_state = 2},
  [7564] = {.lex_state = 13, .external_lex_state = 2},
  [7565] = {.lex_state = 13, .external_lex_state = 2},
  [7566] = {.lex_state = 13, .external_lex_state = 2},
  [7567] = {.lex_state = 90, .external_lex_state = 3},
  [7568] = {.lex_state = 13, .external_lex_state = 2},
  [7569] = {.lex_state = 13, .external_lex_state = 2},
  [7570] = {.lex_state = 13, .external_lex_state = 2},
  [7571] = {.lex_state = 13, .external_lex_state = 2},
  [7572] = {.lex_state = 13, .external_lex_state = 2},
  [7573] = {.lex_state = 13, .external_lex_state = 2},
  [7574] = {.lex_state = 13, .external_lex_state = 2},
  [7575] = {.lex_state = 88, .external_lex_state = 3},
  [7576] = {.lex_state = 13, .external_lex_state = 2},
  [7577] = {.lex_state = 13, .external_lex_state = 2},
  [7578] = {.lex_state = 425, .external_lex_state = 2},
  [7579] = {.lex_state = 13, .external_lex_state = 2},
  [7580] = {.lex_state = 425, .external_lex_state = 2},
  [7581] = {.lex_state = 13, .external_lex_state = 2},
  [7582] = {.lex_state = 16, .external_lex_state = 2},
  [7583] = {.lex_state = 13, .external_lex_state = 2},
  [7584] = {.lex_state = 13, .external_lex_state = 2},
  [7585] = {.lex_state = 13, .external_lex_state = 2},
  [7586] = {.lex_state = 172, .external_lex_state = 3},
  [7587] = {.lex_state = 172, .external_lex_state = 3},
  [7588] = {.lex_state = 13, .external_lex_state = 2},
  [7589] = {.lex_state = 13, .external_lex_state = 2},
  [7590] = {.lex_state = 88, .external_lex_state = 3},
  [7591] = {.lex_state = 13, .external_lex_state = 2},
  [7592] = {.lex_state = 13, .external_lex_state = 2},
  [7593] = {.lex_state = 420, .external_lex_state = 3},
  [7594] = {.lex_state = 13, .external_lex_state = 2},
  [7595] = {.lex_state = 13, .external_lex_state = 2},
  [7596] = {.lex_state = 13, .external_lex_state = 2},
  [7597] = {.lex_state = 13, .external_lex_state = 2},
  [7598] = {.lex_state = 13, .external_lex_state = 2},
  [7599] = {.lex_state = 420, .external_lex_state = 3},
  [7600] = {.lex_state = 13, .external_lex_state = 2},
  [7601] = {.lex_state = 13, .external_lex_state = 2},
  [7602] = {.lex_state = 13, .external_lex_state = 2},
  [7603] = {.lex_state = 420, .external_lex_state = 3},
  [7604] = {.lex_state = 422, .external_lex_state = 3},
  [7605] = {.lex_state = 422, .external_lex_state = 3},
  [7606] = {.lex_state = 422, .external_lex_state = 3},
  [7607] = {.lex_state = 422, .external_lex_state = 3},
  [7608] = {.lex_state = 422, .external_lex_state = 3},
  [7609] = {.lex_state = 422, .external_lex_state = 3},
  [7610] = {.lex_state = 7, .external_lex_state = 2},
  [7611] = {.lex_state = 422, .external_lex_state = 3},
  [7612] = {.lex_state = 422, .external_lex_state = 3},
  [7613] = {.lex_state = 422, .external_lex_state = 3},
  [7614] = {.lex_state = 91, .external_lex_state = 3},
  [7615] = {.lex_state = 7, .external_lex_state = 2},
  [7616] = {.lex_state = 7, .external_lex_state = 2},
  [7617] = {.lex_state = 7, .external_lex_state = 2},
  [7618] = {.lex_state = 422, .external_lex_state = 3},
  [7619] = {.lex_state = 422, .external_lex_state = 3},
  [7620] = {.lex_state = 422, .external_lex_state = 3},
  [7621] = {.lex_state = 92, .external_lex_state = 3},
  [7622] = {.lex_state = 7, .external_lex_state = 2},
  [7623] = {.lex_state = 422, .external_lex_state = 3},
  [7624] = {.lex_state = 7, .external_lex_state = 2},
  [7625] = {.lex_state = 422, .external_lex_state = 3},
  [7626] = {.lex_state = 422, .external_lex_state = 3},
  [7627] = {.lex_state = 93, .external_lex_state = 3},
  [7628] = {.lex_state = 422, .external_lex_state = 3},
  [7629] = {.lex_state = 7, .external_lex_state = 2},
  [7630] = {.lex_state = 422, .external_lex_state = 3},
  [7631] = {.lex_state = 422, .external_lex_state = 3},
  [7632] = {.lex_state = 422, .external_lex_state = 3},
  [7633] = {.lex_state = 422, .external_lex_state = 3},
  [7634] = {.lex_state = 422, .external_lex_state = 3},
  [7635] = {.lex_state = 422, .external_lex_state = 3},
  [7636] = {.lex_state = 422, .external_lex_state = 3},
  [7637] = {.lex_state = 20, .external_lex_state = 3},
  [7638] = {.lex_state = 422, .external_lex_state = 3},
  [7639] = {.lex_state = 7, .external_lex_state = 2},
  [7640] = {.lex_state = 20, .external_lex_state = 3},
  [7641] = {.lex_state = 422, .external_lex_state = 3},
  [7642] = {.lex_state = 422, .external_lex_state = 3},
  [7643] = {.lex_state = 20, .external_lex_state = 3},
  [7644] = {.lex_state = 7, .external_lex_state = 2},
  [7645] = {.lex_state = 174, .external_lex_state = 3},
  [7646] = {.lex_state = 422, .external_lex_state = 3},
  [7647] = {.lex_state = 422, .external_lex_state = 3},
  [7648] = {.lex_state = 422, .external_lex_state = 3},
  [7649] = {.lex_state = 174, .external_lex_state = 3},
  [7650] = {.lex_state = 422, .external_lex_state = 3},
  [7651] = {.lex_state = 7, .external_lex_state = 2},
  [7652] = {.lex_state = 83, .external_lex_state = 3},
  [7653] = {.lex_state = 20, .external_lex_state = 3},
  [7654] = {.lex_state = 7, .external_lex_state = 2},
  [7655] = {.lex_state = 92, .external_lex_state = 3},
  [7656] = {.lex_state = 422, .external_lex_state = 3},
  [7657] = {.lex_state = 422, .external_lex_state = 3},
  [7658] = {.lex_state = 83, .external_lex_state = 3},
  [7659] = {.lex_state = 7, .external_lex_state = 2},
  [7660] = {.lex_state = 195, .external_lex_state = 3},
  [7661] = {.lex_state = 422, .external_lex_state = 3},
  [7662] = {.lex_state = 422, .external_lex_state = 3},
  [7663] = {.lex_state = 422, .external_lex_state = 3},
  [7664] = {.lex_state = 7, .external_lex_state = 2},
  [7665] = {.lex_state = 422, .external_lex_state = 3},
  [7666] = {.lex_state = 7, .external_lex_state = 2},
  [7667] = {.lex_state = 7, .external_lex_state = 2},
  [7668] = {.lex_state = 7, .external_lex_state = 2},
  [7669] = {.lex_state = 7, .external_lex_state = 2},
  [7670] = {.lex_state = 422, .external_lex_state = 3},
  [7671] = {.lex_state = 7, .external_lex_state = 2},
  [7672] = {.lex_state = 422, .external_lex_state = 3},
  [7673] = {.lex_state = 7, .external_lex_state = 2},
  [7674] = {.lex_state = 422, .external_lex_state = 3},
  [7675] = {.lex_state = 422, .external_lex_state = 3},
  [7676] = {.lex_state = 422, .external_lex_state = 3},
  [7677] = {.lex_state = 7, .external_lex_state = 2},
  [7678] = {.lex_state = 7, .external_lex_state = 2},
  [7679] = {.lex_state = 422, .external_lex_state = 3},
  [7680] = {.lex_state = 93, .external_lex_state = 3},
  [7681] = {.lex_state = 422, .external_lex_state = 3},
  [7682] = {.lex_state = 422, .external_lex_state = 3},
  [7683] = {.lex_state = 7, .external_lex_state = 2},
  [7684] = {.lex_state = 20, .external_lex_state = 3},
  [7685] = {.lex_state = 422, .external_lex_state = 3},
  [7686] = {.lex_state = 422, .external_lex_state = 3},
  [7687] = {.lex_state = 422, .external_lex_state = 3},
  [7688] = {.lex_state = 422, .external_lex_state = 3},
  [7689] = {.lex_state = 422, .external_lex_state = 3},
  [7690] = {.lex_state = 422, .external_lex_state = 3},
  [7691] = {.lex_state = 422, .external_lex_state = 3},
  [7692] = {.lex_state = 87, .external_lex_state = 3},
  [7693] = {.lex_state = 422, .external_lex_state = 3},
  [7694] = {.lex_state = 422, .external_lex_state = 3},
  [7695] = {.lex_state = 91, .external_lex_state = 3},
  [7696] = {.lex_state = 7, .external_lex_state = 2},
  [7697] = {.lex_state = 422, .external_lex_state = 3},
  [7698] = {.lex_state = 422, .external_lex_state = 3},
  [7699] = {.lex_state = 422, .external_lex_state = 3},
  [7700] = {.lex_state = 20, .external_lex_state = 3},
  [7701] = {.lex_state = 87, .external_lex_state = 3},
  [7702] = {.lex_state = 20, .external_lex_state = 3},
  [7703] = {.lex_state = 422, .external_lex_state = 3},
  [7704] = {.lex_state = 422, .external_lex_state = 3},
  [7705] = {.lex_state = 422, .external_lex_state = 3},
  [7706] = {.lex_state = 7, .external_lex_state = 2},
  [7707] = {.lex_state = 422, .external_lex_state = 3},
  [7708] = {.lex_state = 7, .external_lex_state = 2},
  [7709] = {.lex_state = 7, .external_lex_state = 2},
  [7710] = {.lex_state = 422, .external_lex_state = 3},
  [7711] = {.lex_state = 14, .external_lex_state = 2},
  [7712] = {.lex_state = 21, .external_lex_state = 3},
  [7713] = {.lex_state = 174, .external_lex_state = 3},
  [7714] = {.lex_state = 14, .external_lex_state = 2},
  [7715] = {.lex_state = 174, .external_lex_state = 3},
  [7716] = {.lex_state = 174, .external_lex_state = 3},
  [7717] = {.lex_state = 7, .external_lex_state = 2},
  [7718] = {.lex_state = 7, .external_lex_state = 2},
  [7719] = {.lex_state = 7, .external_lex_state = 2},
  [7720] = {.lex_state = 21, .external_lex_state = 3},
  [7721] = {.lex_state = 21, .external_lex_state = 3},
  [7722] = {.lex_state = 174, .external_lex_state = 3},
  [7723] = {.lex_state = 21, .external_lex_state = 3},
  [7724] = {.lex_state = 209, .external_lex_state = 2},
  [7725] = {.lex_state = 21, .external_lex_state = 3},
  [7726] = {.lex_state = 21, .external_lex_state = 3},
  [7727] = {.lex_state = 14, .external_lex_state = 2},
  [7728] = {.lex_state = 7, .external_lex_state = 2},
  [7729] = {.lex_state = 7, .external_lex_state = 2},
  [7730] = {.lex_state = 14, .external_lex_state = 2},
  [7731] = {.lex_state = 21, .external_lex_state = 3},
  [7732] = {.lex_state = 174, .external_lex_state = 3},
  [7733] = {.lex_state = 21, .external_lex_state = 3},
  [7734] = {.lex_state = 21, .external_lex_state = 3},
  [7735] = {.lex_state = 7, .external_lex_state = 2},
  [7736] = {.lex_state = 7, .external_lex_state = 2},
  [7737] = {.lex_state = 174, .external_lex_state = 3},
  [7738] = {.lex_state = 21, .external_lex_state = 3},
  [7739] = {.lex_state = 21, .external_lex_state = 3},
  [7740] = {.lex_state = 7, .external_lex_state = 2},
  [7741] = {.lex_state = 7, .external_lex_state = 2},
  [7742] = {.lex_state = 7, .external_lex_state = 2},
  [7743] = {.lex_state = 7, .external_lex_state = 2},
  [7744] = {.lex_state = 14, .external_lex_state = 2},
  [7745] = {.lex_state = 7, .external_lex_state = 2},
  [7746] = {.lex_state = 7, .external_lex_state = 2},
  [7747] = {.lex_state = 21, .external_lex_state = 3},
  [7748] = {.lex_state = 174, .external_lex_state = 3},
  [7749] = {.lex_state = 21, .external_lex_state = 3},
  [7750] = {.lex_state = 7, .external_lex_state = 2},
  [7751] = {.lex_state = 7, .external_lex_state = 2},
  [7752] = {.lex_state = 21, .external_lex_state = 3},
  [7753] = {.lex_state = 21, .external_lex_state = 3},
  [7754] = {.lex_state = 7, .external_lex_state = 2},
  [7755] = {.lex_state = 7, .external_lex_state = 2},
  [7756] = {.lex_state = 174, .external_lex_state = 3},
  [7757] = {.lex_state = 7, .external_lex_state = 2},
  [7758] = {.lex_state = 7, .external_lex_state = 2},
  [7759] = {.lex_state = 7, .external_lex_state = 2},
  [7760] = {.lex_state = 21, .external_lex_state = 3},
  [7761] = {.lex_state = 21, .external_lex_state = 3},
  [7762] = {.lex_state = 7, .external_lex_state = 2},
  [7763] = {.lex_state = 7, .external_lex_state = 2},
  [7764] = {.lex_state = 21, .external_lex_state = 3},
  [7765] = {.lex_state = 213, .external_lex_state = 2},
  [7766] = {.lex_state = 7, .external_lex_state = 2},
  [7767] = {.lex_state = 7, .external_lex_state = 2},
  [7768] = {.lex_state = 174, .external_lex_state = 3},
  [7769] = {.lex_state = 7, .external_lex_state = 2},
  [7770] = {.lex_state = 7, .external_lex_state = 2},
  [7771] = {.lex_state = 21, .external_lex_state = 3},
  [7772] = {.lex_state = 174, .external_lex_state = 3},
  [7773] = {.lex_state = 7, .external_lex_state = 2},
  [7774] = {.lex_state = 21, .external_lex_state = 3},
  [7775] = {.lex_state = 7, .external_lex_state = 2},
  [7776] = {.lex_state = 7, .external_lex_state = 2},
  [7777] = {.lex_state = 174, .external_lex_state = 3},
  [7778] = {.lex_state = 7, .external_lex_state = 2},
  [7779] = {.lex_state = 21, .external_lex_state = 3},
  [7780] = {.lex_state = 174, .external_lex_state = 3},
  [7781] = {.lex_state = 7, .external_lex_state = 2},
  [7782] = {.lex_state = 7, .external_lex_state = 2},
  [7783] = {.lex_state = 174, .external_lex_state = 3},
  [7784] = {.lex_state = 7, .external_lex_state = 2},
  [7785] = {.lex_state = 21, .external_lex_state = 3},
  [7786] = {.lex_state = 21, .external_lex_state = 3},
  [7787] = {.lex_state = 21, .external_lex_state = 3},
  [7788] = {.lex_state = 7, .external_lex_state = 2},
  [7789] = {.lex_state = 174, .external_lex_state = 3},
  [7790] = {.lex_state = 21, .external_lex_state = 3},
  [7791] = {.lex_state = 21, .external_lex_state = 3},
  [7792] = {.lex_state = 174, .external_lex_state = 3},
  [7793] = {.lex_state = 174, .external_lex_state = 3},
  [7794] = {.lex_state = 174, .external_lex_state = 3},
  [7795] = {.lex_state = 21, .external_lex_state = 3},
  [7796] = {.lex_state = 21, .external_lex_state = 3},
  [7797] = {.lex_state = 21, .external_lex_state = 3},
  [7798] = {.lex_state = 7, .external_lex_state = 2},
  [7799] = {.lex_state = 21, .external_lex_state = 3},
  [7800] = {.lex_state = 47, .external_lex_state = 3},
  [7801] = {.lex_state = 213, .external_lex_state = 2},
  [7802] = {.lex_state = 174, .external_lex_state = 3},
  [7803] = {.lex_state = 21, .external_lex_state = 3},
  [7804] = {.lex_state = 174, .external_lex_state = 3},
  [7805] = {.lex_state = 21, .external_lex_state = 3},
  [7806] = {.lex_state = 174, .external_lex_state = 3},
  [7807] = {.lex_state = 174, .external_lex_state = 3},
  [7808] = {.lex_state = 174, .external_lex_state = 3},
  [7809] = {.lex_state = 21, .external_lex_state = 3},
  [7810] = {.lex_state = 21, .external_lex_state = 3},
  [7811] = {.lex_state = 7, .external_lex_state = 2},
  [7812] = {.lex_state = 21, .external_lex_state = 3},
  [7813] = {.lex_state = 47, .external_lex_state = 3},
  [7814] = {.lex_state = 174, .external_lex_state = 3},
  [7815] = {.lex_state = 174, .external_lex_state = 3},
  [7816] = {.lex_state = 7, .external_lex_state = 2},
  [7817] = {.lex_state = 174, .external_lex_state = 3},
  [7818] = {.lex_state = 7, .external_lex_state = 2},
  [7819] = {.lex_state = 21, .external_lex_state = 3},
  [7820] = {.lex_state = 213, .external_lex_state = 2},
  [7821] = {.lex_state = 174, .external_lex_state = 3},
  [7822] = {.lex_state = 7, .external_lex_state = 2},
  [7823] = {.lex_state = 213, .external_lex_state = 2},
  [7824] = {.lex_state = 21, .external_lex_state = 3},
  [7825] = {.lex_state = 21, .external_lex_state = 3},
  [7826] = {.lex_state = 14, .external_lex_state = 2},
  [7827] = {.lex_state = 174, .external_lex_state = 3},
  [7828] = {.lex_state = 21, .external_lex_state = 3},
  [7829] = {.lex_state = 21, .external_lex_state = 3},
  [7830] = {.lex_state = 21, .external_lex_state = 3},
  [7831] = {.lex_state = 14, .external_lex_state = 2},
  [7832] = {.lex_state = 174, .external_lex_state = 3},
  [7833] = {.lex_state = 14, .external_lex_state = 2},
  [7834] = {.lex_state = 21, .external_lex_state = 3},
  [7835] = {.lex_state = 174, .external_lex_state = 3},
  [7836] = {.lex_state = 174, .external_lex_state = 3},
  [7837] = {.lex_state = 14, .external_lex_state = 2},
  [7838] = {.lex_state = 14, .external_lex_state = 2},
  [7839] = {.lex_state = 21, .external_lex_state = 3},
  [7840] = {.lex_state = 21, .external_lex_state = 3},
  [7841] = {.lex_state = 21, .external_lex_state = 3},
  [7842] = {.lex_state = 7, .external_lex_state = 2},
  [7843] = {.lex_state = 174, .external_lex_state = 3},
  [7844] = {.lex_state = 174, .external_lex_state = 3},
  [7845] = {.lex_state = 213, .external_lex_state = 2},
  [7846] = {.lex_state = 165, .external_lex_state = 3},
  [7847] = {.lex_state = 174, .external_lex_state = 3},
  [7848] = {.lex_state = 14, .external_lex_state = 2},
  [7849] = {.lex_state = 174, .external_lex_state = 3},
  [7850] = {.lex_state = 174, .external_lex_state = 3},
  [7851] = {.lex_state = 174, .external_lex_state = 3},
  [7852] = {.lex_state = 174, .external_lex_state = 3},
  [7853] = {.lex_state = 174, .external_lex_state = 3},
  [7854] = {.lex_state = 174, .external_lex_state = 3},
  [7855] = {.lex_state = 174, .external_lex_state = 3},
  [7856] = {.lex_state = 7, .external_lex_state = 2},
  [7857] = {.lex_state = 14, .external_lex_state = 2},
  [7858] = {.lex_state = 21, .external_lex_state = 3},
  [7859] = {.lex_state = 174, .external_lex_state = 3},
  [7860] = {.lex_state = 21, .external_lex_state = 3},
  [7861] = {.lex_state = 213, .external_lex_state = 2},
  [7862] = {.lex_state = 7, .external_lex_state = 2},
  [7863] = {.lex_state = 213, .external_lex_state = 2},
  [7864] = {.lex_state = 7, .external_lex_state = 2},
  [7865] = {.lex_state = 21, .external_lex_state = 3},
  [7866] = {.lex_state = 7, .external_lex_state = 2},
  [7867] = {.lex_state = 7, .external_lex_state = 2},
  [7868] = {.lex_state = 14, .external_lex_state = 2},
  [7869] = {.lex_state = 7, .external_lex_state = 2},
  [7870] = {.lex_state = 209, .external_lex_state = 2},
  [7871] = {.lex_state = 21, .external_lex_state = 3},
  [7872] = {.lex_state = 7, .external_lex_state = 2},
  [7873] = {.lex_state = 7, .external_lex_state = 2},
  [7874] = {.lex_state = 7, .external_lex_state = 2},
  [7875] = {.lex_state = 7, .external_lex_state = 2},
  [7876] = {.lex_state = 213, .external_lex_state = 2},
  [7877] = {.lex_state = 21, .external_lex_state = 3},
  [7878] = {.lex_state = 21, .external_lex_state = 3},
  [7879] = {.lex_state = 7, .external_lex_state = 2},
  [7880] = {.lex_state = 174, .external_lex_state = 3},
  [7881] = {.lex_state = 14, .external_lex_state = 2},
  [7882] = {.lex_state = 21, .external_lex_state = 3},
  [7883] = {.lex_state = 7, .external_lex_state = 2},
  [7884] = {.lex_state = 213, .external_lex_state = 2},
  [7885] = {.lex_state = 174, .external_lex_state = 3},
  [7886] = {.lex_state = 209, .external_lex_state = 2},
  [7887] = {.lex_state = 174, .external_lex_state = 3},
  [7888] = {.lex_state = 21, .external_lex_state = 3},
  [7889] = {.lex_state = 21, .external_lex_state = 3},
  [7890] = {.lex_state = 213, .external_lex_state = 2},
  [7891] = {.lex_state = 21, .external_lex_state = 3},
  [7892] = {.lex_state = 21, .external_lex_state = 3},
  [7893] = {.lex_state = 166, .external_lex_state = 3},
  [7894] = {.lex_state = 7, .external_lex_state = 2},
  [7895] = {.lex_state = 213, .external_lex_state = 2},
  [7896] = {.lex_state = 7, .external_lex_state = 2},
  [7897] = {.lex_state = 7, .external_lex_state = 2},
  [7898] = {.lex_state = 428, .external_lex_state = 2},
  [7899] = {.lex_state = 7, .external_lex_state = 2},
  [7900] = {.lex_state = 174, .external_lex_state = 3},
  [7901] = {.lex_state = 7, .external_lex_state = 2},
  [7902] = {.lex_state = 174, .external_lex_state = 3},
  [7903] = {.lex_state = 21, .external_lex_state = 3},
  [7904] = {.lex_state = 21, .external_lex_state = 3},
  [7905] = {.lex_state = 21, .external_lex_state = 3},
  [7906] = {.lex_state = 21, .external_lex_state = 3},
  [7907] = {.lex_state = 47, .external_lex_state = 3},
  [7908] = {.lex_state = 21, .external_lex_state = 3},
  [7909] = {.lex_state = 21, .external_lex_state = 3},
  [7910] = {.lex_state = 21, .external_lex_state = 3},
  [7911] = {.lex_state = 21, .external_lex_state = 3},
  [7912] = {.lex_state = 11, .external_lex_state = 2},
  [7913] = {.lex_state = 21, .external_lex_state = 3},
  [7914] = {.lex_state = 174, .external_lex_state = 3},
  [7915] = {.lex_state = 14, .external_lex_state = 2},
  [7916] = {.lex_state = 213, .external_lex_state = 2},
  [7917] = {.lex_state = 21, .external_lex_state = 3},
  [7918] = {.lex_state = 21, .external_lex_state = 3},
  [7919] = {.lex_state = 213, .external_lex_state = 2},
  [7920] = {.lex_state = 21, .external_lex_state = 3},
  [7921] = {.lex_state = 209, .external_lex_state = 2},
  [7922] = {.lex_state = 21, .external_lex_state = 3},
  [7923] = {.lex_state = 21, .external_lex_state = 3},
  [7924] = {.lex_state = 213, .external_lex_state = 2},
  [7925] = {.lex_state = 213, .external_lex_state = 2},
  [7926] = {.lex_state = 14, .external_lex_state = 2},
  [7927] = {.lex_state = 213, .external_lex_state = 2},
  [7928] = {.lex_state = 21, .external_lex_state = 3},
  [7929] = {.lex_state = 21, .external_lex_state = 3},
  [7930] = {.lex_state = 7, .external_lex_state = 2},
  [7931] = {.lex_state = 7, .external_lex_state = 2},
  [7932] = {.lex_state = 209, .external_lex_state = 2},
  [7933] = {.lex_state = 21, .external_lex_state = 3},
  [7934] = {.lex_state = 213, .external_lex_state = 2},
  [7935] = {.lex_state = 21, .external_lex_state = 3},
  [7936] = {.lex_state = 21, .external_lex_state = 3},
  [7937] = {.lex_state = 11, .external_lex_state = 2},
  [7938] = {.lex_state = 174, .external_lex_state = 3},
  [7939] = {.lex_state = 174, .external_lex_state = 3},
  [7940] = {.lex_state = 174, .external_lex_state = 3},
  [7941] = {.lex_state = 11, .external_lex_state = 2},
  [7942] = {.lex_state = 174, .external_lex_state = 3},
  [7943] = {.lex_state = 213, .external_lex_state = 2},
  [7944] = {.lex_state = 174, .external_lex_state = 3},
  [7945] = {.lex_state = 21, .external_lex_state = 3},
  [7946] = {.lex_state = 213, .external_lex_state = 2},
  [7947] = {.lex_state = 7, .external_lex_state = 2},
  [7948] = {.lex_state = 174, .external_lex_state = 3},
  [7949] = {.lex_state = 21, .external_lex_state = 3},
  [7950] = {.lex_state = 21, .external_lex_state = 3},
  [7951] = {.lex_state = 213, .external_lex_state = 2},
  [7952] = {.lex_state = 7, .external_lex_state = 2},
  [7953] = {.lex_state = 7, .external_lex_state = 2},
  [7954] = {.lex_state = 174, .external_lex_state = 3},
  [7955] = {.lex_state = 21, .external_lex_state = 3},
  [7956] = {.lex_state = 14, .external_lex_state = 2},
  [7957] = {.lex_state = 7, .external_lex_state = 2},
  [7958] = {.lex_state = 11, .external_lex_state = 2},
  [7959] = {.lex_state = 21, .external_lex_state = 3},
  [7960] = {.lex_state = 174, .external_lex_state = 3},
  [7961] = {.lex_state = 209, .external_lex_state = 2},
  [7962] = {.lex_state = 174, .external_lex_state = 3},
  [7963] = {.lex_state = 14, .external_lex_state = 2},
  [7964] = {.lex_state = 7, .external_lex_state = 2},
  [7965] = {.lex_state = 7, .external_lex_state = 2},
  [7966] = {.lex_state = 7, .external_lex_state = 2},
  [7967] = {.lex_state = 174, .external_lex_state = 3},
  [7968] = {.lex_state = 14, .external_lex_state = 2},
  [7969] = {.lex_state = 14, .external_lex_state = 2},
  [7970] = {.lex_state = 174, .external_lex_state = 3},
  [7971] = {.lex_state = 21, .external_lex_state = 3},
  [7972] = {.lex_state = 174, .external_lex_state = 3},
  [7973] = {.lex_state = 7, .external_lex_state = 2},
  [7974] = {.lex_state = 7, .external_lex_state = 2},
  [7975] = {.lex_state = 14, .external_lex_state = 2},
  [7976] = {.lex_state = 14, .external_lex_state = 2},
  [7977] = {.lex_state = 174, .external_lex_state = 3},
  [7978] = {.lex_state = 174, .external_lex_state = 3},
  [7979] = {.lex_state = 7, .external_lex_state = 2},
  [7980] = {.lex_state = 16, .external_lex_state = 2},
  [7981] = {.lex_state = 16, .external_lex_state = 2},
  [7982] = {.lex_state = 16, .external_lex_state = 2},
  [7983] = {.lex_state = 7, .external_lex_state = 2},
  [7984] = {.lex_state = 7, .external_lex_state = 2},
  [7985] = {.lex_state = 7, .external_lex_state = 2},
  [7986] = {.lex_state = 16, .external_lex_state = 2},
  [7987] = {.lex_state = 16, .external_lex_state = 2},
  [7988] = {.lex_state = 16, .external_lex_state = 2},
  [7989] = {.lex_state = 16, .external_lex_state = 2},
  [7990] = {.lex_state = 7, .external_lex_state = 2},
  [7991] = {.lex_state = 7, .external_lex_state = 2},
  [7992] = {.lex_state = 7, .external_lex_state = 2},
  [7993] = {.lex_state = 16, .external_lex_state = 2},
  [7994] = {.lex_state = 16, .external_lex_state = 2},
  [7995] = {.lex_state = 16, .external_lex_state = 2},
  [7996] = {.lex_state = 16, .external_lex_state = 2},
  [7997] = {.lex_state = 16, .external_lex_state = 2},
  [7998] = {.lex_state = 7, .external_lex_state = 2},
  [7999] = {.lex_state = 7, .external_lex_state = 2},
  [8000] = {.lex_state = 7, .external_lex_state = 2},
  [8001] = {.lex_state = 16, .external_lex_state = 2},
  [8002] = {.lex_state = 7, .external_lex_state = 2},
  [8003] = {.lex_state = 13, .external_lex_state = 2},
  [8004] = {.lex_state = 16, .external_lex_state = 2},
  [8005] = {.lex_state = 16, .external_lex_state = 2},
  [8006] = {.lex_state = 16, .external_lex_state = 2},
  [8007] = {.lex_state = 16, .external_lex_state = 2},
  [8008] = {.lex_state = 16, .external_lex_state = 2},
  [8009] = {.lex_state = 16, .external_lex_state = 2},
  [8010] = {.lex_state = 7, .external_lex_state = 2},
  [8011] = {.lex_state = 7, .external_lex_state = 2},
  [8012] = {.lex_state = 16, .external_lex_state = 2},
  [8013] = {.lex_state = 7, .external_lex_state = 2},
  [8014] = {.lex_state = 16, .external_lex_state = 2},
  [8015] = {.lex_state = 7, .external_lex_state = 2},
  [8016] = {.lex_state = 7, .external_lex_state = 2},
  [8017] = {.lex_state = 7, .external_lex_state = 2},
  [8018] = {.lex_state = 16, .external_lex_state = 2},
  [8019] = {.lex_state = 16, .external_lex_state = 2},
  [8020] = {.lex_state = 7, .external_lex_state = 2},
  [8021] = {.lex_state = 7, .external_lex_state = 2},
  [8022] = {.lex_state = 7, .external_lex_state = 2},
  [8023] = {.lex_state = 13, .external_lex_state = 2},
  [8024] = {.lex_state = 16, .external_lex_state = 2},
  [8025] = {.lex_state = 7, .external_lex_state = 2},
  [8026] = {.lex_state = 7, .external_lex_state = 2},
  [8027] = {.lex_state = 7, .external_lex_state = 2},
  [8028] = {.lex_state = 7, .external_lex_state = 2},
  [8029] = {.lex_state = 7, .external_lex_state = 2},
  [8030] = {.lex_state = 13, .external_lex_state = 2},
  [8031] = {.lex_state = 7, .external_lex_state = 2},
  [8032] = {.lex_state = 7, .external_lex_state = 2},
  [8033] = {.lex_state = 7, .external_lex_state = 2},
  [8034] = {.lex_state = 7, .external_lex_state = 2},
  [8035] = {.lex_state = 7, .external_lex_state = 2},
  [8036] = {.lex_state = 7, .external_lex_state = 2},
  [8037] = {.lex_state = 7, .external_lex_state = 2},
  [8038] = {.lex_state = 16, .external_lex_state = 2},
  [8039] = {.lex_state = 7, .external_lex_state = 2},
  [8040] = {.lex_state = 7, .external_lex_state = 2},
  [8041] = {.lex_state = 7, .external_lex_state = 2},
  [8042] = {.lex_state = 16, .external_lex_state = 2},
  [8043] = {.lex_state = 16, .external_lex_state = 2},
  [8044] = {.lex_state = 7, .external_lex_state = 2},
  [8045] = {.lex_state = 7, .external_lex_state = 2},
  [8046] = {.lex_state = 16, .external_lex_state = 2},
  [8047] = {.lex_state = 7, .external_lex_state = 2},
  [8048] = {.lex_state = 13, .external_lex_state = 2},
  [8049] = {.lex_state = 7, .external_lex_state = 2},
  [8050] = {.lex_state = 7, .external_lex_state = 2},
  [8051] = {.lex_state = 16, .external_lex_state = 2},
  [8052] = {.lex_state = 7, .external_lex_state = 2},
  [8053] = {.lex_state = 36, .external_lex_state = 3},
  [8054] = {.lex_state = 16, .external_lex_state = 2},
  [8055] = {.lex_state = 16, .external_lex_state = 2},
  [8056] = {.lex_state = 13, .external_lex_state = 2},
  [8057] = {.lex_state = 7, .external_lex_state = 2},
  [8058] = {.lex_state = 7, .external_lex_state = 2},
  [8059] = {.lex_state = 7, .external_lex_state = 2},
  [8060] = {.lex_state = 13, .external_lex_state = 2},
  [8061] = {.lex_state = 7, .external_lex_state = 2},
  [8062] = {.lex_state = 7, .external_lex_state = 2},
  [8063] = {.lex_state = 7, .external_lex_state = 2},
  [8064] = {.lex_state = 7, .external_lex_state = 2},
  [8065] = {.lex_state = 7, .external_lex_state = 2},
  [8066] = {.lex_state = 7, .external_lex_state = 2},
  [8067] = {.lex_state = 16, .external_lex_state = 2},
  [8068] = {.lex_state = 13, .external_lex_state = 2},
  [8069] = {.lex_state = 16, .external_lex_state = 2},
  [8070] = {.lex_state = 19, .external_lex_state = 3},
  [8071] = {.lex_state = 13, .external_lex_state = 2},
  [8072] = {.lex_state = 16, .external_lex_state = 2},
  [8073] = {.lex_state = 16, .external_lex_state = 2},
  [8074] = {.lex_state = 16, .external_lex_state = 2},
  [8075] = {.lex_state = 16, .external_lex_state = 2},
  [8076] = {.lex_state = 13, .external_lex_state = 2},
  [8077] = {.lex_state = 13, .external_lex_state = 2},
  [8078] = {.lex_state = 16, .external_lex_state = 2},
  [8079] = {.lex_state = 16, .external_lex_state = 2},
  [8080] = {.lex_state = 16, .external_lex_state = 2},
  [8081] = {.lex_state = 16, .external_lex_state = 2},
  [8082] = {.lex_state = 16, .external_lex_state = 2},
  [8083] = {.lex_state = 16, .external_lex_state = 2},
  [8084] = {.lex_state = 16, .external_lex_state = 2},
  [8085] = {.lex_state = 16, .external_lex_state = 2},
  [8086] = {.lex_state = 16, .external_lex_state = 2},
  [8087] = {.lex_state = 16, .external_lex_state = 2},
  [8088] = {.lex_state = 16, .external_lex_state = 2},
  [8089] = {.lex_state = 16, .external_lex_state = 2},
  [8090] = {.lex_state = 13, .external_lex_state = 2},
  [8091] = {.lex_state = 13, .external_lex_state = 2},
  [8092] = {.lex_state = 13, .external_lex_state = 2},
  [8093] = {.lex_state = 19, .external_lex_state = 3},
  [8094] = {.lex_state = 13, .external_lex_state = 2},
  [8095] = {.lex_state = 19, .external_lex_state = 3},
  [8096] = {.lex_state = 13, .external_lex_state = 2},
  [8097] = {.lex_state = 7, .external_lex_state = 2},
  [8098] = {.lex_state = 13, .external_lex_state = 2},
  [8099] = {.lex_state = 7, .external_lex_state = 2},
  [8100] = {.lex_state = 16, .external_lex_state = 2},
  [8101] = {.lex_state = 428, .external_lex_state = 2},
  [8102] = {.lex_state = 7, .external_lex_state = 2},
  [8103] = {.lex_state = 7, .external_lex_state = 2},
  [8104] = {.lex_state = 7, .external_lex_state = 2},
  [8105] = {.lex_state = 16, .external_lex_state = 2},
  [8106] = {.lex_state = 16, .external_lex_state = 2},
  [8107] = {.lex_state = 13, .external_lex_state = 2},
  [8108] = {.lex_state = 16, .external_lex_state = 2},
  [8109] = {.lex_state = 16, .external_lex_state = 2},
  [8110] = {.lex_state = 16, .external_lex_state = 2},
  [8111] = {.lex_state = 16, .external_lex_state = 2},
  [8112] = {.lex_state = 16, .external_lex_state = 2},
  [8113] = {.lex_state = 47, .external_lex_state = 3},
  [8114] = {.lex_state = 7, .external_lex_state = 2},
  [8115] = {.lex_state = 16, .external_lex_state = 2},
  [8116] = {.lex_state = 428, .external_lex_state = 2},
  [8117] = {.lex_state = 16, .external_lex_state = 2},
  [8118] = {.lex_state = 7, .external_lex_state = 2},
  [8119] = {.lex_state = 19, .external_lex_state = 3},
  [8120] = {.lex_state = 16, .external_lex_state = 2},
  [8121] = {.lex_state = 19, .external_lex_state = 3},
  [8122] = {.lex_state = 7, .external_lex_state = 2},
  [8123] = {.lex_state = 13, .external_lex_state = 2},
  [8124] = {.lex_state = 13, .external_lex_state = 2},
  [8125] = {.lex_state = 13, .external_lex_state = 2},
  [8126] = {.lex_state = 16, .external_lex_state = 2},
  [8127] = {.lex_state = 16, .external_lex_state = 2},
  [8128] = {.lex_state = 7, .external_lex_state = 2},
  [8129] = {.lex_state = 7, .external_lex_state = 2},
  [8130] = {.lex_state = 19, .external_lex_state = 3},
  [8131] = {.lex_state = 7, .external_lex_state = 2},
  [8132] = {.lex_state = 16, .external_lex_state = 2},
  [8133] = {.lex_state = 16, .external_lex_state = 2},
  [8134] = {.lex_state = 16, .external_lex_state = 2},
  [8135] = {.lex_state = 16, .external_lex_state = 2},
  [8136] = {.lex_state = 16, .external_lex_state = 2},
  [8137] = {.lex_state = 13, .external_lex_state = 2},
  [8138] = {.lex_state = 7, .external_lex_state = 2},
  [8139] = {.lex_state = 13, .external_lex_state = 2},
  [8140] = {.lex_state = 7, .external_lex_state = 2},
  [8141] = {.lex_state = 13, .external_lex_state = 2},
  [8142] = {.lex_state = 7, .external_lex_state = 2},
  [8143] = {.lex_state = 13, .external_lex_state = 2},
  [8144] = {.lex_state = 13, .external_lex_state = 2},
  [8145] = {.lex_state = 13, .external_lex_state = 2},
  [8146] = {.lex_state = 13, .external_lex_state = 2},
  [8147] = {.lex_state = 13, .external_lex_state = 2},
  [8148] = {.lex_state = 16, .external_lex_state = 2},
  [8149] = {.lex_state = 13, .external_lex_state = 2},
  [8150] = {.lex_state = 16, .external_lex_state = 2},
  [8151] = {.lex_state = 16, .external_lex_state = 2},
  [8152] = {.lex_state = 7, .external_lex_state = 2},
  [8153] = {.lex_state = 7, .external_lex_state = 2},
  [8154] = {.lex_state = 7, .external_lex_state = 2},
  [8155] = {.lex_state = 16, .external_lex_state = 2},
  [8156] = {.lex_state = 16, .external_lex_state = 2},
  [8157] = {.lex_state = 16, .external_lex_state = 2},
  [8158] = {.lex_state = 16, .external_lex_state = 2},
  [8159] = {.lex_state = 16, .external_lex_state = 2},
  [8160] = {.lex_state = 419, .external_lex_state = 2},
  [8161] = {.lex_state = 419, .external_lex_state = 2},
  [8162] = {.lex_state = 419, .external_lex_state = 2},
  [8163] = {.lex_state = 419, .external_lex_state = 2},
  [8164] = {.lex_state = 419, .external_lex_state = 2},
  [8165] = {.lex_state = 419, .external_lex_state = 2},
  [8166] = {.lex_state = 36, .external_lex_state = 3},
  [8167] = {.lex_state = 419, .external_lex_state = 2},
  [8168] = {.lex_state = 16, .external_lex_state = 2},
  [8169] = {.lex_state = 419, .external_lex_state = 2},
  [8170] = {.lex_state = 16, .external_lex_state = 2},
  [8171] = {.lex_state = 16, .external_lex_state = 2},
  [8172] = {.lex_state = 16, .external_lex_state = 2},
  [8173] = {.lex_state = 419, .external_lex_state = 2},
  [8174] = {.lex_state = 16, .external_lex_state = 2},
  [8175] = {.lex_state = 16, .external_lex_state = 2},
  [8176] = {.lex_state = 16, .external_lex_state = 2},
  [8177] = {.lex_state = 16, .external_lex_state = 2},
  [8178] = {.lex_state = 419, .external_lex_state = 2},
  [8179] = {.lex_state = 208, .external_lex_state = 2},
  [8180] = {.lex_state = 16, .external_lex_state = 2},
  [8181] = {.lex_state = 16, .external_lex_state = 2},
  [8182] = {.lex_state = 16, .external_lex_state = 2},
  [8183] = {.lex_state = 16, .external_lex_state = 2},
  [8184] = {.lex_state = 419, .external_lex_state = 2},
  [8185] = {.lex_state = 16, .external_lex_state = 2},
  [8186] = {.lex_state = 16, .external_lex_state = 2},
  [8187] = {.lex_state = 16, .external_lex_state = 2},
  [8188] = {.lex_state = 16, .external_lex_state = 2},
  [8189] = {.lex_state = 16, .external_lex_state = 2},
  [8190] = {.lex_state = 21, .external_lex_state = 3},
  [8191] = {.lex_state = 16, .external_lex_state = 2},
  [8192] = {.lex_state = 16, .external_lex_state = 2},
  [8193] = {.lex_state = 419, .external_lex_state = 2},
  [8194] = {.lex_state = 16, .external_lex_state = 2},
  [8195] = {.lex_state = 16, .external_lex_state = 2},
  [8196] = {.lex_state = 16, .external_lex_state = 2},
  [8197] = {.lex_state = 16, .external_lex_state = 2},
  [8198] = {.lex_state = 208, .external_lex_state = 2},
  [8199] = {.lex_state = 419, .external_lex_state = 2},
  [8200] = {.lex_state = 419, .external_lex_state = 2},
  [8201] = {.lex_state = 36, .external_lex_state = 3},
  [8202] = {.lex_state = 16, .external_lex_state = 2},
  [8203] = {.lex_state = 419, .external_lex_state = 2},
  [8204] = {.lex_state = 16, .external_lex_state = 2},
  [8205] = {.lex_state = 419, .external_lex_state = 2},
  [8206] = {.lex_state = 419, .external_lex_state = 2},
  [8207] = {.lex_state = 16, .external_lex_state = 2},
  [8208] = {.lex_state = 419, .external_lex_state = 2},
  [8209] = {.lex_state = 16, .external_lex_state = 2},
  [8210] = {.lex_state = 419, .external_lex_state = 2},
  [8211] = {.lex_state = 419, .external_lex_state = 2},
  [8212] = {.lex_state = 16, .external_lex_state = 2},
  [8213] = {.lex_state = 16, .external_lex_state = 2},
  [8214] = {.lex_state = 419, .external_lex_state = 2},
  [8215] = {.lex_state = 419, .external_lex_state = 2},
  [8216] = {.lex_state = 419, .external_lex_state = 2},
  [8217] = {.lex_state = 419, .external_lex_state = 2},
  [8218] = {.lex_state = 419, .external_lex_state = 2},
  [8219] = {.lex_state = 419, .external_lex_state = 2},
  [8220] = {.lex_state = 16, .external_lex_state = 2},
  [8221] = {.lex_state = 16, .external_lex_state = 2},
  [8222] = {.lex_state = 16, .external_lex_state = 2},
  [8223] = {.lex_state = 208, .external_lex_state = 2},
  [8224] = {.lex_state = 419, .external_lex_state = 2},
  [8225] = {.lex_state = 16, .external_lex_state = 2},
  [8226] = {.lex_state = 419, .external_lex_state = 2},
  [8227] = {.lex_state = 419, .external_lex_state = 2},
  [8228] = {.lex_state = 16, .external_lex_state = 2},
  [8229] = {.lex_state = 419, .external_lex_state = 2},
  [8230] = {.lex_state = 419, .external_lex_state = 2},
  [8231] = {.lex_state = 16, .external_lex_state = 2},
  [8232] = {.lex_state = 16, .external_lex_state = 2},
  [8233] = {.lex_state = 419, .external_lex_state = 2},
  [8234] = {.lex_state = 419, .external_lex_state = 2},
  [8235] = {.lex_state = 419, .external_lex_state = 2},
  [8236] = {.lex_state = 419, .external_lex_state = 2},
  [8237] = {.lex_state = 419, .external_lex_state = 2},
  [8238] = {.lex_state = 419, .external_lex_state = 2},
  [8239] = {.lex_state = 36, .external_lex_state = 3},
  [8240] = {.lex_state = 419, .external_lex_state = 2},
  [8241] = {.lex_state = 419, .external_lex_state = 2},
  [8242] = {.lex_state = 419, .external_lex_state = 2},
  [8243] = {.lex_state = 419, .external_lex_state = 2},
  [8244] = {.lex_state = 419, .external_lex_state = 2},
  [8245] = {.lex_state = 419, .external_lex_state = 2},
  [8246] = {.lex_state = 419, .external_lex_state = 2},
  [8247] = {.lex_state = 419, .external_lex_state = 2},
  [8248] = {.lex_state = 419, .external_lex_state = 2},
  [8249] = {.lex_state = 419, .external_lex_state = 2},
  [8250] = {.lex_state = 419, .external_lex_state = 2},
  [8251] = {.lex_state = 208, .external_lex_state = 2},
  [8252] = {.lex_state = 16, .external_lex_state = 2},
  [8253] = {.lex_state = 171, .external_lex_state = 3},
  [8254] = {.lex_state = 419, .external_lex_state = 2},
  [8255] = {.lex_state = 419, .external_lex_state = 2},
  [8256] = {.lex_state = 419, .external_lex_state = 2},
  [8257] = {.lex_state = 419, .external_lex_state = 2},
  [8258] = {.lex_state = 21, .external_lex_state = 3},
  [8259] = {.lex_state = 419, .external_lex_state = 2},
  [8260] = {.lex_state = 419, .external_lex_state = 2},
  [8261] = {.lex_state = 419, .external_lex_state = 2},
  [8262] = {.lex_state = 419, .external_lex_state = 2},
  [8263] = {.lex_state = 419, .external_lex_state = 2},
  [8264] = {.lex_state = 419, .external_lex_state = 2},
  [8265] = {.lex_state = 419, .external_lex_state = 2},
  [8266] = {.lex_state = 419, .external_lex_state = 2},
  [8267] = {.lex_state = 419, .external_lex_state = 2},
  [8268] = {.lex_state = 419, .external_lex_state = 2},
  [8269] = {.lex_state = 419, .external_lex_state = 2},
  [8270] = {.lex_state = 419, .external_lex_state = 2},
  [8271] = {.lex_state = 167, .external_lex_state = 3},
  [8272] = {.lex_state = 16, .external_lex_state = 2},
  [8273] = {.lex_state = 21, .external_lex_state = 3},
  [8274] = {.lex_state = 21, .external_lex_state = 3},
  [8275] = {.lex_state = 21, .external_lex_state = 3},
  [8276] = {.lex_state = 419, .external_lex_state = 2},
  [8277] = {.lex_state = 167, .external_lex_state = 3},
  [8278] = {.lex_state = 419, .external_lex_state = 2},
  [8279] = {.lex_state = 16, .external_lex_state = 2},
  [8280] = {.lex_state = 419, .external_lex_state = 2},
  [8281] = {.lex_state = 419, .external_lex_state = 2},
  [8282] = {.lex_state = 21, .external_lex_state = 3},
  [8283] = {.lex_state = 21, .external_lex_state = 3},
  [8284] = {.lex_state = 419, .external_lex_state = 2},
  [8285] = {.lex_state = 419, .external_lex_state = 2},
  [8286] = {.lex_state = 419, .external_lex_state = 2},
  [8287] = {.lex_state = 171, .external_lex_state = 3},
  [8288] = {.lex_state = 419, .external_lex_state = 2},
  [8289] = {.lex_state = 419, .external_lex_state = 2},
  [8290] = {.lex_state = 419, .external_lex_state = 2},
  [8291] = {.lex_state = 419, .external_lex_state = 2},
  [8292] = {.lex_state = 419, .external_lex_state = 2},
  [8293] = {.lex_state = 419, .external_lex_state = 2},
  [8294] = {.lex_state = 21, .external_lex_state = 3},
  [8295] = {.lex_state = 419, .external_lex_state = 2},
  [8296] = {.lex_state = 419, .external_lex_state = 2},
  [8297] = {.lex_state = 419, .external_lex_state = 2},
  [8298] = {.lex_state = 427, .external_lex_state = 2},
  [8299] = {.lex_state = 419, .external_lex_state = 2},
  [8300] = {.lex_state = 419, .external_lex_state = 2},
  [8301] = {.lex_state = 419, .external_lex_state = 2},
  [8302] = {.lex_state = 419, .external_lex_state = 2},
  [8303] = {.lex_state = 419, .external_lex_state = 2},
  [8304] = {.lex_state = 419, .external_lex_state = 2},
  [8305] = {.lex_state = 419, .external_lex_state = 2},
  [8306] = {.lex_state = 419, .external_lex_state = 2},
  [8307] = {.lex_state = 419, .external_lex_state = 2},
  [8308] = {.lex_state = 419, .external_lex_state = 2},
  [8309] = {.lex_state = 419, .external_lex_state = 2},
  [8310] = {.lex_state = 419, .external_lex_state = 2},
  [8311] = {.lex_state = 419, .external_lex_state = 2},
  [8312] = {.lex_state = 419, .external_lex_state = 2},
  [8313] = {.lex_state = 419, .external_lex_state = 2},
  [8314] = {.lex_state = 419, .external_lex_state = 2},
  [8315] = {.lex_state = 167, .external_lex_state = 3},
  [8316] = {.lex_state = 419, .external_lex_state = 2},
  [8317] = {.lex_state = 208, .external_lex_state = 2},
  [8318] = {.lex_state = 7, .external_lex_state = 2},
  [8319] = {.lex_state = 7, .external_lex_state = 2},
  [8320] = {.lex_state = 208, .external_lex_state = 2},
  [8321] = {.lex_state = 419, .external_lex_state = 2},
  [8322] = {.lex_state = 419, .external_lex_state = 2},
  [8323] = {.lex_state = 419, .external_lex_state = 2},
  [8324] = {.lex_state = 419, .external_lex_state = 2},
  [8325] = {.lex_state = 419, .external_lex_state = 2},
  [8326] = {.lex_state = 419, .external_lex_state = 2},
  [8327] = {.lex_state = 208, .external_lex_state = 2},
  [8328] = {.lex_state = 7, .external_lex_state = 2},
  [8329] = {.lex_state = 7, .external_lex_state = 2},
  [8330] = {.lex_state = 419, .external_lex_state = 2},
  [8331] = {.lex_state = 419, .external_lex_state = 2},
  [8332] = {.lex_state = 208, .external_lex_state = 2},
  [8333] = {.lex_state = 419, .external_lex_state = 2},
  [8334] = {.lex_state = 208, .external_lex_state = 2},
  [8335] = {.lex_state = 419, .external_lex_state = 2},
  [8336] = {.lex_state = 208, .external_lex_state = 2},
  [8337] = {.lex_state = 419, .external_lex_state = 2},
  [8338] = {.lex_state = 419, .external_lex_state = 2},
  [8339] = {.lex_state = 208, .external_lex_state = 2},
  [8340] = {.lex_state = 419, .external_lex_state = 2},
  [8341] = {.lex_state = 208, .external_lex_state = 2},
  [8342] = {.lex_state = 419, .external_lex_state = 2},
  [8343] = {.lex_state = 208, .external_lex_state = 2},
  [8344] = {.lex_state = 208, .external_lex_state = 2},
  [8345] = {.lex_state = 208, .external_lex_state = 2},
  [8346] = {.lex_state = 419, .external_lex_state = 2},
  [8347] = {.lex_state = 167, .external_lex_state = 3},
  [8348] = {.lex_state = 208, .external_lex_state = 2},
  [8349] = {.lex_state = 419, .external_lex_state = 2},
  [8350] = {.lex_state = 208, .external_lex_state = 2},
  [8351] = {.lex_state = 419, .external_lex_state = 2},
  [8352] = {.lex_state = 419, .external_lex_state = 2},
  [8353] = {.lex_state = 167, .external_lex_state = 3},
  [8354] = {.lex_state = 419, .external_lex_state = 2},
  [8355] = {.lex_state = 7, .external_lex_state = 2},
  [8356] = {.lex_state = 196, .external_lex_state = 3},
  [8357] = {.lex_state = 419, .external_lex_state = 2},
  [8358] = {.lex_state = 208, .external_lex_state = 2},
  [8359] = {.lex_state = 419, .external_lex_state = 2},
  [8360] = {.lex_state = 208, .external_lex_state = 2},
  [8361] = {.lex_state = 7, .external_lex_state = 2},
  [8362] = {.lex_state = 419, .external_lex_state = 2},
  [8363] = {.lex_state = 419, .external_lex_state = 2},
  [8364] = {.lex_state = 419, .external_lex_state = 2},
  [8365] = {.lex_state = 419, .external_lex_state = 2},
  [8366] = {.lex_state = 208, .external_lex_state = 2},
  [8367] = {.lex_state = 419, .external_lex_state = 2},
  [8368] = {.lex_state = 419, .external_lex_state = 2},
  [8369] = {.lex_state = 208, .external_lex_state = 2},
  [8370] = {.lex_state = 208, .external_lex_state = 2},
  [8371] = {.lex_state = 208, .external_lex_state = 2},
  [8372] = {.lex_state = 208, .external_lex_state = 2},
  [8373] = {.lex_state = 171, .external_lex_state = 3},
  [8374] = {.lex_state = 208, .external_lex_state = 2},
  [8375] = {.lex_state = 419, .external_lex_state = 2},
  [8376] = {.lex_state = 208, .external_lex_state = 2},
  [8377] = {.lex_state = 208, .external_lex_state = 2},
  [8378] = {.lex_state = 208, .external_lex_state = 2},
  [8379] = {.lex_state = 181, .external_lex_state = 3},
  [8380] = {.lex_state = 208, .external_lex_state = 2},
  [8381] = {.lex_state = 208, .external_lex_state = 2},
  [8382] = {.lex_state = 7, .external_lex_state = 2},
  [8383] = {.lex_state = 419, .external_lex_state = 2},
  [8384] = {.lex_state = 208, .external_lex_state = 2},
  [8385] = {.lex_state = 208, .external_lex_state = 2},
  [8386] = {.lex_state = 419, .external_lex_state = 2},
  [8387] = {.lex_state = 171, .external_lex_state = 3},
  [8388] = {.lex_state = 170, .external_lex_state = 3},
  [8389] = {.lex_state = 419, .external_lex_state = 2},
  [8390] = {.lex_state = 208, .external_lex_state = 2},
  [8391] = {.lex_state = 7, .external_lex_state = 2},
  [8392] = {.lex_state = 7, .external_lex_state = 2},
  [8393] = {.lex_state = 208, .external_lex_state = 2},
  [8394] = {.lex_state = 208, .external_lex_state = 2},
  [8395] = {.lex_state = 208, .external_lex_state = 2},
  [8396] = {.lex_state = 426, .external_lex_state = 2},
  [8397] = {.lex_state = 419, .external_lex_state = 2},
  [8398] = {.lex_state = 208, .external_lex_state = 2},
  [8399] = {.lex_state = 208, .external_lex_state = 2},
  [8400] = {.lex_state = 181, .external_lex_state = 3},
  [8401] = {.lex_state = 419, .external_lex_state = 2},
  [8402] = {.lex_state = 419, .external_lex_state = 2},
  [8403] = {.lex_state = 419, .external_lex_state = 2},
  [8404] = {.lex_state = 419, .external_lex_state = 2},
  [8405] = {.lex_state = 170, .external_lex_state = 3},
  [8406] = {.lex_state = 208, .external_lex_state = 2},
  [8407] = {.lex_state = 419, .external_lex_state = 2},
  [8408] = {.lex_state = 419, .external_lex_state = 2},
  [8409] = {.lex_state = 419, .external_lex_state = 2},
  [8410] = {.lex_state = 427, .external_lex_state = 2},
  [8411] = {.lex_state = 167, .external_lex_state = 3},
  [8412] = {.lex_state = 419, .external_lex_state = 2},
  [8413] = {.lex_state = 419, .external_lex_state = 2},
  [8414] = {.lex_state = 419, .external_lex_state = 2},
  [8415] = {.lex_state = 419, .external_lex_state = 2},
  [8416] = {.lex_state = 208, .external_lex_state = 2},
  [8417] = {.lex_state = 419, .external_lex_state = 2},
  [8418] = {.lex_state = 7, .external_lex_state = 2},
  [8419] = {.lex_state = 208, .external_lex_state = 2},
  [8420] = {.lex_state = 208, .external_lex_state = 2},
  [8421] = {.lex_state = 419, .external_lex_state = 2},
  [8422] = {.lex_state = 171, .external_lex_state = 3},
  [8423] = {.lex_state = 208, .external_lex_state = 2},
  [8424] = {.lex_state = 419, .external_lex_state = 2},
  [8425] = {.lex_state = 171, .external_lex_state = 3},
  [8426] = {.lex_state = 208, .external_lex_state = 2},
  [8427] = {.lex_state = 208, .external_lex_state = 2},
  [8428] = {.lex_state = 208, .external_lex_state = 2},
  [8429] = {.lex_state = 208, .external_lex_state = 2},
  [8430] = {.lex_state = 7, .external_lex_state = 2},
  [8431] = {.lex_state = 419, .external_lex_state = 2},
  [8432] = {.lex_state = 419, .external_lex_state = 2},
  [8433] = {.lex_state = 208, .external_lex_state = 2},
  [8434] = {.lex_state = 419, .external_lex_state = 2},
  [8435] = {.lex_state = 7, .external_lex_state = 2},
  [8436] = {.lex_state = 170, .external_lex_state = 3},
  [8437] = {.lex_state = 7, .external_lex_state = 2},
  [8438] = {.lex_state = 7, .external_lex_state = 2},
  [8439] = {.lex_state = 7, .external_lex_state = 2},
  [8440] = {.lex_state = 7, .external_lex_state = 2},
  [8441] = {.lex_state = 419, .external_lex_state = 2},
  [8442] = {.lex_state = 7, .external_lex_state = 2},
  [8443] = {.lex_state = 7, .external_lex_state = 2},
  [8444] = {.lex_state = 7, .external_lex_state = 2},
  [8445] = {.lex_state = 7, .external_lex_state = 2},
  [8446] = {.lex_state = 170, .external_lex_state = 3},
  [8447] = {.lex_state = 419, .external_lex_state = 2},
  [8448] = {.lex_state = 170, .external_lex_state = 3},
  [8449] = {.lex_state = 17, .external_lex_state = 2},
  [8450] = {.lex_state = 7, .external_lex_state = 2},
  [8451] = {.lex_state = 170, .external_lex_state = 3},
  [8452] = {.lex_state = 170, .external_lex_state = 3},
  [8453] = {.lex_state = 7, .external_lex_state = 2},
  [8454] = {.lex_state = 419, .external_lex_state = 2},
  [8455] = {.lex_state = 7, .external_lex_state = 2},
  [8456] = {.lex_state = 7, .external_lex_state = 2},
  [8457] = {.lex_state = 7, .external_lex_state = 2},
  [8458] = {.lex_state = 170, .external_lex_state = 3},
  [8459] = {.lex_state = 7, .external_lex_state = 2},
  [8460] = {.lex_state = 7, .external_lex_state = 2},
  [8461] = {.lex_state = 7, .external_lex_state = 2},
  [8462] = {.lex_state = 7, .external_lex_state = 2},
  [8463] = {.lex_state = 170, .external_lex_state = 3},
  [8464] = {.lex_state = 7, .external_lex_state = 2},
  [8465] = {.lex_state = 7, .external_lex_state = 2},
  [8466] = {.lex_state = 7, .external_lex_state = 2},
  [8467] = {.lex_state = 7, .external_lex_state = 2},
  [8468] = {.lex_state = 7, .external_lex_state = 2},
  [8469] = {.lex_state = 427, .external_lex_state = 2},
  [8470] = {.lex_state = 170, .external_lex_state = 3},
  [8471] = {.lex_state = 7, .external_lex_state = 2},
  [8472] = {.lex_state = 170, .external_lex_state = 3},
  [8473] = {.lex_state = 170, .external_lex_state = 3},
  [8474] = {.lex_state = 170, .external_lex_state = 3},
  [8475] = {.lex_state = 7, .external_lex_state = 2},
  [8476] = {.lex_state = 7, .external_lex_state = 2},
  [8477] = {.lex_state = 7, .external_lex_state = 2},
  [8478] = {.lex_state = 170, .external_lex_state = 3},
  [8479] = {.lex_state = 7, .external_lex_state = 2},
  [8480] = {.lex_state = 7, .external_lex_state = 2},
  [8481] = {.lex_state = 427, .external_lex_state = 2},
  [8482] = {.lex_state = 419, .external_lex_state = 2},
  [8483] = {.lex_state = 7, .external_lex_state = 2},
  [8484] = {.lex_state = 170, .external_lex_state = 3},
  [8485] = {.lex_state = 7, .external_lex_state = 2},
  [8486] = {.lex_state = 7, .external_lex_state = 2},
  [8487] = {.lex_state = 7, .external_lex_state = 2},
  [8488] = {.lex_state = 7, .external_lex_state = 2},
  [8489] = {.lex_state = 7, .external_lex_state = 2},
  [8490] = {.lex_state = 7, .external_lex_state = 2},
  [8491] = {.lex_state = 7, .external_lex_state = 2},
  [8492] = {.lex_state = 7, .external_lex_state = 2},
  [8493] = {.lex_state = 7, .external_lex_state = 2},
  [8494] = {.lex_state = 7, .external_lex_state = 2},
  [8495] = {.lex_state = 7, .external_lex_state = 2},
  [8496] = {.lex_state = 7, .external_lex_state = 2},
  [8497] = {.lex_state = 419, .external_lex_state = 2},
  [8498] = {.lex_state = 7, .external_lex_state = 2},
  [8499] = {.lex_state = 170, .external_lex_state = 3},
  [8500] = {.lex_state = 7, .external_lex_state = 2},
  [8501] = {.lex_state = 7, .external_lex_state = 2},
  [8502] = {.lex_state = 7, .external_lex_state = 2},
  [8503] = {.lex_state = 419, .external_lex_state = 2},
  [8504] = {.lex_state = 419, .external_lex_state = 2},
  [8505] = {.lex_state = 7, .external_lex_state = 2},
  [8506] = {.lex_state = 7, .external_lex_state = 2},
  [8507] = {.lex_state = 170, .external_lex_state = 3},
  [8508] = {.lex_state = 7, .external_lex_state = 2},
  [8509] = {.lex_state = 419, .external_lex_state = 2},
  [8510] = {.lex_state = 7, .external_lex_state = 2},
  [8511] = {.lex_state = 419, .external_lex_state = 2},
  [8512] = {.lex_state = 419, .external_lex_state = 2},
  [8513] = {.lex_state = 170, .external_lex_state = 3},
  [8514] = {.lex_state = 419, .external_lex_state = 2},
  [8515] = {.lex_state = 7, .external_lex_state = 2},
  [8516] = {.lex_state = 419, .external_lex_state = 2},
  [8517] = {.lex_state = 419, .external_lex_state = 2},
  [8518] = {.lex_state = 419, .external_lex_state = 2},
  [8519] = {.lex_state = 7, .external_lex_state = 2},
  [8520] = {.lex_state = 419, .external_lex_state = 2},
  [8521] = {.lex_state = 419, .external_lex_state = 2},
  [8522] = {.lex_state = 7, .external_lex_state = 2},
  [8523] = {.lex_state = 419, .external_lex_state = 2},
  [8524] = {.lex_state = 419, .external_lex_state = 2},
  [8525] = {.lex_state = 7, .external_lex_state = 2},
  [8526] = {.lex_state = 7, .external_lex_state = 2},
  [8527] = {.lex_state = 419, .external_lex_state = 2},
  [8528] = {.lex_state = 7, .external_lex_state = 2},
  [8529] = {.lex_state = 7, .external_lex_state = 2},
  [8530] = {.lex_state = 7, .external_lex_state = 2},
  [8531] = {.lex_state = 170, .external_lex_state = 3},
  [8532] = {.lex_state = 7, .external_lex_state = 2},
  [8533] = {.lex_state = 7, .external_lex_state = 2},
  [8534] = {.lex_state = 7, .external_lex_state = 2},
  [8535] = {.lex_state = 7, .external_lex_state = 2},
  [8536] = {.lex_state = 7, .external_lex_state = 2},
  [8537] = {.lex_state = 7, .external_lex_state = 2},
  [8538] = {.lex_state = 7, .external_lex_state = 2},
  [8539] = {.lex_state = 7, .external_lex_state = 2},
  [8540] = {.lex_state = 7, .external_lex_state = 2},
  [8541] = {.lex_state = 419, .external_lex_state = 2},
  [8542] = {.lex_state = 7, .external_lex_state = 2},
  [8543] = {.lex_state = 187, .external_lex_state = 3},
  [8544] = {.lex_state = 7, .external_lex_state = 2},
  [8545] = {.lex_state = 7, .external_lex_state = 2},
  [8546] = {.lex_state = 187, .external_lex_state = 3},
  [8547] = {.lex_state = 7, .external_lex_state = 2},
  [8548] = {.lex_state = 187, .external_lex_state = 3},
  [8549] = {.lex_state = 7, .external_lex_state = 2},
  [8550] = {.lex_state = 181, .external_lex_state = 3},
  [8551] = {.lex_state = 7, .external_lex_state = 2},
  [8552] = {.lex_state = 187, .external_lex_state = 3},
  [8553] = {.lex_state = 7, .external_lex_state = 2},
  [8554] = {.lex_state = 187, .external_lex_state = 3},
  [8555] = {.lex_state = 181, .external_lex_state = 3},
  [8556] = {.lex_state = 7, .external_lex_state = 2},
  [8557] = {.lex_state = 7, .external_lex_state = 2},
  [8558] = {.lex_state = 7, .external_lex_state = 2},
  [8559] = {.lex_state = 7, .external_lex_state = 2},
  [8560] = {.lex_state = 187, .external_lex_state = 3},
  [8561] = {.lex_state = 187, .external_lex_state = 3},
  [8562] = {.lex_state = 7, .external_lex_state = 2},
  [8563] = {.lex_state = 187, .external_lex_state = 3},
  [8564] = {.lex_state = 187, .external_lex_state = 3},
  [8565] = {.lex_state = 7, .external_lex_state = 2},
  [8566] = {.lex_state = 170, .external_lex_state = 3},
  [8567] = {.lex_state = 7, .external_lex_state = 2},
  [8568] = {.lex_state = 7, .external_lex_state = 2},
  [8569] = {.lex_state = 7, .external_lex_state = 2},
  [8570] = {.lex_state = 7, .external_lex_state = 2},
  [8571] = {.lex_state = 7, .external_lex_state = 2},
  [8572] = {.lex_state = 170, .external_lex_state = 3},
  [8573] = {.lex_state = 170, .external_lex_state = 3},
  [8574] = {.lex_state = 7, .external_lex_state = 2},
  [8575] = {.lex_state = 7, .external_lex_state = 2},
  [8576] = {.lex_state = 181, .external_lex_state = 3},
  [8577] = {.lex_state = 7, .external_lex_state = 2},
  [8578] = {.lex_state = 427, .external_lex_state = 2},
  [8579] = {.lex_state = 170, .external_lex_state = 3},
  [8580] = {.lex_state = 7, .external_lex_state = 2},
  [8581] = {.lex_state = 7, .external_lex_state = 2},
  [8582] = {.lex_state = 7, .external_lex_state = 2},
  [8583] = {.lex_state = 170, .external_lex_state = 3},
  [8584] = {.lex_state = 7, .external_lex_state = 2},
  [8585] = {.lex_state = 7, .external_lex_state = 2},
  [8586] = {.lex_state = 7, .external_lex_state = 2},
  [8587] = {.lex_state = 419, .external_lex_state = 2},
  [8588] = {.lex_state = 7, .external_lex_state = 2},
  [8589] = {.lex_state = 7, .external_lex_state = 2},
  [8590] = {.lex_state = 7, .external_lex_state = 2},
  [8591] = {.lex_state = 7, .external_lex_state = 2},
  [8592] = {.lex_state = 7, .external_lex_state = 2},
  [8593] = {.lex_state = 7, .external_lex_state = 2},
  [8594] = {.lex_state = 170, .external_lex_state = 3},
  [8595] = {.lex_state = 7, .external_lex_state = 2},
  [8596] = {.lex_state = 7, .external_lex_state = 2},
  [8597] = {.lex_state = 170, .external_lex_state = 3},
  [8598] = {.lex_state = 7, .external_lex_state = 2},
  [8599] = {.lex_state = 7, .external_lex_state = 2},
  [8600] = {.lex_state = 7, .external_lex_state = 2},
  [8601] = {.lex_state = 419, .external_lex_state = 2},
  [8602] = {.lex_state = 7, .external_lex_state = 2},
  [8603] = {.lex_state = 187, .external_lex_state = 3},
  [8604] = {.lex_state = 7, .external_lex_state = 2},
  [8605] = {.lex_state = 7, .external_lex_state = 2},
  [8606] = {.lex_state = 7, .external_lex_state = 2},
  [8607] = {.lex_state = 7, .external_lex_state = 2},
  [8608] = {.lex_state = 170, .external_lex_state = 3},
  [8609] = {.lex_state = 170, .external_lex_state = 3},
  [8610] = {.lex_state = 170, .external_lex_state = 3},
  [8611] = {.lex_state = 170, .external_lex_state = 3},
  [8612] = {.lex_state = 7, .external_lex_state = 2},
  [8613] = {.lex_state = 7, .external_lex_state = 2},
  [8614] = {.lex_state = 7, .external_lex_state = 2},
  [8615] = {.lex_state = 7, .external_lex_state = 2},
  [8616] = {.lex_state = 7, .external_lex_state = 2},
  [8617] = {.lex_state = 7, .external_lex_state = 2},
  [8618] = {.lex_state = 7, .external_lex_state = 2},
  [8619] = {.lex_state = 7, .external_lex_state = 2},
  [8620] = {.lex_state = 7, .external_lex_state = 2},
  [8621] = {.lex_state = 170, .external_lex_state = 3},
  [8622] = {.lex_state = 7, .external_lex_state = 2},
  [8623] = {.lex_state = 7, .external_lex_state = 2},
  [8624] = {.lex_state = 7, .external_lex_state = 2},
  [8625] = {.lex_state = 7, .external_lex_state = 2},
  [8626] = {.lex_state = 7, .external_lex_state = 2},
  [8627] = {.lex_state = 419, .external_lex_state = 2},
  [8628] = {.lex_state = 7, .external_lex_state = 2},
  [8629] = {.lex_state = 17, .external_lex_state = 2},
  [8630] = {.lex_state = 419, .external_lex_state = 2},
  [8631] = {.lex_state = 419, .external_lex_state = 2},
  [8632] = {.lex_state = 7, .external_lex_state = 2},
  [8633] = {.lex_state = 419, .external_lex_state = 2},
  [8634] = {.lex_state = 419, .external_lex_state = 2},
  [8635] = {.lex_state = 170, .external_lex_state = 3},
  [8636] = {.lex_state = 7, .external_lex_state = 2},
  [8637] = {.lex_state = 7, .external_lex_state = 2},
  [8638] = {.lex_state = 419, .external_lex_state = 2},
  [8639] = {.lex_state = 7, .external_lex_state = 2},
  [8640] = {.lex_state = 419, .external_lex_state = 2},
  [8641] = {.lex_state = 419, .external_lex_state = 2},
  [8642] = {.lex_state = 419, .external_lex_state = 2},
  [8643] = {.lex_state = 419, .external_lex_state = 2},
  [8644] = {.lex_state = 419, .external_lex_state = 2},
  [8645] = {.lex_state = 7, .external_lex_state = 2},
  [8646] = {.lex_state = 7, .external_lex_state = 2},
  [8647] = {.lex_state = 7, .external_lex_state = 2},
  [8648] = {.lex_state = 7, .external_lex_state = 2},
  [8649] = {.lex_state = 170, .external_lex_state = 3},
  [8650] = {.lex_state = 7, .external_lex_state = 2},
  [8651] = {.lex_state = 7, .external_lex_state = 2},
  [8652] = {.lex_state = 170, .external_lex_state = 3},
  [8653] = {.lex_state = 7, .external_lex_state = 2},
  [8654] = {.lex_state = 7, .external_lex_state = 2},
  [8655] = {.lex_state = 7, .external_lex_state = 2},
  [8656] = {.lex_state = 7, .external_lex_state = 2},
  [8657] = {.lex_state = 7, .external_lex_state = 2},
  [8658] = {.lex_state = 419, .external_lex_state = 2},
  [8659] = {.lex_state = 419, .external_lex_state = 2},
  [8660] = {.lex_state = 7, .external_lex_state = 2},
  [8661] = {.lex_state = 170, .external_lex_state = 3},
  [8662] = {.lex_state = 7, .external_lex_state = 2},
  [8663] = {.lex_state = 7, .external_lex_state = 2},
  [8664] = {.lex_state = 7, .external_lex_state = 2},
  [8665] = {.lex_state = 170, .external_lex_state = 3},
  [8666] = {.lex_state = 7, .external_lex_state = 2},
  [8667] = {.lex_state = 7, .external_lex_state = 2},
  [8668] = {.lex_state = 170, .external_lex_state = 3},
  [8669] = {.lex_state = 7, .external_lex_state = 2},
  [8670] = {.lex_state = 170, .external_lex_state = 3},
  [8671] = {.lex_state = 7, .external_lex_state = 2},
  [8672] = {.lex_state = 7, .external_lex_state = 2},
  [8673] = {.lex_state = 7, .external_lex_state = 2},
  [8674] = {.lex_state = 7, .external_lex_state = 2},
  [8675] = {.lex_state = 7, .external_lex_state = 2},
  [8676] = {.lex_state = 429, .external_lex_state = 2},
  [8677] = {.lex_state = 7, .external_lex_state = 2},
  [8678] = {.lex_state = 7, .external_lex_state = 2},
  [8679] = {.lex_state = 7, .external_lex_state = 2},
  [8680] = {.lex_state = 7, .external_lex_state = 2},
  [8681] = {.lex_state = 181, .external_lex_state = 3},
  [8682] = {.lex_state = 7, .external_lex_state = 2},
  [8683] = {.lex_state = 7, .external_lex_state = 2},
  [8684] = {.lex_state = 170, .external_lex_state = 3},
  [8685] = {.lex_state = 170, .external_lex_state = 3},
  [8686] = {.lex_state = 170, .external_lex_state = 3},
  [8687] = {.lex_state = 7, .external_lex_state = 2},
  [8688] = {.lex_state = 170, .external_lex_state = 3},
  [8689] = {.lex_state = 7, .external_lex_state = 2},
  [8690] = {.lex_state = 170, .external_lex_state = 3},
  [8691] = {.lex_state = 7, .external_lex_state = 2},
  [8692] = {.lex_state = 428, .external_lex_state = 2},
  [8693] = {.lex_state = 429, .external_lex_state = 2},
  [8694] = {.lex_state = 7, .external_lex_state = 2},
  [8695] = {.lex_state = 170, .external_lex_state = 3},
  [8696] = {.lex_state = 7, .external_lex_state = 2},
  [8697] = {.lex_state = 7, .external_lex_state = 2},
  [8698] = {.lex_state = 170, .external_lex_state = 3},
  [8699] = {.lex_state = 7, .external_lex_state = 2},
  [8700] = {.lex_state = 187, .external_lex_state = 3},
  [8701] = {.lex_state = 7, .external_lex_state = 2},
  [8702] = {.lex_state = 7, .external_lex_state = 2},
  [8703] = {.lex_state = 17, .external_lex_state = 2},
  [8704] = {.lex_state = 7, .external_lex_state = 2},
  [8705] = {.lex_state = 170, .external_lex_state = 3},
  [8706] = {.lex_state = 170, .external_lex_state = 3},
  [8707] = {.lex_state = 170, .external_lex_state = 3},
  [8708] = {.lex_state = 170, .external_lex_state = 3},
  [8709] = {.lex_state = 170, .external_lex_state = 3},
  [8710] = {.lex_state = 170, .external_lex_state = 3},
  [8711] = {.lex_state = 170, .external_lex_state = 3},
  [8712] = {.lex_state = 170, .external_lex_state = 3},
  [8713] = {.lex_state = 7, .external_lex_state = 2},
  [8714] = {.lex_state = 7, .external_lex_state = 2},
  [8715] = {.lex_state = 419, .external_lex_state = 2},
  [8716] = {.lex_state = 7, .external_lex_state = 2},
  [8717] = {.lex_state = 7, .external_lex_state = 2},
  [8718] = {.lex_state = 7, .external_lex_state = 2},
  [8719] = {.lex_state = 7, .external_lex_state = 2},
  [8720] = {.lex_state = 7, .external_lex_state = 2},
  [8721] = {.lex_state = 7, .external_lex_state = 2},
  [8722] = {.lex_state = 419, .external_lex_state = 2},
  [8723] = {.lex_state = 170, .external_lex_state = 3},
  [8724] = {.lex_state = 7, .external_lex_state = 2},
  [8725] = {.lex_state = 7, .external_lex_state = 2},
  [8726] = {.lex_state = 427, .external_lex_state = 2},
  [8727] = {.lex_state = 427, .external_lex_state = 2},
  [8728] = {.lex_state = 7, .external_lex_state = 2},
  [8729] = {.lex_state = 7, .external_lex_state = 2},
  [8730] = {.lex_state = 7, .external_lex_state = 2},
  [8731] = {.lex_state = 170, .external_lex_state = 3},
  [8732] = {.lex_state = 170, .external_lex_state = 3},
  [8733] = {.lex_state = 170, .external_lex_state = 3},
  [8734] = {.lex_state = 170, .external_lex_state = 3},
  [8735] = {.lex_state = 170, .external_lex_state = 3},
  [8736] = {.lex_state = 170, .external_lex_state = 3},
  [8737] = {.lex_state = 7, .external_lex_state = 2},
  [8738] = {.lex_state = 170, .external_lex_state = 3},
  [8739] = {.lex_state = 419, .external_lex_state = 2},
  [8740] = {.lex_state = 170, .external_lex_state = 3},
  [8741] = {.lex_state = 170, .external_lex_state = 3},
  [8742] = {.lex_state = 7, .external_lex_state = 2},
  [8743] = {.lex_state = 7, .external_lex_state = 2},
  [8744] = {.lex_state = 7, .external_lex_state = 2},
  [8745] = {.lex_state = 429, .external_lex_state = 2},
  [8746] = {.lex_state = 181, .external_lex_state = 3},
  [8747] = {.lex_state = 181, .external_lex_state = 3},
  [8748] = {.lex_state = 181, .external_lex_state = 3},
  [8749] = {.lex_state = 181, .external_lex_state = 3},
  [8750] = {.lex_state = 14, .external_lex_state = 2},
  [8751] = {.lex_state = 181, .external_lex_state = 3},
  [8752] = {.lex_state = 181, .external_lex_state = 3},
  [8753] = {.lex_state = 14, .external_lex_state = 2},
  [8754] = {.lex_state = 181, .external_lex_state = 3},
  [8755] = {.lex_state = 181, .external_lex_state = 3},
  [8756] = {.lex_state = 181, .external_lex_state = 3},
  [8757] = {.lex_state = 419, .external_lex_state = 2},
  [8758] = {.lex_state = 181, .external_lex_state = 3},
  [8759] = {.lex_state = 181, .external_lex_state = 3},
  [8760] = {.lex_state = 181, .external_lex_state = 3},
  [8761] = {.lex_state = 181, .external_lex_state = 3},
  [8762] = {.lex_state = 181, .external_lex_state = 3},
  [8763] = {.lex_state = 181, .external_lex_state = 3},
  [8764] = {.lex_state = 427, .external_lex_state = 2},
  [8765] = {.lex_state = 181, .external_lex_state = 3},
  [8766] = {.lex_state = 181, .external_lex_state = 3},
  [8767] = {.lex_state = 419, .external_lex_state = 2},
  [8768] = {.lex_state = 429, .external_lex_state = 2},
  [8769] = {.lex_state = 181, .external_lex_state = 3},
  [8770] = {.lex_state = 181, .external_lex_state = 3},
  [8771] = {.lex_state = 427, .external_lex_state = 2},
  [8772] = {.lex_state = 181, .external_lex_state = 3},
  [8773] = {.lex_state = 427, .external_lex_state = 2},
  [8774] = {.lex_state = 181, .external_lex_state = 3},
  [8775] = {.lex_state = 181, .external_lex_state = 3},
  [8776] = {.lex_state = 181, .external_lex_state = 3},
  [8777] = {.lex_state = 427, .external_lex_state = 2},
  [8778] = {.lex_state = 181, .external_lex_state = 3},
  [8779] = {.lex_state = 427, .external_lex_state = 2},
  [8780] = {.lex_state = 181, .external_lex_state = 3},
  [8781] = {.lex_state = 181, .external_lex_state = 3},
  [8782] = {.lex_state = 181, .external_lex_state = 3},
  [8783] = {.lex_state = 181, .external_lex_state = 3},
  [8784] = {.lex_state = 181, .external_lex_state = 3},
  [8785] = {.lex_state = 181, .external_lex_state = 3},
  [8786] = {.lex_state = 181, .external_lex_state = 3},
  [8787] = {.lex_state = 427, .external_lex_state = 2},
  [8788] = {.lex_state = 181, .external_lex_state = 3},
  [8789] = {.lex_state = 181, .external_lex_state = 3},
  [8790] = {.lex_state = 181, .external_lex_state = 3},
  [8791] = {.lex_state = 427, .external_lex_state = 2},
  [8792] = {.lex_state = 181, .external_lex_state = 3},
  [8793] = {.lex_state = 427, .external_lex_state = 2},
  [8794] = {.lex_state = 181, .external_lex_state = 3},
  [8795] = {.lex_state = 181, .external_lex_state = 3},
  [8796] = {.lex_state = 14, .external_lex_state = 2},
  [8797] = {.lex_state = 14, .external_lex_state = 2},
  [8798] = {.lex_state = 427, .external_lex_state = 2},
  [8799] = {.lex_state = 181, .external_lex_state = 3},
  [8800] = {.lex_state = 181, .external_lex_state = 3},
  [8801] = {.lex_state = 419, .external_lex_state = 2},
  [8802] = {.lex_state = 181, .external_lex_state = 3},
  [8803] = {.lex_state = 181, .external_lex_state = 3},
  [8804] = {.lex_state = 181, .external_lex_state = 3},
  [8805] = {.lex_state = 427, .external_lex_state = 2},
  [8806] = {.lex_state = 427, .external_lex_state = 2},
  [8807] = {.lex_state = 427, .external_lex_state = 2},
  [8808] = {.lex_state = 181, .external_lex_state = 3},
  [8809] = {.lex_state = 181, .external_lex_state = 3},
  [8810] = {.lex_state = 181, .external_lex_state = 3},
  [8811] = {.lex_state = 181, .external_lex_state = 3},
  [8812] = {.lex_state = 181, .external_lex_state = 3},
  [8813] = {.lex_state = 419, .external_lex_state = 2},
  [8814] = {.lex_state = 181, .external_lex_state = 3},
  [8815] = {.lex_state = 181, .external_lex_state = 3},
  [8816] = {.lex_state = 225, .external_lex_state = 2},
  [8817] = {.lex_state = 419, .external_lex_state = 2},
  [8818] = {.lex_state = 226, .external_lex_state = 2},
  [8819] = {.lex_state = 427, .external_lex_state = 2},
  [8820] = {.lex_state = 226, .external_lex_state = 2},
  [8821] = {.lex_state = 419, .external_lex_state = 2},
  [8822] = {.lex_state = 427, .external_lex_state = 2},
  [8823] = {.lex_state = 419, .external_lex_state = 2},
  [8824] = {.lex_state = 226, .external_lex_state = 2},
  [8825] = {.lex_state = 419, .external_lex_state = 2},
  [8826] = {.lex_state = 225, .external_lex_state = 2},
  [8827] = {.lex_state = 225, .external_lex_state = 2},
  [8828] = {.lex_state = 431, .external_lex_state = 2},
  [8829] = {.lex_state = 419, .external_lex_state = 2},
  [8830] = {.lex_state = 427, .external_lex_state = 2},
  [8831] = {.lex_state = 419, .external_lex_state = 2},
  [8832] = {.lex_state = 7, .external_lex_state = 2},
  [8833] = {.lex_state = 7, .external_lex_state = 2},
  [8834] = {.lex_state = 434, .external_lex_state = 2},
  [8835] = {.lex_state = 7, .external_lex_state = 2},
  [8836] = {.lex_state = 7, .external_lex_state = 2},
  [8837] = {.lex_state = 7, .external_lex_state = 2},
  [8838] = {.lex_state = 419, .external_lex_state = 2},
  [8839] = {.lex_state = 7, .external_lex_state = 2},
  [8840] = {.lex_state = 215, .external_lex_state = 2},
  [8841] = {.lex_state = 427, .external_lex_state = 2},
  [8842] = {.lex_state = 427, .external_lex_state = 2},
  [8843] = {.lex_state = 7, .external_lex_state = 2},
  [8844] = {.lex_state = 427, .external_lex_state = 2},
  [8845] = {.lex_state = 419, .external_lex_state = 2},
  [8846] = {.lex_state = 434, .external_lex_state = 2},
  [8847] = {.lex_state = 7, .external_lex_state = 2},
  [8848] = {.lex_state = 419, .external_lex_state = 2},
  [8849] = {.lex_state = 7, .external_lex_state = 2},
  [8850] = {.lex_state = 7, .external_lex_state = 2},
  [8851] = {.lex_state = 7, .external_lex_state = 2},
  [8852] = {.lex_state = 7, .external_lex_state = 2},
  [8853] = {.lex_state = 419, .external_lex_state = 2},
  [8854] = {.lex_state = 216, .external_lex_state = 2},
  [8855] = {.lex_state = 7, .external_lex_state = 2},
  [8856] = {.lex_state = 225, .external_lex_state = 2},
  [8857] = {.lex_state = 7, .external_lex_state = 2},
  [8858] = {.lex_state = 7, .external_lex_state = 2},
  [8859] = {.lex_state = 7, .external_lex_state = 2},
  [8860] = {.lex_state = 7, .external_lex_state = 2},
  [8861] = {.lex_state = 7, .external_lex_state = 2},
  [8862] = {.lex_state = 427, .external_lex_state = 2},
  [8863] = {.lex_state = 7, .external_lex_state = 2},
  [8864] = {.lex_state = 7, .external_lex_state = 2},
  [8865] = {.lex_state = 226, .external_lex_state = 2},
  [8866] = {.lex_state = 7, .external_lex_state = 2},
  [8867] = {.lex_state = 7, .external_lex_state = 2},
  [8868] = {.lex_state = 7, .external_lex_state = 2},
  [8869] = {.lex_state = 419, .external_lex_state = 2},
  [8870] = {.lex_state = 7, .external_lex_state = 2},
  [8871] = {.lex_state = 7, .external_lex_state = 2},
  [8872] = {.lex_state = 419, .external_lex_state = 2},
  [8873] = {.lex_state = 7, .external_lex_state = 2},
  [8874] = {.lex_state = 216, .external_lex_state = 2},
  [8875] = {.lex_state = 7, .external_lex_state = 2},
  [8876] = {.lex_state = 7, .external_lex_state = 2},
  [8877] = {.lex_state = 7, .external_lex_state = 2},
  [8878] = {.lex_state = 434, .external_lex_state = 2},
  [8879] = {.lex_state = 427, .external_lex_state = 2},
  [8880] = {.lex_state = 7, .external_lex_state = 2},
  [8881] = {.lex_state = 7, .external_lex_state = 2},
  [8882] = {.lex_state = 7, .external_lex_state = 2},
  [8883] = {.lex_state = 7, .external_lex_state = 2},
  [8884] = {.lex_state = 7, .external_lex_state = 2},
  [8885] = {.lex_state = 7, .external_lex_state = 2},
  [8886] = {.lex_state = 7, .external_lex_state = 2},
  [8887] = {.lex_state = 7, .external_lex_state = 2},
  [8888] = {.lex_state = 419, .external_lex_state = 2},
  [8889] = {.lex_state = 7, .external_lex_state = 2},
  [8890] = {.lex_state = 7, .external_lex_state = 2},
  [8891] = {.lex_state = 419, .external_lex_state = 2},
  [8892] = {.lex_state = 427, .external_lex_state = 2},
  [8893] = {.lex_state = 215, .external_lex_state = 2},
  [8894] = {.lex_state = 419, .external_lex_state = 2},
  [8895] = {.lex_state = 427, .external_lex_state = 2},
  [8896] = {.lex_state = 427, .external_lex_state = 2},
  [8897] = {.lex_state = 419, .external_lex_state = 2},
  [8898] = {.lex_state = 419, .external_lex_state = 2},
  [8899] = {.lex_state = 427, .external_lex_state = 2},
  [8900] = {.lex_state = 7, .external_lex_state = 2},
  [8901] = {.lex_state = 7, .external_lex_state = 2},
  [8902] = {.lex_state = 7, .external_lex_state = 2},
  [8903] = {.lex_state = 7, .external_lex_state = 2},
  [8904] = {.lex_state = 18, .external_lex_state = 3},
  [8905] = {.lex_state = 7, .external_lex_state = 2},
  [8906] = {.lex_state = 7, .external_lex_state = 2},
  [8907] = {.lex_state = 7, .external_lex_state = 2},
  [8908] = {.lex_state = 226, .external_lex_state = 2},
  [8909] = {.lex_state = 226, .external_lex_state = 2},
  [8910] = {.lex_state = 226, .external_lex_state = 2},
  [8911] = {.lex_state = 226, .external_lex_state = 2},
  [8912] = {.lex_state = 7, .external_lex_state = 2},
  [8913] = {.lex_state = 7, .external_lex_state = 2},
  [8914] = {.lex_state = 18, .external_lex_state = 3},
  [8915] = {.lex_state = 215, .external_lex_state = 2},
  [8916] = {.lex_state = 226, .external_lex_state = 2},
  [8917] = {.lex_state = 226, .external_lex_state = 2},
  [8918] = {.lex_state = 226, .external_lex_state = 2},
  [8919] = {.lex_state = 226, .external_lex_state = 2},
  [8920] = {.lex_state = 225, .external_lex_state = 2},
  [8921] = {.lex_state = 215, .external_lex_state = 2},
  [8922] = {.lex_state = 18, .external_lex_state = 3},
  [8923] = {.lex_state = 18, .external_lex_state = 3},
  [8924] = {.lex_state = 7, .external_lex_state = 2},
  [8925] = {.lex_state = 7, .external_lex_state = 2},
  [8926] = {.lex_state = 7, .external_lex_state = 2},
  [8927] = {.lex_state = 18, .external_lex_state = 3},
  [8928] = {.lex_state = 7, .external_lex_state = 2},
  [8929] = {.lex_state = 225, .external_lex_state = 2},
  [8930] = {.lex_state = 7, .external_lex_state = 2},
  [8931] = {.lex_state = 226, .external_lex_state = 2},
  [8932] = {.lex_state = 7, .external_lex_state = 2},
  [8933] = {.lex_state = 226, .external_lex_state = 2},
  [8934] = {.lex_state = 226, .external_lex_state = 2},
  [8935] = {.lex_state = 226, .external_lex_state = 2},
  [8936] = {.lex_state = 226, .external_lex_state = 2},
  [8937] = {.lex_state = 226, .external_lex_state = 2},
  [8938] = {.lex_state = 225, .external_lex_state = 2},
  [8939] = {.lex_state = 225, .external_lex_state = 2},
  [8940] = {.lex_state = 7, .external_lex_state = 2},
  [8941] = {.lex_state = 182, .external_lex_state = 3},
  [8942] = {.lex_state = 7, .external_lex_state = 2},
  [8943] = {.lex_state = 7, .external_lex_state = 2},
  [8944] = {.lex_state = 226, .external_lex_state = 2},
  [8945] = {.lex_state = 226, .external_lex_state = 2},
  [8946] = {.lex_state = 226, .external_lex_state = 2},
  [8947] = {.lex_state = 7, .external_lex_state = 2},
  [8948] = {.lex_state = 226, .external_lex_state = 2},
  [8949] = {.lex_state = 7, .external_lex_state = 2},
  [8950] = {.lex_state = 7, .external_lex_state = 2},
  [8951] = {.lex_state = 7, .external_lex_state = 2},
  [8952] = {.lex_state = 7, .external_lex_state = 2},
  [8953] = {.lex_state = 7, .external_lex_state = 2},
  [8954] = {.lex_state = 216, .external_lex_state = 2},
  [8955] = {.lex_state = 226, .external_lex_state = 2},
  [8956] = {.lex_state = 419, .external_lex_state = 2},
  [8957] = {.lex_state = 18, .external_lex_state = 3},
  [8958] = {.lex_state = 430, .external_lex_state = 2},
  [8959] = {.lex_state = 7, .external_lex_state = 2},
  [8960] = {.lex_state = 18, .external_lex_state = 3},
  [8961] = {.lex_state = 226, .external_lex_state = 2},
  [8962] = {.lex_state = 215, .external_lex_state = 2},
  [8963] = {.lex_state = 18, .external_lex_state = 3},
  [8964] = {.lex_state = 216, .external_lex_state = 2},
  [8965] = {.lex_state = 7, .external_lex_state = 2},
  [8966] = {.lex_state = 426, .external_lex_state = 2},
  [8967] = {.lex_state = 18, .external_lex_state = 3},
  [8968] = {.lex_state = 7, .external_lex_state = 2},
  [8969] = {.lex_state = 7, .external_lex_state = 2},
  [8970] = {.lex_state = 7, .external_lex_state = 2},
  [8971] = {.lex_state = 225, .external_lex_state = 2},
  [8972] = {.lex_state = 7, .external_lex_state = 2},
  [8973] = {.lex_state = 225, .external_lex_state = 2},
  [8974] = {.lex_state = 7, .external_lex_state = 2},
  [8975] = {.lex_state = 225, .external_lex_state = 2},
  [8976] = {.lex_state = 7, .external_lex_state = 2},
  [8977] = {.lex_state = 18, .external_lex_state = 3},
  [8978] = {.lex_state = 225, .external_lex_state = 2},
  [8979] = {.lex_state = 7, .external_lex_state = 2},
  [8980] = {.lex_state = 7, .external_lex_state = 2},
  [8981] = {.lex_state = 7, .external_lex_state = 2},
  [8982] = {.lex_state = 7, .external_lex_state = 2},
  [8983] = {.lex_state = 226, .external_lex_state = 2},
  [8984] = {.lex_state = 430, .external_lex_state = 2},
  [8985] = {.lex_state = 7, .external_lex_state = 2},
  [8986] = {.lex_state = 7, .external_lex_state = 2},
  [8987] = {.lex_state = 215, .external_lex_state = 2},
  [8988] = {.lex_state = 7, .external_lex_state = 2},
  [8989] = {.lex_state = 18, .external_lex_state = 3},
  [8990] = {.lex_state = 7, .external_lex_state = 2},
  [8991] = {.lex_state = 18, .external_lex_state = 3},
  [8992] = {.lex_state = 7, .external_lex_state = 2},
  [8993] = {.lex_state = 216, .external_lex_state = 2},
  [8994] = {.lex_state = 225, .external_lex_state = 2},
  [8995] = {.lex_state = 7, .external_lex_state = 2},
  [8996] = {.lex_state = 18, .external_lex_state = 3},
  [8997] = {.lex_state = 7, .external_lex_state = 2},
  [8998] = {.lex_state = 18, .external_lex_state = 3},
  [8999] = {.lex_state = 432, .external_lex_state = 2},
  [9000] = {.lex_state = 7, .external_lex_state = 2},
  [9001] = {.lex_state = 225, .external_lex_state = 2},
  [9002] = {.lex_state = 7, .external_lex_state = 2},
  [9003] = {.lex_state = 18, .external_lex_state = 3},
  [9004] = {.lex_state = 7, .external_lex_state = 2},
  [9005] = {.lex_state = 18, .external_lex_state = 3},
  [9006] = {.lex_state = 7, .external_lex_state = 2},
  [9007] = {.lex_state = 7, .external_lex_state = 2},
  [9008] = {.lex_state = 7, .external_lex_state = 2},
  [9009] = {.lex_state = 225, .external_lex_state = 2},
  [9010] = {.lex_state = 225, .external_lex_state = 2},
  [9011] = {.lex_state = 225, .external_lex_state = 2},
  [9012] = {.lex_state = 225, .external_lex_state = 2},
  [9013] = {.lex_state = 7, .external_lex_state = 2},
  [9014] = {.lex_state = 7, .external_lex_state = 2},
  [9015] = {.lex_state = 7, .external_lex_state = 2},
  [9016] = {.lex_state = 7, .external_lex_state = 2},
  [9017] = {.lex_state = 18, .external_lex_state = 3},
  [9018] = {.lex_state = 7, .external_lex_state = 2},
  [9019] = {.lex_state = 7, .external_lex_state = 2},
  [9020] = {.lex_state = 7, .external_lex_state = 2},
  [9021] = {.lex_state = 225, .external_lex_state = 2},
  [9022] = {.lex_state = 7, .external_lex_state = 2},
  [9023] = {.lex_state = 7, .external_lex_state = 2},
  [9024] = {.lex_state = 7, .external_lex_state = 2},
  [9025] = {.lex_state = 7, .external_lex_state = 2},
  [9026] = {.lex_state = 7, .external_lex_state = 2},
  [9027] = {.lex_state = 426, .external_lex_state = 2},
  [9028] = {.lex_state = 225, .external_lex_state = 2},
  [9029] = {.lex_state = 225, .external_lex_state = 2},
  [9030] = {.lex_state = 18, .external_lex_state = 3},
  [9031] = {.lex_state = 182, .external_lex_state = 3},
  [9032] = {.lex_state = 419, .external_lex_state = 2},
  [9033] = {.lex_state = 18, .external_lex_state = 3},
  [9034] = {.lex_state = 7, .external_lex_state = 2},
  [9035] = {.lex_state = 225, .external_lex_state = 2},
  [9036] = {.lex_state = 7, .external_lex_state = 2},
  [9037] = {.lex_state = 216, .external_lex_state = 2},
  [9038] = {.lex_state = 216, .external_lex_state = 2},
  [9039] = {.lex_state = 216, .external_lex_state = 2},
  [9040] = {.lex_state = 7, .external_lex_state = 2},
  [9041] = {.lex_state = 225, .external_lex_state = 2},
  [9042] = {.lex_state = 7, .external_lex_state = 2},
  [9043] = {.lex_state = 7, .external_lex_state = 2},
  [9044] = {.lex_state = 7, .external_lex_state = 2},
  [9045] = {.lex_state = 7, .external_lex_state = 2},
  [9046] = {.lex_state = 434, .external_lex_state = 2},
  [9047] = {.lex_state = 7, .external_lex_state = 2},
  [9048] = {.lex_state = 18, .external_lex_state = 3},
  [9049] = {.lex_state = 18, .external_lex_state = 3},
  [9050] = {.lex_state = 7, .external_lex_state = 2},
  [9051] = {.lex_state = 18, .external_lex_state = 3},
  [9052] = {.lex_state = 7, .external_lex_state = 2},
  [9053] = {.lex_state = 7, .external_lex_state = 2},
  [9054] = {.lex_state = 225, .external_lex_state = 2},
  [9055] = {.lex_state = 225, .external_lex_state = 2},
  [9056] = {.lex_state = 7, .external_lex_state = 2},
  [9057] = {.lex_state = 225, .external_lex_state = 2},
  [9058] = {.lex_state = 225, .external_lex_state = 2},
  [9059] = {.lex_state = 225, .external_lex_state = 2},
  [9060] = {.lex_state = 7, .external_lex_state = 2},
  [9061] = {.lex_state = 225, .external_lex_state = 2},
  [9062] = {.lex_state = 419, .external_lex_state = 2},
  [9063] = {.lex_state = 7, .external_lex_state = 2},
  [9064] = {.lex_state = 7, .external_lex_state = 2},
  [9065] = {.lex_state = 215, .external_lex_state = 2},
  [9066] = {.lex_state = 419, .external_lex_state = 2},
  [9067] = {.lex_state = 7, .external_lex_state = 2},
  [9068] = {.lex_state = 215, .external_lex_state = 2},
  [9069] = {.lex_state = 215, .external_lex_state = 2},
  [9070] = {.lex_state = 7, .external_lex_state = 2},
  [9071] = {.lex_state = 18, .external_lex_state = 3},
  [9072] = {.lex_state = 18, .external_lex_state = 3},
  [9073] = {.lex_state = 7, .external_lex_state = 2},
  [9074] = {.lex_state = 7, .external_lex_state = 2},
  [9075] = {.lex_state = 225, .external_lex_state = 2},
  [9076] = {.lex_state = 225, .external_lex_state = 2},
  [9077] = {.lex_state = 225, .external_lex_state = 2},
  [9078] = {.lex_state = 18, .external_lex_state = 3},
  [9079] = {.lex_state = 7, .external_lex_state = 2},
  [9080] = {.lex_state = 432, .external_lex_state = 2},
  [9081] = {.lex_state = 7, .external_lex_state = 2},
  [9082] = {.lex_state = 7, .external_lex_state = 2},
  [9083] = {.lex_state = 225, .external_lex_state = 2},
  [9084] = {.lex_state = 7, .external_lex_state = 2},
  [9085] = {.lex_state = 7, .external_lex_state = 2},
  [9086] = {.lex_state = 7, .external_lex_state = 2},
  [9087] = {.lex_state = 225, .external_lex_state = 2},
  [9088] = {.lex_state = 7, .external_lex_state = 2},
  [9089] = {.lex_state = 18, .external_lex_state = 3},
  [9090] = {.lex_state = 7, .external_lex_state = 2},
  [9091] = {.lex_state = 18, .external_lex_state = 3},
  [9092] = {.lex_state = 7, .external_lex_state = 2},
  [9093] = {.lex_state = 7, .external_lex_state = 2},
  [9094] = {.lex_state = 7, .external_lex_state = 2},
  [9095] = {.lex_state = 7, .external_lex_state = 2},
  [9096] = {.lex_state = 18, .external_lex_state = 3},
  [9097] = {.lex_state = 7, .external_lex_state = 2},
  [9098] = {.lex_state = 7, .external_lex_state = 2},
  [9099] = {.lex_state = 18, .external_lex_state = 3},
  [9100] = {.lex_state = 7, .external_lex_state = 2},
  [9101] = {.lex_state = 226, .external_lex_state = 2},
  [9102] = {.lex_state = 7, .external_lex_state = 2},
  [9103] = {.lex_state = 226, .external_lex_state = 2},
  [9104] = {.lex_state = 18, .external_lex_state = 3},
  [9105] = {.lex_state = 18, .external_lex_state = 3},
  [9106] = {.lex_state = 7, .external_lex_state = 2},
  [9107] = {.lex_state = 18, .external_lex_state = 3},
  [9108] = {.lex_state = 7, .external_lex_state = 2},
  [9109] = {.lex_state = 18, .external_lex_state = 3},
  [9110] = {.lex_state = 7, .external_lex_state = 2},
  [9111] = {.lex_state = 7, .external_lex_state = 2},
  [9112] = {.lex_state = 18, .external_lex_state = 3},
  [9113] = {.lex_state = 7, .external_lex_state = 2},
  [9114] = {.lex_state = 18, .external_lex_state = 3},
  [9115] = {.lex_state = 215, .external_lex_state = 2},
  [9116] = {.lex_state = 216, .external_lex_state = 2},
  [9117] = {.lex_state = 7, .external_lex_state = 2},
  [9118] = {.lex_state = 7, .external_lex_state = 2},
  [9119] = {.lex_state = 7, .external_lex_state = 2},
  [9120] = {.lex_state = 18, .external_lex_state = 3},
  [9121] = {.lex_state = 216, .external_lex_state = 2},
  [9122] = {.lex_state = 7, .external_lex_state = 2},
  [9123] = {.lex_state = 7, .external_lex_state = 2},
  [9124] = {.lex_state = 7, .external_lex_state = 2},
  [9125] = {.lex_state = 18, .external_lex_state = 3},
  [9126] = {.lex_state = 226, .external_lex_state = 2},
  [9127] = {.lex_state = 225, .external_lex_state = 2},
  [9128] = {.lex_state = 226, .external_lex_state = 2},
  [9129] = {.lex_state = 7, .external_lex_state = 2},
  [9130] = {.lex_state = 419, .external_lex_state = 2},
  [9131] = {.lex_state = 226, .external_lex_state = 2},
  [9132] = {.lex_state = 7, .external_lex_state = 2},
  [9133] = {.lex_state = 7, .external_lex_state = 2},
  [9134] = {.lex_state = 18, .external_lex_state = 3},
  [9135] = {.lex_state = 18, .external_lex_state = 3},
  [9136] = {.lex_state = 18, .external_lex_state = 3},
  [9137] = {.lex_state = 7, .external_lex_state = 2},
  [9138] = {.lex_state = 18, .external_lex_state = 3},
  [9139] = {.lex_state = 18, .external_lex_state = 3},
  [9140] = {.lex_state = 18, .external_lex_state = 3},
  [9141] = {.lex_state = 7, .external_lex_state = 2},
  [9142] = {.lex_state = 7, .external_lex_state = 2},
  [9143] = {.lex_state = 7, .external_lex_state = 2},
  [9144] = {.lex_state = 7, .external_lex_state = 2},
  [9145] = {.lex_state = 7, .external_lex_state = 2},
  [9146] = {.lex_state = 7, .external_lex_state = 2},
  [9147] = {.lex_state = 7, .external_lex_state = 2},
  [9148] = {.lex_state = 426, .external_lex_state = 2},
  [9149] = {.lex_state = 7, .external_lex_state = 2},
  [9150] = {.lex_state = 7, .external_lex_state = 2},
  [9151] = {.lex_state = 18, .external_lex_state = 3},
  [9152] = {.lex_state = 18, .external_lex_state = 3},
  [9153] = {.lex_state = 7, .external_lex_state = 2},
  [9154] = {.lex_state = 7, .external_lex_state = 2},
  [9155] = {.lex_state = 18, .external_lex_state = 3},
  [9156] = {.lex_state = 7, .external_lex_state = 2},
  [9157] = {.lex_state = 7, .external_lex_state = 2},
  [9158] = {.lex_state = 7, .external_lex_state = 2},
  [9159] = {.lex_state = 7, .external_lex_state = 2},
  [9160] = {.lex_state = 7, .external_lex_state = 2},
  [9161] = {.lex_state = 7, .external_lex_state = 2},
  [9162] = {.lex_state = 7, .external_lex_state = 2},
  [9163] = {.lex_state = 7, .external_lex_state = 2},
  [9164] = {.lex_state = 18, .external_lex_state = 3},
  [9165] = {.lex_state = 226, .external_lex_state = 2},
  [9166] = {.lex_state = 7, .external_lex_state = 2},
  [9167] = {.lex_state = 18, .external_lex_state = 3},
  [9168] = {.lex_state = 226, .external_lex_state = 2},
  [9169] = {.lex_state = 7, .external_lex_state = 2},
  [9170] = {.lex_state = 226, .external_lex_state = 2},
  [9171] = {.lex_state = 7, .external_lex_state = 2},
  [9172] = {.lex_state = 18, .external_lex_state = 3},
  [9173] = {.lex_state = 18, .external_lex_state = 3},
  [9174] = {.lex_state = 225, .external_lex_state = 2},
  [9175] = {.lex_state = 226, .external_lex_state = 2},
  [9176] = {.lex_state = 226, .external_lex_state = 2},
  [9177] = {.lex_state = 7, .external_lex_state = 2},
  [9178] = {.lex_state = 18, .external_lex_state = 3},
  [9179] = {.lex_state = 427, .external_lex_state = 2},
  [9180] = {.lex_state = 7, .external_lex_state = 2},
  [9181] = {.lex_state = 18, .external_lex_state = 3},
  [9182] = {.lex_state = 7, .external_lex_state = 2},
  [9183] = {.lex_state = 18, .external_lex_state = 3},
  [9184] = {.lex_state = 18, .external_lex_state = 3},
  [9185] = {.lex_state = 226, .external_lex_state = 2},
  [9186] = {.lex_state = 7, .external_lex_state = 2},
  [9187] = {.lex_state = 18, .external_lex_state = 3},
  [9188] = {.lex_state = 18, .external_lex_state = 3},
  [9189] = {.lex_state = 18, .external_lex_state = 3},
  [9190] = {.lex_state = 7, .external_lex_state = 2},
  [9191] = {.lex_state = 7, .external_lex_state = 2},
  [9192] = {.lex_state = 18, .external_lex_state = 3},
  [9193] = {.lex_state = 7, .external_lex_state = 2},
  [9194] = {.lex_state = 18, .external_lex_state = 3},
  [9195] = {.lex_state = 429, .external_lex_state = 2},
  [9196] = {.lex_state = 18, .external_lex_state = 3},
  [9197] = {.lex_state = 18, .external_lex_state = 3},
  [9198] = {.lex_state = 18, .external_lex_state = 3},
  [9199] = {.lex_state = 427, .external_lex_state = 2},
  [9200] = {.lex_state = 18, .external_lex_state = 3},
  [9201] = {.lex_state = 18, .external_lex_state = 3},
  [9202] = {.lex_state = 7, .external_lex_state = 2},
  [9203] = {.lex_state = 18, .external_lex_state = 3},
  [9204] = {.lex_state = 18, .external_lex_state = 3},
  [9205] = {.lex_state = 18, .external_lex_state = 3},
  [9206] = {.lex_state = 18, .external_lex_state = 3},
  [9207] = {.lex_state = 430, .external_lex_state = 2},
  [9208] = {.lex_state = 18, .external_lex_state = 3},
  [9209] = {.lex_state = 18, .external_lex_state = 3},
  [9210] = {.lex_state = 18, .external_lex_state = 3},
  [9211] = {.lex_state = 18, .external_lex_state = 3},
  [9212] = {.lex_state = 18, .external_lex_state = 3},
  [9213] = {.lex_state = 7, .external_lex_state = 2},
  [9214] = {.lex_state = 7, .external_lex_state = 2},
  [9215] = {.lex_state = 18, .external_lex_state = 3},
  [9216] = {.lex_state = 18, .external_lex_state = 3},
  [9217] = {.lex_state = 430, .external_lex_state = 2},
  [9218] = {.lex_state = 14, .external_lex_state = 2},
  [9219] = {.lex_state = 14, .external_lex_state = 2},
  [9220] = {.lex_state = 14, .external_lex_state = 2},
  [9221] = {.lex_state = 14, .external_lex_state = 2},
  [9222] = {.lex_state = 7, .external_lex_state = 2},
  [9223] = {.lex_state = 419, .external_lex_state = 2},
  [9224] = {.lex_state = 13, .external_lex_state = 2},
  [9225] = {.lex_state = 434, .external_lex_state = 2},
  [9226] = {.lex_state = 13, .external_lex_state = 2},
  [9227] = {.lex_state = 172, .external_lex_state = 2},
  [9228] = {.lex_state = 7, .external_lex_state = 2},
  [9229] = {.lex_state = 216, .external_lex_state = 2},
  [9230] = {.lex_state = 215, .external_lex_state = 2},
  [9231] = {.lex_state = 13, .external_lex_state = 2},
  [9232] = {.lex_state = 216, .external_lex_state = 2},
  [9233] = {.lex_state = 215, .external_lex_state = 2},
  [9234] = {.lex_state = 200, .external_lex_state = 2},
  [9235] = {.lex_state = 427, .external_lex_state = 2},
  [9236] = {.lex_state = 215, .external_lex_state = 2},
  [9237] = {.lex_state = 215, .external_lex_state = 2},
  [9238] = {.lex_state = 216, .external_lex_state = 2},
  [9239] = {.lex_state = 216, .external_lex_state = 2},
  [9240] = {.lex_state = 427, .external_lex_state = 2},
  [9241] = {.lex_state = 215, .external_lex_state = 2},
  [9242] = {.lex_state = 211, .external_lex_state = 2},
  [9243] = {.lex_state = 427, .external_lex_state = 2},
  [9244] = {.lex_state = 427, .external_lex_state = 2},
  [9245] = {.lex_state = 7, .external_lex_state = 2},
  [9246] = {.lex_state = 215, .external_lex_state = 2},
  [9247] = {.lex_state = 216, .external_lex_state = 2},
  [9248] = {.lex_state = 216, .external_lex_state = 2},
  [9249] = {.lex_state = 215, .external_lex_state = 2},
  [9250] = {.lex_state = 173, .external_lex_state = 2},
  [9251] = {.lex_state = 215, .external_lex_state = 2},
  [9252] = {.lex_state = 215, .external_lex_state = 2},
  [9253] = {.lex_state = 216, .external_lex_state = 2},
  [9254] = {.lex_state = 216, .external_lex_state = 2},
  [9255] = {.lex_state = 172, .external_lex_state = 2},
  [9256] = {.lex_state = 434, .external_lex_state = 2},
  [9257] = {.lex_state = 200, .external_lex_state = 2},
  [9258] = {.lex_state = 216, .external_lex_state = 2},
  [9259] = {.lex_state = 200, .external_lex_state = 2},
  [9260] = {.lex_state = 182, .external_lex_state = 3},
  [9261] = {.lex_state = 434, .external_lex_state = 2},
  [9262] = {.lex_state = 215, .external_lex_state = 2},
  [9263] = {.lex_state = 216, .external_lex_state = 2},
  [9264] = {.lex_state = 216, .external_lex_state = 2},
  [9265] = {.lex_state = 434, .external_lex_state = 2},
  [9266] = {.lex_state = 215, .external_lex_state = 2},
  [9267] = {.lex_state = 173, .external_lex_state = 2},
  [9268] = {.lex_state = 215, .external_lex_state = 2},
  [9269] = {.lex_state = 215, .external_lex_state = 2},
  [9270] = {.lex_state = 427, .external_lex_state = 2},
  [9271] = {.lex_state = 434, .external_lex_state = 2},
  [9272] = {.lex_state = 216, .external_lex_state = 2},
  [9273] = {.lex_state = 434, .external_lex_state = 2},
  [9274] = {.lex_state = 434, .external_lex_state = 2},
  [9275] = {.lex_state = 216, .external_lex_state = 2},
  [9276] = {.lex_state = 216, .external_lex_state = 2},
  [9277] = {.lex_state = 7, .external_lex_state = 2},
  [9278] = {.lex_state = 434, .external_lex_state = 2},
  [9279] = {.lex_state = 427, .external_lex_state = 2},
  [9280] = {.lex_state = 7, .external_lex_state = 2},
  [9281] = {.lex_state = 216, .external_lex_state = 2},
  [9282] = {.lex_state = 434, .external_lex_state = 2},
  [9283] = {.lex_state = 427, .external_lex_state = 2},
  [9284] = {.lex_state = 216, .external_lex_state = 2},
  [9285] = {.lex_state = 216, .external_lex_state = 2},
  [9286] = {.lex_state = 182, .external_lex_state = 3},
  [9287] = {.lex_state = 427, .external_lex_state = 2},
  [9288] = {.lex_state = 434, .external_lex_state = 2},
  [9289] = {.lex_state = 215, .external_lex_state = 2},
  [9290] = {.lex_state = 434, .external_lex_state = 2},
  [9291] = {.lex_state = 215, .external_lex_state = 2},
  [9292] = {.lex_state = 216, .external_lex_state = 2},
  [9293] = {.lex_state = 172, .external_lex_state = 2},
  [9294] = {.lex_state = 434, .external_lex_state = 2},
  [9295] = {.lex_state = 215, .external_lex_state = 2},
  [9296] = {.lex_state = 427, .external_lex_state = 2},
  [9297] = {.lex_state = 173, .external_lex_state = 2},
  [9298] = {.lex_state = 216, .external_lex_state = 2},
  [9299] = {.lex_state = 215, .external_lex_state = 2},
  [9300] = {.lex_state = 216, .external_lex_state = 2},
  [9301] = {.lex_state = 215, .external_lex_state = 2},
  [9302] = {.lex_state = 13, .external_lex_state = 2},
  [9303] = {.lex_state = 216, .external_lex_state = 2},
  [9304] = {.lex_state = 172, .external_lex_state = 2},
  [9305] = {.lex_state = 13, .external_lex_state = 2},
  [9306] = {.lex_state = 216, .external_lex_state = 2},
  [9307] = {.lex_state = 215, .external_lex_state = 2},
  [9308] = {.lex_state = 216, .external_lex_state = 2},
  [9309] = {.lex_state = 432, .external_lex_state = 2},
  [9310] = {.lex_state = 432, .external_lex_state = 2},
  [9311] = {.lex_state = 216, .external_lex_state = 2},
  [9312] = {.lex_state = 13, .external_lex_state = 2},
  [9313] = {.lex_state = 13, .external_lex_state = 2},
  [9314] = {.lex_state = 216, .external_lex_state = 2},
  [9315] = {.lex_state = 215, .external_lex_state = 2},
  [9316] = {.lex_state = 427, .external_lex_state = 2},
  [9317] = {.lex_state = 13, .external_lex_state = 2},
  [9318] = {.lex_state = 215, .external_lex_state = 2},
  [9319] = {.lex_state = 9, .external_lex_state = 2},
  [9320] = {.lex_state = 216, .external_lex_state = 2},
  [9321] = {.lex_state = 7, .external_lex_state = 2},
  [9322] = {.lex_state = 432, .external_lex_state = 2},
  [9323] = {.lex_state = 434, .external_lex_state = 2},
  [9324] = {.lex_state = 7, .external_lex_state = 2},
  [9325] = {.lex_state = 13, .external_lex_state = 2},
  [9326] = {.lex_state = 215, .external_lex_state = 2},
  [9327] = {.lex_state = 216, .external_lex_state = 2},
  [9328] = {.lex_state = 432, .external_lex_state = 2},
  [9329] = {.lex_state = 13, .external_lex_state = 2},
  [9330] = {.lex_state = 215, .external_lex_state = 2},
  [9331] = {.lex_state = 432, .external_lex_state = 2},
  [9332] = {.lex_state = 216, .external_lex_state = 2},
  [9333] = {.lex_state = 211, .external_lex_state = 2},
  [9334] = {.lex_state = 434, .external_lex_state = 2},
  [9335] = {.lex_state = 215, .external_lex_state = 2},
  [9336] = {.lex_state = 200, .external_lex_state = 2},
  [9337] = {.lex_state = 434, .external_lex_state = 2},
  [9338] = {.lex_state = 13, .external_lex_state = 2},
  [9339] = {.lex_state = 215, .external_lex_state = 2},
  [9340] = {.lex_state = 215, .external_lex_state = 2},
  [9341] = {.lex_state = 7, .external_lex_state = 2},
  [9342] = {.lex_state = 215, .external_lex_state = 2},
  [9343] = {.lex_state = 215, .external_lex_state = 2},
  [9344] = {.lex_state = 215, .external_lex_state = 2},
  [9345] = {.lex_state = 13, .external_lex_state = 2},
  [9346] = {.lex_state = 434, .external_lex_state = 2},
  [9347] = {.lex_state = 172, .external_lex_state = 2},
  [9348] = {.lex_state = 200, .external_lex_state = 2},
  [9349] = {.lex_state = 434, .external_lex_state = 2},
  [9350] = {.lex_state = 215, .external_lex_state = 2},
  [9351] = {.lex_state = 216, .external_lex_state = 2},
  [9352] = {.lex_state = 427, .external_lex_state = 2},
  [9353] = {.lex_state = 434, .external_lex_state = 2},
  [9354] = {.lex_state = 434, .external_lex_state = 2},
  [9355] = {.lex_state = 215, .external_lex_state = 2},
  [9356] = {.lex_state = 216, .external_lex_state = 2},
  [9357] = {.lex_state = 426, .external_lex_state = 2},
  [9358] = {.lex_state = 215, .external_lex_state = 2},
  [9359] = {.lex_state = 7, .external_lex_state = 2},
  [9360] = {.lex_state = 13, .external_lex_state = 2},
  [9361] = {.lex_state = 434, .external_lex_state = 2},
  [9362] = {.lex_state = 182, .external_lex_state = 3},
  [9363] = {.lex_state = 434, .external_lex_state = 2},
  [9364] = {.lex_state = 13, .external_lex_state = 2},
  [9365] = {.lex_state = 215, .external_lex_state = 2},
  [9366] = {.lex_state = 13, .external_lex_state = 2},
  [9367] = {.lex_state = 7, .external_lex_state = 2},
  [9368] = {.lex_state = 13, .external_lex_state = 2},
  [9369] = {.lex_state = 427, .external_lex_state = 2},
  [9370] = {.lex_state = 434, .external_lex_state = 2},
  [9371] = {.lex_state = 427, .external_lex_state = 2},
  [9372] = {.lex_state = 432, .external_lex_state = 2},
  [9373] = {.lex_state = 434, .external_lex_state = 2},
  [9374] = {.lex_state = 432, .external_lex_state = 2},
  [9375] = {.lex_state = 434, .external_lex_state = 2},
  [9376] = {.lex_state = 7, .external_lex_state = 2},
  [9377] = {.lex_state = 216, .external_lex_state = 2},
  [9378] = {.lex_state = 434, .external_lex_state = 2},
  [9379] = {.lex_state = 432, .external_lex_state = 2},
  [9380] = {.lex_state = 434, .external_lex_state = 2},
  [9381] = {.lex_state = 216, .external_lex_state = 2},
  [9382] = {.lex_state = 172, .external_lex_state = 2},
  [9383] = {.lex_state = 173, .external_lex_state = 2},
  [9384] = {.lex_state = 13, .external_lex_state = 2},
  [9385] = {.lex_state = 434, .external_lex_state = 2},
  [9386] = {.lex_state = 13, .external_lex_state = 2},
  [9387] = {.lex_state = 215, .external_lex_state = 2},
  [9388] = {.lex_state = 173, .external_lex_state = 2},
  [9389] = {.lex_state = 434, .external_lex_state = 2},
  [9390] = {.lex_state = 13, .external_lex_state = 2},
  [9391] = {.lex_state = 173, .external_lex_state = 2},
  [9392] = {.lex_state = 216, .external_lex_state = 2},
  [9393] = {.lex_state = 434, .external_lex_state = 2},
  [9394] = {.lex_state = 434, .external_lex_state = 2},
  [9395] = {.lex_state = 13, .external_lex_state = 2},
  [9396] = {.lex_state = 427, .external_lex_state = 2},
  [9397] = {.lex_state = 13, .external_lex_state = 2},
  [9398] = {.lex_state = 13, .external_lex_state = 2},
  [9399] = {.lex_state = 434, .external_lex_state = 2},
  [9400] = {.lex_state = 13, .external_lex_state = 2},
  [9401] = {.lex_state = 13, .external_lex_state = 2},
  [9402] = {.lex_state = 216, .external_lex_state = 2},
  [9403] = {.lex_state = 427, .external_lex_state = 2},
  [9404] = {.lex_state = 434, .external_lex_state = 2},
  [9405] = {.lex_state = 427, .external_lex_state = 2},
  [9406] = {.lex_state = 427, .external_lex_state = 2},
  [9407] = {.lex_state = 182, .external_lex_state = 3},
  [9408] = {.lex_state = 427, .external_lex_state = 2},
  [9409] = {.lex_state = 9, .external_lex_state = 2},
  [9410] = {.lex_state = 9, .external_lex_state = 2},
  [9411] = {.lex_state = 9, .external_lex_state = 2},
  [9412] = {.lex_state = 9, .external_lex_state = 2},
  [9413] = {.lex_state = 15, .external_lex_state = 2},
  [9414] = {.lex_state = 15, .external_lex_state = 2},
  [9415] = {.lex_state = 9, .external_lex_state = 2},
  [9416] = {.lex_state = 9, .external_lex_state = 2},
  [9417] = {.lex_state = 9, .external_lex_state = 2},
  [9418] = {.lex_state = 9, .external_lex_state = 2},
  [9419] = {.lex_state = 426, .external_lex_state = 2},
  [9420] = {.lex_state = 9, .external_lex_state = 2},
  [9421] = {.lex_state = 211, .external_lex_state = 2},
  [9422] = {.lex_state = 211, .external_lex_state = 2},
  [9423] = {.lex_state = 9, .external_lex_state = 2},
  [9424] = {.lex_state = 9, .external_lex_state = 2},
  [9425] = {.lex_state = 9, .external_lex_state = 2},
  [9426] = {.lex_state = 9, .external_lex_state = 2},
  [9427] = {.lex_state = 9, .external_lex_state = 2},
  [9428] = {.lex_state = 9, .external_lex_state = 2},
  [9429] = {.lex_state = 9, .external_lex_state = 2},
  [9430] = {.lex_state = 9, .external_lex_state = 2},
  [9431] = {.lex_state = 15, .external_lex_state = 2},
  [9432] = {.lex_state = 426, .external_lex_state = 2},
  [9433] = {.lex_state = 9, .external_lex_state = 2},
  [9434] = {.lex_state = 211, .external_lex_state = 2},
  [9435] = {.lex_state = 211, .external_lex_state = 2},
  [9436] = {.lex_state = 15, .external_lex_state = 2},
  [9437] = {.lex_state = 211, .external_lex_state = 2},
  [9438] = {.lex_state = 15, .external_lex_state = 2},
  [9439] = {.lex_state = 15, .external_lex_state = 2},
  [9440] = {.lex_state = 15, .external_lex_state = 2},
  [9441] = {.lex_state = 15, .external_lex_state = 2},
  [9442] = {.lex_state = 15, .external_lex_state = 2},
  [9443] = {.lex_state = 14, .external_lex_state = 2},
  [9444] = {.lex_state = 15, .external_lex_state = 2},
  [9445] = {.lex_state = 14, .external_lex_state = 2},
  [9446] = {.lex_state = 15, .external_lex_state = 2},
  [9447] = {.lex_state = 211, .external_lex_state = 2},
  [9448] = {.lex_state = 15, .external_lex_state = 2},
  [9449] = {.lex_state = 15, .external_lex_state = 2},
  [9450] = {.lex_state = 15, .external_lex_state = 2},
  [9451] = {.lex_state = 15, .external_lex_state = 2},
  [9452] = {.lex_state = 15, .external_lex_state = 2},
  [9453] = {.lex_state = 15, .external_lex_state = 2},
  [9454] = {.lex_state = 15, .external_lex_state = 2},
  [9455] = {.lex_state = 9, .external_lex_state = 2},
  [9456] = {.lex_state = 15, .external_lex_state = 2},
  [9457] = {.lex_state = 15, .external_lex_state = 2},
  [9458] = {.lex_state = 15, .external_lex_state = 2},
  [9459] = {.lex_state = 15, .external_lex_state = 2},
  [9460] = {.lex_state = 15, .external_lex_state = 2},
  [9461] = {.lex_state = 222, .external_lex_state = 2},
  [9462] = {.lex_state = 432, .external_lex_state = 2},
  [9463] = {.lex_state = 15, .external_lex_state = 2},
  [9464] = {.lex_state = 15, .external_lex_state = 2},
  [9465] = {.lex_state = 15, .external_lex_state = 2},
  [9466] = {.lex_state = 15, .external_lex_state = 2},
  [9467] = {.lex_state = 15, .external_lex_state = 2},
  [9468] = {.lex_state = 15, .external_lex_state = 2},
  [9469] = {.lex_state = 15, .external_lex_state = 2},
  [9470] = {.lex_state = 15, .external_lex_state = 2},
  [9471] = {.lex_state = 15, .external_lex_state = 2},
  [9472] = {.lex_state = 15, .external_lex_state = 2},
  [9473] = {.lex_state = 15, .external_lex_state = 2},
  [9474] = {.lex_state = 15, .external_lex_state = 2},
  [9475] = {.lex_state = 15, .external_lex_state = 2},
  [9476] = {.lex_state = 9, .external_lex_state = 2},
  [9477] = {.lex_state = 15, .external_lex_state = 2},
  [9478] = {.lex_state = 15, .external_lex_state = 2},
  [9479] = {.lex_state = 15, .external_lex_state = 2},
  [9480] = {.lex_state = 15, .external_lex_state = 2},
  [9481] = {.lex_state = 15, .external_lex_state = 2},
  [9482] = {.lex_state = 15, .external_lex_state = 2},
  [9483] = {.lex_state = 15, .external_lex_state = 2},
  [9484] = {.lex_state = 432, .external_lex_state = 2},
  [9485] = {.lex_state = 432, .external_lex_state = 2},
  [9486] = {.lex_state = 15, .external_lex_state = 2},
  [9487] = {.lex_state = 13, .external_lex_state = 2},
  [9488] = {.lex_state = 13, .external_lex_state = 2},
  [9489] = {.lex_state = 14, .external_lex_state = 2},
  [9490] = {.lex_state = 13, .external_lex_state = 2},
  [9491] = {.lex_state = 13, .external_lex_state = 2},
  [9492] = {.lex_state = 13, .external_lex_state = 2},
  [9493] = {.lex_state = 13, .external_lex_state = 2},
  [9494] = {.lex_state = 13, .external_lex_state = 2},
  [9495] = {.lex_state = 13, .external_lex_state = 2},
  [9496] = {.lex_state = 13, .external_lex_state = 2},
  [9497] = {.lex_state = 13, .external_lex_state = 2},
  [9498] = {.lex_state = 13, .external_lex_state = 2},
  [9499] = {.lex_state = 13, .external_lex_state = 2},
  [9500] = {.lex_state = 427, .external_lex_state = 2},
  [9501] = {.lex_state = 165, .external_lex_state = 3},
  [9502] = {.lex_state = 9, .external_lex_state = 2},
  [9503] = {.lex_state = 9, .external_lex_state = 2},
  [9504] = {.lex_state = 15, .external_lex_state = 2},
  [9505] = {.lex_state = 432, .external_lex_state = 2},
  [9506] = {.lex_state = 15, .external_lex_state = 2},
  [9507] = {.lex_state = 9, .external_lex_state = 2},
  [9508] = {.lex_state = 15, .external_lex_state = 2},
  [9509] = {.lex_state = 432, .external_lex_state = 2},
  [9510] = {.lex_state = 432, .external_lex_state = 2},
  [9511] = {.lex_state = 172, .external_lex_state = 2},
  [9512] = {.lex_state = 9, .external_lex_state = 2},
  [9513] = {.lex_state = 432, .external_lex_state = 2},
  [9514] = {.lex_state = 15, .external_lex_state = 2},
  [9515] = {.lex_state = 15, .external_lex_state = 2},
  [9516] = {.lex_state = 427, .external_lex_state = 2},
  [9517] = {.lex_state = 15, .external_lex_state = 2},
  [9518] = {.lex_state = 15, .external_lex_state = 2},
  [9519] = {.lex_state = 220, .external_lex_state = 2},
  [9520] = {.lex_state = 15, .external_lex_state = 2},
  [9521] = {.lex_state = 211, .external_lex_state = 2},
  [9522] = {.lex_state = 15, .external_lex_state = 2},
  [9523] = {.lex_state = 15, .external_lex_state = 2},
  [9524] = {.lex_state = 419, .external_lex_state = 2},
  [9525] = {.lex_state = 15, .external_lex_state = 2},
  [9526] = {.lex_state = 15, .external_lex_state = 2},
  [9527] = {.lex_state = 14, .external_lex_state = 2},
  [9528] = {.lex_state = 419, .external_lex_state = 2},
  [9529] = {.lex_state = 420, .external_lex_state = 2},
  [9530] = {.lex_state = 9, .external_lex_state = 2},
  [9531] = {.lex_state = 432, .external_lex_state = 2},
  [9532] = {.lex_state = 173, .external_lex_state = 2},
  [9533] = {.lex_state = 427, .external_lex_state = 2},
  [9534] = {.lex_state = 420, .external_lex_state = 2},
  [9535] = {.lex_state = 420, .external_lex_state = 2},
  [9536] = {.lex_state = 9, .external_lex_state = 2},
  [9537] = {.lex_state = 420, .external_lex_state = 2},
  [9538] = {.lex_state = 222, .external_lex_state = 2},
  [9539] = {.lex_state = 9, .external_lex_state = 2},
  [9540] = {.lex_state = 432, .external_lex_state = 2},
  [9541] = {.lex_state = 432, .external_lex_state = 2},
  [9542] = {.lex_state = 432, .external_lex_state = 2},
  [9543] = {.lex_state = 9, .external_lex_state = 2},
  [9544] = {.lex_state = 432, .external_lex_state = 2},
  [9545] = {.lex_state = 432, .external_lex_state = 2},
  [9546] = {.lex_state = 419, .external_lex_state = 2},
  [9547] = {.lex_state = 419, .external_lex_state = 2},
  [9548] = {.lex_state = 419, .external_lex_state = 2},
  [9549] = {.lex_state = 9, .external_lex_state = 2},
  [9550] = {.lex_state = 9, .external_lex_state = 2},
  [9551] = {.lex_state = 9, .external_lex_state = 2},
  [9552] = {.lex_state = 427, .external_lex_state = 2},
  [9553] = {.lex_state = 9, .external_lex_state = 2},
  [9554] = {.lex_state = 9, .external_lex_state = 2},
  [9555] = {.lex_state = 9, .external_lex_state = 2},
  [9556] = {.lex_state = 9, .external_lex_state = 2},
  [9557] = {.lex_state = 432, .external_lex_state = 2},
  [9558] = {.lex_state = 432, .external_lex_state = 2},
  [9559] = {.lex_state = 432, .external_lex_state = 2},
  [9560] = {.lex_state = 432, .external_lex_state = 2},
  [9561] = {.lex_state = 427, .external_lex_state = 2},
  [9562] = {.lex_state = 9, .external_lex_state = 2},
  [9563] = {.lex_state = 9, .external_lex_state = 2},
  [9564] = {.lex_state = 9, .external_lex_state = 2},
  [9565] = {.lex_state = 9, .external_lex_state = 2},
  [9566] = {.lex_state = 9, .external_lex_state = 2},
  [9567] = {.lex_state = 9, .external_lex_state = 2},
  [9568] = {.lex_state = 9, .external_lex_state = 2},
  [9569] = {.lex_state = 9, .external_lex_state = 2},
  [9570] = {.lex_state = 202, .external_lex_state = 2},
  [9571] = {.lex_state = 13, .external_lex_state = 2},
  [9572] = {.lex_state = 9, .external_lex_state = 2},
  [9573] = {.lex_state = 432, .external_lex_state = 2},
  [9574] = {.lex_state = 432, .external_lex_state = 2},
  [9575] = {.lex_state = 432, .external_lex_state = 2},
  [9576] = {.lex_state = 432, .external_lex_state = 2},
  [9577] = {.lex_state = 432, .external_lex_state = 2},
  [9578] = {.lex_state = 9, .external_lex_state = 2},
  [9579] = {.lex_state = 427, .external_lex_state = 2},
  [9580] = {.lex_state = 427, .external_lex_state = 2},
  [9581] = {.lex_state = 419, .external_lex_state = 2},
  [9582] = {.lex_state = 427, .external_lex_state = 2},
  [9583] = {.lex_state = 9, .external_lex_state = 2},
  [9584] = {.lex_state = 15, .external_lex_state = 2},
  [9585] = {.lex_state = 15, .external_lex_state = 2},
  [9586] = {.lex_state = 9, .external_lex_state = 2},
  [9587] = {.lex_state = 426, .external_lex_state = 2},
  [9588] = {.lex_state = 172, .external_lex_state = 2},
  [9589] = {.lex_state = 9, .external_lex_state = 2},
  [9590] = {.lex_state = 9, .external_lex_state = 2},
  [9591] = {.lex_state = 427, .external_lex_state = 2},
  [9592] = {.lex_state = 419, .external_lex_state = 2},
  [9593] = {.lex_state = 432, .external_lex_state = 2},
  [9594] = {.lex_state = 432, .external_lex_state = 2},
  [9595] = {.lex_state = 432, .external_lex_state = 2},
  [9596] = {.lex_state = 9, .external_lex_state = 2},
  [9597] = {.lex_state = 432, .external_lex_state = 2},
  [9598] = {.lex_state = 432, .external_lex_state = 2},
  [9599] = {.lex_state = 426, .external_lex_state = 2},
  [9600] = {.lex_state = 426, .external_lex_state = 2},
  [9601] = {.lex_state = 426, .external_lex_state = 2},
  [9602] = {.lex_state = 426, .external_lex_state = 2},
  [9603] = {.lex_state = 9, .external_lex_state = 2},
  [9604] = {.lex_state = 9, .external_lex_state = 2},
  [9605] = {.lex_state = 9, .external_lex_state = 2},
  [9606] = {.lex_state = 7, .external_lex_state = 2},
  [9607] = {.lex_state = 9, .external_lex_state = 2},
  [9608] = {.lex_state = 9, .external_lex_state = 2},
  [9609] = {.lex_state = 9, .external_lex_state = 2},
  [9610] = {.lex_state = 15, .external_lex_state = 2},
  [9611] = {.lex_state = 9, .external_lex_state = 2},
  [9612] = {.lex_state = 9, .external_lex_state = 2},
  [9613] = {.lex_state = 426, .external_lex_state = 2},
  [9614] = {.lex_state = 426, .external_lex_state = 2},
  [9615] = {.lex_state = 426, .external_lex_state = 2},
  [9616] = {.lex_state = 9, .external_lex_state = 2},
  [9617] = {.lex_state = 9, .external_lex_state = 2},
  [9618] = {.lex_state = 426, .external_lex_state = 2},
  [9619] = {.lex_state = 432, .external_lex_state = 2},
  [9620] = {.lex_state = 9, .external_lex_state = 2},
  [9621] = {.lex_state = 432, .external_lex_state = 2},
  [9622] = {.lex_state = 432, .external_lex_state = 2},
  [9623] = {.lex_state = 15, .external_lex_state = 2},
  [9624] = {.lex_state = 9, .external_lex_state = 2},
  [9625] = {.lex_state = 9, .external_lex_state = 2},
  [9626] = {.lex_state = 9, .external_lex_state = 2},
  [9627] = {.lex_state = 13, .external_lex_state = 2},
  [9628] = {.lex_state = 13, .external_lex_state = 2},
  [9629] = {.lex_state = 13, .external_lex_state = 2},
  [9630] = {.lex_state = 13, .external_lex_state = 2},
  [9631] = {.lex_state = 13, .external_lex_state = 2},
  [9632] = {.lex_state = 9, .external_lex_state = 2},
  [9633] = {.lex_state = 9, .external_lex_state = 2},
  [9634] = {.lex_state = 426, .external_lex_state = 2},
  [9635] = {.lex_state = 426, .external_lex_state = 2},
  [9636] = {.lex_state = 9, .external_lex_state = 2},
  [9637] = {.lex_state = 426, .external_lex_state = 2},
  [9638] = {.lex_state = 426, .external_lex_state = 2},
  [9639] = {.lex_state = 9, .external_lex_state = 2},
  [9640] = {.lex_state = 9, .external_lex_state = 2},
  [9641] = {.lex_state = 432, .external_lex_state = 2},
  [9642] = {.lex_state = 426, .external_lex_state = 2},
  [9643] = {.lex_state = 426, .external_lex_state = 2},
  [9644] = {.lex_state = 426, .external_lex_state = 2},
  [9645] = {.lex_state = 426, .external_lex_state = 2},
  [9646] = {.lex_state = 426, .external_lex_state = 2},
  [9647] = {.lex_state = 426, .external_lex_state = 2},
  [9648] = {.lex_state = 426, .external_lex_state = 2},
  [9649] = {.lex_state = 426, .external_lex_state = 2},
  [9650] = {.lex_state = 426, .external_lex_state = 2},
  [9651] = {.lex_state = 426, .external_lex_state = 2},
  [9652] = {.lex_state = 215, .external_lex_state = 2},
  [9653] = {.lex_state = 426, .external_lex_state = 2},
  [9654] = {.lex_state = 419, .external_lex_state = 2},
  [9655] = {.lex_state = 427, .external_lex_state = 2},
  [9656] = {.lex_state = 426, .external_lex_state = 2},
  [9657] = {.lex_state = 426, .external_lex_state = 2},
  [9658] = {.lex_state = 9, .external_lex_state = 2},
  [9659] = {.lex_state = 211, .external_lex_state = 2},
  [9660] = {.lex_state = 15, .external_lex_state = 2},
  [9661] = {.lex_state = 15, .external_lex_state = 2},
  [9662] = {.lex_state = 15, .external_lex_state = 2},
  [9663] = {.lex_state = 9, .external_lex_state = 2},
  [9664] = {.lex_state = 9, .external_lex_state = 2},
  [9665] = {.lex_state = 15, .external_lex_state = 2},
  [9666] = {.lex_state = 429, .external_lex_state = 2},
  [9667] = {.lex_state = 15, .external_lex_state = 2},
  [9668] = {.lex_state = 15, .external_lex_state = 2},
  [9669] = {.lex_state = 15, .external_lex_state = 2},
  [9670] = {.lex_state = 9, .external_lex_state = 2},
  [9671] = {.lex_state = 432, .external_lex_state = 2},
  [9672] = {.lex_state = 15, .external_lex_state = 2},
  [9673] = {.lex_state = 15, .external_lex_state = 2},
  [9674] = {.lex_state = 15, .external_lex_state = 2},
  [9675] = {.lex_state = 15, .external_lex_state = 2},
  [9676] = {.lex_state = 15, .external_lex_state = 2},
  [9677] = {.lex_state = 9, .external_lex_state = 2},
  [9678] = {.lex_state = 14, .external_lex_state = 2},
  [9679] = {.lex_state = 14, .external_lex_state = 2},
  [9680] = {.lex_state = 14, .external_lex_state = 2},
  [9681] = {.lex_state = 14, .external_lex_state = 2},
  [9682] = {.lex_state = 14, .external_lex_state = 2},
  [9683] = {.lex_state = 14, .external_lex_state = 2},
  [9684] = {.lex_state = 14, .external_lex_state = 2},
  [9685] = {.lex_state = 14, .external_lex_state = 2},
  [9686] = {.lex_state = 14, .external_lex_state = 2},
  [9687] = {.lex_state = 14, .external_lex_state = 2},
  [9688] = {.lex_state = 14, .external_lex_state = 2},
  [9689] = {.lex_state = 15, .external_lex_state = 2},
  [9690] = {.lex_state = 14, .external_lex_state = 2},
  [9691] = {.lex_state = 14, .external_lex_state = 2},
  [9692] = {.lex_state = 15, .external_lex_state = 2},
  [9693] = {.lex_state = 9, .external_lex_state = 2},
  [9694] = {.lex_state = 15, .external_lex_state = 2},
  [9695] = {.lex_state = 15, .external_lex_state = 2},
  [9696] = {.lex_state = 15, .external_lex_state = 2},
  [9697] = {.lex_state = 15, .external_lex_state = 2},
  [9698] = {.lex_state = 15, .external_lex_state = 2},
  [9699] = {.lex_state = 166, .external_lex_state = 3},
  [9700] = {.lex_state = 432, .external_lex_state = 2},
  [9701] = {.lex_state = 426, .external_lex_state = 2},
  [9702] = {.lex_state = 426, .external_lex_state = 2},
  [9703] = {.lex_state = 426, .external_lex_state = 2},
  [9704] = {.lex_state = 426, .external_lex_state = 2},
  [9705] = {.lex_state = 9, .external_lex_state = 2},
  [9706] = {.lex_state = 9, .external_lex_state = 2},
  [9707] = {.lex_state = 9, .external_lex_state = 2},
  [9708] = {.lex_state = 14, .external_lex_state = 2},
  [9709] = {.lex_state = 14, .external_lex_state = 2},
  [9710] = {.lex_state = 13, .external_lex_state = 2},
  [9711] = {.lex_state = 427, .external_lex_state = 2},
  [9712] = {.lex_state = 427, .external_lex_state = 2},
  [9713] = {.lex_state = 427, .external_lex_state = 2},
  [9714] = {.lex_state = 427, .external_lex_state = 2},
  [9715] = {.lex_state = 15, .external_lex_state = 2},
  [9716] = {.lex_state = 15, .external_lex_state = 2},
  [9717] = {.lex_state = 15, .external_lex_state = 2},
  [9718] = {.lex_state = 15, .external_lex_state = 2},
  [9719] = {.lex_state = 9, .external_lex_state = 2},
  [9720] = {.lex_state = 9, .external_lex_state = 2},
  [9721] = {.lex_state = 420, .external_lex_state = 2},
  [9722] = {.lex_state = 427, .external_lex_state = 2},
  [9723] = {.lex_state = 427, .external_lex_state = 2},
  [9724] = {.lex_state = 9, .external_lex_state = 2},
  [9725] = {.lex_state = 203, .external_lex_state = 2},
  [9726] = {.lex_state = 220, .external_lex_state = 2},
  [9727] = {.lex_state = 173, .external_lex_state = 2},
  [9728] = {.lex_state = 46, .external_lex_state = 3},
  [9729] = {.lex_state = 420, .external_lex_state = 2},
  [9730] = {.lex_state = 9, .external_lex_state = 2},
  [9731] = {.lex_state = 9, .external_lex_state = 2},
  [9732] = {.lex_state = 427, .external_lex_state = 2},
  [9733] = {.lex_state = 9, .external_lex_state = 2},
  [9734] = {.lex_state = 216, .external_lex_state = 2},
  [9735] = {.lex_state = 9, .external_lex_state = 2},
  [9736] = {.lex_state = 427, .external_lex_state = 2},
  [9737] = {.lex_state = 432, .external_lex_state = 2},
  [9738] = {.lex_state = 7, .external_lex_state = 2},
  [9739] = {.lex_state = 7, .external_lex_state = 2},
  [9740] = {.lex_state = 432, .external_lex_state = 2},
  [9741] = {.lex_state = 7, .external_lex_state = 2},
  [9742] = {.lex_state = 14, .external_lex_state = 2},
  [9743] = {.lex_state = 7, .external_lex_state = 2},
  [9744] = {.lex_state = 14, .external_lex_state = 2},
  [9745] = {.lex_state = 14, .external_lex_state = 2},
  [9746] = {.lex_state = 14, .external_lex_state = 2},
  [9747] = {.lex_state = 14, .external_lex_state = 2},
  [9748] = {.lex_state = 14, .external_lex_state = 2},
  [9749] = {.lex_state = 14, .external_lex_state = 2},
  [9750] = {.lex_state = 14, .external_lex_state = 2},
  [9751] = {.lex_state = 14, .external_lex_state = 2},
  [9752] = {.lex_state = 14, .external_lex_state = 2},
  [9753] = {.lex_state = 14, .external_lex_state = 2},
  [9754] = {.lex_state = 7, .external_lex_state = 2},
  [9755] = {.lex_state = 7, .external_lex_state = 2},
  [9756] = {.lex_state = 223, .external_lex_state = 2},
  [9757] = {.lex_state = 420, .external_lex_state = 2},
  [9758] = {.lex_state = 7, .external_lex_state = 2},
  [9759] = {.lex_state = 7, .external_lex_state = 2},
  [9760] = {.lex_state = 173, .external_lex_state = 2},
  [9761] = {.lex_state = 221, .external_lex_state = 2},
  [9762] = {.lex_state = 221, .external_lex_state = 2},
  [9763] = {.lex_state = 211, .external_lex_state = 2},
  [9764] = {.lex_state = 176, .external_lex_state = 3},
  [9765] = {.lex_state = 215, .external_lex_state = 2},
  [9766] = {.lex_state = 215, .external_lex_state = 2},
  [9767] = {.lex_state = 172, .external_lex_state = 2},
  [9768] = {.lex_state = 211, .external_lex_state = 2},
  [9769] = {.lex_state = 211, .external_lex_state = 2},
  [9770] = {.lex_state = 211, .external_lex_state = 2},
  [9771] = {.lex_state = 420, .external_lex_state = 2},
  [9772] = {.lex_state = 7, .external_lex_state = 2},
  [9773] = {.lex_state = 14, .external_lex_state = 2},
  [9774] = {.lex_state = 7, .external_lex_state = 2},
  [9775] = {.lex_state = 7, .external_lex_state = 2},
  [9776] = {.lex_state = 7, .external_lex_state = 2},
  [9777] = {.lex_state = 7, .external_lex_state = 2},
  [9778] = {.lex_state = 7, .external_lex_state = 2},
  [9779] = {.lex_state = 14, .external_lex_state = 2},
  [9780] = {.lex_state = 7, .external_lex_state = 2},
  [9781] = {.lex_state = 215, .external_lex_state = 2},
  [9782] = {.lex_state = 7, .external_lex_state = 2},
  [9783] = {.lex_state = 221, .external_lex_state = 2},
  [9784] = {.lex_state = 7, .external_lex_state = 2},
  [9785] = {.lex_state = 7, .external_lex_state = 2},
  [9786] = {.lex_state = 7, .external_lex_state = 2},
  [9787] = {.lex_state = 7, .external_lex_state = 2},
  [9788] = {.lex_state = 7, .external_lex_state = 2},
  [9789] = {.lex_state = 7, .external_lex_state = 2},
  [9790] = {.lex_state = 215, .external_lex_state = 2},
  [9791] = {.lex_state = 215, .external_lex_state = 2},
  [9792] = {.lex_state = 7, .external_lex_state = 2},
  [9793] = {.lex_state = 221, .external_lex_state = 2},
  [9794] = {.lex_state = 221, .external_lex_state = 2},
  [9795] = {.lex_state = 7, .external_lex_state = 2},
  [9796] = {.lex_state = 7, .external_lex_state = 2},
  [9797] = {.lex_state = 7, .external_lex_state = 2},
  [9798] = {.lex_state = 7, .external_lex_state = 2},
  [9799] = {.lex_state = 7, .external_lex_state = 2},
  [9800] = {.lex_state = 7, .external_lex_state = 2},
  [9801] = {.lex_state = 7, .external_lex_state = 2},
  [9802] = {.lex_state = 7, .external_lex_state = 2},
  [9803] = {.lex_state = 7, .external_lex_state = 2},
  [9804] = {.lex_state = 7, .external_lex_state = 2},
  [9805] = {.lex_state = 215, .external_lex_state = 2},
  [9806] = {.lex_state = 7, .external_lex_state = 2},
  [9807] = {.lex_state = 427, .external_lex_state = 2},
  [9808] = {.lex_state = 211, .external_lex_state = 2},
  [9809] = {.lex_state = 427, .external_lex_state = 2},
  [9810] = {.lex_state = 18, .external_lex_state = 3},
  [9811] = {.lex_state = 419, .external_lex_state = 3},
  [9812] = {.lex_state = 221, .external_lex_state = 2},
  [9813] = {.lex_state = 7, .external_lex_state = 2},
  [9814] = {.lex_state = 7, .external_lex_state = 2},
  [9815] = {.lex_state = 223, .external_lex_state = 2},
  [9816] = {.lex_state = 427, .external_lex_state = 2},
  [9817] = {.lex_state = 211, .external_lex_state = 2},
  [9818] = {.lex_state = 7, .external_lex_state = 2},
  [9819] = {.lex_state = 427, .external_lex_state = 2},
  [9820] = {.lex_state = 211, .external_lex_state = 2},
  [9821] = {.lex_state = 211, .external_lex_state = 2},
  [9822] = {.lex_state = 211, .external_lex_state = 2},
  [9823] = {.lex_state = 7, .external_lex_state = 2},
  [9824] = {.lex_state = 20, .external_lex_state = 2},
  [9825] = {.lex_state = 20, .external_lex_state = 2},
  [9826] = {.lex_state = 7, .external_lex_state = 2},
  [9827] = {.lex_state = 7, .external_lex_state = 2},
  [9828] = {.lex_state = 223, .external_lex_state = 2},
  [9829] = {.lex_state = 433, .external_lex_state = 2},
  [9830] = {.lex_state = 7, .external_lex_state = 2},
  [9831] = {.lex_state = 7, .external_lex_state = 2},
  [9832] = {.lex_state = 7, .external_lex_state = 2},
  [9833] = {.lex_state = 7, .external_lex_state = 2},
  [9834] = {.lex_state = 7, .external_lex_state = 2},
  [9835] = {.lex_state = 7, .external_lex_state = 2},
  [9836] = {.lex_state = 223, .external_lex_state = 2},
  [9837] = {.lex_state = 7, .external_lex_state = 2},
  [9838] = {.lex_state = 20, .external_lex_state = 2},
  [9839] = {.lex_state = 20, .external_lex_state = 2},
  [9840] = {.lex_state = 223, .external_lex_state = 2},
  [9841] = {.lex_state = 7, .external_lex_state = 2},
  [9842] = {.lex_state = 7, .external_lex_state = 2},
  [9843] = {.lex_state = 7, .external_lex_state = 2},
  [9844] = {.lex_state = 211, .external_lex_state = 2},
  [9845] = {.lex_state = 20, .external_lex_state = 2},
  [9846] = {.lex_state = 7, .external_lex_state = 2},
  [9847] = {.lex_state = 211, .external_lex_state = 2},
  [9848] = {.lex_state = 7, .external_lex_state = 2},
  [9849] = {.lex_state = 7, .external_lex_state = 2},
  [9850] = {.lex_state = 7, .external_lex_state = 2},
  [9851] = {.lex_state = 7, .external_lex_state = 2},
  [9852] = {.lex_state = 211, .external_lex_state = 2},
  [9853] = {.lex_state = 211, .external_lex_state = 2},
  [9854] = {.lex_state = 211, .external_lex_state = 2},
  [9855] = {.lex_state = 427, .external_lex_state = 2},
  [9856] = {.lex_state = 211, .external_lex_state = 2},
  [9857] = {.lex_state = 211, .external_lex_state = 2},
  [9858] = {.lex_state = 211, .external_lex_state = 2},
  [9859] = {.lex_state = 7, .external_lex_state = 2},
  [9860] = {.lex_state = 211, .external_lex_state = 2},
  [9861] = {.lex_state = 211, .external_lex_state = 2},
  [9862] = {.lex_state = 433, .external_lex_state = 2},
  [9863] = {.lex_state = 211, .external_lex_state = 2},
  [9864] = {.lex_state = 211, .external_lex_state = 2},
  [9865] = {.lex_state = 211, .external_lex_state = 2},
  [9866] = {.lex_state = 427, .external_lex_state = 2},
  [9867] = {.lex_state = 211, .external_lex_state = 2},
  [9868] = {.lex_state = 211, .external_lex_state = 2},
  [9869] = {.lex_state = 206, .external_lex_state = 2},
  [9870] = {.lex_state = 172, .external_lex_state = 2},
  [9871] = {.lex_state = 18, .external_lex_state = 3},
  [9872] = {.lex_state = 18, .external_lex_state = 3},
  [9873] = {.lex_state = 207, .external_lex_state = 2},
  [9874] = {.lex_state = 211, .external_lex_state = 2},
  [9875] = {.lex_state = 211, .external_lex_state = 2},
  [9876] = {.lex_state = 211, .external_lex_state = 2},
  [9877] = {.lex_state = 211, .external_lex_state = 2},
  [9878] = {.lex_state = 7, .external_lex_state = 2},
  [9879] = {.lex_state = 432, .external_lex_state = 2},
  [9880] = {.lex_state = 427, .external_lex_state = 2},
  [9881] = {.lex_state = 211, .external_lex_state = 2},
  [9882] = {.lex_state = 20, .external_lex_state = 2},
  [9883] = {.lex_state = 18, .external_lex_state = 3},
  [9884] = {.lex_state = 7, .external_lex_state = 2},
  [9885] = {.lex_state = 7, .external_lex_state = 2},
  [9886] = {.lex_state = 7, .external_lex_state = 2},
  [9887] = {.lex_state = 419, .external_lex_state = 3},
  [9888] = {.lex_state = 7, .external_lex_state = 2},
  [9889] = {.lex_state = 7, .external_lex_state = 2},
  [9890] = {.lex_state = 7, .external_lex_state = 2},
  [9891] = {.lex_state = 7, .external_lex_state = 2},
  [9892] = {.lex_state = 7, .external_lex_state = 2},
  [9893] = {.lex_state = 7, .external_lex_state = 2},
  [9894] = {.lex_state = 7, .external_lex_state = 2},
  [9895] = {.lex_state = 7, .external_lex_state = 2},
  [9896] = {.lex_state = 7, .external_lex_state = 2},
  [9897] = {.lex_state = 18, .external_lex_state = 3},
  [9898] = {.lex_state = 7, .external_lex_state = 2},
  [9899] = {.lex_state = 211, .external_lex_state = 2},
  [9900] = {.lex_state = 7, .external_lex_state = 2},
  [9901] = {.lex_state = 7, .external_lex_state = 2},
  [9902] = {.lex_state = 172, .external_lex_state = 2},
  [9903] = {.lex_state = 172, .external_lex_state = 2},
  [9904] = {.lex_state = 173, .external_lex_state = 2},
  [9905] = {.lex_state = 427, .external_lex_state = 2},
  [9906] = {.lex_state = 7, .external_lex_state = 2},
  [9907] = {.lex_state = 7, .external_lex_state = 2},
  [9908] = {.lex_state = 7, .external_lex_state = 2},
  [9909] = {.lex_state = 211, .external_lex_state = 2},
  [9910] = {.lex_state = 172, .external_lex_state = 2},
  [9911] = {.lex_state = 216, .external_lex_state = 2},
  [9912] = {.lex_state = 216, .external_lex_state = 2},
  [9913] = {.lex_state = 172, .external_lex_state = 2},
  [9914] = {.lex_state = 14, .external_lex_state = 2},
  [9915] = {.lex_state = 14, .external_lex_state = 2},
  [9916] = {.lex_state = 7, .external_lex_state = 2},
  [9917] = {.lex_state = 7, .external_lex_state = 2},
  [9918] = {.lex_state = 7, .external_lex_state = 2},
  [9919] = {.lex_state = 7, .external_lex_state = 2},
  [9920] = {.lex_state = 7, .external_lex_state = 2},
  [9921] = {.lex_state = 7, .external_lex_state = 2},
  [9922] = {.lex_state = 7, .external_lex_state = 2},
  [9923] = {.lex_state = 7, .external_lex_state = 2},
  [9924] = {.lex_state = 211, .external_lex_state = 2},
  [9925] = {.lex_state = 173, .external_lex_state = 2},
  [9926] = {.lex_state = 7, .external_lex_state = 2},
  [9927] = {.lex_state = 7, .external_lex_state = 2},
  [9928] = {.lex_state = 216, .external_lex_state = 2},
  [9929] = {.lex_state = 211, .external_lex_state = 2},
  [9930] = {.lex_state = 7, .external_lex_state = 2},
  [9931] = {.lex_state = 216, .external_lex_state = 2},
  [9932] = {.lex_state = 216, .external_lex_state = 2},
  [9933] = {.lex_state = 7, .external_lex_state = 2},
  [9934] = {.lex_state = 216, .external_lex_state = 2},
  [9935] = {.lex_state = 7, .external_lex_state = 2},
  [9936] = {.lex_state = 7, .external_lex_state = 2},
  [9937] = {.lex_state = 204, .external_lex_state = 2},
  [9938] = {.lex_state = 223, .external_lex_state = 2},
  [9939] = {.lex_state = 7, .external_lex_state = 2},
  [9940] = {.lex_state = 205, .external_lex_state = 2},
  [9941] = {.lex_state = 7, .external_lex_state = 2},
  [9942] = {.lex_state = 18, .external_lex_state = 3},
  [9943] = {.lex_state = 427, .external_lex_state = 2},
  [9944] = {.lex_state = 427, .external_lex_state = 2},
  [9945] = {.lex_state = 173, .external_lex_state = 2},
  [9946] = {.lex_state = 7, .external_lex_state = 2},
  [9947] = {.lex_state = 7, .external_lex_state = 2},
  [9948] = {.lex_state = 7, .external_lex_state = 2},
  [9949] = {.lex_state = 7, .external_lex_state = 2},
  [9950] = {.lex_state = 7, .external_lex_state = 2},
  [9951] = {.lex_state = 7, .external_lex_state = 2},
  [9952] = {.lex_state = 7, .external_lex_state = 2},
  [9953] = {.lex_state = 7, .external_lex_state = 2},
  [9954] = {.lex_state = 173, .external_lex_state = 2},
  [9955] = {.lex_state = 7, .external_lex_state = 2},
  [9956] = {.lex_state = 7, .external_lex_state = 2},
  [9957] = {.lex_state = 7, .external_lex_state = 2},
  [9958] = {.lex_state = 7, .external_lex_state = 2},
  [9959] = {.lex_state = 7, .external_lex_state = 2},
  [9960] = {.lex_state = 7, .external_lex_state = 2},
  [9961] = {.lex_state = 7, .external_lex_state = 2},
  [9962] = {.lex_state = 7, .external_lex_state = 2},
  [9963] = {.lex_state = 18, .external_lex_state = 3},
  [9964] = {.lex_state = 7, .external_lex_state = 2},
  [9965] = {.lex_state = 173, .external_lex_state = 2},
  [9966] = {.lex_state = 427, .external_lex_state = 2},
  [9967] = {.lex_state = 427, .external_lex_state = 2},
  [9968] = {.lex_state = 427, .external_lex_state = 2},
  [9969] = {.lex_state = 427, .external_lex_state = 2},
  [9970] = {.lex_state = 427, .external_lex_state = 2},
  [9971] = {.lex_state = 427, .external_lex_state = 2},
  [9972] = {.lex_state = 427, .external_lex_state = 2},
  [9973] = {.lex_state = 427, .external_lex_state = 2},
  [9974] = {.lex_state = 427, .external_lex_state = 2},
  [9975] = {.lex_state = 211, .external_lex_state = 2},
  [9976] = {.lex_state = 6, .external_lex_state = 3},
  [9977] = {.lex_state = 207, .external_lex_state = 2},
  [9978] = {.lex_state = 173, .external_lex_state = 2},
  [9979] = {.lex_state = 6, .external_lex_state = 3},
  [9980] = {.lex_state = 221, .external_lex_state = 2},
  [9981] = {.lex_state = 434, .external_lex_state = 2},
  [9982] = {.lex_state = 172, .external_lex_state = 2},
  [9983] = {.lex_state = 208, .external_lex_state = 2},
  [9984] = {.lex_state = 431, .external_lex_state = 2},
  [9985] = {.lex_state = 6, .external_lex_state = 3},
  [9986] = {.lex_state = 427, .external_lex_state = 2},
  [9987] = {.lex_state = 173, .external_lex_state = 2},
  [9988] = {.lex_state = 172, .external_lex_state = 2},
  [9989] = {.lex_state = 172, .external_lex_state = 2},
  [9990] = {.lex_state = 208, .external_lex_state = 2},
  [9991] = {.lex_state = 172, .external_lex_state = 2},
  [9992] = {.lex_state = 223, .external_lex_state = 2},
  [9993] = {.lex_state = 6, .external_lex_state = 3},
  [9994] = {.lex_state = 6, .external_lex_state = 3},
  [9995] = {.lex_state = 172, .external_lex_state = 2},
  [9996] = {.lex_state = 6, .external_lex_state = 3},
  [9997] = {.lex_state = 208, .external_lex_state = 2},
  [9998] = {.lex_state = 431, .external_lex_state = 2},
  [9999] = {.lex_state = 6, .external_lex_state = 3},
  [10000] = {.lex_state = 6, .external_lex_state = 3},
  [10001] = {.lex_state = 6, .external_lex_state = 3},
  [10002] = {.lex_state = 172, .external_lex_state = 2},
  [10003] = {.lex_state = 6, .external_lex_state = 3},
  [10004] = {.lex_state = 208, .external_lex_state = 2},
  [10005] = {.lex_state = 20, .external_lex_state = 2},
  [10006] = {.lex_state = 432, .external_lex_state = 2},
  [10007] = {.lex_state = 13, .external_lex_state = 2},
  [10008] = {.lex_state = 6, .external_lex_state = 3},
  [10009] = {.lex_state = 212, .external_lex_state = 2},
  [10010] = {.lex_state = 173, .external_lex_state = 2},
  [10011] = {.lex_state = 173, .external_lex_state = 2},
  [10012] = {.lex_state = 172, .external_lex_state = 2},
  [10013] = {.lex_state = 208, .external_lex_state = 2},
  [10014] = {.lex_state = 173, .external_lex_state = 2},
  [10015] = {.lex_state = 208, .external_lex_state = 2},
  [10016] = {.lex_state = 203, .external_lex_state = 2},
  [10017] = {.lex_state = 173, .external_lex_state = 2},
  [10018] = {.lex_state = 172, .external_lex_state = 2},
  [10019] = {.lex_state = 172, .external_lex_state = 2},
  [10020] = {.lex_state = 207, .external_lex_state = 2},
  [10021] = {.lex_state = 6, .external_lex_state = 3},
  [10022] = {.lex_state = 6, .external_lex_state = 3},
  [10023] = {.lex_state = 212, .external_lex_state = 2},
  [10024] = {.lex_state = 208, .external_lex_state = 2},
  [10025] = {.lex_state = 208, .external_lex_state = 2},
  [10026] = {.lex_state = 172, .external_lex_state = 2},
  [10027] = {.lex_state = 173, .external_lex_state = 2},
  [10028] = {.lex_state = 431, .external_lex_state = 2},
  [10029] = {.lex_state = 208, .external_lex_state = 2},
  [10030] = {.lex_state = 6, .external_lex_state = 3},
  [10031] = {.lex_state = 208, .external_lex_state = 2},
  [10032] = {.lex_state = 427, .external_lex_state = 2},
  [10033] = {.lex_state = 173, .external_lex_state = 2},
  [10034] = {.lex_state = 208, .external_lex_state = 2},
  [10035] = {.lex_state = 172, .external_lex_state = 2},
  [10036] = {.lex_state = 208, .external_lex_state = 2},
  [10037] = {.lex_state = 173, .external_lex_state = 2},
  [10038] = {.lex_state = 6, .external_lex_state = 3},
  [10039] = {.lex_state = 173, .external_lex_state = 2},
  [10040] = {.lex_state = 208, .external_lex_state = 2},
  [10041] = {.lex_state = 188, .external_lex_state = 3},
  [10042] = {.lex_state = 172, .external_lex_state = 2},
  [10043] = {.lex_state = 427, .external_lex_state = 2},
  [10044] = {.lex_state = 208, .external_lex_state = 2},
  [10045] = {.lex_state = 172, .external_lex_state = 2},
  [10046] = {.lex_state = 6, .external_lex_state = 3},
  [10047] = {.lex_state = 221, .external_lex_state = 2},
  [10048] = {.lex_state = 172, .external_lex_state = 2},
  [10049] = {.lex_state = 420, .external_lex_state = 2},
  [10050] = {.lex_state = 207, .external_lex_state = 2},
  [10051] = {.lex_state = 221, .external_lex_state = 2},
  [10052] = {.lex_state = 208, .external_lex_state = 2},
  [10053] = {.lex_state = 208, .external_lex_state = 2},
  [10054] = {.lex_state = 172, .external_lex_state = 2},
  [10055] = {.lex_state = 420, .external_lex_state = 2},
  [10056] = {.lex_state = 427, .external_lex_state = 2},
  [10057] = {.lex_state = 208, .external_lex_state = 2},
  [10058] = {.lex_state = 6, .external_lex_state = 3},
  [10059] = {.lex_state = 223, .external_lex_state = 2},
  [10060] = {.lex_state = 172, .external_lex_state = 2},
  [10061] = {.lex_state = 208, .external_lex_state = 2},
  [10062] = {.lex_state = 6, .external_lex_state = 3},
  [10063] = {.lex_state = 13, .external_lex_state = 2},
  [10064] = {.lex_state = 13, .external_lex_state = 2},
  [10065] = {.lex_state = 420, .external_lex_state = 2},
  [10066] = {.lex_state = 420, .external_lex_state = 2},
  [10067] = {.lex_state = 173, .external_lex_state = 2},
  [10068] = {.lex_state = 208, .external_lex_state = 2},
  [10069] = {.lex_state = 208, .external_lex_state = 2},
  [10070] = {.lex_state = 172, .external_lex_state = 2},
  [10071] = {.lex_state = 6, .external_lex_state = 3},
  [10072] = {.lex_state = 6, .external_lex_state = 3},
  [10073] = {.lex_state = 420, .external_lex_state = 2},
  [10074] = {.lex_state = 173, .external_lex_state = 2},
  [10075] = {.lex_state = 431, .external_lex_state = 2},
  [10076] = {.lex_state = 431, .external_lex_state = 2},
  [10077] = {.lex_state = 6, .external_lex_state = 3},
  [10078] = {.lex_state = 173, .external_lex_state = 2},
  [10079] = {.lex_state = 173, .external_lex_state = 2},
  [10080] = {.lex_state = 431, .external_lex_state = 2},
  [10081] = {.lex_state = 173, .external_lex_state = 2},
  [10082] = {.lex_state = 223, .external_lex_state = 2},
  [10083] = {.lex_state = 173, .external_lex_state = 2},
  [10084] = {.lex_state = 6, .external_lex_state = 3},
  [10085] = {.lex_state = 6, .external_lex_state = 3},
  [10086] = {.lex_state = 172, .external_lex_state = 2},
  [10087] = {.lex_state = 6, .external_lex_state = 3},
  [10088] = {.lex_state = 173, .external_lex_state = 2},
  [10089] = {.lex_state = 427, .external_lex_state = 2},
  [10090] = {.lex_state = 172, .external_lex_state = 2},
  [10091] = {.lex_state = 427, .external_lex_state = 2},
  [10092] = {.lex_state = 208, .external_lex_state = 2},
  [10093] = {.lex_state = 427, .external_lex_state = 2},
  [10094] = {.lex_state = 431, .external_lex_state = 2},
  [10095] = {.lex_state = 6, .external_lex_state = 3},
  [10096] = {.lex_state = 422, .external_lex_state = 2},
  [10097] = {.lex_state = 172, .external_lex_state = 2},
  [10098] = {.lex_state = 427, .external_lex_state = 2},
  [10099] = {.lex_state = 172, .external_lex_state = 2},
  [10100] = {.lex_state = 431, .external_lex_state = 2},
  [10101] = {.lex_state = 432, .external_lex_state = 2},
  [10102] = {.lex_state = 172, .external_lex_state = 2},
  [10103] = {.lex_state = 173, .external_lex_state = 2},
  [10104] = {.lex_state = 173, .external_lex_state = 2},
  [10105] = {.lex_state = 208, .external_lex_state = 2},
  [10106] = {.lex_state = 20, .external_lex_state = 2},
  [10107] = {.lex_state = 173, .external_lex_state = 2},
  [10108] = {.lex_state = 6, .external_lex_state = 3},
  [10109] = {.lex_state = 173, .external_lex_state = 2},
  [10110] = {.lex_state = 207, .external_lex_state = 2},
  [10111] = {.lex_state = 173, .external_lex_state = 2},
  [10112] = {.lex_state = 13, .external_lex_state = 2},
  [10113] = {.lex_state = 6, .external_lex_state = 3},
  [10114] = {.lex_state = 208, .external_lex_state = 2},
  [10115] = {.lex_state = 13, .external_lex_state = 2},
  [10116] = {.lex_state = 13, .external_lex_state = 2},
  [10117] = {.lex_state = 13, .external_lex_state = 2},
  [10118] = {.lex_state = 13, .external_lex_state = 2},
  [10119] = {.lex_state = 13, .external_lex_state = 2},
  [10120] = {.lex_state = 13, .external_lex_state = 2},
  [10121] = {.lex_state = 13, .external_lex_state = 2},
  [10122] = {.lex_state = 13, .external_lex_state = 2},
  [10123] = {.lex_state = 13, .external_lex_state = 2},
  [10124] = {.lex_state = 13, .external_lex_state = 2},
  [10125] = {.lex_state = 13, .external_lex_state = 2},
  [10126] = {.lex_state = 13, .external_lex_state = 2},
  [10127] = {.lex_state = 13, .external_lex_state = 2},
  [10128] = {.lex_state = 431, .external_lex_state = 2},
  [10129] = {.lex_state = 172, .external_lex_state = 2},
  [10130] = {.lex_state = 173, .external_lex_state = 2},
  [10131] = {.lex_state = 173, .external_lex_state = 2},
  [10132] = {.lex_state = 173, .external_lex_state = 2},
  [10133] = {.lex_state = 173, .external_lex_state = 2},
  [10134] = {.lex_state = 172, .external_lex_state = 2},
  [10135] = {.lex_state = 6, .external_lex_state = 3},
  [10136] = {.lex_state = 427, .external_lex_state = 2},
  [10137] = {.lex_state = 433, .external_lex_state = 2},
  [10138] = {.lex_state = 427, .external_lex_state = 2},
  [10139] = {.lex_state = 6, .external_lex_state = 3},
  [10140] = {.lex_state = 6, .external_lex_state = 3},
  [10141] = {.lex_state = 6, .external_lex_state = 3},
  [10142] = {.lex_state = 173, .external_lex_state = 2},
  [10143] = {.lex_state = 427, .external_lex_state = 2},
  [10144] = {.lex_state = 211, .external_lex_state = 2},
  [10145] = {.lex_state = 427, .external_lex_state = 2},
  [10146] = {.lex_state = 6, .external_lex_state = 3},
  [10147] = {.lex_state = 6, .external_lex_state = 3},
  [10148] = {.lex_state = 6, .external_lex_state = 3},
  [10149] = {.lex_state = 223, .external_lex_state = 2},
  [10150] = {.lex_state = 6, .external_lex_state = 3},
  [10151] = {.lex_state = 6, .external_lex_state = 3},
  [10152] = {.lex_state = 427, .external_lex_state = 2},
  [10153] = {.lex_state = 432, .external_lex_state = 2},
  [10154] = {.lex_state = 172, .external_lex_state = 2},
  [10155] = {.lex_state = 6, .external_lex_state = 3},
  [10156] = {.lex_state = 6, .external_lex_state = 3},
  [10157] = {.lex_state = 221, .external_lex_state = 2},
  [10158] = {.lex_state = 6, .external_lex_state = 3},
  [10159] = {.lex_state = 208, .external_lex_state = 2},
  [10160] = {.lex_state = 6, .external_lex_state = 3},
  [10161] = {.lex_state = 6, .external_lex_state = 3},
  [10162] = {.lex_state = 6, .external_lex_state = 3},
  [10163] = {.lex_state = 6, .external_lex_state = 3},
  [10164] = {.lex_state = 172, .external_lex_state = 2},
  [10165] = {.lex_state = 6, .external_lex_state = 3},
  [10166] = {.lex_state = 6, .external_lex_state = 3},
  [10167] = {.lex_state = 6, .external_lex_state = 3},
  [10168] = {.lex_state = 206, .external_lex_state = 2},
  [10169] = {.lex_state = 6, .external_lex_state = 3},
  [10170] = {.lex_state = 6, .external_lex_state = 3},
  [10171] = {.lex_state = 172, .external_lex_state = 2},
  [10172] = {.lex_state = 172, .external_lex_state = 2},
  [10173] = {.lex_state = 172, .external_lex_state = 2},
  [10174] = {.lex_state = 173, .external_lex_state = 2},
  [10175] = {.lex_state = 188, .external_lex_state = 3},
  [10176] = {.lex_state = 206, .external_lex_state = 2},
  [10177] = {.lex_state = 172, .external_lex_state = 2},
  [10178] = {.lex_state = 432, .external_lex_state = 2},
  [10179] = {.lex_state = 172, .external_lex_state = 2},
  [10180] = {.lex_state = 206, .external_lex_state = 2},
  [10181] = {.lex_state = 431, .external_lex_state = 2},
  [10182] = {.lex_state = 206, .external_lex_state = 2},
  [10183] = {.lex_state = 431, .external_lex_state = 2},
  [10184] = {.lex_state = 173, .external_lex_state = 2},
  [10185] = {.lex_state = 13, .external_lex_state = 2},
  [10186] = {.lex_state = 211, .external_lex_state = 2},
  [10187] = {.lex_state = 172, .external_lex_state = 2},
  [10188] = {.lex_state = 6, .external_lex_state = 3},
  [10189] = {.lex_state = 172, .external_lex_state = 2},
  [10190] = {.lex_state = 6, .external_lex_state = 3},
  [10191] = {.lex_state = 208, .external_lex_state = 2},
  [10192] = {.lex_state = 6, .external_lex_state = 3},
  [10193] = {.lex_state = 6, .external_lex_state = 3},
  [10194] = {.lex_state = 173, .external_lex_state = 2},
  [10195] = {.lex_state = 432, .external_lex_state = 2},
  [10196] = {.lex_state = 173, .external_lex_state = 2},
  [10197] = {.lex_state = 432, .external_lex_state = 2},
  [10198] = {.lex_state = 6, .external_lex_state = 3},
  [10199] = {.lex_state = 173, .external_lex_state = 2},
  [10200] = {.lex_state = 6, .external_lex_state = 3},
  [10201] = {.lex_state = 6, .external_lex_state = 3},
  [10202] = {.lex_state = 173, .external_lex_state = 2},
  [10203] = {.lex_state = 6, .external_lex_state = 3},
  [10204] = {.lex_state = 6, .external_lex_state = 3},
  [10205] = {.lex_state = 6, .external_lex_state = 3},
  [10206] = {.lex_state = 6, .external_lex_state = 3},
  [10207] = {.lex_state = 173, .external_lex_state = 2},
  [10208] = {.lex_state = 172, .external_lex_state = 2},
  [10209] = {.lex_state = 13, .external_lex_state = 2},
  [10210] = {.lex_state = 13, .external_lex_state = 2},
  [10211] = {.lex_state = 13, .external_lex_state = 2},
  [10212] = {.lex_state = 13, .external_lex_state = 2},
  [10213] = {.lex_state = 13, .external_lex_state = 2},
  [10214] = {.lex_state = 172, .external_lex_state = 2},
  [10215] = {.lex_state = 188, .external_lex_state = 3},
  [10216] = {.lex_state = 6, .external_lex_state = 3},
  [10217] = {.lex_state = 208, .external_lex_state = 2},
  [10218] = {.lex_state = 13, .external_lex_state = 2},
  [10219] = {.lex_state = 173, .external_lex_state = 2},
  [10220] = {.lex_state = 15, .external_lex_state = 2},
  [10221] = {.lex_state = 427, .external_lex_state = 2},
  [10222] = {.lex_state = 427, .external_lex_state = 2},
  [10223] = {.lex_state = 427, .external_lex_state = 2},
  [10224] = {.lex_state = 14, .external_lex_state = 2},
  [10225] = {.lex_state = 14, .external_lex_state = 2},
  [10226] = {.lex_state = 14, .external_lex_state = 2},
  [10227] = {.lex_state = 420, .external_lex_state = 2},
  [10228] = {.lex_state = 427, .external_lex_state = 2},
  [10229] = {.lex_state = 14, .external_lex_state = 2},
  [10230] = {.lex_state = 14, .external_lex_state = 2},
  [10231] = {.lex_state = 15, .external_lex_state = 2},
  [10232] = {.lex_state = 14, .external_lex_state = 2},
  [10233] = {.lex_state = 14, .external_lex_state = 2},
  [10234] = {.lex_state = 14, .external_lex_state = 2},
  [10235] = {.lex_state = 427, .external_lex_state = 2},
  [10236] = {.lex_state = 427, .external_lex_state = 2},
  [10237] = {.lex_state = 427, .external_lex_state = 2},
  [10238] = {.lex_state = 217, .external_lex_state = 2},
  [10239] = {.lex_state = 14, .external_lex_state = 2},
  [10240] = {.lex_state = 15, .external_lex_state = 2},
  [10241] = {.lex_state = 15, .external_lex_state = 2},
  [10242] = {.lex_state = 14, .external_lex_state = 2},
  [10243] = {.lex_state = 427, .external_lex_state = 2},
  [10244] = {.lex_state = 170, .external_lex_state = 2},
  [10245] = {.lex_state = 6, .external_lex_state = 3},
  [10246] = {.lex_state = 427, .external_lex_state = 2},
  [10247] = {.lex_state = 427, .external_lex_state = 2},
  [10248] = {.lex_state = 427, .external_lex_state = 2},
  [10249] = {.lex_state = 174, .external_lex_state = 2},
  [10250] = {.lex_state = 16, .external_lex_state = 2},
  [10251] = {.lex_state = 427, .external_lex_state = 2},
  [10252] = {.lex_state = 427, .external_lex_state = 2},
  [10253] = {.lex_state = 420, .external_lex_state = 2},
  [10254] = {.lex_state = 14, .external_lex_state = 2},
  [10255] = {.lex_state = 427, .external_lex_state = 2},
  [10256] = {.lex_state = 420, .external_lex_state = 2},
  [10257] = {.lex_state = 427, .external_lex_state = 2},
  [10258] = {.lex_state = 427, .external_lex_state = 2},
  [10259] = {.lex_state = 420, .external_lex_state = 2},
  [10260] = {.lex_state = 427, .external_lex_state = 2},
  [10261] = {.lex_state = 420, .external_lex_state = 2},
  [10262] = {.lex_state = 427, .external_lex_state = 2},
  [10263] = {.lex_state = 427, .external_lex_state = 2},
  [10264] = {.lex_state = 427, .external_lex_state = 2},
  [10265] = {.lex_state = 427, .external_lex_state = 2},
  [10266] = {.lex_state = 420, .external_lex_state = 2},
  [10267] = {.lex_state = 202, .external_lex_state = 2},
  [10268] = {.lex_state = 202, .external_lex_state = 2},
  [10269] = {.lex_state = 427, .external_lex_state = 2},
  [10270] = {.lex_state = 202, .external_lex_state = 2},
  [10271] = {.lex_state = 16, .external_lex_state = 2},
  [10272] = {.lex_state = 16, .external_lex_state = 2},
  [10273] = {.lex_state = 427, .external_lex_state = 2},
  [10274] = {.lex_state = 420, .external_lex_state = 2},
  [10275] = {.lex_state = 434, .external_lex_state = 2},
  [10276] = {.lex_state = 427, .external_lex_state = 2},
  [10277] = {.lex_state = 13, .external_lex_state = 2},
  [10278] = {.lex_state = 427, .external_lex_state = 2},
  [10279] = {.lex_state = 427, .external_lex_state = 2},
  [10280] = {.lex_state = 427, .external_lex_state = 2},
  [10281] = {.lex_state = 427, .external_lex_state = 2},
  [10282] = {.lex_state = 427, .external_lex_state = 2},
  [10283] = {.lex_state = 211, .external_lex_state = 2},
  [10284] = {.lex_state = 16, .external_lex_state = 2},
  [10285] = {.lex_state = 217, .external_lex_state = 2},
  [10286] = {.lex_state = 427, .external_lex_state = 2},
  [10287] = {.lex_state = 419, .external_lex_state = 2},
  [10288] = {.lex_state = 203, .external_lex_state = 2},
  [10289] = {.lex_state = 203, .external_lex_state = 2},
  [10290] = {.lex_state = 203, .external_lex_state = 2},
  [10291] = {.lex_state = 427, .external_lex_state = 2},
  [10292] = {.lex_state = 211, .external_lex_state = 2},
  [10293] = {.lex_state = 211, .external_lex_state = 2},
  [10294] = {.lex_state = 427, .external_lex_state = 2},
  [10295] = {.lex_state = 16, .external_lex_state = 2},
  [10296] = {.lex_state = 15, .external_lex_state = 2},
  [10297] = {.lex_state = 13, .external_lex_state = 2},
  [10298] = {.lex_state = 426, .external_lex_state = 2},
  [10299] = {.lex_state = 427, .external_lex_state = 2},
  [10300] = {.lex_state = 15, .external_lex_state = 2},
  [10301] = {.lex_state = 13, .external_lex_state = 2},
  [10302] = {.lex_state = 13, .external_lex_state = 2},
  [10303] = {.lex_state = 13, .external_lex_state = 2},
  [10304] = {.lex_state = 13, .external_lex_state = 2},
  [10305] = {.lex_state = 13, .external_lex_state = 2},
  [10306] = {.lex_state = 15, .external_lex_state = 2},
  [10307] = {.lex_state = 13, .external_lex_state = 2},
  [10308] = {.lex_state = 427, .external_lex_state = 2},
  [10309] = {.lex_state = 13, .external_lex_state = 2},
  [10310] = {.lex_state = 427, .external_lex_state = 2},
  [10311] = {.lex_state = 13, .external_lex_state = 2},
  [10312] = {.lex_state = 13, .external_lex_state = 2},
  [10313] = {.lex_state = 13, .external_lex_state = 2},
  [10314] = {.lex_state = 14, .external_lex_state = 2},
  [10315] = {.lex_state = 15, .external_lex_state = 2},
  [10316] = {.lex_state = 13, .external_lex_state = 2},
  [10317] = {.lex_state = 427, .external_lex_state = 2},
  [10318] = {.lex_state = 13, .external_lex_state = 2},
  [10319] = {.lex_state = 211, .external_lex_state = 2},
  [10320] = {.lex_state = 431, .external_lex_state = 2},
  [10321] = {.lex_state = 211, .external_lex_state = 2},
  [10322] = {.lex_state = 434, .external_lex_state = 2},
  [10323] = {.lex_state = 427, .external_lex_state = 2},
  [10324] = {.lex_state = 427, .external_lex_state = 2},
  [10325] = {.lex_state = 427, .external_lex_state = 2},
  [10326] = {.lex_state = 217, .external_lex_state = 2},
  [10327] = {.lex_state = 434, .external_lex_state = 2},
  [10328] = {.lex_state = 15, .external_lex_state = 2},
  [10329] = {.lex_state = 427, .external_lex_state = 2},
  [10330] = {.lex_state = 427, .external_lex_state = 2},
  [10331] = {.lex_state = 15, .external_lex_state = 2},
  [10332] = {.lex_state = 165, .external_lex_state = 2},
  [10333] = {.lex_state = 165, .external_lex_state = 2},
  [10334] = {.lex_state = 420, .external_lex_state = 2},
  [10335] = {.lex_state = 188, .external_lex_state = 3},
  [10336] = {.lex_state = 434, .external_lex_state = 2},
  [10337] = {.lex_state = 427, .external_lex_state = 2},
  [10338] = {.lex_state = 13, .external_lex_state = 2},
  [10339] = {.lex_state = 15, .external_lex_state = 2},
  [10340] = {.lex_state = 15, .external_lex_state = 2},
  [10341] = {.lex_state = 15, .external_lex_state = 2},
  [10342] = {.lex_state = 427, .external_lex_state = 2},
  [10343] = {.lex_state = 427, .external_lex_state = 2},
  [10344] = {.lex_state = 13, .external_lex_state = 2},
  [10345] = {.lex_state = 427, .external_lex_state = 2},
  [10346] = {.lex_state = 13, .external_lex_state = 2},
  [10347] = {.lex_state = 427, .external_lex_state = 2},
  [10348] = {.lex_state = 427, .external_lex_state = 2},
  [10349] = {.lex_state = 427, .external_lex_state = 2},
  [10350] = {.lex_state = 427, .external_lex_state = 2},
  [10351] = {.lex_state = 427, .external_lex_state = 2},
  [10352] = {.lex_state = 427, .external_lex_state = 2},
  [10353] = {.lex_state = 427, .external_lex_state = 2},
  [10354] = {.lex_state = 15, .external_lex_state = 2},
  [10355] = {.lex_state = 427, .external_lex_state = 2},
  [10356] = {.lex_state = 15, .external_lex_state = 2},
  [10357] = {.lex_state = 420, .external_lex_state = 2},
  [10358] = {.lex_state = 15, .external_lex_state = 2},
  [10359] = {.lex_state = 16, .external_lex_state = 2},
  [10360] = {.lex_state = 427, .external_lex_state = 2},
  [10361] = {.lex_state = 427, .external_lex_state = 2},
  [10362] = {.lex_state = 15, .external_lex_state = 2},
  [10363] = {.lex_state = 420, .external_lex_state = 2},
  [10364] = {.lex_state = 427, .external_lex_state = 2},
  [10365] = {.lex_state = 427, .external_lex_state = 2},
  [10366] = {.lex_state = 15, .external_lex_state = 2},
  [10367] = {.lex_state = 427, .external_lex_state = 2},
  [10368] = {.lex_state = 427, .external_lex_state = 2},
  [10369] = {.lex_state = 420, .external_lex_state = 2},
  [10370] = {.lex_state = 223, .external_lex_state = 2},
  [10371] = {.lex_state = 217, .external_lex_state = 2},
  [10372] = {.lex_state = 427, .external_lex_state = 2},
  [10373] = {.lex_state = 427, .external_lex_state = 2},
  [10374] = {.lex_state = 427, .external_lex_state = 2},
  [10375] = {.lex_state = 15, .external_lex_state = 2},
  [10376] = {.lex_state = 427, .external_lex_state = 2},
  [10377] = {.lex_state = 427, .external_lex_state = 2},
  [10378] = {.lex_state = 427, .external_lex_state = 2},
  [10379] = {.lex_state = 420, .external_lex_state = 2},
  [10380] = {.lex_state = 427, .external_lex_state = 2},
  [10381] = {.lex_state = 427, .external_lex_state = 2},
  [10382] = {.lex_state = 427, .external_lex_state = 2},
  [10383] = {.lex_state = 20, .external_lex_state = 2},
  [10384] = {.lex_state = 420, .external_lex_state = 2},
  [10385] = {.lex_state = 427, .external_lex_state = 2},
  [10386] = {.lex_state = 427, .external_lex_state = 2},
  [10387] = {.lex_state = 420, .external_lex_state = 2},
  [10388] = {.lex_state = 427, .external_lex_state = 2},
  [10389] = {.lex_state = 217, .external_lex_state = 2},
  [10390] = {.lex_state = 217, .external_lex_state = 2},
  [10391] = {.lex_state = 420, .external_lex_state = 2},
  [10392] = {.lex_state = 217, .external_lex_state = 2},
  [10393] = {.lex_state = 427, .external_lex_state = 2},
  [10394] = {.lex_state = 217, .external_lex_state = 2},
  [10395] = {.lex_state = 427, .external_lex_state = 2},
  [10396] = {.lex_state = 427, .external_lex_state = 2},
  [10397] = {.lex_state = 427, .external_lex_state = 2},
  [10398] = {.lex_state = 427, .external_lex_state = 2},
  [10399] = {.lex_state = 420, .external_lex_state = 2},
  [10400] = {.lex_state = 15, .external_lex_state = 2},
  [10401] = {.lex_state = 211, .external_lex_state = 2},
  [10402] = {.lex_state = 15, .external_lex_state = 2},
  [10403] = {.lex_state = 427, .external_lex_state = 2},
  [10404] = {.lex_state = 15, .external_lex_state = 2},
  [10405] = {.lex_state = 427, .external_lex_state = 2},
  [10406] = {.lex_state = 427, .external_lex_state = 2},
  [10407] = {.lex_state = 46, .external_lex_state = 3},
  [10408] = {.lex_state = 427, .external_lex_state = 2},
  [10409] = {.lex_state = 14, .external_lex_state = 2},
  [10410] = {.lex_state = 420, .external_lex_state = 2},
  [10411] = {.lex_state = 427, .external_lex_state = 2},
  [10412] = {.lex_state = 427, .external_lex_state = 2},
  [10413] = {.lex_state = 46, .external_lex_state = 3},
  [10414] = {.lex_state = 427, .external_lex_state = 2},
  [10415] = {.lex_state = 427, .external_lex_state = 2},
  [10416] = {.lex_state = 427, .external_lex_state = 2},
  [10417] = {.lex_state = 20, .external_lex_state = 2},
  [10418] = {.lex_state = 427, .external_lex_state = 2},
  [10419] = {.lex_state = 427, .external_lex_state = 2},
  [10420] = {.lex_state = 15, .external_lex_state = 2},
  [10421] = {.lex_state = 20, .external_lex_state = 2},
  [10422] = {.lex_state = 427, .external_lex_state = 2},
  [10423] = {.lex_state = 427, .external_lex_state = 2},
  [10424] = {.lex_state = 46, .external_lex_state = 3},
  [10425] = {.lex_state = 20, .external_lex_state = 2},
  [10426] = {.lex_state = 427, .external_lex_state = 2},
  [10427] = {.lex_state = 427, .external_lex_state = 2},
  [10428] = {.lex_state = 427, .external_lex_state = 2},
  [10429] = {.lex_state = 20, .external_lex_state = 2},
  [10430] = {.lex_state = 427, .external_lex_state = 2},
  [10431] = {.lex_state = 427, .external_lex_state = 2},
  [10432] = {.lex_state = 427, .external_lex_state = 2},
  [10433] = {.lex_state = 427, .external_lex_state = 2},
  [10434] = {.lex_state = 427, .external_lex_state = 2},
  [10435] = {.lex_state = 420, .external_lex_state = 2},
  [10436] = {.lex_state = 420, .external_lex_state = 2},
  [10437] = {.lex_state = 427, .external_lex_state = 2},
  [10438] = {.lex_state = 420, .external_lex_state = 2},
  [10439] = {.lex_state = 420, .external_lex_state = 2},
  [10440] = {.lex_state = 420, .external_lex_state = 2},
  [10441] = {.lex_state = 427, .external_lex_state = 2},
  [10442] = {.lex_state = 217, .external_lex_state = 2},
  [10443] = {.lex_state = 427, .external_lex_state = 2},
  [10444] = {.lex_state = 427, .external_lex_state = 2},
  [10445] = {.lex_state = 427, .external_lex_state = 2},
  [10446] = {.lex_state = 15, .external_lex_state = 2},
  [10447] = {.lex_state = 427, .external_lex_state = 2},
  [10448] = {.lex_state = 427, .external_lex_state = 2},
  [10449] = {.lex_state = 427, .external_lex_state = 2},
  [10450] = {.lex_state = 427, .external_lex_state = 2},
  [10451] = {.lex_state = 427, .external_lex_state = 2},
  [10452] = {.lex_state = 427, .external_lex_state = 2},
  [10453] = {.lex_state = 427, .external_lex_state = 2},
  [10454] = {.lex_state = 427, .external_lex_state = 2},
  [10455] = {.lex_state = 427, .external_lex_state = 2},
  [10456] = {.lex_state = 427, .external_lex_state = 2},
  [10457] = {.lex_state = 427, .external_lex_state = 2},
  [10458] = {.lex_state = 427, .external_lex_state = 2},
  [10459] = {.lex_state = 427, .external_lex_state = 2},
  [10460] = {.lex_state = 427, .external_lex_state = 2},
  [10461] = {.lex_state = 427, .external_lex_state = 2},
  [10462] = {.lex_state = 427, .external_lex_state = 2},
  [10463] = {.lex_state = 427, .external_lex_state = 2},
  [10464] = {.lex_state = 217, .external_lex_state = 2},
  [10465] = {.lex_state = 217, .external_lex_state = 2},
  [10466] = {.lex_state = 427, .external_lex_state = 2},
  [10467] = {.lex_state = 427, .external_lex_state = 2},
  [10468] = {.lex_state = 427, .external_lex_state = 2},
  [10469] = {.lex_state = 427, .external_lex_state = 2},
  [10470] = {.lex_state = 427, .external_lex_state = 2},
  [10471] = {.lex_state = 427, .external_lex_state = 2},
  [10472] = {.lex_state = 427, .external_lex_state = 2},
  [10473] = {.lex_state = 427, .external_lex_state = 2},
  [10474] = {.lex_state = 427, .external_lex_state = 2},
  [10475] = {.lex_state = 427, .external_lex_state = 2},
  [10476] = {.lex_state = 427, .external_lex_state = 2},
  [10477] = {.lex_state = 427, .external_lex_state = 2},
  [10478] = {.lex_state = 427, .external_lex_state = 2},
  [10479] = {.lex_state = 427, .external_lex_state = 2},
  [10480] = {.lex_state = 427, .external_lex_state = 2},
  [10481] = {.lex_state = 427, .external_lex_state = 2},
  [10482] = {.lex_state = 427, .external_lex_state = 2},
  [10483] = {.lex_state = 427, .external_lex_state = 2},
  [10484] = {.lex_state = 427, .external_lex_state = 2},
  [10485] = {.lex_state = 427, .external_lex_state = 2},
  [10486] = {.lex_state = 212, .external_lex_state = 2},
  [10487] = {.lex_state = 427, .external_lex_state = 2},
  [10488] = {.lex_state = 427, .external_lex_state = 2},
  [10489] = {.lex_state = 427, .external_lex_state = 2},
  [10490] = {.lex_state = 427, .external_lex_state = 2},
  [10491] = {.lex_state = 427, .external_lex_state = 2},
  [10492] = {.lex_state = 420, .external_lex_state = 2},
  [10493] = {.lex_state = 427, .external_lex_state = 2},
  [10494] = {.lex_state = 427, .external_lex_state = 2},
  [10495] = {.lex_state = 427, .external_lex_state = 2},
  [10496] = {.lex_state = 427, .external_lex_state = 2},
  [10497] = {.lex_state = 420, .external_lex_state = 2},
  [10498] = {.lex_state = 16, .external_lex_state = 2},
  [10499] = {.lex_state = 15, .external_lex_state = 2},
  [10500] = {.lex_state = 16, .external_lex_state = 2},
  [10501] = {.lex_state = 427, .external_lex_state = 2},
  [10502] = {.lex_state = 420, .external_lex_state = 2},
  [10503] = {.lex_state = 427, .external_lex_state = 2},
  [10504] = {.lex_state = 427, .external_lex_state = 2},
  [10505] = {.lex_state = 427, .external_lex_state = 2},
  [10506] = {.lex_state = 427, .external_lex_state = 2},
  [10507] = {.lex_state = 14, .external_lex_state = 2},
  [10508] = {.lex_state = 14, .external_lex_state = 2},
  [10509] = {.lex_state = 427, .external_lex_state = 2},
  [10510] = {.lex_state = 427, .external_lex_state = 2},
  [10511] = {.lex_state = 202, .external_lex_state = 2},
  [10512] = {.lex_state = 420, .external_lex_state = 2},
  [10513] = {.lex_state = 420, .external_lex_state = 2},
  [10514] = {.lex_state = 420, .external_lex_state = 2},
  [10515] = {.lex_state = 427, .external_lex_state = 2},
  [10516] = {.lex_state = 15, .external_lex_state = 2},
  [10517] = {.lex_state = 15, .external_lex_state = 2},
  [10518] = {.lex_state = 420, .external_lex_state = 2},
  [10519] = {.lex_state = 427, .external_lex_state = 2},
  [10520] = {.lex_state = 431, .external_lex_state = 2},
  [10521] = {.lex_state = 420, .external_lex_state = 2},
  [10522] = {.lex_state = 427, .external_lex_state = 2},
  [10523] = {.lex_state = 427, .external_lex_state = 2},
  [10524] = {.lex_state = 427, .external_lex_state = 2},
  [10525] = {.lex_state = 420, .external_lex_state = 2},
  [10526] = {.lex_state = 419, .external_lex_state = 2},
  [10527] = {.lex_state = 427, .external_lex_state = 2},
  [10528] = {.lex_state = 14, .external_lex_state = 2},
  [10529] = {.lex_state = 419, .external_lex_state = 3},
  [10530] = {.lex_state = 427, .external_lex_state = 2},
  [10531] = {.lex_state = 427, .external_lex_state = 2},
  [10532] = {.lex_state = 16, .external_lex_state = 2},
  [10533] = {.lex_state = 15, .external_lex_state = 2},
  [10534] = {.lex_state = 16, .external_lex_state = 2},
  [10535] = {.lex_state = 13, .external_lex_state = 2},
  [10536] = {.lex_state = 14, .external_lex_state = 2},
  [10537] = {.lex_state = 427, .external_lex_state = 2},
  [10538] = {.lex_state = 13, .external_lex_state = 2},
  [10539] = {.lex_state = 427, .external_lex_state = 2},
  [10540] = {.lex_state = 427, .external_lex_state = 2},
  [10541] = {.lex_state = 427, .external_lex_state = 2},
  [10542] = {.lex_state = 427, .external_lex_state = 2},
  [10543] = {.lex_state = 427, .external_lex_state = 2},
  [10544] = {.lex_state = 427, .external_lex_state = 2},
  [10545] = {.lex_state = 427, .external_lex_state = 2},
  [10546] = {.lex_state = 427, .external_lex_state = 2},
  [10547] = {.lex_state = 221, .external_lex_state = 2},
  [10548] = {.lex_state = 16, .external_lex_state = 2},
  [10549] = {.lex_state = 427, .external_lex_state = 2},
  [10550] = {.lex_state = 427, .external_lex_state = 2},
  [10551] = {.lex_state = 203, .external_lex_state = 2},
  [10552] = {.lex_state = 427, .external_lex_state = 2},
  [10553] = {.lex_state = 427, .external_lex_state = 2},
  [10554] = {.lex_state = 427, .external_lex_state = 2},
  [10555] = {.lex_state = 420, .external_lex_state = 2},
  [10556] = {.lex_state = 427, .external_lex_state = 2},
  [10557] = {.lex_state = 427, .external_lex_state = 2},
  [10558] = {.lex_state = 15, .external_lex_state = 2},
  [10559] = {.lex_state = 427, .external_lex_state = 2},
  [10560] = {.lex_state = 16, .external_lex_state = 2},
  [10561] = {.lex_state = 427, .external_lex_state = 2},
  [10562] = {.lex_state = 427, .external_lex_state = 2},
  [10563] = {.lex_state = 427, .external_lex_state = 2},
  [10564] = {.lex_state = 427, .external_lex_state = 2},
  [10565] = {.lex_state = 427, .external_lex_state = 2},
  [10566] = {.lex_state = 427, .external_lex_state = 2},
  [10567] = {.lex_state = 427, .external_lex_state = 2},
  [10568] = {.lex_state = 420, .external_lex_state = 2},
  [10569] = {.lex_state = 420, .external_lex_state = 2},
  [10570] = {.lex_state = 427, .external_lex_state = 2},
  [10571] = {.lex_state = 420, .external_lex_state = 2},
  [10572] = {.lex_state = 427, .external_lex_state = 2},
  [10573] = {.lex_state = 14, .external_lex_state = 2},
  [10574] = {.lex_state = 14, .external_lex_state = 2},
  [10575] = {.lex_state = 208, .external_lex_state = 2},
  [10576] = {.lex_state = 427, .external_lex_state = 2},
  [10577] = {.lex_state = 431, .external_lex_state = 2},
  [10578] = {.lex_state = 20, .external_lex_state = 2},
  [10579] = {.lex_state = 204, .external_lex_state = 2},
  [10580] = {.lex_state = 208, .external_lex_state = 2},
  [10581] = {.lex_state = 208, .external_lex_state = 2},
  [10582] = {.lex_state = 20, .external_lex_state = 2},
  [10583] = {.lex_state = 427, .external_lex_state = 2},
  [10584] = {.lex_state = 208, .external_lex_state = 2},
  [10585] = {.lex_state = 208, .external_lex_state = 2},
  [10586] = {.lex_state = 208, .external_lex_state = 2},
  [10587] = {.lex_state = 427, .external_lex_state = 2},
  [10588] = {.lex_state = 221, .external_lex_state = 2},
  [10589] = {.lex_state = 427, .external_lex_state = 2},
  [10590] = {.lex_state = 427, .external_lex_state = 2},
  [10591] = {.lex_state = 221, .external_lex_state = 2},
  [10592] = {.lex_state = 20, .external_lex_state = 2},
  [10593] = {.lex_state = 431, .external_lex_state = 2},
  [10594] = {.lex_state = 223, .external_lex_state = 2},
  [10595] = {.lex_state = 221, .external_lex_state = 2},
  [10596] = {.lex_state = 221, .external_lex_state = 2},
  [10597] = {.lex_state = 208, .external_lex_state = 2},
  [10598] = {.lex_state = 208, .external_lex_state = 2},
  [10599] = {.lex_state = 20, .external_lex_state = 2},
  [10600] = {.lex_state = 208, .external_lex_state = 2},
  [10601] = {.lex_state = 221, .external_lex_state = 2},
  [10602] = {.lex_state = 208, .external_lex_state = 2},
  [10603] = {.lex_state = 208, .external_lex_state = 2},
  [10604] = {.lex_state = 431, .external_lex_state = 2},
  [10605] = {.lex_state = 208, .external_lex_state = 2},
  [10606] = {.lex_state = 221, .external_lex_state = 2},
  [10607] = {.lex_state = 46, .external_lex_state = 3},
  [10608] = {.lex_state = 221, .external_lex_state = 2},
  [10609] = {.lex_state = 419, .external_lex_state = 2},
  [10610] = {.lex_state = 20, .external_lex_state = 2},
  [10611] = {.lex_state = 20, .external_lex_state = 2},
  [10612] = {.lex_state = 208, .external_lex_state = 2},
  [10613] = {.lex_state = 20, .external_lex_state = 2},
  [10614] = {.lex_state = 223, .external_lex_state = 2},
  [10615] = {.lex_state = 203, .external_lex_state = 2},
  [10616] = {.lex_state = 7, .external_lex_state = 2},
  [10617] = {.lex_state = 427, .external_lex_state = 2},
  [10618] = {.lex_state = 208, .external_lex_state = 2},
  [10619] = {.lex_state = 208, .external_lex_state = 2},
  [10620] = {.lex_state = 223, .external_lex_state = 2},
  [10621] = {.lex_state = 208, .external_lex_state = 2},
  [10622] = {.lex_state = 221, .external_lex_state = 2},
  [10623] = {.lex_state = 221, .external_lex_state = 2},
  [10624] = {.lex_state = 20, .external_lex_state = 2},
  [10625] = {.lex_state = 14, .external_lex_state = 2},
  [10626] = {.lex_state = 223, .external_lex_state = 2},
  [10627] = {.lex_state = 223, .external_lex_state = 2},
  [10628] = {.lex_state = 223, .external_lex_state = 2},
  [10629] = {.lex_state = 14, .external_lex_state = 2},
  [10630] = {.lex_state = 208, .external_lex_state = 2},
  [10631] = {.lex_state = 221, .external_lex_state = 2},
  [10632] = {.lex_state = 20, .external_lex_state = 2},
  [10633] = {.lex_state = 20, .external_lex_state = 2},
  [10634] = {.lex_state = 14, .external_lex_state = 2},
  [10635] = {.lex_state = 20, .external_lex_state = 2},
  [10636] = {.lex_state = 14, .external_lex_state = 2},
  [10637] = {.lex_state = 221, .external_lex_state = 2},
  [10638] = {.lex_state = 20, .external_lex_state = 2},
  [10639] = {.lex_state = 208, .external_lex_state = 2},
  [10640] = {.lex_state = 208, .external_lex_state = 2},
  [10641] = {.lex_state = 427, .external_lex_state = 2},
  [10642] = {.lex_state = 14, .external_lex_state = 2},
  [10643] = {.lex_state = 431, .external_lex_state = 2},
  [10644] = {.lex_state = 20, .external_lex_state = 2},
  [10645] = {.lex_state = 427, .external_lex_state = 2},
  [10646] = {.lex_state = 20, .external_lex_state = 2},
  [10647] = {.lex_state = 223, .external_lex_state = 2},
  [10648] = {.lex_state = 20, .external_lex_state = 2},
  [10649] = {.lex_state = 20, .external_lex_state = 2},
  [10650] = {.lex_state = 221, .external_lex_state = 2},
  [10651] = {.lex_state = 6, .external_lex_state = 3},
  [10652] = {.lex_state = 221, .external_lex_state = 2},
  [10653] = {.lex_state = 223, .external_lex_state = 2},
  [10654] = {.lex_state = 221, .external_lex_state = 2},
  [10655] = {.lex_state = 427, .external_lex_state = 2},
  [10656] = {.lex_state = 208, .external_lex_state = 2},
  [10657] = {.lex_state = 208, .external_lex_state = 2},
  [10658] = {.lex_state = 427, .external_lex_state = 2},
  [10659] = {.lex_state = 223, .external_lex_state = 2},
  [10660] = {.lex_state = 221, .external_lex_state = 2},
  [10661] = {.lex_state = 223, .external_lex_state = 2},
  [10662] = {.lex_state = 20, .external_lex_state = 2},
  [10663] = {.lex_state = 14, .external_lex_state = 2},
  [10664] = {.lex_state = 223, .external_lex_state = 2},
  [10665] = {.lex_state = 14, .external_lex_state = 2},
  [10666] = {.lex_state = 208, .external_lex_state = 2},
  [10667] = {.lex_state = 208, .external_lex_state = 2},
  [10668] = {.lex_state = 427, .external_lex_state = 2},
  [10669] = {.lex_state = 431, .external_lex_state = 2},
  [10670] = {.lex_state = 427, .external_lex_state = 2},
  [10671] = {.lex_state = 14, .external_lex_state = 2},
  [10672] = {.lex_state = 20, .external_lex_state = 2},
  [10673] = {.lex_state = 431, .external_lex_state = 2},
  [10674] = {.lex_state = 223, .external_lex_state = 2},
  [10675] = {.lex_state = 20, .external_lex_state = 2},
  [10676] = {.lex_state = 20, .external_lex_state = 2},
  [10677] = {.lex_state = 419, .external_lex_state = 2},
  [10678] = {.lex_state = 426, .external_lex_state = 2},
  [10679] = {.lex_state = 419, .external_lex_state = 2},
  [10680] = {.lex_state = 20, .external_lex_state = 2},
  [10681] = {.lex_state = 205, .external_lex_state = 2},
  [10682] = {.lex_state = 208, .external_lex_state = 2},
  [10683] = {.lex_state = 20, .external_lex_state = 2},
  [10684] = {.lex_state = 205, .external_lex_state = 2},
  [10685] = {.lex_state = 427, .external_lex_state = 2},
  [10686] = {.lex_state = 221, .external_lex_state = 2},
  [10687] = {.lex_state = 427, .external_lex_state = 2},
  [10688] = {.lex_state = 221, .external_lex_state = 2},
  [10689] = {.lex_state = 427, .external_lex_state = 2},
  [10690] = {.lex_state = 20, .external_lex_state = 2},
  [10691] = {.lex_state = 205, .external_lex_state = 2},
  [10692] = {.lex_state = 20, .external_lex_state = 2},
  [10693] = {.lex_state = 221, .external_lex_state = 2},
  [10694] = {.lex_state = 14, .external_lex_state = 2},
  [10695] = {.lex_state = 14, .external_lex_state = 2},
  [10696] = {.lex_state = 427, .external_lex_state = 2},
  [10697] = {.lex_state = 14, .external_lex_state = 2},
  [10698] = {.lex_state = 167, .external_lex_state = 3},
  [10699] = {.lex_state = 427, .external_lex_state = 2},
  [10700] = {.lex_state = 20, .external_lex_state = 2},
  [10701] = {.lex_state = 20, .external_lex_state = 2},
  [10702] = {.lex_state = 223, .external_lex_state = 2},
  [10703] = {.lex_state = 419, .external_lex_state = 2},
  [10704] = {.lex_state = 221, .external_lex_state = 2},
  [10705] = {.lex_state = 223, .external_lex_state = 2},
  [10706] = {.lex_state = 223, .external_lex_state = 2},
  [10707] = {.lex_state = 208, .external_lex_state = 2},
  [10708] = {.lex_state = 221, .external_lex_state = 2},
  [10709] = {.lex_state = 208, .external_lex_state = 2},
  [10710] = {.lex_state = 208, .external_lex_state = 2},
  [10711] = {.lex_state = 208, .external_lex_state = 2},
  [10712] = {.lex_state = 223, .external_lex_state = 2},
  [10713] = {.lex_state = 427, .external_lex_state = 2},
  [10714] = {.lex_state = 221, .external_lex_state = 2},
  [10715] = {.lex_state = 208, .external_lex_state = 2},
  [10716] = {.lex_state = 426, .external_lex_state = 2},
  [10717] = {.lex_state = 221, .external_lex_state = 2},
  [10718] = {.lex_state = 419, .external_lex_state = 2},
  [10719] = {.lex_state = 431, .external_lex_state = 2},
  [10720] = {.lex_state = 427, .external_lex_state = 2},
  [10721] = {.lex_state = 203, .external_lex_state = 2},
  [10722] = {.lex_state = 223, .external_lex_state = 2},
  [10723] = {.lex_state = 223, .external_lex_state = 2},
  [10724] = {.lex_state = 427, .external_lex_state = 2},
  [10725] = {.lex_state = 427, .external_lex_state = 2},
  [10726] = {.lex_state = 426, .external_lex_state = 2},
  [10727] = {.lex_state = 431, .external_lex_state = 2},
  [10728] = {.lex_state = 223, .external_lex_state = 2},
  [10729] = {.lex_state = 223, .external_lex_state = 2},
  [10730] = {.lex_state = 432, .external_lex_state = 2},
  [10731] = {.lex_state = 432, .external_lex_state = 2},
  [10732] = {.lex_state = 14, .external_lex_state = 2},
  [10733] = {.lex_state = 223, .external_lex_state = 2},
  [10734] = {.lex_state = 221, .external_lex_state = 2},
  [10735] = {.lex_state = 217, .external_lex_state = 2},
  [10736] = {.lex_state = 221, .external_lex_state = 2},
  [10737] = {.lex_state = 427, .external_lex_state = 2},
  [10738] = {.lex_state = 208, .external_lex_state = 2},
  [10739] = {.lex_state = 432, .external_lex_state = 2},
  [10740] = {.lex_state = 221, .external_lex_state = 2},
  [10741] = {.lex_state = 223, .external_lex_state = 2},
  [10742] = {.lex_state = 427, .external_lex_state = 2},
  [10743] = {.lex_state = 427, .external_lex_state = 2},
  [10744] = {.lex_state = 221, .external_lex_state = 2},
  [10745] = {.lex_state = 431, .external_lex_state = 2},
  [10746] = {.lex_state = 208, .external_lex_state = 2},
  [10747] = {.lex_state = 431, .external_lex_state = 2},
  [10748] = {.lex_state = 221, .external_lex_state = 2},
  [10749] = {.lex_state = 208, .external_lex_state = 2},
  [10750] = {.lex_state = 221, .external_lex_state = 2},
  [10751] = {.lex_state = 431, .external_lex_state = 2},
  [10752] = {.lex_state = 208, .external_lex_state = 2},
  [10753] = {.lex_state = 431, .external_lex_state = 2},
  [10754] = {.lex_state = 202, .external_lex_state = 2},
  [10755] = {.lex_state = 221, .external_lex_state = 2},
  [10756] = {.lex_state = 14, .external_lex_state = 2},
  [10757] = {.lex_state = 431, .external_lex_state = 2},
  [10758] = {.lex_state = 208, .external_lex_state = 2},
  [10759] = {.lex_state = 431, .external_lex_state = 2},
  [10760] = {.lex_state = 419, .external_lex_state = 2},
  [10761] = {.lex_state = 14, .external_lex_state = 2},
  [10762] = {.lex_state = 419, .external_lex_state = 2},
  [10763] = {.lex_state = 419, .external_lex_state = 2},
  [10764] = {.lex_state = 419, .external_lex_state = 2},
  [10765] = {.lex_state = 431, .external_lex_state = 2},
  [10766] = {.lex_state = 431, .external_lex_state = 2},
  [10767] = {.lex_state = 208, .external_lex_state = 2},
  [10768] = {.lex_state = 432, .external_lex_state = 2},
  [10769] = {.lex_state = 431, .external_lex_state = 2},
  [10770] = {.lex_state = 208, .external_lex_state = 2},
  [10771] = {.lex_state = 431, .external_lex_state = 2},
  [10772] = {.lex_state = 208, .external_lex_state = 2},
  [10773] = {.lex_state = 20, .external_lex_state = 2},
  [10774] = {.lex_state = 419, .external_lex_state = 2},
  [10775] = {.lex_state = 20, .external_lex_state = 2},
  [10776] = {.lex_state = 223, .external_lex_state = 2},
  [10777] = {.lex_state = 20, .external_lex_state = 2},
  [10778] = {.lex_state = 20, .external_lex_state = 2},
  [10779] = {.lex_state = 20, .external_lex_state = 2},
  [10780] = {.lex_state = 221, .external_lex_state = 2},
  [10781] = {.lex_state = 427, .external_lex_state = 2},
  [10782] = {.lex_state = 427, .external_lex_state = 2},
  [10783] = {.lex_state = 217, .external_lex_state = 2},
  [10784] = {.lex_state = 426, .external_lex_state = 2},
  [10785] = {.lex_state = 208, .external_lex_state = 2},
  [10786] = {.lex_state = 20, .external_lex_state = 2},
  [10787] = {.lex_state = 431, .external_lex_state = 2},
  [10788] = {.lex_state = 202, .external_lex_state = 2},
  [10789] = {.lex_state = 223, .external_lex_state = 2},
  [10790] = {.lex_state = 208, .external_lex_state = 2},
  [10791] = {.lex_state = 223, .external_lex_state = 2},
  [10792] = {.lex_state = 419, .external_lex_state = 2},
  [10793] = {.lex_state = 208, .external_lex_state = 2},
  [10794] = {.lex_state = 20, .external_lex_state = 2},
  [10795] = {.lex_state = 208, .external_lex_state = 2},
  [10796] = {.lex_state = 419, .external_lex_state = 2},
  [10797] = {.lex_state = 427, .external_lex_state = 2},
  [10798] = {.lex_state = 427, .external_lex_state = 2},
  [10799] = {.lex_state = 221, .external_lex_state = 2},
  [10800] = {.lex_state = 427, .external_lex_state = 2},
  [10801] = {.lex_state = 427, .external_lex_state = 2},
  [10802] = {.lex_state = 223, .external_lex_state = 2},
  [10803] = {.lex_state = 208, .external_lex_state = 2},
  [10804] = {.lex_state = 223, .external_lex_state = 2},
  [10805] = {.lex_state = 223, .external_lex_state = 2},
  [10806] = {.lex_state = 223, .external_lex_state = 2},
  [10807] = {.lex_state = 431, .external_lex_state = 2},
  [10808] = {.lex_state = 208, .external_lex_state = 2},
  [10809] = {.lex_state = 223, .external_lex_state = 2},
  [10810] = {.lex_state = 203, .external_lex_state = 2},
  [10811] = {.lex_state = 431, .external_lex_state = 2},
  [10812] = {.lex_state = 431, .external_lex_state = 2},
  [10813] = {.lex_state = 431, .external_lex_state = 2},
  [10814] = {.lex_state = 431, .external_lex_state = 2},
  [10815] = {.lex_state = 431, .external_lex_state = 2},
  [10816] = {.lex_state = 431, .external_lex_state = 2},
  [10817] = {.lex_state = 204, .external_lex_state = 2},
  [10818] = {.lex_state = 221, .external_lex_state = 2},
  [10819] = {.lex_state = 208, .external_lex_state = 2},
  [10820] = {.lex_state = 204, .external_lex_state = 2},
  [10821] = {.lex_state = 202, .external_lex_state = 2},
  [10822] = {.lex_state = 223, .external_lex_state = 2},
  [10823] = {.lex_state = 223, .external_lex_state = 2},
  [10824] = {.lex_state = 223, .external_lex_state = 2},
  [10825] = {.lex_state = 431, .external_lex_state = 2},
  [10826] = {.lex_state = 431, .external_lex_state = 2},
  [10827] = {.lex_state = 431, .external_lex_state = 2},
  [10828] = {.lex_state = 221, .external_lex_state = 2},
  [10829] = {.lex_state = 221, .external_lex_state = 2},
  [10830] = {.lex_state = 431, .external_lex_state = 2},
  [10831] = {.lex_state = 221, .external_lex_state = 2},
  [10832] = {.lex_state = 223, .external_lex_state = 2},
  [10833] = {.lex_state = 208, .external_lex_state = 2},
  [10834] = {.lex_state = 208, .external_lex_state = 2},
  [10835] = {.lex_state = 431, .external_lex_state = 2},
  [10836] = {.lex_state = 427, .external_lex_state = 2},
  [10837] = {.lex_state = 223, .external_lex_state = 2},
  [10838] = {.lex_state = 221, .external_lex_state = 2},
  [10839] = {.lex_state = 20, .external_lex_state = 2},
  [10840] = {.lex_state = 223, .external_lex_state = 2},
  [10841] = {.lex_state = 208, .external_lex_state = 2},
  [10842] = {.lex_state = 208, .external_lex_state = 2},
  [10843] = {.lex_state = 223, .external_lex_state = 2},
  [10844] = {.lex_state = 208, .external_lex_state = 2},
  [10845] = {.lex_state = 208, .external_lex_state = 2},
  [10846] = {.lex_state = 208, .external_lex_state = 2},
  [10847] = {.lex_state = 208, .external_lex_state = 2},
  [10848] = {.lex_state = 427, .external_lex_state = 2},
  [10849] = {.lex_state = 427, .external_lex_state = 2},
  [10850] = {.lex_state = 427, .external_lex_state = 2},
  [10851] = {.lex_state = 427, .external_lex_state = 2},
  [10852] = {.lex_state = 208, .external_lex_state = 2},
  [10853] = {.lex_state = 208, .external_lex_state = 2},
  [10854] = {.lex_state = 208, .external_lex_state = 2},
  [10855] = {.lex_state = 419, .external_lex_state = 2},
  [10856] = {.lex_state = 208, .external_lex_state = 2},
  [10857] = {.lex_state = 208, .external_lex_state = 2},
  [10858] = {.lex_state = 208, .external_lex_state = 2},
  [10859] = {.lex_state = 208, .external_lex_state = 2},
  [10860] = {.lex_state = 208, .external_lex_state = 2},
  [10861] = {.lex_state = 20, .external_lex_state = 2},
  [10862] = {.lex_state = 208, .external_lex_state = 2},
  [10863] = {.lex_state = 208, .external_lex_state = 2},
  [10864] = {.lex_state = 208, .external_lex_state = 2},
  [10865] = {.lex_state = 208, .external_lex_state = 2},
  [10866] = {.lex_state = 208, .external_lex_state = 2},
  [10867] = {.lex_state = 208, .external_lex_state = 2},
  [10868] = {.lex_state = 221, .external_lex_state = 2},
  [10869] = {.lex_state = 419, .external_lex_state = 2},
  [10870] = {.lex_state = 217, .external_lex_state = 2},
  [10871] = {.lex_state = 419, .external_lex_state = 2},
  [10872] = {.lex_state = 217, .external_lex_state = 2},
  [10873] = {.lex_state = 16, .external_lex_state = 2},
  [10874] = {.lex_state = 217, .external_lex_state = 2},
  [10875] = {.lex_state = 217, .external_lex_state = 2},
  [10876] = {.lex_state = 419, .external_lex_state = 2},
  [10877] = {.lex_state = 16, .external_lex_state = 2},
  [10878] = {.lex_state = 419, .external_lex_state = 2},
  [10879] = {.lex_state = 419, .external_lex_state = 2},
  [10880] = {.lex_state = 419, .external_lex_state = 2},
  [10881] = {.lex_state = 419, .external_lex_state = 2},
  [10882] = {.lex_state = 217, .external_lex_state = 2},
  [10883] = {.lex_state = 419, .external_lex_state = 2},
  [10884] = {.lex_state = 203, .external_lex_state = 2},
  [10885] = {.lex_state = 432, .external_lex_state = 2},
  [10886] = {.lex_state = 419, .external_lex_state = 2},
  [10887] = {.lex_state = 419, .external_lex_state = 2},
  [10888] = {.lex_state = 419, .external_lex_state = 2},
  [10889] = {.lex_state = 419, .external_lex_state = 2},
  [10890] = {.lex_state = 419, .external_lex_state = 2},
  [10891] = {.lex_state = 427, .external_lex_state = 2},
  [10892] = {.lex_state = 419, .external_lex_state = 2},
  [10893] = {.lex_state = 16, .external_lex_state = 2},
  [10894] = {.lex_state = 419, .external_lex_state = 2},
  [10895] = {.lex_state = 427, .external_lex_state = 2},
  [10896] = {.lex_state = 427, .external_lex_state = 2},
  [10897] = {.lex_state = 427, .external_lex_state = 2},
  [10898] = {.lex_state = 419, .external_lex_state = 2},
  [10899] = {.lex_state = 427, .external_lex_state = 2},
  [10900] = {.lex_state = 427, .external_lex_state = 2},
  [10901] = {.lex_state = 427, .external_lex_state = 2},
  [10902] = {.lex_state = 427, .external_lex_state = 2},
  [10903] = {.lex_state = 427, .external_lex_state = 2},
  [10904] = {.lex_state = 427, .external_lex_state = 2},
  [10905] = {.lex_state = 427, .external_lex_state = 2},
  [10906] = {.lex_state = 427, .external_lex_state = 2},
  [10907] = {.lex_state = 427, .external_lex_state = 2},
  [10908] = {.lex_state = 427, .external_lex_state = 2},
  [10909] = {.lex_state = 427, .external_lex_state = 2},
  [10910] = {.lex_state = 427, .external_lex_state = 2},
  [10911] = {.lex_state = 427, .external_lex_state = 2},
  [10912] = {.lex_state = 427, .external_lex_state = 2},
  [10913] = {.lex_state = 21, .external_lex_state = 2},
  [10914] = {.lex_state = 419, .external_lex_state = 2},
  [10915] = {.lex_state = 15, .external_lex_state = 2},
  [10916] = {.lex_state = 427, .external_lex_state = 2},
  [10917] = {.lex_state = 427, .external_lex_state = 2},
  [10918] = {.lex_state = 15, .external_lex_state = 2},
  [10919] = {.lex_state = 427, .external_lex_state = 2},
  [10920] = {.lex_state = 427, .external_lex_state = 2},
  [10921] = {.lex_state = 427, .external_lex_state = 2},
  [10922] = {.lex_state = 427, .external_lex_state = 2},
  [10923] = {.lex_state = 427, .external_lex_state = 2},
  [10924] = {.lex_state = 427, .external_lex_state = 2},
  [10925] = {.lex_state = 427, .external_lex_state = 2},
  [10926] = {.lex_state = 427, .external_lex_state = 2},
  [10927] = {.lex_state = 427, .external_lex_state = 2},
  [10928] = {.lex_state = 427, .external_lex_state = 2},
  [10929] = {.lex_state = 427, .external_lex_state = 2},
  [10930] = {.lex_state = 15, .external_lex_state = 2},
  [10931] = {.lex_state = 15, .external_lex_state = 2},
  [10932] = {.lex_state = 15, .external_lex_state = 2},
  [10933] = {.lex_state = 21, .external_lex_state = 2},
  [10934] = {.lex_state = 419, .external_lex_state = 2},
  [10935] = {.lex_state = 422, .external_lex_state = 2},
  [10936] = {.lex_state = 422, .external_lex_state = 2},
  [10937] = {.lex_state = 422, .external_lex_state = 2},
  [10938] = {.lex_state = 419, .external_lex_state = 2},
  [10939] = {.lex_state = 431, .external_lex_state = 2},
  [10940] = {.lex_state = 15, .external_lex_state = 2},
  [10941] = {.lex_state = 15, .external_lex_state = 2},
  [10942] = {.lex_state = 15, .external_lex_state = 2},
  [10943] = {.lex_state = 15, .external_lex_state = 2},
  [10944] = {.lex_state = 15, .external_lex_state = 2},
  [10945] = {.lex_state = 15, .external_lex_state = 2},
  [10946] = {.lex_state = 15, .external_lex_state = 2},
  [10947] = {.lex_state = 15, .external_lex_state = 2},
  [10948] = {.lex_state = 15, .external_lex_state = 2},
  [10949] = {.lex_state = 15, .external_lex_state = 2},
  [10950] = {.lex_state = 15, .external_lex_state = 2},
  [10951] = {.lex_state = 15, .external_lex_state = 2},
  [10952] = {.lex_state = 15, .external_lex_state = 2},
  [10953] = {.lex_state = 427, .external_lex_state = 2},
  [10954] = {.lex_state = 427, .external_lex_state = 2},
  [10955] = {.lex_state = 211, .external_lex_state = 2},
  [10956] = {.lex_state = 419, .external_lex_state = 2},
  [10957] = {.lex_state = 419, .external_lex_state = 2},
  [10958] = {.lex_state = 15, .external_lex_state = 2},
  [10959] = {.lex_state = 15, .external_lex_state = 2},
  [10960] = {.lex_state = 15, .external_lex_state = 2},
  [10961] = {.lex_state = 15, .external_lex_state = 2},
  [10962] = {.lex_state = 15, .external_lex_state = 2},
  [10963] = {.lex_state = 419, .external_lex_state = 2},
  [10964] = {.lex_state = 8, .external_lex_state = 2},
  [10965] = {.lex_state = 419, .external_lex_state = 2},
  [10966] = {.lex_state = 8, .external_lex_state = 2},
  [10967] = {.lex_state = 15, .external_lex_state = 2},
  [10968] = {.lex_state = 202, .external_lex_state = 2},
  [10969] = {.lex_state = 419, .external_lex_state = 3},
  [10970] = {.lex_state = 419, .external_lex_state = 2},
  [10971] = {.lex_state = 18, .external_lex_state = 3},
  [10972] = {.lex_state = 419, .external_lex_state = 3},
  [10973] = {.lex_state = 211, .external_lex_state = 2},
  [10974] = {.lex_state = 211, .external_lex_state = 2},
  [10975] = {.lex_state = 8, .external_lex_state = 2},
  [10976] = {.lex_state = 6, .external_lex_state = 2},
  [10977] = {.lex_state = 211, .external_lex_state = 2},
  [10978] = {.lex_state = 419, .external_lex_state = 2},
  [10979] = {.lex_state = 419, .external_lex_state = 2},
  [10980] = {.lex_state = 217, .external_lex_state = 2},
  [10981] = {.lex_state = 427, .external_lex_state = 2},
  [10982] = {.lex_state = 419, .external_lex_state = 3},
  [10983] = {.lex_state = 432, .external_lex_state = 2},
  [10984] = {.lex_state = 431, .external_lex_state = 2},
  [10985] = {.lex_state = 431, .external_lex_state = 2},
  [10986] = {.lex_state = 217, .external_lex_state = 2},
  [10987] = {.lex_state = 419, .external_lex_state = 2},
  [10988] = {.lex_state = 217, .external_lex_state = 2},
  [10989] = {.lex_state = 217, .external_lex_state = 2},
  [10990] = {.lex_state = 217, .external_lex_state = 2},
  [10991] = {.lex_state = 217, .external_lex_state = 2},
  [10992] = {.lex_state = 21, .external_lex_state = 2},
  [10993] = {.lex_state = 431, .external_lex_state = 2},
  [10994] = {.lex_state = 431, .external_lex_state = 2},
  [10995] = {.lex_state = 419, .external_lex_state = 2},
  [10996] = {.lex_state = 419, .external_lex_state = 2},
  [10997] = {.lex_state = 217, .external_lex_state = 2},
  [10998] = {.lex_state = 419, .external_lex_state = 2},
  [10999] = {.lex_state = 217, .external_lex_state = 2},
  [11000] = {.lex_state = 217, .external_lex_state = 2},
  [11001] = {.lex_state = 217, .external_lex_state = 2},
  [11002] = {.lex_state = 419, .external_lex_state = 2},
  [11003] = {.lex_state = 217, .external_lex_state = 2},
  [11004] = {.lex_state = 217, .external_lex_state = 2},
  [11005] = {.lex_state = 217, .external_lex_state = 2},
  [11006] = {.lex_state = 217, .external_lex_state = 2},
  [11007] = {.lex_state = 432, .external_lex_state = 2},
  [11008] = {.lex_state = 419, .external_lex_state = 2},
  [11009] = {.lex_state = 217, .external_lex_state = 2},
  [11010] = {.lex_state = 217, .external_lex_state = 2},
  [11011] = {.lex_state = 217, .external_lex_state = 2},
  [11012] = {.lex_state = 217, .external_lex_state = 2},
  [11013] = {.lex_state = 217, .external_lex_state = 2},
  [11014] = {.lex_state = 217, .external_lex_state = 2},
  [11015] = {.lex_state = 6, .external_lex_state = 2},
  [11016] = {.lex_state = 419, .external_lex_state = 2},
  [11017] = {.lex_state = 217, .external_lex_state = 2},
  [11018] = {.lex_state = 217, .external_lex_state = 2},
  [11019] = {.lex_state = 217, .external_lex_state = 2},
  [11020] = {.lex_state = 217, .external_lex_state = 2},
  [11021] = {.lex_state = 6, .external_lex_state = 2},
  [11022] = {.lex_state = 427, .external_lex_state = 2},
  [11023] = {.lex_state = 427, .external_lex_state = 2},
  [11024] = {.lex_state = 427, .external_lex_state = 2},
  [11025] = {.lex_state = 427, .external_lex_state = 2},
  [11026] = {.lex_state = 427, .external_lex_state = 2},
  [11027] = {.lex_state = 219, .external_lex_state = 2},
  [11028] = {.lex_state = 419, .external_lex_state = 2},
  [11029] = {.lex_state = 419, .external_lex_state = 2},
  [11030] = {.lex_state = 427, .external_lex_state = 2},
  [11031] = {.lex_state = 427, .external_lex_state = 2},
  [11032] = {.lex_state = 427, .external_lex_state = 2},
  [11033] = {.lex_state = 419, .external_lex_state = 2},
  [11034] = {.lex_state = 427, .external_lex_state = 2},
  [11035] = {.lex_state = 427, .external_lex_state = 2},
  [11036] = {.lex_state = 427, .external_lex_state = 2},
  [11037] = {.lex_state = 427, .external_lex_state = 2},
  [11038] = {.lex_state = 427, .external_lex_state = 2},
  [11039] = {.lex_state = 427, .external_lex_state = 2},
  [11040] = {.lex_state = 427, .external_lex_state = 2},
  [11041] = {.lex_state = 427, .external_lex_state = 2},
  [11042] = {.lex_state = 427, .external_lex_state = 2},
  [11043] = {.lex_state = 427, .external_lex_state = 2},
  [11044] = {.lex_state = 427, .external_lex_state = 2},
  [11045] = {.lex_state = 427, .external_lex_state = 2},
  [11046] = {.lex_state = 427, .external_lex_state = 2},
  [11047] = {.lex_state = 427, .external_lex_state = 2},
  [11048] = {.lex_state = 427, .external_lex_state = 2},
  [11049] = {.lex_state = 427, .external_lex_state = 2},
  [11050] = {.lex_state = 427, .external_lex_state = 2},
  [11051] = {.lex_state = 427, .external_lex_state = 2},
  [11052] = {.lex_state = 427, .external_lex_state = 2},
  [11053] = {.lex_state = 427, .external_lex_state = 2},
  [11054] = {.lex_state = 427, .external_lex_state = 2},
  [11055] = {.lex_state = 419, .external_lex_state = 2},
  [11056] = {.lex_state = 167, .external_lex_state = 3},
  [11057] = {.lex_state = 419, .external_lex_state = 2},
  [11058] = {.lex_state = 217, .external_lex_state = 2},
  [11059] = {.lex_state = 419, .external_lex_state = 2},
  [11060] = {.lex_state = 419, .external_lex_state = 2},
  [11061] = {.lex_state = 431, .external_lex_state = 2},
  [11062] = {.lex_state = 419, .external_lex_state = 2},
  [11063] = {.lex_state = 427, .external_lex_state = 2},
  [11064] = {.lex_state = 419, .external_lex_state = 2},
  [11065] = {.lex_state = 217, .external_lex_state = 2},
  [11066] = {.lex_state = 217, .external_lex_state = 2},
  [11067] = {.lex_state = 427, .external_lex_state = 2},
  [11068] = {.lex_state = 419, .external_lex_state = 2},
  [11069] = {.lex_state = 427, .external_lex_state = 2},
  [11070] = {.lex_state = 427, .external_lex_state = 2},
  [11071] = {.lex_state = 427, .external_lex_state = 2},
  [11072] = {.lex_state = 427, .external_lex_state = 2},
  [11073] = {.lex_state = 419, .external_lex_state = 2},
  [11074] = {.lex_state = 16, .external_lex_state = 2},
  [11075] = {.lex_state = 15, .external_lex_state = 2},
  [11076] = {.lex_state = 15, .external_lex_state = 2},
  [11077] = {.lex_state = 15, .external_lex_state = 2},
  [11078] = {.lex_state = 15, .external_lex_state = 2},
  [11079] = {.lex_state = 15, .external_lex_state = 2},
  [11080] = {.lex_state = 15, .external_lex_state = 2},
  [11081] = {.lex_state = 15, .external_lex_state = 2},
  [11082] = {.lex_state = 15, .external_lex_state = 2},
  [11083] = {.lex_state = 15, .external_lex_state = 2},
  [11084] = {.lex_state = 419, .external_lex_state = 2},
  [11085] = {.lex_state = 419, .external_lex_state = 2},
  [11086] = {.lex_state = 15, .external_lex_state = 2},
  [11087] = {.lex_state = 427, .external_lex_state = 2},
  [11088] = {.lex_state = 419, .external_lex_state = 2},
  [11089] = {.lex_state = 419, .external_lex_state = 2},
  [11090] = {.lex_state = 419, .external_lex_state = 2},
  [11091] = {.lex_state = 16, .external_lex_state = 2},
  [11092] = {.lex_state = 17, .external_lex_state = 2},
  [11093] = {.lex_state = 419, .external_lex_state = 2},
  [11094] = {.lex_state = 427, .external_lex_state = 2},
  [11095] = {.lex_state = 16, .external_lex_state = 2},
  [11096] = {.lex_state = 419, .external_lex_state = 2},
  [11097] = {.lex_state = 219, .external_lex_state = 2},
  [11098] = {.lex_state = 16, .external_lex_state = 2},
  [11099] = {.lex_state = 419, .external_lex_state = 2},
  [11100] = {.lex_state = 419, .external_lex_state = 2},
  [11101] = {.lex_state = 419, .external_lex_state = 2},
  [11102] = {.lex_state = 18, .external_lex_state = 2},
  [11103] = {.lex_state = 419, .external_lex_state = 2},
  [11104] = {.lex_state = 419, .external_lex_state = 2},
  [11105] = {.lex_state = 419, .external_lex_state = 2},
  [11106] = {.lex_state = 419, .external_lex_state = 2},
  [11107] = {.lex_state = 419, .external_lex_state = 2},
  [11108] = {.lex_state = 419, .external_lex_state = 2},
  [11109] = {.lex_state = 419, .external_lex_state = 2},
  [11110] = {.lex_state = 419, .external_lex_state = 2},
  [11111] = {.lex_state = 419, .external_lex_state = 2},
  [11112] = {.lex_state = 419, .external_lex_state = 2},
  [11113] = {.lex_state = 419, .external_lex_state = 2},
  [11114] = {.lex_state = 419, .external_lex_state = 2},
  [11115] = {.lex_state = 419, .external_lex_state = 2},
  [11116] = {.lex_state = 419, .external_lex_state = 2},
  [11117] = {.lex_state = 419, .external_lex_state = 2},
  [11118] = {.lex_state = 419, .external_lex_state = 2},
  [11119] = {.lex_state = 17, .external_lex_state = 2},
  [11120] = {.lex_state = 17, .external_lex_state = 2},
  [11121] = {.lex_state = 17, .external_lex_state = 2},
  [11122] = {.lex_state = 17, .external_lex_state = 2},
  [11123] = {.lex_state = 17, .external_lex_state = 2},
  [11124] = {.lex_state = 17, .external_lex_state = 2},
  [11125] = {.lex_state = 17, .external_lex_state = 2},
  [11126] = {.lex_state = 17, .external_lex_state = 2},
  [11127] = {.lex_state = 17, .external_lex_state = 2},
  [11128] = {.lex_state = 17, .external_lex_state = 2},
  [11129] = {.lex_state = 17, .external_lex_state = 2},
  [11130] = {.lex_state = 17, .external_lex_state = 2},
  [11131] = {.lex_state = 17, .external_lex_state = 2},
  [11132] = {.lex_state = 419, .external_lex_state = 2},
  [11133] = {.lex_state = 419, .external_lex_state = 2},
  [11134] = {.lex_state = 164, .external_lex_state = 2},
  [11135] = {.lex_state = 419, .external_lex_state = 2},
  [11136] = {.lex_state = 419, .external_lex_state = 2},
  [11137] = {.lex_state = 419, .external_lex_state = 2},
  [11138] = {.lex_state = 419, .external_lex_state = 2},
  [11139] = {.lex_state = 419, .external_lex_state = 2},
  [11140] = {.lex_state = 419, .external_lex_state = 2},
  [11141] = {.lex_state = 419, .external_lex_state = 2},
  [11142] = {.lex_state = 18, .external_lex_state = 2},
  [11143] = {.lex_state = 217, .external_lex_state = 2},
  [11144] = {.lex_state = 217, .external_lex_state = 2},
  [11145] = {.lex_state = 419, .external_lex_state = 2},
  [11146] = {.lex_state = 419, .external_lex_state = 2},
  [11147] = {.lex_state = 419, .external_lex_state = 2},
  [11148] = {.lex_state = 419, .external_lex_state = 2},
  [11149] = {.lex_state = 427, .external_lex_state = 2},
  [11150] = {.lex_state = 211, .external_lex_state = 2},
  [11151] = {.lex_state = 419, .external_lex_state = 2},
  [11152] = {.lex_state = 419, .external_lex_state = 2},
  [11153] = {.lex_state = 419, .external_lex_state = 2},
  [11154] = {.lex_state = 17, .external_lex_state = 2},
  [11155] = {.lex_state = 18, .external_lex_state = 2},
  [11156] = {.lex_state = 419, .external_lex_state = 2},
  [11157] = {.lex_state = 419, .external_lex_state = 2},
  [11158] = {.lex_state = 419, .external_lex_state = 2},
  [11159] = {.lex_state = 419, .external_lex_state = 2},
  [11160] = {.lex_state = 419, .external_lex_state = 2},
  [11161] = {.lex_state = 419, .external_lex_state = 2},
  [11162] = {.lex_state = 419, .external_lex_state = 2},
  [11163] = {.lex_state = 419, .external_lex_state = 2},
  [11164] = {.lex_state = 419, .external_lex_state = 2},
  [11165] = {.lex_state = 419, .external_lex_state = 2},
  [11166] = {.lex_state = 419, .external_lex_state = 2},
  [11167] = {.lex_state = 419, .external_lex_state = 2},
  [11168] = {.lex_state = 419, .external_lex_state = 2},
  [11169] = {.lex_state = 419, .external_lex_state = 2},
  [11170] = {.lex_state = 17, .external_lex_state = 2},
  [11171] = {.lex_state = 17, .external_lex_state = 2},
  [11172] = {.lex_state = 419, .external_lex_state = 2},
  [11173] = {.lex_state = 419, .external_lex_state = 2},
  [11174] = {.lex_state = 419, .external_lex_state = 2},
  [11175] = {.lex_state = 419, .external_lex_state = 2},
  [11176] = {.lex_state = 165, .external_lex_state = 2},
  [11177] = {.lex_state = 165, .external_lex_state = 2},
  [11178] = {.lex_state = 165, .external_lex_state = 2},
  [11179] = {.lex_state = 18, .external_lex_state = 2},
  [11180] = {.lex_state = 419, .external_lex_state = 2},
  [11181] = {.lex_state = 419, .external_lex_state = 2},
  [11182] = {.lex_state = 419, .external_lex_state = 2},
  [11183] = {.lex_state = 217, .external_lex_state = 2},
  [11184] = {.lex_state = 419, .external_lex_state = 2},
  [11185] = {.lex_state = 211, .external_lex_state = 2},
  [11186] = {.lex_state = 15, .external_lex_state = 2},
  [11187] = {.lex_state = 15, .external_lex_state = 2},
  [11188] = {.lex_state = 15, .external_lex_state = 2},
  [11189] = {.lex_state = 15, .external_lex_state = 2},
  [11190] = {.lex_state = 15, .external_lex_state = 2},
  [11191] = {.lex_state = 427, .external_lex_state = 2},
  [11192] = {.lex_state = 419, .external_lex_state = 2},
  [11193] = {.lex_state = 427, .external_lex_state = 2},
  [11194] = {.lex_state = 427, .external_lex_state = 2},
  [11195] = {.lex_state = 419, .external_lex_state = 2},
  [11196] = {.lex_state = 419, .external_lex_state = 2},
  [11197] = {.lex_state = 18, .external_lex_state = 2},
  [11198] = {.lex_state = 419, .external_lex_state = 2},
  [11199] = {.lex_state = 419, .external_lex_state = 2},
  [11200] = {.lex_state = 419, .external_lex_state = 2},
  [11201] = {.lex_state = 427, .external_lex_state = 2},
  [11202] = {.lex_state = 419, .external_lex_state = 2},
  [11203] = {.lex_state = 419, .external_lex_state = 2},
  [11204] = {.lex_state = 419, .external_lex_state = 2},
  [11205] = {.lex_state = 419, .external_lex_state = 2},
  [11206] = {.lex_state = 419, .external_lex_state = 2},
  [11207] = {.lex_state = 18, .external_lex_state = 2},
  [11208] = {.lex_state = 419, .external_lex_state = 2},
  [11209] = {.lex_state = 239, .external_lex_state = 2},
  [11210] = {.lex_state = 419, .external_lex_state = 2},
  [11211] = {.lex_state = 419, .external_lex_state = 2},
  [11212] = {.lex_state = 419, .external_lex_state = 2},
  [11213] = {.lex_state = 419, .external_lex_state = 2},
  [11214] = {.lex_state = 419, .external_lex_state = 2},
  [11215] = {.lex_state = 419, .external_lex_state = 2},
  [11216] = {.lex_state = 419, .external_lex_state = 2},
  [11217] = {.lex_state = 419, .external_lex_state = 2},
  [11218] = {.lex_state = 419, .external_lex_state = 2},
  [11219] = {.lex_state = 419, .external_lex_state = 2},
  [11220] = {.lex_state = 419, .external_lex_state = 2},
  [11221] = {.lex_state = 18, .external_lex_state = 2},
  [11222] = {.lex_state = 419, .external_lex_state = 2},
  [11223] = {.lex_state = 427, .external_lex_state = 2},
  [11224] = {.lex_state = 419, .external_lex_state = 2},
  [11225] = {.lex_state = 419, .external_lex_state = 2},
  [11226] = {.lex_state = 419, .external_lex_state = 2},
  [11227] = {.lex_state = 419, .external_lex_state = 2},
  [11228] = {.lex_state = 18, .external_lex_state = 2},
  [11229] = {.lex_state = 427, .external_lex_state = 2},
  [11230] = {.lex_state = 419, .external_lex_state = 2},
  [11231] = {.lex_state = 419, .external_lex_state = 2},
  [11232] = {.lex_state = 15, .external_lex_state = 2},
  [11233] = {.lex_state = 419, .external_lex_state = 2},
  [11234] = {.lex_state = 419, .external_lex_state = 2},
  [11235] = {.lex_state = 419, .external_lex_state = 2},
  [11236] = {.lex_state = 419, .external_lex_state = 2},
  [11237] = {.lex_state = 419, .external_lex_state = 2},
  [11238] = {.lex_state = 18, .external_lex_state = 2},
  [11239] = {.lex_state = 419, .external_lex_state = 2},
  [11240] = {.lex_state = 419, .external_lex_state = 2},
  [11241] = {.lex_state = 419, .external_lex_state = 2},
  [11242] = {.lex_state = 419, .external_lex_state = 2},
  [11243] = {.lex_state = 18, .external_lex_state = 2},
  [11244] = {.lex_state = 419, .external_lex_state = 2},
  [11245] = {.lex_state = 419, .external_lex_state = 2},
  [11246] = {.lex_state = 419, .external_lex_state = 2},
  [11247] = {.lex_state = 419, .external_lex_state = 2},
  [11248] = {.lex_state = 18, .external_lex_state = 2},
  [11249] = {.lex_state = 419, .external_lex_state = 2},
  [11250] = {.lex_state = 419, .external_lex_state = 2},
  [11251] = {.lex_state = 419, .external_lex_state = 2},
  [11252] = {.lex_state = 16, .external_lex_state = 2},
  [11253] = {.lex_state = 419, .external_lex_state = 2},
  [11254] = {.lex_state = 427, .external_lex_state = 2},
  [11255] = {.lex_state = 419, .external_lex_state = 2},
  [11256] = {.lex_state = 8, .external_lex_state = 2},
  [11257] = {.lex_state = 419, .external_lex_state = 2},
  [11258] = {.lex_state = 419, .external_lex_state = 2},
  [11259] = {.lex_state = 419, .external_lex_state = 2},
  [11260] = {.lex_state = 419, .external_lex_state = 2},
  [11261] = {.lex_state = 419, .external_lex_state = 2},
  [11262] = {.lex_state = 419, .external_lex_state = 2},
  [11263] = {.lex_state = 419, .external_lex_state = 2},
  [11264] = {.lex_state = 18, .external_lex_state = 2},
  [11265] = {.lex_state = 419, .external_lex_state = 2},
  [11266] = {.lex_state = 419, .external_lex_state = 2},
  [11267] = {.lex_state = 419, .external_lex_state = 2},
  [11268] = {.lex_state = 419, .external_lex_state = 2},
  [11269] = {.lex_state = 419, .external_lex_state = 2},
  [11270] = {.lex_state = 419, .external_lex_state = 2},
  [11271] = {.lex_state = 419, .external_lex_state = 2},
  [11272] = {.lex_state = 174, .external_lex_state = 2},
  [11273] = {.lex_state = 174, .external_lex_state = 2},
  [11274] = {.lex_state = 174, .external_lex_state = 2},
  [11275] = {.lex_state = 18, .external_lex_state = 2},
  [11276] = {.lex_state = 419, .external_lex_state = 2},
  [11277] = {.lex_state = 419, .external_lex_state = 2},
  [11278] = {.lex_state = 419, .external_lex_state = 2},
  [11279] = {.lex_state = 419, .external_lex_state = 2},
  [11280] = {.lex_state = 419, .external_lex_state = 2},
  [11281] = {.lex_state = 419, .external_lex_state = 2},
  [11282] = {.lex_state = 18, .external_lex_state = 2},
  [11283] = {.lex_state = 419, .external_lex_state = 2},
  [11284] = {.lex_state = 419, .external_lex_state = 2},
  [11285] = {.lex_state = 419, .external_lex_state = 2},
  [11286] = {.lex_state = 18, .external_lex_state = 2},
  [11287] = {.lex_state = 427, .external_lex_state = 2},
  [11288] = {.lex_state = 419, .external_lex_state = 2},
  [11289] = {.lex_state = 419, .external_lex_state = 2},
  [11290] = {.lex_state = 419, .external_lex_state = 2},
  [11291] = {.lex_state = 427, .external_lex_state = 2},
  [11292] = {.lex_state = 18, .external_lex_state = 2},
  [11293] = {.lex_state = 432, .external_lex_state = 2},
  [11294] = {.lex_state = 419, .external_lex_state = 2},
  [11295] = {.lex_state = 419, .external_lex_state = 2},
  [11296] = {.lex_state = 419, .external_lex_state = 2},
  [11297] = {.lex_state = 419, .external_lex_state = 2},
  [11298] = {.lex_state = 419, .external_lex_state = 2},
  [11299] = {.lex_state = 419, .external_lex_state = 2},
  [11300] = {.lex_state = 18, .external_lex_state = 2},
  [11301] = {.lex_state = 419, .external_lex_state = 2},
  [11302] = {.lex_state = 419, .external_lex_state = 2},
  [11303] = {.lex_state = 419, .external_lex_state = 2},
  [11304] = {.lex_state = 16, .external_lex_state = 2},
  [11305] = {.lex_state = 419, .external_lex_state = 2},
  [11306] = {.lex_state = 419, .external_lex_state = 2},
  [11307] = {.lex_state = 419, .external_lex_state = 2},
  [11308] = {.lex_state = 18, .external_lex_state = 2},
  [11309] = {.lex_state = 419, .external_lex_state = 2},
  [11310] = {.lex_state = 419, .external_lex_state = 2},
  [11311] = {.lex_state = 419, .external_lex_state = 2},
  [11312] = {.lex_state = 419, .external_lex_state = 2},
  [11313] = {.lex_state = 419, .external_lex_state = 2},
  [11314] = {.lex_state = 419, .external_lex_state = 2},
  [11315] = {.lex_state = 419, .external_lex_state = 2},
  [11316] = {.lex_state = 18, .external_lex_state = 2},
  [11317] = {.lex_state = 419, .external_lex_state = 2},
  [11318] = {.lex_state = 419, .external_lex_state = 2},
  [11319] = {.lex_state = 16, .external_lex_state = 2},
  [11320] = {.lex_state = 427, .external_lex_state = 2},
  [11321] = {.lex_state = 419, .external_lex_state = 2},
  [11322] = {.lex_state = 18, .external_lex_state = 2},
  [11323] = {.lex_state = 419, .external_lex_state = 2},
  [11324] = {.lex_state = 419, .external_lex_state = 2},
  [11325] = {.lex_state = 419, .external_lex_state = 2},
  [11326] = {.lex_state = 419, .external_lex_state = 2},
  [11327] = {.lex_state = 419, .external_lex_state = 2},
  [11328] = {.lex_state = 419, .external_lex_state = 2},
  [11329] = {.lex_state = 419, .external_lex_state = 2},
  [11330] = {.lex_state = 419, .external_lex_state = 2},
  [11331] = {.lex_state = 427, .external_lex_state = 2},
  [11332] = {.lex_state = 18, .external_lex_state = 2},
  [11333] = {.lex_state = 419, .external_lex_state = 2},
  [11334] = {.lex_state = 419, .external_lex_state = 2},
  [11335] = {.lex_state = 419, .external_lex_state = 2},
  [11336] = {.lex_state = 419, .external_lex_state = 2},
  [11337] = {.lex_state = 427, .external_lex_state = 2},
  [11338] = {.lex_state = 419, .external_lex_state = 2},
  [11339] = {.lex_state = 419, .external_lex_state = 2},
  [11340] = {.lex_state = 18, .external_lex_state = 2},
  [11341] = {.lex_state = 419, .external_lex_state = 2},
  [11342] = {.lex_state = 419, .external_lex_state = 2},
  [11343] = {.lex_state = 419, .external_lex_state = 2},
  [11344] = {.lex_state = 419, .external_lex_state = 2},
  [11345] = {.lex_state = 18, .external_lex_state = 2},
  [11346] = {.lex_state = 419, .external_lex_state = 2},
  [11347] = {.lex_state = 419, .external_lex_state = 2},
  [11348] = {.lex_state = 419, .external_lex_state = 2},
  [11349] = {.lex_state = 427, .external_lex_state = 2},
  [11350] = {.lex_state = 419, .external_lex_state = 2},
  [11351] = {.lex_state = 419, .external_lex_state = 2},
  [11352] = {.lex_state = 419, .external_lex_state = 2},
  [11353] = {.lex_state = 18, .external_lex_state = 2},
  [11354] = {.lex_state = 419, .external_lex_state = 2},
  [11355] = {.lex_state = 419, .external_lex_state = 2},
  [11356] = {.lex_state = 427, .external_lex_state = 2},
  [11357] = {.lex_state = 18, .external_lex_state = 2},
  [11358] = {.lex_state = 419, .external_lex_state = 2},
  [11359] = {.lex_state = 18, .external_lex_state = 2},
  [11360] = {.lex_state = 419, .external_lex_state = 2},
  [11361] = {.lex_state = 427, .external_lex_state = 2},
  [11362] = {.lex_state = 419, .external_lex_state = 2},
  [11363] = {.lex_state = 419, .external_lex_state = 2},
  [11364] = {.lex_state = 419, .external_lex_state = 2},
  [11365] = {.lex_state = 18, .external_lex_state = 2},
  [11366] = {.lex_state = 419, .external_lex_state = 2},
  [11367] = {.lex_state = 419, .external_lex_state = 2},
  [11368] = {.lex_state = 419, .external_lex_state = 2},
  [11369] = {.lex_state = 18, .external_lex_state = 2},
  [11370] = {.lex_state = 427, .external_lex_state = 2},
  [11371] = {.lex_state = 419, .external_lex_state = 2},
  [11372] = {.lex_state = 419, .external_lex_state = 2},
  [11373] = {.lex_state = 18, .external_lex_state = 2},
  [11374] = {.lex_state = 419, .external_lex_state = 2},
  [11375] = {.lex_state = 419, .external_lex_state = 2},
  [11376] = {.lex_state = 16, .external_lex_state = 2},
  [11377] = {.lex_state = 18, .external_lex_state = 2},
  [11378] = {.lex_state = 419, .external_lex_state = 2},
  [11379] = {.lex_state = 18, .external_lex_state = 2},
  [11380] = {.lex_state = 419, .external_lex_state = 2},
  [11381] = {.lex_state = 419, .external_lex_state = 2},
  [11382] = {.lex_state = 419, .external_lex_state = 2},
  [11383] = {.lex_state = 419, .external_lex_state = 2},
  [11384] = {.lex_state = 419, .external_lex_state = 2},
  [11385] = {.lex_state = 419, .external_lex_state = 2},
  [11386] = {.lex_state = 18, .external_lex_state = 2},
  [11387] = {.lex_state = 419, .external_lex_state = 2},
  [11388] = {.lex_state = 18, .external_lex_state = 2},
  [11389] = {.lex_state = 419, .external_lex_state = 2},
  [11390] = {.lex_state = 419, .external_lex_state = 2},
  [11391] = {.lex_state = 419, .external_lex_state = 2},
  [11392] = {.lex_state = 419, .external_lex_state = 2},
  [11393] = {.lex_state = 419, .external_lex_state = 2},
  [11394] = {.lex_state = 427, .external_lex_state = 2},
  [11395] = {.lex_state = 18, .external_lex_state = 2},
  [11396] = {.lex_state = 419, .external_lex_state = 2},
  [11397] = {.lex_state = 419, .external_lex_state = 2},
  [11398] = {.lex_state = 18, .external_lex_state = 2},
  [11399] = {.lex_state = 419, .external_lex_state = 2},
  [11400] = {.lex_state = 18, .external_lex_state = 2},
  [11401] = {.lex_state = 419, .external_lex_state = 2},
  [11402] = {.lex_state = 419, .external_lex_state = 2},
  [11403] = {.lex_state = 419, .external_lex_state = 2},
  [11404] = {.lex_state = 211, .external_lex_state = 2},
  [11405] = {.lex_state = 419, .external_lex_state = 2},
  [11406] = {.lex_state = 419, .external_lex_state = 2},
  [11407] = {.lex_state = 18, .external_lex_state = 2},
  [11408] = {.lex_state = 419, .external_lex_state = 2},
  [11409] = {.lex_state = 18, .external_lex_state = 2},
  [11410] = {.lex_state = 419, .external_lex_state = 2},
  [11411] = {.lex_state = 419, .external_lex_state = 2},
  [11412] = {.lex_state = 419, .external_lex_state = 2},
  [11413] = {.lex_state = 18, .external_lex_state = 2},
  [11414] = {.lex_state = 419, .external_lex_state = 2},
  [11415] = {.lex_state = 419, .external_lex_state = 2},
  [11416] = {.lex_state = 419, .external_lex_state = 2},
  [11417] = {.lex_state = 419, .external_lex_state = 2},
  [11418] = {.lex_state = 419, .external_lex_state = 2},
  [11419] = {.lex_state = 419, .external_lex_state = 2},
  [11420] = {.lex_state = 18, .external_lex_state = 2},
  [11421] = {.lex_state = 419, .external_lex_state = 2},
  [11422] = {.lex_state = 419, .external_lex_state = 2},
  [11423] = {.lex_state = 419, .external_lex_state = 2},
  [11424] = {.lex_state = 419, .external_lex_state = 2},
  [11425] = {.lex_state = 419, .external_lex_state = 2},
  [11426] = {.lex_state = 18, .external_lex_state = 2},
  [11427] = {.lex_state = 419, .external_lex_state = 2},
  [11428] = {.lex_state = 419, .external_lex_state = 2},
  [11429] = {.lex_state = 419, .external_lex_state = 2},
  [11430] = {.lex_state = 419, .external_lex_state = 2},
  [11431] = {.lex_state = 18, .external_lex_state = 2},
  [11432] = {.lex_state = 419, .external_lex_state = 2},
  [11433] = {.lex_state = 419, .external_lex_state = 2},
  [11434] = {.lex_state = 18, .external_lex_state = 2},
  [11435] = {.lex_state = 427, .external_lex_state = 2},
  [11436] = {.lex_state = 15, .external_lex_state = 2},
  [11437] = {.lex_state = 419, .external_lex_state = 2},
  [11438] = {.lex_state = 419, .external_lex_state = 2},
  [11439] = {.lex_state = 419, .external_lex_state = 2},
  [11440] = {.lex_state = 18, .external_lex_state = 2},
  [11441] = {.lex_state = 419, .external_lex_state = 2},
  [11442] = {.lex_state = 419, .external_lex_state = 2},
  [11443] = {.lex_state = 419, .external_lex_state = 2},
  [11444] = {.lex_state = 17, .external_lex_state = 2},
  [11445] = {.lex_state = 419, .external_lex_state = 2},
  [11446] = {.lex_state = 419, .external_lex_state = 2},
  [11447] = {.lex_state = 419, .external_lex_state = 2},
  [11448] = {.lex_state = 419, .external_lex_state = 2},
  [11449] = {.lex_state = 419, .external_lex_state = 2},
  [11450] = {.lex_state = 419, .external_lex_state = 2},
  [11451] = {.lex_state = 419, .external_lex_state = 2},
  [11452] = {.lex_state = 16, .external_lex_state = 2},
  [11453] = {.lex_state = 419, .external_lex_state = 2},
  [11454] = {.lex_state = 419, .external_lex_state = 2},
  [11455] = {.lex_state = 419, .external_lex_state = 2},
  [11456] = {.lex_state = 419, .external_lex_state = 2},
  [11457] = {.lex_state = 419, .external_lex_state = 2},
  [11458] = {.lex_state = 239, .external_lex_state = 2},
  [11459] = {.lex_state = 166, .external_lex_state = 2},
  [11460] = {.lex_state = 166, .external_lex_state = 2},
  [11461] = {.lex_state = 419, .external_lex_state = 2},
  [11462] = {.lex_state = 427, .external_lex_state = 2},
  [11463] = {.lex_state = 427, .external_lex_state = 2},
  [11464] = {.lex_state = 427, .external_lex_state = 2},
  [11465] = {.lex_state = 419, .external_lex_state = 2},
  [11466] = {.lex_state = 17, .external_lex_state = 2},
  [11467] = {.lex_state = 419, .external_lex_state = 2},
  [11468] = {.lex_state = 427, .external_lex_state = 2},
  [11469] = {.lex_state = 427, .external_lex_state = 2},
  [11470] = {.lex_state = 419, .external_lex_state = 2},
  [11471] = {.lex_state = 419, .external_lex_state = 2},
  [11472] = {.lex_state = 217, .external_lex_state = 2},
  [11473] = {.lex_state = 166, .external_lex_state = 2},
  [11474] = {.lex_state = 419, .external_lex_state = 2},
  [11475] = {.lex_state = 419, .external_lex_state = 2},
  [11476] = {.lex_state = 419, .external_lex_state = 2},
  [11477] = {.lex_state = 419, .external_lex_state = 2},
  [11478] = {.lex_state = 419, .external_lex_state = 2},
  [11479] = {.lex_state = 419, .external_lex_state = 2},
  [11480] = {.lex_state = 419, .external_lex_state = 2},
  [11481] = {.lex_state = 16, .external_lex_state = 2},
  [11482] = {.lex_state = 18, .external_lex_state = 2},
  [11483] = {.lex_state = 419, .external_lex_state = 2},
  [11484] = {.lex_state = 419, .external_lex_state = 2},
  [11485] = {.lex_state = 419, .external_lex_state = 2},
  [11486] = {.lex_state = 16, .external_lex_state = 2},
  [11487] = {.lex_state = 419, .external_lex_state = 2},
  [11488] = {.lex_state = 419, .external_lex_state = 2},
  [11489] = {.lex_state = 419, .external_lex_state = 2},
  [11490] = {.lex_state = 16, .external_lex_state = 2},
  [11491] = {.lex_state = 419, .external_lex_state = 2},
  [11492] = {.lex_state = 419, .external_lex_state = 2},
  [11493] = {.lex_state = 419, .external_lex_state = 2},
  [11494] = {.lex_state = 419, .external_lex_state = 2},
  [11495] = {.lex_state = 419, .external_lex_state = 2},
  [11496] = {.lex_state = 419, .external_lex_state = 2},
  [11497] = {.lex_state = 419, .external_lex_state = 2},
  [11498] = {.lex_state = 419, .external_lex_state = 2},
  [11499] = {.lex_state = 419, .external_lex_state = 2},
  [11500] = {.lex_state = 217, .external_lex_state = 2},
  [11501] = {.lex_state = 419, .external_lex_state = 2},
  [11502] = {.lex_state = 419, .external_lex_state = 2},
  [11503] = {.lex_state = 419, .external_lex_state = 2},
  [11504] = {.lex_state = 419, .external_lex_state = 2},
  [11505] = {.lex_state = 427, .external_lex_state = 2},
  [11506] = {.lex_state = 427, .external_lex_state = 2},
  [11507] = {.lex_state = 427, .external_lex_state = 2},
  [11508] = {.lex_state = 427, .external_lex_state = 2},
  [11509] = {.lex_state = 419, .external_lex_state = 2},
  [11510] = {.lex_state = 427, .external_lex_state = 2},
  [11511] = {.lex_state = 419, .external_lex_state = 2},
  [11512] = {.lex_state = 419, .external_lex_state = 2},
  [11513] = {.lex_state = 427, .external_lex_state = 2},
  [11514] = {.lex_state = 419, .external_lex_state = 2},
  [11515] = {.lex_state = 419, .external_lex_state = 2},
  [11516] = {.lex_state = 419, .external_lex_state = 2},
  [11517] = {.lex_state = 419, .external_lex_state = 2},
  [11518] = {.lex_state = 14, .external_lex_state = 2},
  [11519] = {.lex_state = 419, .external_lex_state = 2},
  [11520] = {.lex_state = 419, .external_lex_state = 2},
  [11521] = {.lex_state = 419, .external_lex_state = 2},
  [11522] = {.lex_state = 419, .external_lex_state = 2},
  [11523] = {.lex_state = 419, .external_lex_state = 2},
  [11524] = {.lex_state = 419, .external_lex_state = 2},
  [11525] = {.lex_state = 419, .external_lex_state = 2},
  [11526] = {.lex_state = 419, .external_lex_state = 2},
  [11527] = {.lex_state = 419, .external_lex_state = 2},
  [11528] = {.lex_state = 419, .external_lex_state = 2},
  [11529] = {.lex_state = 419, .external_lex_state = 2},
  [11530] = {.lex_state = 419, .external_lex_state = 2},
  [11531] = {.lex_state = 419, .external_lex_state = 2},
  [11532] = {.lex_state = 419, .external_lex_state = 2},
  [11533] = {.lex_state = 427, .external_lex_state = 2},
  [11534] = {.lex_state = 419, .external_lex_state = 2},
  [11535] = {.lex_state = 427, .external_lex_state = 2},
  [11536] = {.lex_state = 427, .external_lex_state = 2},
  [11537] = {.lex_state = 419, .external_lex_state = 2},
  [11538] = {.lex_state = 419, .external_lex_state = 2},
  [11539] = {.lex_state = 419, .external_lex_state = 2},
  [11540] = {.lex_state = 419, .external_lex_state = 2},
  [11541] = {.lex_state = 419, .external_lex_state = 2},
  [11542] = {.lex_state = 419, .external_lex_state = 2},
  [11543] = {.lex_state = 419, .external_lex_state = 2},
  [11544] = {.lex_state = 16, .external_lex_state = 2},
  [11545] = {.lex_state = 419, .external_lex_state = 2},
  [11546] = {.lex_state = 427, .external_lex_state = 2},
  [11547] = {.lex_state = 419, .external_lex_state = 2},
  [11548] = {.lex_state = 419, .external_lex_state = 2},
  [11549] = {.lex_state = 419, .external_lex_state = 2},
  [11550] = {.lex_state = 419, .external_lex_state = 2},
  [11551] = {.lex_state = 419, .external_lex_state = 2},
  [11552] = {.lex_state = 419, .external_lex_state = 2},
  [11553] = {.lex_state = 419, .external_lex_state = 2},
  [11554] = {.lex_state = 419, .external_lex_state = 2},
  [11555] = {.lex_state = 419, .external_lex_state = 2},
  [11556] = {.lex_state = 419, .external_lex_state = 2},
  [11557] = {.lex_state = 419, .external_lex_state = 2},
  [11558] = {.lex_state = 419, .external_lex_state = 2},
  [11559] = {.lex_state = 419, .external_lex_state = 2},
  [11560] = {.lex_state = 427, .external_lex_state = 2},
  [11561] = {.lex_state = 419, .external_lex_state = 2},
  [11562] = {.lex_state = 419, .external_lex_state = 2},
  [11563] = {.lex_state = 419, .external_lex_state = 2},
  [11564] = {.lex_state = 427, .external_lex_state = 2},
  [11565] = {.lex_state = 419, .external_lex_state = 2},
  [11566] = {.lex_state = 419, .external_lex_state = 2},
  [11567] = {.lex_state = 419, .external_lex_state = 2},
  [11568] = {.lex_state = 427, .external_lex_state = 2},
  [11569] = {.lex_state = 419, .external_lex_state = 2},
  [11570] = {.lex_state = 419, .external_lex_state = 2},
  [11571] = {.lex_state = 419, .external_lex_state = 2},
  [11572] = {.lex_state = 419, .external_lex_state = 2},
  [11573] = {.lex_state = 419, .external_lex_state = 2},
  [11574] = {.lex_state = 419, .external_lex_state = 2},
  [11575] = {.lex_state = 427, .external_lex_state = 2},
  [11576] = {.lex_state = 427, .external_lex_state = 2},
  [11577] = {.lex_state = 16, .external_lex_state = 2},
  [11578] = {.lex_state = 427, .external_lex_state = 2},
  [11579] = {.lex_state = 427, .external_lex_state = 2},
  [11580] = {.lex_state = 16, .external_lex_state = 2},
  [11581] = {.lex_state = 170, .external_lex_state = 2},
  [11582] = {.lex_state = 419, .external_lex_state = 2},
  [11583] = {.lex_state = 419, .external_lex_state = 2},
  [11584] = {.lex_state = 427, .external_lex_state = 2},
  [11585] = {.lex_state = 419, .external_lex_state = 2},
  [11586] = {.lex_state = 419, .external_lex_state = 2},
  [11587] = {.lex_state = 217, .external_lex_state = 2},
  [11588] = {.lex_state = 419, .external_lex_state = 2},
  [11589] = {.lex_state = 419, .external_lex_state = 2},
  [11590] = {.lex_state = 419, .external_lex_state = 2},
  [11591] = {.lex_state = 419, .external_lex_state = 2},
  [11592] = {.lex_state = 419, .external_lex_state = 2},
  [11593] = {.lex_state = 419, .external_lex_state = 2},
  [11594] = {.lex_state = 419, .external_lex_state = 2},
  [11595] = {.lex_state = 15, .external_lex_state = 2},
  [11596] = {.lex_state = 15, .external_lex_state = 2},
  [11597] = {.lex_state = 419, .external_lex_state = 2},
  [11598] = {.lex_state = 419, .external_lex_state = 2},
  [11599] = {.lex_state = 18, .external_lex_state = 2},
  [11600] = {.lex_state = 427, .external_lex_state = 2},
  [11601] = {.lex_state = 15, .external_lex_state = 2},
  [11602] = {.lex_state = 419, .external_lex_state = 2},
  [11603] = {.lex_state = 21, .external_lex_state = 2},
  [11604] = {.lex_state = 21, .external_lex_state = 2},
  [11605] = {.lex_state = 427, .external_lex_state = 2},
  [11606] = {.lex_state = 419, .external_lex_state = 2},
  [11607] = {.lex_state = 21, .external_lex_state = 2},
  [11608] = {.lex_state = 21, .external_lex_state = 2},
  [11609] = {.lex_state = 15, .external_lex_state = 2},
  [11610] = {.lex_state = 419, .external_lex_state = 2},
  [11611] = {.lex_state = 427, .external_lex_state = 2},
  [11612] = {.lex_state = 427, .external_lex_state = 2},
  [11613] = {.lex_state = 427, .external_lex_state = 2},
  [11614] = {.lex_state = 427, .external_lex_state = 2},
  [11615] = {.lex_state = 15, .external_lex_state = 2},
  [11616] = {.lex_state = 21, .external_lex_state = 2},
  [11617] = {.lex_state = 419, .external_lex_state = 2},
  [11618] = {.lex_state = 21, .external_lex_state = 2},
  [11619] = {.lex_state = 21, .external_lex_state = 2},
  [11620] = {.lex_state = 21, .external_lex_state = 2},
  [11621] = {.lex_state = 21, .external_lex_state = 2},
  [11622] = {.lex_state = 21, .external_lex_state = 2},
  [11623] = {.lex_state = 21, .external_lex_state = 2},
  [11624] = {.lex_state = 21, .external_lex_state = 2},
  [11625] = {.lex_state = 15, .external_lex_state = 2},
  [11626] = {.lex_state = 17, .external_lex_state = 2},
  [11627] = {.lex_state = 164, .external_lex_state = 2},
  [11628] = {.lex_state = 17, .external_lex_state = 2},
  [11629] = {.lex_state = 17, .external_lex_state = 2},
  [11630] = {.lex_state = 18, .external_lex_state = 3},
  [11631] = {.lex_state = 17, .external_lex_state = 2},
  [11632] = {.lex_state = 427, .external_lex_state = 2},
  [11633] = {.lex_state = 21, .external_lex_state = 2},
  [11634] = {.lex_state = 21, .external_lex_state = 2},
  [11635] = {.lex_state = 21, .external_lex_state = 2},
  [11636] = {.lex_state = 419, .external_lex_state = 2},
  [11637] = {.lex_state = 17, .external_lex_state = 2},
  [11638] = {.lex_state = 17, .external_lex_state = 2},
  [11639] = {.lex_state = 21, .external_lex_state = 2},
  [11640] = {.lex_state = 17, .external_lex_state = 2},
  [11641] = {.lex_state = 210, .external_lex_state = 2},
  [11642] = {.lex_state = 427, .external_lex_state = 2},
  [11643] = {.lex_state = 211, .external_lex_state = 2},
  [11644] = {.lex_state = 18, .external_lex_state = 2},
  [11645] = {.lex_state = 15, .external_lex_state = 2},
  [11646] = {.lex_state = 17, .external_lex_state = 2},
  [11647] = {.lex_state = 17, .external_lex_state = 2},
  [11648] = {.lex_state = 17, .external_lex_state = 2},
  [11649] = {.lex_state = 164, .external_lex_state = 2},
  [11650] = {.lex_state = 17, .external_lex_state = 2},
  [11651] = {.lex_state = 21, .external_lex_state = 2},
  [11652] = {.lex_state = 21, .external_lex_state = 2},
  [11653] = {.lex_state = 164, .external_lex_state = 2},
  [11654] = {.lex_state = 15, .external_lex_state = 2},
  [11655] = {.lex_state = 431, .external_lex_state = 2},
  [11656] = {.lex_state = 427, .external_lex_state = 2},
  [11657] = {.lex_state = 17, .external_lex_state = 2},
  [11658] = {.lex_state = 21, .external_lex_state = 2},
  [11659] = {.lex_state = 21, .external_lex_state = 2},
  [11660] = {.lex_state = 15, .external_lex_state = 2},
  [11661] = {.lex_state = 427, .external_lex_state = 2},
  [11662] = {.lex_state = 427, .external_lex_state = 2},
  [11663] = {.lex_state = 419, .external_lex_state = 2},
  [11664] = {.lex_state = 18, .external_lex_state = 2},
  [11665] = {.lex_state = 427, .external_lex_state = 2},
  [11666] = {.lex_state = 427, .external_lex_state = 2},
  [11667] = {.lex_state = 427, .external_lex_state = 2},
  [11668] = {.lex_state = 15, .external_lex_state = 2},
  [11669] = {.lex_state = 15, .external_lex_state = 2},
  [11670] = {.lex_state = 15, .external_lex_state = 2},
  [11671] = {.lex_state = 15, .external_lex_state = 2},
  [11672] = {.lex_state = 15, .external_lex_state = 2},
  [11673] = {.lex_state = 15, .external_lex_state = 2},
  [11674] = {.lex_state = 15, .external_lex_state = 2},
  [11675] = {.lex_state = 15, .external_lex_state = 2},
  [11676] = {.lex_state = 15, .external_lex_state = 2},
  [11677] = {.lex_state = 15, .external_lex_state = 2},
  [11678] = {.lex_state = 419, .external_lex_state = 2},
  [11679] = {.lex_state = 21, .external_lex_state = 2},
  [11680] = {.lex_state = 15, .external_lex_state = 2},
  [11681] = {.lex_state = 21, .external_lex_state = 2},
  [11682] = {.lex_state = 15, .external_lex_state = 2},
  [11683] = {.lex_state = 21, .external_lex_state = 2},
  [11684] = {.lex_state = 18, .external_lex_state = 3},
  [11685] = {.lex_state = 164, .external_lex_state = 2},
  [11686] = {.lex_state = 419, .external_lex_state = 2},
  [11687] = {.lex_state = 419, .external_lex_state = 2},
  [11688] = {.lex_state = 17, .external_lex_state = 2},
  [11689] = {.lex_state = 427, .external_lex_state = 2},
  [11690] = {.lex_state = 419, .external_lex_state = 2},
  [11691] = {.lex_state = 419, .external_lex_state = 2},
  [11692] = {.lex_state = 427, .external_lex_state = 2},
  [11693] = {.lex_state = 427, .external_lex_state = 2},
  [11694] = {.lex_state = 164, .external_lex_state = 2},
  [11695] = {.lex_state = 21, .external_lex_state = 2},
  [11696] = {.lex_state = 18, .external_lex_state = 3},
  [11697] = {.lex_state = 427, .external_lex_state = 2},
  [11698] = {.lex_state = 419, .external_lex_state = 2},
  [11699] = {.lex_state = 18, .external_lex_state = 3},
  [11700] = {.lex_state = 21, .external_lex_state = 2},
  [11701] = {.lex_state = 419, .external_lex_state = 2},
  [11702] = {.lex_state = 427, .external_lex_state = 2},
  [11703] = {.lex_state = 427, .external_lex_state = 2},
  [11704] = {.lex_state = 419, .external_lex_state = 2},
  [11705] = {.lex_state = 21, .external_lex_state = 2},
  [11706] = {.lex_state = 419, .external_lex_state = 2},
  [11707] = {.lex_state = 18, .external_lex_state = 3},
  [11708] = {.lex_state = 427, .external_lex_state = 2},
  [11709] = {.lex_state = 427, .external_lex_state = 2},
  [11710] = {.lex_state = 427, .external_lex_state = 2},
  [11711] = {.lex_state = 427, .external_lex_state = 2},
  [11712] = {.lex_state = 427, .external_lex_state = 2},
  [11713] = {.lex_state = 427, .external_lex_state = 2},
  [11714] = {.lex_state = 427, .external_lex_state = 2},
  [11715] = {.lex_state = 239, .external_lex_state = 2},
  [11716] = {.lex_state = 427, .external_lex_state = 2},
  [11717] = {.lex_state = 419, .external_lex_state = 2},
  [11718] = {.lex_state = 419, .external_lex_state = 2},
  [11719] = {.lex_state = 427, .external_lex_state = 2},
  [11720] = {.lex_state = 8, .external_lex_state = 2},
  [11721] = {.lex_state = 21, .external_lex_state = 2},
  [11722] = {.lex_state = 18, .external_lex_state = 3},
  [11723] = {.lex_state = 427, .external_lex_state = 2},
  [11724] = {.lex_state = 164, .external_lex_state = 2},
  [11725] = {.lex_state = 21, .external_lex_state = 2},
  [11726] = {.lex_state = 21, .external_lex_state = 2},
  [11727] = {.lex_state = 239, .external_lex_state = 2},
  [11728] = {.lex_state = 164, .external_lex_state = 2},
  [11729] = {.lex_state = 419, .external_lex_state = 2},
  [11730] = {.lex_state = 427, .external_lex_state = 2},
  [11731] = {.lex_state = 15, .external_lex_state = 2},
  [11732] = {.lex_state = 18, .external_lex_state = 3},
  [11733] = {.lex_state = 15, .external_lex_state = 2},
  [11734] = {.lex_state = 419, .external_lex_state = 2},
  [11735] = {.lex_state = 21, .external_lex_state = 2},
  [11736] = {.lex_state = 21, .external_lex_state = 2},
  [11737] = {.lex_state = 17, .external_lex_state = 2},
  [11738] = {.lex_state = 15, .external_lex_state = 2},
  [11739] = {.lex_state = 427, .external_lex_state = 2},
  [11740] = {.lex_state = 427, .external_lex_state = 2},
  [11741] = {.lex_state = 427, .external_lex_state = 2},
  [11742] = {.lex_state = 164, .external_lex_state = 2},
  [11743] = {.lex_state = 427, .external_lex_state = 2},
  [11744] = {.lex_state = 427, .external_lex_state = 2},
  [11745] = {.lex_state = 427, .external_lex_state = 2},
  [11746] = {.lex_state = 419, .external_lex_state = 2},
  [11747] = {.lex_state = 15, .external_lex_state = 2},
  [11748] = {.lex_state = 17, .external_lex_state = 2},
  [11749] = {.lex_state = 18, .external_lex_state = 2},
  [11750] = {.lex_state = 15, .external_lex_state = 2},
  [11751] = {.lex_state = 419, .external_lex_state = 2},
  [11752] = {.lex_state = 427, .external_lex_state = 2},
  [11753] = {.lex_state = 427, .external_lex_state = 2},
  [11754] = {.lex_state = 15, .external_lex_state = 2},
  [11755] = {.lex_state = 15, .external_lex_state = 2},
  [11756] = {.lex_state = 13, .external_lex_state = 2},
  [11757] = {.lex_state = 13, .external_lex_state = 2},
  [11758] = {.lex_state = 13, .external_lex_state = 2},
  [11759] = {.lex_state = 13, .external_lex_state = 2},
  [11760] = {.lex_state = 13, .external_lex_state = 2},
  [11761] = {.lex_state = 13, .external_lex_state = 2},
  [11762] = {.lex_state = 13, .external_lex_state = 2},
  [11763] = {.lex_state = 13, .external_lex_state = 2},
  [11764] = {.lex_state = 13, .external_lex_state = 2},
  [11765] = {.lex_state = 13, .external_lex_state = 2},
  [11766] = {.lex_state = 13, .external_lex_state = 2},
  [11767] = {.lex_state = 13, .external_lex_state = 2},
  [11768] = {.lex_state = 13, .external_lex_state = 2},
  [11769] = {.lex_state = 13, .external_lex_state = 2},
  [11770] = {.lex_state = 199, .external_lex_state = 2},
  [11771] = {.lex_state = 18, .external_lex_state = 2},
  [11772] = {.lex_state = 18, .external_lex_state = 2},
  [11773] = {.lex_state = 18, .external_lex_state = 2},
  [11774] = {.lex_state = 13, .external_lex_state = 2},
  [11775] = {.lex_state = 13, .external_lex_state = 2},
  [11776] = {.lex_state = 13, .external_lex_state = 2},
  [11777] = {.lex_state = 18, .external_lex_state = 2},
  [11778] = {.lex_state = 427, .external_lex_state = 2},
  [11779] = {.lex_state = 427, .external_lex_state = 2},
  [11780] = {.lex_state = 431, .external_lex_state = 2},
  [11781] = {.lex_state = 431, .external_lex_state = 2},
  [11782] = {.lex_state = 13, .external_lex_state = 2},
  [11783] = {.lex_state = 13, .external_lex_state = 2},
  [11784] = {.lex_state = 13, .external_lex_state = 2},
  [11785] = {.lex_state = 13, .external_lex_state = 2},
  [11786] = {.lex_state = 13, .external_lex_state = 2},
  [11787] = {.lex_state = 13, .external_lex_state = 2},
  [11788] = {.lex_state = 13, .external_lex_state = 2},
  [11789] = {.lex_state = 13, .external_lex_state = 2},
  [11790] = {.lex_state = 13, .external_lex_state = 2},
  [11791] = {.lex_state = 13, .external_lex_state = 2},
  [11792] = {.lex_state = 13, .external_lex_state = 2},
  [11793] = {.lex_state = 13, .external_lex_state = 2},
  [11794] = {.lex_state = 13, .external_lex_state = 2},
  [11795] = {.lex_state = 15, .external_lex_state = 2},
  [11796] = {.lex_state = 13, .external_lex_state = 2},
  [11797] = {.lex_state = 18, .external_lex_state = 2},
  [11798] = {.lex_state = 431, .external_lex_state = 2},
  [11799] = {.lex_state = 15, .external_lex_state = 2},
  [11800] = {.lex_state = 13, .external_lex_state = 2},
  [11801] = {.lex_state = 13, .external_lex_state = 2},
  [11802] = {.lex_state = 427, .external_lex_state = 2},
  [11803] = {.lex_state = 427, .external_lex_state = 2},
  [11804] = {.lex_state = 419, .external_lex_state = 2},
  [11805] = {.lex_state = 217, .external_lex_state = 2},
  [11806] = {.lex_state = 217, .external_lex_state = 2},
  [11807] = {.lex_state = 217, .external_lex_state = 2},
  [11808] = {.lex_state = 217, .external_lex_state = 2},
  [11809] = {.lex_state = 18, .external_lex_state = 2},
  [11810] = {.lex_state = 431, .external_lex_state = 2},
  [11811] = {.lex_state = 13, .external_lex_state = 2},
  [11812] = {.lex_state = 13, .external_lex_state = 2},
  [11813] = {.lex_state = 15, .external_lex_state = 2},
  [11814] = {.lex_state = 431, .external_lex_state = 2},
  [11815] = {.lex_state = 431, .external_lex_state = 2},
  [11816] = {.lex_state = 431, .external_lex_state = 2},
  [11817] = {.lex_state = 13, .external_lex_state = 2},
  [11818] = {.lex_state = 18, .external_lex_state = 2},
  [11819] = {.lex_state = 14, .external_lex_state = 2},
  [11820] = {.lex_state = 15, .external_lex_state = 2},
  [11821] = {.lex_state = 15, .external_lex_state = 2},
  [11822] = {.lex_state = 15, .external_lex_state = 2},
  [11823] = {.lex_state = 15, .external_lex_state = 2},
  [11824] = {.lex_state = 15, .external_lex_state = 2},
  [11825] = {.lex_state = 15, .external_lex_state = 2},
  [11826] = {.lex_state = 18, .external_lex_state = 2},
  [11827] = {.lex_state = 13, .external_lex_state = 2},
  [11828] = {.lex_state = 13, .external_lex_state = 2},
  [11829] = {.lex_state = 13, .external_lex_state = 2},
  [11830] = {.lex_state = 13, .external_lex_state = 2},
  [11831] = {.lex_state = 13, .external_lex_state = 2},
  [11832] = {.lex_state = 13, .external_lex_state = 2},
  [11833] = {.lex_state = 18, .external_lex_state = 2},
  [11834] = {.lex_state = 18, .external_lex_state = 2},
  [11835] = {.lex_state = 13, .external_lex_state = 2},
  [11836] = {.lex_state = 13, .external_lex_state = 2},
  [11837] = {.lex_state = 13, .external_lex_state = 2},
  [11838] = {.lex_state = 13, .external_lex_state = 2},
  [11839] = {.lex_state = 13, .external_lex_state = 2},
  [11840] = {.lex_state = 15, .external_lex_state = 2},
  [11841] = {.lex_state = 199, .external_lex_state = 2},
  [11842] = {.lex_state = 18, .external_lex_state = 2},
  [11843] = {.lex_state = 13, .external_lex_state = 2},
  [11844] = {.lex_state = 13, .external_lex_state = 2},
  [11845] = {.lex_state = 13, .external_lex_state = 2},
  [11846] = {.lex_state = 13, .external_lex_state = 2},
  [11847] = {.lex_state = 13, .external_lex_state = 2},
  [11848] = {.lex_state = 18, .external_lex_state = 2},
  [11849] = {.lex_state = 427, .external_lex_state = 2},
  [11850] = {.lex_state = 15, .external_lex_state = 2},
  [11851] = {.lex_state = 199, .external_lex_state = 2},
  [11852] = {.lex_state = 18, .external_lex_state = 2},
  [11853] = {.lex_state = 18, .external_lex_state = 2},
  [11854] = {.lex_state = 18, .external_lex_state = 2},
  [11855] = {.lex_state = 427, .external_lex_state = 2},
  [11856] = {.lex_state = 13, .external_lex_state = 2},
  [11857] = {.lex_state = 13, .external_lex_state = 2},
  [11858] = {.lex_state = 13, .external_lex_state = 2},
  [11859] = {.lex_state = 13, .external_lex_state = 2},
  [11860] = {.lex_state = 13, .external_lex_state = 2},
  [11861] = {.lex_state = 15, .external_lex_state = 2},
  [11862] = {.lex_state = 15, .external_lex_state = 2},
  [11863] = {.lex_state = 15, .external_lex_state = 2},
  [11864] = {.lex_state = 18, .external_lex_state = 2},
  [11865] = {.lex_state = 13, .external_lex_state = 2},
  [11866] = {.lex_state = 15, .external_lex_state = 2},
  [11867] = {.lex_state = 15, .external_lex_state = 2},
  [11868] = {.lex_state = 15, .external_lex_state = 2},
  [11869] = {.lex_state = 15, .external_lex_state = 2},
  [11870] = {.lex_state = 15, .external_lex_state = 2},
  [11871] = {.lex_state = 15, .external_lex_state = 2},
  [11872] = {.lex_state = 13, .external_lex_state = 2},
  [11873] = {.lex_state = 18, .external_lex_state = 2},
  [11874] = {.lex_state = 13, .external_lex_state = 2},
  [11875] = {.lex_state = 13, .external_lex_state = 2},
  [11876] = {.lex_state = 15, .external_lex_state = 2},
  [11877] = {.lex_state = 15, .external_lex_state = 2},
  [11878] = {.lex_state = 13, .external_lex_state = 2},
  [11879] = {.lex_state = 427, .external_lex_state = 2},
  [11880] = {.lex_state = 13, .external_lex_state = 2},
  [11881] = {.lex_state = 18, .external_lex_state = 2},
  [11882] = {.lex_state = 13, .external_lex_state = 2},
  [11883] = {.lex_state = 13, .external_lex_state = 2},
  [11884] = {.lex_state = 13, .external_lex_state = 2},
  [11885] = {.lex_state = 427, .external_lex_state = 2},
  [11886] = {.lex_state = 427, .external_lex_state = 2},
  [11887] = {.lex_state = 15, .external_lex_state = 2},
  [11888] = {.lex_state = 18, .external_lex_state = 2},
  [11889] = {.lex_state = 15, .external_lex_state = 2},
  [11890] = {.lex_state = 18, .external_lex_state = 2},
  [11891] = {.lex_state = 13, .external_lex_state = 2},
  [11892] = {.lex_state = 18, .external_lex_state = 2},
  [11893] = {.lex_state = 13, .external_lex_state = 2},
  [11894] = {.lex_state = 15, .external_lex_state = 2},
  [11895] = {.lex_state = 18, .external_lex_state = 2},
  [11896] = {.lex_state = 13, .external_lex_state = 2},
  [11897] = {.lex_state = 15, .external_lex_state = 2},
  [11898] = {.lex_state = 18, .external_lex_state = 2},
  [11899] = {.lex_state = 15, .external_lex_state = 2},
  [11900] = {.lex_state = 15, .external_lex_state = 2},
  [11901] = {.lex_state = 13, .external_lex_state = 2},
  [11902] = {.lex_state = 18, .external_lex_state = 2},
  [11903] = {.lex_state = 13, .external_lex_state = 2},
  [11904] = {.lex_state = 15, .external_lex_state = 2},
  [11905] = {.lex_state = 15, .external_lex_state = 2},
  [11906] = {.lex_state = 18, .external_lex_state = 2},
  [11907] = {.lex_state = 18, .external_lex_state = 2},
  [11908] = {.lex_state = 15, .external_lex_state = 2},
  [11909] = {.lex_state = 18, .external_lex_state = 2},
  [11910] = {.lex_state = 427, .external_lex_state = 2},
  [11911] = {.lex_state = 18, .external_lex_state = 2},
  [11912] = {.lex_state = 15, .external_lex_state = 2},
  [11913] = {.lex_state = 13, .external_lex_state = 2},
  [11914] = {.lex_state = 18, .external_lex_state = 2},
  [11915] = {.lex_state = 199, .external_lex_state = 2},
  [11916] = {.lex_state = 18, .external_lex_state = 2},
  [11917] = {.lex_state = 13, .external_lex_state = 2},
  [11918] = {.lex_state = 18, .external_lex_state = 2},
  [11919] = {.lex_state = 18, .external_lex_state = 2},
  [11920] = {.lex_state = 13, .external_lex_state = 2},
  [11921] = {.lex_state = 18, .external_lex_state = 2},
  [11922] = {.lex_state = 13, .external_lex_state = 2},
  [11923] = {.lex_state = 18, .external_lex_state = 2},
  [11924] = {.lex_state = 18, .external_lex_state = 2},
  [11925] = {.lex_state = 427, .external_lex_state = 2},
  [11926] = {.lex_state = 18, .external_lex_state = 2},
  [11927] = {.lex_state = 18, .external_lex_state = 2},
  [11928] = {.lex_state = 15, .external_lex_state = 2},
  [11929] = {.lex_state = 18, .external_lex_state = 2},
  [11930] = {.lex_state = 18, .external_lex_state = 2},
  [11931] = {.lex_state = 199, .external_lex_state = 2},
  [11932] = {.lex_state = 18, .external_lex_state = 2},
  [11933] = {.lex_state = 15, .external_lex_state = 2},
  [11934] = {.lex_state = 18, .external_lex_state = 2},
  [11935] = {.lex_state = 18, .external_lex_state = 2},
  [11936] = {.lex_state = 427, .external_lex_state = 2},
  [11937] = {.lex_state = 427, .external_lex_state = 2},
  [11938] = {.lex_state = 14, .external_lex_state = 2},
  [11939] = {.lex_state = 18, .external_lex_state = 2},
  [11940] = {.lex_state = 18, .external_lex_state = 2},
  [11941] = {.lex_state = 18, .external_lex_state = 2},
  [11942] = {.lex_state = 18, .external_lex_state = 2},
  [11943] = {.lex_state = 427, .external_lex_state = 2},
  [11944] = {.lex_state = 18, .external_lex_state = 2},
  [11945] = {.lex_state = 18, .external_lex_state = 2},
  [11946] = {.lex_state = 199, .external_lex_state = 2},
  [11947] = {.lex_state = 199, .external_lex_state = 2},
  [11948] = {.lex_state = 14, .external_lex_state = 2},
  [11949] = {.lex_state = 18, .external_lex_state = 2},
  [11950] = {.lex_state = 14, .external_lex_state = 2},
  [11951] = {.lex_state = 18, .external_lex_state = 2},
  [11952] = {.lex_state = 18, .external_lex_state = 2},
  [11953] = {.lex_state = 18, .external_lex_state = 2},
  [11954] = {.lex_state = 13, .external_lex_state = 2},
  [11955] = {.lex_state = 14, .external_lex_state = 2},
  [11956] = {.lex_state = 18, .external_lex_state = 2},
  [11957] = {.lex_state = 14, .external_lex_state = 2},
  [11958] = {.lex_state = 419, .external_lex_state = 2},
  [11959] = {.lex_state = 14, .external_lex_state = 2},
  [11960] = {.lex_state = 18, .external_lex_state = 2},
  [11961] = {.lex_state = 15, .external_lex_state = 2},
  [11962] = {.lex_state = 15, .external_lex_state = 2},
  [11963] = {.lex_state = 15, .external_lex_state = 2},
  [11964] = {.lex_state = 15, .external_lex_state = 2},
  [11965] = {.lex_state = 15, .external_lex_state = 2},
  [11966] = {.lex_state = 18, .external_lex_state = 2},
  [11967] = {.lex_state = 218, .external_lex_state = 2},
  [11968] = {.lex_state = 18, .external_lex_state = 2},
  [11969] = {.lex_state = 18, .external_lex_state = 2},
  [11970] = {.lex_state = 427, .external_lex_state = 2},
  [11971] = {.lex_state = 18, .external_lex_state = 2},
  [11972] = {.lex_state = 427, .external_lex_state = 2},
  [11973] = {.lex_state = 8, .external_lex_state = 2},
  [11974] = {.lex_state = 427, .external_lex_state = 2},
  [11975] = {.lex_state = 427, .external_lex_state = 2},
  [11976] = {.lex_state = 199, .external_lex_state = 2},
  [11977] = {.lex_state = 427, .external_lex_state = 2},
  [11978] = {.lex_state = 427, .external_lex_state = 2},
  [11979] = {.lex_state = 427, .external_lex_state = 2},
  [11980] = {.lex_state = 427, .external_lex_state = 2},
  [11981] = {.lex_state = 14, .external_lex_state = 2},
  [11982] = {.lex_state = 14, .external_lex_state = 2},
  [11983] = {.lex_state = 427, .external_lex_state = 2},
  [11984] = {.lex_state = 14, .external_lex_state = 2},
  [11985] = {.lex_state = 14, .external_lex_state = 2},
  [11986] = {.lex_state = 14, .external_lex_state = 2},
  [11987] = {.lex_state = 14, .external_lex_state = 2},
  [11988] = {.lex_state = 14, .external_lex_state = 2},
  [11989] = {.lex_state = 14, .external_lex_state = 2},
  [11990] = {.lex_state = 14, .external_lex_state = 2},
  [11991] = {.lex_state = 14, .external_lex_state = 2},
  [11992] = {.lex_state = 14, .external_lex_state = 2},
  [11993] = {.lex_state = 419, .external_lex_state = 2},
  [11994] = {.lex_state = 18, .external_lex_state = 2},
  [11995] = {.lex_state = 14, .external_lex_state = 2},
  [11996] = {.lex_state = 14, .external_lex_state = 2},
  [11997] = {.lex_state = 18, .external_lex_state = 2},
  [11998] = {.lex_state = 14, .external_lex_state = 2},
  [11999] = {.lex_state = 419, .external_lex_state = 2},
  [12000] = {.lex_state = 8, .external_lex_state = 2},
  [12001] = {.lex_state = 427, .external_lex_state = 2},
  [12002] = {.lex_state = 14, .external_lex_state = 2},
  [12003] = {.lex_state = 427, .external_lex_state = 2},
  [12004] = {.lex_state = 218, .external_lex_state = 2},
  [12005] = {.lex_state = 8, .external_lex_state = 2},
  [12006] = {.lex_state = 427, .external_lex_state = 2},
  [12007] = {.lex_state = 427, .external_lex_state = 2},
  [12008] = {.lex_state = 427, .external_lex_state = 2},
  [12009] = {.lex_state = 13, .external_lex_state = 2},
  [12010] = {.lex_state = 13, .external_lex_state = 2},
  [12011] = {.lex_state = 13, .external_lex_state = 2},
  [12012] = {.lex_state = 13, .external_lex_state = 2},
  [12013] = {.lex_state = 13, .external_lex_state = 2},
  [12014] = {.lex_state = 8, .external_lex_state = 2},
  [12015] = {.lex_state = 13, .external_lex_state = 2},
  [12016] = {.lex_state = 13, .external_lex_state = 2},
  [12017] = {.lex_state = 18, .external_lex_state = 2},
  [12018] = {.lex_state = 18, .external_lex_state = 2},
  [12019] = {.lex_state = 13, .external_lex_state = 2},
  [12020] = {.lex_state = 13, .external_lex_state = 2},
  [12021] = {.lex_state = 13, .external_lex_state = 2},
  [12022] = {.lex_state = 13, .external_lex_state = 2},
  [12023] = {.lex_state = 13, .external_lex_state = 2},
  [12024] = {.lex_state = 13, .external_lex_state = 2},
  [12025] = {.lex_state = 427, .external_lex_state = 2},
  [12026] = {.lex_state = 427, .external_lex_state = 2},
  [12027] = {.lex_state = 14, .external_lex_state = 2},
  [12028] = {.lex_state = 14, .external_lex_state = 2},
  [12029] = {.lex_state = 431, .external_lex_state = 2},
  [12030] = {.lex_state = 18, .external_lex_state = 2},
  [12031] = {.lex_state = 13, .external_lex_state = 2},
  [12032] = {.lex_state = 13, .external_lex_state = 2},
  [12033] = {.lex_state = 431, .external_lex_state = 2},
  [12034] = {.lex_state = 14, .external_lex_state = 2},
  [12035] = {.lex_state = 18, .external_lex_state = 2},
  [12036] = {.lex_state = 14, .external_lex_state = 2},
  [12037] = {.lex_state = 218, .external_lex_state = 2},
  [12038] = {.lex_state = 431, .external_lex_state = 2},
  [12039] = {.lex_state = 427, .external_lex_state = 2},
  [12040] = {.lex_state = 419, .external_lex_state = 2},
  [12041] = {.lex_state = 15, .external_lex_state = 2},
  [12042] = {.lex_state = 218, .external_lex_state = 2},
  [12043] = {.lex_state = 218, .external_lex_state = 2},
  [12044] = {.lex_state = 13, .external_lex_state = 2},
  [12045] = {.lex_state = 427, .external_lex_state = 2},
  [12046] = {.lex_state = 18, .external_lex_state = 2},
  [12047] = {.lex_state = 18, .external_lex_state = 2},
  [12048] = {.lex_state = 427, .external_lex_state = 2},
  [12049] = {.lex_state = 427, .external_lex_state = 2},
  [12050] = {.lex_state = 427, .external_lex_state = 2},
  [12051] = {.lex_state = 427, .external_lex_state = 2},
  [12052] = {.lex_state = 18, .external_lex_state = 2},
  [12053] = {.lex_state = 18, .external_lex_state = 2},
  [12054] = {.lex_state = 427, .external_lex_state = 2},
  [12055] = {.lex_state = 427, .external_lex_state = 2},
  [12056] = {.lex_state = 18, .external_lex_state = 2},
  [12057] = {.lex_state = 15, .external_lex_state = 2},
  [12058] = {.lex_state = 427, .external_lex_state = 2},
  [12059] = {.lex_state = 427, .external_lex_state = 2},
  [12060] = {.lex_state = 427, .external_lex_state = 2},
  [12061] = {.lex_state = 427, .external_lex_state = 2},
  [12062] = {.lex_state = 13, .external_lex_state = 2},
  [12063] = {.lex_state = 18, .external_lex_state = 2},
  [12064] = {.lex_state = 427, .external_lex_state = 2},
  [12065] = {.lex_state = 427, .external_lex_state = 2},
  [12066] = {.lex_state = 13, .external_lex_state = 2},
  [12067] = {.lex_state = 427, .external_lex_state = 2},
  [12068] = {.lex_state = 427, .external_lex_state = 2},
  [12069] = {.lex_state = 427, .external_lex_state = 2},
  [12070] = {.lex_state = 427, .external_lex_state = 2},
  [12071] = {.lex_state = 427, .external_lex_state = 2},
  [12072] = {.lex_state = 13, .external_lex_state = 2},
  [12073] = {.lex_state = 13, .external_lex_state = 2},
  [12074] = {.lex_state = 18, .external_lex_state = 2},
  [12075] = {.lex_state = 18, .external_lex_state = 2},
  [12076] = {.lex_state = 197, .external_lex_state = 5},
  [12077] = {.lex_state = 14, .external_lex_state = 2},
  [12078] = {.lex_state = 14, .external_lex_state = 2},
  [12079] = {.lex_state = 14, .external_lex_state = 2},
  [12080] = {.lex_state = 14, .external_lex_state = 2},
  [12081] = {.lex_state = 14, .external_lex_state = 2},
  [12082] = {.lex_state = 14, .external_lex_state = 2},
  [12083] = {.lex_state = 14, .external_lex_state = 2},
  [12084] = {.lex_state = 14, .external_lex_state = 2},
  [12085] = {.lex_state = 14, .external_lex_state = 2},
  [12086] = {.lex_state = 14, .external_lex_state = 2},
  [12087] = {.lex_state = 14, .external_lex_state = 2},
  [12088] = {.lex_state = 14, .external_lex_state = 2},
  [12089] = {.lex_state = 14, .external_lex_state = 2},
  [12090] = {.lex_state = 419, .external_lex_state = 2},
  [12091] = {.lex_state = 14, .external_lex_state = 2},
  [12092] = {.lex_state = 197, .external_lex_state = 5},
  [12093] = {.lex_state = 197, .external_lex_state = 5},
  [12094] = {.lex_state = 419, .external_lex_state = 2},
  [12095] = {.lex_state = 14, .external_lex_state = 2},
  [12096] = {.lex_state = 14, .external_lex_state = 2},
  [12097] = {.lex_state = 14, .external_lex_state = 2},
  [12098] = {.lex_state = 18, .external_lex_state = 2},
  [12099] = {.lex_state = 427, .external_lex_state = 2},
  [12100] = {.lex_state = 14, .external_lex_state = 2},
  [12101] = {.lex_state = 427, .external_lex_state = 2},
  [12102] = {.lex_state = 14, .external_lex_state = 2},
  [12103] = {.lex_state = 14, .external_lex_state = 2},
  [12104] = {.lex_state = 14, .external_lex_state = 2},
  [12105] = {.lex_state = 18, .external_lex_state = 2},
  [12106] = {.lex_state = 427, .external_lex_state = 2},
  [12107] = {.lex_state = 15, .external_lex_state = 2},
  [12108] = {.lex_state = 217, .external_lex_state = 2},
  [12109] = {.lex_state = 197, .external_lex_state = 5},
  [12110] = {.lex_state = 13, .external_lex_state = 2},
  [12111] = {.lex_state = 14, .external_lex_state = 2},
  [12112] = {.lex_state = 14, .external_lex_state = 2},
  [12113] = {.lex_state = 18, .external_lex_state = 2},
  [12114] = {.lex_state = 18, .external_lex_state = 2},
  [12115] = {.lex_state = 18, .external_lex_state = 2},
  [12116] = {.lex_state = 14, .external_lex_state = 2},
  [12117] = {.lex_state = 198, .external_lex_state = 2},
  [12118] = {.lex_state = 18, .external_lex_state = 2},
  [12119] = {.lex_state = 419, .external_lex_state = 2},
  [12120] = {.lex_state = 18, .external_lex_state = 2},
  [12121] = {.lex_state = 14, .external_lex_state = 2},
  [12122] = {.lex_state = 197, .external_lex_state = 5},
  [12123] = {.lex_state = 427, .external_lex_state = 2},
  [12124] = {.lex_state = 18, .external_lex_state = 2},
  [12125] = {.lex_state = 18, .external_lex_state = 2},
  [12126] = {.lex_state = 197, .external_lex_state = 5},
  [12127] = {.lex_state = 427, .external_lex_state = 2},
  [12128] = {.lex_state = 18, .external_lex_state = 2},
  [12129] = {.lex_state = 18, .external_lex_state = 2},
  [12130] = {.lex_state = 14, .external_lex_state = 2},
  [12131] = {.lex_state = 13, .external_lex_state = 2},
  [12132] = {.lex_state = 14, .external_lex_state = 2},
  [12133] = {.lex_state = 14, .external_lex_state = 2},
  [12134] = {.lex_state = 197, .external_lex_state = 5},
  [12135] = {.lex_state = 14, .external_lex_state = 2},
  [12136] = {.lex_state = 14, .external_lex_state = 2},
  [12137] = {.lex_state = 14, .external_lex_state = 2},
  [12138] = {.lex_state = 15, .external_lex_state = 2},
  [12139] = {.lex_state = 14, .external_lex_state = 2},
  [12140] = {.lex_state = 15, .external_lex_state = 2},
  [12141] = {.lex_state = 15, .external_lex_state = 2},
  [12142] = {.lex_state = 419, .external_lex_state = 2},
  [12143] = {.lex_state = 18, .external_lex_state = 2},
  [12144] = {.lex_state = 18, .external_lex_state = 2},
  [12145] = {.lex_state = 14, .external_lex_state = 2},
  [12146] = {.lex_state = 14, .external_lex_state = 2},
  [12147] = {.lex_state = 13, .external_lex_state = 2},
  [12148] = {.lex_state = 13, .external_lex_state = 2},
  [12149] = {.lex_state = 13, .external_lex_state = 2},
  [12150] = {.lex_state = 13, .external_lex_state = 2},
  [12151] = {.lex_state = 13, .external_lex_state = 2},
  [12152] = {.lex_state = 13, .external_lex_state = 2},
  [12153] = {.lex_state = 13, .external_lex_state = 2},
  [12154] = {.lex_state = 13, .external_lex_state = 2},
  [12155] = {.lex_state = 419, .external_lex_state = 2},
  [12156] = {.lex_state = 13, .external_lex_state = 2},
  [12157] = {.lex_state = 15, .external_lex_state = 2},
  [12158] = {.lex_state = 197, .external_lex_state = 5},
  [12159] = {.lex_state = 13, .external_lex_state = 2},
  [12160] = {.lex_state = 13, .external_lex_state = 2},
  [12161] = {.lex_state = 15, .external_lex_state = 2},
  [12162] = {.lex_state = 14, .external_lex_state = 2},
  [12163] = {.lex_state = 14, .external_lex_state = 2},
  [12164] = {.lex_state = 13, .external_lex_state = 2},
  [12165] = {.lex_state = 13, .external_lex_state = 2},
  [12166] = {.lex_state = 14, .external_lex_state = 2},
  [12167] = {.lex_state = 13, .external_lex_state = 2},
  [12168] = {.lex_state = 13, .external_lex_state = 2},
  [12169] = {.lex_state = 14, .external_lex_state = 2},
  [12170] = {.lex_state = 13, .external_lex_state = 2},
  [12171] = {.lex_state = 14, .external_lex_state = 2},
  [12172] = {.lex_state = 427, .external_lex_state = 2},
  [12173] = {.lex_state = 13, .external_lex_state = 2},
  [12174] = {.lex_state = 13, .external_lex_state = 2},
  [12175] = {.lex_state = 18, .external_lex_state = 2},
  [12176] = {.lex_state = 14, .external_lex_state = 2},
  [12177] = {.lex_state = 427, .external_lex_state = 2},
  [12178] = {.lex_state = 13, .external_lex_state = 2},
  [12179] = {.lex_state = 14, .external_lex_state = 2},
  [12180] = {.lex_state = 197, .external_lex_state = 5},
  [12181] = {.lex_state = 197, .external_lex_state = 5},
  [12182] = {.lex_state = 14, .external_lex_state = 2},
  [12183] = {.lex_state = 13, .external_lex_state = 2},
  [12184] = {.lex_state = 13, .external_lex_state = 2},
  [12185] = {.lex_state = 13, .external_lex_state = 2},
  [12186] = {.lex_state = 13, .external_lex_state = 2},
  [12187] = {.lex_state = 13, .external_lex_state = 2},
  [12188] = {.lex_state = 197, .external_lex_state = 5},
  [12189] = {.lex_state = 13, .external_lex_state = 2},
  [12190] = {.lex_state = 14, .external_lex_state = 2},
  [12191] = {.lex_state = 14, .external_lex_state = 2},
  [12192] = {.lex_state = 14, .external_lex_state = 2},
  [12193] = {.lex_state = 14, .external_lex_state = 2},
  [12194] = {.lex_state = 13, .external_lex_state = 2},
  [12195] = {.lex_state = 197, .external_lex_state = 5},
  [12196] = {.lex_state = 217, .external_lex_state = 2},
  [12197] = {.lex_state = 419, .external_lex_state = 2},
  [12198] = {.lex_state = 419, .external_lex_state = 2},
  [12199] = {.lex_state = 14, .external_lex_state = 2},
  [12200] = {.lex_state = 13, .external_lex_state = 2},
  [12201] = {.lex_state = 13, .external_lex_state = 2},
  [12202] = {.lex_state = 419, .external_lex_state = 2},
  [12203] = {.lex_state = 18, .external_lex_state = 2},
  [12204] = {.lex_state = 427, .external_lex_state = 2},
  [12205] = {.lex_state = 419, .external_lex_state = 2},
  [12206] = {.lex_state = 18, .external_lex_state = 2},
  [12207] = {.lex_state = 18, .external_lex_state = 2},
  [12208] = {.lex_state = 197, .external_lex_state = 5},
  [12209] = {.lex_state = 14, .external_lex_state = 2},
  [12210] = {.lex_state = 197, .external_lex_state = 5},
  [12211] = {.lex_state = 197, .external_lex_state = 5},
  [12212] = {.lex_state = 18, .external_lex_state = 2},
  [12213] = {.lex_state = 13, .external_lex_state = 2},
  [12214] = {.lex_state = 14, .external_lex_state = 2},
  [12215] = {.lex_state = 14, .external_lex_state = 2},
  [12216] = {.lex_state = 14, .external_lex_state = 2},
  [12217] = {.lex_state = 197, .external_lex_state = 5},
  [12218] = {.lex_state = 14, .external_lex_state = 2},
  [12219] = {.lex_state = 13, .external_lex_state = 2},
  [12220] = {.lex_state = 14, .external_lex_state = 2},
  [12221] = {.lex_state = 13, .external_lex_state = 2},
  [12222] = {.lex_state = 13, .external_lex_state = 2},
  [12223] = {.lex_state = 197, .external_lex_state = 5},
  [12224] = {.lex_state = 14, .external_lex_state = 2},
  [12225] = {.lex_state = 197, .external_lex_state = 5},
  [12226] = {.lex_state = 13, .external_lex_state = 2},
  [12227] = {.lex_state = 197, .external_lex_state = 5},
  [12228] = {.lex_state = 13, .external_lex_state = 2},
  [12229] = {.lex_state = 14, .external_lex_state = 2},
  [12230] = {.lex_state = 14, .external_lex_state = 2},
  [12231] = {.lex_state = 14, .external_lex_state = 2},
  [12232] = {.lex_state = 419, .external_lex_state = 2},
  [12233] = {.lex_state = 14, .external_lex_state = 2},
  [12234] = {.lex_state = 419, .external_lex_state = 2},
  [12235] = {.lex_state = 14, .external_lex_state = 2},
  [12236] = {.lex_state = 14, .external_lex_state = 2},
  [12237] = {.lex_state = 14, .external_lex_state = 2},
  [12238] = {.lex_state = 14, .external_lex_state = 2},
  [12239] = {.lex_state = 14, .external_lex_state = 2},
  [12240] = {.lex_state = 14, .external_lex_state = 2},
  [12241] = {.lex_state = 14, .external_lex_state = 2},
  [12242] = {.lex_state = 14, .external_lex_state = 2},
  [12243] = {.lex_state = 14, .external_lex_state = 2},
  [12244] = {.lex_state = 14, .external_lex_state = 2},
  [12245] = {.lex_state = 419, .external_lex_state = 2},
  [12246] = {.lex_state = 14, .external_lex_state = 2},
  [12247] = {.lex_state = 197, .external_lex_state = 5},
  [12248] = {.lex_state = 15, .external_lex_state = 2},
  [12249] = {.lex_state = 14, .external_lex_state = 2},
  [12250] = {.lex_state = 14, .external_lex_state = 2},
  [12251] = {.lex_state = 197, .external_lex_state = 5},
  [12252] = {.lex_state = 14, .external_lex_state = 2},
  [12253] = {.lex_state = 14, .external_lex_state = 2},
  [12254] = {.lex_state = 14, .external_lex_state = 2},
  [12255] = {.lex_state = 197, .external_lex_state = 5},
  [12256] = {.lex_state = 14, .external_lex_state = 2},
  [12257] = {.lex_state = 14, .external_lex_state = 2},
  [12258] = {.lex_state = 13, .external_lex_state = 2},
  [12259] = {.lex_state = 427, .external_lex_state = 2},
  [12260] = {.lex_state = 14, .external_lex_state = 2},
  [12261] = {.lex_state = 14, .external_lex_state = 2},
  [12262] = {.lex_state = 14, .external_lex_state = 2},
  [12263] = {.lex_state = 14, .external_lex_state = 2},
  [12264] = {.lex_state = 197, .external_lex_state = 5},
  [12265] = {.lex_state = 14, .external_lex_state = 2},
  [12266] = {.lex_state = 197, .external_lex_state = 5},
  [12267] = {.lex_state = 427, .external_lex_state = 2},
  [12268] = {.lex_state = 18, .external_lex_state = 2},
  [12269] = {.lex_state = 14, .external_lex_state = 2},
  [12270] = {.lex_state = 14, .external_lex_state = 2},
  [12271] = {.lex_state = 14, .external_lex_state = 2},
  [12272] = {.lex_state = 197, .external_lex_state = 5},
  [12273] = {.lex_state = 14, .external_lex_state = 2},
  [12274] = {.lex_state = 14, .external_lex_state = 2},
  [12275] = {.lex_state = 427, .external_lex_state = 2},
  [12276] = {.lex_state = 14, .external_lex_state = 2},
  [12277] = {.lex_state = 427, .external_lex_state = 2},
  [12278] = {.lex_state = 14, .external_lex_state = 2},
  [12279] = {.lex_state = 14, .external_lex_state = 2},
  [12280] = {.lex_state = 14, .external_lex_state = 2},
  [12281] = {.lex_state = 14, .external_lex_state = 2},
  [12282] = {.lex_state = 14, .external_lex_state = 2},
  [12283] = {.lex_state = 14, .external_lex_state = 2},
  [12284] = {.lex_state = 197, .external_lex_state = 5},
  [12285] = {.lex_state = 14, .external_lex_state = 2},
  [12286] = {.lex_state = 14, .external_lex_state = 2},
  [12287] = {.lex_state = 197, .external_lex_state = 5},
  [12288] = {.lex_state = 197, .external_lex_state = 5},
  [12289] = {.lex_state = 14, .external_lex_state = 2},
  [12290] = {.lex_state = 14, .external_lex_state = 2},
  [12291] = {.lex_state = 14, .external_lex_state = 2},
  [12292] = {.lex_state = 14, .external_lex_state = 2},
  [12293] = {.lex_state = 14, .external_lex_state = 2},
  [12294] = {.lex_state = 14, .external_lex_state = 2},
  [12295] = {.lex_state = 14, .external_lex_state = 2},
  [12296] = {.lex_state = 14, .external_lex_state = 2},
  [12297] = {.lex_state = 197, .external_lex_state = 5},
  [12298] = {.lex_state = 13, .external_lex_state = 2},
  [12299] = {.lex_state = 197, .external_lex_state = 5},
  [12300] = {.lex_state = 419, .external_lex_state = 2},
  [12301] = {.lex_state = 14, .external_lex_state = 2},
  [12302] = {.lex_state = 14, .external_lex_state = 2},
  [12303] = {.lex_state = 13, .external_lex_state = 2},
  [12304] = {.lex_state = 14, .external_lex_state = 2},
  [12305] = {.lex_state = 14, .external_lex_state = 2},
  [12306] = {.lex_state = 197, .external_lex_state = 5},
  [12307] = {.lex_state = 14, .external_lex_state = 2},
  [12308] = {.lex_state = 13, .external_lex_state = 2},
  [12309] = {.lex_state = 14, .external_lex_state = 2},
  [12310] = {.lex_state = 197, .external_lex_state = 5},
  [12311] = {.lex_state = 13, .external_lex_state = 2},
  [12312] = {.lex_state = 14, .external_lex_state = 2},
  [12313] = {.lex_state = 197, .external_lex_state = 5},
  [12314] = {.lex_state = 197, .external_lex_state = 5},
  [12315] = {.lex_state = 16, .external_lex_state = 2},
  [12316] = {.lex_state = 14, .external_lex_state = 2},
  [12317] = {.lex_state = 13, .external_lex_state = 2},
  [12318] = {.lex_state = 14, .external_lex_state = 2},
  [12319] = {.lex_state = 14, .external_lex_state = 2},
  [12320] = {.lex_state = 13, .external_lex_state = 2},
  [12321] = {.lex_state = 197, .external_lex_state = 5},
  [12322] = {.lex_state = 197, .external_lex_state = 5},
  [12323] = {.lex_state = 197, .external_lex_state = 5},
  [12324] = {.lex_state = 14, .external_lex_state = 2},
  [12325] = {.lex_state = 14, .external_lex_state = 2},
  [12326] = {.lex_state = 419, .external_lex_state = 2},
  [12327] = {.lex_state = 14, .external_lex_state = 2},
  [12328] = {.lex_state = 419, .external_lex_state = 2},
  [12329] = {.lex_state = 14, .external_lex_state = 2},
  [12330] = {.lex_state = 197, .external_lex_state = 5},
  [12331] = {.lex_state = 13, .external_lex_state = 2},
  [12332] = {.lex_state = 13, .external_lex_state = 2},
  [12333] = {.lex_state = 14, .external_lex_state = 2},
  [12334] = {.lex_state = 197, .external_lex_state = 5},
  [12335] = {.lex_state = 14, .external_lex_state = 2},
  [12336] = {.lex_state = 14, .external_lex_state = 2},
  [12337] = {.lex_state = 198, .external_lex_state = 2},
  [12338] = {.lex_state = 427, .external_lex_state = 2},
  [12339] = {.lex_state = 14, .external_lex_state = 2},
  [12340] = {.lex_state = 14, .external_lex_state = 2},
  [12341] = {.lex_state = 14, .external_lex_state = 2},
  [12342] = {.lex_state = 197, .external_lex_state = 5},
  [12343] = {.lex_state = 14, .external_lex_state = 2},
  [12344] = {.lex_state = 14, .external_lex_state = 2},
  [12345] = {.lex_state = 218, .external_lex_state = 2},
  [12346] = {.lex_state = 14, .external_lex_state = 2},
  [12347] = {.lex_state = 14, .external_lex_state = 2},
  [12348] = {.lex_state = 197, .external_lex_state = 5},
  [12349] = {.lex_state = 13, .external_lex_state = 2},
  [12350] = {.lex_state = 13, .external_lex_state = 2},
  [12351] = {.lex_state = 14, .external_lex_state = 2},
  [12352] = {.lex_state = 197, .external_lex_state = 5},
  [12353] = {.lex_state = 14, .external_lex_state = 2},
  [12354] = {.lex_state = 427, .external_lex_state = 2},
  [12355] = {.lex_state = 14, .external_lex_state = 2},
  [12356] = {.lex_state = 14, .external_lex_state = 2},
  [12357] = {.lex_state = 427, .external_lex_state = 2},
  [12358] = {.lex_state = 13, .external_lex_state = 2},
  [12359] = {.lex_state = 197, .external_lex_state = 5},
  [12360] = {.lex_state = 14, .external_lex_state = 2},
  [12361] = {.lex_state = 14, .external_lex_state = 2},
  [12362] = {.lex_state = 13, .external_lex_state = 2},
  [12363] = {.lex_state = 18, .external_lex_state = 2},
  [12364] = {.lex_state = 14, .external_lex_state = 2},
  [12365] = {.lex_state = 14, .external_lex_state = 2},
  [12366] = {.lex_state = 14, .external_lex_state = 2},
  [12367] = {.lex_state = 419, .external_lex_state = 2},
  [12368] = {.lex_state = 14, .external_lex_state = 2},
  [12369] = {.lex_state = 14, .external_lex_state = 2},
  [12370] = {.lex_state = 427, .external_lex_state = 2},
  [12371] = {.lex_state = 14, .external_lex_state = 2},
  [12372] = {.lex_state = 16, .external_lex_state = 2},
  [12373] = {.lex_state = 427, .external_lex_state = 2},
  [12374] = {.lex_state = 13, .external_lex_state = 2},
  [12375] = {.lex_state = 14, .external_lex_state = 2},
  [12376] = {.lex_state = 14, .external_lex_state = 2},
  [12377] = {.lex_state = 427, .external_lex_state = 2},
  [12378] = {.lex_state = 18, .external_lex_state = 2},
  [12379] = {.lex_state = 18, .external_lex_state = 2},
  [12380] = {.lex_state = 14, .external_lex_state = 2},
  [12381] = {.lex_state = 14, .external_lex_state = 2},
  [12382] = {.lex_state = 18, .external_lex_state = 2},
  [12383] = {.lex_state = 14, .external_lex_state = 2},
  [12384] = {.lex_state = 14, .external_lex_state = 2},
  [12385] = {.lex_state = 14, .external_lex_state = 2},
  [12386] = {.lex_state = 13, .external_lex_state = 2},
  [12387] = {.lex_state = 197, .external_lex_state = 5},
  [12388] = {.lex_state = 14, .external_lex_state = 2},
  [12389] = {.lex_state = 14, .external_lex_state = 2},
  [12390] = {.lex_state = 14, .external_lex_state = 2},
  [12391] = {.lex_state = 197, .external_lex_state = 5},
  [12392] = {.lex_state = 14, .external_lex_state = 2},
  [12393] = {.lex_state = 14, .external_lex_state = 2},
  [12394] = {.lex_state = 427, .external_lex_state = 2},
  [12395] = {.lex_state = 217, .external_lex_state = 2},
  [12396] = {.lex_state = 13, .external_lex_state = 2},
  [12397] = {.lex_state = 197, .external_lex_state = 5},
  [12398] = {.lex_state = 13, .external_lex_state = 2},
  [12399] = {.lex_state = 197, .external_lex_state = 5},
  [12400] = {.lex_state = 14, .external_lex_state = 2},
  [12401] = {.lex_state = 15, .external_lex_state = 2},
  [12402] = {.lex_state = 13, .external_lex_state = 2},
  [12403] = {.lex_state = 14, .external_lex_state = 2},
  [12404] = {.lex_state = 427, .external_lex_state = 2},
  [12405] = {.lex_state = 14, .external_lex_state = 2},
  [12406] = {.lex_state = 14, .external_lex_state = 2},
  [12407] = {.lex_state = 197, .external_lex_state = 5},
  [12408] = {.lex_state = 13, .external_lex_state = 2},
  [12409] = {.lex_state = 14, .external_lex_state = 2},
  [12410] = {.lex_state = 14, .external_lex_state = 2},
  [12411] = {.lex_state = 15, .external_lex_state = 2},
  [12412] = {.lex_state = 15, .external_lex_state = 2},
  [12413] = {.lex_state = 15, .external_lex_state = 2},
  [12414] = {.lex_state = 15, .external_lex_state = 2},
  [12415] = {.lex_state = 15, .external_lex_state = 2},
  [12416] = {.lex_state = 15, .external_lex_state = 2},
  [12417] = {.lex_state = 14, .external_lex_state = 2},
  [12418] = {.lex_state = 15, .external_lex_state = 2},
  [12419] = {.lex_state = 14, .external_lex_state = 2},
  [12420] = {.lex_state = 15, .external_lex_state = 2},
  [12421] = {.lex_state = 15, .external_lex_state = 2},
  [12422] = {.lex_state = 15, .external_lex_state = 2},
  [12423] = {.lex_state = 15, .external_lex_state = 2},
  [12424] = {.lex_state = 14, .external_lex_state = 2},
  [12425] = {.lex_state = 13, .external_lex_state = 2},
  [12426] = {.lex_state = 427, .external_lex_state = 2},
  [12427] = {.lex_state = 14, .external_lex_state = 2},
  [12428] = {.lex_state = 14, .external_lex_state = 2},
  [12429] = {.lex_state = 13, .external_lex_state = 2},
  [12430] = {.lex_state = 419, .external_lex_state = 2},
  [12431] = {.lex_state = 14, .external_lex_state = 2},
  [12432] = {.lex_state = 13, .external_lex_state = 2},
  [12433] = {.lex_state = 13, .external_lex_state = 2},
  [12434] = {.lex_state = 14, .external_lex_state = 2},
  [12435] = {.lex_state = 14, .external_lex_state = 2},
  [12436] = {.lex_state = 14, .external_lex_state = 2},
  [12437] = {.lex_state = 14, .external_lex_state = 2},
  [12438] = {.lex_state = 14, .external_lex_state = 2},
  [12439] = {.lex_state = 14, .external_lex_state = 2},
  [12440] = {.lex_state = 13, .external_lex_state = 2},
  [12441] = {.lex_state = 14, .external_lex_state = 2},
  [12442] = {.lex_state = 427, .external_lex_state = 2},
  [12443] = {.lex_state = 197, .external_lex_state = 5},
  [12444] = {.lex_state = 427, .external_lex_state = 2},
  [12445] = {.lex_state = 197, .external_lex_state = 5},
  [12446] = {.lex_state = 14, .external_lex_state = 2},
  [12447] = {.lex_state = 419, .external_lex_state = 2},
  [12448] = {.lex_state = 14, .external_lex_state = 2},
  [12449] = {.lex_state = 13, .external_lex_state = 2},
  [12450] = {.lex_state = 419, .external_lex_state = 2},
  [12451] = {.lex_state = 419, .external_lex_state = 2},
  [12452] = {.lex_state = 15, .external_lex_state = 2},
  [12453] = {.lex_state = 13, .external_lex_state = 2},
  [12454] = {.lex_state = 427, .external_lex_state = 2},
  [12455] = {.lex_state = 14, .external_lex_state = 2},
  [12456] = {.lex_state = 13, .external_lex_state = 2},
  [12457] = {.lex_state = 13, .external_lex_state = 2},
  [12458] = {.lex_state = 197, .external_lex_state = 5},
  [12459] = {.lex_state = 14, .external_lex_state = 2},
  [12460] = {.lex_state = 14, .external_lex_state = 2},
  [12461] = {.lex_state = 197, .external_lex_state = 5},
  [12462] = {.lex_state = 217, .external_lex_state = 2},
  [12463] = {.lex_state = 13, .external_lex_state = 2},
  [12464] = {.lex_state = 197, .external_lex_state = 5},
  [12465] = {.lex_state = 197, .external_lex_state = 5},
  [12466] = {.lex_state = 14, .external_lex_state = 2},
  [12467] = {.lex_state = 14, .external_lex_state = 2},
  [12468] = {.lex_state = 13, .external_lex_state = 2},
  [12469] = {.lex_state = 13, .external_lex_state = 2},
  [12470] = {.lex_state = 197, .external_lex_state = 5},
  [12471] = {.lex_state = 14, .external_lex_state = 2},
  [12472] = {.lex_state = 14, .external_lex_state = 2},
  [12473] = {.lex_state = 14, .external_lex_state = 2},
  [12474] = {.lex_state = 197, .external_lex_state = 5},
  [12475] = {.lex_state = 13, .external_lex_state = 2},
  [12476] = {.lex_state = 13, .external_lex_state = 2},
  [12477] = {.lex_state = 13, .external_lex_state = 2},
  [12478] = {.lex_state = 13, .external_lex_state = 2},
  [12479] = {.lex_state = 13, .external_lex_state = 2},
  [12480] = {.lex_state = 13, .external_lex_state = 2},
  [12481] = {.lex_state = 13, .external_lex_state = 2},
  [12482] = {.lex_state = 18, .external_lex_state = 2},
  [12483] = {.lex_state = 14, .external_lex_state = 2},
  [12484] = {.lex_state = 14, .external_lex_state = 2},
  [12485] = {.lex_state = 14, .external_lex_state = 2},
  [12486] = {.lex_state = 13, .external_lex_state = 2},
  [12487] = {.lex_state = 13, .external_lex_state = 2},
  [12488] = {.lex_state = 197, .external_lex_state = 5},
  [12489] = {.lex_state = 218, .external_lex_state = 2},
  [12490] = {.lex_state = 427, .external_lex_state = 2},
  [12491] = {.lex_state = 14, .external_lex_state = 2},
  [12492] = {.lex_state = 18, .external_lex_state = 2},
  [12493] = {.lex_state = 14, .external_lex_state = 2},
  [12494] = {.lex_state = 264, .external_lex_state = 2},
  [12495] = {.lex_state = 8, .external_lex_state = 2},
  [12496] = {.lex_state = 18, .external_lex_state = 2},
  [12497] = {.lex_state = 427, .external_lex_state = 2},
  [12498] = {.lex_state = 14, .external_lex_state = 2},
  [12499] = {.lex_state = 264, .external_lex_state = 2},
  [12500] = {.lex_state = 264, .external_lex_state = 2},
  [12501] = {.lex_state = 18, .external_lex_state = 2},
  [12502] = {.lex_state = 18, .external_lex_state = 2},
  [12503] = {.lex_state = 18, .external_lex_state = 2},
  [12504] = {.lex_state = 18, .external_lex_state = 2},
  [12505] = {.lex_state = 14, .external_lex_state = 2},
  [12506] = {.lex_state = 14, .external_lex_state = 2},
  [12507] = {.lex_state = 427, .external_lex_state = 2},
  [12508] = {.lex_state = 18, .external_lex_state = 2},
  [12509] = {.lex_state = 14, .external_lex_state = 2},
  [12510] = {.lex_state = 218, .external_lex_state = 2},
  [12511] = {.lex_state = 218, .external_lex_state = 2},
  [12512] = {.lex_state = 218, .external_lex_state = 2},
  [12513] = {.lex_state = 218, .external_lex_state = 2},
  [12514] = {.lex_state = 21, .external_lex_state = 2},
  [12515] = {.lex_state = 419, .external_lex_state = 2},
  [12516] = {.lex_state = 14, .external_lex_state = 2},
  [12517] = {.lex_state = 14, .external_lex_state = 2},
  [12518] = {.lex_state = 264, .external_lex_state = 2},
  [12519] = {.lex_state = 14, .external_lex_state = 2},
  [12520] = {.lex_state = 264, .external_lex_state = 2},
  [12521] = {.lex_state = 18, .external_lex_state = 2},
  [12522] = {.lex_state = 18, .external_lex_state = 2},
  [12523] = {.lex_state = 14, .external_lex_state = 2},
  [12524] = {.lex_state = 18, .external_lex_state = 2},
  [12525] = {.lex_state = 427, .external_lex_state = 2},
  [12526] = {.lex_state = 14, .external_lex_state = 2},
  [12527] = {.lex_state = 227, .external_lex_state = 2},
  [12528] = {.lex_state = 14, .external_lex_state = 2},
  [12529] = {.lex_state = 14, .external_lex_state = 2},
  [12530] = {.lex_state = 14, .external_lex_state = 2},
  [12531] = {.lex_state = 14, .external_lex_state = 2},
  [12532] = {.lex_state = 21, .external_lex_state = 2},
  [12533] = {.lex_state = 218, .external_lex_state = 2},
  [12534] = {.lex_state = 14, .external_lex_state = 2},
  [12535] = {.lex_state = 14, .external_lex_state = 2},
  [12536] = {.lex_state = 14, .external_lex_state = 2},
  [12537] = {.lex_state = 14, .external_lex_state = 2},
  [12538] = {.lex_state = 18, .external_lex_state = 2},
  [12539] = {.lex_state = 218, .external_lex_state = 2},
  [12540] = {.lex_state = 218, .external_lex_state = 2},
  [12541] = {.lex_state = 14, .external_lex_state = 2},
  [12542] = {.lex_state = 218, .external_lex_state = 2},
  [12543] = {.lex_state = 218, .external_lex_state = 2},
  [12544] = {.lex_state = 14, .external_lex_state = 2},
  [12545] = {.lex_state = 14, .external_lex_state = 2},
  [12546] = {.lex_state = 14, .external_lex_state = 2},
  [12547] = {.lex_state = 427, .external_lex_state = 2},
  [12548] = {.lex_state = 427, .external_lex_state = 2},
  [12549] = {.lex_state = 14, .external_lex_state = 2},
  [12550] = {.lex_state = 21, .external_lex_state = 2},
  [12551] = {.lex_state = 227, .external_lex_state = 2},
  [12552] = {.lex_state = 18, .external_lex_state = 2},
  [12553] = {.lex_state = 18, .external_lex_state = 2},
  [12554] = {.lex_state = 14, .external_lex_state = 2},
  [12555] = {.lex_state = 14, .external_lex_state = 2},
  [12556] = {.lex_state = 218, .external_lex_state = 2},
  [12557] = {.lex_state = 427, .external_lex_state = 2},
  [12558] = {.lex_state = 240, .external_lex_state = 2},
  [12559] = {.lex_state = 14, .external_lex_state = 2},
  [12560] = {.lex_state = 14, .external_lex_state = 2},
  [12561] = {.lex_state = 18, .external_lex_state = 2},
  [12562] = {.lex_state = 14, .external_lex_state = 2},
  [12563] = {.lex_state = 197, .external_lex_state = 5},
  [12564] = {.lex_state = 14, .external_lex_state = 2},
  [12565] = {.lex_state = 14, .external_lex_state = 2},
  [12566] = {.lex_state = 14, .external_lex_state = 2},
  [12567] = {.lex_state = 18, .external_lex_state = 2},
  [12568] = {.lex_state = 419, .external_lex_state = 2},
  [12569] = {.lex_state = 14, .external_lex_state = 2},
  [12570] = {.lex_state = 18, .external_lex_state = 2},
  [12571] = {.lex_state = 264, .external_lex_state = 2},
  [12572] = {.lex_state = 218, .external_lex_state = 2},
  [12573] = {.lex_state = 218, .external_lex_state = 2},
  [12574] = {.lex_state = 14, .external_lex_state = 2},
  [12575] = {.lex_state = 18, .external_lex_state = 2},
  [12576] = {.lex_state = 264, .external_lex_state = 2},
  [12577] = {.lex_state = 427, .external_lex_state = 2},
  [12578] = {.lex_state = 427, .external_lex_state = 2},
  [12579] = {.lex_state = 419, .external_lex_state = 2},
  [12580] = {.lex_state = 218, .external_lex_state = 2},
  [12581] = {.lex_state = 218, .external_lex_state = 2},
  [12582] = {.lex_state = 218, .external_lex_state = 2},
  [12583] = {.lex_state = 18, .external_lex_state = 2},
  [12584] = {.lex_state = 18, .external_lex_state = 2},
  [12585] = {.lex_state = 218, .external_lex_state = 2},
  [12586] = {.lex_state = 218, .external_lex_state = 2},
  [12587] = {.lex_state = 218, .external_lex_state = 2},
  [12588] = {.lex_state = 18, .external_lex_state = 2},
  [12589] = {.lex_state = 264, .external_lex_state = 2},
  [12590] = {.lex_state = 218, .external_lex_state = 2},
  [12591] = {.lex_state = 14, .external_lex_state = 2},
  [12592] = {.lex_state = 18, .external_lex_state = 2},
  [12593] = {.lex_state = 18, .external_lex_state = 2},
  [12594] = {.lex_state = 14, .external_lex_state = 2},
  [12595] = {.lex_state = 14, .external_lex_state = 2},
  [12596] = {.lex_state = 264, .external_lex_state = 2},
  [12597] = {.lex_state = 218, .external_lex_state = 2},
  [12598] = {.lex_state = 218, .external_lex_state = 2},
  [12599] = {.lex_state = 218, .external_lex_state = 2},
  [12600] = {.lex_state = 218, .external_lex_state = 2},
  [12601] = {.lex_state = 14, .external_lex_state = 2},
  [12602] = {.lex_state = 18, .external_lex_state = 2},
  [12603] = {.lex_state = 14, .external_lex_state = 2},
  [12604] = {.lex_state = 197, .external_lex_state = 5},
  [12605] = {.lex_state = 14, .external_lex_state = 2},
  [12606] = {.lex_state = 18, .external_lex_state = 2},
  [12607] = {.lex_state = 21, .external_lex_state = 2},
  [12608] = {.lex_state = 21, .external_lex_state = 2},
  [12609] = {.lex_state = 14, .external_lex_state = 2},
  [12610] = {.lex_state = 21, .external_lex_state = 2},
  [12611] = {.lex_state = 18, .external_lex_state = 2},
  [12612] = {.lex_state = 218, .external_lex_state = 2},
  [12613] = {.lex_state = 218, .external_lex_state = 2},
  [12614] = {.lex_state = 14, .external_lex_state = 2},
  [12615] = {.lex_state = 18, .external_lex_state = 2},
  [12616] = {.lex_state = 18, .external_lex_state = 2},
  [12617] = {.lex_state = 18, .external_lex_state = 2},
  [12618] = {.lex_state = 218, .external_lex_state = 2},
  [12619] = {.lex_state = 18, .external_lex_state = 2},
  [12620] = {.lex_state = 427, .external_lex_state = 2},
  [12621] = {.lex_state = 14, .external_lex_state = 2},
  [12622] = {.lex_state = 14, .external_lex_state = 2},
  [12623] = {.lex_state = 14, .external_lex_state = 2},
  [12624] = {.lex_state = 14, .external_lex_state = 2},
  [12625] = {.lex_state = 218, .external_lex_state = 2},
  [12626] = {.lex_state = 14, .external_lex_state = 2},
  [12627] = {.lex_state = 14, .external_lex_state = 2},
  [12628] = {.lex_state = 18, .external_lex_state = 2},
  [12629] = {.lex_state = 264, .external_lex_state = 2},
  [12630] = {.lex_state = 18, .external_lex_state = 2},
  [12631] = {.lex_state = 427, .external_lex_state = 2},
  [12632] = {.lex_state = 14, .external_lex_state = 2},
  [12633] = {.lex_state = 14, .external_lex_state = 2},
  [12634] = {.lex_state = 18, .external_lex_state = 2},
  [12635] = {.lex_state = 18, .external_lex_state = 2},
  [12636] = {.lex_state = 218, .external_lex_state = 2},
  [12637] = {.lex_state = 427, .external_lex_state = 2},
  [12638] = {.lex_state = 18, .external_lex_state = 2},
  [12639] = {.lex_state = 14, .external_lex_state = 2},
  [12640] = {.lex_state = 14, .external_lex_state = 2},
  [12641] = {.lex_state = 14, .external_lex_state = 2},
  [12642] = {.lex_state = 8, .external_lex_state = 2},
  [12643] = {.lex_state = 14, .external_lex_state = 2},
  [12644] = {.lex_state = 21, .external_lex_state = 2},
  [12645] = {.lex_state = 18, .external_lex_state = 2},
  [12646] = {.lex_state = 14, .external_lex_state = 2},
  [12647] = {.lex_state = 14, .external_lex_state = 2},
  [12648] = {.lex_state = 264, .external_lex_state = 2},
  [12649] = {.lex_state = 427, .external_lex_state = 2},
  [12650] = {.lex_state = 18, .external_lex_state = 2},
  [12651] = {.lex_state = 14, .external_lex_state = 2},
  [12652] = {.lex_state = 18, .external_lex_state = 2},
  [12653] = {.lex_state = 14, .external_lex_state = 2},
  [12654] = {.lex_state = 14, .external_lex_state = 2},
  [12655] = {.lex_state = 264, .external_lex_state = 2},
  [12656] = {.lex_state = 264, .external_lex_state = 2},
  [12657] = {.lex_state = 18, .external_lex_state = 2},
  [12658] = {.lex_state = 14, .external_lex_state = 2},
  [12659] = {.lex_state = 14, .external_lex_state = 2},
  [12660] = {.lex_state = 18, .external_lex_state = 2},
  [12661] = {.lex_state = 8, .external_lex_state = 2},
  [12662] = {.lex_state = 218, .external_lex_state = 2},
  [12663] = {.lex_state = 264, .external_lex_state = 2},
  [12664] = {.lex_state = 218, .external_lex_state = 2},
  [12665] = {.lex_state = 8, .external_lex_state = 2},
  [12666] = {.lex_state = 18, .external_lex_state = 2},
  [12667] = {.lex_state = 14, .external_lex_state = 2},
  [12668] = {.lex_state = 18, .external_lex_state = 2},
  [12669] = {.lex_state = 14, .external_lex_state = 2},
  [12670] = {.lex_state = 14, .external_lex_state = 2},
  [12671] = {.lex_state = 227, .external_lex_state = 2},
  [12672] = {.lex_state = 427, .external_lex_state = 2},
  [12673] = {.lex_state = 427, .external_lex_state = 2},
  [12674] = {.lex_state = 427, .external_lex_state = 2},
  [12675] = {.lex_state = 427, .external_lex_state = 2},
  [12676] = {.lex_state = 427, .external_lex_state = 2},
  [12677] = {.lex_state = 18, .external_lex_state = 2},
  [12678] = {.lex_state = 419, .external_lex_state = 2},
  [12679] = {.lex_state = 18, .external_lex_state = 2},
  [12680] = {.lex_state = 14, .external_lex_state = 2},
  [12681] = {.lex_state = 14, .external_lex_state = 2},
  [12682] = {.lex_state = 15, .external_lex_state = 2},
  [12683] = {.lex_state = 427, .external_lex_state = 2},
  [12684] = {.lex_state = 18, .external_lex_state = 2},
  [12685] = {.lex_state = 427, .external_lex_state = 2},
  [12686] = {.lex_state = 8, .external_lex_state = 2},
  [12687] = {.lex_state = 11, .external_lex_state = 2},
  [12688] = {.lex_state = 21, .external_lex_state = 2},
  [12689] = {.lex_state = 8, .external_lex_state = 2},
  [12690] = {.lex_state = 8, .external_lex_state = 2},
  [12691] = {.lex_state = 8, .external_lex_state = 2},
  [12692] = {.lex_state = 11, .external_lex_state = 2},
  [12693] = {.lex_state = 8, .external_lex_state = 2},
  [12694] = {.lex_state = 8, .external_lex_state = 2},
  [12695] = {.lex_state = 8, .external_lex_state = 2},
  [12696] = {.lex_state = 21, .external_lex_state = 2},
  [12697] = {.lex_state = 18, .external_lex_state = 2},
  [12698] = {.lex_state = 227, .external_lex_state = 2},
  [12699] = {.lex_state = 21, .external_lex_state = 2},
  [12700] = {.lex_state = 8, .external_lex_state = 2},
  [12701] = {.lex_state = 8, .external_lex_state = 2},
  [12702] = {.lex_state = 427, .external_lex_state = 2},
  [12703] = {.lex_state = 11, .external_lex_state = 2},
  [12704] = {.lex_state = 427, .external_lex_state = 2},
  [12705] = {.lex_state = 8, .external_lex_state = 2},
  [12706] = {.lex_state = 8, .external_lex_state = 2},
  [12707] = {.lex_state = 8, .external_lex_state = 2},
  [12708] = {.lex_state = 214, .external_lex_state = 2},
  [12709] = {.lex_state = 427, .external_lex_state = 2},
  [12710] = {.lex_state = 227, .external_lex_state = 2},
  [12711] = {.lex_state = 8, .external_lex_state = 2},
  [12712] = {.lex_state = 7, .external_lex_state = 2},
  [12713] = {.lex_state = 11, .external_lex_state = 2},
  [12714] = {.lex_state = 227, .external_lex_state = 2},
  [12715] = {.lex_state = 214, .external_lex_state = 2},
  [12716] = {.lex_state = 214, .external_lex_state = 2},
  [12717] = {.lex_state = 214, .external_lex_state = 2},
  [12718] = {.lex_state = 197, .external_lex_state = 5},
  [12719] = {.lex_state = 8, .external_lex_state = 2},
  [12720] = {.lex_state = 227, .external_lex_state = 2},
  [12721] = {.lex_state = 11, .external_lex_state = 2},
  [12722] = {.lex_state = 427, .external_lex_state = 2},
  [12723] = {.lex_state = 7, .external_lex_state = 2},
  [12724] = {.lex_state = 241, .external_lex_state = 2},
  [12725] = {.lex_state = 11, .external_lex_state = 2},
  [12726] = {.lex_state = 218, .external_lex_state = 2},
  [12727] = {.lex_state = 21, .external_lex_state = 2},
  [12728] = {.lex_state = 241, .external_lex_state = 2},
  [12729] = {.lex_state = 241, .external_lex_state = 2},
  [12730] = {.lex_state = 227, .external_lex_state = 2},
  [12731] = {.lex_state = 21, .external_lex_state = 2},
  [12732] = {.lex_state = 8, .external_lex_state = 2},
  [12733] = {.lex_state = 227, .external_lex_state = 2},
  [12734] = {.lex_state = 227, .external_lex_state = 2},
  [12735] = {.lex_state = 7, .external_lex_state = 2},
  [12736] = {.lex_state = 427, .external_lex_state = 2},
  [12737] = {.lex_state = 227, .external_lex_state = 2},
  [12738] = {.lex_state = 227, .external_lex_state = 2},
  [12739] = {.lex_state = 8, .external_lex_state = 2},
  [12740] = {.lex_state = 224, .external_lex_state = 2},
  [12741] = {.lex_state = 241, .external_lex_state = 2},
  [12742] = {.lex_state = 227, .external_lex_state = 2},
  [12743] = {.lex_state = 427, .external_lex_state = 2},
  [12744] = {.lex_state = 227, .external_lex_state = 2},
  [12745] = {.lex_state = 227, .external_lex_state = 2},
  [12746] = {.lex_state = 21, .external_lex_state = 2},
  [12747] = {.lex_state = 227, .external_lex_state = 2},
  [12748] = {.lex_state = 8, .external_lex_state = 2},
  [12749] = {.lex_state = 241, .external_lex_state = 2},
  [12750] = {.lex_state = 214, .external_lex_state = 2},
  [12751] = {.lex_state = 227, .external_lex_state = 2},
  [12752] = {.lex_state = 227, .external_lex_state = 2},
  [12753] = {.lex_state = 227, .external_lex_state = 2},
  [12754] = {.lex_state = 227, .external_lex_state = 2},
  [12755] = {.lex_state = 227, .external_lex_state = 2},
  [12756] = {.lex_state = 227, .external_lex_state = 2},
  [12757] = {.lex_state = 227, .external_lex_state = 2},
  [12758] = {.lex_state = 241, .external_lex_state = 2},
  [12759] = {.lex_state = 227, .external_lex_state = 2},
  [12760] = {.lex_state = 227, .external_lex_state = 2},
  [12761] = {.lex_state = 227, .external_lex_state = 2},
  [12762] = {.lex_state = 21, .external_lex_state = 2},
  [12763] = {.lex_state = 227, .external_lex_state = 2},
  [12764] = {.lex_state = 227, .external_lex_state = 2},
  [12765] = {.lex_state = 224, .external_lex_state = 2},
  [12766] = {.lex_state = 8, .external_lex_state = 2},
  [12767] = {.lex_state = 227, .external_lex_state = 2},
  [12768] = {.lex_state = 21, .external_lex_state = 2},
  [12769] = {.lex_state = 210, .external_lex_state = 2},
  [12770] = {.lex_state = 241, .external_lex_state = 2},
  [12771] = {.lex_state = 241, .external_lex_state = 2},
  [12772] = {.lex_state = 227, .external_lex_state = 2},
  [12773] = {.lex_state = 197, .external_lex_state = 5},
  [12774] = {.lex_state = 227, .external_lex_state = 2},
  [12775] = {.lex_state = 227, .external_lex_state = 2},
  [12776] = {.lex_state = 227, .external_lex_state = 2},
  [12777] = {.lex_state = 227, .external_lex_state = 2},
  [12778] = {.lex_state = 224, .external_lex_state = 2},
  [12779] = {.lex_state = 214, .external_lex_state = 2},
  [12780] = {.lex_state = 427, .external_lex_state = 2},
  [12781] = {.lex_state = 227, .external_lex_state = 2},
  [12782] = {.lex_state = 227, .external_lex_state = 2},
  [12783] = {.lex_state = 227, .external_lex_state = 2},
  [12784] = {.lex_state = 427, .external_lex_state = 2},
  [12785] = {.lex_state = 419, .external_lex_state = 2},
  [12786] = {.lex_state = 419, .external_lex_state = 2},
  [12787] = {.lex_state = 198, .external_lex_state = 2},
  [12788] = {.lex_state = 419, .external_lex_state = 2},
  [12789] = {.lex_state = 241, .external_lex_state = 2},
  [12790] = {.lex_state = 419, .external_lex_state = 2},
  [12791] = {.lex_state = 18, .external_lex_state = 2},
  [12792] = {.lex_state = 240, .external_lex_state = 2},
  [12793] = {.lex_state = 419, .external_lex_state = 2},
  [12794] = {.lex_state = 18, .external_lex_state = 2},
  [12795] = {.lex_state = 18, .external_lex_state = 2},
  [12796] = {.lex_state = 419, .external_lex_state = 2},
  [12797] = {.lex_state = 419, .external_lex_state = 2},
  [12798] = {.lex_state = 419, .external_lex_state = 2},
  [12799] = {.lex_state = 419, .external_lex_state = 2},
  [12800] = {.lex_state = 419, .external_lex_state = 2},
  [12801] = {.lex_state = 419, .external_lex_state = 2},
  [12802] = {.lex_state = 419, .external_lex_state = 2},
  [12803] = {.lex_state = 419, .external_lex_state = 2},
  [12804] = {.lex_state = 419, .external_lex_state = 2},
  [12805] = {.lex_state = 419, .external_lex_state = 2},
  [12806] = {.lex_state = 419, .external_lex_state = 2},
  [12807] = {.lex_state = 419, .external_lex_state = 2},
  [12808] = {.lex_state = 419, .external_lex_state = 2},
  [12809] = {.lex_state = 419, .external_lex_state = 2},
  [12810] = {.lex_state = 419, .external_lex_state = 2},
  [12811] = {.lex_state = 419, .external_lex_state = 2},
  [12812] = {.lex_state = 419, .external_lex_state = 2},
  [12813] = {.lex_state = 419, .external_lex_state = 2},
  [12814] = {.lex_state = 419, .external_lex_state = 2},
  [12815] = {.lex_state = 419, .external_lex_state = 2},
  [12816] = {.lex_state = 419, .external_lex_state = 2},
  [12817] = {.lex_state = 227, .external_lex_state = 2},
  [12818] = {.lex_state = 419, .external_lex_state = 2},
  [12819] = {.lex_state = 419, .external_lex_state = 2},
  [12820] = {.lex_state = 419, .external_lex_state = 2},
  [12821] = {.lex_state = 419, .external_lex_state = 2},
  [12822] = {.lex_state = 419, .external_lex_state = 2},
  [12823] = {.lex_state = 419, .external_lex_state = 2},
  [12824] = {.lex_state = 18, .external_lex_state = 2},
  [12825] = {.lex_state = 419, .external_lex_state = 2},
  [12826] = {.lex_state = 419, .external_lex_state = 2},
  [12827] = {.lex_state = 419, .external_lex_state = 2},
  [12828] = {.lex_state = 419, .external_lex_state = 2},
  [12829] = {.lex_state = 419, .external_lex_state = 2},
  [12830] = {.lex_state = 419, .external_lex_state = 2},
  [12831] = {.lex_state = 419, .external_lex_state = 2},
  [12832] = {.lex_state = 419, .external_lex_state = 2},
  [12833] = {.lex_state = 241, .external_lex_state = 2},
  [12834] = {.lex_state = 419, .external_lex_state = 2},
  [12835] = {.lex_state = 419, .external_lex_state = 2},
  [12836] = {.lex_state = 419, .external_lex_state = 2},
  [12837] = {.lex_state = 419, .external_lex_state = 2},
  [12838] = {.lex_state = 419, .external_lex_state = 2},
  [12839] = {.lex_state = 419, .external_lex_state = 2},
  [12840] = {.lex_state = 419, .external_lex_state = 2},
  [12841] = {.lex_state = 419, .external_lex_state = 2},
  [12842] = {.lex_state = 419, .external_lex_state = 2},
  [12843] = {.lex_state = 18, .external_lex_state = 2},
  [12844] = {.lex_state = 419, .external_lex_state = 2},
  [12845] = {.lex_state = 18, .external_lex_state = 2},
  [12846] = {.lex_state = 18, .external_lex_state = 2},
  [12847] = {.lex_state = 419, .external_lex_state = 2},
  [12848] = {.lex_state = 419, .external_lex_state = 2},
  [12849] = {.lex_state = 419, .external_lex_state = 2},
  [12850] = {.lex_state = 241, .external_lex_state = 2},
  [12851] = {.lex_state = 18, .external_lex_state = 2},
  [12852] = {.lex_state = 240, .external_lex_state = 2},
  [12853] = {.lex_state = 18, .external_lex_state = 2},
  [12854] = {.lex_state = 419, .external_lex_state = 2},
  [12855] = {.lex_state = 419, .external_lex_state = 2},
  [12856] = {.lex_state = 419, .external_lex_state = 2},
  [12857] = {.lex_state = 419, .external_lex_state = 2},
  [12858] = {.lex_state = 419, .external_lex_state = 2},
  [12859] = {.lex_state = 419, .external_lex_state = 2},
  [12860] = {.lex_state = 419, .external_lex_state = 2},
  [12861] = {.lex_state = 419, .external_lex_state = 2},
  [12862] = {.lex_state = 419, .external_lex_state = 2},
  [12863] = {.lex_state = 18, .external_lex_state = 2},
  [12864] = {.lex_state = 241, .external_lex_state = 2},
  [12865] = {.lex_state = 419, .external_lex_state = 2},
  [12866] = {.lex_state = 419, .external_lex_state = 2},
  [12867] = {.lex_state = 419, .external_lex_state = 2},
  [12868] = {.lex_state = 419, .external_lex_state = 2},
  [12869] = {.lex_state = 419, .external_lex_state = 2},
  [12870] = {.lex_state = 419, .external_lex_state = 2},
  [12871] = {.lex_state = 419, .external_lex_state = 2},
  [12872] = {.lex_state = 419, .external_lex_state = 2},
  [12873] = {.lex_state = 419, .external_lex_state = 2},
  [12874] = {.lex_state = 419, .external_lex_state = 2},
  [12875] = {.lex_state = 419, .external_lex_state = 2},
  [12876] = {.lex_state = 241, .external_lex_state = 2},
  [12877] = {.lex_state = 218, .external_lex_state = 2},
  [12878] = {.lex_state = 419, .external_lex_state = 2},
  [12879] = {.lex_state = 419, .external_lex_state = 2},
  [12880] = {.lex_state = 419, .external_lex_state = 2},
  [12881] = {.lex_state = 419, .external_lex_state = 2},
  [12882] = {.lex_state = 419, .external_lex_state = 2},
  [12883] = {.lex_state = 18, .external_lex_state = 2},
  [12884] = {.lex_state = 419, .external_lex_state = 2},
  [12885] = {.lex_state = 198, .external_lex_state = 2},
  [12886] = {.lex_state = 419, .external_lex_state = 2},
  [12887] = {.lex_state = 18, .external_lex_state = 2},
  [12888] = {.lex_state = 419, .external_lex_state = 2},
  [12889] = {.lex_state = 419, .external_lex_state = 2},
  [12890] = {.lex_state = 419, .external_lex_state = 2},
  [12891] = {.lex_state = 419, .external_lex_state = 2},
  [12892] = {.lex_state = 419, .external_lex_state = 2},
  [12893] = {.lex_state = 419, .external_lex_state = 2},
  [12894] = {.lex_state = 419, .external_lex_state = 2},
  [12895] = {.lex_state = 419, .external_lex_state = 2},
  [12896] = {.lex_state = 18, .external_lex_state = 2},
  [12897] = {.lex_state = 419, .external_lex_state = 2},
  [12898] = {.lex_state = 419, .external_lex_state = 2},
  [12899] = {.lex_state = 419, .external_lex_state = 2},
  [12900] = {.lex_state = 419, .external_lex_state = 2},
  [12901] = {.lex_state = 419, .external_lex_state = 2},
  [12902] = {.lex_state = 419, .external_lex_state = 2},
  [12903] = {.lex_state = 419, .external_lex_state = 2},
  [12904] = {.lex_state = 419, .external_lex_state = 2},
  [12905] = {.lex_state = 419, .external_lex_state = 2},
  [12906] = {.lex_state = 419, .external_lex_state = 2},
  [12907] = {.lex_state = 419, .external_lex_state = 2},
  [12908] = {.lex_state = 419, .external_lex_state = 2},
  [12909] = {.lex_state = 419, .external_lex_state = 2},
  [12910] = {.lex_state = 18, .external_lex_state = 2},
  [12911] = {.lex_state = 419, .external_lex_state = 2},
  [12912] = {.lex_state = 245, .external_lex_state = 2},
  [12913] = {.lex_state = 18, .external_lex_state = 2},
  [12914] = {.lex_state = 18, .external_lex_state = 2},
  [12915] = {.lex_state = 419, .external_lex_state = 2},
  [12916] = {.lex_state = 419, .external_lex_state = 2},
  [12917] = {.lex_state = 419, .external_lex_state = 2},
  [12918] = {.lex_state = 419, .external_lex_state = 2},
  [12919] = {.lex_state = 419, .external_lex_state = 2},
  [12920] = {.lex_state = 224, .external_lex_state = 2},
  [12921] = {.lex_state = 419, .external_lex_state = 2},
  [12922] = {.lex_state = 241, .external_lex_state = 2},
  [12923] = {.lex_state = 18, .external_lex_state = 2},
  [12924] = {.lex_state = 419, .external_lex_state = 2},
  [12925] = {.lex_state = 18, .external_lex_state = 2},
  [12926] = {.lex_state = 227, .external_lex_state = 2},
  [12927] = {.lex_state = 419, .external_lex_state = 2},
  [12928] = {.lex_state = 18, .external_lex_state = 2},
  [12929] = {.lex_state = 419, .external_lex_state = 2},
  [12930] = {.lex_state = 18, .external_lex_state = 2},
  [12931] = {.lex_state = 419, .external_lex_state = 2},
  [12932] = {.lex_state = 419, .external_lex_state = 2},
  [12933] = {.lex_state = 419, .external_lex_state = 2},
  [12934] = {.lex_state = 419, .external_lex_state = 2},
  [12935] = {.lex_state = 18, .external_lex_state = 2},
  [12936] = {.lex_state = 419, .external_lex_state = 2},
  [12937] = {.lex_state = 419, .external_lex_state = 2},
  [12938] = {.lex_state = 419, .external_lex_state = 2},
  [12939] = {.lex_state = 419, .external_lex_state = 2},
  [12940] = {.lex_state = 419, .external_lex_state = 2},
  [12941] = {.lex_state = 419, .external_lex_state = 2},
  [12942] = {.lex_state = 419, .external_lex_state = 2},
  [12943] = {.lex_state = 419, .external_lex_state = 2},
  [12944] = {.lex_state = 240, .external_lex_state = 2},
  [12945] = {.lex_state = 419, .external_lex_state = 2},
  [12946] = {.lex_state = 419, .external_lex_state = 2},
  [12947] = {.lex_state = 419, .external_lex_state = 2},
  [12948] = {.lex_state = 419, .external_lex_state = 2},
  [12949] = {.lex_state = 419, .external_lex_state = 2},
  [12950] = {.lex_state = 419, .external_lex_state = 2},
  [12951] = {.lex_state = 241, .external_lex_state = 2},
  [12952] = {.lex_state = 18, .external_lex_state = 2},
  [12953] = {.lex_state = 419, .external_lex_state = 2},
  [12954] = {.lex_state = 419, .external_lex_state = 2},
  [12955] = {.lex_state = 419, .external_lex_state = 2},
  [12956] = {.lex_state = 419, .external_lex_state = 2},
  [12957] = {.lex_state = 419, .external_lex_state = 2},
  [12958] = {.lex_state = 18, .external_lex_state = 2},
  [12959] = {.lex_state = 419, .external_lex_state = 2},
  [12960] = {.lex_state = 18, .external_lex_state = 2},
  [12961] = {.lex_state = 419, .external_lex_state = 2},
  [12962] = {.lex_state = 241, .external_lex_state = 2},
  [12963] = {.lex_state = 419, .external_lex_state = 2},
  [12964] = {.lex_state = 419, .external_lex_state = 2},
  [12965] = {.lex_state = 419, .external_lex_state = 2},
  [12966] = {.lex_state = 18, .external_lex_state = 2},
  [12967] = {.lex_state = 18, .external_lex_state = 2},
  [12968] = {.lex_state = 419, .external_lex_state = 2},
  [12969] = {.lex_state = 18, .external_lex_state = 2},
  [12970] = {.lex_state = 419, .external_lex_state = 2},
  [12971] = {.lex_state = 419, .external_lex_state = 2},
  [12972] = {.lex_state = 419, .external_lex_state = 2},
  [12973] = {.lex_state = 419, .external_lex_state = 2},
  [12974] = {.lex_state = 18, .external_lex_state = 2},
  [12975] = {.lex_state = 18, .external_lex_state = 2},
  [12976] = {.lex_state = 18, .external_lex_state = 2},
  [12977] = {.lex_state = 419, .external_lex_state = 2},
  [12978] = {.lex_state = 419, .external_lex_state = 2},
  [12979] = {.lex_state = 419, .external_lex_state = 2},
  [12980] = {.lex_state = 11, .external_lex_state = 2},
  [12981] = {.lex_state = 419, .external_lex_state = 2},
  [12982] = {.lex_state = 18, .external_lex_state = 2},
  [12983] = {.lex_state = 419, .external_lex_state = 2},
  [12984] = {.lex_state = 419, .external_lex_state = 2},
  [12985] = {.lex_state = 419, .external_lex_state = 2},
  [12986] = {.lex_state = 419, .external_lex_state = 2},
  [12987] = {.lex_state = 419, .external_lex_state = 2},
  [12988] = {.lex_state = 419, .external_lex_state = 2},
  [12989] = {.lex_state = 18, .external_lex_state = 2},
  [12990] = {.lex_state = 18, .external_lex_state = 2},
  [12991] = {.lex_state = 18, .external_lex_state = 2},
  [12992] = {.lex_state = 419, .external_lex_state = 2},
  [12993] = {.lex_state = 419, .external_lex_state = 2},
  [12994] = {.lex_state = 419, .external_lex_state = 2},
  [12995] = {.lex_state = 419, .external_lex_state = 2},
  [12996] = {.lex_state = 224, .external_lex_state = 2},
  [12997] = {.lex_state = 224, .external_lex_state = 2},
  [12998] = {.lex_state = 198, .external_lex_state = 2},
  [12999] = {.lex_state = 224, .external_lex_state = 2},
  [13000] = {.lex_state = 224, .external_lex_state = 2},
  [13001] = {.lex_state = 224, .external_lex_state = 2},
  [13002] = {.lex_state = 208, .external_lex_state = 2},
  [13003] = {.lex_state = 419, .external_lex_state = 2},
  [13004] = {.lex_state = 198, .external_lex_state = 2},
  [13005] = {.lex_state = 208, .external_lex_state = 2},
  [13006] = {.lex_state = 419, .external_lex_state = 2},
  [13007] = {.lex_state = 419, .external_lex_state = 2},
  [13008] = {.lex_state = 419, .external_lex_state = 2},
  [13009] = {.lex_state = 419, .external_lex_state = 2},
  [13010] = {.lex_state = 224, .external_lex_state = 2},
  [13011] = {.lex_state = 224, .external_lex_state = 2},
  [13012] = {.lex_state = 198, .external_lex_state = 2},
  [13013] = {.lex_state = 224, .external_lex_state = 2},
  [13014] = {.lex_state = 224, .external_lex_state = 2},
  [13015] = {.lex_state = 224, .external_lex_state = 2},
  [13016] = {.lex_state = 18, .external_lex_state = 2},
  [13017] = {.lex_state = 208, .external_lex_state = 2},
  [13018] = {.lex_state = 224, .external_lex_state = 2},
  [13019] = {.lex_state = 419, .external_lex_state = 2},
  [13020] = {.lex_state = 240, .external_lex_state = 2},
  [13021] = {.lex_state = 419, .external_lex_state = 2},
  [13022] = {.lex_state = 218, .external_lex_state = 2},
  [13023] = {.lex_state = 224, .external_lex_state = 2},
  [13024] = {.lex_state = 224, .external_lex_state = 2},
  [13025] = {.lex_state = 224, .external_lex_state = 2},
  [13026] = {.lex_state = 224, .external_lex_state = 2},
  [13027] = {.lex_state = 224, .external_lex_state = 2},
  [13028] = {.lex_state = 224, .external_lex_state = 2},
  [13029] = {.lex_state = 224, .external_lex_state = 2},
  [13030] = {.lex_state = 224, .external_lex_state = 2},
  [13031] = {.lex_state = 218, .external_lex_state = 2},
  [13032] = {.lex_state = 224, .external_lex_state = 2},
  [13033] = {.lex_state = 224, .external_lex_state = 2},
  [13034] = {.lex_state = 224, .external_lex_state = 2},
  [13035] = {.lex_state = 224, .external_lex_state = 2},
  [13036] = {.lex_state = 218, .external_lex_state = 2},
  [13037] = {.lex_state = 224, .external_lex_state = 2},
  [13038] = {.lex_state = 224, .external_lex_state = 2},
  [13039] = {.lex_state = 419, .external_lex_state = 2},
  [13040] = {.lex_state = 419, .external_lex_state = 2},
  [13041] = {.lex_state = 218, .external_lex_state = 2},
  [13042] = {.lex_state = 224, .external_lex_state = 2},
  [13043] = {.lex_state = 224, .external_lex_state = 2},
  [13044] = {.lex_state = 224, .external_lex_state = 2},
  [13045] = {.lex_state = 218, .external_lex_state = 2},
  [13046] = {.lex_state = 224, .external_lex_state = 2},
  [13047] = {.lex_state = 224, .external_lex_state = 2},
  [13048] = {.lex_state = 224, .external_lex_state = 2},
  [13049] = {.lex_state = 419, .external_lex_state = 2},
  [13050] = {.lex_state = 224, .external_lex_state = 2},
  [13051] = {.lex_state = 214, .external_lex_state = 2},
  [13052] = {.lex_state = 18, .external_lex_state = 2},
  [13053] = {.lex_state = 198, .external_lex_state = 2},
  [13054] = {.lex_state = 245, .external_lex_state = 2},
  [13055] = {.lex_state = 198, .external_lex_state = 2},
  [13056] = {.lex_state = 198, .external_lex_state = 2},
  [13057] = {.lex_state = 18, .external_lex_state = 2},
  [13058] = {.lex_state = 198, .external_lex_state = 2},
  [13059] = {.lex_state = 198, .external_lex_state = 2},
  [13060] = {.lex_state = 7, .external_lex_state = 2},
  [13061] = {.lex_state = 208, .external_lex_state = 2},
  [13062] = {.lex_state = 198, .external_lex_state = 2},
  [13063] = {.lex_state = 198, .external_lex_state = 2},
  [13064] = {.lex_state = 214, .external_lex_state = 2},
  [13065] = {.lex_state = 198, .external_lex_state = 2},
  [13066] = {.lex_state = 227, .external_lex_state = 2},
  [13067] = {.lex_state = 8, .external_lex_state = 2},
  [13068] = {.lex_state = 198, .external_lex_state = 2},
  [13069] = {.lex_state = 245, .external_lex_state = 2},
  [13070] = {.lex_state = 8, .external_lex_state = 2},
  [13071] = {.lex_state = 198, .external_lex_state = 2},
  [13072] = {.lex_state = 18, .external_lex_state = 2},
  [13073] = {.lex_state = 18, .external_lex_state = 2},
  [13074] = {.lex_state = 198, .external_lex_state = 2},
  [13075] = {.lex_state = 8, .external_lex_state = 2},
  [13076] = {.lex_state = 214, .external_lex_state = 2},
  [13077] = {.lex_state = 18, .external_lex_state = 2},
  [13078] = {.lex_state = 198, .external_lex_state = 2},
  [13079] = {.lex_state = 198, .external_lex_state = 2},
  [13080] = {.lex_state = 198, .external_lex_state = 2},
  [13081] = {.lex_state = 8, .external_lex_state = 2},
  [13082] = {.lex_state = 198, .external_lex_state = 2},
  [13083] = {.lex_state = 198, .external_lex_state = 2},
  [13084] = {.lex_state = 8, .external_lex_state = 2},
  [13085] = {.lex_state = 198, .external_lex_state = 2},
  [13086] = {.lex_state = 214, .external_lex_state = 2},
  [13087] = {.lex_state = 8, .external_lex_state = 2},
  [13088] = {.lex_state = 8, .external_lex_state = 2},
  [13089] = {.lex_state = 198, .external_lex_state = 2},
  [13090] = {.lex_state = 198, .external_lex_state = 2},
  [13091] = {.lex_state = 18, .external_lex_state = 2},
  [13092] = {.lex_state = 8, .external_lex_state = 2},
  [13093] = {.lex_state = 214, .external_lex_state = 2},
  [13094] = {.lex_state = 198, .external_lex_state = 2},
  [13095] = {.lex_state = 214, .external_lex_state = 2},
  [13096] = {.lex_state = 419, .external_lex_state = 2},
  [13097] = {.lex_state = 198, .external_lex_state = 2},
  [13098] = {.lex_state = 4, .external_lex_state = 6},
  [13099] = {.lex_state = 245, .external_lex_state = 2},
  [13100] = {.lex_state = 242, .external_lex_state = 2},
  [13101] = {.lex_state = 242, .external_lex_state = 2},
  [13102] = {.lex_state = 198, .external_lex_state = 2},
  [13103] = {.lex_state = 8, .external_lex_state = 2},
  [13104] = {.lex_state = 4, .external_lex_state = 6},
  [13105] = {.lex_state = 4, .external_lex_state = 6},
  [13106] = {.lex_state = 227, .external_lex_state = 2},
  [13107] = {.lex_state = 242, .external_lex_state = 2},
  [13108] = {.lex_state = 419, .external_lex_state = 2},
  [13109] = {.lex_state = 242, .external_lex_state = 2},
  [13110] = {.lex_state = 4, .external_lex_state = 6},
  [13111] = {.lex_state = 4, .external_lex_state = 6},
  [13112] = {.lex_state = 242, .external_lex_state = 2},
  [13113] = {.lex_state = 242, .external_lex_state = 2},
  [13114] = {.lex_state = 227, .external_lex_state = 2},
  [13115] = {.lex_state = 8, .external_lex_state = 2},
  [13116] = {.lex_state = 245, .external_lex_state = 2},
  [13117] = {.lex_state = 4, .external_lex_state = 6},
  [13118] = {.lex_state = 242, .external_lex_state = 2},
  [13119] = {.lex_state = 18, .external_lex_state = 2},
  [13120] = {.lex_state = 4, .external_lex_state = 6},
  [13121] = {.lex_state = 242, .external_lex_state = 2},
  [13122] = {.lex_state = 242, .external_lex_state = 2},
  [13123] = {.lex_state = 419, .external_lex_state = 2},
  [13124] = {.lex_state = 8, .external_lex_state = 2},
  [13125] = {.lex_state = 419, .external_lex_state = 2},
  [13126] = {.lex_state = 8, .external_lex_state = 2},
  [13127] = {.lex_state = 227, .external_lex_state = 2},
  [13128] = {.lex_state = 4, .external_lex_state = 6},
  [13129] = {.lex_state = 227, .external_lex_state = 2},
  [13130] = {.lex_state = 242, .external_lex_state = 2},
  [13131] = {.lex_state = 242, .external_lex_state = 2},
  [13132] = {.lex_state = 419, .external_lex_state = 2},
  [13133] = {.lex_state = 18, .external_lex_state = 2},
  [13134] = {.lex_state = 18, .external_lex_state = 2},
  [13135] = {.lex_state = 419, .external_lex_state = 2},
  [13136] = {.lex_state = 4, .external_lex_state = 6},
  [13137] = {.lex_state = 4, .external_lex_state = 6},
  [13138] = {.lex_state = 18, .external_lex_state = 2},
  [13139] = {.lex_state = 4, .external_lex_state = 6},
  [13140] = {.lex_state = 198, .external_lex_state = 2},
  [13141] = {.lex_state = 214, .external_lex_state = 2},
  [13142] = {.lex_state = 242, .external_lex_state = 2},
  [13143] = {.lex_state = 242, .external_lex_state = 2},
  [13144] = {.lex_state = 419, .external_lex_state = 2},
  [13145] = {.lex_state = 242, .external_lex_state = 2},
  [13146] = {.lex_state = 18, .external_lex_state = 2},
  [13147] = {.lex_state = 18, .external_lex_state = 2},
  [13148] = {.lex_state = 242, .external_lex_state = 2},
  [13149] = {.lex_state = 18, .external_lex_state = 2},
  [13150] = {.lex_state = 214, .external_lex_state = 2},
  [13151] = {.lex_state = 419, .external_lex_state = 2},
  [13152] = {.lex_state = 8, .external_lex_state = 2},
  [13153] = {.lex_state = 242, .external_lex_state = 2},
  [13154] = {.lex_state = 8, .external_lex_state = 2},
  [13155] = {.lex_state = 4, .external_lex_state = 6},
  [13156] = {.lex_state = 242, .external_lex_state = 2},
  [13157] = {.lex_state = 18, .external_lex_state = 2},
  [13158] = {.lex_state = 18, .external_lex_state = 2},
  [13159] = {.lex_state = 18, .external_lex_state = 2},
  [13160] = {.lex_state = 4, .external_lex_state = 6},
  [13161] = {.lex_state = 18, .external_lex_state = 2},
  [13162] = {.lex_state = 4, .external_lex_state = 6},
  [13163] = {.lex_state = 4, .external_lex_state = 6},
  [13164] = {.lex_state = 4, .external_lex_state = 6},
  [13165] = {.lex_state = 4, .external_lex_state = 6},
  [13166] = {.lex_state = 4, .external_lex_state = 6},
  [13167] = {.lex_state = 242, .external_lex_state = 2},
  [13168] = {.lex_state = 419, .external_lex_state = 2},
  [13169] = {.lex_state = 18, .external_lex_state = 2},
  [13170] = {.lex_state = 242, .external_lex_state = 2},
  [13171] = {.lex_state = 18, .external_lex_state = 2},
  [13172] = {.lex_state = 419, .external_lex_state = 2},
  [13173] = {.lex_state = 242, .external_lex_state = 2},
  [13174] = {.lex_state = 419, .external_lex_state = 2},
  [13175] = {.lex_state = 18, .external_lex_state = 2},
  [13176] = {.lex_state = 236, .external_lex_state = 7},
  [13177] = {.lex_state = 4, .external_lex_state = 6},
  [13178] = {.lex_state = 4, .external_lex_state = 6},
  [13179] = {.lex_state = 242, .external_lex_state = 2},
  [13180] = {.lex_state = 18, .external_lex_state = 2},
  [13181] = {.lex_state = 4, .external_lex_state = 6},
  [13182] = {.lex_state = 4, .external_lex_state = 6},
  [13183] = {.lex_state = 242, .external_lex_state = 2},
  [13184] = {.lex_state = 242, .external_lex_state = 2},
  [13185] = {.lex_state = 419, .external_lex_state = 2},
  [13186] = {.lex_state = 242, .external_lex_state = 2},
  [13187] = {.lex_state = 18, .external_lex_state = 2},
  [13188] = {.lex_state = 419, .external_lex_state = 2},
  [13189] = {.lex_state = 4, .external_lex_state = 6},
  [13190] = {.lex_state = 4, .external_lex_state = 6},
  [13191] = {.lex_state = 4, .external_lex_state = 6},
  [13192] = {.lex_state = 419, .external_lex_state = 2},
  [13193] = {.lex_state = 4, .external_lex_state = 6},
  [13194] = {.lex_state = 242, .external_lex_state = 2},
  [13195] = {.lex_state = 4, .external_lex_state = 6},
  [13196] = {.lex_state = 214, .external_lex_state = 2},
  [13197] = {.lex_state = 214, .external_lex_state = 2},
  [13198] = {.lex_state = 242, .external_lex_state = 2},
  [13199] = {.lex_state = 4, .external_lex_state = 6},
  [13200] = {.lex_state = 242, .external_lex_state = 2},
  [13201] = {.lex_state = 4, .external_lex_state = 6},
  [13202] = {.lex_state = 419, .external_lex_state = 2},
  [13203] = {.lex_state = 198, .external_lex_state = 2},
  [13204] = {.lex_state = 4, .external_lex_state = 6},
  [13205] = {.lex_state = 242, .external_lex_state = 2},
  [13206] = {.lex_state = 18, .external_lex_state = 2},
  [13207] = {.lex_state = 4, .external_lex_state = 6},
  [13208] = {.lex_state = 419, .external_lex_state = 2},
  [13209] = {.lex_state = 4, .external_lex_state = 6},
  [13210] = {.lex_state = 242, .external_lex_state = 2},
  [13211] = {.lex_state = 419, .external_lex_state = 2},
  [13212] = {.lex_state = 242, .external_lex_state = 2},
  [13213] = {.lex_state = 4, .external_lex_state = 6},
  [13214] = {.lex_state = 8, .external_lex_state = 2},
  [13215] = {.lex_state = 4, .external_lex_state = 6},
  [13216] = {.lex_state = 4, .external_lex_state = 6},
  [13217] = {.lex_state = 8, .external_lex_state = 2},
  [13218] = {.lex_state = 4, .external_lex_state = 6},
  [13219] = {.lex_state = 4, .external_lex_state = 6},
  [13220] = {.lex_state = 419, .external_lex_state = 2},
  [13221] = {.lex_state = 242, .external_lex_state = 2},
  [13222] = {.lex_state = 242, .external_lex_state = 2},
  [13223] = {.lex_state = 4, .external_lex_state = 6},
  [13224] = {.lex_state = 4, .external_lex_state = 6},
  [13225] = {.lex_state = 18, .external_lex_state = 2},
  [13226] = {.lex_state = 18, .external_lex_state = 2},
  [13227] = {.lex_state = 8, .external_lex_state = 2},
  [13228] = {.lex_state = 18, .external_lex_state = 2},
  [13229] = {.lex_state = 18, .external_lex_state = 2},
  [13230] = {.lex_state = 18, .external_lex_state = 2},
  [13231] = {.lex_state = 4, .external_lex_state = 6},
  [13232] = {.lex_state = 4, .external_lex_state = 6},
  [13233] = {.lex_state = 4, .external_lex_state = 6},
  [13234] = {.lex_state = 4, .external_lex_state = 6},
  [13235] = {.lex_state = 8, .external_lex_state = 2},
  [13236] = {.lex_state = 8, .external_lex_state = 2},
  [13237] = {.lex_state = 242, .external_lex_state = 2},
  [13238] = {.lex_state = 4, .external_lex_state = 6},
  [13239] = {.lex_state = 4, .external_lex_state = 6},
  [13240] = {.lex_state = 419, .external_lex_state = 2},
  [13241] = {.lex_state = 18, .external_lex_state = 2},
  [13242] = {.lex_state = 8, .external_lex_state = 2},
  [13243] = {.lex_state = 242, .external_lex_state = 2},
  [13244] = {.lex_state = 4, .external_lex_state = 6},
  [13245] = {.lex_state = 227, .external_lex_state = 2},
  [13246] = {.lex_state = 18, .external_lex_state = 2},
  [13247] = {.lex_state = 242, .external_lex_state = 2},
  [13248] = {.lex_state = 242, .external_lex_state = 2},
  [13249] = {.lex_state = 198, .external_lex_state = 2},
  [13250] = {.lex_state = 4, .external_lex_state = 6},
  [13251] = {.lex_state = 4, .external_lex_state = 6},
  [13252] = {.lex_state = 242, .external_lex_state = 2},
  [13253] = {.lex_state = 4, .external_lex_state = 6},
  [13254] = {.lex_state = 4, .external_lex_state = 6},
  [13255] = {.lex_state = 242, .external_lex_state = 2},
  [13256] = {.lex_state = 8, .external_lex_state = 2},
  [13257] = {.lex_state = 198, .external_lex_state = 2},
  [13258] = {.lex_state = 198, .external_lex_state = 2},
  [13259] = {.lex_state = 18, .external_lex_state = 2},
  [13260] = {.lex_state = 242, .external_lex_state = 2},
  [13261] = {.lex_state = 242, .external_lex_state = 2},
  [13262] = {.lex_state = 419, .external_lex_state = 2},
  [13263] = {.lex_state = 242, .external_lex_state = 2},
  [13264] = {.lex_state = 18, .external_lex_state = 2},
  [13265] = {.lex_state = 4, .external_lex_state = 6},
  [13266] = {.lex_state = 18, .external_lex_state = 2},
  [13267] = {.lex_state = 4, .external_lex_state = 6},
  [13268] = {.lex_state = 208, .external_lex_state = 2},
  [13269] = {.lex_state = 242, .external_lex_state = 2},
  [13270] = {.lex_state = 4, .external_lex_state = 6},
  [13271] = {.lex_state = 4, .external_lex_state = 6},
  [13272] = {.lex_state = 4, .external_lex_state = 6},
  [13273] = {.lex_state = 198, .external_lex_state = 2},
  [13274] = {.lex_state = 8, .external_lex_state = 2},
  [13275] = {.lex_state = 419, .external_lex_state = 2},
  [13276] = {.lex_state = 4, .external_lex_state = 6},
  [13277] = {.lex_state = 242, .external_lex_state = 2},
  [13278] = {.lex_state = 427, .external_lex_state = 2},
  [13279] = {.lex_state = 18, .external_lex_state = 2},
  [13280] = {.lex_state = 18, .external_lex_state = 2},
  [13281] = {.lex_state = 7, .external_lex_state = 2},
  [13282] = {.lex_state = 427, .external_lex_state = 2},
  [13283] = {.lex_state = 7, .external_lex_state = 2},
  [13284] = {.lex_state = 18, .external_lex_state = 2},
  [13285] = {.lex_state = 7, .external_lex_state = 2},
  [13286] = {.lex_state = 198, .external_lex_state = 2},
  [13287] = {.lex_state = 7, .external_lex_state = 2},
  [13288] = {.lex_state = 198, .external_lex_state = 2},
  [13289] = {.lex_state = 18, .external_lex_state = 2},
  [13290] = {.lex_state = 198, .external_lex_state = 2},
  [13291] = {.lex_state = 198, .external_lex_state = 2},
  [13292] = {.lex_state = 7, .external_lex_state = 2},
  [13293] = {.lex_state = 18, .external_lex_state = 2},
  [13294] = {.lex_state = 7, .external_lex_state = 2},
  [13295] = {.lex_state = 236, .external_lex_state = 7},
  [13296] = {.lex_state = 18, .external_lex_state = 2},
  [13297] = {.lex_state = 7, .external_lex_state = 2},
  [13298] = {.lex_state = 198, .external_lex_state = 2},
  [13299] = {.lex_state = 7, .external_lex_state = 2},
  [13300] = {.lex_state = 198, .external_lex_state = 2},
  [13301] = {.lex_state = 7, .external_lex_state = 2},
  [13302] = {.lex_state = 214, .external_lex_state = 2},
  [13303] = {.lex_state = 419, .external_lex_state = 2},
  [13304] = {.lex_state = 224, .external_lex_state = 2},
  [13305] = {.lex_state = 7, .external_lex_state = 2},
  [13306] = {.lex_state = 18, .external_lex_state = 2},
  [13307] = {.lex_state = 7, .external_lex_state = 2},
  [13308] = {.lex_state = 7, .external_lex_state = 2},
  [13309] = {.lex_state = 18, .external_lex_state = 2},
  [13310] = {.lex_state = 7, .external_lex_state = 2},
  [13311] = {.lex_state = 7, .external_lex_state = 2},
  [13312] = {.lex_state = 419, .external_lex_state = 2},
  [13313] = {.lex_state = 18, .external_lex_state = 2},
  [13314] = {.lex_state = 7, .external_lex_state = 2},
  [13315] = {.lex_state = 7, .external_lex_state = 2},
  [13316] = {.lex_state = 7, .external_lex_state = 2},
  [13317] = {.lex_state = 7, .external_lex_state = 2},
  [13318] = {.lex_state = 18, .external_lex_state = 2},
  [13319] = {.lex_state = 7, .external_lex_state = 2},
  [13320] = {.lex_state = 198, .external_lex_state = 2},
  [13321] = {.lex_state = 7, .external_lex_state = 2},
  [13322] = {.lex_state = 7, .external_lex_state = 2},
  [13323] = {.lex_state = 7, .external_lex_state = 2},
  [13324] = {.lex_state = 18, .external_lex_state = 2},
  [13325] = {.lex_state = 18, .external_lex_state = 2},
  [13326] = {.lex_state = 18, .external_lex_state = 2},
  [13327] = {.lex_state = 18, .external_lex_state = 2},
  [13328] = {.lex_state = 18, .external_lex_state = 2},
  [13329] = {.lex_state = 18, .external_lex_state = 2},
  [13330] = {.lex_state = 7, .external_lex_state = 2},
  [13331] = {.lex_state = 427, .external_lex_state = 2},
  [13332] = {.lex_state = 18, .external_lex_state = 2},
  [13333] = {.lex_state = 427, .external_lex_state = 2},
  [13334] = {.lex_state = 427, .external_lex_state = 2},
  [13335] = {.lex_state = 18, .external_lex_state = 2},
  [13336] = {.lex_state = 7, .external_lex_state = 2},
  [13337] = {.lex_state = 18, .external_lex_state = 2},
  [13338] = {.lex_state = 236, .external_lex_state = 7},
  [13339] = {.lex_state = 18, .external_lex_state = 2},
  [13340] = {.lex_state = 18, .external_lex_state = 2},
  [13341] = {.lex_state = 18, .external_lex_state = 2},
  [13342] = {.lex_state = 7, .external_lex_state = 2},
  [13343] = {.lex_state = 198, .external_lex_state = 2},
  [13344] = {.lex_state = 7, .external_lex_state = 2},
  [13345] = {.lex_state = 18, .external_lex_state = 2},
  [13346] = {.lex_state = 18, .external_lex_state = 2},
  [13347] = {.lex_state = 7, .external_lex_state = 2},
  [13348] = {.lex_state = 18, .external_lex_state = 2},
  [13349] = {.lex_state = 18, .external_lex_state = 2},
  [13350] = {.lex_state = 18, .external_lex_state = 2},
  [13351] = {.lex_state = 18, .external_lex_state = 2},
  [13352] = {.lex_state = 18, .external_lex_state = 2},
  [13353] = {.lex_state = 18, .external_lex_state = 2},
  [13354] = {.lex_state = 18, .external_lex_state = 2},
  [13355] = {.lex_state = 228, .external_lex_state = 2},
  [13356] = {.lex_state = 18, .external_lex_state = 2},
  [13357] = {.lex_state = 18, .external_lex_state = 2},
  [13358] = {.lex_state = 18, .external_lex_state = 2},
  [13359] = {.lex_state = 18, .external_lex_state = 2},
  [13360] = {.lex_state = 18, .external_lex_state = 2},
  [13361] = {.lex_state = 18, .external_lex_state = 2},
  [13362] = {.lex_state = 198, .external_lex_state = 2},
  [13363] = {.lex_state = 18, .external_lex_state = 2},
  [13364] = {.lex_state = 8, .external_lex_state = 2},
  [13365] = {.lex_state = 176, .external_lex_state = 2},
  [13366] = {.lex_state = 18, .external_lex_state = 2},
  [13367] = {.lex_state = 209, .external_lex_state = 2},
  [13368] = {.lex_state = 18, .external_lex_state = 2},
  [13369] = {.lex_state = 214, .external_lex_state = 2},
  [13370] = {.lex_state = 198, .external_lex_state = 2},
  [13371] = {.lex_state = 18, .external_lex_state = 2},
  [13372] = {.lex_state = 18, .external_lex_state = 2},
  [13373] = {.lex_state = 18, .external_lex_state = 2},
  [13374] = {.lex_state = 18, .external_lex_state = 2},
  [13375] = {.lex_state = 18, .external_lex_state = 2},
  [13376] = {.lex_state = 18, .external_lex_state = 2},
  [13377] = {.lex_state = 18, .external_lex_state = 2},
  [13378] = {.lex_state = 18, .external_lex_state = 2},
  [13379] = {.lex_state = 8, .external_lex_state = 2},
  [13380] = {.lex_state = 18, .external_lex_state = 2},
  [13381] = {.lex_state = 18, .external_lex_state = 2},
  [13382] = {.lex_state = 214, .external_lex_state = 2},
  [13383] = {.lex_state = 214, .external_lex_state = 2},
  [13384] = {.lex_state = 18, .external_lex_state = 2},
  [13385] = {.lex_state = 214, .external_lex_state = 2},
  [13386] = {.lex_state = 214, .external_lex_state = 2},
  [13387] = {.lex_state = 18, .external_lex_state = 8},
  [13388] = {.lex_state = 18, .external_lex_state = 2},
  [13389] = {.lex_state = 18, .external_lex_state = 8},
  [13390] = {.lex_state = 224, .external_lex_state = 2},
  [13391] = {.lex_state = 19, .external_lex_state = 2},
  [13392] = {.lex_state = 18, .external_lex_state = 2},
  [13393] = {.lex_state = 214, .external_lex_state = 2},
  [13394] = {.lex_state = 18, .external_lex_state = 2},
  [13395] = {.lex_state = 18, .external_lex_state = 2},
  [13396] = {.lex_state = 18, .external_lex_state = 8},
  [13397] = {.lex_state = 18, .external_lex_state = 2},
  [13398] = {.lex_state = 8, .external_lex_state = 2},
  [13399] = {.lex_state = 18, .external_lex_state = 2},
  [13400] = {.lex_state = 18, .external_lex_state = 2},
  [13401] = {.lex_state = 18, .external_lex_state = 2},
  [13402] = {.lex_state = 18, .external_lex_state = 2},
  [13403] = {.lex_state = 18, .external_lex_state = 2},
  [13404] = {.lex_state = 8, .external_lex_state = 2},
  [13405] = {.lex_state = 18, .external_lex_state = 2},
  [13406] = {.lex_state = 18, .external_lex_state = 2},
  [13407] = {.lex_state = 18, .external_lex_state = 2},
  [13408] = {.lex_state = 18, .external_lex_state = 2},
  [13409] = {.lex_state = 176, .external_lex_state = 2},
  [13410] = {.lex_state = 18, .external_lex_state = 2},
  [13411] = {.lex_state = 18, .external_lex_state = 2},
  [13412] = {.lex_state = 18, .external_lex_state = 2},
  [13413] = {.lex_state = 18, .external_lex_state = 2},
  [13414] = {.lex_state = 18, .external_lex_state = 2},
  [13415] = {.lex_state = 18, .external_lex_state = 2},
  [13416] = {.lex_state = 8, .external_lex_state = 2},
  [13417] = {.lex_state = 18, .external_lex_state = 2},
  [13418] = {.lex_state = 18, .external_lex_state = 2},
  [13419] = {.lex_state = 18, .external_lex_state = 2},
  [13420] = {.lex_state = 214, .external_lex_state = 2},
  [13421] = {.lex_state = 18, .external_lex_state = 2},
  [13422] = {.lex_state = 176, .external_lex_state = 2},
  [13423] = {.lex_state = 18, .external_lex_state = 2},
  [13424] = {.lex_state = 214, .external_lex_state = 2},
  [13425] = {.lex_state = 18, .external_lex_state = 2},
  [13426] = {.lex_state = 18, .external_lex_state = 2},
  [13427] = {.lex_state = 18, .external_lex_state = 2},
  [13428] = {.lex_state = 18, .external_lex_state = 2},
  [13429] = {.lex_state = 18, .external_lex_state = 2},
  [13430] = {.lex_state = 18, .external_lex_state = 2},
  [13431] = {.lex_state = 18, .external_lex_state = 2},
  [13432] = {.lex_state = 18, .external_lex_state = 2},
  [13433] = {.lex_state = 18, .external_lex_state = 2},
  [13434] = {.lex_state = 214, .external_lex_state = 2},
  [13435] = {.lex_state = 18, .external_lex_state = 2},
  [13436] = {.lex_state = 18, .external_lex_state = 2},
  [13437] = {.lex_state = 198, .external_lex_state = 2},
  [13438] = {.lex_state = 18, .external_lex_state = 2},
  [13439] = {.lex_state = 6, .external_lex_state = 2},
  [13440] = {.lex_state = 18, .external_lex_state = 2},
  [13441] = {.lex_state = 18, .external_lex_state = 2},
  [13442] = {.lex_state = 6, .external_lex_state = 2},
  [13443] = {.lex_state = 198, .external_lex_state = 2},
  [13444] = {.lex_state = 198, .external_lex_state = 2},
  [13445] = {.lex_state = 18, .external_lex_state = 2},
  [13446] = {.lex_state = 176, .external_lex_state = 2},
  [13447] = {.lex_state = 18, .external_lex_state = 2},
  [13448] = {.lex_state = 198, .external_lex_state = 2},
  [13449] = {.lex_state = 18, .external_lex_state = 2},
  [13450] = {.lex_state = 6, .external_lex_state = 2},
  [13451] = {.lex_state = 18, .external_lex_state = 2},
  [13452] = {.lex_state = 18, .external_lex_state = 2},
  [13453] = {.lex_state = 18, .external_lex_state = 2},
  [13454] = {.lex_state = 214, .external_lex_state = 2},
  [13455] = {.lex_state = 8, .external_lex_state = 2},
  [13456] = {.lex_state = 18, .external_lex_state = 2},
  [13457] = {.lex_state = 18, .external_lex_state = 2},
  [13458] = {.lex_state = 6, .external_lex_state = 2},
  [13459] = {.lex_state = 228, .external_lex_state = 2},
  [13460] = {.lex_state = 18, .external_lex_state = 2},
  [13461] = {.lex_state = 18, .external_lex_state = 2},
  [13462] = {.lex_state = 18, .external_lex_state = 2},
  [13463] = {.lex_state = 214, .external_lex_state = 2},
  [13464] = {.lex_state = 18, .external_lex_state = 2},
  [13465] = {.lex_state = 18, .external_lex_state = 2},
  [13466] = {.lex_state = 214, .external_lex_state = 2},
  [13467] = {.lex_state = 214, .external_lex_state = 2},
  [13468] = {.lex_state = 18, .external_lex_state = 2},
  [13469] = {.lex_state = 214, .external_lex_state = 2},
  [13470] = {.lex_state = 18, .external_lex_state = 2},
  [13471] = {.lex_state = 198, .external_lex_state = 2},
  [13472] = {.lex_state = 18, .external_lex_state = 2},
  [13473] = {.lex_state = 18, .external_lex_state = 2},
  [13474] = {.lex_state = 18, .external_lex_state = 2},
  [13475] = {.lex_state = 214, .external_lex_state = 2},
  [13476] = {.lex_state = 8, .external_lex_state = 2},
  [13477] = {.lex_state = 18, .external_lex_state = 2},
  [13478] = {.lex_state = 18, .external_lex_state = 2},
  [13479] = {.lex_state = 18, .external_lex_state = 2},
  [13480] = {.lex_state = 18, .external_lex_state = 2},
  [13481] = {.lex_state = 18, .external_lex_state = 2},
  [13482] = {.lex_state = 18, .external_lex_state = 2},
  [13483] = {.lex_state = 18, .external_lex_state = 2},
  [13484] = {.lex_state = 18, .external_lex_state = 8},
  [13485] = {.lex_state = 8, .external_lex_state = 2},
  [13486] = {.lex_state = 6, .external_lex_state = 2},
  [13487] = {.lex_state = 18, .external_lex_state = 2},
  [13488] = {.lex_state = 198, .external_lex_state = 2},
  [13489] = {.lex_state = 214, .external_lex_state = 2},
  [13490] = {.lex_state = 18, .external_lex_state = 2},
  [13491] = {.lex_state = 18, .external_lex_state = 2},
  [13492] = {.lex_state = 18, .external_lex_state = 2},
  [13493] = {.lex_state = 198, .external_lex_state = 2},
  [13494] = {.lex_state = 18, .external_lex_state = 2},
  [13495] = {.lex_state = 6, .external_lex_state = 2},
  [13496] = {.lex_state = 18, .external_lex_state = 2},
  [13497] = {.lex_state = 18, .external_lex_state = 2},
  [13498] = {.lex_state = 18, .external_lex_state = 2},
  [13499] = {.lex_state = 18, .external_lex_state = 2},
  [13500] = {.lex_state = 18, .external_lex_state = 2},
  [13501] = {.lex_state = 18, .external_lex_state = 2},
  [13502] = {.lex_state = 18, .external_lex_state = 8},
  [13503] = {.lex_state = 18, .external_lex_state = 2},
  [13504] = {.lex_state = 18, .external_lex_state = 8},
  [13505] = {.lex_state = 18, .external_lex_state = 2},
  [13506] = {.lex_state = 18, .external_lex_state = 8},
  [13507] = {.lex_state = 18, .external_lex_state = 2},
  [13508] = {.lex_state = 224, .external_lex_state = 2},
  [13509] = {.lex_state = 8, .external_lex_state = 2},
  [13510] = {.lex_state = 8, .external_lex_state = 2},
  [13511] = {.lex_state = 214, .external_lex_state = 2},
  [13512] = {.lex_state = 18, .external_lex_state = 2},
  [13513] = {.lex_state = 6, .external_lex_state = 2},
  [13514] = {.lex_state = 18, .external_lex_state = 2},
  [13515] = {.lex_state = 18, .external_lex_state = 2},
  [13516] = {.lex_state = 198, .external_lex_state = 2},
  [13517] = {.lex_state = 18, .external_lex_state = 2},
  [13518] = {.lex_state = 18, .external_lex_state = 2},
  [13519] = {.lex_state = 176, .external_lex_state = 2},
  [13520] = {.lex_state = 18, .external_lex_state = 2},
  [13521] = {.lex_state = 18, .external_lex_state = 2},
  [13522] = {.lex_state = 198, .external_lex_state = 2},
  [13523] = {.lex_state = 18, .external_lex_state = 2},
  [13524] = {.lex_state = 18, .external_lex_state = 2},
  [13525] = {.lex_state = 18, .external_lex_state = 2},
  [13526] = {.lex_state = 18, .external_lex_state = 2},
  [13527] = {.lex_state = 18, .external_lex_state = 2},
  [13528] = {.lex_state = 18, .external_lex_state = 2},
  [13529] = {.lex_state = 18, .external_lex_state = 2},
  [13530] = {.lex_state = 8, .external_lex_state = 2},
  [13531] = {.lex_state = 18, .external_lex_state = 2},
  [13532] = {.lex_state = 8, .external_lex_state = 2},
  [13533] = {.lex_state = 18, .external_lex_state = 2},
  [13534] = {.lex_state = 18, .external_lex_state = 2},
  [13535] = {.lex_state = 8, .external_lex_state = 2},
  [13536] = {.lex_state = 18, .external_lex_state = 2},
  [13537] = {.lex_state = 6, .external_lex_state = 2},
  [13538] = {.lex_state = 18, .external_lex_state = 2},
  [13539] = {.lex_state = 18, .external_lex_state = 2},
  [13540] = {.lex_state = 18, .external_lex_state = 2},
  [13541] = {.lex_state = 18, .external_lex_state = 2},
  [13542] = {.lex_state = 18, .external_lex_state = 2},
  [13543] = {.lex_state = 18, .external_lex_state = 2},
  [13544] = {.lex_state = 427, .external_lex_state = 2},
  [13545] = {.lex_state = 8, .external_lex_state = 2},
  [13546] = {.lex_state = 18, .external_lex_state = 2},
  [13547] = {.lex_state = 18, .external_lex_state = 8},
  [13548] = {.lex_state = 214, .external_lex_state = 2},
  [13549] = {.lex_state = 214, .external_lex_state = 2},
  [13550] = {.lex_state = 19, .external_lex_state = 2},
  [13551] = {.lex_state = 18, .external_lex_state = 8},
  [13552] = {.lex_state = 214, .external_lex_state = 2},
  [13553] = {.lex_state = 214, .external_lex_state = 2},
  [13554] = {.lex_state = 18, .external_lex_state = 2},
  [13555] = {.lex_state = 18, .external_lex_state = 2},
  [13556] = {.lex_state = 6, .external_lex_state = 2},
  [13557] = {.lex_state = 214, .external_lex_state = 2},
  [13558] = {.lex_state = 18, .external_lex_state = 2},
  [13559] = {.lex_state = 18, .external_lex_state = 2},
  [13560] = {.lex_state = 18, .external_lex_state = 2},
  [13561] = {.lex_state = 18, .external_lex_state = 2},
  [13562] = {.lex_state = 18, .external_lex_state = 2},
  [13563] = {.lex_state = 18, .external_lex_state = 2},
  [13564] = {.lex_state = 18, .external_lex_state = 2},
  [13565] = {.lex_state = 8, .external_lex_state = 2},
  [13566] = {.lex_state = 18, .external_lex_state = 2},
  [13567] = {.lex_state = 6, .external_lex_state = 2},
  [13568] = {.lex_state = 8, .external_lex_state = 2},
  [13569] = {.lex_state = 18, .external_lex_state = 2},
  [13570] = {.lex_state = 18, .external_lex_state = 2},
  [13571] = {.lex_state = 18, .external_lex_state = 2},
  [13572] = {.lex_state = 214, .external_lex_state = 2},
  [13573] = {.lex_state = 18, .external_lex_state = 2},
  [13574] = {.lex_state = 224, .external_lex_state = 2},
  [13575] = {.lex_state = 18, .external_lex_state = 2},
  [13576] = {.lex_state = 176, .external_lex_state = 2},
  [13577] = {.lex_state = 18, .external_lex_state = 2},
  [13578] = {.lex_state = 18, .external_lex_state = 2},
  [13579] = {.lex_state = 18, .external_lex_state = 2},
  [13580] = {.lex_state = 198, .external_lex_state = 2},
  [13581] = {.lex_state = 176, .external_lex_state = 2},
  [13582] = {.lex_state = 214, .external_lex_state = 2},
  [13583] = {.lex_state = 209, .external_lex_state = 2},
  [13584] = {.lex_state = 18, .external_lex_state = 2},
  [13585] = {.lex_state = 18, .external_lex_state = 2},
  [13586] = {.lex_state = 18, .external_lex_state = 2},
  [13587] = {.lex_state = 176, .external_lex_state = 2},
  [13588] = {.lex_state = 18, .external_lex_state = 2},
  [13589] = {.lex_state = 18, .external_lex_state = 2},
  [13590] = {.lex_state = 18, .external_lex_state = 2},
  [13591] = {.lex_state = 18, .external_lex_state = 2},
  [13592] = {.lex_state = 6, .external_lex_state = 2},
  [13593] = {.lex_state = 18, .external_lex_state = 2},
  [13594] = {.lex_state = 8, .external_lex_state = 2},
  [13595] = {.lex_state = 18, .external_lex_state = 2},
  [13596] = {.lex_state = 18, .external_lex_state = 2},
  [13597] = {.lex_state = 18, .external_lex_state = 8},
  [13598] = {.lex_state = 214, .external_lex_state = 2},
  [13599] = {.lex_state = 198, .external_lex_state = 2},
  [13600] = {.lex_state = 18, .external_lex_state = 2},
  [13601] = {.lex_state = 18, .external_lex_state = 2},
  [13602] = {.lex_state = 18, .external_lex_state = 2},
  [13603] = {.lex_state = 18, .external_lex_state = 2},
  [13604] = {.lex_state = 18, .external_lex_state = 2},
  [13605] = {.lex_state = 8, .external_lex_state = 2},
  [13606] = {.lex_state = 18, .external_lex_state = 2},
  [13607] = {.lex_state = 8, .external_lex_state = 2},
  [13608] = {.lex_state = 176, .external_lex_state = 2},
  [13609] = {.lex_state = 8, .external_lex_state = 2},
  [13610] = {.lex_state = 18, .external_lex_state = 2},
  [13611] = {.lex_state = 214, .external_lex_state = 2},
  [13612] = {.lex_state = 18, .external_lex_state = 2},
  [13613] = {.lex_state = 236, .external_lex_state = 7},
  [13614] = {.lex_state = 18, .external_lex_state = 8},
  [13615] = {.lex_state = 18, .external_lex_state = 2},
  [13616] = {.lex_state = 224, .external_lex_state = 2},
  [13617] = {.lex_state = 18, .external_lex_state = 2},
  [13618] = {.lex_state = 18, .external_lex_state = 8},
  [13619] = {.lex_state = 18, .external_lex_state = 2},
  [13620] = {.lex_state = 18, .external_lex_state = 8},
  [13621] = {.lex_state = 214, .external_lex_state = 2},
  [13622] = {.lex_state = 18, .external_lex_state = 2},
  [13623] = {.lex_state = 198, .external_lex_state = 2},
  [13624] = {.lex_state = 18, .external_lex_state = 2},
  [13625] = {.lex_state = 8, .external_lex_state = 2},
  [13626] = {.lex_state = 18, .external_lex_state = 2},
  [13627] = {.lex_state = 18, .external_lex_state = 2},
  [13628] = {.lex_state = 18, .external_lex_state = 2},
  [13629] = {.lex_state = 8, .external_lex_state = 2},
  [13630] = {.lex_state = 214, .external_lex_state = 2},
  [13631] = {.lex_state = 18, .external_lex_state = 2},
  [13632] = {.lex_state = 18, .external_lex_state = 2},
  [13633] = {.lex_state = 176, .external_lex_state = 2},
  [13634] = {.lex_state = 228, .external_lex_state = 2},
  [13635] = {.lex_state = 18, .external_lex_state = 2},
  [13636] = {.lex_state = 18, .external_lex_state = 2},
  [13637] = {.lex_state = 18, .external_lex_state = 2},
  [13638] = {.lex_state = 18, .external_lex_state = 2},
  [13639] = {.lex_state = 18, .external_lex_state = 2},
  [13640] = {.lex_state = 18, .external_lex_state = 2},
  [13641] = {.lex_state = 176, .external_lex_state = 2},
  [13642] = {.lex_state = 214, .external_lex_state = 2},
  [13643] = {.lex_state = 214, .external_lex_state = 2},
  [13644] = {.lex_state = 18, .external_lex_state = 2},
  [13645] = {.lex_state = 18, .external_lex_state = 2},
  [13646] = {.lex_state = 18, .external_lex_state = 2},
  [13647] = {.lex_state = 198, .external_lex_state = 2},
  [13648] = {.lex_state = 18, .external_lex_state = 2},
  [13649] = {.lex_state = 6, .external_lex_state = 2},
  [13650] = {.lex_state = 8, .external_lex_state = 2},
  [13651] = {.lex_state = 8, .external_lex_state = 2},
  [13652] = {.lex_state = 8, .external_lex_state = 2},
  [13653] = {.lex_state = 18, .external_lex_state = 2},
  [13654] = {.lex_state = 18, .external_lex_state = 2},
  [13655] = {.lex_state = 18, .external_lex_state = 2},
  [13656] = {.lex_state = 8, .external_lex_state = 2},
  [13657] = {.lex_state = 18, .external_lex_state = 8},
  [13658] = {.lex_state = 18, .external_lex_state = 2},
  [13659] = {.lex_state = 198, .external_lex_state = 2},
  [13660] = {.lex_state = 18, .external_lex_state = 2},
  [13661] = {.lex_state = 18, .external_lex_state = 2},
  [13662] = {.lex_state = 18, .external_lex_state = 2},
  [13663] = {.lex_state = 18, .external_lex_state = 2},
  [13664] = {.lex_state = 176, .external_lex_state = 2},
  [13665] = {.lex_state = 18, .external_lex_state = 8},
  [13666] = {.lex_state = 6, .external_lex_state = 2},
  [13667] = {.lex_state = 8, .external_lex_state = 2},
  [13668] = {.lex_state = 198, .external_lex_state = 2},
  [13669] = {.lex_state = 18, .external_lex_state = 2},
  [13670] = {.lex_state = 6, .external_lex_state = 2},
  [13671] = {.lex_state = 18, .external_lex_state = 2},
  [13672] = {.lex_state = 8, .external_lex_state = 2},
  [13673] = {.lex_state = 18, .external_lex_state = 2},
  [13674] = {.lex_state = 214, .external_lex_state = 2},
  [13675] = {.lex_state = 209, .external_lex_state = 2},
  [13676] = {.lex_state = 18, .external_lex_state = 2},
  [13677] = {.lex_state = 18, .external_lex_state = 2},
  [13678] = {.lex_state = 6, .external_lex_state = 2},
  [13679] = {.lex_state = 228, .external_lex_state = 2},
  [13680] = {.lex_state = 209, .external_lex_state = 2},
  [13681] = {.lex_state = 18, .external_lex_state = 2},
  [13682] = {.lex_state = 18, .external_lex_state = 2},
  [13683] = {.lex_state = 18, .external_lex_state = 2},
  [13684] = {.lex_state = 18, .external_lex_state = 2},
  [13685] = {.lex_state = 18, .external_lex_state = 2},
  [13686] = {.lex_state = 18, .external_lex_state = 2},
  [13687] = {.lex_state = 18, .external_lex_state = 2},
  [13688] = {.lex_state = 18, .external_lex_state = 2},
  [13689] = {.lex_state = 18, .external_lex_state = 2},
  [13690] = {.lex_state = 18, .external_lex_state = 2},
  [13691] = {.lex_state = 18, .external_lex_state = 2},
  [13692] = {.lex_state = 6, .external_lex_state = 2},
  [13693] = {.lex_state = 18, .external_lex_state = 2},
  [13694] = {.lex_state = 18, .external_lex_state = 2},
  [13695] = {.lex_state = 18, .external_lex_state = 2},
  [13696] = {.lex_state = 18, .external_lex_state = 2},
  [13697] = {.lex_state = 18, .external_lex_state = 2},
  [13698] = {.lex_state = 18, .external_lex_state = 2},
  [13699] = {.lex_state = 18, .external_lex_state = 2},
  [13700] = {.lex_state = 18, .external_lex_state = 2},
  [13701] = {.lex_state = 18, .external_lex_state = 2},
  [13702] = {.lex_state = 18, .external_lex_state = 2},
  [13703] = {.lex_state = 6, .external_lex_state = 2},
  [13704] = {.lex_state = 18, .external_lex_state = 2},
  [13705] = {.lex_state = 18, .external_lex_state = 2},
  [13706] = {.lex_state = 18, .external_lex_state = 2},
  [13707] = {.lex_state = 18, .external_lex_state = 2},
  [13708] = {.lex_state = 6, .external_lex_state = 2},
  [13709] = {.lex_state = 18, .external_lex_state = 2},
  [13710] = {.lex_state = 6, .external_lex_state = 2},
  [13711] = {.lex_state = 18, .external_lex_state = 2},
  [13712] = {.lex_state = 6, .external_lex_state = 2},
  [13713] = {.lex_state = 18, .external_lex_state = 2},
  [13714] = {.lex_state = 6, .external_lex_state = 2},
  [13715] = {.lex_state = 18, .external_lex_state = 2},
  [13716] = {.lex_state = 18, .external_lex_state = 2},
  [13717] = {.lex_state = 18, .external_lex_state = 2},
  [13718] = {.lex_state = 18, .external_lex_state = 2},
  [13719] = {.lex_state = 18, .external_lex_state = 2},
  [13720] = {.lex_state = 18, .external_lex_state = 2},
  [13721] = {.lex_state = 18, .external_lex_state = 2},
  [13722] = {.lex_state = 18, .external_lex_state = 2},
  [13723] = {.lex_state = 8, .external_lex_state = 2},
  [13724] = {.lex_state = 18, .external_lex_state = 2},
  [13725] = {.lex_state = 18, .external_lex_state = 2},
  [13726] = {.lex_state = 18, .external_lex_state = 2},
  [13727] = {.lex_state = 18, .external_lex_state = 2},
  [13728] = {.lex_state = 18, .external_lex_state = 2},
  [13729] = {.lex_state = 18, .external_lex_state = 2},
  [13730] = {.lex_state = 18, .external_lex_state = 2},
  [13731] = {.lex_state = 18, .external_lex_state = 2},
  [13732] = {.lex_state = 18, .external_lex_state = 2},
  [13733] = {.lex_state = 18, .external_lex_state = 2},
  [13734] = {.lex_state = 18, .external_lex_state = 2},
  [13735] = {.lex_state = 18, .external_lex_state = 2},
  [13736] = {.lex_state = 18, .external_lex_state = 2},
  [13737] = {.lex_state = 18, .external_lex_state = 2},
  [13738] = {.lex_state = 18, .external_lex_state = 2},
  [13739] = {.lex_state = 18, .external_lex_state = 2},
  [13740] = {.lex_state = 18, .external_lex_state = 2},
  [13741] = {.lex_state = 18, .external_lex_state = 2},
  [13742] = {.lex_state = 18, .external_lex_state = 2},
  [13743] = {.lex_state = 18, .external_lex_state = 2},
  [13744] = {.lex_state = 18, .external_lex_state = 2},
  [13745] = {.lex_state = 18, .external_lex_state = 2},
  [13746] = {.lex_state = 18, .external_lex_state = 2},
  [13747] = {.lex_state = 18, .external_lex_state = 2},
  [13748] = {.lex_state = 18, .external_lex_state = 2},
  [13749] = {.lex_state = 18, .external_lex_state = 2},
  [13750] = {.lex_state = 18, .external_lex_state = 2},
  [13751] = {.lex_state = 18, .external_lex_state = 2},
  [13752] = {.lex_state = 18, .external_lex_state = 2},
  [13753] = {.lex_state = 18, .external_lex_state = 2},
  [13754] = {.lex_state = 18, .external_lex_state = 2},
  [13755] = {.lex_state = 18, .external_lex_state = 2},
  [13756] = {.lex_state = 18, .external_lex_state = 2},
  [13757] = {.lex_state = 18, .external_lex_state = 2},
  [13758] = {.lex_state = 18, .external_lex_state = 2},
  [13759] = {.lex_state = 18, .external_lex_state = 2},
  [13760] = {.lex_state = 18, .external_lex_state = 2},
  [13761] = {.lex_state = 18, .external_lex_state = 2},
  [13762] = {.lex_state = 18, .external_lex_state = 2},
  [13763] = {.lex_state = 18, .external_lex_state = 2},
  [13764] = {.lex_state = 18, .external_lex_state = 2},
  [13765] = {.lex_state = 18, .external_lex_state = 2},
  [13766] = {.lex_state = 18, .external_lex_state = 2},
  [13767] = {.lex_state = 18, .external_lex_state = 2},
  [13768] = {.lex_state = 18, .external_lex_state = 2},
  [13769] = {.lex_state = 18, .external_lex_state = 2},
  [13770] = {.lex_state = 18, .external_lex_state = 2},
  [13771] = {.lex_state = 18, .external_lex_state = 2},
  [13772] = {.lex_state = 18, .external_lex_state = 2},
  [13773] = {.lex_state = 18, .external_lex_state = 2},
  [13774] = {.lex_state = 18, .external_lex_state = 2},
  [13775] = {.lex_state = 18, .external_lex_state = 2},
  [13776] = {.lex_state = 18, .external_lex_state = 2},
  [13777] = {.lex_state = 18, .external_lex_state = 2},
  [13778] = {.lex_state = 18, .external_lex_state = 2},
  [13779] = {.lex_state = 18, .external_lex_state = 2},
  [13780] = {.lex_state = 18, .external_lex_state = 2},
  [13781] = {.lex_state = 18, .external_lex_state = 2},
  [13782] = {.lex_state = 18, .external_lex_state = 2},
  [13783] = {.lex_state = 18, .external_lex_state = 2},
  [13784] = {.lex_state = 18, .external_lex_state = 2},
  [13785] = {.lex_state = 18, .external_lex_state = 2},
  [13786] = {.lex_state = 17, .external_lex_state = 2},
  [13787] = {.lex_state = 18, .external_lex_state = 2},
  [13788] = {.lex_state = 18, .external_lex_state = 2},
  [13789] = {.lex_state = 18, .external_lex_state = 2},
  [13790] = {.lex_state = 18, .external_lex_state = 2},
  [13791] = {.lex_state = 18, .external_lex_state = 2},
  [13792] = {.lex_state = 18, .external_lex_state = 2},
  [13793] = {.lex_state = 18, .external_lex_state = 2},
  [13794] = {.lex_state = 18, .external_lex_state = 2},
  [13795] = {.lex_state = 18, .external_lex_state = 2},
  [13796] = {.lex_state = 18, .external_lex_state = 2},
  [13797] = {.lex_state = 18, .external_lex_state = 2},
  [13798] = {.lex_state = 18, .external_lex_state = 2},
  [13799] = {.lex_state = 18, .external_lex_state = 2},
  [13800] = {.lex_state = 18, .external_lex_state = 2},
  [13801] = {.lex_state = 18, .external_lex_state = 2},
  [13802] = {.lex_state = 6, .external_lex_state = 2},
  [13803] = {.lex_state = 6, .external_lex_state = 2},
  [13804] = {.lex_state = 18, .external_lex_state = 2},
  [13805] = {.lex_state = 18, .external_lex_state = 2},
  [13806] = {.lex_state = 18, .external_lex_state = 2},
  [13807] = {.lex_state = 6, .external_lex_state = 2},
  [13808] = {.lex_state = 18, .external_lex_state = 2},
  [13809] = {.lex_state = 6, .external_lex_state = 2},
  [13810] = {.lex_state = 18, .external_lex_state = 2},
  [13811] = {.lex_state = 18, .external_lex_state = 2},
  [13812] = {.lex_state = 18, .external_lex_state = 2},
  [13813] = {.lex_state = 18, .external_lex_state = 2},
  [13814] = {.lex_state = 18, .external_lex_state = 2},
  [13815] = {.lex_state = 18, .external_lex_state = 2},
  [13816] = {.lex_state = 18, .external_lex_state = 2},
  [13817] = {.lex_state = 18, .external_lex_state = 2},
  [13818] = {.lex_state = 18, .external_lex_state = 2},
  [13819] = {.lex_state = 18, .external_lex_state = 2},
  [13820] = {.lex_state = 18, .external_lex_state = 2},
  [13821] = {.lex_state = 18, .external_lex_state = 2},
  [13822] = {.lex_state = 18, .external_lex_state = 2},
  [13823] = {.lex_state = 18, .external_lex_state = 2},
  [13824] = {.lex_state = 18, .external_lex_state = 2},
  [13825] = {.lex_state = 18, .external_lex_state = 2},
  [13826] = {.lex_state = 18, .external_lex_state = 2},
  [13827] = {.lex_state = 18, .external_lex_state = 2},
  [13828] = {.lex_state = 18, .external_lex_state = 2},
  [13829] = {.lex_state = 18, .external_lex_state = 2},
  [13830] = {.lex_state = 18, .external_lex_state = 2},
  [13831] = {.lex_state = 18, .external_lex_state = 2},
  [13832] = {.lex_state = 18, .external_lex_state = 2},
  [13833] = {.lex_state = 18, .external_lex_state = 2},
  [13834] = {.lex_state = 18, .external_lex_state = 2},
  [13835] = {.lex_state = 18, .external_lex_state = 2},
  [13836] = {.lex_state = 18, .external_lex_state = 2},
  [13837] = {.lex_state = 18, .external_lex_state = 2},
  [13838] = {.lex_state = 18, .external_lex_state = 2},
  [13839] = {.lex_state = 17, .external_lex_state = 2},
  [13840] = {.lex_state = 18, .external_lex_state = 2},
  [13841] = {.lex_state = 6, .external_lex_state = 2},
  [13842] = {.lex_state = 18, .external_lex_state = 2},
  [13843] = {.lex_state = 6, .external_lex_state = 2},
  [13844] = {.lex_state = 18, .external_lex_state = 2},
  [13845] = {.lex_state = 18, .external_lex_state = 2},
  [13846] = {.lex_state = 6, .external_lex_state = 2},
  [13847] = {.lex_state = 18, .external_lex_state = 2},
  [13848] = {.lex_state = 6, .external_lex_state = 2},
  [13849] = {.lex_state = 18, .external_lex_state = 2},
  [13850] = {.lex_state = 18, .external_lex_state = 2},
  [13851] = {.lex_state = 6, .external_lex_state = 2},
  [13852] = {.lex_state = 6, .external_lex_state = 2},
  [13853] = {.lex_state = 6, .external_lex_state = 2},
  [13854] = {.lex_state = 6, .external_lex_state = 2},
  [13855] = {.lex_state = 6, .external_lex_state = 2},
  [13856] = {.lex_state = 6, .external_lex_state = 2},
  [13857] = {.lex_state = 18, .external_lex_state = 2},
  [13858] = {.lex_state = 6, .external_lex_state = 2},
  [13859] = {.lex_state = 18, .external_lex_state = 2},
  [13860] = {.lex_state = 6, .external_lex_state = 2},
  [13861] = {.lex_state = 6, .external_lex_state = 2},
  [13862] = {.lex_state = 6, .external_lex_state = 2},
  [13863] = {.lex_state = 18, .external_lex_state = 2},
  [13864] = {.lex_state = 18, .external_lex_state = 2},
  [13865] = {.lex_state = 18, .external_lex_state = 2},
  [13866] = {.lex_state = 18, .external_lex_state = 2},
  [13867] = {.lex_state = 18, .external_lex_state = 2},
  [13868] = {.lex_state = 18, .external_lex_state = 2},
  [13869] = {.lex_state = 18, .external_lex_state = 2},
  [13870] = {.lex_state = 18, .external_lex_state = 2},
  [13871] = {.lex_state = 18, .external_lex_state = 2},
  [13872] = {.lex_state = 18, .external_lex_state = 2},
  [13873] = {.lex_state = 18, .external_lex_state = 2},
  [13874] = {.lex_state = 18, .external_lex_state = 2},
  [13875] = {.lex_state = 18, .external_lex_state = 2},
  [13876] = {.lex_state = 18, .external_lex_state = 2},
  [13877] = {.lex_state = 18, .external_lex_state = 2},
  [13878] = {.lex_state = 18, .external_lex_state = 2},
  [13879] = {.lex_state = 18, .external_lex_state = 2},
  [13880] = {.lex_state = 17, .external_lex_state = 2},
  [13881] = {.lex_state = 18, .external_lex_state = 2},
  [13882] = {.lex_state = 18, .external_lex_state = 2},
  [13883] = {.lex_state = 18, .external_lex_state = 2},
  [13884] = {.lex_state = 6, .external_lex_state = 2},
  [13885] = {.lex_state = 18, .external_lex_state = 2},
  [13886] = {.lex_state = 18, .external_lex_state = 2},
  [13887] = {.lex_state = 18, .external_lex_state = 2},
  [13888] = {.lex_state = 6, .external_lex_state = 2},
  [13889] = {.lex_state = 6, .external_lex_state = 2},
  [13890] = {.lex_state = 6, .external_lex_state = 2},
  [13891] = {.lex_state = 6, .external_lex_state = 2},
  [13892] = {.lex_state = 18, .external_lex_state = 2},
  [13893] = {.lex_state = 6, .external_lex_state = 2},
  [13894] = {.lex_state = 6, .external_lex_state = 2},
  [13895] = {.lex_state = 6, .external_lex_state = 2},
  [13896] = {.lex_state = 6, .external_lex_state = 2},
  [13897] = {.lex_state = 18, .external_lex_state = 2},
  [13898] = {.lex_state = 18, .external_lex_state = 2},
  [13899] = {.lex_state = 18, .external_lex_state = 2},
  [13900] = {.lex_state = 18, .external_lex_state = 2},
  [13901] = {.lex_state = 6, .external_lex_state = 2},
  [13902] = {.lex_state = 18, .external_lex_state = 2},
  [13903] = {.lex_state = 17, .external_lex_state = 2},
  [13904] = {.lex_state = 17, .external_lex_state = 2},
  [13905] = {.lex_state = 6, .external_lex_state = 2},
  [13906] = {.lex_state = 18, .external_lex_state = 2},
  [13907] = {.lex_state = 6, .external_lex_state = 2},
  [13908] = {.lex_state = 18, .external_lex_state = 2},
  [13909] = {.lex_state = 18, .external_lex_state = 2},
  [13910] = {.lex_state = 18, .external_lex_state = 2},
  [13911] = {.lex_state = 6, .external_lex_state = 2},
  [13912] = {.lex_state = 18, .external_lex_state = 2},
  [13913] = {.lex_state = 6, .external_lex_state = 2},
  [13914] = {.lex_state = 18, .external_lex_state = 2},
  [13915] = {.lex_state = 18, .external_lex_state = 2},
  [13916] = {.lex_state = 18, .external_lex_state = 2},
  [13917] = {.lex_state = 18, .external_lex_state = 2},
  [13918] = {.lex_state = 6, .external_lex_state = 2},
  [13919] = {.lex_state = 18, .external_lex_state = 2},
  [13920] = {.lex_state = 18, .external_lex_state = 2},
  [13921] = {.lex_state = 6, .external_lex_state = 2},
  [13922] = {.lex_state = 6, .external_lex_state = 2},
  [13923] = {.lex_state = 6, .external_lex_state = 2},
  [13924] = {.lex_state = 18, .external_lex_state = 2},
  [13925] = {.lex_state = 6, .external_lex_state = 2},
  [13926] = {.lex_state = 6, .external_lex_state = 2},
  [13927] = {.lex_state = 6, .external_lex_state = 2},
  [13928] = {.lex_state = 6, .external_lex_state = 2},
  [13929] = {.lex_state = 6, .external_lex_state = 2},
  [13930] = {.lex_state = 6, .external_lex_state = 2},
  [13931] = {.lex_state = 6, .external_lex_state = 2},
  [13932] = {.lex_state = 18, .external_lex_state = 2},
  [13933] = {.lex_state = 18, .external_lex_state = 2},
  [13934] = {.lex_state = 6, .external_lex_state = 2},
  [13935] = {.lex_state = 18, .external_lex_state = 2},
  [13936] = {.lex_state = 18, .external_lex_state = 2},
  [13937] = {.lex_state = 18, .external_lex_state = 2},
  [13938] = {.lex_state = 18, .external_lex_state = 2},
  [13939] = {.lex_state = 6, .external_lex_state = 2},
  [13940] = {.lex_state = 18, .external_lex_state = 2},
  [13941] = {.lex_state = 6, .external_lex_state = 2},
  [13942] = {.lex_state = 6, .external_lex_state = 2},
  [13943] = {.lex_state = 6, .external_lex_state = 2},
  [13944] = {.lex_state = 6, .external_lex_state = 2},
  [13945] = {.lex_state = 6, .external_lex_state = 2},
  [13946] = {.lex_state = 18, .external_lex_state = 2},
  [13947] = {.lex_state = 18, .external_lex_state = 2},
  [13948] = {.lex_state = 6, .external_lex_state = 2},
  [13949] = {.lex_state = 18, .external_lex_state = 2},
  [13950] = {.lex_state = 17, .external_lex_state = 2},
  [13951] = {.lex_state = 17, .external_lex_state = 2},
  [13952] = {.lex_state = 18, .external_lex_state = 2},
  [13953] = {.lex_state = 427, .external_lex_state = 2},
  [13954] = {.lex_state = 18, .external_lex_state = 2},
  [13955] = {.lex_state = 427, .external_lex_state = 2},
  [13956] = {.lex_state = 18, .external_lex_state = 2},
  [13957] = {.lex_state = 6, .external_lex_state = 2},
  [13958] = {.lex_state = 6, .external_lex_state = 2},
  [13959] = {.lex_state = 6, .external_lex_state = 2},
  [13960] = {.lex_state = 6, .external_lex_state = 2},
  [13961] = {.lex_state = 6, .external_lex_state = 2},
  [13962] = {.lex_state = 6, .external_lex_state = 2},
  [13963] = {.lex_state = 6, .external_lex_state = 2},
  [13964] = {.lex_state = 6, .external_lex_state = 2},
  [13965] = {.lex_state = 6, .external_lex_state = 2},
  [13966] = {.lex_state = 6, .external_lex_state = 2},
  [13967] = {.lex_state = 18, .external_lex_state = 2},
  [13968] = {.lex_state = 17, .external_lex_state = 2},
  [13969] = {.lex_state = 17, .external_lex_state = 2},
  [13970] = {.lex_state = 18, .external_lex_state = 2},
  [13971] = {.lex_state = 18, .external_lex_state = 2},
  [13972] = {.lex_state = 18, .external_lex_state = 2},
  [13973] = {.lex_state = 17, .external_lex_state = 2},
  [13974] = {.lex_state = 17, .external_lex_state = 2},
  [13975] = {.lex_state = 17, .external_lex_state = 2},
  [13976] = {.lex_state = 18, .external_lex_state = 2},
  [13977] = {.lex_state = 6, .external_lex_state = 2},
  [13978] = {.lex_state = 6, .external_lex_state = 2},
  [13979] = {.lex_state = 18, .external_lex_state = 2},
  [13980] = {.lex_state = 6, .external_lex_state = 2},
  [13981] = {.lex_state = 6, .external_lex_state = 2},
  [13982] = {.lex_state = 6, .external_lex_state = 2},
  [13983] = {.lex_state = 6, .external_lex_state = 2},
  [13984] = {.lex_state = 6, .external_lex_state = 2},
  [13985] = {.lex_state = 6, .external_lex_state = 2},
  [13986] = {.lex_state = 18, .external_lex_state = 2},
  [13987] = {.lex_state = 6, .external_lex_state = 2},
  [13988] = {.lex_state = 6, .external_lex_state = 2},
  [13989] = {.lex_state = 6, .external_lex_state = 2},
  [13990] = {.lex_state = 6, .external_lex_state = 2},
  [13991] = {.lex_state = 6, .external_lex_state = 2},
  [13992] = {.lex_state = 18, .external_lex_state = 2},
  [13993] = {.lex_state = 18, .external_lex_state = 2},
  [13994] = {.lex_state = 18, .external_lex_state = 2},
  [13995] = {.lex_state = 18, .external_lex_state = 2},
  [13996] = {.lex_state = 18, .external_lex_state = 2},
  [13997] = {.lex_state = 6, .external_lex_state = 2},
  [13998] = {.lex_state = 18, .external_lex_state = 2},
  [13999] = {.lex_state = 6, .external_lex_state = 2},
  [14000] = {.lex_state = 18, .external_lex_state = 2},
  [14001] = {.lex_state = 18, .external_lex_state = 2},
  [14002] = {.lex_state = 18, .external_lex_state = 2},
  [14003] = {.lex_state = 6, .external_lex_state = 2},
  [14004] = {.lex_state = 6, .external_lex_state = 2},
  [14005] = {.lex_state = 18, .external_lex_state = 2},
  [14006] = {.lex_state = 18, .external_lex_state = 2},
  [14007] = {.lex_state = 8, .external_lex_state = 2},
  [14008] = {.lex_state = 427, .external_lex_state = 2},
  [14009] = {.lex_state = 18, .external_lex_state = 2},
  [14010] = {.lex_state = 18, .external_lex_state = 2},
  [14011] = {.lex_state = 18, .external_lex_state = 2},
  [14012] = {.lex_state = 18, .external_lex_state = 2},
  [14013] = {.lex_state = 18, .external_lex_state = 2},
  [14014] = {.lex_state = 18, .external_lex_state = 2},
  [14015] = {.lex_state = 18, .external_lex_state = 2},
  [14016] = {.lex_state = 18, .external_lex_state = 2},
  [14017] = {.lex_state = 18, .external_lex_state = 2},
  [14018] = {.lex_state = 18, .external_lex_state = 2},
  [14019] = {.lex_state = 18, .external_lex_state = 2},
  [14020] = {.lex_state = 6, .external_lex_state = 2},
  [14021] = {.lex_state = 419, .external_lex_state = 2},
  [14022] = {.lex_state = 6, .external_lex_state = 2},
  [14023] = {.lex_state = 6, .external_lex_state = 2},
  [14024] = {.lex_state = 419, .external_lex_state = 2},
  [14025] = {.lex_state = 18, .external_lex_state = 2},
  [14026] = {.lex_state = 18, .external_lex_state = 2},
  [14027] = {.lex_state = 6, .external_lex_state = 2},
  [14028] = {.lex_state = 11, .external_lex_state = 2},
  [14029] = {.lex_state = 6, .external_lex_state = 2},
  [14030] = {.lex_state = 18, .external_lex_state = 2},
  [14031] = {.lex_state = 6, .external_lex_state = 2},
  [14032] = {.lex_state = 11, .external_lex_state = 2},
  [14033] = {.lex_state = 18, .external_lex_state = 2},
  [14034] = {.lex_state = 6, .external_lex_state = 2},
  [14035] = {.lex_state = 37, .external_lex_state = 2},
  [14036] = {.lex_state = 6, .external_lex_state = 2},
  [14037] = {.lex_state = 419, .external_lex_state = 2},
  [14038] = {.lex_state = 18, .external_lex_state = 2},
  [14039] = {.lex_state = 6, .external_lex_state = 2},
  [14040] = {.lex_state = 18, .external_lex_state = 2},
  [14041] = {.lex_state = 18, .external_lex_state = 2},
  [14042] = {.lex_state = 18, .external_lex_state = 2},
  [14043] = {.lex_state = 18, .external_lex_state = 2},
  [14044] = {.lex_state = 18, .external_lex_state = 2},
  [14045] = {.lex_state = 18, .external_lex_state = 2},
  [14046] = {.lex_state = 18, .external_lex_state = 2},
  [14047] = {.lex_state = 18, .external_lex_state = 2},
  [14048] = {.lex_state = 18, .external_lex_state = 2},
  [14049] = {.lex_state = 419, .external_lex_state = 2},
  [14050] = {.lex_state = 18, .external_lex_state = 2},
  [14051] = {.lex_state = 18, .external_lex_state = 2},
  [14052] = {.lex_state = 419, .external_lex_state = 2},
  [14053] = {.lex_state = 18, .external_lex_state = 2},
  [14054] = {.lex_state = 18, .external_lex_state = 2},
  [14055] = {.lex_state = 18, .external_lex_state = 2},
  [14056] = {.lex_state = 18, .external_lex_state = 2},
  [14057] = {.lex_state = 6, .external_lex_state = 2},
  [14058] = {.lex_state = 18, .external_lex_state = 2},
  [14059] = {.lex_state = 18, .external_lex_state = 2},
  [14060] = {.lex_state = 419, .external_lex_state = 2},
  [14061] = {.lex_state = 18, .external_lex_state = 2},
  [14062] = {.lex_state = 26, .external_lex_state = 2},
  [14063] = {.lex_state = 8, .external_lex_state = 2},
  [14064] = {.lex_state = 26, .external_lex_state = 2},
  [14065] = {.lex_state = 18, .external_lex_state = 2},
  [14066] = {.lex_state = 18, .external_lex_state = 2},
  [14067] = {.lex_state = 18, .external_lex_state = 2},
  [14068] = {.lex_state = 18, .external_lex_state = 2},
  [14069] = {.lex_state = 18, .external_lex_state = 2},
  [14070] = {.lex_state = 18, .external_lex_state = 2},
  [14071] = {.lex_state = 18, .external_lex_state = 2},
  [14072] = {.lex_state = 419, .external_lex_state = 2},
  [14073] = {.lex_state = 18, .external_lex_state = 2},
  [14074] = {.lex_state = 18, .external_lex_state = 2},
  [14075] = {.lex_state = 18, .external_lex_state = 2},
  [14076] = {.lex_state = 18, .external_lex_state = 2},
  [14077] = {.lex_state = 6, .external_lex_state = 2},
  [14078] = {.lex_state = 6, .external_lex_state = 2},
  [14079] = {.lex_state = 18, .external_lex_state = 2},
  [14080] = {.lex_state = 18, .external_lex_state = 2},
  [14081] = {.lex_state = 18, .external_lex_state = 2},
  [14082] = {.lex_state = 11, .external_lex_state = 2},
  [14083] = {.lex_state = 6, .external_lex_state = 2},
  [14084] = {.lex_state = 18, .external_lex_state = 2},
  [14085] = {.lex_state = 18, .external_lex_state = 2},
  [14086] = {.lex_state = 18, .external_lex_state = 2},
  [14087] = {.lex_state = 18, .external_lex_state = 2},
  [14088] = {.lex_state = 18, .external_lex_state = 2},
  [14089] = {.lex_state = 18, .external_lex_state = 2},
  [14090] = {.lex_state = 18, .external_lex_state = 2},
  [14091] = {.lex_state = 18, .external_lex_state = 2},
  [14092] = {.lex_state = 6, .external_lex_state = 2},
  [14093] = {.lex_state = 11, .external_lex_state = 2},
  [14094] = {.lex_state = 18, .external_lex_state = 2},
  [14095] = {.lex_state = 18, .external_lex_state = 2},
  [14096] = {.lex_state = 18, .external_lex_state = 2},
  [14097] = {.lex_state = 18, .external_lex_state = 2},
  [14098] = {.lex_state = 26, .external_lex_state = 2},
  [14099] = {.lex_state = 18, .external_lex_state = 2},
  [14100] = {.lex_state = 18, .external_lex_state = 2},
  [14101] = {.lex_state = 18, .external_lex_state = 2},
  [14102] = {.lex_state = 18, .external_lex_state = 2},
  [14103] = {.lex_state = 11, .external_lex_state = 2},
  [14104] = {.lex_state = 6, .external_lex_state = 2},
  [14105] = {.lex_state = 6, .external_lex_state = 2},
  [14106] = {.lex_state = 18, .external_lex_state = 2},
  [14107] = {.lex_state = 18, .external_lex_state = 2},
  [14108] = {.lex_state = 18, .external_lex_state = 2},
  [14109] = {.lex_state = 18, .external_lex_state = 2},
  [14110] = {.lex_state = 18, .external_lex_state = 2},
  [14111] = {.lex_state = 18, .external_lex_state = 2},
  [14112] = {.lex_state = 18, .external_lex_state = 2},
  [14113] = {.lex_state = 18, .external_lex_state = 2},
  [14114] = {.lex_state = 419, .external_lex_state = 2},
  [14115] = {.lex_state = 18, .external_lex_state = 2},
  [14116] = {.lex_state = 18, .external_lex_state = 2},
  [14117] = {.lex_state = 18, .external_lex_state = 2},
  [14118] = {.lex_state = 18, .external_lex_state = 2},
  [14119] = {.lex_state = 18, .external_lex_state = 2},
  [14120] = {.lex_state = 6, .external_lex_state = 2},
  [14121] = {.lex_state = 6, .external_lex_state = 2},
  [14122] = {.lex_state = 18, .external_lex_state = 2},
  [14123] = {.lex_state = 11, .external_lex_state = 2},
  [14124] = {.lex_state = 18, .external_lex_state = 2},
  [14125] = {.lex_state = 6, .external_lex_state = 2},
  [14126] = {.lex_state = 18, .external_lex_state = 2},
  [14127] = {.lex_state = 18, .external_lex_state = 2},
  [14128] = {.lex_state = 18, .external_lex_state = 2},
  [14129] = {.lex_state = 18, .external_lex_state = 2},
  [14130] = {.lex_state = 18, .external_lex_state = 2},
  [14131] = {.lex_state = 18, .external_lex_state = 2},
  [14132] = {.lex_state = 18, .external_lex_state = 2},
  [14133] = {.lex_state = 6, .external_lex_state = 2},
  [14134] = {.lex_state = 18, .external_lex_state = 2},
  [14135] = {.lex_state = 18, .external_lex_state = 2},
  [14136] = {.lex_state = 6, .external_lex_state = 2},
  [14137] = {.lex_state = 18, .external_lex_state = 2},
  [14138] = {.lex_state = 6, .external_lex_state = 2},
  [14139] = {.lex_state = 18, .external_lex_state = 2},
  [14140] = {.lex_state = 419, .external_lex_state = 2},
  [14141] = {.lex_state = 18, .external_lex_state = 2},
  [14142] = {.lex_state = 18, .external_lex_state = 2},
  [14143] = {.lex_state = 11, .external_lex_state = 2},
  [14144] = {.lex_state = 18, .external_lex_state = 2},
  [14145] = {.lex_state = 18, .external_lex_state = 2},
  [14146] = {.lex_state = 18, .external_lex_state = 2},
  [14147] = {.lex_state = 18, .external_lex_state = 2},
  [14148] = {.lex_state = 419, .external_lex_state = 2},
  [14149] = {.lex_state = 18, .external_lex_state = 2},
  [14150] = {.lex_state = 18, .external_lex_state = 2},
  [14151] = {.lex_state = 6, .external_lex_state = 2},
  [14152] = {.lex_state = 18, .external_lex_state = 2},
  [14153] = {.lex_state = 419, .external_lex_state = 2},
  [14154] = {.lex_state = 6, .external_lex_state = 2},
  [14155] = {.lex_state = 18, .external_lex_state = 2},
  [14156] = {.lex_state = 18, .external_lex_state = 2},
  [14157] = {.lex_state = 18, .external_lex_state = 2},
  [14158] = {.lex_state = 18, .external_lex_state = 2},
  [14159] = {.lex_state = 18, .external_lex_state = 2},
  [14160] = {.lex_state = 18, .external_lex_state = 2},
  [14161] = {.lex_state = 6, .external_lex_state = 2},
  [14162] = {.lex_state = 18, .external_lex_state = 2},
  [14163] = {.lex_state = 18, .external_lex_state = 2},
  [14164] = {.lex_state = 18, .external_lex_state = 2},
  [14165] = {.lex_state = 18, .external_lex_state = 2},
  [14166] = {.lex_state = 18, .external_lex_state = 2},
  [14167] = {.lex_state = 6, .external_lex_state = 2},
  [14168] = {.lex_state = 18, .external_lex_state = 2},
  [14169] = {.lex_state = 6, .external_lex_state = 2},
  [14170] = {.lex_state = 6, .external_lex_state = 2},
  [14171] = {.lex_state = 6, .external_lex_state = 2},
  [14172] = {.lex_state = 18, .external_lex_state = 2},
  [14173] = {.lex_state = 18, .external_lex_state = 2},
  [14174] = {.lex_state = 419, .external_lex_state = 2},
  [14175] = {.lex_state = 18, .external_lex_state = 2},
  [14176] = {.lex_state = 6, .external_lex_state = 2},
  [14177] = {.lex_state = 419, .external_lex_state = 2},
  [14178] = {.lex_state = 18, .external_lex_state = 2},
  [14179] = {.lex_state = 18, .external_lex_state = 2},
  [14180] = {.lex_state = 18, .external_lex_state = 2},
  [14181] = {.lex_state = 419, .external_lex_state = 2},
  [14182] = {.lex_state = 18, .external_lex_state = 2},
  [14183] = {.lex_state = 18, .external_lex_state = 2},
  [14184] = {.lex_state = 18, .external_lex_state = 2},
  [14185] = {.lex_state = 18, .external_lex_state = 2},
  [14186] = {.lex_state = 18, .external_lex_state = 2},
  [14187] = {.lex_state = 6, .external_lex_state = 2},
  [14188] = {.lex_state = 419, .external_lex_state = 2},
  [14189] = {.lex_state = 6, .external_lex_state = 2},
  [14190] = {.lex_state = 18, .external_lex_state = 2},
  [14191] = {.lex_state = 18, .external_lex_state = 2},
  [14192] = {.lex_state = 6, .external_lex_state = 2},
  [14193] = {.lex_state = 18, .external_lex_state = 2},
  [14194] = {.lex_state = 6, .external_lex_state = 2},
  [14195] = {.lex_state = 419, .external_lex_state = 2},
  [14196] = {.lex_state = 419, .external_lex_state = 2},
  [14197] = {.lex_state = 18, .external_lex_state = 2},
  [14198] = {.lex_state = 18, .external_lex_state = 2},
  [14199] = {.lex_state = 419, .external_lex_state = 2},
  [14200] = {.lex_state = 18, .external_lex_state = 2},
  [14201] = {.lex_state = 18, .external_lex_state = 2},
  [14202] = {.lex_state = 18, .external_lex_state = 2},
  [14203] = {.lex_state = 18, .external_lex_state = 2},
  [14204] = {.lex_state = 6, .external_lex_state = 2},
  [14205] = {.lex_state = 6, .external_lex_state = 2},
  [14206] = {.lex_state = 18, .external_lex_state = 2},
  [14207] = {.lex_state = 18, .external_lex_state = 2},
  [14208] = {.lex_state = 6, .external_lex_state = 2},
  [14209] = {.lex_state = 18, .external_lex_state = 2},
  [14210] = {.lex_state = 18, .external_lex_state = 2},
  [14211] = {.lex_state = 6, .external_lex_state = 2},
  [14212] = {.lex_state = 18, .external_lex_state = 2},
  [14213] = {.lex_state = 18, .external_lex_state = 2},
  [14214] = {.lex_state = 214, .external_lex_state = 2},
  [14215] = {.lex_state = 18, .external_lex_state = 2},
  [14216] = {.lex_state = 18, .external_lex_state = 2},
  [14217] = {.lex_state = 419, .external_lex_state = 2},
  [14218] = {.lex_state = 214, .external_lex_state = 2},
  [14219] = {.lex_state = 6, .external_lex_state = 2},
  [14220] = {.lex_state = 214, .external_lex_state = 2},
  [14221] = {.lex_state = 18, .external_lex_state = 2},
  [14222] = {.lex_state = 18, .external_lex_state = 2},
  [14223] = {.lex_state = 18, .external_lex_state = 2},
  [14224] = {.lex_state = 18, .external_lex_state = 2},
  [14225] = {.lex_state = 18, .external_lex_state = 2},
  [14226] = {.lex_state = 18, .external_lex_state = 2},
  [14227] = {.lex_state = 18, .external_lex_state = 2},
  [14228] = {.lex_state = 6, .external_lex_state = 2},
  [14229] = {.lex_state = 18, .external_lex_state = 2},
  [14230] = {.lex_state = 18, .external_lex_state = 2},
  [14231] = {.lex_state = 419, .external_lex_state = 2},
  [14232] = {.lex_state = 427, .external_lex_state = 2},
  [14233] = {.lex_state = 18, .external_lex_state = 2},
  [14234] = {.lex_state = 427, .external_lex_state = 2},
  [14235] = {.lex_state = 18, .external_lex_state = 2},
  [14236] = {.lex_state = 419, .external_lex_state = 2},
  [14237] = {.lex_state = 6, .external_lex_state = 2},
  [14238] = {.lex_state = 419, .external_lex_state = 2},
  [14239] = {.lex_state = 419, .external_lex_state = 2},
  [14240] = {.lex_state = 37, .external_lex_state = 2},
  [14241] = {.lex_state = 427, .external_lex_state = 2},
  [14242] = {.lex_state = 18, .external_lex_state = 2},
  [14243] = {.lex_state = 6, .external_lex_state = 2},
  [14244] = {.lex_state = 18, .external_lex_state = 2},
  [14245] = {.lex_state = 214, .external_lex_state = 2},
  [14246] = {.lex_state = 37, .external_lex_state = 2},
  [14247] = {.lex_state = 419, .external_lex_state = 2},
  [14248] = {.lex_state = 6, .external_lex_state = 2},
  [14249] = {.lex_state = 18, .external_lex_state = 2},
  [14250] = {.lex_state = 18, .external_lex_state = 2},
  [14251] = {.lex_state = 18, .external_lex_state = 2},
  [14252] = {.lex_state = 18, .external_lex_state = 2},
  [14253] = {.lex_state = 8, .external_lex_state = 2},
  [14254] = {.lex_state = 419, .external_lex_state = 2},
  [14255] = {.lex_state = 18, .external_lex_state = 2},
  [14256] = {.lex_state = 18, .external_lex_state = 2},
  [14257] = {.lex_state = 419, .external_lex_state = 2},
  [14258] = {.lex_state = 18, .external_lex_state = 2},
  [14259] = {.lex_state = 18, .external_lex_state = 2},
  [14260] = {.lex_state = 17, .external_lex_state = 2},
  [14261] = {.lex_state = 18, .external_lex_state = 2},
  [14262] = {.lex_state = 18, .external_lex_state = 2},
  [14263] = {.lex_state = 18, .external_lex_state = 2},
  [14264] = {.lex_state = 18, .external_lex_state = 2},
  [14265] = {.lex_state = 18, .external_lex_state = 2},
  [14266] = {.lex_state = 18, .external_lex_state = 2},
  [14267] = {.lex_state = 6, .external_lex_state = 2},
  [14268] = {.lex_state = 6, .external_lex_state = 2},
  [14269] = {.lex_state = 26, .external_lex_state = 2},
  [14270] = {.lex_state = 26, .external_lex_state = 2},
  [14271] = {.lex_state = 419, .external_lex_state = 2},
  [14272] = {.lex_state = 6, .external_lex_state = 2},
  [14273] = {.lex_state = 18, .external_lex_state = 2},
  [14274] = {.lex_state = 18, .external_lex_state = 2},
  [14275] = {.lex_state = 18, .external_lex_state = 2},
  [14276] = {.lex_state = 18, .external_lex_state = 2},
  [14277] = {.lex_state = 6, .external_lex_state = 2},
  [14278] = {.lex_state = 419, .external_lex_state = 2},
  [14279] = {.lex_state = 18, .external_lex_state = 2},
  [14280] = {.lex_state = 419, .external_lex_state = 2},
  [14281] = {.lex_state = 419, .external_lex_state = 2},
  [14282] = {.lex_state = 419, .external_lex_state = 2},
  [14283] = {.lex_state = 18, .external_lex_state = 2},
  [14284] = {.lex_state = 419, .external_lex_state = 2},
  [14285] = {.lex_state = 18, .external_lex_state = 2},
  [14286] = {.lex_state = 419, .external_lex_state = 2},
  [14287] = {.lex_state = 419, .external_lex_state = 2},
  [14288] = {.lex_state = 419, .external_lex_state = 2},
  [14289] = {.lex_state = 26, .external_lex_state = 2},
  [14290] = {.lex_state = 18, .external_lex_state = 2},
  [14291] = {.lex_state = 419, .external_lex_state = 2},
  [14292] = {.lex_state = 17, .external_lex_state = 2},
  [14293] = {.lex_state = 18, .external_lex_state = 2},
  [14294] = {.lex_state = 6, .external_lex_state = 2},
  [14295] = {.lex_state = 419, .external_lex_state = 2},
  [14296] = {.lex_state = 6, .external_lex_state = 2},
  [14297] = {.lex_state = 26, .external_lex_state = 2},
  [14298] = {.lex_state = 26, .external_lex_state = 2},
  [14299] = {.lex_state = 18, .external_lex_state = 2},
  [14300] = {.lex_state = 26, .external_lex_state = 2},
  [14301] = {.lex_state = 419, .external_lex_state = 2},
  [14302] = {.lex_state = 6, .external_lex_state = 2},
  [14303] = {.lex_state = 18, .external_lex_state = 2},
  [14304] = {.lex_state = 419, .external_lex_state = 2},
  [14305] = {.lex_state = 26, .external_lex_state = 2},
  [14306] = {.lex_state = 6, .external_lex_state = 2},
  [14307] = {.lex_state = 26, .external_lex_state = 2},
  [14308] = {.lex_state = 419, .external_lex_state = 2},
  [14309] = {.lex_state = 6, .external_lex_state = 2},
  [14310] = {.lex_state = 419, .external_lex_state = 2},
  [14311] = {.lex_state = 419, .external_lex_state = 2},
  [14312] = {.lex_state = 18, .external_lex_state = 2},
  [14313] = {.lex_state = 18, .external_lex_state = 2},
  [14314] = {.lex_state = 419, .external_lex_state = 2},
  [14315] = {.lex_state = 18, .external_lex_state = 2},
  [14316] = {.lex_state = 18, .external_lex_state = 2},
  [14317] = {.lex_state = 419, .external_lex_state = 2},
  [14318] = {.lex_state = 18, .external_lex_state = 2},
  [14319] = {.lex_state = 18, .external_lex_state = 2},
  [14320] = {.lex_state = 18, .external_lex_state = 2},
  [14321] = {.lex_state = 6, .external_lex_state = 2},
  [14322] = {.lex_state = 26, .external_lex_state = 2},
  [14323] = {.lex_state = 26, .external_lex_state = 2},
  [14324] = {.lex_state = 26, .external_lex_state = 2},
  [14325] = {.lex_state = 419, .external_lex_state = 2},
  [14326] = {.lex_state = 419, .external_lex_state = 2},
  [14327] = {.lex_state = 18, .external_lex_state = 2},
  [14328] = {.lex_state = 18, .external_lex_state = 2},
  [14329] = {.lex_state = 26, .external_lex_state = 2},
  [14330] = {.lex_state = 18, .external_lex_state = 2},
  [14331] = {.lex_state = 419, .external_lex_state = 2},
  [14332] = {.lex_state = 6, .external_lex_state = 2},
  [14333] = {.lex_state = 6, .external_lex_state = 2},
  [14334] = {.lex_state = 18, .external_lex_state = 2},
  [14335] = {.lex_state = 6, .external_lex_state = 2},
  [14336] = {.lex_state = 18, .external_lex_state = 2},
  [14337] = {.lex_state = 419, .external_lex_state = 2},
  [14338] = {.lex_state = 18, .external_lex_state = 2},
  [14339] = {.lex_state = 419, .external_lex_state = 2},
  [14340] = {.lex_state = 18, .external_lex_state = 2},
  [14341] = {.lex_state = 18, .external_lex_state = 2},
  [14342] = {.lex_state = 18, .external_lex_state = 2},
  [14343] = {.lex_state = 18, .external_lex_state = 2},
  [14344] = {.lex_state = 6, .external_lex_state = 2},
  [14345] = {.lex_state = 419, .external_lex_state = 2},
  [14346] = {.lex_state = 419, .external_lex_state = 2},
  [14347] = {.lex_state = 18, .external_lex_state = 2},
  [14348] = {.lex_state = 18, .external_lex_state = 2},
  [14349] = {.lex_state = 26, .external_lex_state = 2},
  [14350] = {.lex_state = 18, .external_lex_state = 2},
  [14351] = {.lex_state = 26, .external_lex_state = 2},
  [14352] = {.lex_state = 26, .external_lex_state = 2},
  [14353] = {.lex_state = 18, .external_lex_state = 2},
  [14354] = {.lex_state = 26, .external_lex_state = 2},
  [14355] = {.lex_state = 18, .external_lex_state = 2},
  [14356] = {.lex_state = 18, .external_lex_state = 2},
  [14357] = {.lex_state = 18, .external_lex_state = 2},
  [14358] = {.lex_state = 6, .external_lex_state = 2},
  [14359] = {.lex_state = 419, .external_lex_state = 2},
  [14360] = {.lex_state = 419, .external_lex_state = 2},
  [14361] = {.lex_state = 26, .external_lex_state = 2},
  [14362] = {.lex_state = 26, .external_lex_state = 2},
  [14363] = {.lex_state = 6, .external_lex_state = 2},
  [14364] = {.lex_state = 18, .external_lex_state = 2},
  [14365] = {.lex_state = 10, .external_lex_state = 2},
  [14366] = {.lex_state = 6, .external_lex_state = 2},
  [14367] = {.lex_state = 6, .external_lex_state = 2},
  [14368] = {.lex_state = 26, .external_lex_state = 2},
  [14369] = {.lex_state = 419, .external_lex_state = 2},
  [14370] = {.lex_state = 26, .external_lex_state = 2},
  [14371] = {.lex_state = 419, .external_lex_state = 2},
  [14372] = {.lex_state = 419, .external_lex_state = 2},
  [14373] = {.lex_state = 419, .external_lex_state = 2},
  [14374] = {.lex_state = 18, .external_lex_state = 2},
  [14375] = {.lex_state = 419, .external_lex_state = 2},
  [14376] = {.lex_state = 18, .external_lex_state = 2},
  [14377] = {.lex_state = 26, .external_lex_state = 2},
  [14378] = {.lex_state = 26, .external_lex_state = 2},
  [14379] = {.lex_state = 419, .external_lex_state = 2},
  [14380] = {.lex_state = 18, .external_lex_state = 2},
  [14381] = {.lex_state = 18, .external_lex_state = 2},
  [14382] = {.lex_state = 26, .external_lex_state = 2},
  [14383] = {.lex_state = 18, .external_lex_state = 2},
  [14384] = {.lex_state = 18, .external_lex_state = 2},
  [14385] = {.lex_state = 26, .external_lex_state = 2},
  [14386] = {.lex_state = 419, .external_lex_state = 2},
  [14387] = {.lex_state = 11, .external_lex_state = 2},
  [14388] = {.lex_state = 419, .external_lex_state = 2},
  [14389] = {.lex_state = 18, .external_lex_state = 2},
  [14390] = {.lex_state = 18, .external_lex_state = 2},
  [14391] = {.lex_state = 419, .external_lex_state = 2},
  [14392] = {.lex_state = 18, .external_lex_state = 2},
  [14393] = {.lex_state = 18, .external_lex_state = 2},
  [14394] = {.lex_state = 11, .external_lex_state = 2},
  [14395] = {.lex_state = 6, .external_lex_state = 2},
  [14396] = {.lex_state = 18, .external_lex_state = 2},
  [14397] = {.lex_state = 18, .external_lex_state = 2},
  [14398] = {.lex_state = 18, .external_lex_state = 2},
  [14399] = {.lex_state = 419, .external_lex_state = 2},
  [14400] = {.lex_state = 419, .external_lex_state = 2},
  [14401] = {.lex_state = 18, .external_lex_state = 2},
  [14402] = {.lex_state = 6, .external_lex_state = 2},
  [14403] = {.lex_state = 18, .external_lex_state = 2},
  [14404] = {.lex_state = 6, .external_lex_state = 2},
  [14405] = {.lex_state = 26, .external_lex_state = 2},
  [14406] = {.lex_state = 18, .external_lex_state = 2},
  [14407] = {.lex_state = 26, .external_lex_state = 2},
  [14408] = {.lex_state = 419, .external_lex_state = 2},
  [14409] = {.lex_state = 6, .external_lex_state = 2},
  [14410] = {.lex_state = 26, .external_lex_state = 2},
  [14411] = {.lex_state = 6, .external_lex_state = 2},
  [14412] = {.lex_state = 6, .external_lex_state = 2},
  [14413] = {.lex_state = 6, .external_lex_state = 2},
  [14414] = {.lex_state = 18, .external_lex_state = 2},
  [14415] = {.lex_state = 18, .external_lex_state = 2},
  [14416] = {.lex_state = 26, .external_lex_state = 2},
  [14417] = {.lex_state = 26, .external_lex_state = 2},
  [14418] = {.lex_state = 26, .external_lex_state = 2},
  [14419] = {.lex_state = 18, .external_lex_state = 2},
  [14420] = {.lex_state = 6, .external_lex_state = 2},
  [14421] = {.lex_state = 18, .external_lex_state = 2},
  [14422] = {.lex_state = 419, .external_lex_state = 2},
  [14423] = {.lex_state = 6, .external_lex_state = 2},
  [14424] = {.lex_state = 26, .external_lex_state = 2},
  [14425] = {.lex_state = 419, .external_lex_state = 2},
  [14426] = {.lex_state = 419, .external_lex_state = 2},
  [14427] = {.lex_state = 419, .external_lex_state = 2},
  [14428] = {.lex_state = 419, .external_lex_state = 2},
  [14429] = {.lex_state = 419, .external_lex_state = 2},
  [14430] = {.lex_state = 419, .external_lex_state = 2},
  [14431] = {.lex_state = 419, .external_lex_state = 2},
  [14432] = {.lex_state = 18, .external_lex_state = 2},
  [14433] = {.lex_state = 18, .external_lex_state = 2},
  [14434] = {.lex_state = 6, .external_lex_state = 2},
  [14435] = {.lex_state = 18, .external_lex_state = 2},
  [14436] = {.lex_state = 18, .external_lex_state = 2},
  [14437] = {.lex_state = 18, .external_lex_state = 2},
  [14438] = {.lex_state = 6, .external_lex_state = 2},
  [14439] = {.lex_state = 18, .external_lex_state = 2},
  [14440] = {.lex_state = 6, .external_lex_state = 2},
  [14441] = {.lex_state = 6, .external_lex_state = 2},
  [14442] = {.lex_state = 18, .external_lex_state = 2},
  [14443] = {.lex_state = 419, .external_lex_state = 2},
  [14444] = {.lex_state = 18, .external_lex_state = 2},
  [14445] = {.lex_state = 6, .external_lex_state = 2},
  [14446] = {.lex_state = 6, .external_lex_state = 2},
  [14447] = {.lex_state = 18, .external_lex_state = 2},
  [14448] = {.lex_state = 18, .external_lex_state = 2},
  [14449] = {.lex_state = 419, .external_lex_state = 2},
  [14450] = {.lex_state = 419, .external_lex_state = 2},
  [14451] = {.lex_state = 26, .external_lex_state = 2},
  [14452] = {.lex_state = 18, .external_lex_state = 2},
  [14453] = {.lex_state = 419, .external_lex_state = 2},
  [14454] = {.lex_state = 18, .external_lex_state = 2},
  [14455] = {.lex_state = 419, .external_lex_state = 2},
  [14456] = {.lex_state = 6, .external_lex_state = 2},
  [14457] = {.lex_state = 26, .external_lex_state = 2},
  [14458] = {.lex_state = 419, .external_lex_state = 2},
  [14459] = {.lex_state = 26, .external_lex_state = 2},
  [14460] = {.lex_state = 18, .external_lex_state = 2},
  [14461] = {.lex_state = 18, .external_lex_state = 2},
  [14462] = {.lex_state = 6, .external_lex_state = 2},
  [14463] = {.lex_state = 26, .external_lex_state = 2},
  [14464] = {.lex_state = 26, .external_lex_state = 2},
  [14465] = {.lex_state = 18, .external_lex_state = 2},
  [14466] = {.lex_state = 26, .external_lex_state = 2},
  [14467] = {.lex_state = 18, .external_lex_state = 2},
  [14468] = {.lex_state = 419, .external_lex_state = 2},
  [14469] = {.lex_state = 6, .external_lex_state = 2},
  [14470] = {.lex_state = 26, .external_lex_state = 2},
  [14471] = {.lex_state = 419, .external_lex_state = 2},
  [14472] = {.lex_state = 26, .external_lex_state = 2},
  [14473] = {.lex_state = 419, .external_lex_state = 2},
  [14474] = {.lex_state = 18, .external_lex_state = 2},
  [14475] = {.lex_state = 8, .external_lex_state = 2},
  [14476] = {.lex_state = 419, .external_lex_state = 2},
  [14477] = {.lex_state = 18, .external_lex_state = 2},
  [14478] = {.lex_state = 18, .external_lex_state = 2},
  [14479] = {.lex_state = 6, .external_lex_state = 2},
  [14480] = {.lex_state = 419, .external_lex_state = 2},
  [14481] = {.lex_state = 419, .external_lex_state = 2},
  [14482] = {.lex_state = 419, .external_lex_state = 2},
  [14483] = {.lex_state = 18, .external_lex_state = 2},
  [14484] = {.lex_state = 18, .external_lex_state = 2},
  [14485] = {.lex_state = 18, .external_lex_state = 2},
  [14486] = {.lex_state = 18, .external_lex_state = 2},
  [14487] = {.lex_state = 419, .external_lex_state = 2},
  [14488] = {.lex_state = 6, .external_lex_state = 2},
  [14489] = {.lex_state = 6, .external_lex_state = 2},
  [14490] = {.lex_state = 18, .external_lex_state = 2},
  [14491] = {.lex_state = 18, .external_lex_state = 2},
  [14492] = {.lex_state = 419, .external_lex_state = 2},
  [14493] = {.lex_state = 17, .external_lex_state = 2},
  [14494] = {.lex_state = 18, .external_lex_state = 2},
  [14495] = {.lex_state = 419, .external_lex_state = 2},
  [14496] = {.lex_state = 18, .external_lex_state = 2},
  [14497] = {.lex_state = 6, .external_lex_state = 2},
  [14498] = {.lex_state = 6, .external_lex_state = 2},
  [14499] = {.lex_state = 18, .external_lex_state = 2},
  [14500] = {.lex_state = 18, .external_lex_state = 2},
  [14501] = {.lex_state = 419, .external_lex_state = 2},
  [14502] = {.lex_state = 18, .external_lex_state = 2},
  [14503] = {.lex_state = 6, .external_lex_state = 2},
  [14504] = {.lex_state = 10, .external_lex_state = 2},
  [14505] = {.lex_state = 18, .external_lex_state = 2},
  [14506] = {.lex_state = 6, .external_lex_state = 2},
  [14507] = {.lex_state = 26, .external_lex_state = 2},
  [14508] = {.lex_state = 18, .external_lex_state = 2},
  [14509] = {.lex_state = 26, .external_lex_state = 2},
  [14510] = {.lex_state = 11, .external_lex_state = 2},
  [14511] = {.lex_state = 18, .external_lex_state = 2},
  [14512] = {.lex_state = 18, .external_lex_state = 2},
  [14513] = {.lex_state = 419, .external_lex_state = 2},
  [14514] = {.lex_state = 6, .external_lex_state = 2},
  [14515] = {.lex_state = 6, .external_lex_state = 2},
  [14516] = {.lex_state = 18, .external_lex_state = 2},
  [14517] = {.lex_state = 26, .external_lex_state = 2},
  [14518] = {.lex_state = 26, .external_lex_state = 2},
  [14519] = {.lex_state = 26, .external_lex_state = 2},
  [14520] = {.lex_state = 26, .external_lex_state = 2},
  [14521] = {.lex_state = 6, .external_lex_state = 2},
  [14522] = {.lex_state = 8, .external_lex_state = 2},
  [14523] = {.lex_state = 26, .external_lex_state = 2},
  [14524] = {.lex_state = 26, .external_lex_state = 2},
  [14525] = {.lex_state = 419, .external_lex_state = 2},
  [14526] = {.lex_state = 6, .external_lex_state = 2},
  [14527] = {.lex_state = 6, .external_lex_state = 2},
  [14528] = {.lex_state = 419, .external_lex_state = 2},
  [14529] = {.lex_state = 18, .external_lex_state = 2},
  [14530] = {.lex_state = 6, .external_lex_state = 2},
  [14531] = {.lex_state = 6, .external_lex_state = 2},
  [14532] = {.lex_state = 419, .external_lex_state = 2},
  [14533] = {.lex_state = 18, .external_lex_state = 2},
  [14534] = {.lex_state = 18, .external_lex_state = 2},
  [14535] = {.lex_state = 419, .external_lex_state = 2},
  [14536] = {.lex_state = 18, .external_lex_state = 2},
  [14537] = {.lex_state = 18, .external_lex_state = 2},
  [14538] = {.lex_state = 26, .external_lex_state = 2},
  [14539] = {.lex_state = 26, .external_lex_state = 2},
  [14540] = {.lex_state = 26, .external_lex_state = 2},
  [14541] = {.lex_state = 419, .external_lex_state = 2},
  [14542] = {.lex_state = 18, .external_lex_state = 2},
  [14543] = {.lex_state = 419, .external_lex_state = 2},
  [14544] = {.lex_state = 419, .external_lex_state = 2},
  [14545] = {.lex_state = 419, .external_lex_state = 2},
  [14546] = {.lex_state = 18, .external_lex_state = 2},
  [14547] = {.lex_state = 17, .external_lex_state = 2},
  [14548] = {.lex_state = 18, .external_lex_state = 2},
  [14549] = {.lex_state = 18, .external_lex_state = 2},
  [14550] = {.lex_state = 18, .external_lex_state = 2},
  [14551] = {.lex_state = 18, .external_lex_state = 2},
  [14552] = {.lex_state = 26, .external_lex_state = 2},
  [14553] = {.lex_state = 18, .external_lex_state = 2},
  [14554] = {.lex_state = 18, .external_lex_state = 2},
  [14555] = {.lex_state = 26, .external_lex_state = 2},
  [14556] = {.lex_state = 26, .external_lex_state = 2},
  [14557] = {.lex_state = 6, .external_lex_state = 2},
  [14558] = {.lex_state = 18, .external_lex_state = 2},
  [14559] = {.lex_state = 18, .external_lex_state = 2},
  [14560] = {.lex_state = 18, .external_lex_state = 2},
  [14561] = {.lex_state = 26, .external_lex_state = 2},
  [14562] = {.lex_state = 26, .external_lex_state = 2},
  [14563] = {.lex_state = 18, .external_lex_state = 2},
  [14564] = {.lex_state = 26, .external_lex_state = 2},
  [14565] = {.lex_state = 419, .external_lex_state = 2},
  [14566] = {.lex_state = 6, .external_lex_state = 2},
  [14567] = {.lex_state = 6, .external_lex_state = 2},
  [14568] = {.lex_state = 419, .external_lex_state = 2},
  [14569] = {.lex_state = 26, .external_lex_state = 2},
  [14570] = {.lex_state = 419, .external_lex_state = 2},
  [14571] = {.lex_state = 419, .external_lex_state = 2},
  [14572] = {.lex_state = 18, .external_lex_state = 2},
  [14573] = {.lex_state = 419, .external_lex_state = 2},
  [14574] = {.lex_state = 26, .external_lex_state = 2},
  [14575] = {.lex_state = 419, .external_lex_state = 2},
  [14576] = {.lex_state = 18, .external_lex_state = 2},
  [14577] = {.lex_state = 18, .external_lex_state = 2},
  [14578] = {.lex_state = 18, .external_lex_state = 2},
  [14579] = {.lex_state = 18, .external_lex_state = 2},
  [14580] = {.lex_state = 18, .external_lex_state = 2},
  [14581] = {.lex_state = 18, .external_lex_state = 2},
  [14582] = {.lex_state = 18, .external_lex_state = 2},
  [14583] = {.lex_state = 419, .external_lex_state = 2},
  [14584] = {.lex_state = 6, .external_lex_state = 2},
  [14585] = {.lex_state = 18, .external_lex_state = 2},
  [14586] = {.lex_state = 419, .external_lex_state = 2},
  [14587] = {.lex_state = 419, .external_lex_state = 2},
  [14588] = {.lex_state = 7, .external_lex_state = 2},
  [14589] = {.lex_state = 26, .external_lex_state = 2},
  [14590] = {.lex_state = 26, .external_lex_state = 2},
  [14591] = {.lex_state = 11, .external_lex_state = 2},
  [14592] = {.lex_state = 18, .external_lex_state = 2},
  [14593] = {.lex_state = 419, .external_lex_state = 2},
  [14594] = {.lex_state = 26, .external_lex_state = 2},
  [14595] = {.lex_state = 6, .external_lex_state = 2},
  [14596] = {.lex_state = 18, .external_lex_state = 2},
  [14597] = {.lex_state = 18, .external_lex_state = 2},
  [14598] = {.lex_state = 18, .external_lex_state = 2},
  [14599] = {.lex_state = 26, .external_lex_state = 2},
  [14600] = {.lex_state = 419, .external_lex_state = 2},
  [14601] = {.lex_state = 26, .external_lex_state = 2},
  [14602] = {.lex_state = 419, .external_lex_state = 2},
  [14603] = {.lex_state = 6, .external_lex_state = 2},
  [14604] = {.lex_state = 6, .external_lex_state = 2},
  [14605] = {.lex_state = 26, .external_lex_state = 2},
  [14606] = {.lex_state = 419, .external_lex_state = 2},
  [14607] = {.lex_state = 419, .external_lex_state = 2},
  [14608] = {.lex_state = 6, .external_lex_state = 2},
  [14609] = {.lex_state = 419, .external_lex_state = 2},
  [14610] = {.lex_state = 6, .external_lex_state = 2},
  [14611] = {.lex_state = 18, .external_lex_state = 2},
  [14612] = {.lex_state = 18, .external_lex_state = 2},
  [14613] = {.lex_state = 26, .external_lex_state = 2},
  [14614] = {.lex_state = 26, .external_lex_state = 2},
  [14615] = {.lex_state = 18, .external_lex_state = 2},
  [14616] = {.lex_state = 419, .external_lex_state = 2},
  [14617] = {.lex_state = 6, .external_lex_state = 2},
  [14618] = {.lex_state = 18, .external_lex_state = 2},
  [14619] = {.lex_state = 26, .external_lex_state = 2},
  [14620] = {.lex_state = 419, .external_lex_state = 2},
  [14621] = {.lex_state = 18, .external_lex_state = 2},
  [14622] = {.lex_state = 18, .external_lex_state = 2},
  [14623] = {.lex_state = 419, .external_lex_state = 2},
  [14624] = {.lex_state = 18, .external_lex_state = 2},
  [14625] = {.lex_state = 419, .external_lex_state = 2},
  [14626] = {.lex_state = 419, .external_lex_state = 2},
  [14627] = {.lex_state = 18, .external_lex_state = 2},
  [14628] = {.lex_state = 18, .external_lex_state = 2},
  [14629] = {.lex_state = 18, .external_lex_state = 2},
  [14630] = {.lex_state = 18, .external_lex_state = 2},
  [14631] = {.lex_state = 18, .external_lex_state = 2},
  [14632] = {.lex_state = 18, .external_lex_state = 2},
  [14633] = {.lex_state = 8, .external_lex_state = 2},
  [14634] = {.lex_state = 18, .external_lex_state = 2},
  [14635] = {.lex_state = 18, .external_lex_state = 2},
  [14636] = {.lex_state = 419, .external_lex_state = 2},
  [14637] = {.lex_state = 18, .external_lex_state = 2},
  [14638] = {.lex_state = 419, .external_lex_state = 2},
  [14639] = {.lex_state = 419, .external_lex_state = 2},
  [14640] = {.lex_state = 248, .external_lex_state = 8},
  [14641] = {.lex_state = 419, .external_lex_state = 2},
  [14642] = {.lex_state = 419, .external_lex_state = 2},
  [14643] = {.lex_state = 419, .external_lex_state = 2},
  [14644] = {.lex_state = 17, .external_lex_state = 2},
  [14645] = {.lex_state = 18, .external_lex_state = 2},
  [14646] = {.lex_state = 18, .external_lex_state = 2},
  [14647] = {.lex_state = 18, .external_lex_state = 2},
  [14648] = {.lex_state = 18, .external_lex_state = 2},
  [14649] = {.lex_state = 18, .external_lex_state = 2},
  [14650] = {.lex_state = 6, .external_lex_state = 2},
  [14651] = {.lex_state = 18, .external_lex_state = 2},
  [14652] = {.lex_state = 26, .external_lex_state = 2},
  [14653] = {.lex_state = 419, .external_lex_state = 2},
  [14654] = {.lex_state = 18, .external_lex_state = 2},
  [14655] = {.lex_state = 18, .external_lex_state = 2},
  [14656] = {.lex_state = 18, .external_lex_state = 2},
  [14657] = {.lex_state = 18, .external_lex_state = 2},
  [14658] = {.lex_state = 18, .external_lex_state = 2},
  [14659] = {.lex_state = 26, .external_lex_state = 2},
  [14660] = {.lex_state = 26, .external_lex_state = 2},
  [14661] = {.lex_state = 18, .external_lex_state = 2},
  [14662] = {.lex_state = 6, .external_lex_state = 2},
  [14663] = {.lex_state = 18, .external_lex_state = 2},
  [14664] = {.lex_state = 18, .external_lex_state = 2},
  [14665] = {.lex_state = 18, .external_lex_state = 2},
  [14666] = {.lex_state = 18, .external_lex_state = 2},
  [14667] = {.lex_state = 26, .external_lex_state = 2},
  [14668] = {.lex_state = 26, .external_lex_state = 2},
  [14669] = {.lex_state = 8, .external_lex_state = 2},
  [14670] = {.lex_state = 26, .external_lex_state = 2},
  [14671] = {.lex_state = 26, .external_lex_state = 2},
  [14672] = {.lex_state = 10, .external_lex_state = 2},
  [14673] = {.lex_state = 419, .external_lex_state = 2},
  [14674] = {.lex_state = 8, .external_lex_state = 2},
  [14675] = {.lex_state = 18, .external_lex_state = 2},
  [14676] = {.lex_state = 6, .external_lex_state = 2},
  [14677] = {.lex_state = 18, .external_lex_state = 2},
  [14678] = {.lex_state = 8, .external_lex_state = 2},
  [14679] = {.lex_state = 26, .external_lex_state = 2},
  [14680] = {.lex_state = 419, .external_lex_state = 2},
  [14681] = {.lex_state = 18, .external_lex_state = 2},
  [14682] = {.lex_state = 6, .external_lex_state = 2},
  [14683] = {.lex_state = 419, .external_lex_state = 2},
  [14684] = {.lex_state = 18, .external_lex_state = 2},
  [14685] = {.lex_state = 18, .external_lex_state = 2},
  [14686] = {.lex_state = 18, .external_lex_state = 2},
  [14687] = {.lex_state = 419, .external_lex_state = 2},
  [14688] = {.lex_state = 419, .external_lex_state = 2},
  [14689] = {.lex_state = 18, .external_lex_state = 2},
  [14690] = {.lex_state = 18, .external_lex_state = 2},
  [14691] = {.lex_state = 18, .external_lex_state = 2},
  [14692] = {.lex_state = 18, .external_lex_state = 2},
  [14693] = {.lex_state = 18, .external_lex_state = 2},
  [14694] = {.lex_state = 18, .external_lex_state = 2},
  [14695] = {.lex_state = 18, .external_lex_state = 2},
  [14696] = {.lex_state = 17, .external_lex_state = 2},
  [14697] = {.lex_state = 11, .external_lex_state = 2},
  [14698] = {.lex_state = 18, .external_lex_state = 2},
  [14699] = {.lex_state = 18, .external_lex_state = 2},
  [14700] = {.lex_state = 18, .external_lex_state = 2},
  [14701] = {.lex_state = 18, .external_lex_state = 2},
  [14702] = {.lex_state = 419, .external_lex_state = 2},
  [14703] = {.lex_state = 26, .external_lex_state = 2},
  [14704] = {.lex_state = 419, .external_lex_state = 2},
  [14705] = {.lex_state = 419, .external_lex_state = 2},
  [14706] = {.lex_state = 18, .external_lex_state = 2},
  [14707] = {.lex_state = 18, .external_lex_state = 2},
  [14708] = {.lex_state = 419, .external_lex_state = 2},
  [14709] = {.lex_state = 18, .external_lex_state = 2},
  [14710] = {.lex_state = 18, .external_lex_state = 2},
  [14711] = {.lex_state = 26, .external_lex_state = 2},
  [14712] = {.lex_state = 18, .external_lex_state = 2},
  [14713] = {.lex_state = 419, .external_lex_state = 2},
  [14714] = {.lex_state = 10, .external_lex_state = 2},
  [14715] = {.lex_state = 26, .external_lex_state = 2},
  [14716] = {.lex_state = 6, .external_lex_state = 2},
  [14717] = {.lex_state = 18, .external_lex_state = 2},
  [14718] = {.lex_state = 18, .external_lex_state = 2},
  [14719] = {.lex_state = 26, .external_lex_state = 2},
  [14720] = {.lex_state = 6, .external_lex_state = 2},
  [14721] = {.lex_state = 18, .external_lex_state = 2},
  [14722] = {.lex_state = 18, .external_lex_state = 2},
  [14723] = {.lex_state = 419, .external_lex_state = 2},
  [14724] = {.lex_state = 419, .external_lex_state = 2},
  [14725] = {.lex_state = 6, .external_lex_state = 2},
  [14726] = {.lex_state = 18, .external_lex_state = 2},
  [14727] = {.lex_state = 26, .external_lex_state = 2},
  [14728] = {.lex_state = 26, .external_lex_state = 2},
  [14729] = {.lex_state = 26, .external_lex_state = 2},
  [14730] = {.lex_state = 26, .external_lex_state = 2},
  [14731] = {.lex_state = 6, .external_lex_state = 2},
  [14732] = {.lex_state = 10, .external_lex_state = 2},
  [14733] = {.lex_state = 8, .external_lex_state = 2},
  [14734] = {.lex_state = 26, .external_lex_state = 2},
  [14735] = {.lex_state = 419, .external_lex_state = 2},
  [14736] = {.lex_state = 419, .external_lex_state = 2},
  [14737] = {.lex_state = 8, .external_lex_state = 2},
  [14738] = {.lex_state = 419, .external_lex_state = 2},
  [14739] = {.lex_state = 18, .external_lex_state = 2},
  [14740] = {.lex_state = 6, .external_lex_state = 2},
  [14741] = {.lex_state = 419, .external_lex_state = 2},
  [14742] = {.lex_state = 18, .external_lex_state = 2},
  [14743] = {.lex_state = 419, .external_lex_state = 2},
  [14744] = {.lex_state = 18, .external_lex_state = 2},
  [14745] = {.lex_state = 26, .external_lex_state = 2},
  [14746] = {.lex_state = 419, .external_lex_state = 2},
  [14747] = {.lex_state = 18, .external_lex_state = 2},
  [14748] = {.lex_state = 10, .external_lex_state = 2},
  [14749] = {.lex_state = 419, .external_lex_state = 2},
  [14750] = {.lex_state = 18, .external_lex_state = 2},
  [14751] = {.lex_state = 18, .external_lex_state = 2},
  [14752] = {.lex_state = 419, .external_lex_state = 2},
  [14753] = {.lex_state = 18, .external_lex_state = 2},
  [14754] = {.lex_state = 419, .external_lex_state = 2},
  [14755] = {.lex_state = 10, .external_lex_state = 2},
  [14756] = {.lex_state = 18, .external_lex_state = 2},
  [14757] = {.lex_state = 419, .external_lex_state = 2},
  [14758] = {.lex_state = 18, .external_lex_state = 2},
  [14759] = {.lex_state = 18, .external_lex_state = 2},
  [14760] = {.lex_state = 26, .external_lex_state = 2},
  [14761] = {.lex_state = 17, .external_lex_state = 2},
  [14762] = {.lex_state = 18, .external_lex_state = 2},
  [14763] = {.lex_state = 10, .external_lex_state = 2},
  [14764] = {.lex_state = 18, .external_lex_state = 2},
  [14765] = {.lex_state = 10, .external_lex_state = 2},
  [14766] = {.lex_state = 18, .external_lex_state = 2},
  [14767] = {.lex_state = 18, .external_lex_state = 2},
  [14768] = {.lex_state = 18, .external_lex_state = 2},
  [14769] = {.lex_state = 10, .external_lex_state = 2},
  [14770] = {.lex_state = 26, .external_lex_state = 2},
  [14771] = {.lex_state = 419, .external_lex_state = 2},
  [14772] = {.lex_state = 419, .external_lex_state = 2},
  [14773] = {.lex_state = 17, .external_lex_state = 2},
  [14774] = {.lex_state = 10, .external_lex_state = 2},
  [14775] = {.lex_state = 419, .external_lex_state = 2},
  [14776] = {.lex_state = 419, .external_lex_state = 2},
  [14777] = {.lex_state = 419, .external_lex_state = 2},
  [14778] = {.lex_state = 6, .external_lex_state = 2},
  [14779] = {.lex_state = 10, .external_lex_state = 2},
  [14780] = {.lex_state = 6, .external_lex_state = 2},
  [14781] = {.lex_state = 18, .external_lex_state = 2},
  [14782] = {.lex_state = 18, .external_lex_state = 2},
  [14783] = {.lex_state = 10, .external_lex_state = 2},
  [14784] = {.lex_state = 26, .external_lex_state = 2},
  [14785] = {.lex_state = 26, .external_lex_state = 2},
  [14786] = {.lex_state = 10, .external_lex_state = 2},
  [14787] = {.lex_state = 419, .external_lex_state = 2},
  [14788] = {.lex_state = 8, .external_lex_state = 2},
  [14789] = {.lex_state = 10, .external_lex_state = 2},
  [14790] = {.lex_state = 18, .external_lex_state = 2},
  [14791] = {.lex_state = 6, .external_lex_state = 2},
  [14792] = {.lex_state = 10, .external_lex_state = 2},
  [14793] = {.lex_state = 6, .external_lex_state = 2},
  [14794] = {.lex_state = 10, .external_lex_state = 2},
  [14795] = {.lex_state = 26, .external_lex_state = 2},
  [14796] = {.lex_state = 419, .external_lex_state = 2},
  [14797] = {.lex_state = 18, .external_lex_state = 2},
  [14798] = {.lex_state = 10, .external_lex_state = 2},
  [14799] = {.lex_state = 10, .external_lex_state = 2},
  [14800] = {.lex_state = 419, .external_lex_state = 2},
  [14801] = {.lex_state = 18, .external_lex_state = 2},
  [14802] = {.lex_state = 10, .external_lex_state = 2},
  [14803] = {.lex_state = 419, .external_lex_state = 2},
  [14804] = {.lex_state = 18, .external_lex_state = 2},
  [14805] = {.lex_state = 10, .external_lex_state = 2},
  [14806] = {.lex_state = 419, .external_lex_state = 2},
  [14807] = {.lex_state = 18, .external_lex_state = 2},
  [14808] = {.lex_state = 10, .external_lex_state = 2},
  [14809] = {.lex_state = 26, .external_lex_state = 2},
  [14810] = {.lex_state = 17, .external_lex_state = 2},
  [14811] = {.lex_state = 10, .external_lex_state = 2},
  [14812] = {.lex_state = 10, .external_lex_state = 2},
  [14813] = {.lex_state = 419, .external_lex_state = 2},
  [14814] = {.lex_state = 10, .external_lex_state = 2},
  [14815] = {.lex_state = 419, .external_lex_state = 2},
  [14816] = {.lex_state = 248, .external_lex_state = 8},
  [14817] = {.lex_state = 18, .external_lex_state = 2},
  [14818] = {.lex_state = 10, .external_lex_state = 2},
  [14819] = {.lex_state = 8, .external_lex_state = 2},
  [14820] = {.lex_state = 10, .external_lex_state = 2},
  [14821] = {.lex_state = 10, .external_lex_state = 2},
  [14822] = {.lex_state = 10, .external_lex_state = 2},
  [14823] = {.lex_state = 17, .external_lex_state = 2},
  [14824] = {.lex_state = 26, .external_lex_state = 2},
  [14825] = {.lex_state = 26, .external_lex_state = 2},
  [14826] = {.lex_state = 10, .external_lex_state = 2},
  [14827] = {.lex_state = 18, .external_lex_state = 2},
  [14828] = {.lex_state = 26, .external_lex_state = 2},
  [14829] = {.lex_state = 11, .external_lex_state = 2},
  [14830] = {.lex_state = 10, .external_lex_state = 2},
  [14831] = {.lex_state = 419, .external_lex_state = 2},
  [14832] = {.lex_state = 419, .external_lex_state = 2},
  [14833] = {.lex_state = 10, .external_lex_state = 2},
  [14834] = {.lex_state = 6, .external_lex_state = 2},
  [14835] = {.lex_state = 10, .external_lex_state = 2},
  [14836] = {.lex_state = 26, .external_lex_state = 2},
  [14837] = {.lex_state = 11, .external_lex_state = 2},
  [14838] = {.lex_state = 26, .external_lex_state = 2},
  [14839] = {.lex_state = 10, .external_lex_state = 2},
  [14840] = {.lex_state = 26, .external_lex_state = 2},
  [14841] = {.lex_state = 6, .external_lex_state = 2},
  [14842] = {.lex_state = 10, .external_lex_state = 2},
  [14843] = {.lex_state = 18, .external_lex_state = 2},
  [14844] = {.lex_state = 18, .external_lex_state = 2},
  [14845] = {.lex_state = 6, .external_lex_state = 2},
  [14846] = {.lex_state = 10, .external_lex_state = 2},
  [14847] = {.lex_state = 10, .external_lex_state = 2},
  [14848] = {.lex_state = 26, .external_lex_state = 2},
  [14849] = {.lex_state = 419, .external_lex_state = 2},
  [14850] = {.lex_state = 10, .external_lex_state = 2},
  [14851] = {.lex_state = 419, .external_lex_state = 2},
  [14852] = {.lex_state = 18, .external_lex_state = 2},
  [14853] = {.lex_state = 419, .external_lex_state = 2},
  [14854] = {.lex_state = 10, .external_lex_state = 2},
  [14855] = {.lex_state = 419, .external_lex_state = 2},
  [14856] = {.lex_state = 419, .external_lex_state = 2},
  [14857] = {.lex_state = 10, .external_lex_state = 2},
  [14858] = {.lex_state = 18, .external_lex_state = 2},
  [14859] = {.lex_state = 419, .external_lex_state = 2},
  [14860] = {.lex_state = 18, .external_lex_state = 2},
  [14861] = {.lex_state = 18, .external_lex_state = 2},
  [14862] = {.lex_state = 10, .external_lex_state = 2},
  [14863] = {.lex_state = 198, .external_lex_state = 2},
  [14864] = {.lex_state = 6, .external_lex_state = 2},
  [14865] = {.lex_state = 10, .external_lex_state = 2},
  [14866] = {.lex_state = 26, .external_lex_state = 2},
  [14867] = {.lex_state = 419, .external_lex_state = 2},
  [14868] = {.lex_state = 6, .external_lex_state = 2},
  [14869] = {.lex_state = 10, .external_lex_state = 2},
  [14870] = {.lex_state = 26, .external_lex_state = 2},
  [14871] = {.lex_state = 18, .external_lex_state = 2},
  [14872] = {.lex_state = 419, .external_lex_state = 2},
  [14873] = {.lex_state = 18, .external_lex_state = 2},
  [14874] = {.lex_state = 18, .external_lex_state = 2},
  [14875] = {.lex_state = 6, .external_lex_state = 2},
  [14876] = {.lex_state = 419, .external_lex_state = 2},
  [14877] = {.lex_state = 427, .external_lex_state = 2},
  [14878] = {.lex_state = 419, .external_lex_state = 2},
  [14879] = {.lex_state = 419, .external_lex_state = 2},
  [14880] = {.lex_state = 26, .external_lex_state = 2},
  [14881] = {.lex_state = 18, .external_lex_state = 2},
  [14882] = {.lex_state = 8, .external_lex_state = 2},
  [14883] = {.lex_state = 26, .external_lex_state = 2},
  [14884] = {.lex_state = 26, .external_lex_state = 2},
  [14885] = {.lex_state = 6, .external_lex_state = 2},
  [14886] = {.lex_state = 248, .external_lex_state = 8},
  [14887] = {.lex_state = 26, .external_lex_state = 2},
  [14888] = {.lex_state = 6, .external_lex_state = 2},
  [14889] = {.lex_state = 6, .external_lex_state = 2},
  [14890] = {.lex_state = 18, .external_lex_state = 2},
  [14891] = {.lex_state = 6, .external_lex_state = 2},
  [14892] = {.lex_state = 198, .external_lex_state = 2},
  [14893] = {.lex_state = 419, .external_lex_state = 2},
  [14894] = {.lex_state = 6, .external_lex_state = 2},
  [14895] = {.lex_state = 26, .external_lex_state = 2},
  [14896] = {.lex_state = 18, .external_lex_state = 2},
  [14897] = {.lex_state = 26, .external_lex_state = 2},
  [14898] = {.lex_state = 26, .external_lex_state = 2},
  [14899] = {.lex_state = 419, .external_lex_state = 2},
  [14900] = {.lex_state = 26, .external_lex_state = 2},
  [14901] = {.lex_state = 18, .external_lex_state = 2},
  [14902] = {.lex_state = 18, .external_lex_state = 2},
  [14903] = {.lex_state = 419, .external_lex_state = 2},
  [14904] = {.lex_state = 26, .external_lex_state = 2},
  [14905] = {.lex_state = 18, .external_lex_state = 2},
  [14906] = {.lex_state = 419, .external_lex_state = 2},
  [14907] = {.lex_state = 18, .external_lex_state = 2},
  [14908] = {.lex_state = 26, .external_lex_state = 2},
  [14909] = {.lex_state = 26, .external_lex_state = 2},
  [14910] = {.lex_state = 419, .external_lex_state = 2},
  [14911] = {.lex_state = 18, .external_lex_state = 2},
  [14912] = {.lex_state = 26, .external_lex_state = 2},
  [14913] = {.lex_state = 26, .external_lex_state = 2},
  [14914] = {.lex_state = 419, .external_lex_state = 2},
  [14915] = {.lex_state = 18, .external_lex_state = 2},
  [14916] = {.lex_state = 18, .external_lex_state = 2},
  [14917] = {.lex_state = 18, .external_lex_state = 2},
  [14918] = {.lex_state = 26, .external_lex_state = 2},
  [14919] = {.lex_state = 26, .external_lex_state = 2},
  [14920] = {.lex_state = 419, .external_lex_state = 2},
  [14921] = {.lex_state = 26, .external_lex_state = 2},
  [14922] = {.lex_state = 18, .external_lex_state = 2},
  [14923] = {.lex_state = 26, .external_lex_state = 2},
  [14924] = {.lex_state = 18, .external_lex_state = 2},
  [14925] = {.lex_state = 18, .external_lex_state = 2},
  [14926] = {.lex_state = 18, .external_lex_state = 2},
  [14927] = {.lex_state = 18, .external_lex_state = 2},
  [14928] = {.lex_state = 419, .external_lex_state = 2},
  [14929] = {.lex_state = 10, .external_lex_state = 2},
  [14930] = {.lex_state = 26, .external_lex_state = 2},
  [14931] = {.lex_state = 427, .external_lex_state = 2},
  [14932] = {.lex_state = 135, .external_lex_state = 2},
  [14933] = {.lex_state = 26, .external_lex_state = 2},
  [14934] = {.lex_state = 26, .external_lex_state = 2},
  [14935] = {.lex_state = 419, .external_lex_state = 2},
  [14936] = {.lex_state = 11, .external_lex_state = 2},
  [14937] = {.lex_state = 419, .external_lex_state = 2},
  [14938] = {.lex_state = 136, .external_lex_state = 2},
  [14939] = {.lex_state = 18, .external_lex_state = 2},
  [14940] = {.lex_state = 18, .external_lex_state = 2},
  [14941] = {.lex_state = 136, .external_lex_state = 2},
  [14942] = {.lex_state = 26, .external_lex_state = 2},
  [14943] = {.lex_state = 419, .external_lex_state = 2},
  [14944] = {.lex_state = 136, .external_lex_state = 2},
  [14945] = {.lex_state = 242, .external_lex_state = 2},
  [14946] = {.lex_state = 419, .external_lex_state = 2},
  [14947] = {.lex_state = 136, .external_lex_state = 2},
  [14948] = {.lex_state = 419, .external_lex_state = 2},
  [14949] = {.lex_state = 26, .external_lex_state = 2},
  [14950] = {.lex_state = 18, .external_lex_state = 2},
  [14951] = {.lex_state = 136, .external_lex_state = 2},
  [14952] = {.lex_state = 136, .external_lex_state = 2},
  [14953] = {.lex_state = 135, .external_lex_state = 2},
  [14954] = {.lex_state = 427, .external_lex_state = 2},
  [14955] = {.lex_state = 419, .external_lex_state = 2},
  [14956] = {.lex_state = 136, .external_lex_state = 2},
  [14957] = {.lex_state = 26, .external_lex_state = 2},
  [14958] = {.lex_state = 18, .external_lex_state = 2},
  [14959] = {.lex_state = 26, .external_lex_state = 2},
  [14960] = {.lex_state = 427, .external_lex_state = 2},
  [14961] = {.lex_state = 136, .external_lex_state = 2},
  [14962] = {.lex_state = 26, .external_lex_state = 2},
  [14963] = {.lex_state = 26, .external_lex_state = 2},
  [14964] = {.lex_state = 18, .external_lex_state = 2},
  [14965] = {.lex_state = 18, .external_lex_state = 2},
  [14966] = {.lex_state = 26, .external_lex_state = 2},
  [14967] = {.lex_state = 136, .external_lex_state = 2},
  [14968] = {.lex_state = 26, .external_lex_state = 2},
  [14969] = {.lex_state = 18, .external_lex_state = 2},
  [14970] = {.lex_state = 248, .external_lex_state = 8},
  [14971] = {.lex_state = 37, .external_lex_state = 2},
  [14972] = {.lex_state = 18, .external_lex_state = 2},
  [14973] = {.lex_state = 37, .external_lex_state = 2},
  [14974] = {.lex_state = 136, .external_lex_state = 2},
  [14975] = {.lex_state = 136, .external_lex_state = 2},
  [14976] = {.lex_state = 18, .external_lex_state = 2},
  [14977] = {.lex_state = 18, .external_lex_state = 2},
  [14978] = {.lex_state = 419, .external_lex_state = 2},
  [14979] = {.lex_state = 18, .external_lex_state = 2},
  [14980] = {.lex_state = 18, .external_lex_state = 2},
  [14981] = {.lex_state = 136, .external_lex_state = 2},
  [14982] = {.lex_state = 136, .external_lex_state = 2},
  [14983] = {.lex_state = 135, .external_lex_state = 2},
  [14984] = {.lex_state = 136, .external_lex_state = 2},
  [14985] = {.lex_state = 136, .external_lex_state = 2},
  [14986] = {.lex_state = 419, .external_lex_state = 2},
  [14987] = {.lex_state = 419, .external_lex_state = 2},
  [14988] = {.lex_state = 37, .external_lex_state = 2},
  [14989] = {.lex_state = 419, .external_lex_state = 2},
  [14990] = {.lex_state = 136, .external_lex_state = 2},
  [14991] = {.lex_state = 419, .external_lex_state = 2},
  [14992] = {.lex_state = 419, .external_lex_state = 2},
  [14993] = {.lex_state = 242, .external_lex_state = 2},
  [14994] = {.lex_state = 242, .external_lex_state = 2},
  [14995] = {.lex_state = 136, .external_lex_state = 2},
  [14996] = {.lex_state = 136, .external_lex_state = 2},
  [14997] = {.lex_state = 136, .external_lex_state = 2},
  [14998] = {.lex_state = 135, .external_lex_state = 2},
  [14999] = {.lex_state = 11, .external_lex_state = 2},
  [15000] = {.lex_state = 136, .external_lex_state = 2},
  [15001] = {.lex_state = 136, .external_lex_state = 2},
  [15002] = {.lex_state = 136, .external_lex_state = 2},
  [15003] = {.lex_state = 427, .external_lex_state = 2},
  [15004] = {.lex_state = 18, .external_lex_state = 2},
  [15005] = {.lex_state = 26, .external_lex_state = 2},
  [15006] = {.lex_state = 136, .external_lex_state = 2},
  [15007] = {.lex_state = 248, .external_lex_state = 8},
  [15008] = {.lex_state = 419, .external_lex_state = 2},
  [15009] = {.lex_state = 18, .external_lex_state = 2},
  [15010] = {.lex_state = 136, .external_lex_state = 2},
  [15011] = {.lex_state = 136, .external_lex_state = 2},
  [15012] = {.lex_state = 136, .external_lex_state = 2},
  [15013] = {.lex_state = 18, .external_lex_state = 2},
  [15014] = {.lex_state = 242, .external_lex_state = 2},
  [15015] = {.lex_state = 18, .external_lex_state = 2},
  [15016] = {.lex_state = 136, .external_lex_state = 2},
  [15017] = {.lex_state = 18, .external_lex_state = 2},
  [15018] = {.lex_state = 242, .external_lex_state = 2},
  [15019] = {.lex_state = 26, .external_lex_state = 2},
  [15020] = {.lex_state = 18, .external_lex_state = 2},
  [15021] = {.lex_state = 18, .external_lex_state = 2},
  [15022] = {.lex_state = 37, .external_lex_state = 2},
  [15023] = {.lex_state = 419, .external_lex_state = 2},
  [15024] = {.lex_state = 136, .external_lex_state = 2},
  [15025] = {.lex_state = 419, .external_lex_state = 2},
  [15026] = {.lex_state = 427, .external_lex_state = 2},
  [15027] = {.lex_state = 136, .external_lex_state = 2},
  [15028] = {.lex_state = 136, .external_lex_state = 2},
  [15029] = {.lex_state = 419, .external_lex_state = 2},
  [15030] = {.lex_state = 419, .external_lex_state = 2},
  [15031] = {.lex_state = 136, .external_lex_state = 2},
  [15032] = {.lex_state = 135, .external_lex_state = 2},
  [15033] = {.lex_state = 26, .external_lex_state = 2},
  [15034] = {.lex_state = 26, .external_lex_state = 2},
  [15035] = {.lex_state = 136, .external_lex_state = 2},
  [15036] = {.lex_state = 419, .external_lex_state = 2},
  [15037] = {.lex_state = 419, .external_lex_state = 2},
  [15038] = {.lex_state = 18, .external_lex_state = 2},
  [15039] = {.lex_state = 419, .external_lex_state = 2},
  [15040] = {.lex_state = 135, .external_lex_state = 2},
  [15041] = {.lex_state = 18, .external_lex_state = 2},
  [15042] = {.lex_state = 419, .external_lex_state = 2},
  [15043] = {.lex_state = 248, .external_lex_state = 8},
  [15044] = {.lex_state = 427, .external_lex_state = 2},
  [15045] = {.lex_state = 26, .external_lex_state = 2},
  [15046] = {.lex_state = 26, .external_lex_state = 2},
  [15047] = {.lex_state = 18, .external_lex_state = 2},
  [15048] = {.lex_state = 18, .external_lex_state = 2},
  [15049] = {.lex_state = 37, .external_lex_state = 2},
  [15050] = {.lex_state = 136, .external_lex_state = 2},
  [15051] = {.lex_state = 427, .external_lex_state = 2},
  [15052] = {.lex_state = 18, .external_lex_state = 2},
  [15053] = {.lex_state = 136, .external_lex_state = 2},
  [15054] = {.lex_state = 136, .external_lex_state = 2},
  [15055] = {.lex_state = 136, .external_lex_state = 2},
  [15056] = {.lex_state = 136, .external_lex_state = 2},
  [15057] = {.lex_state = 136, .external_lex_state = 2},
  [15058] = {.lex_state = 242, .external_lex_state = 2},
  [15059] = {.lex_state = 419, .external_lex_state = 2},
  [15060] = {.lex_state = 419, .external_lex_state = 2},
  [15061] = {.lex_state = 419, .external_lex_state = 2},
  [15062] = {.lex_state = 18, .external_lex_state = 2},
  [15063] = {.lex_state = 427, .external_lex_state = 2},
  [15064] = {.lex_state = 419, .external_lex_state = 2},
  [15065] = {.lex_state = 419, .external_lex_state = 2},
  [15066] = {.lex_state = 136, .external_lex_state = 2},
  [15067] = {.lex_state = 26, .external_lex_state = 2},
  [15068] = {.lex_state = 26, .external_lex_state = 2},
  [15069] = {.lex_state = 26, .external_lex_state = 2},
  [15070] = {.lex_state = 18, .external_lex_state = 2},
  [15071] = {.lex_state = 18, .external_lex_state = 2},
  [15072] = {.lex_state = 136, .external_lex_state = 2},
  [15073] = {.lex_state = 136, .external_lex_state = 2},
  [15074] = {.lex_state = 136, .external_lex_state = 2},
  [15075] = {.lex_state = 18, .external_lex_state = 2},
  [15076] = {.lex_state = 248, .external_lex_state = 8},
  [15077] = {.lex_state = 26, .external_lex_state = 2},
  [15078] = {.lex_state = 135, .external_lex_state = 2},
  [15079] = {.lex_state = 136, .external_lex_state = 2},
  [15080] = {.lex_state = 18, .external_lex_state = 2},
  [15081] = {.lex_state = 419, .external_lex_state = 2},
  [15082] = {.lex_state = 18, .external_lex_state = 2},
  [15083] = {.lex_state = 18, .external_lex_state = 2},
  [15084] = {.lex_state = 136, .external_lex_state = 2},
  [15085] = {.lex_state = 136, .external_lex_state = 2},
  [15086] = {.lex_state = 135, .external_lex_state = 2},
  [15087] = {.lex_state = 18, .external_lex_state = 2},
  [15088] = {.lex_state = 18, .external_lex_state = 2},
  [15089] = {.lex_state = 427, .external_lex_state = 2},
  [15090] = {.lex_state = 136, .external_lex_state = 2},
  [15091] = {.lex_state = 18, .external_lex_state = 2},
  [15092] = {.lex_state = 136, .external_lex_state = 2},
  [15093] = {.lex_state = 18, .external_lex_state = 2},
  [15094] = {.lex_state = 136, .external_lex_state = 2},
  [15095] = {.lex_state = 26, .external_lex_state = 2},
  [15096] = {.lex_state = 419, .external_lex_state = 2},
  [15097] = {.lex_state = 26, .external_lex_state = 2},
  [15098] = {.lex_state = 419, .external_lex_state = 2},
  [15099] = {.lex_state = 26, .external_lex_state = 2},
  [15100] = {.lex_state = 136, .external_lex_state = 2},
  [15101] = {.lex_state = 18, .external_lex_state = 2},
  [15102] = {.lex_state = 419, .external_lex_state = 2},
  [15103] = {.lex_state = 419, .external_lex_state = 2},
  [15104] = {.lex_state = 242, .external_lex_state = 2},
  [15105] = {.lex_state = 136, .external_lex_state = 2},
  [15106] = {.lex_state = 18, .external_lex_state = 2},
  [15107] = {.lex_state = 427, .external_lex_state = 2},
  [15108] = {.lex_state = 427, .external_lex_state = 2},
  [15109] = {.lex_state = 18, .external_lex_state = 2},
  [15110] = {.lex_state = 136, .external_lex_state = 2},
  [15111] = {.lex_state = 26, .external_lex_state = 2},
  [15112] = {.lex_state = 26, .external_lex_state = 2},
  [15113] = {.lex_state = 248, .external_lex_state = 8},
  [15114] = {.lex_state = 26, .external_lex_state = 2},
  [15115] = {.lex_state = 136, .external_lex_state = 2},
  [15116] = {.lex_state = 26, .external_lex_state = 2},
  [15117] = {.lex_state = 135, .external_lex_state = 2},
  [15118] = {.lex_state = 18, .external_lex_state = 2},
  [15119] = {.lex_state = 18, .external_lex_state = 2},
  [15120] = {.lex_state = 136, .external_lex_state = 2},
  [15121] = {.lex_state = 37, .external_lex_state = 2},
  [15122] = {.lex_state = 18, .external_lex_state = 2},
  [15123] = {.lex_state = 419, .external_lex_state = 2},
  [15124] = {.lex_state = 18, .external_lex_state = 2},
  [15125] = {.lex_state = 419, .external_lex_state = 2},
  [15126] = {.lex_state = 26, .external_lex_state = 2},
  [15127] = {.lex_state = 136, .external_lex_state = 2},
  [15128] = {.lex_state = 136, .external_lex_state = 2},
  [15129] = {.lex_state = 419, .external_lex_state = 2},
  [15130] = {.lex_state = 419, .external_lex_state = 2},
  [15131] = {.lex_state = 136, .external_lex_state = 2},
  [15132] = {.lex_state = 136, .external_lex_state = 2},
  [15133] = {.lex_state = 136, .external_lex_state = 2},
  [15134] = {.lex_state = 136, .external_lex_state = 2},
  [15135] = {.lex_state = 136, .external_lex_state = 2},
  [15136] = {.lex_state = 18, .external_lex_state = 2},
  [15137] = {.lex_state = 248, .external_lex_state = 8},
  [15138] = {.lex_state = 136, .external_lex_state = 2},
  [15139] = {.lex_state = 136, .external_lex_state = 2},
  [15140] = {.lex_state = 136, .external_lex_state = 2},
  [15141] = {.lex_state = 26, .external_lex_state = 2},
  [15142] = {.lex_state = 135, .external_lex_state = 2},
  [15143] = {.lex_state = 136, .external_lex_state = 2},
  [15144] = {.lex_state = 37, .external_lex_state = 2},
  [15145] = {.lex_state = 18, .external_lex_state = 2},
  [15146] = {.lex_state = 37, .external_lex_state = 2},
  [15147] = {.lex_state = 136, .external_lex_state = 2},
  [15148] = {.lex_state = 136, .external_lex_state = 2},
  [15149] = {.lex_state = 18, .external_lex_state = 2},
  [15150] = {.lex_state = 419, .external_lex_state = 2},
  [15151] = {.lex_state = 135, .external_lex_state = 2},
  [15152] = {.lex_state = 419, .external_lex_state = 2},
  [15153] = {.lex_state = 136, .external_lex_state = 2},
  [15154] = {.lex_state = 419, .external_lex_state = 2},
  [15155] = {.lex_state = 419, .external_lex_state = 2},
  [15156] = {.lex_state = 136, .external_lex_state = 2},
  [15157] = {.lex_state = 136, .external_lex_state = 2},
  [15158] = {.lex_state = 135, .external_lex_state = 2},
  [15159] = {.lex_state = 18, .external_lex_state = 2},
  [15160] = {.lex_state = 136, .external_lex_state = 2},
  [15161] = {.lex_state = 18, .external_lex_state = 2},
  [15162] = {.lex_state = 427, .external_lex_state = 2},
  [15163] = {.lex_state = 26, .external_lex_state = 2},
  [15164] = {.lex_state = 26, .external_lex_state = 2},
  [15165] = {.lex_state = 136, .external_lex_state = 2},
  [15166] = {.lex_state = 136, .external_lex_state = 2},
  [15167] = {.lex_state = 18, .external_lex_state = 2},
  [15168] = {.lex_state = 248, .external_lex_state = 8},
  [15169] = {.lex_state = 37, .external_lex_state = 2},
  [15170] = {.lex_state = 136, .external_lex_state = 2},
  [15171] = {.lex_state = 18, .external_lex_state = 2},
  [15172] = {.lex_state = 26, .external_lex_state = 2},
  [15173] = {.lex_state = 136, .external_lex_state = 2},
  [15174] = {.lex_state = 242, .external_lex_state = 2},
  [15175] = {.lex_state = 242, .external_lex_state = 2},
  [15176] = {.lex_state = 136, .external_lex_state = 2},
  [15177] = {.lex_state = 18, .external_lex_state = 2},
  [15178] = {.lex_state = 427, .external_lex_state = 2},
  [15179] = {.lex_state = 136, .external_lex_state = 2},
  [15180] = {.lex_state = 26, .external_lex_state = 2},
  [15181] = {.lex_state = 26, .external_lex_state = 2},
  [15182] = {.lex_state = 419, .external_lex_state = 2},
  [15183] = {.lex_state = 242, .external_lex_state = 2},
  [15184] = {.lex_state = 419, .external_lex_state = 2},
  [15185] = {.lex_state = 18, .external_lex_state = 2},
  [15186] = {.lex_state = 18, .external_lex_state = 2},
  [15187] = {.lex_state = 18, .external_lex_state = 2},
  [15188] = {.lex_state = 136, .external_lex_state = 2},
  [15189] = {.lex_state = 419, .external_lex_state = 2},
  [15190] = {.lex_state = 419, .external_lex_state = 2},
  [15191] = {.lex_state = 136, .external_lex_state = 2},
  [15192] = {.lex_state = 26, .external_lex_state = 2},
  [15193] = {.lex_state = 242, .external_lex_state = 2},
  [15194] = {.lex_state = 18, .external_lex_state = 2},
  [15195] = {.lex_state = 18, .external_lex_state = 2},
  [15196] = {.lex_state = 18, .external_lex_state = 2},
  [15197] = {.lex_state = 248, .external_lex_state = 8},
  [15198] = {.lex_state = 18, .external_lex_state = 2},
  [15199] = {.lex_state = 135, .external_lex_state = 2},
  [15200] = {.lex_state = 136, .external_lex_state = 2},
  [15201] = {.lex_state = 419, .external_lex_state = 2},
  [15202] = {.lex_state = 248, .external_lex_state = 8},
  [15203] = {.lex_state = 136, .external_lex_state = 2},
  [15204] = {.lex_state = 419, .external_lex_state = 2},
  [15205] = {.lex_state = 136, .external_lex_state = 2},
  [15206] = {.lex_state = 136, .external_lex_state = 2},
  [15207] = {.lex_state = 136, .external_lex_state = 2},
  [15208] = {.lex_state = 18, .external_lex_state = 2},
  [15209] = {.lex_state = 18, .external_lex_state = 2},
  [15210] = {.lex_state = 242, .external_lex_state = 2},
  [15211] = {.lex_state = 136, .external_lex_state = 2},
  [15212] = {.lex_state = 419, .external_lex_state = 2},
  [15213] = {.lex_state = 18, .external_lex_state = 2},
  [15214] = {.lex_state = 419, .external_lex_state = 2},
  [15215] = {.lex_state = 419, .external_lex_state = 2},
  [15216] = {.lex_state = 419, .external_lex_state = 2},
  [15217] = {.lex_state = 18, .external_lex_state = 2},
  [15218] = {.lex_state = 136, .external_lex_state = 2},
  [15219] = {.lex_state = 11, .external_lex_state = 2},
  [15220] = {.lex_state = 136, .external_lex_state = 2},
  [15221] = {.lex_state = 248, .external_lex_state = 8},
  [15222] = {.lex_state = 136, .external_lex_state = 2},
  [15223] = {.lex_state = 11, .external_lex_state = 2},
  [15224] = {.lex_state = 136, .external_lex_state = 2},
  [15225] = {.lex_state = 419, .external_lex_state = 2},
  [15226] = {.lex_state = 18, .external_lex_state = 2},
  [15227] = {.lex_state = 419, .external_lex_state = 2},
  [15228] = {.lex_state = 37, .external_lex_state = 2},
  [15229] = {.lex_state = 135, .external_lex_state = 2},
  [15230] = {.lex_state = 427, .external_lex_state = 2},
  [15231] = {.lex_state = 419, .external_lex_state = 2},
  [15232] = {.lex_state = 419, .external_lex_state = 2},
  [15233] = {.lex_state = 18, .external_lex_state = 2},
  [15234] = {.lex_state = 136, .external_lex_state = 2},
  [15235] = {.lex_state = 18, .external_lex_state = 2},
  [15236] = {.lex_state = 248, .external_lex_state = 8},
  [15237] = {.lex_state = 136, .external_lex_state = 2},
  [15238] = {.lex_state = 136, .external_lex_state = 2},
  [15239] = {.lex_state = 136, .external_lex_state = 2},
  [15240] = {.lex_state = 18, .external_lex_state = 2},
  [15241] = {.lex_state = 419, .external_lex_state = 2},
  [15242] = {.lex_state = 419, .external_lex_state = 2},
  [15243] = {.lex_state = 136, .external_lex_state = 2},
  [15244] = {.lex_state = 18, .external_lex_state = 2},
  [15245] = {.lex_state = 419, .external_lex_state = 2},
  [15246] = {.lex_state = 419, .external_lex_state = 2},
  [15247] = {.lex_state = 18, .external_lex_state = 2},
  [15248] = {.lex_state = 26, .external_lex_state = 2},
  [15249] = {.lex_state = 136, .external_lex_state = 2},
  [15250] = {.lex_state = 18, .external_lex_state = 2},
  [15251] = {.lex_state = 248, .external_lex_state = 8},
  [15252] = {.lex_state = 37, .external_lex_state = 2},
  [15253] = {.lex_state = 427, .external_lex_state = 2},
  [15254] = {.lex_state = 136, .external_lex_state = 2},
  [15255] = {.lex_state = 242, .external_lex_state = 2},
  [15256] = {.lex_state = 135, .external_lex_state = 2},
  [15257] = {.lex_state = 136, .external_lex_state = 2},
  [15258] = {.lex_state = 18, .external_lex_state = 2},
  [15259] = {.lex_state = 136, .external_lex_state = 2},
  [15260] = {.lex_state = 136, .external_lex_state = 2},
  [15261] = {.lex_state = 419, .external_lex_state = 2},
  [15262] = {.lex_state = 419, .external_lex_state = 2},
  [15263] = {.lex_state = 18, .external_lex_state = 2},
  [15264] = {.lex_state = 419, .external_lex_state = 2},
  [15265] = {.lex_state = 419, .external_lex_state = 2},
  [15266] = {.lex_state = 427, .external_lex_state = 2},
  [15267] = {.lex_state = 18, .external_lex_state = 2},
  [15268] = {.lex_state = 26, .external_lex_state = 2},
  [15269] = {.lex_state = 26, .external_lex_state = 2},
  [15270] = {.lex_state = 136, .external_lex_state = 2},
  [15271] = {.lex_state = 26, .external_lex_state = 2},
  [15272] = {.lex_state = 248, .external_lex_state = 8},
  [15273] = {.lex_state = 136, .external_lex_state = 2},
  [15274] = {.lex_state = 37, .external_lex_state = 2},
  [15275] = {.lex_state = 136, .external_lex_state = 2},
  [15276] = {.lex_state = 26, .external_lex_state = 2},
  [15277] = {.lex_state = 136, .external_lex_state = 2},
  [15278] = {.lex_state = 136, .external_lex_state = 2},
  [15279] = {.lex_state = 26, .external_lex_state = 2},
  [15280] = {.lex_state = 136, .external_lex_state = 2},
  [15281] = {.lex_state = 242, .external_lex_state = 2},
  [15282] = {.lex_state = 419, .external_lex_state = 2},
  [15283] = {.lex_state = 419, .external_lex_state = 2},
  [15284] = {.lex_state = 18, .external_lex_state = 2},
  [15285] = {.lex_state = 427, .external_lex_state = 2},
  [15286] = {.lex_state = 136, .external_lex_state = 2},
  [15287] = {.lex_state = 26, .external_lex_state = 2},
  [15288] = {.lex_state = 26, .external_lex_state = 2},
  [15289] = {.lex_state = 419, .external_lex_state = 2},
  [15290] = {.lex_state = 419, .external_lex_state = 2},
  [15291] = {.lex_state = 18, .external_lex_state = 2},
  [15292] = {.lex_state = 18, .external_lex_state = 2},
  [15293] = {.lex_state = 135, .external_lex_state = 2},
  [15294] = {.lex_state = 18, .external_lex_state = 2},
  [15295] = {.lex_state = 248, .external_lex_state = 8},
  [15296] = {.lex_state = 135, .external_lex_state = 2},
  [15297] = {.lex_state = 136, .external_lex_state = 2},
  [15298] = {.lex_state = 18, .external_lex_state = 2},
  [15299] = {.lex_state = 26, .external_lex_state = 2},
  [15300] = {.lex_state = 136, .external_lex_state = 2},
  [15301] = {.lex_state = 242, .external_lex_state = 2},
  [15302] = {.lex_state = 136, .external_lex_state = 2},
  [15303] = {.lex_state = 242, .external_lex_state = 2},
  [15304] = {.lex_state = 136, .external_lex_state = 2},
  [15305] = {.lex_state = 419, .external_lex_state = 2},
  [15306] = {.lex_state = 18, .external_lex_state = 2},
  [15307] = {.lex_state = 419, .external_lex_state = 2},
  [15308] = {.lex_state = 135, .external_lex_state = 2},
  [15309] = {.lex_state = 419, .external_lex_state = 2},
  [15310] = {.lex_state = 419, .external_lex_state = 2},
  [15311] = {.lex_state = 18, .external_lex_state = 2},
  [15312] = {.lex_state = 136, .external_lex_state = 2},
  [15313] = {.lex_state = 136, .external_lex_state = 2},
  [15314] = {.lex_state = 136, .external_lex_state = 2},
  [15315] = {.lex_state = 248, .external_lex_state = 8},
  [15316] = {.lex_state = 136, .external_lex_state = 2},
  [15317] = {.lex_state = 136, .external_lex_state = 2},
  [15318] = {.lex_state = 136, .external_lex_state = 2},
  [15319] = {.lex_state = 135, .external_lex_state = 2},
  [15320] = {.lex_state = 419, .external_lex_state = 2},
  [15321] = {.lex_state = 26, .external_lex_state = 2},
  [15322] = {.lex_state = 242, .external_lex_state = 2},
  [15323] = {.lex_state = 37, .external_lex_state = 2},
  [15324] = {.lex_state = 136, .external_lex_state = 2},
  [15325] = {.lex_state = 136, .external_lex_state = 2},
  [15326] = {.lex_state = 419, .external_lex_state = 2},
  [15327] = {.lex_state = 419, .external_lex_state = 2},
  [15328] = {.lex_state = 136, .external_lex_state = 2},
  [15329] = {.lex_state = 419, .external_lex_state = 2},
  [15330] = {.lex_state = 419, .external_lex_state = 2},
  [15331] = {.lex_state = 18, .external_lex_state = 2},
  [15332] = {.lex_state = 18, .external_lex_state = 2},
  [15333] = {.lex_state = 135, .external_lex_state = 2},
  [15334] = {.lex_state = 18, .external_lex_state = 2},
  [15335] = {.lex_state = 248, .external_lex_state = 8},
  [15336] = {.lex_state = 136, .external_lex_state = 2},
  [15337] = {.lex_state = 135, .external_lex_state = 2},
  [15338] = {.lex_state = 136, .external_lex_state = 2},
  [15339] = {.lex_state = 26, .external_lex_state = 2},
  [15340] = {.lex_state = 136, .external_lex_state = 2},
  [15341] = {.lex_state = 26, .external_lex_state = 2},
  [15342] = {.lex_state = 18, .external_lex_state = 2},
  [15343] = {.lex_state = 419, .external_lex_state = 2},
  [15344] = {.lex_state = 18, .external_lex_state = 2},
  [15345] = {.lex_state = 26, .external_lex_state = 2},
  [15346] = {.lex_state = 136, .external_lex_state = 2},
  [15347] = {.lex_state = 18, .external_lex_state = 2},
  [15348] = {.lex_state = 136, .external_lex_state = 2},
  [15349] = {.lex_state = 419, .external_lex_state = 2},
  [15350] = {.lex_state = 419, .external_lex_state = 2},
  [15351] = {.lex_state = 419, .external_lex_state = 2},
  [15352] = {.lex_state = 419, .external_lex_state = 2},
  [15353] = {.lex_state = 242, .external_lex_state = 2},
  [15354] = {.lex_state = 18, .external_lex_state = 2},
  [15355] = {.lex_state = 26, .external_lex_state = 2},
  [15356] = {.lex_state = 248, .external_lex_state = 8},
  [15357] = {.lex_state = 427, .external_lex_state = 2},
  [15358] = {.lex_state = 136, .external_lex_state = 2},
  [15359] = {.lex_state = 26, .external_lex_state = 2},
  [15360] = {.lex_state = 26, .external_lex_state = 2},
  [15361] = {.lex_state = 26, .external_lex_state = 2},
  [15362] = {.lex_state = 37, .external_lex_state = 2},
  [15363] = {.lex_state = 18, .external_lex_state = 2},
  [15364] = {.lex_state = 136, .external_lex_state = 2},
  [15365] = {.lex_state = 136, .external_lex_state = 2},
  [15366] = {.lex_state = 37, .external_lex_state = 2},
  [15367] = {.lex_state = 37, .external_lex_state = 2},
  [15368] = {.lex_state = 136, .external_lex_state = 2},
  [15369] = {.lex_state = 135, .external_lex_state = 2},
  [15370] = {.lex_state = 419, .external_lex_state = 2},
  [15371] = {.lex_state = 136, .external_lex_state = 2},
  [15372] = {.lex_state = 419, .external_lex_state = 2},
  [15373] = {.lex_state = 136, .external_lex_state = 2},
  [15374] = {.lex_state = 419, .external_lex_state = 2},
  [15375] = {.lex_state = 419, .external_lex_state = 2},
  [15376] = {.lex_state = 136, .external_lex_state = 2},
  [15377] = {.lex_state = 18, .external_lex_state = 2},
  [15378] = {.lex_state = 136, .external_lex_state = 2},
  [15379] = {.lex_state = 248, .external_lex_state = 8},
  [15380] = {.lex_state = 135, .external_lex_state = 2},
  [15381] = {.lex_state = 18, .external_lex_state = 2},
  [15382] = {.lex_state = 136, .external_lex_state = 2},
  [15383] = {.lex_state = 427, .external_lex_state = 2},
  [15384] = {.lex_state = 26, .external_lex_state = 2},
  [15385] = {.lex_state = 26, .external_lex_state = 2},
  [15386] = {.lex_state = 248, .external_lex_state = 8},
  [15387] = {.lex_state = 419, .external_lex_state = 2},
  [15388] = {.lex_state = 136, .external_lex_state = 2},
  [15389] = {.lex_state = 37, .external_lex_state = 2},
  [15390] = {.lex_state = 242, .external_lex_state = 2},
  [15391] = {.lex_state = 136, .external_lex_state = 2},
  [15392] = {.lex_state = 419, .external_lex_state = 2},
  [15393] = {.lex_state = 419, .external_lex_state = 2},
  [15394] = {.lex_state = 18, .external_lex_state = 2},
  [15395] = {.lex_state = 419, .external_lex_state = 2},
  [15396] = {.lex_state = 419, .external_lex_state = 2},
  [15397] = {.lex_state = 242, .external_lex_state = 2},
  [15398] = {.lex_state = 18, .external_lex_state = 2},
  [15399] = {.lex_state = 18, .external_lex_state = 2},
  [15400] = {.lex_state = 248, .external_lex_state = 8},
  [15401] = {.lex_state = 427, .external_lex_state = 2},
  [15402] = {.lex_state = 136, .external_lex_state = 2},
  [15403] = {.lex_state = 26, .external_lex_state = 2},
  [15404] = {.lex_state = 26, .external_lex_state = 2},
  [15405] = {.lex_state = 419, .external_lex_state = 2},
  [15406] = {.lex_state = 18, .external_lex_state = 2},
  [15407] = {.lex_state = 427, .external_lex_state = 2},
  [15408] = {.lex_state = 136, .external_lex_state = 2},
  [15409] = {.lex_state = 18, .external_lex_state = 2},
  [15410] = {.lex_state = 136, .external_lex_state = 2},
  [15411] = {.lex_state = 26, .external_lex_state = 2},
  [15412] = {.lex_state = 136, .external_lex_state = 2},
  [15413] = {.lex_state = 18, .external_lex_state = 2},
  [15414] = {.lex_state = 26, .external_lex_state = 2},
  [15415] = {.lex_state = 248, .external_lex_state = 8},
  [15416] = {.lex_state = 18, .external_lex_state = 2},
  [15417] = {.lex_state = 26, .external_lex_state = 2},
  [15418] = {.lex_state = 136, .external_lex_state = 2},
  [15419] = {.lex_state = 18, .external_lex_state = 2},
  [15420] = {.lex_state = 136, .external_lex_state = 2},
  [15421] = {.lex_state = 136, .external_lex_state = 2},
  [15422] = {.lex_state = 18, .external_lex_state = 2},
  [15423] = {.lex_state = 18, .external_lex_state = 2},
  [15424] = {.lex_state = 427, .external_lex_state = 2},
  [15425] = {.lex_state = 136, .external_lex_state = 2},
  [15426] = {.lex_state = 248, .external_lex_state = 8},
  [15427] = {.lex_state = 248, .external_lex_state = 8},
  [15428] = {.lex_state = 419, .external_lex_state = 2},
  [15429] = {.lex_state = 419, .external_lex_state = 2},
  [15430] = {.lex_state = 419, .external_lex_state = 2},
  [15431] = {.lex_state = 26, .external_lex_state = 2},
  [15432] = {.lex_state = 136, .external_lex_state = 2},
  [15433] = {.lex_state = 136, .external_lex_state = 2},
  [15434] = {.lex_state = 136, .external_lex_state = 2},
  [15435] = {.lex_state = 18, .external_lex_state = 2},
  [15436] = {.lex_state = 136, .external_lex_state = 2},
  [15437] = {.lex_state = 248, .external_lex_state = 8},
  [15438] = {.lex_state = 18, .external_lex_state = 2},
  [15439] = {.lex_state = 135, .external_lex_state = 2},
  [15440] = {.lex_state = 10, .external_lex_state = 2},
  [15441] = {.lex_state = 419, .external_lex_state = 3},
  [15442] = {.lex_state = 136, .external_lex_state = 2},
  [15443] = {.lex_state = 10, .external_lex_state = 2},
  [15444] = {.lex_state = 242, .external_lex_state = 2},
  [15445] = {.lex_state = 136, .external_lex_state = 2},
  [15446] = {.lex_state = 136, .external_lex_state = 2},
  [15447] = {.lex_state = 136, .external_lex_state = 2},
  [15448] = {.lex_state = 18, .external_lex_state = 2},
  [15449] = {.lex_state = 18, .external_lex_state = 2},
  [15450] = {.lex_state = 136, .external_lex_state = 2},
  [15451] = {.lex_state = 248, .external_lex_state = 8},
  [15452] = {.lex_state = 135, .external_lex_state = 2},
  [15453] = {.lex_state = 10, .external_lex_state = 2},
  [15454] = {.lex_state = 136, .external_lex_state = 2},
  [15455] = {.lex_state = 18, .external_lex_state = 2},
  [15456] = {.lex_state = 248, .external_lex_state = 8},
  [15457] = {.lex_state = 136, .external_lex_state = 2},
  [15458] = {.lex_state = 18, .external_lex_state = 2},
  [15459] = {.lex_state = 18, .external_lex_state = 2},
  [15460] = {.lex_state = 136, .external_lex_state = 2},
  [15461] = {.lex_state = 136, .external_lex_state = 2},
  [15462] = {.lex_state = 248, .external_lex_state = 8},
  [15463] = {.lex_state = 26, .external_lex_state = 2},
  [15464] = {.lex_state = 136, .external_lex_state = 2},
  [15465] = {.lex_state = 419, .external_lex_state = 2},
  [15466] = {.lex_state = 427, .external_lex_state = 2},
  [15467] = {.lex_state = 37, .external_lex_state = 2},
  [15468] = {.lex_state = 136, .external_lex_state = 2},
  [15469] = {.lex_state = 136, .external_lex_state = 2},
  [15470] = {.lex_state = 26, .external_lex_state = 2},
  [15471] = {.lex_state = 26, .external_lex_state = 2},
  [15472] = {.lex_state = 37, .external_lex_state = 2},
  [15473] = {.lex_state = 135, .external_lex_state = 2},
  [15474] = {.lex_state = 135, .external_lex_state = 2},
  [15475] = {.lex_state = 18, .external_lex_state = 2},
  [15476] = {.lex_state = 10, .external_lex_state = 2},
  [15477] = {.lex_state = 37, .external_lex_state = 2},
  [15478] = {.lex_state = 248, .external_lex_state = 8},
  [15479] = {.lex_state = 136, .external_lex_state = 2},
  [15480] = {.lex_state = 136, .external_lex_state = 2},
  [15481] = {.lex_state = 136, .external_lex_state = 2},
  [15482] = {.lex_state = 136, .external_lex_state = 2},
  [15483] = {.lex_state = 419, .external_lex_state = 2},
  [15484] = {.lex_state = 18, .external_lex_state = 2},
  [15485] = {.lex_state = 419, .external_lex_state = 2},
  [15486] = {.lex_state = 427, .external_lex_state = 2},
  [15487] = {.lex_state = 26, .external_lex_state = 2},
  [15488] = {.lex_state = 26, .external_lex_state = 2},
  [15489] = {.lex_state = 419, .external_lex_state = 2},
  [15490] = {.lex_state = 419, .external_lex_state = 2},
  [15491] = {.lex_state = 18, .external_lex_state = 2},
  [15492] = {.lex_state = 37, .external_lex_state = 2},
  [15493] = {.lex_state = 136, .external_lex_state = 2},
  [15494] = {.lex_state = 248, .external_lex_state = 8},
  [15495] = {.lex_state = 136, .external_lex_state = 2},
  [15496] = {.lex_state = 18, .external_lex_state = 2},
  [15497] = {.lex_state = 136, .external_lex_state = 2},
  [15498] = {.lex_state = 419, .external_lex_state = 2},
  [15499] = {.lex_state = 136, .external_lex_state = 2},
  [15500] = {.lex_state = 242, .external_lex_state = 2},
  [15501] = {.lex_state = 18, .external_lex_state = 2},
  [15502] = {.lex_state = 18, .external_lex_state = 2},
  [15503] = {.lex_state = 427, .external_lex_state = 2},
  [15504] = {.lex_state = 135, .external_lex_state = 2},
  [15505] = {.lex_state = 26, .external_lex_state = 2},
  [15506] = {.lex_state = 26, .external_lex_state = 2},
  [15507] = {.lex_state = 248, .external_lex_state = 8},
  [15508] = {.lex_state = 242, .external_lex_state = 2},
  [15509] = {.lex_state = 136, .external_lex_state = 2},
  [15510] = {.lex_state = 18, .external_lex_state = 2},
  [15511] = {.lex_state = 18, .external_lex_state = 2},
  [15512] = {.lex_state = 26, .external_lex_state = 2},
  [15513] = {.lex_state = 136, .external_lex_state = 2},
  [15514] = {.lex_state = 26, .external_lex_state = 2},
  [15515] = {.lex_state = 18, .external_lex_state = 2},
  [15516] = {.lex_state = 419, .external_lex_state = 2},
  [15517] = {.lex_state = 18, .external_lex_state = 2},
  [15518] = {.lex_state = 242, .external_lex_state = 2},
  [15519] = {.lex_state = 248, .external_lex_state = 8},
  [15520] = {.lex_state = 18, .external_lex_state = 2},
  [15521] = {.lex_state = 18, .external_lex_state = 2},
  [15522] = {.lex_state = 242, .external_lex_state = 2},
  [15523] = {.lex_state = 136, .external_lex_state = 2},
  [15524] = {.lex_state = 18, .external_lex_state = 2},
  [15525] = {.lex_state = 26, .external_lex_state = 2},
  [15526] = {.lex_state = 242, .external_lex_state = 2},
  [15527] = {.lex_state = 18, .external_lex_state = 2},
  [15528] = {.lex_state = 419, .external_lex_state = 2},
  [15529] = {.lex_state = 419, .external_lex_state = 2},
  [15530] = {.lex_state = 248, .external_lex_state = 8},
  [15531] = {.lex_state = 136, .external_lex_state = 2},
  [15532] = {.lex_state = 419, .external_lex_state = 2},
  [15533] = {.lex_state = 18, .external_lex_state = 2},
  [15534] = {.lex_state = 136, .external_lex_state = 2},
  [15535] = {.lex_state = 18, .external_lex_state = 2},
  [15536] = {.lex_state = 11, .external_lex_state = 2},
  [15537] = {.lex_state = 136, .external_lex_state = 2},
  [15538] = {.lex_state = 18, .external_lex_state = 2},
  [15539] = {.lex_state = 136, .external_lex_state = 2},
  [15540] = {.lex_state = 419, .external_lex_state = 2},
  [15541] = {.lex_state = 248, .external_lex_state = 8},
  [15542] = {.lex_state = 419, .external_lex_state = 2},
  [15543] = {.lex_state = 419, .external_lex_state = 2},
  [15544] = {.lex_state = 136, .external_lex_state = 2},
  [15545] = {.lex_state = 419, .external_lex_state = 2},
  [15546] = {.lex_state = 135, .external_lex_state = 2},
  [15547] = {.lex_state = 11, .external_lex_state = 2},
  [15548] = {.lex_state = 136, .external_lex_state = 2},
  [15549] = {.lex_state = 18, .external_lex_state = 2},
  [15550] = {.lex_state = 18, .external_lex_state = 2},
  [15551] = {.lex_state = 427, .external_lex_state = 2},
  [15552] = {.lex_state = 18, .external_lex_state = 2},
  [15553] = {.lex_state = 26, .external_lex_state = 2},
  [15554] = {.lex_state = 26, .external_lex_state = 2},
  [15555] = {.lex_state = 26, .external_lex_state = 2},
  [15556] = {.lex_state = 248, .external_lex_state = 8},
  [15557] = {.lex_state = 136, .external_lex_state = 2},
  [15558] = {.lex_state = 419, .external_lex_state = 2},
  [15559] = {.lex_state = 135, .external_lex_state = 2},
  [15560] = {.lex_state = 136, .external_lex_state = 2},
  [15561] = {.lex_state = 135, .external_lex_state = 2},
  [15562] = {.lex_state = 136, .external_lex_state = 2},
  [15563] = {.lex_state = 18, .external_lex_state = 2},
  [15564] = {.lex_state = 18, .external_lex_state = 2},
  [15565] = {.lex_state = 18, .external_lex_state = 2},
  [15566] = {.lex_state = 26, .external_lex_state = 2},
  [15567] = {.lex_state = 248, .external_lex_state = 8},
  [15568] = {.lex_state = 419, .external_lex_state = 2},
  [15569] = {.lex_state = 18, .external_lex_state = 2},
  [15570] = {.lex_state = 37, .external_lex_state = 2},
  [15571] = {.lex_state = 135, .external_lex_state = 2},
  [15572] = {.lex_state = 18, .external_lex_state = 2},
  [15573] = {.lex_state = 136, .external_lex_state = 2},
  [15574] = {.lex_state = 136, .external_lex_state = 2},
  [15575] = {.lex_state = 419, .external_lex_state = 2},
  [15576] = {.lex_state = 135, .external_lex_state = 2},
  [15577] = {.lex_state = 18, .external_lex_state = 2},
  [15578] = {.lex_state = 136, .external_lex_state = 2},
  [15579] = {.lex_state = 136, .external_lex_state = 2},
  [15580] = {.lex_state = 248, .external_lex_state = 8},
  [15581] = {.lex_state = 18, .external_lex_state = 2},
  [15582] = {.lex_state = 18, .external_lex_state = 2},
  [15583] = {.lex_state = 136, .external_lex_state = 2},
  [15584] = {.lex_state = 427, .external_lex_state = 2},
  [15585] = {.lex_state = 26, .external_lex_state = 2},
  [15586] = {.lex_state = 26, .external_lex_state = 2},
  [15587] = {.lex_state = 26, .external_lex_state = 2},
  [15588] = {.lex_state = 136, .external_lex_state = 2},
  [15589] = {.lex_state = 37, .external_lex_state = 2},
  [15590] = {.lex_state = 18, .external_lex_state = 2},
  [15591] = {.lex_state = 136, .external_lex_state = 2},
  [15592] = {.lex_state = 136, .external_lex_state = 2},
  [15593] = {.lex_state = 248, .external_lex_state = 8},
  [15594] = {.lex_state = 242, .external_lex_state = 2},
  [15595] = {.lex_state = 18, .external_lex_state = 2},
  [15596] = {.lex_state = 242, .external_lex_state = 2},
  [15597] = {.lex_state = 18, .external_lex_state = 2},
  [15598] = {.lex_state = 427, .external_lex_state = 2},
  [15599] = {.lex_state = 18, .external_lex_state = 2},
  [15600] = {.lex_state = 136, .external_lex_state = 2},
  [15601] = {.lex_state = 26, .external_lex_state = 2},
  [15602] = {.lex_state = 26, .external_lex_state = 2},
  [15603] = {.lex_state = 248, .external_lex_state = 8},
  [15604] = {.lex_state = 18, .external_lex_state = 2},
  [15605] = {.lex_state = 136, .external_lex_state = 2},
  [15606] = {.lex_state = 18, .external_lex_state = 2},
  [15607] = {.lex_state = 136, .external_lex_state = 2},
  [15608] = {.lex_state = 419, .external_lex_state = 2},
  [15609] = {.lex_state = 136, .external_lex_state = 2},
  [15610] = {.lex_state = 26, .external_lex_state = 2},
  [15611] = {.lex_state = 26, .external_lex_state = 2},
  [15612] = {.lex_state = 18, .external_lex_state = 2},
  [15613] = {.lex_state = 26, .external_lex_state = 2},
  [15614] = {.lex_state = 136, .external_lex_state = 2},
  [15615] = {.lex_state = 248, .external_lex_state = 8},
  [15616] = {.lex_state = 135, .external_lex_state = 2},
  [15617] = {.lex_state = 37, .external_lex_state = 2},
  [15618] = {.lex_state = 136, .external_lex_state = 2},
  [15619] = {.lex_state = 136, .external_lex_state = 2},
  [15620] = {.lex_state = 136, .external_lex_state = 2},
  [15621] = {.lex_state = 136, .external_lex_state = 2},
  [15622] = {.lex_state = 135, .external_lex_state = 2},
  [15623] = {.lex_state = 37, .external_lex_state = 2},
  [15624] = {.lex_state = 18, .external_lex_state = 2},
  [15625] = {.lex_state = 136, .external_lex_state = 2},
  [15626] = {.lex_state = 248, .external_lex_state = 8},
  [15627] = {.lex_state = 136, .external_lex_state = 2},
  [15628] = {.lex_state = 136, .external_lex_state = 2},
  [15629] = {.lex_state = 37, .external_lex_state = 2},
  [15630] = {.lex_state = 419, .external_lex_state = 2},
  [15631] = {.lex_state = 136, .external_lex_state = 2},
  [15632] = {.lex_state = 18, .external_lex_state = 2},
  [15633] = {.lex_state = 136, .external_lex_state = 2},
  [15634] = {.lex_state = 18, .external_lex_state = 2},
  [15635] = {.lex_state = 248, .external_lex_state = 8},
  [15636] = {.lex_state = 427, .external_lex_state = 2},
  [15637] = {.lex_state = 26, .external_lex_state = 2},
  [15638] = {.lex_state = 26, .external_lex_state = 2},
  [15639] = {.lex_state = 11, .external_lex_state = 2},
  [15640] = {.lex_state = 136, .external_lex_state = 2},
  [15641] = {.lex_state = 136, .external_lex_state = 2},
  [15642] = {.lex_state = 37, .external_lex_state = 2},
  [15643] = {.lex_state = 136, .external_lex_state = 2},
  [15644] = {.lex_state = 136, .external_lex_state = 2},
  [15645] = {.lex_state = 135, .external_lex_state = 2},
  [15646] = {.lex_state = 18, .external_lex_state = 2},
  [15647] = {.lex_state = 18, .external_lex_state = 2},
  [15648] = {.lex_state = 248, .external_lex_state = 8},
  [15649] = {.lex_state = 419, .external_lex_state = 2},
  [15650] = {.lex_state = 136, .external_lex_state = 2},
  [15651] = {.lex_state = 18, .external_lex_state = 2},
  [15652] = {.lex_state = 248, .external_lex_state = 8},
  [15653] = {.lex_state = 18, .external_lex_state = 2},
  [15654] = {.lex_state = 248, .external_lex_state = 8},
  [15655] = {.lex_state = 18, .external_lex_state = 2},
  [15656] = {.lex_state = 248, .external_lex_state = 8},
  [15657] = {.lex_state = 18, .external_lex_state = 2},
  [15658] = {.lex_state = 248, .external_lex_state = 8},
  [15659] = {.lex_state = 18, .external_lex_state = 2},
  [15660] = {.lex_state = 136, .external_lex_state = 2},
  [15661] = {.lex_state = 248, .external_lex_state = 8},
  [15662] = {.lex_state = 18, .external_lex_state = 2},
  [15663] = {.lex_state = 18, .external_lex_state = 2},
  [15664] = {.lex_state = 248, .external_lex_state = 8},
  [15665] = {.lex_state = 18, .external_lex_state = 2},
  [15666] = {.lex_state = 248, .external_lex_state = 8},
  [15667] = {.lex_state = 18, .external_lex_state = 2},
  [15668] = {.lex_state = 26, .external_lex_state = 2},
  [15669] = {.lex_state = 248, .external_lex_state = 8},
  [15670] = {.lex_state = 18, .external_lex_state = 2},
  [15671] = {.lex_state = 26, .external_lex_state = 2},
  [15672] = {.lex_state = 248, .external_lex_state = 8},
  [15673] = {.lex_state = 18, .external_lex_state = 2},
  [15674] = {.lex_state = 419, .external_lex_state = 2},
  [15675] = {.lex_state = 248, .external_lex_state = 8},
  [15676] = {.lex_state = 18, .external_lex_state = 2},
  [15677] = {.lex_state = 248, .external_lex_state = 8},
  [15678] = {.lex_state = 18, .external_lex_state = 2},
  [15679] = {.lex_state = 248, .external_lex_state = 8},
  [15680] = {.lex_state = 18, .external_lex_state = 2},
  [15681] = {.lex_state = 37, .external_lex_state = 2},
  [15682] = {.lex_state = 248, .external_lex_state = 8},
  [15683] = {.lex_state = 18, .external_lex_state = 2},
  [15684] = {.lex_state = 248, .external_lex_state = 8},
  [15685] = {.lex_state = 18, .external_lex_state = 2},
  [15686] = {.lex_state = 248, .external_lex_state = 8},
  [15687] = {.lex_state = 18, .external_lex_state = 2},
  [15688] = {.lex_state = 248, .external_lex_state = 8},
  [15689] = {.lex_state = 18, .external_lex_state = 2},
  [15690] = {.lex_state = 248, .external_lex_state = 8},
  [15691] = {.lex_state = 18, .external_lex_state = 2},
  [15692] = {.lex_state = 248, .external_lex_state = 8},
  [15693] = {.lex_state = 18, .external_lex_state = 2},
  [15694] = {.lex_state = 248, .external_lex_state = 8},
  [15695] = {.lex_state = 18, .external_lex_state = 2},
  [15696] = {.lex_state = 248, .external_lex_state = 8},
  [15697] = {.lex_state = 18, .external_lex_state = 2},
  [15698] = {.lex_state = 248, .external_lex_state = 8},
  [15699] = {.lex_state = 18, .external_lex_state = 2},
  [15700] = {.lex_state = 248, .external_lex_state = 8},
  [15701] = {.lex_state = 18, .external_lex_state = 2},
  [15702] = {.lex_state = 248, .external_lex_state = 8},
  [15703] = {.lex_state = 18, .external_lex_state = 2},
  [15704] = {.lex_state = 248, .external_lex_state = 8},
  [15705] = {.lex_state = 18, .external_lex_state = 2},
  [15706] = {.lex_state = 248, .external_lex_state = 8},
  [15707] = {.lex_state = 18, .external_lex_state = 2},
  [15708] = {.lex_state = 248, .external_lex_state = 8},
  [15709] = {.lex_state = 18, .external_lex_state = 2},
  [15710] = {.lex_state = 248, .external_lex_state = 8},
  [15711] = {.lex_state = 18, .external_lex_state = 2},
  [15712] = {.lex_state = 248, .external_lex_state = 8},
  [15713] = {.lex_state = 18, .external_lex_state = 2},
  [15714] = {.lex_state = 248, .external_lex_state = 8},
  [15715] = {.lex_state = 18, .external_lex_state = 2},
  [15716] = {.lex_state = 248, .external_lex_state = 8},
  [15717] = {.lex_state = 18, .external_lex_state = 2},
  [15718] = {.lex_state = 248, .external_lex_state = 8},
  [15719] = {.lex_state = 18, .external_lex_state = 2},
  [15720] = {.lex_state = 248, .external_lex_state = 8},
  [15721] = {.lex_state = 18, .external_lex_state = 2},
  [15722] = {.lex_state = 248, .external_lex_state = 8},
  [15723] = {.lex_state = 18, .external_lex_state = 2},
  [15724] = {.lex_state = 248, .external_lex_state = 8},
  [15725] = {.lex_state = 18, .external_lex_state = 2},
  [15726] = {.lex_state = 248, .external_lex_state = 8},
  [15727] = {.lex_state = 18, .external_lex_state = 2},
  [15728] = {.lex_state = 248, .external_lex_state = 8},
  [15729] = {.lex_state = 26, .external_lex_state = 2},
  [15730] = {.lex_state = 248, .external_lex_state = 8},
  [15731] = {.lex_state = 242, .external_lex_state = 2},
  [15732] = {.lex_state = 136, .external_lex_state = 2},
  [15733] = {.lex_state = 419, .external_lex_state = 2},
  [15734] = {.lex_state = 18, .external_lex_state = 2},
  [15735] = {.lex_state = 427, .external_lex_state = 2},
  [15736] = {.lex_state = 419, .external_lex_state = 2},
  [15737] = {.lex_state = 135, .external_lex_state = 2},
  [15738] = {.lex_state = 136, .external_lex_state = 2},
  [15739] = {.lex_state = 136, .external_lex_state = 2},
  [15740] = {.lex_state = 26, .external_lex_state = 2},
  [15741] = {.lex_state = 18, .external_lex_state = 2},
  [15742] = {.lex_state = 26, .external_lex_state = 2},
  [15743] = {.lex_state = 419, .external_lex_state = 2},
  [15744] = {.lex_state = 136, .external_lex_state = 2},
  [15745] = {.lex_state = 419, .external_lex_state = 2},
  [15746] = {.lex_state = 136, .external_lex_state = 2},
  [15747] = {.lex_state = 136, .external_lex_state = 2},
  [15748] = {.lex_state = 18, .external_lex_state = 2},
  [15749] = {.lex_state = 427, .external_lex_state = 2},
  [15750] = {.lex_state = 136, .external_lex_state = 2},
  [15751] = {.lex_state = 18, .external_lex_state = 2},
  [15752] = {.lex_state = 18, .external_lex_state = 2},
  [15753] = {.lex_state = 427, .external_lex_state = 2},
  [15754] = {.lex_state = 18, .external_lex_state = 2},
  [15755] = {.lex_state = 26, .external_lex_state = 2},
  [15756] = {.lex_state = 18, .external_lex_state = 2},
  [15757] = {.lex_state = 136, .external_lex_state = 2},
  [15758] = {.lex_state = 26, .external_lex_state = 2},
  [15759] = {.lex_state = 26, .external_lex_state = 2},
  [15760] = {.lex_state = 26, .external_lex_state = 2},
  [15761] = {.lex_state = 26, .external_lex_state = 2},
  [15762] = {.lex_state = 26, .external_lex_state = 2},
  [15763] = {.lex_state = 136, .external_lex_state = 2},
  [15764] = {.lex_state = 37, .external_lex_state = 2},
  [15765] = {.lex_state = 136, .external_lex_state = 2},
  [15766] = {.lex_state = 26, .external_lex_state = 2},
  [15767] = {.lex_state = 10, .external_lex_state = 2},
  [15768] = {.lex_state = 26, .external_lex_state = 2},
  [15769] = {.lex_state = 242, .external_lex_state = 2},
  [15770] = {.lex_state = 18, .external_lex_state = 2},
  [15771] = {.lex_state = 18, .external_lex_state = 2},
  [15772] = {.lex_state = 242, .external_lex_state = 2},
  [15773] = {.lex_state = 18, .external_lex_state = 2},
  [15774] = {.lex_state = 427, .external_lex_state = 2},
  [15775] = {.lex_state = 37, .external_lex_state = 2},
  [15776] = {.lex_state = 427, .external_lex_state = 2},
  [15777] = {.lex_state = 26, .external_lex_state = 2},
  [15778] = {.lex_state = 26, .external_lex_state = 2},
  [15779] = {.lex_state = 136, .external_lex_state = 2},
  [15780] = {.lex_state = 37, .external_lex_state = 2},
  [15781] = {.lex_state = 136, .external_lex_state = 2},
  [15782] = {.lex_state = 18, .external_lex_state = 2},
  [15783] = {.lex_state = 18, .external_lex_state = 2},
  [15784] = {.lex_state = 10, .external_lex_state = 2},
  [15785] = {.lex_state = 136, .external_lex_state = 2},
  [15786] = {.lex_state = 26, .external_lex_state = 2},
  [15787] = {.lex_state = 136, .external_lex_state = 2},
  [15788] = {.lex_state = 136, .external_lex_state = 2},
  [15789] = {.lex_state = 37, .external_lex_state = 2},
  [15790] = {.lex_state = 136, .external_lex_state = 2},
  [15791] = {.lex_state = 37, .external_lex_state = 2},
  [15792] = {.lex_state = 419, .external_lex_state = 2},
  [15793] = {.lex_state = 135, .external_lex_state = 2},
  [15794] = {.lex_state = 18, .external_lex_state = 2},
  [15795] = {.lex_state = 419, .external_lex_state = 2},
  [15796] = {.lex_state = 37, .external_lex_state = 2},
  [15797] = {.lex_state = 419, .external_lex_state = 2},
  [15798] = {.lex_state = 135, .external_lex_state = 2},
  [15799] = {.lex_state = 17, .external_lex_state = 2},
  [15800] = {.lex_state = 7, .external_lex_state = 2},
  [15801] = {.lex_state = 136, .external_lex_state = 2},
  [15802] = {.lex_state = 136, .external_lex_state = 2},
  [15803] = {.lex_state = 136, .external_lex_state = 2},
  [15804] = {.lex_state = 26, .external_lex_state = 2},
  [15805] = {.lex_state = 136, .external_lex_state = 2},
  [15806] = {.lex_state = 427, .external_lex_state = 2},
  [15807] = {.lex_state = 136, .external_lex_state = 2},
  [15808] = {.lex_state = 136, .external_lex_state = 2},
  [15809] = {.lex_state = 135, .external_lex_state = 2},
  [15810] = {.lex_state = 136, .external_lex_state = 2},
  [15811] = {.lex_state = 136, .external_lex_state = 2},
  [15812] = {.lex_state = 419, .external_lex_state = 2},
  [15813] = {.lex_state = 136, .external_lex_state = 2},
  [15814] = {.lex_state = 419, .external_lex_state = 3},
  [15815] = {.lex_state = 18, .external_lex_state = 2},
  [15816] = {.lex_state = 26, .external_lex_state = 2},
  [15817] = {.lex_state = 136, .external_lex_state = 2},
  [15818] = {.lex_state = 136, .external_lex_state = 2},
  [15819] = {.lex_state = 18, .external_lex_state = 2},
  [15820] = {.lex_state = 136, .external_lex_state = 2},
  [15821] = {.lex_state = 18, .external_lex_state = 2},
  [15822] = {.lex_state = 427, .external_lex_state = 2},
  [15823] = {.lex_state = 136, .external_lex_state = 2},
  [15824] = {.lex_state = 419, .external_lex_state = 2},
  [15825] = {.lex_state = 136, .external_lex_state = 2},
  [15826] = {.lex_state = 26, .external_lex_state = 2},
  [15827] = {.lex_state = 136, .external_lex_state = 2},
  [15828] = {.lex_state = 136, .external_lex_state = 2},
  [15829] = {.lex_state = 136, .external_lex_state = 2},
  [15830] = {.lex_state = 10, .external_lex_state = 2},
  [15831] = {.lex_state = 136, .external_lex_state = 2},
  [15832] = {.lex_state = 135, .external_lex_state = 2},
  [15833] = {.lex_state = 136, .external_lex_state = 2},
  [15834] = {.lex_state = 136, .external_lex_state = 2},
  [15835] = {.lex_state = 427, .external_lex_state = 2},
  [15836] = {.lex_state = 26, .external_lex_state = 2},
  [15837] = {.lex_state = 136, .external_lex_state = 2},
  [15838] = {.lex_state = 10, .external_lex_state = 2},
  [15839] = {.lex_state = 37, .external_lex_state = 2},
  [15840] = {.lex_state = 136, .external_lex_state = 2},
  [15841] = {.lex_state = 136, .external_lex_state = 2},
  [15842] = {.lex_state = 26, .external_lex_state = 2},
  [15843] = {.lex_state = 136, .external_lex_state = 2},
  [15844] = {.lex_state = 136, .external_lex_state = 2},
  [15845] = {.lex_state = 135, .external_lex_state = 2},
  [15846] = {.lex_state = 135, .external_lex_state = 2},
  [15847] = {.lex_state = 26, .external_lex_state = 2},
  [15848] = {.lex_state = 18, .external_lex_state = 2},
  [15849] = {.lex_state = 136, .external_lex_state = 2},
  [15850] = {.lex_state = 37, .external_lex_state = 2},
  [15851] = {.lex_state = 18, .external_lex_state = 2},
  [15852] = {.lex_state = 18, .external_lex_state = 2},
  [15853] = {.lex_state = 427, .external_lex_state = 2},
  [15854] = {.lex_state = 26, .external_lex_state = 2},
  [15855] = {.lex_state = 26, .external_lex_state = 2},
  [15856] = {.lex_state = 136, .external_lex_state = 2},
  [15857] = {.lex_state = 136, .external_lex_state = 2},
  [15858] = {.lex_state = 18, .external_lex_state = 2},
  [15859] = {.lex_state = 37, .external_lex_state = 2},
  [15860] = {.lex_state = 136, .external_lex_state = 2},
  [15861] = {.lex_state = 136, .external_lex_state = 2},
  [15862] = {.lex_state = 419, .external_lex_state = 2},
  [15863] = {.lex_state = 419, .external_lex_state = 2},
  [15864] = {.lex_state = 18, .external_lex_state = 2},
  [15865] = {.lex_state = 136, .external_lex_state = 2},
  [15866] = {.lex_state = 10, .external_lex_state = 2},
  [15867] = {.lex_state = 242, .external_lex_state = 2},
  [15868] = {.lex_state = 18, .external_lex_state = 2},
  [15869] = {.lex_state = 427, .external_lex_state = 2},
  [15870] = {.lex_state = 18, .external_lex_state = 2},
  [15871] = {.lex_state = 26, .external_lex_state = 2},
  [15872] = {.lex_state = 26, .external_lex_state = 2},
  [15873] = {.lex_state = 136, .external_lex_state = 2},
  [15874] = {.lex_state = 248, .external_lex_state = 8},
  [15875] = {.lex_state = 10, .external_lex_state = 2},
  [15876] = {.lex_state = 18, .external_lex_state = 2},
  [15877] = {.lex_state = 419, .external_lex_state = 2},
  [15878] = {.lex_state = 136, .external_lex_state = 2},
  [15879] = {.lex_state = 136, .external_lex_state = 2},
  [15880] = {.lex_state = 26, .external_lex_state = 2},
  [15881] = {.lex_state = 18, .external_lex_state = 2},
  [15882] = {.lex_state = 37, .external_lex_state = 2},
  [15883] = {.lex_state = 26, .external_lex_state = 2},
  [15884] = {.lex_state = 242, .external_lex_state = 2},
  [15885] = {.lex_state = 136, .external_lex_state = 2},
  [15886] = {.lex_state = 136, .external_lex_state = 2},
  [15887] = {.lex_state = 36, .external_lex_state = 2},
  [15888] = {.lex_state = 136, .external_lex_state = 2},
  [15889] = {.lex_state = 135, .external_lex_state = 2},
  [15890] = {.lex_state = 419, .external_lex_state = 2},
  [15891] = {.lex_state = 135, .external_lex_state = 2},
  [15892] = {.lex_state = 18, .external_lex_state = 2},
  [15893] = {.lex_state = 18, .external_lex_state = 2},
  [15894] = {.lex_state = 419, .external_lex_state = 2},
  [15895] = {.lex_state = 419, .external_lex_state = 2},
  [15896] = {.lex_state = 242, .external_lex_state = 2},
  [15897] = {.lex_state = 136, .external_lex_state = 2},
  [15898] = {.lex_state = 10, .external_lex_state = 2},
  [15899] = {.lex_state = 18, .external_lex_state = 2},
  [15900] = {.lex_state = 10, .external_lex_state = 2},
  [15901] = {.lex_state = 26, .external_lex_state = 2},
  [15902] = {.lex_state = 18, .external_lex_state = 2},
  [15903] = {.lex_state = 18, .external_lex_state = 2},
  [15904] = {.lex_state = 136, .external_lex_state = 2},
  [15905] = {.lex_state = 27, .external_lex_state = 2},
  [15906] = {.lex_state = 135, .external_lex_state = 2},
  [15907] = {.lex_state = 136, .external_lex_state = 2},
  [15908] = {.lex_state = 419, .external_lex_state = 2},
  [15909] = {.lex_state = 10, .external_lex_state = 2},
  [15910] = {.lex_state = 136, .external_lex_state = 2},
  [15911] = {.lex_state = 136, .external_lex_state = 2},
  [15912] = {.lex_state = 18, .external_lex_state = 2},
  [15913] = {.lex_state = 10, .external_lex_state = 2},
  [15914] = {.lex_state = 18, .external_lex_state = 2},
  [15915] = {.lex_state = 26, .external_lex_state = 2},
  [15916] = {.lex_state = 419, .external_lex_state = 2},
  [15917] = {.lex_state = 18, .external_lex_state = 2},
  [15918] = {.lex_state = 427, .external_lex_state = 2},
  [15919] = {.lex_state = 26, .external_lex_state = 2},
  [15920] = {.lex_state = 10, .external_lex_state = 2},
  [15921] = {.lex_state = 136, .external_lex_state = 2},
  [15922] = {.lex_state = 10, .external_lex_state = 2},
  [15923] = {.lex_state = 18, .external_lex_state = 2},
  [15924] = {.lex_state = 18, .external_lex_state = 2},
  [15925] = {.lex_state = 26, .external_lex_state = 2},
  [15926] = {.lex_state = 10, .external_lex_state = 2},
  [15927] = {.lex_state = 18, .external_lex_state = 2},
  [15928] = {.lex_state = 10, .external_lex_state = 2},
  [15929] = {.lex_state = 18, .external_lex_state = 2},
  [15930] = {.lex_state = 136, .external_lex_state = 2},
  [15931] = {.lex_state = 419, .external_lex_state = 2},
  [15932] = {.lex_state = 18, .external_lex_state = 2},
  [15933] = {.lex_state = 26, .external_lex_state = 2},
  [15934] = {.lex_state = 419, .external_lex_state = 2},
  [15935] = {.lex_state = 10, .external_lex_state = 2},
  [15936] = {.lex_state = 136, .external_lex_state = 2},
  [15937] = {.lex_state = 37, .external_lex_state = 2},
  [15938] = {.lex_state = 10, .external_lex_state = 2},
  [15939] = {.lex_state = 18, .external_lex_state = 2},
  [15940] = {.lex_state = 37, .external_lex_state = 2},
  [15941] = {.lex_state = 136, .external_lex_state = 2},
  [15942] = {.lex_state = 136, .external_lex_state = 2},
  [15943] = {.lex_state = 27, .external_lex_state = 2},
  [15944] = {.lex_state = 26, .external_lex_state = 2},
  [15945] = {.lex_state = 135, .external_lex_state = 2},
  [15946] = {.lex_state = 136, .external_lex_state = 2},
  [15947] = {.lex_state = 10, .external_lex_state = 2},
  [15948] = {.lex_state = 18, .external_lex_state = 2},
  [15949] = {.lex_state = 10, .external_lex_state = 2},
  [15950] = {.lex_state = 18, .external_lex_state = 2},
  [15951] = {.lex_state = 419, .external_lex_state = 2},
  [15952] = {.lex_state = 18, .external_lex_state = 2},
  [15953] = {.lex_state = 419, .external_lex_state = 2},
  [15954] = {.lex_state = 136, .external_lex_state = 2},
  [15955] = {.lex_state = 242, .external_lex_state = 2},
  [15956] = {.lex_state = 10, .external_lex_state = 2},
  [15957] = {.lex_state = 18, .external_lex_state = 2},
  [15958] = {.lex_state = 10, .external_lex_state = 2},
  [15959] = {.lex_state = 18, .external_lex_state = 2},
  [15960] = {.lex_state = 18, .external_lex_state = 2},
  [15961] = {.lex_state = 18, .external_lex_state = 2},
  [15962] = {.lex_state = 419, .external_lex_state = 2},
  [15963] = {.lex_state = 427, .external_lex_state = 2},
  [15964] = {.lex_state = 26, .external_lex_state = 2},
  [15965] = {.lex_state = 10, .external_lex_state = 2},
  [15966] = {.lex_state = 26, .external_lex_state = 2},
  [15967] = {.lex_state = 10, .external_lex_state = 2},
  [15968] = {.lex_state = 18, .external_lex_state = 2},
  [15969] = {.lex_state = 242, .external_lex_state = 2},
  [15970] = {.lex_state = 419, .external_lex_state = 2},
  [15971] = {.lex_state = 18, .external_lex_state = 2},
  [15972] = {.lex_state = 37, .external_lex_state = 2},
  [15973] = {.lex_state = 136, .external_lex_state = 2},
  [15974] = {.lex_state = 10, .external_lex_state = 2},
  [15975] = {.lex_state = 427, .external_lex_state = 2},
  [15976] = {.lex_state = 10, .external_lex_state = 2},
  [15977] = {.lex_state = 18, .external_lex_state = 2},
  [15978] = {.lex_state = 136, .external_lex_state = 2},
  [15979] = {.lex_state = 419, .external_lex_state = 2},
  [15980] = {.lex_state = 26, .external_lex_state = 2},
  [15981] = {.lex_state = 26, .external_lex_state = 2},
  [15982] = {.lex_state = 26, .external_lex_state = 2},
  [15983] = {.lex_state = 10, .external_lex_state = 2},
  [15984] = {.lex_state = 10, .external_lex_state = 2},
  [15985] = {.lex_state = 18, .external_lex_state = 2},
  [15986] = {.lex_state = 242, .external_lex_state = 2},
  [15987] = {.lex_state = 136, .external_lex_state = 2},
  [15988] = {.lex_state = 10, .external_lex_state = 2},
  [15989] = {.lex_state = 18, .external_lex_state = 2},
  [15990] = {.lex_state = 10, .external_lex_state = 2},
  [15991] = {.lex_state = 18, .external_lex_state = 2},
  [15992] = {.lex_state = 427, .external_lex_state = 2},
  [15993] = {.lex_state = 419, .external_lex_state = 2},
  [15994] = {.lex_state = 26, .external_lex_state = 2},
  [15995] = {.lex_state = 18, .external_lex_state = 2},
  [15996] = {.lex_state = 26, .external_lex_state = 2},
  [15997] = {.lex_state = 136, .external_lex_state = 2},
  [15998] = {.lex_state = 136, .external_lex_state = 2},
  [15999] = {.lex_state = 10, .external_lex_state = 2},
  [16000] = {.lex_state = 10, .external_lex_state = 2},
  [16001] = {.lex_state = 18, .external_lex_state = 2},
  [16002] = {.lex_state = 18, .external_lex_state = 2},
  [16003] = {.lex_state = 136, .external_lex_state = 2},
  [16004] = {.lex_state = 26, .external_lex_state = 2},
  [16005] = {.lex_state = 136, .external_lex_state = 2},
  [16006] = {.lex_state = 10, .external_lex_state = 2},
  [16007] = {.lex_state = 10, .external_lex_state = 2},
  [16008] = {.lex_state = 18, .external_lex_state = 2},
  [16009] = {.lex_state = 18, .external_lex_state = 2},
  [16010] = {.lex_state = 26, .external_lex_state = 2},
  [16011] = {.lex_state = 136, .external_lex_state = 2},
  [16012] = {.lex_state = 10, .external_lex_state = 2},
  [16013] = {.lex_state = 10, .external_lex_state = 2},
  [16014] = {.lex_state = 18, .external_lex_state = 2},
  [16015] = {.lex_state = 18, .external_lex_state = 2},
  [16016] = {.lex_state = 136, .external_lex_state = 2},
  [16017] = {.lex_state = 136, .external_lex_state = 2},
  [16018] = {.lex_state = 10, .external_lex_state = 2},
  [16019] = {.lex_state = 10, .external_lex_state = 2},
  [16020] = {.lex_state = 18, .external_lex_state = 2},
  [16021] = {.lex_state = 419, .external_lex_state = 2},
  [16022] = {.lex_state = 419, .external_lex_state = 2},
  [16023] = {.lex_state = 419, .external_lex_state = 2},
  [16024] = {.lex_state = 10, .external_lex_state = 2},
  [16025] = {.lex_state = 10, .external_lex_state = 2},
  [16026] = {.lex_state = 18, .external_lex_state = 2},
  [16027] = {.lex_state = 136, .external_lex_state = 2},
  [16028] = {.lex_state = 419, .external_lex_state = 2},
  [16029] = {.lex_state = 136, .external_lex_state = 2},
  [16030] = {.lex_state = 135, .external_lex_state = 2},
  [16031] = {.lex_state = 10, .external_lex_state = 2},
  [16032] = {.lex_state = 136, .external_lex_state = 2},
  [16033] = {.lex_state = 10, .external_lex_state = 2},
  [16034] = {.lex_state = 18, .external_lex_state = 2},
  [16035] = {.lex_state = 18, .external_lex_state = 2},
  [16036] = {.lex_state = 136, .external_lex_state = 2},
  [16037] = {.lex_state = 10, .external_lex_state = 2},
  [16038] = {.lex_state = 10, .external_lex_state = 2},
  [16039] = {.lex_state = 18, .external_lex_state = 2},
  [16040] = {.lex_state = 136, .external_lex_state = 2},
  [16041] = {.lex_state = 419, .external_lex_state = 2},
  [16042] = {.lex_state = 10, .external_lex_state = 2},
  [16043] = {.lex_state = 10, .external_lex_state = 2},
  [16044] = {.lex_state = 18, .external_lex_state = 2},
  [16045] = {.lex_state = 419, .external_lex_state = 2},
  [16046] = {.lex_state = 135, .external_lex_state = 2},
  [16047] = {.lex_state = 136, .external_lex_state = 2},
  [16048] = {.lex_state = 136, .external_lex_state = 2},
  [16049] = {.lex_state = 136, .external_lex_state = 2},
  [16050] = {.lex_state = 10, .external_lex_state = 2},
  [16051] = {.lex_state = 10, .external_lex_state = 2},
  [16052] = {.lex_state = 18, .external_lex_state = 2},
  [16053] = {.lex_state = 136, .external_lex_state = 2},
  [16054] = {.lex_state = 18, .external_lex_state = 2},
  [16055] = {.lex_state = 136, .external_lex_state = 2},
  [16056] = {.lex_state = 10, .external_lex_state = 2},
  [16057] = {.lex_state = 10, .external_lex_state = 2},
  [16058] = {.lex_state = 18, .external_lex_state = 2},
  [16059] = {.lex_state = 136, .external_lex_state = 2},
  [16060] = {.lex_state = 136, .external_lex_state = 2},
  [16061] = {.lex_state = 136, .external_lex_state = 2},
  [16062] = {.lex_state = 10, .external_lex_state = 2},
  [16063] = {.lex_state = 10, .external_lex_state = 2},
  [16064] = {.lex_state = 18, .external_lex_state = 2},
  [16065] = {.lex_state = 136, .external_lex_state = 2},
  [16066] = {.lex_state = 136, .external_lex_state = 2},
  [16067] = {.lex_state = 10, .external_lex_state = 2},
  [16068] = {.lex_state = 10, .external_lex_state = 2},
  [16069] = {.lex_state = 18, .external_lex_state = 2},
  [16070] = {.lex_state = 11, .external_lex_state = 2},
  [16071] = {.lex_state = 26, .external_lex_state = 2},
  [16072] = {.lex_state = 136, .external_lex_state = 2},
  [16073] = {.lex_state = 18, .external_lex_state = 2},
  [16074] = {.lex_state = 10, .external_lex_state = 2},
  [16075] = {.lex_state = 136, .external_lex_state = 2},
  [16076] = {.lex_state = 10, .external_lex_state = 2},
  [16077] = {.lex_state = 18, .external_lex_state = 2},
  [16078] = {.lex_state = 26, .external_lex_state = 2},
  [16079] = {.lex_state = 136, .external_lex_state = 2},
  [16080] = {.lex_state = 26, .external_lex_state = 2},
  [16081] = {.lex_state = 136, .external_lex_state = 2},
  [16082] = {.lex_state = 37, .external_lex_state = 2},
  [16083] = {.lex_state = 135, .external_lex_state = 2},
  [16084] = {.lex_state = 10, .external_lex_state = 2},
  [16085] = {.lex_state = 136, .external_lex_state = 2},
  [16086] = {.lex_state = 10, .external_lex_state = 2},
  [16087] = {.lex_state = 18, .external_lex_state = 2},
  [16088] = {.lex_state = 135, .external_lex_state = 2},
  [16089] = {.lex_state = 18, .external_lex_state = 2},
  [16090] = {.lex_state = 26, .external_lex_state = 2},
  [16091] = {.lex_state = 135, .external_lex_state = 2},
  [16092] = {.lex_state = 10, .external_lex_state = 2},
  [16093] = {.lex_state = 242, .external_lex_state = 2},
  [16094] = {.lex_state = 10, .external_lex_state = 2},
  [16095] = {.lex_state = 18, .external_lex_state = 2},
  [16096] = {.lex_state = 18, .external_lex_state = 2},
  [16097] = {.lex_state = 248, .external_lex_state = 8},
  [16098] = {.lex_state = 136, .external_lex_state = 2},
  [16099] = {.lex_state = 10, .external_lex_state = 2},
  [16100] = {.lex_state = 10, .external_lex_state = 2},
  [16101] = {.lex_state = 18, .external_lex_state = 2},
  [16102] = {.lex_state = 419, .external_lex_state = 2},
  [16103] = {.lex_state = 18, .external_lex_state = 2},
  [16104] = {.lex_state = 18, .external_lex_state = 2},
  [16105] = {.lex_state = 18, .external_lex_state = 2},
  [16106] = {.lex_state = 10, .external_lex_state = 2},
  [16107] = {.lex_state = 427, .external_lex_state = 2},
  [16108] = {.lex_state = 10, .external_lex_state = 2},
  [16109] = {.lex_state = 18, .external_lex_state = 2},
  [16110] = {.lex_state = 26, .external_lex_state = 2},
  [16111] = {.lex_state = 26, .external_lex_state = 2},
  [16112] = {.lex_state = 136, .external_lex_state = 2},
  [16113] = {.lex_state = 427, .external_lex_state = 2},
  [16114] = {.lex_state = 26, .external_lex_state = 2},
  [16115] = {.lex_state = 136, .external_lex_state = 2},
  [16116] = {.lex_state = 37, .external_lex_state = 2},
  [16117] = {.lex_state = 10, .external_lex_state = 2},
  [16118] = {.lex_state = 10, .external_lex_state = 2},
  [16119] = {.lex_state = 18, .external_lex_state = 2},
  [16120] = {.lex_state = 136, .external_lex_state = 2},
  [16121] = {.lex_state = 26, .external_lex_state = 2},
  [16122] = {.lex_state = 419, .external_lex_state = 2},
  [16123] = {.lex_state = 37, .external_lex_state = 2},
  [16124] = {.lex_state = 37, .external_lex_state = 2},
  [16125] = {.lex_state = 10, .external_lex_state = 2},
  [16126] = {.lex_state = 11, .external_lex_state = 2},
  [16127] = {.lex_state = 10, .external_lex_state = 2},
  [16128] = {.lex_state = 18, .external_lex_state = 2},
  [16129] = {.lex_state = 136, .external_lex_state = 2},
  [16130] = {.lex_state = 136, .external_lex_state = 2},
  [16131] = {.lex_state = 242, .external_lex_state = 2},
  [16132] = {.lex_state = 10, .external_lex_state = 2},
  [16133] = {.lex_state = 10, .external_lex_state = 2},
  [16134] = {.lex_state = 18, .external_lex_state = 2},
  [16135] = {.lex_state = 18, .external_lex_state = 2},
  [16136] = {.lex_state = 427, .external_lex_state = 2},
  [16137] = {.lex_state = 37, .external_lex_state = 2},
  [16138] = {.lex_state = 26, .external_lex_state = 2},
  [16139] = {.lex_state = 26, .external_lex_state = 2},
  [16140] = {.lex_state = 18, .external_lex_state = 2},
  [16141] = {.lex_state = 10, .external_lex_state = 2},
  [16142] = {.lex_state = 136, .external_lex_state = 2},
  [16143] = {.lex_state = 10, .external_lex_state = 2},
  [16144] = {.lex_state = 18, .external_lex_state = 2},
  [16145] = {.lex_state = 136, .external_lex_state = 2},
  [16146] = {.lex_state = 18, .external_lex_state = 2},
  [16147] = {.lex_state = 136, .external_lex_state = 2},
  [16148] = {.lex_state = 419, .external_lex_state = 2},
  [16149] = {.lex_state = 136, .external_lex_state = 2},
  [16150] = {.lex_state = 419, .external_lex_state = 2},
  [16151] = {.lex_state = 10, .external_lex_state = 2},
  [16152] = {.lex_state = 136, .external_lex_state = 2},
  [16153] = {.lex_state = 10, .external_lex_state = 2},
  [16154] = {.lex_state = 18, .external_lex_state = 2},
  [16155] = {.lex_state = 136, .external_lex_state = 2},
  [16156] = {.lex_state = 26, .external_lex_state = 2},
  [16157] = {.lex_state = 10, .external_lex_state = 2},
  [16158] = {.lex_state = 11, .external_lex_state = 2},
  [16159] = {.lex_state = 10, .external_lex_state = 2},
  [16160] = {.lex_state = 18, .external_lex_state = 2},
  [16161] = {.lex_state = 136, .external_lex_state = 2},
  [16162] = {.lex_state = 419, .external_lex_state = 2},
  [16163] = {.lex_state = 136, .external_lex_state = 2},
  [16164] = {.lex_state = 135, .external_lex_state = 2},
  [16165] = {.lex_state = 136, .external_lex_state = 2},
  [16166] = {.lex_state = 10, .external_lex_state = 2},
  [16167] = {.lex_state = 26, .external_lex_state = 2},
  [16168] = {.lex_state = 10, .external_lex_state = 2},
  [16169] = {.lex_state = 18, .external_lex_state = 2},
  [16170] = {.lex_state = 419, .external_lex_state = 2},
  [16171] = {.lex_state = 427, .external_lex_state = 2},
  [16172] = {.lex_state = 18, .external_lex_state = 2},
  [16173] = {.lex_state = 18, .external_lex_state = 2},
  [16174] = {.lex_state = 10, .external_lex_state = 2},
  [16175] = {.lex_state = 242, .external_lex_state = 2},
  [16176] = {.lex_state = 10, .external_lex_state = 2},
  [16177] = {.lex_state = 18, .external_lex_state = 2},
  [16178] = {.lex_state = 419, .external_lex_state = 2},
  [16179] = {.lex_state = 136, .external_lex_state = 2},
  [16180] = {.lex_state = 419, .external_lex_state = 2},
  [16181] = {.lex_state = 18, .external_lex_state = 2},
  [16182] = {.lex_state = 10, .external_lex_state = 2},
  [16183] = {.lex_state = 136, .external_lex_state = 2},
  [16184] = {.lex_state = 10, .external_lex_state = 2},
  [16185] = {.lex_state = 18, .external_lex_state = 2},
  [16186] = {.lex_state = 26, .external_lex_state = 2},
  [16187] = {.lex_state = 10, .external_lex_state = 2},
  [16188] = {.lex_state = 10, .external_lex_state = 2},
  [16189] = {.lex_state = 18, .external_lex_state = 2},
  [16190] = {.lex_state = 26, .external_lex_state = 2},
  [16191] = {.lex_state = 135, .external_lex_state = 2},
  [16192] = {.lex_state = 10, .external_lex_state = 2},
  [16193] = {.lex_state = 419, .external_lex_state = 2},
  [16194] = {.lex_state = 18, .external_lex_state = 2},
  [16195] = {.lex_state = 18, .external_lex_state = 2},
  [16196] = {.lex_state = 37, .external_lex_state = 2},
  [16197] = {.lex_state = 136, .external_lex_state = 2},
  [16198] = {.lex_state = 10, .external_lex_state = 2},
  [16199] = {.lex_state = 419, .external_lex_state = 2},
  [16200] = {.lex_state = 18, .external_lex_state = 2},
  [16201] = {.lex_state = 10, .external_lex_state = 2},
  [16202] = {.lex_state = 18, .external_lex_state = 2},
  [16203] = {.lex_state = 10, .external_lex_state = 2},
  [16204] = {.lex_state = 18, .external_lex_state = 2},
  [16205] = {.lex_state = 10, .external_lex_state = 2},
  [16206] = {.lex_state = 18, .external_lex_state = 2},
  [16207] = {.lex_state = 136, .external_lex_state = 2},
  [16208] = {.lex_state = 18, .external_lex_state = 2},
  [16209] = {.lex_state = 10, .external_lex_state = 2},
  [16210] = {.lex_state = 18, .external_lex_state = 2},
  [16211] = {.lex_state = 10, .external_lex_state = 2},
  [16212] = {.lex_state = 18, .external_lex_state = 2},
  [16213] = {.lex_state = 10, .external_lex_state = 2},
  [16214] = {.lex_state = 18, .external_lex_state = 2},
  [16215] = {.lex_state = 10, .external_lex_state = 2},
  [16216] = {.lex_state = 18, .external_lex_state = 2},
  [16217] = {.lex_state = 10, .external_lex_state = 2},
  [16218] = {.lex_state = 18, .external_lex_state = 2},
  [16219] = {.lex_state = 10, .external_lex_state = 2},
  [16220] = {.lex_state = 18, .external_lex_state = 2},
  [16221] = {.lex_state = 10, .external_lex_state = 2},
  [16222] = {.lex_state = 18, .external_lex_state = 2},
  [16223] = {.lex_state = 10, .external_lex_state = 2},
  [16224] = {.lex_state = 18, .external_lex_state = 2},
  [16225] = {.lex_state = 18, .external_lex_state = 2},
  [16226] = {.lex_state = 18, .external_lex_state = 2},
  [16227] = {.lex_state = 18, .external_lex_state = 2},
  [16228] = {.lex_state = 18, .external_lex_state = 2},
  [16229] = {.lex_state = 18, .external_lex_state = 2},
  [16230] = {.lex_state = 18, .external_lex_state = 2},
  [16231] = {.lex_state = 18, .external_lex_state = 2},
  [16232] = {.lex_state = 18, .external_lex_state = 2},
  [16233] = {.lex_state = 18, .external_lex_state = 2},
  [16234] = {.lex_state = 18, .external_lex_state = 2},
  [16235] = {.lex_state = 18, .external_lex_state = 2},
  [16236] = {.lex_state = 18, .external_lex_state = 2},
  [16237] = {.lex_state = 18, .external_lex_state = 2},
  [16238] = {.lex_state = 18, .external_lex_state = 2},
  [16239] = {.lex_state = 18, .external_lex_state = 2},
  [16240] = {.lex_state = 18, .external_lex_state = 2},
  [16241] = {.lex_state = 18, .external_lex_state = 2},
  [16242] = {.lex_state = 18, .external_lex_state = 2},
  [16243] = {.lex_state = 18, .external_lex_state = 2},
  [16244] = {.lex_state = 18, .external_lex_state = 2},
  [16245] = {.lex_state = 18, .external_lex_state = 2},
  [16246] = {.lex_state = 18, .external_lex_state = 2},
  [16247] = {.lex_state = 18, .external_lex_state = 2},
  [16248] = {.lex_state = 136, .external_lex_state = 2},
  [16249] = {.lex_state = 18, .external_lex_state = 2},
  [16250] = {.lex_state = 136, .external_lex_state = 2},
  [16251] = {.lex_state = 419, .external_lex_state = 2},
  [16252] = {.lex_state = 135, .external_lex_state = 2},
  [16253] = {.lex_state = 18, .external_lex_state = 2},
  [16254] = {.lex_state = 419, .external_lex_state = 2},
  [16255] = {.lex_state = 18, .external_lex_state = 2},
  [16256] = {.lex_state = 18, .external_lex_state = 2},
  [16257] = {.lex_state = 136, .external_lex_state = 2},
  [16258] = {.lex_state = 136, .external_lex_state = 2},
  [16259] = {.lex_state = 136, .external_lex_state = 2},
  [16260] = {.lex_state = 135, .external_lex_state = 2},
  [16261] = {.lex_state = 419, .external_lex_state = 2},
  [16262] = {.lex_state = 18, .external_lex_state = 2},
  [16263] = {.lex_state = 136, .external_lex_state = 2},
  [16264] = {.lex_state = 136, .external_lex_state = 2},
  [16265] = {.lex_state = 242, .external_lex_state = 2},
  [16266] = {.lex_state = 136, .external_lex_state = 2},
  [16267] = {.lex_state = 136, .external_lex_state = 2},
  [16268] = {.lex_state = 135, .external_lex_state = 2},
  [16269] = {.lex_state = 18, .external_lex_state = 2},
  [16270] = {.lex_state = 26, .external_lex_state = 2},
  [16271] = {.lex_state = 427, .external_lex_state = 2},
  [16272] = {.lex_state = 136, .external_lex_state = 2},
  [16273] = {.lex_state = 136, .external_lex_state = 2},
  [16274] = {.lex_state = 37, .external_lex_state = 2},
  [16275] = {.lex_state = 18, .external_lex_state = 2},
  [16276] = {.lex_state = 136, .external_lex_state = 2},
  [16277] = {.lex_state = 136, .external_lex_state = 2},
  [16278] = {.lex_state = 37, .external_lex_state = 2},
  [16279] = {.lex_state = 136, .external_lex_state = 2},
  [16280] = {.lex_state = 136, .external_lex_state = 2},
  [16281] = {.lex_state = 18, .external_lex_state = 2},
  [16282] = {.lex_state = 136, .external_lex_state = 2},
  [16283] = {.lex_state = 419, .external_lex_state = 2},
  [16284] = {.lex_state = 419, .external_lex_state = 2},
  [16285] = {.lex_state = 419, .external_lex_state = 2},
  [16286] = {.lex_state = 419, .external_lex_state = 2},
  [16287] = {.lex_state = 419, .external_lex_state = 2},
  [16288] = {.lex_state = 242, .external_lex_state = 2},
  [16289] = {.lex_state = 18, .external_lex_state = 2},
  [16290] = {.lex_state = 136, .external_lex_state = 2},
  [16291] = {.lex_state = 136, .external_lex_state = 2},
  [16292] = {.lex_state = 419, .external_lex_state = 2},
  [16293] = {.lex_state = 135, .external_lex_state = 2},
  [16294] = {.lex_state = 136, .external_lex_state = 2},
  [16295] = {.lex_state = 135, .external_lex_state = 2},
  [16296] = {.lex_state = 136, .external_lex_state = 2},
  [16297] = {.lex_state = 18, .external_lex_state = 2},
  [16298] = {.lex_state = 18, .external_lex_state = 2},
  [16299] = {.lex_state = 18, .external_lex_state = 2},
  [16300] = {.lex_state = 427, .external_lex_state = 2},
  [16301] = {.lex_state = 419, .external_lex_state = 2},
  [16302] = {.lex_state = 419, .external_lex_state = 2},
  [16303] = {.lex_state = 136, .external_lex_state = 2},
  [16304] = {.lex_state = 419, .external_lex_state = 2},
  [16305] = {.lex_state = 18, .external_lex_state = 2},
  [16306] = {.lex_state = 18, .external_lex_state = 2},
  [16307] = {.lex_state = 136, .external_lex_state = 2},
  [16308] = {.lex_state = 419, .external_lex_state = 2},
  [16309] = {.lex_state = 136, .external_lex_state = 2},
  [16310] = {.lex_state = 135, .external_lex_state = 2},
  [16311] = {.lex_state = 26, .external_lex_state = 2},
  [16312] = {.lex_state = 427, .external_lex_state = 2},
  [16313] = {.lex_state = 26, .external_lex_state = 2},
  [16314] = {.lex_state = 26, .external_lex_state = 2},
  [16315] = {.lex_state = 18, .external_lex_state = 2},
  [16316] = {.lex_state = 136, .external_lex_state = 2},
  [16317] = {.lex_state = 18, .external_lex_state = 2},
  [16318] = {.lex_state = 136, .external_lex_state = 2},
  [16319] = {.lex_state = 248, .external_lex_state = 8},
  [16320] = {.lex_state = 26, .external_lex_state = 2},
  [16321] = {.lex_state = 18, .external_lex_state = 2},
  [16322] = {.lex_state = 37, .external_lex_state = 2},
  [16323] = {.lex_state = 136, .external_lex_state = 2},
  [16324] = {.lex_state = 419, .external_lex_state = 2},
  [16325] = {.lex_state = 136, .external_lex_state = 2},
  [16326] = {.lex_state = 26, .external_lex_state = 2},
  [16327] = {.lex_state = 18, .external_lex_state = 2},
  [16328] = {.lex_state = 18, .external_lex_state = 2},
  [16329] = {.lex_state = 136, .external_lex_state = 2},
  [16330] = {.lex_state = 18, .external_lex_state = 2},
  [16331] = {.lex_state = 136, .external_lex_state = 2},
  [16332] = {.lex_state = 242, .external_lex_state = 2},
  [16333] = {.lex_state = 18, .external_lex_state = 2},
  [16334] = {.lex_state = 136, .external_lex_state = 2},
  [16335] = {.lex_state = 136, .external_lex_state = 2},
  [16336] = {.lex_state = 419, .external_lex_state = 2},
  [16337] = {.lex_state = 18, .external_lex_state = 2},
  [16338] = {.lex_state = 419, .external_lex_state = 2},
  [16339] = {.lex_state = 419, .external_lex_state = 2},
  [16340] = {.lex_state = 18, .external_lex_state = 2},
  [16341] = {.lex_state = 136, .external_lex_state = 2},
  [16342] = {.lex_state = 18, .external_lex_state = 2},
  [16343] = {.lex_state = 18, .external_lex_state = 2},
  [16344] = {.lex_state = 18, .external_lex_state = 2},
  [16345] = {.lex_state = 419, .external_lex_state = 2},
  [16346] = {.lex_state = 136, .external_lex_state = 2},
  [16347] = {.lex_state = 26, .external_lex_state = 2},
  [16348] = {.lex_state = 26, .external_lex_state = 2},
  [16349] = {.lex_state = 419, .external_lex_state = 2},
  [16350] = {.lex_state = 419, .external_lex_state = 2},
  [16351] = {.lex_state = 419, .external_lex_state = 2},
  [16352] = {.lex_state = 18, .external_lex_state = 2},
  [16353] = {.lex_state = 419, .external_lex_state = 2},
  [16354] = {.lex_state = 26, .external_lex_state = 2},
  [16355] = {.lex_state = 419, .external_lex_state = 2},
  [16356] = {.lex_state = 18, .external_lex_state = 2},
  [16357] = {.lex_state = 419, .external_lex_state = 2},
  [16358] = {.lex_state = 419, .external_lex_state = 2},
  [16359] = {.lex_state = 419, .external_lex_state = 2},
  [16360] = {.lex_state = 419, .external_lex_state = 2},
  [16361] = {.lex_state = 419, .external_lex_state = 2},
  [16362] = {.lex_state = 18, .external_lex_state = 2},
  [16363] = {.lex_state = 419, .external_lex_state = 2},
  [16364] = {.lex_state = 419, .external_lex_state = 2},
  [16365] = {.lex_state = 419, .external_lex_state = 2},
  [16366] = {.lex_state = 419, .external_lex_state = 2},
  [16367] = {.lex_state = 419, .external_lex_state = 2},
  [16368] = {.lex_state = 18, .external_lex_state = 2},
  [16369] = {.lex_state = 419, .external_lex_state = 2},
  [16370] = {.lex_state = 136, .external_lex_state = 2},
  [16371] = {.lex_state = 26, .external_lex_state = 2},
  [16372] = {.lex_state = 419, .external_lex_state = 2},
  [16373] = {.lex_state = 419, .external_lex_state = 2},
  [16374] = {.lex_state = 419, .external_lex_state = 8},
  [16375] = {.lex_state = 419, .external_lex_state = 2},
  [16376] = {.lex_state = 419, .external_lex_state = 2},
  [16377] = {.lex_state = 419, .external_lex_state = 8},
  [16378] = {.lex_state = 18, .external_lex_state = 2},
  [16379] = {.lex_state = 419, .external_lex_state = 2},
  [16380] = {.lex_state = 18, .external_lex_state = 2},
  [16381] = {.lex_state = 419, .external_lex_state = 2},
  [16382] = {.lex_state = 18, .external_lex_state = 2},
  [16383] = {.lex_state = 18, .external_lex_state = 2},
  [16384] = {.lex_state = 26, .external_lex_state = 2},
  [16385] = {.lex_state = 419, .external_lex_state = 2},
  [16386] = {.lex_state = 419, .external_lex_state = 2},
  [16387] = {.lex_state = 18, .external_lex_state = 2},
  [16388] = {.lex_state = 136, .external_lex_state = 2},
  [16389] = {.lex_state = 136, .external_lex_state = 2},
  [16390] = {.lex_state = 136, .external_lex_state = 2},
  [16391] = {.lex_state = 419, .external_lex_state = 2},
  [16392] = {.lex_state = 18, .external_lex_state = 2},
  [16393] = {.lex_state = 18, .external_lex_state = 2},
  [16394] = {.lex_state = 26, .external_lex_state = 2},
  [16395] = {.lex_state = 18, .external_lex_state = 2},
  [16396] = {.lex_state = 419, .external_lex_state = 2},
  [16397] = {.lex_state = 419, .external_lex_state = 2},
  [16398] = {.lex_state = 18, .external_lex_state = 2},
  [16399] = {.lex_state = 136, .external_lex_state = 2},
  [16400] = {.lex_state = 26, .external_lex_state = 2},
  [16401] = {.lex_state = 18, .external_lex_state = 2},
  [16402] = {.lex_state = 26, .external_lex_state = 2},
  [16403] = {.lex_state = 419, .external_lex_state = 2},
  [16404] = {.lex_state = 18, .external_lex_state = 2},
  [16405] = {.lex_state = 26, .external_lex_state = 2},
  [16406] = {.lex_state = 18, .external_lex_state = 2},
  [16407] = {.lex_state = 26, .external_lex_state = 2},
  [16408] = {.lex_state = 419, .external_lex_state = 2},
  [16409] = {.lex_state = 136, .external_lex_state = 2},
  [16410] = {.lex_state = 419, .external_lex_state = 8},
  [16411] = {.lex_state = 136, .external_lex_state = 2},
  [16412] = {.lex_state = 18, .external_lex_state = 2},
  [16413] = {.lex_state = 419, .external_lex_state = 2},
  [16414] = {.lex_state = 18, .external_lex_state = 2},
  [16415] = {.lex_state = 18, .external_lex_state = 2},
  [16416] = {.lex_state = 26, .external_lex_state = 2},
  [16417] = {.lex_state = 18, .external_lex_state = 2},
  [16418] = {.lex_state = 419, .external_lex_state = 2},
  [16419] = {.lex_state = 18, .external_lex_state = 2},
  [16420] = {.lex_state = 18, .external_lex_state = 2},
  [16421] = {.lex_state = 18, .external_lex_state = 2},
  [16422] = {.lex_state = 26, .external_lex_state = 2},
  [16423] = {.lex_state = 419, .external_lex_state = 8},
  [16424] = {.lex_state = 18, .external_lex_state = 2},
  [16425] = {.lex_state = 419, .external_lex_state = 8},
  [16426] = {.lex_state = 18, .external_lex_state = 2},
  [16427] = {.lex_state = 419, .external_lex_state = 2},
  [16428] = {.lex_state = 18, .external_lex_state = 2},
  [16429] = {.lex_state = 419, .external_lex_state = 2},
  [16430] = {.lex_state = 18, .external_lex_state = 2},
  [16431] = {.lex_state = 26, .external_lex_state = 2},
  [16432] = {.lex_state = 18, .external_lex_state = 2},
  [16433] = {.lex_state = 419, .external_lex_state = 8},
  [16434] = {.lex_state = 419, .external_lex_state = 2},
  [16435] = {.lex_state = 136, .external_lex_state = 2},
  [16436] = {.lex_state = 136, .external_lex_state = 2},
  [16437] = {.lex_state = 136, .external_lex_state = 2},
  [16438] = {.lex_state = 18, .external_lex_state = 2},
  [16439] = {.lex_state = 18, .external_lex_state = 2},
  [16440] = {.lex_state = 26, .external_lex_state = 2},
  [16441] = {.lex_state = 18, .external_lex_state = 2},
  [16442] = {.lex_state = 26, .external_lex_state = 2},
  [16443] = {.lex_state = 419, .external_lex_state = 2},
  [16444] = {.lex_state = 419, .external_lex_state = 2},
  [16445] = {.lex_state = 136, .external_lex_state = 2},
  [16446] = {.lex_state = 26, .external_lex_state = 2},
  [16447] = {.lex_state = 18, .external_lex_state = 2},
  [16448] = {.lex_state = 26, .external_lex_state = 2},
  [16449] = {.lex_state = 419, .external_lex_state = 2},
  [16450] = {.lex_state = 419, .external_lex_state = 2},
  [16451] = {.lex_state = 37, .external_lex_state = 2},
  [16452] = {.lex_state = 18, .external_lex_state = 2},
  [16453] = {.lex_state = 26, .external_lex_state = 2},
  [16454] = {.lex_state = 26, .external_lex_state = 2},
  [16455] = {.lex_state = 419, .external_lex_state = 2},
  [16456] = {.lex_state = 26, .external_lex_state = 2},
  [16457] = {.lex_state = 419, .external_lex_state = 2},
  [16458] = {.lex_state = 136, .external_lex_state = 2},
  [16459] = {.lex_state = 26, .external_lex_state = 2},
  [16460] = {.lex_state = 26, .external_lex_state = 2},
  [16461] = {.lex_state = 18, .external_lex_state = 2},
  [16462] = {.lex_state = 18, .external_lex_state = 2},
  [16463] = {.lex_state = 136, .external_lex_state = 2},
  [16464] = {.lex_state = 18, .external_lex_state = 2},
  [16465] = {.lex_state = 419, .external_lex_state = 2},
  [16466] = {.lex_state = 18, .external_lex_state = 2},
  [16467] = {.lex_state = 18, .external_lex_state = 2},
  [16468] = {.lex_state = 419, .external_lex_state = 2},
  [16469] = {.lex_state = 26, .external_lex_state = 2},
  [16470] = {.lex_state = 419, .external_lex_state = 2},
  [16471] = {.lex_state = 18, .external_lex_state = 2},
  [16472] = {.lex_state = 18, .external_lex_state = 2},
  [16473] = {.lex_state = 18, .external_lex_state = 2},
  [16474] = {.lex_state = 18, .external_lex_state = 2},
  [16475] = {.lex_state = 18, .external_lex_state = 2},
  [16476] = {.lex_state = 18, .external_lex_state = 2},
  [16477] = {.lex_state = 419, .external_lex_state = 2},
  [16478] = {.lex_state = 419, .external_lex_state = 8},
  [16479] = {.lex_state = 419, .external_lex_state = 8},
  [16480] = {.lex_state = 18, .external_lex_state = 2},
  [16481] = {.lex_state = 419, .external_lex_state = 2},
  [16482] = {.lex_state = 26, .external_lex_state = 2},
  [16483] = {.lex_state = 419, .external_lex_state = 2},
  [16484] = {.lex_state = 136, .external_lex_state = 2},
  [16485] = {.lex_state = 136, .external_lex_state = 2},
  [16486] = {.lex_state = 136, .external_lex_state = 2},
  [16487] = {.lex_state = 18, .external_lex_state = 2},
  [16488] = {.lex_state = 419, .external_lex_state = 2},
  [16489] = {.lex_state = 18, .external_lex_state = 2},
  [16490] = {.lex_state = 18, .external_lex_state = 2},
  [16491] = {.lex_state = 18, .external_lex_state = 2},
  [16492] = {.lex_state = 419, .external_lex_state = 2},
  [16493] = {.lex_state = 419, .external_lex_state = 2},
  [16494] = {.lex_state = 26, .external_lex_state = 2},
  [16495] = {.lex_state = 419, .external_lex_state = 2},
  [16496] = {.lex_state = 419, .external_lex_state = 2},
  [16497] = {.lex_state = 26, .external_lex_state = 2},
  [16498] = {.lex_state = 136, .external_lex_state = 2},
  [16499] = {.lex_state = 136, .external_lex_state = 2},
  [16500] = {.lex_state = 419, .external_lex_state = 2},
  [16501] = {.lex_state = 419, .external_lex_state = 2},
  [16502] = {.lex_state = 18, .external_lex_state = 2},
  [16503] = {.lex_state = 419, .external_lex_state = 2},
  [16504] = {.lex_state = 8, .external_lex_state = 2},
  [16505] = {.lex_state = 419, .external_lex_state = 2},
  [16506] = {.lex_state = 419, .external_lex_state = 2},
  [16507] = {.lex_state = 26, .external_lex_state = 2},
  [16508] = {.lex_state = 18, .external_lex_state = 2},
  [16509] = {.lex_state = 419, .external_lex_state = 2},
  [16510] = {.lex_state = 419, .external_lex_state = 2},
  [16511] = {.lex_state = 419, .external_lex_state = 2},
  [16512] = {.lex_state = 18, .external_lex_state = 2},
  [16513] = {.lex_state = 419, .external_lex_state = 8},
  [16514] = {.lex_state = 419, .external_lex_state = 8},
  [16515] = {.lex_state = 18, .external_lex_state = 2},
  [16516] = {.lex_state = 18, .external_lex_state = 2},
  [16517] = {.lex_state = 419, .external_lex_state = 2},
  [16518] = {.lex_state = 419, .external_lex_state = 2},
  [16519] = {.lex_state = 136, .external_lex_state = 2},
  [16520] = {.lex_state = 136, .external_lex_state = 2},
  [16521] = {.lex_state = 136, .external_lex_state = 2},
  [16522] = {.lex_state = 18, .external_lex_state = 2},
  [16523] = {.lex_state = 419, .external_lex_state = 2},
  [16524] = {.lex_state = 18, .external_lex_state = 2},
  [16525] = {.lex_state = 26, .external_lex_state = 2},
  [16526] = {.lex_state = 136, .external_lex_state = 2},
  [16527] = {.lex_state = 419, .external_lex_state = 2},
  [16528] = {.lex_state = 18, .external_lex_state = 2},
  [16529] = {.lex_state = 18, .external_lex_state = 2},
  [16530] = {.lex_state = 26, .external_lex_state = 2},
  [16531] = {.lex_state = 419, .external_lex_state = 2},
  [16532] = {.lex_state = 26, .external_lex_state = 2},
  [16533] = {.lex_state = 18, .external_lex_state = 2},
  [16534] = {.lex_state = 419, .external_lex_state = 2},
  [16535] = {.lex_state = 419, .external_lex_state = 2},
  [16536] = {.lex_state = 26, .external_lex_state = 2},
  [16537] = {.lex_state = 26, .external_lex_state = 2},
  [16538] = {.lex_state = 18, .external_lex_state = 2},
  [16539] = {.lex_state = 26, .external_lex_state = 2},
  [16540] = {.lex_state = 419, .external_lex_state = 2},
  [16541] = {.lex_state = 18, .external_lex_state = 2},
  [16542] = {.lex_state = 419, .external_lex_state = 8},
  [16543] = {.lex_state = 18, .external_lex_state = 2},
  [16544] = {.lex_state = 419, .external_lex_state = 8},
  [16545] = {.lex_state = 419, .external_lex_state = 2},
  [16546] = {.lex_state = 419, .external_lex_state = 2},
  [16547] = {.lex_state = 26, .external_lex_state = 2},
  [16548] = {.lex_state = 419, .external_lex_state = 2},
  [16549] = {.lex_state = 419, .external_lex_state = 2},
  [16550] = {.lex_state = 136, .external_lex_state = 2},
  [16551] = {.lex_state = 136, .external_lex_state = 2},
  [16552] = {.lex_state = 18, .external_lex_state = 2},
  [16553] = {.lex_state = 419, .external_lex_state = 2},
  [16554] = {.lex_state = 419, .external_lex_state = 2},
  [16555] = {.lex_state = 26, .external_lex_state = 2},
  [16556] = {.lex_state = 18, .external_lex_state = 2},
  [16557] = {.lex_state = 419, .external_lex_state = 2},
  [16558] = {.lex_state = 18, .external_lex_state = 2},
  [16559] = {.lex_state = 419, .external_lex_state = 2},
  [16560] = {.lex_state = 26, .external_lex_state = 2},
  [16561] = {.lex_state = 26, .external_lex_state = 2},
  [16562] = {.lex_state = 419, .external_lex_state = 2},
  [16563] = {.lex_state = 419, .external_lex_state = 2},
  [16564] = {.lex_state = 18, .external_lex_state = 2},
  [16565] = {.lex_state = 18, .external_lex_state = 2},
  [16566] = {.lex_state = 136, .external_lex_state = 2},
  [16567] = {.lex_state = 419, .external_lex_state = 8},
  [16568] = {.lex_state = 419, .external_lex_state = 8},
  [16569] = {.lex_state = 18, .external_lex_state = 2},
  [16570] = {.lex_state = 419, .external_lex_state = 2},
  [16571] = {.lex_state = 18, .external_lex_state = 2},
  [16572] = {.lex_state = 18, .external_lex_state = 2},
  [16573] = {.lex_state = 136, .external_lex_state = 2},
  [16574] = {.lex_state = 136, .external_lex_state = 2},
  [16575] = {.lex_state = 136, .external_lex_state = 2},
  [16576] = {.lex_state = 18, .external_lex_state = 2},
  [16577] = {.lex_state = 26, .external_lex_state = 2},
  [16578] = {.lex_state = 419, .external_lex_state = 2},
  [16579] = {.lex_state = 419, .external_lex_state = 2},
  [16580] = {.lex_state = 419, .external_lex_state = 2},
  [16581] = {.lex_state = 419, .external_lex_state = 2},
  [16582] = {.lex_state = 26, .external_lex_state = 2},
  [16583] = {.lex_state = 18, .external_lex_state = 2},
  [16584] = {.lex_state = 26, .external_lex_state = 2},
  [16585] = {.lex_state = 26, .external_lex_state = 2},
  [16586] = {.lex_state = 136, .external_lex_state = 2},
  [16587] = {.lex_state = 136, .external_lex_state = 2},
  [16588] = {.lex_state = 419, .external_lex_state = 2},
  [16589] = {.lex_state = 18, .external_lex_state = 2},
  [16590] = {.lex_state = 419, .external_lex_state = 2},
  [16591] = {.lex_state = 26, .external_lex_state = 2},
  [16592] = {.lex_state = 26, .external_lex_state = 2},
  [16593] = {.lex_state = 419, .external_lex_state = 8},
  [16594] = {.lex_state = 419, .external_lex_state = 2},
  [16595] = {.lex_state = 419, .external_lex_state = 2},
  [16596] = {.lex_state = 419, .external_lex_state = 2},
  [16597] = {.lex_state = 136, .external_lex_state = 2},
  [16598] = {.lex_state = 136, .external_lex_state = 2},
  [16599] = {.lex_state = 136, .external_lex_state = 2},
  [16600] = {.lex_state = 18, .external_lex_state = 2},
  [16601] = {.lex_state = 419, .external_lex_state = 2},
  [16602] = {.lex_state = 26, .external_lex_state = 2},
  [16603] = {.lex_state = 18, .external_lex_state = 2},
  [16604] = {.lex_state = 18, .external_lex_state = 2},
  [16605] = {.lex_state = 419, .external_lex_state = 2},
  [16606] = {.lex_state = 136, .external_lex_state = 2},
  [16607] = {.lex_state = 419, .external_lex_state = 2},
  [16608] = {.lex_state = 26, .external_lex_state = 2},
  [16609] = {.lex_state = 18, .external_lex_state = 2},
  [16610] = {.lex_state = 18, .external_lex_state = 2},
  [16611] = {.lex_state = 26, .external_lex_state = 2},
  [16612] = {.lex_state = 136, .external_lex_state = 2},
  [16613] = {.lex_state = 419, .external_lex_state = 2},
  [16614] = {.lex_state = 18, .external_lex_state = 2},
  [16615] = {.lex_state = 419, .external_lex_state = 2},
  [16616] = {.lex_state = 8, .external_lex_state = 2},
  [16617] = {.lex_state = 419, .external_lex_state = 8},
  [16618] = {.lex_state = 18, .external_lex_state = 2},
  [16619] = {.lex_state = 419, .external_lex_state = 2},
  [16620] = {.lex_state = 136, .external_lex_state = 2},
  [16621] = {.lex_state = 136, .external_lex_state = 2},
  [16622] = {.lex_state = 136, .external_lex_state = 2},
  [16623] = {.lex_state = 136, .external_lex_state = 2},
  [16624] = {.lex_state = 18, .external_lex_state = 2},
  [16625] = {.lex_state = 18, .external_lex_state = 2},
  [16626] = {.lex_state = 18, .external_lex_state = 2},
  [16627] = {.lex_state = 419, .external_lex_state = 2},
  [16628] = {.lex_state = 419, .external_lex_state = 2},
  [16629] = {.lex_state = 419, .external_lex_state = 2},
  [16630] = {.lex_state = 419, .external_lex_state = 2},
  [16631] = {.lex_state = 26, .external_lex_state = 2},
  [16632] = {.lex_state = 419, .external_lex_state = 2},
  [16633] = {.lex_state = 18, .external_lex_state = 2},
  [16634] = {.lex_state = 18, .external_lex_state = 2},
  [16635] = {.lex_state = 419, .external_lex_state = 2},
  [16636] = {.lex_state = 419, .external_lex_state = 2},
  [16637] = {.lex_state = 419, .external_lex_state = 2},
  [16638] = {.lex_state = 26, .external_lex_state = 2},
  [16639] = {.lex_state = 11, .external_lex_state = 2},
  [16640] = {.lex_state = 419, .external_lex_state = 8},
  [16641] = {.lex_state = 419, .external_lex_state = 2},
  [16642] = {.lex_state = 419, .external_lex_state = 2},
  [16643] = {.lex_state = 26, .external_lex_state = 2},
  [16644] = {.lex_state = 18, .external_lex_state = 2},
  [16645] = {.lex_state = 136, .external_lex_state = 2},
  [16646] = {.lex_state = 136, .external_lex_state = 2},
  [16647] = {.lex_state = 136, .external_lex_state = 2},
  [16648] = {.lex_state = 18, .external_lex_state = 2},
  [16649] = {.lex_state = 18, .external_lex_state = 2},
  [16650] = {.lex_state = 419, .external_lex_state = 2},
  [16651] = {.lex_state = 419, .external_lex_state = 2},
  [16652] = {.lex_state = 18, .external_lex_state = 2},
  [16653] = {.lex_state = 18, .external_lex_state = 2},
  [16654] = {.lex_state = 419, .external_lex_state = 2},
  [16655] = {.lex_state = 136, .external_lex_state = 2},
  [16656] = {.lex_state = 419, .external_lex_state = 2},
  [16657] = {.lex_state = 419, .external_lex_state = 2},
  [16658] = {.lex_state = 419, .external_lex_state = 2},
  [16659] = {.lex_state = 18, .external_lex_state = 2},
  [16660] = {.lex_state = 18, .external_lex_state = 2},
  [16661] = {.lex_state = 419, .external_lex_state = 2},
  [16662] = {.lex_state = 18, .external_lex_state = 2},
  [16663] = {.lex_state = 18, .external_lex_state = 2},
  [16664] = {.lex_state = 419, .external_lex_state = 8},
  [16665] = {.lex_state = 419, .external_lex_state = 2},
  [16666] = {.lex_state = 26, .external_lex_state = 2},
  [16667] = {.lex_state = 26, .external_lex_state = 2},
  [16668] = {.lex_state = 136, .external_lex_state = 2},
  [16669] = {.lex_state = 136, .external_lex_state = 2},
  [16670] = {.lex_state = 136, .external_lex_state = 2},
  [16671] = {.lex_state = 18, .external_lex_state = 2},
  [16672] = {.lex_state = 18, .external_lex_state = 2},
  [16673] = {.lex_state = 18, .external_lex_state = 2},
  [16674] = {.lex_state = 419, .external_lex_state = 2},
  [16675] = {.lex_state = 419, .external_lex_state = 2},
  [16676] = {.lex_state = 26, .external_lex_state = 2},
  [16677] = {.lex_state = 18, .external_lex_state = 2},
  [16678] = {.lex_state = 26, .external_lex_state = 2},
  [16679] = {.lex_state = 18, .external_lex_state = 2},
  [16680] = {.lex_state = 419, .external_lex_state = 2},
  [16681] = {.lex_state = 419, .external_lex_state = 8},
  [16682] = {.lex_state = 18, .external_lex_state = 2},
  [16683] = {.lex_state = 419, .external_lex_state = 2},
  [16684] = {.lex_state = 18, .external_lex_state = 2},
  [16685] = {.lex_state = 136, .external_lex_state = 2},
  [16686] = {.lex_state = 136, .external_lex_state = 2},
  [16687] = {.lex_state = 136, .external_lex_state = 2},
  [16688] = {.lex_state = 18, .external_lex_state = 2},
  [16689] = {.lex_state = 419, .external_lex_state = 2},
  [16690] = {.lex_state = 18, .external_lex_state = 2},
  [16691] = {.lex_state = 419, .external_lex_state = 2},
  [16692] = {.lex_state = 419, .external_lex_state = 2},
  [16693] = {.lex_state = 18, .external_lex_state = 2},
  [16694] = {.lex_state = 419, .external_lex_state = 2},
  [16695] = {.lex_state = 419, .external_lex_state = 2},
  [16696] = {.lex_state = 419, .external_lex_state = 2},
  [16697] = {.lex_state = 18, .external_lex_state = 2},
  [16698] = {.lex_state = 419, .external_lex_state = 8},
  [16699] = {.lex_state = 18, .external_lex_state = 2},
  [16700] = {.lex_state = 18, .external_lex_state = 2},
  [16701] = {.lex_state = 419, .external_lex_state = 2},
  [16702] = {.lex_state = 26, .external_lex_state = 2},
  [16703] = {.lex_state = 136, .external_lex_state = 2},
  [16704] = {.lex_state = 136, .external_lex_state = 2},
  [16705] = {.lex_state = 136, .external_lex_state = 2},
  [16706] = {.lex_state = 419, .external_lex_state = 2},
  [16707] = {.lex_state = 419, .external_lex_state = 2},
  [16708] = {.lex_state = 419, .external_lex_state = 2},
  [16709] = {.lex_state = 8, .external_lex_state = 2},
  [16710] = {.lex_state = 419, .external_lex_state = 2},
  [16711] = {.lex_state = 419, .external_lex_state = 2},
  [16712] = {.lex_state = 419, .external_lex_state = 2},
  [16713] = {.lex_state = 419, .external_lex_state = 8},
  [16714] = {.lex_state = 419, .external_lex_state = 2},
  [16715] = {.lex_state = 18, .external_lex_state = 2},
  [16716] = {.lex_state = 136, .external_lex_state = 2},
  [16717] = {.lex_state = 136, .external_lex_state = 2},
  [16718] = {.lex_state = 136, .external_lex_state = 2},
  [16719] = {.lex_state = 18, .external_lex_state = 2},
  [16720] = {.lex_state = 26, .external_lex_state = 2},
  [16721] = {.lex_state = 419, .external_lex_state = 2},
  [16722] = {.lex_state = 10, .external_lex_state = 2},
  [16723] = {.lex_state = 419, .external_lex_state = 2},
  [16724] = {.lex_state = 26, .external_lex_state = 2},
  [16725] = {.lex_state = 419, .external_lex_state = 2},
  [16726] = {.lex_state = 419, .external_lex_state = 2},
  [16727] = {.lex_state = 18, .external_lex_state = 2},
  [16728] = {.lex_state = 26, .external_lex_state = 2},
  [16729] = {.lex_state = 419, .external_lex_state = 8},
  [16730] = {.lex_state = 136, .external_lex_state = 2},
  [16731] = {.lex_state = 419, .external_lex_state = 2},
  [16732] = {.lex_state = 18, .external_lex_state = 2},
  [16733] = {.lex_state = 136, .external_lex_state = 2},
  [16734] = {.lex_state = 136, .external_lex_state = 2},
  [16735] = {.lex_state = 136, .external_lex_state = 2},
  [16736] = {.lex_state = 419, .external_lex_state = 2},
  [16737] = {.lex_state = 18, .external_lex_state = 2},
  [16738] = {.lex_state = 419, .external_lex_state = 2},
  [16739] = {.lex_state = 419, .external_lex_state = 2},
  [16740] = {.lex_state = 26, .external_lex_state = 2},
  [16741] = {.lex_state = 18, .external_lex_state = 2},
  [16742] = {.lex_state = 419, .external_lex_state = 8},
  [16743] = {.lex_state = 26, .external_lex_state = 2},
  [16744] = {.lex_state = 419, .external_lex_state = 2},
  [16745] = {.lex_state = 136, .external_lex_state = 2},
  [16746] = {.lex_state = 136, .external_lex_state = 2},
  [16747] = {.lex_state = 136, .external_lex_state = 2},
  [16748] = {.lex_state = 26, .external_lex_state = 2},
  [16749] = {.lex_state = 419, .external_lex_state = 2},
  [16750] = {.lex_state = 26, .external_lex_state = 2},
  [16751] = {.lex_state = 18, .external_lex_state = 2},
  [16752] = {.lex_state = 419, .external_lex_state = 2},
  [16753] = {.lex_state = 18, .external_lex_state = 2},
  [16754] = {.lex_state = 136, .external_lex_state = 2},
  [16755] = {.lex_state = 419, .external_lex_state = 8},
  [16756] = {.lex_state = 18, .external_lex_state = 2},
  [16757] = {.lex_state = 419, .external_lex_state = 2},
  [16758] = {.lex_state = 136, .external_lex_state = 2},
  [16759] = {.lex_state = 136, .external_lex_state = 2},
  [16760] = {.lex_state = 136, .external_lex_state = 2},
  [16761] = {.lex_state = 26, .external_lex_state = 2},
  [16762] = {.lex_state = 419, .external_lex_state = 2},
  [16763] = {.lex_state = 419, .external_lex_state = 2},
  [16764] = {.lex_state = 419, .external_lex_state = 2},
  [16765] = {.lex_state = 26, .external_lex_state = 2},
  [16766] = {.lex_state = 18, .external_lex_state = 2},
  [16767] = {.lex_state = 419, .external_lex_state = 8},
  [16768] = {.lex_state = 419, .external_lex_state = 2},
  [16769] = {.lex_state = 18, .external_lex_state = 2},
  [16770] = {.lex_state = 136, .external_lex_state = 2},
  [16771] = {.lex_state = 136, .external_lex_state = 2},
  [16772] = {.lex_state = 136, .external_lex_state = 2},
  [16773] = {.lex_state = 136, .external_lex_state = 2},
  [16774] = {.lex_state = 18, .external_lex_state = 2},
  [16775] = {.lex_state = 419, .external_lex_state = 2},
  [16776] = {.lex_state = 419, .external_lex_state = 2},
  [16777] = {.lex_state = 419, .external_lex_state = 2},
  [16778] = {.lex_state = 419, .external_lex_state = 2},
  [16779] = {.lex_state = 26, .external_lex_state = 2},
  [16780] = {.lex_state = 419, .external_lex_state = 2},
  [16781] = {.lex_state = 419, .external_lex_state = 8},
  [16782] = {.lex_state = 26, .external_lex_state = 2},
  [16783] = {.lex_state = 18, .external_lex_state = 2},
  [16784] = {.lex_state = 419, .external_lex_state = 2},
  [16785] = {.lex_state = 419, .external_lex_state = 2},
  [16786] = {.lex_state = 419, .external_lex_state = 2},
  [16787] = {.lex_state = 136, .external_lex_state = 2},
  [16788] = {.lex_state = 136, .external_lex_state = 2},
  [16789] = {.lex_state = 136, .external_lex_state = 2},
  [16790] = {.lex_state = 419, .external_lex_state = 2},
  [16791] = {.lex_state = 18, .external_lex_state = 2},
  [16792] = {.lex_state = 26, .external_lex_state = 2},
  [16793] = {.lex_state = 419, .external_lex_state = 2},
  [16794] = {.lex_state = 26, .external_lex_state = 2},
  [16795] = {.lex_state = 419, .external_lex_state = 2},
  [16796] = {.lex_state = 26, .external_lex_state = 2},
  [16797] = {.lex_state = 26, .external_lex_state = 2},
  [16798] = {.lex_state = 136, .external_lex_state = 2},
  [16799] = {.lex_state = 419, .external_lex_state = 8},
  [16800] = {.lex_state = 419, .external_lex_state = 8},
  [16801] = {.lex_state = 419, .external_lex_state = 2},
  [16802] = {.lex_state = 26, .external_lex_state = 2},
  [16803] = {.lex_state = 136, .external_lex_state = 2},
  [16804] = {.lex_state = 136, .external_lex_state = 2},
  [16805] = {.lex_state = 136, .external_lex_state = 2},
  [16806] = {.lex_state = 26, .external_lex_state = 2},
  [16807] = {.lex_state = 18, .external_lex_state = 2},
  [16808] = {.lex_state = 419, .external_lex_state = 2},
  [16809] = {.lex_state = 419, .external_lex_state = 2},
  [16810] = {.lex_state = 136, .external_lex_state = 2},
  [16811] = {.lex_state = 18, .external_lex_state = 2},
  [16812] = {.lex_state = 419, .external_lex_state = 2},
  [16813] = {.lex_state = 136, .external_lex_state = 2},
  [16814] = {.lex_state = 26, .external_lex_state = 2},
  [16815] = {.lex_state = 419, .external_lex_state = 8},
  [16816] = {.lex_state = 419, .external_lex_state = 2},
  [16817] = {.lex_state = 419, .external_lex_state = 2},
  [16818] = {.lex_state = 26, .external_lex_state = 2},
  [16819] = {.lex_state = 18, .external_lex_state = 2},
  [16820] = {.lex_state = 419, .external_lex_state = 2},
  [16821] = {.lex_state = 18, .external_lex_state = 2},
  [16822] = {.lex_state = 419, .external_lex_state = 2},
  [16823] = {.lex_state = 136, .external_lex_state = 2},
  [16824] = {.lex_state = 136, .external_lex_state = 2},
  [16825] = {.lex_state = 136, .external_lex_state = 2},
  [16826] = {.lex_state = 419, .external_lex_state = 2},
  [16827] = {.lex_state = 419, .external_lex_state = 2},
  [16828] = {.lex_state = 26, .external_lex_state = 2},
  [16829] = {.lex_state = 419, .external_lex_state = 2},
  [16830] = {.lex_state = 26, .external_lex_state = 2},
  [16831] = {.lex_state = 419, .external_lex_state = 2},
  [16832] = {.lex_state = 419, .external_lex_state = 8},
  [16833] = {.lex_state = 419, .external_lex_state = 2},
  [16834] = {.lex_state = 419, .external_lex_state = 2},
  [16835] = {.lex_state = 419, .external_lex_state = 2},
  [16836] = {.lex_state = 419, .external_lex_state = 2},
  [16837] = {.lex_state = 26, .external_lex_state = 2},
  [16838] = {.lex_state = 136, .external_lex_state = 2},
  [16839] = {.lex_state = 136, .external_lex_state = 2},
  [16840] = {.lex_state = 136, .external_lex_state = 2},
  [16841] = {.lex_state = 18, .external_lex_state = 2},
  [16842] = {.lex_state = 11, .external_lex_state = 2},
  [16843] = {.lex_state = 419, .external_lex_state = 2},
  [16844] = {.lex_state = 419, .external_lex_state = 2},
  [16845] = {.lex_state = 419, .external_lex_state = 8},
  [16846] = {.lex_state = 26, .external_lex_state = 2},
  [16847] = {.lex_state = 136, .external_lex_state = 2},
  [16848] = {.lex_state = 136, .external_lex_state = 2},
  [16849] = {.lex_state = 136, .external_lex_state = 2},
  [16850] = {.lex_state = 419, .external_lex_state = 2},
  [16851] = {.lex_state = 419, .external_lex_state = 2},
  [16852] = {.lex_state = 419, .external_lex_state = 2},
  [16853] = {.lex_state = 419, .external_lex_state = 2},
  [16854] = {.lex_state = 419, .external_lex_state = 2},
  [16855] = {.lex_state = 18, .external_lex_state = 2},
  [16856] = {.lex_state = 18, .external_lex_state = 2},
  [16857] = {.lex_state = 419, .external_lex_state = 8},
  [16858] = {.lex_state = 419, .external_lex_state = 2},
  [16859] = {.lex_state = 18, .external_lex_state = 2},
  [16860] = {.lex_state = 419, .external_lex_state = 2},
  [16861] = {.lex_state = 136, .external_lex_state = 2},
  [16862] = {.lex_state = 136, .external_lex_state = 2},
  [16863] = {.lex_state = 136, .external_lex_state = 2},
  [16864] = {.lex_state = 18, .external_lex_state = 2},
  [16865] = {.lex_state = 419, .external_lex_state = 2},
  [16866] = {.lex_state = 18, .external_lex_state = 2},
  [16867] = {.lex_state = 419, .external_lex_state = 2},
  [16868] = {.lex_state = 419, .external_lex_state = 2},
  [16869] = {.lex_state = 18, .external_lex_state = 2},
  [16870] = {.lex_state = 18, .external_lex_state = 2},
  [16871] = {.lex_state = 18, .external_lex_state = 2},
  [16872] = {.lex_state = 419, .external_lex_state = 8},
  [16873] = {.lex_state = 136, .external_lex_state = 2},
  [16874] = {.lex_state = 136, .external_lex_state = 2},
  [16875] = {.lex_state = 136, .external_lex_state = 2},
  [16876] = {.lex_state = 18, .external_lex_state = 2},
  [16877] = {.lex_state = 419, .external_lex_state = 2},
  [16878] = {.lex_state = 419, .external_lex_state = 2},
  [16879] = {.lex_state = 10, .external_lex_state = 2},
  [16880] = {.lex_state = 419, .external_lex_state = 2},
  [16881] = {.lex_state = 419, .external_lex_state = 2},
  [16882] = {.lex_state = 419, .external_lex_state = 8},
  [16883] = {.lex_state = 18, .external_lex_state = 2},
  [16884] = {.lex_state = 136, .external_lex_state = 2},
  [16885] = {.lex_state = 136, .external_lex_state = 2},
  [16886] = {.lex_state = 136, .external_lex_state = 2},
  [16887] = {.lex_state = 419, .external_lex_state = 2},
  [16888] = {.lex_state = 419, .external_lex_state = 2},
  [16889] = {.lex_state = 419, .external_lex_state = 2},
  [16890] = {.lex_state = 26, .external_lex_state = 2},
  [16891] = {.lex_state = 26, .external_lex_state = 2},
  [16892] = {.lex_state = 11, .external_lex_state = 2},
  [16893] = {.lex_state = 419, .external_lex_state = 8},
  [16894] = {.lex_state = 136, .external_lex_state = 2},
  [16895] = {.lex_state = 136, .external_lex_state = 2},
  [16896] = {.lex_state = 136, .external_lex_state = 2},
  [16897] = {.lex_state = 419, .external_lex_state = 2},
  [16898] = {.lex_state = 18, .external_lex_state = 2},
  [16899] = {.lex_state = 419, .external_lex_state = 2},
  [16900] = {.lex_state = 26, .external_lex_state = 2},
  [16901] = {.lex_state = 419, .external_lex_state = 2},
  [16902] = {.lex_state = 18, .external_lex_state = 2},
  [16903] = {.lex_state = 18, .external_lex_state = 2},
  [16904] = {.lex_state = 18, .external_lex_state = 2},
  [16905] = {.lex_state = 18, .external_lex_state = 2},
  [16906] = {.lex_state = 419, .external_lex_state = 8},
  [16907] = {.lex_state = 18, .external_lex_state = 2},
  [16908] = {.lex_state = 18, .external_lex_state = 2},
  [16909] = {.lex_state = 136, .external_lex_state = 2},
  [16910] = {.lex_state = 136, .external_lex_state = 2},
  [16911] = {.lex_state = 136, .external_lex_state = 2},
  [16912] = {.lex_state = 18, .external_lex_state = 2},
  [16913] = {.lex_state = 419, .external_lex_state = 2},
  [16914] = {.lex_state = 419, .external_lex_state = 2},
  [16915] = {.lex_state = 419, .external_lex_state = 2},
  [16916] = {.lex_state = 18, .external_lex_state = 2},
  [16917] = {.lex_state = 419, .external_lex_state = 2},
  [16918] = {.lex_state = 26, .external_lex_state = 2},
  [16919] = {.lex_state = 419, .external_lex_state = 8},
  [16920] = {.lex_state = 11, .external_lex_state = 2},
  [16921] = {.lex_state = 136, .external_lex_state = 2},
  [16922] = {.lex_state = 136, .external_lex_state = 2},
  [16923] = {.lex_state = 136, .external_lex_state = 2},
  [16924] = {.lex_state = 419, .external_lex_state = 2},
  [16925] = {.lex_state = 26, .external_lex_state = 2},
  [16926] = {.lex_state = 419, .external_lex_state = 2},
  [16927] = {.lex_state = 18, .external_lex_state = 2},
  [16928] = {.lex_state = 18, .external_lex_state = 2},
  [16929] = {.lex_state = 419, .external_lex_state = 8},
  [16930] = {.lex_state = 136, .external_lex_state = 2},
  [16931] = {.lex_state = 136, .external_lex_state = 2},
  [16932] = {.lex_state = 136, .external_lex_state = 2},
  [16933] = {.lex_state = 419, .external_lex_state = 2},
  [16934] = {.lex_state = 419, .external_lex_state = 2},
  [16935] = {.lex_state = 419, .external_lex_state = 2},
  [16936] = {.lex_state = 18, .external_lex_state = 2},
  [16937] = {.lex_state = 26, .external_lex_state = 2},
  [16938] = {.lex_state = 419, .external_lex_state = 8},
  [16939] = {.lex_state = 26, .external_lex_state = 2},
  [16940] = {.lex_state = 419, .external_lex_state = 2},
  [16941] = {.lex_state = 136, .external_lex_state = 2},
  [16942] = {.lex_state = 136, .external_lex_state = 2},
  [16943] = {.lex_state = 136, .external_lex_state = 2},
  [16944] = {.lex_state = 18, .external_lex_state = 2},
  [16945] = {.lex_state = 419, .external_lex_state = 2},
  [16946] = {.lex_state = 419, .external_lex_state = 2},
  [16947] = {.lex_state = 419, .external_lex_state = 2},
  [16948] = {.lex_state = 18, .external_lex_state = 2},
  [16949] = {.lex_state = 26, .external_lex_state = 2},
  [16950] = {.lex_state = 18, .external_lex_state = 2},
  [16951] = {.lex_state = 26, .external_lex_state = 2},
  [16952] = {.lex_state = 419, .external_lex_state = 8},
  [16953] = {.lex_state = 26, .external_lex_state = 2},
  [16954] = {.lex_state = 18, .external_lex_state = 2},
  [16955] = {.lex_state = 136, .external_lex_state = 2},
  [16956] = {.lex_state = 136, .external_lex_state = 2},
  [16957] = {.lex_state = 136, .external_lex_state = 2},
  [16958] = {.lex_state = 136, .external_lex_state = 2},
  [16959] = {.lex_state = 419, .external_lex_state = 2},
  [16960] = {.lex_state = 18, .external_lex_state = 2},
  [16961] = {.lex_state = 419, .external_lex_state = 8},
  [16962] = {.lex_state = 136, .external_lex_state = 2},
  [16963] = {.lex_state = 419, .external_lex_state = 2},
  [16964] = {.lex_state = 136, .external_lex_state = 2},
  [16965] = {.lex_state = 136, .external_lex_state = 2},
  [16966] = {.lex_state = 136, .external_lex_state = 2},
  [16967] = {.lex_state = 419, .external_lex_state = 2},
  [16968] = {.lex_state = 419, .external_lex_state = 2},
  [16969] = {.lex_state = 26, .external_lex_state = 2},
  [16970] = {.lex_state = 11, .external_lex_state = 2},
  [16971] = {.lex_state = 419, .external_lex_state = 8},
  [16972] = {.lex_state = 18, .external_lex_state = 2},
  [16973] = {.lex_state = 26, .external_lex_state = 2},
  [16974] = {.lex_state = 136, .external_lex_state = 2},
  [16975] = {.lex_state = 136, .external_lex_state = 2},
  [16976] = {.lex_state = 136, .external_lex_state = 2},
  [16977] = {.lex_state = 419, .external_lex_state = 2},
  [16978] = {.lex_state = 419, .external_lex_state = 2},
  [16979] = {.lex_state = 18, .external_lex_state = 2},
  [16980] = {.lex_state = 26, .external_lex_state = 2},
  [16981] = {.lex_state = 26, .external_lex_state = 2},
  [16982] = {.lex_state = 419, .external_lex_state = 8},
  [16983] = {.lex_state = 18, .external_lex_state = 2},
  [16984] = {.lex_state = 18, .external_lex_state = 2},
  [16985] = {.lex_state = 136, .external_lex_state = 2},
  [16986] = {.lex_state = 136, .external_lex_state = 2},
  [16987] = {.lex_state = 136, .external_lex_state = 2},
  [16988] = {.lex_state = 419, .external_lex_state = 2},
  [16989] = {.lex_state = 419, .external_lex_state = 2},
  [16990] = {.lex_state = 18, .external_lex_state = 2},
  [16991] = {.lex_state = 419, .external_lex_state = 8},
  [16992] = {.lex_state = 136, .external_lex_state = 2},
  [16993] = {.lex_state = 136, .external_lex_state = 2},
  [16994] = {.lex_state = 136, .external_lex_state = 2},
  [16995] = {.lex_state = 419, .external_lex_state = 2},
  [16996] = {.lex_state = 419, .external_lex_state = 2},
  [16997] = {.lex_state = 419, .external_lex_state = 2},
  [16998] = {.lex_state = 18, .external_lex_state = 2},
  [16999] = {.lex_state = 26, .external_lex_state = 2},
  [17000] = {.lex_state = 419, .external_lex_state = 8},
  [17001] = {.lex_state = 136, .external_lex_state = 2},
  [17002] = {.lex_state = 419, .external_lex_state = 2},
  [17003] = {.lex_state = 136, .external_lex_state = 2},
  [17004] = {.lex_state = 136, .external_lex_state = 2},
  [17005] = {.lex_state = 136, .external_lex_state = 2},
  [17006] = {.lex_state = 419, .external_lex_state = 2},
  [17007] = {.lex_state = 26, .external_lex_state = 2},
  [17008] = {.lex_state = 18, .external_lex_state = 2},
  [17009] = {.lex_state = 18, .external_lex_state = 2},
  [17010] = {.lex_state = 419, .external_lex_state = 8},
  [17011] = {.lex_state = 26, .external_lex_state = 2},
  [17012] = {.lex_state = 136, .external_lex_state = 2},
  [17013] = {.lex_state = 136, .external_lex_state = 2},
  [17014] = {.lex_state = 136, .external_lex_state = 2},
  [17015] = {.lex_state = 136, .external_lex_state = 2},
  [17016] = {.lex_state = 26, .external_lex_state = 2},
  [17017] = {.lex_state = 26, .external_lex_state = 2},
  [17018] = {.lex_state = 419, .external_lex_state = 8},
  [17019] = {.lex_state = 18, .external_lex_state = 2},
  [17020] = {.lex_state = 419, .external_lex_state = 2},
  [17021] = {.lex_state = 136, .external_lex_state = 2},
  [17022] = {.lex_state = 136, .external_lex_state = 2},
  [17023] = {.lex_state = 136, .external_lex_state = 2},
  [17024] = {.lex_state = 26, .external_lex_state = 2},
  [17025] = {.lex_state = 26, .external_lex_state = 2},
  [17026] = {.lex_state = 18, .external_lex_state = 2},
  [17027] = {.lex_state = 419, .external_lex_state = 8},
  [17028] = {.lex_state = 136, .external_lex_state = 2},
  [17029] = {.lex_state = 136, .external_lex_state = 2},
  [17030] = {.lex_state = 136, .external_lex_state = 2},
  [17031] = {.lex_state = 18, .external_lex_state = 2},
  [17032] = {.lex_state = 18, .external_lex_state = 2},
  [17033] = {.lex_state = 419, .external_lex_state = 2},
  [17034] = {.lex_state = 419, .external_lex_state = 8},
  [17035] = {.lex_state = 18, .external_lex_state = 2},
  [17036] = {.lex_state = 419, .external_lex_state = 2},
  [17037] = {.lex_state = 136, .external_lex_state = 2},
  [17038] = {.lex_state = 136, .external_lex_state = 2},
  [17039] = {.lex_state = 136, .external_lex_state = 2},
  [17040] = {.lex_state = 419, .external_lex_state = 2},
  [17041] = {.lex_state = 419, .external_lex_state = 2},
  [17042] = {.lex_state = 26, .external_lex_state = 2},
  [17043] = {.lex_state = 419, .external_lex_state = 2},
  [17044] = {.lex_state = 26, .external_lex_state = 2},
  [17045] = {.lex_state = 419, .external_lex_state = 8},
  [17046] = {.lex_state = 419, .external_lex_state = 2},
  [17047] = {.lex_state = 136, .external_lex_state = 2},
  [17048] = {.lex_state = 136, .external_lex_state = 2},
  [17049] = {.lex_state = 136, .external_lex_state = 2},
  [17050] = {.lex_state = 26, .external_lex_state = 2},
  [17051] = {.lex_state = 419, .external_lex_state = 8},
  [17052] = {.lex_state = 18, .external_lex_state = 2},
  [17053] = {.lex_state = 136, .external_lex_state = 2},
  [17054] = {.lex_state = 136, .external_lex_state = 2},
  [17055] = {.lex_state = 136, .external_lex_state = 2},
  [17056] = {.lex_state = 18, .external_lex_state = 2},
  [17057] = {.lex_state = 26, .external_lex_state = 2},
  [17058] = {.lex_state = 419, .external_lex_state = 8},
  [17059] = {.lex_state = 136, .external_lex_state = 2},
  [17060] = {.lex_state = 136, .external_lex_state = 2},
  [17061] = {.lex_state = 136, .external_lex_state = 2},
  [17062] = {.lex_state = 419, .external_lex_state = 2},
  [17063] = {.lex_state = 18, .external_lex_state = 2},
  [17064] = {.lex_state = 419, .external_lex_state = 2},
  [17065] = {.lex_state = 419, .external_lex_state = 8},
  [17066] = {.lex_state = 136, .external_lex_state = 2},
  [17067] = {.lex_state = 136, .external_lex_state = 2},
  [17068] = {.lex_state = 136, .external_lex_state = 2},
  [17069] = {.lex_state = 136, .external_lex_state = 2},
  [17070] = {.lex_state = 419, .external_lex_state = 8},
  [17071] = {.lex_state = 136, .external_lex_state = 2},
  [17072] = {.lex_state = 136, .external_lex_state = 2},
  [17073] = {.lex_state = 136, .external_lex_state = 2},
  [17074] = {.lex_state = 419, .external_lex_state = 8},
  [17075] = {.lex_state = 136, .external_lex_state = 2},
  [17076] = {.lex_state = 136, .external_lex_state = 2},
  [17077] = {.lex_state = 136, .external_lex_state = 2},
  [17078] = {.lex_state = 419, .external_lex_state = 8},
  [17079] = {.lex_state = 136, .external_lex_state = 2},
  [17080] = {.lex_state = 136, .external_lex_state = 2},
  [17081] = {.lex_state = 136, .external_lex_state = 2},
  [17082] = {.lex_state = 26, .external_lex_state = 2},
  [17083] = {.lex_state = 26, .external_lex_state = 2},
  [17084] = {.lex_state = 419, .external_lex_state = 8},
  [17085] = {.lex_state = 136, .external_lex_state = 2},
  [17086] = {.lex_state = 136, .external_lex_state = 2},
  [17087] = {.lex_state = 136, .external_lex_state = 2},
  [17088] = {.lex_state = 26, .external_lex_state = 2},
  [17089] = {.lex_state = 419, .external_lex_state = 8},
  [17090] = {.lex_state = 136, .external_lex_state = 2},
  [17091] = {.lex_state = 136, .external_lex_state = 2},
  [17092] = {.lex_state = 136, .external_lex_state = 2},
  [17093] = {.lex_state = 18, .external_lex_state = 2},
  [17094] = {.lex_state = 419, .external_lex_state = 8},
  [17095] = {.lex_state = 136, .external_lex_state = 2},
  [17096] = {.lex_state = 136, .external_lex_state = 2},
  [17097] = {.lex_state = 136, .external_lex_state = 2},
  [17098] = {.lex_state = 419, .external_lex_state = 8},
  [17099] = {.lex_state = 136, .external_lex_state = 2},
  [17100] = {.lex_state = 136, .external_lex_state = 2},
  [17101] = {.lex_state = 136, .external_lex_state = 2},
  [17102] = {.lex_state = 419, .external_lex_state = 8},
  [17103] = {.lex_state = 136, .external_lex_state = 2},
  [17104] = {.lex_state = 136, .external_lex_state = 2},
  [17105] = {.lex_state = 136, .external_lex_state = 2},
  [17106] = {.lex_state = 26, .external_lex_state = 2},
  [17107] = {.lex_state = 419, .external_lex_state = 8},
  [17108] = {.lex_state = 136, .external_lex_state = 2},
  [17109] = {.lex_state = 136, .external_lex_state = 2},
  [17110] = {.lex_state = 136, .external_lex_state = 2},
  [17111] = {.lex_state = 26, .external_lex_state = 2},
  [17112] = {.lex_state = 419, .external_lex_state = 8},
  [17113] = {.lex_state = 136, .external_lex_state = 2},
  [17114] = {.lex_state = 136, .external_lex_state = 2},
  [17115] = {.lex_state = 136, .external_lex_state = 2},
  [17116] = {.lex_state = 26, .external_lex_state = 2},
  [17117] = {.lex_state = 419, .external_lex_state = 8},
  [17118] = {.lex_state = 18, .external_lex_state = 2},
  [17119] = {.lex_state = 419, .external_lex_state = 8},
  [17120] = {.lex_state = 419, .external_lex_state = 8},
  [17121] = {.lex_state = 18, .external_lex_state = 2},
  [17122] = {.lex_state = 419, .external_lex_state = 8},
  [17123] = {.lex_state = 419, .external_lex_state = 8},
  [17124] = {.lex_state = 419, .external_lex_state = 8},
  [17125] = {.lex_state = 26, .external_lex_state = 2},
  [17126] = {.lex_state = 419, .external_lex_state = 8},
  [17127] = {.lex_state = 26, .external_lex_state = 2},
  [17128] = {.lex_state = 419, .external_lex_state = 8},
  [17129] = {.lex_state = 419, .external_lex_state = 8},
  [17130] = {.lex_state = 18, .external_lex_state = 2},
  [17131] = {.lex_state = 419, .external_lex_state = 8},
  [17132] = {.lex_state = 26, .external_lex_state = 2},
  [17133] = {.lex_state = 419, .external_lex_state = 8},
  [17134] = {.lex_state = 419, .external_lex_state = 8},
  [17135] = {.lex_state = 419, .external_lex_state = 8},
  [17136] = {.lex_state = 419, .external_lex_state = 8},
  [17137] = {.lex_state = 26, .external_lex_state = 2},
  [17138] = {.lex_state = 419, .external_lex_state = 8},
  [17139] = {.lex_state = 26, .external_lex_state = 2},
  [17140] = {.lex_state = 419, .external_lex_state = 8},
  [17141] = {.lex_state = 18, .external_lex_state = 2},
  [17142] = {.lex_state = 419, .external_lex_state = 8},
  [17143] = {.lex_state = 419, .external_lex_state = 8},
  [17144] = {.lex_state = 18, .external_lex_state = 2},
  [17145] = {.lex_state = 419, .external_lex_state = 8},
  [17146] = {.lex_state = 419, .external_lex_state = 8},
  [17147] = {.lex_state = 419, .external_lex_state = 8},
  [17148] = {.lex_state = 26, .external_lex_state = 2},
  [17149] = {.lex_state = 419, .external_lex_state = 8},
  [17150] = {.lex_state = 26, .external_lex_state = 2},
  [17151] = {.lex_state = 419, .external_lex_state = 8},
  [17152] = {.lex_state = 419, .external_lex_state = 8},
  [17153] = {.lex_state = 18, .external_lex_state = 2},
  [17154] = {.lex_state = 419, .external_lex_state = 2},
  [17155] = {.lex_state = 26, .external_lex_state = 2},
  [17156] = {.lex_state = 26, .external_lex_state = 2},
  [17157] = {.lex_state = 419, .external_lex_state = 2},
  [17158] = {.lex_state = 18, .external_lex_state = 2},
  [17159] = {.lex_state = 18, .external_lex_state = 2},
  [17160] = {.lex_state = 26, .external_lex_state = 2},
  [17161] = {.lex_state = 26, .external_lex_state = 2},
  [17162] = {.lex_state = 26, .external_lex_state = 2},
  [17163] = {.lex_state = 18, .external_lex_state = 2},
  [17164] = {.lex_state = 18, .external_lex_state = 2},
  [17165] = {.lex_state = 26, .external_lex_state = 2},
  [17166] = {.lex_state = 26, .external_lex_state = 2},
  [17167] = {.lex_state = 26, .external_lex_state = 2},
  [17168] = {.lex_state = 18, .external_lex_state = 2},
  [17169] = {.lex_state = 18, .external_lex_state = 2},
  [17170] = {.lex_state = 26, .external_lex_state = 2},
  [17171] = {.lex_state = 26, .external_lex_state = 2},
  [17172] = {.lex_state = 18, .external_lex_state = 2},
  [17173] = {.lex_state = 26, .external_lex_state = 2},
  [17174] = {.lex_state = 10, .external_lex_state = 2},
  [17175] = {.lex_state = 419, .external_lex_state = 2},
  [17176] = {.lex_state = 26, .external_lex_state = 2},
  [17177] = {.lex_state = 10, .external_lex_state = 2},
  [17178] = {.lex_state = 26, .external_lex_state = 2},
  [17179] = {.lex_state = 26, .external_lex_state = 2},
  [17180] = {.lex_state = 18, .external_lex_state = 2},
  [17181] = {.lex_state = 18, .external_lex_state = 2},
  [17182] = {.lex_state = 26, .external_lex_state = 2},
  [17183] = {.lex_state = 136, .external_lex_state = 2},
  [17184] = {.lex_state = 18, .external_lex_state = 2},
  [17185] = {.lex_state = 18, .external_lex_state = 2},
  [17186] = {.lex_state = 419, .external_lex_state = 2},
  [17187] = {.lex_state = 136, .external_lex_state = 2},
  [17188] = {.lex_state = 11, .external_lex_state = 2},
  [17189] = {.lex_state = 136, .external_lex_state = 2},
  [17190] = {.lex_state = 26, .external_lex_state = 2},
  [17191] = {.lex_state = 419, .external_lex_state = 2},
  [17192] = {.lex_state = 26, .external_lex_state = 2},
  [17193] = {.lex_state = 419, .external_lex_state = 2},
  [17194] = {.lex_state = 18, .external_lex_state = 2},
  [17195] = {.lex_state = 419, .external_lex_state = 2},
  [17196] = {.lex_state = 18, .external_lex_state = 2},
  [17197] = {.lex_state = 26, .external_lex_state = 2},
  [17198] = {.lex_state = 419, .external_lex_state = 2},
  [17199] = {.lex_state = 26, .external_lex_state = 2},
  [17200] = {.lex_state = 26, .external_lex_state = 2},
  [17201] = {.lex_state = 18, .external_lex_state = 2},
  [17202] = {.lex_state = 419, .external_lex_state = 2},
  [17203] = {.lex_state = 8, .external_lex_state = 2},
  [17204] = {.lex_state = 10, .external_lex_state = 2},
  [17205] = {.lex_state = 26, .external_lex_state = 2},
  [17206] = {.lex_state = 18, .external_lex_state = 2},
  [17207] = {.lex_state = 18, .external_lex_state = 2},
  [17208] = {.lex_state = 10, .external_lex_state = 2},
  [17209] = {.lex_state = 26, .external_lex_state = 2},
  [17210] = {.lex_state = 419, .external_lex_state = 2},
  [17211] = {.lex_state = 419, .external_lex_state = 2},
  [17212] = {.lex_state = 419, .external_lex_state = 2},
  [17213] = {.lex_state = 419, .external_lex_state = 2},
  [17214] = {.lex_state = 18, .external_lex_state = 2},
  [17215] = {.lex_state = 26, .external_lex_state = 2},
  [17216] = {.lex_state = 26, .external_lex_state = 2},
  [17217] = {.lex_state = 18, .external_lex_state = 2},
  [17218] = {.lex_state = 18, .external_lex_state = 2},
  [17219] = {.lex_state = 10, .external_lex_state = 2},
  [17220] = {.lex_state = 26, .external_lex_state = 2},
  [17221] = {.lex_state = 10, .external_lex_state = 2},
  [17222] = {.lex_state = 18, .external_lex_state = 2},
  [17223] = {.lex_state = 419, .external_lex_state = 2},
  [17224] = {.lex_state = 419, .external_lex_state = 2},
  [17225] = {.lex_state = 419, .external_lex_state = 2},
  [17226] = {.lex_state = 419, .external_lex_state = 2},
  [17227] = {.lex_state = 18, .external_lex_state = 2},
  [17228] = {.lex_state = 419, .external_lex_state = 2},
  [17229] = {.lex_state = 18, .external_lex_state = 2},
  [17230] = {.lex_state = 419, .external_lex_state = 2},
  [17231] = {.lex_state = 18, .external_lex_state = 2},
  [17232] = {.lex_state = 18, .external_lex_state = 2},
  [17233] = {.lex_state = 18, .external_lex_state = 2},
  [17234] = {.lex_state = 419, .external_lex_state = 2},
  [17235] = {.lex_state = 419, .external_lex_state = 2},
  [17236] = {.lex_state = 18, .external_lex_state = 2},
  [17237] = {.lex_state = 419, .external_lex_state = 2},
  [17238] = {.lex_state = 18, .external_lex_state = 2},
  [17239] = {.lex_state = 419, .external_lex_state = 2},
  [17240] = {.lex_state = 419, .external_lex_state = 2},
  [17241] = {.lex_state = 419, .external_lex_state = 2},
  [17242] = {.lex_state = 419, .external_lex_state = 2},
  [17243] = {.lex_state = 18, .external_lex_state = 2},
  [17244] = {.lex_state = 18, .external_lex_state = 2},
  [17245] = {.lex_state = 419, .external_lex_state = 2},
  [17246] = {.lex_state = 18, .external_lex_state = 2},
  [17247] = {.lex_state = 26, .external_lex_state = 2},
  [17248] = {.lex_state = 419, .external_lex_state = 2},
  [17249] = {.lex_state = 26, .external_lex_state = 2},
  [17250] = {.lex_state = 419, .external_lex_state = 2},
  [17251] = {.lex_state = 419, .external_lex_state = 2},
  [17252] = {.lex_state = 18, .external_lex_state = 2},
  [17253] = {.lex_state = 26, .external_lex_state = 2},
  [17254] = {.lex_state = 18, .external_lex_state = 2},
  [17255] = {.lex_state = 18, .external_lex_state = 2},
  [17256] = {.lex_state = 419, .external_lex_state = 2},
  [17257] = {.lex_state = 419, .external_lex_state = 2},
  [17258] = {.lex_state = 419, .external_lex_state = 2},
  [17259] = {.lex_state = 18, .external_lex_state = 2},
  [17260] = {.lex_state = 26, .external_lex_state = 2},
  [17261] = {.lex_state = 419, .external_lex_state = 2},
  [17262] = {.lex_state = 18, .external_lex_state = 2},
  [17263] = {.lex_state = 419, .external_lex_state = 2},
  [17264] = {.lex_state = 419, .external_lex_state = 2},
  [17265] = {.lex_state = 26, .external_lex_state = 2},
  [17266] = {.lex_state = 26, .external_lex_state = 2},
  [17267] = {.lex_state = 419, .external_lex_state = 2},
  [17268] = {.lex_state = 419, .external_lex_state = 2},
  [17269] = {.lex_state = 419, .external_lex_state = 2},
  [17270] = {.lex_state = 136, .external_lex_state = 2},
  [17271] = {.lex_state = 419, .external_lex_state = 8},
  [17272] = {.lex_state = 419, .external_lex_state = 2},
  [17273] = {.lex_state = 26, .external_lex_state = 2},
  [17274] = {.lex_state = 18, .external_lex_state = 2},
  [17275] = {.lex_state = 419, .external_lex_state = 2},
  [17276] = {.lex_state = 18, .external_lex_state = 2},
  [17277] = {.lex_state = 26, .external_lex_state = 2},
  [17278] = {.lex_state = 419, .external_lex_state = 2},
  [17279] = {.lex_state = 18, .external_lex_state = 2},
  [17280] = {.lex_state = 18, .external_lex_state = 2},
  [17281] = {.lex_state = 419, .external_lex_state = 2},
  [17282] = {.lex_state = 419, .external_lex_state = 2},
  [17283] = {.lex_state = 419, .external_lex_state = 8},
  [17284] = {.lex_state = 18, .external_lex_state = 2},
  [17285] = {.lex_state = 18, .external_lex_state = 2},
  [17286] = {.lex_state = 419, .external_lex_state = 2},
  [17287] = {.lex_state = 18, .external_lex_state = 2},
  [17288] = {.lex_state = 419, .external_lex_state = 2},
  [17289] = {.lex_state = 18, .external_lex_state = 2},
  [17290] = {.lex_state = 419, .external_lex_state = 2},
  [17291] = {.lex_state = 136, .external_lex_state = 2},
  [17292] = {.lex_state = 419, .external_lex_state = 2},
  [17293] = {.lex_state = 419, .external_lex_state = 2},
  [17294] = {.lex_state = 419, .external_lex_state = 2},
  [17295] = {.lex_state = 26, .external_lex_state = 2},
  [17296] = {.lex_state = 18, .external_lex_state = 2},
  [17297] = {.lex_state = 419, .external_lex_state = 2},
  [17298] = {.lex_state = 11, .external_lex_state = 2},
  [17299] = {.lex_state = 18, .external_lex_state = 2},
  [17300] = {.lex_state = 18, .external_lex_state = 2},
  [17301] = {.lex_state = 419, .external_lex_state = 2},
  [17302] = {.lex_state = 18, .external_lex_state = 2},
  [17303] = {.lex_state = 419, .external_lex_state = 2},
  [17304] = {.lex_state = 419, .external_lex_state = 2},
  [17305] = {.lex_state = 26, .external_lex_state = 2},
  [17306] = {.lex_state = 136, .external_lex_state = 2},
  [17307] = {.lex_state = 136, .external_lex_state = 2},
  [17308] = {.lex_state = 136, .external_lex_state = 2},
  [17309] = {.lex_state = 18, .external_lex_state = 2},
  [17310] = {.lex_state = 18, .external_lex_state = 2},
  [17311] = {.lex_state = 8, .external_lex_state = 2},
  [17312] = {.lex_state = 18, .external_lex_state = 2},
  [17313] = {.lex_state = 26, .external_lex_state = 2},
  [17314] = {.lex_state = 18, .external_lex_state = 2},
  [17315] = {.lex_state = 18, .external_lex_state = 2},
  [17316] = {.lex_state = 26, .external_lex_state = 2},
  [17317] = {.lex_state = 18, .external_lex_state = 2},
  [17318] = {.lex_state = 419, .external_lex_state = 2},
  [17319] = {.lex_state = 18, .external_lex_state = 2},
  [17320] = {.lex_state = 26, .external_lex_state = 2},
  [17321] = {.lex_state = 26, .external_lex_state = 2},
  [17322] = {.lex_state = 26, .external_lex_state = 2},
  [17323] = {.lex_state = 18, .external_lex_state = 2},
  [17324] = {.lex_state = 419, .external_lex_state = 2},
  [17325] = {.lex_state = 26, .external_lex_state = 2},
  [17326] = {.lex_state = 18, .external_lex_state = 2},
  [17327] = {.lex_state = 26, .external_lex_state = 2},
  [17328] = {.lex_state = 419, .external_lex_state = 2},
  [17329] = {.lex_state = 26, .external_lex_state = 2},
  [17330] = {.lex_state = 26, .external_lex_state = 2},
  [17331] = {.lex_state = 419, .external_lex_state = 2},
  [17332] = {.lex_state = 419, .external_lex_state = 2},
  [17333] = {.lex_state = 18, .external_lex_state = 2},
  [17334] = {.lex_state = 136, .external_lex_state = 2},
  [17335] = {.lex_state = 18, .external_lex_state = 2},
  [17336] = {.lex_state = 11, .external_lex_state = 2},
  [17337] = {.lex_state = 26, .external_lex_state = 2},
  [17338] = {.lex_state = 26, .external_lex_state = 2},
  [17339] = {.lex_state = 419, .external_lex_state = 2},
  [17340] = {.lex_state = 419, .external_lex_state = 2},
  [17341] = {.lex_state = 136, .external_lex_state = 2},
  [17342] = {.lex_state = 419, .external_lex_state = 2},
  [17343] = {.lex_state = 419, .external_lex_state = 2},
  [17344] = {.lex_state = 18, .external_lex_state = 2},
  [17345] = {.lex_state = 419, .external_lex_state = 2},
  [17346] = {.lex_state = 26, .external_lex_state = 2},
  [17347] = {.lex_state = 18, .external_lex_state = 2},
  [17348] = {.lex_state = 26, .external_lex_state = 2},
  [17349] = {.lex_state = 18, .external_lex_state = 2},
  [17350] = {.lex_state = 26, .external_lex_state = 2},
  [17351] = {.lex_state = 419, .external_lex_state = 2},
  [17352] = {.lex_state = 18, .external_lex_state = 2},
  [17353] = {.lex_state = 18, .external_lex_state = 2},
  [17354] = {.lex_state = 18, .external_lex_state = 2},
  [17355] = {.lex_state = 26, .external_lex_state = 2},
  [17356] = {.lex_state = 419, .external_lex_state = 2},
  [17357] = {.lex_state = 419, .external_lex_state = 2},
  [17358] = {.lex_state = 18, .external_lex_state = 2},
  [17359] = {.lex_state = 419, .external_lex_state = 2},
  [17360] = {.lex_state = 18, .external_lex_state = 2},
  [17361] = {.lex_state = 37, .external_lex_state = 2},
  [17362] = {.lex_state = 18, .external_lex_state = 2},
  [17363] = {.lex_state = 18, .external_lex_state = 2},
  [17364] = {.lex_state = 419, .external_lex_state = 2},
  [17365] = {.lex_state = 26, .external_lex_state = 2},
  [17366] = {.lex_state = 419, .external_lex_state = 2},
  [17367] = {.lex_state = 26, .external_lex_state = 2},
  [17368] = {.lex_state = 18, .external_lex_state = 2},
  [17369] = {.lex_state = 419, .external_lex_state = 2},
  [17370] = {.lex_state = 419, .external_lex_state = 2},
  [17371] = {.lex_state = 18, .external_lex_state = 2},
  [17372] = {.lex_state = 26, .external_lex_state = 2},
  [17373] = {.lex_state = 8, .external_lex_state = 2},
  [17374] = {.lex_state = 419, .external_lex_state = 2},
  [17375] = {.lex_state = 419, .external_lex_state = 2},
  [17376] = {.lex_state = 18, .external_lex_state = 2},
  [17377] = {.lex_state = 419, .external_lex_state = 2},
  [17378] = {.lex_state = 419, .external_lex_state = 2},
  [17379] = {.lex_state = 18, .external_lex_state = 2},
  [17380] = {.lex_state = 18, .external_lex_state = 2},
  [17381] = {.lex_state = 136, .external_lex_state = 2},
  [17382] = {.lex_state = 18, .external_lex_state = 2},
  [17383] = {.lex_state = 419, .external_lex_state = 2},
  [17384] = {.lex_state = 18, .external_lex_state = 2},
  [17385] = {.lex_state = 26, .external_lex_state = 2},
  [17386] = {.lex_state = 136, .external_lex_state = 2},
  [17387] = {.lex_state = 26, .external_lex_state = 2},
  [17388] = {.lex_state = 18, .external_lex_state = 2},
  [17389] = {.lex_state = 419, .external_lex_state = 2},
  [17390] = {.lex_state = 419, .external_lex_state = 2},
  [17391] = {.lex_state = 419, .external_lex_state = 2},
  [17392] = {.lex_state = 136, .external_lex_state = 2},
  [17393] = {.lex_state = 26, .external_lex_state = 2},
  [17394] = {.lex_state = 18, .external_lex_state = 2},
  [17395] = {.lex_state = 136, .external_lex_state = 2},
  [17396] = {.lex_state = 419, .external_lex_state = 2},
  [17397] = {.lex_state = 26, .external_lex_state = 2},
  [17398] = {.lex_state = 26, .external_lex_state = 2},
  [17399] = {.lex_state = 419, .external_lex_state = 2},
  [17400] = {.lex_state = 18, .external_lex_state = 2},
  [17401] = {.lex_state = 26, .external_lex_state = 2},
  [17402] = {.lex_state = 419, .external_lex_state = 2},
  [17403] = {.lex_state = 419, .external_lex_state = 2},
  [17404] = {.lex_state = 18, .external_lex_state = 2},
  [17405] = {.lex_state = 26, .external_lex_state = 2},
  [17406] = {.lex_state = 419, .external_lex_state = 2},
  [17407] = {.lex_state = 18, .external_lex_state = 2},
  [17408] = {.lex_state = 18, .external_lex_state = 2},
  [17409] = {.lex_state = 26, .external_lex_state = 2},
  [17410] = {.lex_state = 419, .external_lex_state = 2},
  [17411] = {.lex_state = 26, .external_lex_state = 2},
  [17412] = {.lex_state = 18, .external_lex_state = 2},
  [17413] = {.lex_state = 18, .external_lex_state = 2},
  [17414] = {.lex_state = 26, .external_lex_state = 2},
  [17415] = {.lex_state = 419, .external_lex_state = 2},
  [17416] = {.lex_state = 32, .external_lex_state = 2},
  [17417] = {.lex_state = 26, .external_lex_state = 2},
  [17418] = {.lex_state = 419, .external_lex_state = 2},
  [17419] = {.lex_state = 419, .external_lex_state = 2},
  [17420] = {.lex_state = 419, .external_lex_state = 2},
  [17421] = {.lex_state = 419, .external_lex_state = 2},
  [17422] = {.lex_state = 419, .external_lex_state = 2},
  [17423] = {.lex_state = 419, .external_lex_state = 2},
  [17424] = {.lex_state = 419, .external_lex_state = 2},
  [17425] = {.lex_state = 419, .external_lex_state = 2},
  [17426] = {.lex_state = 419, .external_lex_state = 2},
  [17427] = {.lex_state = 419, .external_lex_state = 2},
  [17428] = {.lex_state = 419, .external_lex_state = 2},
  [17429] = {.lex_state = 26, .external_lex_state = 2},
  [17430] = {.lex_state = 26, .external_lex_state = 2},
  [17431] = {.lex_state = 419, .external_lex_state = 2},
  [17432] = {.lex_state = 419, .external_lex_state = 2},
  [17433] = {.lex_state = 419, .external_lex_state = 2},
  [17434] = {.lex_state = 419, .external_lex_state = 2},
  [17435] = {.lex_state = 419, .external_lex_state = 2},
  [17436] = {.lex_state = 419, .external_lex_state = 2},
  [17437] = {.lex_state = 419, .external_lex_state = 2},
  [17438] = {.lex_state = 419, .external_lex_state = 2},
  [17439] = {.lex_state = 419, .external_lex_state = 2},
  [17440] = {.lex_state = 10, .external_lex_state = 2},
  [17441] = {.lex_state = 419, .external_lex_state = 2},
  [17442] = {.lex_state = 419, .external_lex_state = 2},
  [17443] = {.lex_state = 11, .external_lex_state = 2},
  [17444] = {.lex_state = 419, .external_lex_state = 2},
  [17445] = {.lex_state = 419, .external_lex_state = 2},
  [17446] = {.lex_state = 11, .external_lex_state = 2},
  [17447] = {.lex_state = 419, .external_lex_state = 2},
  [17448] = {.lex_state = 419, .external_lex_state = 2},
  [17449] = {.lex_state = 26, .external_lex_state = 2},
  [17450] = {.lex_state = 419, .external_lex_state = 2},
  [17451] = {.lex_state = 419, .external_lex_state = 2},
  [17452] = {.lex_state = 419, .external_lex_state = 2},
  [17453] = {.lex_state = 419, .external_lex_state = 2},
  [17454] = {.lex_state = 419, .external_lex_state = 2},
  [17455] = {.lex_state = 419, .external_lex_state = 2},
  [17456] = {.lex_state = 419, .external_lex_state = 2},
  [17457] = {.lex_state = 419, .external_lex_state = 2},
  [17458] = {.lex_state = 419, .external_lex_state = 2},
  [17459] = {.lex_state = 11, .external_lex_state = 2},
  [17460] = {.lex_state = 11, .external_lex_state = 2},
  [17461] = {.lex_state = 26, .external_lex_state = 2},
  [17462] = {.lex_state = 419, .external_lex_state = 2},
  [17463] = {.lex_state = 419, .external_lex_state = 2},
  [17464] = {.lex_state = 419, .external_lex_state = 2},
  [17465] = {.lex_state = 419, .external_lex_state = 2},
  [17466] = {.lex_state = 419, .external_lex_state = 2},
  [17467] = {.lex_state = 419, .external_lex_state = 2},
  [17468] = {.lex_state = 11, .external_lex_state = 2},
  [17469] = {.lex_state = 26, .external_lex_state = 2},
  [17470] = {.lex_state = 419, .external_lex_state = 2},
  [17471] = {.lex_state = 11, .external_lex_state = 2},
  [17472] = {.lex_state = 26, .external_lex_state = 2},
  [17473] = {.lex_state = 419, .external_lex_state = 2},
  [17474] = {.lex_state = 11, .external_lex_state = 2},
  [17475] = {.lex_state = 26, .external_lex_state = 2},
  [17476] = {.lex_state = 419, .external_lex_state = 2},
  [17477] = {.lex_state = 419, .external_lex_state = 2},
  [17478] = {.lex_state = 18, .external_lex_state = 2},
  [17479] = {.lex_state = 11, .external_lex_state = 2},
  [17480] = {.lex_state = 419, .external_lex_state = 2},
  [17481] = {.lex_state = 419, .external_lex_state = 2},
  [17482] = {.lex_state = 419, .external_lex_state = 2},
  [17483] = {.lex_state = 11, .external_lex_state = 2},
  [17484] = {.lex_state = 419, .external_lex_state = 2},
  [17485] = {.lex_state = 419, .external_lex_state = 2},
  [17486] = {.lex_state = 419, .external_lex_state = 2},
  [17487] = {.lex_state = 419, .external_lex_state = 2},
  [17488] = {.lex_state = 419, .external_lex_state = 3},
  [17489] = {.lex_state = 419, .external_lex_state = 2},
  [17490] = {.lex_state = 419, .external_lex_state = 2},
  [17491] = {.lex_state = 419, .external_lex_state = 2},
  [17492] = {.lex_state = 419, .external_lex_state = 2},
  [17493] = {.lex_state = 419, .external_lex_state = 2},
  [17494] = {.lex_state = 419, .external_lex_state = 2},
  [17495] = {.lex_state = 419, .external_lex_state = 2},
  [17496] = {.lex_state = 419, .external_lex_state = 2},
  [17497] = {.lex_state = 26, .external_lex_state = 2},
  [17498] = {.lex_state = 419, .external_lex_state = 2},
  [17499] = {.lex_state = 419, .external_lex_state = 2},
  [17500] = {.lex_state = 419, .external_lex_state = 2},
  [17501] = {.lex_state = 419, .external_lex_state = 2},
  [17502] = {.lex_state = 419, .external_lex_state = 2},
  [17503] = {.lex_state = 11, .external_lex_state = 2},
  [17504] = {.lex_state = 419, .external_lex_state = 2},
  [17505] = {.lex_state = 11, .external_lex_state = 2},
  [17506] = {.lex_state = 419, .external_lex_state = 2},
  [17507] = {.lex_state = 419, .external_lex_state = 2},
  [17508] = {.lex_state = 419, .external_lex_state = 2},
  [17509] = {.lex_state = 419, .external_lex_state = 2},
  [17510] = {.lex_state = 11, .external_lex_state = 2},
  [17511] = {.lex_state = 11, .external_lex_state = 2},
  [17512] = {.lex_state = 26, .external_lex_state = 2},
  [17513] = {.lex_state = 26, .external_lex_state = 2},
  [17514] = {.lex_state = 26, .external_lex_state = 2},
  [17515] = {.lex_state = 419, .external_lex_state = 2},
  [17516] = {.lex_state = 419, .external_lex_state = 2},
  [17517] = {.lex_state = 26, .external_lex_state = 2},
  [17518] = {.lex_state = 419, .external_lex_state = 2},
  [17519] = {.lex_state = 26, .external_lex_state = 2},
  [17520] = {.lex_state = 419, .external_lex_state = 2},
  [17521] = {.lex_state = 419, .external_lex_state = 2},
  [17522] = {.lex_state = 419, .external_lex_state = 2},
  [17523] = {.lex_state = 419, .external_lex_state = 2},
  [17524] = {.lex_state = 419, .external_lex_state = 2},
  [17525] = {.lex_state = 419, .external_lex_state = 2},
  [17526] = {.lex_state = 11, .external_lex_state = 2},
  [17527] = {.lex_state = 419, .external_lex_state = 2},
  [17528] = {.lex_state = 419, .external_lex_state = 2},
  [17529] = {.lex_state = 26, .external_lex_state = 2},
  [17530] = {.lex_state = 26, .external_lex_state = 2},
  [17531] = {.lex_state = 26, .external_lex_state = 2},
  [17532] = {.lex_state = 419, .external_lex_state = 2},
  [17533] = {.lex_state = 419, .external_lex_state = 2},
  [17534] = {.lex_state = 26, .external_lex_state = 2},
  [17535] = {.lex_state = 26, .external_lex_state = 2},
  [17536] = {.lex_state = 11, .external_lex_state = 2},
  [17537] = {.lex_state = 11, .external_lex_state = 2},
  [17538] = {.lex_state = 419, .external_lex_state = 2},
  [17539] = {.lex_state = 11, .external_lex_state = 2},
  [17540] = {.lex_state = 419, .external_lex_state = 2},
  [17541] = {.lex_state = 419, .external_lex_state = 2},
  [17542] = {.lex_state = 419, .external_lex_state = 2},
  [17543] = {.lex_state = 26, .external_lex_state = 2},
  [17544] = {.lex_state = 419, .external_lex_state = 2},
  [17545] = {.lex_state = 419, .external_lex_state = 2},
  [17546] = {.lex_state = 419, .external_lex_state = 2},
  [17547] = {.lex_state = 419, .external_lex_state = 2},
  [17548] = {.lex_state = 419, .external_lex_state = 2},
  [17549] = {.lex_state = 11, .external_lex_state = 2},
  [17550] = {.lex_state = 419, .external_lex_state = 2},
  [17551] = {.lex_state = 419, .external_lex_state = 2},
  [17552] = {.lex_state = 11, .external_lex_state = 2},
  [17553] = {.lex_state = 419, .external_lex_state = 2},
  [17554] = {.lex_state = 419, .external_lex_state = 2},
  [17555] = {.lex_state = 11, .external_lex_state = 2},
  [17556] = {.lex_state = 419, .external_lex_state = 2},
  [17557] = {.lex_state = 26, .external_lex_state = 2},
  [17558] = {.lex_state = 419, .external_lex_state = 2},
  [17559] = {.lex_state = 419, .external_lex_state = 2},
  [17560] = {.lex_state = 419, .external_lex_state = 2},
  [17561] = {.lex_state = 419, .external_lex_state = 2},
  [17562] = {.lex_state = 239, .external_lex_state = 2},
  [17563] = {.lex_state = 11, .external_lex_state = 2},
  [17564] = {.lex_state = 419, .external_lex_state = 2},
  [17565] = {.lex_state = 419, .external_lex_state = 2},
  [17566] = {.lex_state = 419, .external_lex_state = 9},
  [17567] = {.lex_state = 11, .external_lex_state = 2},
  [17568] = {.lex_state = 419, .external_lex_state = 2},
  [17569] = {.lex_state = 419, .external_lex_state = 2},
  [17570] = {.lex_state = 18, .external_lex_state = 2},
  [17571] = {.lex_state = 10, .external_lex_state = 2},
  [17572] = {.lex_state = 419, .external_lex_state = 3},
  [17573] = {.lex_state = 26, .external_lex_state = 2},
  [17574] = {.lex_state = 419, .external_lex_state = 2},
  [17575] = {.lex_state = 419, .external_lex_state = 2},
  [17576] = {.lex_state = 419, .external_lex_state = 2},
  [17577] = {.lex_state = 419, .external_lex_state = 2},
  [17578] = {.lex_state = 419, .external_lex_state = 2},
  [17579] = {.lex_state = 18, .external_lex_state = 2},
  [17580] = {.lex_state = 419, .external_lex_state = 2},
  [17581] = {.lex_state = 10, .external_lex_state = 2},
  [17582] = {.lex_state = 419, .external_lex_state = 2},
  [17583] = {.lex_state = 419, .external_lex_state = 2},
  [17584] = {.lex_state = 419, .external_lex_state = 2},
  [17585] = {.lex_state = 419, .external_lex_state = 2},
  [17586] = {.lex_state = 26, .external_lex_state = 2},
  [17587] = {.lex_state = 419, .external_lex_state = 2},
  [17588] = {.lex_state = 419, .external_lex_state = 2},
  [17589] = {.lex_state = 26, .external_lex_state = 2},
  [17590] = {.lex_state = 26, .external_lex_state = 2},
  [17591] = {.lex_state = 11, .external_lex_state = 2},
  [17592] = {.lex_state = 419, .external_lex_state = 2},
  [17593] = {.lex_state = 419, .external_lex_state = 2},
  [17594] = {.lex_state = 419, .external_lex_state = 2},
  [17595] = {.lex_state = 419, .external_lex_state = 2},
  [17596] = {.lex_state = 419, .external_lex_state = 2},
  [17597] = {.lex_state = 419, .external_lex_state = 2},
  [17598] = {.lex_state = 419, .external_lex_state = 2},
  [17599] = {.lex_state = 419, .external_lex_state = 2},
  [17600] = {.lex_state = 10, .external_lex_state = 2},
  [17601] = {.lex_state = 419, .external_lex_state = 2},
  [17602] = {.lex_state = 10, .external_lex_state = 2},
  [17603] = {.lex_state = 419, .external_lex_state = 3},
  [17604] = {.lex_state = 419, .external_lex_state = 3},
  [17605] = {.lex_state = 419, .external_lex_state = 3},
  [17606] = {.lex_state = 419, .external_lex_state = 2},
  [17607] = {.lex_state = 419, .external_lex_state = 2},
  [17608] = {.lex_state = 419, .external_lex_state = 2},
  [17609] = {.lex_state = 10, .external_lex_state = 2},
  [17610] = {.lex_state = 18, .external_lex_state = 2},
  [17611] = {.lex_state = 419, .external_lex_state = 2},
  [17612] = {.lex_state = 419, .external_lex_state = 2},
  [17613] = {.lex_state = 419, .external_lex_state = 2},
  [17614] = {.lex_state = 419, .external_lex_state = 2},
  [17615] = {.lex_state = 10, .external_lex_state = 2},
  [17616] = {.lex_state = 419, .external_lex_state = 2},
  [17617] = {.lex_state = 419, .external_lex_state = 2},
  [17618] = {.lex_state = 419, .external_lex_state = 3},
  [17619] = {.lex_state = 419, .external_lex_state = 2},
  [17620] = {.lex_state = 419, .external_lex_state = 2},
  [17621] = {.lex_state = 419, .external_lex_state = 2},
  [17622] = {.lex_state = 419, .external_lex_state = 2},
  [17623] = {.lex_state = 18, .external_lex_state = 2},
  [17624] = {.lex_state = 419, .external_lex_state = 2},
  [17625] = {.lex_state = 419, .external_lex_state = 2},
  [17626] = {.lex_state = 26, .external_lex_state = 2},
  [17627] = {.lex_state = 419, .external_lex_state = 2},
  [17628] = {.lex_state = 26, .external_lex_state = 2},
  [17629] = {.lex_state = 419, .external_lex_state = 2},
  [17630] = {.lex_state = 419, .external_lex_state = 2},
  [17631] = {.lex_state = 419, .external_lex_state = 2},
  [17632] = {.lex_state = 419, .external_lex_state = 2},
  [17633] = {.lex_state = 419, .external_lex_state = 2},
  [17634] = {.lex_state = 419, .external_lex_state = 2},
  [17635] = {.lex_state = 419, .external_lex_state = 2},
  [17636] = {.lex_state = 26, .external_lex_state = 2},
  [17637] = {.lex_state = 419, .external_lex_state = 2},
  [17638] = {.lex_state = 26, .external_lex_state = 2},
  [17639] = {.lex_state = 26, .external_lex_state = 2},
  [17640] = {.lex_state = 18, .external_lex_state = 2},
  [17641] = {.lex_state = 419, .external_lex_state = 2},
  [17642] = {.lex_state = 419, .external_lex_state = 2},
  [17643] = {.lex_state = 419, .external_lex_state = 2},
  [17644] = {.lex_state = 419, .external_lex_state = 2},
  [17645] = {.lex_state = 419, .external_lex_state = 2},
  [17646] = {.lex_state = 419, .external_lex_state = 2},
  [17647] = {.lex_state = 419, .external_lex_state = 2},
  [17648] = {.lex_state = 419, .external_lex_state = 2},
  [17649] = {.lex_state = 419, .external_lex_state = 2},
  [17650] = {.lex_state = 419, .external_lex_state = 2},
  [17651] = {.lex_state = 26, .external_lex_state = 2},
  [17652] = {.lex_state = 26, .external_lex_state = 2},
  [17653] = {.lex_state = 419, .external_lex_state = 2},
  [17654] = {.lex_state = 419, .external_lex_state = 2},
  [17655] = {.lex_state = 419, .external_lex_state = 2},
  [17656] = {.lex_state = 419, .external_lex_state = 2},
  [17657] = {.lex_state = 26, .external_lex_state = 2},
  [17658] = {.lex_state = 419, .external_lex_state = 2},
  [17659] = {.lex_state = 419, .external_lex_state = 2},
  [17660] = {.lex_state = 10, .external_lex_state = 2},
  [17661] = {.lex_state = 419, .external_lex_state = 2},
  [17662] = {.lex_state = 419, .external_lex_state = 2},
  [17663] = {.lex_state = 419, .external_lex_state = 2},
  [17664] = {.lex_state = 419, .external_lex_state = 2},
  [17665] = {.lex_state = 419, .external_lex_state = 2},
  [17666] = {.lex_state = 419, .external_lex_state = 2},
  [17667] = {.lex_state = 419, .external_lex_state = 2},
  [17668] = {.lex_state = 419, .external_lex_state = 2},
  [17669] = {.lex_state = 26, .external_lex_state = 2},
  [17670] = {.lex_state = 419, .external_lex_state = 2},
  [17671] = {.lex_state = 419, .external_lex_state = 3},
  [17672] = {.lex_state = 419, .external_lex_state = 2},
  [17673] = {.lex_state = 419, .external_lex_state = 2},
  [17674] = {.lex_state = 419, .external_lex_state = 2},
  [17675] = {.lex_state = 419, .external_lex_state = 2},
  [17676] = {.lex_state = 419, .external_lex_state = 2},
  [17677] = {.lex_state = 419, .external_lex_state = 2},
  [17678] = {.lex_state = 26, .external_lex_state = 2},
  [17679] = {.lex_state = 26, .external_lex_state = 2},
  [17680] = {.lex_state = 26, .external_lex_state = 2},
  [17681] = {.lex_state = 18, .external_lex_state = 2},
  [17682] = {.lex_state = 419, .external_lex_state = 2},
  [17683] = {.lex_state = 419, .external_lex_state = 2},
  [17684] = {.lex_state = 419, .external_lex_state = 2},
  [17685] = {.lex_state = 419, .external_lex_state = 2},
  [17686] = {.lex_state = 419, .external_lex_state = 2},
  [17687] = {.lex_state = 419, .external_lex_state = 2},
  [17688] = {.lex_state = 419, .external_lex_state = 2},
  [17689] = {.lex_state = 419, .external_lex_state = 2},
  [17690] = {.lex_state = 419, .external_lex_state = 2},
  [17691] = {.lex_state = 419, .external_lex_state = 2},
  [17692] = {.lex_state = 419, .external_lex_state = 2},
  [17693] = {.lex_state = 419, .external_lex_state = 2},
  [17694] = {.lex_state = 419, .external_lex_state = 2},
  [17695] = {.lex_state = 419, .external_lex_state = 2},
  [17696] = {.lex_state = 419, .external_lex_state = 2},
  [17697] = {.lex_state = 11, .external_lex_state = 2},
  [17698] = {.lex_state = 419, .external_lex_state = 2},
  [17699] = {.lex_state = 419, .external_lex_state = 2},
  [17700] = {.lex_state = 26, .external_lex_state = 2},
  [17701] = {.lex_state = 419, .external_lex_state = 2},
  [17702] = {.lex_state = 419, .external_lex_state = 2},
  [17703] = {.lex_state = 419, .external_lex_state = 2},
  [17704] = {.lex_state = 419, .external_lex_state = 2},
  [17705] = {.lex_state = 419, .external_lex_state = 2},
  [17706] = {.lex_state = 26, .external_lex_state = 2},
  [17707] = {.lex_state = 26, .external_lex_state = 2},
  [17708] = {.lex_state = 419, .external_lex_state = 2},
  [17709] = {.lex_state = 26, .external_lex_state = 2},
  [17710] = {.lex_state = 419, .external_lex_state = 2},
  [17711] = {.lex_state = 419, .external_lex_state = 2},
  [17712] = {.lex_state = 419, .external_lex_state = 2},
  [17713] = {.lex_state = 419, .external_lex_state = 2},
  [17714] = {.lex_state = 419, .external_lex_state = 2},
  [17715] = {.lex_state = 419, .external_lex_state = 2},
  [17716] = {.lex_state = 419, .external_lex_state = 2},
  [17717] = {.lex_state = 419, .external_lex_state = 2},
  [17718] = {.lex_state = 419, .external_lex_state = 2},
  [17719] = {.lex_state = 419, .external_lex_state = 2},
  [17720] = {.lex_state = 419, .external_lex_state = 2},
  [17721] = {.lex_state = 26, .external_lex_state = 2},
  [17722] = {.lex_state = 18, .external_lex_state = 2},
  [17723] = {.lex_state = 419, .external_lex_state = 2},
  [17724] = {.lex_state = 419, .external_lex_state = 2},
  [17725] = {.lex_state = 419, .external_lex_state = 2},
  [17726] = {.lex_state = 419, .external_lex_state = 2},
  [17727] = {.lex_state = 419, .external_lex_state = 2},
  [17728] = {.lex_state = 419, .external_lex_state = 2},
  [17729] = {.lex_state = 419, .external_lex_state = 2},
  [17730] = {.lex_state = 419, .external_lex_state = 2},
  [17731] = {.lex_state = 419, .external_lex_state = 2},
  [17732] = {.lex_state = 11, .external_lex_state = 2},
  [17733] = {.lex_state = 26, .external_lex_state = 2},
  [17734] = {.lex_state = 26, .external_lex_state = 2},
  [17735] = {.lex_state = 18, .external_lex_state = 2},
  [17736] = {.lex_state = 419, .external_lex_state = 2},
  [17737] = {.lex_state = 419, .external_lex_state = 2},
  [17738] = {.lex_state = 419, .external_lex_state = 2},
  [17739] = {.lex_state = 419, .external_lex_state = 2},
  [17740] = {.lex_state = 419, .external_lex_state = 2},
  [17741] = {.lex_state = 11, .external_lex_state = 2},
  [17742] = {.lex_state = 419, .external_lex_state = 2},
  [17743] = {.lex_state = 419, .external_lex_state = 2},
  [17744] = {.lex_state = 26, .external_lex_state = 2},
  [17745] = {.lex_state = 419, .external_lex_state = 2},
  [17746] = {.lex_state = 26, .external_lex_state = 2},
  [17747] = {.lex_state = 419, .external_lex_state = 2},
  [17748] = {.lex_state = 419, .external_lex_state = 2},
  [17749] = {.lex_state = 419, .external_lex_state = 2},
  [17750] = {.lex_state = 419, .external_lex_state = 2},
  [17751] = {.lex_state = 419, .external_lex_state = 2},
  [17752] = {.lex_state = 419, .external_lex_state = 2},
  [17753] = {.lex_state = 419, .external_lex_state = 2},
  [17754] = {.lex_state = 419, .external_lex_state = 2},
  [17755] = {.lex_state = 419, .external_lex_state = 2},
  [17756] = {.lex_state = 419, .external_lex_state = 2},
  [17757] = {.lex_state = 419, .external_lex_state = 2},
  [17758] = {.lex_state = 419, .external_lex_state = 2},
  [17759] = {.lex_state = 419, .external_lex_state = 2},
  [17760] = {.lex_state = 11, .external_lex_state = 2},
  [17761] = {.lex_state = 419, .external_lex_state = 2},
  [17762] = {.lex_state = 419, .external_lex_state = 2},
  [17763] = {.lex_state = 419, .external_lex_state = 2},
  [17764] = {.lex_state = 419, .external_lex_state = 2},
  [17765] = {.lex_state = 26, .external_lex_state = 2},
  [17766] = {.lex_state = 26, .external_lex_state = 2},
  [17767] = {.lex_state = 419, .external_lex_state = 2},
  [17768] = {.lex_state = 26, .external_lex_state = 2},
  [17769] = {.lex_state = 419, .external_lex_state = 2},
  [17770] = {.lex_state = 419, .external_lex_state = 2},
  [17771] = {.lex_state = 419, .external_lex_state = 2},
  [17772] = {.lex_state = 419, .external_lex_state = 2},
  [17773] = {.lex_state = 26, .external_lex_state = 2},
  [17774] = {.lex_state = 419, .external_lex_state = 2},
  [17775] = {.lex_state = 419, .external_lex_state = 2},
  [17776] = {.lex_state = 419, .external_lex_state = 2},
  [17777] = {.lex_state = 419, .external_lex_state = 2},
  [17778] = {.lex_state = 419, .external_lex_state = 2},
  [17779] = {.lex_state = 11, .external_lex_state = 2},
  [17780] = {.lex_state = 11, .external_lex_state = 2},
  [17781] = {.lex_state = 11, .external_lex_state = 2},
  [17782] = {.lex_state = 26, .external_lex_state = 2},
  [17783] = {.lex_state = 419, .external_lex_state = 2},
  [17784] = {.lex_state = 419, .external_lex_state = 2},
  [17785] = {.lex_state = 26, .external_lex_state = 2},
  [17786] = {.lex_state = 419, .external_lex_state = 2},
  [17787] = {.lex_state = 419, .external_lex_state = 2},
  [17788] = {.lex_state = 419, .external_lex_state = 2},
  [17789] = {.lex_state = 419, .external_lex_state = 2},
  [17790] = {.lex_state = 419, .external_lex_state = 2},
  [17791] = {.lex_state = 419, .external_lex_state = 2},
  [17792] = {.lex_state = 419, .external_lex_state = 2},
  [17793] = {.lex_state = 419, .external_lex_state = 2},
  [17794] = {.lex_state = 419, .external_lex_state = 2},
  [17795] = {.lex_state = 11, .external_lex_state = 2},
  [17796] = {.lex_state = 419, .external_lex_state = 2},
  [17797] = {.lex_state = 11, .external_lex_state = 2},
  [17798] = {.lex_state = 419, .external_lex_state = 2},
  [17799] = {.lex_state = 419, .external_lex_state = 2},
  [17800] = {.lex_state = 419, .external_lex_state = 2},
  [17801] = {.lex_state = 419, .external_lex_state = 2},
  [17802] = {.lex_state = 419, .external_lex_state = 2},
  [17803] = {.lex_state = 419, .external_lex_state = 2},
  [17804] = {.lex_state = 419, .external_lex_state = 2},
  [17805] = {.lex_state = 419, .external_lex_state = 2},
  [17806] = {.lex_state = 419, .external_lex_state = 2},
  [17807] = {.lex_state = 26, .external_lex_state = 2},
  [17808] = {.lex_state = 26, .external_lex_state = 2},
  [17809] = {.lex_state = 419, .external_lex_state = 2},
  [17810] = {.lex_state = 419, .external_lex_state = 2},
  [17811] = {.lex_state = 419, .external_lex_state = 2},
  [17812] = {.lex_state = 419, .external_lex_state = 2},
  [17813] = {.lex_state = 419, .external_lex_state = 2},
  [17814] = {.lex_state = 419, .external_lex_state = 2},
  [17815] = {.lex_state = 419, .external_lex_state = 2},
  [17816] = {.lex_state = 419, .external_lex_state = 2},
  [17817] = {.lex_state = 419, .external_lex_state = 2},
  [17818] = {.lex_state = 26, .external_lex_state = 2},
  [17819] = {.lex_state = 419, .external_lex_state = 2},
  [17820] = {.lex_state = 419, .external_lex_state = 2},
  [17821] = {.lex_state = 10, .external_lex_state = 2},
  [17822] = {.lex_state = 419, .external_lex_state = 2},
  [17823] = {.lex_state = 419, .external_lex_state = 2},
  [17824] = {.lex_state = 419, .external_lex_state = 2},
  [17825] = {.lex_state = 419, .external_lex_state = 3},
  [17826] = {.lex_state = 419, .external_lex_state = 2},
  [17827] = {.lex_state = 419, .external_lex_state = 2},
  [17828] = {.lex_state = 419, .external_lex_state = 2},
  [17829] = {.lex_state = 419, .external_lex_state = 2},
  [17830] = {.lex_state = 419, .external_lex_state = 2},
  [17831] = {.lex_state = 419, .external_lex_state = 2},
  [17832] = {.lex_state = 26, .external_lex_state = 2},
  [17833] = {.lex_state = 419, .external_lex_state = 2},
  [17834] = {.lex_state = 18, .external_lex_state = 2},
  [17835] = {.lex_state = 26, .external_lex_state = 2},
  [17836] = {.lex_state = 419, .external_lex_state = 2},
  [17837] = {.lex_state = 419, .external_lex_state = 2},
  [17838] = {.lex_state = 419, .external_lex_state = 2},
  [17839] = {.lex_state = 419, .external_lex_state = 2},
  [17840] = {.lex_state = 26, .external_lex_state = 2},
  [17841] = {.lex_state = 11, .external_lex_state = 2},
  [17842] = {.lex_state = 11, .external_lex_state = 2},
  [17843] = {.lex_state = 11, .external_lex_state = 2},
  [17844] = {.lex_state = 419, .external_lex_state = 2},
  [17845] = {.lex_state = 419, .external_lex_state = 2},
  [17846] = {.lex_state = 419, .external_lex_state = 2},
  [17847] = {.lex_state = 419, .external_lex_state = 2},
  [17848] = {.lex_state = 419, .external_lex_state = 2},
  [17849] = {.lex_state = 419, .external_lex_state = 2},
  [17850] = {.lex_state = 26, .external_lex_state = 2},
  [17851] = {.lex_state = 26, .external_lex_state = 2},
  [17852] = {.lex_state = 26, .external_lex_state = 2},
  [17853] = {.lex_state = 419, .external_lex_state = 2},
  [17854] = {.lex_state = 419, .external_lex_state = 2},
  [17855] = {.lex_state = 11, .external_lex_state = 2},
  [17856] = {.lex_state = 419, .external_lex_state = 2},
  [17857] = {.lex_state = 419, .external_lex_state = 2},
  [17858] = {.lex_state = 26, .external_lex_state = 2},
  [17859] = {.lex_state = 419, .external_lex_state = 2},
  [17860] = {.lex_state = 419, .external_lex_state = 2},
  [17861] = {.lex_state = 26, .external_lex_state = 2},
  [17862] = {.lex_state = 419, .external_lex_state = 2},
  [17863] = {.lex_state = 419, .external_lex_state = 2},
  [17864] = {.lex_state = 419, .external_lex_state = 2},
  [17865] = {.lex_state = 419, .external_lex_state = 2},
  [17866] = {.lex_state = 419, .external_lex_state = 2},
  [17867] = {.lex_state = 419, .external_lex_state = 2},
  [17868] = {.lex_state = 26, .external_lex_state = 2},
  [17869] = {.lex_state = 419, .external_lex_state = 2},
  [17870] = {.lex_state = 419, .external_lex_state = 2},
  [17871] = {.lex_state = 419, .external_lex_state = 2},
  [17872] = {.lex_state = 419, .external_lex_state = 2},
  [17873] = {.lex_state = 419, .external_lex_state = 2},
  [17874] = {.lex_state = 419, .external_lex_state = 2},
  [17875] = {.lex_state = 419, .external_lex_state = 2},
  [17876] = {.lex_state = 419, .external_lex_state = 2},
  [17877] = {.lex_state = 419, .external_lex_state = 2},
  [17878] = {.lex_state = 419, .external_lex_state = 2},
  [17879] = {.lex_state = 419, .external_lex_state = 2},
  [17880] = {.lex_state = 419, .external_lex_state = 2},
  [17881] = {.lex_state = 419, .external_lex_state = 2},
  [17882] = {.lex_state = 419, .external_lex_state = 2},
  [17883] = {.lex_state = 419, .external_lex_state = 2},
  [17884] = {.lex_state = 26, .external_lex_state = 2},
  [17885] = {.lex_state = 419, .external_lex_state = 2},
  [17886] = {.lex_state = 419, .external_lex_state = 2},
  [17887] = {.lex_state = 419, .external_lex_state = 2},
  [17888] = {.lex_state = 419, .external_lex_state = 2},
  [17889] = {.lex_state = 419, .external_lex_state = 2},
  [17890] = {.lex_state = 419, .external_lex_state = 2},
  [17891] = {.lex_state = 10, .external_lex_state = 2},
  [17892] = {.lex_state = 419, .external_lex_state = 2},
  [17893] = {.lex_state = 419, .external_lex_state = 3},
  [17894] = {.lex_state = 26, .external_lex_state = 2},
  [17895] = {.lex_state = 419, .external_lex_state = 2},
  [17896] = {.lex_state = 419, .external_lex_state = 2},
  [17897] = {.lex_state = 18, .external_lex_state = 2},
  [17898] = {.lex_state = 419, .external_lex_state = 2},
  [17899] = {.lex_state = 419, .external_lex_state = 2},
  [17900] = {.lex_state = 419, .external_lex_state = 2},
  [17901] = {.lex_state = 419, .external_lex_state = 2},
  [17902] = {.lex_state = 419, .external_lex_state = 2},
  [17903] = {.lex_state = 419, .external_lex_state = 2},
  [17904] = {.lex_state = 419, .external_lex_state = 2},
  [17905] = {.lex_state = 26, .external_lex_state = 2},
  [17906] = {.lex_state = 419, .external_lex_state = 2},
  [17907] = {.lex_state = 419, .external_lex_state = 2},
  [17908] = {.lex_state = 419, .external_lex_state = 2},
  [17909] = {.lex_state = 419, .external_lex_state = 2},
  [17910] = {.lex_state = 419, .external_lex_state = 2},
  [17911] = {.lex_state = 419, .external_lex_state = 2},
  [17912] = {.lex_state = 419, .external_lex_state = 2},
  [17913] = {.lex_state = 26, .external_lex_state = 2},
  [17914] = {.lex_state = 11, .external_lex_state = 2},
  [17915] = {.lex_state = 419, .external_lex_state = 2},
  [17916] = {.lex_state = 419, .external_lex_state = 2},
  [17917] = {.lex_state = 26, .external_lex_state = 2},
  [17918] = {.lex_state = 419, .external_lex_state = 2},
  [17919] = {.lex_state = 419, .external_lex_state = 2},
  [17920] = {.lex_state = 419, .external_lex_state = 2},
  [17921] = {.lex_state = 419, .external_lex_state = 2},
  [17922] = {.lex_state = 419, .external_lex_state = 2},
  [17923] = {.lex_state = 419, .external_lex_state = 2},
  [17924] = {.lex_state = 26, .external_lex_state = 2},
  [17925] = {.lex_state = 419, .external_lex_state = 2},
  [17926] = {.lex_state = 419, .external_lex_state = 2},
  [17927] = {.lex_state = 419, .external_lex_state = 2},
  [17928] = {.lex_state = 11, .external_lex_state = 2},
  [17929] = {.lex_state = 419, .external_lex_state = 2},
  [17930] = {.lex_state = 419, .external_lex_state = 2},
  [17931] = {.lex_state = 419, .external_lex_state = 2},
  [17932] = {.lex_state = 419, .external_lex_state = 2},
  [17933] = {.lex_state = 419, .external_lex_state = 2},
  [17934] = {.lex_state = 419, .external_lex_state = 2},
  [17935] = {.lex_state = 26, .external_lex_state = 2},
  [17936] = {.lex_state = 419, .external_lex_state = 2},
  [17937] = {.lex_state = 419, .external_lex_state = 2},
  [17938] = {.lex_state = 11, .external_lex_state = 2},
  [17939] = {.lex_state = 419, .external_lex_state = 2},
  [17940] = {.lex_state = 419, .external_lex_state = 2},
  [17941] = {.lex_state = 419, .external_lex_state = 2},
  [17942] = {.lex_state = 11, .external_lex_state = 2},
  [17943] = {.lex_state = 419, .external_lex_state = 2},
  [17944] = {.lex_state = 419, .external_lex_state = 2},
  [17945] = {.lex_state = 419, .external_lex_state = 2},
  [17946] = {.lex_state = 419, .external_lex_state = 2},
  [17947] = {.lex_state = 26, .external_lex_state = 2},
  [17948] = {.lex_state = 26, .external_lex_state = 2},
  [17949] = {.lex_state = 419, .external_lex_state = 2},
  [17950] = {.lex_state = 18, .external_lex_state = 2},
  [17951] = {.lex_state = 419, .external_lex_state = 2},
  [17952] = {.lex_state = 419, .external_lex_state = 2},
  [17953] = {.lex_state = 419, .external_lex_state = 2},
  [17954] = {.lex_state = 419, .external_lex_state = 2},
  [17955] = {.lex_state = 419, .external_lex_state = 2},
  [17956] = {.lex_state = 419, .external_lex_state = 2},
  [17957] = {.lex_state = 419, .external_lex_state = 2},
  [17958] = {.lex_state = 419, .external_lex_state = 2},
  [17959] = {.lex_state = 26, .external_lex_state = 2},
  [17960] = {.lex_state = 419, .external_lex_state = 2},
  [17961] = {.lex_state = 419, .external_lex_state = 2},
  [17962] = {.lex_state = 26, .external_lex_state = 2},
  [17963] = {.lex_state = 419, .external_lex_state = 2},
  [17964] = {.lex_state = 419, .external_lex_state = 2},
  [17965] = {.lex_state = 419, .external_lex_state = 2},
  [17966] = {.lex_state = 419, .external_lex_state = 2},
  [17967] = {.lex_state = 419, .external_lex_state = 2},
  [17968] = {.lex_state = 419, .external_lex_state = 2},
  [17969] = {.lex_state = 11, .external_lex_state = 2},
  [17970] = {.lex_state = 419, .external_lex_state = 2},
  [17971] = {.lex_state = 419, .external_lex_state = 2},
  [17972] = {.lex_state = 419, .external_lex_state = 2},
  [17973] = {.lex_state = 419, .external_lex_state = 2},
  [17974] = {.lex_state = 419, .external_lex_state = 2},
  [17975] = {.lex_state = 419, .external_lex_state = 2},
  [17976] = {.lex_state = 26, .external_lex_state = 2},
  [17977] = {.lex_state = 26, .external_lex_state = 2},
  [17978] = {.lex_state = 419, .external_lex_state = 2},
  [17979] = {.lex_state = 419, .external_lex_state = 2},
  [17980] = {.lex_state = 11, .external_lex_state = 2},
  [17981] = {.lex_state = 419, .external_lex_state = 2},
  [17982] = {.lex_state = 419, .external_lex_state = 2},
  [17983] = {.lex_state = 419, .external_lex_state = 2},
  [17984] = {.lex_state = 11, .external_lex_state = 2},
  [17985] = {.lex_state = 419, .external_lex_state = 2},
  [17986] = {.lex_state = 419, .external_lex_state = 2},
  [17987] = {.lex_state = 419, .external_lex_state = 2},
  [17988] = {.lex_state = 11, .external_lex_state = 2},
  [17989] = {.lex_state = 419, .external_lex_state = 2},
  [17990] = {.lex_state = 419, .external_lex_state = 2},
  [17991] = {.lex_state = 419, .external_lex_state = 2},
  [17992] = {.lex_state = 10, .external_lex_state = 2},
  [17993] = {.lex_state = 26, .external_lex_state = 2},
  [17994] = {.lex_state = 26, .external_lex_state = 2},
  [17995] = {.lex_state = 26, .external_lex_state = 2},
  [17996] = {.lex_state = 419, .external_lex_state = 2},
  [17997] = {.lex_state = 26, .external_lex_state = 2},
  [17998] = {.lex_state = 26, .external_lex_state = 2},
  [17999] = {.lex_state = 419, .external_lex_state = 2},
  [18000] = {.lex_state = 419, .external_lex_state = 2},
  [18001] = {.lex_state = 11, .external_lex_state = 2},
  [18002] = {.lex_state = 419, .external_lex_state = 2},
  [18003] = {.lex_state = 419, .external_lex_state = 2},
  [18004] = {.lex_state = 419, .external_lex_state = 2},
  [18005] = {.lex_state = 419, .external_lex_state = 2},
  [18006] = {.lex_state = 419, .external_lex_state = 2},
  [18007] = {.lex_state = 419, .external_lex_state = 2},
  [18008] = {.lex_state = 419, .external_lex_state = 2},
  [18009] = {.lex_state = 419, .external_lex_state = 2},
  [18010] = {.lex_state = 11, .external_lex_state = 2},
  [18011] = {.lex_state = 11, .external_lex_state = 2},
  [18012] = {.lex_state = 11, .external_lex_state = 2},
  [18013] = {.lex_state = 11, .external_lex_state = 2},
  [18014] = {.lex_state = 419, .external_lex_state = 2},
  [18015] = {.lex_state = 26, .external_lex_state = 2},
  [18016] = {.lex_state = 419, .external_lex_state = 2},
  [18017] = {.lex_state = 11, .external_lex_state = 2},
  [18018] = {.lex_state = 419, .external_lex_state = 2},
  [18019] = {.lex_state = 419, .external_lex_state = 2},
  [18020] = {.lex_state = 419, .external_lex_state = 2},
  [18021] = {.lex_state = 419, .external_lex_state = 2},
  [18022] = {.lex_state = 419, .external_lex_state = 2},
  [18023] = {.lex_state = 419, .external_lex_state = 2},
  [18024] = {.lex_state = 419, .external_lex_state = 2},
  [18025] = {.lex_state = 11, .external_lex_state = 2},
  [18026] = {.lex_state = 11, .external_lex_state = 2},
  [18027] = {.lex_state = 26, .external_lex_state = 2},
  [18028] = {.lex_state = 419, .external_lex_state = 2},
  [18029] = {.lex_state = 10, .external_lex_state = 2},
  [18030] = {.lex_state = 11, .external_lex_state = 2},
  [18031] = {.lex_state = 419, .external_lex_state = 2},
  [18032] = {.lex_state = 419, .external_lex_state = 2},
  [18033] = {.lex_state = 419, .external_lex_state = 2},
  [18034] = {.lex_state = 26, .external_lex_state = 2},
  [18035] = {.lex_state = 11, .external_lex_state = 2},
  [18036] = {.lex_state = 419, .external_lex_state = 2},
  [18037] = {.lex_state = 419, .external_lex_state = 2},
  [18038] = {.lex_state = 419, .external_lex_state = 2},
  [18039] = {.lex_state = 26, .external_lex_state = 2},
  [18040] = {.lex_state = 419, .external_lex_state = 2},
  [18041] = {.lex_state = 419, .external_lex_state = 2},
  [18042] = {.lex_state = 419, .external_lex_state = 2},
  [18043] = {.lex_state = 419, .external_lex_state = 2},
  [18044] = {.lex_state = 10, .external_lex_state = 2},
  [18045] = {.lex_state = 419, .external_lex_state = 2},
  [18046] = {.lex_state = 419, .external_lex_state = 2},
  [18047] = {.lex_state = 419, .external_lex_state = 2},
  [18048] = {.lex_state = 419, .external_lex_state = 2},
  [18049] = {.lex_state = 419, .external_lex_state = 2},
  [18050] = {.lex_state = 419, .external_lex_state = 2},
  [18051] = {.lex_state = 419, .external_lex_state = 2},
  [18052] = {.lex_state = 419, .external_lex_state = 2},
  [18053] = {.lex_state = 419, .external_lex_state = 3},
  [18054] = {.lex_state = 419, .external_lex_state = 2},
  [18055] = {.lex_state = 419, .external_lex_state = 2},
  [18056] = {.lex_state = 419, .external_lex_state = 2},
  [18057] = {.lex_state = 419, .external_lex_state = 2},
  [18058] = {.lex_state = 419, .external_lex_state = 2},
  [18059] = {.lex_state = 419, .external_lex_state = 2},
  [18060] = {.lex_state = 419, .external_lex_state = 2},
  [18061] = {.lex_state = 10, .external_lex_state = 2},
  [18062] = {.lex_state = 26, .external_lex_state = 2},
  [18063] = {.lex_state = 419, .external_lex_state = 2},
  [18064] = {.lex_state = 419, .external_lex_state = 2},
  [18065] = {.lex_state = 419, .external_lex_state = 2},
  [18066] = {.lex_state = 419, .external_lex_state = 3},
  [18067] = {.lex_state = 11, .external_lex_state = 2},
  [18068] = {.lex_state = 419, .external_lex_state = 2},
  [18069] = {.lex_state = 419, .external_lex_state = 2},
  [18070] = {.lex_state = 18, .external_lex_state = 2},
  [18071] = {.lex_state = 419, .external_lex_state = 2},
  [18072] = {.lex_state = 419, .external_lex_state = 2},
  [18073] = {.lex_state = 419, .external_lex_state = 2},
  [18074] = {.lex_state = 419, .external_lex_state = 2},
  [18075] = {.lex_state = 419, .external_lex_state = 2},
  [18076] = {.lex_state = 419, .external_lex_state = 2},
  [18077] = {.lex_state = 419, .external_lex_state = 2},
  [18078] = {.lex_state = 18, .external_lex_state = 2},
  [18079] = {.lex_state = 11, .external_lex_state = 2},
  [18080] = {.lex_state = 419, .external_lex_state = 2},
  [18081] = {.lex_state = 419, .external_lex_state = 2},
  [18082] = {.lex_state = 419, .external_lex_state = 2},
  [18083] = {.lex_state = 18, .external_lex_state = 2},
  [18084] = {.lex_state = 419, .external_lex_state = 2},
  [18085] = {.lex_state = 419, .external_lex_state = 2},
  [18086] = {.lex_state = 26, .external_lex_state = 2},
  [18087] = {.lex_state = 419, .external_lex_state = 2},
  [18088] = {.lex_state = 419, .external_lex_state = 2},
  [18089] = {.lex_state = 419, .external_lex_state = 2},
  [18090] = {.lex_state = 419, .external_lex_state = 2},
  [18091] = {.lex_state = 419, .external_lex_state = 2},
  [18092] = {.lex_state = 419, .external_lex_state = 2},
  [18093] = {.lex_state = 419, .external_lex_state = 2},
  [18094] = {.lex_state = 26, .external_lex_state = 2},
  [18095] = {.lex_state = 419, .external_lex_state = 2},
  [18096] = {.lex_state = 26, .external_lex_state = 2},
  [18097] = {.lex_state = 10, .external_lex_state = 2},
  [18098] = {.lex_state = 419, .external_lex_state = 2},
  [18099] = {.lex_state = 419, .external_lex_state = 2},
  [18100] = {.lex_state = 419, .external_lex_state = 3},
  [18101] = {.lex_state = 419, .external_lex_state = 2},
  [18102] = {.lex_state = 419, .external_lex_state = 2},
  [18103] = {.lex_state = 419, .external_lex_state = 2},
  [18104] = {.lex_state = 419, .external_lex_state = 2},
  [18105] = {.lex_state = 419, .external_lex_state = 2},
  [18106] = {.lex_state = 419, .external_lex_state = 2},
  [18107] = {.lex_state = 419, .external_lex_state = 2},
  [18108] = {.lex_state = 419, .external_lex_state = 2},
  [18109] = {.lex_state = 419, .external_lex_state = 2},
  [18110] = {.lex_state = 26, .external_lex_state = 2},
  [18111] = {.lex_state = 419, .external_lex_state = 2},
  [18112] = {.lex_state = 419, .external_lex_state = 2},
  [18113] = {.lex_state = 419, .external_lex_state = 2},
  [18114] = {.lex_state = 419, .external_lex_state = 2},
  [18115] = {.lex_state = 419, .external_lex_state = 2},
  [18116] = {.lex_state = 26, .external_lex_state = 2},
  [18117] = {.lex_state = 419, .external_lex_state = 2},
  [18118] = {.lex_state = 419, .external_lex_state = 2},
  [18119] = {.lex_state = 26, .external_lex_state = 2},
  [18120] = {.lex_state = 419, .external_lex_state = 2},
  [18121] = {.lex_state = 26, .external_lex_state = 2},
  [18122] = {.lex_state = 419, .external_lex_state = 2},
  [18123] = {.lex_state = 419, .external_lex_state = 2},
  [18124] = {.lex_state = 11, .external_lex_state = 2},
  [18125] = {.lex_state = 419, .external_lex_state = 2},
  [18126] = {.lex_state = 26, .external_lex_state = 2},
  [18127] = {.lex_state = 26, .external_lex_state = 2},
  [18128] = {.lex_state = 419, .external_lex_state = 2},
  [18129] = {.lex_state = 419, .external_lex_state = 2},
  [18130] = {.lex_state = 419, .external_lex_state = 2},
  [18131] = {.lex_state = 419, .external_lex_state = 2},
  [18132] = {.lex_state = 419, .external_lex_state = 2},
  [18133] = {.lex_state = 11, .external_lex_state = 2},
  [18134] = {.lex_state = 419, .external_lex_state = 2},
  [18135] = {.lex_state = 419, .external_lex_state = 2},
  [18136] = {.lex_state = 419, .external_lex_state = 2},
  [18137] = {.lex_state = 419, .external_lex_state = 2},
  [18138] = {.lex_state = 11, .external_lex_state = 2},
  [18139] = {.lex_state = 419, .external_lex_state = 2},
  [18140] = {.lex_state = 419, .external_lex_state = 2},
  [18141] = {.lex_state = 11, .external_lex_state = 2},
  [18142] = {.lex_state = 11, .external_lex_state = 2},
  [18143] = {.lex_state = 419, .external_lex_state = 2},
  [18144] = {.lex_state = 419, .external_lex_state = 2},
  [18145] = {.lex_state = 419, .external_lex_state = 2},
  [18146] = {.lex_state = 26, .external_lex_state = 2},
  [18147] = {.lex_state = 419, .external_lex_state = 2},
  [18148] = {.lex_state = 419, .external_lex_state = 2},
  [18149] = {.lex_state = 18, .external_lex_state = 2},
  [18150] = {.lex_state = 419, .external_lex_state = 2},
  [18151] = {.lex_state = 11, .external_lex_state = 2},
  [18152] = {.lex_state = 419, .external_lex_state = 2},
  [18153] = {.lex_state = 419, .external_lex_state = 2},
  [18154] = {.lex_state = 419, .external_lex_state = 2},
  [18155] = {.lex_state = 419, .external_lex_state = 2},
  [18156] = {.lex_state = 419, .external_lex_state = 2},
  [18157] = {.lex_state = 419, .external_lex_state = 2},
  [18158] = {.lex_state = 419, .external_lex_state = 2},
  [18159] = {.lex_state = 419, .external_lex_state = 2},
  [18160] = {.lex_state = 419, .external_lex_state = 2},
  [18161] = {.lex_state = 419, .external_lex_state = 2},
  [18162] = {.lex_state = 419, .external_lex_state = 2},
  [18163] = {.lex_state = 26, .external_lex_state = 2},
  [18164] = {.lex_state = 11, .external_lex_state = 2},
  [18165] = {.lex_state = 10, .external_lex_state = 2},
  [18166] = {.lex_state = 419, .external_lex_state = 2},
  [18167] = {.lex_state = 419, .external_lex_state = 2},
  [18168] = {.lex_state = 419, .external_lex_state = 2},
  [18169] = {.lex_state = 419, .external_lex_state = 2},
  [18170] = {.lex_state = 419, .external_lex_state = 2},
  [18171] = {.lex_state = 419, .external_lex_state = 2},
  [18172] = {.lex_state = 26, .external_lex_state = 2},
  [18173] = {.lex_state = 18, .external_lex_state = 2},
  [18174] = {.lex_state = 11, .external_lex_state = 2},
  [18175] = {.lex_state = 419, .external_lex_state = 2},
  [18176] = {.lex_state = 26, .external_lex_state = 2},
  [18177] = {.lex_state = 26, .external_lex_state = 2},
  [18178] = {.lex_state = 419, .external_lex_state = 2},
  [18179] = {.lex_state = 419, .external_lex_state = 2},
  [18180] = {.lex_state = 26, .external_lex_state = 2},
  [18181] = {.lex_state = 419, .external_lex_state = 2},
  [18182] = {.lex_state = 419, .external_lex_state = 2},
  [18183] = {.lex_state = 419, .external_lex_state = 2},
  [18184] = {.lex_state = 419, .external_lex_state = 2},
  [18185] = {.lex_state = 419, .external_lex_state = 2},
  [18186] = {.lex_state = 11, .external_lex_state = 2},
  [18187] = {.lex_state = 419, .external_lex_state = 2},
  [18188] = {.lex_state = 419, .external_lex_state = 2},
  [18189] = {.lex_state = 11, .external_lex_state = 2},
  [18190] = {.lex_state = 419, .external_lex_state = 2},
  [18191] = {.lex_state = 419, .external_lex_state = 2},
  [18192] = {.lex_state = 419, .external_lex_state = 2},
  [18193] = {.lex_state = 419, .external_lex_state = 2},
  [18194] = {.lex_state = 10, .external_lex_state = 2},
  [18195] = {.lex_state = 419, .external_lex_state = 3},
  [18196] = {.lex_state = 11, .external_lex_state = 2},
  [18197] = {.lex_state = 419, .external_lex_state = 2},
  [18198] = {.lex_state = 419, .external_lex_state = 2},
  [18199] = {.lex_state = 419, .external_lex_state = 2},
  [18200] = {.lex_state = 419, .external_lex_state = 2},
  [18201] = {.lex_state = 419, .external_lex_state = 2},
  [18202] = {.lex_state = 419, .external_lex_state = 2},
  [18203] = {.lex_state = 18, .external_lex_state = 2},
  [18204] = {.lex_state = 11, .external_lex_state = 2},
  [18205] = {.lex_state = 419, .external_lex_state = 2},
  [18206] = {.lex_state = 419, .external_lex_state = 2},
  [18207] = {.lex_state = 419, .external_lex_state = 2},
  [18208] = {.lex_state = 419, .external_lex_state = 2},
  [18209] = {.lex_state = 419, .external_lex_state = 2},
  [18210] = {.lex_state = 419, .external_lex_state = 2},
  [18211] = {.lex_state = 419, .external_lex_state = 2},
  [18212] = {.lex_state = 419, .external_lex_state = 2},
  [18213] = {.lex_state = 26, .external_lex_state = 2},
  [18214] = {.lex_state = 18, .external_lex_state = 2},
  [18215] = {.lex_state = 419, .external_lex_state = 2},
  [18216] = {.lex_state = 419, .external_lex_state = 2},
  [18217] = {.lex_state = 419, .external_lex_state = 3},
  [18218] = {.lex_state = 419, .external_lex_state = 2},
  [18219] = {.lex_state = 419, .external_lex_state = 2},
  [18220] = {.lex_state = 18, .external_lex_state = 2},
  [18221] = {.lex_state = 419, .external_lex_state = 2},
  [18222] = {.lex_state = 419, .external_lex_state = 2},
  [18223] = {.lex_state = 419, .external_lex_state = 2},
  [18224] = {.lex_state = 419, .external_lex_state = 2},
  [18225] = {.lex_state = 419, .external_lex_state = 2},
  [18226] = {.lex_state = 11, .external_lex_state = 2},
  [18227] = {.lex_state = 26, .external_lex_state = 2},
  [18228] = {.lex_state = 11, .external_lex_state = 2},
  [18229] = {.lex_state = 26, .external_lex_state = 2},
  [18230] = {.lex_state = 419, .external_lex_state = 2},
  [18231] = {.lex_state = 419, .external_lex_state = 2},
  [18232] = {.lex_state = 419, .external_lex_state = 2},
  [18233] = {.lex_state = 419, .external_lex_state = 2},
  [18234] = {.lex_state = 419, .external_lex_state = 2},
  [18235] = {.lex_state = 419, .external_lex_state = 2},
  [18236] = {.lex_state = 419, .external_lex_state = 2},
  [18237] = {.lex_state = 419, .external_lex_state = 2},
  [18238] = {.lex_state = 419, .external_lex_state = 2},
  [18239] = {.lex_state = 26, .external_lex_state = 2},
  [18240] = {.lex_state = 419, .external_lex_state = 3},
  [18241] = {.lex_state = 419, .external_lex_state = 2},
  [18242] = {.lex_state = 419, .external_lex_state = 2},
  [18243] = {.lex_state = 419, .external_lex_state = 2},
  [18244] = {.lex_state = 419, .external_lex_state = 2},
  [18245] = {.lex_state = 26, .external_lex_state = 2},
  [18246] = {.lex_state = 419, .external_lex_state = 2},
  [18247] = {.lex_state = 419, .external_lex_state = 3},
  [18248] = {.lex_state = 419, .external_lex_state = 2},
  [18249] = {.lex_state = 419, .external_lex_state = 2},
  [18250] = {.lex_state = 419, .external_lex_state = 2},
  [18251] = {.lex_state = 419, .external_lex_state = 2},
  [18252] = {.lex_state = 419, .external_lex_state = 2},
  [18253] = {.lex_state = 419, .external_lex_state = 2},
  [18254] = {.lex_state = 26, .external_lex_state = 2},
  [18255] = {.lex_state = 419, .external_lex_state = 2},
  [18256] = {.lex_state = 26, .external_lex_state = 2},
  [18257] = {.lex_state = 419, .external_lex_state = 2},
  [18258] = {.lex_state = 419, .external_lex_state = 2},
  [18259] = {.lex_state = 419, .external_lex_state = 2},
  [18260] = {.lex_state = 419, .external_lex_state = 2},
  [18261] = {.lex_state = 419, .external_lex_state = 2},
  [18262] = {.lex_state = 419, .external_lex_state = 2},
  [18263] = {.lex_state = 419, .external_lex_state = 2},
  [18264] = {.lex_state = 419, .external_lex_state = 2},
  [18265] = {.lex_state = 419, .external_lex_state = 2},
  [18266] = {.lex_state = 419, .external_lex_state = 2},
  [18267] = {.lex_state = 419, .external_lex_state = 2},
  [18268] = {.lex_state = 419, .external_lex_state = 2},
  [18269] = {.lex_state = 26, .external_lex_state = 2},
  [18270] = {.lex_state = 26, .external_lex_state = 2},
  [18271] = {.lex_state = 419, .external_lex_state = 2},
  [18272] = {.lex_state = 419, .external_lex_state = 2},
  [18273] = {.lex_state = 419, .external_lex_state = 2},
  [18274] = {.lex_state = 419, .external_lex_state = 2},
  [18275] = {.lex_state = 419, .external_lex_state = 2},
  [18276] = {.lex_state = 419, .external_lex_state = 2},
  [18277] = {.lex_state = 419, .external_lex_state = 2},
  [18278] = {.lex_state = 419, .external_lex_state = 2},
  [18279] = {.lex_state = 419, .external_lex_state = 2},
  [18280] = {.lex_state = 419, .external_lex_state = 2},
  [18281] = {.lex_state = 419, .external_lex_state = 2},
  [18282] = {.lex_state = 419, .external_lex_state = 2},
  [18283] = {.lex_state = 26, .external_lex_state = 2},
  [18284] = {.lex_state = 419, .external_lex_state = 2},
  [18285] = {.lex_state = 419, .external_lex_state = 2},
  [18286] = {.lex_state = 419, .external_lex_state = 2},
  [18287] = {.lex_state = 419, .external_lex_state = 2},
  [18288] = {.lex_state = 419, .external_lex_state = 2},
  [18289] = {.lex_state = 419, .external_lex_state = 2},
  [18290] = {.lex_state = 419, .external_lex_state = 2},
  [18291] = {.lex_state = 419, .external_lex_state = 2},
  [18292] = {.lex_state = 11, .external_lex_state = 2},
  [18293] = {.lex_state = 419, .external_lex_state = 2},
  [18294] = {.lex_state = 11, .external_lex_state = 2},
  [18295] = {.lex_state = 26, .external_lex_state = 2},
  [18296] = {.lex_state = 11, .external_lex_state = 2},
  [18297] = {.lex_state = 419, .external_lex_state = 2},
  [18298] = {.lex_state = 26, .external_lex_state = 2},
  [18299] = {.lex_state = 419, .external_lex_state = 2},
  [18300] = {.lex_state = 419, .external_lex_state = 2},
  [18301] = {.lex_state = 26, .external_lex_state = 2},
  [18302] = {.lex_state = 419, .external_lex_state = 2},
  [18303] = {.lex_state = 419, .external_lex_state = 2},
  [18304] = {.lex_state = 419, .external_lex_state = 2},
  [18305] = {.lex_state = 419, .external_lex_state = 2},
  [18306] = {.lex_state = 26, .external_lex_state = 2},
  [18307] = {.lex_state = 419, .external_lex_state = 2},
  [18308] = {.lex_state = 11, .external_lex_state = 2},
  [18309] = {.lex_state = 11, .external_lex_state = 2},
  [18310] = {.lex_state = 419, .external_lex_state = 2},
  [18311] = {.lex_state = 11, .external_lex_state = 2},
  [18312] = {.lex_state = 419, .external_lex_state = 2},
  [18313] = {.lex_state = 419, .external_lex_state = 2},
  [18314] = {.lex_state = 419, .external_lex_state = 2},
  [18315] = {.lex_state = 419, .external_lex_state = 2},
  [18316] = {.lex_state = 419, .external_lex_state = 2},
  [18317] = {.lex_state = 419, .external_lex_state = 2},
  [18318] = {.lex_state = 419, .external_lex_state = 2},
  [18319] = {.lex_state = 419, .external_lex_state = 2},
  [18320] = {.lex_state = 419, .external_lex_state = 2},
  [18321] = {.lex_state = 419, .external_lex_state = 2},
  [18322] = {.lex_state = 419, .external_lex_state = 2},
  [18323] = {.lex_state = 419, .external_lex_state = 2},
  [18324] = {.lex_state = 419, .external_lex_state = 2},
  [18325] = {.lex_state = 419, .external_lex_state = 2},
  [18326] = {.lex_state = 26, .external_lex_state = 2},
  [18327] = {.lex_state = 419, .external_lex_state = 2},
  [18328] = {.lex_state = 419, .external_lex_state = 2},
  [18329] = {.lex_state = 419, .external_lex_state = 2},
  [18330] = {.lex_state = 419, .external_lex_state = 2},
  [18331] = {.lex_state = 419, .external_lex_state = 2},
  [18332] = {.lex_state = 10, .external_lex_state = 2},
  [18333] = {.lex_state = 26, .external_lex_state = 2},
  [18334] = {.lex_state = 419, .external_lex_state = 3},
  [18335] = {.lex_state = 419, .external_lex_state = 2},
  [18336] = {.lex_state = 419, .external_lex_state = 2},
  [18337] = {.lex_state = 26, .external_lex_state = 2},
  [18338] = {.lex_state = 419, .external_lex_state = 2},
  [18339] = {.lex_state = 419, .external_lex_state = 2},
  [18340] = {.lex_state = 26, .external_lex_state = 2},
  [18341] = {.lex_state = 419, .external_lex_state = 2},
  [18342] = {.lex_state = 10, .external_lex_state = 2},
  [18343] = {.lex_state = 419, .external_lex_state = 2},
  [18344] = {.lex_state = 419, .external_lex_state = 2},
  [18345] = {.lex_state = 419, .external_lex_state = 2},
  [18346] = {.lex_state = 26, .external_lex_state = 2},
  [18347] = {.lex_state = 11, .external_lex_state = 2},
  [18348] = {.lex_state = 419, .external_lex_state = 2},
  [18349] = {.lex_state = 419, .external_lex_state = 3},
  [18350] = {.lex_state = 419, .external_lex_state = 2},
  [18351] = {.lex_state = 18, .external_lex_state = 2},
  [18352] = {.lex_state = 419, .external_lex_state = 2},
  [18353] = {.lex_state = 419, .external_lex_state = 2},
  [18354] = {.lex_state = 419, .external_lex_state = 2},
  [18355] = {.lex_state = 419, .external_lex_state = 2},
  [18356] = {.lex_state = 419, .external_lex_state = 2},
  [18357] = {.lex_state = 419, .external_lex_state = 2},
  [18358] = {.lex_state = 26, .external_lex_state = 2},
  [18359] = {.lex_state = 419, .external_lex_state = 2},
  [18360] = {.lex_state = 419, .external_lex_state = 2},
  [18361] = {.lex_state = 419, .external_lex_state = 2},
  [18362] = {.lex_state = 419, .external_lex_state = 2},
  [18363] = {.lex_state = 419, .external_lex_state = 2},
  [18364] = {.lex_state = 18, .external_lex_state = 2},
  [18365] = {.lex_state = 419, .external_lex_state = 2},
  [18366] = {.lex_state = 419, .external_lex_state = 2},
  [18367] = {.lex_state = 419, .external_lex_state = 2},
  [18368] = {.lex_state = 419, .external_lex_state = 2},
  [18369] = {.lex_state = 419, .external_lex_state = 2},
  [18370] = {.lex_state = 419, .external_lex_state = 2},
  [18371] = {.lex_state = 419, .external_lex_state = 2},
  [18372] = {.lex_state = 419, .external_lex_state = 2},
  [18373] = {.lex_state = 26, .external_lex_state = 2},
  [18374] = {.lex_state = 419, .external_lex_state = 2},
  [18375] = {.lex_state = 26, .external_lex_state = 2},
  [18376] = {.lex_state = 26, .external_lex_state = 2},
  [18377] = {.lex_state = 419, .external_lex_state = 2},
  [18378] = {.lex_state = 18, .external_lex_state = 2},
  [18379] = {.lex_state = 419, .external_lex_state = 2},
  [18380] = {.lex_state = 11, .external_lex_state = 2},
  [18381] = {.lex_state = 419, .external_lex_state = 2},
  [18382] = {.lex_state = 419, .external_lex_state = 2},
  [18383] = {.lex_state = 419, .external_lex_state = 2},
  [18384] = {.lex_state = 419, .external_lex_state = 2},
  [18385] = {.lex_state = 419, .external_lex_state = 2},
  [18386] = {.lex_state = 419, .external_lex_state = 2},
  [18387] = {.lex_state = 32, .external_lex_state = 2},
  [18388] = {.lex_state = 419, .external_lex_state = 2},
  [18389] = {.lex_state = 419, .external_lex_state = 2},
  [18390] = {.lex_state = 419, .external_lex_state = 2},
  [18391] = {.lex_state = 419, .external_lex_state = 2},
  [18392] = {.lex_state = 419, .external_lex_state = 2},
  [18393] = {.lex_state = 419, .external_lex_state = 2},
  [18394] = {.lex_state = 26, .external_lex_state = 2},
  [18395] = {.lex_state = 419, .external_lex_state = 2},
  [18396] = {.lex_state = 26, .external_lex_state = 2},
  [18397] = {.lex_state = 419, .external_lex_state = 2},
  [18398] = {.lex_state = 10, .external_lex_state = 2},
  [18399] = {.lex_state = 419, .external_lex_state = 2},
  [18400] = {.lex_state = 18, .external_lex_state = 2},
  [18401] = {.lex_state = 26, .external_lex_state = 2},
  [18402] = {.lex_state = 419, .external_lex_state = 2},
  [18403] = {.lex_state = 419, .external_lex_state = 2},
  [18404] = {.lex_state = 419, .external_lex_state = 2},
  [18405] = {.lex_state = 99, .external_lex_state = 2},
  [18406] = {.lex_state = 419, .external_lex_state = 2},
  [18407] = {.lex_state = 419, .external_lex_state = 2},
  [18408] = {.lex_state = 419, .external_lex_state = 2},
  [18409] = {.lex_state = 419, .external_lex_state = 2},
  [18410] = {.lex_state = 419, .external_lex_state = 2},
  [18411] = {.lex_state = 419, .external_lex_state = 2},
  [18412] = {.lex_state = 419, .external_lex_state = 2},
  [18413] = {.lex_state = 419, .external_lex_state = 2},
  [18414] = {.lex_state = 11, .external_lex_state = 2},
  [18415] = {.lex_state = 419, .external_lex_state = 2},
  [18416] = {.lex_state = 419, .external_lex_state = 2},
  [18417] = {.lex_state = 11, .external_lex_state = 2},
  [18418] = {.lex_state = 419, .external_lex_state = 2},
  [18419] = {.lex_state = 419, .external_lex_state = 2},
  [18420] = {.lex_state = 419, .external_lex_state = 2},
  [18421] = {.lex_state = 419, .external_lex_state = 2},
  [18422] = {.lex_state = 419, .external_lex_state = 2},
  [18423] = {.lex_state = 419, .external_lex_state = 2},
  [18424] = {.lex_state = 419, .external_lex_state = 2},
  [18425] = {.lex_state = 419, .external_lex_state = 2},
  [18426] = {.lex_state = 18, .external_lex_state = 2},
  [18427] = {.lex_state = 419, .external_lex_state = 2},
  [18428] = {.lex_state = 419, .external_lex_state = 2},
  [18429] = {.lex_state = 419, .external_lex_state = 2},
  [18430] = {.lex_state = 419, .external_lex_state = 2},
  [18431] = {.lex_state = 419, .external_lex_state = 2},
  [18432] = {.lex_state = 419, .external_lex_state = 2},
  [18433] = {.lex_state = 419, .external_lex_state = 2},
  [18434] = {.lex_state = 26, .external_lex_state = 2},
  [18435] = {.lex_state = 419, .external_lex_state = 2},
  [18436] = {.lex_state = 419, .external_lex_state = 2},
  [18437] = {.lex_state = 26, .external_lex_state = 2},
  [18438] = {.lex_state = 18, .external_lex_state = 2},
  [18439] = {.lex_state = 419, .external_lex_state = 2},
  [18440] = {.lex_state = 26, .external_lex_state = 2},
  [18441] = {.lex_state = 419, .external_lex_state = 2},
  [18442] = {.lex_state = 419, .external_lex_state = 2},
  [18443] = {.lex_state = 26, .external_lex_state = 2},
  [18444] = {.lex_state = 419, .external_lex_state = 2},
  [18445] = {.lex_state = 419, .external_lex_state = 2},
  [18446] = {.lex_state = 11, .external_lex_state = 2},
  [18447] = {.lex_state = 419, .external_lex_state = 2},
  [18448] = {.lex_state = 419, .external_lex_state = 2},
  [18449] = {.lex_state = 419, .external_lex_state = 2},
  [18450] = {.lex_state = 419, .external_lex_state = 2},
  [18451] = {.lex_state = 11, .external_lex_state = 2},
  [18452] = {.lex_state = 419, .external_lex_state = 2},
  [18453] = {.lex_state = 11, .external_lex_state = 2},
  [18454] = {.lex_state = 11, .external_lex_state = 2},
  [18455] = {.lex_state = 419, .external_lex_state = 2},
  [18456] = {.lex_state = 26, .external_lex_state = 2},
  [18457] = {.lex_state = 419, .external_lex_state = 2},
  [18458] = {.lex_state = 11, .external_lex_state = 2},
  [18459] = {.lex_state = 26, .external_lex_state = 2},
  [18460] = {.lex_state = 11, .external_lex_state = 2},
  [18461] = {.lex_state = 419, .external_lex_state = 2},
  [18462] = {.lex_state = 419, .external_lex_state = 2},
  [18463] = {.lex_state = 419, .external_lex_state = 2},
  [18464] = {.lex_state = 11, .external_lex_state = 2},
  [18465] = {.lex_state = 419, .external_lex_state = 2},
  [18466] = {.lex_state = 419, .external_lex_state = 2},
  [18467] = {.lex_state = 11, .external_lex_state = 2},
  [18468] = {.lex_state = 419, .external_lex_state = 2},
  [18469] = {.lex_state = 419, .external_lex_state = 2},
  [18470] = {.lex_state = 419, .external_lex_state = 2},
  [18471] = {.lex_state = 419, .external_lex_state = 2},
  [18472] = {.lex_state = 419, .external_lex_state = 2},
  [18473] = {.lex_state = 419, .external_lex_state = 2},
  [18474] = {.lex_state = 419, .external_lex_state = 2},
  [18475] = {.lex_state = 419, .external_lex_state = 2},
  [18476] = {.lex_state = 419, .external_lex_state = 2},
  [18477] = {.lex_state = 10, .external_lex_state = 2},
  [18478] = {.lex_state = 419, .external_lex_state = 3},
  [18479] = {.lex_state = 419, .external_lex_state = 2},
  [18480] = {.lex_state = 419, .external_lex_state = 2},
  [18481] = {.lex_state = 419, .external_lex_state = 2},
  [18482] = {.lex_state = 419, .external_lex_state = 2},
  [18483] = {.lex_state = 419, .external_lex_state = 2},
  [18484] = {.lex_state = 419, .external_lex_state = 2},
  [18485] = {.lex_state = 419, .external_lex_state = 2},
  [18486] = {.lex_state = 419, .external_lex_state = 2},
  [18487] = {.lex_state = 419, .external_lex_state = 2},
  [18488] = {.lex_state = 419, .external_lex_state = 2},
  [18489] = {.lex_state = 419, .external_lex_state = 2},
  [18490] = {.lex_state = 419, .external_lex_state = 2},
  [18491] = {.lex_state = 419, .external_lex_state = 2},
  [18492] = {.lex_state = 419, .external_lex_state = 2},
  [18493] = {.lex_state = 419, .external_lex_state = 2},
  [18494] = {.lex_state = 419, .external_lex_state = 2},
  [18495] = {.lex_state = 419, .external_lex_state = 2},
  [18496] = {.lex_state = 419, .external_lex_state = 2},
  [18497] = {.lex_state = 26, .external_lex_state = 2},
  [18498] = {.lex_state = 419, .external_lex_state = 2},
  [18499] = {.lex_state = 419, .external_lex_state = 2},
  [18500] = {.lex_state = 419, .external_lex_state = 2},
  [18501] = {.lex_state = 419, .external_lex_state = 2},
  [18502] = {.lex_state = 419, .external_lex_state = 2},
  [18503] = {.lex_state = 10, .external_lex_state = 2},
  [18504] = {.lex_state = 419, .external_lex_state = 2},
  [18505] = {.lex_state = 419, .external_lex_state = 3},
  [18506] = {.lex_state = 419, .external_lex_state = 2},
  [18507] = {.lex_state = 419, .external_lex_state = 2},
  [18508] = {.lex_state = 419, .external_lex_state = 2},
  [18509] = {.lex_state = 419, .external_lex_state = 2},
  [18510] = {.lex_state = 419, .external_lex_state = 2},
  [18511] = {.lex_state = 18, .external_lex_state = 2},
  [18512] = {.lex_state = 419, .external_lex_state = 2},
  [18513] = {.lex_state = 419, .external_lex_state = 2},
  [18514] = {.lex_state = 419, .external_lex_state = 2},
  [18515] = {.lex_state = 419, .external_lex_state = 2},
  [18516] = {.lex_state = 419, .external_lex_state = 2},
  [18517] = {.lex_state = 419, .external_lex_state = 2},
  [18518] = {.lex_state = 419, .external_lex_state = 2},
  [18519] = {.lex_state = 419, .external_lex_state = 2},
  [18520] = {.lex_state = 26, .external_lex_state = 2},
  [18521] = {.lex_state = 419, .external_lex_state = 2},
  [18522] = {.lex_state = 419, .external_lex_state = 2},
  [18523] = {.lex_state = 419, .external_lex_state = 2},
  [18524] = {.lex_state = 419, .external_lex_state = 2},
  [18525] = {.lex_state = 419, .external_lex_state = 2},
  [18526] = {.lex_state = 419, .external_lex_state = 2},
  [18527] = {.lex_state = 419, .external_lex_state = 2},
  [18528] = {.lex_state = 419, .external_lex_state = 2},
  [18529] = {.lex_state = 419, .external_lex_state = 2},
  [18530] = {.lex_state = 11, .external_lex_state = 2},
  [18531] = {.lex_state = 11, .external_lex_state = 2},
  [18532] = {.lex_state = 419, .external_lex_state = 2},
  [18533] = {.lex_state = 11, .external_lex_state = 2},
  [18534] = {.lex_state = 419, .external_lex_state = 2},
  [18535] = {.lex_state = 26, .external_lex_state = 2},
  [18536] = {.lex_state = 419, .external_lex_state = 2},
  [18537] = {.lex_state = 26, .external_lex_state = 2},
  [18538] = {.lex_state = 419, .external_lex_state = 2},
  [18539] = {.lex_state = 419, .external_lex_state = 2},
  [18540] = {.lex_state = 419, .external_lex_state = 2},
  [18541] = {.lex_state = 419, .external_lex_state = 2},
  [18542] = {.lex_state = 11, .external_lex_state = 2},
  [18543] = {.lex_state = 419, .external_lex_state = 2},
  [18544] = {.lex_state = 26, .external_lex_state = 2},
  [18545] = {.lex_state = 26, .external_lex_state = 2},
  [18546] = {.lex_state = 419, .external_lex_state = 2},
  [18547] = {.lex_state = 419, .external_lex_state = 2},
  [18548] = {.lex_state = 419, .external_lex_state = 2},
  [18549] = {.lex_state = 419, .external_lex_state = 2},
  [18550] = {.lex_state = 419, .external_lex_state = 2},
  [18551] = {.lex_state = 26, .external_lex_state = 2},
  [18552] = {.lex_state = 419, .external_lex_state = 2},
  [18553] = {.lex_state = 419, .external_lex_state = 2},
  [18554] = {.lex_state = 11, .external_lex_state = 2},
  [18555] = {.lex_state = 419, .external_lex_state = 2},
  [18556] = {.lex_state = 99, .external_lex_state = 2},
  [18557] = {.lex_state = 419, .external_lex_state = 2},
  [18558] = {.lex_state = 419, .external_lex_state = 2},
  [18559] = {.lex_state = 419, .external_lex_state = 2},
  [18560] = {.lex_state = 419, .external_lex_state = 2},
  [18561] = {.lex_state = 419, .external_lex_state = 2},
  [18562] = {.lex_state = 26, .external_lex_state = 2},
  [18563] = {.lex_state = 419, .external_lex_state = 2},
  [18564] = {.lex_state = 419, .external_lex_state = 2},
  [18565] = {.lex_state = 419, .external_lex_state = 2},
  [18566] = {.lex_state = 419, .external_lex_state = 2},
  [18567] = {.lex_state = 419, .external_lex_state = 2},
  [18568] = {.lex_state = 11, .external_lex_state = 2},
  [18569] = {.lex_state = 18, .external_lex_state = 2},
  [18570] = {.lex_state = 11, .external_lex_state = 2},
  [18571] = {.lex_state = 11, .external_lex_state = 2},
  [18572] = {.lex_state = 419, .external_lex_state = 2},
  [18573] = {.lex_state = 419, .external_lex_state = 2},
  [18574] = {.lex_state = 419, .external_lex_state = 2},
  [18575] = {.lex_state = 419, .external_lex_state = 2},
  [18576] = {.lex_state = 419, .external_lex_state = 2},
  [18577] = {.lex_state = 419, .external_lex_state = 2},
  [18578] = {.lex_state = 419, .external_lex_state = 2},
  [18579] = {.lex_state = 419, .external_lex_state = 2},
  [18580] = {.lex_state = 10, .external_lex_state = 2},
  [18581] = {.lex_state = 419, .external_lex_state = 2},
  [18582] = {.lex_state = 419, .external_lex_state = 2},
  [18583] = {.lex_state = 419, .external_lex_state = 2},
  [18584] = {.lex_state = 26, .external_lex_state = 2},
  [18585] = {.lex_state = 419, .external_lex_state = 2},
  [18586] = {.lex_state = 419, .external_lex_state = 2},
  [18587] = {.lex_state = 419, .external_lex_state = 2},
  [18588] = {.lex_state = 11, .external_lex_state = 2},
  [18589] = {.lex_state = 419, .external_lex_state = 2},
  [18590] = {.lex_state = 419, .external_lex_state = 2},
  [18591] = {.lex_state = 26, .external_lex_state = 2},
  [18592] = {.lex_state = 11, .external_lex_state = 2},
  [18593] = {.lex_state = 419, .external_lex_state = 3},
  [18594] = {.lex_state = 419, .external_lex_state = 2},
  [18595] = {.lex_state = 419, .external_lex_state = 2},
  [18596] = {.lex_state = 419, .external_lex_state = 2},
  [18597] = {.lex_state = 419, .external_lex_state = 2},
  [18598] = {.lex_state = 26, .external_lex_state = 2},
  [18599] = {.lex_state = 26, .external_lex_state = 2},
  [18600] = {.lex_state = 419, .external_lex_state = 2},
  [18601] = {.lex_state = 419, .external_lex_state = 2},
  [18602] = {.lex_state = 419, .external_lex_state = 2},
  [18603] = {.lex_state = 419, .external_lex_state = 2},
  [18604] = {.lex_state = 419, .external_lex_state = 2},
  [18605] = {.lex_state = 10, .external_lex_state = 2},
  [18606] = {.lex_state = 419, .external_lex_state = 3},
  [18607] = {.lex_state = 26, .external_lex_state = 2},
  [18608] = {.lex_state = 419, .external_lex_state = 2},
  [18609] = {.lex_state = 419, .external_lex_state = 2},
  [18610] = {.lex_state = 419, .external_lex_state = 2},
  [18611] = {.lex_state = 419, .external_lex_state = 2},
  [18612] = {.lex_state = 419, .external_lex_state = 2},
  [18613] = {.lex_state = 26, .external_lex_state = 2},
  [18614] = {.lex_state = 419, .external_lex_state = 2},
  [18615] = {.lex_state = 419, .external_lex_state = 2},
  [18616] = {.lex_state = 419, .external_lex_state = 2},
  [18617] = {.lex_state = 26, .external_lex_state = 2},
  [18618] = {.lex_state = 419, .external_lex_state = 2},
  [18619] = {.lex_state = 419, .external_lex_state = 2},
  [18620] = {.lex_state = 419, .external_lex_state = 2},
  [18621] = {.lex_state = 419, .external_lex_state = 2},
  [18622] = {.lex_state = 419, .external_lex_state = 2},
  [18623] = {.lex_state = 419, .external_lex_state = 2},
  [18624] = {.lex_state = 419, .external_lex_state = 2},
  [18625] = {.lex_state = 419, .external_lex_state = 2},
  [18626] = {.lex_state = 419, .external_lex_state = 2},
  [18627] = {.lex_state = 419, .external_lex_state = 2},
  [18628] = {.lex_state = 419, .external_lex_state = 2},
  [18629] = {.lex_state = 419, .external_lex_state = 2},
  [18630] = {.lex_state = 18, .external_lex_state = 2},
  [18631] = {.lex_state = 419, .external_lex_state = 2},
  [18632] = {.lex_state = 26, .external_lex_state = 2},
  [18633] = {.lex_state = 419, .external_lex_state = 2},
  [18634] = {.lex_state = 419, .external_lex_state = 2},
  [18635] = {.lex_state = 419, .external_lex_state = 2},
  [18636] = {.lex_state = 18, .external_lex_state = 2},
  [18637] = {.lex_state = 419, .external_lex_state = 2},
  [18638] = {.lex_state = 419, .external_lex_state = 2},
  [18639] = {.lex_state = 419, .external_lex_state = 2},
  [18640] = {.lex_state = 419, .external_lex_state = 2},
  [18641] = {.lex_state = 419, .external_lex_state = 2},
  [18642] = {.lex_state = 419, .external_lex_state = 2},
  [18643] = {.lex_state = 26, .external_lex_state = 2},
  [18644] = {.lex_state = 419, .external_lex_state = 2},
  [18645] = {.lex_state = 419, .external_lex_state = 2},
  [18646] = {.lex_state = 419, .external_lex_state = 2},
  [18647] = {.lex_state = 10, .external_lex_state = 2},
  [18648] = {.lex_state = 419, .external_lex_state = 2},
  [18649] = {.lex_state = 26, .external_lex_state = 2},
  [18650] = {.lex_state = 419, .external_lex_state = 3},
  [18651] = {.lex_state = 10, .external_lex_state = 2},
  [18652] = {.lex_state = 419, .external_lex_state = 2},
  [18653] = {.lex_state = 419, .external_lex_state = 2},
  [18654] = {.lex_state = 419, .external_lex_state = 2},
  [18655] = {.lex_state = 26, .external_lex_state = 2},
  [18656] = {.lex_state = 419, .external_lex_state = 2},
  [18657] = {.lex_state = 419, .external_lex_state = 2},
  [18658] = {.lex_state = 419, .external_lex_state = 2},
  [18659] = {.lex_state = 419, .external_lex_state = 3},
  [18660] = {.lex_state = 419, .external_lex_state = 2},
  [18661] = {.lex_state = 419, .external_lex_state = 2},
  [18662] = {.lex_state = 419, .external_lex_state = 2},
  [18663] = {.lex_state = 18, .external_lex_state = 2},
  [18664] = {.lex_state = 419, .external_lex_state = 2},
  [18665] = {.lex_state = 419, .external_lex_state = 2},
  [18666] = {.lex_state = 419, .external_lex_state = 2},
  [18667] = {.lex_state = 419, .external_lex_state = 2},
  [18668] = {.lex_state = 419, .external_lex_state = 2},
  [18669] = {.lex_state = 26, .external_lex_state = 2},
  [18670] = {.lex_state = 419, .external_lex_state = 2},
  [18671] = {.lex_state = 419, .external_lex_state = 2},
  [18672] = {.lex_state = 419, .external_lex_state = 2},
  [18673] = {.lex_state = 419, .external_lex_state = 2},
  [18674] = {.lex_state = 419, .external_lex_state = 2},
  [18675] = {.lex_state = 419, .external_lex_state = 2},
  [18676] = {.lex_state = 419, .external_lex_state = 2},
  [18677] = {.lex_state = 419, .external_lex_state = 2},
  [18678] = {.lex_state = 419, .external_lex_state = 2},
  [18679] = {.lex_state = 419, .external_lex_state = 2},
  [18680] = {.lex_state = 419, .external_lex_state = 2},
  [18681] = {.lex_state = 419, .external_lex_state = 2},
  [18682] = {.lex_state = 419, .external_lex_state = 2},
  [18683] = {.lex_state = 26, .external_lex_state = 2},
  [18684] = {.lex_state = 26, .external_lex_state = 2},
  [18685] = {.lex_state = 419, .external_lex_state = 2},
  [18686] = {.lex_state = 419, .external_lex_state = 2},
  [18687] = {.lex_state = 26, .external_lex_state = 2},
  [18688] = {.lex_state = 26, .external_lex_state = 2},
  [18689] = {.lex_state = 419, .external_lex_state = 2},
  [18690] = {.lex_state = 419, .external_lex_state = 2},
  [18691] = {.lex_state = 419, .external_lex_state = 2},
  [18692] = {.lex_state = 18, .external_lex_state = 2},
  [18693] = {.lex_state = 419, .external_lex_state = 2},
  [18694] = {.lex_state = 419, .external_lex_state = 2},
  [18695] = {.lex_state = 419, .external_lex_state = 2},
  [18696] = {.lex_state = 419, .external_lex_state = 2},
  [18697] = {.lex_state = 419, .external_lex_state = 2},
  [18698] = {.lex_state = 419, .external_lex_state = 2},
  [18699] = {.lex_state = 419, .external_lex_state = 2},
  [18700] = {.lex_state = 99, .external_lex_state = 2},
  [18701] = {.lex_state = 419, .external_lex_state = 2},
  [18702] = {.lex_state = 419, .external_lex_state = 2},
  [18703] = {.lex_state = 419, .external_lex_state = 2},
  [18704] = {.lex_state = 26, .external_lex_state = 2},
  [18705] = {.lex_state = 26, .external_lex_state = 2},
  [18706] = {.lex_state = 26, .external_lex_state = 2},
  [18707] = {.lex_state = 26, .external_lex_state = 2},
  [18708] = {.lex_state = 419, .external_lex_state = 2},
  [18709] = {.lex_state = 419, .external_lex_state = 2},
  [18710] = {.lex_state = 419, .external_lex_state = 2},
  [18711] = {.lex_state = 419, .external_lex_state = 2},
  [18712] = {.lex_state = 11, .external_lex_state = 2},
  [18713] = {.lex_state = 419, .external_lex_state = 2},
  [18714] = {.lex_state = 419, .external_lex_state = 2},
  [18715] = {.lex_state = 419, .external_lex_state = 2},
  [18716] = {.lex_state = 419, .external_lex_state = 2},
  [18717] = {.lex_state = 11, .external_lex_state = 2},
  [18718] = {.lex_state = 11, .external_lex_state = 2},
  [18719] = {.lex_state = 419, .external_lex_state = 2},
  [18720] = {.lex_state = 419, .external_lex_state = 2},
  [18721] = {.lex_state = 11, .external_lex_state = 2},
  [18722] = {.lex_state = 419, .external_lex_state = 2},
  [18723] = {.lex_state = 419, .external_lex_state = 2},
  [18724] = {.lex_state = 419, .external_lex_state = 2},
  [18725] = {.lex_state = 26, .external_lex_state = 2},
  [18726] = {.lex_state = 419, .external_lex_state = 2},
  [18727] = {.lex_state = 419, .external_lex_state = 2},
  [18728] = {.lex_state = 419, .external_lex_state = 2},
  [18729] = {.lex_state = 419, .external_lex_state = 2},
  [18730] = {.lex_state = 419, .external_lex_state = 2},
  [18731] = {.lex_state = 419, .external_lex_state = 2},
  [18732] = {.lex_state = 419, .external_lex_state = 2},
  [18733] = {.lex_state = 419, .external_lex_state = 2},
  [18734] = {.lex_state = 26, .external_lex_state = 2},
  [18735] = {.lex_state = 419, .external_lex_state = 2},
  [18736] = {.lex_state = 419, .external_lex_state = 2},
  [18737] = {.lex_state = 419, .external_lex_state = 2},
  [18738] = {.lex_state = 10, .external_lex_state = 2},
  [18739] = {.lex_state = 419, .external_lex_state = 3},
  [18740] = {.lex_state = 419, .external_lex_state = 2},
  [18741] = {.lex_state = 419, .external_lex_state = 2},
  [18742] = {.lex_state = 419, .external_lex_state = 2},
  [18743] = {.lex_state = 419, .external_lex_state = 2},
  [18744] = {.lex_state = 26, .external_lex_state = 2},
  [18745] = {.lex_state = 419, .external_lex_state = 2},
  [18746] = {.lex_state = 26, .external_lex_state = 2},
  [18747] = {.lex_state = 419, .external_lex_state = 2},
  [18748] = {.lex_state = 419, .external_lex_state = 2},
  [18749] = {.lex_state = 419, .external_lex_state = 2},
  [18750] = {.lex_state = 419, .external_lex_state = 2},
  [18751] = {.lex_state = 419, .external_lex_state = 2},
  [18752] = {.lex_state = 419, .external_lex_state = 2},
  [18753] = {.lex_state = 419, .external_lex_state = 2},
  [18754] = {.lex_state = 419, .external_lex_state = 2},
  [18755] = {.lex_state = 419, .external_lex_state = 2},
  [18756] = {.lex_state = 11, .external_lex_state = 2},
  [18757] = {.lex_state = 11, .external_lex_state = 2},
  [18758] = {.lex_state = 11, .external_lex_state = 2},
  [18759] = {.lex_state = 419, .external_lex_state = 2},
  [18760] = {.lex_state = 419, .external_lex_state = 2},
  [18761] = {.lex_state = 26, .external_lex_state = 2},
  [18762] = {.lex_state = 419, .external_lex_state = 2},
  [18763] = {.lex_state = 419, .external_lex_state = 2},
  [18764] = {.lex_state = 419, .external_lex_state = 2},
  [18765] = {.lex_state = 26, .external_lex_state = 2},
  [18766] = {.lex_state = 26, .external_lex_state = 2},
  [18767] = {.lex_state = 11, .external_lex_state = 2},
  [18768] = {.lex_state = 419, .external_lex_state = 2},
  [18769] = {.lex_state = 11, .external_lex_state = 2},
  [18770] = {.lex_state = 18, .external_lex_state = 2},
  [18771] = {.lex_state = 419, .external_lex_state = 2},
  [18772] = {.lex_state = 419, .external_lex_state = 2},
  [18773] = {.lex_state = 419, .external_lex_state = 2},
  [18774] = {.lex_state = 26, .external_lex_state = 2},
  [18775] = {.lex_state = 26, .external_lex_state = 2},
  [18776] = {.lex_state = 419, .external_lex_state = 2},
  [18777] = {.lex_state = 419, .external_lex_state = 2},
  [18778] = {.lex_state = 419, .external_lex_state = 2},
  [18779] = {.lex_state = 18, .external_lex_state = 2},
  [18780] = {.lex_state = 18, .external_lex_state = 2},
  [18781] = {.lex_state = 419, .external_lex_state = 2},
  [18782] = {.lex_state = 419, .external_lex_state = 2},
  [18783] = {.lex_state = 419, .external_lex_state = 2},
  [18784] = {.lex_state = 419, .external_lex_state = 2},
  [18785] = {.lex_state = 11, .external_lex_state = 2},
  [18786] = {.lex_state = 419, .external_lex_state = 2},
  [18787] = {.lex_state = 419, .external_lex_state = 2},
  [18788] = {.lex_state = 419, .external_lex_state = 2},
  [18789] = {.lex_state = 419, .external_lex_state = 2},
  [18790] = {.lex_state = 419, .external_lex_state = 2},
  [18791] = {.lex_state = 26, .external_lex_state = 2},
  [18792] = {.lex_state = 10, .external_lex_state = 2},
  [18793] = {.lex_state = 419, .external_lex_state = 2},
  [18794] = {.lex_state = 419, .external_lex_state = 2},
  [18795] = {.lex_state = 419, .external_lex_state = 2},
  [18796] = {.lex_state = 419, .external_lex_state = 2},
  [18797] = {.lex_state = 419, .external_lex_state = 2},
  [18798] = {.lex_state = 419, .external_lex_state = 2},
  [18799] = {.lex_state = 419, .external_lex_state = 2},
  [18800] = {.lex_state = 419, .external_lex_state = 2},
  [18801] = {.lex_state = 11, .external_lex_state = 2},
  [18802] = {.lex_state = 419, .external_lex_state = 2},
  [18803] = {.lex_state = 419, .external_lex_state = 2},
  [18804] = {.lex_state = 419, .external_lex_state = 2},
  [18805] = {.lex_state = 11, .external_lex_state = 2},
  [18806] = {.lex_state = 26, .external_lex_state = 2},
  [18807] = {.lex_state = 419, .external_lex_state = 2},
  [18808] = {.lex_state = 419, .external_lex_state = 2},
  [18809] = {.lex_state = 419, .external_lex_state = 2},
  [18810] = {.lex_state = 419, .external_lex_state = 2},
  [18811] = {.lex_state = 419, .external_lex_state = 2},
  [18812] = {.lex_state = 419, .external_lex_state = 2},
  [18813] = {.lex_state = 419, .external_lex_state = 2},
  [18814] = {.lex_state = 26, .external_lex_state = 2},
  [18815] = {.lex_state = 419, .external_lex_state = 2},
  [18816] = {.lex_state = 419, .external_lex_state = 2},
  [18817] = {.lex_state = 10, .external_lex_state = 2},
  [18818] = {.lex_state = 419, .external_lex_state = 2},
  [18819] = {.lex_state = 419, .external_lex_state = 3},
  [18820] = {.lex_state = 419, .external_lex_state = 2},
  [18821] = {.lex_state = 419, .external_lex_state = 2},
  [18822] = {.lex_state = 419, .external_lex_state = 2},
  [18823] = {.lex_state = 419, .external_lex_state = 2},
  [18824] = {.lex_state = 419, .external_lex_state = 2},
  [18825] = {.lex_state = 419, .external_lex_state = 2},
  [18826] = {.lex_state = 419, .external_lex_state = 2},
  [18827] = {.lex_state = 419, .external_lex_state = 2},
  [18828] = {.lex_state = 419, .external_lex_state = 2},
  [18829] = {.lex_state = 26, .external_lex_state = 2},
  [18830] = {.lex_state = 419, .external_lex_state = 2},
  [18831] = {.lex_state = 419, .external_lex_state = 2},
  [18832] = {.lex_state = 419, .external_lex_state = 2},
  [18833] = {.lex_state = 419, .external_lex_state = 2},
  [18834] = {.lex_state = 419, .external_lex_state = 2},
  [18835] = {.lex_state = 419, .external_lex_state = 2},
  [18836] = {.lex_state = 11, .external_lex_state = 2},
  [18837] = {.lex_state = 18, .external_lex_state = 2},
  [18838] = {.lex_state = 26, .external_lex_state = 2},
  [18839] = {.lex_state = 419, .external_lex_state = 2},
  [18840] = {.lex_state = 419, .external_lex_state = 2},
  [18841] = {.lex_state = 11, .external_lex_state = 2},
  [18842] = {.lex_state = 26, .external_lex_state = 2},
  [18843] = {.lex_state = 419, .external_lex_state = 2},
  [18844] = {.lex_state = 419, .external_lex_state = 2},
  [18845] = {.lex_state = 419, .external_lex_state = 2},
  [18846] = {.lex_state = 419, .external_lex_state = 2},
  [18847] = {.lex_state = 419, .external_lex_state = 2},
  [18848] = {.lex_state = 26, .external_lex_state = 2},
  [18849] = {.lex_state = 419, .external_lex_state = 2},
  [18850] = {.lex_state = 419, .external_lex_state = 2},
  [18851] = {.lex_state = 419, .external_lex_state = 2},
  [18852] = {.lex_state = 26, .external_lex_state = 2},
  [18853] = {.lex_state = 26, .external_lex_state = 2},
  [18854] = {.lex_state = 419, .external_lex_state = 2},
  [18855] = {.lex_state = 419, .external_lex_state = 2},
  [18856] = {.lex_state = 419, .external_lex_state = 2},
  [18857] = {.lex_state = 419, .external_lex_state = 2},
  [18858] = {.lex_state = 419, .external_lex_state = 2},
  [18859] = {.lex_state = 419, .external_lex_state = 2},
  [18860] = {.lex_state = 419, .external_lex_state = 2},
  [18861] = {.lex_state = 419, .external_lex_state = 2},
  [18862] = {.lex_state = 419, .external_lex_state = 2},
  [18863] = {.lex_state = 419, .external_lex_state = 2},
  [18864] = {.lex_state = 419, .external_lex_state = 2},
  [18865] = {.lex_state = 419, .external_lex_state = 2},
  [18866] = {.lex_state = 419, .external_lex_state = 2},
  [18867] = {.lex_state = 419, .external_lex_state = 2},
  [18868] = {.lex_state = 419, .external_lex_state = 2},
  [18869] = {.lex_state = 419, .external_lex_state = 2},
  [18870] = {.lex_state = 11, .external_lex_state = 2},
  [18871] = {.lex_state = 419, .external_lex_state = 2},
  [18872] = {.lex_state = 10, .external_lex_state = 2},
  [18873] = {.lex_state = 419, .external_lex_state = 2},
  [18874] = {.lex_state = 419, .external_lex_state = 2},
  [18875] = {.lex_state = 26, .external_lex_state = 2},
  [18876] = {.lex_state = 419, .external_lex_state = 2},
  [18877] = {.lex_state = 419, .external_lex_state = 2},
  [18878] = {.lex_state = 419, .external_lex_state = 2},
  [18879] = {.lex_state = 419, .external_lex_state = 2},
  [18880] = {.lex_state = 419, .external_lex_state = 3},
  [18881] = {.lex_state = 419, .external_lex_state = 2},
  [18882] = {.lex_state = 419, .external_lex_state = 2},
  [18883] = {.lex_state = 26, .external_lex_state = 2},
  [18884] = {.lex_state = 419, .external_lex_state = 2},
  [18885] = {.lex_state = 419, .external_lex_state = 2},
  [18886] = {.lex_state = 419, .external_lex_state = 2},
  [18887] = {.lex_state = 419, .external_lex_state = 2},
  [18888] = {.lex_state = 419, .external_lex_state = 2},
  [18889] = {.lex_state = 419, .external_lex_state = 2},
  [18890] = {.lex_state = 419, .external_lex_state = 2},
  [18891] = {.lex_state = 419, .external_lex_state = 2},
  [18892] = {.lex_state = 419, .external_lex_state = 2},
  [18893] = {.lex_state = 419, .external_lex_state = 2},
  [18894] = {.lex_state = 26, .external_lex_state = 2},
  [18895] = {.lex_state = 10, .external_lex_state = 2},
  [18896] = {.lex_state = 419, .external_lex_state = 3},
  [18897] = {.lex_state = 419, .external_lex_state = 2},
  [18898] = {.lex_state = 419, .external_lex_state = 2},
  [18899] = {.lex_state = 419, .external_lex_state = 2},
  [18900] = {.lex_state = 419, .external_lex_state = 2},
  [18901] = {.lex_state = 419, .external_lex_state = 2},
  [18902] = {.lex_state = 419, .external_lex_state = 2},
  [18903] = {.lex_state = 419, .external_lex_state = 2},
  [18904] = {.lex_state = 419, .external_lex_state = 2},
  [18905] = {.lex_state = 11, .external_lex_state = 2},
  [18906] = {.lex_state = 18, .external_lex_state = 2},
  [18907] = {.lex_state = 419, .external_lex_state = 2},
  [18908] = {.lex_state = 419, .external_lex_state = 2},
  [18909] = {.lex_state = 419, .external_lex_state = 2},
  [18910] = {.lex_state = 419, .external_lex_state = 2},
  [18911] = {.lex_state = 419, .external_lex_state = 2},
  [18912] = {.lex_state = 419, .external_lex_state = 2},
  [18913] = {.lex_state = 11, .external_lex_state = 2},
  [18914] = {.lex_state = 419, .external_lex_state = 2},
  [18915] = {.lex_state = 419, .external_lex_state = 2},
  [18916] = {.lex_state = 419, .external_lex_state = 2},
  [18917] = {.lex_state = 419, .external_lex_state = 2},
  [18918] = {.lex_state = 419, .external_lex_state = 2},
  [18919] = {.lex_state = 419, .external_lex_state = 2},
  [18920] = {.lex_state = 419, .external_lex_state = 2},
  [18921] = {.lex_state = 11, .external_lex_state = 2},
  [18922] = {.lex_state = 419, .external_lex_state = 2},
  [18923] = {.lex_state = 26, .external_lex_state = 2},
  [18924] = {.lex_state = 419, .external_lex_state = 2},
  [18925] = {.lex_state = 26, .external_lex_state = 2},
  [18926] = {.lex_state = 10, .external_lex_state = 2},
  [18927] = {.lex_state = 419, .external_lex_state = 2},
  [18928] = {.lex_state = 419, .external_lex_state = 2},
  [18929] = {.lex_state = 419, .external_lex_state = 2},
  [18930] = {.lex_state = 10, .external_lex_state = 2},
  [18931] = {.lex_state = 26, .external_lex_state = 2},
  [18932] = {.lex_state = 419, .external_lex_state = 3},
  [18933] = {.lex_state = 419, .external_lex_state = 2},
  [18934] = {.lex_state = 419, .external_lex_state = 2},
  [18935] = {.lex_state = 26, .external_lex_state = 2},
  [18936] = {.lex_state = 419, .external_lex_state = 2},
  [18937] = {.lex_state = 419, .external_lex_state = 2},
  [18938] = {.lex_state = 419, .external_lex_state = 2},
  [18939] = {.lex_state = 419, .external_lex_state = 2},
  [18940] = {.lex_state = 419, .external_lex_state = 2},
  [18941] = {.lex_state = 419, .external_lex_state = 2},
  [18942] = {.lex_state = 419, .external_lex_state = 2},
  [18943] = {.lex_state = 419, .external_lex_state = 3},
  [18944] = {.lex_state = 419, .external_lex_state = 2},
  [18945] = {.lex_state = 419, .external_lex_state = 2},
  [18946] = {.lex_state = 419, .external_lex_state = 2},
  [18947] = {.lex_state = 419, .external_lex_state = 2},
  [18948] = {.lex_state = 419, .external_lex_state = 2},
  [18949] = {.lex_state = 419, .external_lex_state = 2},
  [18950] = {.lex_state = 419, .external_lex_state = 2},
  [18951] = {.lex_state = 419, .external_lex_state = 2},
  [18952] = {.lex_state = 419, .external_lex_state = 2},
  [18953] = {.lex_state = 419, .external_lex_state = 2},
  [18954] = {.lex_state = 419, .external_lex_state = 2},
  [18955] = {.lex_state = 419, .external_lex_state = 2},
  [18956] = {.lex_state = 26, .external_lex_state = 2},
  [18957] = {.lex_state = 419, .external_lex_state = 2},
  [18958] = {.lex_state = 419, .external_lex_state = 2},
  [18959] = {.lex_state = 419, .external_lex_state = 2},
  [18960] = {.lex_state = 26, .external_lex_state = 2},
  [18961] = {.lex_state = 419, .external_lex_state = 2},
  [18962] = {.lex_state = 26, .external_lex_state = 2},
  [18963] = {.lex_state = 419, .external_lex_state = 3},
  [18964] = {.lex_state = 419, .external_lex_state = 2},
  [18965] = {.lex_state = 11, .external_lex_state = 2},
  [18966] = {.lex_state = 419, .external_lex_state = 2},
  [18967] = {.lex_state = 419, .external_lex_state = 2},
  [18968] = {.lex_state = 419, .external_lex_state = 2},
  [18969] = {.lex_state = 18, .external_lex_state = 2},
  [18970] = {.lex_state = 419, .external_lex_state = 2},
  [18971] = {.lex_state = 419, .external_lex_state = 2},
  [18972] = {.lex_state = 10, .external_lex_state = 2},
  [18973] = {.lex_state = 419, .external_lex_state = 3},
  [18974] = {.lex_state = 419, .external_lex_state = 2},
  [18975] = {.lex_state = 419, .external_lex_state = 2},
  [18976] = {.lex_state = 419, .external_lex_state = 2},
  [18977] = {.lex_state = 419, .external_lex_state = 2},
  [18978] = {.lex_state = 419, .external_lex_state = 2},
  [18979] = {.lex_state = 419, .external_lex_state = 2},
  [18980] = {.lex_state = 419, .external_lex_state = 2},
  [18981] = {.lex_state = 419, .external_lex_state = 2},
  [18982] = {.lex_state = 419, .external_lex_state = 2},
  [18983] = {.lex_state = 419, .external_lex_state = 2},
  [18984] = {.lex_state = 419, .external_lex_state = 2},
  [18985] = {.lex_state = 11, .external_lex_state = 2},
  [18986] = {.lex_state = 419, .external_lex_state = 2},
  [18987] = {.lex_state = 419, .external_lex_state = 2},
  [18988] = {.lex_state = 419, .external_lex_state = 2},
  [18989] = {.lex_state = 419, .external_lex_state = 2},
  [18990] = {.lex_state = 419, .external_lex_state = 2},
  [18991] = {.lex_state = 419, .external_lex_state = 2},
  [18992] = {.lex_state = 11, .external_lex_state = 2},
  [18993] = {.lex_state = 419, .external_lex_state = 2},
  [18994] = {.lex_state = 10, .external_lex_state = 2},
  [18995] = {.lex_state = 419, .external_lex_state = 2},
  [18996] = {.lex_state = 419, .external_lex_state = 3},
  [18997] = {.lex_state = 419, .external_lex_state = 2},
  [18998] = {.lex_state = 419, .external_lex_state = 2},
  [18999] = {.lex_state = 419, .external_lex_state = 2},
  [19000] = {.lex_state = 419, .external_lex_state = 2},
  [19001] = {.lex_state = 26, .external_lex_state = 2},
  [19002] = {.lex_state = 419, .external_lex_state = 2},
  [19003] = {.lex_state = 419, .external_lex_state = 2},
  [19004] = {.lex_state = 26, .external_lex_state = 2},
  [19005] = {.lex_state = 419, .external_lex_state = 2},
  [19006] = {.lex_state = 419, .external_lex_state = 2},
  [19007] = {.lex_state = 419, .external_lex_state = 2},
  [19008] = {.lex_state = 26, .external_lex_state = 2},
  [19009] = {.lex_state = 419, .external_lex_state = 2},
  [19010] = {.lex_state = 419, .external_lex_state = 2},
  [19011] = {.lex_state = 419, .external_lex_state = 2},
  [19012] = {.lex_state = 419, .external_lex_state = 2},
  [19013] = {.lex_state = 419, .external_lex_state = 2},
  [19014] = {.lex_state = 419, .external_lex_state = 2},
  [19015] = {.lex_state = 419, .external_lex_state = 2},
  [19016] = {.lex_state = 11, .external_lex_state = 2},
  [19017] = {.lex_state = 10, .external_lex_state = 2},
  [19018] = {.lex_state = 419, .external_lex_state = 3},
  [19019] = {.lex_state = 419, .external_lex_state = 2},
  [19020] = {.lex_state = 419, .external_lex_state = 2},
  [19021] = {.lex_state = 419, .external_lex_state = 2},
  [19022] = {.lex_state = 419, .external_lex_state = 2},
  [19023] = {.lex_state = 419, .external_lex_state = 2},
  [19024] = {.lex_state = 419, .external_lex_state = 2},
  [19025] = {.lex_state = 419, .external_lex_state = 2},
  [19026] = {.lex_state = 419, .external_lex_state = 2},
  [19027] = {.lex_state = 419, .external_lex_state = 2},
  [19028] = {.lex_state = 419, .external_lex_state = 2},
  [19029] = {.lex_state = 419, .external_lex_state = 2},
  [19030] = {.lex_state = 18, .external_lex_state = 2},
  [19031] = {.lex_state = 419, .external_lex_state = 2},
  [19032] = {.lex_state = 419, .external_lex_state = 2},
  [19033] = {.lex_state = 419, .external_lex_state = 2},
  [19034] = {.lex_state = 419, .external_lex_state = 2},
  [19035] = {.lex_state = 419, .external_lex_state = 2},
  [19036] = {.lex_state = 419, .external_lex_state = 2},
  [19037] = {.lex_state = 26, .external_lex_state = 2},
  [19038] = {.lex_state = 10, .external_lex_state = 2},
  [19039] = {.lex_state = 419, .external_lex_state = 3},
  [19040] = {.lex_state = 32, .external_lex_state = 2},
  [19041] = {.lex_state = 419, .external_lex_state = 2},
  [19042] = {.lex_state = 419, .external_lex_state = 2},
  [19043] = {.lex_state = 419, .external_lex_state = 2},
  [19044] = {.lex_state = 419, .external_lex_state = 2},
  [19045] = {.lex_state = 419, .external_lex_state = 2},
  [19046] = {.lex_state = 26, .external_lex_state = 2},
  [19047] = {.lex_state = 419, .external_lex_state = 2},
  [19048] = {.lex_state = 419, .external_lex_state = 2},
  [19049] = {.lex_state = 26, .external_lex_state = 2},
  [19050] = {.lex_state = 419, .external_lex_state = 2},
  [19051] = {.lex_state = 419, .external_lex_state = 2},
  [19052] = {.lex_state = 26, .external_lex_state = 2},
  [19053] = {.lex_state = 11, .external_lex_state = 2},
  [19054] = {.lex_state = 419, .external_lex_state = 2},
  [19055] = {.lex_state = 419, .external_lex_state = 2},
  [19056] = {.lex_state = 419, .external_lex_state = 2},
  [19057] = {.lex_state = 11, .external_lex_state = 2},
  [19058] = {.lex_state = 419, .external_lex_state = 2},
  [19059] = {.lex_state = 419, .external_lex_state = 2},
  [19060] = {.lex_state = 419, .external_lex_state = 2},
  [19061] = {.lex_state = 32, .external_lex_state = 2},
  [19062] = {.lex_state = 10, .external_lex_state = 2},
  [19063] = {.lex_state = 419, .external_lex_state = 3},
  [19064] = {.lex_state = 419, .external_lex_state = 2},
  [19065] = {.lex_state = 419, .external_lex_state = 2},
  [19066] = {.lex_state = 419, .external_lex_state = 2},
  [19067] = {.lex_state = 26, .external_lex_state = 2},
  [19068] = {.lex_state = 419, .external_lex_state = 2},
  [19069] = {.lex_state = 11, .external_lex_state = 2},
  [19070] = {.lex_state = 18, .external_lex_state = 2},
  [19071] = {.lex_state = 419, .external_lex_state = 2},
  [19072] = {.lex_state = 26, .external_lex_state = 2},
  [19073] = {.lex_state = 419, .external_lex_state = 2},
  [19074] = {.lex_state = 26, .external_lex_state = 2},
  [19075] = {.lex_state = 419, .external_lex_state = 2},
  [19076] = {.lex_state = 26, .external_lex_state = 2},
  [19077] = {.lex_state = 11, .external_lex_state = 2},
  [19078] = {.lex_state = 419, .external_lex_state = 2},
  [19079] = {.lex_state = 26, .external_lex_state = 2},
  [19080] = {.lex_state = 419, .external_lex_state = 2},
  [19081] = {.lex_state = 419, .external_lex_state = 2},
  [19082] = {.lex_state = 10, .external_lex_state = 2},
  [19083] = {.lex_state = 419, .external_lex_state = 3},
  [19084] = {.lex_state = 419, .external_lex_state = 2},
  [19085] = {.lex_state = 26, .external_lex_state = 2},
  [19086] = {.lex_state = 419, .external_lex_state = 2},
  [19087] = {.lex_state = 419, .external_lex_state = 2},
  [19088] = {.lex_state = 419, .external_lex_state = 2},
  [19089] = {.lex_state = 18, .external_lex_state = 2},
  [19090] = {.lex_state = 419, .external_lex_state = 2},
  [19091] = {.lex_state = 419, .external_lex_state = 2},
  [19092] = {.lex_state = 419, .external_lex_state = 2},
  [19093] = {.lex_state = 419, .external_lex_state = 2},
  [19094] = {.lex_state = 419, .external_lex_state = 2},
  [19095] = {.lex_state = 419, .external_lex_state = 2},
  [19096] = {.lex_state = 419, .external_lex_state = 2},
  [19097] = {.lex_state = 419, .external_lex_state = 2},
  [19098] = {.lex_state = 419, .external_lex_state = 2},
  [19099] = {.lex_state = 419, .external_lex_state = 2},
  [19100] = {.lex_state = 26, .external_lex_state = 2},
  [19101] = {.lex_state = 419, .external_lex_state = 2},
  [19102] = {.lex_state = 419, .external_lex_state = 2},
  [19103] = {.lex_state = 419, .external_lex_state = 2},
  [19104] = {.lex_state = 419, .external_lex_state = 2},
  [19105] = {.lex_state = 419, .external_lex_state = 2},
  [19106] = {.lex_state = 26, .external_lex_state = 2},
  [19107] = {.lex_state = 10, .external_lex_state = 2},
  [19108] = {.lex_state = 419, .external_lex_state = 3},
  [19109] = {.lex_state = 26, .external_lex_state = 2},
  [19110] = {.lex_state = 419, .external_lex_state = 2},
  [19111] = {.lex_state = 18, .external_lex_state = 2},
  [19112] = {.lex_state = 419, .external_lex_state = 2},
  [19113] = {.lex_state = 419, .external_lex_state = 2},
  [19114] = {.lex_state = 419, .external_lex_state = 2},
  [19115] = {.lex_state = 419, .external_lex_state = 2},
  [19116] = {.lex_state = 419, .external_lex_state = 2},
  [19117] = {.lex_state = 419, .external_lex_state = 2},
  [19118] = {.lex_state = 419, .external_lex_state = 2},
  [19119] = {.lex_state = 419, .external_lex_state = 2},
  [19120] = {.lex_state = 419, .external_lex_state = 2},
  [19121] = {.lex_state = 419, .external_lex_state = 2},
  [19122] = {.lex_state = 419, .external_lex_state = 2},
  [19123] = {.lex_state = 26, .external_lex_state = 2},
  [19124] = {.lex_state = 419, .external_lex_state = 2},
  [19125] = {.lex_state = 419, .external_lex_state = 2},
  [19126] = {.lex_state = 419, .external_lex_state = 2},
  [19127] = {.lex_state = 26, .external_lex_state = 2},
  [19128] = {.lex_state = 18, .external_lex_state = 2},
  [19129] = {.lex_state = 11, .external_lex_state = 2},
  [19130] = {.lex_state = 419, .external_lex_state = 2},
  [19131] = {.lex_state = 419, .external_lex_state = 2},
  [19132] = {.lex_state = 419, .external_lex_state = 2},
  [19133] = {.lex_state = 419, .external_lex_state = 2},
  [19134] = {.lex_state = 419, .external_lex_state = 2},
  [19135] = {.lex_state = 99, .external_lex_state = 2},
  [19136] = {.lex_state = 99, .external_lex_state = 2},
  [19137] = {.lex_state = 99, .external_lex_state = 2},
  [19138] = {.lex_state = 419, .external_lex_state = 2},
  [19139] = {.lex_state = 419, .external_lex_state = 2},
  [19140] = {.lex_state = 419, .external_lex_state = 2},
  [19141] = {.lex_state = 10, .external_lex_state = 2},
  [19142] = {.lex_state = 11, .external_lex_state = 2},
  [19143] = {.lex_state = 419, .external_lex_state = 2},
  [19144] = {.lex_state = 419, .external_lex_state = 3},
  [19145] = {.lex_state = 419, .external_lex_state = 2},
  [19146] = {.lex_state = 419, .external_lex_state = 2},
  [19147] = {.lex_state = 26, .external_lex_state = 2},
  [19148] = {.lex_state = 419, .external_lex_state = 2},
  [19149] = {.lex_state = 419, .external_lex_state = 2},
  [19150] = {.lex_state = 419, .external_lex_state = 2},
  [19151] = {.lex_state = 419, .external_lex_state = 2},
  [19152] = {.lex_state = 419, .external_lex_state = 2},
  [19153] = {.lex_state = 26, .external_lex_state = 2},
  [19154] = {.lex_state = 26, .external_lex_state = 2},
  [19155] = {.lex_state = 26, .external_lex_state = 2},
  [19156] = {.lex_state = 419, .external_lex_state = 2},
  [19157] = {.lex_state = 419, .external_lex_state = 2},
  [19158] = {.lex_state = 419, .external_lex_state = 2},
  [19159] = {.lex_state = 419, .external_lex_state = 2},
  [19160] = {.lex_state = 419, .external_lex_state = 2},
  [19161] = {.lex_state = 419, .external_lex_state = 2},
  [19162] = {.lex_state = 419, .external_lex_state = 2},
  [19163] = {.lex_state = 26, .external_lex_state = 2},
  [19164] = {.lex_state = 419, .external_lex_state = 2},
  [19165] = {.lex_state = 26, .external_lex_state = 2},
  [19166] = {.lex_state = 26, .external_lex_state = 2},
  [19167] = {.lex_state = 11, .external_lex_state = 2},
  [19168] = {.lex_state = 26, .external_lex_state = 2},
  [19169] = {.lex_state = 419, .external_lex_state = 2},
  [19170] = {.lex_state = 419, .external_lex_state = 2},
  [19171] = {.lex_state = 10, .external_lex_state = 2},
  [19172] = {.lex_state = 419, .external_lex_state = 2},
  [19173] = {.lex_state = 419, .external_lex_state = 2},
  [19174] = {.lex_state = 419, .external_lex_state = 3},
  [19175] = {.lex_state = 419, .external_lex_state = 2},
  [19176] = {.lex_state = 11, .external_lex_state = 2},
  [19177] = {.lex_state = 11, .external_lex_state = 2},
  [19178] = {.lex_state = 11, .external_lex_state = 2},
  [19179] = {.lex_state = 26, .external_lex_state = 2},
  [19180] = {.lex_state = 419, .external_lex_state = 2},
  [19181] = {.lex_state = 419, .external_lex_state = 2},
  [19182] = {.lex_state = 11, .external_lex_state = 2},
  [19183] = {.lex_state = 419, .external_lex_state = 2},
  [19184] = {.lex_state = 419, .external_lex_state = 2},
  [19185] = {.lex_state = 419, .external_lex_state = 2},
  [19186] = {.lex_state = 419, .external_lex_state = 2},
  [19187] = {.lex_state = 419, .external_lex_state = 2},
  [19188] = {.lex_state = 419, .external_lex_state = 2},
  [19189] = {.lex_state = 419, .external_lex_state = 2},
  [19190] = {.lex_state = 419, .external_lex_state = 2},
  [19191] = {.lex_state = 419, .external_lex_state = 2},
  [19192] = {.lex_state = 419, .external_lex_state = 2},
  [19193] = {.lex_state = 32, .external_lex_state = 2},
  [19194] = {.lex_state = 26, .external_lex_state = 2},
  [19195] = {.lex_state = 419, .external_lex_state = 2},
  [19196] = {.lex_state = 419, .external_lex_state = 2},
  [19197] = {.lex_state = 419, .external_lex_state = 2},
  [19198] = {.lex_state = 419, .external_lex_state = 2},
  [19199] = {.lex_state = 26, .external_lex_state = 2},
  [19200] = {.lex_state = 419, .external_lex_state = 2},
  [19201] = {.lex_state = 419, .external_lex_state = 2},
  [19202] = {.lex_state = 10, .external_lex_state = 2},
  [19203] = {.lex_state = 419, .external_lex_state = 2},
  [19204] = {.lex_state = 419, .external_lex_state = 3},
  [19205] = {.lex_state = 419, .external_lex_state = 2},
  [19206] = {.lex_state = 32, .external_lex_state = 2},
  [19207] = {.lex_state = 10, .external_lex_state = 2},
  [19208] = {.lex_state = 419, .external_lex_state = 3},
  [19209] = {.lex_state = 419, .external_lex_state = 2},
  [19210] = {.lex_state = 419, .external_lex_state = 2},
  [19211] = {.lex_state = 419, .external_lex_state = 2},
  [19212] = {.lex_state = 18, .external_lex_state = 2},
  [19213] = {.lex_state = 419, .external_lex_state = 2},
  [19214] = {.lex_state = 26, .external_lex_state = 2},
  [19215] = {.lex_state = 419, .external_lex_state = 2},
  [19216] = {.lex_state = 419, .external_lex_state = 2},
  [19217] = {.lex_state = 419, .external_lex_state = 2},
  [19218] = {.lex_state = 26, .external_lex_state = 2},
  [19219] = {.lex_state = 419, .external_lex_state = 2},
  [19220] = {.lex_state = 11, .external_lex_state = 2},
  [19221] = {.lex_state = 419, .external_lex_state = 2},
  [19222] = {.lex_state = 419, .external_lex_state = 2},
  [19223] = {.lex_state = 11, .external_lex_state = 2},
  [19224] = {.lex_state = 419, .external_lex_state = 2},
  [19225] = {.lex_state = 419, .external_lex_state = 2},
  [19226] = {.lex_state = 26, .external_lex_state = 2},
  [19227] = {.lex_state = 26, .external_lex_state = 2},
  [19228] = {.lex_state = 18, .external_lex_state = 2},
  [19229] = {.lex_state = 26, .external_lex_state = 2},
  [19230] = {.lex_state = 11, .external_lex_state = 2},
  [19231] = {.lex_state = 419, .external_lex_state = 3},
  [19232] = {.lex_state = 419, .external_lex_state = 2},
  [19233] = {.lex_state = 419, .external_lex_state = 2},
  [19234] = {.lex_state = 419, .external_lex_state = 2},
  [19235] = {.lex_state = 419, .external_lex_state = 2},
  [19236] = {.lex_state = 26, .external_lex_state = 2},
  [19237] = {.lex_state = 419, .external_lex_state = 2},
  [19238] = {.lex_state = 419, .external_lex_state = 2},
  [19239] = {.lex_state = 419, .external_lex_state = 2},
  [19240] = {.lex_state = 419, .external_lex_state = 2},
  [19241] = {.lex_state = 419, .external_lex_state = 2},
  [19242] = {.lex_state = 419, .external_lex_state = 2},
  [19243] = {.lex_state = 99, .external_lex_state = 2},
  [19244] = {.lex_state = 99, .external_lex_state = 2},
  [19245] = {.lex_state = 99, .external_lex_state = 2},
  [19246] = {.lex_state = 419, .external_lex_state = 2},
  [19247] = {.lex_state = 419, .external_lex_state = 2},
  [19248] = {.lex_state = 26, .external_lex_state = 2},
  [19249] = {.lex_state = 419, .external_lex_state = 2},
  [19250] = {.lex_state = 419, .external_lex_state = 2},
  [19251] = {.lex_state = 419, .external_lex_state = 2},
  [19252] = {.lex_state = 419, .external_lex_state = 2},
  [19253] = {.lex_state = 419, .external_lex_state = 2},
  [19254] = {.lex_state = 419, .external_lex_state = 2},
  [19255] = {.lex_state = 11, .external_lex_state = 2},
  [19256] = {.lex_state = 11, .external_lex_state = 2},
  [19257] = {.lex_state = 419, .external_lex_state = 2},
  [19258] = {.lex_state = 419, .external_lex_state = 2},
  [19259] = {.lex_state = 26, .external_lex_state = 2},
  [19260] = {.lex_state = 419, .external_lex_state = 2},
  [19261] = {.lex_state = 419, .external_lex_state = 2},
  [19262] = {.lex_state = 419, .external_lex_state = 2},
  [19263] = {.lex_state = 419, .external_lex_state = 2},
  [19264] = {.lex_state = 419, .external_lex_state = 2},
  [19265] = {.lex_state = 419, .external_lex_state = 2},
  [19266] = {.lex_state = 419, .external_lex_state = 2},
  [19267] = {.lex_state = 11, .external_lex_state = 2},
  [19268] = {.lex_state = 419, .external_lex_state = 2},
  [19269] = {.lex_state = 26, .external_lex_state = 2},
  [19270] = {.lex_state = 419, .external_lex_state = 2},
  [19271] = {.lex_state = 419, .external_lex_state = 2},
  [19272] = {.lex_state = 419, .external_lex_state = 2},
  [19273] = {.lex_state = 26, .external_lex_state = 2},
  [19274] = {.lex_state = 419, .external_lex_state = 2},
  [19275] = {.lex_state = 419, .external_lex_state = 2},
  [19276] = {.lex_state = 419, .external_lex_state = 2},
  [19277] = {.lex_state = 26, .external_lex_state = 2},
  [19278] = {.lex_state = 26, .external_lex_state = 2},
  [19279] = {.lex_state = 18, .external_lex_state = 2},
  [19280] = {.lex_state = 419, .external_lex_state = 2},
  [19281] = {.lex_state = 419, .external_lex_state = 2},
  [19282] = {.lex_state = 419, .external_lex_state = 2},
  [19283] = {.lex_state = 419, .external_lex_state = 2},
  [19284] = {.lex_state = 419, .external_lex_state = 2},
  [19285] = {.lex_state = 419, .external_lex_state = 2},
  [19286] = {.lex_state = 419, .external_lex_state = 2},
  [19287] = {.lex_state = 419, .external_lex_state = 2},
  [19288] = {.lex_state = 419, .external_lex_state = 2},
  [19289] = {.lex_state = 419, .external_lex_state = 2},
  [19290] = {.lex_state = 419, .external_lex_state = 2},
  [19291] = {.lex_state = 419, .external_lex_state = 2},
  [19292] = {.lex_state = 419, .external_lex_state = 2},
  [19293] = {.lex_state = 419, .external_lex_state = 2},
  [19294] = {.lex_state = 419, .external_lex_state = 2},
  [19295] = {.lex_state = 419, .external_lex_state = 2},
  [19296] = {.lex_state = 419, .external_lex_state = 2},
  [19297] = {.lex_state = 419, .external_lex_state = 2},
  [19298] = {.lex_state = 26, .external_lex_state = 2},
  [19299] = {.lex_state = 26, .external_lex_state = 2},
  [19300] = {.lex_state = 11, .external_lex_state = 2},
  [19301] = {.lex_state = 18, .external_lex_state = 2},
  [19302] = {.lex_state = 419, .external_lex_state = 2},
  [19303] = {.lex_state = 419, .external_lex_state = 2},
  [19304] = {.lex_state = 419, .external_lex_state = 2},
  [19305] = {.lex_state = 419, .external_lex_state = 2},
  [19306] = {.lex_state = 419, .external_lex_state = 2},
  [19307] = {.lex_state = 419, .external_lex_state = 2},
  [19308] = {.lex_state = 419, .external_lex_state = 2},
  [19309] = {.lex_state = 419, .external_lex_state = 2},
  [19310] = {.lex_state = 419, .external_lex_state = 2},
  [19311] = {.lex_state = 419, .external_lex_state = 2},
  [19312] = {.lex_state = 419, .external_lex_state = 2},
  [19313] = {.lex_state = 419, .external_lex_state = 2},
  [19314] = {.lex_state = 419, .external_lex_state = 2},
  [19315] = {.lex_state = 419, .external_lex_state = 2},
  [19316] = {.lex_state = 99, .external_lex_state = 2},
  [19317] = {.lex_state = 99, .external_lex_state = 2},
  [19318] = {.lex_state = 99, .external_lex_state = 2},
  [19319] = {.lex_state = 419, .external_lex_state = 2},
  [19320] = {.lex_state = 419, .external_lex_state = 2},
  [19321] = {.lex_state = 419, .external_lex_state = 2},
  [19322] = {.lex_state = 26, .external_lex_state = 2},
  [19323] = {.lex_state = 419, .external_lex_state = 2},
  [19324] = {.lex_state = 419, .external_lex_state = 2},
  [19325] = {.lex_state = 419, .external_lex_state = 2},
  [19326] = {.lex_state = 419, .external_lex_state = 2},
  [19327] = {.lex_state = 419, .external_lex_state = 2},
  [19328] = {.lex_state = 419, .external_lex_state = 2},
  [19329] = {.lex_state = 26, .external_lex_state = 2},
  [19330] = {.lex_state = 419, .external_lex_state = 2},
  [19331] = {.lex_state = 419, .external_lex_state = 2},
  [19332] = {.lex_state = 419, .external_lex_state = 2},
  [19333] = {.lex_state = 419, .external_lex_state = 2},
  [19334] = {.lex_state = 419, .external_lex_state = 2},
  [19335] = {.lex_state = 419, .external_lex_state = 2},
  [19336] = {.lex_state = 419, .external_lex_state = 2},
  [19337] = {.lex_state = 419, .external_lex_state = 2},
  [19338] = {.lex_state = 419, .external_lex_state = 2},
  [19339] = {.lex_state = 419, .external_lex_state = 2},
  [19340] = {.lex_state = 419, .external_lex_state = 2},
  [19341] = {.lex_state = 419, .external_lex_state = 2},
  [19342] = {.lex_state = 419, .external_lex_state = 2},
  [19343] = {.lex_state = 18, .external_lex_state = 2},
  [19344] = {.lex_state = 18, .external_lex_state = 2},
  [19345] = {.lex_state = 419, .external_lex_state = 2},
  [19346] = {.lex_state = 419, .external_lex_state = 2},
  [19347] = {.lex_state = 419, .external_lex_state = 2},
  [19348] = {.lex_state = 419, .external_lex_state = 2},
  [19349] = {.lex_state = 419, .external_lex_state = 2},
  [19350] = {.lex_state = 419, .external_lex_state = 2},
  [19351] = {.lex_state = 419, .external_lex_state = 2},
  [19352] = {.lex_state = 419, .external_lex_state = 2},
  [19353] = {.lex_state = 26, .external_lex_state = 2},
  [19354] = {.lex_state = 26, .external_lex_state = 2},
  [19355] = {.lex_state = 419, .external_lex_state = 2},
  [19356] = {.lex_state = 11, .external_lex_state = 2},
  [19357] = {.lex_state = 419, .external_lex_state = 2},
  [19358] = {.lex_state = 26, .external_lex_state = 2},
  [19359] = {.lex_state = 419, .external_lex_state = 2},
  [19360] = {.lex_state = 18, .external_lex_state = 2},
  [19361] = {.lex_state = 419, .external_lex_state = 2},
  [19362] = {.lex_state = 11, .external_lex_state = 2},
  [19363] = {.lex_state = 419, .external_lex_state = 2},
  [19364] = {.lex_state = 419, .external_lex_state = 2},
  [19365] = {.lex_state = 11, .external_lex_state = 2},
  [19366] = {.lex_state = 419, .external_lex_state = 2},
  [19367] = {.lex_state = 99, .external_lex_state = 2},
  [19368] = {.lex_state = 99, .external_lex_state = 2},
  [19369] = {.lex_state = 99, .external_lex_state = 2},
  [19370] = {.lex_state = 11, .external_lex_state = 2},
  [19371] = {.lex_state = 26, .external_lex_state = 2},
  [19372] = {.lex_state = 419, .external_lex_state = 2},
  [19373] = {.lex_state = 419, .external_lex_state = 2},
  [19374] = {.lex_state = 419, .external_lex_state = 2},
  [19375] = {.lex_state = 419, .external_lex_state = 2},
  [19376] = {.lex_state = 419, .external_lex_state = 2},
  [19377] = {.lex_state = 419, .external_lex_state = 2},
  [19378] = {.lex_state = 11, .external_lex_state = 2},
  [19379] = {.lex_state = 419, .external_lex_state = 2},
  [19380] = {.lex_state = 419, .external_lex_state = 2},
  [19381] = {.lex_state = 419, .external_lex_state = 2},
  [19382] = {.lex_state = 419, .external_lex_state = 2},
  [19383] = {.lex_state = 419, .external_lex_state = 2},
  [19384] = {.lex_state = 11, .external_lex_state = 2},
  [19385] = {.lex_state = 419, .external_lex_state = 2},
  [19386] = {.lex_state = 419, .external_lex_state = 2},
  [19387] = {.lex_state = 419, .external_lex_state = 2},
  [19388] = {.lex_state = 419, .external_lex_state = 2},
  [19389] = {.lex_state = 26, .external_lex_state = 2},
  [19390] = {.lex_state = 419, .external_lex_state = 2},
  [19391] = {.lex_state = 18, .external_lex_state = 2},
  [19392] = {.lex_state = 419, .external_lex_state = 2},
  [19393] = {.lex_state = 99, .external_lex_state = 2},
  [19394] = {.lex_state = 99, .external_lex_state = 2},
  [19395] = {.lex_state = 99, .external_lex_state = 2},
  [19396] = {.lex_state = 419, .external_lex_state = 2},
  [19397] = {.lex_state = 419, .external_lex_state = 2},
  [19398] = {.lex_state = 419, .external_lex_state = 2},
  [19399] = {.lex_state = 419, .external_lex_state = 2},
  [19400] = {.lex_state = 419, .external_lex_state = 2},
  [19401] = {.lex_state = 419, .external_lex_state = 2},
  [19402] = {.lex_state = 419, .external_lex_state = 2},
  [19403] = {.lex_state = 419, .external_lex_state = 2},
  [19404] = {.lex_state = 26, .external_lex_state = 2},
  [19405] = {.lex_state = 419, .external_lex_state = 2},
  [19406] = {.lex_state = 419, .external_lex_state = 2},
  [19407] = {.lex_state = 26, .external_lex_state = 2},
  [19408] = {.lex_state = 419, .external_lex_state = 2},
  [19409] = {.lex_state = 419, .external_lex_state = 2},
  [19410] = {.lex_state = 26, .external_lex_state = 2},
  [19411] = {.lex_state = 26, .external_lex_state = 2},
  [19412] = {.lex_state = 419, .external_lex_state = 2},
  [19413] = {.lex_state = 18, .external_lex_state = 2},
  [19414] = {.lex_state = 419, .external_lex_state = 2},
  [19415] = {.lex_state = 99, .external_lex_state = 2},
  [19416] = {.lex_state = 99, .external_lex_state = 2},
  [19417] = {.lex_state = 99, .external_lex_state = 2},
  [19418] = {.lex_state = 419, .external_lex_state = 2},
  [19419] = {.lex_state = 419, .external_lex_state = 2},
  [19420] = {.lex_state = 10, .external_lex_state = 2},
  [19421] = {.lex_state = 419, .external_lex_state = 3},
  [19422] = {.lex_state = 419, .external_lex_state = 2},
  [19423] = {.lex_state = 419, .external_lex_state = 2},
  [19424] = {.lex_state = 18, .external_lex_state = 2},
  [19425] = {.lex_state = 419, .external_lex_state = 2},
  [19426] = {.lex_state = 26, .external_lex_state = 2},
  [19427] = {.lex_state = 419, .external_lex_state = 2},
  [19428] = {.lex_state = 419, .external_lex_state = 2},
  [19429] = {.lex_state = 419, .external_lex_state = 2},
  [19430] = {.lex_state = 419, .external_lex_state = 2},
  [19431] = {.lex_state = 26, .external_lex_state = 2},
  [19432] = {.lex_state = 419, .external_lex_state = 2},
  [19433] = {.lex_state = 18, .external_lex_state = 2},
  [19434] = {.lex_state = 419, .external_lex_state = 2},
  [19435] = {.lex_state = 99, .external_lex_state = 2},
  [19436] = {.lex_state = 99, .external_lex_state = 2},
  [19437] = {.lex_state = 99, .external_lex_state = 2},
  [19438] = {.lex_state = 419, .external_lex_state = 2},
  [19439] = {.lex_state = 26, .external_lex_state = 2},
  [19440] = {.lex_state = 26, .external_lex_state = 2},
  [19441] = {.lex_state = 419, .external_lex_state = 2},
  [19442] = {.lex_state = 419, .external_lex_state = 2},
  [19443] = {.lex_state = 419, .external_lex_state = 2},
  [19444] = {.lex_state = 419, .external_lex_state = 2},
  [19445] = {.lex_state = 419, .external_lex_state = 2},
  [19446] = {.lex_state = 419, .external_lex_state = 2},
  [19447] = {.lex_state = 419, .external_lex_state = 2},
  [19448] = {.lex_state = 26, .external_lex_state = 2},
  [19449] = {.lex_state = 419, .external_lex_state = 2},
  [19450] = {.lex_state = 419, .external_lex_state = 2},
  [19451] = {.lex_state = 26, .external_lex_state = 2},
  [19452] = {.lex_state = 419, .external_lex_state = 2},
  [19453] = {.lex_state = 18, .external_lex_state = 2},
  [19454] = {.lex_state = 419, .external_lex_state = 2},
  [19455] = {.lex_state = 99, .external_lex_state = 2},
  [19456] = {.lex_state = 99, .external_lex_state = 2},
  [19457] = {.lex_state = 99, .external_lex_state = 2},
  [19458] = {.lex_state = 419, .external_lex_state = 2},
  [19459] = {.lex_state = 419, .external_lex_state = 2},
  [19460] = {.lex_state = 419, .external_lex_state = 2},
  [19461] = {.lex_state = 419, .external_lex_state = 2},
  [19462] = {.lex_state = 419, .external_lex_state = 2},
  [19463] = {.lex_state = 419, .external_lex_state = 2},
  [19464] = {.lex_state = 26, .external_lex_state = 2},
  [19465] = {.lex_state = 419, .external_lex_state = 2},
  [19466] = {.lex_state = 419, .external_lex_state = 2},
  [19467] = {.lex_state = 419, .external_lex_state = 2},
  [19468] = {.lex_state = 419, .external_lex_state = 2},
  [19469] = {.lex_state = 26, .external_lex_state = 2},
  [19470] = {.lex_state = 26, .external_lex_state = 2},
  [19471] = {.lex_state = 419, .external_lex_state = 2},
  [19472] = {.lex_state = 18, .external_lex_state = 2},
  [19473] = {.lex_state = 419, .external_lex_state = 2},
  [19474] = {.lex_state = 99, .external_lex_state = 2},
  [19475] = {.lex_state = 99, .external_lex_state = 2},
  [19476] = {.lex_state = 99, .external_lex_state = 2},
  [19477] = {.lex_state = 419, .external_lex_state = 2},
  [19478] = {.lex_state = 26, .external_lex_state = 2},
  [19479] = {.lex_state = 26, .external_lex_state = 2},
  [19480] = {.lex_state = 26, .external_lex_state = 2},
  [19481] = {.lex_state = 11, .external_lex_state = 2},
  [19482] = {.lex_state = 419, .external_lex_state = 2},
  [19483] = {.lex_state = 419, .external_lex_state = 2},
  [19484] = {.lex_state = 419, .external_lex_state = 2},
  [19485] = {.lex_state = 419, .external_lex_state = 2},
  [19486] = {.lex_state = 11, .external_lex_state = 2},
  [19487] = {.lex_state = 419, .external_lex_state = 2},
  [19488] = {.lex_state = 26, .external_lex_state = 2},
  [19489] = {.lex_state = 419, .external_lex_state = 2},
  [19490] = {.lex_state = 18, .external_lex_state = 2},
  [19491] = {.lex_state = 26, .external_lex_state = 2},
  [19492] = {.lex_state = 99, .external_lex_state = 2},
  [19493] = {.lex_state = 99, .external_lex_state = 2},
  [19494] = {.lex_state = 99, .external_lex_state = 2},
  [19495] = {.lex_state = 419, .external_lex_state = 2},
  [19496] = {.lex_state = 11, .external_lex_state = 2},
  [19497] = {.lex_state = 419, .external_lex_state = 2},
  [19498] = {.lex_state = 419, .external_lex_state = 2},
  [19499] = {.lex_state = 11, .external_lex_state = 2},
  [19500] = {.lex_state = 11, .external_lex_state = 2},
  [19501] = {.lex_state = 419, .external_lex_state = 2},
  [19502] = {.lex_state = 419, .external_lex_state = 2},
  [19503] = {.lex_state = 419, .external_lex_state = 2},
  [19504] = {.lex_state = 419, .external_lex_state = 2},
  [19505] = {.lex_state = 419, .external_lex_state = 2},
  [19506] = {.lex_state = 26, .external_lex_state = 2},
  [19507] = {.lex_state = 11, .external_lex_state = 2},
  [19508] = {.lex_state = 18, .external_lex_state = 2},
  [19509] = {.lex_state = 11, .external_lex_state = 2},
  [19510] = {.lex_state = 99, .external_lex_state = 2},
  [19511] = {.lex_state = 99, .external_lex_state = 2},
  [19512] = {.lex_state = 99, .external_lex_state = 2},
  [19513] = {.lex_state = 419, .external_lex_state = 2},
  [19514] = {.lex_state = 26, .external_lex_state = 2},
  [19515] = {.lex_state = 419, .external_lex_state = 2},
  [19516] = {.lex_state = 419, .external_lex_state = 2},
  [19517] = {.lex_state = 419, .external_lex_state = 2},
  [19518] = {.lex_state = 419, .external_lex_state = 2},
  [19519] = {.lex_state = 26, .external_lex_state = 2},
  [19520] = {.lex_state = 419, .external_lex_state = 2},
  [19521] = {.lex_state = 419, .external_lex_state = 2},
  [19522] = {.lex_state = 419, .external_lex_state = 2},
  [19523] = {.lex_state = 26, .external_lex_state = 2},
  [19524] = {.lex_state = 419, .external_lex_state = 2},
  [19525] = {.lex_state = 18, .external_lex_state = 2},
  [19526] = {.lex_state = 419, .external_lex_state = 2},
  [19527] = {.lex_state = 99, .external_lex_state = 2},
  [19528] = {.lex_state = 99, .external_lex_state = 2},
  [19529] = {.lex_state = 99, .external_lex_state = 2},
  [19530] = {.lex_state = 419, .external_lex_state = 2},
  [19531] = {.lex_state = 419, .external_lex_state = 2},
  [19532] = {.lex_state = 26, .external_lex_state = 2},
  [19533] = {.lex_state = 419, .external_lex_state = 2},
  [19534] = {.lex_state = 419, .external_lex_state = 2},
  [19535] = {.lex_state = 419, .external_lex_state = 2},
  [19536] = {.lex_state = 10, .external_lex_state = 2},
  [19537] = {.lex_state = 419, .external_lex_state = 2},
  [19538] = {.lex_state = 419, .external_lex_state = 2},
  [19539] = {.lex_state = 26, .external_lex_state = 2},
  [19540] = {.lex_state = 419, .external_lex_state = 2},
  [19541] = {.lex_state = 18, .external_lex_state = 2},
  [19542] = {.lex_state = 419, .external_lex_state = 2},
  [19543] = {.lex_state = 99, .external_lex_state = 2},
  [19544] = {.lex_state = 99, .external_lex_state = 2},
  [19545] = {.lex_state = 99, .external_lex_state = 2},
  [19546] = {.lex_state = 419, .external_lex_state = 2},
  [19547] = {.lex_state = 419, .external_lex_state = 2},
  [19548] = {.lex_state = 419, .external_lex_state = 2},
  [19549] = {.lex_state = 419, .external_lex_state = 2},
  [19550] = {.lex_state = 26, .external_lex_state = 2},
  [19551] = {.lex_state = 419, .external_lex_state = 2},
  [19552] = {.lex_state = 26, .external_lex_state = 2},
  [19553] = {.lex_state = 419, .external_lex_state = 2},
  [19554] = {.lex_state = 419, .external_lex_state = 2},
  [19555] = {.lex_state = 26, .external_lex_state = 2},
  [19556] = {.lex_state = 419, .external_lex_state = 2},
  [19557] = {.lex_state = 18, .external_lex_state = 2},
  [19558] = {.lex_state = 419, .external_lex_state = 2},
  [19559] = {.lex_state = 99, .external_lex_state = 2},
  [19560] = {.lex_state = 99, .external_lex_state = 2},
  [19561] = {.lex_state = 99, .external_lex_state = 2},
  [19562] = {.lex_state = 419, .external_lex_state = 2},
  [19563] = {.lex_state = 26, .external_lex_state = 2},
  [19564] = {.lex_state = 419, .external_lex_state = 2},
  [19565] = {.lex_state = 26, .external_lex_state = 2},
  [19566] = {.lex_state = 419, .external_lex_state = 2},
  [19567] = {.lex_state = 419, .external_lex_state = 2},
  [19568] = {.lex_state = 419, .external_lex_state = 2},
  [19569] = {.lex_state = 419, .external_lex_state = 2},
  [19570] = {.lex_state = 26, .external_lex_state = 2},
  [19571] = {.lex_state = 26, .external_lex_state = 2},
  [19572] = {.lex_state = 26, .external_lex_state = 2},
  [19573] = {.lex_state = 18, .external_lex_state = 2},
  [19574] = {.lex_state = 419, .external_lex_state = 2},
  [19575] = {.lex_state = 99, .external_lex_state = 2},
  [19576] = {.lex_state = 99, .external_lex_state = 2},
  [19577] = {.lex_state = 99, .external_lex_state = 2},
  [19578] = {.lex_state = 419, .external_lex_state = 2},
  [19579] = {.lex_state = 11, .external_lex_state = 2},
  [19580] = {.lex_state = 419, .external_lex_state = 2},
  [19581] = {.lex_state = 419, .external_lex_state = 2},
  [19582] = {.lex_state = 419, .external_lex_state = 2},
  [19583] = {.lex_state = 419, .external_lex_state = 2},
  [19584] = {.lex_state = 11, .external_lex_state = 2},
  [19585] = {.lex_state = 11, .external_lex_state = 2},
  [19586] = {.lex_state = 26, .external_lex_state = 2},
  [19587] = {.lex_state = 26, .external_lex_state = 2},
  [19588] = {.lex_state = 419, .external_lex_state = 2},
  [19589] = {.lex_state = 18, .external_lex_state = 2},
  [19590] = {.lex_state = 419, .external_lex_state = 2},
  [19591] = {.lex_state = 99, .external_lex_state = 2},
  [19592] = {.lex_state = 99, .external_lex_state = 2},
  [19593] = {.lex_state = 99, .external_lex_state = 2},
  [19594] = {.lex_state = 419, .external_lex_state = 2},
  [19595] = {.lex_state = 419, .external_lex_state = 2},
  [19596] = {.lex_state = 419, .external_lex_state = 2},
  [19597] = {.lex_state = 419, .external_lex_state = 2},
  [19598] = {.lex_state = 419, .external_lex_state = 2},
  [19599] = {.lex_state = 419, .external_lex_state = 2},
  [19600] = {.lex_state = 26, .external_lex_state = 2},
  [19601] = {.lex_state = 419, .external_lex_state = 2},
  [19602] = {.lex_state = 10, .external_lex_state = 2},
  [19603] = {.lex_state = 26, .external_lex_state = 2},
  [19604] = {.lex_state = 26, .external_lex_state = 2},
  [19605] = {.lex_state = 18, .external_lex_state = 2},
  [19606] = {.lex_state = 419, .external_lex_state = 2},
  [19607] = {.lex_state = 99, .external_lex_state = 2},
  [19608] = {.lex_state = 99, .external_lex_state = 2},
  [19609] = {.lex_state = 99, .external_lex_state = 2},
  [19610] = {.lex_state = 419, .external_lex_state = 2},
  [19611] = {.lex_state = 419, .external_lex_state = 3},
  [19612] = {.lex_state = 419, .external_lex_state = 2},
  [19613] = {.lex_state = 10, .external_lex_state = 2},
  [19614] = {.lex_state = 419, .external_lex_state = 2},
  [19615] = {.lex_state = 419, .external_lex_state = 2},
  [19616] = {.lex_state = 419, .external_lex_state = 2},
  [19617] = {.lex_state = 10, .external_lex_state = 2},
  [19618] = {.lex_state = 419, .external_lex_state = 2},
  [19619] = {.lex_state = 26, .external_lex_state = 2},
  [19620] = {.lex_state = 419, .external_lex_state = 2},
  [19621] = {.lex_state = 18, .external_lex_state = 2},
  [19622] = {.lex_state = 10, .external_lex_state = 2},
  [19623] = {.lex_state = 99, .external_lex_state = 2},
  [19624] = {.lex_state = 99, .external_lex_state = 2},
  [19625] = {.lex_state = 99, .external_lex_state = 2},
  [19626] = {.lex_state = 419, .external_lex_state = 3},
  [19627] = {.lex_state = 11, .external_lex_state = 2},
  [19628] = {.lex_state = 11, .external_lex_state = 2},
  [19629] = {.lex_state = 18, .external_lex_state = 2},
  [19630] = {.lex_state = 18, .external_lex_state = 2},
  [19631] = {.lex_state = 419, .external_lex_state = 2},
  [19632] = {.lex_state = 419, .external_lex_state = 2},
  [19633] = {.lex_state = 11, .external_lex_state = 2},
  [19634] = {.lex_state = 11, .external_lex_state = 2},
  [19635] = {.lex_state = 26, .external_lex_state = 2},
  [19636] = {.lex_state = 18, .external_lex_state = 2},
  [19637] = {.lex_state = 18, .external_lex_state = 2},
  [19638] = {.lex_state = 419, .external_lex_state = 2},
  [19639] = {.lex_state = 99, .external_lex_state = 2},
  [19640] = {.lex_state = 99, .external_lex_state = 2},
  [19641] = {.lex_state = 99, .external_lex_state = 2},
  [19642] = {.lex_state = 419, .external_lex_state = 2},
  [19643] = {.lex_state = 419, .external_lex_state = 2},
  [19644] = {.lex_state = 18, .external_lex_state = 2},
  [19645] = {.lex_state = 26, .external_lex_state = 2},
  [19646] = {.lex_state = 419, .external_lex_state = 2},
  [19647] = {.lex_state = 11, .external_lex_state = 2},
  [19648] = {.lex_state = 419, .external_lex_state = 2},
  [19649] = {.lex_state = 419, .external_lex_state = 2},
  [19650] = {.lex_state = 419, .external_lex_state = 2},
  [19651] = {.lex_state = 26, .external_lex_state = 2},
  [19652] = {.lex_state = 11, .external_lex_state = 2},
  [19653] = {.lex_state = 18, .external_lex_state = 2},
  [19654] = {.lex_state = 419, .external_lex_state = 2},
  [19655] = {.lex_state = 99, .external_lex_state = 2},
  [19656] = {.lex_state = 99, .external_lex_state = 2},
  [19657] = {.lex_state = 99, .external_lex_state = 2},
  [19658] = {.lex_state = 419, .external_lex_state = 2},
  [19659] = {.lex_state = 419, .external_lex_state = 2},
  [19660] = {.lex_state = 419, .external_lex_state = 2},
  [19661] = {.lex_state = 10, .external_lex_state = 2},
  [19662] = {.lex_state = 419, .external_lex_state = 2},
  [19663] = {.lex_state = 26, .external_lex_state = 2},
  [19664] = {.lex_state = 419, .external_lex_state = 2},
  [19665] = {.lex_state = 419, .external_lex_state = 2},
  [19666] = {.lex_state = 26, .external_lex_state = 2},
  [19667] = {.lex_state = 26, .external_lex_state = 2},
  [19668] = {.lex_state = 419, .external_lex_state = 2},
  [19669] = {.lex_state = 18, .external_lex_state = 2},
  [19670] = {.lex_state = 419, .external_lex_state = 2},
  [19671] = {.lex_state = 99, .external_lex_state = 2},
  [19672] = {.lex_state = 99, .external_lex_state = 2},
  [19673] = {.lex_state = 99, .external_lex_state = 2},
  [19674] = {.lex_state = 26, .external_lex_state = 2},
  [19675] = {.lex_state = 419, .external_lex_state = 2},
  [19676] = {.lex_state = 11, .external_lex_state = 2},
  [19677] = {.lex_state = 11, .external_lex_state = 2},
  [19678] = {.lex_state = 26, .external_lex_state = 2},
  [19679] = {.lex_state = 11, .external_lex_state = 2},
  [19680] = {.lex_state = 419, .external_lex_state = 2},
  [19681] = {.lex_state = 419, .external_lex_state = 2},
  [19682] = {.lex_state = 419, .external_lex_state = 2},
  [19683] = {.lex_state = 419, .external_lex_state = 2},
  [19684] = {.lex_state = 18, .external_lex_state = 2},
  [19685] = {.lex_state = 11, .external_lex_state = 2},
  [19686] = {.lex_state = 99, .external_lex_state = 2},
  [19687] = {.lex_state = 99, .external_lex_state = 2},
  [19688] = {.lex_state = 99, .external_lex_state = 2},
  [19689] = {.lex_state = 419, .external_lex_state = 3},
  [19690] = {.lex_state = 11, .external_lex_state = 2},
  [19691] = {.lex_state = 419, .external_lex_state = 2},
  [19692] = {.lex_state = 419, .external_lex_state = 3},
  [19693] = {.lex_state = 419, .external_lex_state = 2},
  [19694] = {.lex_state = 26, .external_lex_state = 2},
  [19695] = {.lex_state = 11, .external_lex_state = 2},
  [19696] = {.lex_state = 26, .external_lex_state = 2},
  [19697] = {.lex_state = 419, .external_lex_state = 2},
  [19698] = {.lex_state = 419, .external_lex_state = 2},
  [19699] = {.lex_state = 18, .external_lex_state = 2},
  [19700] = {.lex_state = 419, .external_lex_state = 2},
  [19701] = {.lex_state = 99, .external_lex_state = 2},
  [19702] = {.lex_state = 99, .external_lex_state = 2},
  [19703] = {.lex_state = 99, .external_lex_state = 2},
  [19704] = {.lex_state = 419, .external_lex_state = 2},
  [19705] = {.lex_state = 419, .external_lex_state = 2},
  [19706] = {.lex_state = 419, .external_lex_state = 2},
  [19707] = {.lex_state = 419, .external_lex_state = 2},
  [19708] = {.lex_state = 26, .external_lex_state = 2},
  [19709] = {.lex_state = 419, .external_lex_state = 2},
  [19710] = {.lex_state = 419, .external_lex_state = 2},
  [19711] = {.lex_state = 10, .external_lex_state = 2},
  [19712] = {.lex_state = 419, .external_lex_state = 2},
  [19713] = {.lex_state = 419, .external_lex_state = 2},
  [19714] = {.lex_state = 18, .external_lex_state = 2},
  [19715] = {.lex_state = 419, .external_lex_state = 2},
  [19716] = {.lex_state = 99, .external_lex_state = 2},
  [19717] = {.lex_state = 99, .external_lex_state = 2},
  [19718] = {.lex_state = 99, .external_lex_state = 2},
  [19719] = {.lex_state = 419, .external_lex_state = 2},
  [19720] = {.lex_state = 419, .external_lex_state = 3},
  [19721] = {.lex_state = 11, .external_lex_state = 2},
  [19722] = {.lex_state = 419, .external_lex_state = 2},
  [19723] = {.lex_state = 26, .external_lex_state = 2},
  [19724] = {.lex_state = 419, .external_lex_state = 2},
  [19725] = {.lex_state = 26, .external_lex_state = 2},
  [19726] = {.lex_state = 419, .external_lex_state = 2},
  [19727] = {.lex_state = 26, .external_lex_state = 2},
  [19728] = {.lex_state = 10, .external_lex_state = 2},
  [19729] = {.lex_state = 18, .external_lex_state = 2},
  [19730] = {.lex_state = 419, .external_lex_state = 2},
  [19731] = {.lex_state = 99, .external_lex_state = 2},
  [19732] = {.lex_state = 99, .external_lex_state = 2},
  [19733] = {.lex_state = 99, .external_lex_state = 2},
  [19734] = {.lex_state = 419, .external_lex_state = 2},
  [19735] = {.lex_state = 419, .external_lex_state = 3},
  [19736] = {.lex_state = 26, .external_lex_state = 2},
  [19737] = {.lex_state = 18, .external_lex_state = 2},
  [19738] = {.lex_state = 419, .external_lex_state = 2},
  [19739] = {.lex_state = 18, .external_lex_state = 2},
  [19740] = {.lex_state = 419, .external_lex_state = 2},
  [19741] = {.lex_state = 419, .external_lex_state = 2},
  [19742] = {.lex_state = 26, .external_lex_state = 2},
  [19743] = {.lex_state = 419, .external_lex_state = 2},
  [19744] = {.lex_state = 18, .external_lex_state = 2},
  [19745] = {.lex_state = 419, .external_lex_state = 2},
  [19746] = {.lex_state = 99, .external_lex_state = 2},
  [19747] = {.lex_state = 99, .external_lex_state = 2},
  [19748] = {.lex_state = 99, .external_lex_state = 2},
  [19749] = {.lex_state = 419, .external_lex_state = 2},
  [19750] = {.lex_state = 419, .external_lex_state = 2},
  [19751] = {.lex_state = 419, .external_lex_state = 2},
  [19752] = {.lex_state = 419, .external_lex_state = 2},
  [19753] = {.lex_state = 419, .external_lex_state = 2},
  [19754] = {.lex_state = 419, .external_lex_state = 2},
  [19755] = {.lex_state = 419, .external_lex_state = 2},
  [19756] = {.lex_state = 419, .external_lex_state = 2},
  [19757] = {.lex_state = 18, .external_lex_state = 2},
  [19758] = {.lex_state = 419, .external_lex_state = 2},
  [19759] = {.lex_state = 18, .external_lex_state = 2},
  [19760] = {.lex_state = 419, .external_lex_state = 2},
  [19761] = {.lex_state = 99, .external_lex_state = 2},
  [19762] = {.lex_state = 99, .external_lex_state = 2},
  [19763] = {.lex_state = 99, .external_lex_state = 2},
  [19764] = {.lex_state = 419, .external_lex_state = 2},
  [19765] = {.lex_state = 419, .external_lex_state = 2},
  [19766] = {.lex_state = 419, .external_lex_state = 2},
  [19767] = {.lex_state = 26, .external_lex_state = 2},
  [19768] = {.lex_state = 419, .external_lex_state = 2},
  [19769] = {.lex_state = 419, .external_lex_state = 2},
  [19770] = {.lex_state = 419, .external_lex_state = 2},
  [19771] = {.lex_state = 419, .external_lex_state = 2},
  [19772] = {.lex_state = 419, .external_lex_state = 2},
  [19773] = {.lex_state = 419, .external_lex_state = 2},
  [19774] = {.lex_state = 18, .external_lex_state = 2},
  [19775] = {.lex_state = 419, .external_lex_state = 2},
  [19776] = {.lex_state = 99, .external_lex_state = 2},
  [19777] = {.lex_state = 99, .external_lex_state = 2},
  [19778] = {.lex_state = 99, .external_lex_state = 2},
  [19779] = {.lex_state = 419, .external_lex_state = 2},
  [19780] = {.lex_state = 419, .external_lex_state = 2},
  [19781] = {.lex_state = 26, .external_lex_state = 2},
  [19782] = {.lex_state = 26, .external_lex_state = 2},
  [19783] = {.lex_state = 419, .external_lex_state = 2},
  [19784] = {.lex_state = 10, .external_lex_state = 2},
  [19785] = {.lex_state = 26, .external_lex_state = 2},
  [19786] = {.lex_state = 26, .external_lex_state = 2},
  [19787] = {.lex_state = 419, .external_lex_state = 2},
  [19788] = {.lex_state = 26, .external_lex_state = 2},
  [19789] = {.lex_state = 18, .external_lex_state = 2},
  [19790] = {.lex_state = 419, .external_lex_state = 2},
  [19791] = {.lex_state = 99, .external_lex_state = 2},
  [19792] = {.lex_state = 99, .external_lex_state = 2},
  [19793] = {.lex_state = 99, .external_lex_state = 2},
  [19794] = {.lex_state = 419, .external_lex_state = 2},
  [19795] = {.lex_state = 26, .external_lex_state = 2},
  [19796] = {.lex_state = 419, .external_lex_state = 2},
  [19797] = {.lex_state = 419, .external_lex_state = 2},
  [19798] = {.lex_state = 419, .external_lex_state = 2},
  [19799] = {.lex_state = 419, .external_lex_state = 2},
  [19800] = {.lex_state = 26, .external_lex_state = 2},
  [19801] = {.lex_state = 419, .external_lex_state = 2},
  [19802] = {.lex_state = 26, .external_lex_state = 2},
  [19803] = {.lex_state = 419, .external_lex_state = 2},
  [19804] = {.lex_state = 18, .external_lex_state = 2},
  [19805] = {.lex_state = 11, .external_lex_state = 2},
  [19806] = {.lex_state = 99, .external_lex_state = 2},
  [19807] = {.lex_state = 99, .external_lex_state = 2},
  [19808] = {.lex_state = 99, .external_lex_state = 2},
  [19809] = {.lex_state = 11, .external_lex_state = 2},
  [19810] = {.lex_state = 419, .external_lex_state = 2},
  [19811] = {.lex_state = 419, .external_lex_state = 2},
  [19812] = {.lex_state = 419, .external_lex_state = 2},
  [19813] = {.lex_state = 26, .external_lex_state = 2},
  [19814] = {.lex_state = 419, .external_lex_state = 2},
  [19815] = {.lex_state = 419, .external_lex_state = 3},
  [19816] = {.lex_state = 18, .external_lex_state = 2},
  [19817] = {.lex_state = 26, .external_lex_state = 2},
  [19818] = {.lex_state = 419, .external_lex_state = 2},
  [19819] = {.lex_state = 18, .external_lex_state = 2},
  [19820] = {.lex_state = 419, .external_lex_state = 2},
  [19821] = {.lex_state = 99, .external_lex_state = 2},
  [19822] = {.lex_state = 99, .external_lex_state = 2},
  [19823] = {.lex_state = 99, .external_lex_state = 2},
  [19824] = {.lex_state = 419, .external_lex_state = 2},
  [19825] = {.lex_state = 419, .external_lex_state = 2},
  [19826] = {.lex_state = 419, .external_lex_state = 2},
  [19827] = {.lex_state = 419, .external_lex_state = 2},
  [19828] = {.lex_state = 419, .external_lex_state = 2},
  [19829] = {.lex_state = 419, .external_lex_state = 2},
  [19830] = {.lex_state = 419, .external_lex_state = 2},
  [19831] = {.lex_state = 11, .external_lex_state = 2},
  [19832] = {.lex_state = 26, .external_lex_state = 2},
  [19833] = {.lex_state = 419, .external_lex_state = 2},
  [19834] = {.lex_state = 18, .external_lex_state = 2},
  [19835] = {.lex_state = 11, .external_lex_state = 2},
  [19836] = {.lex_state = 99, .external_lex_state = 2},
  [19837] = {.lex_state = 99, .external_lex_state = 2},
  [19838] = {.lex_state = 99, .external_lex_state = 2},
  [19839] = {.lex_state = 419, .external_lex_state = 2},
  [19840] = {.lex_state = 11, .external_lex_state = 2},
  [19841] = {.lex_state = 419, .external_lex_state = 2},
  [19842] = {.lex_state = 32, .external_lex_state = 2},
  [19843] = {.lex_state = 419, .external_lex_state = 2},
  [19844] = {.lex_state = 26, .external_lex_state = 2},
  [19845] = {.lex_state = 10, .external_lex_state = 2},
  [19846] = {.lex_state = 419, .external_lex_state = 2},
  [19847] = {.lex_state = 11, .external_lex_state = 2},
  [19848] = {.lex_state = 419, .external_lex_state = 2},
  [19849] = {.lex_state = 18, .external_lex_state = 2},
  [19850] = {.lex_state = 419, .external_lex_state = 3},
  [19851] = {.lex_state = 99, .external_lex_state = 2},
  [19852] = {.lex_state = 99, .external_lex_state = 2},
  [19853] = {.lex_state = 99, .external_lex_state = 2},
  [19854] = {.lex_state = 26, .external_lex_state = 2},
  [19855] = {.lex_state = 26, .external_lex_state = 2},
  [19856] = {.lex_state = 419, .external_lex_state = 2},
  [19857] = {.lex_state = 419, .external_lex_state = 2},
  [19858] = {.lex_state = 419, .external_lex_state = 2},
  [19859] = {.lex_state = 419, .external_lex_state = 2},
  [19860] = {.lex_state = 419, .external_lex_state = 2},
  [19861] = {.lex_state = 419, .external_lex_state = 2},
  [19862] = {.lex_state = 26, .external_lex_state = 2},
  [19863] = {.lex_state = 11, .external_lex_state = 2},
  [19864] = {.lex_state = 18, .external_lex_state = 2},
  [19865] = {.lex_state = 419, .external_lex_state = 2},
  [19866] = {.lex_state = 99, .external_lex_state = 2},
  [19867] = {.lex_state = 99, .external_lex_state = 2},
  [19868] = {.lex_state = 99, .external_lex_state = 2},
  [19869] = {.lex_state = 419, .external_lex_state = 2},
  [19870] = {.lex_state = 419, .external_lex_state = 2},
  [19871] = {.lex_state = 419, .external_lex_state = 2},
  [19872] = {.lex_state = 419, .external_lex_state = 2},
  [19873] = {.lex_state = 419, .external_lex_state = 2},
  [19874] = {.lex_state = 419, .external_lex_state = 2},
  [19875] = {.lex_state = 419, .external_lex_state = 2},
  [19876] = {.lex_state = 419, .external_lex_state = 2},
  [19877] = {.lex_state = 419, .external_lex_state = 2},
  [19878] = {.lex_state = 419, .external_lex_state = 2},
  [19879] = {.lex_state = 18, .external_lex_state = 2},
  [19880] = {.lex_state = 419, .external_lex_state = 2},
  [19881] = {.lex_state = 99, .external_lex_state = 2},
  [19882] = {.lex_state = 99, .external_lex_state = 2},
  [19883] = {.lex_state = 99, .external_lex_state = 2},
  [19884] = {.lex_state = 419, .external_lex_state = 2},
  [19885] = {.lex_state = 26, .external_lex_state = 2},
  [19886] = {.lex_state = 419, .external_lex_state = 2},
  [19887] = {.lex_state = 419, .external_lex_state = 2},
  [19888] = {.lex_state = 419, .external_lex_state = 2},
  [19889] = {.lex_state = 18, .external_lex_state = 2},
  [19890] = {.lex_state = 18, .external_lex_state = 2},
  [19891] = {.lex_state = 419, .external_lex_state = 2},
  [19892] = {.lex_state = 419, .external_lex_state = 2},
  [19893] = {.lex_state = 419, .external_lex_state = 2},
  [19894] = {.lex_state = 18, .external_lex_state = 2},
  [19895] = {.lex_state = 419, .external_lex_state = 2},
  [19896] = {.lex_state = 99, .external_lex_state = 2},
  [19897] = {.lex_state = 99, .external_lex_state = 2},
  [19898] = {.lex_state = 99, .external_lex_state = 2},
  [19899] = {.lex_state = 419, .external_lex_state = 2},
  [19900] = {.lex_state = 419, .external_lex_state = 2},
  [19901] = {.lex_state = 419, .external_lex_state = 2},
  [19902] = {.lex_state = 419, .external_lex_state = 2},
  [19903] = {.lex_state = 419, .external_lex_state = 2},
  [19904] = {.lex_state = 419, .external_lex_state = 2},
  [19905] = {.lex_state = 419, .external_lex_state = 2},
  [19906] = {.lex_state = 419, .external_lex_state = 2},
  [19907] = {.lex_state = 419, .external_lex_state = 2},
  [19908] = {.lex_state = 10, .external_lex_state = 2},
  [19909] = {.lex_state = 18, .external_lex_state = 2},
  [19910] = {.lex_state = 419, .external_lex_state = 3},
  [19911] = {.lex_state = 99, .external_lex_state = 2},
  [19912] = {.lex_state = 99, .external_lex_state = 2},
  [19913] = {.lex_state = 99, .external_lex_state = 2},
  [19914] = {.lex_state = 419, .external_lex_state = 2},
  [19915] = {.lex_state = 26, .external_lex_state = 2},
  [19916] = {.lex_state = 419, .external_lex_state = 2},
  [19917] = {.lex_state = 18, .external_lex_state = 2},
  [19918] = {.lex_state = 419, .external_lex_state = 2},
  [19919] = {.lex_state = 419, .external_lex_state = 2},
  [19920] = {.lex_state = 419, .external_lex_state = 2},
  [19921] = {.lex_state = 419, .external_lex_state = 2},
  [19922] = {.lex_state = 419, .external_lex_state = 2},
  [19923] = {.lex_state = 419, .external_lex_state = 2},
  [19924] = {.lex_state = 419, .external_lex_state = 2},
  [19925] = {.lex_state = 99, .external_lex_state = 2},
  [19926] = {.lex_state = 99, .external_lex_state = 2},
  [19927] = {.lex_state = 99, .external_lex_state = 2},
  [19928] = {.lex_state = 26, .external_lex_state = 2},
  [19929] = {.lex_state = 419, .external_lex_state = 2},
  [19930] = {.lex_state = 419, .external_lex_state = 2},
  [19931] = {.lex_state = 419, .external_lex_state = 2},
  [19932] = {.lex_state = 26, .external_lex_state = 2},
  [19933] = {.lex_state = 26, .external_lex_state = 2},
  [19934] = {.lex_state = 419, .external_lex_state = 2},
  [19935] = {.lex_state = 419, .external_lex_state = 2},
  [19936] = {.lex_state = 419, .external_lex_state = 2},
  [19937] = {.lex_state = 419, .external_lex_state = 2},
  [19938] = {.lex_state = 419, .external_lex_state = 2},
  [19939] = {.lex_state = 99, .external_lex_state = 2},
  [19940] = {.lex_state = 99, .external_lex_state = 2},
  [19941] = {.lex_state = 99, .external_lex_state = 2},
  [19942] = {.lex_state = 419, .external_lex_state = 2},
  [19943] = {.lex_state = 419, .external_lex_state = 2},
  [19944] = {.lex_state = 419, .external_lex_state = 2},
  [19945] = {.lex_state = 26, .external_lex_state = 2},
  [19946] = {.lex_state = 419, .external_lex_state = 2},
  [19947] = {.lex_state = 26, .external_lex_state = 2},
  [19948] = {.lex_state = 419, .external_lex_state = 2},
  [19949] = {.lex_state = 419, .external_lex_state = 2},
  [19950] = {.lex_state = 419, .external_lex_state = 2},
  [19951] = {.lex_state = 26, .external_lex_state = 2},
  [19952] = {.lex_state = 419, .external_lex_state = 2},
  [19953] = {.lex_state = 99, .external_lex_state = 2},
  [19954] = {.lex_state = 99, .external_lex_state = 2},
  [19955] = {.lex_state = 99, .external_lex_state = 2},
  [19956] = {.lex_state = 26, .external_lex_state = 2},
  [19957] = {.lex_state = 419, .external_lex_state = 2},
  [19958] = {.lex_state = 26, .external_lex_state = 2},
  [19959] = {.lex_state = 419, .external_lex_state = 2},
  [19960] = {.lex_state = 11, .external_lex_state = 2},
  [19961] = {.lex_state = 26, .external_lex_state = 2},
  [19962] = {.lex_state = 419, .external_lex_state = 2},
  [19963] = {.lex_state = 10, .external_lex_state = 2},
  [19964] = {.lex_state = 419, .external_lex_state = 2},
  [19965] = {.lex_state = 419, .external_lex_state = 2},
  [19966] = {.lex_state = 10, .external_lex_state = 2},
  [19967] = {.lex_state = 99, .external_lex_state = 2},
  [19968] = {.lex_state = 99, .external_lex_state = 2},
  [19969] = {.lex_state = 99, .external_lex_state = 2},
  [19970] = {.lex_state = 11, .external_lex_state = 2},
  [19971] = {.lex_state = 11, .external_lex_state = 2},
  [19972] = {.lex_state = 11, .external_lex_state = 2},
  [19973] = {.lex_state = 11, .external_lex_state = 2},
  [19974] = {.lex_state = 11, .external_lex_state = 2},
  [19975] = {.lex_state = 419, .external_lex_state = 2},
  [19976] = {.lex_state = 26, .external_lex_state = 2},
  [19977] = {.lex_state = 419, .external_lex_state = 2},
  [19978] = {.lex_state = 26, .external_lex_state = 2},
  [19979] = {.lex_state = 99, .external_lex_state = 2},
  [19980] = {.lex_state = 99, .external_lex_state = 2},
  [19981] = {.lex_state = 99, .external_lex_state = 2},
  [19982] = {.lex_state = 11, .external_lex_state = 2},
  [19983] = {.lex_state = 11, .external_lex_state = 2},
  [19984] = {.lex_state = 419, .external_lex_state = 2},
  [19985] = {.lex_state = 26, .external_lex_state = 2},
  [19986] = {.lex_state = 419, .external_lex_state = 2},
  [19987] = {.lex_state = 419, .external_lex_state = 2},
  [19988] = {.lex_state = 419, .external_lex_state = 2},
  [19989] = {.lex_state = 419, .external_lex_state = 2},
  [19990] = {.lex_state = 419, .external_lex_state = 2},
  [19991] = {.lex_state = 99, .external_lex_state = 2},
  [19992] = {.lex_state = 99, .external_lex_state = 2},
  [19993] = {.lex_state = 99, .external_lex_state = 2},
  [19994] = {.lex_state = 26, .external_lex_state = 2},
  [19995] = {.lex_state = 419, .external_lex_state = 2},
  [19996] = {.lex_state = 99, .external_lex_state = 2},
  [19997] = {.lex_state = 99, .external_lex_state = 2},
  [19998] = {.lex_state = 99, .external_lex_state = 2},
  [19999] = {.lex_state = 26, .external_lex_state = 2},
  [20000] = {.lex_state = 11, .external_lex_state = 2},
  [20001] = {.lex_state = 99, .external_lex_state = 2},
  [20002] = {.lex_state = 99, .external_lex_state = 2},
  [20003] = {.lex_state = 99, .external_lex_state = 2},
  [20004] = {.lex_state = 419, .external_lex_state = 2},
  [20005] = {.lex_state = 419, .external_lex_state = 2},
  [20006] = {.lex_state = 99, .external_lex_state = 2},
  [20007] = {.lex_state = 99, .external_lex_state = 2},
  [20008] = {.lex_state = 99, .external_lex_state = 2},
  [20009] = {.lex_state = 11, .external_lex_state = 2},
  [20010] = {.lex_state = 11, .external_lex_state = 2},
  [20011] = {.lex_state = 99, .external_lex_state = 2},
  [20012] = {.lex_state = 99, .external_lex_state = 2},
  [20013] = {.lex_state = 99, .external_lex_state = 2},
  [20014] = {.lex_state = 11, .external_lex_state = 2},
  [20015] = {.lex_state = 26, .external_lex_state = 2},
  [20016] = {.lex_state = 99, .external_lex_state = 2},
  [20017] = {.lex_state = 99, .external_lex_state = 2},
  [20018] = {.lex_state = 99, .external_lex_state = 2},
  [20019] = {.lex_state = 26, .external_lex_state = 2},
  [20020] = {.lex_state = 419, .external_lex_state = 2},
  [20021] = {.lex_state = 99, .external_lex_state = 2},
  [20022] = {.lex_state = 99, .external_lex_state = 2},
  [20023] = {.lex_state = 99, .external_lex_state = 2},
  [20024] = {.lex_state = 11, .external_lex_state = 2},
  [20025] = {.lex_state = 419, .external_lex_state = 2},
  [20026] = {.lex_state = 99, .external_lex_state = 2},
  [20027] = {.lex_state = 99, .external_lex_state = 2},
  [20028] = {.lex_state = 99, .external_lex_state = 2},
  [20029] = {.lex_state = 419, .external_lex_state = 2},
  [20030] = {.lex_state = 419, .external_lex_state = 2},
  [20031] = {.lex_state = 99, .external_lex_state = 2},
  [20032] = {.lex_state = 99, .external_lex_state = 2},
  [20033] = {.lex_state = 99, .external_lex_state = 2},
  [20034] = {.lex_state = 419, .external_lex_state = 2},
  [20035] = {.lex_state = 26, .external_lex_state = 2},
  [20036] = {.lex_state = 99, .external_lex_state = 2},
  [20037] = {.lex_state = 99, .external_lex_state = 2},
  [20038] = {.lex_state = 99, .external_lex_state = 2},
  [20039] = {.lex_state = 26, .external_lex_state = 2},
  [20040] = {.lex_state = 18, .external_lex_state = 2},
  [20041] = {.lex_state = 99, .external_lex_state = 2},
  [20042] = {.lex_state = 99, .external_lex_state = 2},
  [20043] = {.lex_state = 99, .external_lex_state = 2},
  [20044] = {.lex_state = 419, .external_lex_state = 2},
  [20045] = {.lex_state = 419, .external_lex_state = 2},
  [20046] = {.lex_state = 99, .external_lex_state = 2},
  [20047] = {.lex_state = 99, .external_lex_state = 2},
  [20048] = {.lex_state = 99, .external_lex_state = 2},
  [20049] = {.lex_state = 419, .external_lex_state = 2},
  [20050] = {.lex_state = 10, .external_lex_state = 2},
  [20051] = {.lex_state = 99, .external_lex_state = 2},
  [20052] = {.lex_state = 99, .external_lex_state = 2},
  [20053] = {.lex_state = 99, .external_lex_state = 2},
  [20054] = {.lex_state = 419, .external_lex_state = 2},
  [20055] = {.lex_state = 419, .external_lex_state = 3},
  [20056] = {.lex_state = 419, .external_lex_state = 2},
  [20057] = {.lex_state = 11, .external_lex_state = 2},
  [20058] = {.lex_state = 26, .external_lex_state = 2},
  [20059] = {.lex_state = 11, .external_lex_state = 2},
  [20060] = {.lex_state = 419, .external_lex_state = 2},
  [20061] = {.lex_state = 18, .external_lex_state = 2},
  [20062] = {.lex_state = 419, .external_lex_state = 2},
  [20063] = {.lex_state = 419, .external_lex_state = 2},
  [20064] = {.lex_state = 419, .external_lex_state = 2},
  [20065] = {.lex_state = 419, .external_lex_state = 2},
  [20066] = {.lex_state = 419, .external_lex_state = 2},
  [20067] = {.lex_state = 419, .external_lex_state = 2},
  [20068] = {.lex_state = 419, .external_lex_state = 2},
  [20069] = {.lex_state = 26, .external_lex_state = 2},
  [20070] = {.lex_state = 26, .external_lex_state = 2},
  [20071] = {.lex_state = 419, .external_lex_state = 2},
  [20072] = {.lex_state = 419, .external_lex_state = 2},
  [20073] = {.lex_state = 419, .external_lex_state = 2},
  [20074] = {.lex_state = 419, .external_lex_state = 2},
  [20075] = {.lex_state = 26, .external_lex_state = 2},
  [20076] = {.lex_state = 419, .external_lex_state = 2},
  [20077] = {.lex_state = 419, .external_lex_state = 2},
  [20078] = {.lex_state = 26, .external_lex_state = 2},
  [20079] = {.lex_state = 32, .external_lex_state = 2},
  [20080] = {.lex_state = 26, .external_lex_state = 2},
  [20081] = {.lex_state = 419, .external_lex_state = 2},
  [20082] = {.lex_state = 419, .external_lex_state = 2},
  [20083] = {.lex_state = 26, .external_lex_state = 2},
  [20084] = {.lex_state = 419, .external_lex_state = 2},
  [20085] = {.lex_state = 419, .external_lex_state = 2},
  [20086] = {.lex_state = 239, .external_lex_state = 2},
  [20087] = {.lex_state = 419, .external_lex_state = 2},
  [20088] = {.lex_state = 419, .external_lex_state = 2},
  [20089] = {.lex_state = 419, .external_lex_state = 2},
  [20090] = {.lex_state = 26, .external_lex_state = 2},
  [20091] = {.lex_state = 419, .external_lex_state = 2},
  [20092] = {.lex_state = 26, .external_lex_state = 2},
  [20093] = {.lex_state = 26, .external_lex_state = 2},
  [20094] = {.lex_state = 419, .external_lex_state = 2},
  [20095] = {.lex_state = 419, .external_lex_state = 2},
  [20096] = {.lex_state = 419, .external_lex_state = 2},
  [20097] = {.lex_state = 419, .external_lex_state = 2},
  [20098] = {.lex_state = 419, .external_lex_state = 2},
  [20099] = {.lex_state = 18, .external_lex_state = 2},
  [20100] = {.lex_state = 419, .external_lex_state = 2},
  [20101] = {.lex_state = 419, .external_lex_state = 2},
  [20102] = {.lex_state = 419, .external_lex_state = 2},
  [20103] = {.lex_state = 419, .external_lex_state = 2},
  [20104] = {.lex_state = 419, .external_lex_state = 2},
  [20105] = {.lex_state = 18, .external_lex_state = 2},
  [20106] = {.lex_state = 10, .external_lex_state = 2},
  [20107] = {.lex_state = 419, .external_lex_state = 3},
  [20108] = {.lex_state = 419, .external_lex_state = 2},
  [20109] = {.lex_state = 18, .external_lex_state = 2},
  [20110] = {.lex_state = 419, .external_lex_state = 2},
  [20111] = {.lex_state = 18, .external_lex_state = 2},
  [20112] = {.lex_state = 18, .external_lex_state = 2},
  [20113] = {.lex_state = 419, .external_lex_state = 2},
  [20114] = {.lex_state = 419, .external_lex_state = 2},
  [20115] = {.lex_state = 419, .external_lex_state = 2},
  [20116] = {.lex_state = 419, .external_lex_state = 2},
  [20117] = {.lex_state = 26, .external_lex_state = 2},
  [20118] = {.lex_state = 239, .external_lex_state = 2},
  [20119] = {.lex_state = 26, .external_lex_state = 2},
  [20120] = {.lex_state = 419, .external_lex_state = 2},
  [20121] = {.lex_state = 419, .external_lex_state = 2},
  [20122] = {.lex_state = 419, .external_lex_state = 2},
  [20123] = {.lex_state = 419, .external_lex_state = 2},
  [20124] = {.lex_state = 18, .external_lex_state = 2},
  [20125] = {.lex_state = 26, .external_lex_state = 2},
  [20126] = {.lex_state = 419, .external_lex_state = 2},
  [20127] = {.lex_state = 26, .external_lex_state = 2},
  [20128] = {.lex_state = 26, .external_lex_state = 2},
  [20129] = {.lex_state = 419, .external_lex_state = 2},
  [20130] = {.lex_state = 26, .external_lex_state = 2},
  [20131] = {.lex_state = 419, .external_lex_state = 2},
  [20132] = {.lex_state = 26, .external_lex_state = 2},
  [20133] = {.lex_state = 239, .external_lex_state = 2},
  [20134] = {.lex_state = 26, .external_lex_state = 2},
  [20135] = {.lex_state = 419, .external_lex_state = 2},
  [20136] = {.lex_state = 419, .external_lex_state = 2},
  [20137] = {.lex_state = 18, .external_lex_state = 2},
  [20138] = {.lex_state = 419, .external_lex_state = 2},
  [20139] = {.lex_state = 419, .external_lex_state = 2},
  [20140] = {.lex_state = 419, .external_lex_state = 2},
  [20141] = {.lex_state = 26, .external_lex_state = 2},
  [20142] = {.lex_state = 419, .external_lex_state = 2},
  [20143] = {.lex_state = 419, .external_lex_state = 2},
  [20144] = {.lex_state = 419, .external_lex_state = 2},
  [20145] = {.lex_state = 239, .external_lex_state = 2},
  [20146] = {.lex_state = 419, .external_lex_state = 2},
  [20147] = {.lex_state = 26, .external_lex_state = 2},
  [20148] = {.lex_state = 18, .external_lex_state = 2},
  [20149] = {.lex_state = 419, .external_lex_state = 2},
  [20150] = {.lex_state = 419, .external_lex_state = 2},
  [20151] = {.lex_state = 419, .external_lex_state = 2},
  [20152] = {.lex_state = 419, .external_lex_state = 2},
  [20153] = {.lex_state = 239, .external_lex_state = 2},
  [20154] = {.lex_state = 239, .external_lex_state = 2},
  [20155] = {.lex_state = 239, .external_lex_state = 2},
  [20156] = {.lex_state = 239, .external_lex_state = 2},
  [20157] = {.lex_state = 239, .external_lex_state = 2},
  [20158] = {.lex_state = 239, .external_lex_state = 2},
  [20159] = {.lex_state = 239, .external_lex_state = 2},
  [20160] = {.lex_state = 239, .external_lex_state = 2},
  [20161] = {.lex_state = 239, .external_lex_state = 2},
  [20162] = {.lex_state = 239, .external_lex_state = 2},
  [20163] = {.lex_state = 239, .external_lex_state = 2},
  [20164] = {.lex_state = 239, .external_lex_state = 2},
  [20165] = {.lex_state = 239, .external_lex_state = 2},
  [20166] = {.lex_state = 239, .external_lex_state = 2},
  [20167] = {.lex_state = 239, .external_lex_state = 2},
  [20168] = {.lex_state = 239, .external_lex_state = 2},
  [20169] = {.lex_state = 239, .external_lex_state = 2},
  [20170] = {.lex_state = 239, .external_lex_state = 2},
  [20171] = {.lex_state = 239, .external_lex_state = 2},
  [20172] = {.lex_state = 239, .external_lex_state = 2},
  [20173] = {.lex_state = 239, .external_lex_state = 2},
  [20174] = {.lex_state = 239, .external_lex_state = 2},
  [20175] = {.lex_state = 239, .external_lex_state = 2},
  [20176] = {.lex_state = 239, .external_lex_state = 2},
  [20177] = {.lex_state = 239, .external_lex_state = 2},
  [20178] = {.lex_state = 239, .external_lex_state = 2},
  [20179] = {.lex_state = 239, .external_lex_state = 2},
  [20180] = {.lex_state = 239, .external_lex_state = 2},
  [20181] = {.lex_state = 239, .external_lex_state = 2},
  [20182] = {.lex_state = 239, .external_lex_state = 2},
  [20183] = {.lex_state = 239, .external_lex_state = 2},
  [20184] = {.lex_state = 239, .external_lex_state = 2},
  [20185] = {.lex_state = 239, .external_lex_state = 2},
  [20186] = {.lex_state = 239, .external_lex_state = 2},
  [20187] = {.lex_state = 239, .external_lex_state = 2},
  [20188] = {.lex_state = 239, .external_lex_state = 2},
  [20189] = {.lex_state = 239, .external_lex_state = 2},
  [20190] = {.lex_state = 239, .external_lex_state = 2},
  [20191] = {.lex_state = 239, .external_lex_state = 2},
  [20192] = {.lex_state = 239, .external_lex_state = 2},
  [20193] = {.lex_state = 239, .external_lex_state = 2},
  [20194] = {.lex_state = 239, .external_lex_state = 2},
  [20195] = {.lex_state = 239, .external_lex_state = 2},
  [20196] = {.lex_state = 239, .external_lex_state = 2},
  [20197] = {.lex_state = 239, .external_lex_state = 2},
  [20198] = {.lex_state = 239, .external_lex_state = 2},
  [20199] = {.lex_state = 239, .external_lex_state = 2},
  [20200] = {.lex_state = 239, .external_lex_state = 2},
  [20201] = {.lex_state = 239, .external_lex_state = 2},
  [20202] = {.lex_state = 239, .external_lex_state = 2},
  [20203] = {.lex_state = 239, .external_lex_state = 2},
  [20204] = {.lex_state = 419, .external_lex_state = 2},
  [20205] = {.lex_state = 419, .external_lex_state = 2},
  [20206] = {.lex_state = 26, .external_lex_state = 2},
  [20207] = {.lex_state = 26, .external_lex_state = 2},
  [20208] = {.lex_state = 26, .external_lex_state = 2},
  [20209] = {.lex_state = 26, .external_lex_state = 2},
  [20210] = {.lex_state = 26, .external_lex_state = 2},
  [20211] = {.lex_state = 419, .external_lex_state = 2},
  [20212] = {.lex_state = 26, .external_lex_state = 2},
  [20213] = {.lex_state = 419, .external_lex_state = 2},
  [20214] = {.lex_state = 419, .external_lex_state = 2},
  [20215] = {.lex_state = 26, .external_lex_state = 2},
  [20216] = {.lex_state = 419, .external_lex_state = 2},
  [20217] = {.lex_state = 419, .external_lex_state = 2},
  [20218] = {.lex_state = 419, .external_lex_state = 2},
  [20219] = {.lex_state = 419, .external_lex_state = 2},
  [20220] = {.lex_state = 419, .external_lex_state = 2},
  [20221] = {.lex_state = 419, .external_lex_state = 2},
  [20222] = {.lex_state = 11, .external_lex_state = 2},
  [20223] = {.lex_state = 419, .external_lex_state = 2},
  [20224] = {.lex_state = 419, .external_lex_state = 2},
  [20225] = {.lex_state = 419, .external_lex_state = 2},
  [20226] = {.lex_state = 419, .external_lex_state = 2},
  [20227] = {.lex_state = 10, .external_lex_state = 2},
  [20228] = {.lex_state = 419, .external_lex_state = 3},
  [20229] = {.lex_state = 26, .external_lex_state = 2},
  [20230] = {.lex_state = 419, .external_lex_state = 2},
  [20231] = {.lex_state = 26, .external_lex_state = 2},
  [20232] = {.lex_state = 26, .external_lex_state = 2},
  [20233] = {.lex_state = 26, .external_lex_state = 2},
  [20234] = {.lex_state = 11, .external_lex_state = 2},
  [20235] = {.lex_state = 419, .external_lex_state = 2},
  [20236] = {.lex_state = 419, .external_lex_state = 2},
  [20237] = {.lex_state = 419, .external_lex_state = 2},
  [20238] = {.lex_state = 419, .external_lex_state = 2},
  [20239] = {.lex_state = 26, .external_lex_state = 2},
  [20240] = {.lex_state = 18, .external_lex_state = 2},
  [20241] = {.lex_state = 419, .external_lex_state = 2},
  [20242] = {.lex_state = 18, .external_lex_state = 2},
  [20243] = {.lex_state = 419, .external_lex_state = 2},
  [20244] = {.lex_state = 11, .external_lex_state = 2},
  [20245] = {.lex_state = 419, .external_lex_state = 2},
  [20246] = {.lex_state = 419, .external_lex_state = 2},
  [20247] = {.lex_state = 419, .external_lex_state = 2},
  [20248] = {.lex_state = 419, .external_lex_state = 2},
  [20249] = {.lex_state = 419, .external_lex_state = 2},
  [20250] = {.lex_state = 419, .external_lex_state = 2},
  [20251] = {.lex_state = 419, .external_lex_state = 2},
  [20252] = {.lex_state = 419, .external_lex_state = 2},
  [20253] = {.lex_state = 419, .external_lex_state = 2},
  [20254] = {.lex_state = 26, .external_lex_state = 2},
  [20255] = {.lex_state = 419, .external_lex_state = 2},
  [20256] = {.lex_state = 419, .external_lex_state = 2},
  [20257] = {.lex_state = 26, .external_lex_state = 2},
  [20258] = {.lex_state = 419, .external_lex_state = 2},
  [20259] = {.lex_state = 419, .external_lex_state = 2},
  [20260] = {.lex_state = 419, .external_lex_state = 2},
  [20261] = {.lex_state = 419, .external_lex_state = 2},
  [20262] = {.lex_state = 419, .external_lex_state = 2},
  [20263] = {.lex_state = 419, .external_lex_state = 2},
  [20264] = {.lex_state = 419, .external_lex_state = 2},
  [20265] = {.lex_state = 26, .external_lex_state = 2},
  [20266] = {.lex_state = 419, .external_lex_state = 2},
  [20267] = {.lex_state = 11, .external_lex_state = 2},
  [20268] = {.lex_state = 26, .external_lex_state = 2},
  [20269] = {.lex_state = 419, .external_lex_state = 2},
  [20270] = {.lex_state = 419, .external_lex_state = 2},
  [20271] = {.lex_state = 419, .external_lex_state = 2},
  [20272] = {.lex_state = 419, .external_lex_state = 2},
  [20273] = {.lex_state = 18, .external_lex_state = 2},
  [20274] = {.lex_state = 419, .external_lex_state = 2},
  [20275] = {.lex_state = 419, .external_lex_state = 2},
  [20276] = {.lex_state = 26, .external_lex_state = 2},
  [20277] = {.lex_state = 26, .external_lex_state = 2},
  [20278] = {.lex_state = 419, .external_lex_state = 2},
  [20279] = {.lex_state = 419, .external_lex_state = 2},
  [20280] = {.lex_state = 26, .external_lex_state = 2},
  [20281] = {.lex_state = 419, .external_lex_state = 2},
  [20282] = {.lex_state = 419, .external_lex_state = 2},
  [20283] = {.lex_state = 10, .external_lex_state = 2},
  [20284] = {.lex_state = 11, .external_lex_state = 2},
  [20285] = {.lex_state = 11, .external_lex_state = 2},
  [20286] = {.lex_state = 11, .external_lex_state = 2},
  [20287] = {.lex_state = 419, .external_lex_state = 2},
  [20288] = {.lex_state = 419, .external_lex_state = 3},
  [20289] = {.lex_state = 419, .external_lex_state = 2},
  [20290] = {.lex_state = 26, .external_lex_state = 2},
  [20291] = {.lex_state = 26, .external_lex_state = 2},
  [20292] = {.lex_state = 11, .external_lex_state = 2},
  [20293] = {.lex_state = 26, .external_lex_state = 2},
  [20294] = {.lex_state = 419, .external_lex_state = 2},
  [20295] = {.lex_state = 11, .external_lex_state = 2},
  [20296] = {.lex_state = 419, .external_lex_state = 2},
  [20297] = {.lex_state = 419, .external_lex_state = 2},
  [20298] = {.lex_state = 11, .external_lex_state = 2},
  [20299] = {.lex_state = 26, .external_lex_state = 2},
  [20300] = {.lex_state = 26, .external_lex_state = 2},
  [20301] = {.lex_state = 419, .external_lex_state = 2},
  [20302] = {.lex_state = 419, .external_lex_state = 2},
  [20303] = {.lex_state = 419, .external_lex_state = 2},
  [20304] = {.lex_state = 26, .external_lex_state = 2},
  [20305] = {.lex_state = 419, .external_lex_state = 2},
  [20306] = {.lex_state = 419, .external_lex_state = 2},
  [20307] = {.lex_state = 419, .external_lex_state = 2},
  [20308] = {(TSStateId)(-1)},
  [20309] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_attribute] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__lowercase_identifier] = ACTIONS(1),
    [anon_sym_SEMI_SEMI] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_rec] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_COLON_GT] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_external] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_nonrec] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_COLON2] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_constraint] = ACTIONS(1),
    [anon_sym_exception] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_open] = ACTIONS(1),
    [anon_sym_include] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_virtual] = ACTIONS(1),
    [anon_sym_val] = ACTIONS(1),
    [anon_sym_sig] = ACTIONS(1),
    [anon_sym_end] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_functor] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_method] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_fun] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_LBRACK_GT] = ACTIONS(1),
    [anon_sym_LBRACK_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACK] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_to] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_lazy] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_LBRACE_LT] = ACTIONS(1),
    [anon_sym_begin] = ACTIONS(1),
    [sym_ocamlyacc_value] = ACTIONS(1),
    [anon_sym_effect] = ACTIONS(1),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_number_token1] = ACTIONS(1),
    [aux_sym_signed_number_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_content_token2] = ACTIONS(1),
    [aux_sym_string_content_token4] = ACTIONS(1),
    [aux_sym_string_content_token5] = ACTIONS(1),
    [aux_sym_escape_sequence_token1] = ACTIONS(1),
    [aux_sym_escape_sequence_token2] = ACTIONS(1),
    [aux_sym_escape_sequence_token3] = ACTIONS(1),
    [aux_sym_escape_sequence_token4] = ACTIONS(1),
    [sym_pretty_printing_indication] = ACTIONS(1),
    [aux_sym_sign_operator_token1] = ACTIONS(1),
    [sym_hash_operator] = ACTIONS(1),
    [sym_concat_operator] = ACTIONS(1),
    [sym_and_operator] = ACTIONS(1),
    [sym_or_operator] = ACTIONS(1),
    [sym_assign_operator] = ACTIONS(1),
    [sym_let_operator] = ACTIONS(1),
    [sym_let_and_operator] = ACTIONS(1),
    [sym_match_operator] = ACTIONS(1),
    [sym__uppercase_identifier] = ACTIONS(1),
    [aux_sym_directive_token1] = ACTIONS(1),
    [aux_sym_type_variable_token1] = ACTIONS(1),
    [aux_sym_tag_token1] = ACTIONS(1),
    [aux_sym_attribute_id_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(5),
    [sym__left_quoted_string_delimiter] = ACTIONS(1),
    [sym__right_quoted_string_delimiter] = ACTIONS(1),
    [sym_line_number_directive] = ACTIONS(5),
    [sym__null] = ACTIONS(1),
    [sym__error_sentinel] = ACTIONS(1),
  },
  [1] = {
    [sym_compilation_unit] = STATE(19268),
    [sym__signature] = STATE(17521),
    [sym_external] = STATE(12568),
    [sym_type_definition] = STATE(12568),
    [sym_exception_definition] = STATE(12568),
    [sym_module_definition] = STATE(12568),
    [sym_module_type_definition] = STATE(12568),
    [sym_open_module] = STATE(12568),
    [sym_class_definition] = STATE(12568),
    [sym_class_type_definition] = STATE(12568),
    [sym__signature_item] = STATE(12515),
    [sym_value_specification] = STATE(12568),
    [sym_include_module_type] = STATE(12568),
    [sym_attribute] = STATE(1),
    [sym_floating_attribute] = STATE(12568),
    [sym_item_extension] = STATE(12568),
    [sym_quoted_item_extension] = STATE(12568),
    [aux_sym__structure_repeat1] = STATE(8898),
    [aux_sym__signature_repeat1] = STATE(8823),
    [ts_builtin_sym_end] = ACTIONS(7),
    [anon_sym_SEMI_SEMI] = ACTIONS(9),
    [anon_sym_external] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_exception] = ACTIONS(15),
    [anon_sym_module] = ACTIONS(17),
    [anon_sym_open] = ACTIONS(19),
    [anon_sym_include] = ACTIONS(21),
    [anon_sym_class] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(2),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(18093),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(3),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19447),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(123),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [4] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(4),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19719),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(125),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [5] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(5),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(17853),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [6] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(6),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19745),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [7] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(7),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19019),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(131),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [8] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(8),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(17729),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(133),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [9] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(9),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(17668),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(135),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [10] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(10),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(20271),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(137),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [11] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(11),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(18823),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(139),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [12] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(12),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(17788),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(141),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [13] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(13),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19796),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(143),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [14] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(14),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(17642),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(145),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [15] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(15),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(18864),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(147),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [16] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(16),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(18759),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(149),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [17] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(17),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19934),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [18] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(18),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19326),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [19] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(19),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(17658),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [20] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(20),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(18730),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [21] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(21),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19895),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [22] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(22),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(17616),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [23] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(23),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(17907),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [24] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(24),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19612),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [25] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(25),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(18206),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(167),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [26] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(26),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(18513),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [27] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(27),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(18840),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [28] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(28),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19215),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(173),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [29] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(29),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19427),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [30] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(30),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19741),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(177),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [31] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(31),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(20114),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(179),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [32] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(32),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(17923),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [33] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(33),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(18230),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(183),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [34] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(34),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(18854),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(185),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [35] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(35),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19263),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(187),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [36] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(36),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(18040),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(189),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [37] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(37),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(18664),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(191),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [38] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(38),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(17644),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(193),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [39] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(39),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(18386),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [40] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(40),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19642),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(197),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [41] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(41),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(20066),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(199),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [42] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(42),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(17776),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(201),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [43] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(43),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19986),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(203),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [44] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(44),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(18428),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(205),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [45] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(45),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(18914),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(207),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [46] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(46),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19935),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [47] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(47),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(17583),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(211),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [48] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(48),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(17839),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(213),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [49] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(49),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(18087),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [50] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(50),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(18354),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(217),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [51] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(51),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(18609),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [52] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(52),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(18754),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(221),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [53] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(53),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(18881),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(223),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [54] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(54),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(18940),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [55] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(55),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(18975),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [56] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(56),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(18997),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [57] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(57),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19020),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [58] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(58),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19043),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(233),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [59] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(59),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19064),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [60] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(60),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19086),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(237),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [61] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(61),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19110),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [62] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(62),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19146),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(241),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [63] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(63),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19183),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [64] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(64),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19209),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [65] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(65),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19232),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(247),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [66] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(66),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19239),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(249),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [67] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(67),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19260),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(251),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [68] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(68),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19264),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(253),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [69] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(69),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19271),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(255),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [70] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(70),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19276),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(257),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [71] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(71),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19286),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(259),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [72] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(72),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19293),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(261),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [73] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(73),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19297),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(263),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [74] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(74),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19305),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(265),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [75] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(75),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19311),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [76] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(76),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19324),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(269),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [77] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(77),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19335),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(271),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [78] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(78),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19347),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(273),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [79] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(79),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19351),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(275),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [80] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(80),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19364),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [81] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(81),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19380),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(279),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [82] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(82),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19385),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(281),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [83] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(83),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19399),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [84] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(84),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19405),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(285),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [85] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(85),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19414),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [86] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(86),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19429),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [87] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(87),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19441),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [88] = {
    [sym__structure] = STATE(19222),
    [sym_expression_item] = STATE(8278),
    [sym_toplevel_directive] = STATE(8278),
    [sym__structure_item] = STATE(8278),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(88),
    [sym_floating_attribute] = STATE(12142),
    [sym_attribute_payload] = STATE(19869),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(293),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [89] = {
    [sym_value_definition] = STATE(17483),
    [sym__simple_expression] = STATE(346),
    [sym__expression] = STATE(8105),
    [sym__sequence_expression] = STATE(7517),
    [sym_typed_expression] = STATE(3112),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3112),
    [sym_array_expression] = STATE(3112),
    [sym_record_expression] = STATE(3112),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3112),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3112),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2910),
    [sym_array_get_expression] = STATE(2910),
    [sym_string_get_expression] = STATE(2910),
    [sym_bigarray_get_expression] = STATE(2910),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3112),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3112),
    [sym_package_expression] = STATE(3112),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3112),
    [sym_object_copy_expression] = STATE(3112),
    [sym_method_invocation] = STATE(3112),
    [sym_object_expression] = STATE(3112),
    [sym_parenthesized_expression] = STATE(3112),
    [sym_attribute] = STATE(89),
    [sym_extension] = STATE(3112),
    [sym_quoted_extension] = STATE(3112),
    [sym__attribute] = STATE(738),
    [sym__constant] = STATE(3112),
    [sym_number] = STATE(3002),
    [sym_character] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_quoted_string] = STATE(3002),
    [sym_boolean] = STATE(3002),
    [sym_unit] = STATE(3002),
    [sym_sign_operator] = STATE(2250),
    [sym__value_name] = STATE(3175),
    [sym_parenthesized_operator] = STATE(3259),
    [sym_value_path] = STATE(3112),
    [sym_module_path] = STATE(18457),
    [sym_constructor_path] = STATE(3112),
    [sym__instance_variable_name] = STATE(17429),
    [sym__constructor_name] = STATE(3005),
    [sym_tag] = STATE(3112),
    [sym__lowercase_identifier] = ACTIONS(295),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_in] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(333),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(335),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(349),
    [sym__uppercase_identifier] = ACTIONS(351),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [90] = {
    [sym_value_definition] = STATE(20000),
    [sym__simple_expression] = STATE(352),
    [sym__expression] = STATE(8115),
    [sym__sequence_expression] = STATE(7517),
    [sym_typed_expression] = STATE(3206),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3206),
    [sym_array_expression] = STATE(3206),
    [sym_record_expression] = STATE(3206),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3206),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3206),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2932),
    [sym_array_get_expression] = STATE(2932),
    [sym_string_get_expression] = STATE(2932),
    [sym_bigarray_get_expression] = STATE(2932),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3206),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3206),
    [sym_package_expression] = STATE(3206),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3206),
    [sym_object_copy_expression] = STATE(3206),
    [sym_method_invocation] = STATE(3206),
    [sym_object_expression] = STATE(3206),
    [sym_parenthesized_expression] = STATE(3206),
    [sym_attribute] = STATE(90),
    [sym_extension] = STATE(3206),
    [sym_quoted_extension] = STATE(3206),
    [sym__attribute] = STATE(760),
    [sym__constant] = STATE(3206),
    [sym_number] = STATE(3173),
    [sym_character] = STATE(3173),
    [sym_string] = STATE(3173),
    [sym_quoted_string] = STATE(3173),
    [sym_boolean] = STATE(3173),
    [sym_unit] = STATE(3173),
    [sym_sign_operator] = STATE(1980),
    [sym__value_name] = STATE(3254),
    [sym_parenthesized_operator] = STATE(2954),
    [sym_value_path] = STATE(3206),
    [sym_module_path] = STATE(18572),
    [sym_constructor_path] = STATE(3206),
    [sym__instance_variable_name] = STATE(19951),
    [sym__constructor_name] = STATE(3180),
    [sym_tag] = STATE(3206),
    [sym__lowercase_identifier] = ACTIONS(355),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_in] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(391),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(401),
    [sym__uppercase_identifier] = ACTIONS(403),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [91] = {
    [sym__structure] = STATE(19099),
    [sym_expression_item] = STATE(8269),
    [sym_toplevel_directive] = STATE(8269),
    [sym__structure_item] = STATE(8269),
    [sym_value_definition] = STATE(12315),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8801),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(91),
    [sym_floating_attribute] = STATE(12142),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_directive] = STATE(7846),
    [sym_tag] = STATE(4389),
    [aux_sym__structure_repeat1] = STATE(106),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(415),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_exception] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(425),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(427),
    [anon_sym_end] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(453),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(455),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(465),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_directive_token1] = ACTIONS(471),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [92] = {
    [sym__structure] = STATE(18374),
    [sym_expression_item] = STATE(8269),
    [sym_toplevel_directive] = STATE(8269),
    [sym__structure_item] = STATE(8269),
    [sym_value_definition] = STATE(12315),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8801),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(92),
    [sym_floating_attribute] = STATE(12142),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_directive] = STATE(7846),
    [sym_tag] = STATE(4389),
    [aux_sym__structure_repeat1] = STATE(106),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(415),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_exception] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(425),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(427),
    [anon_sym_end] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(453),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(455),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(465),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_directive_token1] = ACTIONS(471),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [93] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8207),
    [sym__sequence_expression] = STATE(7517),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(93),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__attribute] = STATE(990),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_in] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(511),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(513),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [94] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8225),
    [sym__sequence_expression] = STATE(7517),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(94),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__attribute] = STATE(989),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(565),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [95] = {
    [sym_value_definition] = STATE(18025),
    [sym__simple_expression] = STATE(500),
    [sym__expression] = STATE(8210),
    [sym__sequence_expression] = STATE(5341),
    [sym_typed_expression] = STATE(3596),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3596),
    [sym_array_expression] = STATE(3596),
    [sym_record_expression] = STATE(3596),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3596),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3596),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3082),
    [sym_array_get_expression] = STATE(3082),
    [sym_string_get_expression] = STATE(3082),
    [sym_bigarray_get_expression] = STATE(3082),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3596),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3596),
    [sym_package_expression] = STATE(3596),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3596),
    [sym_object_copy_expression] = STATE(3596),
    [sym_method_invocation] = STATE(3596),
    [sym_object_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3596),
    [sym_attribute] = STATE(95),
    [sym_extension] = STATE(3596),
    [sym_quoted_extension] = STATE(3596),
    [sym__attribute] = STATE(781),
    [sym__constant] = STATE(3596),
    [sym_number] = STATE(3346),
    [sym_character] = STATE(3346),
    [sym_string] = STATE(3346),
    [sym_quoted_string] = STATE(3346),
    [sym_boolean] = STATE(3346),
    [sym_unit] = STATE(3346),
    [sym_sign_operator] = STATE(1842),
    [sym__value_name] = STATE(3661),
    [sym_parenthesized_operator] = STATE(3550),
    [sym_value_path] = STATE(3596),
    [sym_module_path] = STATE(18685),
    [sym_constructor_path] = STATE(3596),
    [sym__instance_variable_name] = STATE(17765),
    [sym__constructor_name] = STATE(3347),
    [sym_tag] = STATE(3596),
    [sym__lowercase_identifier] = ACTIONS(581),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(617),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(627),
    [sym__uppercase_identifier] = ACTIONS(629),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [96] = {
    [sym_value_definition] = STATE(18309),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8217),
    [sym__sequence_expression] = STATE(5341),
    [sym_typed_expression] = STATE(3660),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3660),
    [sym_array_expression] = STATE(3660),
    [sym_record_expression] = STATE(3660),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3660),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3660),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3095),
    [sym_array_get_expression] = STATE(3095),
    [sym_string_get_expression] = STATE(3095),
    [sym_bigarray_get_expression] = STATE(3095),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3660),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3660),
    [sym_package_expression] = STATE(3660),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3660),
    [sym_object_copy_expression] = STATE(3660),
    [sym_method_invocation] = STATE(3660),
    [sym_object_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_attribute] = STATE(96),
    [sym_extension] = STATE(3660),
    [sym_quoted_extension] = STATE(3660),
    [sym__attribute] = STATE(791),
    [sym__constant] = STATE(3660),
    [sym_number] = STATE(3360),
    [sym_character] = STATE(3360),
    [sym_string] = STATE(3360),
    [sym_quoted_string] = STATE(3360),
    [sym_boolean] = STATE(3360),
    [sym_unit] = STATE(3360),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(3285),
    [sym_parenthesized_operator] = STATE(3631),
    [sym_value_path] = STATE(3660),
    [sym_module_path] = STATE(18722),
    [sym_constructor_path] = STATE(3660),
    [sym__instance_variable_name] = STATE(17997),
    [sym__constructor_name] = STATE(3361),
    [sym_tag] = STATE(3660),
    [sym__lowercase_identifier] = ACTIONS(633),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(667),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(669),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(679),
    [sym__uppercase_identifier] = ACTIONS(681),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [97] = {
    [sym_expression_item] = STATE(12367),
    [sym_toplevel_directive] = STATE(12367),
    [sym__structure_item] = STATE(12367),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(97),
    [sym_floating_attribute] = STATE(12142),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(5034),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(685),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [98] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8311),
    [sym__sequence_expression] = STATE(5341),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(98),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__attribute] = STATE(999),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(723),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [99] = {
    [sym_expression_item] = STATE(8276),
    [sym_toplevel_directive] = STATE(8276),
    [sym__structure_item] = STATE(8276),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(99),
    [sym_floating_attribute] = STATE(12142),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(5034),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(739),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [100] = {
    [sym_expression_item] = STATE(12367),
    [sym_toplevel_directive] = STATE(12367),
    [sym__structure_item] = STATE(12367),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(100),
    [sym_floating_attribute] = STATE(12142),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(5034),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(741),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [101] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8261),
    [sym__sequence_expression] = STATE(5341),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(101),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__attribute] = STATE(1001),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(777),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(779),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [102] = {
    [sym_expression_item] = STATE(12367),
    [sym_toplevel_directive] = STATE(12367),
    [sym__structure_item] = STATE(12367),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(102),
    [sym_floating_attribute] = STATE(12142),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(5034),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(795),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [103] = {
    [sym_expression_item] = STATE(12367),
    [sym_toplevel_directive] = STATE(12367),
    [sym__structure_item] = STATE(12367),
    [sym_value_definition] = STATE(12315),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8801),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(103),
    [sym_floating_attribute] = STATE(12142),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_directive] = STATE(7846),
    [sym_tag] = STATE(4389),
    [aux_sym__structure_repeat1] = STATE(5077),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(415),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_exception] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(425),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(427),
    [anon_sym_end] = ACTIONS(797),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(453),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(455),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(465),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_directive_token1] = ACTIONS(471),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [104] = {
    [sym_expression_item] = STATE(12367),
    [sym_toplevel_directive] = STATE(12367),
    [sym__structure_item] = STATE(12367),
    [sym_value_definition] = STATE(12315),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8801),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(104),
    [sym_floating_attribute] = STATE(12142),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_directive] = STATE(7846),
    [sym_tag] = STATE(4389),
    [aux_sym__structure_repeat1] = STATE(5077),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(415),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_exception] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(425),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(427),
    [anon_sym_end] = ACTIONS(799),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(453),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(455),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(465),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_directive_token1] = ACTIONS(471),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [105] = {
    [sym_expression_item] = STATE(12367),
    [sym_toplevel_directive] = STATE(12367),
    [sym__structure_item] = STATE(12367),
    [sym_value_definition] = STATE(12315),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8801),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(105),
    [sym_floating_attribute] = STATE(12142),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_directive] = STATE(7846),
    [sym_tag] = STATE(4389),
    [aux_sym__structure_repeat1] = STATE(5077),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(415),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_exception] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(425),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(427),
    [anon_sym_end] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(453),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(455),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(465),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_directive_token1] = ACTIONS(471),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [106] = {
    [sym_expression_item] = STATE(8270),
    [sym_toplevel_directive] = STATE(8270),
    [sym__structure_item] = STATE(8270),
    [sym_value_definition] = STATE(12315),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8801),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(106),
    [sym_floating_attribute] = STATE(12142),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_directive] = STATE(7846),
    [sym_tag] = STATE(4389),
    [aux_sym__structure_repeat1] = STATE(5077),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(415),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_exception] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(425),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(427),
    [anon_sym_end] = ACTIONS(803),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(453),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(455),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(465),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_directive_token1] = ACTIONS(471),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [107] = {
    [sym_value_definition] = STATE(19847),
    [sym__simple_expression] = STATE(1543),
    [sym__expression] = STATE(8415),
    [sym__sequence_expression] = STATE(5341),
    [sym_typed_expression] = STATE(4090),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4090),
    [sym_array_expression] = STATE(4090),
    [sym_record_expression] = STATE(4090),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4090),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4090),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3779),
    [sym_array_get_expression] = STATE(3779),
    [sym_string_get_expression] = STATE(3779),
    [sym_bigarray_get_expression] = STATE(3779),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4090),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4090),
    [sym_package_expression] = STATE(4090),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4090),
    [sym_object_copy_expression] = STATE(4090),
    [sym_method_invocation] = STATE(4090),
    [sym_object_expression] = STATE(4090),
    [sym_parenthesized_expression] = STATE(4090),
    [sym_attribute] = STATE(107),
    [sym_extension] = STATE(4090),
    [sym_quoted_extension] = STATE(4090),
    [sym__attribute] = STATE(954),
    [sym__constant] = STATE(4090),
    [sym_number] = STATE(4058),
    [sym_character] = STATE(4058),
    [sym_string] = STATE(4058),
    [sym_quoted_string] = STATE(4058),
    [sym_boolean] = STATE(4058),
    [sym_unit] = STATE(4058),
    [sym_sign_operator] = STATE(2132),
    [sym__value_name] = STATE(4146),
    [sym_parenthesized_operator] = STATE(4003),
    [sym_value_path] = STATE(4090),
    [sym_module_path] = STATE(17476),
    [sym_constructor_path] = STATE(4090),
    [sym__instance_variable_name] = STATE(19788),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4090),
    [sym__lowercase_identifier] = ACTIONS(805),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(839),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(841),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__uppercase_identifier] = ACTIONS(853),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [108] = {
    [sym_value_definition] = STATE(19695),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(8338),
    [sym__sequence_expression] = STATE(5341),
    [sym_typed_expression] = STATE(3950),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3950),
    [sym_array_expression] = STATE(3950),
    [sym_record_expression] = STATE(3950),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3950),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3950),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3950),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3950),
    [sym_package_expression] = STATE(3950),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3950),
    [sym_object_copy_expression] = STATE(3950),
    [sym_method_invocation] = STATE(3950),
    [sym_object_expression] = STATE(3950),
    [sym_parenthesized_expression] = STATE(3950),
    [sym_attribute] = STATE(108),
    [sym_extension] = STATE(3950),
    [sym_quoted_extension] = STATE(3950),
    [sym__attribute] = STATE(720),
    [sym__constant] = STATE(3950),
    [sym_number] = STATE(4087),
    [sym_character] = STATE(4087),
    [sym_string] = STATE(4087),
    [sym_quoted_string] = STATE(4087),
    [sym_boolean] = STATE(4087),
    [sym_unit] = STATE(4087),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4005),
    [sym_parenthesized_operator] = STATE(4045),
    [sym_value_path] = STATE(3950),
    [sym_module_path] = STATE(17695),
    [sym_constructor_path] = STATE(3950),
    [sym__instance_variable_name] = STATE(19552),
    [sym__constructor_name] = STATE(4088),
    [sym_tag] = STATE(3950),
    [sym__lowercase_identifier] = ACTIONS(857),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(891),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(893),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__uppercase_identifier] = ACTIONS(905),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [109] = {
    [sym_expression_item] = STATE(12367),
    [sym_toplevel_directive] = STATE(12367),
    [sym__structure_item] = STATE(12367),
    [sym_value_definition] = STATE(12315),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8801),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(109),
    [sym_floating_attribute] = STATE(12142),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_directive] = STATE(7846),
    [sym_tag] = STATE(4389),
    [aux_sym__structure_repeat1] = STATE(5034),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(415),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_exception] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(425),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(453),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(455),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(465),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_directive_token1] = ACTIONS(471),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [110] = {
    [sym_expression_item] = STATE(12367),
    [sym_toplevel_directive] = STATE(12367),
    [sym__structure_item] = STATE(12367),
    [sym_value_definition] = STATE(12372),
    [sym_external] = STATE(12142),
    [sym_type_definition] = STATE(12142),
    [sym_exception_definition] = STATE(12142),
    [sym_module_definition] = STATE(12142),
    [sym_module_type_definition] = STATE(12142),
    [sym_open_module] = STATE(12142),
    [sym_include_module] = STATE(12142),
    [sym_class_definition] = STATE(12142),
    [sym_class_type_definition] = STATE(12142),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(11285),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(110),
    [sym_floating_attribute] = STATE(12142),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym_item_extension] = STATE(12142),
    [sym_quoted_item_extension] = STATE(12142),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_directive] = STATE(7893),
    [sym_tag] = STATE(4375),
    [aux_sym__structure_repeat1] = STATE(5034),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [111] = {
    [sym_value_definition] = STATE(19627),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8659),
    [sym__sequence_expression] = STATE(5341),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(111),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__attribute] = STATE(585),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [112] = {
    [sym_value_definition] = STATE(18965),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8541),
    [sym__sequence_expression] = STATE(5341),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(112),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__attribute] = STATE(981),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(453),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(455),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [113] = {
    [sym_value_definition] = STATE(18588),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9329),
    [sym__sequence_expression] = STATE(8076),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4650),
    [sym_array_get_expression] = STATE(4650),
    [sym_string_get_expression] = STATE(4650),
    [sym_bigarray_get_expression] = STATE(4650),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(113),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__attribute] = STATE(892),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(2176),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(18283),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_constraint] = ACTIONS(301),
    [anon_sym_val] = ACTIONS(301),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_inherit] = ACTIONS(301),
    [anon_sym_method] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_initializer] = ACTIONS(301),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(955),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(957),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [114] = {
    [sym_value_definition] = STATE(20267),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9489),
    [sym__sequence_expression] = STATE(8076),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4739),
    [sym_array_get_expression] = STATE(4739),
    [sym_string_get_expression] = STATE(4739),
    [sym_bigarray_get_expression] = STATE(4739),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(114),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__attribute] = STATE(870),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(1768),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(20080),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_constraint] = ACTIONS(301),
    [anon_sym_val] = ACTIONS(301),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_inherit] = ACTIONS(301),
    [anon_sym_method] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(975),
    [anon_sym_initializer] = ACTIONS(301),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(955),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(957),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(993),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [115] = {
    [sym_value_definition] = STATE(18124),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9571),
    [sym__sequence_expression] = STATE(8076),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4784),
    [sym_array_get_expression] = STATE(4784),
    [sym_string_get_expression] = STATE(4784),
    [sym_bigarray_get_expression] = STATE(4784),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(115),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__attribute] = STATE(688),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17851),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_constraint] = ACTIONS(301),
    [anon_sym_val] = ACTIONS(301),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_inherit] = ACTIONS(301),
    [anon_sym_method] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(1009),
    [anon_sym_initializer] = ACTIONS(301),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1015),
    [anon_sym_function] = ACTIONS(1017),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1031),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1041),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [116] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9773),
    [sym__sequence_expression] = STATE(8076),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(116),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__attribute] = STATE(635),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_constraint] = ACTIONS(301),
    [anon_sym_val] = ACTIONS(301),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_inherit] = ACTIONS(301),
    [anon_sym_method] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_initializer] = ACTIONS(301),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1031),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [117] = {
    [sym_value_definition] = STATE(17988),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10218),
    [sym__sequence_expression] = STATE(8076),
    [sym_typed_expression] = STATE(5110),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5110),
    [sym_array_expression] = STATE(5110),
    [sym_record_expression] = STATE(5110),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5110),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5110),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5103),
    [sym_array_get_expression] = STATE(5103),
    [sym_string_get_expression] = STATE(5103),
    [sym_bigarray_get_expression] = STATE(5103),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5110),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5110),
    [sym_package_expression] = STATE(5110),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5110),
    [sym_object_copy_expression] = STATE(5110),
    [sym_method_invocation] = STATE(5110),
    [sym_object_expression] = STATE(5110),
    [sym_parenthesized_expression] = STATE(5110),
    [sym_attribute] = STATE(117),
    [sym_extension] = STATE(5110),
    [sym_quoted_extension] = STATE(5110),
    [sym__attribute] = STATE(861),
    [sym__constant] = STATE(5110),
    [sym_number] = STATE(5198),
    [sym_character] = STATE(5198),
    [sym_string] = STATE(5198),
    [sym_quoted_string] = STATE(5198),
    [sym_boolean] = STATE(5198),
    [sym_unit] = STATE(5198),
    [sym_sign_operator] = STATE(2028),
    [sym__value_name] = STATE(5177),
    [sym_parenthesized_operator] = STATE(5218),
    [sym_value_path] = STATE(5110),
    [sym_module_path] = STATE(18648),
    [sym_constructor_path] = STATE(5110),
    [sym__instance_variable_name] = STATE(19166),
    [sym__constructor_name] = STATE(5142),
    [sym_tag] = STATE(5110),
    [sym__lowercase_identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_COLON_GT] = ACTIONS(297),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(297),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_COLON2] = ACTIONS(301),
    [anon_sym_DASH_GT] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_RBRACE] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_GT_RBRACE] = ACTIONS(297),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__uppercase_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [118] = {
    [sym_value_definition] = STATE(18151),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10277),
    [sym__sequence_expression] = STATE(8076),
    [sym_typed_expression] = STATE(5326),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5326),
    [sym_array_expression] = STATE(5326),
    [sym_record_expression] = STATE(5326),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5326),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5326),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5210),
    [sym_array_get_expression] = STATE(5210),
    [sym_string_get_expression] = STATE(5210),
    [sym_bigarray_get_expression] = STATE(5210),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5326),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5326),
    [sym_package_expression] = STATE(5326),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5326),
    [sym_object_copy_expression] = STATE(5326),
    [sym_method_invocation] = STATE(5326),
    [sym_object_expression] = STATE(5326),
    [sym_parenthesized_expression] = STATE(5326),
    [sym_attribute] = STATE(118),
    [sym_extension] = STATE(5326),
    [sym_quoted_extension] = STATE(5326),
    [sym__attribute] = STATE(719),
    [sym__constant] = STATE(5326),
    [sym_number] = STATE(5290),
    [sym_character] = STATE(5290),
    [sym_string] = STATE(5290),
    [sym_quoted_string] = STATE(5290),
    [sym_boolean] = STATE(5290),
    [sym_unit] = STATE(5290),
    [sym_sign_operator] = STATE(2230),
    [sym__value_name] = STATE(5280),
    [sym_parenthesized_operator] = STATE(5281),
    [sym_value_path] = STATE(5326),
    [sym_module_path] = STATE(17911),
    [sym_constructor_path] = STATE(5326),
    [sym__instance_variable_name] = STATE(18127),
    [sym__constructor_name] = STATE(5374),
    [sym_tag] = STATE(5326),
    [sym__lowercase_identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_COLON_GT] = ACTIONS(297),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_RPAREN] = ACTIONS(297),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_COLON2] = ACTIONS(301),
    [anon_sym_DASH_GT] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_RBRACE] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_GT_RBRACE] = ACTIONS(297),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__uppercase_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [119] = {
    [sym_value_definition] = STATE(17855),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10409),
    [sym__sequence_expression] = STATE(8629),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5179),
    [sym_array_get_expression] = STATE(5179),
    [sym_string_get_expression] = STATE(5179),
    [sym_bigarray_get_expression] = STATE(5179),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(119),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__attribute] = STATE(780),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(17832),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_COLON_GT] = ACTIONS(297),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_RPAREN] = ACTIONS(297),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_COLON2] = ACTIONS(301),
    [anon_sym_DASH_GT] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_RBRACE] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_GT_RBRACE] = ACTIONS(297),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [120] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10732),
    [sym__sequence_expression] = STATE(8629),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(120),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__attribute] = STATE(593),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_COLON_GT] = ACTIONS(297),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(297),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_COLON2] = ACTIONS(301),
    [anon_sym_DASH_GT] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_RBRACE] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_GT_RBRACE] = ACTIONS(297),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [121] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8272),
    [sym__sequence_expression] = STATE(7517),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(121),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__attribute] = STATE(946),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_in] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(511),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(513),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [122] = {
    [sym_value_definition] = STATE(18721),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10918),
    [sym__sequence_expression] = STATE(10420),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5423),
    [sym_array_get_expression] = STATE(5423),
    [sym_string_get_expression] = STATE(5423),
    [sym_bigarray_get_expression] = STATE(5423),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(122),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__attribute] = STATE(909),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1828),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(18774),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_in] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [123] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8279),
    [sym__sequence_expression] = STATE(7517),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(123),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__attribute] = STATE(929),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(565),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [124] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8375),
    [sym__sequence_expression] = STATE(5341),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(124),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__attribute] = STATE(639),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(723),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [125] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8333),
    [sym__sequence_expression] = STATE(5341),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(125),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__attribute] = STATE(690),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(777),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(779),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [126] = {
    [sym_value_definition] = STATE(19805),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11466),
    [sym__sequence_expression] = STATE(8629),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5675),
    [sym_array_get_expression] = STATE(5675),
    [sym_string_get_expression] = STATE(5675),
    [sym_bigarray_get_expression] = STATE(5675),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(126),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__attribute] = STATE(907),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1989),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(17868),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_in] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [127] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11436),
    [sym__sequence_expression] = STATE(10420),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5655),
    [sym_array_get_expression] = STATE(5655),
    [sym_string_get_expression] = STATE(5655),
    [sym_bigarray_get_expression] = STATE(5655),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(127),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__attribute] = STATE(852),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17993),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_in] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [128] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11688),
    [sym__sequence_expression] = STATE(8629),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(128),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__attribute] = STATE(1000),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_in] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [129] = {
    [sym_value_definition] = STATE(19507),
    [sym__simple_expression] = STATE(2442),
    [sym__expression] = STATE(11615),
    [sym__sequence_expression] = STATE(10420),
    [sym_typed_expression] = STATE(5871),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5871),
    [sym_array_expression] = STATE(5871),
    [sym_record_expression] = STATE(5871),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5871),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5871),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5719),
    [sym_array_get_expression] = STATE(5719),
    [sym_string_get_expression] = STATE(5719),
    [sym_bigarray_get_expression] = STATE(5719),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5871),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5871),
    [sym_package_expression] = STATE(5871),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5871),
    [sym_object_copy_expression] = STATE(5871),
    [sym_method_invocation] = STATE(5871),
    [sym_object_expression] = STATE(5871),
    [sym_parenthesized_expression] = STATE(5871),
    [sym_attribute] = STATE(129),
    [sym_extension] = STATE(5871),
    [sym_quoted_extension] = STATE(5871),
    [sym__attribute] = STATE(904),
    [sym__constant] = STATE(5871),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1952),
    [sym__value_name] = STATE(5907),
    [sym_parenthesized_operator] = STATE(5936),
    [sym_value_path] = STATE(5871),
    [sym_module_path] = STATE(18534),
    [sym_constructor_path] = STATE(5871),
    [sym__instance_variable_name] = STATE(19469),
    [sym__constructor_name] = STATE(5965),
    [sym_tag] = STATE(5871),
    [sym__lowercase_identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_to] = ACTIONS(301),
    [anon_sym_downto] = ACTIONS(301),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__uppercase_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [130] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20259),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(130),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18966),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1455),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1457),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1459),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1463),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1465),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1473),
    [sym_let_and_operator] = ACTIONS(1465),
    [sym_match_operator] = ACTIONS(1475),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [131] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19094),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(131),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19952),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1477),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1481),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1487),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1489),
    [sym_let_and_operator] = ACTIONS(1487),
    [sym_match_operator] = ACTIONS(1491),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [132] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14704),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(132),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18936),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1493),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1497),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1501),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1503),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1505),
    [sym_let_and_operator] = ACTIONS(1503),
    [sym_match_operator] = ACTIONS(1507),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [133] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11825),
    [sym__sequence_expression] = STATE(10420),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(133),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__attribute] = STATE(759),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_to] = ACTIONS(301),
    [anon_sym_downto] = ACTIONS(301),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [134] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14543),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(134),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18132),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1561),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1563),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1565),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1567),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1569),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1571),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1573),
    [sym_let_and_operator] = ACTIONS(1571),
    [sym_match_operator] = ACTIONS(1575),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [135] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14754),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(135),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19175),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1577),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1579),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1581),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1583),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1585),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1587),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1589),
    [sym_let_and_operator] = ACTIONS(1587),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [136] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18553),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(136),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(20278),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1593),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1595),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1597),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1601),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1603),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1605),
    [sym_let_and_operator] = ACTIONS(1603),
    [sym_match_operator] = ACTIONS(1607),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [137] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19551),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(137),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19175),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1609),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1579),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1581),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1583),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1585),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1587),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1589),
    [sym_let_and_operator] = ACTIONS(1587),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [138] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14813),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(138),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(17885),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1611),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1613),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1617),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1619),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1621),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1623),
    [sym_let_and_operator] = ACTIONS(1621),
    [sym_match_operator] = ACTIONS(1625),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [139] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14281),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(139),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19097),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1631),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1633),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1635),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1637),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1639),
    [sym_let_and_operator] = ACTIONS(1637),
    [sym_match_operator] = ACTIONS(1641),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [140] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19861),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(140),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(17885),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1613),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1617),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1619),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1621),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1623),
    [sym_let_and_operator] = ACTIONS(1621),
    [sym_match_operator] = ACTIONS(1625),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [141] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14872),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(141),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18777),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1649),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1655),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1657),
    [sym_let_and_operator] = ACTIONS(1655),
    [sym_match_operator] = ACTIONS(1659),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [142] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20223),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(142),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18777),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1649),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1655),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1657),
    [sym_let_and_operator] = ACTIONS(1655),
    [sym_match_operator] = ACTIONS(1659),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [143] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14853),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(143),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19443),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1663),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1665),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1667),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1669),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1671),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1673),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1675),
    [sym_let_and_operator] = ACTIONS(1673),
    [sym_match_operator] = ACTIONS(1677),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [144] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17949),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(144),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19097),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1631),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1633),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1635),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1637),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1639),
    [sym_let_and_operator] = ACTIONS(1637),
    [sym_match_operator] = ACTIONS(1641),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [145] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18658),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(145),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19443),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1681),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1665),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1667),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1669),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1671),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1673),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1675),
    [sym_let_and_operator] = ACTIONS(1673),
    [sym_match_operator] = ACTIONS(1677),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [146] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14455),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(146),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(17498),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1683),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1685),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1687),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1689),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1691),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1693),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1695),
    [sym_let_and_operator] = ACTIONS(1693),
    [sym_match_operator] = ACTIONS(1697),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [147] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19848),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(147),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(17498),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1699),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1685),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1687),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1689),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1691),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1693),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1695),
    [sym_let_and_operator] = ACTIONS(1693),
    [sym_match_operator] = ACTIONS(1697),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [148] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14310),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(148),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(17767),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1703),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1711),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1713),
    [sym_let_and_operator] = ACTIONS(1711),
    [sym_match_operator] = ACTIONS(1715),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [149] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17710),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(149),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(17767),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1717),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1703),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1711),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1713),
    [sym_let_and_operator] = ACTIONS(1711),
    [sym_match_operator] = ACTIONS(1715),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [150] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14879),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(150),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18000),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1719),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1723),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1727),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1729),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1731),
    [sym_let_and_operator] = ACTIONS(1729),
    [sym_match_operator] = ACTIONS(1733),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [151] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19827),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(151),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18000),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1735),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1723),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1727),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1729),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1731),
    [sym_let_and_operator] = ACTIONS(1729),
    [sym_match_operator] = ACTIONS(1733),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [152] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14492),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(152),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18285),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1737),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1739),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1741),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1743),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1745),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1747),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1749),
    [sym_let_and_operator] = ACTIONS(1747),
    [sym_match_operator] = ACTIONS(1751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [153] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19606),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(153),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18285),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1753),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1739),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1741),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1743),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1745),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1747),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1749),
    [sym_let_and_operator] = ACTIONS(1747),
    [sym_match_operator] = ACTIONS(1751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [154] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14749),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(154),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18549),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1755),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1757),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1759),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1763),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1765),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1767),
    [sym_let_and_operator] = ACTIONS(1765),
    [sym_match_operator] = ACTIONS(1769),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [155] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14337),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(155),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18818),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1771),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1773),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1775),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1779),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1781),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1783),
    [sym_let_and_operator] = ACTIONS(1781),
    [sym_match_operator] = ACTIONS(1785),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [156] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19359),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(156),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18549),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1787),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1757),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1759),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1763),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1765),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1767),
    [sym_let_and_operator] = ACTIONS(1765),
    [sym_match_operator] = ACTIONS(1769),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [157] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14271),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(157),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18696),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1789),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1793),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1797),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1799),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1801),
    [sym_let_and_operator] = ACTIONS(1799),
    [sym_match_operator] = ACTIONS(1803),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [158] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19467),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(158),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18132),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1805),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1563),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1565),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1567),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1569),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1571),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1573),
    [sym_let_and_operator] = ACTIONS(1571),
    [sym_match_operator] = ACTIONS(1575),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [159] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17903),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(159),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18696),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1807),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1793),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1797),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1799),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1801),
    [sym_let_and_operator] = ACTIONS(1799),
    [sym_match_operator] = ACTIONS(1803),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [160] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14372),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(160),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18860),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1809),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1811),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1813),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1817),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1819),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1821),
    [sym_let_and_operator] = ACTIONS(1819),
    [sym_match_operator] = ACTIONS(1823),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [161] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18986),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(161),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18818),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1825),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1773),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1775),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1779),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1781),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1783),
    [sym_let_and_operator] = ACTIONS(1781),
    [sym_match_operator] = ACTIONS(1785),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [162] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18815),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(162),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18860),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1827),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1811),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1813),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1817),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1819),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1821),
    [sym_let_and_operator] = ACTIONS(1819),
    [sym_match_operator] = ACTIONS(1823),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [163] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14458),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(163),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18912),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1829),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1831),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1833),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1837),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1839),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1841),
    [sym_let_and_operator] = ACTIONS(1839),
    [sym_match_operator] = ACTIONS(1843),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [164] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14399),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(164),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(20096),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1847),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1853),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1855),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1857),
    [sym_let_and_operator] = ACTIONS(1855),
    [sym_match_operator] = ACTIONS(1859),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [165] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19830),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(165),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18912),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1831),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1833),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1837),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1839),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1841),
    [sym_let_and_operator] = ACTIONS(1839),
    [sym_match_operator] = ACTIONS(1843),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [166] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14545),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(166),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18966),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1863),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1455),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1457),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1459),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1463),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1465),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1473),
    [sym_let_and_operator] = ACTIONS(1465),
    [sym_match_operator] = ACTIONS(1475),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [167] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14687),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(167),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18747),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1865),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1869),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1873),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1875),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1877),
    [sym_let_and_operator] = ACTIONS(1875),
    [sym_match_operator] = ACTIONS(1879),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [168] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17593),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(168),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(20108),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1881),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1883),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1885),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1889),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1891),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1893),
    [sym_let_and_operator] = ACTIONS(1891),
    [sym_match_operator] = ACTIONS(1895),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [169] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14653),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(169),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18988),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1897),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1899),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1901),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1905),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1907),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1909),
    [sym_let_and_operator] = ACTIONS(1907),
    [sym_match_operator] = ACTIONS(1911),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [170] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18222),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(170),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18181),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1915),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1917),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1921),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1923),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1925),
    [sym_let_and_operator] = ACTIONS(1923),
    [sym_match_operator] = ACTIONS(1927),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [171] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18724),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(171),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18988),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1929),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1899),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1901),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1905),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1907),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1909),
    [sym_let_and_operator] = ACTIONS(1907),
    [sym_match_operator] = ACTIONS(1911),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [172] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14771),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(172),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19011),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1931),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1933),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1935),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1941),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1943),
    [sym_let_and_operator] = ACTIONS(1941),
    [sym_match_operator] = ACTIONS(1945),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [173] = {
    [sym_value_definition] = STATE(18228),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11912),
    [sym__sequence_expression] = STATE(10420),
    [sym_typed_expression] = STATE(6605),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6605),
    [sym_array_expression] = STATE(6605),
    [sym_record_expression] = STATE(6605),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6605),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6605),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6090),
    [sym_array_get_expression] = STATE(6090),
    [sym_string_get_expression] = STATE(6090),
    [sym_bigarray_get_expression] = STATE(6090),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6605),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6605),
    [sym_package_expression] = STATE(6605),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6605),
    [sym_object_copy_expression] = STATE(6605),
    [sym_method_invocation] = STATE(6605),
    [sym_object_expression] = STATE(6605),
    [sym_parenthesized_expression] = STATE(6605),
    [sym_attribute] = STATE(173),
    [sym_extension] = STATE(6605),
    [sym_quoted_extension] = STATE(6605),
    [sym__attribute] = STATE(899),
    [sym__constant] = STATE(6605),
    [sym_number] = STATE(6281),
    [sym_character] = STATE(6281),
    [sym_string] = STATE(6281),
    [sym_quoted_string] = STATE(6281),
    [sym_boolean] = STATE(6281),
    [sym_unit] = STATE(6281),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6139),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6605),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(6605),
    [sym__instance_variable_name] = STATE(18146),
    [sym__constructor_name] = STATE(6282),
    [sym_tag] = STATE(6605),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_done] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [174] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17673),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(174),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19011),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1999),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1933),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1935),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1941),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1943),
    [sym_let_and_operator] = ACTIONS(1941),
    [sym_match_operator] = ACTIONS(1945),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [175] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14254),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(175),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19033),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2001),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2003),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2005),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2007),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2009),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2011),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2013),
    [sym_let_and_operator] = ACTIONS(2011),
    [sym_match_operator] = ACTIONS(2015),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [176] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17427),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(176),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(20096),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2017),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1847),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1853),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1855),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1857),
    [sym_let_and_operator] = ACTIONS(1855),
    [sym_match_operator] = ACTIONS(1859),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [177] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18427),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(177),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19033),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2003),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2005),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2007),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2009),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2011),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2013),
    [sym_let_and_operator] = ACTIONS(2011),
    [sym_match_operator] = ACTIONS(2015),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [178] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14284),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(178),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19054),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2021),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2023),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2025),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2029),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2031),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2033),
    [sym_let_and_operator] = ACTIONS(2031),
    [sym_match_operator] = ACTIONS(2035),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [179] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14449),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(179),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(17863),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2039),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2041),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2043),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2045),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2047),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2049),
    [sym_let_and_operator] = ACTIONS(2047),
    [sym_match_operator] = ACTIONS(2051),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [180] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19173),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(180),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19054),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2053),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2023),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2025),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2029),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2031),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2033),
    [sym_let_and_operator] = ACTIONS(2031),
    [sym_match_operator] = ACTIONS(2035),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [181] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14331),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(181),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19075),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2057),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2059),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2061),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2063),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2065),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2067),
    [sym_let_and_operator] = ACTIONS(2065),
    [sym_match_operator] = ACTIONS(2069),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [182] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17434),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(182),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19075),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2071),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2057),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2059),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2061),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2063),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2065),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2067),
    [sym_let_and_operator] = ACTIONS(2065),
    [sym_match_operator] = ACTIONS(2069),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [183] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14391),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(183),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19102),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2073),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2077),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2081),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2083),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2085),
    [sym_let_and_operator] = ACTIONS(2083),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [184] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14583),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(184),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18181),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1915),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1917),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1921),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1923),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1925),
    [sym_let_and_operator] = ACTIONS(1923),
    [sym_match_operator] = ACTIONS(1927),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [185] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17696),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(185),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19102),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2077),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2081),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2083),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2085),
    [sym_let_and_operator] = ACTIONS(2083),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [186] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14429),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(186),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19131),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2095),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2097),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2099),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2101),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2103),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2105),
    [sym_let_and_operator] = ACTIONS(2103),
    [sym_match_operator] = ACTIONS(2107),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [187] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17724),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(187),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(17863),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2039),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2041),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2043),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2045),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2047),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2049),
    [sym_let_and_operator] = ACTIONS(2047),
    [sym_match_operator] = ACTIONS(2051),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [188] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17933),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(188),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19131),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2111),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2095),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2097),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2099),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2101),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2103),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2105),
    [sym_let_and_operator] = ACTIONS(2103),
    [sym_match_operator] = ACTIONS(2107),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [189] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14471),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(189),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19161),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2113),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2115),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2121),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2123),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2125),
    [sym_let_and_operator] = ACTIONS(2123),
    [sym_match_operator] = ACTIONS(2127),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [190] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20067),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(190),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18747),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2129),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1869),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1873),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1875),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1877),
    [sym_let_and_operator] = ACTIONS(1875),
    [sym_match_operator] = ACTIONS(1879),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [191] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18216),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(191),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19161),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2131),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2115),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2121),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2123),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2125),
    [sym_let_and_operator] = ACTIONS(2123),
    [sym_match_operator] = ACTIONS(2127),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [192] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14513),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(192),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19197),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2133),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2137),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2139),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2141),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2143),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2145),
    [sym_let_and_operator] = ACTIONS(2143),
    [sym_match_operator] = ACTIONS(2147),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [193] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14587),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(193),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19884),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2149),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2151),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2153),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2157),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2159),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2161),
    [sym_let_and_operator] = ACTIONS(2159),
    [sym_match_operator] = ACTIONS(2163),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [194] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18485),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(194),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19197),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2137),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2139),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2141),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2143),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2145),
    [sym_let_and_operator] = ACTIONS(2143),
    [sym_match_operator] = ACTIONS(2147),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [195] = {
    [sym_value_definition] = STATE(18965),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8801),
    [sym__sequence_expression] = STATE(5341),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(195),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__attribute] = STATE(705),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(453),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(455),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [196] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14495),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(196),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(17442),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2167),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2169),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2171),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2175),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2177),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2179),
    [sym_let_and_operator] = ACTIONS(2177),
    [sym_match_operator] = ACTIONS(2181),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [197] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18546),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(197),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19884),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2151),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2153),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2157),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2159),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2161),
    [sym_let_and_operator] = ACTIONS(2159),
    [sym_match_operator] = ACTIONS(2163),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [198] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14815),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(198),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(20278),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2185),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1595),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1597),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1601),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1603),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1605),
    [sym_let_and_operator] = ACTIONS(1603),
    [sym_match_operator] = ACTIONS(1607),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [199] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18014),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(199),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(17442),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2187),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2169),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2171),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2175),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2177),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2179),
    [sym_let_and_operator] = ACTIONS(2177),
    [sym_match_operator] = ACTIONS(2181),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [200] = {
    [sym_value_definition] = STATE(18836),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11917),
    [sym__sequence_expression] = STATE(8076),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6002),
    [sym_array_get_expression] = STATE(6002),
    [sym_string_get_expression] = STATE(6002),
    [sym_bigarray_get_expression] = STATE(6002),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(200),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__attribute] = STATE(877),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(1907),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(17884),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2203),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2207),
    [anon_sym_then] = ACTIONS(301),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2211),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2235),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [201] = {
    [sym_value_definition] = STATE(19628),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11817),
    [sym__sequence_expression] = STATE(8076),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(201),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__attribute] = STATE(883),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(2070),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(18766),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2243),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2255),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2261),
    [anon_sym_function] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2287),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [202] = {
    [sym_value_definition] = STATE(17526),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12044),
    [sym__sequence_expression] = STATE(8076),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6004),
    [sym_array_get_expression] = STATE(6004),
    [sym_string_get_expression] = STATE(6004),
    [sym_bigarray_get_expression] = STATE(6004),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(202),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__attribute] = STATE(887),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19440),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2295),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_with] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2307),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2311),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2313),
    [anon_sym_function] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2339),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [203] = {
    [sym_value_definition] = STATE(17795),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11796),
    [sym__sequence_expression] = STATE(8076),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6005),
    [sym_array_get_expression] = STATE(6005),
    [sym_string_get_expression] = STATE(6005),
    [sym_bigarray_get_expression] = STATE(6005),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(203),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__attribute] = STATE(889),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(2145),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(17497),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2347),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2359),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2365),
    [anon_sym_function] = ACTIONS(2367),
    [anon_sym_try] = ACTIONS(2369),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2391),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [204] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14544),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(204),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18161),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2397),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2399),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2401),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2405),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2407),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2409),
    [sym_let_and_operator] = ACTIONS(2407),
    [sym_match_operator] = ACTIONS(2411),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [205] = {
    [sym_value_definition] = STATE(19627),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(5341),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(205),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__attribute] = STATE(1485),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [206] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14541),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(206),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19423),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2415),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2417),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2419),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2421),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2423),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2425),
    [sym_let_and_operator] = ACTIONS(2423),
    [sym_match_operator] = ACTIONS(2427),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [207] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18325),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(207),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18161),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2429),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2399),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2401),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2405),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2407),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2409),
    [sym_let_and_operator] = ACTIONS(2407),
    [sym_match_operator] = ACTIONS(2411),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [208] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14593),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(208),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19471),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2431),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2435),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2437),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2439),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2441),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2443),
    [sym_let_and_operator] = ACTIONS(2441),
    [sym_match_operator] = ACTIONS(2445),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [209] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18359),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(209),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19423),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2415),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2417),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2419),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2421),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2423),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2425),
    [sym_let_and_operator] = ACTIONS(2423),
    [sym_match_operator] = ACTIONS(2427),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [210] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14736),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(210),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(17822),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2449),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2451),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2453),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2457),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2459),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2461),
    [sym_let_and_operator] = ACTIONS(2459),
    [sym_match_operator] = ACTIONS(2463),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [211] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17489),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(211),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(17822),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2451),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2453),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2457),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2459),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2461),
    [sym_let_and_operator] = ACTIONS(2459),
    [sym_match_operator] = ACTIONS(2463),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [212] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14450),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(212),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(17598),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2467),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2475),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2477),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2479),
    [sym_let_and_operator] = ACTIONS(2477),
    [sym_match_operator] = ACTIONS(2481),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [213] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18381),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(213),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(17598),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2483),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2475),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2477),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2479),
    [sym_let_and_operator] = ACTIONS(2477),
    [sym_match_operator] = ACTIONS(2481),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [214] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14806),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(214),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18350),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2485),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2487),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2489),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2493),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2495),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2497),
    [sym_let_and_operator] = ACTIONS(2495),
    [sym_match_operator] = ACTIONS(2499),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [215] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18634),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(215),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19471),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2501),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2435),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2437),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2439),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2441),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2443),
    [sym_let_and_operator] = ACTIONS(2441),
    [sym_match_operator] = ACTIONS(2445),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [216] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20076),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(216),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18350),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2487),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2489),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2493),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2495),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2497),
    [sym_let_and_operator] = ACTIONS(2495),
    [sym_match_operator] = ACTIONS(2499),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [217] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14787),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(217),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19799),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2513),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2515),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2517),
    [sym_let_and_operator] = ACTIONS(2515),
    [sym_match_operator] = ACTIONS(2519),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [218] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14643),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(218),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19952),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2521),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1481),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1487),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1489),
    [sym_let_and_operator] = ACTIONS(1487),
    [sym_match_operator] = ACTIONS(1491),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [219] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19798),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(219),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(19799),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2523),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2513),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2515),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2517),
    [sym_let_and_operator] = ACTIONS(2515),
    [sym_match_operator] = ACTIONS(2519),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [220] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14736),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(220),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(20054),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2525),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2527),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2453),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2531),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2533),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2535),
    [sym_let_and_operator] = ACTIONS(2533),
    [sym_match_operator] = ACTIONS(2537),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [221] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17489),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(221),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(20054),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2527),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2453),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2531),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2533),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2535),
    [sym_let_and_operator] = ACTIONS(2533),
    [sym_match_operator] = ACTIONS(2537),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [222] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(14257),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(222),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(20108),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2539),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1883),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1885),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1889),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1891),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1893),
    [sym_let_and_operator] = ACTIONS(1891),
    [sym_match_operator] = ACTIONS(1895),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [223] = {
    [sym_value_definition] = STATE(18204),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(12034),
    [sym__sequence_expression] = STATE(8629),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6064),
    [sym_array_get_expression] = STATE(6064),
    [sym_string_get_expression] = STATE(6064),
    [sym_bigarray_get_expression] = STATE(6064),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(223),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__attribute] = STATE(790),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(1803),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(18015),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_PIPE_RBRACK] = ACTIONS(297),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [224] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19288),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(224),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__infix_operator] = STATE(18936),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2555),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1497),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1501),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1503),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1505),
    [sym_let_and_operator] = ACTIONS(1503),
    [sym_match_operator] = ACTIONS(1507),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [225] = {
    [sym_value_definition] = STATE(19690),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12276),
    [sym__sequence_expression] = STATE(8629),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6471),
    [sym_array_get_expression] = STATE(6471),
    [sym_string_get_expression] = STATE(6471),
    [sym_bigarray_get_expression] = STATE(6471),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(225),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__attribute] = STATE(827),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_with] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [226] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12107),
    [sym__sequence_expression] = STATE(10420),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(226),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__attribute] = STATE(737),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_done] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [227] = {
    [sym_value_definition] = STATE(19182),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12424),
    [sym__sequence_expression] = STATE(8629),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6465),
    [sym_array_get_expression] = STATE(6465),
    [sym_string_get_expression] = STATE(6465),
    [sym_bigarray_get_expression] = STATE(6465),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(227),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__attribute] = STATE(817),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(1827),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(19168),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2625),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2629),
    [anon_sym_function] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2635),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [228] = {
    [sym_value_definition] = STATE(18767),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12332),
    [sym__sequence_expression] = STATE(8076),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(228),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(682),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(2341),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(18746),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2651),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_then] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2683),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [229] = {
    [sym_value_definition] = STATE(19378),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12331),
    [sym__sequence_expression] = STATE(8076),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6467),
    [sym_array_get_expression] = STATE(6467),
    [sym_string_get_expression] = STATE(6467),
    [sym_bigarray_get_expression] = STATE(6467),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(229),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__attribute] = STATE(684),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(1824),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(19354),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [230] = {
    [sym_value_definition] = STATE(19983),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12362),
    [sym__sequence_expression] = STATE(8076),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6468),
    [sym_array_get_expression] = STATE(6468),
    [sym_string_get_expression] = STATE(6468),
    [sym_bigarray_get_expression] = STATE(6468),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(230),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(686),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19961),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2743),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_with] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_function] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2787),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [231] = {
    [sym_value_definition] = STATE(17479),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12432),
    [sym__sequence_expression] = STATE(8076),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6469),
    [sym_array_get_expression] = STATE(6469),
    [sym_string_get_expression] = STATE(6469),
    [sym_bigarray_get_expression] = STATE(6469),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(231),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(687),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2224),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(19046),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2811),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_function] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2839),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [232] = {
    [sym_value_definition] = STATE(19384),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12182),
    [sym__sequence_expression] = STATE(8629),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6475),
    [sym_array_get_expression] = STATE(6475),
    [sym_string_get_expression] = STATE(6475),
    [sym_bigarray_get_expression] = STATE(6475),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(232),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__attribute] = STATE(841),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(1944),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(20276),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2857),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [233] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12385),
    [sym__sequence_expression] = STATE(8629),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(233),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__attribute] = STATE(680),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(297),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [234] = {
    [sym_value_definition] = STATE(18460),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12116),
    [sym__sequence_expression] = STATE(8629),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6453),
    [sym_array_get_expression] = STATE(6453),
    [sym_string_get_expression] = STATE(6453),
    [sym_bigarray_get_expression] = STATE(6453),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(234),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__attribute] = STATE(806),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(18440),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2873),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2875),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_then] = ACTIONS(301),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2879),
    [anon_sym_function] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2885),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [235] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12560),
    [sym__sequence_expression] = STATE(8629),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(235),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(619),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_with] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [236] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12562),
    [sym__sequence_expression] = STATE(8629),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(236),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__attribute] = STATE(609),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [237] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12632),
    [sym__sequence_expression] = STATE(8629),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(237),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(627),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [238] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12646),
    [sym__sequence_expression] = STATE(8629),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(238),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(600),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_then] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [239] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9914),
    [sym__sequence_expression] = STATE(5341),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(239),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__attribute] = STATE(916),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_constraint] = ACTIONS(301),
    [anon_sym_val] = ACTIONS(301),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_inherit] = ACTIONS(301),
    [anon_sym_method] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_initializer] = ACTIONS(301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1031),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [240] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(5341),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(240),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__attribute] = STATE(758),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_COLON_GT] = ACTIONS(297),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_COLON2] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_RBRACE] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [241] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11657),
    [sym__sequence_expression] = STATE(8629),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(241),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__attribute] = STATE(689),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_in] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [242] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12138),
    [sym__sequence_expression] = STATE(7517),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(242),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__attribute] = STATE(638),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_to] = ACTIONS(301),
    [anon_sym_downto] = ACTIONS(301),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [243] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(20049),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(243),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1256),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2943),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [244] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(18816),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(244),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1155),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2945),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [245] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(20226),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(245),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1022),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [246] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(19205),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(246),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1163),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2949),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [247] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(19331),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(247),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(649),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2951),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [248] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(19412),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(248),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1170),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2953),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [249] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(19726),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(249),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1178),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2955),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [250] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(20102),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(250),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1185),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2957),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [251] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(19402),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(251),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1192),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2959),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [252] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(17656),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(252),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1036),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2961),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [253] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(18074),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(253),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1199),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2963),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [254] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(18135),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(254),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1206),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2965),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [255] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(18733),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(255),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1213),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2967),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [256] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12682),
    [sym__sequence_expression] = STATE(7517),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(256),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__attribute] = STATE(938),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_done] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [257] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(19710),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(257),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1048),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [258] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(17438),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(258),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1220),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2971),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [259] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(18499),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(259),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1148),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2973),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [260] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(18418),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(260),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1227),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2975),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [261] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(17588),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(261),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1234),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2977),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [262] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(18314),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(262),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1241),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2979),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [263] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(20266),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(263),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1060),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2981),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [264] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(19598),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(264),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1248),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2983),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [265] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(17889),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(265),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1133),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2985),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [266] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(17508),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(266),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1264),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2987),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [267] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(18191),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(267),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1140),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [268] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(19614),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(268),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(968),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2991),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [269] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(19632),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(269),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1272),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2993),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [270] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(18043),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(270),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1279),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2995),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [271] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(18892),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(271),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1286),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2997),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [272] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(18515),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(272),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1068),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(2999),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [273] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(5341),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(273),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(804),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_then] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [274] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(19783),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(274),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1293),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(3001),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [275] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(17569),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(275),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1300),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(3003),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [276] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(17819),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(276),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1307),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(3005),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [277] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(18645),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(277),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1076),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(3007),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [278] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12609),
    [sym__sequence_expression] = STATE(19273),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(20207),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(278),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__attribute] = STATE(714),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DASH_GT] = ACTIONS(297),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [279] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(18060),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(279),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1314),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(3009),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [280] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(18341),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(280),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1321),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(3011),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [281] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(19907),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(281),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1084),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(3013),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [282] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(17883),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(282),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1093),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(3015),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [283] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(17614),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(283),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1102),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(3017),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [284] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12627),
    [sym__sequence_expression] = STATE(5341),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(284),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__attribute] = STATE(839),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [285] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(18644),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(285),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1110),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(3019),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [286] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(5341),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(286),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(878),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_with] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [287] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(19841),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(287),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1118),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(3021),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [288] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(17601),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(288),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1125),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(3023),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [289] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(5341),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(289),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(898),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [290] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(18702),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(290),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1007),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(3025),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [291] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(20226),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(291),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__attribute] = STATE(1022),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_end] = ACTIONS(3027),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [292] = {
    [sym_value_definition] = STATE(18204),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(12034),
    [sym__sequence_expression] = STATE(12095),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6064),
    [sym_array_get_expression] = STATE(6064),
    [sym_string_get_expression] = STATE(6064),
    [sym_bigarray_get_expression] = STATE(6064),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_refutation_case] = STATE(12095),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(292),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(1803),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(18015),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [293] = {
    [sym_value_definition] = STATE(19507),
    [sym__simple_expression] = STATE(2442),
    [sym__expression] = STATE(11615),
    [sym__sequence_expression] = STATE(10375),
    [sym_typed_expression] = STATE(5871),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5871),
    [sym_array_expression] = STATE(5871),
    [sym_record_expression] = STATE(5871),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5871),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5871),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5719),
    [sym_array_get_expression] = STATE(5719),
    [sym_string_get_expression] = STATE(5719),
    [sym_bigarray_get_expression] = STATE(5719),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_refutation_case] = STATE(10375),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5871),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5871),
    [sym_package_expression] = STATE(5871),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5871),
    [sym_object_copy_expression] = STATE(5871),
    [sym_method_invocation] = STATE(5871),
    [sym_object_expression] = STATE(5871),
    [sym_parenthesized_expression] = STATE(5871),
    [sym_attribute] = STATE(293),
    [sym_extension] = STATE(5871),
    [sym_quoted_extension] = STATE(5871),
    [sym__constant] = STATE(5871),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1952),
    [sym__value_name] = STATE(5907),
    [sym_parenthesized_operator] = STATE(5936),
    [sym_value_path] = STATE(5871),
    [sym_module_path] = STATE(18534),
    [sym_constructor_path] = STATE(5871),
    [sym__instance_variable_name] = STATE(19469),
    [sym__constructor_name] = STATE(5965),
    [sym_tag] = STATE(5871),
    [sym__lowercase_identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__uppercase_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [294] = {
    [sym_value_definition] = STATE(19507),
    [sym__simple_expression] = STATE(2442),
    [sym__expression] = STATE(11615),
    [sym__sequence_expression] = STATE(10354),
    [sym_typed_expression] = STATE(5871),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5871),
    [sym_array_expression] = STATE(5871),
    [sym_record_expression] = STATE(5871),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5871),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5871),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5719),
    [sym_array_get_expression] = STATE(5719),
    [sym_string_get_expression] = STATE(5719),
    [sym_bigarray_get_expression] = STATE(5719),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_refutation_case] = STATE(10354),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5871),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5871),
    [sym_package_expression] = STATE(5871),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5871),
    [sym_object_copy_expression] = STATE(5871),
    [sym_method_invocation] = STATE(5871),
    [sym_object_expression] = STATE(5871),
    [sym_parenthesized_expression] = STATE(5871),
    [sym_attribute] = STATE(294),
    [sym_extension] = STATE(5871),
    [sym_quoted_extension] = STATE(5871),
    [sym__constant] = STATE(5871),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1952),
    [sym__value_name] = STATE(5907),
    [sym_parenthesized_operator] = STATE(5936),
    [sym_value_path] = STATE(5871),
    [sym_module_path] = STATE(18534),
    [sym_constructor_path] = STATE(5871),
    [sym__instance_variable_name] = STATE(19469),
    [sym__constructor_name] = STATE(5965),
    [sym_tag] = STATE(5871),
    [sym__lowercase_identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__uppercase_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [295] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18790),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(295),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(559),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [296] = {
    [sym_value_definition] = STATE(19378),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12331),
    [sym__sequence_expression] = STATE(8092),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6467),
    [sym_array_get_expression] = STATE(6467),
    [sym_string_get_expression] = STATE(6467),
    [sym_bigarray_get_expression] = STATE(6467),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8092),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(296),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(1824),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(19354),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [297] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(19084),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(297),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(640),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [298] = {
    [sym_value_definition] = STATE(18965),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8541),
    [sym__sequence_expression] = STATE(8054),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_refutation_case] = STATE(8054),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(298),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [299] = {
    [sym_value_definition] = STATE(18124),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9571),
    [sym__sequence_expression] = STATE(8092),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4784),
    [sym_array_get_expression] = STATE(4784),
    [sym_string_get_expression] = STATE(4784),
    [sym_bigarray_get_expression] = STATE(4784),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8092),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(299),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17851),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1009),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1015),
    [anon_sym_function] = ACTIONS(1017),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1041),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [300] = {
    [sym_value_definition] = STATE(18124),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9571),
    [sym__sequence_expression] = STATE(8107),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4784),
    [sym_array_get_expression] = STATE(4784),
    [sym_string_get_expression] = STATE(4784),
    [sym_bigarray_get_expression] = STATE(4784),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8107),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(300),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17851),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1009),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1015),
    [anon_sym_function] = ACTIONS(1017),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1041),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [301] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8261),
    [sym__sequence_expression] = STATE(7986),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_refutation_case] = STATE(7986),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(301),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [302] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8261),
    [sym__sequence_expression] = STATE(8054),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_refutation_case] = STATE(8054),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(302),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [303] = {
    [sym_value_definition] = STATE(18721),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10918),
    [sym__sequence_expression] = STATE(10375),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5423),
    [sym_array_get_expression] = STATE(5423),
    [sym_string_get_expression] = STATE(5423),
    [sym_bigarray_get_expression] = STATE(5423),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_refutation_case] = STATE(10375),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(303),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1828),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(18774),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [304] = {
    [sym_value_definition] = STATE(18721),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10918),
    [sym__sequence_expression] = STATE(10354),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5423),
    [sym_array_get_expression] = STATE(5423),
    [sym_string_get_expression] = STATE(5423),
    [sym_bigarray_get_expression] = STATE(5423),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_refutation_case] = STATE(10354),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(304),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1828),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(18774),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [305] = {
    [sym_value_definition] = STATE(19378),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12331),
    [sym__sequence_expression] = STATE(8107),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6467),
    [sym_array_get_expression] = STATE(6467),
    [sym_string_get_expression] = STATE(6467),
    [sym_bigarray_get_expression] = STATE(6467),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8107),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(305),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(1824),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(19354),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [306] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16826),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(306),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(554),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [307] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12627),
    [sym__sequence_expression] = STATE(16867),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(307),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__attribute] = STATE(555),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [308] = {
    [sym_value_definition] = STATE(19627),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8659),
    [sym__sequence_expression] = STATE(8054),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_refutation_case] = STATE(8054),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(308),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [309] = {
    [sym_value_definition] = STATE(17988),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10218),
    [sym__sequence_expression] = STATE(8092),
    [sym_typed_expression] = STATE(5110),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5110),
    [sym_array_expression] = STATE(5110),
    [sym_record_expression] = STATE(5110),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5110),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5110),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5103),
    [sym_array_get_expression] = STATE(5103),
    [sym_string_get_expression] = STATE(5103),
    [sym_bigarray_get_expression] = STATE(5103),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8092),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5110),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5110),
    [sym_package_expression] = STATE(5110),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5110),
    [sym_object_copy_expression] = STATE(5110),
    [sym_method_invocation] = STATE(5110),
    [sym_object_expression] = STATE(5110),
    [sym_parenthesized_expression] = STATE(5110),
    [sym_attribute] = STATE(309),
    [sym_extension] = STATE(5110),
    [sym_quoted_extension] = STATE(5110),
    [sym__constant] = STATE(5110),
    [sym_number] = STATE(5198),
    [sym_character] = STATE(5198),
    [sym_string] = STATE(5198),
    [sym_quoted_string] = STATE(5198),
    [sym_boolean] = STATE(5198),
    [sym_unit] = STATE(5198),
    [sym_sign_operator] = STATE(2028),
    [sym__value_name] = STATE(5177),
    [sym_parenthesized_operator] = STATE(5218),
    [sym_value_path] = STATE(5110),
    [sym_module_path] = STATE(18648),
    [sym_constructor_path] = STATE(5110),
    [sym__instance_variable_name] = STATE(19166),
    [sym__constructor_name] = STATE(5142),
    [sym_tag] = STATE(5110),
    [sym__lowercase_identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__uppercase_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [310] = {
    [sym_value_definition] = STATE(17988),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10218),
    [sym__sequence_expression] = STATE(8107),
    [sym_typed_expression] = STATE(5110),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5110),
    [sym_array_expression] = STATE(5110),
    [sym_record_expression] = STATE(5110),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5110),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5110),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5103),
    [sym_array_get_expression] = STATE(5103),
    [sym_string_get_expression] = STATE(5103),
    [sym_bigarray_get_expression] = STATE(5103),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8107),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5110),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5110),
    [sym_package_expression] = STATE(5110),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5110),
    [sym_object_copy_expression] = STATE(5110),
    [sym_method_invocation] = STATE(5110),
    [sym_object_expression] = STATE(5110),
    [sym_parenthesized_expression] = STATE(5110),
    [sym_attribute] = STATE(310),
    [sym_extension] = STATE(5110),
    [sym_quoted_extension] = STATE(5110),
    [sym__constant] = STATE(5110),
    [sym_number] = STATE(5198),
    [sym_character] = STATE(5198),
    [sym_string] = STATE(5198),
    [sym_quoted_string] = STATE(5198),
    [sym_boolean] = STATE(5198),
    [sym_unit] = STATE(5198),
    [sym_sign_operator] = STATE(2028),
    [sym__value_name] = STATE(5177),
    [sym_parenthesized_operator] = STATE(5218),
    [sym_value_path] = STATE(5110),
    [sym_module_path] = STATE(18648),
    [sym_constructor_path] = STATE(5110),
    [sym__instance_variable_name] = STATE(19166),
    [sym__constructor_name] = STATE(5142),
    [sym_tag] = STATE(5110),
    [sym__lowercase_identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__uppercase_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [311] = {
    [sym_value_definition] = STATE(17483),
    [sym__simple_expression] = STATE(346),
    [sym__expression] = STATE(8105),
    [sym__sequence_expression] = STATE(7986),
    [sym_typed_expression] = STATE(3112),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3112),
    [sym_array_expression] = STATE(3112),
    [sym_record_expression] = STATE(3112),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3112),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3112),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2910),
    [sym_array_get_expression] = STATE(2910),
    [sym_string_get_expression] = STATE(2910),
    [sym_bigarray_get_expression] = STATE(2910),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_refutation_case] = STATE(7986),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3112),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3112),
    [sym_package_expression] = STATE(3112),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3112),
    [sym_object_copy_expression] = STATE(3112),
    [sym_method_invocation] = STATE(3112),
    [sym_object_expression] = STATE(3112),
    [sym_parenthesized_expression] = STATE(3112),
    [sym_attribute] = STATE(311),
    [sym_extension] = STATE(3112),
    [sym_quoted_extension] = STATE(3112),
    [sym__constant] = STATE(3112),
    [sym_number] = STATE(3002),
    [sym_character] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_quoted_string] = STATE(3002),
    [sym_boolean] = STATE(3002),
    [sym_unit] = STATE(3002),
    [sym_sign_operator] = STATE(2250),
    [sym__value_name] = STATE(3175),
    [sym_parenthesized_operator] = STATE(3259),
    [sym_value_path] = STATE(3112),
    [sym_module_path] = STATE(18457),
    [sym_constructor_path] = STATE(3112),
    [sym__instance_variable_name] = STATE(17429),
    [sym__constructor_name] = STATE(3005),
    [sym_tag] = STATE(3112),
    [sym__lowercase_identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__uppercase_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [312] = {
    [sym_value_definition] = STATE(17483),
    [sym__simple_expression] = STATE(346),
    [sym__expression] = STATE(8105),
    [sym__sequence_expression] = STATE(8054),
    [sym_typed_expression] = STATE(3112),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3112),
    [sym_array_expression] = STATE(3112),
    [sym_record_expression] = STATE(3112),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3112),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3112),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2910),
    [sym_array_get_expression] = STATE(2910),
    [sym_string_get_expression] = STATE(2910),
    [sym_bigarray_get_expression] = STATE(2910),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_refutation_case] = STATE(8054),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3112),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3112),
    [sym_package_expression] = STATE(3112),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3112),
    [sym_object_copy_expression] = STATE(3112),
    [sym_method_invocation] = STATE(3112),
    [sym_object_expression] = STATE(3112),
    [sym_parenthesized_expression] = STATE(3112),
    [sym_attribute] = STATE(312),
    [sym_extension] = STATE(3112),
    [sym_quoted_extension] = STATE(3112),
    [sym__constant] = STATE(3112),
    [sym_number] = STATE(3002),
    [sym_character] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_quoted_string] = STATE(3002),
    [sym_boolean] = STATE(3002),
    [sym_unit] = STATE(3002),
    [sym_sign_operator] = STATE(2250),
    [sym__value_name] = STATE(3175),
    [sym_parenthesized_operator] = STATE(3259),
    [sym_value_path] = STATE(3112),
    [sym_module_path] = STATE(18457),
    [sym_constructor_path] = STATE(3112),
    [sym__instance_variable_name] = STATE(17429),
    [sym__constructor_name] = STATE(3005),
    [sym_tag] = STATE(3112),
    [sym__lowercase_identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__uppercase_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [313] = {
    [sym_value_definition] = STATE(18151),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10277),
    [sym__sequence_expression] = STATE(8092),
    [sym_typed_expression] = STATE(5326),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5326),
    [sym_array_expression] = STATE(5326),
    [sym_record_expression] = STATE(5326),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5326),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5326),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5210),
    [sym_array_get_expression] = STATE(5210),
    [sym_string_get_expression] = STATE(5210),
    [sym_bigarray_get_expression] = STATE(5210),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8092),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5326),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5326),
    [sym_package_expression] = STATE(5326),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5326),
    [sym_object_copy_expression] = STATE(5326),
    [sym_method_invocation] = STATE(5326),
    [sym_object_expression] = STATE(5326),
    [sym_parenthesized_expression] = STATE(5326),
    [sym_attribute] = STATE(313),
    [sym_extension] = STATE(5326),
    [sym_quoted_extension] = STATE(5326),
    [sym__constant] = STATE(5326),
    [sym_number] = STATE(5290),
    [sym_character] = STATE(5290),
    [sym_string] = STATE(5290),
    [sym_quoted_string] = STATE(5290),
    [sym_boolean] = STATE(5290),
    [sym_unit] = STATE(5290),
    [sym_sign_operator] = STATE(2230),
    [sym__value_name] = STATE(5280),
    [sym_parenthesized_operator] = STATE(5281),
    [sym_value_path] = STATE(5326),
    [sym_module_path] = STATE(17911),
    [sym_constructor_path] = STATE(5326),
    [sym__instance_variable_name] = STATE(18127),
    [sym__constructor_name] = STATE(5374),
    [sym_tag] = STATE(5326),
    [sym__lowercase_identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__uppercase_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [314] = {
    [sym_value_definition] = STATE(19983),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12362),
    [sym__sequence_expression] = STATE(8092),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6468),
    [sym_array_get_expression] = STATE(6468),
    [sym_string_get_expression] = STATE(6468),
    [sym_bigarray_get_expression] = STATE(6468),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8092),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(314),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19961),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2743),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_function] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2787),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [315] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8207),
    [sym__sequence_expression] = STATE(7986),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_refutation_case] = STATE(7986),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(315),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [316] = {
    [sym_value_definition] = STATE(19983),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12362),
    [sym__sequence_expression] = STATE(8107),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6468),
    [sym_array_get_expression] = STATE(6468),
    [sym_string_get_expression] = STATE(6468),
    [sym_bigarray_get_expression] = STATE(6468),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8107),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(316),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19961),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2743),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_function] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2787),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [317] = {
    [sym_value_definition] = STATE(18151),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10277),
    [sym__sequence_expression] = STATE(8107),
    [sym_typed_expression] = STATE(5326),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5326),
    [sym_array_expression] = STATE(5326),
    [sym_record_expression] = STATE(5326),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5326),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5326),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5210),
    [sym_array_get_expression] = STATE(5210),
    [sym_string_get_expression] = STATE(5210),
    [sym_bigarray_get_expression] = STATE(5210),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8107),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5326),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5326),
    [sym_package_expression] = STATE(5326),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5326),
    [sym_object_copy_expression] = STATE(5326),
    [sym_method_invocation] = STATE(5326),
    [sym_object_expression] = STATE(5326),
    [sym_parenthesized_expression] = STATE(5326),
    [sym_attribute] = STATE(317),
    [sym_extension] = STATE(5326),
    [sym_quoted_extension] = STATE(5326),
    [sym__constant] = STATE(5326),
    [sym_number] = STATE(5290),
    [sym_character] = STATE(5290),
    [sym_string] = STATE(5290),
    [sym_quoted_string] = STATE(5290),
    [sym_boolean] = STATE(5290),
    [sym_unit] = STATE(5290),
    [sym_sign_operator] = STATE(2230),
    [sym__value_name] = STATE(5280),
    [sym_parenthesized_operator] = STATE(5281),
    [sym_value_path] = STATE(5326),
    [sym_module_path] = STATE(17911),
    [sym_constructor_path] = STATE(5326),
    [sym__instance_variable_name] = STATE(18127),
    [sym__constructor_name] = STATE(5374),
    [sym_tag] = STATE(5326),
    [sym__lowercase_identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__uppercase_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [318] = {
    [sym_value_definition] = STATE(18836),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11917),
    [sym__sequence_expression] = STATE(8092),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6002),
    [sym_array_get_expression] = STATE(6002),
    [sym_string_get_expression] = STATE(6002),
    [sym_bigarray_get_expression] = STATE(6002),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8092),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(318),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(1907),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(17884),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2203),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2211),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2235),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [319] = {
    [sym_value_definition] = STATE(18836),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11917),
    [sym__sequence_expression] = STATE(8107),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6002),
    [sym_array_get_expression] = STATE(6002),
    [sym_string_get_expression] = STATE(6002),
    [sym_bigarray_get_expression] = STATE(6002),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8107),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(319),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(1907),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(17884),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2203),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2211),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2235),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [320] = {
    [sym_value_definition] = STATE(20000),
    [sym__simple_expression] = STATE(352),
    [sym__expression] = STATE(8115),
    [sym__sequence_expression] = STATE(7986),
    [sym_typed_expression] = STATE(3206),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3206),
    [sym_array_expression] = STATE(3206),
    [sym_record_expression] = STATE(3206),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3206),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3206),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2932),
    [sym_array_get_expression] = STATE(2932),
    [sym_string_get_expression] = STATE(2932),
    [sym_bigarray_get_expression] = STATE(2932),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_refutation_case] = STATE(7986),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3206),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3206),
    [sym_package_expression] = STATE(3206),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3206),
    [sym_object_copy_expression] = STATE(3206),
    [sym_method_invocation] = STATE(3206),
    [sym_object_expression] = STATE(3206),
    [sym_parenthesized_expression] = STATE(3206),
    [sym_attribute] = STATE(320),
    [sym_extension] = STATE(3206),
    [sym_quoted_extension] = STATE(3206),
    [sym__constant] = STATE(3206),
    [sym_number] = STATE(3173),
    [sym_character] = STATE(3173),
    [sym_string] = STATE(3173),
    [sym_quoted_string] = STATE(3173),
    [sym_boolean] = STATE(3173),
    [sym_unit] = STATE(3173),
    [sym_sign_operator] = STATE(1980),
    [sym__value_name] = STATE(3254),
    [sym_parenthesized_operator] = STATE(2954),
    [sym_value_path] = STATE(3206),
    [sym_module_path] = STATE(18572),
    [sym_constructor_path] = STATE(3206),
    [sym__instance_variable_name] = STATE(19951),
    [sym__constructor_name] = STATE(3180),
    [sym_tag] = STATE(3206),
    [sym__lowercase_identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__uppercase_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [321] = {
    [sym_value_definition] = STATE(20000),
    [sym__simple_expression] = STATE(352),
    [sym__expression] = STATE(8115),
    [sym__sequence_expression] = STATE(8054),
    [sym_typed_expression] = STATE(3206),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3206),
    [sym_array_expression] = STATE(3206),
    [sym_record_expression] = STATE(3206),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3206),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3206),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2932),
    [sym_array_get_expression] = STATE(2932),
    [sym_string_get_expression] = STATE(2932),
    [sym_bigarray_get_expression] = STATE(2932),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_refutation_case] = STATE(8054),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3206),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3206),
    [sym_package_expression] = STATE(3206),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3206),
    [sym_object_copy_expression] = STATE(3206),
    [sym_method_invocation] = STATE(3206),
    [sym_object_expression] = STATE(3206),
    [sym_parenthesized_expression] = STATE(3206),
    [sym_attribute] = STATE(321),
    [sym_extension] = STATE(3206),
    [sym_quoted_extension] = STATE(3206),
    [sym__constant] = STATE(3206),
    [sym_number] = STATE(3173),
    [sym_character] = STATE(3173),
    [sym_string] = STATE(3173),
    [sym_quoted_string] = STATE(3173),
    [sym_boolean] = STATE(3173),
    [sym_unit] = STATE(3173),
    [sym_sign_operator] = STATE(1980),
    [sym__value_name] = STATE(3254),
    [sym_parenthesized_operator] = STATE(2954),
    [sym_value_path] = STATE(3206),
    [sym_module_path] = STATE(18572),
    [sym_constructor_path] = STATE(3206),
    [sym__instance_variable_name] = STATE(19951),
    [sym__constructor_name] = STATE(3180),
    [sym_tag] = STATE(3206),
    [sym__lowercase_identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__uppercase_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [322] = {
    [sym_value_definition] = STATE(19695),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(8338),
    [sym__sequence_expression] = STATE(7986),
    [sym_typed_expression] = STATE(3950),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3950),
    [sym_array_expression] = STATE(3950),
    [sym_record_expression] = STATE(3950),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3950),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3950),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_refutation_case] = STATE(7986),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3950),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3950),
    [sym_package_expression] = STATE(3950),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3950),
    [sym_object_copy_expression] = STATE(3950),
    [sym_method_invocation] = STATE(3950),
    [sym_object_expression] = STATE(3950),
    [sym_parenthesized_expression] = STATE(3950),
    [sym_attribute] = STATE(322),
    [sym_extension] = STATE(3950),
    [sym_quoted_extension] = STATE(3950),
    [sym__constant] = STATE(3950),
    [sym_number] = STATE(4087),
    [sym_character] = STATE(4087),
    [sym_string] = STATE(4087),
    [sym_quoted_string] = STATE(4087),
    [sym_boolean] = STATE(4087),
    [sym_unit] = STATE(4087),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4005),
    [sym_parenthesized_operator] = STATE(4045),
    [sym_value_path] = STATE(3950),
    [sym_module_path] = STATE(17695),
    [sym_constructor_path] = STATE(3950),
    [sym__instance_variable_name] = STATE(19552),
    [sym__constructor_name] = STATE(4088),
    [sym_tag] = STATE(3950),
    [sym__lowercase_identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__uppercase_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [323] = {
    [sym_value_definition] = STATE(19695),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(8338),
    [sym__sequence_expression] = STATE(8054),
    [sym_typed_expression] = STATE(3950),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3950),
    [sym_array_expression] = STATE(3950),
    [sym_record_expression] = STATE(3950),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3950),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3950),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_refutation_case] = STATE(8054),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3950),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3950),
    [sym_package_expression] = STATE(3950),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3950),
    [sym_object_copy_expression] = STATE(3950),
    [sym_method_invocation] = STATE(3950),
    [sym_object_expression] = STATE(3950),
    [sym_parenthesized_expression] = STATE(3950),
    [sym_attribute] = STATE(323),
    [sym_extension] = STATE(3950),
    [sym_quoted_extension] = STATE(3950),
    [sym__constant] = STATE(3950),
    [sym_number] = STATE(4087),
    [sym_character] = STATE(4087),
    [sym_string] = STATE(4087),
    [sym_quoted_string] = STATE(4087),
    [sym_boolean] = STATE(4087),
    [sym_unit] = STATE(4087),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4005),
    [sym_parenthesized_operator] = STATE(4045),
    [sym_value_path] = STATE(3950),
    [sym_module_path] = STATE(17695),
    [sym_constructor_path] = STATE(3950),
    [sym__instance_variable_name] = STATE(19552),
    [sym__constructor_name] = STATE(4088),
    [sym_tag] = STATE(3950),
    [sym__lowercase_identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__uppercase_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [324] = {
    [sym_value_definition] = STATE(18228),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11912),
    [sym__sequence_expression] = STATE(10375),
    [sym_typed_expression] = STATE(6605),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6605),
    [sym_array_expression] = STATE(6605),
    [sym_record_expression] = STATE(6605),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6605),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6605),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6090),
    [sym_array_get_expression] = STATE(6090),
    [sym_string_get_expression] = STATE(6090),
    [sym_bigarray_get_expression] = STATE(6090),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_refutation_case] = STATE(10375),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6605),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6605),
    [sym_package_expression] = STATE(6605),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6605),
    [sym_object_copy_expression] = STATE(6605),
    [sym_method_invocation] = STATE(6605),
    [sym_object_expression] = STATE(6605),
    [sym_parenthesized_expression] = STATE(6605),
    [sym_attribute] = STATE(324),
    [sym_extension] = STATE(6605),
    [sym_quoted_extension] = STATE(6605),
    [sym__constant] = STATE(6605),
    [sym_number] = STATE(6281),
    [sym_character] = STATE(6281),
    [sym_string] = STATE(6281),
    [sym_quoted_string] = STATE(6281),
    [sym_boolean] = STATE(6281),
    [sym_unit] = STATE(6281),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6139),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6605),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(6605),
    [sym__instance_variable_name] = STATE(18146),
    [sym__constructor_name] = STATE(6282),
    [sym_tag] = STATE(6605),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [325] = {
    [sym_value_definition] = STATE(19628),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11817),
    [sym__sequence_expression] = STATE(8092),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8092),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(325),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(2070),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(18766),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2243),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2261),
    [anon_sym_function] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2287),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [326] = {
    [sym_value_definition] = STATE(19628),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11817),
    [sym__sequence_expression] = STATE(8107),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8107),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(326),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(2070),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(18766),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2243),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2261),
    [anon_sym_function] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2287),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [327] = {
    [sym_value_definition] = STATE(18025),
    [sym__simple_expression] = STATE(500),
    [sym__expression] = STATE(8210),
    [sym__sequence_expression] = STATE(7986),
    [sym_typed_expression] = STATE(3596),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3596),
    [sym_array_expression] = STATE(3596),
    [sym_record_expression] = STATE(3596),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3596),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3596),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3082),
    [sym_array_get_expression] = STATE(3082),
    [sym_string_get_expression] = STATE(3082),
    [sym_bigarray_get_expression] = STATE(3082),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_refutation_case] = STATE(7986),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3596),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3596),
    [sym_package_expression] = STATE(3596),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3596),
    [sym_object_copy_expression] = STATE(3596),
    [sym_method_invocation] = STATE(3596),
    [sym_object_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3596),
    [sym_attribute] = STATE(327),
    [sym_extension] = STATE(3596),
    [sym_quoted_extension] = STATE(3596),
    [sym__constant] = STATE(3596),
    [sym_number] = STATE(3346),
    [sym_character] = STATE(3346),
    [sym_string] = STATE(3346),
    [sym_quoted_string] = STATE(3346),
    [sym_boolean] = STATE(3346),
    [sym_unit] = STATE(3346),
    [sym_sign_operator] = STATE(1842),
    [sym__value_name] = STATE(3661),
    [sym_parenthesized_operator] = STATE(3550),
    [sym_value_path] = STATE(3596),
    [sym_module_path] = STATE(18685),
    [sym_constructor_path] = STATE(3596),
    [sym__instance_variable_name] = STATE(17765),
    [sym__constructor_name] = STATE(3347),
    [sym_tag] = STATE(3596),
    [sym__lowercase_identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3071),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__uppercase_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [328] = {
    [sym_value_definition] = STATE(18025),
    [sym__simple_expression] = STATE(500),
    [sym__expression] = STATE(8210),
    [sym__sequence_expression] = STATE(8054),
    [sym_typed_expression] = STATE(3596),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3596),
    [sym_array_expression] = STATE(3596),
    [sym_record_expression] = STATE(3596),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3596),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3596),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3082),
    [sym_array_get_expression] = STATE(3082),
    [sym_string_get_expression] = STATE(3082),
    [sym_bigarray_get_expression] = STATE(3082),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_refutation_case] = STATE(8054),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3596),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3596),
    [sym_package_expression] = STATE(3596),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3596),
    [sym_object_copy_expression] = STATE(3596),
    [sym_method_invocation] = STATE(3596),
    [sym_object_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3596),
    [sym_attribute] = STATE(328),
    [sym_extension] = STATE(3596),
    [sym_quoted_extension] = STATE(3596),
    [sym__constant] = STATE(3596),
    [sym_number] = STATE(3346),
    [sym_character] = STATE(3346),
    [sym_string] = STATE(3346),
    [sym_quoted_string] = STATE(3346),
    [sym_boolean] = STATE(3346),
    [sym_unit] = STATE(3346),
    [sym_sign_operator] = STATE(1842),
    [sym__value_name] = STATE(3661),
    [sym_parenthesized_operator] = STATE(3550),
    [sym_value_path] = STATE(3596),
    [sym_module_path] = STATE(18685),
    [sym_constructor_path] = STATE(3596),
    [sym__instance_variable_name] = STATE(17765),
    [sym__constructor_name] = STATE(3347),
    [sym_tag] = STATE(3596),
    [sym__lowercase_identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3071),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__uppercase_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [329] = {
    [sym_value_definition] = STATE(18228),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11912),
    [sym__sequence_expression] = STATE(10354),
    [sym_typed_expression] = STATE(6605),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6605),
    [sym_array_expression] = STATE(6605),
    [sym_record_expression] = STATE(6605),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6605),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6605),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6090),
    [sym_array_get_expression] = STATE(6090),
    [sym_string_get_expression] = STATE(6090),
    [sym_bigarray_get_expression] = STATE(6090),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_refutation_case] = STATE(10354),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6605),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6605),
    [sym_package_expression] = STATE(6605),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6605),
    [sym_object_copy_expression] = STATE(6605),
    [sym_method_invocation] = STATE(6605),
    [sym_object_expression] = STATE(6605),
    [sym_parenthesized_expression] = STATE(6605),
    [sym_attribute] = STATE(329),
    [sym_extension] = STATE(6605),
    [sym_quoted_extension] = STATE(6605),
    [sym__constant] = STATE(6605),
    [sym_number] = STATE(6281),
    [sym_character] = STATE(6281),
    [sym_string] = STATE(6281),
    [sym_quoted_string] = STATE(6281),
    [sym_boolean] = STATE(6281),
    [sym_unit] = STATE(6281),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6139),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6605),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(6605),
    [sym__instance_variable_name] = STATE(18146),
    [sym__constructor_name] = STATE(6282),
    [sym_tag] = STATE(6605),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [330] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12385),
    [sym__sequence_expression] = STATE(12441),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_refutation_case] = STATE(12441),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(330),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [331] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8207),
    [sym__sequence_expression] = STATE(8054),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_refutation_case] = STATE(8054),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(331),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [332] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11436),
    [sym__sequence_expression] = STATE(10375),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5655),
    [sym_array_get_expression] = STATE(5655),
    [sym_string_get_expression] = STATE(5655),
    [sym_bigarray_get_expression] = STATE(5655),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_refutation_case] = STATE(10375),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(332),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17993),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [333] = {
    [sym_value_definition] = STATE(18767),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12332),
    [sym__sequence_expression] = STATE(8092),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8092),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(333),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(2341),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(18746),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2683),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [334] = {
    [sym_value_definition] = STATE(17526),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12044),
    [sym__sequence_expression] = STATE(8092),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6004),
    [sym_array_get_expression] = STATE(6004),
    [sym_string_get_expression] = STATE(6004),
    [sym_bigarray_get_expression] = STATE(6004),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8092),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(334),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19440),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2295),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2311),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2313),
    [anon_sym_function] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2339),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [335] = {
    [sym_value_definition] = STATE(17526),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12044),
    [sym__sequence_expression] = STATE(8107),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6004),
    [sym_array_get_expression] = STATE(6004),
    [sym_string_get_expression] = STATE(6004),
    [sym_bigarray_get_expression] = STATE(6004),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8107),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(335),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19440),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2295),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2311),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2313),
    [anon_sym_function] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2339),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [336] = {
    [sym_value_definition] = STATE(18309),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8217),
    [sym__sequence_expression] = STATE(7986),
    [sym_typed_expression] = STATE(3660),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3660),
    [sym_array_expression] = STATE(3660),
    [sym_record_expression] = STATE(3660),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3660),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3660),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3095),
    [sym_array_get_expression] = STATE(3095),
    [sym_string_get_expression] = STATE(3095),
    [sym_bigarray_get_expression] = STATE(3095),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_refutation_case] = STATE(7986),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3660),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3660),
    [sym_package_expression] = STATE(3660),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3660),
    [sym_object_copy_expression] = STATE(3660),
    [sym_method_invocation] = STATE(3660),
    [sym_object_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_attribute] = STATE(336),
    [sym_extension] = STATE(3660),
    [sym_quoted_extension] = STATE(3660),
    [sym__constant] = STATE(3660),
    [sym_number] = STATE(3360),
    [sym_character] = STATE(3360),
    [sym_string] = STATE(3360),
    [sym_quoted_string] = STATE(3360),
    [sym_boolean] = STATE(3360),
    [sym_unit] = STATE(3360),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(3285),
    [sym_parenthesized_operator] = STATE(3631),
    [sym_value_path] = STATE(3660),
    [sym_module_path] = STATE(18722),
    [sym_constructor_path] = STATE(3660),
    [sym__instance_variable_name] = STATE(17997),
    [sym__constructor_name] = STATE(3361),
    [sym_tag] = STATE(3660),
    [sym__lowercase_identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3073),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3075),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__uppercase_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [337] = {
    [sym_value_definition] = STATE(18309),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8217),
    [sym__sequence_expression] = STATE(8054),
    [sym_typed_expression] = STATE(3660),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3660),
    [sym_array_expression] = STATE(3660),
    [sym_record_expression] = STATE(3660),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3660),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3660),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3095),
    [sym_array_get_expression] = STATE(3095),
    [sym_string_get_expression] = STATE(3095),
    [sym_bigarray_get_expression] = STATE(3095),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_refutation_case] = STATE(8054),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3660),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3660),
    [sym_package_expression] = STATE(3660),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3660),
    [sym_object_copy_expression] = STATE(3660),
    [sym_method_invocation] = STATE(3660),
    [sym_object_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_attribute] = STATE(337),
    [sym_extension] = STATE(3660),
    [sym_quoted_extension] = STATE(3660),
    [sym__constant] = STATE(3660),
    [sym_number] = STATE(3360),
    [sym_character] = STATE(3360),
    [sym_string] = STATE(3360),
    [sym_quoted_string] = STATE(3360),
    [sym_boolean] = STATE(3360),
    [sym_unit] = STATE(3360),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(3285),
    [sym_parenthesized_operator] = STATE(3631),
    [sym_value_path] = STATE(3660),
    [sym_module_path] = STATE(18722),
    [sym_constructor_path] = STATE(3660),
    [sym__instance_variable_name] = STATE(17997),
    [sym__constructor_name] = STATE(3361),
    [sym_tag] = STATE(3660),
    [sym__lowercase_identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3073),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3075),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__uppercase_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [338] = {
    [sym_value_definition] = STATE(18767),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12332),
    [sym__sequence_expression] = STATE(8107),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8107),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(338),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(2341),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(18746),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2683),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [339] = {
    [sym_value_definition] = STATE(18965),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8541),
    [sym__sequence_expression] = STATE(7986),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_refutation_case] = STATE(7986),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(339),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [340] = {
    [sym_value_definition] = STATE(19847),
    [sym__simple_expression] = STATE(1543),
    [sym__expression] = STATE(8415),
    [sym__sequence_expression] = STATE(7986),
    [sym_typed_expression] = STATE(4090),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4090),
    [sym_array_expression] = STATE(4090),
    [sym_record_expression] = STATE(4090),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4090),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4090),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3779),
    [sym_array_get_expression] = STATE(3779),
    [sym_string_get_expression] = STATE(3779),
    [sym_bigarray_get_expression] = STATE(3779),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_refutation_case] = STATE(7986),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4090),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4090),
    [sym_package_expression] = STATE(4090),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4090),
    [sym_object_copy_expression] = STATE(4090),
    [sym_method_invocation] = STATE(4090),
    [sym_object_expression] = STATE(4090),
    [sym_parenthesized_expression] = STATE(4090),
    [sym_attribute] = STATE(340),
    [sym_extension] = STATE(4090),
    [sym_quoted_extension] = STATE(4090),
    [sym__constant] = STATE(4090),
    [sym_number] = STATE(4058),
    [sym_character] = STATE(4058),
    [sym_string] = STATE(4058),
    [sym_quoted_string] = STATE(4058),
    [sym_boolean] = STATE(4058),
    [sym_unit] = STATE(4058),
    [sym_sign_operator] = STATE(2132),
    [sym__value_name] = STATE(4146),
    [sym_parenthesized_operator] = STATE(4003),
    [sym_value_path] = STATE(4090),
    [sym_module_path] = STATE(17476),
    [sym_constructor_path] = STATE(4090),
    [sym__instance_variable_name] = STATE(19788),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4090),
    [sym__lowercase_identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3077),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3079),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__uppercase_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [341] = {
    [sym_value_definition] = STATE(19847),
    [sym__simple_expression] = STATE(1543),
    [sym__expression] = STATE(8415),
    [sym__sequence_expression] = STATE(8054),
    [sym_typed_expression] = STATE(4090),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4090),
    [sym_array_expression] = STATE(4090),
    [sym_record_expression] = STATE(4090),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4090),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4090),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3779),
    [sym_array_get_expression] = STATE(3779),
    [sym_string_get_expression] = STATE(3779),
    [sym_bigarray_get_expression] = STATE(3779),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_refutation_case] = STATE(8054),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4090),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4090),
    [sym_package_expression] = STATE(4090),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4090),
    [sym_object_copy_expression] = STATE(4090),
    [sym_method_invocation] = STATE(4090),
    [sym_object_expression] = STATE(4090),
    [sym_parenthesized_expression] = STATE(4090),
    [sym_attribute] = STATE(341),
    [sym_extension] = STATE(4090),
    [sym_quoted_extension] = STATE(4090),
    [sym__constant] = STATE(4090),
    [sym_number] = STATE(4058),
    [sym_character] = STATE(4058),
    [sym_string] = STATE(4058),
    [sym_quoted_string] = STATE(4058),
    [sym_boolean] = STATE(4058),
    [sym_unit] = STATE(4058),
    [sym_sign_operator] = STATE(2132),
    [sym__value_name] = STATE(4146),
    [sym_parenthesized_operator] = STATE(4003),
    [sym_value_path] = STATE(4090),
    [sym_module_path] = STATE(17476),
    [sym_constructor_path] = STATE(4090),
    [sym__instance_variable_name] = STATE(19788),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4090),
    [sym__lowercase_identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3077),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3079),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__uppercase_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [342] = {
    [sym_value_definition] = STATE(17795),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11796),
    [sym__sequence_expression] = STATE(8092),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6005),
    [sym_array_get_expression] = STATE(6005),
    [sym_string_get_expression] = STATE(6005),
    [sym_bigarray_get_expression] = STATE(6005),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8092),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(342),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(2145),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(17497),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2347),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2365),
    [anon_sym_function] = ACTIONS(2367),
    [anon_sym_try] = ACTIONS(2369),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2391),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [343] = {
    [sym_value_definition] = STATE(17795),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11796),
    [sym__sequence_expression] = STATE(8107),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6005),
    [sym_array_get_expression] = STATE(6005),
    [sym_string_get_expression] = STATE(6005),
    [sym_bigarray_get_expression] = STATE(6005),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8107),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(343),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(2145),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(17497),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2347),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2365),
    [anon_sym_function] = ACTIONS(2367),
    [anon_sym_try] = ACTIONS(2369),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2391),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [344] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11825),
    [sym__sequence_expression] = STATE(10375),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_refutation_case] = STATE(10375),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(344),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [345] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11825),
    [sym__sequence_expression] = STATE(10354),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_refutation_case] = STATE(10354),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(345),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [346] = {
    [sym__simple_expression] = STATE(3122),
    [sym_typed_expression] = STATE(3112),
    [sym_list_expression] = STATE(3112),
    [sym_array_expression] = STATE(3112),
    [sym_record_expression] = STATE(3112),
    [sym_labeled_argument] = STATE(4082),
    [sym_prefix_expression] = STATE(3112),
    [sym_hash_expression] = STATE(3112),
    [sym_field_get_expression] = STATE(3112),
    [sym_array_get_expression] = STATE(3112),
    [sym_string_get_expression] = STATE(3112),
    [sym_bigarray_get_expression] = STATE(3112),
    [sym_coercion_expression] = STATE(3112),
    [sym_local_open_expression] = STATE(3112),
    [sym_package_expression] = STATE(3112),
    [sym_new_expression] = STATE(3112),
    [sym_object_copy_expression] = STATE(3112),
    [sym_method_invocation] = STATE(3112),
    [sym_object_expression] = STATE(3112),
    [sym_parenthesized_expression] = STATE(3112),
    [sym_attribute] = STATE(346),
    [sym_extension] = STATE(3112),
    [sym_quoted_extension] = STATE(3112),
    [sym__constant] = STATE(3112),
    [sym_number] = STATE(3002),
    [sym_character] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_quoted_string] = STATE(3002),
    [sym_boolean] = STATE(3002),
    [sym_unit] = STATE(3002),
    [sym__value_name] = STATE(3175),
    [sym_parenthesized_operator] = STATE(3259),
    [sym_value_path] = STATE(3112),
    [sym_module_path] = STATE(18457),
    [sym_constructor_path] = STATE(3112),
    [sym__constructor_name] = STATE(3005),
    [sym_tag] = STATE(3112),
    [aux_sym_class_application_repeat1] = STATE(1673),
    [sym__lowercase_identifier] = ACTIONS(3081),
    [anon_sym_SEMI_SEMI] = ACTIONS(3083),
    [anon_sym_let] = ACTIONS(3085),
    [anon_sym_and] = ACTIONS(3085),
    [anon_sym_TILDE] = ACTIONS(3087),
    [anon_sym_QMARK] = ACTIONS(3087),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_external] = ACTIONS(3085),
    [anon_sym_type] = ACTIONS(3085),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_RBRACK] = ACTIONS(3083),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOT] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_SEMI] = ACTIONS(3085),
    [anon_sym_exception] = ACTIONS(3085),
    [anon_sym_module] = ACTIONS(3085),
    [anon_sym_open] = ACTIONS(3085),
    [anon_sym_include] = ACTIONS(3085),
    [anon_sym_class] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_in] = ACTIONS(3085),
    [anon_sym_POUND] = ACTIONS(3091),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_else] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3085),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(333),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(335),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3083),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(3093),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym_let_operator] = ACTIONS(3083),
    [sym_let_and_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(351),
    [aux_sym_directive_token1] = ACTIONS(3085),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [347] = {
    [sym_value_definition] = STATE(18588),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9329),
    [sym__sequence_expression] = STATE(8092),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4650),
    [sym_array_get_expression] = STATE(4650),
    [sym_string_get_expression] = STATE(4650),
    [sym_bigarray_get_expression] = STATE(4650),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8092),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(347),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(2176),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(18283),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [348] = {
    [sym_value_definition] = STATE(18588),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9329),
    [sym__sequence_expression] = STATE(8107),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4650),
    [sym_array_get_expression] = STATE(4650),
    [sym_string_get_expression] = STATE(4650),
    [sym_bigarray_get_expression] = STATE(4650),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8107),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(348),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(2176),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(18283),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [349] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12385),
    [sym__sequence_expression] = STATE(12095),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_refutation_case] = STATE(12095),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(349),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [350] = {
    [sym_value_definition] = STATE(19627),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8659),
    [sym__sequence_expression] = STATE(7986),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_refutation_case] = STATE(7986),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(350),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [351] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8225),
    [sym__sequence_expression] = STATE(7986),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_refutation_case] = STATE(7986),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(351),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [352] = {
    [sym__simple_expression] = STATE(3216),
    [sym_typed_expression] = STATE(3206),
    [sym_list_expression] = STATE(3206),
    [sym_array_expression] = STATE(3206),
    [sym_record_expression] = STATE(3206),
    [sym_labeled_argument] = STATE(4100),
    [sym_prefix_expression] = STATE(3206),
    [sym_hash_expression] = STATE(3206),
    [sym_field_get_expression] = STATE(3206),
    [sym_array_get_expression] = STATE(3206),
    [sym_string_get_expression] = STATE(3206),
    [sym_bigarray_get_expression] = STATE(3206),
    [sym_coercion_expression] = STATE(3206),
    [sym_local_open_expression] = STATE(3206),
    [sym_package_expression] = STATE(3206),
    [sym_new_expression] = STATE(3206),
    [sym_object_copy_expression] = STATE(3206),
    [sym_method_invocation] = STATE(3206),
    [sym_object_expression] = STATE(3206),
    [sym_parenthesized_expression] = STATE(3206),
    [sym_attribute] = STATE(352),
    [sym_extension] = STATE(3206),
    [sym_quoted_extension] = STATE(3206),
    [sym__constant] = STATE(3206),
    [sym_number] = STATE(3173),
    [sym_character] = STATE(3173),
    [sym_string] = STATE(3173),
    [sym_quoted_string] = STATE(3173),
    [sym_boolean] = STATE(3173),
    [sym_unit] = STATE(3173),
    [sym__value_name] = STATE(3254),
    [sym_parenthesized_operator] = STATE(2954),
    [sym_value_path] = STATE(3206),
    [sym_module_path] = STATE(18572),
    [sym_constructor_path] = STATE(3206),
    [sym__constructor_name] = STATE(3180),
    [sym_tag] = STATE(3206),
    [aux_sym_class_application_repeat1] = STATE(1619),
    [sym__lowercase_identifier] = ACTIONS(3103),
    [anon_sym_SEMI_SEMI] = ACTIONS(3083),
    [anon_sym_let] = ACTIONS(3085),
    [anon_sym_and] = ACTIONS(3085),
    [anon_sym_TILDE] = ACTIONS(3105),
    [anon_sym_QMARK] = ACTIONS(3105),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_external] = ACTIONS(3085),
    [anon_sym_type] = ACTIONS(3085),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_DOT] = ACTIONS(3107),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_SEMI] = ACTIONS(3085),
    [anon_sym_exception] = ACTIONS(3085),
    [anon_sym_module] = ACTIONS(3085),
    [anon_sym_open] = ACTIONS(3085),
    [anon_sym_include] = ACTIONS(3085),
    [anon_sym_class] = ACTIONS(3085),
    [anon_sym_end] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_in] = ACTIONS(3085),
    [anon_sym_POUND] = ACTIONS(3109),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_else] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3085),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(391),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3083),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(3111),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym_let_operator] = ACTIONS(3083),
    [sym_let_and_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(403),
    [aux_sym_directive_token1] = ACTIONS(3085),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [353] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8225),
    [sym__sequence_expression] = STATE(8054),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_refutation_case] = STATE(8054),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(353),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [354] = {
    [sym_value_definition] = STATE(17479),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12432),
    [sym__sequence_expression] = STATE(8092),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6469),
    [sym_array_get_expression] = STATE(6469),
    [sym_string_get_expression] = STATE(6469),
    [sym_bigarray_get_expression] = STATE(6469),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8092),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(354),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2224),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(19046),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2811),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_function] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2839),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [355] = {
    [sym_value_definition] = STATE(17479),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12432),
    [sym__sequence_expression] = STATE(8107),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6469),
    [sym_array_get_expression] = STATE(6469),
    [sym_string_get_expression] = STATE(6469),
    [sym_bigarray_get_expression] = STATE(6469),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8107),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(355),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2224),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(19046),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2811),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_function] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2839),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [356] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12107),
    [sym__sequence_expression] = STATE(10375),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_refutation_case] = STATE(10375),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(356),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [357] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12107),
    [sym__sequence_expression] = STATE(10354),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_refutation_case] = STATE(10354),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(357),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [358] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11436),
    [sym__sequence_expression] = STATE(10354),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5655),
    [sym_array_get_expression] = STATE(5655),
    [sym_string_get_expression] = STATE(5655),
    [sym_bigarray_get_expression] = STATE(5655),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_refutation_case] = STATE(10354),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(358),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17993),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [359] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8311),
    [sym__sequence_expression] = STATE(7986),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_refutation_case] = STATE(7986),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(359),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [360] = {
    [sym_value_definition] = STATE(18204),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(12034),
    [sym__sequence_expression] = STATE(12441),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6064),
    [sym_array_get_expression] = STATE(6064),
    [sym_string_get_expression] = STATE(6064),
    [sym_bigarray_get_expression] = STATE(6064),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_refutation_case] = STATE(12441),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(360),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(1803),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(18015),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [361] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17267),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(361),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(580),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [362] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12627),
    [sym__sequence_expression] = STATE(17269),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(362),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__attribute] = STATE(967),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [363] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8311),
    [sym__sequence_expression] = STATE(8054),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_refutation_case] = STATE(8054),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(363),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [364] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17402),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(364),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(998),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [365] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12627),
    [sym__sequence_expression] = STATE(16500),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(365),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__attribute] = STATE(1006),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [366] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16492),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(366),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(671),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [367] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12627),
    [sym__sequence_expression] = STATE(17391),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(367),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__attribute] = STATE(1021),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [368] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17390),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(368),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(708),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [369] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16725),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(369),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(736),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [370] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17288),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(370),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(753),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [371] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16656),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(371),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(778),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [372] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16509),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(372),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(789),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [373] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16997),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(373),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(803),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [374] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17331),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(374),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(816),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [375] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16355),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(375),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(825),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [376] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16450),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(376),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(838),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [377] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16360),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(377),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(1003),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [378] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16630),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(378),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(860),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [379] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16711),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(379),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(869),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [380] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16786),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(380),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(874),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [381] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16881),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(381),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(881),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [382] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16968),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(382),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(886),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [383] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17043),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(383),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(888),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [384] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17195),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(384),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(890),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [385] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17242),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(385),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(897),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [386] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17297),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(386),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(547),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [387] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17370),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(387),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(906),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [388] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16835),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(388),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(908),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [389] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16776),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(389),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(910),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [390] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16358),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(390),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(1002),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [391] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16361),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(391),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(915),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [392] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16468),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(392),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(919),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [393] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17002),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(393),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(922),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [394] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16353),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(394),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(923),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [395] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16505),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(395),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(924),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [396] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16695),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(396),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(930),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [397] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16364),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(397),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(1004),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [398] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17268),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(398),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(966),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [399] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(19582),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(399),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1331),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [400] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(19590),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(400),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1332),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [401] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16372),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(401),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(1005),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [402] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(402),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1335),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [403] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17538),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(403),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1336),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [404] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16418),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(404),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(1020),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [405] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(19698),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(405),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1339),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [406] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(19769),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(406),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1340),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [407] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16477),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(407),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(1035),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [408] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17906),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(408),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1343),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [409] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17916),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(409),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1344),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [410] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16511),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(410),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(1047),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [411] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18307),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(411),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1346),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [412] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18319),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(412),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1347),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [413] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16540),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(413),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(1059),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [414] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18710),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(414),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1349),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [415] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18741),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(415),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1350),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [416] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16563),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(416),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(1067),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [417] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18941),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(417),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1353),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [418] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18945),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(418),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1354),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [419] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16590),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(419),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(1075),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [420] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(19170),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(420),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1359),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [421] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(19180),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(421),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1360),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [422] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16613),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(422),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(1083),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [423] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(19533),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(423),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1364),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [424] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(19567),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(424),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1365),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [425] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16637),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(425),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(1092),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [426] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(19931),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(426),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1368),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [427] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(19943),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(427),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1369),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [428] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16661),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(428),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(1101),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [429] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(20301),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(429),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1372),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [430] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17418),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(430),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1373),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [431] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17485),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(431),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1375),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [432] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17486),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(432),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1376),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [433] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17540),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(433),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1378),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [434] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17541),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(434),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1379),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [435] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17594),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(435),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1381),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [436] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17595),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(436),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1382),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [437] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17648),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(437),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1384),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [438] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17649),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(438),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1385),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [439] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17702),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(439),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1388),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [440] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17703),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(440),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1389),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [441] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17756),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(441),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1393),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [442] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17757),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(442),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1394),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [443] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17810),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(443),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1397),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [444] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17811),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(444),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1398),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [445] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17864),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(445),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1401),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [446] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17865),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(446),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1402),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [447] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17918),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(447),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1405),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [448] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17919),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(448),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1406),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [449] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17972),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(449),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1409),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [450] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17973),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(450),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1410),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [451] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18022),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(451),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1413),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [452] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18023),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(452),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1414),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [453] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18063),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(453),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1416),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [454] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18064),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(454),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1417),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [455] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18103),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(455),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1419),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [456] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18104),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(456),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1420),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [457] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18143),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(457),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1422),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [458] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18144),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(458),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1423),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [459] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18183),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(459),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1425),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [460] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18184),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(460),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1426),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [461] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18223),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(461),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1429),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [462] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18224),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(462),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1430),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [463] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18263),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(463),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1434),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [464] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18264),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(464),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1435),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [465] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18303),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(465),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1439),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [466] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18304),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(466),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1440),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [467] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18343),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(467),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1443),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [468] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18344),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(468),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1444),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [469] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18383),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(469),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1447),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [470] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18384),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(470),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1448),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [471] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18423),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(471),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1450),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [472] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18424),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(472),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1451),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [473] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18461),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(473),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1453),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [474] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18462),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(474),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1454),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [475] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18500),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(475),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1456),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [476] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18501),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(476),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1457),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [477] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18538),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(477),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1459),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [478] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18539),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(478),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1460),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [479] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18576),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(479),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1462),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [480] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18577),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(480),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1463),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [481] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18614),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(481),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1465),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [482] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18615),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(482),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1466),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [483] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18652),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(483),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1470),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [484] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18653),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(484),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1471),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [485] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18689),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(485),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1475),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [486] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18690),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(486),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1476),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [487] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18726),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(487),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1479),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [488] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18727),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(488),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1480),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [489] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18762),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(489),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1483),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [490] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18763),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(490),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1484),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [491] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18797),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(491),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1488),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [492] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18798),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(492),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1489),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [493] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18820),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(493),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1492),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [494] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18821),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(494),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__attribute] = STATE(1493),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [495] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16534),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(495),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__attribute] = STATE(851),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [496] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(496),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3117),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [497] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(497),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3119),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [498] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(498),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [499] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(499),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3123),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [500] = {
    [sym__simple_expression] = STATE(3605),
    [sym_typed_expression] = STATE(3596),
    [sym_list_expression] = STATE(3596),
    [sym_array_expression] = STATE(3596),
    [sym_record_expression] = STATE(3596),
    [sym_labeled_argument] = STATE(4378),
    [sym_prefix_expression] = STATE(3596),
    [sym_hash_expression] = STATE(3596),
    [sym_field_get_expression] = STATE(3596),
    [sym_array_get_expression] = STATE(3596),
    [sym_string_get_expression] = STATE(3596),
    [sym_bigarray_get_expression] = STATE(3596),
    [sym_coercion_expression] = STATE(3596),
    [sym_local_open_expression] = STATE(3596),
    [sym_package_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_object_copy_expression] = STATE(3596),
    [sym_method_invocation] = STATE(3596),
    [sym_object_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3596),
    [sym_attribute] = STATE(500),
    [sym_extension] = STATE(3596),
    [sym_quoted_extension] = STATE(3596),
    [sym__constant] = STATE(3596),
    [sym_number] = STATE(3346),
    [sym_character] = STATE(3346),
    [sym_string] = STATE(3346),
    [sym_quoted_string] = STATE(3346),
    [sym_boolean] = STATE(3346),
    [sym_unit] = STATE(3346),
    [sym__value_name] = STATE(3661),
    [sym_parenthesized_operator] = STATE(3550),
    [sym_value_path] = STATE(3596),
    [sym_module_path] = STATE(18685),
    [sym_constructor_path] = STATE(3596),
    [sym__constructor_name] = STATE(3347),
    [sym_tag] = STATE(3596),
    [aux_sym_class_application_repeat1] = STATE(2159),
    [sym__lowercase_identifier] = ACTIONS(3125),
    [anon_sym_SEMI_SEMI] = ACTIONS(3083),
    [anon_sym_let] = ACTIONS(3085),
    [anon_sym_and] = ACTIONS(3085),
    [anon_sym_TILDE] = ACTIONS(3127),
    [anon_sym_QMARK] = ACTIONS(3127),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_external] = ACTIONS(3085),
    [anon_sym_type] = ACTIONS(3085),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(3083),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(3129),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_SEMI] = ACTIONS(3085),
    [anon_sym_exception] = ACTIONS(3085),
    [anon_sym_module] = ACTIONS(3085),
    [anon_sym_open] = ACTIONS(3085),
    [anon_sym_include] = ACTIONS(3085),
    [anon_sym_class] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_POUND] = ACTIONS(3131),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_else] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3085),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(617),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3083),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(3133),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym_let_operator] = ACTIONS(3083),
    [sym_let_and_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(629),
    [aux_sym_directive_token1] = ACTIONS(3085),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [501] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(501),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [502] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(502),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3137),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [503] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(503),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [504] = {
    [sym__simple_expression] = STATE(3671),
    [sym_typed_expression] = STATE(3660),
    [sym_list_expression] = STATE(3660),
    [sym_array_expression] = STATE(3660),
    [sym_record_expression] = STATE(3660),
    [sym_labeled_argument] = STATE(4396),
    [sym_prefix_expression] = STATE(3660),
    [sym_hash_expression] = STATE(3660),
    [sym_field_get_expression] = STATE(3660),
    [sym_array_get_expression] = STATE(3660),
    [sym_string_get_expression] = STATE(3660),
    [sym_bigarray_get_expression] = STATE(3660),
    [sym_coercion_expression] = STATE(3660),
    [sym_local_open_expression] = STATE(3660),
    [sym_package_expression] = STATE(3660),
    [sym_new_expression] = STATE(3660),
    [sym_object_copy_expression] = STATE(3660),
    [sym_method_invocation] = STATE(3660),
    [sym_object_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_attribute] = STATE(504),
    [sym_extension] = STATE(3660),
    [sym_quoted_extension] = STATE(3660),
    [sym__constant] = STATE(3660),
    [sym_number] = STATE(3360),
    [sym_character] = STATE(3360),
    [sym_string] = STATE(3360),
    [sym_quoted_string] = STATE(3360),
    [sym_boolean] = STATE(3360),
    [sym_unit] = STATE(3360),
    [sym__value_name] = STATE(3285),
    [sym_parenthesized_operator] = STATE(3631),
    [sym_value_path] = STATE(3660),
    [sym_module_path] = STATE(18722),
    [sym_constructor_path] = STATE(3660),
    [sym__constructor_name] = STATE(3361),
    [sym_tag] = STATE(3660),
    [aux_sym_class_application_repeat1] = STATE(2337),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_SEMI_SEMI] = ACTIONS(3083),
    [anon_sym_let] = ACTIONS(3085),
    [anon_sym_and] = ACTIONS(3085),
    [anon_sym_TILDE] = ACTIONS(3143),
    [anon_sym_QMARK] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_external] = ACTIONS(3085),
    [anon_sym_type] = ACTIONS(3085),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_DOT] = ACTIONS(3145),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_SEMI] = ACTIONS(3085),
    [anon_sym_exception] = ACTIONS(3085),
    [anon_sym_module] = ACTIONS(3085),
    [anon_sym_open] = ACTIONS(3085),
    [anon_sym_include] = ACTIONS(3085),
    [anon_sym_class] = ACTIONS(3085),
    [anon_sym_end] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_POUND] = ACTIONS(3147),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_else] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3085),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(667),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(669),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3083),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(3149),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym_let_operator] = ACTIONS(3083),
    [sym_let_and_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(681),
    [aux_sym_directive_token1] = ACTIONS(3085),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [505] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(505),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [506] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(506),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3153),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [507] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12682),
    [sym__sequence_expression] = STATE(17609),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(507),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_done] = ACTIONS(3155),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [508] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(508),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3157),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [509] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(509),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3159),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [510] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(510),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3161),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [511] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(511),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3163),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [512] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(512),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3165),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [513] = {
    [sym__simple_expression] = STATE(3421),
    [sym_typed_expression] = STATE(3382),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_labeled_argument] = STATE(4161),
    [sym_prefix_expression] = STATE(3382),
    [sym_hash_expression] = STATE(3382),
    [sym_field_get_expression] = STATE(3382),
    [sym_array_get_expression] = STATE(3382),
    [sym_string_get_expression] = STATE(3382),
    [sym_bigarray_get_expression] = STATE(3382),
    [sym_coercion_expression] = STATE(3382),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(513),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [aux_sym_class_application_repeat1] = STATE(2333),
    [sym__lowercase_identifier] = ACTIONS(3167),
    [anon_sym_SEMI_SEMI] = ACTIONS(3083),
    [anon_sym_let] = ACTIONS(3085),
    [anon_sym_and] = ACTIONS(3085),
    [anon_sym_TILDE] = ACTIONS(3169),
    [anon_sym_QMARK] = ACTIONS(3169),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_external] = ACTIONS(3085),
    [anon_sym_type] = ACTIONS(3085),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_DOT] = ACTIONS(3171),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_SEMI] = ACTIONS(3085),
    [anon_sym_exception] = ACTIONS(3085),
    [anon_sym_module] = ACTIONS(3085),
    [anon_sym_open] = ACTIONS(3085),
    [anon_sym_include] = ACTIONS(3085),
    [anon_sym_class] = ACTIONS(3085),
    [anon_sym_end] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_in] = ACTIONS(3085),
    [anon_sym_POUND] = ACTIONS(3173),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3085),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(511),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(513),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3083),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(3175),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym_let_operator] = ACTIONS(3083),
    [sym_let_and_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_directive_token1] = ACTIONS(3085),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [514] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(514),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3177),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [515] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(515),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [516] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(516),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3181),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [517] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(517),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3183),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [518] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(518),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3185),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [519] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12682),
    [sym__sequence_expression] = STATE(18398),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(519),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_done] = ACTIONS(3187),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [520] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(520),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [521] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(521),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3191),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [522] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(522),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [523] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(523),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3195),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [524] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(524),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3197),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [525] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12682),
    [sym__sequence_expression] = STATE(18029),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(525),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_done] = ACTIONS(3199),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [526] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(526),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3201),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [527] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(527),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [528] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12682),
    [sym__sequence_expression] = STATE(19963),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(528),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_done] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [529] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(529),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [530] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(530),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3209),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [531] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(531),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [532] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(532),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3213),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [533] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(533),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3215),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [534] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(534),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [535] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(535),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [536] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(536),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [537] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(537),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [538] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(538),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [539] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(539),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3227),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [540] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(540),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3229),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [541] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(541),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [542] = {
    [sym__simple_expression] = STATE(3338),
    [sym_typed_expression] = STATE(3289),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_labeled_argument] = STATE(4304),
    [sym_prefix_expression] = STATE(3289),
    [sym_hash_expression] = STATE(3289),
    [sym_field_get_expression] = STATE(3289),
    [sym_array_get_expression] = STATE(3289),
    [sym_string_get_expression] = STATE(3289),
    [sym_bigarray_get_expression] = STATE(3289),
    [sym_coercion_expression] = STATE(3289),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(542),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [aux_sym_class_application_repeat1] = STATE(2021),
    [sym__lowercase_identifier] = ACTIONS(3233),
    [anon_sym_SEMI_SEMI] = ACTIONS(3083),
    [anon_sym_let] = ACTIONS(3085),
    [anon_sym_and] = ACTIONS(3085),
    [anon_sym_TILDE] = ACTIONS(3235),
    [anon_sym_QMARK] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_external] = ACTIONS(3085),
    [anon_sym_type] = ACTIONS(3085),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_RBRACK] = ACTIONS(3083),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_DOT] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(3085),
    [anon_sym_exception] = ACTIONS(3085),
    [anon_sym_module] = ACTIONS(3085),
    [anon_sym_open] = ACTIONS(3085),
    [anon_sym_include] = ACTIONS(3085),
    [anon_sym_class] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(3085),
    [anon_sym_POUND] = ACTIONS(3239),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3085),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(565),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3083),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(3241),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym_let_operator] = ACTIONS(3083),
    [sym_let_and_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_directive_token1] = ACTIONS(3085),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [543] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(543),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3243),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [544] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(544),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3245),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [545] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(545),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3247),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [546] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(546),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(3249),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [547] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17275),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(547),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [548] = {
    [sym__simple_expression] = STATE(3924),
    [sym_typed_expression] = STATE(3868),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_labeled_argument] = STATE(4464),
    [sym_prefix_expression] = STATE(3868),
    [sym_hash_expression] = STATE(3868),
    [sym_field_get_expression] = STATE(3868),
    [sym_array_get_expression] = STATE(3868),
    [sym_string_get_expression] = STATE(3868),
    [sym_bigarray_get_expression] = STATE(3868),
    [sym_coercion_expression] = STATE(3868),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(548),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [aux_sym_class_application_repeat1] = STATE(2397),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_SEMI_SEMI] = ACTIONS(3083),
    [anon_sym_let] = ACTIONS(3085),
    [anon_sym_and] = ACTIONS(3085),
    [anon_sym_TILDE] = ACTIONS(3253),
    [anon_sym_QMARK] = ACTIONS(3253),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_external] = ACTIONS(3085),
    [anon_sym_type] = ACTIONS(3085),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_DOT] = ACTIONS(3255),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_SEMI] = ACTIONS(3085),
    [anon_sym_exception] = ACTIONS(3085),
    [anon_sym_module] = ACTIONS(3085),
    [anon_sym_open] = ACTIONS(3085),
    [anon_sym_include] = ACTIONS(3085),
    [anon_sym_class] = ACTIONS(3085),
    [anon_sym_end] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_POUND] = ACTIONS(3257),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3085),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(777),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(779),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3083),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(3259),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym_let_operator] = ACTIONS(3083),
    [sym_let_and_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_directive_token1] = ACTIONS(3085),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [549] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9914),
    [sym__sequence_expression] = STATE(12905),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(549),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [550] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9914),
    [sym__sequence_expression] = STATE(12917),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(550),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [551] = {
    [sym_value_definition] = STATE(19627),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8659),
    [sym__sequence_expression] = STATE(8150),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(551),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [552] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8279),
    [sym__sequence_expression] = STATE(10295),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(552),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [553] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12138),
    [sym__sequence_expression] = STATE(16879),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(553),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [554] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16635),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(554),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [555] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12627),
    [sym__sequence_expression] = STATE(16657),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(555),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [556] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17667),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(556),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [557] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18983),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(557),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [558] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17435),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(558),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [559] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17494),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(559),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [560] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18768),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(560),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [561] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8279),
    [sym__sequence_expression] = STATE(10532),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(561),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [562] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9914),
    [sym__sequence_expression] = STATE(12894),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(562),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [563] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9914),
    [sym__sequence_expression] = STATE(12803),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(563),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [564] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9914),
    [sym__sequence_expression] = STATE(12940),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(564),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [565] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9914),
    [sym__sequence_expression] = STATE(12834),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(565),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [566] = {
    [sym_value_definition] = STATE(19627),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8659),
    [sym__sequence_expression] = STATE(7981),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(566),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [567] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12627),
    [sym__sequence_expression] = STATE(16548),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(567),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [568] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17527),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(568),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [569] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8279),
    [sym__sequence_expression] = STATE(10500),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(569),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [570] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9914),
    [sym__sequence_expression] = STATE(12968),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(570),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [571] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9914),
    [sym__sequence_expression] = STATE(12805),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(571),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [572] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9914),
    [sym__sequence_expression] = STATE(12812),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(572),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [573] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9914),
    [sym__sequence_expression] = STATE(12820),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(573),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [574] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9914),
    [sym__sequence_expression] = STATE(12823),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(574),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [575] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9914),
    [sym__sequence_expression] = STATE(12835),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(575),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [576] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12627),
    [sym__sequence_expression] = STATE(17041),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(576),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [577] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19115),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(577),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [578] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8279),
    [sym__sequence_expression] = STATE(10548),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(578),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [579] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9914),
    [sym__sequence_expression] = STATE(12867),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(579),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [580] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16996),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(580),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [581] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9914),
    [sym__sequence_expression] = STATE(12988),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(581),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [582] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8272),
    [sym__sequence_expression] = STATE(10359),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(582),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [583] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12609),
    [sym__sequence_expression] = STATE(17320),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(20207),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(583),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [584] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9914),
    [sym__sequence_expression] = STATE(12895),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(584),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [585] = {
    [sym_value_definition] = STATE(19627),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8659),
    [sym__sequence_expression] = STATE(5311),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(585),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [586] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9914),
    [sym__sequence_expression] = STATE(12819),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(586),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [587] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8272),
    [sym__sequence_expression] = STATE(10295),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(587),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [588] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8272),
    [sym__sequence_expression] = STATE(10532),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(588),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [589] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8272),
    [sym__sequence_expression] = STATE(10500),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(589),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [590] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8272),
    [sym__sequence_expression] = STATE(10548),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(590),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [591] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9914),
    [sym__sequence_expression] = STATE(12933),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(591),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [592] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19338),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(592),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [593] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10732),
    [sym__sequence_expression] = STATE(8703),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(593),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [594] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9914),
    [sym__sequence_expression] = STATE(12798),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(594),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [595] = {
    [sym_value_definition] = STATE(18767),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12332),
    [sym__sequence_expression] = STATE(8098),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(595),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(2341),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(18746),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2683),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [596] = {
    [sym_value_definition] = STATE(18767),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12332),
    [sym__sequence_expression] = STATE(8123),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(596),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(2341),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(18746),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2683),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [597] = {
    [sym_value_definition] = STATE(18767),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12332),
    [sym__sequence_expression] = STATE(8124),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(597),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(2341),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(18746),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2683),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [598] = {
    [sym_value_definition] = STATE(18767),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12332),
    [sym__sequence_expression] = STATE(8125),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(598),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(2341),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(18746),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2683),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [599] = {
    [sym_value_definition] = STATE(18767),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12332),
    [sym__sequence_expression] = STATE(8143),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(599),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(2341),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(18746),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2683),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [600] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12646),
    [sym__sequence_expression] = STATE(8703),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(600),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [601] = {
    [sym_value_definition] = STATE(18767),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12332),
    [sym__sequence_expression] = STATE(8068),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(601),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(2341),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(18746),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2683),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [602] = {
    [sym_value_definition] = STATE(18767),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12332),
    [sym__sequence_expression] = STATE(8077),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(602),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(2341),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(18746),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2683),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [603] = {
    [sym_value_definition] = STATE(19378),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12331),
    [sym__sequence_expression] = STATE(8098),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6467),
    [sym_array_get_expression] = STATE(6467),
    [sym_string_get_expression] = STATE(6467),
    [sym_bigarray_get_expression] = STATE(6467),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(603),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(1824),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(19354),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [604] = {
    [sym_value_definition] = STATE(19378),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12331),
    [sym__sequence_expression] = STATE(8123),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6467),
    [sym_array_get_expression] = STATE(6467),
    [sym_string_get_expression] = STATE(6467),
    [sym_bigarray_get_expression] = STATE(6467),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(604),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(1824),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(19354),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [605] = {
    [sym_value_definition] = STATE(19378),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12331),
    [sym__sequence_expression] = STATE(8124),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6467),
    [sym_array_get_expression] = STATE(6467),
    [sym_string_get_expression] = STATE(6467),
    [sym_bigarray_get_expression] = STATE(6467),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(605),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(1824),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(19354),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [606] = {
    [sym_value_definition] = STATE(19378),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12331),
    [sym__sequence_expression] = STATE(8125),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6467),
    [sym_array_get_expression] = STATE(6467),
    [sym_string_get_expression] = STATE(6467),
    [sym_bigarray_get_expression] = STATE(6467),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(606),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(1824),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(19354),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [607] = {
    [sym_value_definition] = STATE(19378),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12331),
    [sym__sequence_expression] = STATE(8143),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6467),
    [sym_array_get_expression] = STATE(6467),
    [sym_string_get_expression] = STATE(6467),
    [sym_bigarray_get_expression] = STATE(6467),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(607),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(1824),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(19354),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [608] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9914),
    [sym__sequence_expression] = STATE(12800),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(608),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [609] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12562),
    [sym__sequence_expression] = STATE(8703),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(609),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [610] = {
    [sym_value_definition] = STATE(19378),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12331),
    [sym__sequence_expression] = STATE(8068),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6467),
    [sym_array_get_expression] = STATE(6467),
    [sym_string_get_expression] = STATE(6467),
    [sym_bigarray_get_expression] = STATE(6467),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(610),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(1824),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(19354),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [611] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9914),
    [sym__sequence_expression] = STATE(12837),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(611),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [612] = {
    [sym_value_definition] = STATE(19378),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12331),
    [sym__sequence_expression] = STATE(8077),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6467),
    [sym_array_get_expression] = STATE(6467),
    [sym_string_get_expression] = STATE(6467),
    [sym_bigarray_get_expression] = STATE(6467),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(612),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(1824),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(19354),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [613] = {
    [sym_value_definition] = STATE(19983),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12362),
    [sym__sequence_expression] = STATE(8098),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6468),
    [sym_array_get_expression] = STATE(6468),
    [sym_string_get_expression] = STATE(6468),
    [sym_bigarray_get_expression] = STATE(6468),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(613),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19961),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2743),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_function] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2787),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [614] = {
    [sym_value_definition] = STATE(19983),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12362),
    [sym__sequence_expression] = STATE(8123),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6468),
    [sym_array_get_expression] = STATE(6468),
    [sym_string_get_expression] = STATE(6468),
    [sym_bigarray_get_expression] = STATE(6468),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(614),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19961),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2743),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_function] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2787),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [615] = {
    [sym_value_definition] = STATE(19983),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12362),
    [sym__sequence_expression] = STATE(8124),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6468),
    [sym_array_get_expression] = STATE(6468),
    [sym_string_get_expression] = STATE(6468),
    [sym_bigarray_get_expression] = STATE(6468),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(615),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19961),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2743),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_function] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2787),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [616] = {
    [sym_value_definition] = STATE(19983),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12362),
    [sym__sequence_expression] = STATE(8125),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6468),
    [sym_array_get_expression] = STATE(6468),
    [sym_string_get_expression] = STATE(6468),
    [sym_bigarray_get_expression] = STATE(6468),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(616),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19961),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2743),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_function] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2787),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [617] = {
    [sym_value_definition] = STATE(19983),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12362),
    [sym__sequence_expression] = STATE(8143),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6468),
    [sym_array_get_expression] = STATE(6468),
    [sym_string_get_expression] = STATE(6468),
    [sym_bigarray_get_expression] = STATE(6468),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(617),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19961),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2743),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_function] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2787),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [618] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9914),
    [sym__sequence_expression] = STATE(12931),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(618),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [619] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12560),
    [sym__sequence_expression] = STATE(8703),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(619),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [620] = {
    [sym_value_definition] = STATE(19983),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12362),
    [sym__sequence_expression] = STATE(8068),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6468),
    [sym_array_get_expression] = STATE(6468),
    [sym_string_get_expression] = STATE(6468),
    [sym_bigarray_get_expression] = STATE(6468),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(620),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19961),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2743),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_function] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2787),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [621] = {
    [sym_value_definition] = STATE(19983),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12362),
    [sym__sequence_expression] = STATE(8077),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6468),
    [sym_array_get_expression] = STATE(6468),
    [sym_string_get_expression] = STATE(6468),
    [sym_bigarray_get_expression] = STATE(6468),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(621),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19961),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2743),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_function] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2787),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [622] = {
    [sym_value_definition] = STATE(17479),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12432),
    [sym__sequence_expression] = STATE(8098),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6469),
    [sym_array_get_expression] = STATE(6469),
    [sym_string_get_expression] = STATE(6469),
    [sym_bigarray_get_expression] = STATE(6469),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(622),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2224),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(19046),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2811),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_function] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2839),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [623] = {
    [sym_value_definition] = STATE(17479),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12432),
    [sym__sequence_expression] = STATE(8123),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6469),
    [sym_array_get_expression] = STATE(6469),
    [sym_string_get_expression] = STATE(6469),
    [sym_bigarray_get_expression] = STATE(6469),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(623),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2224),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(19046),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2811),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_function] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2839),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [624] = {
    [sym_value_definition] = STATE(17479),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12432),
    [sym__sequence_expression] = STATE(8124),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6469),
    [sym_array_get_expression] = STATE(6469),
    [sym_string_get_expression] = STATE(6469),
    [sym_bigarray_get_expression] = STATE(6469),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(624),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2224),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(19046),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2811),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_function] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2839),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [625] = {
    [sym_value_definition] = STATE(17479),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12432),
    [sym__sequence_expression] = STATE(8125),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6469),
    [sym_array_get_expression] = STATE(6469),
    [sym_string_get_expression] = STATE(6469),
    [sym_bigarray_get_expression] = STATE(6469),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(625),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2224),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(19046),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2811),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_function] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2839),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [626] = {
    [sym_value_definition] = STATE(17479),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12432),
    [sym__sequence_expression] = STATE(8143),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6469),
    [sym_array_get_expression] = STATE(6469),
    [sym_string_get_expression] = STATE(6469),
    [sym_bigarray_get_expression] = STATE(6469),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(626),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2224),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(19046),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2811),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_function] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2839),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [627] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12632),
    [sym__sequence_expression] = STATE(8703),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(627),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [628] = {
    [sym_value_definition] = STATE(17479),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12432),
    [sym__sequence_expression] = STATE(8068),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6469),
    [sym_array_get_expression] = STATE(6469),
    [sym_string_get_expression] = STATE(6469),
    [sym_bigarray_get_expression] = STATE(6469),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(628),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2224),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(19046),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2811),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_function] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2839),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [629] = {
    [sym_value_definition] = STATE(17479),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12432),
    [sym__sequence_expression] = STATE(8077),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6469),
    [sym_array_get_expression] = STATE(6469),
    [sym_string_get_expression] = STATE(6469),
    [sym_bigarray_get_expression] = STATE(6469),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(629),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2224),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(19046),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2811),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_function] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2839),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [630] = {
    [sym_value_definition] = STATE(18124),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9571),
    [sym__sequence_expression] = STATE(8098),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4784),
    [sym_array_get_expression] = STATE(4784),
    [sym_string_get_expression] = STATE(4784),
    [sym_bigarray_get_expression] = STATE(4784),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(630),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17851),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1009),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1015),
    [anon_sym_function] = ACTIONS(1017),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1041),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [631] = {
    [sym_value_definition] = STATE(18124),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9571),
    [sym__sequence_expression] = STATE(8123),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4784),
    [sym_array_get_expression] = STATE(4784),
    [sym_string_get_expression] = STATE(4784),
    [sym_bigarray_get_expression] = STATE(4784),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(631),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17851),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1009),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1015),
    [anon_sym_function] = ACTIONS(1017),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1041),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [632] = {
    [sym_value_definition] = STATE(18124),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9571),
    [sym__sequence_expression] = STATE(8124),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4784),
    [sym_array_get_expression] = STATE(4784),
    [sym_string_get_expression] = STATE(4784),
    [sym_bigarray_get_expression] = STATE(4784),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(632),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17851),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1009),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1015),
    [anon_sym_function] = ACTIONS(1017),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1041),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [633] = {
    [sym_value_definition] = STATE(18124),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9571),
    [sym__sequence_expression] = STATE(8125),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4784),
    [sym_array_get_expression] = STATE(4784),
    [sym_string_get_expression] = STATE(4784),
    [sym_bigarray_get_expression] = STATE(4784),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(633),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17851),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1009),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1015),
    [anon_sym_function] = ACTIONS(1017),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1041),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [634] = {
    [sym_value_definition] = STATE(18124),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9571),
    [sym__sequence_expression] = STATE(8143),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4784),
    [sym_array_get_expression] = STATE(4784),
    [sym_string_get_expression] = STATE(4784),
    [sym_bigarray_get_expression] = STATE(4784),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(634),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17851),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1009),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1015),
    [anon_sym_function] = ACTIONS(1017),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1041),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [635] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9773),
    [sym__sequence_expression] = STATE(8141),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(635),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [636] = {
    [sym_value_definition] = STATE(18124),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9571),
    [sym__sequence_expression] = STATE(8068),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4784),
    [sym_array_get_expression] = STATE(4784),
    [sym_string_get_expression] = STATE(4784),
    [sym_bigarray_get_expression] = STATE(4784),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(636),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17851),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1009),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1015),
    [anon_sym_function] = ACTIONS(1017),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1041),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [637] = {
    [sym_value_definition] = STATE(18124),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9571),
    [sym__sequence_expression] = STATE(8077),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4784),
    [sym_array_get_expression] = STATE(4784),
    [sym_string_get_expression] = STATE(4784),
    [sym_bigarray_get_expression] = STATE(4784),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(637),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17851),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1009),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1015),
    [anon_sym_function] = ACTIONS(1017),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1041),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [638] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12138),
    [sym__sequence_expression] = STATE(7582),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(638),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [639] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8375),
    [sym__sequence_expression] = STATE(5311),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(639),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [640] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17611),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(640),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [641] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11436),
    [sym__sequence_expression] = STATE(10296),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5655),
    [sym_array_get_expression] = STATE(5655),
    [sym_string_get_expression] = STATE(5655),
    [sym_bigarray_get_expression] = STATE(5655),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(641),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17993),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [642] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11436),
    [sym__sequence_expression] = STATE(10220),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5655),
    [sym_array_get_expression] = STATE(5655),
    [sym_string_get_expression] = STATE(5655),
    [sym_bigarray_get_expression] = STATE(5655),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(642),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17993),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [643] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11436),
    [sym__sequence_expression] = STATE(10516),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5655),
    [sym_array_get_expression] = STATE(5655),
    [sym_string_get_expression] = STATE(5655),
    [sym_bigarray_get_expression] = STATE(5655),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(643),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17993),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [644] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11436),
    [sym__sequence_expression] = STATE(10517),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5655),
    [sym_array_get_expression] = STATE(5655),
    [sym_string_get_expression] = STATE(5655),
    [sym_bigarray_get_expression] = STATE(5655),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(644),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17993),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [645] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11436),
    [sym__sequence_expression] = STATE(10446),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5655),
    [sym_array_get_expression] = STATE(5655),
    [sym_string_get_expression] = STATE(5655),
    [sym_bigarray_get_expression] = STATE(5655),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(645),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17993),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [646] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11436),
    [sym__sequence_expression] = STATE(10306),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5655),
    [sym_array_get_expression] = STATE(5655),
    [sym_string_get_expression] = STATE(5655),
    [sym_bigarray_get_expression] = STATE(5655),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(646),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17993),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [647] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11436),
    [sym__sequence_expression] = STATE(10404),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5655),
    [sym_array_get_expression] = STATE(5655),
    [sym_string_get_expression] = STATE(5655),
    [sym_bigarray_get_expression] = STATE(5655),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(647),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17993),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [648] = {
    [sym_value_definition] = STATE(19182),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12424),
    [sym__sequence_expression] = STATE(7926),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6465),
    [sym_array_get_expression] = STATE(6465),
    [sym_string_get_expression] = STATE(6465),
    [sym_bigarray_get_expression] = STATE(6465),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(648),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(1827),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(19168),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2625),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2629),
    [anon_sym_function] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2635),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [649] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(17817),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(649),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [650] = {
    [sym_value_definition] = STATE(19182),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12424),
    [sym__sequence_expression] = STATE(7833),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6465),
    [sym_array_get_expression] = STATE(6465),
    [sym_string_get_expression] = STATE(6465),
    [sym_bigarray_get_expression] = STATE(6465),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(650),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(1827),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(19168),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2625),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2629),
    [anon_sym_function] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2635),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [651] = {
    [sym_value_definition] = STATE(19182),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12424),
    [sym__sequence_expression] = STATE(7857),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6465),
    [sym_array_get_expression] = STATE(6465),
    [sym_string_get_expression] = STATE(6465),
    [sym_bigarray_get_expression] = STATE(6465),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(651),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(1827),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(19168),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2625),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2629),
    [anon_sym_function] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2635),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [652] = {
    [sym_value_definition] = STATE(19182),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12424),
    [sym__sequence_expression] = STATE(7881),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6465),
    [sym_array_get_expression] = STATE(6465),
    [sym_string_get_expression] = STATE(6465),
    [sym_bigarray_get_expression] = STATE(6465),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(652),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(1827),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(19168),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2625),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2629),
    [anon_sym_function] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2635),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [653] = {
    [sym_value_definition] = STATE(19182),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12424),
    [sym__sequence_expression] = STATE(7963),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6465),
    [sym_array_get_expression] = STATE(6465),
    [sym_string_get_expression] = STATE(6465),
    [sym_bigarray_get_expression] = STATE(6465),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(653),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(1827),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(19168),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2625),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2629),
    [anon_sym_function] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2635),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [654] = {
    [sym_value_definition] = STATE(19182),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12424),
    [sym__sequence_expression] = STATE(7826),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6465),
    [sym_array_get_expression] = STATE(6465),
    [sym_string_get_expression] = STATE(6465),
    [sym_bigarray_get_expression] = STATE(6465),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(654),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(1827),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(19168),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2625),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2629),
    [anon_sym_function] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2635),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [655] = {
    [sym_value_definition] = STATE(19182),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12424),
    [sym__sequence_expression] = STATE(7915),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6465),
    [sym_array_get_expression] = STATE(6465),
    [sym_string_get_expression] = STATE(6465),
    [sym_bigarray_get_expression] = STATE(6465),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(655),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(1827),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(19168),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2625),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2629),
    [anon_sym_function] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2635),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [656] = {
    [sym_value_definition] = STATE(18836),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11917),
    [sym__sequence_expression] = STATE(8098),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6002),
    [sym_array_get_expression] = STATE(6002),
    [sym_string_get_expression] = STATE(6002),
    [sym_bigarray_get_expression] = STATE(6002),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(656),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(1907),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(17884),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2203),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2211),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2235),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [657] = {
    [sym_value_definition] = STATE(18965),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8541),
    [sym__sequence_expression] = STATE(7996),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(657),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [658] = {
    [sym_value_definition] = STATE(18836),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11917),
    [sym__sequence_expression] = STATE(8123),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6002),
    [sym_array_get_expression] = STATE(6002),
    [sym_string_get_expression] = STATE(6002),
    [sym_bigarray_get_expression] = STATE(6002),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(658),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(1907),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(17884),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2203),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2211),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2235),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [659] = {
    [sym_value_definition] = STATE(18836),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11917),
    [sym__sequence_expression] = STATE(8124),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6002),
    [sym_array_get_expression] = STATE(6002),
    [sym_string_get_expression] = STATE(6002),
    [sym_bigarray_get_expression] = STATE(6002),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(659),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(1907),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(17884),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2203),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2211),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2235),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [660] = {
    [sym_value_definition] = STATE(18836),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11917),
    [sym__sequence_expression] = STATE(8125),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6002),
    [sym_array_get_expression] = STATE(6002),
    [sym_string_get_expression] = STATE(6002),
    [sym_bigarray_get_expression] = STATE(6002),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(660),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(1907),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(17884),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2203),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2211),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2235),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [661] = {
    [sym_value_definition] = STATE(18836),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11917),
    [sym__sequence_expression] = STATE(8143),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6002),
    [sym_array_get_expression] = STATE(6002),
    [sym_string_get_expression] = STATE(6002),
    [sym_bigarray_get_expression] = STATE(6002),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(661),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(1907),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(17884),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2203),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2211),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2235),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [662] = {
    [sym_value_definition] = STATE(18836),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11917),
    [sym__sequence_expression] = STATE(8068),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6002),
    [sym_array_get_expression] = STATE(6002),
    [sym_string_get_expression] = STATE(6002),
    [sym_bigarray_get_expression] = STATE(6002),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(662),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(1907),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(17884),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2203),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2211),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2235),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [663] = {
    [sym_value_definition] = STATE(18836),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11917),
    [sym__sequence_expression] = STATE(8077),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6002),
    [sym_array_get_expression] = STATE(6002),
    [sym_string_get_expression] = STATE(6002),
    [sym_bigarray_get_expression] = STATE(6002),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(663),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(1907),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(17884),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2203),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2211),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2235),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [664] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8261),
    [sym__sequence_expression] = STATE(7996),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(664),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [665] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8261),
    [sym__sequence_expression] = STATE(8109),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(665),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [666] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8261),
    [sym__sequence_expression] = STATE(8111),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(666),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [667] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8261),
    [sym__sequence_expression] = STATE(8112),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(667),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [668] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8261),
    [sym__sequence_expression] = STATE(8134),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(668),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [669] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8261),
    [sym__sequence_expression] = STATE(8150),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(669),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [670] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8261),
    [sym__sequence_expression] = STATE(7981),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(670),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [671] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16689),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(671),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [672] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8375),
    [sym__sequence_expression] = STATE(10359),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(672),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [673] = {
    [sym_value_definition] = STATE(18965),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8541),
    [sym__sequence_expression] = STATE(8109),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(673),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [674] = {
    [sym_value_definition] = STATE(18965),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8541),
    [sym__sequence_expression] = STATE(8111),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(674),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [675] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8375),
    [sym__sequence_expression] = STATE(10295),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(675),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [676] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8375),
    [sym__sequence_expression] = STATE(10532),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(676),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [677] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8375),
    [sym__sequence_expression] = STATE(10500),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(677),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [678] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8375),
    [sym__sequence_expression] = STATE(10548),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(678),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [679] = {
    [sym_value_definition] = STATE(18965),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8541),
    [sym__sequence_expression] = STATE(8112),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(679),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [680] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12385),
    [sym__sequence_expression] = STATE(8703),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(680),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [681] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11657),
    [sym__sequence_expression] = STATE(13839),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(681),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [682] = {
    [sym_value_definition] = STATE(18767),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12332),
    [sym__sequence_expression] = STATE(8141),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(682),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(2341),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(18746),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2683),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [683] = {
    [sym_value_definition] = STATE(18965),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8541),
    [sym__sequence_expression] = STATE(8134),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(683),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [684] = {
    [sym_value_definition] = STATE(19378),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12331),
    [sym__sequence_expression] = STATE(8141),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6467),
    [sym_array_get_expression] = STATE(6467),
    [sym_string_get_expression] = STATE(6467),
    [sym_bigarray_get_expression] = STATE(6467),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(684),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(1824),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(19354),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [685] = {
    [sym_value_definition] = STATE(19627),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8659),
    [sym__sequence_expression] = STATE(7996),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(685),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [686] = {
    [sym_value_definition] = STATE(19983),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12362),
    [sym__sequence_expression] = STATE(8141),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6468),
    [sym_array_get_expression] = STATE(6468),
    [sym_string_get_expression] = STATE(6468),
    [sym_bigarray_get_expression] = STATE(6468),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(686),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19961),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2743),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_function] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2787),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [687] = {
    [sym_value_definition] = STATE(17479),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12432),
    [sym__sequence_expression] = STATE(8141),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6469),
    [sym_array_get_expression] = STATE(6469),
    [sym_string_get_expression] = STATE(6469),
    [sym_bigarray_get_expression] = STATE(6469),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(687),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2224),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(19046),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2811),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_function] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2839),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [688] = {
    [sym_value_definition] = STATE(18124),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9571),
    [sym__sequence_expression] = STATE(8141),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4784),
    [sym_array_get_expression] = STATE(4784),
    [sym_string_get_expression] = STATE(4784),
    [sym_bigarray_get_expression] = STATE(4784),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(688),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17851),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1009),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1015),
    [anon_sym_function] = ACTIONS(1017),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1041),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [689] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11657),
    [sym__sequence_expression] = STATE(8703),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(689),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [690] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8333),
    [sym__sequence_expression] = STATE(5311),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(690),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [691] = {
    [sym_value_definition] = STATE(19690),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12276),
    [sym__sequence_expression] = STATE(7926),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6471),
    [sym_array_get_expression] = STATE(6471),
    [sym_string_get_expression] = STATE(6471),
    [sym_bigarray_get_expression] = STATE(6471),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(691),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [692] = {
    [sym_value_definition] = STATE(19690),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12276),
    [sym__sequence_expression] = STATE(7833),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6471),
    [sym_array_get_expression] = STATE(6471),
    [sym_string_get_expression] = STATE(6471),
    [sym_bigarray_get_expression] = STATE(6471),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(692),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [693] = {
    [sym_value_definition] = STATE(19690),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12276),
    [sym__sequence_expression] = STATE(7857),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6471),
    [sym_array_get_expression] = STATE(6471),
    [sym_string_get_expression] = STATE(6471),
    [sym_bigarray_get_expression] = STATE(6471),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(693),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [694] = {
    [sym_value_definition] = STATE(19690),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12276),
    [sym__sequence_expression] = STATE(7881),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6471),
    [sym_array_get_expression] = STATE(6471),
    [sym_string_get_expression] = STATE(6471),
    [sym_bigarray_get_expression] = STATE(6471),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(694),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [695] = {
    [sym_value_definition] = STATE(19690),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12276),
    [sym__sequence_expression] = STATE(7963),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6471),
    [sym_array_get_expression] = STATE(6471),
    [sym_string_get_expression] = STATE(6471),
    [sym_bigarray_get_expression] = STATE(6471),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(695),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [696] = {
    [sym_value_definition] = STATE(19690),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12276),
    [sym__sequence_expression] = STATE(7826),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6471),
    [sym_array_get_expression] = STATE(6471),
    [sym_string_get_expression] = STATE(6471),
    [sym_bigarray_get_expression] = STATE(6471),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(696),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [697] = {
    [sym_value_definition] = STATE(19690),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12276),
    [sym__sequence_expression] = STATE(7915),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6471),
    [sym_array_get_expression] = STATE(6471),
    [sym_string_get_expression] = STATE(6471),
    [sym_bigarray_get_expression] = STATE(6471),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(697),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [698] = {
    [sym_value_definition] = STATE(17483),
    [sym__simple_expression] = STATE(346),
    [sym__expression] = STATE(8105),
    [sym__sequence_expression] = STATE(7996),
    [sym_typed_expression] = STATE(3112),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3112),
    [sym_array_expression] = STATE(3112),
    [sym_record_expression] = STATE(3112),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3112),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3112),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2910),
    [sym_array_get_expression] = STATE(2910),
    [sym_string_get_expression] = STATE(2910),
    [sym_bigarray_get_expression] = STATE(2910),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3112),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3112),
    [sym_package_expression] = STATE(3112),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3112),
    [sym_object_copy_expression] = STATE(3112),
    [sym_method_invocation] = STATE(3112),
    [sym_object_expression] = STATE(3112),
    [sym_parenthesized_expression] = STATE(3112),
    [sym_attribute] = STATE(698),
    [sym_extension] = STATE(3112),
    [sym_quoted_extension] = STATE(3112),
    [sym__constant] = STATE(3112),
    [sym_number] = STATE(3002),
    [sym_character] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_quoted_string] = STATE(3002),
    [sym_boolean] = STATE(3002),
    [sym_unit] = STATE(3002),
    [sym_sign_operator] = STATE(2250),
    [sym__value_name] = STATE(3175),
    [sym_parenthesized_operator] = STATE(3259),
    [sym_value_path] = STATE(3112),
    [sym_module_path] = STATE(18457),
    [sym_constructor_path] = STATE(3112),
    [sym__instance_variable_name] = STATE(17429),
    [sym__constructor_name] = STATE(3005),
    [sym_tag] = STATE(3112),
    [sym__lowercase_identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__uppercase_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [699] = {
    [sym_value_definition] = STATE(17483),
    [sym__simple_expression] = STATE(346),
    [sym__expression] = STATE(8105),
    [sym__sequence_expression] = STATE(8109),
    [sym_typed_expression] = STATE(3112),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3112),
    [sym_array_expression] = STATE(3112),
    [sym_record_expression] = STATE(3112),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3112),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3112),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2910),
    [sym_array_get_expression] = STATE(2910),
    [sym_string_get_expression] = STATE(2910),
    [sym_bigarray_get_expression] = STATE(2910),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3112),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3112),
    [sym_package_expression] = STATE(3112),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3112),
    [sym_object_copy_expression] = STATE(3112),
    [sym_method_invocation] = STATE(3112),
    [sym_object_expression] = STATE(3112),
    [sym_parenthesized_expression] = STATE(3112),
    [sym_attribute] = STATE(699),
    [sym_extension] = STATE(3112),
    [sym_quoted_extension] = STATE(3112),
    [sym__constant] = STATE(3112),
    [sym_number] = STATE(3002),
    [sym_character] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_quoted_string] = STATE(3002),
    [sym_boolean] = STATE(3002),
    [sym_unit] = STATE(3002),
    [sym_sign_operator] = STATE(2250),
    [sym__value_name] = STATE(3175),
    [sym_parenthesized_operator] = STATE(3259),
    [sym_value_path] = STATE(3112),
    [sym_module_path] = STATE(18457),
    [sym_constructor_path] = STATE(3112),
    [sym__instance_variable_name] = STATE(17429),
    [sym__constructor_name] = STATE(3005),
    [sym_tag] = STATE(3112),
    [sym__lowercase_identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__uppercase_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [700] = {
    [sym_value_definition] = STATE(17483),
    [sym__simple_expression] = STATE(346),
    [sym__expression] = STATE(8105),
    [sym__sequence_expression] = STATE(8111),
    [sym_typed_expression] = STATE(3112),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3112),
    [sym_array_expression] = STATE(3112),
    [sym_record_expression] = STATE(3112),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3112),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3112),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2910),
    [sym_array_get_expression] = STATE(2910),
    [sym_string_get_expression] = STATE(2910),
    [sym_bigarray_get_expression] = STATE(2910),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3112),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3112),
    [sym_package_expression] = STATE(3112),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3112),
    [sym_object_copy_expression] = STATE(3112),
    [sym_method_invocation] = STATE(3112),
    [sym_object_expression] = STATE(3112),
    [sym_parenthesized_expression] = STATE(3112),
    [sym_attribute] = STATE(700),
    [sym_extension] = STATE(3112),
    [sym_quoted_extension] = STATE(3112),
    [sym__constant] = STATE(3112),
    [sym_number] = STATE(3002),
    [sym_character] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_quoted_string] = STATE(3002),
    [sym_boolean] = STATE(3002),
    [sym_unit] = STATE(3002),
    [sym_sign_operator] = STATE(2250),
    [sym__value_name] = STATE(3175),
    [sym_parenthesized_operator] = STATE(3259),
    [sym_value_path] = STATE(3112),
    [sym_module_path] = STATE(18457),
    [sym_constructor_path] = STATE(3112),
    [sym__instance_variable_name] = STATE(17429),
    [sym__constructor_name] = STATE(3005),
    [sym_tag] = STATE(3112),
    [sym__lowercase_identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__uppercase_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [701] = {
    [sym_value_definition] = STATE(17483),
    [sym__simple_expression] = STATE(346),
    [sym__expression] = STATE(8105),
    [sym__sequence_expression] = STATE(8112),
    [sym_typed_expression] = STATE(3112),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3112),
    [sym_array_expression] = STATE(3112),
    [sym_record_expression] = STATE(3112),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3112),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3112),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2910),
    [sym_array_get_expression] = STATE(2910),
    [sym_string_get_expression] = STATE(2910),
    [sym_bigarray_get_expression] = STATE(2910),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3112),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3112),
    [sym_package_expression] = STATE(3112),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3112),
    [sym_object_copy_expression] = STATE(3112),
    [sym_method_invocation] = STATE(3112),
    [sym_object_expression] = STATE(3112),
    [sym_parenthesized_expression] = STATE(3112),
    [sym_attribute] = STATE(701),
    [sym_extension] = STATE(3112),
    [sym_quoted_extension] = STATE(3112),
    [sym__constant] = STATE(3112),
    [sym_number] = STATE(3002),
    [sym_character] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_quoted_string] = STATE(3002),
    [sym_boolean] = STATE(3002),
    [sym_unit] = STATE(3002),
    [sym_sign_operator] = STATE(2250),
    [sym__value_name] = STATE(3175),
    [sym_parenthesized_operator] = STATE(3259),
    [sym_value_path] = STATE(3112),
    [sym_module_path] = STATE(18457),
    [sym_constructor_path] = STATE(3112),
    [sym__instance_variable_name] = STATE(17429),
    [sym__constructor_name] = STATE(3005),
    [sym_tag] = STATE(3112),
    [sym__lowercase_identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__uppercase_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [702] = {
    [sym_value_definition] = STATE(17483),
    [sym__simple_expression] = STATE(346),
    [sym__expression] = STATE(8105),
    [sym__sequence_expression] = STATE(8134),
    [sym_typed_expression] = STATE(3112),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3112),
    [sym_array_expression] = STATE(3112),
    [sym_record_expression] = STATE(3112),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3112),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3112),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2910),
    [sym_array_get_expression] = STATE(2910),
    [sym_string_get_expression] = STATE(2910),
    [sym_bigarray_get_expression] = STATE(2910),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3112),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3112),
    [sym_package_expression] = STATE(3112),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3112),
    [sym_object_copy_expression] = STATE(3112),
    [sym_method_invocation] = STATE(3112),
    [sym_object_expression] = STATE(3112),
    [sym_parenthesized_expression] = STATE(3112),
    [sym_attribute] = STATE(702),
    [sym_extension] = STATE(3112),
    [sym_quoted_extension] = STATE(3112),
    [sym__constant] = STATE(3112),
    [sym_number] = STATE(3002),
    [sym_character] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_quoted_string] = STATE(3002),
    [sym_boolean] = STATE(3002),
    [sym_unit] = STATE(3002),
    [sym_sign_operator] = STATE(2250),
    [sym__value_name] = STATE(3175),
    [sym_parenthesized_operator] = STATE(3259),
    [sym_value_path] = STATE(3112),
    [sym_module_path] = STATE(18457),
    [sym_constructor_path] = STATE(3112),
    [sym__instance_variable_name] = STATE(17429),
    [sym__constructor_name] = STATE(3005),
    [sym_tag] = STATE(3112),
    [sym__lowercase_identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__uppercase_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [703] = {
    [sym_value_definition] = STATE(17483),
    [sym__simple_expression] = STATE(346),
    [sym__expression] = STATE(8105),
    [sym__sequence_expression] = STATE(8150),
    [sym_typed_expression] = STATE(3112),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3112),
    [sym_array_expression] = STATE(3112),
    [sym_record_expression] = STATE(3112),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3112),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3112),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2910),
    [sym_array_get_expression] = STATE(2910),
    [sym_string_get_expression] = STATE(2910),
    [sym_bigarray_get_expression] = STATE(2910),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3112),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3112),
    [sym_package_expression] = STATE(3112),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3112),
    [sym_object_copy_expression] = STATE(3112),
    [sym_method_invocation] = STATE(3112),
    [sym_object_expression] = STATE(3112),
    [sym_parenthesized_expression] = STATE(3112),
    [sym_attribute] = STATE(703),
    [sym_extension] = STATE(3112),
    [sym_quoted_extension] = STATE(3112),
    [sym__constant] = STATE(3112),
    [sym_number] = STATE(3002),
    [sym_character] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_quoted_string] = STATE(3002),
    [sym_boolean] = STATE(3002),
    [sym_unit] = STATE(3002),
    [sym_sign_operator] = STATE(2250),
    [sym__value_name] = STATE(3175),
    [sym_parenthesized_operator] = STATE(3259),
    [sym_value_path] = STATE(3112),
    [sym_module_path] = STATE(18457),
    [sym_constructor_path] = STATE(3112),
    [sym__instance_variable_name] = STATE(17429),
    [sym__constructor_name] = STATE(3005),
    [sym_tag] = STATE(3112),
    [sym__lowercase_identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__uppercase_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [704] = {
    [sym_value_definition] = STATE(17483),
    [sym__simple_expression] = STATE(346),
    [sym__expression] = STATE(8105),
    [sym__sequence_expression] = STATE(7981),
    [sym_typed_expression] = STATE(3112),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3112),
    [sym_array_expression] = STATE(3112),
    [sym_record_expression] = STATE(3112),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3112),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3112),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2910),
    [sym_array_get_expression] = STATE(2910),
    [sym_string_get_expression] = STATE(2910),
    [sym_bigarray_get_expression] = STATE(2910),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3112),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3112),
    [sym_package_expression] = STATE(3112),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3112),
    [sym_object_copy_expression] = STATE(3112),
    [sym_method_invocation] = STATE(3112),
    [sym_object_expression] = STATE(3112),
    [sym_parenthesized_expression] = STATE(3112),
    [sym_attribute] = STATE(704),
    [sym_extension] = STATE(3112),
    [sym_quoted_extension] = STATE(3112),
    [sym__constant] = STATE(3112),
    [sym_number] = STATE(3002),
    [sym_character] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_quoted_string] = STATE(3002),
    [sym_boolean] = STATE(3002),
    [sym_unit] = STATE(3002),
    [sym_sign_operator] = STATE(2250),
    [sym__value_name] = STATE(3175),
    [sym_parenthesized_operator] = STATE(3259),
    [sym_value_path] = STATE(3112),
    [sym_module_path] = STATE(18457),
    [sym_constructor_path] = STATE(3112),
    [sym__instance_variable_name] = STATE(17429),
    [sym__constructor_name] = STATE(3005),
    [sym_tag] = STATE(3112),
    [sym__lowercase_identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__uppercase_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [705] = {
    [sym_value_definition] = STATE(18965),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8801),
    [sym__sequence_expression] = STATE(5311),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(705),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [706] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11657),
    [sym__sequence_expression] = STATE(13904),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(706),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [707] = {
    [sym_value_definition] = STATE(18965),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8541),
    [sym__sequence_expression] = STATE(8150),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(707),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [708] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16899),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(708),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [709] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8333),
    [sym__sequence_expression] = STATE(10359),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(709),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [710] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8333),
    [sym__sequence_expression] = STATE(10295),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(710),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [711] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8333),
    [sym__sequence_expression] = STATE(10532),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(711),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [712] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8333),
    [sym__sequence_expression] = STATE(10500),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(712),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [713] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8333),
    [sym__sequence_expression] = STATE(10548),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(713),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [714] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12609),
    [sym__sequence_expression] = STATE(20147),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(20207),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(714),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [715] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11657),
    [sym__sequence_expression] = STATE(13950),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(715),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [716] = {
    [sym_value_definition] = STATE(18965),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8541),
    [sym__sequence_expression] = STATE(7981),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(716),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [717] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11657),
    [sym__sequence_expression] = STATE(13969),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(717),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [718] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11657),
    [sym__sequence_expression] = STATE(13974),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(718),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [719] = {
    [sym_value_definition] = STATE(18151),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10277),
    [sym__sequence_expression] = STATE(8141),
    [sym_typed_expression] = STATE(5326),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5326),
    [sym_array_expression] = STATE(5326),
    [sym_record_expression] = STATE(5326),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5326),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5326),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5210),
    [sym_array_get_expression] = STATE(5210),
    [sym_string_get_expression] = STATE(5210),
    [sym_bigarray_get_expression] = STATE(5210),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5326),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5326),
    [sym_package_expression] = STATE(5326),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5326),
    [sym_object_copy_expression] = STATE(5326),
    [sym_method_invocation] = STATE(5326),
    [sym_object_expression] = STATE(5326),
    [sym_parenthesized_expression] = STATE(5326),
    [sym_attribute] = STATE(719),
    [sym_extension] = STATE(5326),
    [sym_quoted_extension] = STATE(5326),
    [sym__constant] = STATE(5326),
    [sym_number] = STATE(5290),
    [sym_character] = STATE(5290),
    [sym_string] = STATE(5290),
    [sym_quoted_string] = STATE(5290),
    [sym_boolean] = STATE(5290),
    [sym_unit] = STATE(5290),
    [sym_sign_operator] = STATE(2230),
    [sym__value_name] = STATE(5280),
    [sym_parenthesized_operator] = STATE(5281),
    [sym_value_path] = STATE(5326),
    [sym_module_path] = STATE(17911),
    [sym_constructor_path] = STATE(5326),
    [sym__instance_variable_name] = STATE(18127),
    [sym__constructor_name] = STATE(5374),
    [sym_tag] = STATE(5326),
    [sym__lowercase_identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__uppercase_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [720] = {
    [sym_value_definition] = STATE(19695),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(8338),
    [sym__sequence_expression] = STATE(5311),
    [sym_typed_expression] = STATE(3950),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3950),
    [sym_array_expression] = STATE(3950),
    [sym_record_expression] = STATE(3950),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3950),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3950),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3950),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3950),
    [sym_package_expression] = STATE(3950),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3950),
    [sym_object_copy_expression] = STATE(3950),
    [sym_method_invocation] = STATE(3950),
    [sym_object_expression] = STATE(3950),
    [sym_parenthesized_expression] = STATE(3950),
    [sym_attribute] = STATE(720),
    [sym_extension] = STATE(3950),
    [sym_quoted_extension] = STATE(3950),
    [sym__constant] = STATE(3950),
    [sym_number] = STATE(4087),
    [sym_character] = STATE(4087),
    [sym_string] = STATE(4087),
    [sym_quoted_string] = STATE(4087),
    [sym_boolean] = STATE(4087),
    [sym_unit] = STATE(4087),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4005),
    [sym_parenthesized_operator] = STATE(4045),
    [sym_value_path] = STATE(3950),
    [sym_module_path] = STATE(17695),
    [sym_constructor_path] = STATE(3950),
    [sym__instance_variable_name] = STATE(19552),
    [sym__constructor_name] = STATE(4088),
    [sym_tag] = STATE(3950),
    [sym__lowercase_identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__uppercase_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [721] = {
    [sym_value_definition] = STATE(19384),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12182),
    [sym__sequence_expression] = STATE(7926),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6475),
    [sym_array_get_expression] = STATE(6475),
    [sym_string_get_expression] = STATE(6475),
    [sym_bigarray_get_expression] = STATE(6475),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(721),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(1944),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(20276),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2857),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [722] = {
    [sym_value_definition] = STATE(19384),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12182),
    [sym__sequence_expression] = STATE(7833),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6475),
    [sym_array_get_expression] = STATE(6475),
    [sym_string_get_expression] = STATE(6475),
    [sym_bigarray_get_expression] = STATE(6475),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(722),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(1944),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(20276),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2857),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [723] = {
    [sym_value_definition] = STATE(19384),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12182),
    [sym__sequence_expression] = STATE(7857),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6475),
    [sym_array_get_expression] = STATE(6475),
    [sym_string_get_expression] = STATE(6475),
    [sym_bigarray_get_expression] = STATE(6475),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(723),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(1944),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(20276),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2857),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [724] = {
    [sym_value_definition] = STATE(19384),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12182),
    [sym__sequence_expression] = STATE(7881),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6475),
    [sym_array_get_expression] = STATE(6475),
    [sym_string_get_expression] = STATE(6475),
    [sym_bigarray_get_expression] = STATE(6475),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(724),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(1944),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(20276),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2857),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [725] = {
    [sym_value_definition] = STATE(19384),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12182),
    [sym__sequence_expression] = STATE(7963),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6475),
    [sym_array_get_expression] = STATE(6475),
    [sym_string_get_expression] = STATE(6475),
    [sym_bigarray_get_expression] = STATE(6475),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(725),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(1944),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(20276),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2857),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [726] = {
    [sym_value_definition] = STATE(19384),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12182),
    [sym__sequence_expression] = STATE(7826),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6475),
    [sym_array_get_expression] = STATE(6475),
    [sym_string_get_expression] = STATE(6475),
    [sym_bigarray_get_expression] = STATE(6475),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(726),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(1944),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(20276),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2857),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [727] = {
    [sym_value_definition] = STATE(19384),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12182),
    [sym__sequence_expression] = STATE(7915),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6475),
    [sym_array_get_expression] = STATE(6475),
    [sym_string_get_expression] = STATE(6475),
    [sym_bigarray_get_expression] = STATE(6475),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(727),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(1944),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(20276),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2857),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [728] = {
    [sym_value_definition] = STATE(20000),
    [sym__simple_expression] = STATE(352),
    [sym__expression] = STATE(8115),
    [sym__sequence_expression] = STATE(7996),
    [sym_typed_expression] = STATE(3206),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3206),
    [sym_array_expression] = STATE(3206),
    [sym_record_expression] = STATE(3206),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3206),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3206),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2932),
    [sym_array_get_expression] = STATE(2932),
    [sym_string_get_expression] = STATE(2932),
    [sym_bigarray_get_expression] = STATE(2932),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3206),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3206),
    [sym_package_expression] = STATE(3206),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3206),
    [sym_object_copy_expression] = STATE(3206),
    [sym_method_invocation] = STATE(3206),
    [sym_object_expression] = STATE(3206),
    [sym_parenthesized_expression] = STATE(3206),
    [sym_attribute] = STATE(728),
    [sym_extension] = STATE(3206),
    [sym_quoted_extension] = STATE(3206),
    [sym__constant] = STATE(3206),
    [sym_number] = STATE(3173),
    [sym_character] = STATE(3173),
    [sym_string] = STATE(3173),
    [sym_quoted_string] = STATE(3173),
    [sym_boolean] = STATE(3173),
    [sym_unit] = STATE(3173),
    [sym_sign_operator] = STATE(1980),
    [sym__value_name] = STATE(3254),
    [sym_parenthesized_operator] = STATE(2954),
    [sym_value_path] = STATE(3206),
    [sym_module_path] = STATE(18572),
    [sym_constructor_path] = STATE(3206),
    [sym__instance_variable_name] = STATE(19951),
    [sym__constructor_name] = STATE(3180),
    [sym_tag] = STATE(3206),
    [sym__lowercase_identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__uppercase_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [729] = {
    [sym_value_definition] = STATE(20000),
    [sym__simple_expression] = STATE(352),
    [sym__expression] = STATE(8115),
    [sym__sequence_expression] = STATE(8109),
    [sym_typed_expression] = STATE(3206),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3206),
    [sym_array_expression] = STATE(3206),
    [sym_record_expression] = STATE(3206),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3206),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3206),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2932),
    [sym_array_get_expression] = STATE(2932),
    [sym_string_get_expression] = STATE(2932),
    [sym_bigarray_get_expression] = STATE(2932),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3206),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3206),
    [sym_package_expression] = STATE(3206),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3206),
    [sym_object_copy_expression] = STATE(3206),
    [sym_method_invocation] = STATE(3206),
    [sym_object_expression] = STATE(3206),
    [sym_parenthesized_expression] = STATE(3206),
    [sym_attribute] = STATE(729),
    [sym_extension] = STATE(3206),
    [sym_quoted_extension] = STATE(3206),
    [sym__constant] = STATE(3206),
    [sym_number] = STATE(3173),
    [sym_character] = STATE(3173),
    [sym_string] = STATE(3173),
    [sym_quoted_string] = STATE(3173),
    [sym_boolean] = STATE(3173),
    [sym_unit] = STATE(3173),
    [sym_sign_operator] = STATE(1980),
    [sym__value_name] = STATE(3254),
    [sym_parenthesized_operator] = STATE(2954),
    [sym_value_path] = STATE(3206),
    [sym_module_path] = STATE(18572),
    [sym_constructor_path] = STATE(3206),
    [sym__instance_variable_name] = STATE(19951),
    [sym__constructor_name] = STATE(3180),
    [sym_tag] = STATE(3206),
    [sym__lowercase_identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__uppercase_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [730] = {
    [sym_value_definition] = STATE(20000),
    [sym__simple_expression] = STATE(352),
    [sym__expression] = STATE(8115),
    [sym__sequence_expression] = STATE(8111),
    [sym_typed_expression] = STATE(3206),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3206),
    [sym_array_expression] = STATE(3206),
    [sym_record_expression] = STATE(3206),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3206),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3206),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2932),
    [sym_array_get_expression] = STATE(2932),
    [sym_string_get_expression] = STATE(2932),
    [sym_bigarray_get_expression] = STATE(2932),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3206),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3206),
    [sym_package_expression] = STATE(3206),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3206),
    [sym_object_copy_expression] = STATE(3206),
    [sym_method_invocation] = STATE(3206),
    [sym_object_expression] = STATE(3206),
    [sym_parenthesized_expression] = STATE(3206),
    [sym_attribute] = STATE(730),
    [sym_extension] = STATE(3206),
    [sym_quoted_extension] = STATE(3206),
    [sym__constant] = STATE(3206),
    [sym_number] = STATE(3173),
    [sym_character] = STATE(3173),
    [sym_string] = STATE(3173),
    [sym_quoted_string] = STATE(3173),
    [sym_boolean] = STATE(3173),
    [sym_unit] = STATE(3173),
    [sym_sign_operator] = STATE(1980),
    [sym__value_name] = STATE(3254),
    [sym_parenthesized_operator] = STATE(2954),
    [sym_value_path] = STATE(3206),
    [sym_module_path] = STATE(18572),
    [sym_constructor_path] = STATE(3206),
    [sym__instance_variable_name] = STATE(19951),
    [sym__constructor_name] = STATE(3180),
    [sym_tag] = STATE(3206),
    [sym__lowercase_identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__uppercase_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [731] = {
    [sym_value_definition] = STATE(20000),
    [sym__simple_expression] = STATE(352),
    [sym__expression] = STATE(8115),
    [sym__sequence_expression] = STATE(8112),
    [sym_typed_expression] = STATE(3206),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3206),
    [sym_array_expression] = STATE(3206),
    [sym_record_expression] = STATE(3206),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3206),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3206),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2932),
    [sym_array_get_expression] = STATE(2932),
    [sym_string_get_expression] = STATE(2932),
    [sym_bigarray_get_expression] = STATE(2932),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3206),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3206),
    [sym_package_expression] = STATE(3206),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3206),
    [sym_object_copy_expression] = STATE(3206),
    [sym_method_invocation] = STATE(3206),
    [sym_object_expression] = STATE(3206),
    [sym_parenthesized_expression] = STATE(3206),
    [sym_attribute] = STATE(731),
    [sym_extension] = STATE(3206),
    [sym_quoted_extension] = STATE(3206),
    [sym__constant] = STATE(3206),
    [sym_number] = STATE(3173),
    [sym_character] = STATE(3173),
    [sym_string] = STATE(3173),
    [sym_quoted_string] = STATE(3173),
    [sym_boolean] = STATE(3173),
    [sym_unit] = STATE(3173),
    [sym_sign_operator] = STATE(1980),
    [sym__value_name] = STATE(3254),
    [sym_parenthesized_operator] = STATE(2954),
    [sym_value_path] = STATE(3206),
    [sym_module_path] = STATE(18572),
    [sym_constructor_path] = STATE(3206),
    [sym__instance_variable_name] = STATE(19951),
    [sym__constructor_name] = STATE(3180),
    [sym_tag] = STATE(3206),
    [sym__lowercase_identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__uppercase_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [732] = {
    [sym_value_definition] = STATE(20000),
    [sym__simple_expression] = STATE(352),
    [sym__expression] = STATE(8115),
    [sym__sequence_expression] = STATE(8134),
    [sym_typed_expression] = STATE(3206),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3206),
    [sym_array_expression] = STATE(3206),
    [sym_record_expression] = STATE(3206),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3206),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3206),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2932),
    [sym_array_get_expression] = STATE(2932),
    [sym_string_get_expression] = STATE(2932),
    [sym_bigarray_get_expression] = STATE(2932),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3206),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3206),
    [sym_package_expression] = STATE(3206),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3206),
    [sym_object_copy_expression] = STATE(3206),
    [sym_method_invocation] = STATE(3206),
    [sym_object_expression] = STATE(3206),
    [sym_parenthesized_expression] = STATE(3206),
    [sym_attribute] = STATE(732),
    [sym_extension] = STATE(3206),
    [sym_quoted_extension] = STATE(3206),
    [sym__constant] = STATE(3206),
    [sym_number] = STATE(3173),
    [sym_character] = STATE(3173),
    [sym_string] = STATE(3173),
    [sym_quoted_string] = STATE(3173),
    [sym_boolean] = STATE(3173),
    [sym_unit] = STATE(3173),
    [sym_sign_operator] = STATE(1980),
    [sym__value_name] = STATE(3254),
    [sym_parenthesized_operator] = STATE(2954),
    [sym_value_path] = STATE(3206),
    [sym_module_path] = STATE(18572),
    [sym_constructor_path] = STATE(3206),
    [sym__instance_variable_name] = STATE(19951),
    [sym__constructor_name] = STATE(3180),
    [sym_tag] = STATE(3206),
    [sym__lowercase_identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__uppercase_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [733] = {
    [sym_value_definition] = STATE(20000),
    [sym__simple_expression] = STATE(352),
    [sym__expression] = STATE(8115),
    [sym__sequence_expression] = STATE(8150),
    [sym_typed_expression] = STATE(3206),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3206),
    [sym_array_expression] = STATE(3206),
    [sym_record_expression] = STATE(3206),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3206),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3206),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2932),
    [sym_array_get_expression] = STATE(2932),
    [sym_string_get_expression] = STATE(2932),
    [sym_bigarray_get_expression] = STATE(2932),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3206),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3206),
    [sym_package_expression] = STATE(3206),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3206),
    [sym_object_copy_expression] = STATE(3206),
    [sym_method_invocation] = STATE(3206),
    [sym_object_expression] = STATE(3206),
    [sym_parenthesized_expression] = STATE(3206),
    [sym_attribute] = STATE(733),
    [sym_extension] = STATE(3206),
    [sym_quoted_extension] = STATE(3206),
    [sym__constant] = STATE(3206),
    [sym_number] = STATE(3173),
    [sym_character] = STATE(3173),
    [sym_string] = STATE(3173),
    [sym_quoted_string] = STATE(3173),
    [sym_boolean] = STATE(3173),
    [sym_unit] = STATE(3173),
    [sym_sign_operator] = STATE(1980),
    [sym__value_name] = STATE(3254),
    [sym_parenthesized_operator] = STATE(2954),
    [sym_value_path] = STATE(3206),
    [sym_module_path] = STATE(18572),
    [sym_constructor_path] = STATE(3206),
    [sym__instance_variable_name] = STATE(19951),
    [sym__constructor_name] = STATE(3180),
    [sym_tag] = STATE(3206),
    [sym__lowercase_identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__uppercase_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [734] = {
    [sym_value_definition] = STATE(20000),
    [sym__simple_expression] = STATE(352),
    [sym__expression] = STATE(8115),
    [sym__sequence_expression] = STATE(7981),
    [sym_typed_expression] = STATE(3206),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3206),
    [sym_array_expression] = STATE(3206),
    [sym_record_expression] = STATE(3206),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3206),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3206),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2932),
    [sym_array_get_expression] = STATE(2932),
    [sym_string_get_expression] = STATE(2932),
    [sym_bigarray_get_expression] = STATE(2932),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3206),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3206),
    [sym_package_expression] = STATE(3206),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3206),
    [sym_object_copy_expression] = STATE(3206),
    [sym_method_invocation] = STATE(3206),
    [sym_object_expression] = STATE(3206),
    [sym_parenthesized_expression] = STATE(3206),
    [sym_attribute] = STATE(734),
    [sym_extension] = STATE(3206),
    [sym_quoted_extension] = STATE(3206),
    [sym__constant] = STATE(3206),
    [sym_number] = STATE(3173),
    [sym_character] = STATE(3173),
    [sym_string] = STATE(3173),
    [sym_quoted_string] = STATE(3173),
    [sym_boolean] = STATE(3173),
    [sym_unit] = STATE(3173),
    [sym_sign_operator] = STATE(1980),
    [sym__value_name] = STATE(3254),
    [sym_parenthesized_operator] = STATE(2954),
    [sym_value_path] = STATE(3206),
    [sym_module_path] = STATE(18572),
    [sym_constructor_path] = STATE(3206),
    [sym__instance_variable_name] = STATE(19951),
    [sym__constructor_name] = STATE(3180),
    [sym_tag] = STATE(3206),
    [sym__lowercase_identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__uppercase_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [735] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10732),
    [sym__sequence_expression] = STATE(7926),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(735),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [736] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16518),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(736),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [737] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12107),
    [sym__sequence_expression] = STATE(10315),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(737),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [738] = {
    [sym_value_definition] = STATE(17483),
    [sym__simple_expression] = STATE(346),
    [sym__expression] = STATE(8105),
    [sym__sequence_expression] = STATE(7582),
    [sym_typed_expression] = STATE(3112),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3112),
    [sym_array_expression] = STATE(3112),
    [sym_record_expression] = STATE(3112),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3112),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3112),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2910),
    [sym_array_get_expression] = STATE(2910),
    [sym_string_get_expression] = STATE(2910),
    [sym_bigarray_get_expression] = STATE(2910),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3112),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3112),
    [sym_package_expression] = STATE(3112),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3112),
    [sym_object_copy_expression] = STATE(3112),
    [sym_method_invocation] = STATE(3112),
    [sym_object_expression] = STATE(3112),
    [sym_parenthesized_expression] = STATE(3112),
    [sym_attribute] = STATE(738),
    [sym_extension] = STATE(3112),
    [sym_quoted_extension] = STATE(3112),
    [sym__constant] = STATE(3112),
    [sym_number] = STATE(3002),
    [sym_character] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_quoted_string] = STATE(3002),
    [sym_boolean] = STATE(3002),
    [sym_unit] = STATE(3002),
    [sym_sign_operator] = STATE(2250),
    [sym__value_name] = STATE(3175),
    [sym_parenthesized_operator] = STATE(3259),
    [sym_value_path] = STATE(3112),
    [sym_module_path] = STATE(18457),
    [sym_constructor_path] = STATE(3112),
    [sym__instance_variable_name] = STATE(17429),
    [sym__constructor_name] = STATE(3005),
    [sym_tag] = STATE(3112),
    [sym__lowercase_identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__uppercase_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [739] = {
    [sym_value_definition] = STATE(20267),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9489),
    [sym__sequence_expression] = STATE(7926),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4739),
    [sym_array_get_expression] = STATE(4739),
    [sym_string_get_expression] = STATE(4739),
    [sym_bigarray_get_expression] = STATE(4739),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(739),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(1768),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(20080),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(993),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [740] = {
    [sym_value_definition] = STATE(20267),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9489),
    [sym__sequence_expression] = STATE(7833),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4739),
    [sym_array_get_expression] = STATE(4739),
    [sym_string_get_expression] = STATE(4739),
    [sym_bigarray_get_expression] = STATE(4739),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(740),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(1768),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(20080),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(993),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [741] = {
    [sym_value_definition] = STATE(20267),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9489),
    [sym__sequence_expression] = STATE(7857),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4739),
    [sym_array_get_expression] = STATE(4739),
    [sym_string_get_expression] = STATE(4739),
    [sym_bigarray_get_expression] = STATE(4739),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(741),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(1768),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(20080),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(993),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [742] = {
    [sym_value_definition] = STATE(20267),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9489),
    [sym__sequence_expression] = STATE(7881),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4739),
    [sym_array_get_expression] = STATE(4739),
    [sym_string_get_expression] = STATE(4739),
    [sym_bigarray_get_expression] = STATE(4739),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(742),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(1768),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(20080),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(993),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [743] = {
    [sym_value_definition] = STATE(20267),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9489),
    [sym__sequence_expression] = STATE(7963),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4739),
    [sym_array_get_expression] = STATE(4739),
    [sym_string_get_expression] = STATE(4739),
    [sym_bigarray_get_expression] = STATE(4739),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(743),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(1768),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(20080),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(993),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [744] = {
    [sym_value_definition] = STATE(20267),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9489),
    [sym__sequence_expression] = STATE(7826),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4739),
    [sym_array_get_expression] = STATE(4739),
    [sym_string_get_expression] = STATE(4739),
    [sym_bigarray_get_expression] = STATE(4739),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(744),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(1768),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(20080),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(993),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [745] = {
    [sym_value_definition] = STATE(20267),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9489),
    [sym__sequence_expression] = STATE(7915),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4739),
    [sym_array_get_expression] = STATE(4739),
    [sym_string_get_expression] = STATE(4739),
    [sym_bigarray_get_expression] = STATE(4739),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(745),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(1768),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(20080),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(993),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [746] = {
    [sym_value_definition] = STATE(18025),
    [sym__simple_expression] = STATE(500),
    [sym__expression] = STATE(8210),
    [sym__sequence_expression] = STATE(7996),
    [sym_typed_expression] = STATE(3596),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3596),
    [sym_array_expression] = STATE(3596),
    [sym_record_expression] = STATE(3596),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3596),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3596),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3082),
    [sym_array_get_expression] = STATE(3082),
    [sym_string_get_expression] = STATE(3082),
    [sym_bigarray_get_expression] = STATE(3082),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3596),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3596),
    [sym_package_expression] = STATE(3596),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3596),
    [sym_object_copy_expression] = STATE(3596),
    [sym_method_invocation] = STATE(3596),
    [sym_object_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3596),
    [sym_attribute] = STATE(746),
    [sym_extension] = STATE(3596),
    [sym_quoted_extension] = STATE(3596),
    [sym__constant] = STATE(3596),
    [sym_number] = STATE(3346),
    [sym_character] = STATE(3346),
    [sym_string] = STATE(3346),
    [sym_quoted_string] = STATE(3346),
    [sym_boolean] = STATE(3346),
    [sym_unit] = STATE(3346),
    [sym_sign_operator] = STATE(1842),
    [sym__value_name] = STATE(3661),
    [sym_parenthesized_operator] = STATE(3550),
    [sym_value_path] = STATE(3596),
    [sym_module_path] = STATE(18685),
    [sym_constructor_path] = STATE(3596),
    [sym__instance_variable_name] = STATE(17765),
    [sym__constructor_name] = STATE(3347),
    [sym_tag] = STATE(3596),
    [sym__lowercase_identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3071),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__uppercase_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [747] = {
    [sym_value_definition] = STATE(18025),
    [sym__simple_expression] = STATE(500),
    [sym__expression] = STATE(8210),
    [sym__sequence_expression] = STATE(8109),
    [sym_typed_expression] = STATE(3596),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3596),
    [sym_array_expression] = STATE(3596),
    [sym_record_expression] = STATE(3596),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3596),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3596),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3082),
    [sym_array_get_expression] = STATE(3082),
    [sym_string_get_expression] = STATE(3082),
    [sym_bigarray_get_expression] = STATE(3082),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3596),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3596),
    [sym_package_expression] = STATE(3596),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3596),
    [sym_object_copy_expression] = STATE(3596),
    [sym_method_invocation] = STATE(3596),
    [sym_object_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3596),
    [sym_attribute] = STATE(747),
    [sym_extension] = STATE(3596),
    [sym_quoted_extension] = STATE(3596),
    [sym__constant] = STATE(3596),
    [sym_number] = STATE(3346),
    [sym_character] = STATE(3346),
    [sym_string] = STATE(3346),
    [sym_quoted_string] = STATE(3346),
    [sym_boolean] = STATE(3346),
    [sym_unit] = STATE(3346),
    [sym_sign_operator] = STATE(1842),
    [sym__value_name] = STATE(3661),
    [sym_parenthesized_operator] = STATE(3550),
    [sym_value_path] = STATE(3596),
    [sym_module_path] = STATE(18685),
    [sym_constructor_path] = STATE(3596),
    [sym__instance_variable_name] = STATE(17765),
    [sym__constructor_name] = STATE(3347),
    [sym_tag] = STATE(3596),
    [sym__lowercase_identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3071),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__uppercase_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [748] = {
    [sym_value_definition] = STATE(18025),
    [sym__simple_expression] = STATE(500),
    [sym__expression] = STATE(8210),
    [sym__sequence_expression] = STATE(8111),
    [sym_typed_expression] = STATE(3596),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3596),
    [sym_array_expression] = STATE(3596),
    [sym_record_expression] = STATE(3596),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3596),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3596),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3082),
    [sym_array_get_expression] = STATE(3082),
    [sym_string_get_expression] = STATE(3082),
    [sym_bigarray_get_expression] = STATE(3082),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3596),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3596),
    [sym_package_expression] = STATE(3596),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3596),
    [sym_object_copy_expression] = STATE(3596),
    [sym_method_invocation] = STATE(3596),
    [sym_object_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3596),
    [sym_attribute] = STATE(748),
    [sym_extension] = STATE(3596),
    [sym_quoted_extension] = STATE(3596),
    [sym__constant] = STATE(3596),
    [sym_number] = STATE(3346),
    [sym_character] = STATE(3346),
    [sym_string] = STATE(3346),
    [sym_quoted_string] = STATE(3346),
    [sym_boolean] = STATE(3346),
    [sym_unit] = STATE(3346),
    [sym_sign_operator] = STATE(1842),
    [sym__value_name] = STATE(3661),
    [sym_parenthesized_operator] = STATE(3550),
    [sym_value_path] = STATE(3596),
    [sym_module_path] = STATE(18685),
    [sym_constructor_path] = STATE(3596),
    [sym__instance_variable_name] = STATE(17765),
    [sym__constructor_name] = STATE(3347),
    [sym_tag] = STATE(3596),
    [sym__lowercase_identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3071),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__uppercase_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [749] = {
    [sym_value_definition] = STATE(18025),
    [sym__simple_expression] = STATE(500),
    [sym__expression] = STATE(8210),
    [sym__sequence_expression] = STATE(8112),
    [sym_typed_expression] = STATE(3596),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3596),
    [sym_array_expression] = STATE(3596),
    [sym_record_expression] = STATE(3596),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3596),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3596),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3082),
    [sym_array_get_expression] = STATE(3082),
    [sym_string_get_expression] = STATE(3082),
    [sym_bigarray_get_expression] = STATE(3082),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3596),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3596),
    [sym_package_expression] = STATE(3596),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3596),
    [sym_object_copy_expression] = STATE(3596),
    [sym_method_invocation] = STATE(3596),
    [sym_object_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3596),
    [sym_attribute] = STATE(749),
    [sym_extension] = STATE(3596),
    [sym_quoted_extension] = STATE(3596),
    [sym__constant] = STATE(3596),
    [sym_number] = STATE(3346),
    [sym_character] = STATE(3346),
    [sym_string] = STATE(3346),
    [sym_quoted_string] = STATE(3346),
    [sym_boolean] = STATE(3346),
    [sym_unit] = STATE(3346),
    [sym_sign_operator] = STATE(1842),
    [sym__value_name] = STATE(3661),
    [sym_parenthesized_operator] = STATE(3550),
    [sym_value_path] = STATE(3596),
    [sym_module_path] = STATE(18685),
    [sym_constructor_path] = STATE(3596),
    [sym__instance_variable_name] = STATE(17765),
    [sym__constructor_name] = STATE(3347),
    [sym_tag] = STATE(3596),
    [sym__lowercase_identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3071),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__uppercase_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [750] = {
    [sym_value_definition] = STATE(18025),
    [sym__simple_expression] = STATE(500),
    [sym__expression] = STATE(8210),
    [sym__sequence_expression] = STATE(8134),
    [sym_typed_expression] = STATE(3596),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3596),
    [sym_array_expression] = STATE(3596),
    [sym_record_expression] = STATE(3596),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3596),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3596),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3082),
    [sym_array_get_expression] = STATE(3082),
    [sym_string_get_expression] = STATE(3082),
    [sym_bigarray_get_expression] = STATE(3082),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3596),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3596),
    [sym_package_expression] = STATE(3596),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3596),
    [sym_object_copy_expression] = STATE(3596),
    [sym_method_invocation] = STATE(3596),
    [sym_object_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3596),
    [sym_attribute] = STATE(750),
    [sym_extension] = STATE(3596),
    [sym_quoted_extension] = STATE(3596),
    [sym__constant] = STATE(3596),
    [sym_number] = STATE(3346),
    [sym_character] = STATE(3346),
    [sym_string] = STATE(3346),
    [sym_quoted_string] = STATE(3346),
    [sym_boolean] = STATE(3346),
    [sym_unit] = STATE(3346),
    [sym_sign_operator] = STATE(1842),
    [sym__value_name] = STATE(3661),
    [sym_parenthesized_operator] = STATE(3550),
    [sym_value_path] = STATE(3596),
    [sym_module_path] = STATE(18685),
    [sym_constructor_path] = STATE(3596),
    [sym__instance_variable_name] = STATE(17765),
    [sym__constructor_name] = STATE(3347),
    [sym_tag] = STATE(3596),
    [sym__lowercase_identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3071),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__uppercase_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [751] = {
    [sym_value_definition] = STATE(18025),
    [sym__simple_expression] = STATE(500),
    [sym__expression] = STATE(8210),
    [sym__sequence_expression] = STATE(8150),
    [sym_typed_expression] = STATE(3596),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3596),
    [sym_array_expression] = STATE(3596),
    [sym_record_expression] = STATE(3596),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3596),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3596),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3082),
    [sym_array_get_expression] = STATE(3082),
    [sym_string_get_expression] = STATE(3082),
    [sym_bigarray_get_expression] = STATE(3082),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3596),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3596),
    [sym_package_expression] = STATE(3596),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3596),
    [sym_object_copy_expression] = STATE(3596),
    [sym_method_invocation] = STATE(3596),
    [sym_object_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3596),
    [sym_attribute] = STATE(751),
    [sym_extension] = STATE(3596),
    [sym_quoted_extension] = STATE(3596),
    [sym__constant] = STATE(3596),
    [sym_number] = STATE(3346),
    [sym_character] = STATE(3346),
    [sym_string] = STATE(3346),
    [sym_quoted_string] = STATE(3346),
    [sym_boolean] = STATE(3346),
    [sym_unit] = STATE(3346),
    [sym_sign_operator] = STATE(1842),
    [sym__value_name] = STATE(3661),
    [sym_parenthesized_operator] = STATE(3550),
    [sym_value_path] = STATE(3596),
    [sym_module_path] = STATE(18685),
    [sym_constructor_path] = STATE(3596),
    [sym__instance_variable_name] = STATE(17765),
    [sym__constructor_name] = STATE(3347),
    [sym_tag] = STATE(3596),
    [sym__lowercase_identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3071),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__uppercase_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [752] = {
    [sym_value_definition] = STATE(18025),
    [sym__simple_expression] = STATE(500),
    [sym__expression] = STATE(8210),
    [sym__sequence_expression] = STATE(7981),
    [sym_typed_expression] = STATE(3596),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3596),
    [sym_array_expression] = STATE(3596),
    [sym_record_expression] = STATE(3596),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3596),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3596),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3082),
    [sym_array_get_expression] = STATE(3082),
    [sym_string_get_expression] = STATE(3082),
    [sym_bigarray_get_expression] = STATE(3082),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3596),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3596),
    [sym_package_expression] = STATE(3596),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3596),
    [sym_object_copy_expression] = STATE(3596),
    [sym_method_invocation] = STATE(3596),
    [sym_object_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3596),
    [sym_attribute] = STATE(752),
    [sym_extension] = STATE(3596),
    [sym_quoted_extension] = STATE(3596),
    [sym__constant] = STATE(3596),
    [sym_number] = STATE(3346),
    [sym_character] = STATE(3346),
    [sym_string] = STATE(3346),
    [sym_quoted_string] = STATE(3346),
    [sym_boolean] = STATE(3346),
    [sym_unit] = STATE(3346),
    [sym_sign_operator] = STATE(1842),
    [sym__value_name] = STATE(3661),
    [sym_parenthesized_operator] = STATE(3550),
    [sym_value_path] = STATE(3596),
    [sym_module_path] = STATE(18685),
    [sym_constructor_path] = STATE(3596),
    [sym__instance_variable_name] = STATE(17765),
    [sym__constructor_name] = STATE(3347),
    [sym_tag] = STATE(3596),
    [sym__lowercase_identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3071),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__uppercase_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [753] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17033),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(753),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [754] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10732),
    [sym__sequence_expression] = STATE(7833),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(754),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [755] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10732),
    [sym__sequence_expression] = STATE(7857),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(755),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [756] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10732),
    [sym__sequence_expression] = STATE(7881),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(756),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [757] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10732),
    [sym__sequence_expression] = STATE(7963),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(757),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [758] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(5311),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(758),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [759] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11825),
    [sym__sequence_expression] = STATE(10315),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(759),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [760] = {
    [sym_value_definition] = STATE(20000),
    [sym__simple_expression] = STATE(352),
    [sym__expression] = STATE(8115),
    [sym__sequence_expression] = STATE(7582),
    [sym_typed_expression] = STATE(3206),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3206),
    [sym_array_expression] = STATE(3206),
    [sym_record_expression] = STATE(3206),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3206),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3206),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2932),
    [sym_array_get_expression] = STATE(2932),
    [sym_string_get_expression] = STATE(2932),
    [sym_bigarray_get_expression] = STATE(2932),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3206),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3206),
    [sym_package_expression] = STATE(3206),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3206),
    [sym_object_copy_expression] = STATE(3206),
    [sym_method_invocation] = STATE(3206),
    [sym_object_expression] = STATE(3206),
    [sym_parenthesized_expression] = STATE(3206),
    [sym_attribute] = STATE(760),
    [sym_extension] = STATE(3206),
    [sym_quoted_extension] = STATE(3206),
    [sym__constant] = STATE(3206),
    [sym_number] = STATE(3173),
    [sym_character] = STATE(3173),
    [sym_string] = STATE(3173),
    [sym_quoted_string] = STATE(3173),
    [sym_boolean] = STATE(3173),
    [sym_unit] = STATE(3173),
    [sym_sign_operator] = STATE(1980),
    [sym__value_name] = STATE(3254),
    [sym_parenthesized_operator] = STATE(2954),
    [sym_value_path] = STATE(3206),
    [sym_module_path] = STATE(18572),
    [sym_constructor_path] = STATE(3206),
    [sym__instance_variable_name] = STATE(19951),
    [sym__constructor_name] = STATE(3180),
    [sym_tag] = STATE(3206),
    [sym__lowercase_identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__uppercase_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [761] = {
    [sym_value_definition] = STATE(18228),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11912),
    [sym__sequence_expression] = STATE(10296),
    [sym_typed_expression] = STATE(6605),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6605),
    [sym_array_expression] = STATE(6605),
    [sym_record_expression] = STATE(6605),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6605),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6605),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6090),
    [sym_array_get_expression] = STATE(6090),
    [sym_string_get_expression] = STATE(6090),
    [sym_bigarray_get_expression] = STATE(6090),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6605),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6605),
    [sym_package_expression] = STATE(6605),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6605),
    [sym_object_copy_expression] = STATE(6605),
    [sym_method_invocation] = STATE(6605),
    [sym_object_expression] = STATE(6605),
    [sym_parenthesized_expression] = STATE(6605),
    [sym_attribute] = STATE(761),
    [sym_extension] = STATE(6605),
    [sym_quoted_extension] = STATE(6605),
    [sym__constant] = STATE(6605),
    [sym_number] = STATE(6281),
    [sym_character] = STATE(6281),
    [sym_string] = STATE(6281),
    [sym_quoted_string] = STATE(6281),
    [sym_boolean] = STATE(6281),
    [sym_unit] = STATE(6281),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6139),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6605),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(6605),
    [sym__instance_variable_name] = STATE(18146),
    [sym__constructor_name] = STATE(6282),
    [sym_tag] = STATE(6605),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [762] = {
    [sym_value_definition] = STATE(18228),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11912),
    [sym__sequence_expression] = STATE(10220),
    [sym_typed_expression] = STATE(6605),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6605),
    [sym_array_expression] = STATE(6605),
    [sym_record_expression] = STATE(6605),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6605),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6605),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6090),
    [sym_array_get_expression] = STATE(6090),
    [sym_string_get_expression] = STATE(6090),
    [sym_bigarray_get_expression] = STATE(6090),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6605),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6605),
    [sym_package_expression] = STATE(6605),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6605),
    [sym_object_copy_expression] = STATE(6605),
    [sym_method_invocation] = STATE(6605),
    [sym_object_expression] = STATE(6605),
    [sym_parenthesized_expression] = STATE(6605),
    [sym_attribute] = STATE(762),
    [sym_extension] = STATE(6605),
    [sym_quoted_extension] = STATE(6605),
    [sym__constant] = STATE(6605),
    [sym_number] = STATE(6281),
    [sym_character] = STATE(6281),
    [sym_string] = STATE(6281),
    [sym_quoted_string] = STATE(6281),
    [sym_boolean] = STATE(6281),
    [sym_unit] = STATE(6281),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6139),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6605),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(6605),
    [sym__instance_variable_name] = STATE(18146),
    [sym__constructor_name] = STATE(6282),
    [sym_tag] = STATE(6605),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [763] = {
    [sym_value_definition] = STATE(18228),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11912),
    [sym__sequence_expression] = STATE(10516),
    [sym_typed_expression] = STATE(6605),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6605),
    [sym_array_expression] = STATE(6605),
    [sym_record_expression] = STATE(6605),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6605),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6605),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6090),
    [sym_array_get_expression] = STATE(6090),
    [sym_string_get_expression] = STATE(6090),
    [sym_bigarray_get_expression] = STATE(6090),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6605),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6605),
    [sym_package_expression] = STATE(6605),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6605),
    [sym_object_copy_expression] = STATE(6605),
    [sym_method_invocation] = STATE(6605),
    [sym_object_expression] = STATE(6605),
    [sym_parenthesized_expression] = STATE(6605),
    [sym_attribute] = STATE(763),
    [sym_extension] = STATE(6605),
    [sym_quoted_extension] = STATE(6605),
    [sym__constant] = STATE(6605),
    [sym_number] = STATE(6281),
    [sym_character] = STATE(6281),
    [sym_string] = STATE(6281),
    [sym_quoted_string] = STATE(6281),
    [sym_boolean] = STATE(6281),
    [sym_unit] = STATE(6281),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6139),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6605),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(6605),
    [sym__instance_variable_name] = STATE(18146),
    [sym__constructor_name] = STATE(6282),
    [sym_tag] = STATE(6605),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [764] = {
    [sym_value_definition] = STATE(18228),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11912),
    [sym__sequence_expression] = STATE(10517),
    [sym_typed_expression] = STATE(6605),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6605),
    [sym_array_expression] = STATE(6605),
    [sym_record_expression] = STATE(6605),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6605),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6605),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6090),
    [sym_array_get_expression] = STATE(6090),
    [sym_string_get_expression] = STATE(6090),
    [sym_bigarray_get_expression] = STATE(6090),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6605),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6605),
    [sym_package_expression] = STATE(6605),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6605),
    [sym_object_copy_expression] = STATE(6605),
    [sym_method_invocation] = STATE(6605),
    [sym_object_expression] = STATE(6605),
    [sym_parenthesized_expression] = STATE(6605),
    [sym_attribute] = STATE(764),
    [sym_extension] = STATE(6605),
    [sym_quoted_extension] = STATE(6605),
    [sym__constant] = STATE(6605),
    [sym_number] = STATE(6281),
    [sym_character] = STATE(6281),
    [sym_string] = STATE(6281),
    [sym_quoted_string] = STATE(6281),
    [sym_boolean] = STATE(6281),
    [sym_unit] = STATE(6281),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6139),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6605),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(6605),
    [sym__instance_variable_name] = STATE(18146),
    [sym__constructor_name] = STATE(6282),
    [sym_tag] = STATE(6605),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [765] = {
    [sym_value_definition] = STATE(18228),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11912),
    [sym__sequence_expression] = STATE(10446),
    [sym_typed_expression] = STATE(6605),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6605),
    [sym_array_expression] = STATE(6605),
    [sym_record_expression] = STATE(6605),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6605),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6605),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6090),
    [sym_array_get_expression] = STATE(6090),
    [sym_string_get_expression] = STATE(6090),
    [sym_bigarray_get_expression] = STATE(6090),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6605),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6605),
    [sym_package_expression] = STATE(6605),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6605),
    [sym_object_copy_expression] = STATE(6605),
    [sym_method_invocation] = STATE(6605),
    [sym_object_expression] = STATE(6605),
    [sym_parenthesized_expression] = STATE(6605),
    [sym_attribute] = STATE(765),
    [sym_extension] = STATE(6605),
    [sym_quoted_extension] = STATE(6605),
    [sym__constant] = STATE(6605),
    [sym_number] = STATE(6281),
    [sym_character] = STATE(6281),
    [sym_string] = STATE(6281),
    [sym_quoted_string] = STATE(6281),
    [sym_boolean] = STATE(6281),
    [sym_unit] = STATE(6281),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6139),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6605),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(6605),
    [sym__instance_variable_name] = STATE(18146),
    [sym__constructor_name] = STATE(6282),
    [sym_tag] = STATE(6605),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [766] = {
    [sym_value_definition] = STATE(18228),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11912),
    [sym__sequence_expression] = STATE(10306),
    [sym_typed_expression] = STATE(6605),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6605),
    [sym_array_expression] = STATE(6605),
    [sym_record_expression] = STATE(6605),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6605),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6605),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6090),
    [sym_array_get_expression] = STATE(6090),
    [sym_string_get_expression] = STATE(6090),
    [sym_bigarray_get_expression] = STATE(6090),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6605),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6605),
    [sym_package_expression] = STATE(6605),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6605),
    [sym_object_copy_expression] = STATE(6605),
    [sym_method_invocation] = STATE(6605),
    [sym_object_expression] = STATE(6605),
    [sym_parenthesized_expression] = STATE(6605),
    [sym_attribute] = STATE(766),
    [sym_extension] = STATE(6605),
    [sym_quoted_extension] = STATE(6605),
    [sym__constant] = STATE(6605),
    [sym_number] = STATE(6281),
    [sym_character] = STATE(6281),
    [sym_string] = STATE(6281),
    [sym_quoted_string] = STATE(6281),
    [sym_boolean] = STATE(6281),
    [sym_unit] = STATE(6281),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6139),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6605),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(6605),
    [sym__instance_variable_name] = STATE(18146),
    [sym__constructor_name] = STATE(6282),
    [sym_tag] = STATE(6605),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [767] = {
    [sym_value_definition] = STATE(18228),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11912),
    [sym__sequence_expression] = STATE(10404),
    [sym_typed_expression] = STATE(6605),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6605),
    [sym_array_expression] = STATE(6605),
    [sym_record_expression] = STATE(6605),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6605),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6605),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6090),
    [sym_array_get_expression] = STATE(6090),
    [sym_string_get_expression] = STATE(6090),
    [sym_bigarray_get_expression] = STATE(6090),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6605),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6605),
    [sym_package_expression] = STATE(6605),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6605),
    [sym_object_copy_expression] = STATE(6605),
    [sym_method_invocation] = STATE(6605),
    [sym_object_expression] = STATE(6605),
    [sym_parenthesized_expression] = STATE(6605),
    [sym_attribute] = STATE(767),
    [sym_extension] = STATE(6605),
    [sym_quoted_extension] = STATE(6605),
    [sym__constant] = STATE(6605),
    [sym_number] = STATE(6281),
    [sym_character] = STATE(6281),
    [sym_string] = STATE(6281),
    [sym_quoted_string] = STATE(6281),
    [sym_boolean] = STATE(6281),
    [sym_unit] = STATE(6281),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6139),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6605),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(6605),
    [sym__instance_variable_name] = STATE(18146),
    [sym__constructor_name] = STATE(6282),
    [sym_tag] = STATE(6605),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [768] = {
    [sym_value_definition] = STATE(18309),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8217),
    [sym__sequence_expression] = STATE(7996),
    [sym_typed_expression] = STATE(3660),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3660),
    [sym_array_expression] = STATE(3660),
    [sym_record_expression] = STATE(3660),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3660),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3660),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3095),
    [sym_array_get_expression] = STATE(3095),
    [sym_string_get_expression] = STATE(3095),
    [sym_bigarray_get_expression] = STATE(3095),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3660),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3660),
    [sym_package_expression] = STATE(3660),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3660),
    [sym_object_copy_expression] = STATE(3660),
    [sym_method_invocation] = STATE(3660),
    [sym_object_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_attribute] = STATE(768),
    [sym_extension] = STATE(3660),
    [sym_quoted_extension] = STATE(3660),
    [sym__constant] = STATE(3660),
    [sym_number] = STATE(3360),
    [sym_character] = STATE(3360),
    [sym_string] = STATE(3360),
    [sym_quoted_string] = STATE(3360),
    [sym_boolean] = STATE(3360),
    [sym_unit] = STATE(3360),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(3285),
    [sym_parenthesized_operator] = STATE(3631),
    [sym_value_path] = STATE(3660),
    [sym_module_path] = STATE(18722),
    [sym_constructor_path] = STATE(3660),
    [sym__instance_variable_name] = STATE(17997),
    [sym__constructor_name] = STATE(3361),
    [sym_tag] = STATE(3660),
    [sym__lowercase_identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3073),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3075),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__uppercase_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [769] = {
    [sym_value_definition] = STATE(18309),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8217),
    [sym__sequence_expression] = STATE(8109),
    [sym_typed_expression] = STATE(3660),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3660),
    [sym_array_expression] = STATE(3660),
    [sym_record_expression] = STATE(3660),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3660),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3660),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3095),
    [sym_array_get_expression] = STATE(3095),
    [sym_string_get_expression] = STATE(3095),
    [sym_bigarray_get_expression] = STATE(3095),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3660),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3660),
    [sym_package_expression] = STATE(3660),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3660),
    [sym_object_copy_expression] = STATE(3660),
    [sym_method_invocation] = STATE(3660),
    [sym_object_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_attribute] = STATE(769),
    [sym_extension] = STATE(3660),
    [sym_quoted_extension] = STATE(3660),
    [sym__constant] = STATE(3660),
    [sym_number] = STATE(3360),
    [sym_character] = STATE(3360),
    [sym_string] = STATE(3360),
    [sym_quoted_string] = STATE(3360),
    [sym_boolean] = STATE(3360),
    [sym_unit] = STATE(3360),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(3285),
    [sym_parenthesized_operator] = STATE(3631),
    [sym_value_path] = STATE(3660),
    [sym_module_path] = STATE(18722),
    [sym_constructor_path] = STATE(3660),
    [sym__instance_variable_name] = STATE(17997),
    [sym__constructor_name] = STATE(3361),
    [sym_tag] = STATE(3660),
    [sym__lowercase_identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3073),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3075),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__uppercase_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [770] = {
    [sym_value_definition] = STATE(18309),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8217),
    [sym__sequence_expression] = STATE(8111),
    [sym_typed_expression] = STATE(3660),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3660),
    [sym_array_expression] = STATE(3660),
    [sym_record_expression] = STATE(3660),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3660),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3660),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3095),
    [sym_array_get_expression] = STATE(3095),
    [sym_string_get_expression] = STATE(3095),
    [sym_bigarray_get_expression] = STATE(3095),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3660),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3660),
    [sym_package_expression] = STATE(3660),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3660),
    [sym_object_copy_expression] = STATE(3660),
    [sym_method_invocation] = STATE(3660),
    [sym_object_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_attribute] = STATE(770),
    [sym_extension] = STATE(3660),
    [sym_quoted_extension] = STATE(3660),
    [sym__constant] = STATE(3660),
    [sym_number] = STATE(3360),
    [sym_character] = STATE(3360),
    [sym_string] = STATE(3360),
    [sym_quoted_string] = STATE(3360),
    [sym_boolean] = STATE(3360),
    [sym_unit] = STATE(3360),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(3285),
    [sym_parenthesized_operator] = STATE(3631),
    [sym_value_path] = STATE(3660),
    [sym_module_path] = STATE(18722),
    [sym_constructor_path] = STATE(3660),
    [sym__instance_variable_name] = STATE(17997),
    [sym__constructor_name] = STATE(3361),
    [sym_tag] = STATE(3660),
    [sym__lowercase_identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3073),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3075),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__uppercase_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [771] = {
    [sym_value_definition] = STATE(18309),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8217),
    [sym__sequence_expression] = STATE(8112),
    [sym_typed_expression] = STATE(3660),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3660),
    [sym_array_expression] = STATE(3660),
    [sym_record_expression] = STATE(3660),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3660),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3660),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3095),
    [sym_array_get_expression] = STATE(3095),
    [sym_string_get_expression] = STATE(3095),
    [sym_bigarray_get_expression] = STATE(3095),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3660),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3660),
    [sym_package_expression] = STATE(3660),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3660),
    [sym_object_copy_expression] = STATE(3660),
    [sym_method_invocation] = STATE(3660),
    [sym_object_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_attribute] = STATE(771),
    [sym_extension] = STATE(3660),
    [sym_quoted_extension] = STATE(3660),
    [sym__constant] = STATE(3660),
    [sym_number] = STATE(3360),
    [sym_character] = STATE(3360),
    [sym_string] = STATE(3360),
    [sym_quoted_string] = STATE(3360),
    [sym_boolean] = STATE(3360),
    [sym_unit] = STATE(3360),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(3285),
    [sym_parenthesized_operator] = STATE(3631),
    [sym_value_path] = STATE(3660),
    [sym_module_path] = STATE(18722),
    [sym_constructor_path] = STATE(3660),
    [sym__instance_variable_name] = STATE(17997),
    [sym__constructor_name] = STATE(3361),
    [sym_tag] = STATE(3660),
    [sym__lowercase_identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3073),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3075),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__uppercase_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [772] = {
    [sym_value_definition] = STATE(18309),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8217),
    [sym__sequence_expression] = STATE(8134),
    [sym_typed_expression] = STATE(3660),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3660),
    [sym_array_expression] = STATE(3660),
    [sym_record_expression] = STATE(3660),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3660),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3660),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3095),
    [sym_array_get_expression] = STATE(3095),
    [sym_string_get_expression] = STATE(3095),
    [sym_bigarray_get_expression] = STATE(3095),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3660),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3660),
    [sym_package_expression] = STATE(3660),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3660),
    [sym_object_copy_expression] = STATE(3660),
    [sym_method_invocation] = STATE(3660),
    [sym_object_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_attribute] = STATE(772),
    [sym_extension] = STATE(3660),
    [sym_quoted_extension] = STATE(3660),
    [sym__constant] = STATE(3660),
    [sym_number] = STATE(3360),
    [sym_character] = STATE(3360),
    [sym_string] = STATE(3360),
    [sym_quoted_string] = STATE(3360),
    [sym_boolean] = STATE(3360),
    [sym_unit] = STATE(3360),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(3285),
    [sym_parenthesized_operator] = STATE(3631),
    [sym_value_path] = STATE(3660),
    [sym_module_path] = STATE(18722),
    [sym_constructor_path] = STATE(3660),
    [sym__instance_variable_name] = STATE(17997),
    [sym__constructor_name] = STATE(3361),
    [sym_tag] = STATE(3660),
    [sym__lowercase_identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3073),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3075),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__uppercase_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [773] = {
    [sym_value_definition] = STATE(18309),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8217),
    [sym__sequence_expression] = STATE(8150),
    [sym_typed_expression] = STATE(3660),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3660),
    [sym_array_expression] = STATE(3660),
    [sym_record_expression] = STATE(3660),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3660),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3660),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3095),
    [sym_array_get_expression] = STATE(3095),
    [sym_string_get_expression] = STATE(3095),
    [sym_bigarray_get_expression] = STATE(3095),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3660),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3660),
    [sym_package_expression] = STATE(3660),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3660),
    [sym_object_copy_expression] = STATE(3660),
    [sym_method_invocation] = STATE(3660),
    [sym_object_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_attribute] = STATE(773),
    [sym_extension] = STATE(3660),
    [sym_quoted_extension] = STATE(3660),
    [sym__constant] = STATE(3660),
    [sym_number] = STATE(3360),
    [sym_character] = STATE(3360),
    [sym_string] = STATE(3360),
    [sym_quoted_string] = STATE(3360),
    [sym_boolean] = STATE(3360),
    [sym_unit] = STATE(3360),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(3285),
    [sym_parenthesized_operator] = STATE(3631),
    [sym_value_path] = STATE(3660),
    [sym_module_path] = STATE(18722),
    [sym_constructor_path] = STATE(3660),
    [sym__instance_variable_name] = STATE(17997),
    [sym__constructor_name] = STATE(3361),
    [sym_tag] = STATE(3660),
    [sym__lowercase_identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3073),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3075),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__uppercase_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [774] = {
    [sym_value_definition] = STATE(18309),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8217),
    [sym__sequence_expression] = STATE(7981),
    [sym_typed_expression] = STATE(3660),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3660),
    [sym_array_expression] = STATE(3660),
    [sym_record_expression] = STATE(3660),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3660),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3660),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3095),
    [sym_array_get_expression] = STATE(3095),
    [sym_string_get_expression] = STATE(3095),
    [sym_bigarray_get_expression] = STATE(3095),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3660),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3660),
    [sym_package_expression] = STATE(3660),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3660),
    [sym_object_copy_expression] = STATE(3660),
    [sym_method_invocation] = STATE(3660),
    [sym_object_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_attribute] = STATE(774),
    [sym_extension] = STATE(3660),
    [sym_quoted_extension] = STATE(3660),
    [sym__constant] = STATE(3660),
    [sym_number] = STATE(3360),
    [sym_character] = STATE(3360),
    [sym_string] = STATE(3360),
    [sym_quoted_string] = STATE(3360),
    [sym_boolean] = STATE(3360),
    [sym_unit] = STATE(3360),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(3285),
    [sym_parenthesized_operator] = STATE(3631),
    [sym_value_path] = STATE(3660),
    [sym_module_path] = STATE(18722),
    [sym_constructor_path] = STATE(3660),
    [sym__instance_variable_name] = STATE(17997),
    [sym__constructor_name] = STATE(3361),
    [sym_tag] = STATE(3660),
    [sym__lowercase_identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3073),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3075),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__uppercase_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [775] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10732),
    [sym__sequence_expression] = STATE(7826),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(775),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [776] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12138),
    [sym__sequence_expression] = STATE(17221),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(776),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [777] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10732),
    [sym__sequence_expression] = STATE(7915),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(777),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [778] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16579),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(778),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [779] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12646),
    [sym__sequence_expression] = STATE(7926),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(779),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [780] = {
    [sym_value_definition] = STATE(17855),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10409),
    [sym__sequence_expression] = STATE(8703),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5179),
    [sym_array_get_expression] = STATE(5179),
    [sym_string_get_expression] = STATE(5179),
    [sym_bigarray_get_expression] = STATE(5179),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(780),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(17832),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [781] = {
    [sym_value_definition] = STATE(18025),
    [sym__simple_expression] = STATE(500),
    [sym__expression] = STATE(8210),
    [sym__sequence_expression] = STATE(5311),
    [sym_typed_expression] = STATE(3596),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3596),
    [sym_array_expression] = STATE(3596),
    [sym_record_expression] = STATE(3596),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3596),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3596),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3082),
    [sym_array_get_expression] = STATE(3082),
    [sym_string_get_expression] = STATE(3082),
    [sym_bigarray_get_expression] = STATE(3082),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3596),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3596),
    [sym_package_expression] = STATE(3596),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3596),
    [sym_object_copy_expression] = STATE(3596),
    [sym_method_invocation] = STATE(3596),
    [sym_object_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3596),
    [sym_attribute] = STATE(781),
    [sym_extension] = STATE(3596),
    [sym_quoted_extension] = STATE(3596),
    [sym__constant] = STATE(3596),
    [sym_number] = STATE(3346),
    [sym_character] = STATE(3346),
    [sym_string] = STATE(3346),
    [sym_quoted_string] = STATE(3346),
    [sym_boolean] = STATE(3346),
    [sym_unit] = STATE(3346),
    [sym_sign_operator] = STATE(1842),
    [sym__value_name] = STATE(3661),
    [sym_parenthesized_operator] = STATE(3550),
    [sym_value_path] = STATE(3596),
    [sym_module_path] = STATE(18685),
    [sym_constructor_path] = STATE(3596),
    [sym__instance_variable_name] = STATE(17765),
    [sym__constructor_name] = STATE(3347),
    [sym_tag] = STATE(3596),
    [sym__lowercase_identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3071),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__uppercase_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [782] = {
    [sym_value_definition] = STATE(19507),
    [sym__simple_expression] = STATE(2442),
    [sym__expression] = STATE(11615),
    [sym__sequence_expression] = STATE(10296),
    [sym_typed_expression] = STATE(5871),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5871),
    [sym_array_expression] = STATE(5871),
    [sym_record_expression] = STATE(5871),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5871),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5871),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5719),
    [sym_array_get_expression] = STATE(5719),
    [sym_string_get_expression] = STATE(5719),
    [sym_bigarray_get_expression] = STATE(5719),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5871),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5871),
    [sym_package_expression] = STATE(5871),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5871),
    [sym_object_copy_expression] = STATE(5871),
    [sym_method_invocation] = STATE(5871),
    [sym_object_expression] = STATE(5871),
    [sym_parenthesized_expression] = STATE(5871),
    [sym_attribute] = STATE(782),
    [sym_extension] = STATE(5871),
    [sym_quoted_extension] = STATE(5871),
    [sym__constant] = STATE(5871),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1952),
    [sym__value_name] = STATE(5907),
    [sym_parenthesized_operator] = STATE(5936),
    [sym_value_path] = STATE(5871),
    [sym_module_path] = STATE(18534),
    [sym_constructor_path] = STATE(5871),
    [sym__instance_variable_name] = STATE(19469),
    [sym__constructor_name] = STATE(5965),
    [sym_tag] = STATE(5871),
    [sym__lowercase_identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__uppercase_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [783] = {
    [sym_value_definition] = STATE(19507),
    [sym__simple_expression] = STATE(2442),
    [sym__expression] = STATE(11615),
    [sym__sequence_expression] = STATE(10220),
    [sym_typed_expression] = STATE(5871),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5871),
    [sym_array_expression] = STATE(5871),
    [sym_record_expression] = STATE(5871),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5871),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5871),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5719),
    [sym_array_get_expression] = STATE(5719),
    [sym_string_get_expression] = STATE(5719),
    [sym_bigarray_get_expression] = STATE(5719),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5871),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5871),
    [sym_package_expression] = STATE(5871),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5871),
    [sym_object_copy_expression] = STATE(5871),
    [sym_method_invocation] = STATE(5871),
    [sym_object_expression] = STATE(5871),
    [sym_parenthesized_expression] = STATE(5871),
    [sym_attribute] = STATE(783),
    [sym_extension] = STATE(5871),
    [sym_quoted_extension] = STATE(5871),
    [sym__constant] = STATE(5871),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1952),
    [sym__value_name] = STATE(5907),
    [sym_parenthesized_operator] = STATE(5936),
    [sym_value_path] = STATE(5871),
    [sym_module_path] = STATE(18534),
    [sym_constructor_path] = STATE(5871),
    [sym__instance_variable_name] = STATE(19469),
    [sym__constructor_name] = STATE(5965),
    [sym_tag] = STATE(5871),
    [sym__lowercase_identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__uppercase_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [784] = {
    [sym_value_definition] = STATE(19507),
    [sym__simple_expression] = STATE(2442),
    [sym__expression] = STATE(11615),
    [sym__sequence_expression] = STATE(10516),
    [sym_typed_expression] = STATE(5871),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5871),
    [sym_array_expression] = STATE(5871),
    [sym_record_expression] = STATE(5871),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5871),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5871),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5719),
    [sym_array_get_expression] = STATE(5719),
    [sym_string_get_expression] = STATE(5719),
    [sym_bigarray_get_expression] = STATE(5719),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5871),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5871),
    [sym_package_expression] = STATE(5871),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5871),
    [sym_object_copy_expression] = STATE(5871),
    [sym_method_invocation] = STATE(5871),
    [sym_object_expression] = STATE(5871),
    [sym_parenthesized_expression] = STATE(5871),
    [sym_attribute] = STATE(784),
    [sym_extension] = STATE(5871),
    [sym_quoted_extension] = STATE(5871),
    [sym__constant] = STATE(5871),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1952),
    [sym__value_name] = STATE(5907),
    [sym_parenthesized_operator] = STATE(5936),
    [sym_value_path] = STATE(5871),
    [sym_module_path] = STATE(18534),
    [sym_constructor_path] = STATE(5871),
    [sym__instance_variable_name] = STATE(19469),
    [sym__constructor_name] = STATE(5965),
    [sym_tag] = STATE(5871),
    [sym__lowercase_identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__uppercase_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [785] = {
    [sym_value_definition] = STATE(19507),
    [sym__simple_expression] = STATE(2442),
    [sym__expression] = STATE(11615),
    [sym__sequence_expression] = STATE(10517),
    [sym_typed_expression] = STATE(5871),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5871),
    [sym_array_expression] = STATE(5871),
    [sym_record_expression] = STATE(5871),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5871),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5871),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5719),
    [sym_array_get_expression] = STATE(5719),
    [sym_string_get_expression] = STATE(5719),
    [sym_bigarray_get_expression] = STATE(5719),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5871),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5871),
    [sym_package_expression] = STATE(5871),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5871),
    [sym_object_copy_expression] = STATE(5871),
    [sym_method_invocation] = STATE(5871),
    [sym_object_expression] = STATE(5871),
    [sym_parenthesized_expression] = STATE(5871),
    [sym_attribute] = STATE(785),
    [sym_extension] = STATE(5871),
    [sym_quoted_extension] = STATE(5871),
    [sym__constant] = STATE(5871),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1952),
    [sym__value_name] = STATE(5907),
    [sym_parenthesized_operator] = STATE(5936),
    [sym_value_path] = STATE(5871),
    [sym_module_path] = STATE(18534),
    [sym_constructor_path] = STATE(5871),
    [sym__instance_variable_name] = STATE(19469),
    [sym__constructor_name] = STATE(5965),
    [sym_tag] = STATE(5871),
    [sym__lowercase_identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__uppercase_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [786] = {
    [sym_value_definition] = STATE(19507),
    [sym__simple_expression] = STATE(2442),
    [sym__expression] = STATE(11615),
    [sym__sequence_expression] = STATE(10446),
    [sym_typed_expression] = STATE(5871),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5871),
    [sym_array_expression] = STATE(5871),
    [sym_record_expression] = STATE(5871),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5871),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5871),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5719),
    [sym_array_get_expression] = STATE(5719),
    [sym_string_get_expression] = STATE(5719),
    [sym_bigarray_get_expression] = STATE(5719),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5871),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5871),
    [sym_package_expression] = STATE(5871),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5871),
    [sym_object_copy_expression] = STATE(5871),
    [sym_method_invocation] = STATE(5871),
    [sym_object_expression] = STATE(5871),
    [sym_parenthesized_expression] = STATE(5871),
    [sym_attribute] = STATE(786),
    [sym_extension] = STATE(5871),
    [sym_quoted_extension] = STATE(5871),
    [sym__constant] = STATE(5871),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1952),
    [sym__value_name] = STATE(5907),
    [sym_parenthesized_operator] = STATE(5936),
    [sym_value_path] = STATE(5871),
    [sym_module_path] = STATE(18534),
    [sym_constructor_path] = STATE(5871),
    [sym__instance_variable_name] = STATE(19469),
    [sym__constructor_name] = STATE(5965),
    [sym_tag] = STATE(5871),
    [sym__lowercase_identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__uppercase_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [787] = {
    [sym_value_definition] = STATE(19507),
    [sym__simple_expression] = STATE(2442),
    [sym__expression] = STATE(11615),
    [sym__sequence_expression] = STATE(10306),
    [sym_typed_expression] = STATE(5871),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5871),
    [sym_array_expression] = STATE(5871),
    [sym_record_expression] = STATE(5871),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5871),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5871),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5719),
    [sym_array_get_expression] = STATE(5719),
    [sym_string_get_expression] = STATE(5719),
    [sym_bigarray_get_expression] = STATE(5719),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5871),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5871),
    [sym_package_expression] = STATE(5871),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5871),
    [sym_object_copy_expression] = STATE(5871),
    [sym_method_invocation] = STATE(5871),
    [sym_object_expression] = STATE(5871),
    [sym_parenthesized_expression] = STATE(5871),
    [sym_attribute] = STATE(787),
    [sym_extension] = STATE(5871),
    [sym_quoted_extension] = STATE(5871),
    [sym__constant] = STATE(5871),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1952),
    [sym__value_name] = STATE(5907),
    [sym_parenthesized_operator] = STATE(5936),
    [sym_value_path] = STATE(5871),
    [sym_module_path] = STATE(18534),
    [sym_constructor_path] = STATE(5871),
    [sym__instance_variable_name] = STATE(19469),
    [sym__constructor_name] = STATE(5965),
    [sym_tag] = STATE(5871),
    [sym__lowercase_identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__uppercase_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [788] = {
    [sym_value_definition] = STATE(19507),
    [sym__simple_expression] = STATE(2442),
    [sym__expression] = STATE(11615),
    [sym__sequence_expression] = STATE(10404),
    [sym_typed_expression] = STATE(5871),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5871),
    [sym_array_expression] = STATE(5871),
    [sym_record_expression] = STATE(5871),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5871),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5871),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5719),
    [sym_array_get_expression] = STATE(5719),
    [sym_string_get_expression] = STATE(5719),
    [sym_bigarray_get_expression] = STATE(5719),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5871),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5871),
    [sym_package_expression] = STATE(5871),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5871),
    [sym_object_copy_expression] = STATE(5871),
    [sym_method_invocation] = STATE(5871),
    [sym_object_expression] = STATE(5871),
    [sym_parenthesized_expression] = STATE(5871),
    [sym_attribute] = STATE(788),
    [sym_extension] = STATE(5871),
    [sym_quoted_extension] = STATE(5871),
    [sym__constant] = STATE(5871),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1952),
    [sym__value_name] = STATE(5907),
    [sym_parenthesized_operator] = STATE(5936),
    [sym_value_path] = STATE(5871),
    [sym_module_path] = STATE(18534),
    [sym_constructor_path] = STATE(5871),
    [sym__instance_variable_name] = STATE(19469),
    [sym__constructor_name] = STATE(5965),
    [sym_tag] = STATE(5871),
    [sym__lowercase_identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__uppercase_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [789] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16367),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(789),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [790] = {
    [sym_value_definition] = STATE(18204),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(12034),
    [sym__sequence_expression] = STATE(8703),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6064),
    [sym_array_get_expression] = STATE(6064),
    [sym_string_get_expression] = STATE(6064),
    [sym_bigarray_get_expression] = STATE(6064),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(790),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(1803),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(18015),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [791] = {
    [sym_value_definition] = STATE(18309),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8217),
    [sym__sequence_expression] = STATE(5311),
    [sym_typed_expression] = STATE(3660),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3660),
    [sym_array_expression] = STATE(3660),
    [sym_record_expression] = STATE(3660),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3660),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3660),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3095),
    [sym_array_get_expression] = STATE(3095),
    [sym_string_get_expression] = STATE(3095),
    [sym_bigarray_get_expression] = STATE(3095),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3660),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3660),
    [sym_package_expression] = STATE(3660),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3660),
    [sym_object_copy_expression] = STATE(3660),
    [sym_method_invocation] = STATE(3660),
    [sym_object_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_attribute] = STATE(791),
    [sym_extension] = STATE(3660),
    [sym_quoted_extension] = STATE(3660),
    [sym__constant] = STATE(3660),
    [sym_number] = STATE(3360),
    [sym_character] = STATE(3360),
    [sym_string] = STATE(3360),
    [sym_quoted_string] = STATE(3360),
    [sym_boolean] = STATE(3360),
    [sym_unit] = STATE(3360),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(3285),
    [sym_parenthesized_operator] = STATE(3631),
    [sym_value_path] = STATE(3660),
    [sym_module_path] = STATE(18722),
    [sym_constructor_path] = STATE(3660),
    [sym__instance_variable_name] = STATE(17997),
    [sym__constructor_name] = STATE(3361),
    [sym_tag] = STATE(3660),
    [sym__lowercase_identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3073),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3075),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__uppercase_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [792] = {
    [sym_value_definition] = STATE(19805),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11466),
    [sym__sequence_expression] = STATE(10296),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5675),
    [sym_array_get_expression] = STATE(5675),
    [sym_string_get_expression] = STATE(5675),
    [sym_bigarray_get_expression] = STATE(5675),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(792),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1989),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(17868),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [793] = {
    [sym_value_definition] = STATE(19805),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11466),
    [sym__sequence_expression] = STATE(10220),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5675),
    [sym_array_get_expression] = STATE(5675),
    [sym_string_get_expression] = STATE(5675),
    [sym_bigarray_get_expression] = STATE(5675),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(793),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1989),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(17868),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [794] = {
    [sym_value_definition] = STATE(19805),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11466),
    [sym__sequence_expression] = STATE(10516),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5675),
    [sym_array_get_expression] = STATE(5675),
    [sym_string_get_expression] = STATE(5675),
    [sym_bigarray_get_expression] = STATE(5675),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(794),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1989),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(17868),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [795] = {
    [sym_value_definition] = STATE(19805),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11466),
    [sym__sequence_expression] = STATE(10517),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5675),
    [sym_array_get_expression] = STATE(5675),
    [sym_string_get_expression] = STATE(5675),
    [sym_bigarray_get_expression] = STATE(5675),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(795),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1989),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(17868),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [796] = {
    [sym_value_definition] = STATE(19805),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11466),
    [sym__sequence_expression] = STATE(10446),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5675),
    [sym_array_get_expression] = STATE(5675),
    [sym_string_get_expression] = STATE(5675),
    [sym_bigarray_get_expression] = STATE(5675),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(796),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1989),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(17868),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [797] = {
    [sym_value_definition] = STATE(19805),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11466),
    [sym__sequence_expression] = STATE(10306),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5675),
    [sym_array_get_expression] = STATE(5675),
    [sym_string_get_expression] = STATE(5675),
    [sym_bigarray_get_expression] = STATE(5675),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(797),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1989),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(17868),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [798] = {
    [sym_value_definition] = STATE(19805),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11466),
    [sym__sequence_expression] = STATE(10404),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5675),
    [sym_array_get_expression] = STATE(5675),
    [sym_string_get_expression] = STATE(5675),
    [sym_bigarray_get_expression] = STATE(5675),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(798),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1989),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(17868),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [799] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12646),
    [sym__sequence_expression] = STATE(7833),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(799),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [800] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12646),
    [sym__sequence_expression] = STATE(7857),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(800),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [801] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12646),
    [sym__sequence_expression] = STATE(7881),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(801),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [802] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12646),
    [sym__sequence_expression] = STATE(7963),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(802),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [803] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16808),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(803),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [804] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(5311),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(804),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [805] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12646),
    [sym__sequence_expression] = STATE(7826),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(805),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [806] = {
    [sym_value_definition] = STATE(18460),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12116),
    [sym__sequence_expression] = STATE(8703),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6453),
    [sym_array_get_expression] = STATE(6453),
    [sym_string_get_expression] = STATE(6453),
    [sym_bigarray_get_expression] = STATE(6453),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(806),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(18440),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2873),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2875),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2879),
    [anon_sym_function] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2885),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [807] = {
    [sym_value_definition] = STATE(17988),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10218),
    [sym__sequence_expression] = STATE(8098),
    [sym_typed_expression] = STATE(5110),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5110),
    [sym_array_expression] = STATE(5110),
    [sym_record_expression] = STATE(5110),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5110),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5110),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5103),
    [sym_array_get_expression] = STATE(5103),
    [sym_string_get_expression] = STATE(5103),
    [sym_bigarray_get_expression] = STATE(5103),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5110),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5110),
    [sym_package_expression] = STATE(5110),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5110),
    [sym_object_copy_expression] = STATE(5110),
    [sym_method_invocation] = STATE(5110),
    [sym_object_expression] = STATE(5110),
    [sym_parenthesized_expression] = STATE(5110),
    [sym_attribute] = STATE(807),
    [sym_extension] = STATE(5110),
    [sym_quoted_extension] = STATE(5110),
    [sym__constant] = STATE(5110),
    [sym_number] = STATE(5198),
    [sym_character] = STATE(5198),
    [sym_string] = STATE(5198),
    [sym_quoted_string] = STATE(5198),
    [sym_boolean] = STATE(5198),
    [sym_unit] = STATE(5198),
    [sym_sign_operator] = STATE(2028),
    [sym__value_name] = STATE(5177),
    [sym_parenthesized_operator] = STATE(5218),
    [sym_value_path] = STATE(5110),
    [sym_module_path] = STATE(18648),
    [sym_constructor_path] = STATE(5110),
    [sym__instance_variable_name] = STATE(19166),
    [sym__constructor_name] = STATE(5142),
    [sym_tag] = STATE(5110),
    [sym__lowercase_identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__uppercase_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [808] = {
    [sym_value_definition] = STATE(17988),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10218),
    [sym__sequence_expression] = STATE(8123),
    [sym_typed_expression] = STATE(5110),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5110),
    [sym_array_expression] = STATE(5110),
    [sym_record_expression] = STATE(5110),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5110),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5110),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5103),
    [sym_array_get_expression] = STATE(5103),
    [sym_string_get_expression] = STATE(5103),
    [sym_bigarray_get_expression] = STATE(5103),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5110),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5110),
    [sym_package_expression] = STATE(5110),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5110),
    [sym_object_copy_expression] = STATE(5110),
    [sym_method_invocation] = STATE(5110),
    [sym_object_expression] = STATE(5110),
    [sym_parenthesized_expression] = STATE(5110),
    [sym_attribute] = STATE(808),
    [sym_extension] = STATE(5110),
    [sym_quoted_extension] = STATE(5110),
    [sym__constant] = STATE(5110),
    [sym_number] = STATE(5198),
    [sym_character] = STATE(5198),
    [sym_string] = STATE(5198),
    [sym_quoted_string] = STATE(5198),
    [sym_boolean] = STATE(5198),
    [sym_unit] = STATE(5198),
    [sym_sign_operator] = STATE(2028),
    [sym__value_name] = STATE(5177),
    [sym_parenthesized_operator] = STATE(5218),
    [sym_value_path] = STATE(5110),
    [sym_module_path] = STATE(18648),
    [sym_constructor_path] = STATE(5110),
    [sym__instance_variable_name] = STATE(19166),
    [sym__constructor_name] = STATE(5142),
    [sym_tag] = STATE(5110),
    [sym__lowercase_identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__uppercase_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [809] = {
    [sym_value_definition] = STATE(17988),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10218),
    [sym__sequence_expression] = STATE(8124),
    [sym_typed_expression] = STATE(5110),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5110),
    [sym_array_expression] = STATE(5110),
    [sym_record_expression] = STATE(5110),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5110),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5110),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5103),
    [sym_array_get_expression] = STATE(5103),
    [sym_string_get_expression] = STATE(5103),
    [sym_bigarray_get_expression] = STATE(5103),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5110),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5110),
    [sym_package_expression] = STATE(5110),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5110),
    [sym_object_copy_expression] = STATE(5110),
    [sym_method_invocation] = STATE(5110),
    [sym_object_expression] = STATE(5110),
    [sym_parenthesized_expression] = STATE(5110),
    [sym_attribute] = STATE(809),
    [sym_extension] = STATE(5110),
    [sym_quoted_extension] = STATE(5110),
    [sym__constant] = STATE(5110),
    [sym_number] = STATE(5198),
    [sym_character] = STATE(5198),
    [sym_string] = STATE(5198),
    [sym_quoted_string] = STATE(5198),
    [sym_boolean] = STATE(5198),
    [sym_unit] = STATE(5198),
    [sym_sign_operator] = STATE(2028),
    [sym__value_name] = STATE(5177),
    [sym_parenthesized_operator] = STATE(5218),
    [sym_value_path] = STATE(5110),
    [sym_module_path] = STATE(18648),
    [sym_constructor_path] = STATE(5110),
    [sym__instance_variable_name] = STATE(19166),
    [sym__constructor_name] = STATE(5142),
    [sym_tag] = STATE(5110),
    [sym__lowercase_identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__uppercase_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [810] = {
    [sym_value_definition] = STATE(17988),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10218),
    [sym__sequence_expression] = STATE(8125),
    [sym_typed_expression] = STATE(5110),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5110),
    [sym_array_expression] = STATE(5110),
    [sym_record_expression] = STATE(5110),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5110),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5110),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5103),
    [sym_array_get_expression] = STATE(5103),
    [sym_string_get_expression] = STATE(5103),
    [sym_bigarray_get_expression] = STATE(5103),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5110),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5110),
    [sym_package_expression] = STATE(5110),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5110),
    [sym_object_copy_expression] = STATE(5110),
    [sym_method_invocation] = STATE(5110),
    [sym_object_expression] = STATE(5110),
    [sym_parenthesized_expression] = STATE(5110),
    [sym_attribute] = STATE(810),
    [sym_extension] = STATE(5110),
    [sym_quoted_extension] = STATE(5110),
    [sym__constant] = STATE(5110),
    [sym_number] = STATE(5198),
    [sym_character] = STATE(5198),
    [sym_string] = STATE(5198),
    [sym_quoted_string] = STATE(5198),
    [sym_boolean] = STATE(5198),
    [sym_unit] = STATE(5198),
    [sym_sign_operator] = STATE(2028),
    [sym__value_name] = STATE(5177),
    [sym_parenthesized_operator] = STATE(5218),
    [sym_value_path] = STATE(5110),
    [sym_module_path] = STATE(18648),
    [sym_constructor_path] = STATE(5110),
    [sym__instance_variable_name] = STATE(19166),
    [sym__constructor_name] = STATE(5142),
    [sym_tag] = STATE(5110),
    [sym__lowercase_identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__uppercase_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [811] = {
    [sym_value_definition] = STATE(17988),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10218),
    [sym__sequence_expression] = STATE(8143),
    [sym_typed_expression] = STATE(5110),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5110),
    [sym_array_expression] = STATE(5110),
    [sym_record_expression] = STATE(5110),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5110),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5110),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5103),
    [sym_array_get_expression] = STATE(5103),
    [sym_string_get_expression] = STATE(5103),
    [sym_bigarray_get_expression] = STATE(5103),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5110),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5110),
    [sym_package_expression] = STATE(5110),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5110),
    [sym_object_copy_expression] = STATE(5110),
    [sym_method_invocation] = STATE(5110),
    [sym_object_expression] = STATE(5110),
    [sym_parenthesized_expression] = STATE(5110),
    [sym_attribute] = STATE(811),
    [sym_extension] = STATE(5110),
    [sym_quoted_extension] = STATE(5110),
    [sym__constant] = STATE(5110),
    [sym_number] = STATE(5198),
    [sym_character] = STATE(5198),
    [sym_string] = STATE(5198),
    [sym_quoted_string] = STATE(5198),
    [sym_boolean] = STATE(5198),
    [sym_unit] = STATE(5198),
    [sym_sign_operator] = STATE(2028),
    [sym__value_name] = STATE(5177),
    [sym_parenthesized_operator] = STATE(5218),
    [sym_value_path] = STATE(5110),
    [sym_module_path] = STATE(18648),
    [sym_constructor_path] = STATE(5110),
    [sym__instance_variable_name] = STATE(19166),
    [sym__constructor_name] = STATE(5142),
    [sym_tag] = STATE(5110),
    [sym__lowercase_identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__uppercase_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [812] = {
    [sym_value_definition] = STATE(17988),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10218),
    [sym__sequence_expression] = STATE(8068),
    [sym_typed_expression] = STATE(5110),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5110),
    [sym_array_expression] = STATE(5110),
    [sym_record_expression] = STATE(5110),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5110),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5110),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5103),
    [sym_array_get_expression] = STATE(5103),
    [sym_string_get_expression] = STATE(5103),
    [sym_bigarray_get_expression] = STATE(5103),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5110),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5110),
    [sym_package_expression] = STATE(5110),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5110),
    [sym_object_copy_expression] = STATE(5110),
    [sym_method_invocation] = STATE(5110),
    [sym_object_expression] = STATE(5110),
    [sym_parenthesized_expression] = STATE(5110),
    [sym_attribute] = STATE(812),
    [sym_extension] = STATE(5110),
    [sym_quoted_extension] = STATE(5110),
    [sym__constant] = STATE(5110),
    [sym_number] = STATE(5198),
    [sym_character] = STATE(5198),
    [sym_string] = STATE(5198),
    [sym_quoted_string] = STATE(5198),
    [sym_boolean] = STATE(5198),
    [sym_unit] = STATE(5198),
    [sym_sign_operator] = STATE(2028),
    [sym__value_name] = STATE(5177),
    [sym_parenthesized_operator] = STATE(5218),
    [sym_value_path] = STATE(5110),
    [sym_module_path] = STATE(18648),
    [sym_constructor_path] = STATE(5110),
    [sym__instance_variable_name] = STATE(19166),
    [sym__constructor_name] = STATE(5142),
    [sym_tag] = STATE(5110),
    [sym__lowercase_identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__uppercase_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [813] = {
    [sym_value_definition] = STATE(17988),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10218),
    [sym__sequence_expression] = STATE(8077),
    [sym_typed_expression] = STATE(5110),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5110),
    [sym_array_expression] = STATE(5110),
    [sym_record_expression] = STATE(5110),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5110),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5110),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5103),
    [sym_array_get_expression] = STATE(5103),
    [sym_string_get_expression] = STATE(5103),
    [sym_bigarray_get_expression] = STATE(5103),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5110),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5110),
    [sym_package_expression] = STATE(5110),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5110),
    [sym_object_copy_expression] = STATE(5110),
    [sym_method_invocation] = STATE(5110),
    [sym_object_expression] = STATE(5110),
    [sym_parenthesized_expression] = STATE(5110),
    [sym_attribute] = STATE(813),
    [sym_extension] = STATE(5110),
    [sym_quoted_extension] = STATE(5110),
    [sym__constant] = STATE(5110),
    [sym_number] = STATE(5198),
    [sym_character] = STATE(5198),
    [sym_string] = STATE(5198),
    [sym_quoted_string] = STATE(5198),
    [sym_boolean] = STATE(5198),
    [sym_unit] = STATE(5198),
    [sym_sign_operator] = STATE(2028),
    [sym__value_name] = STATE(5177),
    [sym_parenthesized_operator] = STATE(5218),
    [sym_value_path] = STATE(5110),
    [sym_module_path] = STATE(18648),
    [sym_constructor_path] = STATE(5110),
    [sym__instance_variable_name] = STATE(19166),
    [sym__constructor_name] = STATE(5142),
    [sym_tag] = STATE(5110),
    [sym__lowercase_identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__uppercase_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [814] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12646),
    [sym__sequence_expression] = STATE(7915),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(814),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [815] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12562),
    [sym__sequence_expression] = STATE(7926),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(815),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [816] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17272),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(816),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [817] = {
    [sym_value_definition] = STATE(19182),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12424),
    [sym__sequence_expression] = STATE(8703),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6465),
    [sym_array_get_expression] = STATE(6465),
    [sym_string_get_expression] = STATE(6465),
    [sym_bigarray_get_expression] = STATE(6465),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(817),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(1827),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(19168),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2625),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2629),
    [anon_sym_function] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2635),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [818] = {
    [sym_value_definition] = STATE(19628),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11817),
    [sym__sequence_expression] = STATE(8098),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(818),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(2070),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(18766),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2243),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2261),
    [anon_sym_function] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2287),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [819] = {
    [sym_value_definition] = STATE(19628),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11817),
    [sym__sequence_expression] = STATE(8123),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(819),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(2070),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(18766),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2243),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2261),
    [anon_sym_function] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2287),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [820] = {
    [sym_value_definition] = STATE(19628),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11817),
    [sym__sequence_expression] = STATE(8124),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(820),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(2070),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(18766),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2243),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2261),
    [anon_sym_function] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2287),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [821] = {
    [sym_value_definition] = STATE(19628),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11817),
    [sym__sequence_expression] = STATE(8125),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(821),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(2070),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(18766),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2243),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2261),
    [anon_sym_function] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2287),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [822] = {
    [sym_value_definition] = STATE(19628),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11817),
    [sym__sequence_expression] = STATE(8143),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(822),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(2070),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(18766),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2243),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2261),
    [anon_sym_function] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2287),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [823] = {
    [sym_value_definition] = STATE(19628),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11817),
    [sym__sequence_expression] = STATE(8068),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(823),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(2070),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(18766),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2243),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2261),
    [anon_sym_function] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2287),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [824] = {
    [sym_value_definition] = STATE(19628),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11817),
    [sym__sequence_expression] = STATE(8077),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(824),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(2070),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(18766),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2243),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2261),
    [anon_sym_function] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2287),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [825] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17389),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(825),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [826] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12562),
    [sym__sequence_expression] = STATE(7833),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(826),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [827] = {
    [sym_value_definition] = STATE(19690),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12276),
    [sym__sequence_expression] = STATE(8703),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6471),
    [sym_array_get_expression] = STATE(6471),
    [sym_string_get_expression] = STATE(6471),
    [sym_bigarray_get_expression] = STATE(6471),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(827),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [828] = {
    [sym_value_definition] = STATE(17526),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12044),
    [sym__sequence_expression] = STATE(8098),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6004),
    [sym_array_get_expression] = STATE(6004),
    [sym_string_get_expression] = STATE(6004),
    [sym_bigarray_get_expression] = STATE(6004),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(828),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19440),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2295),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2311),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2313),
    [anon_sym_function] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2339),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [829] = {
    [sym_value_definition] = STATE(17526),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12044),
    [sym__sequence_expression] = STATE(8123),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6004),
    [sym_array_get_expression] = STATE(6004),
    [sym_string_get_expression] = STATE(6004),
    [sym_bigarray_get_expression] = STATE(6004),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(829),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19440),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2295),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2311),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2313),
    [anon_sym_function] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2339),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [830] = {
    [sym_value_definition] = STATE(17526),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12044),
    [sym__sequence_expression] = STATE(8124),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6004),
    [sym_array_get_expression] = STATE(6004),
    [sym_string_get_expression] = STATE(6004),
    [sym_bigarray_get_expression] = STATE(6004),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(830),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19440),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2295),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2311),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2313),
    [anon_sym_function] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2339),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [831] = {
    [sym_value_definition] = STATE(17526),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12044),
    [sym__sequence_expression] = STATE(8125),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6004),
    [sym_array_get_expression] = STATE(6004),
    [sym_string_get_expression] = STATE(6004),
    [sym_bigarray_get_expression] = STATE(6004),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(831),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19440),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2295),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2311),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2313),
    [anon_sym_function] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2339),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [832] = {
    [sym_value_definition] = STATE(17526),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12044),
    [sym__sequence_expression] = STATE(8143),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6004),
    [sym_array_get_expression] = STATE(6004),
    [sym_string_get_expression] = STATE(6004),
    [sym_bigarray_get_expression] = STATE(6004),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(832),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19440),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2295),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2311),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2313),
    [anon_sym_function] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2339),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [833] = {
    [sym_value_definition] = STATE(17526),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12044),
    [sym__sequence_expression] = STATE(8068),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6004),
    [sym_array_get_expression] = STATE(6004),
    [sym_string_get_expression] = STATE(6004),
    [sym_bigarray_get_expression] = STATE(6004),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(833),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19440),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2295),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2311),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2313),
    [anon_sym_function] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2339),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [834] = {
    [sym_value_definition] = STATE(17526),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12044),
    [sym__sequence_expression] = STATE(8077),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6004),
    [sym_array_get_expression] = STATE(6004),
    [sym_string_get_expression] = STATE(6004),
    [sym_bigarray_get_expression] = STATE(6004),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(834),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19440),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2295),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2311),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2313),
    [anon_sym_function] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2339),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [835] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12562),
    [sym__sequence_expression] = STATE(7857),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(835),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [836] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12562),
    [sym__sequence_expression] = STATE(7881),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(836),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [837] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12562),
    [sym__sequence_expression] = STATE(7963),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(837),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [838] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16408),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(838),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [839] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12627),
    [sym__sequence_expression] = STATE(5311),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(839),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [840] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12562),
    [sym__sequence_expression] = STATE(7826),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(840),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [841] = {
    [sym_value_definition] = STATE(19384),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12182),
    [sym__sequence_expression] = STATE(8703),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6475),
    [sym_array_get_expression] = STATE(6475),
    [sym_string_get_expression] = STATE(6475),
    [sym_bigarray_get_expression] = STATE(6475),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(841),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(1944),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(20276),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2857),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [842] = {
    [sym_value_definition] = STATE(17795),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11796),
    [sym__sequence_expression] = STATE(8098),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6005),
    [sym_array_get_expression] = STATE(6005),
    [sym_string_get_expression] = STATE(6005),
    [sym_bigarray_get_expression] = STATE(6005),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(842),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(2145),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(17497),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2347),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2365),
    [anon_sym_function] = ACTIONS(2367),
    [anon_sym_try] = ACTIONS(2369),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2391),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [843] = {
    [sym_value_definition] = STATE(17795),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11796),
    [sym__sequence_expression] = STATE(8123),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6005),
    [sym_array_get_expression] = STATE(6005),
    [sym_string_get_expression] = STATE(6005),
    [sym_bigarray_get_expression] = STATE(6005),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(843),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(2145),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(17497),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2347),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2365),
    [anon_sym_function] = ACTIONS(2367),
    [anon_sym_try] = ACTIONS(2369),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2391),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [844] = {
    [sym_value_definition] = STATE(17795),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11796),
    [sym__sequence_expression] = STATE(8124),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6005),
    [sym_array_get_expression] = STATE(6005),
    [sym_string_get_expression] = STATE(6005),
    [sym_bigarray_get_expression] = STATE(6005),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(844),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(2145),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(17497),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2347),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2365),
    [anon_sym_function] = ACTIONS(2367),
    [anon_sym_try] = ACTIONS(2369),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2391),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [845] = {
    [sym_value_definition] = STATE(17795),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11796),
    [sym__sequence_expression] = STATE(8125),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6005),
    [sym_array_get_expression] = STATE(6005),
    [sym_string_get_expression] = STATE(6005),
    [sym_bigarray_get_expression] = STATE(6005),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(845),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(2145),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(17497),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2347),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2365),
    [anon_sym_function] = ACTIONS(2367),
    [anon_sym_try] = ACTIONS(2369),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2391),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [846] = {
    [sym_value_definition] = STATE(17795),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11796),
    [sym__sequence_expression] = STATE(8143),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6005),
    [sym_array_get_expression] = STATE(6005),
    [sym_string_get_expression] = STATE(6005),
    [sym_bigarray_get_expression] = STATE(6005),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(846),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(2145),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(17497),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2347),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2365),
    [anon_sym_function] = ACTIONS(2367),
    [anon_sym_try] = ACTIONS(2369),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2391),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [847] = {
    [sym_value_definition] = STATE(17795),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11796),
    [sym__sequence_expression] = STATE(8068),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6005),
    [sym_array_get_expression] = STATE(6005),
    [sym_string_get_expression] = STATE(6005),
    [sym_bigarray_get_expression] = STATE(6005),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(847),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(2145),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(17497),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2347),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2365),
    [anon_sym_function] = ACTIONS(2367),
    [anon_sym_try] = ACTIONS(2369),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2391),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [848] = {
    [sym_value_definition] = STATE(17795),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11796),
    [sym__sequence_expression] = STATE(8077),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6005),
    [sym_array_get_expression] = STATE(6005),
    [sym_string_get_expression] = STATE(6005),
    [sym_bigarray_get_expression] = STATE(6005),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(848),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(2145),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(17497),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2347),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2365),
    [anon_sym_function] = ACTIONS(2367),
    [anon_sym_try] = ACTIONS(2369),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2391),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [849] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12562),
    [sym__sequence_expression] = STATE(7915),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(849),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [850] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12560),
    [sym__sequence_expression] = STATE(7926),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(850),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [851] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16495),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(851),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [852] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11436),
    [sym__sequence_expression] = STATE(10315),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5655),
    [sym_array_get_expression] = STATE(5655),
    [sym_string_get_expression] = STATE(5655),
    [sym_bigarray_get_expression] = STATE(5655),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(852),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17993),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [853] = {
    [sym_value_definition] = STATE(18588),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9329),
    [sym__sequence_expression] = STATE(8098),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4650),
    [sym_array_get_expression] = STATE(4650),
    [sym_string_get_expression] = STATE(4650),
    [sym_bigarray_get_expression] = STATE(4650),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(853),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(2176),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(18283),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [854] = {
    [sym_value_definition] = STATE(18588),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9329),
    [sym__sequence_expression] = STATE(8123),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4650),
    [sym_array_get_expression] = STATE(4650),
    [sym_string_get_expression] = STATE(4650),
    [sym_bigarray_get_expression] = STATE(4650),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(854),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(2176),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(18283),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [855] = {
    [sym_value_definition] = STATE(18588),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9329),
    [sym__sequence_expression] = STATE(8124),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4650),
    [sym_array_get_expression] = STATE(4650),
    [sym_string_get_expression] = STATE(4650),
    [sym_bigarray_get_expression] = STATE(4650),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(855),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(2176),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(18283),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [856] = {
    [sym_value_definition] = STATE(18588),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9329),
    [sym__sequence_expression] = STATE(8125),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4650),
    [sym_array_get_expression] = STATE(4650),
    [sym_string_get_expression] = STATE(4650),
    [sym_bigarray_get_expression] = STATE(4650),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(856),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(2176),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(18283),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [857] = {
    [sym_value_definition] = STATE(18588),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9329),
    [sym__sequence_expression] = STATE(8143),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4650),
    [sym_array_get_expression] = STATE(4650),
    [sym_string_get_expression] = STATE(4650),
    [sym_bigarray_get_expression] = STATE(4650),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(857),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(2176),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(18283),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [858] = {
    [sym_value_definition] = STATE(18588),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9329),
    [sym__sequence_expression] = STATE(8068),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4650),
    [sym_array_get_expression] = STATE(4650),
    [sym_string_get_expression] = STATE(4650),
    [sym_bigarray_get_expression] = STATE(4650),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(858),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(2176),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(18283),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [859] = {
    [sym_value_definition] = STATE(18588),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9329),
    [sym__sequence_expression] = STATE(8077),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4650),
    [sym_array_get_expression] = STATE(4650),
    [sym_string_get_expression] = STATE(4650),
    [sym_bigarray_get_expression] = STATE(4650),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(859),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(2176),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(18283),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [860] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16595),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(860),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [861] = {
    [sym_value_definition] = STATE(17988),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10218),
    [sym__sequence_expression] = STATE(8141),
    [sym_typed_expression] = STATE(5110),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5110),
    [sym_array_expression] = STATE(5110),
    [sym_record_expression] = STATE(5110),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5110),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5110),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5103),
    [sym_array_get_expression] = STATE(5103),
    [sym_string_get_expression] = STATE(5103),
    [sym_bigarray_get_expression] = STATE(5103),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5110),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5110),
    [sym_package_expression] = STATE(5110),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5110),
    [sym_object_copy_expression] = STATE(5110),
    [sym_method_invocation] = STATE(5110),
    [sym_object_expression] = STATE(5110),
    [sym_parenthesized_expression] = STATE(5110),
    [sym_attribute] = STATE(861),
    [sym_extension] = STATE(5110),
    [sym_quoted_extension] = STATE(5110),
    [sym__constant] = STATE(5110),
    [sym_number] = STATE(5198),
    [sym_character] = STATE(5198),
    [sym_string] = STATE(5198),
    [sym_quoted_string] = STATE(5198),
    [sym_boolean] = STATE(5198),
    [sym_unit] = STATE(5198),
    [sym_sign_operator] = STATE(2028),
    [sym__value_name] = STATE(5177),
    [sym_parenthesized_operator] = STATE(5218),
    [sym_value_path] = STATE(5110),
    [sym_module_path] = STATE(18648),
    [sym_constructor_path] = STATE(5110),
    [sym__instance_variable_name] = STATE(19166),
    [sym__constructor_name] = STATE(5142),
    [sym_tag] = STATE(5110),
    [sym__lowercase_identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__uppercase_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [862] = {
    [sym_value_definition] = STATE(18721),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10918),
    [sym__sequence_expression] = STATE(10296),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5423),
    [sym_array_get_expression] = STATE(5423),
    [sym_string_get_expression] = STATE(5423),
    [sym_bigarray_get_expression] = STATE(5423),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(862),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1828),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(18774),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [863] = {
    [sym_value_definition] = STATE(18721),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10918),
    [sym__sequence_expression] = STATE(10220),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5423),
    [sym_array_get_expression] = STATE(5423),
    [sym_string_get_expression] = STATE(5423),
    [sym_bigarray_get_expression] = STATE(5423),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(863),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1828),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(18774),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [864] = {
    [sym_value_definition] = STATE(18721),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10918),
    [sym__sequence_expression] = STATE(10516),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5423),
    [sym_array_get_expression] = STATE(5423),
    [sym_string_get_expression] = STATE(5423),
    [sym_bigarray_get_expression] = STATE(5423),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(864),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1828),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(18774),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [865] = {
    [sym_value_definition] = STATE(18721),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10918),
    [sym__sequence_expression] = STATE(10517),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5423),
    [sym_array_get_expression] = STATE(5423),
    [sym_string_get_expression] = STATE(5423),
    [sym_bigarray_get_expression] = STATE(5423),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(865),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1828),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(18774),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [866] = {
    [sym_value_definition] = STATE(18721),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10918),
    [sym__sequence_expression] = STATE(10446),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5423),
    [sym_array_get_expression] = STATE(5423),
    [sym_string_get_expression] = STATE(5423),
    [sym_bigarray_get_expression] = STATE(5423),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(866),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1828),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(18774),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [867] = {
    [sym_value_definition] = STATE(18721),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10918),
    [sym__sequence_expression] = STATE(10306),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5423),
    [sym_array_get_expression] = STATE(5423),
    [sym_string_get_expression] = STATE(5423),
    [sym_bigarray_get_expression] = STATE(5423),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(867),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1828),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(18774),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [868] = {
    [sym_value_definition] = STATE(18721),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10918),
    [sym__sequence_expression] = STATE(10404),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5423),
    [sym_array_get_expression] = STATE(5423),
    [sym_string_get_expression] = STATE(5423),
    [sym_bigarray_get_expression] = STATE(5423),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(868),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1828),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(18774),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [869] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16680),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(869),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [870] = {
    [sym_value_definition] = STATE(20267),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9489),
    [sym__sequence_expression] = STATE(8141),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4739),
    [sym_array_get_expression] = STATE(4739),
    [sym_string_get_expression] = STATE(4739),
    [sym_bigarray_get_expression] = STATE(4739),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(870),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(1768),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(20080),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(993),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [871] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12560),
    [sym__sequence_expression] = STATE(7833),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(871),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [872] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12560),
    [sym__sequence_expression] = STATE(7857),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(872),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [873] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12560),
    [sym__sequence_expression] = STATE(7881),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(873),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [874] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16763),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(874),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [875] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12560),
    [sym__sequence_expression] = STATE(7963),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(875),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [876] = {
    [sym_value_definition] = STATE(19627),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8659),
    [sym__sequence_expression] = STATE(8109),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(876),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [877] = {
    [sym_value_definition] = STATE(18836),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11917),
    [sym__sequence_expression] = STATE(8141),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6002),
    [sym_array_get_expression] = STATE(6002),
    [sym_string_get_expression] = STATE(6002),
    [sym_bigarray_get_expression] = STATE(6002),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(877),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(1907),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(17884),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2203),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2211),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2235),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [878] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(5311),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(878),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [879] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12560),
    [sym__sequence_expression] = STATE(7826),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(879),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [880] = {
    [sym_value_definition] = STATE(19627),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8659),
    [sym__sequence_expression] = STATE(8111),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(880),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [881] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16852),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(881),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [882] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12560),
    [sym__sequence_expression] = STATE(7915),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(882),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [883] = {
    [sym_value_definition] = STATE(19628),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11817),
    [sym__sequence_expression] = STATE(8141),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(883),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(2070),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(18766),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2243),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2261),
    [anon_sym_function] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2287),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [884] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12632),
    [sym__sequence_expression] = STATE(7926),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(884),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [885] = {
    [sym_value_definition] = STATE(19627),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8659),
    [sym__sequence_expression] = STATE(8112),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(885),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [886] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16940),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(886),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [887] = {
    [sym_value_definition] = STATE(17526),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12044),
    [sym__sequence_expression] = STATE(8141),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6004),
    [sym_array_get_expression] = STATE(6004),
    [sym_string_get_expression] = STATE(6004),
    [sym_bigarray_get_expression] = STATE(6004),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(887),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19440),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2295),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2311),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2313),
    [anon_sym_function] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2339),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [888] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17020),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(888),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [889] = {
    [sym_value_definition] = STATE(17795),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11796),
    [sym__sequence_expression] = STATE(8141),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6005),
    [sym_array_get_expression] = STATE(6005),
    [sym_string_get_expression] = STATE(6005),
    [sym_bigarray_get_expression] = STATE(6005),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(889),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(2145),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(17497),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2347),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2365),
    [anon_sym_function] = ACTIONS(2367),
    [anon_sym_try] = ACTIONS(2369),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2391),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [890] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17175),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(890),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [891] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12632),
    [sym__sequence_expression] = STATE(7833),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(891),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [892] = {
    [sym_value_definition] = STATE(18588),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9329),
    [sym__sequence_expression] = STATE(8141),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4650),
    [sym_array_get_expression] = STATE(4650),
    [sym_string_get_expression] = STATE(4650),
    [sym_bigarray_get_expression] = STATE(4650),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(892),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(2176),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(18283),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [893] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12632),
    [sym__sequence_expression] = STATE(7857),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(893),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [894] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12632),
    [sym__sequence_expression] = STATE(7881),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(894),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [895] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12632),
    [sym__sequence_expression] = STATE(7963),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(895),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [896] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8279),
    [sym__sequence_expression] = STATE(10359),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(896),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [897] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17224),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(897),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [898] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(5311),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(898),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [899] = {
    [sym_value_definition] = STATE(18228),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11912),
    [sym__sequence_expression] = STATE(10315),
    [sym_typed_expression] = STATE(6605),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6605),
    [sym_array_expression] = STATE(6605),
    [sym_record_expression] = STATE(6605),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6605),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6605),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6090),
    [sym_array_get_expression] = STATE(6090),
    [sym_string_get_expression] = STATE(6090),
    [sym_bigarray_get_expression] = STATE(6090),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6605),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6605),
    [sym_package_expression] = STATE(6605),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6605),
    [sym_object_copy_expression] = STATE(6605),
    [sym_method_invocation] = STATE(6605),
    [sym_object_expression] = STATE(6605),
    [sym_parenthesized_expression] = STATE(6605),
    [sym_attribute] = STATE(899),
    [sym_extension] = STATE(6605),
    [sym_quoted_extension] = STATE(6605),
    [sym__constant] = STATE(6605),
    [sym_number] = STATE(6281),
    [sym_character] = STATE(6281),
    [sym_string] = STATE(6281),
    [sym_quoted_string] = STATE(6281),
    [sym_boolean] = STATE(6281),
    [sym_unit] = STATE(6281),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6139),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6605),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(6605),
    [sym__instance_variable_name] = STATE(18146),
    [sym__constructor_name] = STATE(6282),
    [sym_tag] = STATE(6605),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [900] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12632),
    [sym__sequence_expression] = STATE(7826),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(900),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [901] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17320),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(901),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [902] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12632),
    [sym__sequence_expression] = STATE(7915),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(902),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [903] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12138),
    [sym__sequence_expression] = STATE(17219),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(903),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [904] = {
    [sym_value_definition] = STATE(19507),
    [sym__simple_expression] = STATE(2442),
    [sym__expression] = STATE(11615),
    [sym__sequence_expression] = STATE(10315),
    [sym_typed_expression] = STATE(5871),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5871),
    [sym_array_expression] = STATE(5871),
    [sym_record_expression] = STATE(5871),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5871),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5871),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5719),
    [sym_array_get_expression] = STATE(5719),
    [sym_string_get_expression] = STATE(5719),
    [sym_bigarray_get_expression] = STATE(5719),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5871),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5871),
    [sym_package_expression] = STATE(5871),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5871),
    [sym_object_copy_expression] = STATE(5871),
    [sym_method_invocation] = STATE(5871),
    [sym_object_expression] = STATE(5871),
    [sym_parenthesized_expression] = STATE(5871),
    [sym_attribute] = STATE(904),
    [sym_extension] = STATE(5871),
    [sym_quoted_extension] = STATE(5871),
    [sym__constant] = STATE(5871),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1952),
    [sym__value_name] = STATE(5907),
    [sym_parenthesized_operator] = STATE(5936),
    [sym_value_path] = STATE(5871),
    [sym_module_path] = STATE(18534),
    [sym_constructor_path] = STATE(5871),
    [sym__instance_variable_name] = STATE(19469),
    [sym__constructor_name] = STATE(5965),
    [sym_tag] = STATE(5871),
    [sym__lowercase_identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__uppercase_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [905] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9773),
    [sym__sequence_expression] = STATE(7926),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(905),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [906] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17340),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(906),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [907] = {
    [sym_value_definition] = STATE(19805),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11466),
    [sym__sequence_expression] = STATE(8703),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5675),
    [sym_array_get_expression] = STATE(5675),
    [sym_string_get_expression] = STATE(5675),
    [sym_bigarray_get_expression] = STATE(5675),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(907),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1989),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(17868),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [908] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17399),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(908),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [909] = {
    [sym_value_definition] = STATE(18721),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10918),
    [sym__sequence_expression] = STATE(10315),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5423),
    [sym_array_get_expression] = STATE(5423),
    [sym_string_get_expression] = STATE(5423),
    [sym_bigarray_get_expression] = STATE(5423),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(909),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1828),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(18774),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [910] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16391),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(910),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [911] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9773),
    [sym__sequence_expression] = STATE(7833),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(911),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [912] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9773),
    [sym__sequence_expression] = STATE(7857),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(912),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [913] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9773),
    [sym__sequence_expression] = STATE(7881),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(913),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [914] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9773),
    [sym__sequence_expression] = STATE(7963),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(914),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [915] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17403),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(915),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [916] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9914),
    [sym__sequence_expression] = STATE(5311),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(916),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [917] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9773),
    [sym__sequence_expression] = STATE(7826),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(917),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [918] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9773),
    [sym__sequence_expression] = STATE(7915),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(918),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [919] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16833),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(919),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [920] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8225),
    [sym__sequence_expression] = STATE(7996),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(920),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [921] = {
    [sym_value_definition] = STATE(19627),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8659),
    [sym__sequence_expression] = STATE(8134),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(921),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [922] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17359),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(922),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [923] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16449),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(923),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [924] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16654),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(924),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [925] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8225),
    [sym__sequence_expression] = STATE(8109),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(925),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [926] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8225),
    [sym__sequence_expression] = STATE(8111),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(926),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [927] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8225),
    [sym__sequence_expression] = STATE(8112),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(927),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [928] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8225),
    [sym__sequence_expression] = STATE(8134),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(928),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [929] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8279),
    [sym__sequence_expression] = STATE(7582),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(929),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [930] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16831),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(930),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [931] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8225),
    [sym__sequence_expression] = STATE(8150),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(931),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [932] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8225),
    [sym__sequence_expression] = STATE(7981),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(932),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [933] = {
    [sym_value_definition] = STATE(19847),
    [sym__simple_expression] = STATE(1543),
    [sym__expression] = STATE(8415),
    [sym__sequence_expression] = STATE(7996),
    [sym_typed_expression] = STATE(4090),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4090),
    [sym_array_expression] = STATE(4090),
    [sym_record_expression] = STATE(4090),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4090),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4090),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3779),
    [sym_array_get_expression] = STATE(3779),
    [sym_string_get_expression] = STATE(3779),
    [sym_bigarray_get_expression] = STATE(3779),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4090),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4090),
    [sym_package_expression] = STATE(4090),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4090),
    [sym_object_copy_expression] = STATE(4090),
    [sym_method_invocation] = STATE(4090),
    [sym_object_expression] = STATE(4090),
    [sym_parenthesized_expression] = STATE(4090),
    [sym_attribute] = STATE(933),
    [sym_extension] = STATE(4090),
    [sym_quoted_extension] = STATE(4090),
    [sym__constant] = STATE(4090),
    [sym_number] = STATE(4058),
    [sym_character] = STATE(4058),
    [sym_string] = STATE(4058),
    [sym_quoted_string] = STATE(4058),
    [sym_boolean] = STATE(4058),
    [sym_unit] = STATE(4058),
    [sym_sign_operator] = STATE(2132),
    [sym__value_name] = STATE(4146),
    [sym_parenthesized_operator] = STATE(4003),
    [sym_value_path] = STATE(4090),
    [sym_module_path] = STATE(17476),
    [sym_constructor_path] = STATE(4090),
    [sym__instance_variable_name] = STATE(19788),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4090),
    [sym__lowercase_identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3077),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3079),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__uppercase_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [934] = {
    [sym_value_definition] = STATE(19847),
    [sym__simple_expression] = STATE(1543),
    [sym__expression] = STATE(8415),
    [sym__sequence_expression] = STATE(8109),
    [sym_typed_expression] = STATE(4090),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4090),
    [sym_array_expression] = STATE(4090),
    [sym_record_expression] = STATE(4090),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4090),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4090),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3779),
    [sym_array_get_expression] = STATE(3779),
    [sym_string_get_expression] = STATE(3779),
    [sym_bigarray_get_expression] = STATE(3779),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4090),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4090),
    [sym_package_expression] = STATE(4090),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4090),
    [sym_object_copy_expression] = STATE(4090),
    [sym_method_invocation] = STATE(4090),
    [sym_object_expression] = STATE(4090),
    [sym_parenthesized_expression] = STATE(4090),
    [sym_attribute] = STATE(934),
    [sym_extension] = STATE(4090),
    [sym_quoted_extension] = STATE(4090),
    [sym__constant] = STATE(4090),
    [sym_number] = STATE(4058),
    [sym_character] = STATE(4058),
    [sym_string] = STATE(4058),
    [sym_quoted_string] = STATE(4058),
    [sym_boolean] = STATE(4058),
    [sym_unit] = STATE(4058),
    [sym_sign_operator] = STATE(2132),
    [sym__value_name] = STATE(4146),
    [sym_parenthesized_operator] = STATE(4003),
    [sym_value_path] = STATE(4090),
    [sym_module_path] = STATE(17476),
    [sym_constructor_path] = STATE(4090),
    [sym__instance_variable_name] = STATE(19788),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4090),
    [sym__lowercase_identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3077),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3079),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__uppercase_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [935] = {
    [sym_value_definition] = STATE(19847),
    [sym__simple_expression] = STATE(1543),
    [sym__expression] = STATE(8415),
    [sym__sequence_expression] = STATE(8111),
    [sym_typed_expression] = STATE(4090),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4090),
    [sym_array_expression] = STATE(4090),
    [sym_record_expression] = STATE(4090),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4090),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4090),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3779),
    [sym_array_get_expression] = STATE(3779),
    [sym_string_get_expression] = STATE(3779),
    [sym_bigarray_get_expression] = STATE(3779),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4090),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4090),
    [sym_package_expression] = STATE(4090),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4090),
    [sym_object_copy_expression] = STATE(4090),
    [sym_method_invocation] = STATE(4090),
    [sym_object_expression] = STATE(4090),
    [sym_parenthesized_expression] = STATE(4090),
    [sym_attribute] = STATE(935),
    [sym_extension] = STATE(4090),
    [sym_quoted_extension] = STATE(4090),
    [sym__constant] = STATE(4090),
    [sym_number] = STATE(4058),
    [sym_character] = STATE(4058),
    [sym_string] = STATE(4058),
    [sym_quoted_string] = STATE(4058),
    [sym_boolean] = STATE(4058),
    [sym_unit] = STATE(4058),
    [sym_sign_operator] = STATE(2132),
    [sym__value_name] = STATE(4146),
    [sym_parenthesized_operator] = STATE(4003),
    [sym_value_path] = STATE(4090),
    [sym_module_path] = STATE(17476),
    [sym_constructor_path] = STATE(4090),
    [sym__instance_variable_name] = STATE(19788),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4090),
    [sym__lowercase_identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3077),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3079),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__uppercase_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [936] = {
    [sym_value_definition] = STATE(19847),
    [sym__simple_expression] = STATE(1543),
    [sym__expression] = STATE(8415),
    [sym__sequence_expression] = STATE(8112),
    [sym_typed_expression] = STATE(4090),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4090),
    [sym_array_expression] = STATE(4090),
    [sym_record_expression] = STATE(4090),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4090),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4090),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3779),
    [sym_array_get_expression] = STATE(3779),
    [sym_string_get_expression] = STATE(3779),
    [sym_bigarray_get_expression] = STATE(3779),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4090),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4090),
    [sym_package_expression] = STATE(4090),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4090),
    [sym_object_copy_expression] = STATE(4090),
    [sym_method_invocation] = STATE(4090),
    [sym_object_expression] = STATE(4090),
    [sym_parenthesized_expression] = STATE(4090),
    [sym_attribute] = STATE(936),
    [sym_extension] = STATE(4090),
    [sym_quoted_extension] = STATE(4090),
    [sym__constant] = STATE(4090),
    [sym_number] = STATE(4058),
    [sym_character] = STATE(4058),
    [sym_string] = STATE(4058),
    [sym_quoted_string] = STATE(4058),
    [sym_boolean] = STATE(4058),
    [sym_unit] = STATE(4058),
    [sym_sign_operator] = STATE(2132),
    [sym__value_name] = STATE(4146),
    [sym_parenthesized_operator] = STATE(4003),
    [sym_value_path] = STATE(4090),
    [sym_module_path] = STATE(17476),
    [sym_constructor_path] = STATE(4090),
    [sym__instance_variable_name] = STATE(19788),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4090),
    [sym__lowercase_identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3077),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3079),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__uppercase_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [937] = {
    [sym_value_definition] = STATE(19847),
    [sym__simple_expression] = STATE(1543),
    [sym__expression] = STATE(8415),
    [sym__sequence_expression] = STATE(8134),
    [sym_typed_expression] = STATE(4090),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4090),
    [sym_array_expression] = STATE(4090),
    [sym_record_expression] = STATE(4090),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4090),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4090),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3779),
    [sym_array_get_expression] = STATE(3779),
    [sym_string_get_expression] = STATE(3779),
    [sym_bigarray_get_expression] = STATE(3779),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4090),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4090),
    [sym_package_expression] = STATE(4090),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4090),
    [sym_object_copy_expression] = STATE(4090),
    [sym_method_invocation] = STATE(4090),
    [sym_object_expression] = STATE(4090),
    [sym_parenthesized_expression] = STATE(4090),
    [sym_attribute] = STATE(937),
    [sym_extension] = STATE(4090),
    [sym_quoted_extension] = STATE(4090),
    [sym__constant] = STATE(4090),
    [sym_number] = STATE(4058),
    [sym_character] = STATE(4058),
    [sym_string] = STATE(4058),
    [sym_quoted_string] = STATE(4058),
    [sym_boolean] = STATE(4058),
    [sym_unit] = STATE(4058),
    [sym_sign_operator] = STATE(2132),
    [sym__value_name] = STATE(4146),
    [sym_parenthesized_operator] = STATE(4003),
    [sym_value_path] = STATE(4090),
    [sym_module_path] = STATE(17476),
    [sym_constructor_path] = STATE(4090),
    [sym__instance_variable_name] = STATE(19788),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4090),
    [sym__lowercase_identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3077),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3079),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__uppercase_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [938] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12682),
    [sym__sequence_expression] = STATE(7582),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(938),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [939] = {
    [sym_value_definition] = STATE(19847),
    [sym__simple_expression] = STATE(1543),
    [sym__expression] = STATE(8415),
    [sym__sequence_expression] = STATE(8150),
    [sym_typed_expression] = STATE(4090),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4090),
    [sym_array_expression] = STATE(4090),
    [sym_record_expression] = STATE(4090),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4090),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4090),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3779),
    [sym_array_get_expression] = STATE(3779),
    [sym_string_get_expression] = STATE(3779),
    [sym_bigarray_get_expression] = STATE(3779),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4090),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4090),
    [sym_package_expression] = STATE(4090),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4090),
    [sym_object_copy_expression] = STATE(4090),
    [sym_method_invocation] = STATE(4090),
    [sym_object_expression] = STATE(4090),
    [sym_parenthesized_expression] = STATE(4090),
    [sym_attribute] = STATE(939),
    [sym_extension] = STATE(4090),
    [sym_quoted_extension] = STATE(4090),
    [sym__constant] = STATE(4090),
    [sym_number] = STATE(4058),
    [sym_character] = STATE(4058),
    [sym_string] = STATE(4058),
    [sym_quoted_string] = STATE(4058),
    [sym_boolean] = STATE(4058),
    [sym_unit] = STATE(4058),
    [sym_sign_operator] = STATE(2132),
    [sym__value_name] = STATE(4146),
    [sym_parenthesized_operator] = STATE(4003),
    [sym_value_path] = STATE(4090),
    [sym_module_path] = STATE(17476),
    [sym_constructor_path] = STATE(4090),
    [sym__instance_variable_name] = STATE(19788),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4090),
    [sym__lowercase_identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3077),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3079),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__uppercase_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [940] = {
    [sym_value_definition] = STATE(19847),
    [sym__simple_expression] = STATE(1543),
    [sym__expression] = STATE(8415),
    [sym__sequence_expression] = STATE(7981),
    [sym_typed_expression] = STATE(4090),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4090),
    [sym_array_expression] = STATE(4090),
    [sym_record_expression] = STATE(4090),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4090),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4090),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3779),
    [sym_array_get_expression] = STATE(3779),
    [sym_string_get_expression] = STATE(3779),
    [sym_bigarray_get_expression] = STATE(3779),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4090),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4090),
    [sym_package_expression] = STATE(4090),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4090),
    [sym_object_copy_expression] = STATE(4090),
    [sym_method_invocation] = STATE(4090),
    [sym_object_expression] = STATE(4090),
    [sym_parenthesized_expression] = STATE(4090),
    [sym_attribute] = STATE(940),
    [sym_extension] = STATE(4090),
    [sym_quoted_extension] = STATE(4090),
    [sym__constant] = STATE(4090),
    [sym_number] = STATE(4058),
    [sym_character] = STATE(4058),
    [sym_string] = STATE(4058),
    [sym_quoted_string] = STATE(4058),
    [sym_boolean] = STATE(4058),
    [sym_unit] = STATE(4058),
    [sym_sign_operator] = STATE(2132),
    [sym__value_name] = STATE(4146),
    [sym_parenthesized_operator] = STATE(4003),
    [sym_value_path] = STATE(4090),
    [sym_module_path] = STATE(17476),
    [sym_constructor_path] = STATE(4090),
    [sym__instance_variable_name] = STATE(19788),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4090),
    [sym__lowercase_identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3077),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3079),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__uppercase_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [941] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12107),
    [sym__sequence_expression] = STATE(10296),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(941),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [942] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12107),
    [sym__sequence_expression] = STATE(10220),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(942),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [943] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12107),
    [sym__sequence_expression] = STATE(10516),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(943),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [944] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12107),
    [sym__sequence_expression] = STATE(10517),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(944),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [945] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12107),
    [sym__sequence_expression] = STATE(10446),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(945),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [946] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8272),
    [sym__sequence_expression] = STATE(7582),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(946),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [947] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12107),
    [sym__sequence_expression] = STATE(10306),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(947),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [948] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12107),
    [sym__sequence_expression] = STATE(10404),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(948),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [949] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11825),
    [sym__sequence_expression] = STATE(10296),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(949),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [950] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11825),
    [sym__sequence_expression] = STATE(10220),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(950),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [951] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11825),
    [sym__sequence_expression] = STATE(10516),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(951),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [952] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11825),
    [sym__sequence_expression] = STATE(10517),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(952),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [953] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11825),
    [sym__sequence_expression] = STATE(10446),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(953),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [954] = {
    [sym_value_definition] = STATE(19847),
    [sym__simple_expression] = STATE(1543),
    [sym__expression] = STATE(8415),
    [sym__sequence_expression] = STATE(5311),
    [sym_typed_expression] = STATE(4090),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4090),
    [sym_array_expression] = STATE(4090),
    [sym_record_expression] = STATE(4090),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4090),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4090),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3779),
    [sym_array_get_expression] = STATE(3779),
    [sym_string_get_expression] = STATE(3779),
    [sym_bigarray_get_expression] = STATE(3779),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4090),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4090),
    [sym_package_expression] = STATE(4090),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4090),
    [sym_object_copy_expression] = STATE(4090),
    [sym_method_invocation] = STATE(4090),
    [sym_object_expression] = STATE(4090),
    [sym_parenthesized_expression] = STATE(4090),
    [sym_attribute] = STATE(954),
    [sym_extension] = STATE(4090),
    [sym_quoted_extension] = STATE(4090),
    [sym__constant] = STATE(4090),
    [sym_number] = STATE(4058),
    [sym_character] = STATE(4058),
    [sym_string] = STATE(4058),
    [sym_quoted_string] = STATE(4058),
    [sym_boolean] = STATE(4058),
    [sym_unit] = STATE(4058),
    [sym_sign_operator] = STATE(2132),
    [sym__value_name] = STATE(4146),
    [sym_parenthesized_operator] = STATE(4003),
    [sym_value_path] = STATE(4090),
    [sym_module_path] = STATE(17476),
    [sym_constructor_path] = STATE(4090),
    [sym__instance_variable_name] = STATE(19788),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4090),
    [sym__lowercase_identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3077),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3079),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__uppercase_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [955] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11825),
    [sym__sequence_expression] = STATE(10306),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(955),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [956] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11825),
    [sym__sequence_expression] = STATE(10404),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(10533),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(956),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [957] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12138),
    [sym__sequence_expression] = STATE(16722),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(957),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [958] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8207),
    [sym__sequence_expression] = STATE(7996),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(958),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [959] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8207),
    [sym__sequence_expression] = STATE(8109),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(959),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [960] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8207),
    [sym__sequence_expression] = STATE(8111),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(960),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [961] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8207),
    [sym__sequence_expression] = STATE(8112),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(961),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [962] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8207),
    [sym__sequence_expression] = STATE(8134),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(962),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [963] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8207),
    [sym__sequence_expression] = STATE(8150),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(963),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [964] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8207),
    [sym__sequence_expression] = STATE(7981),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(964),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [965] = {
    [sym_value_definition] = STATE(19695),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(8338),
    [sym__sequence_expression] = STATE(7996),
    [sym_typed_expression] = STATE(3950),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3950),
    [sym_array_expression] = STATE(3950),
    [sym_record_expression] = STATE(3950),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3950),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3950),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3950),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3950),
    [sym_package_expression] = STATE(3950),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3950),
    [sym_object_copy_expression] = STATE(3950),
    [sym_method_invocation] = STATE(3950),
    [sym_object_expression] = STATE(3950),
    [sym_parenthesized_expression] = STATE(3950),
    [sym_attribute] = STATE(965),
    [sym_extension] = STATE(3950),
    [sym_quoted_extension] = STATE(3950),
    [sym__constant] = STATE(3950),
    [sym_number] = STATE(4087),
    [sym_character] = STATE(4087),
    [sym_string] = STATE(4087),
    [sym_quoted_string] = STATE(4087),
    [sym_boolean] = STATE(4087),
    [sym_unit] = STATE(4087),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4005),
    [sym_parenthesized_operator] = STATE(4045),
    [sym_value_path] = STATE(3950),
    [sym_module_path] = STATE(17695),
    [sym_constructor_path] = STATE(3950),
    [sym__instance_variable_name] = STATE(19552),
    [sym__constructor_name] = STATE(4088),
    [sym_tag] = STATE(3950),
    [sym__lowercase_identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__uppercase_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [966] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17406),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(966),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [967] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12627),
    [sym__sequence_expression] = STATE(17410),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(967),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [968] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(19683),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(968),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [969] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18507),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(969),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [970] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18516),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(970),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [971] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18517),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(971),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [972] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19377),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(972),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [973] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19379),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(973),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [974] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19386),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(974),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [975] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19461),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(975),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [976] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12627),
    [sym__sequence_expression] = STATE(16629),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(976),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [977] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19892),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(977),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [978] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12627),
    [sym__sequence_expression] = STATE(16650),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(978),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [979] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20211),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(979),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [980] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20289),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(980),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [981] = {
    [sym_value_definition] = STATE(18965),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8541),
    [sym__sequence_expression] = STATE(5311),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(981),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [982] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12385),
    [sym__sequence_expression] = STATE(7926),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(982),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [983] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12385),
    [sym__sequence_expression] = STATE(7833),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(983),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [984] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12385),
    [sym__sequence_expression] = STATE(7857),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(984),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [985] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12385),
    [sym__sequence_expression] = STATE(7881),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(985),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [986] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12385),
    [sym__sequence_expression] = STATE(7963),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(986),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [987] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12385),
    [sym__sequence_expression] = STATE(7826),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(987),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [988] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12385),
    [sym__sequence_expression] = STATE(7915),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(988),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [989] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8225),
    [sym__sequence_expression] = STATE(7582),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(989),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [990] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8207),
    [sym__sequence_expression] = STATE(7582),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(990),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [991] = {
    [sym_value_definition] = STATE(18204),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(12034),
    [sym__sequence_expression] = STATE(7926),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6064),
    [sym_array_get_expression] = STATE(6064),
    [sym_string_get_expression] = STATE(6064),
    [sym_bigarray_get_expression] = STATE(6064),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(991),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(1803),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(18015),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [992] = {
    [sym_value_definition] = STATE(18204),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(12034),
    [sym__sequence_expression] = STATE(7833),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6064),
    [sym_array_get_expression] = STATE(6064),
    [sym_string_get_expression] = STATE(6064),
    [sym_bigarray_get_expression] = STATE(6064),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(992),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(1803),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(18015),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [993] = {
    [sym_value_definition] = STATE(18204),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(12034),
    [sym__sequence_expression] = STATE(7857),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6064),
    [sym_array_get_expression] = STATE(6064),
    [sym_string_get_expression] = STATE(6064),
    [sym_bigarray_get_expression] = STATE(6064),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(993),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(1803),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(18015),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [994] = {
    [sym_value_definition] = STATE(18204),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(12034),
    [sym__sequence_expression] = STATE(7881),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6064),
    [sym_array_get_expression] = STATE(6064),
    [sym_string_get_expression] = STATE(6064),
    [sym_bigarray_get_expression] = STATE(6064),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(994),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(1803),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(18015),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [995] = {
    [sym_value_definition] = STATE(18204),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(12034),
    [sym__sequence_expression] = STATE(7963),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6064),
    [sym_array_get_expression] = STATE(6064),
    [sym_string_get_expression] = STATE(6064),
    [sym_bigarray_get_expression] = STATE(6064),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(995),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(1803),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(18015),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [996] = {
    [sym_value_definition] = STATE(18204),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(12034),
    [sym__sequence_expression] = STATE(7826),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6064),
    [sym_array_get_expression] = STATE(6064),
    [sym_string_get_expression] = STATE(6064),
    [sym_bigarray_get_expression] = STATE(6064),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(996),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(1803),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(18015),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [997] = {
    [sym_value_definition] = STATE(18204),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(12034),
    [sym__sequence_expression] = STATE(7915),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6064),
    [sym_array_get_expression] = STATE(6064),
    [sym_string_get_expression] = STATE(6064),
    [sym_bigarray_get_expression] = STATE(6064),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(997),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(1803),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(18015),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [998] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17339),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(998),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [999] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8311),
    [sym__sequence_expression] = STATE(5311),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(999),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1000] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11688),
    [sym__sequence_expression] = STATE(8703),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(1000),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1001] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8261),
    [sym__sequence_expression] = STATE(5311),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(1001),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1002] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16357),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(1002),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1003] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16359),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(1003),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1004] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16363),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(1004),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1005] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16345),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(1005),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1006] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12627),
    [sym__sequence_expression] = STATE(16349),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(1006),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1007] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(20082),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1007),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1008] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18252),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1008),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1009] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18267),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1009),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1010] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18318),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1010),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1011] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17664),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1011),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1012] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17674),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1012),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1013] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17745),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1013),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1014] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17904),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1014),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1015] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12627),
    [sym__sequence_expression] = STATE(16820),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(1015),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1016] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18045),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1016),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1017] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12627),
    [sym__sequence_expression] = STATE(16858),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(1017),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1018] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18134),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1018),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1019] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18150),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1019),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1020] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16375),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(1020),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1021] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12627),
    [sym__sequence_expression] = STATE(16379),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(1021),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1022] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(18335),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1022),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1023] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20236),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1023),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1024] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20281),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1024),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1025] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20302),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1025),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1026] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18147),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1026),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1027] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18158),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1027),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1028] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18159),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1028),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1029] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18178),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1029),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1030] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12627),
    [sym__sequence_expression] = STATE(16506),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(1030),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1031] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18278),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1031),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1032] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12627),
    [sym__sequence_expression] = STATE(16510),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(1032),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1033] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18324),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1033),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1034] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18360),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1034),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1035] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16822),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(1035),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1036] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(18068),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1036),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1037] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18348),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1037),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1038] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18355),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1038),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1039] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18356),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1039),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1040] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18561),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1040),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1041] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18567),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1041),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1042] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18575),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1042),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1043] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18600),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1043),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1044] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18711),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1044),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1045] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18731),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1045),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1046] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18732),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1046),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1047] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17378),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(1047),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1048] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(20142),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1048),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1049] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18469),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1049),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1050] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19518),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1050),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1051] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19522),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1051),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1052] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19650),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1052),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1053] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1053),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1054] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19660),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1054),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1055] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20217),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1055),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1056] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19397),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1056),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1057] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17672),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1057),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1058] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17831),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1058),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1059] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16914),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(1059),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1060] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(18455),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1060),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1061] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19758),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1061),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1062] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19770),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1062),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1063] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19779),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1063),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1064] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20085),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1064),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1065] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20095),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1065),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1066] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20097),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1066),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1067] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16615),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(1067),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1068] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(19740),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1068),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1069] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17564),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1069),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1070] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17574),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1070),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1071] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17582),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1071),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1072] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17790),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1072),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1073] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17799),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1073),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1074] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17804),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1074),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1075] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17157),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(1075),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1076] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(19157),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1076),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1077] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19454),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1077),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1078] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19460),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1078),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1079] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12138),
    [sym__sequence_expression] = STATE(17208),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(1079),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1080] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19534),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1080),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1081] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19537),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1081),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1082] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19538),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1082),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1083] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17356),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(1083),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1084] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(20005),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1084),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1085] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20063),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1085),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1086] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20064),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1086),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1087] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20065),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1087),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1088] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20104),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1088),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1089] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20110),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1089),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1090] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20113),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1090),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1091] = {
    [sym_value_definition] = STATE(19695),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(8338),
    [sym__sequence_expression] = STATE(8109),
    [sym_typed_expression] = STATE(3950),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3950),
    [sym_array_expression] = STATE(3950),
    [sym_record_expression] = STATE(3950),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3950),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3950),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3950),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3950),
    [sym_package_expression] = STATE(3950),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3950),
    [sym_object_copy_expression] = STATE(3950),
    [sym_method_invocation] = STATE(3950),
    [sym_object_expression] = STATE(3950),
    [sym_parenthesized_expression] = STATE(3950),
    [sym_attribute] = STATE(1091),
    [sym_extension] = STATE(3950),
    [sym_quoted_extension] = STATE(3950),
    [sym__constant] = STATE(3950),
    [sym_number] = STATE(4087),
    [sym_character] = STATE(4087),
    [sym_string] = STATE(4087),
    [sym_quoted_string] = STATE(4087),
    [sym_boolean] = STATE(4087),
    [sym_unit] = STATE(4087),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4005),
    [sym_parenthesized_operator] = STATE(4045),
    [sym_value_path] = STATE(3950),
    [sym_module_path] = STATE(17695),
    [sym_constructor_path] = STATE(3950),
    [sym__instance_variable_name] = STATE(19552),
    [sym__constructor_name] = STATE(4088),
    [sym_tag] = STATE(3950),
    [sym__lowercase_identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__uppercase_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1092] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16376),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(1092),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1093] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(17827),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1093),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1094] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18435),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1094),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1095] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18466),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1095),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1096] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18473),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1096),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1097] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18827),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1097),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1098] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18831),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1098),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1099] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18850),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1099),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1100] = {
    [sym_value_definition] = STATE(19695),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(8338),
    [sym__sequence_expression] = STATE(8111),
    [sym_typed_expression] = STATE(3950),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3950),
    [sym_array_expression] = STATE(3950),
    [sym_record_expression] = STATE(3950),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3950),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3950),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3950),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3950),
    [sym_package_expression] = STATE(3950),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3950),
    [sym_object_copy_expression] = STATE(3950),
    [sym_method_invocation] = STATE(3950),
    [sym_object_expression] = STATE(3950),
    [sym_parenthesized_expression] = STATE(3950),
    [sym_attribute] = STATE(1100),
    [sym_extension] = STATE(3950),
    [sym_quoted_extension] = STATE(3950),
    [sym__constant] = STATE(3950),
    [sym_number] = STATE(4087),
    [sym_character] = STATE(4087),
    [sym_string] = STATE(4087),
    [sym_quoted_string] = STATE(4087),
    [sym_boolean] = STATE(4087),
    [sym_unit] = STATE(4087),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4005),
    [sym_parenthesized_operator] = STATE(4045),
    [sym_value_path] = STATE(3950),
    [sym_module_path] = STATE(17695),
    [sym_constructor_path] = STATE(3950),
    [sym__instance_variable_name] = STATE(19552),
    [sym__constructor_name] = STATE(4088),
    [sym_tag] = STATE(3950),
    [sym__lowercase_identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__uppercase_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1101] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16465),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(1101),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1102] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(17786),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1102),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1103] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17922),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1103),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1104] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17937),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1104),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1105] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17944),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1105),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1106] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18106),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1106),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1107] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18107),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1107),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1108] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18108),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1108),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1109] = {
    [sym_value_definition] = STATE(19695),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(8338),
    [sym__sequence_expression] = STATE(8112),
    [sym_typed_expression] = STATE(3950),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3950),
    [sym_array_expression] = STATE(3950),
    [sym_record_expression] = STATE(3950),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3950),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3950),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3950),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3950),
    [sym_package_expression] = STATE(3950),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3950),
    [sym_object_copy_expression] = STATE(3950),
    [sym_method_invocation] = STATE(3950),
    [sym_object_expression] = STATE(3950),
    [sym_parenthesized_expression] = STATE(3950),
    [sym_attribute] = STATE(1109),
    [sym_extension] = STATE(3950),
    [sym_quoted_extension] = STATE(3950),
    [sym__constant] = STATE(3950),
    [sym_number] = STATE(4087),
    [sym_character] = STATE(4087),
    [sym_string] = STATE(4087),
    [sym_quoted_string] = STATE(4087),
    [sym_boolean] = STATE(4087),
    [sym_unit] = STATE(4087),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4005),
    [sym_parenthesized_operator] = STATE(4045),
    [sym_value_path] = STATE(3950),
    [sym_module_path] = STATE(17695),
    [sym_constructor_path] = STATE(3950),
    [sym__instance_variable_name] = STATE(19552),
    [sym__constructor_name] = STATE(4088),
    [sym_tag] = STATE(3950),
    [sym__lowercase_identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__uppercase_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1110] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(18886),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1110),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1111] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18974),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1111),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1112] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18979),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1112),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1113] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18982),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1113),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1114] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19101),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1114),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1115] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19104),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1115),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1116] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19121),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1116),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1117] = {
    [sym_value_definition] = STATE(19695),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(8338),
    [sym__sequence_expression] = STATE(8134),
    [sym_typed_expression] = STATE(3950),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3950),
    [sym_array_expression] = STATE(3950),
    [sym_record_expression] = STATE(3950),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3950),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3950),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3950),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3950),
    [sym_package_expression] = STATE(3950),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3950),
    [sym_object_copy_expression] = STATE(3950),
    [sym_method_invocation] = STATE(3950),
    [sym_object_expression] = STATE(3950),
    [sym_parenthesized_expression] = STATE(3950),
    [sym_attribute] = STATE(1117),
    [sym_extension] = STATE(3950),
    [sym_quoted_extension] = STATE(3950),
    [sym__constant] = STATE(3950),
    [sym_number] = STATE(4087),
    [sym_character] = STATE(4087),
    [sym_string] = STATE(4087),
    [sym_quoted_string] = STATE(4087),
    [sym_boolean] = STATE(4087),
    [sym_unit] = STATE(4087),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4005),
    [sym_parenthesized_operator] = STATE(4045),
    [sym_value_path] = STATE(3950),
    [sym_module_path] = STATE(17695),
    [sym_constructor_path] = STATE(3950),
    [sym__instance_variable_name] = STATE(19552),
    [sym__constructor_name] = STATE(4088),
    [sym_tag] = STATE(3950),
    [sym__lowercase_identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__uppercase_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1118] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(20151),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1118),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1119] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17423),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1119),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1120] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17424),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1120),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1121] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17425),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1121),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1122] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17464),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1122),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1123] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17465),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1123),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1124] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17466),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1124),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1125] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(17670),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1125),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1126] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17714),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1126),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1127] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17717),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1127),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1128] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17718),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1128),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1129] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17759),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1129),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1130] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17761),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1130),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1131] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17762),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1131),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1132] = {
    [sym_value_definition] = STATE(19695),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(8338),
    [sym__sequence_expression] = STATE(8150),
    [sym_typed_expression] = STATE(3950),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3950),
    [sym_array_expression] = STATE(3950),
    [sym_record_expression] = STATE(3950),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3950),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3950),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3950),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3950),
    [sym_package_expression] = STATE(3950),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3950),
    [sym_object_copy_expression] = STATE(3950),
    [sym_method_invocation] = STATE(3950),
    [sym_object_expression] = STATE(3950),
    [sym_parenthesized_expression] = STATE(3950),
    [sym_attribute] = STATE(1132),
    [sym_extension] = STATE(3950),
    [sym_quoted_extension] = STATE(3950),
    [sym__constant] = STATE(3950),
    [sym_number] = STATE(4087),
    [sym_character] = STATE(4087),
    [sym_string] = STATE(4087),
    [sym_quoted_string] = STATE(4087),
    [sym_boolean] = STATE(4087),
    [sym_unit] = STATE(4087),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4005),
    [sym_parenthesized_operator] = STATE(4045),
    [sym_value_path] = STATE(3950),
    [sym_module_path] = STATE(17695),
    [sym_constructor_path] = STATE(3950),
    [sym__instance_variable_name] = STATE(19552),
    [sym__constructor_name] = STATE(4088),
    [sym_tag] = STATE(3950),
    [sym__lowercase_identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__uppercase_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1133] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(17961),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1133),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1134] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18002),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1134),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1135] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18003),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1135),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1136] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18004),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1136),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1137] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18052),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1137),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1138] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18055),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1138),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1139] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18056),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1139),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1140] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(18266),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1140),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1141] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18315),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1141),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1142] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18316),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1142),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1143] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18321),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1143),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1144] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18363),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1144),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1145] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18365),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1145),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1146] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18366),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1146),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1147] = {
    [sym_value_definition] = STATE(19695),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(8338),
    [sym__sequence_expression] = STATE(7981),
    [sym_typed_expression] = STATE(3950),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3950),
    [sym_array_expression] = STATE(3950),
    [sym_record_expression] = STATE(3950),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3950),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3950),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3950),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3950),
    [sym_package_expression] = STATE(3950),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3950),
    [sym_object_copy_expression] = STATE(3950),
    [sym_method_invocation] = STATE(3950),
    [sym_object_expression] = STATE(3950),
    [sym_parenthesized_expression] = STATE(3950),
    [sym_attribute] = STATE(1147),
    [sym_extension] = STATE(3950),
    [sym_quoted_extension] = STATE(3950),
    [sym__constant] = STATE(3950),
    [sym_number] = STATE(4087),
    [sym_character] = STATE(4087),
    [sym_string] = STATE(4087),
    [sym_quoted_string] = STATE(4087),
    [sym_boolean] = STATE(4087),
    [sym_unit] = STATE(4087),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4005),
    [sym_parenthesized_operator] = STATE(4045),
    [sym_value_path] = STATE(3950),
    [sym_module_path] = STATE(17695),
    [sym_constructor_path] = STATE(3950),
    [sym__instance_variable_name] = STATE(19552),
    [sym__constructor_name] = STATE(4088),
    [sym_tag] = STATE(3950),
    [sym__lowercase_identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__uppercase_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1148] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(18574),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1148),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1149] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18625),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1149),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1150] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18626),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1150),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1151] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18627),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1151),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1152] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18672),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1152),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1153] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18673),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1153),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1154] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18674),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1154),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1155] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1155),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1156] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19090),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1156),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1157] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19091),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1157),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1158] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19092),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1158),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1159] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19117),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1159),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1160] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19118),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1160),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1161] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19119),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1161),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1162] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11688),
    [sym__sequence_expression] = STATE(10296),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(1162),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1163] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(19253),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1163),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1164] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19283),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1164),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1165] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19284),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1165),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1166] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19285),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1166),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1167] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19309),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1167),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1168] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19312),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1168),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1169] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19314),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1169),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1170] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(19485),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1170),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1171] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19540),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1171),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1172] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19547),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1172),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1173] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19548),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1173),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1174] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19595),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1174),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1175] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19596),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1175),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1176] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19597),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1176),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1177] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18790),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1177),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1178] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(19801),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1178),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1179] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19856),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1179),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1180] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19857),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1180),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1181] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19859),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1181),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1182] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19901),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1182),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1183] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19902),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1183),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1184] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19904),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1184),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1185] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(20140),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1185),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1186] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20216),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1186),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1187] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20220),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1187),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1188] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20221),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1188),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1189] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20237),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1189),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1190] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20241),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1190),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1191] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20243),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1191),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1192] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(17490),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1192),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1193] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18494),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1193),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1194] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18532),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1194),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1195] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18573),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1195),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1196] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19558),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1196),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1197] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19662),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1197),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1198] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19818),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1198),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1199] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(19392),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1199),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1200] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19680),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1200),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1201] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19691),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1201),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1202] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19780),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1202),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1203] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20045),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1203),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1204] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20060),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1204),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1205] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20062),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1205),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1206] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(20089),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1206),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1207] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17688),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1207),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1208] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17690),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1208),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1209] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17694),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1209),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1210] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17860),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1210),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1211] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17862),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1211),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1212] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17867),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1212),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1213] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(19562),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1213),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1214] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19787),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1214),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1215] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19790),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1215),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1216] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19794),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1216),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1217] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19919),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1217),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1218] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19922),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1218),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1219] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19937),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1219),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1220] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(18951),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1220),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1221] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19403),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1221),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1222] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19432),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1222),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1223] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19484),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1223),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1224] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17450),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1224),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1225] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17477),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1225),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1226] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17495),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1226),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1227] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(19032),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1227),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1228] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19333),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1228),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1229] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19334),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1229),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1230] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19350),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1230),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1231] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19772),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1231),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1232] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19833),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1232),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1233] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19950),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1233),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1234] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(17750),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1234),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1235] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17875),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1235),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1236] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17879),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1236),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1237] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1237),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1238] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17968),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1238),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1239] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17970),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1239),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1240] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17975),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1240),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1241] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(18541),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1241),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1242] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18737),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1242),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1243] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18782),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1243),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1244] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18784),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1244),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1245] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19126),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1245),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1246] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19138),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1246),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1247] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19192),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1247),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1248] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(19749),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1248),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1249] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19824),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1249),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1250] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19825),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1250),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1251] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19826),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1251),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1252] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1252),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1253] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19871),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1253),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1254] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19872),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1254),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1255] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11688),
    [sym__sequence_expression] = STATE(10220),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(1255),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1256] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(20139),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1256),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1257] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20250),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1257),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1258] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20252),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1258),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1259] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20255),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1259),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1260] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20306),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1260),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1261] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(20087),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1261),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1262] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19058),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1262),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1263] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11688),
    [sym__sequence_expression] = STATE(10516),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(1263),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1264] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(18238),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1264),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1265] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18631),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1265),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1266] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18667),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1266),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1267] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18693),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1267),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1268] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18924),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1268),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1269] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18933),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1269),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1270] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18934),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1270),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1271] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11688),
    [sym__sequence_expression] = STATE(10517),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(1271),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1272] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(17507),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1272),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1273] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17635),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1273),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1274] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17647),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1274),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1275] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17655),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1275),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1276] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17743),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1276),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1277] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17764),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1277),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1278] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17777),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1278),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1279] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(18246),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1279),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1280] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18388),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1280),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1281] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18403),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1281),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1282] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18404),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1282),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1283] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18543),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1283),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1284] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18555),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1284),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1285] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18558),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1285),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1286] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(19010),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1286),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1287] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19149),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1287),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1288] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19151),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1288),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1289] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19158),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1289),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1290] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19238),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1290),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1291] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19246),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1291),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1292] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19249),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1292),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1293] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(20150),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1293),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1294] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17420),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1294),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1295] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17422),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1295),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1296] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17426),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1296),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1297] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17451),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1297),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1298] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17452),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1298),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1299] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17453),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1299),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1300] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(17643),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1300),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1301] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17691),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1301),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1302] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17692),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1302),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1303] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17693),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1303),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1304] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17713),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1304),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1305] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17719),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1305),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1306] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17726),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1306),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1307] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(17880),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1307),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1308] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17926),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1308),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1309] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17927),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1309),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1310] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17929),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1310),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1311] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17952),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1311),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1312] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17957),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1312),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1313] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(17958),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1313),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1314] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(18148),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1314),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1315] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18190),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1315),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1316] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18201),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1316),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1317] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18212),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1317),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1318] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18234),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1318),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1319] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18235),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1319),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1320] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18236),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1320),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1321] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(18421),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(1321),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1322] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18472),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1322),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1323] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18474),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1323),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1324] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18481),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1324),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1325] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18508),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1325),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1326] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18512),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1326),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1327] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18523),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1327),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1328] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11688),
    [sym__sequence_expression] = STATE(10446),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(1328),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1329] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11688),
    [sym__sequence_expression] = STATE(10306),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(1329),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1330] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(19582),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1330),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1331] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(19752),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1331),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1332] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(19754),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1332),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1333] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11688),
    [sym__sequence_expression] = STATE(10404),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(1333),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1334] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1334),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1335] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17896),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1335),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1336] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17934),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1336),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1337] = {
    [sym_value_definition] = STATE(17855),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10409),
    [sym__sequence_expression] = STATE(7926),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5179),
    [sym_array_get_expression] = STATE(5179),
    [sym_string_get_expression] = STATE(5179),
    [sym_bigarray_get_expression] = STATE(5179),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(1337),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(17832),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1338] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(19698),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1338),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1339] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(20251),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1339),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1340] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(20294),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1340),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1341] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18102),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1341),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1342] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17906),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1342),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1343] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17981),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1343),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1344] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17983),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1344),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1345] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18307),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1345),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1346] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18395),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1346),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1347] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18399),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1347),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1348] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18710),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1348),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1349] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18793),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1349),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1350] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18800),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1350),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1351] = {
    [sym_value_definition] = STATE(17855),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10409),
    [sym__sequence_expression] = STATE(7833),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5179),
    [sym_array_get_expression] = STATE(5179),
    [sym_string_get_expression] = STATE(5179),
    [sym_bigarray_get_expression] = STATE(5179),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(1351),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(17832),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1352] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18941),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1352),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1353] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18977),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1353),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1354] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18980),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1354),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1355] = {
    [sym_value_definition] = STATE(17855),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10409),
    [sym__sequence_expression] = STATE(7857),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5179),
    [sym_array_get_expression] = STATE(5179),
    [sym_string_get_expression] = STATE(5179),
    [sym_bigarray_get_expression] = STATE(5179),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(1355),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(17832),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1356] = {
    [sym_value_definition] = STATE(17855),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10409),
    [sym__sequence_expression] = STATE(7881),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5179),
    [sym_array_get_expression] = STATE(5179),
    [sym_string_get_expression] = STATE(5179),
    [sym_bigarray_get_expression] = STATE(5179),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(1356),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(17832),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1357] = {
    [sym_value_definition] = STATE(17855),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10409),
    [sym__sequence_expression] = STATE(7963),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5179),
    [sym_array_get_expression] = STATE(5179),
    [sym_string_get_expression] = STATE(5179),
    [sym_bigarray_get_expression] = STATE(5179),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(1357),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(17832),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1358] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(19170),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1358),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1359] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(19234),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1359),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1360] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(19242),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1360),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1361] = {
    [sym_value_definition] = STATE(17855),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10409),
    [sym__sequence_expression] = STATE(7826),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5179),
    [sym_array_get_expression] = STATE(5179),
    [sym_string_get_expression] = STATE(5179),
    [sym_bigarray_get_expression] = STATE(5179),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(1361),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(17832),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1362] = {
    [sym_value_definition] = STATE(17855),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10409),
    [sym__sequence_expression] = STATE(7915),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5179),
    [sym_array_get_expression] = STATE(5179),
    [sym_string_get_expression] = STATE(5179),
    [sym_bigarray_get_expression] = STATE(5179),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(1362),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(17832),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1363] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(19533),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1363),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1364] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(19643),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1364),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1365] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(19649),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1365),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1366] = {
    [sym_value_definition] = STATE(18151),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10277),
    [sym__sequence_expression] = STATE(8098),
    [sym_typed_expression] = STATE(5326),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5326),
    [sym_array_expression] = STATE(5326),
    [sym_record_expression] = STATE(5326),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5326),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5326),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5210),
    [sym_array_get_expression] = STATE(5210),
    [sym_string_get_expression] = STATE(5210),
    [sym_bigarray_get_expression] = STATE(5210),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5326),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5326),
    [sym_package_expression] = STATE(5326),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5326),
    [sym_object_copy_expression] = STATE(5326),
    [sym_method_invocation] = STATE(5326),
    [sym_object_expression] = STATE(5326),
    [sym_parenthesized_expression] = STATE(5326),
    [sym_attribute] = STATE(1366),
    [sym_extension] = STATE(5326),
    [sym_quoted_extension] = STATE(5326),
    [sym__constant] = STATE(5326),
    [sym_number] = STATE(5290),
    [sym_character] = STATE(5290),
    [sym_string] = STATE(5290),
    [sym_quoted_string] = STATE(5290),
    [sym_boolean] = STATE(5290),
    [sym_unit] = STATE(5290),
    [sym_sign_operator] = STATE(2230),
    [sym__value_name] = STATE(5280),
    [sym_parenthesized_operator] = STATE(5281),
    [sym_value_path] = STATE(5326),
    [sym_module_path] = STATE(17911),
    [sym_constructor_path] = STATE(5326),
    [sym__instance_variable_name] = STATE(18127),
    [sym__constructor_name] = STATE(5374),
    [sym_tag] = STATE(5326),
    [sym__lowercase_identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__uppercase_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1367] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(19931),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1367),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1368] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(19995),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1368),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1369] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(20004),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1369),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1370] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18114),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1370),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1371] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(20301),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1371),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1372] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17431),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1372),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1373] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17433),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1373),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1374] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17485),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1374),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1375] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17499),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1375),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1376] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17500),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1376),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1377] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17540),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1377),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1378] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17553),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1378),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1379] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17554),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1379),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1380] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17594),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1380),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1381] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17607),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1381),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1382] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17608),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1382),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1383] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17648),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1383),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1384] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17661),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1384),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1385] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17662),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1385),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1386] = {
    [sym_value_definition] = STATE(18151),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10277),
    [sym__sequence_expression] = STATE(8123),
    [sym_typed_expression] = STATE(5326),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5326),
    [sym_array_expression] = STATE(5326),
    [sym_record_expression] = STATE(5326),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5326),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5326),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5210),
    [sym_array_get_expression] = STATE(5210),
    [sym_string_get_expression] = STATE(5210),
    [sym_bigarray_get_expression] = STATE(5210),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5326),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5326),
    [sym_package_expression] = STATE(5326),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5326),
    [sym_object_copy_expression] = STATE(5326),
    [sym_method_invocation] = STATE(5326),
    [sym_object_expression] = STATE(5326),
    [sym_parenthesized_expression] = STATE(5326),
    [sym_attribute] = STATE(1386),
    [sym_extension] = STATE(5326),
    [sym_quoted_extension] = STATE(5326),
    [sym__constant] = STATE(5326),
    [sym_number] = STATE(5290),
    [sym_character] = STATE(5290),
    [sym_string] = STATE(5290),
    [sym_quoted_string] = STATE(5290),
    [sym_boolean] = STATE(5290),
    [sym_unit] = STATE(5290),
    [sym_sign_operator] = STATE(2230),
    [sym__value_name] = STATE(5280),
    [sym_parenthesized_operator] = STATE(5281),
    [sym_value_path] = STATE(5326),
    [sym_module_path] = STATE(17911),
    [sym_constructor_path] = STATE(5326),
    [sym__instance_variable_name] = STATE(18127),
    [sym__constructor_name] = STATE(5374),
    [sym_tag] = STATE(5326),
    [sym__lowercase_identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__uppercase_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1387] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17702),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1387),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1388] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17715),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1388),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1389] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17716),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1389),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1390] = {
    [sym_value_definition] = STATE(18151),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10277),
    [sym__sequence_expression] = STATE(8124),
    [sym_typed_expression] = STATE(5326),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5326),
    [sym_array_expression] = STATE(5326),
    [sym_record_expression] = STATE(5326),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5326),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5326),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5210),
    [sym_array_get_expression] = STATE(5210),
    [sym_string_get_expression] = STATE(5210),
    [sym_bigarray_get_expression] = STATE(5210),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5326),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5326),
    [sym_package_expression] = STATE(5326),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5326),
    [sym_object_copy_expression] = STATE(5326),
    [sym_method_invocation] = STATE(5326),
    [sym_object_expression] = STATE(5326),
    [sym_parenthesized_expression] = STATE(5326),
    [sym_attribute] = STATE(1390),
    [sym_extension] = STATE(5326),
    [sym_quoted_extension] = STATE(5326),
    [sym__constant] = STATE(5326),
    [sym_number] = STATE(5290),
    [sym_character] = STATE(5290),
    [sym_string] = STATE(5290),
    [sym_quoted_string] = STATE(5290),
    [sym_boolean] = STATE(5290),
    [sym_unit] = STATE(5290),
    [sym_sign_operator] = STATE(2230),
    [sym__value_name] = STATE(5280),
    [sym_parenthesized_operator] = STATE(5281),
    [sym_value_path] = STATE(5326),
    [sym_module_path] = STATE(17911),
    [sym_constructor_path] = STATE(5326),
    [sym__instance_variable_name] = STATE(18127),
    [sym__constructor_name] = STATE(5374),
    [sym_tag] = STATE(5326),
    [sym__lowercase_identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__uppercase_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1391] = {
    [sym_value_definition] = STATE(18151),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10277),
    [sym__sequence_expression] = STATE(8125),
    [sym_typed_expression] = STATE(5326),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5326),
    [sym_array_expression] = STATE(5326),
    [sym_record_expression] = STATE(5326),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5326),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5326),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5210),
    [sym_array_get_expression] = STATE(5210),
    [sym_string_get_expression] = STATE(5210),
    [sym_bigarray_get_expression] = STATE(5210),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5326),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5326),
    [sym_package_expression] = STATE(5326),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5326),
    [sym_object_copy_expression] = STATE(5326),
    [sym_method_invocation] = STATE(5326),
    [sym_object_expression] = STATE(5326),
    [sym_parenthesized_expression] = STATE(5326),
    [sym_attribute] = STATE(1391),
    [sym_extension] = STATE(5326),
    [sym_quoted_extension] = STATE(5326),
    [sym__constant] = STATE(5326),
    [sym_number] = STATE(5290),
    [sym_character] = STATE(5290),
    [sym_string] = STATE(5290),
    [sym_quoted_string] = STATE(5290),
    [sym_boolean] = STATE(5290),
    [sym_unit] = STATE(5290),
    [sym_sign_operator] = STATE(2230),
    [sym__value_name] = STATE(5280),
    [sym_parenthesized_operator] = STATE(5281),
    [sym_value_path] = STATE(5326),
    [sym_module_path] = STATE(17911),
    [sym_constructor_path] = STATE(5326),
    [sym__instance_variable_name] = STATE(18127),
    [sym__constructor_name] = STATE(5374),
    [sym_tag] = STATE(5326),
    [sym__lowercase_identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__uppercase_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1392] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17756),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1392),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1393] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17769),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1393),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1394] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17770),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1394),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1395] = {
    [sym_value_definition] = STATE(18151),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10277),
    [sym__sequence_expression] = STATE(8143),
    [sym_typed_expression] = STATE(5326),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5326),
    [sym_array_expression] = STATE(5326),
    [sym_record_expression] = STATE(5326),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5326),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5326),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5210),
    [sym_array_get_expression] = STATE(5210),
    [sym_string_get_expression] = STATE(5210),
    [sym_bigarray_get_expression] = STATE(5210),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5326),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5326),
    [sym_package_expression] = STATE(5326),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5326),
    [sym_object_copy_expression] = STATE(5326),
    [sym_method_invocation] = STATE(5326),
    [sym_object_expression] = STATE(5326),
    [sym_parenthesized_expression] = STATE(5326),
    [sym_attribute] = STATE(1395),
    [sym_extension] = STATE(5326),
    [sym_quoted_extension] = STATE(5326),
    [sym__constant] = STATE(5326),
    [sym_number] = STATE(5290),
    [sym_character] = STATE(5290),
    [sym_string] = STATE(5290),
    [sym_quoted_string] = STATE(5290),
    [sym_boolean] = STATE(5290),
    [sym_unit] = STATE(5290),
    [sym_sign_operator] = STATE(2230),
    [sym__value_name] = STATE(5280),
    [sym_parenthesized_operator] = STATE(5281),
    [sym_value_path] = STATE(5326),
    [sym_module_path] = STATE(17911),
    [sym_constructor_path] = STATE(5326),
    [sym__instance_variable_name] = STATE(18127),
    [sym__constructor_name] = STATE(5374),
    [sym_tag] = STATE(5326),
    [sym__lowercase_identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__uppercase_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1396] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17810),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1396),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1397] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17823),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1397),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1398] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17824),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1398),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1399] = {
    [sym_value_definition] = STATE(18151),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10277),
    [sym__sequence_expression] = STATE(8068),
    [sym_typed_expression] = STATE(5326),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5326),
    [sym_array_expression] = STATE(5326),
    [sym_record_expression] = STATE(5326),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5326),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5326),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5210),
    [sym_array_get_expression] = STATE(5210),
    [sym_string_get_expression] = STATE(5210),
    [sym_bigarray_get_expression] = STATE(5210),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5326),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5326),
    [sym_package_expression] = STATE(5326),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5326),
    [sym_object_copy_expression] = STATE(5326),
    [sym_method_invocation] = STATE(5326),
    [sym_object_expression] = STATE(5326),
    [sym_parenthesized_expression] = STATE(5326),
    [sym_attribute] = STATE(1399),
    [sym_extension] = STATE(5326),
    [sym_quoted_extension] = STATE(5326),
    [sym__constant] = STATE(5326),
    [sym_number] = STATE(5290),
    [sym_character] = STATE(5290),
    [sym_string] = STATE(5290),
    [sym_quoted_string] = STATE(5290),
    [sym_boolean] = STATE(5290),
    [sym_unit] = STATE(5290),
    [sym_sign_operator] = STATE(2230),
    [sym__value_name] = STATE(5280),
    [sym_parenthesized_operator] = STATE(5281),
    [sym_value_path] = STATE(5326),
    [sym_module_path] = STATE(17911),
    [sym_constructor_path] = STATE(5326),
    [sym__instance_variable_name] = STATE(18127),
    [sym__constructor_name] = STATE(5374),
    [sym_tag] = STATE(5326),
    [sym__lowercase_identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__uppercase_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1400] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17864),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1400),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1401] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17877),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1401),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1402] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17878),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1402),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1403] = {
    [sym_value_definition] = STATE(18151),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10277),
    [sym__sequence_expression] = STATE(8077),
    [sym_typed_expression] = STATE(5326),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5326),
    [sym_array_expression] = STATE(5326),
    [sym_record_expression] = STATE(5326),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5326),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5326),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5210),
    [sym_array_get_expression] = STATE(5210),
    [sym_string_get_expression] = STATE(5210),
    [sym_bigarray_get_expression] = STATE(5210),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(8137),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5326),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5326),
    [sym_package_expression] = STATE(5326),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5326),
    [sym_object_copy_expression] = STATE(5326),
    [sym_method_invocation] = STATE(5326),
    [sym_object_expression] = STATE(5326),
    [sym_parenthesized_expression] = STATE(5326),
    [sym_attribute] = STATE(1403),
    [sym_extension] = STATE(5326),
    [sym_quoted_extension] = STATE(5326),
    [sym__constant] = STATE(5326),
    [sym_number] = STATE(5290),
    [sym_character] = STATE(5290),
    [sym_string] = STATE(5290),
    [sym_quoted_string] = STATE(5290),
    [sym_boolean] = STATE(5290),
    [sym_unit] = STATE(5290),
    [sym_sign_operator] = STATE(2230),
    [sym__value_name] = STATE(5280),
    [sym_parenthesized_operator] = STATE(5281),
    [sym_value_path] = STATE(5326),
    [sym_module_path] = STATE(17911),
    [sym_constructor_path] = STATE(5326),
    [sym__instance_variable_name] = STATE(18127),
    [sym__constructor_name] = STATE(5374),
    [sym_tag] = STATE(5326),
    [sym__lowercase_identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__uppercase_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1404] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17918),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1404),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1405] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17931),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1405),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1406] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17932),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1406),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1407] = {
    [sym_value_definition] = STATE(18460),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12116),
    [sym__sequence_expression] = STATE(7926),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6453),
    [sym_array_get_expression] = STATE(6453),
    [sym_string_get_expression] = STATE(6453),
    [sym_bigarray_get_expression] = STATE(6453),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(1407),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(18440),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2873),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2875),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2879),
    [anon_sym_function] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2885),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1408] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17972),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1408),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1409] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17985),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1409),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1410] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(17986),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1410),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1411] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(18123),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1411),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1412] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18022),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1412),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1413] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18032),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1413),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1414] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18033),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1414),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1415] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18063),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1415),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1416] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18072),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1416),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1417] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18073),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1417),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1418] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18103),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1418),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1419] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18112),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1419),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1420] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18113),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1420),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1421] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18143),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1421),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1422] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18152),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1422),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1423] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18153),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1423),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1424] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18183),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1424),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1425] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18192),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1425),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1426] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18193),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1426),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1427] = {
    [sym_value_definition] = STATE(18460),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12116),
    [sym__sequence_expression] = STATE(7833),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6453),
    [sym_array_get_expression] = STATE(6453),
    [sym_string_get_expression] = STATE(6453),
    [sym_bigarray_get_expression] = STATE(6453),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(1427),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(18440),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2873),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2875),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2879),
    [anon_sym_function] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2885),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1428] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18223),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1428),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1429] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18232),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1429),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1430] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18233),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1430),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1431] = {
    [sym_value_definition] = STATE(18460),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12116),
    [sym__sequence_expression] = STATE(7857),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6453),
    [sym_array_get_expression] = STATE(6453),
    [sym_string_get_expression] = STATE(6453),
    [sym_bigarray_get_expression] = STATE(6453),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(1431),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(18440),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2873),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2875),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2879),
    [anon_sym_function] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2885),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1432] = {
    [sym_value_definition] = STATE(18460),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12116),
    [sym__sequence_expression] = STATE(7881),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6453),
    [sym_array_get_expression] = STATE(6453),
    [sym_string_get_expression] = STATE(6453),
    [sym_bigarray_get_expression] = STATE(6453),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(1432),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(18440),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2873),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2875),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2879),
    [anon_sym_function] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2885),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1433] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18263),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1433),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1434] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18272),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1434),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1435] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18273),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1435),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1436] = {
    [sym_value_definition] = STATE(18460),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12116),
    [sym__sequence_expression] = STATE(7963),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6453),
    [sym_array_get_expression] = STATE(6453),
    [sym_string_get_expression] = STATE(6453),
    [sym_bigarray_get_expression] = STATE(6453),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(1436),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(18440),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2873),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2875),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2879),
    [anon_sym_function] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2885),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1437] = {
    [sym_value_definition] = STATE(18460),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12116),
    [sym__sequence_expression] = STATE(7826),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6453),
    [sym_array_get_expression] = STATE(6453),
    [sym_string_get_expression] = STATE(6453),
    [sym_bigarray_get_expression] = STATE(6453),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(1437),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(18440),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2873),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2875),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2879),
    [anon_sym_function] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2885),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1438] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18303),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1438),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1439] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18312),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1439),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1440] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18313),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1440),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1441] = {
    [sym_value_definition] = STATE(18460),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12116),
    [sym__sequence_expression] = STATE(7915),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6453),
    [sym_array_get_expression] = STATE(6453),
    [sym_string_get_expression] = STATE(6453),
    [sym_bigarray_get_expression] = STATE(6453),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(8449),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(1441),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(18440),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2873),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2875),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2879),
    [anon_sym_function] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2885),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1442] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18343),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1442),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1443] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18352),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1443),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1444] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18353),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1444),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1445] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8311),
    [sym__sequence_expression] = STATE(7996),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(1445),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1446] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18383),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1446),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1447] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18392),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1447),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1448] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18393),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1448),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1449] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18423),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1449),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1450] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18432),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1450),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1451] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18433),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1451),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1452] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18461),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1452),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1453] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18470),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1453),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1454] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18471),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1454),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1455] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18500),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1455),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1456] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18509),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1456),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1457] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18510),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1457),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1458] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18538),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1458),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1459] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18547),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1459),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1460] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18548),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1460),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1461] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18576),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1461),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1462] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18585),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1462),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1463] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18586),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1463),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1464] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18614),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1464),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1465] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18623),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1465),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1466] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18624),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1466),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1467] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8311),
    [sym__sequence_expression] = STATE(8109),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(1467),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1468] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8311),
    [sym__sequence_expression] = STATE(8111),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(1468),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1469] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18652),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1469),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1470] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18661),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1470),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1471] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18662),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1471),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1472] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8311),
    [sym__sequence_expression] = STATE(8112),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(1472),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1473] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8311),
    [sym__sequence_expression] = STATE(8134),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(1473),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1474] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18689),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1474),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1475] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18698),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1475),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1476] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18699),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1476),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1477] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8311),
    [sym__sequence_expression] = STATE(8150),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(1477),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1478] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18726),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1478),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1479] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18735),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1479),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1480] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18736),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1480),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1481] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8311),
    [sym__sequence_expression] = STATE(7981),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(1481),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1482] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18762),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1482),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1483] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18771),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1483),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1484] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18772),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1484),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1485] = {
    [sym_value_definition] = STATE(19627),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8767),
    [sym__sequence_expression] = STATE(5311),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(1485),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1486] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9914),
    [sym__sequence_expression] = STATE(12909),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(1486),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1487] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18797),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1487),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1488] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18802),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1488),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1489] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18803),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1489),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1490] = {
    [sym__simple_expression] = STATE(3877),
    [sym_typed_expression] = STATE(3817),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_labeled_argument] = STATE(4449),
    [sym_prefix_expression] = STATE(3817),
    [sym_hash_expression] = STATE(3817),
    [sym_field_get_expression] = STATE(3817),
    [sym_array_get_expression] = STATE(3817),
    [sym_string_get_expression] = STATE(3817),
    [sym_bigarray_get_expression] = STATE(3817),
    [sym_coercion_expression] = STATE(3817),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(1490),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [aux_sym_class_application_repeat1] = STATE(2396),
    [sym__lowercase_identifier] = ACTIONS(3261),
    [anon_sym_SEMI_SEMI] = ACTIONS(3083),
    [anon_sym_let] = ACTIONS(3085),
    [anon_sym_and] = ACTIONS(3085),
    [anon_sym_TILDE] = ACTIONS(3263),
    [anon_sym_QMARK] = ACTIONS(3263),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_external] = ACTIONS(3085),
    [anon_sym_type] = ACTIONS(3085),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_RBRACK] = ACTIONS(3083),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_DOT] = ACTIONS(3265),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_SEMI] = ACTIONS(3085),
    [anon_sym_exception] = ACTIONS(3085),
    [anon_sym_module] = ACTIONS(3085),
    [anon_sym_open] = ACTIONS(3085),
    [anon_sym_include] = ACTIONS(3085),
    [anon_sym_class] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_POUND] = ACTIONS(3267),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3085),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(723),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3083),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(3269),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym_let_operator] = ACTIONS(3083),
    [sym_let_and_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_directive_token1] = ACTIONS(3085),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1491] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18820),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1491),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1492] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18825),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1492),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1493] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12541),
    [sym__sequence_expression] = STATE(18826),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(1493),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1494] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12138),
    [sym__sequence_expression] = STATE(17174),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(1494),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1495] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12138),
    [sym__sequence_expression] = STATE(17177),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(1495),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1496] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12138),
    [sym__sequence_expression] = STATE(17204),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_sequence_expression] = STATE(7471),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(1496),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1497] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(19465),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_sequence_expression] = STATE(5360),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1497),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1498] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1498),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3271),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1499] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12191),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1499),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3273),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1500] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12193),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1500),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3275),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1501] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1501),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3277),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1502] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1502),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3279),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1503] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1503),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3281),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1504] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1504),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3283),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1505] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12209),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1505),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3285),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1506] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12214),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1506),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3287),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1507] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1507),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3289),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1508] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1508),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1509] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1509),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1510] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1510),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3295),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1511] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12260),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1511),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3297),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1512] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12263),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1512),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1513] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1513),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3301),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1514] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1514),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1515] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1515),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3305),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1516] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1516),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3307),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1517] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12305),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1517),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1518] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12309),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1518),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3311),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1519] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1519),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3313),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1520] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1520),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3315),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1521] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1521),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3317),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1522] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1522),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1523] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12333),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1523),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3321),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1524] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12339),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1524),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3323),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1525] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1525),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3325),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1526] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1526),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1527] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1527),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3329),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1528] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1528),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3331),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1529] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12368),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1529),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3333),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1530] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12371),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1530),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3335),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1531] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1531),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3337),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1532] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1532),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3339),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1533] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1533),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3341),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1534] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1534),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1535] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12406),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1535),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3345),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1536] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12410),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1536),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1537] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1537),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3349),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1538] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1538),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3351),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1539] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1539),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3353),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1540] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1540),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3355),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1541] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12446),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1541),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3357),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1542] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12448),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1542),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3359),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1543] = {
    [sym__simple_expression] = STATE(4147),
    [sym_typed_expression] = STATE(4090),
    [sym_list_expression] = STATE(4090),
    [sym_array_expression] = STATE(4090),
    [sym_record_expression] = STATE(4090),
    [sym_labeled_argument] = STATE(4556),
    [sym_prefix_expression] = STATE(4090),
    [sym_hash_expression] = STATE(4090),
    [sym_field_get_expression] = STATE(4090),
    [sym_array_get_expression] = STATE(4090),
    [sym_string_get_expression] = STATE(4090),
    [sym_bigarray_get_expression] = STATE(4090),
    [sym_coercion_expression] = STATE(4090),
    [sym_local_open_expression] = STATE(4090),
    [sym_package_expression] = STATE(4090),
    [sym_new_expression] = STATE(4090),
    [sym_object_copy_expression] = STATE(4090),
    [sym_method_invocation] = STATE(4090),
    [sym_object_expression] = STATE(4090),
    [sym_parenthesized_expression] = STATE(4090),
    [sym_attribute] = STATE(1543),
    [sym_extension] = STATE(4090),
    [sym_quoted_extension] = STATE(4090),
    [sym__constant] = STATE(4090),
    [sym_number] = STATE(4058),
    [sym_character] = STATE(4058),
    [sym_string] = STATE(4058),
    [sym_quoted_string] = STATE(4058),
    [sym_boolean] = STATE(4058),
    [sym_unit] = STATE(4058),
    [sym__value_name] = STATE(4146),
    [sym_parenthesized_operator] = STATE(4003),
    [sym_value_path] = STATE(4090),
    [sym_module_path] = STATE(17476),
    [sym_constructor_path] = STATE(4090),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4090),
    [aux_sym_class_application_repeat1] = STATE(2399),
    [sym__lowercase_identifier] = ACTIONS(3361),
    [anon_sym_SEMI_SEMI] = ACTIONS(3083),
    [anon_sym_let] = ACTIONS(3085),
    [anon_sym_TILDE] = ACTIONS(3363),
    [anon_sym_QMARK] = ACTIONS(3363),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_external] = ACTIONS(3085),
    [anon_sym_type] = ACTIONS(3085),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_RBRACK] = ACTIONS(3083),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_DOT] = ACTIONS(3365),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(3085),
    [anon_sym_exception] = ACTIONS(3085),
    [anon_sym_module] = ACTIONS(3085),
    [anon_sym_open] = ACTIONS(3085),
    [anon_sym_include] = ACTIONS(3085),
    [anon_sym_class] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_POUND] = ACTIONS(3367),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_else] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3085),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(839),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(841),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3083),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(3369),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym_let_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(853),
    [aux_sym_directive_token1] = ACTIONS(3085),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1544] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1544),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3371),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1545] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1545),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3373),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1546] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1546),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3375),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1547] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1547),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1548] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1548),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3379),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1549] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1549),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3381),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1550] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1550),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3383),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1551] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1551),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3385),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1552] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1552),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3387),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1553] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1553),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3389),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1554] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1554),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3391),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1555] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12295),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1555),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3393),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1556] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12364),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1556),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3395),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1557] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1557),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3397),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1558] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1558),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3399),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1559] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1559),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3401),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1560] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1560),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3403),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1561] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12102),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1561),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3405),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1562] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12171),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1562),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3407),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1563] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1563),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3409),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1564] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1564),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3411),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1565] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1565),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3413),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1566] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1566),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3415),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1567] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12360),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1567),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3417),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1568] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12392),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1568),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3419),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1569] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1569),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3421),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1570] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1570),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3423),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1571] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1571),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3425),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1572] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1572),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3427),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1573] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12088),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1573),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3429),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1574] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12096),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1574),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3431),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1575] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1575),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3433),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1576] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1576),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3435),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1577] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1577),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3437),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1578] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1578),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3439),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1579] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12087),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1579),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3441),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1580] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12104),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1580),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3443),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1581] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1581),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3445),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1582] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1582),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3447),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1583] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1583),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3449),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1584] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1584),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3451),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1585] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12241),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1585),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3453),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1586] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12304),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1586),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3455),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1587] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1587),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3457),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1588] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1588),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3459),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1589] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1589),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3461),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1590] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1590),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3463),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1591] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12361),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1591),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3465),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1592] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12365),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1592),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3467),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1593] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1593),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3469),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1594] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1594),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3471),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1595] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1595),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3473),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1596] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1596),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3475),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1597] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12473),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1597),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3477),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1598] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12409),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1598),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3479),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1599] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1599),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3481),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1600] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1600),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3483),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1601] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1601),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3485),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1602] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1602),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3487),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1603] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12176),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1603),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3489),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1604] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12278),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1604),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3491),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1605] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1605),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3493),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1606] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1606),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3495),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1607] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1607),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3497),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1608] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1608),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3499),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1609] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12146),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1609),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3501),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1610] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12130),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1610),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3503),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1611] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12132),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1611),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3505),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1612] = {
    [sym__simple_expression] = STATE(4017),
    [sym_typed_expression] = STATE(3950),
    [sym_list_expression] = STATE(3950),
    [sym_array_expression] = STATE(3950),
    [sym_record_expression] = STATE(3950),
    [sym_labeled_argument] = STATE(4523),
    [sym_prefix_expression] = STATE(3950),
    [sym_hash_expression] = STATE(3950),
    [sym_field_get_expression] = STATE(3950),
    [sym_array_get_expression] = STATE(3950),
    [sym_string_get_expression] = STATE(3950),
    [sym_bigarray_get_expression] = STATE(3950),
    [sym_coercion_expression] = STATE(3950),
    [sym_local_open_expression] = STATE(3950),
    [sym_package_expression] = STATE(3950),
    [sym_new_expression] = STATE(3950),
    [sym_object_copy_expression] = STATE(3950),
    [sym_method_invocation] = STATE(3950),
    [sym_object_expression] = STATE(3950),
    [sym_parenthesized_expression] = STATE(3950),
    [sym_attribute] = STATE(1612),
    [sym_extension] = STATE(3950),
    [sym_quoted_extension] = STATE(3950),
    [sym__constant] = STATE(3950),
    [sym_number] = STATE(4087),
    [sym_character] = STATE(4087),
    [sym_string] = STATE(4087),
    [sym_quoted_string] = STATE(4087),
    [sym_boolean] = STATE(4087),
    [sym_unit] = STATE(4087),
    [sym__value_name] = STATE(4005),
    [sym_parenthesized_operator] = STATE(4045),
    [sym_value_path] = STATE(3950),
    [sym_module_path] = STATE(17695),
    [sym_constructor_path] = STATE(3950),
    [sym__constructor_name] = STATE(4088),
    [sym_tag] = STATE(3950),
    [aux_sym_class_application_repeat1] = STATE(2400),
    [sym__lowercase_identifier] = ACTIONS(3507),
    [anon_sym_SEMI_SEMI] = ACTIONS(3083),
    [anon_sym_let] = ACTIONS(3085),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_QMARK] = ACTIONS(3509),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_external] = ACTIONS(3085),
    [anon_sym_type] = ACTIONS(3085),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_SEMI] = ACTIONS(3085),
    [anon_sym_exception] = ACTIONS(3085),
    [anon_sym_module] = ACTIONS(3085),
    [anon_sym_open] = ACTIONS(3085),
    [anon_sym_include] = ACTIONS(3085),
    [anon_sym_class] = ACTIONS(3085),
    [anon_sym_end] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_POUND] = ACTIONS(3513),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_else] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3085),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(891),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(893),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3083),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(3515),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym_let_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(905),
    [aux_sym_directive_token1] = ACTIONS(3085),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1613] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1613),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3517),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1614] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1614),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3519),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1615] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1615),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3521),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1616] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1616),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3523),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1617] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12388),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1617),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3525),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1618] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12403),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1618),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3527),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1619] = {
    [sym__simple_expression] = STATE(3216),
    [sym_typed_expression] = STATE(3206),
    [sym_list_expression] = STATE(3206),
    [sym_array_expression] = STATE(3206),
    [sym_record_expression] = STATE(3206),
    [sym_labeled_argument] = STATE(4100),
    [sym_prefix_expression] = STATE(3206),
    [sym_hash_expression] = STATE(3206),
    [sym_field_get_expression] = STATE(3206),
    [sym_array_get_expression] = STATE(3206),
    [sym_string_get_expression] = STATE(3206),
    [sym_bigarray_get_expression] = STATE(3206),
    [sym_coercion_expression] = STATE(3206),
    [sym_local_open_expression] = STATE(3206),
    [sym_package_expression] = STATE(3206),
    [sym_new_expression] = STATE(3206),
    [sym_object_copy_expression] = STATE(3206),
    [sym_method_invocation] = STATE(3206),
    [sym_object_expression] = STATE(3206),
    [sym_parenthesized_expression] = STATE(3206),
    [sym_attribute] = STATE(1619),
    [sym_extension] = STATE(3206),
    [sym_quoted_extension] = STATE(3206),
    [sym__constant] = STATE(3206),
    [sym_number] = STATE(3173),
    [sym_character] = STATE(3173),
    [sym_string] = STATE(3173),
    [sym_quoted_string] = STATE(3173),
    [sym_boolean] = STATE(3173),
    [sym_unit] = STATE(3173),
    [sym__value_name] = STATE(3254),
    [sym_parenthesized_operator] = STATE(2954),
    [sym_value_path] = STATE(3206),
    [sym_module_path] = STATE(18572),
    [sym_constructor_path] = STATE(3206),
    [sym__constructor_name] = STATE(3180),
    [sym_tag] = STATE(3206),
    [aux_sym_class_application_repeat1] = STATE(1620),
    [sym__lowercase_identifier] = ACTIONS(3103),
    [anon_sym_SEMI_SEMI] = ACTIONS(3529),
    [anon_sym_let] = ACTIONS(3531),
    [anon_sym_and] = ACTIONS(3531),
    [anon_sym_TILDE] = ACTIONS(3105),
    [anon_sym_QMARK] = ACTIONS(3105),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_external] = ACTIONS(3531),
    [anon_sym_type] = ACTIONS(3531),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_SEMI] = ACTIONS(3531),
    [anon_sym_exception] = ACTIONS(3531),
    [anon_sym_module] = ACTIONS(3531),
    [anon_sym_open] = ACTIONS(3531),
    [anon_sym_include] = ACTIONS(3531),
    [anon_sym_class] = ACTIONS(3531),
    [anon_sym_end] = ACTIONS(3531),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_in] = ACTIONS(3531),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_else] = ACTIONS(3531),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3531),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3529),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(391),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym_let_operator] = ACTIONS(3529),
    [sym_let_and_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(403),
    [aux_sym_directive_token1] = ACTIONS(3529),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1620] = {
    [sym__simple_expression] = STATE(3216),
    [sym_typed_expression] = STATE(3206),
    [sym_list_expression] = STATE(3206),
    [sym_array_expression] = STATE(3206),
    [sym_record_expression] = STATE(3206),
    [sym_labeled_argument] = STATE(4100),
    [sym_prefix_expression] = STATE(3206),
    [sym_hash_expression] = STATE(3206),
    [sym_field_get_expression] = STATE(3206),
    [sym_array_get_expression] = STATE(3206),
    [sym_string_get_expression] = STATE(3206),
    [sym_bigarray_get_expression] = STATE(3206),
    [sym_coercion_expression] = STATE(3206),
    [sym_local_open_expression] = STATE(3206),
    [sym_package_expression] = STATE(3206),
    [sym_new_expression] = STATE(3206),
    [sym_object_copy_expression] = STATE(3206),
    [sym_method_invocation] = STATE(3206),
    [sym_object_expression] = STATE(3206),
    [sym_parenthesized_expression] = STATE(3206),
    [sym_attribute] = STATE(1620),
    [sym_extension] = STATE(3206),
    [sym_quoted_extension] = STATE(3206),
    [sym__constant] = STATE(3206),
    [sym_number] = STATE(3173),
    [sym_character] = STATE(3173),
    [sym_string] = STATE(3173),
    [sym_quoted_string] = STATE(3173),
    [sym_boolean] = STATE(3173),
    [sym_unit] = STATE(3173),
    [sym__value_name] = STATE(3254),
    [sym_parenthesized_operator] = STATE(2954),
    [sym_value_path] = STATE(3206),
    [sym_module_path] = STATE(18572),
    [sym_constructor_path] = STATE(3206),
    [sym__constructor_name] = STATE(3180),
    [sym_tag] = STATE(3206),
    [aux_sym_class_application_repeat1] = STATE(1620),
    [sym__lowercase_identifier] = ACTIONS(3533),
    [anon_sym_SEMI_SEMI] = ACTIONS(3536),
    [anon_sym_let] = ACTIONS(3538),
    [anon_sym_and] = ACTIONS(3538),
    [anon_sym_TILDE] = ACTIONS(3540),
    [anon_sym_QMARK] = ACTIONS(3540),
    [anon_sym_LPAREN] = ACTIONS(3543),
    [anon_sym_external] = ACTIONS(3538),
    [anon_sym_type] = ACTIONS(3538),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(3546),
    [anon_sym_true] = ACTIONS(3549),
    [anon_sym_false] = ACTIONS(3549),
    [anon_sym_LBRACE] = ACTIONS(3552),
    [anon_sym_SEMI] = ACTIONS(3538),
    [anon_sym_exception] = ACTIONS(3538),
    [anon_sym_module] = ACTIONS(3538),
    [anon_sym_open] = ACTIONS(3538),
    [anon_sym_include] = ACTIONS(3538),
    [anon_sym_class] = ACTIONS(3538),
    [anon_sym_end] = ACTIONS(3538),
    [anon_sym_object] = ACTIONS(3555),
    [anon_sym_in] = ACTIONS(3538),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3558),
    [anon_sym_else] = ACTIONS(3538),
    [anon_sym_new] = ACTIONS(3561),
    [anon_sym_LBRACE_LT] = ACTIONS(3564),
    [anon_sym_begin] = ACTIONS(3567),
    [sym_ocamlyacc_value] = ACTIONS(3570),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3538),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3536),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3576),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3536),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3536),
    [aux_sym_number_token1] = ACTIONS(3579),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(3582),
    [anon_sym_DQUOTE] = ACTIONS(3585),
    [sym_prefix_operator] = ACTIONS(3588),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym_let_operator] = ACTIONS(3536),
    [sym_let_and_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(3591),
    [aux_sym_directive_token1] = ACTIONS(3536),
    [aux_sym_tag_token1] = ACTIONS(3594),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1621] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12216),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1621),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3597),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1622] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12220),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1622),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3599),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1623] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1623),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3601),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1624] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1624),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3603),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1625] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1625),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3605),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1626] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1626),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3607),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1627] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12340),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1627),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3609),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1628] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12344),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1628),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3611),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1629] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1629),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3613),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1630] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1630),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3615),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1631] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1631),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3617),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1632] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1632),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3619),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1633] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1633),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3621),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1634] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1634),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3623),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1635] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12417),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1635),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3625),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1636] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1636),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3627),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1637] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1637),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3629),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1638] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1638),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3631),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1639] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1639),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3633),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1640] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1640),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3635),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1641] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12100),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1641),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3637),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1642] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1642),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3639),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1643] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1643),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3641),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1644] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1644),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3643),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1645] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1645),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3645),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1646] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1646),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3647),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1647] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12376),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1647),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3649),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1648] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12179),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1648),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3651),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1649] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12347),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1649),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3653),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1650] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1650),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3655),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1651] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1651),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3657),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1652] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1652),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3659),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1653] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1653),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3661),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1654] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12366),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1654),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3663),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1655] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1655),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3665),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1656] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12307),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1656),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3667),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1657] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12471),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1657),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3669),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1658] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1658),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3671),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1659] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1659),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3673),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1660] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1660),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3675),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1661] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1661),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3677),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1662] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1662),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3679),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1663] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1663),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3681),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1664] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1664),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3683),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1665] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12280),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1665),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3685),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1666] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12329),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1666),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3687),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1667] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1667),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3689),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1668] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1668),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3691),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1669] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1669),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3693),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1670] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1670),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3695),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1671] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1671),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3697),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1672] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1672),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3699),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1673] = {
    [sym__simple_expression] = STATE(3122),
    [sym_typed_expression] = STATE(3112),
    [sym_list_expression] = STATE(3112),
    [sym_array_expression] = STATE(3112),
    [sym_record_expression] = STATE(3112),
    [sym_labeled_argument] = STATE(4082),
    [sym_prefix_expression] = STATE(3112),
    [sym_hash_expression] = STATE(3112),
    [sym_field_get_expression] = STATE(3112),
    [sym_array_get_expression] = STATE(3112),
    [sym_string_get_expression] = STATE(3112),
    [sym_bigarray_get_expression] = STATE(3112),
    [sym_coercion_expression] = STATE(3112),
    [sym_local_open_expression] = STATE(3112),
    [sym_package_expression] = STATE(3112),
    [sym_new_expression] = STATE(3112),
    [sym_object_copy_expression] = STATE(3112),
    [sym_method_invocation] = STATE(3112),
    [sym_object_expression] = STATE(3112),
    [sym_parenthesized_expression] = STATE(3112),
    [sym_attribute] = STATE(1673),
    [sym_extension] = STATE(3112),
    [sym_quoted_extension] = STATE(3112),
    [sym__constant] = STATE(3112),
    [sym_number] = STATE(3002),
    [sym_character] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_quoted_string] = STATE(3002),
    [sym_boolean] = STATE(3002),
    [sym_unit] = STATE(3002),
    [sym__value_name] = STATE(3175),
    [sym_parenthesized_operator] = STATE(3259),
    [sym_value_path] = STATE(3112),
    [sym_module_path] = STATE(18457),
    [sym_constructor_path] = STATE(3112),
    [sym__constructor_name] = STATE(3005),
    [sym_tag] = STATE(3112),
    [aux_sym_class_application_repeat1] = STATE(1728),
    [sym__lowercase_identifier] = ACTIONS(3081),
    [anon_sym_SEMI_SEMI] = ACTIONS(3529),
    [anon_sym_let] = ACTIONS(3531),
    [anon_sym_and] = ACTIONS(3531),
    [anon_sym_TILDE] = ACTIONS(3087),
    [anon_sym_QMARK] = ACTIONS(3087),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_external] = ACTIONS(3531),
    [anon_sym_type] = ACTIONS(3531),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_RBRACK] = ACTIONS(3529),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_SEMI] = ACTIONS(3531),
    [anon_sym_exception] = ACTIONS(3531),
    [anon_sym_module] = ACTIONS(3531),
    [anon_sym_open] = ACTIONS(3531),
    [anon_sym_include] = ACTIONS(3531),
    [anon_sym_class] = ACTIONS(3531),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_in] = ACTIONS(3531),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_else] = ACTIONS(3531),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3531),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3529),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(333),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(335),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym_let_operator] = ACTIONS(3529),
    [sym_let_and_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(351),
    [aux_sym_directive_token1] = ACTIONS(3529),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1674] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1674),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3701),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1675] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12224),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1675),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3703),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1676] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12246),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1676),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3705),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1677] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1677),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3707),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1678] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1678),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3709),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1679] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1679),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3711),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1680] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1680),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3713),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1681] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12190),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1681),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3715),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1682] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12405),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1682),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3717),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1683] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12427),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1683),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3719),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1684] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1684),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3721),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1685] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1685),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3723),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1686] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1686),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3725),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1687] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1687),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3727),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1688] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12351),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1688),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3729),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1689] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12192),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1689),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3731),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1690] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1690),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3733),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1691] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1691),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3735),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1692] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1692),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3737),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1693] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1693),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3739),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1694] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12112),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1694),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3741),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1695] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12139),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1695),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3743),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1696] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1696),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3745),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1697] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1697),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3747),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1698] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1698),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3749),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1699] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1699),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3751),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1700] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12097),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1700),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3753),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1701] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12121),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1701),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3755),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1702] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1702),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3757),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1703] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1703),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3759),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1704] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1704),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3761),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1705] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1705),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3763),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1706] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12250),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1706),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3765),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1707] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12324),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1707),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3767),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1708] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1708),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3769),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1709] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1709),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3771),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1710] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1710),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3773),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1711] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1711),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3775),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1712] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12103),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1712),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3777),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1713] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12111),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1713),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3779),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1714] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1714),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3781),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1715] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1715),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3783),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1716] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1716),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3785),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1717] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1717),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3787),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1718] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12215),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1718),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3789),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1719] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12230),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1719),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3791),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1720] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1720),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3793),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1721] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1721),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3795),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1722] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12343),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1722),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3797),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1723] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1723),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3799),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1724] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1724),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3801),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1725] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12218),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1725),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3803),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1726] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12341),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1726),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3805),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1727] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12346),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1727),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3807),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1728] = {
    [sym__simple_expression] = STATE(3122),
    [sym_typed_expression] = STATE(3112),
    [sym_list_expression] = STATE(3112),
    [sym_array_expression] = STATE(3112),
    [sym_record_expression] = STATE(3112),
    [sym_labeled_argument] = STATE(4082),
    [sym_prefix_expression] = STATE(3112),
    [sym_hash_expression] = STATE(3112),
    [sym_field_get_expression] = STATE(3112),
    [sym_array_get_expression] = STATE(3112),
    [sym_string_get_expression] = STATE(3112),
    [sym_bigarray_get_expression] = STATE(3112),
    [sym_coercion_expression] = STATE(3112),
    [sym_local_open_expression] = STATE(3112),
    [sym_package_expression] = STATE(3112),
    [sym_new_expression] = STATE(3112),
    [sym_object_copy_expression] = STATE(3112),
    [sym_method_invocation] = STATE(3112),
    [sym_object_expression] = STATE(3112),
    [sym_parenthesized_expression] = STATE(3112),
    [sym_attribute] = STATE(1728),
    [sym_extension] = STATE(3112),
    [sym_quoted_extension] = STATE(3112),
    [sym__constant] = STATE(3112),
    [sym_number] = STATE(3002),
    [sym_character] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_quoted_string] = STATE(3002),
    [sym_boolean] = STATE(3002),
    [sym_unit] = STATE(3002),
    [sym__value_name] = STATE(3175),
    [sym_parenthesized_operator] = STATE(3259),
    [sym_value_path] = STATE(3112),
    [sym_module_path] = STATE(18457),
    [sym_constructor_path] = STATE(3112),
    [sym__constructor_name] = STATE(3005),
    [sym_tag] = STATE(3112),
    [aux_sym_class_application_repeat1] = STATE(1728),
    [sym__lowercase_identifier] = ACTIONS(3809),
    [anon_sym_SEMI_SEMI] = ACTIONS(3536),
    [anon_sym_let] = ACTIONS(3538),
    [anon_sym_and] = ACTIONS(3538),
    [anon_sym_TILDE] = ACTIONS(3812),
    [anon_sym_QMARK] = ACTIONS(3812),
    [anon_sym_LPAREN] = ACTIONS(3815),
    [anon_sym_external] = ACTIONS(3538),
    [anon_sym_type] = ACTIONS(3538),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(3818),
    [anon_sym_RBRACK] = ACTIONS(3536),
    [anon_sym_true] = ACTIONS(3821),
    [anon_sym_false] = ACTIONS(3821),
    [anon_sym_LBRACE] = ACTIONS(3824),
    [anon_sym_SEMI] = ACTIONS(3538),
    [anon_sym_exception] = ACTIONS(3538),
    [anon_sym_module] = ACTIONS(3538),
    [anon_sym_open] = ACTIONS(3538),
    [anon_sym_include] = ACTIONS(3538),
    [anon_sym_class] = ACTIONS(3538),
    [anon_sym_object] = ACTIONS(3827),
    [anon_sym_in] = ACTIONS(3538),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3830),
    [anon_sym_else] = ACTIONS(3538),
    [anon_sym_new] = ACTIONS(3833),
    [anon_sym_LBRACE_LT] = ACTIONS(3836),
    [anon_sym_begin] = ACTIONS(3839),
    [sym_ocamlyacc_value] = ACTIONS(3842),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3538),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3536),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3845),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3848),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3536),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3536),
    [aux_sym_number_token1] = ACTIONS(3851),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(3854),
    [anon_sym_DQUOTE] = ACTIONS(3857),
    [sym_prefix_operator] = ACTIONS(3860),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym_let_operator] = ACTIONS(3536),
    [sym_let_and_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(3863),
    [aux_sym_directive_token1] = ACTIONS(3536),
    [aux_sym_tag_token1] = ACTIONS(3866),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1729] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1729),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3869),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1730] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1730),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3871),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1731] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1731),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3873),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1732] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1732),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3875),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1733] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1733),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3877),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1734] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1734),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3879),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1735] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12084),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1735),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3881),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1736] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12091),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1736),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3883),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1737] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1737),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3885),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1738] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1738),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3887),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1739] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1739),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3889),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1740] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1740),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3891),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1741] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12133),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1741),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3893),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1742] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12136),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1742),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3895),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1743] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1743),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3897),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1744] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1744),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3899),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1745] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1745),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3901),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1746] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1746),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3903),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1747] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1747),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3905),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1748] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1748),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3907),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1749] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1749),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3909),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1750] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12163),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1750),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3911),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1751] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12166),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1751),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3913),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1752] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1752),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3915),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1753] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1753),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3917),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1754] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1754),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3919),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1755] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12316),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1755),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3921),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1756] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8286),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(1756),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1757] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10629),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1757),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1758] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10634),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1758),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1759] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1759),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1760] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10636),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1760),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1761] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10642),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1761),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1762] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10663),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1762),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1763] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10665),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1763),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1764] = {
    [sym_value_definition] = STATE(19627),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8527),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(1764),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1765] = {
    [sym_value_definition] = STATE(18204),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11996),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6064),
    [sym_array_get_expression] = STATE(6064),
    [sym_string_get_expression] = STATE(6064),
    [sym_bigarray_get_expression] = STATE(6064),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(1765),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(1803),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(18015),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1766] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8231),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(1766),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1767] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12335),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1767),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1768] = {
    [sym_value_definition] = STATE(20267),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9443),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4739),
    [sym_array_get_expression] = STATE(4739),
    [sym_string_get_expression] = STATE(4739),
    [sym_bigarray_get_expression] = STATE(4739),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(1768),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(1768),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(20080),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(993),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1769] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12252),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1769),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1770] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12253),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1770),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1771] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12254),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1771),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1772] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12256),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1772),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1773] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12257),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1773),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1774] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12261),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1774),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1775] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12262),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1775),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1776] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12265),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1776),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1777] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12269),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1777),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1778] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12270),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1778),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1779] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12271),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1779),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1780] = {
    [sym_value_definition] = STATE(19847),
    [sym__simple_expression] = STATE(1543),
    [sym__expression] = STATE(8330),
    [sym_typed_expression] = STATE(4090),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4090),
    [sym_array_expression] = STATE(4090),
    [sym_record_expression] = STATE(4090),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4090),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4090),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3779),
    [sym_array_get_expression] = STATE(3779),
    [sym_string_get_expression] = STATE(3779),
    [sym_bigarray_get_expression] = STATE(3779),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4090),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4090),
    [sym_package_expression] = STATE(4090),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4090),
    [sym_object_copy_expression] = STATE(4090),
    [sym_method_invocation] = STATE(4090),
    [sym_object_expression] = STATE(4090),
    [sym_parenthesized_expression] = STATE(4090),
    [sym_attribute] = STATE(1780),
    [sym_extension] = STATE(4090),
    [sym_quoted_extension] = STATE(4090),
    [sym__constant] = STATE(4090),
    [sym_number] = STATE(4058),
    [sym_character] = STATE(4058),
    [sym_string] = STATE(4058),
    [sym_quoted_string] = STATE(4058),
    [sym_boolean] = STATE(4058),
    [sym_unit] = STATE(4058),
    [sym_sign_operator] = STATE(2132),
    [sym__value_name] = STATE(4146),
    [sym_parenthesized_operator] = STATE(4003),
    [sym_value_path] = STATE(4090),
    [sym_module_path] = STATE(17476),
    [sym_constructor_path] = STATE(4090),
    [sym__instance_variable_name] = STATE(19788),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4090),
    [sym__lowercase_identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3077),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3079),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__uppercase_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1781] = {
    [sym_value_definition] = STATE(20267),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9678),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4739),
    [sym_array_get_expression] = STATE(4739),
    [sym_string_get_expression] = STATE(4739),
    [sym_bigarray_get_expression] = STATE(4739),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(1781),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(1768),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(20080),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(993),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1782] = {
    [sym_value_definition] = STATE(20267),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9679),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4739),
    [sym_array_get_expression] = STATE(4739),
    [sym_string_get_expression] = STATE(4739),
    [sym_bigarray_get_expression] = STATE(4739),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(1782),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(1768),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(20080),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(993),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1783] = {
    [sym_value_definition] = STATE(20267),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9680),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4739),
    [sym_array_get_expression] = STATE(4739),
    [sym_string_get_expression] = STATE(4739),
    [sym_bigarray_get_expression] = STATE(4739),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(1783),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(1768),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(20080),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(993),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1784] = {
    [sym_value_definition] = STATE(20267),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9681),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4739),
    [sym_array_get_expression] = STATE(4739),
    [sym_string_get_expression] = STATE(4739),
    [sym_bigarray_get_expression] = STATE(4739),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(1784),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(1768),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(20080),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(993),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1785] = {
    [sym_value_definition] = STATE(19077),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12281),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6561),
    [sym_array_get_expression] = STATE(6561),
    [sym_string_get_expression] = STATE(6561),
    [sym_bigarray_get_expression] = STATE(6561),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1785),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(1767),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(20280),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2871),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1786] = {
    [sym_value_definition] = STATE(20267),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9682),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4739),
    [sym_array_get_expression] = STATE(4739),
    [sym_string_get_expression] = STATE(4739),
    [sym_bigarray_get_expression] = STATE(4739),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(1786),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(1768),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(20080),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(993),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1787] = {
    [sym_value_definition] = STATE(20267),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9683),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4739),
    [sym_array_get_expression] = STATE(4739),
    [sym_string_get_expression] = STATE(4739),
    [sym_bigarray_get_expression] = STATE(4739),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(1787),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(1768),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(20080),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(993),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1788] = {
    [sym_value_definition] = STATE(20267),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9684),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4739),
    [sym_array_get_expression] = STATE(4739),
    [sym_string_get_expression] = STATE(4739),
    [sym_bigarray_get_expression] = STATE(4739),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(1788),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(1768),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(20080),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(993),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1789] = {
    [sym_value_definition] = STATE(19695),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(8351),
    [sym_typed_expression] = STATE(3950),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3950),
    [sym_array_expression] = STATE(3950),
    [sym_record_expression] = STATE(3950),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3950),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3950),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3950),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3950),
    [sym_package_expression] = STATE(3950),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3950),
    [sym_object_copy_expression] = STATE(3950),
    [sym_method_invocation] = STATE(3950),
    [sym_object_expression] = STATE(3950),
    [sym_parenthesized_expression] = STATE(3950),
    [sym_attribute] = STATE(1789),
    [sym_extension] = STATE(3950),
    [sym_quoted_extension] = STATE(3950),
    [sym__constant] = STATE(3950),
    [sym_number] = STATE(4087),
    [sym_character] = STATE(4087),
    [sym_string] = STATE(4087),
    [sym_quoted_string] = STATE(4087),
    [sym_boolean] = STATE(4087),
    [sym_unit] = STATE(4087),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4005),
    [sym_parenthesized_operator] = STATE(4045),
    [sym_value_path] = STATE(3950),
    [sym_module_path] = STATE(17695),
    [sym_constructor_path] = STATE(3950),
    [sym__instance_variable_name] = STATE(19552),
    [sym__constructor_name] = STATE(4088),
    [sym_tag] = STATE(3950),
    [sym__lowercase_identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__uppercase_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1790] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11232),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5655),
    [sym_array_get_expression] = STATE(5655),
    [sym_string_get_expression] = STATE(5655),
    [sym_bigarray_get_expression] = STATE(5655),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(1790),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17993),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1791] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11595),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5655),
    [sym_array_get_expression] = STATE(5655),
    [sym_string_get_expression] = STATE(5655),
    [sym_bigarray_get_expression] = STATE(5655),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(1791),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17993),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1792] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11596),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5655),
    [sym_array_get_expression] = STATE(5655),
    [sym_string_get_expression] = STATE(5655),
    [sym_bigarray_get_expression] = STATE(5655),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(1792),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17993),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1793] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11075),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5655),
    [sym_array_get_expression] = STATE(5655),
    [sym_string_get_expression] = STATE(5655),
    [sym_bigarray_get_expression] = STATE(5655),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(1793),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17993),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1794] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11076),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5655),
    [sym_array_get_expression] = STATE(5655),
    [sym_string_get_expression] = STATE(5655),
    [sym_bigarray_get_expression] = STATE(5655),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(1794),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17993),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1795] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11077),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5655),
    [sym_array_get_expression] = STATE(5655),
    [sym_string_get_expression] = STATE(5655),
    [sym_bigarray_get_expression] = STATE(5655),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(1795),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17993),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1796] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11078),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5655),
    [sym_array_get_expression] = STATE(5655),
    [sym_string_get_expression] = STATE(5655),
    [sym_bigarray_get_expression] = STATE(5655),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(1796),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17993),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1797] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11079),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5655),
    [sym_array_get_expression] = STATE(5655),
    [sym_string_get_expression] = STATE(5655),
    [sym_bigarray_get_expression] = STATE(5655),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(1797),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17993),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1798] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11080),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5655),
    [sym_array_get_expression] = STATE(5655),
    [sym_string_get_expression] = STATE(5655),
    [sym_bigarray_get_expression] = STATE(5655),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(1798),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17993),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1799] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11081),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5655),
    [sym_array_get_expression] = STATE(5655),
    [sym_string_get_expression] = STATE(5655),
    [sym_bigarray_get_expression] = STATE(5655),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(1799),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17993),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1800] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11082),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5655),
    [sym_array_get_expression] = STATE(5655),
    [sym_string_get_expression] = STATE(5655),
    [sym_bigarray_get_expression] = STATE(5655),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(1800),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17993),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1801] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11083),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5655),
    [sym_array_get_expression] = STATE(5655),
    [sym_string_get_expression] = STATE(5655),
    [sym_bigarray_get_expression] = STATE(5655),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(1801),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17993),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1802] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11086),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5655),
    [sym_array_get_expression] = STATE(5655),
    [sym_string_get_expression] = STATE(5655),
    [sym_bigarray_get_expression] = STATE(5655),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(1802),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17993),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1803] = {
    [sym_value_definition] = STATE(18204),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(12027),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6064),
    [sym_array_get_expression] = STATE(6064),
    [sym_string_get_expression] = STATE(6064),
    [sym_bigarray_get_expression] = STATE(6064),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(1803),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(1803),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(18015),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1804] = {
    [sym_value_definition] = STATE(20267),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9685),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4739),
    [sym_array_get_expression] = STATE(4739),
    [sym_string_get_expression] = STATE(4739),
    [sym_bigarray_get_expression] = STATE(4739),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(1804),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(1768),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(20080),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(993),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1805] = {
    [sym_value_definition] = STATE(18204),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11981),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6064),
    [sym_array_get_expression] = STATE(6064),
    [sym_string_get_expression] = STATE(6064),
    [sym_bigarray_get_expression] = STATE(6064),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(1805),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(1803),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(18015),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1806] = {
    [sym_value_definition] = STATE(18204),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11982),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6064),
    [sym_array_get_expression] = STATE(6064),
    [sym_string_get_expression] = STATE(6064),
    [sym_bigarray_get_expression] = STATE(6064),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(1806),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(1803),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(18015),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1807] = {
    [sym_value_definition] = STATE(18204),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11984),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6064),
    [sym_array_get_expression] = STATE(6064),
    [sym_string_get_expression] = STATE(6064),
    [sym_bigarray_get_expression] = STATE(6064),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(1807),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(1803),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(18015),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1808] = {
    [sym_value_definition] = STATE(18204),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11985),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6064),
    [sym_array_get_expression] = STATE(6064),
    [sym_string_get_expression] = STATE(6064),
    [sym_bigarray_get_expression] = STATE(6064),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(1808),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(1803),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(18015),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1809] = {
    [sym_value_definition] = STATE(18204),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11986),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6064),
    [sym_array_get_expression] = STATE(6064),
    [sym_string_get_expression] = STATE(6064),
    [sym_bigarray_get_expression] = STATE(6064),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(1809),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(1803),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(18015),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1810] = {
    [sym_value_definition] = STATE(18204),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11987),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6064),
    [sym_array_get_expression] = STATE(6064),
    [sym_string_get_expression] = STATE(6064),
    [sym_bigarray_get_expression] = STATE(6064),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(1810),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(1803),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(18015),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1811] = {
    [sym_value_definition] = STATE(18204),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11988),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6064),
    [sym_array_get_expression] = STATE(6064),
    [sym_string_get_expression] = STATE(6064),
    [sym_bigarray_get_expression] = STATE(6064),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(1811),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(1803),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(18015),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1812] = {
    [sym_value_definition] = STATE(18204),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11989),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6064),
    [sym_array_get_expression] = STATE(6064),
    [sym_string_get_expression] = STATE(6064),
    [sym_bigarray_get_expression] = STATE(6064),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(1812),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(1803),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(18015),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1813] = {
    [sym_value_definition] = STATE(18204),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11990),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6064),
    [sym_array_get_expression] = STATE(6064),
    [sym_string_get_expression] = STATE(6064),
    [sym_bigarray_get_expression] = STATE(6064),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(1813),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(1803),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(18015),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1814] = {
    [sym_value_definition] = STATE(18204),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11991),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6064),
    [sym_array_get_expression] = STATE(6064),
    [sym_string_get_expression] = STATE(6064),
    [sym_bigarray_get_expression] = STATE(6064),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(1814),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(1803),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(18015),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1815] = {
    [sym_value_definition] = STATE(18204),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11992),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6064),
    [sym_array_get_expression] = STATE(6064),
    [sym_string_get_expression] = STATE(6064),
    [sym_bigarray_get_expression] = STATE(6064),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(1815),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(1803),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(18015),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1816] = {
    [sym_value_definition] = STATE(20267),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9686),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4739),
    [sym_array_get_expression] = STATE(4739),
    [sym_string_get_expression] = STATE(4739),
    [sym_bigarray_get_expression] = STATE(4739),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(1816),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(1768),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(20080),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(993),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1817] = {
    [sym_value_definition] = STATE(20267),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9687),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4739),
    [sym_array_get_expression] = STATE(4739),
    [sym_string_get_expression] = STATE(4739),
    [sym_bigarray_get_expression] = STATE(4739),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(1817),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(1768),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(20080),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(993),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1818] = {
    [sym_value_definition] = STATE(20267),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9688),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4739),
    [sym_array_get_expression] = STATE(4739),
    [sym_string_get_expression] = STATE(4739),
    [sym_bigarray_get_expression] = STATE(4739),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(1818),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(1768),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(20080),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(993),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1819] = {
    [sym_value_definition] = STATE(19847),
    [sym__simple_expression] = STATE(1543),
    [sym__expression] = STATE(8331),
    [sym_typed_expression] = STATE(4090),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4090),
    [sym_array_expression] = STATE(4090),
    [sym_record_expression] = STATE(4090),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4090),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4090),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3779),
    [sym_array_get_expression] = STATE(3779),
    [sym_string_get_expression] = STATE(3779),
    [sym_bigarray_get_expression] = STATE(3779),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4090),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4090),
    [sym_package_expression] = STATE(4090),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4090),
    [sym_object_copy_expression] = STATE(4090),
    [sym_method_invocation] = STATE(4090),
    [sym_object_expression] = STATE(4090),
    [sym_parenthesized_expression] = STATE(4090),
    [sym_attribute] = STATE(1819),
    [sym_extension] = STATE(4090),
    [sym_quoted_extension] = STATE(4090),
    [sym__constant] = STATE(4090),
    [sym_number] = STATE(4058),
    [sym_character] = STATE(4058),
    [sym_string] = STATE(4058),
    [sym_quoted_string] = STATE(4058),
    [sym_boolean] = STATE(4058),
    [sym_unit] = STATE(4058),
    [sym_sign_operator] = STATE(2132),
    [sym__value_name] = STATE(4146),
    [sym_parenthesized_operator] = STATE(4003),
    [sym_value_path] = STATE(4090),
    [sym_module_path] = STATE(17476),
    [sym_constructor_path] = STATE(4090),
    [sym__instance_variable_name] = STATE(19788),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4090),
    [sym__lowercase_identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3077),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3079),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__uppercase_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1820] = {
    [sym_value_definition] = STATE(18767),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12200),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(1820),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(2341),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(18746),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2683),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1821] = {
    [sym_value_definition] = STATE(18204),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(12002),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6064),
    [sym_array_get_expression] = STATE(6064),
    [sym_string_get_expression] = STATE(6064),
    [sym_bigarray_get_expression] = STATE(6064),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(1821),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(1803),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(18015),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1822] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12603),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1822),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1823] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12565),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1823),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1824] = {
    [sym_value_definition] = STATE(19378),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12110),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6467),
    [sym_array_get_expression] = STATE(6467),
    [sym_string_get_expression] = STATE(6467),
    [sym_bigarray_get_expression] = STATE(6467),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(1824),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(1824),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(19354),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1825] = {
    [sym_value_definition] = STATE(18124),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9496),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4784),
    [sym_array_get_expression] = STATE(4784),
    [sym_string_get_expression] = STATE(4784),
    [sym_bigarray_get_expression] = STATE(4784),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(1825),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17851),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1009),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1015),
    [anon_sym_function] = ACTIONS(1017),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1041),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1826] = {
    [sym_value_definition] = STATE(20267),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9691),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4739),
    [sym_array_get_expression] = STATE(4739),
    [sym_string_get_expression] = STATE(4739),
    [sym_bigarray_get_expression] = STATE(4739),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(1826),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(1768),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(20080),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(993),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1827] = {
    [sym_value_definition] = STATE(19182),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12135),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6465),
    [sym_array_get_expression] = STATE(6465),
    [sym_string_get_expression] = STATE(6465),
    [sym_bigarray_get_expression] = STATE(6465),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1827),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(1827),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(19168),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2625),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2629),
    [anon_sym_function] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2635),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1828] = {
    [sym_value_definition] = STATE(18721),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10931),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5423),
    [sym_array_get_expression] = STATE(5423),
    [sym_string_get_expression] = STATE(5423),
    [sym_bigarray_get_expression] = STATE(5423),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(1828),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1828),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(18774),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1829] = {
    [sym_value_definition] = STATE(18721),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10940),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5423),
    [sym_array_get_expression] = STATE(5423),
    [sym_string_get_expression] = STATE(5423),
    [sym_bigarray_get_expression] = STATE(5423),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(1829),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1828),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(18774),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1830] = {
    [sym_value_definition] = STATE(18721),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10941),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5423),
    [sym_array_get_expression] = STATE(5423),
    [sym_string_get_expression] = STATE(5423),
    [sym_bigarray_get_expression] = STATE(5423),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(1830),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1828),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(18774),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1831] = {
    [sym_value_definition] = STATE(18721),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10942),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5423),
    [sym_array_get_expression] = STATE(5423),
    [sym_string_get_expression] = STATE(5423),
    [sym_bigarray_get_expression] = STATE(5423),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(1831),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1828),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(18774),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1832] = {
    [sym_value_definition] = STATE(18721),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10943),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5423),
    [sym_array_get_expression] = STATE(5423),
    [sym_string_get_expression] = STATE(5423),
    [sym_bigarray_get_expression] = STATE(5423),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(1832),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1828),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(18774),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1833] = {
    [sym_value_definition] = STATE(18721),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10944),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5423),
    [sym_array_get_expression] = STATE(5423),
    [sym_string_get_expression] = STATE(5423),
    [sym_bigarray_get_expression] = STATE(5423),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(1833),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1828),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(18774),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1834] = {
    [sym_value_definition] = STATE(18721),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10945),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5423),
    [sym_array_get_expression] = STATE(5423),
    [sym_string_get_expression] = STATE(5423),
    [sym_bigarray_get_expression] = STATE(5423),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(1834),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1828),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(18774),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1835] = {
    [sym_value_definition] = STATE(18721),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10946),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5423),
    [sym_array_get_expression] = STATE(5423),
    [sym_string_get_expression] = STATE(5423),
    [sym_bigarray_get_expression] = STATE(5423),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(1835),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1828),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(18774),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1836] = {
    [sym_value_definition] = STATE(18721),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10947),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5423),
    [sym_array_get_expression] = STATE(5423),
    [sym_string_get_expression] = STATE(5423),
    [sym_bigarray_get_expression] = STATE(5423),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(1836),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1828),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(18774),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1837] = {
    [sym_value_definition] = STATE(18721),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10948),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5423),
    [sym_array_get_expression] = STATE(5423),
    [sym_string_get_expression] = STATE(5423),
    [sym_bigarray_get_expression] = STATE(5423),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(1837),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1828),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(18774),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1838] = {
    [sym_value_definition] = STATE(18721),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10949),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5423),
    [sym_array_get_expression] = STATE(5423),
    [sym_string_get_expression] = STATE(5423),
    [sym_bigarray_get_expression] = STATE(5423),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(1838),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1828),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(18774),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1839] = {
    [sym_value_definition] = STATE(18721),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10950),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5423),
    [sym_array_get_expression] = STATE(5423),
    [sym_string_get_expression] = STATE(5423),
    [sym_bigarray_get_expression] = STATE(5423),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(1839),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1828),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(18774),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1840] = {
    [sym_value_definition] = STATE(18721),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10952),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5423),
    [sym_array_get_expression] = STATE(5423),
    [sym_string_get_expression] = STATE(5423),
    [sym_bigarray_get_expression] = STATE(5423),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(1840),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1828),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(18774),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1841] = {
    [sym_value_definition] = STATE(18721),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10930),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5423),
    [sym_array_get_expression] = STATE(5423),
    [sym_string_get_expression] = STATE(5423),
    [sym_bigarray_get_expression] = STATE(5423),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(1841),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1828),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(18774),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1842] = {
    [sym_value_definition] = STATE(18025),
    [sym__simple_expression] = STATE(500),
    [sym__expression] = STATE(8169),
    [sym_typed_expression] = STATE(3596),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3596),
    [sym_array_expression] = STATE(3596),
    [sym_record_expression] = STATE(3596),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3596),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3596),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3082),
    [sym_array_get_expression] = STATE(3082),
    [sym_string_get_expression] = STATE(3082),
    [sym_bigarray_get_expression] = STATE(3082),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3596),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3596),
    [sym_package_expression] = STATE(3596),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3596),
    [sym_object_copy_expression] = STATE(3596),
    [sym_method_invocation] = STATE(3596),
    [sym_object_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3596),
    [sym_attribute] = STATE(1842),
    [sym_extension] = STATE(3596),
    [sym_quoted_extension] = STATE(3596),
    [sym__constant] = STATE(3596),
    [sym_number] = STATE(3346),
    [sym_character] = STATE(3346),
    [sym_string] = STATE(3346),
    [sym_quoted_string] = STATE(3346),
    [sym_boolean] = STATE(3346),
    [sym_unit] = STATE(3346),
    [sym_sign_operator] = STATE(1842),
    [sym__value_name] = STATE(3661),
    [sym_parenthesized_operator] = STATE(3550),
    [sym_value_path] = STATE(3596),
    [sym_module_path] = STATE(18685),
    [sym_constructor_path] = STATE(3596),
    [sym__instance_variable_name] = STATE(17765),
    [sym__constructor_name] = STATE(3347),
    [sym_tag] = STATE(3596),
    [sym__lowercase_identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3071),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__uppercase_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1843] = {
    [sym_value_definition] = STATE(19378),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12358),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6467),
    [sym_array_get_expression] = STATE(6467),
    [sym_string_get_expression] = STATE(6467),
    [sym_bigarray_get_expression] = STATE(6467),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(1843),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(1824),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(19354),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1844] = {
    [sym_value_definition] = STATE(18025),
    [sym__simple_expression] = STATE(500),
    [sym__expression] = STATE(8211),
    [sym_typed_expression] = STATE(3596),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3596),
    [sym_array_expression] = STATE(3596),
    [sym_record_expression] = STATE(3596),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3596),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3596),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3082),
    [sym_array_get_expression] = STATE(3082),
    [sym_string_get_expression] = STATE(3082),
    [sym_bigarray_get_expression] = STATE(3082),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3596),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3596),
    [sym_package_expression] = STATE(3596),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3596),
    [sym_object_copy_expression] = STATE(3596),
    [sym_method_invocation] = STATE(3596),
    [sym_object_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3596),
    [sym_attribute] = STATE(1844),
    [sym_extension] = STATE(3596),
    [sym_quoted_extension] = STATE(3596),
    [sym__constant] = STATE(3596),
    [sym_number] = STATE(3346),
    [sym_character] = STATE(3346),
    [sym_string] = STATE(3346),
    [sym_quoted_string] = STATE(3346),
    [sym_boolean] = STATE(3346),
    [sym_unit] = STATE(3346),
    [sym_sign_operator] = STATE(1842),
    [sym__value_name] = STATE(3661),
    [sym_parenthesized_operator] = STATE(3550),
    [sym_value_path] = STATE(3596),
    [sym_module_path] = STATE(18685),
    [sym_constructor_path] = STATE(3596),
    [sym__instance_variable_name] = STATE(17765),
    [sym__constructor_name] = STATE(3347),
    [sym_tag] = STATE(3596),
    [sym__lowercase_identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3071),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__uppercase_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1845] = {
    [sym_value_definition] = STATE(19695),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(8363),
    [sym_typed_expression] = STATE(3950),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3950),
    [sym_array_expression] = STATE(3950),
    [sym_record_expression] = STATE(3950),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3950),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3950),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3950),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3950),
    [sym_package_expression] = STATE(3950),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3950),
    [sym_object_copy_expression] = STATE(3950),
    [sym_method_invocation] = STATE(3950),
    [sym_object_expression] = STATE(3950),
    [sym_parenthesized_expression] = STATE(3950),
    [sym_attribute] = STATE(1845),
    [sym_extension] = STATE(3950),
    [sym_quoted_extension] = STATE(3950),
    [sym__constant] = STATE(3950),
    [sym_number] = STATE(4087),
    [sym_character] = STATE(4087),
    [sym_string] = STATE(4087),
    [sym_quoted_string] = STATE(4087),
    [sym_boolean] = STATE(4087),
    [sym_unit] = STATE(4087),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4005),
    [sym_parenthesized_operator] = STATE(4045),
    [sym_value_path] = STATE(3950),
    [sym_module_path] = STATE(17695),
    [sym_constructor_path] = STATE(3950),
    [sym__instance_variable_name] = STATE(19552),
    [sym__constructor_name] = STATE(4088),
    [sym_tag] = STATE(3950),
    [sym__lowercase_identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__uppercase_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1846] = {
    [sym_value_definition] = STATE(19695),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(8402),
    [sym_typed_expression] = STATE(3950),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3950),
    [sym_array_expression] = STATE(3950),
    [sym_record_expression] = STATE(3950),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3950),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3950),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3950),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3950),
    [sym_package_expression] = STATE(3950),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3950),
    [sym_object_copy_expression] = STATE(3950),
    [sym_method_invocation] = STATE(3950),
    [sym_object_expression] = STATE(3950),
    [sym_parenthesized_expression] = STATE(3950),
    [sym_attribute] = STATE(1846),
    [sym_extension] = STATE(3950),
    [sym_quoted_extension] = STATE(3950),
    [sym__constant] = STATE(3950),
    [sym_number] = STATE(4087),
    [sym_character] = STATE(4087),
    [sym_string] = STATE(4087),
    [sym_quoted_string] = STATE(4087),
    [sym_boolean] = STATE(4087),
    [sym_unit] = STATE(4087),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4005),
    [sym_parenthesized_operator] = STATE(4045),
    [sym_value_path] = STATE(3950),
    [sym_module_path] = STATE(17695),
    [sym_constructor_path] = STATE(3950),
    [sym__instance_variable_name] = STATE(19552),
    [sym__constructor_name] = STATE(4088),
    [sym_tag] = STATE(3950),
    [sym__lowercase_identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__uppercase_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1847] = {
    [sym_value_definition] = STATE(18025),
    [sym__simple_expression] = STATE(500),
    [sym__expression] = STATE(8216),
    [sym_typed_expression] = STATE(3596),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3596),
    [sym_array_expression] = STATE(3596),
    [sym_record_expression] = STATE(3596),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3596),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3596),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3082),
    [sym_array_get_expression] = STATE(3082),
    [sym_string_get_expression] = STATE(3082),
    [sym_bigarray_get_expression] = STATE(3082),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3596),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3596),
    [sym_package_expression] = STATE(3596),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3596),
    [sym_object_copy_expression] = STATE(3596),
    [sym_method_invocation] = STATE(3596),
    [sym_object_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3596),
    [sym_attribute] = STATE(1847),
    [sym_extension] = STATE(3596),
    [sym_quoted_extension] = STATE(3596),
    [sym__constant] = STATE(3596),
    [sym_number] = STATE(3346),
    [sym_character] = STATE(3346),
    [sym_string] = STATE(3346),
    [sym_quoted_string] = STATE(3346),
    [sym_boolean] = STATE(3346),
    [sym_unit] = STATE(3346),
    [sym_sign_operator] = STATE(1842),
    [sym__value_name] = STATE(3661),
    [sym_parenthesized_operator] = STATE(3550),
    [sym_value_path] = STATE(3596),
    [sym_module_path] = STATE(18685),
    [sym_constructor_path] = STATE(3596),
    [sym__instance_variable_name] = STATE(17765),
    [sym__constructor_name] = STATE(3347),
    [sym_tag] = STATE(3596),
    [sym__lowercase_identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3071),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__uppercase_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1848] = {
    [sym_value_definition] = STATE(18025),
    [sym__simple_expression] = STATE(500),
    [sym__expression] = STATE(8218),
    [sym_typed_expression] = STATE(3596),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3596),
    [sym_array_expression] = STATE(3596),
    [sym_record_expression] = STATE(3596),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3596),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3596),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3082),
    [sym_array_get_expression] = STATE(3082),
    [sym_string_get_expression] = STATE(3082),
    [sym_bigarray_get_expression] = STATE(3082),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3596),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3596),
    [sym_package_expression] = STATE(3596),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3596),
    [sym_object_copy_expression] = STATE(3596),
    [sym_method_invocation] = STATE(3596),
    [sym_object_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3596),
    [sym_attribute] = STATE(1848),
    [sym_extension] = STATE(3596),
    [sym_quoted_extension] = STATE(3596),
    [sym__constant] = STATE(3596),
    [sym_number] = STATE(3346),
    [sym_character] = STATE(3346),
    [sym_string] = STATE(3346),
    [sym_quoted_string] = STATE(3346),
    [sym_boolean] = STATE(3346),
    [sym_unit] = STATE(3346),
    [sym_sign_operator] = STATE(1842),
    [sym__value_name] = STATE(3661),
    [sym_parenthesized_operator] = STATE(3550),
    [sym_value_path] = STATE(3596),
    [sym_module_path] = STATE(18685),
    [sym_constructor_path] = STATE(3596),
    [sym__instance_variable_name] = STATE(17765),
    [sym__constructor_name] = STATE(3347),
    [sym_tag] = STATE(3596),
    [sym__lowercase_identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3071),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__uppercase_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1849] = {
    [sym_value_definition] = STATE(18025),
    [sym__simple_expression] = STATE(500),
    [sym__expression] = STATE(8224),
    [sym_typed_expression] = STATE(3596),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3596),
    [sym_array_expression] = STATE(3596),
    [sym_record_expression] = STATE(3596),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3596),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3596),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3082),
    [sym_array_get_expression] = STATE(3082),
    [sym_string_get_expression] = STATE(3082),
    [sym_bigarray_get_expression] = STATE(3082),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3596),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3596),
    [sym_package_expression] = STATE(3596),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3596),
    [sym_object_copy_expression] = STATE(3596),
    [sym_method_invocation] = STATE(3596),
    [sym_object_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3596),
    [sym_attribute] = STATE(1849),
    [sym_extension] = STATE(3596),
    [sym_quoted_extension] = STATE(3596),
    [sym__constant] = STATE(3596),
    [sym_number] = STATE(3346),
    [sym_character] = STATE(3346),
    [sym_string] = STATE(3346),
    [sym_quoted_string] = STATE(3346),
    [sym_boolean] = STATE(3346),
    [sym_unit] = STATE(3346),
    [sym_sign_operator] = STATE(1842),
    [sym__value_name] = STATE(3661),
    [sym_parenthesized_operator] = STATE(3550),
    [sym_value_path] = STATE(3596),
    [sym_module_path] = STATE(18685),
    [sym_constructor_path] = STATE(3596),
    [sym__instance_variable_name] = STATE(17765),
    [sym__constructor_name] = STATE(3347),
    [sym_tag] = STATE(3596),
    [sym__lowercase_identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3071),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__uppercase_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1850] = {
    [sym_value_definition] = STATE(18025),
    [sym__simple_expression] = STATE(500),
    [sym__expression] = STATE(8226),
    [sym_typed_expression] = STATE(3596),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3596),
    [sym_array_expression] = STATE(3596),
    [sym_record_expression] = STATE(3596),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3596),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3596),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3082),
    [sym_array_get_expression] = STATE(3082),
    [sym_string_get_expression] = STATE(3082),
    [sym_bigarray_get_expression] = STATE(3082),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3596),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3596),
    [sym_package_expression] = STATE(3596),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3596),
    [sym_object_copy_expression] = STATE(3596),
    [sym_method_invocation] = STATE(3596),
    [sym_object_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3596),
    [sym_attribute] = STATE(1850),
    [sym_extension] = STATE(3596),
    [sym_quoted_extension] = STATE(3596),
    [sym__constant] = STATE(3596),
    [sym_number] = STATE(3346),
    [sym_character] = STATE(3346),
    [sym_string] = STATE(3346),
    [sym_quoted_string] = STATE(3346),
    [sym_boolean] = STATE(3346),
    [sym_unit] = STATE(3346),
    [sym_sign_operator] = STATE(1842),
    [sym__value_name] = STATE(3661),
    [sym_parenthesized_operator] = STATE(3550),
    [sym_value_path] = STATE(3596),
    [sym_module_path] = STATE(18685),
    [sym_constructor_path] = STATE(3596),
    [sym__instance_variable_name] = STATE(17765),
    [sym__constructor_name] = STATE(3347),
    [sym_tag] = STATE(3596),
    [sym__lowercase_identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3071),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__uppercase_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1851] = {
    [sym_value_definition] = STATE(18025),
    [sym__simple_expression] = STATE(500),
    [sym__expression] = STATE(8227),
    [sym_typed_expression] = STATE(3596),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3596),
    [sym_array_expression] = STATE(3596),
    [sym_record_expression] = STATE(3596),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3596),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3596),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3082),
    [sym_array_get_expression] = STATE(3082),
    [sym_string_get_expression] = STATE(3082),
    [sym_bigarray_get_expression] = STATE(3082),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3596),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3596),
    [sym_package_expression] = STATE(3596),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3596),
    [sym_object_copy_expression] = STATE(3596),
    [sym_method_invocation] = STATE(3596),
    [sym_object_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3596),
    [sym_attribute] = STATE(1851),
    [sym_extension] = STATE(3596),
    [sym_quoted_extension] = STATE(3596),
    [sym__constant] = STATE(3596),
    [sym_number] = STATE(3346),
    [sym_character] = STATE(3346),
    [sym_string] = STATE(3346),
    [sym_quoted_string] = STATE(3346),
    [sym_boolean] = STATE(3346),
    [sym_unit] = STATE(3346),
    [sym_sign_operator] = STATE(1842),
    [sym__value_name] = STATE(3661),
    [sym_parenthesized_operator] = STATE(3550),
    [sym_value_path] = STATE(3596),
    [sym_module_path] = STATE(18685),
    [sym_constructor_path] = STATE(3596),
    [sym__instance_variable_name] = STATE(17765),
    [sym__constructor_name] = STATE(3347),
    [sym_tag] = STATE(3596),
    [sym__lowercase_identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3071),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__uppercase_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1852] = {
    [sym_value_definition] = STATE(18025),
    [sym__simple_expression] = STATE(500),
    [sym__expression] = STATE(8234),
    [sym_typed_expression] = STATE(3596),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3596),
    [sym_array_expression] = STATE(3596),
    [sym_record_expression] = STATE(3596),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3596),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3596),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3082),
    [sym_array_get_expression] = STATE(3082),
    [sym_string_get_expression] = STATE(3082),
    [sym_bigarray_get_expression] = STATE(3082),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3596),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3596),
    [sym_package_expression] = STATE(3596),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3596),
    [sym_object_copy_expression] = STATE(3596),
    [sym_method_invocation] = STATE(3596),
    [sym_object_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3596),
    [sym_attribute] = STATE(1852),
    [sym_extension] = STATE(3596),
    [sym_quoted_extension] = STATE(3596),
    [sym__constant] = STATE(3596),
    [sym_number] = STATE(3346),
    [sym_character] = STATE(3346),
    [sym_string] = STATE(3346),
    [sym_quoted_string] = STATE(3346),
    [sym_boolean] = STATE(3346),
    [sym_unit] = STATE(3346),
    [sym_sign_operator] = STATE(1842),
    [sym__value_name] = STATE(3661),
    [sym_parenthesized_operator] = STATE(3550),
    [sym_value_path] = STATE(3596),
    [sym_module_path] = STATE(18685),
    [sym_constructor_path] = STATE(3596),
    [sym__instance_variable_name] = STATE(17765),
    [sym__constructor_name] = STATE(3347),
    [sym_tag] = STATE(3596),
    [sym__lowercase_identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3071),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__uppercase_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1853] = {
    [sym_value_definition] = STATE(18025),
    [sym__simple_expression] = STATE(500),
    [sym__expression] = STATE(8237),
    [sym_typed_expression] = STATE(3596),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3596),
    [sym_array_expression] = STATE(3596),
    [sym_record_expression] = STATE(3596),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3596),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3596),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3082),
    [sym_array_get_expression] = STATE(3082),
    [sym_string_get_expression] = STATE(3082),
    [sym_bigarray_get_expression] = STATE(3082),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3596),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3596),
    [sym_package_expression] = STATE(3596),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3596),
    [sym_object_copy_expression] = STATE(3596),
    [sym_method_invocation] = STATE(3596),
    [sym_object_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3596),
    [sym_attribute] = STATE(1853),
    [sym_extension] = STATE(3596),
    [sym_quoted_extension] = STATE(3596),
    [sym__constant] = STATE(3596),
    [sym_number] = STATE(3346),
    [sym_character] = STATE(3346),
    [sym_string] = STATE(3346),
    [sym_quoted_string] = STATE(3346),
    [sym_boolean] = STATE(3346),
    [sym_unit] = STATE(3346),
    [sym_sign_operator] = STATE(1842),
    [sym__value_name] = STATE(3661),
    [sym_parenthesized_operator] = STATE(3550),
    [sym_value_path] = STATE(3596),
    [sym_module_path] = STATE(18685),
    [sym_constructor_path] = STATE(3596),
    [sym__instance_variable_name] = STATE(17765),
    [sym__constructor_name] = STATE(3347),
    [sym_tag] = STATE(3596),
    [sym__lowercase_identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3071),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__uppercase_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1854] = {
    [sym_value_definition] = STATE(18025),
    [sym__simple_expression] = STATE(500),
    [sym__expression] = STATE(8244),
    [sym_typed_expression] = STATE(3596),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3596),
    [sym_array_expression] = STATE(3596),
    [sym_record_expression] = STATE(3596),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3596),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3596),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3082),
    [sym_array_get_expression] = STATE(3082),
    [sym_string_get_expression] = STATE(3082),
    [sym_bigarray_get_expression] = STATE(3082),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3596),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3596),
    [sym_package_expression] = STATE(3596),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3596),
    [sym_object_copy_expression] = STATE(3596),
    [sym_method_invocation] = STATE(3596),
    [sym_object_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3596),
    [sym_attribute] = STATE(1854),
    [sym_extension] = STATE(3596),
    [sym_quoted_extension] = STATE(3596),
    [sym__constant] = STATE(3596),
    [sym_number] = STATE(3346),
    [sym_character] = STATE(3346),
    [sym_string] = STATE(3346),
    [sym_quoted_string] = STATE(3346),
    [sym_boolean] = STATE(3346),
    [sym_unit] = STATE(3346),
    [sym_sign_operator] = STATE(1842),
    [sym__value_name] = STATE(3661),
    [sym_parenthesized_operator] = STATE(3550),
    [sym_value_path] = STATE(3596),
    [sym_module_path] = STATE(18685),
    [sym_constructor_path] = STATE(3596),
    [sym__instance_variable_name] = STATE(17765),
    [sym__constructor_name] = STATE(3347),
    [sym_tag] = STATE(3596),
    [sym__lowercase_identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3071),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__uppercase_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1855] = {
    [sym_value_definition] = STATE(18025),
    [sym__simple_expression] = STATE(500),
    [sym__expression] = STATE(8248),
    [sym_typed_expression] = STATE(3596),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3596),
    [sym_array_expression] = STATE(3596),
    [sym_record_expression] = STATE(3596),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3596),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3596),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3082),
    [sym_array_get_expression] = STATE(3082),
    [sym_string_get_expression] = STATE(3082),
    [sym_bigarray_get_expression] = STATE(3082),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3596),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3596),
    [sym_package_expression] = STATE(3596),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3596),
    [sym_object_copy_expression] = STATE(3596),
    [sym_method_invocation] = STATE(3596),
    [sym_object_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3596),
    [sym_attribute] = STATE(1855),
    [sym_extension] = STATE(3596),
    [sym_quoted_extension] = STATE(3596),
    [sym__constant] = STATE(3596),
    [sym_number] = STATE(3346),
    [sym_character] = STATE(3346),
    [sym_string] = STATE(3346),
    [sym_quoted_string] = STATE(3346),
    [sym_boolean] = STATE(3346),
    [sym_unit] = STATE(3346),
    [sym_sign_operator] = STATE(1842),
    [sym__value_name] = STATE(3661),
    [sym_parenthesized_operator] = STATE(3550),
    [sym_value_path] = STATE(3596),
    [sym_module_path] = STATE(18685),
    [sym_constructor_path] = STATE(3596),
    [sym__instance_variable_name] = STATE(17765),
    [sym__constructor_name] = STATE(3347),
    [sym_tag] = STATE(3596),
    [sym__lowercase_identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3071),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__uppercase_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1856] = {
    [sym_value_definition] = STATE(18025),
    [sym__simple_expression] = STATE(500),
    [sym__expression] = STATE(8249),
    [sym_typed_expression] = STATE(3596),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3596),
    [sym_array_expression] = STATE(3596),
    [sym_record_expression] = STATE(3596),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3596),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3596),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3082),
    [sym_array_get_expression] = STATE(3082),
    [sym_string_get_expression] = STATE(3082),
    [sym_bigarray_get_expression] = STATE(3082),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3596),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3596),
    [sym_package_expression] = STATE(3596),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3596),
    [sym_object_copy_expression] = STATE(3596),
    [sym_method_invocation] = STATE(3596),
    [sym_object_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3596),
    [sym_attribute] = STATE(1856),
    [sym_extension] = STATE(3596),
    [sym_quoted_extension] = STATE(3596),
    [sym__constant] = STATE(3596),
    [sym_number] = STATE(3346),
    [sym_character] = STATE(3346),
    [sym_string] = STATE(3346),
    [sym_quoted_string] = STATE(3346),
    [sym_boolean] = STATE(3346),
    [sym_unit] = STATE(3346),
    [sym_sign_operator] = STATE(1842),
    [sym__value_name] = STATE(3661),
    [sym_parenthesized_operator] = STATE(3550),
    [sym_value_path] = STATE(3596),
    [sym_module_path] = STATE(18685),
    [sym_constructor_path] = STATE(3596),
    [sym__instance_variable_name] = STATE(17765),
    [sym__constructor_name] = STATE(3347),
    [sym_tag] = STATE(3596),
    [sym__lowercase_identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3071),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__uppercase_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1857] = {
    [sym_value_definition] = STATE(19182),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12355),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6465),
    [sym_array_get_expression] = STATE(6465),
    [sym_string_get_expression] = STATE(6465),
    [sym_bigarray_get_expression] = STATE(6465),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1857),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(1827),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(19168),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2625),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2629),
    [anon_sym_function] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2635),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1858] = {
    [sym_value_definition] = STATE(19378),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12386),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6467),
    [sym_array_get_expression] = STATE(6467),
    [sym_string_get_expression] = STATE(6467),
    [sym_bigarray_get_expression] = STATE(6467),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(1858),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(1824),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(19354),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1859] = {
    [sym_value_definition] = STATE(19182),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12369),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6465),
    [sym_array_get_expression] = STATE(6465),
    [sym_string_get_expression] = STATE(6465),
    [sym_bigarray_get_expression] = STATE(6465),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1859),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(1827),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(19168),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2625),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2629),
    [anon_sym_function] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2635),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1860] = {
    [sym_value_definition] = STATE(19182),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12375),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6465),
    [sym_array_get_expression] = STATE(6465),
    [sym_string_get_expression] = STATE(6465),
    [sym_bigarray_get_expression] = STATE(6465),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1860),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(1827),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(19168),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2625),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2629),
    [anon_sym_function] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2635),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1861] = {
    [sym_value_definition] = STATE(19182),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12380),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6465),
    [sym_array_get_expression] = STATE(6465),
    [sym_string_get_expression] = STATE(6465),
    [sym_bigarray_get_expression] = STATE(6465),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1861),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(1827),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(19168),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2625),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2629),
    [anon_sym_function] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2635),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1862] = {
    [sym_value_definition] = STATE(19695),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(8431),
    [sym_typed_expression] = STATE(3950),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3950),
    [sym_array_expression] = STATE(3950),
    [sym_record_expression] = STATE(3950),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3950),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3950),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3950),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3950),
    [sym_package_expression] = STATE(3950),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3950),
    [sym_object_copy_expression] = STATE(3950),
    [sym_method_invocation] = STATE(3950),
    [sym_object_expression] = STATE(3950),
    [sym_parenthesized_expression] = STATE(3950),
    [sym_attribute] = STATE(1862),
    [sym_extension] = STATE(3950),
    [sym_quoted_extension] = STATE(3950),
    [sym__constant] = STATE(3950),
    [sym_number] = STATE(4087),
    [sym_character] = STATE(4087),
    [sym_string] = STATE(4087),
    [sym_quoted_string] = STATE(4087),
    [sym_boolean] = STATE(4087),
    [sym_unit] = STATE(4087),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4005),
    [sym_parenthesized_operator] = STATE(4045),
    [sym_value_path] = STATE(3950),
    [sym_module_path] = STATE(17695),
    [sym_constructor_path] = STATE(3950),
    [sym__instance_variable_name] = STATE(19552),
    [sym__constructor_name] = STATE(4088),
    [sym_tag] = STATE(3950),
    [sym__lowercase_identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__uppercase_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1863] = {
    [sym_value_definition] = STATE(19695),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(8364),
    [sym_typed_expression] = STATE(3950),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3950),
    [sym_array_expression] = STATE(3950),
    [sym_record_expression] = STATE(3950),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3950),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3950),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3950),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3950),
    [sym_package_expression] = STATE(3950),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3950),
    [sym_object_copy_expression] = STATE(3950),
    [sym_method_invocation] = STATE(3950),
    [sym_object_expression] = STATE(3950),
    [sym_parenthesized_expression] = STATE(3950),
    [sym_attribute] = STATE(1863),
    [sym_extension] = STATE(3950),
    [sym_quoted_extension] = STATE(3950),
    [sym__constant] = STATE(3950),
    [sym_number] = STATE(4087),
    [sym_character] = STATE(4087),
    [sym_string] = STATE(4087),
    [sym_quoted_string] = STATE(4087),
    [sym_boolean] = STATE(4087),
    [sym_unit] = STATE(4087),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4005),
    [sym_parenthesized_operator] = STATE(4045),
    [sym_value_path] = STATE(3950),
    [sym_module_path] = STATE(17695),
    [sym_constructor_path] = STATE(3950),
    [sym__instance_variable_name] = STATE(19552),
    [sym__constructor_name] = STATE(4088),
    [sym_tag] = STATE(3950),
    [sym__lowercase_identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__uppercase_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1864] = {
    [sym_value_definition] = STATE(18025),
    [sym__simple_expression] = STATE(500),
    [sym__expression] = STATE(8165),
    [sym_typed_expression] = STATE(3596),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3596),
    [sym_array_expression] = STATE(3596),
    [sym_record_expression] = STATE(3596),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3596),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3596),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3082),
    [sym_array_get_expression] = STATE(3082),
    [sym_string_get_expression] = STATE(3082),
    [sym_bigarray_get_expression] = STATE(3082),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3596),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3596),
    [sym_package_expression] = STATE(3596),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3596),
    [sym_object_copy_expression] = STATE(3596),
    [sym_method_invocation] = STATE(3596),
    [sym_object_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3596),
    [sym_attribute] = STATE(1864),
    [sym_extension] = STATE(3596),
    [sym_quoted_extension] = STATE(3596),
    [sym__constant] = STATE(3596),
    [sym_number] = STATE(3346),
    [sym_character] = STATE(3346),
    [sym_string] = STATE(3346),
    [sym_quoted_string] = STATE(3346),
    [sym_boolean] = STATE(3346),
    [sym_unit] = STATE(3346),
    [sym_sign_operator] = STATE(1842),
    [sym__value_name] = STATE(3661),
    [sym_parenthesized_operator] = STATE(3550),
    [sym_value_path] = STATE(3596),
    [sym_module_path] = STATE(18685),
    [sym_constructor_path] = STATE(3596),
    [sym__instance_variable_name] = STATE(17765),
    [sym__constructor_name] = STATE(3347),
    [sym_tag] = STATE(3596),
    [sym__lowercase_identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3071),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__uppercase_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1865] = {
    [sym_value_definition] = STATE(19182),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12381),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6465),
    [sym_array_get_expression] = STATE(6465),
    [sym_string_get_expression] = STATE(6465),
    [sym_bigarray_get_expression] = STATE(6465),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1865),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(1827),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(19168),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2625),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2629),
    [anon_sym_function] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2635),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1866] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10671),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1866),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1867] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8168),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(1867),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1868] = {
    [sym_value_definition] = STATE(19384),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12485),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6475),
    [sym_array_get_expression] = STATE(6475),
    [sym_string_get_expression] = STATE(6475),
    [sym_bigarray_get_expression] = STATE(6475),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(1868),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(1944),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(20276),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2857),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1869] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10694),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1869),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1870] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10695),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1870),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1871] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10697),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1871),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1872] = {
    [sym_value_definition] = STATE(19182),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12383),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6465),
    [sym_array_get_expression] = STATE(6465),
    [sym_string_get_expression] = STATE(6465),
    [sym_bigarray_get_expression] = STATE(6465),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1872),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(1827),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(19168),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2625),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2629),
    [anon_sym_function] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2635),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1873] = {
    [sym_value_definition] = STATE(18124),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9497),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4784),
    [sym_array_get_expression] = STATE(4784),
    [sym_string_get_expression] = STATE(4784),
    [sym_bigarray_get_expression] = STATE(4784),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(1873),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17851),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1009),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1015),
    [anon_sym_function] = ACTIONS(1017),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1041),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1874] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8186),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(1874),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1875] = {
    [sym_value_definition] = STATE(18309),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8219),
    [sym_typed_expression] = STATE(3660),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3660),
    [sym_array_expression] = STATE(3660),
    [sym_record_expression] = STATE(3660),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3660),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3660),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3095),
    [sym_array_get_expression] = STATE(3095),
    [sym_string_get_expression] = STATE(3095),
    [sym_bigarray_get_expression] = STATE(3095),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3660),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3660),
    [sym_package_expression] = STATE(3660),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3660),
    [sym_object_copy_expression] = STATE(3660),
    [sym_method_invocation] = STATE(3660),
    [sym_object_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_attribute] = STATE(1875),
    [sym_extension] = STATE(3660),
    [sym_quoted_extension] = STATE(3660),
    [sym__constant] = STATE(3660),
    [sym_number] = STATE(3360),
    [sym_character] = STATE(3360),
    [sym_string] = STATE(3360),
    [sym_quoted_string] = STATE(3360),
    [sym_boolean] = STATE(3360),
    [sym_unit] = STATE(3360),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(3285),
    [sym_parenthesized_operator] = STATE(3631),
    [sym_value_path] = STATE(3660),
    [sym_module_path] = STATE(18722),
    [sym_constructor_path] = STATE(3660),
    [sym__instance_variable_name] = STATE(17997),
    [sym__constructor_name] = STATE(3361),
    [sym_tag] = STATE(3660),
    [sym__lowercase_identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3073),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3075),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__uppercase_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1876] = {
    [sym_value_definition] = STATE(19182),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12384),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6465),
    [sym_array_get_expression] = STATE(6465),
    [sym_string_get_expression] = STATE(6465),
    [sym_bigarray_get_expression] = STATE(6465),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1876),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(1827),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(19168),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2625),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2629),
    [anon_sym_function] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2635),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1877] = {
    [sym_value_definition] = STATE(18124),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9488),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4784),
    [sym_array_get_expression] = STATE(4784),
    [sym_string_get_expression] = STATE(4784),
    [sym_bigarray_get_expression] = STATE(4784),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(1877),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17851),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1009),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1015),
    [anon_sym_function] = ACTIONS(1017),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1041),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1878] = {
    [sym_value_definition] = STATE(18124),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9498),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4784),
    [sym_array_get_expression] = STATE(4784),
    [sym_string_get_expression] = STATE(4784),
    [sym_bigarray_get_expression] = STATE(4784),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(1878),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17851),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1009),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1015),
    [anon_sym_function] = ACTIONS(1017),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1041),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1879] = {
    [sym_value_definition] = STATE(19695),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(8325),
    [sym_typed_expression] = STATE(3950),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3950),
    [sym_array_expression] = STATE(3950),
    [sym_record_expression] = STATE(3950),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3950),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3950),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3950),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3950),
    [sym_package_expression] = STATE(3950),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3950),
    [sym_object_copy_expression] = STATE(3950),
    [sym_method_invocation] = STATE(3950),
    [sym_object_expression] = STATE(3950),
    [sym_parenthesized_expression] = STATE(3950),
    [sym_attribute] = STATE(1879),
    [sym_extension] = STATE(3950),
    [sym_quoted_extension] = STATE(3950),
    [sym__constant] = STATE(3950),
    [sym_number] = STATE(4087),
    [sym_character] = STATE(4087),
    [sym_string] = STATE(4087),
    [sym_quoted_string] = STATE(4087),
    [sym_boolean] = STATE(4087),
    [sym_unit] = STATE(4087),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4005),
    [sym_parenthesized_operator] = STATE(4045),
    [sym_value_path] = STATE(3950),
    [sym_module_path] = STATE(17695),
    [sym_constructor_path] = STATE(3950),
    [sym__instance_variable_name] = STATE(19552),
    [sym__constructor_name] = STATE(4088),
    [sym_tag] = STATE(3950),
    [sym__lowercase_identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__uppercase_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1880] = {
    [sym_value_definition] = STATE(20267),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9709),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4739),
    [sym_array_get_expression] = STATE(4739),
    [sym_string_get_expression] = STATE(4739),
    [sym_bigarray_get_expression] = STATE(4739),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(1880),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(1768),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(20080),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(993),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1881] = {
    [sym_value_definition] = STATE(19182),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12390),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6465),
    [sym_array_get_expression] = STATE(6465),
    [sym_string_get_expression] = STATE(6465),
    [sym_bigarray_get_expression] = STATE(6465),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1881),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(1827),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(19168),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2625),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2629),
    [anon_sym_function] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2635),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1882] = {
    [sym_value_definition] = STATE(19182),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12393),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6465),
    [sym_array_get_expression] = STATE(6465),
    [sym_string_get_expression] = STATE(6465),
    [sym_bigarray_get_expression] = STATE(6465),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1882),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(1827),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(19168),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2625),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2629),
    [anon_sym_function] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2635),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1883] = {
    [sym_value_definition] = STATE(19182),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12400),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6465),
    [sym_array_get_expression] = STATE(6465),
    [sym_string_get_expression] = STATE(6465),
    [sym_bigarray_get_expression] = STATE(6465),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1883),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(1827),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(19168),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2625),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2629),
    [anon_sym_function] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2635),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1884] = {
    [sym_value_definition] = STATE(19627),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8509),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(1884),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1885] = {
    [sym_value_definition] = STATE(19182),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12435),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6465),
    [sym_array_get_expression] = STATE(6465),
    [sym_string_get_expression] = STATE(6465),
    [sym_bigarray_get_expression] = STATE(6465),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1885),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(1827),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(19168),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2625),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2629),
    [anon_sym_function] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2635),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1886] = {
    [sym_value_definition] = STATE(19378),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12396),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6467),
    [sym_array_get_expression] = STATE(6467),
    [sym_string_get_expression] = STATE(6467),
    [sym_bigarray_get_expression] = STATE(6467),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(1886),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(1824),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(19354),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1887] = {
    [sym_value_definition] = STATE(19378),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12398),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6467),
    [sym_array_get_expression] = STATE(6467),
    [sym_string_get_expression] = STATE(6467),
    [sym_bigarray_get_expression] = STATE(6467),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(1887),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(1824),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(19354),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1888] = {
    [sym_value_definition] = STATE(18228),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11889),
    [sym_typed_expression] = STATE(6605),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6605),
    [sym_array_expression] = STATE(6605),
    [sym_record_expression] = STATE(6605),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6605),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6605),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6090),
    [sym_array_get_expression] = STATE(6090),
    [sym_string_get_expression] = STATE(6090),
    [sym_bigarray_get_expression] = STATE(6090),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6605),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6605),
    [sym_package_expression] = STATE(6605),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6605),
    [sym_object_copy_expression] = STATE(6605),
    [sym_method_invocation] = STATE(6605),
    [sym_object_expression] = STATE(6605),
    [sym_parenthesized_expression] = STATE(6605),
    [sym_attribute] = STATE(1888),
    [sym_extension] = STATE(6605),
    [sym_quoted_extension] = STATE(6605),
    [sym__constant] = STATE(6605),
    [sym_number] = STATE(6281),
    [sym_character] = STATE(6281),
    [sym_string] = STATE(6281),
    [sym_quoted_string] = STATE(6281),
    [sym_boolean] = STATE(6281),
    [sym_unit] = STATE(6281),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6139),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6605),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(6605),
    [sym__instance_variable_name] = STATE(18146),
    [sym__constructor_name] = STATE(6282),
    [sym_tag] = STATE(6605),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1889] = {
    [sym_value_definition] = STATE(19378),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12402),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6467),
    [sym_array_get_expression] = STATE(6467),
    [sym_string_get_expression] = STATE(6467),
    [sym_bigarray_get_expression] = STATE(6467),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(1889),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(1824),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(19354),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1890] = {
    [sym_value_definition] = STATE(18228),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11861),
    [sym_typed_expression] = STATE(6605),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6605),
    [sym_array_expression] = STATE(6605),
    [sym_record_expression] = STATE(6605),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6605),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6605),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6090),
    [sym_array_get_expression] = STATE(6090),
    [sym_string_get_expression] = STATE(6090),
    [sym_bigarray_get_expression] = STATE(6090),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6605),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6605),
    [sym_package_expression] = STATE(6605),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6605),
    [sym_object_copy_expression] = STATE(6605),
    [sym_method_invocation] = STATE(6605),
    [sym_object_expression] = STATE(6605),
    [sym_parenthesized_expression] = STATE(6605),
    [sym_attribute] = STATE(1890),
    [sym_extension] = STATE(6605),
    [sym_quoted_extension] = STATE(6605),
    [sym__constant] = STATE(6605),
    [sym_number] = STATE(6281),
    [sym_character] = STATE(6281),
    [sym_string] = STATE(6281),
    [sym_quoted_string] = STATE(6281),
    [sym_boolean] = STATE(6281),
    [sym_unit] = STATE(6281),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6139),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6605),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(6605),
    [sym__instance_variable_name] = STATE(18146),
    [sym__constructor_name] = STATE(6282),
    [sym_tag] = STATE(6605),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1891] = {
    [sym_value_definition] = STATE(19695),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(8389),
    [sym_typed_expression] = STATE(3950),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3950),
    [sym_array_expression] = STATE(3950),
    [sym_record_expression] = STATE(3950),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3950),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3950),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3950),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3950),
    [sym_package_expression] = STATE(3950),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3950),
    [sym_object_copy_expression] = STATE(3950),
    [sym_method_invocation] = STATE(3950),
    [sym_object_expression] = STATE(3950),
    [sym_parenthesized_expression] = STATE(3950),
    [sym_attribute] = STATE(1891),
    [sym_extension] = STATE(3950),
    [sym_quoted_extension] = STATE(3950),
    [sym__constant] = STATE(3950),
    [sym_number] = STATE(4087),
    [sym_character] = STATE(4087),
    [sym_string] = STATE(4087),
    [sym_quoted_string] = STATE(4087),
    [sym_boolean] = STATE(4087),
    [sym_unit] = STATE(4087),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4005),
    [sym_parenthesized_operator] = STATE(4045),
    [sym_value_path] = STATE(3950),
    [sym_module_path] = STATE(17695),
    [sym_constructor_path] = STATE(3950),
    [sym__instance_variable_name] = STATE(19552),
    [sym__constructor_name] = STATE(4088),
    [sym_tag] = STATE(3950),
    [sym__lowercase_identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__uppercase_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1892] = {
    [sym_value_definition] = STATE(18228),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11862),
    [sym_typed_expression] = STATE(6605),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6605),
    [sym_array_expression] = STATE(6605),
    [sym_record_expression] = STATE(6605),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6605),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6605),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6090),
    [sym_array_get_expression] = STATE(6090),
    [sym_string_get_expression] = STATE(6090),
    [sym_bigarray_get_expression] = STATE(6090),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6605),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6605),
    [sym_package_expression] = STATE(6605),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6605),
    [sym_object_copy_expression] = STATE(6605),
    [sym_method_invocation] = STATE(6605),
    [sym_object_expression] = STATE(6605),
    [sym_parenthesized_expression] = STATE(6605),
    [sym_attribute] = STATE(1892),
    [sym_extension] = STATE(6605),
    [sym_quoted_extension] = STATE(6605),
    [sym__constant] = STATE(6605),
    [sym_number] = STATE(6281),
    [sym_character] = STATE(6281),
    [sym_string] = STATE(6281),
    [sym_quoted_string] = STATE(6281),
    [sym_boolean] = STATE(6281),
    [sym_unit] = STATE(6281),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6139),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6605),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(6605),
    [sym__instance_variable_name] = STATE(18146),
    [sym__constructor_name] = STATE(6282),
    [sym_tag] = STATE(6605),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1893] = {
    [sym_value_definition] = STATE(18228),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11863),
    [sym_typed_expression] = STATE(6605),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6605),
    [sym_array_expression] = STATE(6605),
    [sym_record_expression] = STATE(6605),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6605),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6605),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6090),
    [sym_array_get_expression] = STATE(6090),
    [sym_string_get_expression] = STATE(6090),
    [sym_bigarray_get_expression] = STATE(6090),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6605),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6605),
    [sym_package_expression] = STATE(6605),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6605),
    [sym_object_copy_expression] = STATE(6605),
    [sym_method_invocation] = STATE(6605),
    [sym_object_expression] = STATE(6605),
    [sym_parenthesized_expression] = STATE(6605),
    [sym_attribute] = STATE(1893),
    [sym_extension] = STATE(6605),
    [sym_quoted_extension] = STATE(6605),
    [sym__constant] = STATE(6605),
    [sym_number] = STATE(6281),
    [sym_character] = STATE(6281),
    [sym_string] = STATE(6281),
    [sym_quoted_string] = STATE(6281),
    [sym_boolean] = STATE(6281),
    [sym_unit] = STATE(6281),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6139),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6605),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(6605),
    [sym__instance_variable_name] = STATE(18146),
    [sym__constructor_name] = STATE(6282),
    [sym_tag] = STATE(6605),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1894] = {
    [sym_value_definition] = STATE(18228),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11866),
    [sym_typed_expression] = STATE(6605),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6605),
    [sym_array_expression] = STATE(6605),
    [sym_record_expression] = STATE(6605),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6605),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6605),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6090),
    [sym_array_get_expression] = STATE(6090),
    [sym_string_get_expression] = STATE(6090),
    [sym_bigarray_get_expression] = STATE(6090),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6605),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6605),
    [sym_package_expression] = STATE(6605),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6605),
    [sym_object_copy_expression] = STATE(6605),
    [sym_method_invocation] = STATE(6605),
    [sym_object_expression] = STATE(6605),
    [sym_parenthesized_expression] = STATE(6605),
    [sym_attribute] = STATE(1894),
    [sym_extension] = STATE(6605),
    [sym_quoted_extension] = STATE(6605),
    [sym__constant] = STATE(6605),
    [sym_number] = STATE(6281),
    [sym_character] = STATE(6281),
    [sym_string] = STATE(6281),
    [sym_quoted_string] = STATE(6281),
    [sym_boolean] = STATE(6281),
    [sym_unit] = STATE(6281),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6139),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6605),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(6605),
    [sym__instance_variable_name] = STATE(18146),
    [sym__constructor_name] = STATE(6282),
    [sym_tag] = STATE(6605),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1895] = {
    [sym_value_definition] = STATE(18228),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11867),
    [sym_typed_expression] = STATE(6605),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6605),
    [sym_array_expression] = STATE(6605),
    [sym_record_expression] = STATE(6605),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6605),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6605),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6090),
    [sym_array_get_expression] = STATE(6090),
    [sym_string_get_expression] = STATE(6090),
    [sym_bigarray_get_expression] = STATE(6090),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6605),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6605),
    [sym_package_expression] = STATE(6605),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6605),
    [sym_object_copy_expression] = STATE(6605),
    [sym_method_invocation] = STATE(6605),
    [sym_object_expression] = STATE(6605),
    [sym_parenthesized_expression] = STATE(6605),
    [sym_attribute] = STATE(1895),
    [sym_extension] = STATE(6605),
    [sym_quoted_extension] = STATE(6605),
    [sym__constant] = STATE(6605),
    [sym_number] = STATE(6281),
    [sym_character] = STATE(6281),
    [sym_string] = STATE(6281),
    [sym_quoted_string] = STATE(6281),
    [sym_boolean] = STATE(6281),
    [sym_unit] = STATE(6281),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6139),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6605),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(6605),
    [sym__instance_variable_name] = STATE(18146),
    [sym__constructor_name] = STATE(6282),
    [sym_tag] = STATE(6605),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1896] = {
    [sym_value_definition] = STATE(18228),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11868),
    [sym_typed_expression] = STATE(6605),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6605),
    [sym_array_expression] = STATE(6605),
    [sym_record_expression] = STATE(6605),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6605),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6605),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6090),
    [sym_array_get_expression] = STATE(6090),
    [sym_string_get_expression] = STATE(6090),
    [sym_bigarray_get_expression] = STATE(6090),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6605),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6605),
    [sym_package_expression] = STATE(6605),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6605),
    [sym_object_copy_expression] = STATE(6605),
    [sym_method_invocation] = STATE(6605),
    [sym_object_expression] = STATE(6605),
    [sym_parenthesized_expression] = STATE(6605),
    [sym_attribute] = STATE(1896),
    [sym_extension] = STATE(6605),
    [sym_quoted_extension] = STATE(6605),
    [sym__constant] = STATE(6605),
    [sym_number] = STATE(6281),
    [sym_character] = STATE(6281),
    [sym_string] = STATE(6281),
    [sym_quoted_string] = STATE(6281),
    [sym_boolean] = STATE(6281),
    [sym_unit] = STATE(6281),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6139),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6605),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(6605),
    [sym__instance_variable_name] = STATE(18146),
    [sym__constructor_name] = STATE(6282),
    [sym_tag] = STATE(6605),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1897] = {
    [sym_value_definition] = STATE(18228),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11869),
    [sym_typed_expression] = STATE(6605),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6605),
    [sym_array_expression] = STATE(6605),
    [sym_record_expression] = STATE(6605),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6605),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6605),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6090),
    [sym_array_get_expression] = STATE(6090),
    [sym_string_get_expression] = STATE(6090),
    [sym_bigarray_get_expression] = STATE(6090),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6605),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6605),
    [sym_package_expression] = STATE(6605),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6605),
    [sym_object_copy_expression] = STATE(6605),
    [sym_method_invocation] = STATE(6605),
    [sym_object_expression] = STATE(6605),
    [sym_parenthesized_expression] = STATE(6605),
    [sym_attribute] = STATE(1897),
    [sym_extension] = STATE(6605),
    [sym_quoted_extension] = STATE(6605),
    [sym__constant] = STATE(6605),
    [sym_number] = STATE(6281),
    [sym_character] = STATE(6281),
    [sym_string] = STATE(6281),
    [sym_quoted_string] = STATE(6281),
    [sym_boolean] = STATE(6281),
    [sym_unit] = STATE(6281),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6139),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6605),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(6605),
    [sym__instance_variable_name] = STATE(18146),
    [sym__constructor_name] = STATE(6282),
    [sym_tag] = STATE(6605),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1898] = {
    [sym_value_definition] = STATE(18228),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11870),
    [sym_typed_expression] = STATE(6605),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6605),
    [sym_array_expression] = STATE(6605),
    [sym_record_expression] = STATE(6605),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6605),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6605),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6090),
    [sym_array_get_expression] = STATE(6090),
    [sym_string_get_expression] = STATE(6090),
    [sym_bigarray_get_expression] = STATE(6090),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6605),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6605),
    [sym_package_expression] = STATE(6605),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6605),
    [sym_object_copy_expression] = STATE(6605),
    [sym_method_invocation] = STATE(6605),
    [sym_object_expression] = STATE(6605),
    [sym_parenthesized_expression] = STATE(6605),
    [sym_attribute] = STATE(1898),
    [sym_extension] = STATE(6605),
    [sym_quoted_extension] = STATE(6605),
    [sym__constant] = STATE(6605),
    [sym_number] = STATE(6281),
    [sym_character] = STATE(6281),
    [sym_string] = STATE(6281),
    [sym_quoted_string] = STATE(6281),
    [sym_boolean] = STATE(6281),
    [sym_unit] = STATE(6281),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6139),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6605),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(6605),
    [sym__instance_variable_name] = STATE(18146),
    [sym__constructor_name] = STATE(6282),
    [sym_tag] = STATE(6605),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1899] = {
    [sym_value_definition] = STATE(18228),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11871),
    [sym_typed_expression] = STATE(6605),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6605),
    [sym_array_expression] = STATE(6605),
    [sym_record_expression] = STATE(6605),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6605),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6605),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6090),
    [sym_array_get_expression] = STATE(6090),
    [sym_string_get_expression] = STATE(6090),
    [sym_bigarray_get_expression] = STATE(6090),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6605),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6605),
    [sym_package_expression] = STATE(6605),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6605),
    [sym_object_copy_expression] = STATE(6605),
    [sym_method_invocation] = STATE(6605),
    [sym_object_expression] = STATE(6605),
    [sym_parenthesized_expression] = STATE(6605),
    [sym_attribute] = STATE(1899),
    [sym_extension] = STATE(6605),
    [sym_quoted_extension] = STATE(6605),
    [sym__constant] = STATE(6605),
    [sym_number] = STATE(6281),
    [sym_character] = STATE(6281),
    [sym_string] = STATE(6281),
    [sym_quoted_string] = STATE(6281),
    [sym_boolean] = STATE(6281),
    [sym_unit] = STATE(6281),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6139),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6605),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(6605),
    [sym__instance_variable_name] = STATE(18146),
    [sym__constructor_name] = STATE(6282),
    [sym_tag] = STATE(6605),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1900] = {
    [sym_value_definition] = STATE(18228),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11876),
    [sym_typed_expression] = STATE(6605),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6605),
    [sym_array_expression] = STATE(6605),
    [sym_record_expression] = STATE(6605),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6605),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6605),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6090),
    [sym_array_get_expression] = STATE(6090),
    [sym_string_get_expression] = STATE(6090),
    [sym_bigarray_get_expression] = STATE(6090),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6605),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6605),
    [sym_package_expression] = STATE(6605),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6605),
    [sym_object_copy_expression] = STATE(6605),
    [sym_method_invocation] = STATE(6605),
    [sym_object_expression] = STATE(6605),
    [sym_parenthesized_expression] = STATE(6605),
    [sym_attribute] = STATE(1900),
    [sym_extension] = STATE(6605),
    [sym_quoted_extension] = STATE(6605),
    [sym__constant] = STATE(6605),
    [sym_number] = STATE(6281),
    [sym_character] = STATE(6281),
    [sym_string] = STATE(6281),
    [sym_quoted_string] = STATE(6281),
    [sym_boolean] = STATE(6281),
    [sym_unit] = STATE(6281),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6139),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6605),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(6605),
    [sym__instance_variable_name] = STATE(18146),
    [sym__constructor_name] = STATE(6282),
    [sym_tag] = STATE(6605),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1901] = {
    [sym_value_definition] = STATE(18228),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11877),
    [sym_typed_expression] = STATE(6605),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6605),
    [sym_array_expression] = STATE(6605),
    [sym_record_expression] = STATE(6605),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6605),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6605),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6090),
    [sym_array_get_expression] = STATE(6090),
    [sym_string_get_expression] = STATE(6090),
    [sym_bigarray_get_expression] = STATE(6090),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6605),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6605),
    [sym_package_expression] = STATE(6605),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6605),
    [sym_object_copy_expression] = STATE(6605),
    [sym_method_invocation] = STATE(6605),
    [sym_object_expression] = STATE(6605),
    [sym_parenthesized_expression] = STATE(6605),
    [sym_attribute] = STATE(1901),
    [sym_extension] = STATE(6605),
    [sym_quoted_extension] = STATE(6605),
    [sym__constant] = STATE(6605),
    [sym_number] = STATE(6281),
    [sym_character] = STATE(6281),
    [sym_string] = STATE(6281),
    [sym_quoted_string] = STATE(6281),
    [sym_boolean] = STATE(6281),
    [sym_unit] = STATE(6281),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6139),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6605),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(6605),
    [sym__instance_variable_name] = STATE(18146),
    [sym__constructor_name] = STATE(6282),
    [sym_tag] = STATE(6605),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1902] = {
    [sym_value_definition] = STATE(19378),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12408),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6467),
    [sym_array_get_expression] = STATE(6467),
    [sym_string_get_expression] = STATE(6467),
    [sym_bigarray_get_expression] = STATE(6467),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(1902),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(1824),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(19354),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1903] = {
    [sym_value_definition] = STATE(19378),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12425),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6467),
    [sym_array_get_expression] = STATE(6467),
    [sym_string_get_expression] = STATE(6467),
    [sym_bigarray_get_expression] = STATE(6467),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(1903),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(1824),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(19354),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1904] = {
    [sym_value_definition] = STATE(19695),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(8397),
    [sym_typed_expression] = STATE(3950),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3950),
    [sym_array_expression] = STATE(3950),
    [sym_record_expression] = STATE(3950),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3950),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3950),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3950),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3950),
    [sym_package_expression] = STATE(3950),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3950),
    [sym_object_copy_expression] = STATE(3950),
    [sym_method_invocation] = STATE(3950),
    [sym_object_expression] = STATE(3950),
    [sym_parenthesized_expression] = STATE(3950),
    [sym_attribute] = STATE(1904),
    [sym_extension] = STATE(3950),
    [sym_quoted_extension] = STATE(3950),
    [sym__constant] = STATE(3950),
    [sym_number] = STATE(4087),
    [sym_character] = STATE(4087),
    [sym_string] = STATE(4087),
    [sym_quoted_string] = STATE(4087),
    [sym_boolean] = STATE(4087),
    [sym_unit] = STATE(4087),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4005),
    [sym_parenthesized_operator] = STATE(4045),
    [sym_value_path] = STATE(3950),
    [sym_module_path] = STATE(17695),
    [sym_constructor_path] = STATE(3950),
    [sym__instance_variable_name] = STATE(19552),
    [sym__constructor_name] = STATE(4088),
    [sym_tag] = STATE(3950),
    [sym__lowercase_identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__uppercase_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1905] = {
    [sym_value_definition] = STATE(19182),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12460),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6465),
    [sym_array_get_expression] = STATE(6465),
    [sym_string_get_expression] = STATE(6465),
    [sym_bigarray_get_expression] = STATE(6465),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1905),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(1827),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(19168),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2625),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2629),
    [anon_sym_function] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2635),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1906] = {
    [sym_value_definition] = STATE(19378),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12429),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6467),
    [sym_array_get_expression] = STATE(6467),
    [sym_string_get_expression] = STATE(6467),
    [sym_bigarray_get_expression] = STATE(6467),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(1906),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(1824),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(19354),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1907] = {
    [sym_value_definition] = STATE(18836),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12031),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6002),
    [sym_array_get_expression] = STATE(6002),
    [sym_string_get_expression] = STATE(6002),
    [sym_bigarray_get_expression] = STATE(6002),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(1907),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(1907),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(17884),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2203),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2211),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2235),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1908] = {
    [sym_value_definition] = STATE(18228),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11897),
    [sym_typed_expression] = STATE(6605),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6605),
    [sym_array_expression] = STATE(6605),
    [sym_record_expression] = STATE(6605),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6605),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6605),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6090),
    [sym_array_get_expression] = STATE(6090),
    [sym_string_get_expression] = STATE(6090),
    [sym_bigarray_get_expression] = STATE(6090),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6605),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6605),
    [sym_package_expression] = STATE(6605),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6605),
    [sym_object_copy_expression] = STATE(6605),
    [sym_method_invocation] = STATE(6605),
    [sym_object_expression] = STATE(6605),
    [sym_parenthesized_expression] = STATE(6605),
    [sym_attribute] = STATE(1908),
    [sym_extension] = STATE(6605),
    [sym_quoted_extension] = STATE(6605),
    [sym__constant] = STATE(6605),
    [sym_number] = STATE(6281),
    [sym_character] = STATE(6281),
    [sym_string] = STATE(6281),
    [sym_quoted_string] = STATE(6281),
    [sym_boolean] = STATE(6281),
    [sym_unit] = STATE(6281),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6139),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6605),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(6605),
    [sym__instance_variable_name] = STATE(18146),
    [sym__constructor_name] = STATE(6282),
    [sym_tag] = STATE(6605),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1909] = {
    [sym_value_definition] = STATE(19378),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12449),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6467),
    [sym_array_get_expression] = STATE(6467),
    [sym_string_get_expression] = STATE(6467),
    [sym_bigarray_get_expression] = STATE(6467),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(1909),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(1824),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(19354),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1910] = {
    [sym_value_definition] = STATE(18309),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8199),
    [sym_typed_expression] = STATE(3660),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3660),
    [sym_array_expression] = STATE(3660),
    [sym_record_expression] = STATE(3660),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3660),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3660),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3095),
    [sym_array_get_expression] = STATE(3095),
    [sym_string_get_expression] = STATE(3095),
    [sym_bigarray_get_expression] = STATE(3095),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3660),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3660),
    [sym_package_expression] = STATE(3660),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3660),
    [sym_object_copy_expression] = STATE(3660),
    [sym_method_invocation] = STATE(3660),
    [sym_object_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_attribute] = STATE(1910),
    [sym_extension] = STATE(3660),
    [sym_quoted_extension] = STATE(3660),
    [sym__constant] = STATE(3660),
    [sym_number] = STATE(3360),
    [sym_character] = STATE(3360),
    [sym_string] = STATE(3360),
    [sym_quoted_string] = STATE(3360),
    [sym_boolean] = STATE(3360),
    [sym_unit] = STATE(3360),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(3285),
    [sym_parenthesized_operator] = STATE(3631),
    [sym_value_path] = STATE(3660),
    [sym_module_path] = STATE(18722),
    [sym_constructor_path] = STATE(3660),
    [sym__instance_variable_name] = STATE(17997),
    [sym__constructor_name] = STATE(3361),
    [sym_tag] = STATE(3660),
    [sym__lowercase_identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3073),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3075),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__uppercase_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1911] = {
    [sym_value_definition] = STATE(18836),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11872),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6002),
    [sym_array_get_expression] = STATE(6002),
    [sym_string_get_expression] = STATE(6002),
    [sym_bigarray_get_expression] = STATE(6002),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(1911),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(1907),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(17884),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2203),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2211),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2235),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1912] = {
    [sym_value_definition] = STATE(18309),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8230),
    [sym_typed_expression] = STATE(3660),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3660),
    [sym_array_expression] = STATE(3660),
    [sym_record_expression] = STATE(3660),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3660),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3660),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3095),
    [sym_array_get_expression] = STATE(3095),
    [sym_string_get_expression] = STATE(3095),
    [sym_bigarray_get_expression] = STATE(3095),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3660),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3660),
    [sym_package_expression] = STATE(3660),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3660),
    [sym_object_copy_expression] = STATE(3660),
    [sym_method_invocation] = STATE(3660),
    [sym_object_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_attribute] = STATE(1912),
    [sym_extension] = STATE(3660),
    [sym_quoted_extension] = STATE(3660),
    [sym__constant] = STATE(3660),
    [sym_number] = STATE(3360),
    [sym_character] = STATE(3360),
    [sym_string] = STATE(3360),
    [sym_quoted_string] = STATE(3360),
    [sym_boolean] = STATE(3360),
    [sym_unit] = STATE(3360),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(3285),
    [sym_parenthesized_operator] = STATE(3631),
    [sym_value_path] = STATE(3660),
    [sym_module_path] = STATE(18722),
    [sym_constructor_path] = STATE(3660),
    [sym__instance_variable_name] = STATE(17997),
    [sym__constructor_name] = STATE(3361),
    [sym_tag] = STATE(3660),
    [sym__lowercase_identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3073),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3075),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__uppercase_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1913] = {
    [sym_value_definition] = STATE(19695),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(8432),
    [sym_typed_expression] = STATE(3950),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3950),
    [sym_array_expression] = STATE(3950),
    [sym_record_expression] = STATE(3950),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3950),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3950),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3950),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3950),
    [sym_package_expression] = STATE(3950),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3950),
    [sym_object_copy_expression] = STATE(3950),
    [sym_method_invocation] = STATE(3950),
    [sym_object_expression] = STATE(3950),
    [sym_parenthesized_expression] = STATE(3950),
    [sym_attribute] = STATE(1913),
    [sym_extension] = STATE(3950),
    [sym_quoted_extension] = STATE(3950),
    [sym__constant] = STATE(3950),
    [sym_number] = STATE(4087),
    [sym_character] = STATE(4087),
    [sym_string] = STATE(4087),
    [sym_quoted_string] = STATE(4087),
    [sym_boolean] = STATE(4087),
    [sym_unit] = STATE(4087),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4005),
    [sym_parenthesized_operator] = STATE(4045),
    [sym_value_path] = STATE(3950),
    [sym_module_path] = STATE(17695),
    [sym_constructor_path] = STATE(3950),
    [sym__instance_variable_name] = STATE(19552),
    [sym__constructor_name] = STATE(4088),
    [sym_tag] = STATE(3950),
    [sym__lowercase_identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__uppercase_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1914] = {
    [sym_value_definition] = STATE(18309),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8233),
    [sym_typed_expression] = STATE(3660),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3660),
    [sym_array_expression] = STATE(3660),
    [sym_record_expression] = STATE(3660),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3660),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3660),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3095),
    [sym_array_get_expression] = STATE(3095),
    [sym_string_get_expression] = STATE(3095),
    [sym_bigarray_get_expression] = STATE(3095),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3660),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3660),
    [sym_package_expression] = STATE(3660),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3660),
    [sym_object_copy_expression] = STATE(3660),
    [sym_method_invocation] = STATE(3660),
    [sym_object_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_attribute] = STATE(1914),
    [sym_extension] = STATE(3660),
    [sym_quoted_extension] = STATE(3660),
    [sym__constant] = STATE(3660),
    [sym_number] = STATE(3360),
    [sym_character] = STATE(3360),
    [sym_string] = STATE(3360),
    [sym_quoted_string] = STATE(3360),
    [sym_boolean] = STATE(3360),
    [sym_unit] = STATE(3360),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(3285),
    [sym_parenthesized_operator] = STATE(3631),
    [sym_value_path] = STATE(3660),
    [sym_module_path] = STATE(18722),
    [sym_constructor_path] = STATE(3660),
    [sym__instance_variable_name] = STATE(17997),
    [sym__constructor_name] = STATE(3361),
    [sym_tag] = STATE(3660),
    [sym__lowercase_identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3073),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3075),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__uppercase_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1915] = {
    [sym_value_definition] = STATE(18309),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8235),
    [sym_typed_expression] = STATE(3660),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3660),
    [sym_array_expression] = STATE(3660),
    [sym_record_expression] = STATE(3660),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3660),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3660),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3095),
    [sym_array_get_expression] = STATE(3095),
    [sym_string_get_expression] = STATE(3095),
    [sym_bigarray_get_expression] = STATE(3095),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3660),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3660),
    [sym_package_expression] = STATE(3660),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3660),
    [sym_object_copy_expression] = STATE(3660),
    [sym_method_invocation] = STATE(3660),
    [sym_object_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_attribute] = STATE(1915),
    [sym_extension] = STATE(3660),
    [sym_quoted_extension] = STATE(3660),
    [sym__constant] = STATE(3660),
    [sym_number] = STATE(3360),
    [sym_character] = STATE(3360),
    [sym_string] = STATE(3360),
    [sym_quoted_string] = STATE(3360),
    [sym_boolean] = STATE(3360),
    [sym_unit] = STATE(3360),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(3285),
    [sym_parenthesized_operator] = STATE(3631),
    [sym_value_path] = STATE(3660),
    [sym_module_path] = STATE(18722),
    [sym_constructor_path] = STATE(3660),
    [sym__instance_variable_name] = STATE(17997),
    [sym__constructor_name] = STATE(3361),
    [sym_tag] = STATE(3660),
    [sym__lowercase_identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3073),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3075),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__uppercase_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1916] = {
    [sym_value_definition] = STATE(18309),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8238),
    [sym_typed_expression] = STATE(3660),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3660),
    [sym_array_expression] = STATE(3660),
    [sym_record_expression] = STATE(3660),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3660),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3660),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3095),
    [sym_array_get_expression] = STATE(3095),
    [sym_string_get_expression] = STATE(3095),
    [sym_bigarray_get_expression] = STATE(3095),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3660),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3660),
    [sym_package_expression] = STATE(3660),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3660),
    [sym_object_copy_expression] = STATE(3660),
    [sym_method_invocation] = STATE(3660),
    [sym_object_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_attribute] = STATE(1916),
    [sym_extension] = STATE(3660),
    [sym_quoted_extension] = STATE(3660),
    [sym__constant] = STATE(3660),
    [sym_number] = STATE(3360),
    [sym_character] = STATE(3360),
    [sym_string] = STATE(3360),
    [sym_quoted_string] = STATE(3360),
    [sym_boolean] = STATE(3360),
    [sym_unit] = STATE(3360),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(3285),
    [sym_parenthesized_operator] = STATE(3631),
    [sym_value_path] = STATE(3660),
    [sym_module_path] = STATE(18722),
    [sym_constructor_path] = STATE(3660),
    [sym__instance_variable_name] = STATE(17997),
    [sym__constructor_name] = STATE(3361),
    [sym_tag] = STATE(3660),
    [sym__lowercase_identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3073),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3075),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__uppercase_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1917] = {
    [sym_value_definition] = STATE(18309),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8240),
    [sym_typed_expression] = STATE(3660),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3660),
    [sym_array_expression] = STATE(3660),
    [sym_record_expression] = STATE(3660),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3660),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3660),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3095),
    [sym_array_get_expression] = STATE(3095),
    [sym_string_get_expression] = STATE(3095),
    [sym_bigarray_get_expression] = STATE(3095),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3660),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3660),
    [sym_package_expression] = STATE(3660),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3660),
    [sym_object_copy_expression] = STATE(3660),
    [sym_method_invocation] = STATE(3660),
    [sym_object_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_attribute] = STATE(1917),
    [sym_extension] = STATE(3660),
    [sym_quoted_extension] = STATE(3660),
    [sym__constant] = STATE(3660),
    [sym_number] = STATE(3360),
    [sym_character] = STATE(3360),
    [sym_string] = STATE(3360),
    [sym_quoted_string] = STATE(3360),
    [sym_boolean] = STATE(3360),
    [sym_unit] = STATE(3360),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(3285),
    [sym_parenthesized_operator] = STATE(3631),
    [sym_value_path] = STATE(3660),
    [sym_module_path] = STATE(18722),
    [sym_constructor_path] = STATE(3660),
    [sym__instance_variable_name] = STATE(17997),
    [sym__constructor_name] = STATE(3361),
    [sym_tag] = STATE(3660),
    [sym__lowercase_identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3073),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3075),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__uppercase_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1918] = {
    [sym_value_definition] = STATE(18309),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8241),
    [sym_typed_expression] = STATE(3660),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3660),
    [sym_array_expression] = STATE(3660),
    [sym_record_expression] = STATE(3660),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3660),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3660),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3095),
    [sym_array_get_expression] = STATE(3095),
    [sym_string_get_expression] = STATE(3095),
    [sym_bigarray_get_expression] = STATE(3095),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3660),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3660),
    [sym_package_expression] = STATE(3660),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3660),
    [sym_object_copy_expression] = STATE(3660),
    [sym_method_invocation] = STATE(3660),
    [sym_object_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_attribute] = STATE(1918),
    [sym_extension] = STATE(3660),
    [sym_quoted_extension] = STATE(3660),
    [sym__constant] = STATE(3660),
    [sym_number] = STATE(3360),
    [sym_character] = STATE(3360),
    [sym_string] = STATE(3360),
    [sym_quoted_string] = STATE(3360),
    [sym_boolean] = STATE(3360),
    [sym_unit] = STATE(3360),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(3285),
    [sym_parenthesized_operator] = STATE(3631),
    [sym_value_path] = STATE(3660),
    [sym_module_path] = STATE(18722),
    [sym_constructor_path] = STATE(3660),
    [sym__instance_variable_name] = STATE(17997),
    [sym__constructor_name] = STATE(3361),
    [sym_tag] = STATE(3660),
    [sym__lowercase_identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3073),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3075),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__uppercase_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1919] = {
    [sym_value_definition] = STATE(18309),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8242),
    [sym_typed_expression] = STATE(3660),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3660),
    [sym_array_expression] = STATE(3660),
    [sym_record_expression] = STATE(3660),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3660),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3660),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3095),
    [sym_array_get_expression] = STATE(3095),
    [sym_string_get_expression] = STATE(3095),
    [sym_bigarray_get_expression] = STATE(3095),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3660),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3660),
    [sym_package_expression] = STATE(3660),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3660),
    [sym_object_copy_expression] = STATE(3660),
    [sym_method_invocation] = STATE(3660),
    [sym_object_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_attribute] = STATE(1919),
    [sym_extension] = STATE(3660),
    [sym_quoted_extension] = STATE(3660),
    [sym__constant] = STATE(3660),
    [sym_number] = STATE(3360),
    [sym_character] = STATE(3360),
    [sym_string] = STATE(3360),
    [sym_quoted_string] = STATE(3360),
    [sym_boolean] = STATE(3360),
    [sym_unit] = STATE(3360),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(3285),
    [sym_parenthesized_operator] = STATE(3631),
    [sym_value_path] = STATE(3660),
    [sym_module_path] = STATE(18722),
    [sym_constructor_path] = STATE(3660),
    [sym__instance_variable_name] = STATE(17997),
    [sym__constructor_name] = STATE(3361),
    [sym_tag] = STATE(3660),
    [sym__lowercase_identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3073),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3075),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__uppercase_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1920] = {
    [sym_value_definition] = STATE(18309),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8243),
    [sym_typed_expression] = STATE(3660),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3660),
    [sym_array_expression] = STATE(3660),
    [sym_record_expression] = STATE(3660),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3660),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3660),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3095),
    [sym_array_get_expression] = STATE(3095),
    [sym_string_get_expression] = STATE(3095),
    [sym_bigarray_get_expression] = STATE(3095),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3660),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3660),
    [sym_package_expression] = STATE(3660),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3660),
    [sym_object_copy_expression] = STATE(3660),
    [sym_method_invocation] = STATE(3660),
    [sym_object_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_attribute] = STATE(1920),
    [sym_extension] = STATE(3660),
    [sym_quoted_extension] = STATE(3660),
    [sym__constant] = STATE(3660),
    [sym_number] = STATE(3360),
    [sym_character] = STATE(3360),
    [sym_string] = STATE(3360),
    [sym_quoted_string] = STATE(3360),
    [sym_boolean] = STATE(3360),
    [sym_unit] = STATE(3360),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(3285),
    [sym_parenthesized_operator] = STATE(3631),
    [sym_value_path] = STATE(3660),
    [sym_module_path] = STATE(18722),
    [sym_constructor_path] = STATE(3660),
    [sym__instance_variable_name] = STATE(17997),
    [sym__constructor_name] = STATE(3361),
    [sym_tag] = STATE(3660),
    [sym__lowercase_identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3073),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3075),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__uppercase_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1921] = {
    [sym_value_definition] = STATE(18309),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8245),
    [sym_typed_expression] = STATE(3660),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3660),
    [sym_array_expression] = STATE(3660),
    [sym_record_expression] = STATE(3660),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3660),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3660),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3095),
    [sym_array_get_expression] = STATE(3095),
    [sym_string_get_expression] = STATE(3095),
    [sym_bigarray_get_expression] = STATE(3095),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3660),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3660),
    [sym_package_expression] = STATE(3660),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3660),
    [sym_object_copy_expression] = STATE(3660),
    [sym_method_invocation] = STATE(3660),
    [sym_object_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_attribute] = STATE(1921),
    [sym_extension] = STATE(3660),
    [sym_quoted_extension] = STATE(3660),
    [sym__constant] = STATE(3660),
    [sym_number] = STATE(3360),
    [sym_character] = STATE(3360),
    [sym_string] = STATE(3360),
    [sym_quoted_string] = STATE(3360),
    [sym_boolean] = STATE(3360),
    [sym_unit] = STATE(3360),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(3285),
    [sym_parenthesized_operator] = STATE(3631),
    [sym_value_path] = STATE(3660),
    [sym_module_path] = STATE(18722),
    [sym_constructor_path] = STATE(3660),
    [sym__instance_variable_name] = STATE(17997),
    [sym__constructor_name] = STATE(3361),
    [sym_tag] = STATE(3660),
    [sym__lowercase_identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3073),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3075),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__uppercase_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1922] = {
    [sym_value_definition] = STATE(19695),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(8316),
    [sym_typed_expression] = STATE(3950),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3950),
    [sym_array_expression] = STATE(3950),
    [sym_record_expression] = STATE(3950),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3950),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3950),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3950),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3950),
    [sym_package_expression] = STATE(3950),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3950),
    [sym_object_copy_expression] = STATE(3950),
    [sym_method_invocation] = STATE(3950),
    [sym_object_expression] = STATE(3950),
    [sym_parenthesized_expression] = STATE(3950),
    [sym_attribute] = STATE(1922),
    [sym_extension] = STATE(3950),
    [sym_quoted_extension] = STATE(3950),
    [sym__constant] = STATE(3950),
    [sym_number] = STATE(4087),
    [sym_character] = STATE(4087),
    [sym_string] = STATE(4087),
    [sym_quoted_string] = STATE(4087),
    [sym_boolean] = STATE(4087),
    [sym_unit] = STATE(4087),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4005),
    [sym_parenthesized_operator] = STATE(4045),
    [sym_value_path] = STATE(3950),
    [sym_module_path] = STATE(17695),
    [sym_constructor_path] = STATE(3950),
    [sym__instance_variable_name] = STATE(19552),
    [sym__constructor_name] = STATE(4088),
    [sym_tag] = STATE(3950),
    [sym__lowercase_identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__uppercase_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1923] = {
    [sym_value_definition] = STATE(18309),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8250),
    [sym_typed_expression] = STATE(3660),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3660),
    [sym_array_expression] = STATE(3660),
    [sym_record_expression] = STATE(3660),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3660),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3660),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3095),
    [sym_array_get_expression] = STATE(3095),
    [sym_string_get_expression] = STATE(3095),
    [sym_bigarray_get_expression] = STATE(3095),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3660),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3660),
    [sym_package_expression] = STATE(3660),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3660),
    [sym_object_copy_expression] = STATE(3660),
    [sym_method_invocation] = STATE(3660),
    [sym_object_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_attribute] = STATE(1923),
    [sym_extension] = STATE(3660),
    [sym_quoted_extension] = STATE(3660),
    [sym__constant] = STATE(3660),
    [sym_number] = STATE(3360),
    [sym_character] = STATE(3360),
    [sym_string] = STATE(3360),
    [sym_quoted_string] = STATE(3360),
    [sym_boolean] = STATE(3360),
    [sym_unit] = STATE(3360),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(3285),
    [sym_parenthesized_operator] = STATE(3631),
    [sym_value_path] = STATE(3660),
    [sym_module_path] = STATE(18722),
    [sym_constructor_path] = STATE(3660),
    [sym__instance_variable_name] = STATE(17997),
    [sym__constructor_name] = STATE(3361),
    [sym_tag] = STATE(3660),
    [sym__lowercase_identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3073),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3075),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__uppercase_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1924] = {
    [sym_value_definition] = STATE(18309),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8206),
    [sym_typed_expression] = STATE(3660),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3660),
    [sym_array_expression] = STATE(3660),
    [sym_record_expression] = STATE(3660),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3660),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3660),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3095),
    [sym_array_get_expression] = STATE(3095),
    [sym_string_get_expression] = STATE(3095),
    [sym_bigarray_get_expression] = STATE(3095),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3660),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3660),
    [sym_package_expression] = STATE(3660),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3660),
    [sym_object_copy_expression] = STATE(3660),
    [sym_method_invocation] = STATE(3660),
    [sym_object_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_attribute] = STATE(1924),
    [sym_extension] = STATE(3660),
    [sym_quoted_extension] = STATE(3660),
    [sym__constant] = STATE(3660),
    [sym_number] = STATE(3360),
    [sym_character] = STATE(3360),
    [sym_string] = STATE(3360),
    [sym_quoted_string] = STATE(3360),
    [sym_boolean] = STATE(3360),
    [sym_unit] = STATE(3360),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(3285),
    [sym_parenthesized_operator] = STATE(3631),
    [sym_value_path] = STATE(3660),
    [sym_module_path] = STATE(18722),
    [sym_constructor_path] = STATE(3660),
    [sym__instance_variable_name] = STATE(17997),
    [sym__constructor_name] = STATE(3361),
    [sym_tag] = STATE(3660),
    [sym__lowercase_identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3073),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3075),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__uppercase_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1925] = {
    [sym_value_definition] = STATE(19378),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12453),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6467),
    [sym_array_get_expression] = STATE(6467),
    [sym_string_get_expression] = STATE(6467),
    [sym_bigarray_get_expression] = STATE(6467),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(1925),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(1824),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(19354),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1926] = {
    [sym_value_definition] = STATE(18836),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11874),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6002),
    [sym_array_get_expression] = STATE(6002),
    [sym_string_get_expression] = STATE(6002),
    [sym_bigarray_get_expression] = STATE(6002),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(1926),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(1907),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(17884),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2203),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2211),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2235),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1927] = {
    [sym_value_definition] = STATE(18836),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11875),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6002),
    [sym_array_get_expression] = STATE(6002),
    [sym_string_get_expression] = STATE(6002),
    [sym_bigarray_get_expression] = STATE(6002),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(1927),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(1907),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(17884),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2203),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2211),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2235),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1928] = {
    [sym_value_definition] = STATE(18836),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11878),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6002),
    [sym_array_get_expression] = STATE(6002),
    [sym_string_get_expression] = STATE(6002),
    [sym_bigarray_get_expression] = STATE(6002),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(1928),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(1907),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(17884),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2203),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2211),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2235),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1929] = {
    [sym_value_definition] = STATE(18836),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11880),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6002),
    [sym_array_get_expression] = STATE(6002),
    [sym_string_get_expression] = STATE(6002),
    [sym_bigarray_get_expression] = STATE(6002),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(1929),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(1907),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(17884),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2203),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2211),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2235),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1930] = {
    [sym_value_definition] = STATE(18309),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8167),
    [sym_typed_expression] = STATE(3660),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3660),
    [sym_array_expression] = STATE(3660),
    [sym_record_expression] = STATE(3660),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3660),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3660),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3095),
    [sym_array_get_expression] = STATE(3095),
    [sym_string_get_expression] = STATE(3095),
    [sym_bigarray_get_expression] = STATE(3095),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3660),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3660),
    [sym_package_expression] = STATE(3660),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3660),
    [sym_object_copy_expression] = STATE(3660),
    [sym_method_invocation] = STATE(3660),
    [sym_object_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_attribute] = STATE(1930),
    [sym_extension] = STATE(3660),
    [sym_quoted_extension] = STATE(3660),
    [sym__constant] = STATE(3660),
    [sym_number] = STATE(3360),
    [sym_character] = STATE(3360),
    [sym_string] = STATE(3360),
    [sym_quoted_string] = STATE(3360),
    [sym_boolean] = STATE(3360),
    [sym_unit] = STATE(3360),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(3285),
    [sym_parenthesized_operator] = STATE(3631),
    [sym_value_path] = STATE(3660),
    [sym_module_path] = STATE(18722),
    [sym_constructor_path] = STATE(3660),
    [sym__instance_variable_name] = STATE(17997),
    [sym__constructor_name] = STATE(3361),
    [sym_tag] = STATE(3660),
    [sym__lowercase_identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3073),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3075),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__uppercase_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1931] = {
    [sym_value_definition] = STATE(19695),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(8335),
    [sym_typed_expression] = STATE(3950),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3950),
    [sym_array_expression] = STATE(3950),
    [sym_record_expression] = STATE(3950),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3950),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3950),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3950),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3950),
    [sym_package_expression] = STATE(3950),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3950),
    [sym_object_copy_expression] = STATE(3950),
    [sym_method_invocation] = STATE(3950),
    [sym_object_expression] = STATE(3950),
    [sym_parenthesized_expression] = STATE(3950),
    [sym_attribute] = STATE(1931),
    [sym_extension] = STATE(3950),
    [sym_quoted_extension] = STATE(3950),
    [sym__constant] = STATE(3950),
    [sym_number] = STATE(4087),
    [sym_character] = STATE(4087),
    [sym_string] = STATE(4087),
    [sym_quoted_string] = STATE(4087),
    [sym_boolean] = STATE(4087),
    [sym_unit] = STATE(4087),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4005),
    [sym_parenthesized_operator] = STATE(4045),
    [sym_value_path] = STATE(3950),
    [sym_module_path] = STATE(17695),
    [sym_constructor_path] = STATE(3950),
    [sym__instance_variable_name] = STATE(19552),
    [sym__constructor_name] = STATE(4088),
    [sym_tag] = STATE(3950),
    [sym__lowercase_identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__uppercase_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1932] = {
    [sym_value_definition] = STATE(18836),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11882),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6002),
    [sym_array_get_expression] = STATE(6002),
    [sym_string_get_expression] = STATE(6002),
    [sym_bigarray_get_expression] = STATE(6002),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(1932),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(1907),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(17884),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2203),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2211),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2235),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1933] = {
    [sym_value_definition] = STATE(18836),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11883),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6002),
    [sym_array_get_expression] = STATE(6002),
    [sym_string_get_expression] = STATE(6002),
    [sym_bigarray_get_expression] = STATE(6002),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(1933),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(1907),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(17884),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2203),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2211),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2235),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1934] = {
    [sym_value_definition] = STATE(19384),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12077),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6475),
    [sym_array_get_expression] = STATE(6475),
    [sym_string_get_expression] = STATE(6475),
    [sym_bigarray_get_expression] = STATE(6475),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(1934),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(1944),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(20276),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2857),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1935] = {
    [sym_value_definition] = STATE(18124),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9490),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4784),
    [sym_array_get_expression] = STATE(4784),
    [sym_string_get_expression] = STATE(4784),
    [sym_bigarray_get_expression] = STATE(4784),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(1935),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17851),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1009),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1015),
    [anon_sym_function] = ACTIONS(1017),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1041),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1936] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10761),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1936),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1937] = {
    [sym_value_definition] = STATE(19627),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8511),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(1937),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1938] = {
    [sym_value_definition] = STATE(18836),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11884),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6002),
    [sym_array_get_expression] = STATE(6002),
    [sym_string_get_expression] = STATE(6002),
    [sym_bigarray_get_expression] = STATE(6002),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(1938),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(1907),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(17884),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2203),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2211),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2235),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1939] = {
    [sym_value_definition] = STATE(18836),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11891),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6002),
    [sym_array_get_expression] = STATE(6002),
    [sym_string_get_expression] = STATE(6002),
    [sym_bigarray_get_expression] = STATE(6002),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(1939),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(1907),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(17884),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2203),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2211),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2235),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1940] = {
    [sym_value_definition] = STATE(18836),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11893),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6002),
    [sym_array_get_expression] = STATE(6002),
    [sym_string_get_expression] = STATE(6002),
    [sym_bigarray_get_expression] = STATE(6002),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(1940),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(1907),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(17884),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2203),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2211),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2235),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1941] = {
    [sym_value_definition] = STATE(18767),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12183),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(1941),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(2341),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(18746),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2683),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1942] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12574),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(1942),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1943] = {
    [sym_value_definition] = STATE(19384),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12089),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6475),
    [sym_array_get_expression] = STATE(6475),
    [sym_string_get_expression] = STATE(6475),
    [sym_bigarray_get_expression] = STATE(6475),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(1943),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(1944),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(20276),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2857),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1944] = {
    [sym_value_definition] = STATE(19384),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12231),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6475),
    [sym_array_get_expression] = STATE(6475),
    [sym_string_get_expression] = STATE(6475),
    [sym_bigarray_get_expression] = STATE(6475),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(1944),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(1944),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(20276),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2857),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1945] = {
    [sym_value_definition] = STATE(18228),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11904),
    [sym_typed_expression] = STATE(6605),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6605),
    [sym_array_expression] = STATE(6605),
    [sym_record_expression] = STATE(6605),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6605),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6605),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6090),
    [sym_array_get_expression] = STATE(6090),
    [sym_string_get_expression] = STATE(6090),
    [sym_bigarray_get_expression] = STATE(6090),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6605),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6605),
    [sym_package_expression] = STATE(6605),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6605),
    [sym_object_copy_expression] = STATE(6605),
    [sym_method_invocation] = STATE(6605),
    [sym_object_expression] = STATE(6605),
    [sym_parenthesized_expression] = STATE(6605),
    [sym_attribute] = STATE(1945),
    [sym_extension] = STATE(6605),
    [sym_quoted_extension] = STATE(6605),
    [sym__constant] = STATE(6605),
    [sym_number] = STATE(6281),
    [sym_character] = STATE(6281),
    [sym_string] = STATE(6281),
    [sym_quoted_string] = STATE(6281),
    [sym_boolean] = STATE(6281),
    [sym_unit] = STATE(6281),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6139),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6605),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(6605),
    [sym__instance_variable_name] = STATE(18146),
    [sym__constructor_name] = STATE(6282),
    [sym_tag] = STATE(6605),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1946] = {
    [sym_value_definition] = STATE(18836),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11896),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6002),
    [sym_array_get_expression] = STATE(6002),
    [sym_string_get_expression] = STATE(6002),
    [sym_bigarray_get_expression] = STATE(6002),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(1946),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(1907),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(17884),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2203),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2211),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2235),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1947] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12601),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(1947),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1948] = {
    [sym_value_definition] = STATE(19627),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8512),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(1948),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1949] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12516),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(1949),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1950] = {
    [sym_value_definition] = STATE(19378),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12463),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6467),
    [sym_array_get_expression] = STATE(6467),
    [sym_string_get_expression] = STATE(6467),
    [sym_bigarray_get_expression] = STATE(6467),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(1950),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(1824),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(19354),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1951] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(1951),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1952] = {
    [sym_value_definition] = STATE(19507),
    [sym__simple_expression] = STATE(2442),
    [sym__expression] = STATE(11731),
    [sym_typed_expression] = STATE(5871),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5871),
    [sym_array_expression] = STATE(5871),
    [sym_record_expression] = STATE(5871),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5871),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5871),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5719),
    [sym_array_get_expression] = STATE(5719),
    [sym_string_get_expression] = STATE(5719),
    [sym_bigarray_get_expression] = STATE(5719),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5871),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5871),
    [sym_package_expression] = STATE(5871),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5871),
    [sym_object_copy_expression] = STATE(5871),
    [sym_method_invocation] = STATE(5871),
    [sym_object_expression] = STATE(5871),
    [sym_parenthesized_expression] = STATE(5871),
    [sym_attribute] = STATE(1952),
    [sym_extension] = STATE(5871),
    [sym_quoted_extension] = STATE(5871),
    [sym__constant] = STATE(5871),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1952),
    [sym__value_name] = STATE(5907),
    [sym_parenthesized_operator] = STATE(5936),
    [sym_value_path] = STATE(5871),
    [sym_module_path] = STATE(18534),
    [sym_constructor_path] = STATE(5871),
    [sym__instance_variable_name] = STATE(19469),
    [sym__constructor_name] = STATE(5965),
    [sym_tag] = STATE(5871),
    [sym__lowercase_identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__uppercase_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1953] = {
    [sym_value_definition] = STATE(19507),
    [sym__simple_expression] = STATE(2442),
    [sym__expression] = STATE(11682),
    [sym_typed_expression] = STATE(5871),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5871),
    [sym_array_expression] = STATE(5871),
    [sym_record_expression] = STATE(5871),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5871),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5871),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5719),
    [sym_array_get_expression] = STATE(5719),
    [sym_string_get_expression] = STATE(5719),
    [sym_bigarray_get_expression] = STATE(5719),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5871),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5871),
    [sym_package_expression] = STATE(5871),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5871),
    [sym_object_copy_expression] = STATE(5871),
    [sym_method_invocation] = STATE(5871),
    [sym_object_expression] = STATE(5871),
    [sym_parenthesized_expression] = STATE(5871),
    [sym_attribute] = STATE(1953),
    [sym_extension] = STATE(5871),
    [sym_quoted_extension] = STATE(5871),
    [sym__constant] = STATE(5871),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1952),
    [sym__value_name] = STATE(5907),
    [sym_parenthesized_operator] = STATE(5936),
    [sym_value_path] = STATE(5871),
    [sym_module_path] = STATE(18534),
    [sym_constructor_path] = STATE(5871),
    [sym__instance_variable_name] = STATE(19469),
    [sym__constructor_name] = STATE(5965),
    [sym_tag] = STATE(5871),
    [sym__lowercase_identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__uppercase_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1954] = {
    [sym_value_definition] = STATE(19507),
    [sym__simple_expression] = STATE(2442),
    [sym__expression] = STATE(11747),
    [sym_typed_expression] = STATE(5871),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5871),
    [sym_array_expression] = STATE(5871),
    [sym_record_expression] = STATE(5871),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5871),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5871),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5719),
    [sym_array_get_expression] = STATE(5719),
    [sym_string_get_expression] = STATE(5719),
    [sym_bigarray_get_expression] = STATE(5719),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5871),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5871),
    [sym_package_expression] = STATE(5871),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5871),
    [sym_object_copy_expression] = STATE(5871),
    [sym_method_invocation] = STATE(5871),
    [sym_object_expression] = STATE(5871),
    [sym_parenthesized_expression] = STATE(5871),
    [sym_attribute] = STATE(1954),
    [sym_extension] = STATE(5871),
    [sym_quoted_extension] = STATE(5871),
    [sym__constant] = STATE(5871),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1952),
    [sym__value_name] = STATE(5907),
    [sym_parenthesized_operator] = STATE(5936),
    [sym_value_path] = STATE(5871),
    [sym_module_path] = STATE(18534),
    [sym_constructor_path] = STATE(5871),
    [sym__instance_variable_name] = STATE(19469),
    [sym__constructor_name] = STATE(5965),
    [sym_tag] = STATE(5871),
    [sym__lowercase_identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__uppercase_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1955] = {
    [sym_value_definition] = STATE(19507),
    [sym__simple_expression] = STATE(2442),
    [sym__expression] = STATE(11601),
    [sym_typed_expression] = STATE(5871),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5871),
    [sym_array_expression] = STATE(5871),
    [sym_record_expression] = STATE(5871),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5871),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5871),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5719),
    [sym_array_get_expression] = STATE(5719),
    [sym_string_get_expression] = STATE(5719),
    [sym_bigarray_get_expression] = STATE(5719),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5871),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5871),
    [sym_package_expression] = STATE(5871),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5871),
    [sym_object_copy_expression] = STATE(5871),
    [sym_method_invocation] = STATE(5871),
    [sym_object_expression] = STATE(5871),
    [sym_parenthesized_expression] = STATE(5871),
    [sym_attribute] = STATE(1955),
    [sym_extension] = STATE(5871),
    [sym_quoted_extension] = STATE(5871),
    [sym__constant] = STATE(5871),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1952),
    [sym__value_name] = STATE(5907),
    [sym_parenthesized_operator] = STATE(5936),
    [sym_value_path] = STATE(5871),
    [sym_module_path] = STATE(18534),
    [sym_constructor_path] = STATE(5871),
    [sym__instance_variable_name] = STATE(19469),
    [sym__constructor_name] = STATE(5965),
    [sym_tag] = STATE(5871),
    [sym__lowercase_identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__uppercase_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1956] = {
    [sym_value_definition] = STATE(19507),
    [sym__simple_expression] = STATE(2442),
    [sym__expression] = STATE(11609),
    [sym_typed_expression] = STATE(5871),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5871),
    [sym_array_expression] = STATE(5871),
    [sym_record_expression] = STATE(5871),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5871),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5871),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5719),
    [sym_array_get_expression] = STATE(5719),
    [sym_string_get_expression] = STATE(5719),
    [sym_bigarray_get_expression] = STATE(5719),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5871),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5871),
    [sym_package_expression] = STATE(5871),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5871),
    [sym_object_copy_expression] = STATE(5871),
    [sym_method_invocation] = STATE(5871),
    [sym_object_expression] = STATE(5871),
    [sym_parenthesized_expression] = STATE(5871),
    [sym_attribute] = STATE(1956),
    [sym_extension] = STATE(5871),
    [sym_quoted_extension] = STATE(5871),
    [sym__constant] = STATE(5871),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1952),
    [sym__value_name] = STATE(5907),
    [sym_parenthesized_operator] = STATE(5936),
    [sym_value_path] = STATE(5871),
    [sym_module_path] = STATE(18534),
    [sym_constructor_path] = STATE(5871),
    [sym__instance_variable_name] = STATE(19469),
    [sym__constructor_name] = STATE(5965),
    [sym_tag] = STATE(5871),
    [sym__lowercase_identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__uppercase_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1957] = {
    [sym_value_definition] = STATE(19507),
    [sym__simple_expression] = STATE(2442),
    [sym__expression] = STATE(11625),
    [sym_typed_expression] = STATE(5871),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5871),
    [sym_array_expression] = STATE(5871),
    [sym_record_expression] = STATE(5871),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5871),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5871),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5719),
    [sym_array_get_expression] = STATE(5719),
    [sym_string_get_expression] = STATE(5719),
    [sym_bigarray_get_expression] = STATE(5719),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5871),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5871),
    [sym_package_expression] = STATE(5871),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5871),
    [sym_object_copy_expression] = STATE(5871),
    [sym_method_invocation] = STATE(5871),
    [sym_object_expression] = STATE(5871),
    [sym_parenthesized_expression] = STATE(5871),
    [sym_attribute] = STATE(1957),
    [sym_extension] = STATE(5871),
    [sym_quoted_extension] = STATE(5871),
    [sym__constant] = STATE(5871),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1952),
    [sym__value_name] = STATE(5907),
    [sym_parenthesized_operator] = STATE(5936),
    [sym_value_path] = STATE(5871),
    [sym_module_path] = STATE(18534),
    [sym_constructor_path] = STATE(5871),
    [sym__instance_variable_name] = STATE(19469),
    [sym__constructor_name] = STATE(5965),
    [sym_tag] = STATE(5871),
    [sym__lowercase_identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__uppercase_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1958] = {
    [sym_value_definition] = STATE(19507),
    [sym__simple_expression] = STATE(2442),
    [sym__expression] = STATE(11645),
    [sym_typed_expression] = STATE(5871),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5871),
    [sym_array_expression] = STATE(5871),
    [sym_record_expression] = STATE(5871),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5871),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5871),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5719),
    [sym_array_get_expression] = STATE(5719),
    [sym_string_get_expression] = STATE(5719),
    [sym_bigarray_get_expression] = STATE(5719),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5871),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5871),
    [sym_package_expression] = STATE(5871),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5871),
    [sym_object_copy_expression] = STATE(5871),
    [sym_method_invocation] = STATE(5871),
    [sym_object_expression] = STATE(5871),
    [sym_parenthesized_expression] = STATE(5871),
    [sym_attribute] = STATE(1958),
    [sym_extension] = STATE(5871),
    [sym_quoted_extension] = STATE(5871),
    [sym__constant] = STATE(5871),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1952),
    [sym__value_name] = STATE(5907),
    [sym_parenthesized_operator] = STATE(5936),
    [sym_value_path] = STATE(5871),
    [sym_module_path] = STATE(18534),
    [sym_constructor_path] = STATE(5871),
    [sym__instance_variable_name] = STATE(19469),
    [sym__constructor_name] = STATE(5965),
    [sym_tag] = STATE(5871),
    [sym__lowercase_identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__uppercase_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1959] = {
    [sym_value_definition] = STATE(19507),
    [sym__simple_expression] = STATE(2442),
    [sym__expression] = STATE(11654),
    [sym_typed_expression] = STATE(5871),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5871),
    [sym_array_expression] = STATE(5871),
    [sym_record_expression] = STATE(5871),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5871),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5871),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5719),
    [sym_array_get_expression] = STATE(5719),
    [sym_string_get_expression] = STATE(5719),
    [sym_bigarray_get_expression] = STATE(5719),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5871),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5871),
    [sym_package_expression] = STATE(5871),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5871),
    [sym_object_copy_expression] = STATE(5871),
    [sym_method_invocation] = STATE(5871),
    [sym_object_expression] = STATE(5871),
    [sym_parenthesized_expression] = STATE(5871),
    [sym_attribute] = STATE(1959),
    [sym_extension] = STATE(5871),
    [sym_quoted_extension] = STATE(5871),
    [sym__constant] = STATE(5871),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1952),
    [sym__value_name] = STATE(5907),
    [sym_parenthesized_operator] = STATE(5936),
    [sym_value_path] = STATE(5871),
    [sym_module_path] = STATE(18534),
    [sym_constructor_path] = STATE(5871),
    [sym__instance_variable_name] = STATE(19469),
    [sym__constructor_name] = STATE(5965),
    [sym_tag] = STATE(5871),
    [sym__lowercase_identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__uppercase_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1960] = {
    [sym_value_definition] = STATE(19507),
    [sym__simple_expression] = STATE(2442),
    [sym__expression] = STATE(11671),
    [sym_typed_expression] = STATE(5871),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5871),
    [sym_array_expression] = STATE(5871),
    [sym_record_expression] = STATE(5871),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5871),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5871),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5719),
    [sym_array_get_expression] = STATE(5719),
    [sym_string_get_expression] = STATE(5719),
    [sym_bigarray_get_expression] = STATE(5719),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5871),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5871),
    [sym_package_expression] = STATE(5871),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5871),
    [sym_object_copy_expression] = STATE(5871),
    [sym_method_invocation] = STATE(5871),
    [sym_object_expression] = STATE(5871),
    [sym_parenthesized_expression] = STATE(5871),
    [sym_attribute] = STATE(1960),
    [sym_extension] = STATE(5871),
    [sym_quoted_extension] = STATE(5871),
    [sym__constant] = STATE(5871),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1952),
    [sym__value_name] = STATE(5907),
    [sym_parenthesized_operator] = STATE(5936),
    [sym_value_path] = STATE(5871),
    [sym_module_path] = STATE(18534),
    [sym_constructor_path] = STATE(5871),
    [sym__instance_variable_name] = STATE(19469),
    [sym__constructor_name] = STATE(5965),
    [sym_tag] = STATE(5871),
    [sym__lowercase_identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__uppercase_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1961] = {
    [sym_value_definition] = STATE(19507),
    [sym__simple_expression] = STATE(2442),
    [sym__expression] = STATE(11674),
    [sym_typed_expression] = STATE(5871),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5871),
    [sym_array_expression] = STATE(5871),
    [sym_record_expression] = STATE(5871),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5871),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5871),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5719),
    [sym_array_get_expression] = STATE(5719),
    [sym_string_get_expression] = STATE(5719),
    [sym_bigarray_get_expression] = STATE(5719),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5871),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5871),
    [sym_package_expression] = STATE(5871),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5871),
    [sym_object_copy_expression] = STATE(5871),
    [sym_method_invocation] = STATE(5871),
    [sym_object_expression] = STATE(5871),
    [sym_parenthesized_expression] = STATE(5871),
    [sym_attribute] = STATE(1961),
    [sym_extension] = STATE(5871),
    [sym_quoted_extension] = STATE(5871),
    [sym__constant] = STATE(5871),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1952),
    [sym__value_name] = STATE(5907),
    [sym_parenthesized_operator] = STATE(5936),
    [sym_value_path] = STATE(5871),
    [sym_module_path] = STATE(18534),
    [sym_constructor_path] = STATE(5871),
    [sym__instance_variable_name] = STATE(19469),
    [sym__constructor_name] = STATE(5965),
    [sym_tag] = STATE(5871),
    [sym__lowercase_identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__uppercase_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1962] = {
    [sym_value_definition] = STATE(19507),
    [sym__simple_expression] = STATE(2442),
    [sym__expression] = STATE(11675),
    [sym_typed_expression] = STATE(5871),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5871),
    [sym_array_expression] = STATE(5871),
    [sym_record_expression] = STATE(5871),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5871),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5871),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5719),
    [sym_array_get_expression] = STATE(5719),
    [sym_string_get_expression] = STATE(5719),
    [sym_bigarray_get_expression] = STATE(5719),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5871),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5871),
    [sym_package_expression] = STATE(5871),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5871),
    [sym_object_copy_expression] = STATE(5871),
    [sym_method_invocation] = STATE(5871),
    [sym_object_expression] = STATE(5871),
    [sym_parenthesized_expression] = STATE(5871),
    [sym_attribute] = STATE(1962),
    [sym_extension] = STATE(5871),
    [sym_quoted_extension] = STATE(5871),
    [sym__constant] = STATE(5871),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1952),
    [sym__value_name] = STATE(5907),
    [sym_parenthesized_operator] = STATE(5936),
    [sym_value_path] = STATE(5871),
    [sym_module_path] = STATE(18534),
    [sym_constructor_path] = STATE(5871),
    [sym__instance_variable_name] = STATE(19469),
    [sym__constructor_name] = STATE(5965),
    [sym_tag] = STATE(5871),
    [sym__lowercase_identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__uppercase_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1963] = {
    [sym_value_definition] = STATE(19507),
    [sym__simple_expression] = STATE(2442),
    [sym__expression] = STATE(11676),
    [sym_typed_expression] = STATE(5871),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5871),
    [sym_array_expression] = STATE(5871),
    [sym_record_expression] = STATE(5871),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5871),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5871),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5719),
    [sym_array_get_expression] = STATE(5719),
    [sym_string_get_expression] = STATE(5719),
    [sym_bigarray_get_expression] = STATE(5719),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5871),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5871),
    [sym_package_expression] = STATE(5871),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5871),
    [sym_object_copy_expression] = STATE(5871),
    [sym_method_invocation] = STATE(5871),
    [sym_object_expression] = STATE(5871),
    [sym_parenthesized_expression] = STATE(5871),
    [sym_attribute] = STATE(1963),
    [sym_extension] = STATE(5871),
    [sym_quoted_extension] = STATE(5871),
    [sym__constant] = STATE(5871),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1952),
    [sym__value_name] = STATE(5907),
    [sym_parenthesized_operator] = STATE(5936),
    [sym_value_path] = STATE(5871),
    [sym_module_path] = STATE(18534),
    [sym_constructor_path] = STATE(5871),
    [sym__instance_variable_name] = STATE(19469),
    [sym__constructor_name] = STATE(5965),
    [sym_tag] = STATE(5871),
    [sym__lowercase_identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__uppercase_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1964] = {
    [sym_value_definition] = STATE(18836),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11903),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6002),
    [sym_array_get_expression] = STATE(6002),
    [sym_string_get_expression] = STATE(6002),
    [sym_bigarray_get_expression] = STATE(6002),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(1964),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(1907),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(17884),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2203),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2211),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2235),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1965] = {
    [sym_value_definition] = STATE(19384),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12078),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6475),
    [sym_array_get_expression] = STATE(6475),
    [sym_string_get_expression] = STATE(6475),
    [sym_bigarray_get_expression] = STATE(6475),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(1965),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(1944),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(20276),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2857),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1966] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8302),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(1966),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1967] = {
    [sym_value_definition] = STATE(19507),
    [sym__simple_expression] = STATE(2442),
    [sym__expression] = STATE(11680),
    [sym_typed_expression] = STATE(5871),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5871),
    [sym_array_expression] = STATE(5871),
    [sym_record_expression] = STATE(5871),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5871),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5871),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5719),
    [sym_array_get_expression] = STATE(5719),
    [sym_string_get_expression] = STATE(5719),
    [sym_bigarray_get_expression] = STATE(5719),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5871),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5871),
    [sym_package_expression] = STATE(5871),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5871),
    [sym_object_copy_expression] = STATE(5871),
    [sym_method_invocation] = STATE(5871),
    [sym_object_expression] = STATE(5871),
    [sym_parenthesized_expression] = STATE(5871),
    [sym_attribute] = STATE(1967),
    [sym_extension] = STATE(5871),
    [sym_quoted_extension] = STATE(5871),
    [sym__constant] = STATE(5871),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1952),
    [sym__value_name] = STATE(5907),
    [sym_parenthesized_operator] = STATE(5936),
    [sym_value_path] = STATE(5871),
    [sym_module_path] = STATE(18534),
    [sym_constructor_path] = STATE(5871),
    [sym__instance_variable_name] = STATE(19469),
    [sym__constructor_name] = STATE(5965),
    [sym_tag] = STATE(5871),
    [sym__lowercase_identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__uppercase_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1968] = {
    [sym_value_definition] = STATE(18767),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12184),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(1968),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(2341),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(18746),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2683),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1969] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12528),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(1969),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1970] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9753),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(1970),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1971] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9752),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(1971),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1972] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12566),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(1972),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1973] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12591),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(1973),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1974] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12595),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(1974),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1975] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8296),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(1975),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1976] = {
    [sym_value_definition] = STATE(19847),
    [sym__simple_expression] = STATE(1543),
    [sym__expression] = STATE(8365),
    [sym_typed_expression] = STATE(4090),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4090),
    [sym_array_expression] = STATE(4090),
    [sym_record_expression] = STATE(4090),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4090),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4090),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3779),
    [sym_array_get_expression] = STATE(3779),
    [sym_string_get_expression] = STATE(3779),
    [sym_bigarray_get_expression] = STATE(3779),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4090),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4090),
    [sym_package_expression] = STATE(4090),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4090),
    [sym_object_copy_expression] = STATE(4090),
    [sym_method_invocation] = STATE(4090),
    [sym_object_expression] = STATE(4090),
    [sym_parenthesized_expression] = STATE(4090),
    [sym_attribute] = STATE(1976),
    [sym_extension] = STATE(4090),
    [sym_quoted_extension] = STATE(4090),
    [sym__constant] = STATE(4090),
    [sym_number] = STATE(4058),
    [sym_character] = STATE(4058),
    [sym_string] = STATE(4058),
    [sym_quoted_string] = STATE(4058),
    [sym_boolean] = STATE(4058),
    [sym_unit] = STATE(4058),
    [sym_sign_operator] = STATE(2132),
    [sym__value_name] = STATE(4146),
    [sym_parenthesized_operator] = STATE(4003),
    [sym_value_path] = STATE(4090),
    [sym_module_path] = STATE(17476),
    [sym_constructor_path] = STATE(4090),
    [sym__instance_variable_name] = STATE(19788),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4090),
    [sym__lowercase_identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3077),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3079),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__uppercase_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1977] = {
    [sym_value_definition] = STATE(19384),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12079),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6475),
    [sym_array_get_expression] = STATE(6475),
    [sym_string_get_expression] = STATE(6475),
    [sym_bigarray_get_expression] = STATE(6475),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(1977),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(1944),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(20276),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2857),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1978] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12614),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(1978),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1979] = {
    [sym_value_definition] = STATE(19384),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12080),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6475),
    [sym_array_get_expression] = STATE(6475),
    [sym_string_get_expression] = STATE(6475),
    [sym_bigarray_get_expression] = STATE(6475),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(1979),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(1944),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(20276),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2857),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1980] = {
    [sym_value_definition] = STATE(20000),
    [sym__simple_expression] = STATE(352),
    [sym__expression] = STATE(8042),
    [sym_typed_expression] = STATE(3206),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3206),
    [sym_array_expression] = STATE(3206),
    [sym_record_expression] = STATE(3206),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3206),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3206),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2932),
    [sym_array_get_expression] = STATE(2932),
    [sym_string_get_expression] = STATE(2932),
    [sym_bigarray_get_expression] = STATE(2932),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3206),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3206),
    [sym_package_expression] = STATE(3206),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3206),
    [sym_object_copy_expression] = STATE(3206),
    [sym_method_invocation] = STATE(3206),
    [sym_object_expression] = STATE(3206),
    [sym_parenthesized_expression] = STATE(3206),
    [sym_attribute] = STATE(1980),
    [sym_extension] = STATE(3206),
    [sym_quoted_extension] = STATE(3206),
    [sym__constant] = STATE(3206),
    [sym_number] = STATE(3173),
    [sym_character] = STATE(3173),
    [sym_string] = STATE(3173),
    [sym_quoted_string] = STATE(3173),
    [sym_boolean] = STATE(3173),
    [sym_unit] = STATE(3173),
    [sym_sign_operator] = STATE(1980),
    [sym__value_name] = STATE(3254),
    [sym_parenthesized_operator] = STATE(2954),
    [sym_value_path] = STATE(3206),
    [sym_module_path] = STATE(18572),
    [sym_constructor_path] = STATE(3206),
    [sym__instance_variable_name] = STATE(19951),
    [sym__constructor_name] = STATE(3180),
    [sym_tag] = STATE(3206),
    [sym__lowercase_identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__uppercase_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1981] = {
    [sym_value_definition] = STATE(19507),
    [sym__simple_expression] = STATE(2442),
    [sym__expression] = STATE(11733),
    [sym_typed_expression] = STATE(5871),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5871),
    [sym_array_expression] = STATE(5871),
    [sym_record_expression] = STATE(5871),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5871),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5871),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5719),
    [sym_array_get_expression] = STATE(5719),
    [sym_string_get_expression] = STATE(5719),
    [sym_bigarray_get_expression] = STATE(5719),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5871),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5871),
    [sym_package_expression] = STATE(5871),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5871),
    [sym_object_copy_expression] = STATE(5871),
    [sym_method_invocation] = STATE(5871),
    [sym_object_expression] = STATE(5871),
    [sym_parenthesized_expression] = STATE(5871),
    [sym_attribute] = STATE(1981),
    [sym_extension] = STATE(5871),
    [sym_quoted_extension] = STATE(5871),
    [sym__constant] = STATE(5871),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1952),
    [sym__value_name] = STATE(5907),
    [sym_parenthesized_operator] = STATE(5936),
    [sym_value_path] = STATE(5871),
    [sym_module_path] = STATE(18534),
    [sym_constructor_path] = STATE(5871),
    [sym__instance_variable_name] = STATE(19469),
    [sym__constructor_name] = STATE(5965),
    [sym_tag] = STATE(5871),
    [sym__lowercase_identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__uppercase_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1982] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12640),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(1982),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1983] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12647),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(1983),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1984] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12651),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(1984),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1985] = {
    [sym_value_definition] = STATE(19695),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(8386),
    [sym_typed_expression] = STATE(3950),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3950),
    [sym_array_expression] = STATE(3950),
    [sym_record_expression] = STATE(3950),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3950),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3950),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3950),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3950),
    [sym_package_expression] = STATE(3950),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3950),
    [sym_object_copy_expression] = STATE(3950),
    [sym_method_invocation] = STATE(3950),
    [sym_object_expression] = STATE(3950),
    [sym_parenthesized_expression] = STATE(3950),
    [sym_attribute] = STATE(1985),
    [sym_extension] = STATE(3950),
    [sym_quoted_extension] = STATE(3950),
    [sym__constant] = STATE(3950),
    [sym_number] = STATE(4087),
    [sym_character] = STATE(4087),
    [sym_string] = STATE(4087),
    [sym_quoted_string] = STATE(4087),
    [sym_boolean] = STATE(4087),
    [sym_unit] = STATE(4087),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4005),
    [sym_parenthesized_operator] = STATE(4045),
    [sym_value_path] = STATE(3950),
    [sym_module_path] = STATE(17695),
    [sym_constructor_path] = STATE(3950),
    [sym__instance_variable_name] = STATE(19552),
    [sym__constructor_name] = STATE(4088),
    [sym_tag] = STATE(3950),
    [sym__lowercase_identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__uppercase_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1986] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12653),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(1986),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1987] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8310),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(1987),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1988] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8255),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(1988),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1989] = {
    [sym_value_definition] = STATE(19805),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11170),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5675),
    [sym_array_get_expression] = STATE(5675),
    [sym_string_get_expression] = STATE(5675),
    [sym_bigarray_get_expression] = STATE(5675),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(1989),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1989),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(17868),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1990] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8256),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(1990),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1991] = {
    [sym_value_definition] = STATE(19805),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11119),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5675),
    [sym_array_get_expression] = STATE(5675),
    [sym_string_get_expression] = STATE(5675),
    [sym_bigarray_get_expression] = STATE(5675),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(1991),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1989),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(17868),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1992] = {
    [sym_value_definition] = STATE(19805),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11120),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5675),
    [sym_array_get_expression] = STATE(5675),
    [sym_string_get_expression] = STATE(5675),
    [sym_bigarray_get_expression] = STATE(5675),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(1992),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1989),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(17868),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1993] = {
    [sym_value_definition] = STATE(19805),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11121),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5675),
    [sym_array_get_expression] = STATE(5675),
    [sym_string_get_expression] = STATE(5675),
    [sym_bigarray_get_expression] = STATE(5675),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(1993),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1989),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(17868),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1994] = {
    [sym_value_definition] = STATE(19805),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11122),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5675),
    [sym_array_get_expression] = STATE(5675),
    [sym_string_get_expression] = STATE(5675),
    [sym_bigarray_get_expression] = STATE(5675),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(1994),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1989),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(17868),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1995] = {
    [sym_value_definition] = STATE(19805),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11123),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5675),
    [sym_array_get_expression] = STATE(5675),
    [sym_string_get_expression] = STATE(5675),
    [sym_bigarray_get_expression] = STATE(5675),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(1995),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1989),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(17868),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1996] = {
    [sym_value_definition] = STATE(19805),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11124),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5675),
    [sym_array_get_expression] = STATE(5675),
    [sym_string_get_expression] = STATE(5675),
    [sym_bigarray_get_expression] = STATE(5675),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(1996),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1989),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(17868),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1997] = {
    [sym_value_definition] = STATE(19805),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11125),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5675),
    [sym_array_get_expression] = STATE(5675),
    [sym_string_get_expression] = STATE(5675),
    [sym_bigarray_get_expression] = STATE(5675),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(1997),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1989),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(17868),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1998] = {
    [sym_value_definition] = STATE(19805),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11126),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5675),
    [sym_array_get_expression] = STATE(5675),
    [sym_string_get_expression] = STATE(5675),
    [sym_bigarray_get_expression] = STATE(5675),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(1998),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1989),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(17868),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1999] = {
    [sym_value_definition] = STATE(19805),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11127),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5675),
    [sym_array_get_expression] = STATE(5675),
    [sym_string_get_expression] = STATE(5675),
    [sym_bigarray_get_expression] = STATE(5675),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(1999),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1989),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(17868),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2000] = {
    [sym_value_definition] = STATE(19805),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11128),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5675),
    [sym_array_get_expression] = STATE(5675),
    [sym_string_get_expression] = STATE(5675),
    [sym_bigarray_get_expression] = STATE(5675),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(2000),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1989),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(17868),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2001] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11748),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(2001),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2002] = {
    [sym_value_definition] = STATE(19805),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11129),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5675),
    [sym_array_get_expression] = STATE(5675),
    [sym_string_get_expression] = STATE(5675),
    [sym_bigarray_get_expression] = STATE(5675),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(2002),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1989),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(17868),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2003] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8257),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(2003),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2004] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8259),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(2004),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2005] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8260),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(2005),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2006] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8262),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(2006),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2007] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8263),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(2007),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2008] = {
    [sym_value_definition] = STATE(19805),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11131),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5675),
    [sym_array_get_expression] = STATE(5675),
    [sym_string_get_expression] = STATE(5675),
    [sym_bigarray_get_expression] = STATE(5675),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(2008),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1989),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(17868),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2009] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8264),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(2009),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2010] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8265),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(2010),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2011] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12248),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(2011),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2012] = {
    [sym_value_definition] = STATE(18767),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12185),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(2012),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(2341),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(18746),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2683),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2013] = {
    [sym_value_definition] = STATE(19695),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(8434),
    [sym_typed_expression] = STATE(3950),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3950),
    [sym_array_expression] = STATE(3950),
    [sym_record_expression] = STATE(3950),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3950),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3950),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3950),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3950),
    [sym_package_expression] = STATE(3950),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3950),
    [sym_object_copy_expression] = STATE(3950),
    [sym_method_invocation] = STATE(3950),
    [sym_object_expression] = STATE(3950),
    [sym_parenthesized_expression] = STATE(3950),
    [sym_attribute] = STATE(2013),
    [sym_extension] = STATE(3950),
    [sym_quoted_extension] = STATE(3950),
    [sym__constant] = STATE(3950),
    [sym_number] = STATE(4087),
    [sym_character] = STATE(4087),
    [sym_string] = STATE(4087),
    [sym_quoted_string] = STATE(4087),
    [sym_boolean] = STATE(4087),
    [sym_unit] = STATE(4087),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4005),
    [sym_parenthesized_operator] = STATE(4045),
    [sym_value_path] = STATE(3950),
    [sym_module_path] = STATE(17695),
    [sym_constructor_path] = STATE(3950),
    [sym__instance_variable_name] = STATE(19552),
    [sym__constructor_name] = STATE(4088),
    [sym_tag] = STATE(3950),
    [sym__lowercase_identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__uppercase_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2014] = {
    [sym_value_definition] = STATE(19378),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12477),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6467),
    [sym_array_get_expression] = STATE(6467),
    [sym_string_get_expression] = STATE(6467),
    [sym_bigarray_get_expression] = STATE(6467),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(2014),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(1824),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(19354),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2015] = {
    [sym__simple_expression] = STATE(3605),
    [sym_typed_expression] = STATE(3596),
    [sym_list_expression] = STATE(3596),
    [sym_array_expression] = STATE(3596),
    [sym_record_expression] = STATE(3596),
    [sym_labeled_argument] = STATE(4378),
    [sym_prefix_expression] = STATE(3596),
    [sym_hash_expression] = STATE(3596),
    [sym_field_get_expression] = STATE(3596),
    [sym_array_get_expression] = STATE(3596),
    [sym_string_get_expression] = STATE(3596),
    [sym_bigarray_get_expression] = STATE(3596),
    [sym_coercion_expression] = STATE(3596),
    [sym_local_open_expression] = STATE(3596),
    [sym_package_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_object_copy_expression] = STATE(3596),
    [sym_method_invocation] = STATE(3596),
    [sym_object_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3596),
    [sym_attribute] = STATE(2015),
    [sym_extension] = STATE(3596),
    [sym_quoted_extension] = STATE(3596),
    [sym__constant] = STATE(3596),
    [sym_number] = STATE(3346),
    [sym_character] = STATE(3346),
    [sym_string] = STATE(3346),
    [sym_quoted_string] = STATE(3346),
    [sym_boolean] = STATE(3346),
    [sym_unit] = STATE(3346),
    [sym__value_name] = STATE(3661),
    [sym_parenthesized_operator] = STATE(3550),
    [sym_value_path] = STATE(3596),
    [sym_module_path] = STATE(18685),
    [sym_constructor_path] = STATE(3596),
    [sym__constructor_name] = STATE(3347),
    [sym_tag] = STATE(3596),
    [aux_sym_class_application_repeat1] = STATE(2015),
    [sym__lowercase_identifier] = ACTIONS(3923),
    [anon_sym_SEMI_SEMI] = ACTIONS(3536),
    [anon_sym_let] = ACTIONS(3538),
    [anon_sym_and] = ACTIONS(3538),
    [anon_sym_TILDE] = ACTIONS(3926),
    [anon_sym_QMARK] = ACTIONS(3926),
    [anon_sym_LPAREN] = ACTIONS(3929),
    [anon_sym_external] = ACTIONS(3538),
    [anon_sym_type] = ACTIONS(3538),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(3932),
    [anon_sym_RBRACK] = ACTIONS(3536),
    [anon_sym_true] = ACTIONS(3935),
    [anon_sym_false] = ACTIONS(3935),
    [anon_sym_LBRACE] = ACTIONS(3938),
    [anon_sym_SEMI] = ACTIONS(3538),
    [anon_sym_exception] = ACTIONS(3538),
    [anon_sym_module] = ACTIONS(3538),
    [anon_sym_open] = ACTIONS(3538),
    [anon_sym_include] = ACTIONS(3538),
    [anon_sym_class] = ACTIONS(3538),
    [anon_sym_object] = ACTIONS(3941),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3944),
    [anon_sym_else] = ACTIONS(3538),
    [anon_sym_new] = ACTIONS(3947),
    [anon_sym_LBRACE_LT] = ACTIONS(3950),
    [anon_sym_begin] = ACTIONS(3953),
    [sym_ocamlyacc_value] = ACTIONS(3956),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3538),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3536),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3959),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3962),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3536),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3536),
    [aux_sym_number_token1] = ACTIONS(3965),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(3968),
    [anon_sym_DQUOTE] = ACTIONS(3971),
    [sym_prefix_operator] = ACTIONS(3974),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym_let_operator] = ACTIONS(3536),
    [sym_let_and_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(3977),
    [aux_sym_directive_token1] = ACTIONS(3536),
    [aux_sym_tag_token1] = ACTIONS(3980),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2016] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11626),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(2016),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2017] = {
    [sym_value_definition] = STATE(19384),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12081),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6475),
    [sym_array_get_expression] = STATE(6475),
    [sym_string_get_expression] = STATE(6475),
    [sym_bigarray_get_expression] = STATE(6475),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(2017),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(1944),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(20276),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2857),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2018] = {
    [sym_value_definition] = STATE(19384),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12082),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6475),
    [sym_array_get_expression] = STATE(6475),
    [sym_string_get_expression] = STATE(6475),
    [sym_bigarray_get_expression] = STATE(6475),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(2018),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(1944),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(20276),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2857),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2019] = {
    [sym_value_definition] = STATE(19627),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8514),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(2019),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2020] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12411),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(2020),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2021] = {
    [sym__simple_expression] = STATE(3338),
    [sym_typed_expression] = STATE(3289),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_labeled_argument] = STATE(4304),
    [sym_prefix_expression] = STATE(3289),
    [sym_hash_expression] = STATE(3289),
    [sym_field_get_expression] = STATE(3289),
    [sym_array_get_expression] = STATE(3289),
    [sym_string_get_expression] = STATE(3289),
    [sym_bigarray_get_expression] = STATE(3289),
    [sym_coercion_expression] = STATE(3289),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(2021),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [aux_sym_class_application_repeat1] = STATE(2318),
    [sym__lowercase_identifier] = ACTIONS(3233),
    [anon_sym_SEMI_SEMI] = ACTIONS(3529),
    [anon_sym_let] = ACTIONS(3531),
    [anon_sym_and] = ACTIONS(3531),
    [anon_sym_TILDE] = ACTIONS(3235),
    [anon_sym_QMARK] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_external] = ACTIONS(3531),
    [anon_sym_type] = ACTIONS(3531),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_RBRACK] = ACTIONS(3529),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(3531),
    [anon_sym_exception] = ACTIONS(3531),
    [anon_sym_module] = ACTIONS(3531),
    [anon_sym_open] = ACTIONS(3531),
    [anon_sym_include] = ACTIONS(3531),
    [anon_sym_class] = ACTIONS(3531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(3531),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3531),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3529),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(565),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym_let_operator] = ACTIONS(3529),
    [sym_let_and_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_directive_token1] = ACTIONS(3529),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2022] = {
    [sym_value_definition] = STATE(19805),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11154),
    [sym_typed_expression] = STATE(5553),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5553),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5553),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5675),
    [sym_array_get_expression] = STATE(5675),
    [sym_string_get_expression] = STATE(5675),
    [sym_bigarray_get_expression] = STATE(5675),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5553),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(2022),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym_sign_operator] = STATE(1989),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__instance_variable_name] = STATE(17868),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [sym__lowercase_identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1331),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2023] = {
    [sym_value_definition] = STATE(19983),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12374),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6468),
    [sym_array_get_expression] = STATE(6468),
    [sym_string_get_expression] = STATE(6468),
    [sym_bigarray_get_expression] = STATE(6468),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2023),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19961),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2743),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_function] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2787),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2024] = {
    [sym_value_definition] = STATE(18446),
    [sym__simple_expression] = STATE(548),
    [sym__expression] = STATE(8268),
    [sym_typed_expression] = STATE(3868),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3868),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3868),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3481),
    [sym_array_get_expression] = STATE(3481),
    [sym_string_get_expression] = STATE(3481),
    [sym_bigarray_get_expression] = STATE(3481),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3868),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(2024),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym_sign_operator] = STATE(1966),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__instance_variable_name] = STATE(18270),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [sym__lowercase_identifier] = ACTIONS(743),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_fun] = ACTIONS(757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(789),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2025] = {
    [sym_value_definition] = STATE(19223),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12555),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7145),
    [sym_array_get_expression] = STATE(7145),
    [sym_string_get_expression] = STATE(7145),
    [sym_bigarray_get_expression] = STATE(7145),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(2025),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(1942),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(19855),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2026] = {
    [sym_value_definition] = STATE(19627),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8517),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(2026),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2027] = {
    [sym__simple_expression] = STATE(3671),
    [sym_typed_expression] = STATE(3660),
    [sym_list_expression] = STATE(3660),
    [sym_array_expression] = STATE(3660),
    [sym_record_expression] = STATE(3660),
    [sym_labeled_argument] = STATE(4396),
    [sym_prefix_expression] = STATE(3660),
    [sym_hash_expression] = STATE(3660),
    [sym_field_get_expression] = STATE(3660),
    [sym_array_get_expression] = STATE(3660),
    [sym_string_get_expression] = STATE(3660),
    [sym_bigarray_get_expression] = STATE(3660),
    [sym_coercion_expression] = STATE(3660),
    [sym_local_open_expression] = STATE(3660),
    [sym_package_expression] = STATE(3660),
    [sym_new_expression] = STATE(3660),
    [sym_object_copy_expression] = STATE(3660),
    [sym_method_invocation] = STATE(3660),
    [sym_object_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_attribute] = STATE(2027),
    [sym_extension] = STATE(3660),
    [sym_quoted_extension] = STATE(3660),
    [sym__constant] = STATE(3660),
    [sym_number] = STATE(3360),
    [sym_character] = STATE(3360),
    [sym_string] = STATE(3360),
    [sym_quoted_string] = STATE(3360),
    [sym_boolean] = STATE(3360),
    [sym_unit] = STATE(3360),
    [sym__value_name] = STATE(3285),
    [sym_parenthesized_operator] = STATE(3631),
    [sym_value_path] = STATE(3660),
    [sym_module_path] = STATE(18722),
    [sym_constructor_path] = STATE(3660),
    [sym__constructor_name] = STATE(3361),
    [sym_tag] = STATE(3660),
    [aux_sym_class_application_repeat1] = STATE(2027),
    [sym__lowercase_identifier] = ACTIONS(3983),
    [anon_sym_SEMI_SEMI] = ACTIONS(3536),
    [anon_sym_let] = ACTIONS(3538),
    [anon_sym_and] = ACTIONS(3538),
    [anon_sym_TILDE] = ACTIONS(3986),
    [anon_sym_QMARK] = ACTIONS(3986),
    [anon_sym_LPAREN] = ACTIONS(3989),
    [anon_sym_external] = ACTIONS(3538),
    [anon_sym_type] = ACTIONS(3538),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(3992),
    [anon_sym_true] = ACTIONS(3995),
    [anon_sym_false] = ACTIONS(3995),
    [anon_sym_LBRACE] = ACTIONS(3998),
    [anon_sym_SEMI] = ACTIONS(3538),
    [anon_sym_exception] = ACTIONS(3538),
    [anon_sym_module] = ACTIONS(3538),
    [anon_sym_open] = ACTIONS(3538),
    [anon_sym_include] = ACTIONS(3538),
    [anon_sym_class] = ACTIONS(3538),
    [anon_sym_end] = ACTIONS(3538),
    [anon_sym_object] = ACTIONS(4001),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4004),
    [anon_sym_else] = ACTIONS(3538),
    [anon_sym_new] = ACTIONS(4007),
    [anon_sym_LBRACE_LT] = ACTIONS(4010),
    [anon_sym_begin] = ACTIONS(4013),
    [sym_ocamlyacc_value] = ACTIONS(4016),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3538),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3536),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4019),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4022),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3536),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3536),
    [aux_sym_number_token1] = ACTIONS(4025),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(4028),
    [anon_sym_DQUOTE] = ACTIONS(4031),
    [sym_prefix_operator] = ACTIONS(4034),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym_let_operator] = ACTIONS(3536),
    [sym_let_and_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(4037),
    [aux_sym_directive_token1] = ACTIONS(3536),
    [aux_sym_tag_token1] = ACTIONS(4040),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2028] = {
    [sym_value_definition] = STATE(17988),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10063),
    [sym_typed_expression] = STATE(5110),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5110),
    [sym_array_expression] = STATE(5110),
    [sym_record_expression] = STATE(5110),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5110),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5110),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5103),
    [sym_array_get_expression] = STATE(5103),
    [sym_string_get_expression] = STATE(5103),
    [sym_bigarray_get_expression] = STATE(5103),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5110),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5110),
    [sym_package_expression] = STATE(5110),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5110),
    [sym_object_copy_expression] = STATE(5110),
    [sym_method_invocation] = STATE(5110),
    [sym_object_expression] = STATE(5110),
    [sym_parenthesized_expression] = STATE(5110),
    [sym_attribute] = STATE(2028),
    [sym_extension] = STATE(5110),
    [sym_quoted_extension] = STATE(5110),
    [sym__constant] = STATE(5110),
    [sym_number] = STATE(5198),
    [sym_character] = STATE(5198),
    [sym_string] = STATE(5198),
    [sym_quoted_string] = STATE(5198),
    [sym_boolean] = STATE(5198),
    [sym_unit] = STATE(5198),
    [sym_sign_operator] = STATE(2028),
    [sym__value_name] = STATE(5177),
    [sym_parenthesized_operator] = STATE(5218),
    [sym_value_path] = STATE(5110),
    [sym_module_path] = STATE(18648),
    [sym_constructor_path] = STATE(5110),
    [sym__instance_variable_name] = STATE(19166),
    [sym__constructor_name] = STATE(5142),
    [sym_tag] = STATE(5110),
    [sym__lowercase_identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__uppercase_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2029] = {
    [sym_value_definition] = STATE(17988),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10115),
    [sym_typed_expression] = STATE(5110),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5110),
    [sym_array_expression] = STATE(5110),
    [sym_record_expression] = STATE(5110),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5110),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5110),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5103),
    [sym_array_get_expression] = STATE(5103),
    [sym_string_get_expression] = STATE(5103),
    [sym_bigarray_get_expression] = STATE(5103),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5110),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5110),
    [sym_package_expression] = STATE(5110),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5110),
    [sym_object_copy_expression] = STATE(5110),
    [sym_method_invocation] = STATE(5110),
    [sym_object_expression] = STATE(5110),
    [sym_parenthesized_expression] = STATE(5110),
    [sym_attribute] = STATE(2029),
    [sym_extension] = STATE(5110),
    [sym_quoted_extension] = STATE(5110),
    [sym__constant] = STATE(5110),
    [sym_number] = STATE(5198),
    [sym_character] = STATE(5198),
    [sym_string] = STATE(5198),
    [sym_quoted_string] = STATE(5198),
    [sym_boolean] = STATE(5198),
    [sym_unit] = STATE(5198),
    [sym_sign_operator] = STATE(2028),
    [sym__value_name] = STATE(5177),
    [sym_parenthesized_operator] = STATE(5218),
    [sym_value_path] = STATE(5110),
    [sym_module_path] = STATE(18648),
    [sym_constructor_path] = STATE(5110),
    [sym__instance_variable_name] = STATE(19166),
    [sym__constructor_name] = STATE(5142),
    [sym_tag] = STATE(5110),
    [sym__lowercase_identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__uppercase_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2030] = {
    [sym_value_definition] = STATE(17988),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10116),
    [sym_typed_expression] = STATE(5110),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5110),
    [sym_array_expression] = STATE(5110),
    [sym_record_expression] = STATE(5110),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5110),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5110),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5103),
    [sym_array_get_expression] = STATE(5103),
    [sym_string_get_expression] = STATE(5103),
    [sym_bigarray_get_expression] = STATE(5103),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5110),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5110),
    [sym_package_expression] = STATE(5110),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5110),
    [sym_object_copy_expression] = STATE(5110),
    [sym_method_invocation] = STATE(5110),
    [sym_object_expression] = STATE(5110),
    [sym_parenthesized_expression] = STATE(5110),
    [sym_attribute] = STATE(2030),
    [sym_extension] = STATE(5110),
    [sym_quoted_extension] = STATE(5110),
    [sym__constant] = STATE(5110),
    [sym_number] = STATE(5198),
    [sym_character] = STATE(5198),
    [sym_string] = STATE(5198),
    [sym_quoted_string] = STATE(5198),
    [sym_boolean] = STATE(5198),
    [sym_unit] = STATE(5198),
    [sym_sign_operator] = STATE(2028),
    [sym__value_name] = STATE(5177),
    [sym_parenthesized_operator] = STATE(5218),
    [sym_value_path] = STATE(5110),
    [sym_module_path] = STATE(18648),
    [sym_constructor_path] = STATE(5110),
    [sym__instance_variable_name] = STATE(19166),
    [sym__constructor_name] = STATE(5142),
    [sym_tag] = STATE(5110),
    [sym__lowercase_identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__uppercase_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2031] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11628),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(2031),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2032] = {
    [sym_value_definition] = STATE(17988),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10117),
    [sym_typed_expression] = STATE(5110),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5110),
    [sym_array_expression] = STATE(5110),
    [sym_record_expression] = STATE(5110),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5110),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5110),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5103),
    [sym_array_get_expression] = STATE(5103),
    [sym_string_get_expression] = STATE(5103),
    [sym_bigarray_get_expression] = STATE(5103),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5110),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5110),
    [sym_package_expression] = STATE(5110),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5110),
    [sym_object_copy_expression] = STATE(5110),
    [sym_method_invocation] = STATE(5110),
    [sym_object_expression] = STATE(5110),
    [sym_parenthesized_expression] = STATE(5110),
    [sym_attribute] = STATE(2032),
    [sym_extension] = STATE(5110),
    [sym_quoted_extension] = STATE(5110),
    [sym__constant] = STATE(5110),
    [sym_number] = STATE(5198),
    [sym_character] = STATE(5198),
    [sym_string] = STATE(5198),
    [sym_quoted_string] = STATE(5198),
    [sym_boolean] = STATE(5198),
    [sym_unit] = STATE(5198),
    [sym_sign_operator] = STATE(2028),
    [sym__value_name] = STATE(5177),
    [sym_parenthesized_operator] = STATE(5218),
    [sym_value_path] = STATE(5110),
    [sym_module_path] = STATE(18648),
    [sym_constructor_path] = STATE(5110),
    [sym__instance_variable_name] = STATE(19166),
    [sym__constructor_name] = STATE(5142),
    [sym_tag] = STATE(5110),
    [sym__lowercase_identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__uppercase_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2033] = {
    [sym_value_definition] = STATE(17988),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10118),
    [sym_typed_expression] = STATE(5110),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5110),
    [sym_array_expression] = STATE(5110),
    [sym_record_expression] = STATE(5110),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5110),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5110),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5103),
    [sym_array_get_expression] = STATE(5103),
    [sym_string_get_expression] = STATE(5103),
    [sym_bigarray_get_expression] = STATE(5103),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5110),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5110),
    [sym_package_expression] = STATE(5110),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5110),
    [sym_object_copy_expression] = STATE(5110),
    [sym_method_invocation] = STATE(5110),
    [sym_object_expression] = STATE(5110),
    [sym_parenthesized_expression] = STATE(5110),
    [sym_attribute] = STATE(2033),
    [sym_extension] = STATE(5110),
    [sym_quoted_extension] = STATE(5110),
    [sym__constant] = STATE(5110),
    [sym_number] = STATE(5198),
    [sym_character] = STATE(5198),
    [sym_string] = STATE(5198),
    [sym_quoted_string] = STATE(5198),
    [sym_boolean] = STATE(5198),
    [sym_unit] = STATE(5198),
    [sym_sign_operator] = STATE(2028),
    [sym__value_name] = STATE(5177),
    [sym_parenthesized_operator] = STATE(5218),
    [sym_value_path] = STATE(5110),
    [sym_module_path] = STATE(18648),
    [sym_constructor_path] = STATE(5110),
    [sym__instance_variable_name] = STATE(19166),
    [sym__constructor_name] = STATE(5142),
    [sym_tag] = STATE(5110),
    [sym__lowercase_identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__uppercase_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2034] = {
    [sym_value_definition] = STATE(17988),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10119),
    [sym_typed_expression] = STATE(5110),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5110),
    [sym_array_expression] = STATE(5110),
    [sym_record_expression] = STATE(5110),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5110),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5110),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5103),
    [sym_array_get_expression] = STATE(5103),
    [sym_string_get_expression] = STATE(5103),
    [sym_bigarray_get_expression] = STATE(5103),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5110),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5110),
    [sym_package_expression] = STATE(5110),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5110),
    [sym_object_copy_expression] = STATE(5110),
    [sym_method_invocation] = STATE(5110),
    [sym_object_expression] = STATE(5110),
    [sym_parenthesized_expression] = STATE(5110),
    [sym_attribute] = STATE(2034),
    [sym_extension] = STATE(5110),
    [sym_quoted_extension] = STATE(5110),
    [sym__constant] = STATE(5110),
    [sym_number] = STATE(5198),
    [sym_character] = STATE(5198),
    [sym_string] = STATE(5198),
    [sym_quoted_string] = STATE(5198),
    [sym_boolean] = STATE(5198),
    [sym_unit] = STATE(5198),
    [sym_sign_operator] = STATE(2028),
    [sym__value_name] = STATE(5177),
    [sym_parenthesized_operator] = STATE(5218),
    [sym_value_path] = STATE(5110),
    [sym_module_path] = STATE(18648),
    [sym_constructor_path] = STATE(5110),
    [sym__instance_variable_name] = STATE(19166),
    [sym__constructor_name] = STATE(5142),
    [sym_tag] = STATE(5110),
    [sym__lowercase_identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__uppercase_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2035] = {
    [sym_value_definition] = STATE(17988),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10120),
    [sym_typed_expression] = STATE(5110),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5110),
    [sym_array_expression] = STATE(5110),
    [sym_record_expression] = STATE(5110),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5110),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5110),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5103),
    [sym_array_get_expression] = STATE(5103),
    [sym_string_get_expression] = STATE(5103),
    [sym_bigarray_get_expression] = STATE(5103),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5110),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5110),
    [sym_package_expression] = STATE(5110),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5110),
    [sym_object_copy_expression] = STATE(5110),
    [sym_method_invocation] = STATE(5110),
    [sym_object_expression] = STATE(5110),
    [sym_parenthesized_expression] = STATE(5110),
    [sym_attribute] = STATE(2035),
    [sym_extension] = STATE(5110),
    [sym_quoted_extension] = STATE(5110),
    [sym__constant] = STATE(5110),
    [sym_number] = STATE(5198),
    [sym_character] = STATE(5198),
    [sym_string] = STATE(5198),
    [sym_quoted_string] = STATE(5198),
    [sym_boolean] = STATE(5198),
    [sym_unit] = STATE(5198),
    [sym_sign_operator] = STATE(2028),
    [sym__value_name] = STATE(5177),
    [sym_parenthesized_operator] = STATE(5218),
    [sym_value_path] = STATE(5110),
    [sym_module_path] = STATE(18648),
    [sym_constructor_path] = STATE(5110),
    [sym__instance_variable_name] = STATE(19166),
    [sym__constructor_name] = STATE(5142),
    [sym_tag] = STATE(5110),
    [sym__lowercase_identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__uppercase_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2036] = {
    [sym_value_definition] = STATE(17988),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10121),
    [sym_typed_expression] = STATE(5110),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5110),
    [sym_array_expression] = STATE(5110),
    [sym_record_expression] = STATE(5110),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5110),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5110),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5103),
    [sym_array_get_expression] = STATE(5103),
    [sym_string_get_expression] = STATE(5103),
    [sym_bigarray_get_expression] = STATE(5103),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5110),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5110),
    [sym_package_expression] = STATE(5110),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5110),
    [sym_object_copy_expression] = STATE(5110),
    [sym_method_invocation] = STATE(5110),
    [sym_object_expression] = STATE(5110),
    [sym_parenthesized_expression] = STATE(5110),
    [sym_attribute] = STATE(2036),
    [sym_extension] = STATE(5110),
    [sym_quoted_extension] = STATE(5110),
    [sym__constant] = STATE(5110),
    [sym_number] = STATE(5198),
    [sym_character] = STATE(5198),
    [sym_string] = STATE(5198),
    [sym_quoted_string] = STATE(5198),
    [sym_boolean] = STATE(5198),
    [sym_unit] = STATE(5198),
    [sym_sign_operator] = STATE(2028),
    [sym__value_name] = STATE(5177),
    [sym_parenthesized_operator] = STATE(5218),
    [sym_value_path] = STATE(5110),
    [sym_module_path] = STATE(18648),
    [sym_constructor_path] = STATE(5110),
    [sym__instance_variable_name] = STATE(19166),
    [sym__constructor_name] = STATE(5142),
    [sym_tag] = STATE(5110),
    [sym__lowercase_identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__uppercase_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2037] = {
    [sym_value_definition] = STATE(17988),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10122),
    [sym_typed_expression] = STATE(5110),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5110),
    [sym_array_expression] = STATE(5110),
    [sym_record_expression] = STATE(5110),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5110),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5110),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5103),
    [sym_array_get_expression] = STATE(5103),
    [sym_string_get_expression] = STATE(5103),
    [sym_bigarray_get_expression] = STATE(5103),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5110),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5110),
    [sym_package_expression] = STATE(5110),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5110),
    [sym_object_copy_expression] = STATE(5110),
    [sym_method_invocation] = STATE(5110),
    [sym_object_expression] = STATE(5110),
    [sym_parenthesized_expression] = STATE(5110),
    [sym_attribute] = STATE(2037),
    [sym_extension] = STATE(5110),
    [sym_quoted_extension] = STATE(5110),
    [sym__constant] = STATE(5110),
    [sym_number] = STATE(5198),
    [sym_character] = STATE(5198),
    [sym_string] = STATE(5198),
    [sym_quoted_string] = STATE(5198),
    [sym_boolean] = STATE(5198),
    [sym_unit] = STATE(5198),
    [sym_sign_operator] = STATE(2028),
    [sym__value_name] = STATE(5177),
    [sym_parenthesized_operator] = STATE(5218),
    [sym_value_path] = STATE(5110),
    [sym_module_path] = STATE(18648),
    [sym_constructor_path] = STATE(5110),
    [sym__instance_variable_name] = STATE(19166),
    [sym__constructor_name] = STATE(5142),
    [sym_tag] = STATE(5110),
    [sym__lowercase_identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__uppercase_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2038] = {
    [sym_value_definition] = STATE(17988),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10123),
    [sym_typed_expression] = STATE(5110),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5110),
    [sym_array_expression] = STATE(5110),
    [sym_record_expression] = STATE(5110),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5110),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5110),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5103),
    [sym_array_get_expression] = STATE(5103),
    [sym_string_get_expression] = STATE(5103),
    [sym_bigarray_get_expression] = STATE(5103),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5110),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5110),
    [sym_package_expression] = STATE(5110),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5110),
    [sym_object_copy_expression] = STATE(5110),
    [sym_method_invocation] = STATE(5110),
    [sym_object_expression] = STATE(5110),
    [sym_parenthesized_expression] = STATE(5110),
    [sym_attribute] = STATE(2038),
    [sym_extension] = STATE(5110),
    [sym_quoted_extension] = STATE(5110),
    [sym__constant] = STATE(5110),
    [sym_number] = STATE(5198),
    [sym_character] = STATE(5198),
    [sym_string] = STATE(5198),
    [sym_quoted_string] = STATE(5198),
    [sym_boolean] = STATE(5198),
    [sym_unit] = STATE(5198),
    [sym_sign_operator] = STATE(2028),
    [sym__value_name] = STATE(5177),
    [sym_parenthesized_operator] = STATE(5218),
    [sym_value_path] = STATE(5110),
    [sym_module_path] = STATE(18648),
    [sym_constructor_path] = STATE(5110),
    [sym__instance_variable_name] = STATE(19166),
    [sym__constructor_name] = STATE(5142),
    [sym_tag] = STATE(5110),
    [sym__lowercase_identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__uppercase_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2039] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11629),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(2039),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2040] = {
    [sym_value_definition] = STATE(17988),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10124),
    [sym_typed_expression] = STATE(5110),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5110),
    [sym_array_expression] = STATE(5110),
    [sym_record_expression] = STATE(5110),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5110),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5110),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5103),
    [sym_array_get_expression] = STATE(5103),
    [sym_string_get_expression] = STATE(5103),
    [sym_bigarray_get_expression] = STATE(5103),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5110),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5110),
    [sym_package_expression] = STATE(5110),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5110),
    [sym_object_copy_expression] = STATE(5110),
    [sym_method_invocation] = STATE(5110),
    [sym_object_expression] = STATE(5110),
    [sym_parenthesized_expression] = STATE(5110),
    [sym_attribute] = STATE(2040),
    [sym_extension] = STATE(5110),
    [sym_quoted_extension] = STATE(5110),
    [sym__constant] = STATE(5110),
    [sym_number] = STATE(5198),
    [sym_character] = STATE(5198),
    [sym_string] = STATE(5198),
    [sym_quoted_string] = STATE(5198),
    [sym_boolean] = STATE(5198),
    [sym_unit] = STATE(5198),
    [sym_sign_operator] = STATE(2028),
    [sym__value_name] = STATE(5177),
    [sym_parenthesized_operator] = STATE(5218),
    [sym_value_path] = STATE(5110),
    [sym_module_path] = STATE(18648),
    [sym_constructor_path] = STATE(5110),
    [sym__instance_variable_name] = STATE(19166),
    [sym__constructor_name] = STATE(5142),
    [sym_tag] = STATE(5110),
    [sym__lowercase_identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__uppercase_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2041] = {
    [sym_value_definition] = STATE(17988),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10125),
    [sym_typed_expression] = STATE(5110),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5110),
    [sym_array_expression] = STATE(5110),
    [sym_record_expression] = STATE(5110),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5110),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5110),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5103),
    [sym_array_get_expression] = STATE(5103),
    [sym_string_get_expression] = STATE(5103),
    [sym_bigarray_get_expression] = STATE(5103),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5110),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5110),
    [sym_package_expression] = STATE(5110),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5110),
    [sym_object_copy_expression] = STATE(5110),
    [sym_method_invocation] = STATE(5110),
    [sym_object_expression] = STATE(5110),
    [sym_parenthesized_expression] = STATE(5110),
    [sym_attribute] = STATE(2041),
    [sym_extension] = STATE(5110),
    [sym_quoted_extension] = STATE(5110),
    [sym__constant] = STATE(5110),
    [sym_number] = STATE(5198),
    [sym_character] = STATE(5198),
    [sym_string] = STATE(5198),
    [sym_quoted_string] = STATE(5198),
    [sym_boolean] = STATE(5198),
    [sym_unit] = STATE(5198),
    [sym_sign_operator] = STATE(2028),
    [sym__value_name] = STATE(5177),
    [sym_parenthesized_operator] = STATE(5218),
    [sym_value_path] = STATE(5110),
    [sym_module_path] = STATE(18648),
    [sym_constructor_path] = STATE(5110),
    [sym__instance_variable_name] = STATE(19166),
    [sym__constructor_name] = STATE(5142),
    [sym_tag] = STATE(5110),
    [sym__lowercase_identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__uppercase_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2042] = {
    [sym_value_definition] = STATE(18965),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8627),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(2042),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2043] = {
    [sym__simple_expression] = STATE(4341),
    [sym_typed_expression] = STATE(4375),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_labeled_argument] = STATE(4610),
    [sym_prefix_expression] = STATE(4375),
    [sym_hash_expression] = STATE(4375),
    [sym_field_get_expression] = STATE(4375),
    [sym_array_get_expression] = STATE(4375),
    [sym_string_get_expression] = STATE(4375),
    [sym_bigarray_get_expression] = STATE(4375),
    [sym_coercion_expression] = STATE(4375),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(2043),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [aux_sym_class_application_repeat1] = STATE(2404),
    [sym__lowercase_identifier] = ACTIONS(4043),
    [anon_sym_SEMI_SEMI] = ACTIONS(3083),
    [anon_sym_let] = ACTIONS(3085),
    [anon_sym_TILDE] = ACTIONS(4045),
    [anon_sym_QMARK] = ACTIONS(4045),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(3085),
    [anon_sym_type] = ACTIONS(3085),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(3083),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(4047),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_SEMI] = ACTIONS(3085),
    [anon_sym_exception] = ACTIONS(3085),
    [anon_sym_module] = ACTIONS(3085),
    [anon_sym_open] = ACTIONS(3085),
    [anon_sym_include] = ACTIONS(3085),
    [anon_sym_class] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_POUND] = ACTIONS(4049),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3085),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3083),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(4051),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym_let_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(3085),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2044] = {
    [sym_value_definition] = STATE(18965),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8630),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(2044),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2045] = {
    [sym_value_definition] = STATE(18965),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8631),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(2045),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2046] = {
    [sym_value_definition] = STATE(18965),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8633),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(2046),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2047] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11631),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(2047),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2048] = {
    [sym_value_definition] = STATE(17988),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10127),
    [sym_typed_expression] = STATE(5110),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5110),
    [sym_array_expression] = STATE(5110),
    [sym_record_expression] = STATE(5110),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5110),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5110),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5103),
    [sym_array_get_expression] = STATE(5103),
    [sym_string_get_expression] = STATE(5103),
    [sym_bigarray_get_expression] = STATE(5103),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5110),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5110),
    [sym_package_expression] = STATE(5110),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5110),
    [sym_object_copy_expression] = STATE(5110),
    [sym_method_invocation] = STATE(5110),
    [sym_object_expression] = STATE(5110),
    [sym_parenthesized_expression] = STATE(5110),
    [sym_attribute] = STATE(2048),
    [sym_extension] = STATE(5110),
    [sym_quoted_extension] = STATE(5110),
    [sym__constant] = STATE(5110),
    [sym_number] = STATE(5198),
    [sym_character] = STATE(5198),
    [sym_string] = STATE(5198),
    [sym_quoted_string] = STATE(5198),
    [sym_boolean] = STATE(5198),
    [sym_unit] = STATE(5198),
    [sym_sign_operator] = STATE(2028),
    [sym__value_name] = STATE(5177),
    [sym_parenthesized_operator] = STATE(5218),
    [sym_value_path] = STATE(5110),
    [sym_module_path] = STATE(18648),
    [sym_constructor_path] = STATE(5110),
    [sym__instance_variable_name] = STATE(19166),
    [sym__constructor_name] = STATE(5142),
    [sym_tag] = STATE(5110),
    [sym__lowercase_identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__uppercase_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2049] = {
    [sym_value_definition] = STATE(18965),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8634),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(2049),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2050] = {
    [sym_value_definition] = STATE(18965),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8638),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(2050),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2051] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8191),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(2051),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2052] = {
    [sym_value_definition] = STATE(19847),
    [sym__simple_expression] = STATE(1543),
    [sym__expression] = STATE(8409),
    [sym_typed_expression] = STATE(4090),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4090),
    [sym_array_expression] = STATE(4090),
    [sym_record_expression] = STATE(4090),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4090),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4090),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3779),
    [sym_array_get_expression] = STATE(3779),
    [sym_string_get_expression] = STATE(3779),
    [sym_bigarray_get_expression] = STATE(3779),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4090),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4090),
    [sym_package_expression] = STATE(4090),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4090),
    [sym_object_copy_expression] = STATE(4090),
    [sym_method_invocation] = STATE(4090),
    [sym_object_expression] = STATE(4090),
    [sym_parenthesized_expression] = STATE(4090),
    [sym_attribute] = STATE(2052),
    [sym_extension] = STATE(4090),
    [sym_quoted_extension] = STATE(4090),
    [sym__constant] = STATE(4090),
    [sym_number] = STATE(4058),
    [sym_character] = STATE(4058),
    [sym_string] = STATE(4058),
    [sym_quoted_string] = STATE(4058),
    [sym_boolean] = STATE(4058),
    [sym_unit] = STATE(4058),
    [sym_sign_operator] = STATE(2132),
    [sym__value_name] = STATE(4146),
    [sym_parenthesized_operator] = STATE(4003),
    [sym_value_path] = STATE(4090),
    [sym_module_path] = STATE(17476),
    [sym_constructor_path] = STATE(4090),
    [sym__instance_variable_name] = STATE(19788),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4090),
    [sym__lowercase_identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3077),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3079),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__uppercase_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2053] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12506),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(2053),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2054] = {
    [sym_value_definition] = STATE(18965),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8640),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(2054),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2055] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11637),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(2055),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2056] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12523),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(2056),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2057] = {
    [sym_value_definition] = STATE(19384),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12083),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6475),
    [sym_array_get_expression] = STATE(6475),
    [sym_string_get_expression] = STATE(6475),
    [sym_bigarray_get_expression] = STATE(6475),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(2057),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(1944),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(20276),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2857),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2058] = {
    [sym_value_definition] = STATE(18124),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9494),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4784),
    [sym_array_get_expression] = STATE(4784),
    [sym_string_get_expression] = STATE(4784),
    [sym_bigarray_get_expression] = STATE(4784),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(2058),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17851),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1009),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1015),
    [anon_sym_function] = ACTIONS(1017),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1041),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2059] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(2059),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2060] = {
    [sym_value_definition] = STATE(19627),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8518),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(2060),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2061] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12413),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(2061),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2062] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12414),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(2062),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2063] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11638),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(2063),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2064] = {
    [sym_value_definition] = STATE(17988),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10185),
    [sym_typed_expression] = STATE(5110),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5110),
    [sym_array_expression] = STATE(5110),
    [sym_record_expression] = STATE(5110),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5110),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5110),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5103),
    [sym_array_get_expression] = STATE(5103),
    [sym_string_get_expression] = STATE(5103),
    [sym_bigarray_get_expression] = STATE(5103),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5110),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5110),
    [sym_package_expression] = STATE(5110),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5110),
    [sym_object_copy_expression] = STATE(5110),
    [sym_method_invocation] = STATE(5110),
    [sym_object_expression] = STATE(5110),
    [sym_parenthesized_expression] = STATE(5110),
    [sym_attribute] = STATE(2064),
    [sym_extension] = STATE(5110),
    [sym_quoted_extension] = STATE(5110),
    [sym__constant] = STATE(5110),
    [sym_number] = STATE(5198),
    [sym_character] = STATE(5198),
    [sym_string] = STATE(5198),
    [sym_quoted_string] = STATE(5198),
    [sym_boolean] = STATE(5198),
    [sym_unit] = STATE(5198),
    [sym_sign_operator] = STATE(2028),
    [sym__value_name] = STATE(5177),
    [sym_parenthesized_operator] = STATE(5218),
    [sym_value_path] = STATE(5110),
    [sym_module_path] = STATE(18648),
    [sym_constructor_path] = STATE(5110),
    [sym__instance_variable_name] = STATE(19166),
    [sym__constructor_name] = STATE(5142),
    [sym_tag] = STATE(5110),
    [sym__lowercase_identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__uppercase_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2065] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12526),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(2065),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2066] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12530),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(2066),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2067] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12531),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(2067),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2068] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12534),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(2068),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2069] = {
    [sym_value_definition] = STATE(19384),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12483),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6475),
    [sym_array_get_expression] = STATE(6475),
    [sym_string_get_expression] = STATE(6475),
    [sym_bigarray_get_expression] = STATE(6475),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(2069),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(1944),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(20276),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2857),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2070] = {
    [sym_value_definition] = STATE(19628),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12066),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2070),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(2070),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(18766),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2243),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2261),
    [anon_sym_function] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2287),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2071] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11640),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(2071),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2072] = {
    [sym_value_definition] = STATE(18965),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8641),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(2072),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2073] = {
    [sym_value_definition] = STATE(19628),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12009),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2073),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(2070),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(18766),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2243),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2261),
    [anon_sym_function] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2287),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2074] = {
    [sym_value_definition] = STATE(19628),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12010),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2074),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(2070),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(18766),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2243),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2261),
    [anon_sym_function] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2287),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2075] = {
    [sym_value_definition] = STATE(19628),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12011),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2075),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(2070),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(18766),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2243),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2261),
    [anon_sym_function] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2287),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2076] = {
    [sym_value_definition] = STATE(19628),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12012),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2076),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(2070),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(18766),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2243),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2261),
    [anon_sym_function] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2287),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2077] = {
    [sym_value_definition] = STATE(19628),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12013),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2077),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(2070),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(18766),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2243),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2261),
    [anon_sym_function] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2287),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2078] = {
    [sym_value_definition] = STATE(19628),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12015),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2078),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(2070),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(18766),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2243),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2261),
    [anon_sym_function] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2287),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2079] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11646),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(2079),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2080] = {
    [sym_value_definition] = STATE(19628),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12016),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2080),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(2070),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(18766),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2243),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2261),
    [anon_sym_function] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2287),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2081] = {
    [sym_value_definition] = STATE(19628),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12019),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2081),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(2070),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(18766),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2243),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2261),
    [anon_sym_function] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2287),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2082] = {
    [sym_value_definition] = STATE(19628),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12020),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2082),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(2070),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(18766),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2243),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2261),
    [anon_sym_function] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2287),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2083] = {
    [sym_value_definition] = STATE(19628),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12021),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2083),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(2070),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(18766),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2243),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2261),
    [anon_sym_function] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2287),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2084] = {
    [sym_value_definition] = STATE(19628),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12022),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2084),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(2070),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(18766),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2243),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2261),
    [anon_sym_function] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2287),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2085] = {
    [sym_value_definition] = STATE(18965),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8642),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(2085),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2086] = {
    [sym_value_definition] = STATE(18965),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8643),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(2086),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2087] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11647),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(2087),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2088] = {
    [sym_value_definition] = STATE(19983),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12298),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6468),
    [sym_array_get_expression] = STATE(6468),
    [sym_string_get_expression] = STATE(6468),
    [sym_bigarray_get_expression] = STATE(6468),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2088),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19961),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2743),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_function] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2787),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2089] = {
    [sym_value_definition] = STATE(18965),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8644),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(2089),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2090] = {
    [sym_value_definition] = STATE(19983),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12308),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6468),
    [sym_array_get_expression] = STATE(6468),
    [sym_string_get_expression] = STATE(6468),
    [sym_bigarray_get_expression] = STATE(6468),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2090),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19961),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2743),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_function] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2787),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2091] = {
    [sym_value_definition] = STATE(19628),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12024),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2091),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(2070),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(18766),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2243),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2261),
    [anon_sym_function] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2287),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2092] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8195),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(2092),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2093] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12535),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(2093),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2094] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12415),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(2094),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2095] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11648),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(2095),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2096] = {
    [sym_value_definition] = STATE(18124),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9491),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4784),
    [sym_array_get_expression] = STATE(4784),
    [sym_string_get_expression] = STATE(4784),
    [sym_bigarray_get_expression] = STATE(4784),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(2096),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17851),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1009),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1015),
    [anon_sym_function] = ACTIONS(1017),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1041),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2097] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12536),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(2097),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2098] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12537),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(2098),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2099] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12544),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(2099),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2100] = {
    [sym_value_definition] = STATE(19690),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12336),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6471),
    [sym_array_get_expression] = STATE(6471),
    [sym_string_get_expression] = STATE(6471),
    [sym_bigarray_get_expression] = STATE(6471),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2100),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2101] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12416),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(2101),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2102] = {
    [sym_value_definition] = STATE(19384),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12085),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6475),
    [sym_array_get_expression] = STATE(6475),
    [sym_string_get_expression] = STATE(6475),
    [sym_bigarray_get_expression] = STATE(6475),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(2102),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(1944),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(20276),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2857),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2103] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11650),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(2103),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2104] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12545),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(2104),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2105] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8202),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(2105),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2106] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12418),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(2106),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2107] = {
    [sym_value_definition] = STATE(18836),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11812),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6002),
    [sym_array_get_expression] = STATE(6002),
    [sym_string_get_expression] = STATE(6002),
    [sym_bigarray_get_expression] = STATE(6002),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(2107),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(1907),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(17884),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2203),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2211),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2235),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2108] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12546),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(2108),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2109] = {
    [sym_value_definition] = STATE(17483),
    [sym__simple_expression] = STATE(346),
    [sym__expression] = STATE(8133),
    [sym_typed_expression] = STATE(3112),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3112),
    [sym_array_expression] = STATE(3112),
    [sym_record_expression] = STATE(3112),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3112),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3112),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2910),
    [sym_array_get_expression] = STATE(2910),
    [sym_string_get_expression] = STATE(2910),
    [sym_bigarray_get_expression] = STATE(2910),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3112),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3112),
    [sym_package_expression] = STATE(3112),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3112),
    [sym_object_copy_expression] = STATE(3112),
    [sym_method_invocation] = STATE(3112),
    [sym_object_expression] = STATE(3112),
    [sym_parenthesized_expression] = STATE(3112),
    [sym_attribute] = STATE(2109),
    [sym_extension] = STATE(3112),
    [sym_quoted_extension] = STATE(3112),
    [sym__constant] = STATE(3112),
    [sym_number] = STATE(3002),
    [sym_character] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_quoted_string] = STATE(3002),
    [sym_boolean] = STATE(3002),
    [sym_unit] = STATE(3002),
    [sym_sign_operator] = STATE(2250),
    [sym__value_name] = STATE(3175),
    [sym_parenthesized_operator] = STATE(3259),
    [sym_value_path] = STATE(3112),
    [sym_module_path] = STATE(18457),
    [sym_constructor_path] = STATE(3112),
    [sym__instance_variable_name] = STATE(17429),
    [sym__constructor_name] = STATE(3005),
    [sym_tag] = STATE(3112),
    [sym__lowercase_identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__uppercase_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2110] = {
    [sym_value_definition] = STATE(19983),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12311),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6468),
    [sym_array_get_expression] = STATE(6468),
    [sym_string_get_expression] = STATE(6468),
    [sym_bigarray_get_expression] = STATE(6468),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2110),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19961),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2743),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_function] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2787),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2111] = {
    [sym_value_definition] = STATE(17526),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(11774),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6004),
    [sym_array_get_expression] = STATE(6004),
    [sym_string_get_expression] = STATE(6004),
    [sym_bigarray_get_expression] = STATE(6004),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2111),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19440),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2295),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2311),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2313),
    [anon_sym_function] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2339),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2112] = {
    [sym_value_definition] = STATE(19983),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12317),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6468),
    [sym_array_get_expression] = STATE(6468),
    [sym_string_get_expression] = STATE(6468),
    [sym_bigarray_get_expression] = STATE(6468),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2112),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19961),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2743),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_function] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2787),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2113] = {
    [sym_value_definition] = STATE(17526),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(11757),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6004),
    [sym_array_get_expression] = STATE(6004),
    [sym_string_get_expression] = STATE(6004),
    [sym_bigarray_get_expression] = STATE(6004),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2113),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19440),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2295),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2311),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2313),
    [anon_sym_function] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2339),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2114] = {
    [sym_value_definition] = STATE(17526),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(11758),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6004),
    [sym_array_get_expression] = STATE(6004),
    [sym_string_get_expression] = STATE(6004),
    [sym_bigarray_get_expression] = STATE(6004),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2114),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19440),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2295),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2311),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2313),
    [anon_sym_function] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2339),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2115] = {
    [sym_value_definition] = STATE(17526),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(11759),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6004),
    [sym_array_get_expression] = STATE(6004),
    [sym_string_get_expression] = STATE(6004),
    [sym_bigarray_get_expression] = STATE(6004),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2115),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19440),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2295),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2311),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2313),
    [anon_sym_function] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2339),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2116] = {
    [sym_value_definition] = STATE(17526),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(11760),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6004),
    [sym_array_get_expression] = STATE(6004),
    [sym_string_get_expression] = STATE(6004),
    [sym_bigarray_get_expression] = STATE(6004),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2116),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19440),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2295),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2311),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2313),
    [anon_sym_function] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2339),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2117] = {
    [sym_value_definition] = STATE(17526),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(11761),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6004),
    [sym_array_get_expression] = STATE(6004),
    [sym_string_get_expression] = STATE(6004),
    [sym_bigarray_get_expression] = STATE(6004),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2117),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19440),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2295),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2311),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2313),
    [anon_sym_function] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2339),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2118] = {
    [sym_value_definition] = STATE(17526),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(11762),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6004),
    [sym_array_get_expression] = STATE(6004),
    [sym_string_get_expression] = STATE(6004),
    [sym_bigarray_get_expression] = STATE(6004),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2118),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19440),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2295),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2311),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2313),
    [anon_sym_function] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2339),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2119] = {
    [sym_value_definition] = STATE(17526),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(11763),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6004),
    [sym_array_get_expression] = STATE(6004),
    [sym_string_get_expression] = STATE(6004),
    [sym_bigarray_get_expression] = STATE(6004),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2119),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19440),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2295),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2311),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2313),
    [anon_sym_function] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2339),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2120] = {
    [sym_value_definition] = STATE(17526),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(11764),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6004),
    [sym_array_get_expression] = STATE(6004),
    [sym_string_get_expression] = STATE(6004),
    [sym_bigarray_get_expression] = STATE(6004),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2120),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19440),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2295),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2311),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2313),
    [anon_sym_function] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2339),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2121] = {
    [sym_value_definition] = STATE(17526),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(11765),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6004),
    [sym_array_get_expression] = STATE(6004),
    [sym_string_get_expression] = STATE(6004),
    [sym_bigarray_get_expression] = STATE(6004),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2121),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19440),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2295),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2311),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2313),
    [anon_sym_function] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2339),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2122] = {
    [sym_value_definition] = STATE(17526),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(11766),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6004),
    [sym_array_get_expression] = STATE(6004),
    [sym_string_get_expression] = STATE(6004),
    [sym_bigarray_get_expression] = STATE(6004),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2122),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19440),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2295),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2311),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2313),
    [anon_sym_function] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2339),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2123] = {
    [sym_value_definition] = STATE(17526),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(11767),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6004),
    [sym_array_get_expression] = STATE(6004),
    [sym_string_get_expression] = STATE(6004),
    [sym_bigarray_get_expression] = STATE(6004),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2123),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19440),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2295),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2311),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2313),
    [anon_sym_function] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2339),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2124] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9749),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(2124),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2125] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12420),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(2125),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2126] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12421),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(2126),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2127] = {
    [sym_value_definition] = STATE(19983),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12350),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6468),
    [sym_array_get_expression] = STATE(6468),
    [sym_string_get_expression] = STATE(6468),
    [sym_bigarray_get_expression] = STATE(6468),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2127),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19961),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2743),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_function] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2787),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2128] = {
    [sym_value_definition] = STATE(19983),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12433),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6468),
    [sym_array_get_expression] = STATE(6468),
    [sym_string_get_expression] = STATE(6468),
    [sym_bigarray_get_expression] = STATE(6468),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2128),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19961),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2743),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_function] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2787),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2129] = {
    [sym_value_definition] = STATE(17526),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(11769),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6004),
    [sym_array_get_expression] = STATE(6004),
    [sym_string_get_expression] = STATE(6004),
    [sym_bigarray_get_expression] = STATE(6004),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2129),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19440),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2295),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2311),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2313),
    [anon_sym_function] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2339),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2130] = {
    [sym_value_definition] = STATE(19983),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6468),
    [sym_array_get_expression] = STATE(6468),
    [sym_string_get_expression] = STATE(6468),
    [sym_bigarray_get_expression] = STATE(6468),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2130),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19961),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2743),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_function] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2787),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2131] = {
    [sym_value_definition] = STATE(19182),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12389),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6465),
    [sym_array_get_expression] = STATE(6465),
    [sym_string_get_expression] = STATE(6465),
    [sym_bigarray_get_expression] = STATE(6465),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2131),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(1827),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(19168),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2625),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2629),
    [anon_sym_function] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2635),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2132] = {
    [sym_value_definition] = STATE(19847),
    [sym__simple_expression] = STATE(1543),
    [sym__expression] = STATE(8340),
    [sym_typed_expression] = STATE(4090),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4090),
    [sym_array_expression] = STATE(4090),
    [sym_record_expression] = STATE(4090),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4090),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4090),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3779),
    [sym_array_get_expression] = STATE(3779),
    [sym_string_get_expression] = STATE(3779),
    [sym_bigarray_get_expression] = STATE(3779),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4090),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4090),
    [sym_package_expression] = STATE(4090),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4090),
    [sym_object_copy_expression] = STATE(4090),
    [sym_method_invocation] = STATE(4090),
    [sym_object_expression] = STATE(4090),
    [sym_parenthesized_expression] = STATE(4090),
    [sym_attribute] = STATE(2132),
    [sym_extension] = STATE(4090),
    [sym_quoted_extension] = STATE(4090),
    [sym__constant] = STATE(4090),
    [sym_number] = STATE(4058),
    [sym_character] = STATE(4058),
    [sym_string] = STATE(4058),
    [sym_quoted_string] = STATE(4058),
    [sym_boolean] = STATE(4058),
    [sym_unit] = STATE(4058),
    [sym_sign_operator] = STATE(2132),
    [sym__value_name] = STATE(4146),
    [sym_parenthesized_operator] = STATE(4003),
    [sym_value_path] = STATE(4090),
    [sym_module_path] = STATE(17476),
    [sym_constructor_path] = STATE(4090),
    [sym__instance_variable_name] = STATE(19788),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4090),
    [sym__lowercase_identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3077),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3079),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__uppercase_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2133] = {
    [sym_value_definition] = STATE(19627),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8503),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(2133),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2134] = {
    [sym_value_definition] = STATE(19983),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12456),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6468),
    [sym_array_get_expression] = STATE(6468),
    [sym_string_get_expression] = STATE(6468),
    [sym_bigarray_get_expression] = STATE(6468),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2134),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19961),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2743),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_function] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2787),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2135] = {
    [sym_value_definition] = STATE(19983),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12468),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6468),
    [sym_array_get_expression] = STATE(6468),
    [sym_string_get_expression] = STATE(6468),
    [sym_bigarray_get_expression] = STATE(6468),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2135),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19961),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2743),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_function] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2787),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2136] = {
    [sym_value_definition] = STATE(19627),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8520),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(2136),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2137] = {
    [sym_value_definition] = STATE(19983),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12469),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6468),
    [sym_array_get_expression] = STATE(6468),
    [sym_string_get_expression] = STATE(6468),
    [sym_bigarray_get_expression] = STATE(6468),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2137),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19961),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2743),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_function] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2787),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2138] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12422),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(2138),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2139] = {
    [sym_value_definition] = STATE(18124),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9495),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4784),
    [sym_array_get_expression] = STATE(4784),
    [sym_string_get_expression] = STATE(4784),
    [sym_bigarray_get_expression] = STATE(4784),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(2139),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17851),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1009),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1015),
    [anon_sym_function] = ACTIONS(1017),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1041),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2140] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12423),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(2140),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2141] = {
    [sym_value_definition] = STATE(19628),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11954),
    [sym_typed_expression] = STATE(6526),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2141),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym_sign_operator] = STATE(2070),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(18766),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2243),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_fun] = ACTIONS(2255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2261),
    [anon_sym_function] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2287),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2142] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8175),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(2142),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2143] = {
    [sym_value_definition] = STATE(18992),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12667),
    [sym_typed_expression] = STATE(7123),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(7123),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(7123),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6732),
    [sym_array_get_expression] = STATE(6732),
    [sym_string_get_expression] = STATE(6732),
    [sym_bigarray_get_expression] = STATE(6732),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(7123),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(2143),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym_sign_operator] = STATE(2053),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__instance_variable_name] = STATE(17461),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2144] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9750),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(2144),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2145] = {
    [sym_value_definition] = STATE(17795),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11800),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6005),
    [sym_array_get_expression] = STATE(6005),
    [sym_string_get_expression] = STATE(6005),
    [sym_bigarray_get_expression] = STATE(6005),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(2145),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(2145),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(17497),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2347),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2365),
    [anon_sym_function] = ACTIONS(2367),
    [anon_sym_try] = ACTIONS(2369),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2391),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2146] = {
    [sym_value_definition] = STATE(17855),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10314),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5179),
    [sym_array_get_expression] = STATE(5179),
    [sym_string_get_expression] = STATE(5179),
    [sym_bigarray_get_expression] = STATE(5179),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(2146),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(17832),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2147] = {
    [sym_value_definition] = STATE(17795),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11782),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6005),
    [sym_array_get_expression] = STATE(6005),
    [sym_string_get_expression] = STATE(6005),
    [sym_bigarray_get_expression] = STATE(6005),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(2147),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(2145),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(17497),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2347),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2365),
    [anon_sym_function] = ACTIONS(2367),
    [anon_sym_try] = ACTIONS(2369),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2391),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2148] = {
    [sym_value_definition] = STATE(17795),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11783),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6005),
    [sym_array_get_expression] = STATE(6005),
    [sym_string_get_expression] = STATE(6005),
    [sym_bigarray_get_expression] = STATE(6005),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(2148),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(2145),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(17497),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2347),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2365),
    [anon_sym_function] = ACTIONS(2367),
    [anon_sym_try] = ACTIONS(2369),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2391),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2149] = {
    [sym_value_definition] = STATE(17795),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11784),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6005),
    [sym_array_get_expression] = STATE(6005),
    [sym_string_get_expression] = STATE(6005),
    [sym_bigarray_get_expression] = STATE(6005),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(2149),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(2145),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(17497),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2347),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2365),
    [anon_sym_function] = ACTIONS(2367),
    [anon_sym_try] = ACTIONS(2369),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2391),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2150] = {
    [sym_value_definition] = STATE(17795),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11785),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6005),
    [sym_array_get_expression] = STATE(6005),
    [sym_string_get_expression] = STATE(6005),
    [sym_bigarray_get_expression] = STATE(6005),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(2150),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(2145),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(17497),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2347),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2365),
    [anon_sym_function] = ACTIONS(2367),
    [anon_sym_try] = ACTIONS(2369),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2391),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2151] = {
    [sym_value_definition] = STATE(17795),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11786),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6005),
    [sym_array_get_expression] = STATE(6005),
    [sym_string_get_expression] = STATE(6005),
    [sym_bigarray_get_expression] = STATE(6005),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(2151),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(2145),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(17497),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2347),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2365),
    [anon_sym_function] = ACTIONS(2367),
    [anon_sym_try] = ACTIONS(2369),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2391),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2152] = {
    [sym_value_definition] = STATE(17795),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11787),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6005),
    [sym_array_get_expression] = STATE(6005),
    [sym_string_get_expression] = STATE(6005),
    [sym_bigarray_get_expression] = STATE(6005),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(2152),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(2145),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(17497),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2347),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2365),
    [anon_sym_function] = ACTIONS(2367),
    [anon_sym_try] = ACTIONS(2369),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2391),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2153] = {
    [sym_value_definition] = STATE(17795),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11788),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6005),
    [sym_array_get_expression] = STATE(6005),
    [sym_string_get_expression] = STATE(6005),
    [sym_bigarray_get_expression] = STATE(6005),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(2153),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(2145),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(17497),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2347),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2365),
    [anon_sym_function] = ACTIONS(2367),
    [anon_sym_try] = ACTIONS(2369),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2391),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2154] = {
    [sym_value_definition] = STATE(17795),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11789),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6005),
    [sym_array_get_expression] = STATE(6005),
    [sym_string_get_expression] = STATE(6005),
    [sym_bigarray_get_expression] = STATE(6005),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(2154),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(2145),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(17497),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2347),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2365),
    [anon_sym_function] = ACTIONS(2367),
    [anon_sym_try] = ACTIONS(2369),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2391),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2155] = {
    [sym_value_definition] = STATE(17795),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11790),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6005),
    [sym_array_get_expression] = STATE(6005),
    [sym_string_get_expression] = STATE(6005),
    [sym_bigarray_get_expression] = STATE(6005),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(2155),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(2145),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(17497),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2347),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2365),
    [anon_sym_function] = ACTIONS(2367),
    [anon_sym_try] = ACTIONS(2369),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2391),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2156] = {
    [sym_value_definition] = STATE(17795),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11791),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6005),
    [sym_array_get_expression] = STATE(6005),
    [sym_string_get_expression] = STATE(6005),
    [sym_bigarray_get_expression] = STATE(6005),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(2156),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(2145),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(17497),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2347),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2365),
    [anon_sym_function] = ACTIONS(2367),
    [anon_sym_try] = ACTIONS(2369),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2391),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2157] = {
    [sym_value_definition] = STATE(17795),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11792),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6005),
    [sym_array_get_expression] = STATE(6005),
    [sym_string_get_expression] = STATE(6005),
    [sym_bigarray_get_expression] = STATE(6005),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(2157),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(2145),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(17497),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2347),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2365),
    [anon_sym_function] = ACTIONS(2367),
    [anon_sym_try] = ACTIONS(2369),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2391),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2158] = {
    [sym_value_definition] = STATE(20000),
    [sym__simple_expression] = STATE(352),
    [sym__expression] = STATE(8078),
    [sym_typed_expression] = STATE(3206),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3206),
    [sym_array_expression] = STATE(3206),
    [sym_record_expression] = STATE(3206),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3206),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3206),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2932),
    [sym_array_get_expression] = STATE(2932),
    [sym_string_get_expression] = STATE(2932),
    [sym_bigarray_get_expression] = STATE(2932),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3206),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3206),
    [sym_package_expression] = STATE(3206),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3206),
    [sym_object_copy_expression] = STATE(3206),
    [sym_method_invocation] = STATE(3206),
    [sym_object_expression] = STATE(3206),
    [sym_parenthesized_expression] = STATE(3206),
    [sym_attribute] = STATE(2158),
    [sym_extension] = STATE(3206),
    [sym_quoted_extension] = STATE(3206),
    [sym__constant] = STATE(3206),
    [sym_number] = STATE(3173),
    [sym_character] = STATE(3173),
    [sym_string] = STATE(3173),
    [sym_quoted_string] = STATE(3173),
    [sym_boolean] = STATE(3173),
    [sym_unit] = STATE(3173),
    [sym_sign_operator] = STATE(1980),
    [sym__value_name] = STATE(3254),
    [sym_parenthesized_operator] = STATE(2954),
    [sym_value_path] = STATE(3206),
    [sym_module_path] = STATE(18572),
    [sym_constructor_path] = STATE(3206),
    [sym__instance_variable_name] = STATE(19951),
    [sym__constructor_name] = STATE(3180),
    [sym_tag] = STATE(3206),
    [sym__lowercase_identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__uppercase_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2159] = {
    [sym__simple_expression] = STATE(3605),
    [sym_typed_expression] = STATE(3596),
    [sym_list_expression] = STATE(3596),
    [sym_array_expression] = STATE(3596),
    [sym_record_expression] = STATE(3596),
    [sym_labeled_argument] = STATE(4378),
    [sym_prefix_expression] = STATE(3596),
    [sym_hash_expression] = STATE(3596),
    [sym_field_get_expression] = STATE(3596),
    [sym_array_get_expression] = STATE(3596),
    [sym_string_get_expression] = STATE(3596),
    [sym_bigarray_get_expression] = STATE(3596),
    [sym_coercion_expression] = STATE(3596),
    [sym_local_open_expression] = STATE(3596),
    [sym_package_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_object_copy_expression] = STATE(3596),
    [sym_method_invocation] = STATE(3596),
    [sym_object_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3596),
    [sym_attribute] = STATE(2159),
    [sym_extension] = STATE(3596),
    [sym_quoted_extension] = STATE(3596),
    [sym__constant] = STATE(3596),
    [sym_number] = STATE(3346),
    [sym_character] = STATE(3346),
    [sym_string] = STATE(3346),
    [sym_quoted_string] = STATE(3346),
    [sym_boolean] = STATE(3346),
    [sym_unit] = STATE(3346),
    [sym__value_name] = STATE(3661),
    [sym_parenthesized_operator] = STATE(3550),
    [sym_value_path] = STATE(3596),
    [sym_module_path] = STATE(18685),
    [sym_constructor_path] = STATE(3596),
    [sym__constructor_name] = STATE(3347),
    [sym_tag] = STATE(3596),
    [aux_sym_class_application_repeat1] = STATE(2015),
    [sym__lowercase_identifier] = ACTIONS(3125),
    [anon_sym_SEMI_SEMI] = ACTIONS(3529),
    [anon_sym_let] = ACTIONS(3531),
    [anon_sym_and] = ACTIONS(3531),
    [anon_sym_TILDE] = ACTIONS(3127),
    [anon_sym_QMARK] = ACTIONS(3127),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_external] = ACTIONS(3531),
    [anon_sym_type] = ACTIONS(3531),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(3529),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_SEMI] = ACTIONS(3531),
    [anon_sym_exception] = ACTIONS(3531),
    [anon_sym_module] = ACTIONS(3531),
    [anon_sym_open] = ACTIONS(3531),
    [anon_sym_include] = ACTIONS(3531),
    [anon_sym_class] = ACTIONS(3531),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_else] = ACTIONS(3531),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3531),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3529),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(617),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym_let_operator] = ACTIONS(3529),
    [sym_let_and_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(629),
    [aux_sym_directive_token1] = ACTIONS(3529),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2160] = {
    [sym_value_definition] = STATE(20000),
    [sym__simple_expression] = STATE(352),
    [sym__expression] = STATE(8081),
    [sym_typed_expression] = STATE(3206),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3206),
    [sym_array_expression] = STATE(3206),
    [sym_record_expression] = STATE(3206),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3206),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3206),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2932),
    [sym_array_get_expression] = STATE(2932),
    [sym_string_get_expression] = STATE(2932),
    [sym_bigarray_get_expression] = STATE(2932),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3206),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3206),
    [sym_package_expression] = STATE(3206),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3206),
    [sym_object_copy_expression] = STATE(3206),
    [sym_method_invocation] = STATE(3206),
    [sym_object_expression] = STATE(3206),
    [sym_parenthesized_expression] = STATE(3206),
    [sym_attribute] = STATE(2160),
    [sym_extension] = STATE(3206),
    [sym_quoted_extension] = STATE(3206),
    [sym__constant] = STATE(3206),
    [sym_number] = STATE(3173),
    [sym_character] = STATE(3173),
    [sym_string] = STATE(3173),
    [sym_quoted_string] = STATE(3173),
    [sym_boolean] = STATE(3173),
    [sym_unit] = STATE(3173),
    [sym_sign_operator] = STATE(1980),
    [sym__value_name] = STATE(3254),
    [sym_parenthesized_operator] = STATE(2954),
    [sym_value_path] = STATE(3206),
    [sym_module_path] = STATE(18572),
    [sym_constructor_path] = STATE(3206),
    [sym__instance_variable_name] = STATE(19951),
    [sym__constructor_name] = STATE(3180),
    [sym_tag] = STATE(3206),
    [sym__lowercase_identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__uppercase_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2161] = {
    [sym_value_definition] = STATE(18460),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12459),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6453),
    [sym_array_get_expression] = STATE(6453),
    [sym_string_get_expression] = STATE(6453),
    [sym_bigarray_get_expression] = STATE(6453),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(2161),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(18440),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2873),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2875),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2879),
    [anon_sym_function] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2885),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2162] = {
    [sym_value_definition] = STATE(17795),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11794),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6005),
    [sym_array_get_expression] = STATE(6005),
    [sym_string_get_expression] = STATE(6005),
    [sym_bigarray_get_expression] = STATE(6005),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(2162),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(2145),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(17497),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2347),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2365),
    [anon_sym_function] = ACTIONS(2367),
    [anon_sym_try] = ACTIONS(2369),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2391),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2163] = {
    [sym_value_definition] = STATE(19983),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12320),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6468),
    [sym_array_get_expression] = STATE(6468),
    [sym_string_get_expression] = STATE(6468),
    [sym_bigarray_get_expression] = STATE(6468),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2163),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19961),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2743),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_function] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2787),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2164] = {
    [sym_value_definition] = STATE(19627),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8521),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(2164),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2165] = {
    [sym_value_definition] = STATE(20000),
    [sym__simple_expression] = STATE(352),
    [sym__expression] = STATE(8082),
    [sym_typed_expression] = STATE(3206),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3206),
    [sym_array_expression] = STATE(3206),
    [sym_record_expression] = STATE(3206),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3206),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3206),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2932),
    [sym_array_get_expression] = STATE(2932),
    [sym_string_get_expression] = STATE(2932),
    [sym_bigarray_get_expression] = STATE(2932),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3206),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3206),
    [sym_package_expression] = STATE(3206),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3206),
    [sym_object_copy_expression] = STATE(3206),
    [sym_method_invocation] = STATE(3206),
    [sym_object_expression] = STATE(3206),
    [sym_parenthesized_expression] = STATE(3206),
    [sym_attribute] = STATE(2165),
    [sym_extension] = STATE(3206),
    [sym_quoted_extension] = STATE(3206),
    [sym__constant] = STATE(3206),
    [sym_number] = STATE(3173),
    [sym_character] = STATE(3173),
    [sym_string] = STATE(3173),
    [sym_quoted_string] = STATE(3173),
    [sym_boolean] = STATE(3173),
    [sym_unit] = STATE(3173),
    [sym_sign_operator] = STATE(1980),
    [sym__value_name] = STATE(3254),
    [sym_parenthesized_operator] = STATE(2954),
    [sym_value_path] = STATE(3206),
    [sym_module_path] = STATE(18572),
    [sym_constructor_path] = STATE(3206),
    [sym__instance_variable_name] = STATE(19951),
    [sym__constructor_name] = STATE(3180),
    [sym_tag] = STATE(3206),
    [sym__lowercase_identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__uppercase_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2166] = {
    [sym__simple_expression] = STATE(4308),
    [sym_typed_expression] = STATE(4389),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_labeled_argument] = STATE(4621),
    [sym_prefix_expression] = STATE(4389),
    [sym_hash_expression] = STATE(4389),
    [sym_field_get_expression] = STATE(4389),
    [sym_array_get_expression] = STATE(4389),
    [sym_string_get_expression] = STATE(4389),
    [sym_bigarray_get_expression] = STATE(4389),
    [sym_coercion_expression] = STATE(4389),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(2166),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [aux_sym_class_application_repeat1] = STATE(2402),
    [sym__lowercase_identifier] = ACTIONS(4053),
    [anon_sym_SEMI_SEMI] = ACTIONS(3083),
    [anon_sym_let] = ACTIONS(3085),
    [anon_sym_TILDE] = ACTIONS(4055),
    [anon_sym_QMARK] = ACTIONS(4055),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_external] = ACTIONS(3085),
    [anon_sym_type] = ACTIONS(3085),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_DOT] = ACTIONS(4057),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_SEMI] = ACTIONS(3085),
    [anon_sym_exception] = ACTIONS(3085),
    [anon_sym_module] = ACTIONS(3085),
    [anon_sym_open] = ACTIONS(3085),
    [anon_sym_include] = ACTIONS(3085),
    [anon_sym_class] = ACTIONS(3085),
    [anon_sym_end] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_POUND] = ACTIONS(4059),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3085),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(453),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(455),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3083),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(4061),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym_let_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_directive_token1] = ACTIONS(3085),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2167] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12549),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2167),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2168] = {
    [sym_value_definition] = STATE(19690),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12199),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6471),
    [sym_array_get_expression] = STATE(6471),
    [sym_string_get_expression] = STATE(6471),
    [sym_bigarray_get_expression] = STATE(6471),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2168),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2169] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9751),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(2169),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2170] = {
    [sym_value_definition] = STATE(20000),
    [sym__simple_expression] = STATE(352),
    [sym__expression] = STATE(8083),
    [sym_typed_expression] = STATE(3206),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3206),
    [sym_array_expression] = STATE(3206),
    [sym_record_expression] = STATE(3206),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3206),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3206),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2932),
    [sym_array_get_expression] = STATE(2932),
    [sym_string_get_expression] = STATE(2932),
    [sym_bigarray_get_expression] = STATE(2932),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3206),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3206),
    [sym_package_expression] = STATE(3206),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3206),
    [sym_object_copy_expression] = STATE(3206),
    [sym_method_invocation] = STATE(3206),
    [sym_object_expression] = STATE(3206),
    [sym_parenthesized_expression] = STATE(3206),
    [sym_attribute] = STATE(2170),
    [sym_extension] = STATE(3206),
    [sym_quoted_extension] = STATE(3206),
    [sym__constant] = STATE(3206),
    [sym_number] = STATE(3173),
    [sym_character] = STATE(3173),
    [sym_string] = STATE(3173),
    [sym_quoted_string] = STATE(3173),
    [sym_boolean] = STATE(3173),
    [sym_unit] = STATE(3173),
    [sym_sign_operator] = STATE(1980),
    [sym__value_name] = STATE(3254),
    [sym_parenthesized_operator] = STATE(2954),
    [sym_value_path] = STATE(3206),
    [sym_module_path] = STATE(18572),
    [sym_constructor_path] = STATE(3206),
    [sym__instance_variable_name] = STATE(19951),
    [sym__constructor_name] = STATE(3180),
    [sym_tag] = STATE(3206),
    [sym__lowercase_identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__uppercase_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2171] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12659),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2171),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2172] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8180),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(2172),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2173] = {
    [sym_value_definition] = STATE(19847),
    [sym__simple_expression] = STATE(1543),
    [sym__expression] = STATE(8403),
    [sym_typed_expression] = STATE(4090),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4090),
    [sym_array_expression] = STATE(4090),
    [sym_record_expression] = STATE(4090),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4090),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4090),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3779),
    [sym_array_get_expression] = STATE(3779),
    [sym_string_get_expression] = STATE(3779),
    [sym_bigarray_get_expression] = STATE(3779),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4090),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4090),
    [sym_package_expression] = STATE(4090),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4090),
    [sym_object_copy_expression] = STATE(4090),
    [sym_method_invocation] = STATE(4090),
    [sym_object_expression] = STATE(4090),
    [sym_parenthesized_expression] = STATE(4090),
    [sym_attribute] = STATE(2173),
    [sym_extension] = STATE(4090),
    [sym_quoted_extension] = STATE(4090),
    [sym__constant] = STATE(4090),
    [sym_number] = STATE(4058),
    [sym_character] = STATE(4058),
    [sym_string] = STATE(4058),
    [sym_quoted_string] = STATE(4058),
    [sym_boolean] = STATE(4058),
    [sym_unit] = STATE(4058),
    [sym_sign_operator] = STATE(2132),
    [sym__value_name] = STATE(4146),
    [sym_parenthesized_operator] = STATE(4003),
    [sym_value_path] = STATE(4090),
    [sym_module_path] = STATE(17476),
    [sym_constructor_path] = STATE(4090),
    [sym__instance_variable_name] = STATE(19788),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4090),
    [sym__lowercase_identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3077),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3079),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__uppercase_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2174] = {
    [sym_value_definition] = STATE(17526),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12073),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6004),
    [sym_array_get_expression] = STATE(6004),
    [sym_string_get_expression] = STATE(6004),
    [sym_bigarray_get_expression] = STATE(6004),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2174),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19440),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2295),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2311),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2313),
    [anon_sym_function] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2339),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2175] = {
    [sym_value_definition] = STATE(19690),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12233),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6471),
    [sym_array_get_expression] = STATE(6471),
    [sym_string_get_expression] = STATE(6471),
    [sym_bigarray_get_expression] = STATE(6471),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2175),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2176] = {
    [sym_value_definition] = STATE(18588),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9338),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4650),
    [sym_array_get_expression] = STATE(4650),
    [sym_string_get_expression] = STATE(4650),
    [sym_bigarray_get_expression] = STATE(4650),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(2176),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(2176),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(18283),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2177] = {
    [sym_value_definition] = STATE(19690),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12235),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6471),
    [sym_array_get_expression] = STATE(6471),
    [sym_string_get_expression] = STATE(6471),
    [sym_bigarray_get_expression] = STATE(6471),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2177),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2178] = {
    [sym_value_definition] = STATE(18588),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9360),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4650),
    [sym_array_get_expression] = STATE(4650),
    [sym_string_get_expression] = STATE(4650),
    [sym_bigarray_get_expression] = STATE(4650),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(2178),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(2176),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(18283),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2179] = {
    [sym_value_definition] = STATE(18588),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9366),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4650),
    [sym_array_get_expression] = STATE(4650),
    [sym_string_get_expression] = STATE(4650),
    [sym_bigarray_get_expression] = STATE(4650),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(2179),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(2176),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(18283),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2180] = {
    [sym_value_definition] = STATE(18588),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9368),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4650),
    [sym_array_get_expression] = STATE(4650),
    [sym_string_get_expression] = STATE(4650),
    [sym_bigarray_get_expression] = STATE(4650),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(2180),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(2176),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(18283),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2181] = {
    [sym_value_definition] = STATE(17563),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11737),
    [sym_typed_expression] = STATE(5791),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(5791),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(5791),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(5791),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(2181),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym_sign_operator] = STATE(2001),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__instance_variable_name] = STATE(17543),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2182] = {
    [sym_value_definition] = STATE(18588),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9384),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4650),
    [sym_array_get_expression] = STATE(4650),
    [sym_string_get_expression] = STATE(4650),
    [sym_bigarray_get_expression] = STATE(4650),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(2182),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(2176),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(18283),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2183] = {
    [sym_value_definition] = STATE(18588),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9386),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4650),
    [sym_array_get_expression] = STATE(4650),
    [sym_string_get_expression] = STATE(4650),
    [sym_bigarray_get_expression] = STATE(4650),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(2183),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(2176),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(18283),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2184] = {
    [sym_value_definition] = STATE(18588),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9390),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4650),
    [sym_array_get_expression] = STATE(4650),
    [sym_string_get_expression] = STATE(4650),
    [sym_bigarray_get_expression] = STATE(4650),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(2184),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(2176),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(18283),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2185] = {
    [sym_value_definition] = STATE(18588),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9395),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4650),
    [sym_array_get_expression] = STATE(4650),
    [sym_string_get_expression] = STATE(4650),
    [sym_bigarray_get_expression] = STATE(4650),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(2185),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(2176),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(18283),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2186] = {
    [sym_value_definition] = STATE(17855),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10507),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5179),
    [sym_array_get_expression] = STATE(5179),
    [sym_string_get_expression] = STATE(5179),
    [sym_bigarray_get_expression] = STATE(5179),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(2186),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(17832),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2187] = {
    [sym_value_definition] = STATE(18588),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9397),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4650),
    [sym_array_get_expression] = STATE(4650),
    [sym_string_get_expression] = STATE(4650),
    [sym_bigarray_get_expression] = STATE(4650),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(2187),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(2176),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(18283),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2188] = {
    [sym_value_definition] = STATE(18588),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9398),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4650),
    [sym_array_get_expression] = STATE(4650),
    [sym_string_get_expression] = STATE(4650),
    [sym_bigarray_get_expression] = STATE(4650),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(2188),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(2176),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(18283),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2189] = {
    [sym_value_definition] = STATE(18588),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9400),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4650),
    [sym_array_get_expression] = STATE(4650),
    [sym_string_get_expression] = STATE(4650),
    [sym_bigarray_get_expression] = STATE(4650),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(2189),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(2176),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(18283),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2190] = {
    [sym_value_definition] = STATE(18588),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9401),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4650),
    [sym_array_get_expression] = STATE(4650),
    [sym_string_get_expression] = STATE(4650),
    [sym_bigarray_get_expression] = STATE(4650),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(2190),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(2176),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(18283),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2191] = {
    [sym_value_definition] = STATE(17855),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10573),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5179),
    [sym_array_get_expression] = STATE(5179),
    [sym_string_get_expression] = STATE(5179),
    [sym_bigarray_get_expression] = STATE(5179),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(2191),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(17832),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2192] = {
    [sym_value_definition] = STATE(19690),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12279),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6471),
    [sym_array_get_expression] = STATE(6471),
    [sym_string_get_expression] = STATE(6471),
    [sym_bigarray_get_expression] = STATE(6471),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2192),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2193] = {
    [sym_value_definition] = STATE(19690),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12283),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6471),
    [sym_array_get_expression] = STATE(6471),
    [sym_string_get_expression] = STATE(6471),
    [sym_bigarray_get_expression] = STATE(6471),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2193),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2194] = {
    [sym_value_definition] = STATE(19690),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12286),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6471),
    [sym_array_get_expression] = STATE(6471),
    [sym_string_get_expression] = STATE(6471),
    [sym_bigarray_get_expression] = STATE(6471),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2194),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2195] = {
    [sym_value_definition] = STATE(19690),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12289),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6471),
    [sym_array_get_expression] = STATE(6471),
    [sym_string_get_expression] = STATE(6471),
    [sym_bigarray_get_expression] = STATE(6471),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2195),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2196] = {
    [sym_value_definition] = STATE(17855),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10574),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5179),
    [sym_array_get_expression] = STATE(5179),
    [sym_string_get_expression] = STATE(5179),
    [sym_bigarray_get_expression] = STATE(5179),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(2196),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(17832),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2197] = {
    [sym_value_definition] = STATE(17855),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10224),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5179),
    [sym_array_get_expression] = STATE(5179),
    [sym_string_get_expression] = STATE(5179),
    [sym_bigarray_get_expression] = STATE(5179),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(2197),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(17832),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2198] = {
    [sym_value_definition] = STATE(19690),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12290),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6471),
    [sym_array_get_expression] = STATE(6471),
    [sym_string_get_expression] = STATE(6471),
    [sym_bigarray_get_expression] = STATE(6471),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2198),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2199] = {
    [sym_value_definition] = STATE(18588),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9231),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4650),
    [sym_array_get_expression] = STATE(4650),
    [sym_string_get_expression] = STATE(4650),
    [sym_bigarray_get_expression] = STATE(4650),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(2199),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(2176),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(18283),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2200] = {
    [sym_value_definition] = STATE(19690),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12291),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6471),
    [sym_array_get_expression] = STATE(6471),
    [sym_string_get_expression] = STATE(6471),
    [sym_bigarray_get_expression] = STATE(6471),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2200),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2201] = {
    [sym_value_definition] = STATE(17855),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10225),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5179),
    [sym_array_get_expression] = STATE(5179),
    [sym_string_get_expression] = STATE(5179),
    [sym_bigarray_get_expression] = STATE(5179),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(2201),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(17832),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2202] = {
    [sym_value_definition] = STATE(17855),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10226),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5179),
    [sym_array_get_expression] = STATE(5179),
    [sym_string_get_expression] = STATE(5179),
    [sym_bigarray_get_expression] = STATE(5179),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(2202),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(17832),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2203] = {
    [sym_value_definition] = STATE(17855),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10229),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5179),
    [sym_array_get_expression] = STATE(5179),
    [sym_string_get_expression] = STATE(5179),
    [sym_bigarray_get_expression] = STATE(5179),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(2203),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(17832),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2204] = {
    [sym_value_definition] = STATE(20000),
    [sym__simple_expression] = STATE(352),
    [sym__expression] = STATE(8084),
    [sym_typed_expression] = STATE(3206),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3206),
    [sym_array_expression] = STATE(3206),
    [sym_record_expression] = STATE(3206),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3206),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3206),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2932),
    [sym_array_get_expression] = STATE(2932),
    [sym_string_get_expression] = STATE(2932),
    [sym_bigarray_get_expression] = STATE(2932),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3206),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3206),
    [sym_package_expression] = STATE(3206),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3206),
    [sym_object_copy_expression] = STATE(3206),
    [sym_method_invocation] = STATE(3206),
    [sym_object_expression] = STATE(3206),
    [sym_parenthesized_expression] = STATE(3206),
    [sym_attribute] = STATE(2204),
    [sym_extension] = STATE(3206),
    [sym_quoted_extension] = STATE(3206),
    [sym__constant] = STATE(3206),
    [sym_number] = STATE(3173),
    [sym_character] = STATE(3173),
    [sym_string] = STATE(3173),
    [sym_quoted_string] = STATE(3173),
    [sym_boolean] = STATE(3173),
    [sym_unit] = STATE(3173),
    [sym_sign_operator] = STATE(1980),
    [sym__value_name] = STATE(3254),
    [sym_parenthesized_operator] = STATE(2954),
    [sym_value_path] = STATE(3206),
    [sym_module_path] = STATE(18572),
    [sym_constructor_path] = STATE(3206),
    [sym__instance_variable_name] = STATE(19951),
    [sym__constructor_name] = STATE(3180),
    [sym_tag] = STATE(3206),
    [sym__lowercase_identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__uppercase_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2205] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8182),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(2205),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2206] = {
    [sym_value_definition] = STATE(19847),
    [sym__simple_expression] = STATE(1543),
    [sym__expression] = STATE(8404),
    [sym_typed_expression] = STATE(4090),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4090),
    [sym_array_expression] = STATE(4090),
    [sym_record_expression] = STATE(4090),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4090),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4090),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3779),
    [sym_array_get_expression] = STATE(3779),
    [sym_string_get_expression] = STATE(3779),
    [sym_bigarray_get_expression] = STATE(3779),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4090),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4090),
    [sym_package_expression] = STATE(4090),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4090),
    [sym_object_copy_expression] = STATE(4090),
    [sym_method_invocation] = STATE(4090),
    [sym_object_expression] = STATE(4090),
    [sym_parenthesized_expression] = STATE(4090),
    [sym_attribute] = STATE(2206),
    [sym_extension] = STATE(4090),
    [sym_quoted_extension] = STATE(4090),
    [sym__constant] = STATE(4090),
    [sym_number] = STATE(4058),
    [sym_character] = STATE(4058),
    [sym_string] = STATE(4058),
    [sym_quoted_string] = STATE(4058),
    [sym_boolean] = STATE(4058),
    [sym_unit] = STATE(4058),
    [sym_sign_operator] = STATE(2132),
    [sym__value_name] = STATE(4146),
    [sym_parenthesized_operator] = STATE(4003),
    [sym_value_path] = STATE(4090),
    [sym_module_path] = STATE(17476),
    [sym_constructor_path] = STATE(4090),
    [sym__instance_variable_name] = STATE(19788),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4090),
    [sym__lowercase_identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3077),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3079),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__uppercase_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2207] = {
    [sym_value_definition] = STATE(17855),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10230),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5179),
    [sym_array_get_expression] = STATE(5179),
    [sym_string_get_expression] = STATE(5179),
    [sym_bigarray_get_expression] = STATE(5179),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(2207),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(17832),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2208] = {
    [sym_value_definition] = STATE(17855),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10232),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5179),
    [sym_array_get_expression] = STATE(5179),
    [sym_string_get_expression] = STATE(5179),
    [sym_bigarray_get_expression] = STATE(5179),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(2208),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(17832),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2209] = {
    [sym_value_definition] = STATE(17855),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10233),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5179),
    [sym_array_get_expression] = STATE(5179),
    [sym_string_get_expression] = STATE(5179),
    [sym_bigarray_get_expression] = STATE(5179),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(2209),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(17832),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2210] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12498),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2210),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2211] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12505),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2211),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2212] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12680),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2212),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2213] = {
    [sym_value_definition] = STATE(17855),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10234),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5179),
    [sym_array_get_expression] = STATE(5179),
    [sym_string_get_expression] = STATE(5179),
    [sym_bigarray_get_expression] = STATE(5179),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(2213),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(17832),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2214] = {
    [sym_value_definition] = STATE(17855),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10239),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5179),
    [sym_array_get_expression] = STATE(5179),
    [sym_string_get_expression] = STATE(5179),
    [sym_bigarray_get_expression] = STATE(5179),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(2214),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(17832),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2215] = {
    [sym_value_definition] = STATE(19690),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12292),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6471),
    [sym_array_get_expression] = STATE(6471),
    [sym_string_get_expression] = STATE(6471),
    [sym_bigarray_get_expression] = STATE(6471),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2215),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2216] = {
    [sym_value_definition] = STATE(20000),
    [sym__simple_expression] = STATE(352),
    [sym__expression] = STATE(8085),
    [sym_typed_expression] = STATE(3206),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3206),
    [sym_array_expression] = STATE(3206),
    [sym_record_expression] = STATE(3206),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3206),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3206),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2932),
    [sym_array_get_expression] = STATE(2932),
    [sym_string_get_expression] = STATE(2932),
    [sym_bigarray_get_expression] = STATE(2932),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3206),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3206),
    [sym_package_expression] = STATE(3206),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3206),
    [sym_object_copy_expression] = STATE(3206),
    [sym_method_invocation] = STATE(3206),
    [sym_object_expression] = STATE(3206),
    [sym_parenthesized_expression] = STATE(3206),
    [sym_attribute] = STATE(2216),
    [sym_extension] = STATE(3206),
    [sym_quoted_extension] = STATE(3206),
    [sym__constant] = STATE(3206),
    [sym_number] = STATE(3173),
    [sym_character] = STATE(3173),
    [sym_string] = STATE(3173),
    [sym_quoted_string] = STATE(3173),
    [sym_boolean] = STATE(3173),
    [sym_unit] = STATE(3173),
    [sym_sign_operator] = STATE(1980),
    [sym__value_name] = STATE(3254),
    [sym_parenthesized_operator] = STATE(2954),
    [sym_value_path] = STATE(3206),
    [sym_module_path] = STATE(18572),
    [sym_constructor_path] = STATE(3206),
    [sym__instance_variable_name] = STATE(19951),
    [sym__constructor_name] = STATE(3180),
    [sym_tag] = STATE(3206),
    [sym__lowercase_identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__uppercase_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2217] = {
    [sym_value_definition] = STATE(18592),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12452),
    [sym_typed_expression] = STATE(7016),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(7016),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(7016),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(6397),
    [sym_array_get_expression] = STATE(6397),
    [sym_string_get_expression] = STATE(6397),
    [sym_bigarray_get_expression] = STATE(6397),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(7016),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(2217),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__instance_variable_name] = STATE(19945),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [sym__lowercase_identifier] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_fun] = ACTIONS(2585),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2617),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2218] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12529),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2218),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2219] = {
    [sym_value_definition] = STATE(20000),
    [sym__simple_expression] = STATE(352),
    [sym__expression] = STATE(8086),
    [sym_typed_expression] = STATE(3206),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3206),
    [sym_array_expression] = STATE(3206),
    [sym_record_expression] = STATE(3206),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3206),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3206),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2932),
    [sym_array_get_expression] = STATE(2932),
    [sym_string_get_expression] = STATE(2932),
    [sym_bigarray_get_expression] = STATE(2932),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3206),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3206),
    [sym_package_expression] = STATE(3206),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3206),
    [sym_object_copy_expression] = STATE(3206),
    [sym_method_invocation] = STATE(3206),
    [sym_object_expression] = STATE(3206),
    [sym_parenthesized_expression] = STATE(3206),
    [sym_attribute] = STATE(2219),
    [sym_extension] = STATE(3206),
    [sym_quoted_extension] = STATE(3206),
    [sym__constant] = STATE(3206),
    [sym_number] = STATE(3173),
    [sym_character] = STATE(3173),
    [sym_string] = STATE(3173),
    [sym_quoted_string] = STATE(3173),
    [sym_boolean] = STATE(3173),
    [sym_unit] = STATE(3173),
    [sym_sign_operator] = STATE(1980),
    [sym__value_name] = STATE(3254),
    [sym_parenthesized_operator] = STATE(2954),
    [sym_value_path] = STATE(3206),
    [sym_module_path] = STATE(18572),
    [sym_constructor_path] = STATE(3206),
    [sym__instance_variable_name] = STATE(19951),
    [sym__constructor_name] = STATE(3180),
    [sym_tag] = STATE(3206),
    [sym__lowercase_identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__uppercase_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2220] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8196),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(2220),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2221] = {
    [sym_value_definition] = STATE(17795),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11776),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6005),
    [sym_array_get_expression] = STATE(6005),
    [sym_string_get_expression] = STATE(6005),
    [sym_bigarray_get_expression] = STATE(6005),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(2221),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(2145),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(17497),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2347),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2365),
    [anon_sym_function] = ACTIONS(2367),
    [anon_sym_try] = ACTIONS(2369),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2391),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2222] = {
    [sym_value_definition] = STATE(19690),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12293),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6471),
    [sym_array_get_expression] = STATE(6471),
    [sym_string_get_expression] = STATE(6471),
    [sym_bigarray_get_expression] = STATE(6471),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2222),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2223] = {
    [sym_value_definition] = STATE(19690),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12294),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6471),
    [sym_array_get_expression] = STATE(6471),
    [sym_string_get_expression] = STATE(6471),
    [sym_bigarray_get_expression] = STATE(6471),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2223),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2224] = {
    [sym_value_definition] = STATE(17479),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12173),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6469),
    [sym_array_get_expression] = STATE(6469),
    [sym_string_get_expression] = STATE(6469),
    [sym_bigarray_get_expression] = STATE(6469),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2224),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2224),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(19046),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2811),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_function] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2839),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2225] = {
    [sym_value_definition] = STATE(17855),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10254),
    [sym_typed_expression] = STATE(5081),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5081),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5081),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5179),
    [sym_array_get_expression] = STATE(5179),
    [sym_string_get_expression] = STATE(5179),
    [sym_bigarray_get_expression] = STATE(5179),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5081),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(2225),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__instance_variable_name] = STATE(17832),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [sym__lowercase_identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2226] = {
    [sym_value_definition] = STATE(17479),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12131),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6469),
    [sym_array_get_expression] = STATE(6469),
    [sym_string_get_expression] = STATE(6469),
    [sym_bigarray_get_expression] = STATE(6469),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2226),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2224),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(19046),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2811),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_function] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2839),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2227] = {
    [sym_value_definition] = STATE(17479),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12149),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6469),
    [sym_array_get_expression] = STATE(6469),
    [sym_string_get_expression] = STATE(6469),
    [sym_bigarray_get_expression] = STATE(6469),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2227),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2224),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(19046),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2811),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_function] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2839),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2228] = {
    [sym_value_definition] = STATE(17479),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12150),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6469),
    [sym_array_get_expression] = STATE(6469),
    [sym_string_get_expression] = STATE(6469),
    [sym_bigarray_get_expression] = STATE(6469),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2228),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2224),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(19046),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2811),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_function] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2839),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2229] = {
    [sym_value_definition] = STATE(19690),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12301),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6471),
    [sym_array_get_expression] = STATE(6471),
    [sym_string_get_expression] = STATE(6471),
    [sym_bigarray_get_expression] = STATE(6471),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2229),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2230] = {
    [sym_value_definition] = STATE(18151),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10346),
    [sym_typed_expression] = STATE(5326),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5326),
    [sym_array_expression] = STATE(5326),
    [sym_record_expression] = STATE(5326),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5326),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5326),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5210),
    [sym_array_get_expression] = STATE(5210),
    [sym_string_get_expression] = STATE(5210),
    [sym_bigarray_get_expression] = STATE(5210),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5326),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5326),
    [sym_package_expression] = STATE(5326),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5326),
    [sym_object_copy_expression] = STATE(5326),
    [sym_method_invocation] = STATE(5326),
    [sym_object_expression] = STATE(5326),
    [sym_parenthesized_expression] = STATE(5326),
    [sym_attribute] = STATE(2230),
    [sym_extension] = STATE(5326),
    [sym_quoted_extension] = STATE(5326),
    [sym__constant] = STATE(5326),
    [sym_number] = STATE(5290),
    [sym_character] = STATE(5290),
    [sym_string] = STATE(5290),
    [sym_quoted_string] = STATE(5290),
    [sym_boolean] = STATE(5290),
    [sym_unit] = STATE(5290),
    [sym_sign_operator] = STATE(2230),
    [sym__value_name] = STATE(5280),
    [sym_parenthesized_operator] = STATE(5281),
    [sym_value_path] = STATE(5326),
    [sym_module_path] = STATE(17911),
    [sym_constructor_path] = STATE(5326),
    [sym__instance_variable_name] = STATE(18127),
    [sym__constructor_name] = STATE(5374),
    [sym_tag] = STATE(5326),
    [sym__lowercase_identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__uppercase_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2231] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12681),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2231),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2232] = {
    [sym_value_definition] = STATE(19384),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12484),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6475),
    [sym_array_get_expression] = STATE(6475),
    [sym_string_get_expression] = STATE(6475),
    [sym_bigarray_get_expression] = STATE(6475),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(2232),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(1944),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(20276),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2857),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2233] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11899),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(2233),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2234] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12509),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2234),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2235] = {
    [sym_value_definition] = STATE(18151),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10297),
    [sym_typed_expression] = STATE(5326),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5326),
    [sym_array_expression] = STATE(5326),
    [sym_record_expression] = STATE(5326),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5326),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5326),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5210),
    [sym_array_get_expression] = STATE(5210),
    [sym_string_get_expression] = STATE(5210),
    [sym_bigarray_get_expression] = STATE(5210),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5326),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5326),
    [sym_package_expression] = STATE(5326),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5326),
    [sym_object_copy_expression] = STATE(5326),
    [sym_method_invocation] = STATE(5326),
    [sym_object_expression] = STATE(5326),
    [sym_parenthesized_expression] = STATE(5326),
    [sym_attribute] = STATE(2235),
    [sym_extension] = STATE(5326),
    [sym_quoted_extension] = STATE(5326),
    [sym__constant] = STATE(5326),
    [sym_number] = STATE(5290),
    [sym_character] = STATE(5290),
    [sym_string] = STATE(5290),
    [sym_quoted_string] = STATE(5290),
    [sym_boolean] = STATE(5290),
    [sym_unit] = STATE(5290),
    [sym_sign_operator] = STATE(2230),
    [sym__value_name] = STATE(5280),
    [sym_parenthesized_operator] = STATE(5281),
    [sym_value_path] = STATE(5326),
    [sym_module_path] = STATE(17911),
    [sym_constructor_path] = STATE(5326),
    [sym__instance_variable_name] = STATE(18127),
    [sym__constructor_name] = STATE(5374),
    [sym_tag] = STATE(5326),
    [sym__lowercase_identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__uppercase_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2236] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12658),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2236),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2237] = {
    [sym_value_definition] = STATE(18151),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10301),
    [sym_typed_expression] = STATE(5326),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5326),
    [sym_array_expression] = STATE(5326),
    [sym_record_expression] = STATE(5326),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5326),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5326),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5210),
    [sym_array_get_expression] = STATE(5210),
    [sym_string_get_expression] = STATE(5210),
    [sym_bigarray_get_expression] = STATE(5210),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5326),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5326),
    [sym_package_expression] = STATE(5326),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5326),
    [sym_object_copy_expression] = STATE(5326),
    [sym_method_invocation] = STATE(5326),
    [sym_object_expression] = STATE(5326),
    [sym_parenthesized_expression] = STATE(5326),
    [sym_attribute] = STATE(2237),
    [sym_extension] = STATE(5326),
    [sym_quoted_extension] = STATE(5326),
    [sym__constant] = STATE(5326),
    [sym_number] = STATE(5290),
    [sym_character] = STATE(5290),
    [sym_string] = STATE(5290),
    [sym_quoted_string] = STATE(5290),
    [sym_boolean] = STATE(5290),
    [sym_unit] = STATE(5290),
    [sym_sign_operator] = STATE(2230),
    [sym__value_name] = STATE(5280),
    [sym_parenthesized_operator] = STATE(5281),
    [sym_value_path] = STATE(5326),
    [sym_module_path] = STATE(17911),
    [sym_constructor_path] = STATE(5326),
    [sym__instance_variable_name] = STATE(18127),
    [sym__constructor_name] = STATE(5374),
    [sym_tag] = STATE(5326),
    [sym__lowercase_identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__uppercase_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2238] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12669),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2238),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2239] = {
    [sym_value_definition] = STATE(17479),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12151),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6469),
    [sym_array_get_expression] = STATE(6469),
    [sym_string_get_expression] = STATE(6469),
    [sym_bigarray_get_expression] = STATE(6469),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2239),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2224),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(19046),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2811),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_function] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2839),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2240] = {
    [sym_value_definition] = STATE(19847),
    [sym__simple_expression] = STATE(1543),
    [sym__expression] = STATE(8414),
    [sym_typed_expression] = STATE(4090),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4090),
    [sym_array_expression] = STATE(4090),
    [sym_record_expression] = STATE(4090),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4090),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4090),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3779),
    [sym_array_get_expression] = STATE(3779),
    [sym_string_get_expression] = STATE(3779),
    [sym_bigarray_get_expression] = STATE(3779),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4090),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4090),
    [sym_package_expression] = STATE(4090),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4090),
    [sym_object_copy_expression] = STATE(4090),
    [sym_method_invocation] = STATE(4090),
    [sym_object_expression] = STATE(4090),
    [sym_parenthesized_expression] = STATE(4090),
    [sym_attribute] = STATE(2240),
    [sym_extension] = STATE(4090),
    [sym_quoted_extension] = STATE(4090),
    [sym__constant] = STATE(4090),
    [sym_number] = STATE(4058),
    [sym_character] = STATE(4058),
    [sym_string] = STATE(4058),
    [sym_quoted_string] = STATE(4058),
    [sym_boolean] = STATE(4058),
    [sym_unit] = STATE(4058),
    [sym_sign_operator] = STATE(2132),
    [sym__value_name] = STATE(4146),
    [sym_parenthesized_operator] = STATE(4003),
    [sym_value_path] = STATE(4090),
    [sym_module_path] = STATE(17476),
    [sym_constructor_path] = STATE(4090),
    [sym__instance_variable_name] = STATE(19788),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4090),
    [sym__lowercase_identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3077),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3079),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__uppercase_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2241] = {
    [sym_value_definition] = STATE(18151),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10302),
    [sym_typed_expression] = STATE(5326),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5326),
    [sym_array_expression] = STATE(5326),
    [sym_record_expression] = STATE(5326),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5326),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5326),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5210),
    [sym_array_get_expression] = STATE(5210),
    [sym_string_get_expression] = STATE(5210),
    [sym_bigarray_get_expression] = STATE(5210),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5326),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5326),
    [sym_package_expression] = STATE(5326),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5326),
    [sym_object_copy_expression] = STATE(5326),
    [sym_method_invocation] = STATE(5326),
    [sym_object_expression] = STATE(5326),
    [sym_parenthesized_expression] = STATE(5326),
    [sym_attribute] = STATE(2241),
    [sym_extension] = STATE(5326),
    [sym_quoted_extension] = STATE(5326),
    [sym__constant] = STATE(5326),
    [sym_number] = STATE(5290),
    [sym_character] = STATE(5290),
    [sym_string] = STATE(5290),
    [sym_quoted_string] = STATE(5290),
    [sym_boolean] = STATE(5290),
    [sym_unit] = STATE(5290),
    [sym_sign_operator] = STATE(2230),
    [sym__value_name] = STATE(5280),
    [sym_parenthesized_operator] = STATE(5281),
    [sym_value_path] = STATE(5326),
    [sym_module_path] = STATE(17911),
    [sym_constructor_path] = STATE(5326),
    [sym__instance_variable_name] = STATE(18127),
    [sym__constructor_name] = STATE(5374),
    [sym_tag] = STATE(5326),
    [sym__lowercase_identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__uppercase_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2242] = {
    [sym_value_definition] = STATE(18151),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10303),
    [sym_typed_expression] = STATE(5326),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5326),
    [sym_array_expression] = STATE(5326),
    [sym_record_expression] = STATE(5326),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5326),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5326),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5210),
    [sym_array_get_expression] = STATE(5210),
    [sym_string_get_expression] = STATE(5210),
    [sym_bigarray_get_expression] = STATE(5210),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5326),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5326),
    [sym_package_expression] = STATE(5326),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5326),
    [sym_object_copy_expression] = STATE(5326),
    [sym_method_invocation] = STATE(5326),
    [sym_object_expression] = STATE(5326),
    [sym_parenthesized_expression] = STATE(5326),
    [sym_attribute] = STATE(2242),
    [sym_extension] = STATE(5326),
    [sym_quoted_extension] = STATE(5326),
    [sym__constant] = STATE(5326),
    [sym_number] = STATE(5290),
    [sym_character] = STATE(5290),
    [sym_string] = STATE(5290),
    [sym_quoted_string] = STATE(5290),
    [sym_boolean] = STATE(5290),
    [sym_unit] = STATE(5290),
    [sym_sign_operator] = STATE(2230),
    [sym__value_name] = STATE(5280),
    [sym_parenthesized_operator] = STATE(5281),
    [sym_value_path] = STATE(5326),
    [sym_module_path] = STATE(17911),
    [sym_constructor_path] = STATE(5326),
    [sym__instance_variable_name] = STATE(18127),
    [sym__constructor_name] = STATE(5374),
    [sym_tag] = STATE(5326),
    [sym__lowercase_identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__uppercase_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2243] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9779),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(2243),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2244] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12564),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2244),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2245] = {
    [sym_value_definition] = STATE(20000),
    [sym__simple_expression] = STATE(352),
    [sym__expression] = STATE(8087),
    [sym_typed_expression] = STATE(3206),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3206),
    [sym_array_expression] = STATE(3206),
    [sym_record_expression] = STATE(3206),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3206),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3206),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2932),
    [sym_array_get_expression] = STATE(2932),
    [sym_string_get_expression] = STATE(2932),
    [sym_bigarray_get_expression] = STATE(2932),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3206),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3206),
    [sym_package_expression] = STATE(3206),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3206),
    [sym_object_copy_expression] = STATE(3206),
    [sym_method_invocation] = STATE(3206),
    [sym_object_expression] = STATE(3206),
    [sym_parenthesized_expression] = STATE(3206),
    [sym_attribute] = STATE(2245),
    [sym_extension] = STATE(3206),
    [sym_quoted_extension] = STATE(3206),
    [sym__constant] = STATE(3206),
    [sym_number] = STATE(3173),
    [sym_character] = STATE(3173),
    [sym_string] = STATE(3173),
    [sym_quoted_string] = STATE(3173),
    [sym_boolean] = STATE(3173),
    [sym_unit] = STATE(3173),
    [sym_sign_operator] = STATE(1980),
    [sym__value_name] = STATE(3254),
    [sym_parenthesized_operator] = STATE(2954),
    [sym_value_path] = STATE(3206),
    [sym_module_path] = STATE(18572),
    [sym_constructor_path] = STATE(3206),
    [sym__instance_variable_name] = STATE(19951),
    [sym__constructor_name] = STATE(3180),
    [sym_tag] = STATE(3206),
    [sym__lowercase_identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__uppercase_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2246] = {
    [sym_value_definition] = STATE(18151),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10304),
    [sym_typed_expression] = STATE(5326),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5326),
    [sym_array_expression] = STATE(5326),
    [sym_record_expression] = STATE(5326),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5326),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5326),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5210),
    [sym_array_get_expression] = STATE(5210),
    [sym_string_get_expression] = STATE(5210),
    [sym_bigarray_get_expression] = STATE(5210),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5326),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5326),
    [sym_package_expression] = STATE(5326),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5326),
    [sym_object_copy_expression] = STATE(5326),
    [sym_method_invocation] = STATE(5326),
    [sym_object_expression] = STATE(5326),
    [sym_parenthesized_expression] = STATE(5326),
    [sym_attribute] = STATE(2246),
    [sym_extension] = STATE(5326),
    [sym_quoted_extension] = STATE(5326),
    [sym__constant] = STATE(5326),
    [sym_number] = STATE(5290),
    [sym_character] = STATE(5290),
    [sym_string] = STATE(5290),
    [sym_quoted_string] = STATE(5290),
    [sym_boolean] = STATE(5290),
    [sym_unit] = STATE(5290),
    [sym_sign_operator] = STATE(2230),
    [sym__value_name] = STATE(5280),
    [sym_parenthesized_operator] = STATE(5281),
    [sym_value_path] = STATE(5326),
    [sym_module_path] = STATE(17911),
    [sym_constructor_path] = STATE(5326),
    [sym__instance_variable_name] = STATE(18127),
    [sym__constructor_name] = STATE(5374),
    [sym_tag] = STATE(5326),
    [sym__lowercase_identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__uppercase_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2247] = {
    [sym_value_definition] = STATE(18151),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10305),
    [sym_typed_expression] = STATE(5326),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5326),
    [sym_array_expression] = STATE(5326),
    [sym_record_expression] = STATE(5326),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5326),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5326),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5210),
    [sym_array_get_expression] = STATE(5210),
    [sym_string_get_expression] = STATE(5210),
    [sym_bigarray_get_expression] = STATE(5210),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5326),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5326),
    [sym_package_expression] = STATE(5326),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5326),
    [sym_object_copy_expression] = STATE(5326),
    [sym_method_invocation] = STATE(5326),
    [sym_object_expression] = STATE(5326),
    [sym_parenthesized_expression] = STATE(5326),
    [sym_attribute] = STATE(2247),
    [sym_extension] = STATE(5326),
    [sym_quoted_extension] = STATE(5326),
    [sym__constant] = STATE(5326),
    [sym_number] = STATE(5290),
    [sym_character] = STATE(5290),
    [sym_string] = STATE(5290),
    [sym_quoted_string] = STATE(5290),
    [sym_boolean] = STATE(5290),
    [sym_unit] = STATE(5290),
    [sym_sign_operator] = STATE(2230),
    [sym__value_name] = STATE(5280),
    [sym_parenthesized_operator] = STATE(5281),
    [sym_value_path] = STATE(5326),
    [sym_module_path] = STATE(17911),
    [sym_constructor_path] = STATE(5326),
    [sym__instance_variable_name] = STATE(18127),
    [sym__constructor_name] = STATE(5374),
    [sym_tag] = STATE(5326),
    [sym__lowercase_identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__uppercase_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2248] = {
    [sym_value_definition] = STATE(18124),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9492),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4784),
    [sym_array_get_expression] = STATE(4784),
    [sym_string_get_expression] = STATE(4784),
    [sym_bigarray_get_expression] = STATE(4784),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(2248),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17851),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1009),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1015),
    [anon_sym_function] = ACTIONS(1017),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1041),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2249] = {
    [sym_value_definition] = STATE(18588),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9305),
    [sym_typed_expression] = STATE(4745),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4745),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4745),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4650),
    [sym_array_get_expression] = STATE(4650),
    [sym_string_get_expression] = STATE(4650),
    [sym_bigarray_get_expression] = STATE(4650),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4745),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(2249),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym_sign_operator] = STATE(2176),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__instance_variable_name] = STATE(18283),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [sym__lowercase_identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2250] = {
    [sym_value_definition] = STATE(17483),
    [sym__simple_expression] = STATE(346),
    [sym__expression] = STATE(8018),
    [sym_typed_expression] = STATE(3112),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3112),
    [sym_array_expression] = STATE(3112),
    [sym_record_expression] = STATE(3112),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3112),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3112),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2910),
    [sym_array_get_expression] = STATE(2910),
    [sym_string_get_expression] = STATE(2910),
    [sym_bigarray_get_expression] = STATE(2910),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3112),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3112),
    [sym_package_expression] = STATE(3112),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3112),
    [sym_object_copy_expression] = STATE(3112),
    [sym_method_invocation] = STATE(3112),
    [sym_object_expression] = STATE(3112),
    [sym_parenthesized_expression] = STATE(3112),
    [sym_attribute] = STATE(2250),
    [sym_extension] = STATE(3112),
    [sym_quoted_extension] = STATE(3112),
    [sym__constant] = STATE(3112),
    [sym_number] = STATE(3002),
    [sym_character] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_quoted_string] = STATE(3002),
    [sym_boolean] = STATE(3002),
    [sym_unit] = STATE(3002),
    [sym_sign_operator] = STATE(2250),
    [sym__value_name] = STATE(3175),
    [sym_parenthesized_operator] = STATE(3259),
    [sym_value_path] = STATE(3112),
    [sym_module_path] = STATE(18457),
    [sym_constructor_path] = STATE(3112),
    [sym__instance_variable_name] = STATE(17429),
    [sym__constructor_name] = STATE(3005),
    [sym_tag] = STATE(3112),
    [sym__lowercase_identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__uppercase_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2251] = {
    [sym_value_definition] = STATE(18151),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10307),
    [sym_typed_expression] = STATE(5326),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5326),
    [sym_array_expression] = STATE(5326),
    [sym_record_expression] = STATE(5326),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5326),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5326),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5210),
    [sym_array_get_expression] = STATE(5210),
    [sym_string_get_expression] = STATE(5210),
    [sym_bigarray_get_expression] = STATE(5210),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5326),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5326),
    [sym_package_expression] = STATE(5326),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5326),
    [sym_object_copy_expression] = STATE(5326),
    [sym_method_invocation] = STATE(5326),
    [sym_object_expression] = STATE(5326),
    [sym_parenthesized_expression] = STATE(5326),
    [sym_attribute] = STATE(2251),
    [sym_extension] = STATE(5326),
    [sym_quoted_extension] = STATE(5326),
    [sym__constant] = STATE(5326),
    [sym_number] = STATE(5290),
    [sym_character] = STATE(5290),
    [sym_string] = STATE(5290),
    [sym_quoted_string] = STATE(5290),
    [sym_boolean] = STATE(5290),
    [sym_unit] = STATE(5290),
    [sym_sign_operator] = STATE(2230),
    [sym__value_name] = STATE(5280),
    [sym_parenthesized_operator] = STATE(5281),
    [sym_value_path] = STATE(5326),
    [sym_module_path] = STATE(17911),
    [sym_constructor_path] = STATE(5326),
    [sym__instance_variable_name] = STATE(18127),
    [sym__constructor_name] = STATE(5374),
    [sym_tag] = STATE(5326),
    [sym__lowercase_identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__uppercase_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2252] = {
    [sym_value_definition] = STATE(18151),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10309),
    [sym_typed_expression] = STATE(5326),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5326),
    [sym_array_expression] = STATE(5326),
    [sym_record_expression] = STATE(5326),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5326),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5326),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5210),
    [sym_array_get_expression] = STATE(5210),
    [sym_string_get_expression] = STATE(5210),
    [sym_bigarray_get_expression] = STATE(5210),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5326),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5326),
    [sym_package_expression] = STATE(5326),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5326),
    [sym_object_copy_expression] = STATE(5326),
    [sym_method_invocation] = STATE(5326),
    [sym_object_expression] = STATE(5326),
    [sym_parenthesized_expression] = STATE(5326),
    [sym_attribute] = STATE(2252),
    [sym_extension] = STATE(5326),
    [sym_quoted_extension] = STATE(5326),
    [sym__constant] = STATE(5326),
    [sym_number] = STATE(5290),
    [sym_character] = STATE(5290),
    [sym_string] = STATE(5290),
    [sym_quoted_string] = STATE(5290),
    [sym_boolean] = STATE(5290),
    [sym_unit] = STATE(5290),
    [sym_sign_operator] = STATE(2230),
    [sym__value_name] = STATE(5280),
    [sym_parenthesized_operator] = STATE(5281),
    [sym_value_path] = STATE(5326),
    [sym_module_path] = STATE(17911),
    [sym_constructor_path] = STATE(5326),
    [sym__instance_variable_name] = STATE(18127),
    [sym__constructor_name] = STATE(5374),
    [sym_tag] = STATE(5326),
    [sym__lowercase_identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__uppercase_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2253] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12519),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2253),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2254] = {
    [sym_value_definition] = STATE(19847),
    [sym__simple_expression] = STATE(1543),
    [sym__expression] = STATE(8417),
    [sym_typed_expression] = STATE(4090),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4090),
    [sym_array_expression] = STATE(4090),
    [sym_record_expression] = STATE(4090),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4090),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4090),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3779),
    [sym_array_get_expression] = STATE(3779),
    [sym_string_get_expression] = STATE(3779),
    [sym_bigarray_get_expression] = STATE(3779),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4090),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4090),
    [sym_package_expression] = STATE(4090),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4090),
    [sym_object_copy_expression] = STATE(4090),
    [sym_method_invocation] = STATE(4090),
    [sym_object_expression] = STATE(4090),
    [sym_parenthesized_expression] = STATE(4090),
    [sym_attribute] = STATE(2254),
    [sym_extension] = STATE(4090),
    [sym_quoted_extension] = STATE(4090),
    [sym__constant] = STATE(4090),
    [sym_number] = STATE(4058),
    [sym_character] = STATE(4058),
    [sym_string] = STATE(4058),
    [sym_quoted_string] = STATE(4058),
    [sym_boolean] = STATE(4058),
    [sym_unit] = STATE(4058),
    [sym_sign_operator] = STATE(2132),
    [sym__value_name] = STATE(4146),
    [sym_parenthesized_operator] = STATE(4003),
    [sym_value_path] = STATE(4090),
    [sym_module_path] = STATE(17476),
    [sym_constructor_path] = STATE(4090),
    [sym__instance_variable_name] = STATE(19788),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4090),
    [sym__lowercase_identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3077),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3079),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__uppercase_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2255] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11795),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(2255),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2256] = {
    [sym_value_definition] = STATE(18151),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10311),
    [sym_typed_expression] = STATE(5326),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5326),
    [sym_array_expression] = STATE(5326),
    [sym_record_expression] = STATE(5326),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5326),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5326),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5210),
    [sym_array_get_expression] = STATE(5210),
    [sym_string_get_expression] = STATE(5210),
    [sym_bigarray_get_expression] = STATE(5210),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5326),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5326),
    [sym_package_expression] = STATE(5326),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5326),
    [sym_object_copy_expression] = STATE(5326),
    [sym_method_invocation] = STATE(5326),
    [sym_object_expression] = STATE(5326),
    [sym_parenthesized_expression] = STATE(5326),
    [sym_attribute] = STATE(2256),
    [sym_extension] = STATE(5326),
    [sym_quoted_extension] = STATE(5326),
    [sym__constant] = STATE(5326),
    [sym_number] = STATE(5290),
    [sym_character] = STATE(5290),
    [sym_string] = STATE(5290),
    [sym_quoted_string] = STATE(5290),
    [sym_boolean] = STATE(5290),
    [sym_unit] = STATE(5290),
    [sym_sign_operator] = STATE(2230),
    [sym__value_name] = STATE(5280),
    [sym_parenthesized_operator] = STATE(5281),
    [sym_value_path] = STATE(5326),
    [sym_module_path] = STATE(17911),
    [sym_constructor_path] = STATE(5326),
    [sym__instance_variable_name] = STATE(18127),
    [sym__constructor_name] = STATE(5374),
    [sym_tag] = STATE(5326),
    [sym__lowercase_identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__uppercase_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2257] = {
    [sym_value_definition] = STATE(18151),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10312),
    [sym_typed_expression] = STATE(5326),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5326),
    [sym_array_expression] = STATE(5326),
    [sym_record_expression] = STATE(5326),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5326),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5326),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5210),
    [sym_array_get_expression] = STATE(5210),
    [sym_string_get_expression] = STATE(5210),
    [sym_bigarray_get_expression] = STATE(5210),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5326),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5326),
    [sym_package_expression] = STATE(5326),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5326),
    [sym_object_copy_expression] = STATE(5326),
    [sym_method_invocation] = STATE(5326),
    [sym_object_expression] = STATE(5326),
    [sym_parenthesized_expression] = STATE(5326),
    [sym_attribute] = STATE(2257),
    [sym_extension] = STATE(5326),
    [sym_quoted_extension] = STATE(5326),
    [sym__constant] = STATE(5326),
    [sym_number] = STATE(5290),
    [sym_character] = STATE(5290),
    [sym_string] = STATE(5290),
    [sym_quoted_string] = STATE(5290),
    [sym_boolean] = STATE(5290),
    [sym_unit] = STATE(5290),
    [sym_sign_operator] = STATE(2230),
    [sym__value_name] = STATE(5280),
    [sym_parenthesized_operator] = STATE(5281),
    [sym_value_path] = STATE(5326),
    [sym_module_path] = STATE(17911),
    [sym_constructor_path] = STATE(5326),
    [sym__instance_variable_name] = STATE(18127),
    [sym__constructor_name] = STATE(5374),
    [sym_tag] = STATE(5326),
    [sym__lowercase_identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__uppercase_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2258] = {
    [sym_value_definition] = STATE(17479),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12156),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6469),
    [sym_array_get_expression] = STATE(6469),
    [sym_string_get_expression] = STATE(6469),
    [sym_bigarray_get_expression] = STATE(6469),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2258),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2224),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(19046),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2811),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_function] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2839),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2259] = {
    [sym_value_definition] = STATE(17483),
    [sym__simple_expression] = STATE(346),
    [sym__expression] = STATE(8069),
    [sym_typed_expression] = STATE(3112),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3112),
    [sym_array_expression] = STATE(3112),
    [sym_record_expression] = STATE(3112),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3112),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3112),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2910),
    [sym_array_get_expression] = STATE(2910),
    [sym_string_get_expression] = STATE(2910),
    [sym_bigarray_get_expression] = STATE(2910),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3112),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3112),
    [sym_package_expression] = STATE(3112),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3112),
    [sym_object_copy_expression] = STATE(3112),
    [sym_method_invocation] = STATE(3112),
    [sym_object_expression] = STATE(3112),
    [sym_parenthesized_expression] = STATE(3112),
    [sym_attribute] = STATE(2259),
    [sym_extension] = STATE(3112),
    [sym_quoted_extension] = STATE(3112),
    [sym__constant] = STATE(3112),
    [sym_number] = STATE(3002),
    [sym_character] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_quoted_string] = STATE(3002),
    [sym_boolean] = STATE(3002),
    [sym_unit] = STATE(3002),
    [sym_sign_operator] = STATE(2250),
    [sym__value_name] = STATE(3175),
    [sym_parenthesized_operator] = STATE(3259),
    [sym_value_path] = STATE(3112),
    [sym_module_path] = STATE(18457),
    [sym_constructor_path] = STATE(3112),
    [sym__instance_variable_name] = STATE(17429),
    [sym__constructor_name] = STATE(3005),
    [sym_tag] = STATE(3112),
    [sym__lowercase_identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__uppercase_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2260] = {
    [sym_value_definition] = STATE(17483),
    [sym__simple_expression] = STATE(346),
    [sym__expression] = STATE(8127),
    [sym_typed_expression] = STATE(3112),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3112),
    [sym_array_expression] = STATE(3112),
    [sym_record_expression] = STATE(3112),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3112),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3112),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2910),
    [sym_array_get_expression] = STATE(2910),
    [sym_string_get_expression] = STATE(2910),
    [sym_bigarray_get_expression] = STATE(2910),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3112),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3112),
    [sym_package_expression] = STATE(3112),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3112),
    [sym_object_copy_expression] = STATE(3112),
    [sym_method_invocation] = STATE(3112),
    [sym_object_expression] = STATE(3112),
    [sym_parenthesized_expression] = STATE(3112),
    [sym_attribute] = STATE(2260),
    [sym_extension] = STATE(3112),
    [sym_quoted_extension] = STATE(3112),
    [sym__constant] = STATE(3112),
    [sym_number] = STATE(3002),
    [sym_character] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_quoted_string] = STATE(3002),
    [sym_boolean] = STATE(3002),
    [sym_unit] = STATE(3002),
    [sym_sign_operator] = STATE(2250),
    [sym__value_name] = STATE(3175),
    [sym_parenthesized_operator] = STATE(3259),
    [sym_value_path] = STATE(3112),
    [sym_module_path] = STATE(18457),
    [sym_constructor_path] = STATE(3112),
    [sym__instance_variable_name] = STATE(17429),
    [sym__constructor_name] = STATE(3005),
    [sym_tag] = STATE(3112),
    [sym__lowercase_identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__uppercase_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2261] = {
    [sym_value_definition] = STATE(18151),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10313),
    [sym_typed_expression] = STATE(5326),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5326),
    [sym_array_expression] = STATE(5326),
    [sym_record_expression] = STATE(5326),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5326),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5326),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5210),
    [sym_array_get_expression] = STATE(5210),
    [sym_string_get_expression] = STATE(5210),
    [sym_bigarray_get_expression] = STATE(5210),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5326),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5326),
    [sym_package_expression] = STATE(5326),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5326),
    [sym_object_copy_expression] = STATE(5326),
    [sym_method_invocation] = STATE(5326),
    [sym_object_expression] = STATE(5326),
    [sym_parenthesized_expression] = STATE(5326),
    [sym_attribute] = STATE(2261),
    [sym_extension] = STATE(5326),
    [sym_quoted_extension] = STATE(5326),
    [sym__constant] = STATE(5326),
    [sym_number] = STATE(5290),
    [sym_character] = STATE(5290),
    [sym_string] = STATE(5290),
    [sym_quoted_string] = STATE(5290),
    [sym_boolean] = STATE(5290),
    [sym_unit] = STATE(5290),
    [sym_sign_operator] = STATE(2230),
    [sym__value_name] = STATE(5280),
    [sym_parenthesized_operator] = STATE(5281),
    [sym_value_path] = STATE(5326),
    [sym_module_path] = STATE(17911),
    [sym_constructor_path] = STATE(5326),
    [sym__instance_variable_name] = STATE(18127),
    [sym__constructor_name] = STATE(5374),
    [sym_tag] = STATE(5326),
    [sym__lowercase_identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__uppercase_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2262] = {
    [sym_value_definition] = STATE(17483),
    [sym__simple_expression] = STATE(346),
    [sym__expression] = STATE(8148),
    [sym_typed_expression] = STATE(3112),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3112),
    [sym_array_expression] = STATE(3112),
    [sym_record_expression] = STATE(3112),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3112),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3112),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2910),
    [sym_array_get_expression] = STATE(2910),
    [sym_string_get_expression] = STATE(2910),
    [sym_bigarray_get_expression] = STATE(2910),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3112),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3112),
    [sym_package_expression] = STATE(3112),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3112),
    [sym_object_copy_expression] = STATE(3112),
    [sym_method_invocation] = STATE(3112),
    [sym_object_expression] = STATE(3112),
    [sym_parenthesized_expression] = STATE(3112),
    [sym_attribute] = STATE(2262),
    [sym_extension] = STATE(3112),
    [sym_quoted_extension] = STATE(3112),
    [sym__constant] = STATE(3112),
    [sym_number] = STATE(3002),
    [sym_character] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_quoted_string] = STATE(3002),
    [sym_boolean] = STATE(3002),
    [sym_unit] = STATE(3002),
    [sym_sign_operator] = STATE(2250),
    [sym__value_name] = STATE(3175),
    [sym_parenthesized_operator] = STATE(3259),
    [sym_value_path] = STATE(3112),
    [sym_module_path] = STATE(18457),
    [sym_constructor_path] = STATE(3112),
    [sym__instance_variable_name] = STATE(17429),
    [sym__constructor_name] = STATE(3005),
    [sym_tag] = STATE(3112),
    [sym__lowercase_identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__uppercase_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2263] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11819),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(2263),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2264] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11813),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(2264),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2265] = {
    [sym_value_definition] = STATE(17483),
    [sym__simple_expression] = STATE(346),
    [sym__expression] = STATE(8155),
    [sym_typed_expression] = STATE(3112),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3112),
    [sym_array_expression] = STATE(3112),
    [sym_record_expression] = STATE(3112),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3112),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3112),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2910),
    [sym_array_get_expression] = STATE(2910),
    [sym_string_get_expression] = STATE(2910),
    [sym_bigarray_get_expression] = STATE(2910),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3112),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3112),
    [sym_package_expression] = STATE(3112),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3112),
    [sym_object_copy_expression] = STATE(3112),
    [sym_method_invocation] = STATE(3112),
    [sym_object_expression] = STATE(3112),
    [sym_parenthesized_expression] = STATE(3112),
    [sym_attribute] = STATE(2265),
    [sym_extension] = STATE(3112),
    [sym_quoted_extension] = STATE(3112),
    [sym__constant] = STATE(3112),
    [sym_number] = STATE(3002),
    [sym_character] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_quoted_string] = STATE(3002),
    [sym_boolean] = STATE(3002),
    [sym_unit] = STATE(3002),
    [sym_sign_operator] = STATE(2250),
    [sym__value_name] = STATE(3175),
    [sym_parenthesized_operator] = STATE(3259),
    [sym_value_path] = STATE(3112),
    [sym_module_path] = STATE(18457),
    [sym_constructor_path] = STATE(3112),
    [sym__instance_variable_name] = STATE(17429),
    [sym__constructor_name] = STATE(3005),
    [sym_tag] = STATE(3112),
    [sym__lowercase_identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__uppercase_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2266] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8209),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(2266),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2267] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12559),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(2267),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2268] = {
    [sym_value_definition] = STATE(17483),
    [sym__simple_expression] = STATE(346),
    [sym__expression] = STATE(8156),
    [sym_typed_expression] = STATE(3112),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3112),
    [sym_array_expression] = STATE(3112),
    [sym_record_expression] = STATE(3112),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3112),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3112),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2910),
    [sym_array_get_expression] = STATE(2910),
    [sym_string_get_expression] = STATE(2910),
    [sym_bigarray_get_expression] = STATE(2910),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3112),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3112),
    [sym_package_expression] = STATE(3112),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3112),
    [sym_object_copy_expression] = STATE(3112),
    [sym_method_invocation] = STATE(3112),
    [sym_object_expression] = STATE(3112),
    [sym_parenthesized_expression] = STATE(3112),
    [sym_attribute] = STATE(2268),
    [sym_extension] = STATE(3112),
    [sym_quoted_extension] = STATE(3112),
    [sym__constant] = STATE(3112),
    [sym_number] = STATE(3002),
    [sym_character] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_quoted_string] = STATE(3002),
    [sym_boolean] = STATE(3002),
    [sym_unit] = STATE(3002),
    [sym_sign_operator] = STATE(2250),
    [sym__value_name] = STATE(3175),
    [sym_parenthesized_operator] = STATE(3259),
    [sym_value_path] = STATE(3112),
    [sym_module_path] = STATE(18457),
    [sym_constructor_path] = STATE(3112),
    [sym__instance_variable_name] = STATE(17429),
    [sym__constructor_name] = STATE(3005),
    [sym_tag] = STATE(3112),
    [sym__lowercase_identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__uppercase_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2269] = {
    [sym_value_definition] = STATE(17483),
    [sym__simple_expression] = STATE(346),
    [sym__expression] = STATE(8157),
    [sym_typed_expression] = STATE(3112),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3112),
    [sym_array_expression] = STATE(3112),
    [sym_record_expression] = STATE(3112),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3112),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3112),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2910),
    [sym_array_get_expression] = STATE(2910),
    [sym_string_get_expression] = STATE(2910),
    [sym_bigarray_get_expression] = STATE(2910),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3112),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3112),
    [sym_package_expression] = STATE(3112),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3112),
    [sym_object_copy_expression] = STATE(3112),
    [sym_method_invocation] = STATE(3112),
    [sym_object_expression] = STATE(3112),
    [sym_parenthesized_expression] = STATE(3112),
    [sym_attribute] = STATE(2269),
    [sym_extension] = STATE(3112),
    [sym_quoted_extension] = STATE(3112),
    [sym__constant] = STATE(3112),
    [sym_number] = STATE(3002),
    [sym_character] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_quoted_string] = STATE(3002),
    [sym_boolean] = STATE(3002),
    [sym_unit] = STATE(3002),
    [sym_sign_operator] = STATE(2250),
    [sym__value_name] = STATE(3175),
    [sym_parenthesized_operator] = STATE(3259),
    [sym_value_path] = STATE(3112),
    [sym_module_path] = STATE(18457),
    [sym_constructor_path] = STATE(3112),
    [sym__instance_variable_name] = STATE(17429),
    [sym__constructor_name] = STATE(3005),
    [sym_tag] = STATE(3112),
    [sym__lowercase_identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__uppercase_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2270] = {
    [sym_value_definition] = STATE(17483),
    [sym__simple_expression] = STATE(346),
    [sym__expression] = STATE(7982),
    [sym_typed_expression] = STATE(3112),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3112),
    [sym_array_expression] = STATE(3112),
    [sym_record_expression] = STATE(3112),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3112),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3112),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2910),
    [sym_array_get_expression] = STATE(2910),
    [sym_string_get_expression] = STATE(2910),
    [sym_bigarray_get_expression] = STATE(2910),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3112),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3112),
    [sym_package_expression] = STATE(3112),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3112),
    [sym_object_copy_expression] = STATE(3112),
    [sym_method_invocation] = STATE(3112),
    [sym_object_expression] = STATE(3112),
    [sym_parenthesized_expression] = STATE(3112),
    [sym_attribute] = STATE(2270),
    [sym_extension] = STATE(3112),
    [sym_quoted_extension] = STATE(3112),
    [sym__constant] = STATE(3112),
    [sym_number] = STATE(3002),
    [sym_character] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_quoted_string] = STATE(3002),
    [sym_boolean] = STATE(3002),
    [sym_unit] = STATE(3002),
    [sym_sign_operator] = STATE(2250),
    [sym__value_name] = STATE(3175),
    [sym_parenthesized_operator] = STATE(3259),
    [sym_value_path] = STATE(3112),
    [sym_module_path] = STATE(18457),
    [sym_constructor_path] = STATE(3112),
    [sym__instance_variable_name] = STATE(17429),
    [sym__constructor_name] = STATE(3005),
    [sym_tag] = STATE(3112),
    [sym__lowercase_identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__uppercase_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2271] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11820),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(2271),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2272] = {
    [sym__simple_expression] = STATE(3421),
    [sym_typed_expression] = STATE(3382),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_labeled_argument] = STATE(4161),
    [sym_prefix_expression] = STATE(3382),
    [sym_hash_expression] = STATE(3382),
    [sym_field_get_expression] = STATE(3382),
    [sym_array_get_expression] = STATE(3382),
    [sym_string_get_expression] = STATE(3382),
    [sym_bigarray_get_expression] = STATE(3382),
    [sym_coercion_expression] = STATE(3382),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(2272),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [aux_sym_class_application_repeat1] = STATE(2272),
    [sym__lowercase_identifier] = ACTIONS(4063),
    [anon_sym_SEMI_SEMI] = ACTIONS(3536),
    [anon_sym_let] = ACTIONS(3538),
    [anon_sym_and] = ACTIONS(3538),
    [anon_sym_TILDE] = ACTIONS(4066),
    [anon_sym_QMARK] = ACTIONS(4066),
    [anon_sym_LPAREN] = ACTIONS(4069),
    [anon_sym_external] = ACTIONS(3538),
    [anon_sym_type] = ACTIONS(3538),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(4072),
    [anon_sym_true] = ACTIONS(4075),
    [anon_sym_false] = ACTIONS(4075),
    [anon_sym_LBRACE] = ACTIONS(4078),
    [anon_sym_SEMI] = ACTIONS(3538),
    [anon_sym_exception] = ACTIONS(3538),
    [anon_sym_module] = ACTIONS(3538),
    [anon_sym_open] = ACTIONS(3538),
    [anon_sym_include] = ACTIONS(3538),
    [anon_sym_class] = ACTIONS(3538),
    [anon_sym_end] = ACTIONS(3538),
    [anon_sym_object] = ACTIONS(4081),
    [anon_sym_in] = ACTIONS(3538),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4084),
    [anon_sym_new] = ACTIONS(4087),
    [anon_sym_LBRACE_LT] = ACTIONS(4090),
    [anon_sym_begin] = ACTIONS(4093),
    [sym_ocamlyacc_value] = ACTIONS(4096),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3538),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3536),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4102),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3536),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3536),
    [aux_sym_number_token1] = ACTIONS(4105),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(4108),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_prefix_operator] = ACTIONS(4114),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym_let_operator] = ACTIONS(3536),
    [sym_let_and_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(4117),
    [aux_sym_directive_token1] = ACTIONS(3536),
    [aux_sym_tag_token1] = ACTIONS(4120),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2273] = {
    [sym_value_definition] = STATE(19847),
    [sym__simple_expression] = STATE(1543),
    [sym__expression] = STATE(8321),
    [sym_typed_expression] = STATE(4090),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4090),
    [sym_array_expression] = STATE(4090),
    [sym_record_expression] = STATE(4090),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4090),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4090),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3779),
    [sym_array_get_expression] = STATE(3779),
    [sym_string_get_expression] = STATE(3779),
    [sym_bigarray_get_expression] = STATE(3779),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4090),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4090),
    [sym_package_expression] = STATE(4090),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4090),
    [sym_object_copy_expression] = STATE(4090),
    [sym_method_invocation] = STATE(4090),
    [sym_object_expression] = STATE(4090),
    [sym_parenthesized_expression] = STATE(4090),
    [sym_attribute] = STATE(2273),
    [sym_extension] = STATE(4090),
    [sym_quoted_extension] = STATE(4090),
    [sym__constant] = STATE(4090),
    [sym_number] = STATE(4058),
    [sym_character] = STATE(4058),
    [sym_string] = STATE(4058),
    [sym_quoted_string] = STATE(4058),
    [sym_boolean] = STATE(4058),
    [sym_unit] = STATE(4058),
    [sym_sign_operator] = STATE(2132),
    [sym__value_name] = STATE(4146),
    [sym_parenthesized_operator] = STATE(4003),
    [sym_value_path] = STATE(4090),
    [sym_module_path] = STATE(17476),
    [sym_constructor_path] = STATE(4090),
    [sym__instance_variable_name] = STATE(19788),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4090),
    [sym__lowercase_identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3077),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3079),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__uppercase_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2274] = {
    [sym_value_definition] = STATE(17483),
    [sym__simple_expression] = STATE(346),
    [sym__expression] = STATE(8004),
    [sym_typed_expression] = STATE(3112),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3112),
    [sym_array_expression] = STATE(3112),
    [sym_record_expression] = STATE(3112),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3112),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3112),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2910),
    [sym_array_get_expression] = STATE(2910),
    [sym_string_get_expression] = STATE(2910),
    [sym_bigarray_get_expression] = STATE(2910),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3112),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3112),
    [sym_package_expression] = STATE(3112),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3112),
    [sym_object_copy_expression] = STATE(3112),
    [sym_method_invocation] = STATE(3112),
    [sym_object_expression] = STATE(3112),
    [sym_parenthesized_expression] = STATE(3112),
    [sym_attribute] = STATE(2274),
    [sym_extension] = STATE(3112),
    [sym_quoted_extension] = STATE(3112),
    [sym__constant] = STATE(3112),
    [sym_number] = STATE(3002),
    [sym_character] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_quoted_string] = STATE(3002),
    [sym_boolean] = STATE(3002),
    [sym_unit] = STATE(3002),
    [sym_sign_operator] = STATE(2250),
    [sym__value_name] = STATE(3175),
    [sym_parenthesized_operator] = STATE(3259),
    [sym_value_path] = STATE(3112),
    [sym_module_path] = STATE(18457),
    [sym_constructor_path] = STATE(3112),
    [sym__instance_variable_name] = STATE(17429),
    [sym__constructor_name] = STATE(3005),
    [sym_tag] = STATE(3112),
    [sym__lowercase_identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__uppercase_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2275] = {
    [sym_value_definition] = STATE(20059),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12517),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(7124),
    [sym_array_get_expression] = STATE(7124),
    [sym_string_get_expression] = STATE(7124),
    [sym_bigarray_get_expression] = STATE(7124),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2275),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2167),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19407),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2276] = {
    [sym_value_definition] = STATE(17483),
    [sym__simple_expression] = STATE(346),
    [sym__expression] = STATE(8005),
    [sym_typed_expression] = STATE(3112),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3112),
    [sym_array_expression] = STATE(3112),
    [sym_record_expression] = STATE(3112),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3112),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3112),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2910),
    [sym_array_get_expression] = STATE(2910),
    [sym_string_get_expression] = STATE(2910),
    [sym_bigarray_get_expression] = STATE(2910),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3112),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3112),
    [sym_package_expression] = STATE(3112),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3112),
    [sym_object_copy_expression] = STATE(3112),
    [sym_method_invocation] = STATE(3112),
    [sym_object_expression] = STATE(3112),
    [sym_parenthesized_expression] = STATE(3112),
    [sym_attribute] = STATE(2276),
    [sym_extension] = STATE(3112),
    [sym_quoted_extension] = STATE(3112),
    [sym__constant] = STATE(3112),
    [sym_number] = STATE(3002),
    [sym_character] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_quoted_string] = STATE(3002),
    [sym_boolean] = STATE(3002),
    [sym_unit] = STATE(3002),
    [sym_sign_operator] = STATE(2250),
    [sym__value_name] = STATE(3175),
    [sym_parenthesized_operator] = STATE(3259),
    [sym_value_path] = STATE(3112),
    [sym_module_path] = STATE(18457),
    [sym_constructor_path] = STATE(3112),
    [sym__instance_variable_name] = STATE(17429),
    [sym__constructor_name] = STATE(3005),
    [sym_tag] = STATE(3112),
    [sym__lowercase_identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__uppercase_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2277] = {
    [sym_value_definition] = STATE(18151),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10338),
    [sym_typed_expression] = STATE(5326),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(5326),
    [sym_array_expression] = STATE(5326),
    [sym_record_expression] = STATE(5326),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(5326),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(5326),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(5210),
    [sym_array_get_expression] = STATE(5210),
    [sym_string_get_expression] = STATE(5210),
    [sym_bigarray_get_expression] = STATE(5210),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(5326),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(5326),
    [sym_package_expression] = STATE(5326),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(5326),
    [sym_object_copy_expression] = STATE(5326),
    [sym_method_invocation] = STATE(5326),
    [sym_object_expression] = STATE(5326),
    [sym_parenthesized_expression] = STATE(5326),
    [sym_attribute] = STATE(2277),
    [sym_extension] = STATE(5326),
    [sym_quoted_extension] = STATE(5326),
    [sym__constant] = STATE(5326),
    [sym_number] = STATE(5290),
    [sym_character] = STATE(5290),
    [sym_string] = STATE(5290),
    [sym_quoted_string] = STATE(5290),
    [sym_boolean] = STATE(5290),
    [sym_unit] = STATE(5290),
    [sym_sign_operator] = STATE(2230),
    [sym__value_name] = STATE(5280),
    [sym_parenthesized_operator] = STATE(5281),
    [sym_value_path] = STATE(5326),
    [sym_module_path] = STATE(17911),
    [sym_constructor_path] = STATE(5326),
    [sym__instance_variable_name] = STATE(18127),
    [sym__constructor_name] = STATE(5374),
    [sym_tag] = STATE(5326),
    [sym__lowercase_identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__uppercase_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2278] = {
    [sym_value_definition] = STATE(17483),
    [sym__simple_expression] = STATE(346),
    [sym__expression] = STATE(8006),
    [sym_typed_expression] = STATE(3112),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3112),
    [sym_array_expression] = STATE(3112),
    [sym_record_expression] = STATE(3112),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3112),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3112),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2910),
    [sym_array_get_expression] = STATE(2910),
    [sym_string_get_expression] = STATE(2910),
    [sym_bigarray_get_expression] = STATE(2910),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3112),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3112),
    [sym_package_expression] = STATE(3112),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3112),
    [sym_object_copy_expression] = STATE(3112),
    [sym_method_invocation] = STATE(3112),
    [sym_object_expression] = STATE(3112),
    [sym_parenthesized_expression] = STATE(3112),
    [sym_attribute] = STATE(2278),
    [sym_extension] = STATE(3112),
    [sym_quoted_extension] = STATE(3112),
    [sym__constant] = STATE(3112),
    [sym_number] = STATE(3002),
    [sym_character] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_quoted_string] = STATE(3002),
    [sym_boolean] = STATE(3002),
    [sym_unit] = STATE(3002),
    [sym_sign_operator] = STATE(2250),
    [sym__value_name] = STATE(3175),
    [sym_parenthesized_operator] = STATE(3259),
    [sym_value_path] = STATE(3112),
    [sym_module_path] = STATE(18457),
    [sym_constructor_path] = STATE(3112),
    [sym__instance_variable_name] = STATE(17429),
    [sym__constructor_name] = STATE(3005),
    [sym_tag] = STATE(3112),
    [sym__lowercase_identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__uppercase_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2279] = {
    [sym_value_definition] = STATE(19847),
    [sym__simple_expression] = STATE(1543),
    [sym__expression] = STATE(8322),
    [sym_typed_expression] = STATE(4090),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4090),
    [sym_array_expression] = STATE(4090),
    [sym_record_expression] = STATE(4090),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4090),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4090),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3779),
    [sym_array_get_expression] = STATE(3779),
    [sym_string_get_expression] = STATE(3779),
    [sym_bigarray_get_expression] = STATE(3779),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4090),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4090),
    [sym_package_expression] = STATE(4090),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4090),
    [sym_object_copy_expression] = STATE(4090),
    [sym_method_invocation] = STATE(4090),
    [sym_object_expression] = STATE(4090),
    [sym_parenthesized_expression] = STATE(4090),
    [sym_attribute] = STATE(2279),
    [sym_extension] = STATE(4090),
    [sym_quoted_extension] = STATE(4090),
    [sym__constant] = STATE(4090),
    [sym_number] = STATE(4058),
    [sym_character] = STATE(4058),
    [sym_string] = STATE(4058),
    [sym_quoted_string] = STATE(4058),
    [sym_boolean] = STATE(4058),
    [sym_unit] = STATE(4058),
    [sym_sign_operator] = STATE(2132),
    [sym__value_name] = STATE(4146),
    [sym_parenthesized_operator] = STATE(4003),
    [sym_value_path] = STATE(4090),
    [sym_module_path] = STATE(17476),
    [sym_constructor_path] = STATE(4090),
    [sym__instance_variable_name] = STATE(19788),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4090),
    [sym__lowercase_identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3077),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3079),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__uppercase_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2280] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11821),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(2280),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2281] = {
    [sym_value_definition] = STATE(17483),
    [sym__simple_expression] = STATE(346),
    [sym__expression] = STATE(8024),
    [sym_typed_expression] = STATE(3112),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3112),
    [sym_array_expression] = STATE(3112),
    [sym_record_expression] = STATE(3112),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3112),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3112),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2910),
    [sym_array_get_expression] = STATE(2910),
    [sym_string_get_expression] = STATE(2910),
    [sym_bigarray_get_expression] = STATE(2910),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3112),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3112),
    [sym_package_expression] = STATE(3112),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3112),
    [sym_object_copy_expression] = STATE(3112),
    [sym_method_invocation] = STATE(3112),
    [sym_object_expression] = STATE(3112),
    [sym_parenthesized_expression] = STATE(3112),
    [sym_attribute] = STATE(2281),
    [sym_extension] = STATE(3112),
    [sym_quoted_extension] = STATE(3112),
    [sym__constant] = STATE(3112),
    [sym_number] = STATE(3002),
    [sym_character] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_quoted_string] = STATE(3002),
    [sym_boolean] = STATE(3002),
    [sym_unit] = STATE(3002),
    [sym_sign_operator] = STATE(2250),
    [sym__value_name] = STATE(3175),
    [sym_parenthesized_operator] = STATE(3259),
    [sym_value_path] = STATE(3112),
    [sym_module_path] = STATE(18457),
    [sym_constructor_path] = STATE(3112),
    [sym__instance_variable_name] = STATE(17429),
    [sym__constructor_name] = STATE(3005),
    [sym_tag] = STATE(3112),
    [sym__lowercase_identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__uppercase_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2282] = {
    [sym_value_definition] = STATE(18460),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12428),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6453),
    [sym_array_get_expression] = STATE(6453),
    [sym_string_get_expression] = STATE(6453),
    [sym_bigarray_get_expression] = STATE(6453),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(2282),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(18440),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2873),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2875),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2879),
    [anon_sym_function] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2885),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2283] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11822),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(2283),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2284] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11823),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(2284),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2285] = {
    [sym_value_definition] = STATE(17479),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12160),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6469),
    [sym_array_get_expression] = STATE(6469),
    [sym_string_get_expression] = STATE(6469),
    [sym_bigarray_get_expression] = STATE(6469),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2285),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2224),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(19046),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2811),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_function] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2839),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2286] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12493),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2286),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2287] = {
    [sym_value_definition] = STATE(18460),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12236),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6453),
    [sym_array_get_expression] = STATE(6453),
    [sym_string_get_expression] = STATE(6453),
    [sym_bigarray_get_expression] = STATE(6453),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(2287),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(18440),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2873),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2875),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2879),
    [anon_sym_function] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2885),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2288] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11824),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(2288),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2289] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11840),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(2289),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2290] = {
    [sym_value_definition] = STATE(17479),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12164),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6469),
    [sym_array_get_expression] = STATE(6469),
    [sym_string_get_expression] = STATE(6469),
    [sym_bigarray_get_expression] = STATE(6469),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2290),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2224),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(19046),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2811),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_function] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2839),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2291] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12594),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2291),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2292] = {
    [sym_value_definition] = STATE(18460),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12237),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6453),
    [sym_array_get_expression] = STATE(6453),
    [sym_string_get_expression] = STATE(6453),
    [sym_bigarray_get_expression] = STATE(6453),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(2292),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(18440),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2873),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2875),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2879),
    [anon_sym_function] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2885),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2293] = {
    [sym_value_definition] = STATE(17479),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12165),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6469),
    [sym_array_get_expression] = STATE(6469),
    [sym_string_get_expression] = STATE(6469),
    [sym_bigarray_get_expression] = STATE(6469),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2293),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2224),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(19046),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2811),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_function] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2839),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2294] = {
    [sym_value_definition] = STATE(17479),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12168),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6469),
    [sym_array_get_expression] = STATE(6469),
    [sym_string_get_expression] = STATE(6469),
    [sym_bigarray_get_expression] = STATE(6469),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2294),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2224),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(19046),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2811),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_function] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2839),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2295] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11900),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(2295),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2296] = {
    [sym_value_definition] = STATE(18460),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12238),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6453),
    [sym_array_get_expression] = STATE(6453),
    [sym_string_get_expression] = STATE(6453),
    [sym_bigarray_get_expression] = STATE(6453),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(2296),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(18440),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2873),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2875),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2879),
    [anon_sym_function] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2885),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2297] = {
    [sym_value_definition] = STATE(18460),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12239),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6453),
    [sym_array_get_expression] = STATE(6453),
    [sym_string_get_expression] = STATE(6453),
    [sym_bigarray_get_expression] = STATE(6453),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(2297),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(18440),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2873),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2875),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2879),
    [anon_sym_function] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2885),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2298] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11905),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(2298),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2299] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12605),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2299),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2300] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11908),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(2300),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2301] = {
    [sym_value_definition] = STATE(18460),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12240),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6453),
    [sym_array_get_expression] = STATE(6453),
    [sym_string_get_expression] = STATE(6453),
    [sym_bigarray_get_expression] = STATE(6453),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(2301),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(18440),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2873),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2875),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2879),
    [anon_sym_function] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2885),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2302] = {
    [sym_value_definition] = STATE(18460),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12242),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6453),
    [sym_array_get_expression] = STATE(6453),
    [sym_string_get_expression] = STATE(6453),
    [sym_bigarray_get_expression] = STATE(6453),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(2302),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(18440),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2873),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2875),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2879),
    [anon_sym_function] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2885),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2303] = {
    [sym_value_definition] = STATE(20000),
    [sym__simple_expression] = STATE(352),
    [sym__expression] = STATE(8088),
    [sym_typed_expression] = STATE(3206),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3206),
    [sym_array_expression] = STATE(3206),
    [sym_record_expression] = STATE(3206),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3206),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3206),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2932),
    [sym_array_get_expression] = STATE(2932),
    [sym_string_get_expression] = STATE(2932),
    [sym_bigarray_get_expression] = STATE(2932),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3206),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3206),
    [sym_package_expression] = STATE(3206),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3206),
    [sym_object_copy_expression] = STATE(3206),
    [sym_method_invocation] = STATE(3206),
    [sym_object_expression] = STATE(3206),
    [sym_parenthesized_expression] = STATE(3206),
    [sym_attribute] = STATE(2303),
    [sym_extension] = STATE(3206),
    [sym_quoted_extension] = STATE(3206),
    [sym__constant] = STATE(3206),
    [sym_number] = STATE(3173),
    [sym_character] = STATE(3173),
    [sym_string] = STATE(3173),
    [sym_quoted_string] = STATE(3173),
    [sym_boolean] = STATE(3173),
    [sym_unit] = STATE(3173),
    [sym_sign_operator] = STATE(1980),
    [sym__value_name] = STATE(3254),
    [sym_parenthesized_operator] = STATE(2954),
    [sym_value_path] = STATE(3206),
    [sym_module_path] = STATE(18572),
    [sym_constructor_path] = STATE(3206),
    [sym__instance_variable_name] = STATE(19951),
    [sym__constructor_name] = STATE(3180),
    [sym_tag] = STATE(3206),
    [sym__lowercase_identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__uppercase_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2304] = {
    [sym_value_definition] = STATE(17479),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12174),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6469),
    [sym_array_get_expression] = STATE(6469),
    [sym_string_get_expression] = STATE(6469),
    [sym_bigarray_get_expression] = STATE(6469),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2304),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2224),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(19046),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2811),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_function] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2839),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2305] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12621),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2305),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2306] = {
    [sym_value_definition] = STATE(18460),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12243),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6453),
    [sym_array_get_expression] = STATE(6453),
    [sym_string_get_expression] = STATE(6453),
    [sym_bigarray_get_expression] = STATE(6453),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(2306),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(18440),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2873),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2875),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2879),
    [anon_sym_function] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2885),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2307] = {
    [sym_value_definition] = STATE(18460),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12244),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6453),
    [sym_array_get_expression] = STATE(6453),
    [sym_string_get_expression] = STATE(6453),
    [sym_bigarray_get_expression] = STATE(6453),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(2307),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(18440),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2873),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2875),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2879),
    [anon_sym_function] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2885),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2308] = {
    [sym_value_definition] = STATE(20000),
    [sym__simple_expression] = STATE(352),
    [sym__expression] = STATE(8089),
    [sym_typed_expression] = STATE(3206),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3206),
    [sym_array_expression] = STATE(3206),
    [sym_record_expression] = STATE(3206),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3206),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3206),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2932),
    [sym_array_get_expression] = STATE(2932),
    [sym_string_get_expression] = STATE(2932),
    [sym_bigarray_get_expression] = STATE(2932),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3206),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3206),
    [sym_package_expression] = STATE(3206),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3206),
    [sym_object_copy_expression] = STATE(3206),
    [sym_method_invocation] = STATE(3206),
    [sym_object_expression] = STATE(3206),
    [sym_parenthesized_expression] = STATE(3206),
    [sym_attribute] = STATE(2308),
    [sym_extension] = STATE(3206),
    [sym_quoted_extension] = STATE(3206),
    [sym__constant] = STATE(3206),
    [sym_number] = STATE(3173),
    [sym_character] = STATE(3173),
    [sym_string] = STATE(3173),
    [sym_quoted_string] = STATE(3173),
    [sym_boolean] = STATE(3173),
    [sym_unit] = STATE(3173),
    [sym_sign_operator] = STATE(1980),
    [sym__value_name] = STATE(3254),
    [sym_parenthesized_operator] = STATE(2954),
    [sym_value_path] = STATE(3206),
    [sym_module_path] = STATE(18572),
    [sym_constructor_path] = STATE(3206),
    [sym__instance_variable_name] = STATE(19951),
    [sym__constructor_name] = STATE(3180),
    [sym_tag] = STATE(3206),
    [sym__lowercase_identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__uppercase_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2309] = {
    [sym_value_definition] = STATE(20000),
    [sym__simple_expression] = STATE(352),
    [sym__expression] = STATE(8100),
    [sym_typed_expression] = STATE(3206),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3206),
    [sym_array_expression] = STATE(3206),
    [sym_record_expression] = STATE(3206),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3206),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3206),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2932),
    [sym_array_get_expression] = STATE(2932),
    [sym_string_get_expression] = STATE(2932),
    [sym_bigarray_get_expression] = STATE(2932),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3206),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3206),
    [sym_package_expression] = STATE(3206),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3206),
    [sym_object_copy_expression] = STATE(3206),
    [sym_method_invocation] = STATE(3206),
    [sym_object_expression] = STATE(3206),
    [sym_parenthesized_expression] = STATE(3206),
    [sym_attribute] = STATE(2309),
    [sym_extension] = STATE(3206),
    [sym_quoted_extension] = STATE(3206),
    [sym__constant] = STATE(3206),
    [sym_number] = STATE(3173),
    [sym_character] = STATE(3173),
    [sym_string] = STATE(3173),
    [sym_quoted_string] = STATE(3173),
    [sym_boolean] = STATE(3173),
    [sym_unit] = STATE(3173),
    [sym_sign_operator] = STATE(1980),
    [sym__value_name] = STATE(3254),
    [sym_parenthesized_operator] = STATE(2954),
    [sym_value_path] = STATE(3206),
    [sym_module_path] = STATE(18572),
    [sym_constructor_path] = STATE(3206),
    [sym__instance_variable_name] = STATE(19951),
    [sym__constructor_name] = STATE(3180),
    [sym_tag] = STATE(3206),
    [sym__lowercase_identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__uppercase_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2310] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12622),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2310),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2311] = {
    [sym_value_definition] = STATE(18460),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12249),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6453),
    [sym_array_get_expression] = STATE(6453),
    [sym_string_get_expression] = STATE(6453),
    [sym_bigarray_get_expression] = STATE(6453),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(2311),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(18440),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2873),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2875),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2879),
    [anon_sym_function] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2885),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2312] = {
    [sym_value_definition] = STATE(18460),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12273),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6453),
    [sym_array_get_expression] = STATE(6453),
    [sym_string_get_expression] = STATE(6453),
    [sym_bigarray_get_expression] = STATE(6453),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(2312),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(18440),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2873),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2875),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2879),
    [anon_sym_function] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2885),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2313] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12623),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2313),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2314] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12624),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2314),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2315] = {
    [sym_value_definition] = STATE(17483),
    [sym__simple_expression] = STATE(346),
    [sym__expression] = STATE(8075),
    [sym_typed_expression] = STATE(3112),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3112),
    [sym_array_expression] = STATE(3112),
    [sym_record_expression] = STATE(3112),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3112),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3112),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2910),
    [sym_array_get_expression] = STATE(2910),
    [sym_string_get_expression] = STATE(2910),
    [sym_bigarray_get_expression] = STATE(2910),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3112),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3112),
    [sym_package_expression] = STATE(3112),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3112),
    [sym_object_copy_expression] = STATE(3112),
    [sym_method_invocation] = STATE(3112),
    [sym_object_expression] = STATE(3112),
    [sym_parenthesized_expression] = STATE(3112),
    [sym_attribute] = STATE(2315),
    [sym_extension] = STATE(3112),
    [sym_quoted_extension] = STATE(3112),
    [sym__constant] = STATE(3112),
    [sym_number] = STATE(3002),
    [sym_character] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_quoted_string] = STATE(3002),
    [sym_boolean] = STATE(3002),
    [sym_unit] = STATE(3002),
    [sym_sign_operator] = STATE(2250),
    [sym__value_name] = STATE(3175),
    [sym_parenthesized_operator] = STATE(3259),
    [sym_value_path] = STATE(3112),
    [sym_module_path] = STATE(18457),
    [sym_constructor_path] = STATE(3112),
    [sym__instance_variable_name] = STATE(17429),
    [sym__constructor_name] = STATE(3005),
    [sym_tag] = STATE(3112),
    [sym__lowercase_identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__uppercase_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2316] = {
    [sym_value_definition] = STATE(18460),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12274),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6453),
    [sym_array_get_expression] = STATE(6453),
    [sym_string_get_expression] = STATE(6453),
    [sym_bigarray_get_expression] = STATE(6453),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(2316),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(18440),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2873),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2875),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2879),
    [anon_sym_function] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2885),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2317] = {
    [sym_value_definition] = STATE(18767),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12186),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(2317),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(2341),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(18746),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2683),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2318] = {
    [sym__simple_expression] = STATE(3338),
    [sym_typed_expression] = STATE(3289),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_labeled_argument] = STATE(4304),
    [sym_prefix_expression] = STATE(3289),
    [sym_hash_expression] = STATE(3289),
    [sym_field_get_expression] = STATE(3289),
    [sym_array_get_expression] = STATE(3289),
    [sym_string_get_expression] = STATE(3289),
    [sym_bigarray_get_expression] = STATE(3289),
    [sym_coercion_expression] = STATE(3289),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(2318),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [aux_sym_class_application_repeat1] = STATE(2318),
    [sym__lowercase_identifier] = ACTIONS(4123),
    [anon_sym_SEMI_SEMI] = ACTIONS(3536),
    [anon_sym_let] = ACTIONS(3538),
    [anon_sym_and] = ACTIONS(3538),
    [anon_sym_TILDE] = ACTIONS(4126),
    [anon_sym_QMARK] = ACTIONS(4126),
    [anon_sym_LPAREN] = ACTIONS(4129),
    [anon_sym_external] = ACTIONS(3538),
    [anon_sym_type] = ACTIONS(3538),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(4132),
    [anon_sym_RBRACK] = ACTIONS(3536),
    [anon_sym_true] = ACTIONS(4135),
    [anon_sym_false] = ACTIONS(4135),
    [anon_sym_LBRACE] = ACTIONS(4138),
    [anon_sym_SEMI] = ACTIONS(3538),
    [anon_sym_exception] = ACTIONS(3538),
    [anon_sym_module] = ACTIONS(3538),
    [anon_sym_open] = ACTIONS(3538),
    [anon_sym_include] = ACTIONS(3538),
    [anon_sym_class] = ACTIONS(3538),
    [anon_sym_object] = ACTIONS(4141),
    [anon_sym_in] = ACTIONS(3538),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4144),
    [anon_sym_new] = ACTIONS(4147),
    [anon_sym_LBRACE_LT] = ACTIONS(4150),
    [anon_sym_begin] = ACTIONS(4153),
    [sym_ocamlyacc_value] = ACTIONS(4156),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3538),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3536),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4159),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4162),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3536),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3536),
    [aux_sym_number_token1] = ACTIONS(4165),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(4168),
    [anon_sym_DQUOTE] = ACTIONS(4171),
    [sym_prefix_operator] = ACTIONS(4174),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym_let_operator] = ACTIONS(3536),
    [sym_let_and_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(4177),
    [aux_sym_directive_token1] = ACTIONS(3536),
    [aux_sym_tag_token1] = ACTIONS(4180),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2319] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12626),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2319),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2320] = {
    [sym_value_definition] = STATE(18767),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12187),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(2320),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(2341),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(18746),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2683),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2321] = {
    [sym_value_definition] = STATE(18767),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12189),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(2321),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(2341),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(18746),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2683),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2322] = {
    [sym_value_definition] = STATE(17479),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12201),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6469),
    [sym_array_get_expression] = STATE(6469),
    [sym_string_get_expression] = STATE(6469),
    [sym_bigarray_get_expression] = STATE(6469),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2322),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2224),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(19046),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2811),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_function] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2839),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2323] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12633),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2323),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2324] = {
    [sym_value_definition] = STATE(17505),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11850),
    [sym_typed_expression] = STATE(6412),
    [sym_product_expression] = STATE(10358),
    [sym_cons_expression] = STATE(10358),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_application_expression] = STATE(10358),
    [sym_prefix_expression] = STATE(6412),
    [sym_sign_expression] = STATE(10358),
    [sym_hash_expression] = STATE(6412),
    [sym_infix_expression] = STATE(10358),
    [sym_field_get_expression] = STATE(5987),
    [sym_array_get_expression] = STATE(5987),
    [sym_string_get_expression] = STATE(5987),
    [sym_bigarray_get_expression] = STATE(5987),
    [sym_set_expression] = STATE(10358),
    [sym_if_expression] = STATE(10358),
    [sym_while_expression] = STATE(10358),
    [sym_for_expression] = STATE(10358),
    [sym_match_expression] = STATE(10358),
    [sym_function_expression] = STATE(10358),
    [sym_fun_expression] = STATE(10358),
    [sym_try_expression] = STATE(10358),
    [sym_let_expression] = STATE(10358),
    [sym_coercion_expression] = STATE(6412),
    [sym_assert_expression] = STATE(10358),
    [sym_lazy_expression] = STATE(10358),
    [sym_let_module_expression] = STATE(10358),
    [sym_let_open_expression] = STATE(10358),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_let_exception_expression] = STATE(10358),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(2324),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym_sign_operator] = STATE(2233),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__instance_variable_name] = STATE(20092),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [sym__lowercase_identifier] = ACTIONS(1509),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_fun] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2325] = {
    [sym_value_definition] = STATE(18124),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9499),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4784),
    [sym_array_get_expression] = STATE(4784),
    [sym_string_get_expression] = STATE(4784),
    [sym_bigarray_get_expression] = STATE(4784),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(2325),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17851),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1009),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1015),
    [anon_sym_function] = ACTIONS(1017),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1041),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2326] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12639),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2326),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2327] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12641),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2327),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2328] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12643),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2328),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2329] = {
    [sym_value_definition] = STATE(18767),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12194),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(2329),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(2341),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(18746),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2683),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2330] = {
    [sym_value_definition] = STATE(18460),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12353),
    [sym_typed_expression] = STATE(6486),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6486),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6486),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6453),
    [sym_array_get_expression] = STATE(6453),
    [sym_string_get_expression] = STATE(6453),
    [sym_bigarray_get_expression] = STATE(6453),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6486),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(2330),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__instance_variable_name] = STATE(18440),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [sym__lowercase_identifier] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2873),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_fun] = ACTIONS(2875),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2879),
    [anon_sym_function] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2885),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2331] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8192),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(2331),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2332] = {
    [sym_value_definition] = STATE(20000),
    [sym__simple_expression] = STATE(352),
    [sym__expression] = STATE(8108),
    [sym_typed_expression] = STATE(3206),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3206),
    [sym_array_expression] = STATE(3206),
    [sym_record_expression] = STATE(3206),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3206),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3206),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2932),
    [sym_array_get_expression] = STATE(2932),
    [sym_string_get_expression] = STATE(2932),
    [sym_bigarray_get_expression] = STATE(2932),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3206),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3206),
    [sym_package_expression] = STATE(3206),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3206),
    [sym_object_copy_expression] = STATE(3206),
    [sym_method_invocation] = STATE(3206),
    [sym_object_expression] = STATE(3206),
    [sym_parenthesized_expression] = STATE(3206),
    [sym_attribute] = STATE(2332),
    [sym_extension] = STATE(3206),
    [sym_quoted_extension] = STATE(3206),
    [sym__constant] = STATE(3206),
    [sym_number] = STATE(3173),
    [sym_character] = STATE(3173),
    [sym_string] = STATE(3173),
    [sym_quoted_string] = STATE(3173),
    [sym_boolean] = STATE(3173),
    [sym_unit] = STATE(3173),
    [sym_sign_operator] = STATE(1980),
    [sym__value_name] = STATE(3254),
    [sym_parenthesized_operator] = STATE(2954),
    [sym_value_path] = STATE(3206),
    [sym_module_path] = STATE(18572),
    [sym_constructor_path] = STATE(3206),
    [sym__instance_variable_name] = STATE(19951),
    [sym__constructor_name] = STATE(3180),
    [sym_tag] = STATE(3206),
    [sym__lowercase_identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__uppercase_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2333] = {
    [sym__simple_expression] = STATE(3421),
    [sym_typed_expression] = STATE(3382),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_labeled_argument] = STATE(4161),
    [sym_prefix_expression] = STATE(3382),
    [sym_hash_expression] = STATE(3382),
    [sym_field_get_expression] = STATE(3382),
    [sym_array_get_expression] = STATE(3382),
    [sym_string_get_expression] = STATE(3382),
    [sym_bigarray_get_expression] = STATE(3382),
    [sym_coercion_expression] = STATE(3382),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(2333),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [aux_sym_class_application_repeat1] = STATE(2272),
    [sym__lowercase_identifier] = ACTIONS(3167),
    [anon_sym_SEMI_SEMI] = ACTIONS(3529),
    [anon_sym_let] = ACTIONS(3531),
    [anon_sym_and] = ACTIONS(3531),
    [anon_sym_TILDE] = ACTIONS(3169),
    [anon_sym_QMARK] = ACTIONS(3169),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_external] = ACTIONS(3531),
    [anon_sym_type] = ACTIONS(3531),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_SEMI] = ACTIONS(3531),
    [anon_sym_exception] = ACTIONS(3531),
    [anon_sym_module] = ACTIONS(3531),
    [anon_sym_open] = ACTIONS(3531),
    [anon_sym_include] = ACTIONS(3531),
    [anon_sym_class] = ACTIONS(3531),
    [anon_sym_end] = ACTIONS(3531),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_in] = ACTIONS(3531),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3531),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3529),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(511),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(513),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym_let_operator] = ACTIONS(3529),
    [sym_let_and_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_directive_token1] = ACTIONS(3529),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2334] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8170),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(2334),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2335] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8284),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(2335),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2336] = {
    [sym_value_definition] = STATE(19847),
    [sym__simple_expression] = STATE(1543),
    [sym__expression] = STATE(8323),
    [sym_typed_expression] = STATE(4090),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4090),
    [sym_array_expression] = STATE(4090),
    [sym_record_expression] = STATE(4090),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4090),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4090),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3779),
    [sym_array_get_expression] = STATE(3779),
    [sym_string_get_expression] = STATE(3779),
    [sym_bigarray_get_expression] = STATE(3779),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4090),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4090),
    [sym_package_expression] = STATE(4090),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4090),
    [sym_object_copy_expression] = STATE(4090),
    [sym_method_invocation] = STATE(4090),
    [sym_object_expression] = STATE(4090),
    [sym_parenthesized_expression] = STATE(4090),
    [sym_attribute] = STATE(2336),
    [sym_extension] = STATE(4090),
    [sym_quoted_extension] = STATE(4090),
    [sym__constant] = STATE(4090),
    [sym_number] = STATE(4058),
    [sym_character] = STATE(4058),
    [sym_string] = STATE(4058),
    [sym_quoted_string] = STATE(4058),
    [sym_boolean] = STATE(4058),
    [sym_unit] = STATE(4058),
    [sym_sign_operator] = STATE(2132),
    [sym__value_name] = STATE(4146),
    [sym_parenthesized_operator] = STATE(4003),
    [sym_value_path] = STATE(4090),
    [sym_module_path] = STATE(17476),
    [sym_constructor_path] = STATE(4090),
    [sym__instance_variable_name] = STATE(19788),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4090),
    [sym__lowercase_identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3077),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3079),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__uppercase_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2337] = {
    [sym__simple_expression] = STATE(3671),
    [sym_typed_expression] = STATE(3660),
    [sym_list_expression] = STATE(3660),
    [sym_array_expression] = STATE(3660),
    [sym_record_expression] = STATE(3660),
    [sym_labeled_argument] = STATE(4396),
    [sym_prefix_expression] = STATE(3660),
    [sym_hash_expression] = STATE(3660),
    [sym_field_get_expression] = STATE(3660),
    [sym_array_get_expression] = STATE(3660),
    [sym_string_get_expression] = STATE(3660),
    [sym_bigarray_get_expression] = STATE(3660),
    [sym_coercion_expression] = STATE(3660),
    [sym_local_open_expression] = STATE(3660),
    [sym_package_expression] = STATE(3660),
    [sym_new_expression] = STATE(3660),
    [sym_object_copy_expression] = STATE(3660),
    [sym_method_invocation] = STATE(3660),
    [sym_object_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_attribute] = STATE(2337),
    [sym_extension] = STATE(3660),
    [sym_quoted_extension] = STATE(3660),
    [sym__constant] = STATE(3660),
    [sym_number] = STATE(3360),
    [sym_character] = STATE(3360),
    [sym_string] = STATE(3360),
    [sym_quoted_string] = STATE(3360),
    [sym_boolean] = STATE(3360),
    [sym_unit] = STATE(3360),
    [sym__value_name] = STATE(3285),
    [sym_parenthesized_operator] = STATE(3631),
    [sym_value_path] = STATE(3660),
    [sym_module_path] = STATE(18722),
    [sym_constructor_path] = STATE(3660),
    [sym__constructor_name] = STATE(3361),
    [sym_tag] = STATE(3660),
    [aux_sym_class_application_repeat1] = STATE(2027),
    [sym__lowercase_identifier] = ACTIONS(3141),
    [anon_sym_SEMI_SEMI] = ACTIONS(3529),
    [anon_sym_let] = ACTIONS(3531),
    [anon_sym_and] = ACTIONS(3531),
    [anon_sym_TILDE] = ACTIONS(3143),
    [anon_sym_QMARK] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_external] = ACTIONS(3531),
    [anon_sym_type] = ACTIONS(3531),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_SEMI] = ACTIONS(3531),
    [anon_sym_exception] = ACTIONS(3531),
    [anon_sym_module] = ACTIONS(3531),
    [anon_sym_open] = ACTIONS(3531),
    [anon_sym_include] = ACTIONS(3531),
    [anon_sym_class] = ACTIONS(3531),
    [anon_sym_end] = ACTIONS(3531),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_else] = ACTIONS(3531),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3531),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3529),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(667),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(669),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym_let_operator] = ACTIONS(3529),
    [sym_let_and_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(681),
    [aux_sym_directive_token1] = ACTIONS(3529),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2338] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8171),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(2338),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2339] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8172),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(2339),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2340] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8285),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(2340),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2341] = {
    [sym_value_definition] = STATE(18767),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12258),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(2341),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(2341),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(18746),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2683),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2342] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8174),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(2342),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2343] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8288),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(2343),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2344] = {
    [sym_value_definition] = STATE(18965),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8739),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(2344),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2345] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8176),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(2345),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2346] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8177),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(2346),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2347] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8290),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(2347),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2348] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8291),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(2348),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2349] = {
    [sym_value_definition] = STATE(18767),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12159),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(2349),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(2341),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(18746),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2683),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2350] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8181),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(2350),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2351] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8183),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(2351),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2352] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8292),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(2352),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2353] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8293),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(2353),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2354] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8185),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(2354),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2355] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8187),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(2355),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2356] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8188),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(2356),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2357] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8295),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(2357),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2358] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8297),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(2358),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2359] = {
    [sym_value_definition] = STATE(17567),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12670),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6774),
    [sym_array_get_expression] = STATE(6774),
    [sym_string_get_expression] = STATE(6774),
    [sym_bigarray_get_expression] = STATE(6774),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2359),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2286),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(17721),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2360] = {
    [sym_value_definition] = STATE(20000),
    [sym__simple_expression] = STATE(352),
    [sym__expression] = STATE(8110),
    [sym_typed_expression] = STATE(3206),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3206),
    [sym_array_expression] = STATE(3206),
    [sym_record_expression] = STATE(3206),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3206),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3206),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(2932),
    [sym_array_get_expression] = STATE(2932),
    [sym_string_get_expression] = STATE(2932),
    [sym_bigarray_get_expression] = STATE(2932),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3206),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3206),
    [sym_package_expression] = STATE(3206),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3206),
    [sym_object_copy_expression] = STATE(3206),
    [sym_method_invocation] = STATE(3206),
    [sym_object_expression] = STATE(3206),
    [sym_parenthesized_expression] = STATE(3206),
    [sym_attribute] = STATE(2360),
    [sym_extension] = STATE(3206),
    [sym_quoted_extension] = STATE(3206),
    [sym__constant] = STATE(3206),
    [sym_number] = STATE(3173),
    [sym_character] = STATE(3173),
    [sym_string] = STATE(3173),
    [sym_quoted_string] = STATE(3173),
    [sym_boolean] = STATE(3173),
    [sym_unit] = STATE(3173),
    [sym_sign_operator] = STATE(1980),
    [sym__value_name] = STATE(3254),
    [sym_parenthesized_operator] = STATE(2954),
    [sym_value_path] = STATE(3206),
    [sym_module_path] = STATE(18572),
    [sym_constructor_path] = STATE(3206),
    [sym__instance_variable_name] = STATE(19951),
    [sym__constructor_name] = STATE(3180),
    [sym_tag] = STATE(3206),
    [sym__lowercase_identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__uppercase_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2361] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8299),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(2361),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2362] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8300),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(2362),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2363] = {
    [sym_value_definition] = STATE(19627),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8497),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(2363),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2364] = {
    [sym_value_definition] = STATE(19627),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8516),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(2364),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2365] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10756),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(2365),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2366] = {
    [sym_value_definition] = STATE(18124),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9493),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4784),
    [sym_array_get_expression] = STATE(4784),
    [sym_string_get_expression] = STATE(4784),
    [sym_bigarray_get_expression] = STATE(4784),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(2366),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17851),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1009),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1015),
    [anon_sym_function] = ACTIONS(1017),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1041),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2367] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8213),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(2367),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2368] = {
    [sym_value_definition] = STATE(18767),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12167),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(2368),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(2341),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(18746),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2683),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2369] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9915),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(2369),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2370] = {
    [sym_value_definition] = STATE(18554),
    [sym__simple_expression] = STATE(513),
    [sym__expression] = STATE(8212),
    [sym_typed_expression] = STATE(3382),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3382),
    [sym_array_expression] = STATE(3382),
    [sym_record_expression] = STATE(3382),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3382),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3382),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3106),
    [sym_array_get_expression] = STATE(3106),
    [sym_string_get_expression] = STATE(3106),
    [sym_bigarray_get_expression] = STATE(3106),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3382),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3382),
    [sym_package_expression] = STATE(3382),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3382),
    [sym_object_copy_expression] = STATE(3382),
    [sym_method_invocation] = STATE(3382),
    [sym_object_expression] = STATE(3382),
    [sym_parenthesized_expression] = STATE(3382),
    [sym_attribute] = STATE(2370),
    [sym_extension] = STATE(3382),
    [sym_quoted_extension] = STATE(3382),
    [sym__constant] = STATE(3382),
    [sym_number] = STATE(3534),
    [sym_character] = STATE(3534),
    [sym_string] = STATE(3534),
    [sym_quoted_string] = STATE(3534),
    [sym_boolean] = STATE(3534),
    [sym_unit] = STATE(3534),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3468),
    [sym_value_path] = STATE(3382),
    [sym_module_path] = STATE(17641),
    [sym_constructor_path] = STATE(3382),
    [sym__instance_variable_name] = STATE(18443),
    [sym__constructor_name] = STATE(3535),
    [sym_tag] = STATE(3382),
    [sym__lowercase_identifier] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_fun] = ACTIONS(491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(503),
    [anon_sym_LBRACE_LT] = ACTIONS(505),
    [anon_sym_begin] = ACTIONS(507),
    [sym_ocamlyacc_value] = ACTIONS(509),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(515),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [sym_prefix_operator] = ACTIONS(521),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(523),
    [sym__uppercase_identifier] = ACTIONS(525),
    [aux_sym_tag_token1] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2371] = {
    [sym_value_definition] = STATE(19847),
    [sym__simple_expression] = STATE(1543),
    [sym__expression] = STATE(8324),
    [sym_typed_expression] = STATE(4090),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4090),
    [sym_array_expression] = STATE(4090),
    [sym_record_expression] = STATE(4090),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4090),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4090),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3779),
    [sym_array_get_expression] = STATE(3779),
    [sym_string_get_expression] = STATE(3779),
    [sym_bigarray_get_expression] = STATE(3779),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4090),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4090),
    [sym_package_expression] = STATE(4090),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4090),
    [sym_object_copy_expression] = STATE(4090),
    [sym_method_invocation] = STATE(4090),
    [sym_object_expression] = STATE(4090),
    [sym_parenthesized_expression] = STATE(4090),
    [sym_attribute] = STATE(2371),
    [sym_extension] = STATE(4090),
    [sym_quoted_extension] = STATE(4090),
    [sym__constant] = STATE(4090),
    [sym_number] = STATE(4058),
    [sym_character] = STATE(4058),
    [sym_string] = STATE(4058),
    [sym_quoted_string] = STATE(4058),
    [sym_boolean] = STATE(4058),
    [sym_unit] = STATE(4058),
    [sym_sign_operator] = STATE(2132),
    [sym__value_name] = STATE(4146),
    [sym_parenthesized_operator] = STATE(4003),
    [sym_value_path] = STATE(4090),
    [sym_module_path] = STATE(17476),
    [sym_constructor_path] = STATE(4090),
    [sym__instance_variable_name] = STATE(19788),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4090),
    [sym__lowercase_identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3077),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3079),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__uppercase_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2372] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9742),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(2372),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2373] = {
    [sym_value_definition] = STATE(19695),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(8337),
    [sym_typed_expression] = STATE(3950),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3950),
    [sym_array_expression] = STATE(3950),
    [sym_record_expression] = STATE(3950),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3950),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3950),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3950),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3950),
    [sym_package_expression] = STATE(3950),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3950),
    [sym_object_copy_expression] = STATE(3950),
    [sym_method_invocation] = STATE(3950),
    [sym_object_expression] = STATE(3950),
    [sym_parenthesized_expression] = STATE(3950),
    [sym_attribute] = STATE(2373),
    [sym_extension] = STATE(3950),
    [sym_quoted_extension] = STATE(3950),
    [sym__constant] = STATE(3950),
    [sym_number] = STATE(4087),
    [sym_character] = STATE(4087),
    [sym_string] = STATE(4087),
    [sym_quoted_string] = STATE(4087),
    [sym_boolean] = STATE(4087),
    [sym_unit] = STATE(4087),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4005),
    [sym_parenthesized_operator] = STATE(4045),
    [sym_value_path] = STATE(3950),
    [sym_module_path] = STATE(17695),
    [sym_constructor_path] = STATE(3950),
    [sym__instance_variable_name] = STATE(19552),
    [sym__constructor_name] = STATE(4088),
    [sym_tag] = STATE(3950),
    [sym__lowercase_identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__uppercase_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2374] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10625),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(2374),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2375] = {
    [sym_value_definition] = STATE(20057),
    [sym__simple_expression] = STATE(1490),
    [sym__expression] = STATE(8266),
    [sym_typed_expression] = STATE(3817),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3817),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3817),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3470),
    [sym_array_get_expression] = STATE(3470),
    [sym_string_get_expression] = STATE(3470),
    [sym_bigarray_get_expression] = STATE(3470),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3817),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(2375),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym_sign_operator] = STATE(2335),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [sym__lowercase_identifier] = ACTIONS(687),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_fun] = ACTIONS(701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(707),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(733),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2376] = {
    [sym_value_definition] = STATE(18769),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12036),
    [sym_typed_expression] = STATE(5229),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(5229),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(5229),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(5274),
    [sym_array_get_expression] = STATE(5274),
    [sym_string_get_expression] = STATE(5274),
    [sym_bigarray_get_expression] = STATE(5274),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(5229),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(2376),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__instance_variable_name] = STATE(19742),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2377] = {
    [sym_value_definition] = STATE(18965),
    [sym__simple_expression] = STATE(2166),
    [sym__expression] = STATE(8587),
    [sym_typed_expression] = STATE(4389),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4389),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4389),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4389),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(2377),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__instance_variable_name] = STATE(18180),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [sym__lowercase_identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(467),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2378] = {
    [sym_value_definition] = STATE(18767),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12178),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(2378),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(2341),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(18746),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2683),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2379] = {
    [sym_value_definition] = STATE(17479),
    [sym__simple_expression] = STATE(2468),
    [sym__expression] = STATE(12213),
    [sym_typed_expression] = STATE(6844),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6844),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6844),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6469),
    [sym_array_get_expression] = STATE(6469),
    [sym_string_get_expression] = STATE(6469),
    [sym_bigarray_get_expression] = STATE(6469),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6844),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2379),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym_sign_operator] = STATE(2224),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__instance_variable_name] = STATE(19046),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [sym__lowercase_identifier] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2811),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_function] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2839),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2380] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9744),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(2380),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2381] = {
    [sym_value_definition] = STATE(18124),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9487),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4784),
    [sym_array_get_expression] = STATE(4784),
    [sym_string_get_expression] = STATE(4784),
    [sym_bigarray_get_expression] = STATE(4784),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(2381),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17851),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1009),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1015),
    [anon_sym_function] = ACTIONS(1017),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1041),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2382] = {
    [sym_value_definition] = STATE(18025),
    [sym__simple_expression] = STATE(500),
    [sym__expression] = STATE(8205),
    [sym_typed_expression] = STATE(3596),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3596),
    [sym_array_expression] = STATE(3596),
    [sym_record_expression] = STATE(3596),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3596),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3596),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3082),
    [sym_array_get_expression] = STATE(3082),
    [sym_string_get_expression] = STATE(3082),
    [sym_bigarray_get_expression] = STATE(3082),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3596),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3596),
    [sym_package_expression] = STATE(3596),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3596),
    [sym_object_copy_expression] = STATE(3596),
    [sym_method_invocation] = STATE(3596),
    [sym_object_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3596),
    [sym_attribute] = STATE(2382),
    [sym_extension] = STATE(3596),
    [sym_quoted_extension] = STATE(3596),
    [sym__constant] = STATE(3596),
    [sym_number] = STATE(3346),
    [sym_character] = STATE(3346),
    [sym_string] = STATE(3346),
    [sym_quoted_string] = STATE(3346),
    [sym_boolean] = STATE(3346),
    [sym_unit] = STATE(3346),
    [sym_sign_operator] = STATE(1842),
    [sym__value_name] = STATE(3661),
    [sym_parenthesized_operator] = STATE(3550),
    [sym_value_path] = STATE(3596),
    [sym_module_path] = STATE(18685),
    [sym_constructor_path] = STATE(3596),
    [sym__instance_variable_name] = STATE(17765),
    [sym__constructor_name] = STATE(3347),
    [sym_tag] = STATE(3596),
    [sym__lowercase_identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3071),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__uppercase_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2383] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9745),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(2383),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2384] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9746),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(2384),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2385] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9747),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(2385),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2386] = {
    [sym_value_definition] = STATE(18767),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12170),
    [sym_typed_expression] = STATE(6726),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6726),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6726),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6726),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(2386),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym_sign_operator] = STATE(2341),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__instance_variable_name] = STATE(18746),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [sym__lowercase_identifier] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2683),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2387] = {
    [sym_value_definition] = STATE(19627),
    [sym__simple_expression] = STATE(2043),
    [sym__expression] = STATE(8504),
    [sym_typed_expression] = STATE(4375),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4375),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4375),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3945),
    [sym_array_get_expression] = STATE(3945),
    [sym_string_get_expression] = STATE(3945),
    [sym_bigarray_get_expression] = STATE(3945),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4375),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(2387),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym_sign_operator] = STATE(2364),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__instance_variable_name] = STATE(19813),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2388] = {
    [sym_value_definition] = STATE(19847),
    [sym__simple_expression] = STATE(1543),
    [sym__expression] = STATE(8326),
    [sym_typed_expression] = STATE(4090),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(4090),
    [sym_array_expression] = STATE(4090),
    [sym_record_expression] = STATE(4090),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(4090),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(4090),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3779),
    [sym_array_get_expression] = STATE(3779),
    [sym_string_get_expression] = STATE(3779),
    [sym_bigarray_get_expression] = STATE(3779),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(4090),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(4090),
    [sym_package_expression] = STATE(4090),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(4090),
    [sym_object_copy_expression] = STATE(4090),
    [sym_method_invocation] = STATE(4090),
    [sym_object_expression] = STATE(4090),
    [sym_parenthesized_expression] = STATE(4090),
    [sym_attribute] = STATE(2388),
    [sym_extension] = STATE(4090),
    [sym_quoted_extension] = STATE(4090),
    [sym__constant] = STATE(4090),
    [sym_number] = STATE(4058),
    [sym_character] = STATE(4058),
    [sym_string] = STATE(4058),
    [sym_quoted_string] = STATE(4058),
    [sym_boolean] = STATE(4058),
    [sym_unit] = STATE(4058),
    [sym_sign_operator] = STATE(2132),
    [sym__value_name] = STATE(4146),
    [sym_parenthesized_operator] = STATE(4003),
    [sym_value_path] = STATE(4090),
    [sym_module_path] = STATE(17476),
    [sym_constructor_path] = STATE(4090),
    [sym__instance_variable_name] = STATE(19788),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4090),
    [sym__lowercase_identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3077),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3079),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__uppercase_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2389] = {
    [sym_value_definition] = STATE(18030),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9748),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(4945),
    [sym_array_get_expression] = STATE(4945),
    [sym_string_get_expression] = STATE(4945),
    [sym_bigarray_get_expression] = STATE(4945),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(2389),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17589),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_lazy] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2390] = {
    [sym_value_definition] = STATE(18530),
    [sym__simple_expression] = STATE(542),
    [sym__expression] = STATE(8220),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8135),
    [sym_cons_expression] = STATE(8135),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8135),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8135),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8135),
    [sym_field_get_expression] = STATE(3192),
    [sym_array_get_expression] = STATE(3192),
    [sym_string_get_expression] = STATE(3192),
    [sym_bigarray_get_expression] = STATE(3192),
    [sym_set_expression] = STATE(8135),
    [sym_if_expression] = STATE(8135),
    [sym_while_expression] = STATE(8135),
    [sym_for_expression] = STATE(8135),
    [sym_match_expression] = STATE(8135),
    [sym_function_expression] = STATE(8135),
    [sym_fun_expression] = STATE(8135),
    [sym_try_expression] = STATE(8135),
    [sym_let_expression] = STATE(8135),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8135),
    [sym_lazy_expression] = STATE(8135),
    [sym_let_module_expression] = STATE(8135),
    [sym_let_open_expression] = STATE(8135),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8135),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(2390),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3497),
    [sym_character] = STATE(3497),
    [sym_string] = STATE(3497),
    [sym_quoted_string] = STATE(3497),
    [sym_boolean] = STATE(3497),
    [sym_unit] = STATE(3497),
    [sym_sign_operator] = STATE(1874),
    [sym__value_name] = STATE(3337),
    [sym_parenthesized_operator] = STATE(3381),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(19875),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(18337),
    [sym__constructor_name] = STATE(3491),
    [sym_tag] = STATE(3289),
    [sym__lowercase_identifier] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_true] = ACTIONS(537),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(575),
    [sym__uppercase_identifier] = ACTIONS(577),
    [aux_sym_tag_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2391] = {
    [sym_value_definition] = STATE(19384),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12169),
    [sym_typed_expression] = STATE(6612),
    [sym_product_expression] = STATE(7711),
    [sym_cons_expression] = STATE(7711),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_application_expression] = STATE(7711),
    [sym_prefix_expression] = STATE(6612),
    [sym_sign_expression] = STATE(7711),
    [sym_hash_expression] = STATE(6612),
    [sym_infix_expression] = STATE(7711),
    [sym_field_get_expression] = STATE(6475),
    [sym_array_get_expression] = STATE(6475),
    [sym_string_get_expression] = STATE(6475),
    [sym_bigarray_get_expression] = STATE(6475),
    [sym_set_expression] = STATE(7711),
    [sym_if_expression] = STATE(7711),
    [sym_while_expression] = STATE(7711),
    [sym_for_expression] = STATE(7711),
    [sym_match_expression] = STATE(7711),
    [sym_function_expression] = STATE(7711),
    [sym_fun_expression] = STATE(7711),
    [sym_try_expression] = STATE(7711),
    [sym_let_expression] = STATE(7711),
    [sym_coercion_expression] = STATE(6612),
    [sym_assert_expression] = STATE(7711),
    [sym_lazy_expression] = STATE(7711),
    [sym_let_module_expression] = STATE(7711),
    [sym_let_open_expression] = STATE(7711),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_let_exception_expression] = STATE(7711),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(2391),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym_sign_operator] = STATE(1944),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__instance_variable_name] = STATE(20276),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [sym__lowercase_identifier] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_match] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2857),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2392] = {
    [sym_value_definition] = STATE(18124),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9710),
    [sym_typed_expression] = STATE(4901),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4901),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4901),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4784),
    [sym_array_get_expression] = STATE(4784),
    [sym_string_get_expression] = STATE(4784),
    [sym_bigarray_get_expression] = STATE(4784),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4901),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(2392),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym_sign_operator] = STATE(2392),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__instance_variable_name] = STATE(17851),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [sym__lowercase_identifier] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_fun] = ACTIONS(1009),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1015),
    [anon_sym_function] = ACTIONS(1017),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1041),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2393] = {
    [sym_value_definition] = STATE(19983),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12349),
    [sym_typed_expression] = STATE(6771),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(6771),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(6771),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(6468),
    [sym_array_get_expression] = STATE(6468),
    [sym_string_get_expression] = STATE(6468),
    [sym_bigarray_get_expression] = STATE(6468),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(6771),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2393),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__instance_variable_name] = STATE(19961),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [sym__lowercase_identifier] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2743),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_function] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2787),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2394] = {
    [sym__simple_expression] = STATE(3877),
    [sym_typed_expression] = STATE(3817),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_labeled_argument] = STATE(4449),
    [sym_prefix_expression] = STATE(3817),
    [sym_hash_expression] = STATE(3817),
    [sym_field_get_expression] = STATE(3817),
    [sym_array_get_expression] = STATE(3817),
    [sym_string_get_expression] = STATE(3817),
    [sym_bigarray_get_expression] = STATE(3817),
    [sym_coercion_expression] = STATE(3817),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(2394),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [aux_sym_class_application_repeat1] = STATE(2394),
    [sym__lowercase_identifier] = ACTIONS(4183),
    [anon_sym_SEMI_SEMI] = ACTIONS(3536),
    [anon_sym_let] = ACTIONS(3538),
    [anon_sym_and] = ACTIONS(3538),
    [anon_sym_TILDE] = ACTIONS(4186),
    [anon_sym_QMARK] = ACTIONS(4186),
    [anon_sym_LPAREN] = ACTIONS(4189),
    [anon_sym_external] = ACTIONS(3538),
    [anon_sym_type] = ACTIONS(3538),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(4192),
    [anon_sym_RBRACK] = ACTIONS(3536),
    [anon_sym_true] = ACTIONS(4195),
    [anon_sym_false] = ACTIONS(4195),
    [anon_sym_LBRACE] = ACTIONS(4198),
    [anon_sym_SEMI] = ACTIONS(3538),
    [anon_sym_exception] = ACTIONS(3538),
    [anon_sym_module] = ACTIONS(3538),
    [anon_sym_open] = ACTIONS(3538),
    [anon_sym_include] = ACTIONS(3538),
    [anon_sym_class] = ACTIONS(3538),
    [anon_sym_object] = ACTIONS(4201),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4204),
    [anon_sym_new] = ACTIONS(4207),
    [anon_sym_LBRACE_LT] = ACTIONS(4210),
    [anon_sym_begin] = ACTIONS(4213),
    [sym_ocamlyacc_value] = ACTIONS(4216),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3538),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3536),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4222),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3536),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3536),
    [aux_sym_number_token1] = ACTIONS(4225),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(4228),
    [anon_sym_DQUOTE] = ACTIONS(4231),
    [sym_prefix_operator] = ACTIONS(4234),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym_let_operator] = ACTIONS(3536),
    [sym_let_and_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(4237),
    [aux_sym_directive_token1] = ACTIONS(3536),
    [aux_sym_tag_token1] = ACTIONS(4240),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2395] = {
    [sym__simple_expression] = STATE(3924),
    [sym_typed_expression] = STATE(3868),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_labeled_argument] = STATE(4464),
    [sym_prefix_expression] = STATE(3868),
    [sym_hash_expression] = STATE(3868),
    [sym_field_get_expression] = STATE(3868),
    [sym_array_get_expression] = STATE(3868),
    [sym_string_get_expression] = STATE(3868),
    [sym_bigarray_get_expression] = STATE(3868),
    [sym_coercion_expression] = STATE(3868),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(2395),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [aux_sym_class_application_repeat1] = STATE(2395),
    [sym__lowercase_identifier] = ACTIONS(4243),
    [anon_sym_SEMI_SEMI] = ACTIONS(3536),
    [anon_sym_let] = ACTIONS(3538),
    [anon_sym_and] = ACTIONS(3538),
    [anon_sym_TILDE] = ACTIONS(4246),
    [anon_sym_QMARK] = ACTIONS(4246),
    [anon_sym_LPAREN] = ACTIONS(4249),
    [anon_sym_external] = ACTIONS(3538),
    [anon_sym_type] = ACTIONS(3538),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(4252),
    [anon_sym_true] = ACTIONS(4255),
    [anon_sym_false] = ACTIONS(4255),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_SEMI] = ACTIONS(3538),
    [anon_sym_exception] = ACTIONS(3538),
    [anon_sym_module] = ACTIONS(3538),
    [anon_sym_open] = ACTIONS(3538),
    [anon_sym_include] = ACTIONS(3538),
    [anon_sym_class] = ACTIONS(3538),
    [anon_sym_end] = ACTIONS(3538),
    [anon_sym_object] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4264),
    [anon_sym_new] = ACTIONS(4267),
    [anon_sym_LBRACE_LT] = ACTIONS(4270),
    [anon_sym_begin] = ACTIONS(4273),
    [sym_ocamlyacc_value] = ACTIONS(4276),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3538),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3536),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4279),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4282),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3536),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3536),
    [aux_sym_number_token1] = ACTIONS(4285),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(4288),
    [anon_sym_DQUOTE] = ACTIONS(4291),
    [sym_prefix_operator] = ACTIONS(4294),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym_let_operator] = ACTIONS(3536),
    [sym_let_and_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(4297),
    [aux_sym_directive_token1] = ACTIONS(3536),
    [aux_sym_tag_token1] = ACTIONS(4300),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2396] = {
    [sym__simple_expression] = STATE(3877),
    [sym_typed_expression] = STATE(3817),
    [sym_list_expression] = STATE(3817),
    [sym_array_expression] = STATE(3817),
    [sym_record_expression] = STATE(3817),
    [sym_labeled_argument] = STATE(4449),
    [sym_prefix_expression] = STATE(3817),
    [sym_hash_expression] = STATE(3817),
    [sym_field_get_expression] = STATE(3817),
    [sym_array_get_expression] = STATE(3817),
    [sym_string_get_expression] = STATE(3817),
    [sym_bigarray_get_expression] = STATE(3817),
    [sym_coercion_expression] = STATE(3817),
    [sym_local_open_expression] = STATE(3817),
    [sym_package_expression] = STATE(3817),
    [sym_new_expression] = STATE(3817),
    [sym_object_copy_expression] = STATE(3817),
    [sym_method_invocation] = STATE(3817),
    [sym_object_expression] = STATE(3817),
    [sym_parenthesized_expression] = STATE(3817),
    [sym_attribute] = STATE(2396),
    [sym_extension] = STATE(3817),
    [sym_quoted_extension] = STATE(3817),
    [sym__constant] = STATE(3817),
    [sym_number] = STATE(3814),
    [sym_character] = STATE(3814),
    [sym_string] = STATE(3814),
    [sym_quoted_string] = STATE(3814),
    [sym_boolean] = STATE(3814),
    [sym_unit] = STATE(3814),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(3734),
    [sym_value_path] = STATE(3817),
    [sym_module_path] = STATE(18219),
    [sym_constructor_path] = STATE(3817),
    [sym__constructor_name] = STATE(3826),
    [sym_tag] = STATE(3817),
    [aux_sym_class_application_repeat1] = STATE(2394),
    [sym__lowercase_identifier] = ACTIONS(3261),
    [anon_sym_SEMI_SEMI] = ACTIONS(3529),
    [anon_sym_let] = ACTIONS(3531),
    [anon_sym_and] = ACTIONS(3531),
    [anon_sym_TILDE] = ACTIONS(3263),
    [anon_sym_QMARK] = ACTIONS(3263),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_external] = ACTIONS(3531),
    [anon_sym_type] = ACTIONS(3531),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_RBRACK] = ACTIONS(3529),
    [anon_sym_true] = ACTIONS(695),
    [anon_sym_false] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_SEMI] = ACTIONS(3531),
    [anon_sym_exception] = ACTIONS(3531),
    [anon_sym_module] = ACTIONS(3531),
    [anon_sym_open] = ACTIONS(3531),
    [anon_sym_include] = ACTIONS(3531),
    [anon_sym_class] = ACTIONS(3531),
    [anon_sym_object] = ACTIONS(699),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(703),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_LBRACE_LT] = ACTIONS(715),
    [anon_sym_begin] = ACTIONS(717),
    [sym_ocamlyacc_value] = ACTIONS(719),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3531),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3529),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(723),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(725),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_prefix_operator] = ACTIONS(731),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym_let_operator] = ACTIONS(3529),
    [sym_let_and_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(735),
    [aux_sym_directive_token1] = ACTIONS(3529),
    [aux_sym_tag_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2397] = {
    [sym__simple_expression] = STATE(3924),
    [sym_typed_expression] = STATE(3868),
    [sym_list_expression] = STATE(3868),
    [sym_array_expression] = STATE(3868),
    [sym_record_expression] = STATE(3868),
    [sym_labeled_argument] = STATE(4464),
    [sym_prefix_expression] = STATE(3868),
    [sym_hash_expression] = STATE(3868),
    [sym_field_get_expression] = STATE(3868),
    [sym_array_get_expression] = STATE(3868),
    [sym_string_get_expression] = STATE(3868),
    [sym_bigarray_get_expression] = STATE(3868),
    [sym_coercion_expression] = STATE(3868),
    [sym_local_open_expression] = STATE(3868),
    [sym_package_expression] = STATE(3868),
    [sym_new_expression] = STATE(3868),
    [sym_object_copy_expression] = STATE(3868),
    [sym_method_invocation] = STATE(3868),
    [sym_object_expression] = STATE(3868),
    [sym_parenthesized_expression] = STATE(3868),
    [sym_attribute] = STATE(2397),
    [sym_extension] = STATE(3868),
    [sym_quoted_extension] = STATE(3868),
    [sym__constant] = STATE(3868),
    [sym_number] = STATE(3865),
    [sym_character] = STATE(3865),
    [sym_string] = STATE(3865),
    [sym_quoted_string] = STATE(3865),
    [sym_boolean] = STATE(3865),
    [sym_unit] = STATE(3865),
    [sym__value_name] = STATE(3920),
    [sym_parenthesized_operator] = STATE(3752),
    [sym_value_path] = STATE(3868),
    [sym_module_path] = STATE(18299),
    [sym_constructor_path] = STATE(3868),
    [sym__constructor_name] = STATE(3916),
    [sym_tag] = STATE(3868),
    [aux_sym_class_application_repeat1] = STATE(2395),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_SEMI_SEMI] = ACTIONS(3529),
    [anon_sym_let] = ACTIONS(3531),
    [anon_sym_and] = ACTIONS(3531),
    [anon_sym_TILDE] = ACTIONS(3253),
    [anon_sym_QMARK] = ACTIONS(3253),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_external] = ACTIONS(3531),
    [anon_sym_type] = ACTIONS(3531),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(751),
    [anon_sym_false] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_SEMI] = ACTIONS(3531),
    [anon_sym_exception] = ACTIONS(3531),
    [anon_sym_module] = ACTIONS(3531),
    [anon_sym_open] = ACTIONS(3531),
    [anon_sym_include] = ACTIONS(3531),
    [anon_sym_class] = ACTIONS(3531),
    [anon_sym_end] = ACTIONS(3531),
    [anon_sym_object] = ACTIONS(755),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(759),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_LBRACE_LT] = ACTIONS(771),
    [anon_sym_begin] = ACTIONS(773),
    [sym_ocamlyacc_value] = ACTIONS(775),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3531),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3529),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(777),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(779),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(781),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_prefix_operator] = ACTIONS(787),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym_let_operator] = ACTIONS(3529),
    [sym_let_and_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(791),
    [aux_sym_directive_token1] = ACTIONS(3529),
    [aux_sym_tag_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2398] = {
    [sym__simple_expression] = STATE(4017),
    [sym_typed_expression] = STATE(3950),
    [sym_list_expression] = STATE(3950),
    [sym_array_expression] = STATE(3950),
    [sym_record_expression] = STATE(3950),
    [sym_labeled_argument] = STATE(4523),
    [sym_prefix_expression] = STATE(3950),
    [sym_hash_expression] = STATE(3950),
    [sym_field_get_expression] = STATE(3950),
    [sym_array_get_expression] = STATE(3950),
    [sym_string_get_expression] = STATE(3950),
    [sym_bigarray_get_expression] = STATE(3950),
    [sym_coercion_expression] = STATE(3950),
    [sym_local_open_expression] = STATE(3950),
    [sym_package_expression] = STATE(3950),
    [sym_new_expression] = STATE(3950),
    [sym_object_copy_expression] = STATE(3950),
    [sym_method_invocation] = STATE(3950),
    [sym_object_expression] = STATE(3950),
    [sym_parenthesized_expression] = STATE(3950),
    [sym_attribute] = STATE(2398),
    [sym_extension] = STATE(3950),
    [sym_quoted_extension] = STATE(3950),
    [sym__constant] = STATE(3950),
    [sym_number] = STATE(4087),
    [sym_character] = STATE(4087),
    [sym_string] = STATE(4087),
    [sym_quoted_string] = STATE(4087),
    [sym_boolean] = STATE(4087),
    [sym_unit] = STATE(4087),
    [sym__value_name] = STATE(4005),
    [sym_parenthesized_operator] = STATE(4045),
    [sym_value_path] = STATE(3950),
    [sym_module_path] = STATE(17695),
    [sym_constructor_path] = STATE(3950),
    [sym__constructor_name] = STATE(4088),
    [sym_tag] = STATE(3950),
    [aux_sym_class_application_repeat1] = STATE(2398),
    [sym__lowercase_identifier] = ACTIONS(4303),
    [anon_sym_SEMI_SEMI] = ACTIONS(3536),
    [anon_sym_let] = ACTIONS(3538),
    [anon_sym_TILDE] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_LPAREN] = ACTIONS(4309),
    [anon_sym_external] = ACTIONS(3538),
    [anon_sym_type] = ACTIONS(3538),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(4312),
    [anon_sym_true] = ACTIONS(4315),
    [anon_sym_false] = ACTIONS(4315),
    [anon_sym_LBRACE] = ACTIONS(4318),
    [anon_sym_SEMI] = ACTIONS(3538),
    [anon_sym_exception] = ACTIONS(3538),
    [anon_sym_module] = ACTIONS(3538),
    [anon_sym_open] = ACTIONS(3538),
    [anon_sym_include] = ACTIONS(3538),
    [anon_sym_class] = ACTIONS(3538),
    [anon_sym_end] = ACTIONS(3538),
    [anon_sym_object] = ACTIONS(4321),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4324),
    [anon_sym_else] = ACTIONS(3538),
    [anon_sym_new] = ACTIONS(4327),
    [anon_sym_LBRACE_LT] = ACTIONS(4330),
    [anon_sym_begin] = ACTIONS(4333),
    [sym_ocamlyacc_value] = ACTIONS(4336),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3538),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3536),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4342),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3536),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3536),
    [aux_sym_number_token1] = ACTIONS(4345),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(4348),
    [anon_sym_DQUOTE] = ACTIONS(4351),
    [sym_prefix_operator] = ACTIONS(4354),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym_let_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(4357),
    [aux_sym_directive_token1] = ACTIONS(3536),
    [aux_sym_tag_token1] = ACTIONS(4360),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2399] = {
    [sym__simple_expression] = STATE(4147),
    [sym_typed_expression] = STATE(4090),
    [sym_list_expression] = STATE(4090),
    [sym_array_expression] = STATE(4090),
    [sym_record_expression] = STATE(4090),
    [sym_labeled_argument] = STATE(4556),
    [sym_prefix_expression] = STATE(4090),
    [sym_hash_expression] = STATE(4090),
    [sym_field_get_expression] = STATE(4090),
    [sym_array_get_expression] = STATE(4090),
    [sym_string_get_expression] = STATE(4090),
    [sym_bigarray_get_expression] = STATE(4090),
    [sym_coercion_expression] = STATE(4090),
    [sym_local_open_expression] = STATE(4090),
    [sym_package_expression] = STATE(4090),
    [sym_new_expression] = STATE(4090),
    [sym_object_copy_expression] = STATE(4090),
    [sym_method_invocation] = STATE(4090),
    [sym_object_expression] = STATE(4090),
    [sym_parenthesized_expression] = STATE(4090),
    [sym_attribute] = STATE(2399),
    [sym_extension] = STATE(4090),
    [sym_quoted_extension] = STATE(4090),
    [sym__constant] = STATE(4090),
    [sym_number] = STATE(4058),
    [sym_character] = STATE(4058),
    [sym_string] = STATE(4058),
    [sym_quoted_string] = STATE(4058),
    [sym_boolean] = STATE(4058),
    [sym_unit] = STATE(4058),
    [sym__value_name] = STATE(4146),
    [sym_parenthesized_operator] = STATE(4003),
    [sym_value_path] = STATE(4090),
    [sym_module_path] = STATE(17476),
    [sym_constructor_path] = STATE(4090),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4090),
    [aux_sym_class_application_repeat1] = STATE(2401),
    [sym__lowercase_identifier] = ACTIONS(3361),
    [anon_sym_SEMI_SEMI] = ACTIONS(3529),
    [anon_sym_let] = ACTIONS(3531),
    [anon_sym_TILDE] = ACTIONS(3363),
    [anon_sym_QMARK] = ACTIONS(3363),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_external] = ACTIONS(3531),
    [anon_sym_type] = ACTIONS(3531),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_RBRACK] = ACTIONS(3529),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(3531),
    [anon_sym_exception] = ACTIONS(3531),
    [anon_sym_module] = ACTIONS(3531),
    [anon_sym_open] = ACTIONS(3531),
    [anon_sym_include] = ACTIONS(3531),
    [anon_sym_class] = ACTIONS(3531),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_else] = ACTIONS(3531),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3531),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3529),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(839),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(841),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym_let_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(853),
    [aux_sym_directive_token1] = ACTIONS(3529),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2400] = {
    [sym__simple_expression] = STATE(4017),
    [sym_typed_expression] = STATE(3950),
    [sym_list_expression] = STATE(3950),
    [sym_array_expression] = STATE(3950),
    [sym_record_expression] = STATE(3950),
    [sym_labeled_argument] = STATE(4523),
    [sym_prefix_expression] = STATE(3950),
    [sym_hash_expression] = STATE(3950),
    [sym_field_get_expression] = STATE(3950),
    [sym_array_get_expression] = STATE(3950),
    [sym_string_get_expression] = STATE(3950),
    [sym_bigarray_get_expression] = STATE(3950),
    [sym_coercion_expression] = STATE(3950),
    [sym_local_open_expression] = STATE(3950),
    [sym_package_expression] = STATE(3950),
    [sym_new_expression] = STATE(3950),
    [sym_object_copy_expression] = STATE(3950),
    [sym_method_invocation] = STATE(3950),
    [sym_object_expression] = STATE(3950),
    [sym_parenthesized_expression] = STATE(3950),
    [sym_attribute] = STATE(2400),
    [sym_extension] = STATE(3950),
    [sym_quoted_extension] = STATE(3950),
    [sym__constant] = STATE(3950),
    [sym_number] = STATE(4087),
    [sym_character] = STATE(4087),
    [sym_string] = STATE(4087),
    [sym_quoted_string] = STATE(4087),
    [sym_boolean] = STATE(4087),
    [sym_unit] = STATE(4087),
    [sym__value_name] = STATE(4005),
    [sym_parenthesized_operator] = STATE(4045),
    [sym_value_path] = STATE(3950),
    [sym_module_path] = STATE(17695),
    [sym_constructor_path] = STATE(3950),
    [sym__constructor_name] = STATE(4088),
    [sym_tag] = STATE(3950),
    [aux_sym_class_application_repeat1] = STATE(2398),
    [sym__lowercase_identifier] = ACTIONS(3507),
    [anon_sym_SEMI_SEMI] = ACTIONS(3529),
    [anon_sym_let] = ACTIONS(3531),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_QMARK] = ACTIONS(3509),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_external] = ACTIONS(3531),
    [anon_sym_type] = ACTIONS(3531),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_SEMI] = ACTIONS(3531),
    [anon_sym_exception] = ACTIONS(3531),
    [anon_sym_module] = ACTIONS(3531),
    [anon_sym_open] = ACTIONS(3531),
    [anon_sym_include] = ACTIONS(3531),
    [anon_sym_class] = ACTIONS(3531),
    [anon_sym_end] = ACTIONS(3531),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_else] = ACTIONS(3531),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3531),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3529),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(891),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(893),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym_let_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(905),
    [aux_sym_directive_token1] = ACTIONS(3529),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2401] = {
    [sym__simple_expression] = STATE(4147),
    [sym_typed_expression] = STATE(4090),
    [sym_list_expression] = STATE(4090),
    [sym_array_expression] = STATE(4090),
    [sym_record_expression] = STATE(4090),
    [sym_labeled_argument] = STATE(4556),
    [sym_prefix_expression] = STATE(4090),
    [sym_hash_expression] = STATE(4090),
    [sym_field_get_expression] = STATE(4090),
    [sym_array_get_expression] = STATE(4090),
    [sym_string_get_expression] = STATE(4090),
    [sym_bigarray_get_expression] = STATE(4090),
    [sym_coercion_expression] = STATE(4090),
    [sym_local_open_expression] = STATE(4090),
    [sym_package_expression] = STATE(4090),
    [sym_new_expression] = STATE(4090),
    [sym_object_copy_expression] = STATE(4090),
    [sym_method_invocation] = STATE(4090),
    [sym_object_expression] = STATE(4090),
    [sym_parenthesized_expression] = STATE(4090),
    [sym_attribute] = STATE(2401),
    [sym_extension] = STATE(4090),
    [sym_quoted_extension] = STATE(4090),
    [sym__constant] = STATE(4090),
    [sym_number] = STATE(4058),
    [sym_character] = STATE(4058),
    [sym_string] = STATE(4058),
    [sym_quoted_string] = STATE(4058),
    [sym_boolean] = STATE(4058),
    [sym_unit] = STATE(4058),
    [sym__value_name] = STATE(4146),
    [sym_parenthesized_operator] = STATE(4003),
    [sym_value_path] = STATE(4090),
    [sym_module_path] = STATE(17476),
    [sym_constructor_path] = STATE(4090),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4090),
    [aux_sym_class_application_repeat1] = STATE(2401),
    [sym__lowercase_identifier] = ACTIONS(4363),
    [anon_sym_SEMI_SEMI] = ACTIONS(3536),
    [anon_sym_let] = ACTIONS(3538),
    [anon_sym_TILDE] = ACTIONS(4366),
    [anon_sym_QMARK] = ACTIONS(4366),
    [anon_sym_LPAREN] = ACTIONS(4369),
    [anon_sym_external] = ACTIONS(3538),
    [anon_sym_type] = ACTIONS(3538),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(4372),
    [anon_sym_RBRACK] = ACTIONS(3536),
    [anon_sym_true] = ACTIONS(4375),
    [anon_sym_false] = ACTIONS(4375),
    [anon_sym_LBRACE] = ACTIONS(4378),
    [anon_sym_SEMI] = ACTIONS(3538),
    [anon_sym_exception] = ACTIONS(3538),
    [anon_sym_module] = ACTIONS(3538),
    [anon_sym_open] = ACTIONS(3538),
    [anon_sym_include] = ACTIONS(3538),
    [anon_sym_class] = ACTIONS(3538),
    [anon_sym_object] = ACTIONS(4381),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4384),
    [anon_sym_else] = ACTIONS(3538),
    [anon_sym_new] = ACTIONS(4387),
    [anon_sym_LBRACE_LT] = ACTIONS(4390),
    [anon_sym_begin] = ACTIONS(4393),
    [sym_ocamlyacc_value] = ACTIONS(4396),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3538),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3536),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4399),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4402),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3536),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3536),
    [aux_sym_number_token1] = ACTIONS(4405),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(4408),
    [anon_sym_DQUOTE] = ACTIONS(4411),
    [sym_prefix_operator] = ACTIONS(4414),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym_let_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(4417),
    [aux_sym_directive_token1] = ACTIONS(3536),
    [aux_sym_tag_token1] = ACTIONS(4420),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2402] = {
    [sym__simple_expression] = STATE(4308),
    [sym_typed_expression] = STATE(4389),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_labeled_argument] = STATE(4621),
    [sym_prefix_expression] = STATE(4389),
    [sym_hash_expression] = STATE(4389),
    [sym_field_get_expression] = STATE(4389),
    [sym_array_get_expression] = STATE(4389),
    [sym_string_get_expression] = STATE(4389),
    [sym_bigarray_get_expression] = STATE(4389),
    [sym_coercion_expression] = STATE(4389),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(2402),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [aux_sym_class_application_repeat1] = STATE(2405),
    [sym__lowercase_identifier] = ACTIONS(4053),
    [anon_sym_SEMI_SEMI] = ACTIONS(3529),
    [anon_sym_let] = ACTIONS(3531),
    [anon_sym_TILDE] = ACTIONS(4055),
    [anon_sym_QMARK] = ACTIONS(4055),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_external] = ACTIONS(3531),
    [anon_sym_type] = ACTIONS(3531),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(419),
    [anon_sym_false] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_SEMI] = ACTIONS(3531),
    [anon_sym_exception] = ACTIONS(3531),
    [anon_sym_module] = ACTIONS(3531),
    [anon_sym_open] = ACTIONS(3531),
    [anon_sym_include] = ACTIONS(3531),
    [anon_sym_class] = ACTIONS(3531),
    [anon_sym_end] = ACTIONS(3531),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3531),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3529),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(453),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(455),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym_let_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(469),
    [aux_sym_directive_token1] = ACTIONS(3529),
    [aux_sym_tag_token1] = ACTIONS(473),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2403] = {
    [sym__simple_expression] = STATE(4341),
    [sym_typed_expression] = STATE(4375),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_labeled_argument] = STATE(4610),
    [sym_prefix_expression] = STATE(4375),
    [sym_hash_expression] = STATE(4375),
    [sym_field_get_expression] = STATE(4375),
    [sym_array_get_expression] = STATE(4375),
    [sym_string_get_expression] = STATE(4375),
    [sym_bigarray_get_expression] = STATE(4375),
    [sym_coercion_expression] = STATE(4375),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(2403),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [aux_sym_class_application_repeat1] = STATE(2403),
    [sym__lowercase_identifier] = ACTIONS(4423),
    [anon_sym_SEMI_SEMI] = ACTIONS(3536),
    [anon_sym_let] = ACTIONS(3538),
    [anon_sym_TILDE] = ACTIONS(4426),
    [anon_sym_QMARK] = ACTIONS(4426),
    [anon_sym_LPAREN] = ACTIONS(4429),
    [anon_sym_external] = ACTIONS(3538),
    [anon_sym_type] = ACTIONS(3538),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(4432),
    [anon_sym_RBRACK] = ACTIONS(3536),
    [anon_sym_true] = ACTIONS(4435),
    [anon_sym_false] = ACTIONS(4435),
    [anon_sym_LBRACE] = ACTIONS(4438),
    [anon_sym_SEMI] = ACTIONS(3538),
    [anon_sym_exception] = ACTIONS(3538),
    [anon_sym_module] = ACTIONS(3538),
    [anon_sym_open] = ACTIONS(3538),
    [anon_sym_include] = ACTIONS(3538),
    [anon_sym_class] = ACTIONS(3538),
    [anon_sym_object] = ACTIONS(4441),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4444),
    [anon_sym_new] = ACTIONS(4447),
    [anon_sym_LBRACE_LT] = ACTIONS(4450),
    [anon_sym_begin] = ACTIONS(4453),
    [sym_ocamlyacc_value] = ACTIONS(4456),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3538),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3536),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4459),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4462),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3536),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3536),
    [aux_sym_number_token1] = ACTIONS(4465),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(4468),
    [anon_sym_DQUOTE] = ACTIONS(4471),
    [sym_prefix_operator] = ACTIONS(4474),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym_let_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(4477),
    [aux_sym_directive_token1] = ACTIONS(3536),
    [aux_sym_tag_token1] = ACTIONS(4480),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2404] = {
    [sym__simple_expression] = STATE(4341),
    [sym_typed_expression] = STATE(4375),
    [sym_list_expression] = STATE(4375),
    [sym_array_expression] = STATE(4375),
    [sym_record_expression] = STATE(4375),
    [sym_labeled_argument] = STATE(4610),
    [sym_prefix_expression] = STATE(4375),
    [sym_hash_expression] = STATE(4375),
    [sym_field_get_expression] = STATE(4375),
    [sym_array_get_expression] = STATE(4375),
    [sym_string_get_expression] = STATE(4375),
    [sym_bigarray_get_expression] = STATE(4375),
    [sym_coercion_expression] = STATE(4375),
    [sym_local_open_expression] = STATE(4375),
    [sym_package_expression] = STATE(4375),
    [sym_new_expression] = STATE(4375),
    [sym_object_copy_expression] = STATE(4375),
    [sym_method_invocation] = STATE(4375),
    [sym_object_expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(4375),
    [sym_attribute] = STATE(2404),
    [sym_extension] = STATE(4375),
    [sym_quoted_extension] = STATE(4375),
    [sym__constant] = STATE(4375),
    [sym_number] = STATE(4320),
    [sym_character] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym_quoted_string] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_unit] = STATE(4320),
    [sym__value_name] = STATE(4168),
    [sym_parenthesized_operator] = STATE(4212),
    [sym_value_path] = STATE(4375),
    [sym_module_path] = STATE(18876),
    [sym_constructor_path] = STATE(4375),
    [sym__constructor_name] = STATE(4175),
    [sym_tag] = STATE(4375),
    [aux_sym_class_application_repeat1] = STATE(2403),
    [sym__lowercase_identifier] = ACTIONS(4043),
    [anon_sym_SEMI_SEMI] = ACTIONS(3529),
    [anon_sym_let] = ACTIONS(3531),
    [anon_sym_TILDE] = ACTIONS(4045),
    [anon_sym_QMARK] = ACTIONS(4045),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(3531),
    [anon_sym_type] = ACTIONS(3531),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(3529),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_SEMI] = ACTIONS(3531),
    [anon_sym_exception] = ACTIONS(3531),
    [anon_sym_module] = ACTIONS(3531),
    [anon_sym_open] = ACTIONS(3531),
    [anon_sym_include] = ACTIONS(3531),
    [anon_sym_class] = ACTIONS(3531),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3531),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3529),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym_let_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(3529),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2405] = {
    [sym__simple_expression] = STATE(4308),
    [sym_typed_expression] = STATE(4389),
    [sym_list_expression] = STATE(4389),
    [sym_array_expression] = STATE(4389),
    [sym_record_expression] = STATE(4389),
    [sym_labeled_argument] = STATE(4621),
    [sym_prefix_expression] = STATE(4389),
    [sym_hash_expression] = STATE(4389),
    [sym_field_get_expression] = STATE(4389),
    [sym_array_get_expression] = STATE(4389),
    [sym_string_get_expression] = STATE(4389),
    [sym_bigarray_get_expression] = STATE(4389),
    [sym_coercion_expression] = STATE(4389),
    [sym_local_open_expression] = STATE(4389),
    [sym_package_expression] = STATE(4389),
    [sym_new_expression] = STATE(4389),
    [sym_object_copy_expression] = STATE(4389),
    [sym_method_invocation] = STATE(4389),
    [sym_object_expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(4389),
    [sym_attribute] = STATE(2405),
    [sym_extension] = STATE(4389),
    [sym_quoted_extension] = STATE(4389),
    [sym__constant] = STATE(4389),
    [sym_number] = STATE(4174),
    [sym_character] = STATE(4174),
    [sym_string] = STATE(4174),
    [sym_quoted_string] = STATE(4174),
    [sym_boolean] = STATE(4174),
    [sym_unit] = STATE(4174),
    [sym__value_name] = STATE(4178),
    [sym_parenthesized_operator] = STATE(4398),
    [sym_value_path] = STATE(4389),
    [sym_module_path] = STATE(19501),
    [sym_constructor_path] = STATE(4389),
    [sym__constructor_name] = STATE(4185),
    [sym_tag] = STATE(4389),
    [aux_sym_class_application_repeat1] = STATE(2405),
    [sym__lowercase_identifier] = ACTIONS(4483),
    [anon_sym_SEMI_SEMI] = ACTIONS(3536),
    [anon_sym_let] = ACTIONS(3538),
    [anon_sym_TILDE] = ACTIONS(4486),
    [anon_sym_QMARK] = ACTIONS(4486),
    [anon_sym_LPAREN] = ACTIONS(4489),
    [anon_sym_external] = ACTIONS(3538),
    [anon_sym_type] = ACTIONS(3538),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(4492),
    [anon_sym_true] = ACTIONS(4495),
    [anon_sym_false] = ACTIONS(4495),
    [anon_sym_LBRACE] = ACTIONS(4498),
    [anon_sym_SEMI] = ACTIONS(3538),
    [anon_sym_exception] = ACTIONS(3538),
    [anon_sym_module] = ACTIONS(3538),
    [anon_sym_open] = ACTIONS(3538),
    [anon_sym_include] = ACTIONS(3538),
    [anon_sym_class] = ACTIONS(3538),
    [anon_sym_end] = ACTIONS(3538),
    [anon_sym_object] = ACTIONS(4501),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4504),
    [anon_sym_new] = ACTIONS(4507),
    [anon_sym_LBRACE_LT] = ACTIONS(4510),
    [anon_sym_begin] = ACTIONS(4513),
    [sym_ocamlyacc_value] = ACTIONS(4516),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3538),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3536),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4522),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3536),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3536),
    [aux_sym_number_token1] = ACTIONS(4525),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(4528),
    [anon_sym_DQUOTE] = ACTIONS(4531),
    [sym_prefix_operator] = ACTIONS(4534),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym_let_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(4537),
    [aux_sym_directive_token1] = ACTIONS(3536),
    [aux_sym_tag_token1] = ACTIONS(4540),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2406] = {
    [sym__simple_expression] = STATE(4753),
    [sym_typed_expression] = STATE(4745),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_labeled_argument] = STATE(5165),
    [sym_prefix_expression] = STATE(4745),
    [sym_hash_expression] = STATE(4745),
    [sym_field_get_expression] = STATE(4745),
    [sym_array_get_expression] = STATE(4745),
    [sym_string_get_expression] = STATE(4745),
    [sym_bigarray_get_expression] = STATE(4745),
    [sym_coercion_expression] = STATE(4745),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(2406),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [aux_sym_class_application_repeat1] = STATE(2411),
    [sym__lowercase_identifier] = ACTIONS(4543),
    [anon_sym_TILDE] = ACTIONS(4545),
    [anon_sym_QMARK] = ACTIONS(4545),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DOT] = ACTIONS(4547),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_constraint] = ACTIONS(3085),
    [anon_sym_val] = ACTIONS(3085),
    [anon_sym_end] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_inherit] = ACTIONS(3085),
    [anon_sym_method] = ACTIONS(3085),
    [anon_sym_initializer] = ACTIONS(3085),
    [anon_sym_POUND] = ACTIONS(4549),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_else] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3085),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(955),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(957),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3083),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(4551),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2407] = {
    [sym__simple_expression] = STATE(4947),
    [sym_typed_expression] = STATE(4901),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_labeled_argument] = STATE(5321),
    [sym_prefix_expression] = STATE(4901),
    [sym_hash_expression] = STATE(4901),
    [sym_field_get_expression] = STATE(4901),
    [sym_array_get_expression] = STATE(4901),
    [sym_string_get_expression] = STATE(4901),
    [sym_bigarray_get_expression] = STATE(4901),
    [sym_coercion_expression] = STATE(4901),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(2407),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [aux_sym_class_application_repeat1] = STATE(2413),
    [sym__lowercase_identifier] = ACTIONS(4553),
    [anon_sym_TILDE] = ACTIONS(4555),
    [anon_sym_QMARK] = ACTIONS(4555),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_DOT] = ACTIONS(4557),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_constraint] = ACTIONS(3085),
    [anon_sym_val] = ACTIONS(3085),
    [anon_sym_end] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_inherit] = ACTIONS(3085),
    [anon_sym_method] = ACTIONS(3085),
    [anon_sym_initializer] = ACTIONS(3085),
    [anon_sym_POUND] = ACTIONS(4559),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3085),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1031),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3083),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(4561),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2408] = {
    [sym__simple_expression] = STATE(4966),
    [sym_typed_expression] = STATE(5081),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_labeled_argument] = STATE(5401),
    [sym_prefix_expression] = STATE(5081),
    [sym_hash_expression] = STATE(5081),
    [sym_field_get_expression] = STATE(5081),
    [sym_array_get_expression] = STATE(5081),
    [sym_string_get_expression] = STATE(5081),
    [sym_bigarray_get_expression] = STATE(5081),
    [sym_coercion_expression] = STATE(5081),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(2408),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [aux_sym_class_application_repeat1] = STATE(2416),
    [sym__lowercase_identifier] = ACTIONS(4563),
    [anon_sym_COLON_GT] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(4565),
    [anon_sym_QMARK] = ACTIONS(4565),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_RPAREN] = ACTIONS(3083),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_RBRACK] = ACTIONS(3083),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_COLON2] = ACTIONS(3085),
    [anon_sym_DOT] = ACTIONS(4567),
    [anon_sym_DASH_GT] = ACTIONS(3085),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_RBRACE] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_POUND] = ACTIONS(4569),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3083),
    [anon_sym_else] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_GT_RBRACE] = ACTIONS(3083),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(4571),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2409] = {
    [sym__simple_expression] = STATE(5130),
    [sym_typed_expression] = STATE(5229),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_labeled_argument] = STATE(5649),
    [sym_prefix_expression] = STATE(5229),
    [sym_hash_expression] = STATE(5229),
    [sym_field_get_expression] = STATE(5229),
    [sym_array_get_expression] = STATE(5229),
    [sym_string_get_expression] = STATE(5229),
    [sym_bigarray_get_expression] = STATE(5229),
    [sym_coercion_expression] = STATE(5229),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(2409),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [aux_sym_class_application_repeat1] = STATE(2418),
    [sym__lowercase_identifier] = ACTIONS(4573),
    [anon_sym_COLON_GT] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(4575),
    [anon_sym_QMARK] = ACTIONS(4575),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(3083),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3083),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_COLON2] = ACTIONS(3085),
    [anon_sym_DOT] = ACTIONS(4577),
    [anon_sym_DASH_GT] = ACTIONS(3085),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_RBRACE] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_POUND] = ACTIONS(4579),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_GT_RBRACE] = ACTIONS(3083),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(4581),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2410] = {
    [sym__simple_expression] = STATE(5181),
    [sym_typed_expression] = STATE(5110),
    [sym_list_expression] = STATE(5110),
    [sym_array_expression] = STATE(5110),
    [sym_record_expression] = STATE(5110),
    [sym_labeled_argument] = STATE(5664),
    [sym_prefix_expression] = STATE(5110),
    [sym_hash_expression] = STATE(5110),
    [sym_field_get_expression] = STATE(5110),
    [sym_array_get_expression] = STATE(5110),
    [sym_string_get_expression] = STATE(5110),
    [sym_bigarray_get_expression] = STATE(5110),
    [sym_coercion_expression] = STATE(5110),
    [sym_local_open_expression] = STATE(5110),
    [sym_package_expression] = STATE(5110),
    [sym_new_expression] = STATE(5110),
    [sym_object_copy_expression] = STATE(5110),
    [sym_method_invocation] = STATE(5110),
    [sym_object_expression] = STATE(5110),
    [sym_parenthesized_expression] = STATE(5110),
    [sym_attribute] = STATE(2410),
    [sym_extension] = STATE(5110),
    [sym_quoted_extension] = STATE(5110),
    [sym__constant] = STATE(5110),
    [sym_number] = STATE(5198),
    [sym_character] = STATE(5198),
    [sym_string] = STATE(5198),
    [sym_quoted_string] = STATE(5198),
    [sym_boolean] = STATE(5198),
    [sym_unit] = STATE(5198),
    [sym__value_name] = STATE(5177),
    [sym_parenthesized_operator] = STATE(5218),
    [sym_value_path] = STATE(5110),
    [sym_module_path] = STATE(18648),
    [sym_constructor_path] = STATE(5110),
    [sym__constructor_name] = STATE(5142),
    [sym_tag] = STATE(5110),
    [aux_sym_class_application_repeat1] = STATE(2422),
    [sym__lowercase_identifier] = ACTIONS(4583),
    [anon_sym_COLON_GT] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(4585),
    [anon_sym_QMARK] = ACTIONS(4585),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(3083),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_RBRACK] = ACTIONS(3083),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_COLON2] = ACTIONS(3085),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_DASH_GT] = ACTIONS(3085),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_RBRACE] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_POUND] = ACTIONS(4589),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_else] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_GT_RBRACE] = ACTIONS(3083),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(4591),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2411] = {
    [sym__simple_expression] = STATE(4753),
    [sym_typed_expression] = STATE(4745),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_labeled_argument] = STATE(5165),
    [sym_prefix_expression] = STATE(4745),
    [sym_hash_expression] = STATE(4745),
    [sym_field_get_expression] = STATE(4745),
    [sym_array_get_expression] = STATE(4745),
    [sym_string_get_expression] = STATE(4745),
    [sym_bigarray_get_expression] = STATE(4745),
    [sym_coercion_expression] = STATE(4745),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(2411),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [aux_sym_class_application_repeat1] = STATE(2412),
    [sym__lowercase_identifier] = ACTIONS(4543),
    [anon_sym_TILDE] = ACTIONS(4545),
    [anon_sym_QMARK] = ACTIONS(4545),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(3529),
    [anon_sym_constraint] = ACTIONS(3531),
    [anon_sym_val] = ACTIONS(3531),
    [anon_sym_end] = ACTIONS(3531),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_inherit] = ACTIONS(3531),
    [anon_sym_method] = ACTIONS(3531),
    [anon_sym_initializer] = ACTIONS(3531),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_else] = ACTIONS(3531),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3531),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3529),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(955),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(957),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2412] = {
    [sym__simple_expression] = STATE(4753),
    [sym_typed_expression] = STATE(4745),
    [sym_list_expression] = STATE(4745),
    [sym_array_expression] = STATE(4745),
    [sym_record_expression] = STATE(4745),
    [sym_labeled_argument] = STATE(5165),
    [sym_prefix_expression] = STATE(4745),
    [sym_hash_expression] = STATE(4745),
    [sym_field_get_expression] = STATE(4745),
    [sym_array_get_expression] = STATE(4745),
    [sym_string_get_expression] = STATE(4745),
    [sym_bigarray_get_expression] = STATE(4745),
    [sym_coercion_expression] = STATE(4745),
    [sym_local_open_expression] = STATE(4745),
    [sym_package_expression] = STATE(4745),
    [sym_new_expression] = STATE(4745),
    [sym_object_copy_expression] = STATE(4745),
    [sym_method_invocation] = STATE(4745),
    [sym_object_expression] = STATE(4745),
    [sym_parenthesized_expression] = STATE(4745),
    [sym_attribute] = STATE(2412),
    [sym_extension] = STATE(4745),
    [sym_quoted_extension] = STATE(4745),
    [sym__constant] = STATE(4745),
    [sym_number] = STATE(4804),
    [sym_character] = STATE(4804),
    [sym_string] = STATE(4804),
    [sym_quoted_string] = STATE(4804),
    [sym_boolean] = STATE(4804),
    [sym_unit] = STATE(4804),
    [sym__value_name] = STATE(4794),
    [sym_parenthesized_operator] = STATE(4842),
    [sym_value_path] = STATE(4745),
    [sym_module_path] = STATE(18419),
    [sym_constructor_path] = STATE(4745),
    [sym__constructor_name] = STATE(4807),
    [sym_tag] = STATE(4745),
    [aux_sym_class_application_repeat1] = STATE(2412),
    [sym__lowercase_identifier] = ACTIONS(4593),
    [anon_sym_TILDE] = ACTIONS(4596),
    [anon_sym_QMARK] = ACTIONS(4596),
    [anon_sym_LPAREN] = ACTIONS(4599),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(4602),
    [anon_sym_true] = ACTIONS(4605),
    [anon_sym_false] = ACTIONS(4605),
    [anon_sym_LBRACE] = ACTIONS(4608),
    [anon_sym_SEMI] = ACTIONS(3536),
    [anon_sym_constraint] = ACTIONS(3538),
    [anon_sym_val] = ACTIONS(3538),
    [anon_sym_end] = ACTIONS(3538),
    [anon_sym_object] = ACTIONS(4611),
    [anon_sym_inherit] = ACTIONS(3538),
    [anon_sym_method] = ACTIONS(3538),
    [anon_sym_initializer] = ACTIONS(3538),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4614),
    [anon_sym_else] = ACTIONS(3538),
    [anon_sym_new] = ACTIONS(4617),
    [anon_sym_LBRACE_LT] = ACTIONS(4620),
    [anon_sym_begin] = ACTIONS(4623),
    [sym_ocamlyacc_value] = ACTIONS(4626),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3538),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3536),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4632),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3536),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3536),
    [aux_sym_number_token1] = ACTIONS(4635),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(4638),
    [anon_sym_DQUOTE] = ACTIONS(4641),
    [sym_prefix_operator] = ACTIONS(4644),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(4647),
    [aux_sym_tag_token1] = ACTIONS(4650),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2413] = {
    [sym__simple_expression] = STATE(4947),
    [sym_typed_expression] = STATE(4901),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_labeled_argument] = STATE(5321),
    [sym_prefix_expression] = STATE(4901),
    [sym_hash_expression] = STATE(4901),
    [sym_field_get_expression] = STATE(4901),
    [sym_array_get_expression] = STATE(4901),
    [sym_string_get_expression] = STATE(4901),
    [sym_bigarray_get_expression] = STATE(4901),
    [sym_coercion_expression] = STATE(4901),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(2413),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [aux_sym_class_application_repeat1] = STATE(2414),
    [sym__lowercase_identifier] = ACTIONS(4553),
    [anon_sym_TILDE] = ACTIONS(4555),
    [anon_sym_QMARK] = ACTIONS(4555),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_true] = ACTIONS(1003),
    [anon_sym_false] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_SEMI] = ACTIONS(3529),
    [anon_sym_constraint] = ACTIONS(3531),
    [anon_sym_val] = ACTIONS(3531),
    [anon_sym_end] = ACTIONS(3531),
    [anon_sym_object] = ACTIONS(1007),
    [anon_sym_inherit] = ACTIONS(3531),
    [anon_sym_method] = ACTIONS(3531),
    [anon_sym_initializer] = ACTIONS(3531),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1011),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_LBRACE_LT] = ACTIONS(1023),
    [anon_sym_begin] = ACTIONS(1025),
    [sym_ocamlyacc_value] = ACTIONS(1027),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3531),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3529),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1031),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(1033),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [sym_prefix_operator] = ACTIONS(1039),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2414] = {
    [sym__simple_expression] = STATE(4947),
    [sym_typed_expression] = STATE(4901),
    [sym_list_expression] = STATE(4901),
    [sym_array_expression] = STATE(4901),
    [sym_record_expression] = STATE(4901),
    [sym_labeled_argument] = STATE(5321),
    [sym_prefix_expression] = STATE(4901),
    [sym_hash_expression] = STATE(4901),
    [sym_field_get_expression] = STATE(4901),
    [sym_array_get_expression] = STATE(4901),
    [sym_string_get_expression] = STATE(4901),
    [sym_bigarray_get_expression] = STATE(4901),
    [sym_coercion_expression] = STATE(4901),
    [sym_local_open_expression] = STATE(4901),
    [sym_package_expression] = STATE(4901),
    [sym_new_expression] = STATE(4901),
    [sym_object_copy_expression] = STATE(4901),
    [sym_method_invocation] = STATE(4901),
    [sym_object_expression] = STATE(4901),
    [sym_parenthesized_expression] = STATE(4901),
    [sym_attribute] = STATE(2414),
    [sym_extension] = STATE(4901),
    [sym_quoted_extension] = STATE(4901),
    [sym__constant] = STATE(4901),
    [sym_number] = STATE(4890),
    [sym_character] = STATE(4890),
    [sym_string] = STATE(4890),
    [sym_quoted_string] = STATE(4890),
    [sym_boolean] = STATE(4890),
    [sym_unit] = STATE(4890),
    [sym__value_name] = STATE(4935),
    [sym_parenthesized_operator] = STATE(4882),
    [sym_value_path] = STATE(4901),
    [sym_module_path] = STATE(19132),
    [sym_constructor_path] = STATE(4901),
    [sym__constructor_name] = STATE(4873),
    [sym_tag] = STATE(4901),
    [aux_sym_class_application_repeat1] = STATE(2414),
    [sym__lowercase_identifier] = ACTIONS(4653),
    [anon_sym_TILDE] = ACTIONS(4656),
    [anon_sym_QMARK] = ACTIONS(4656),
    [anon_sym_LPAREN] = ACTIONS(4659),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(4662),
    [anon_sym_true] = ACTIONS(4665),
    [anon_sym_false] = ACTIONS(4665),
    [anon_sym_LBRACE] = ACTIONS(4668),
    [anon_sym_SEMI] = ACTIONS(3536),
    [anon_sym_constraint] = ACTIONS(3538),
    [anon_sym_val] = ACTIONS(3538),
    [anon_sym_end] = ACTIONS(3538),
    [anon_sym_object] = ACTIONS(4671),
    [anon_sym_inherit] = ACTIONS(3538),
    [anon_sym_method] = ACTIONS(3538),
    [anon_sym_initializer] = ACTIONS(3538),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4674),
    [anon_sym_new] = ACTIONS(4677),
    [anon_sym_LBRACE_LT] = ACTIONS(4680),
    [anon_sym_begin] = ACTIONS(4683),
    [sym_ocamlyacc_value] = ACTIONS(4686),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3538),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3536),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4689),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4692),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3536),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3536),
    [aux_sym_number_token1] = ACTIONS(4695),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(4698),
    [anon_sym_DQUOTE] = ACTIONS(4701),
    [sym_prefix_operator] = ACTIONS(4704),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(4707),
    [aux_sym_tag_token1] = ACTIONS(4710),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2415] = {
    [sym__simple_expression] = STATE(5324),
    [sym_typed_expression] = STATE(5326),
    [sym_list_expression] = STATE(5326),
    [sym_array_expression] = STATE(5326),
    [sym_record_expression] = STATE(5326),
    [sym_labeled_argument] = STATE(5746),
    [sym_prefix_expression] = STATE(5326),
    [sym_hash_expression] = STATE(5326),
    [sym_field_get_expression] = STATE(5326),
    [sym_array_get_expression] = STATE(5326),
    [sym_string_get_expression] = STATE(5326),
    [sym_bigarray_get_expression] = STATE(5326),
    [sym_coercion_expression] = STATE(5326),
    [sym_local_open_expression] = STATE(5326),
    [sym_package_expression] = STATE(5326),
    [sym_new_expression] = STATE(5326),
    [sym_object_copy_expression] = STATE(5326),
    [sym_method_invocation] = STATE(5326),
    [sym_object_expression] = STATE(5326),
    [sym_parenthesized_expression] = STATE(5326),
    [sym_attribute] = STATE(2415),
    [sym_extension] = STATE(5326),
    [sym_quoted_extension] = STATE(5326),
    [sym__constant] = STATE(5326),
    [sym_number] = STATE(5290),
    [sym_character] = STATE(5290),
    [sym_string] = STATE(5290),
    [sym_quoted_string] = STATE(5290),
    [sym_boolean] = STATE(5290),
    [sym_unit] = STATE(5290),
    [sym__value_name] = STATE(5280),
    [sym_parenthesized_operator] = STATE(5281),
    [sym_value_path] = STATE(5326),
    [sym_module_path] = STATE(17911),
    [sym_constructor_path] = STATE(5326),
    [sym__constructor_name] = STATE(5374),
    [sym_tag] = STATE(5326),
    [aux_sym_class_application_repeat1] = STATE(2436),
    [sym__lowercase_identifier] = ACTIONS(4713),
    [anon_sym_COLON_GT] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(4715),
    [anon_sym_QMARK] = ACTIONS(4715),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_RPAREN] = ACTIONS(3083),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_RBRACK] = ACTIONS(3083),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_COLON2] = ACTIONS(3085),
    [anon_sym_DOT] = ACTIONS(4717),
    [anon_sym_DASH_GT] = ACTIONS(3085),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_RBRACE] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_POUND] = ACTIONS(4719),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_GT_RBRACE] = ACTIONS(3083),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(4721),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2416] = {
    [sym__simple_expression] = STATE(4966),
    [sym_typed_expression] = STATE(5081),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_labeled_argument] = STATE(5401),
    [sym_prefix_expression] = STATE(5081),
    [sym_hash_expression] = STATE(5081),
    [sym_field_get_expression] = STATE(5081),
    [sym_array_get_expression] = STATE(5081),
    [sym_string_get_expression] = STATE(5081),
    [sym_bigarray_get_expression] = STATE(5081),
    [sym_coercion_expression] = STATE(5081),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(2416),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [aux_sym_class_application_repeat1] = STATE(2417),
    [sym__lowercase_identifier] = ACTIONS(4563),
    [anon_sym_COLON_GT] = ACTIONS(3529),
    [anon_sym_TILDE] = ACTIONS(4565),
    [anon_sym_QMARK] = ACTIONS(4565),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_RPAREN] = ACTIONS(3529),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_RBRACK] = ACTIONS(3529),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_COLON2] = ACTIONS(3531),
    [anon_sym_DASH_GT] = ACTIONS(3531),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_SEMI] = ACTIONS(3529),
    [anon_sym_RBRACE] = ACTIONS(3529),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3529),
    [anon_sym_else] = ACTIONS(3531),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_GT_RBRACE] = ACTIONS(3529),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2417] = {
    [sym__simple_expression] = STATE(4966),
    [sym_typed_expression] = STATE(5081),
    [sym_list_expression] = STATE(5081),
    [sym_array_expression] = STATE(5081),
    [sym_record_expression] = STATE(5081),
    [sym_labeled_argument] = STATE(5401),
    [sym_prefix_expression] = STATE(5081),
    [sym_hash_expression] = STATE(5081),
    [sym_field_get_expression] = STATE(5081),
    [sym_array_get_expression] = STATE(5081),
    [sym_string_get_expression] = STATE(5081),
    [sym_bigarray_get_expression] = STATE(5081),
    [sym_coercion_expression] = STATE(5081),
    [sym_local_open_expression] = STATE(5081),
    [sym_package_expression] = STATE(5081),
    [sym_new_expression] = STATE(5081),
    [sym_object_copy_expression] = STATE(5081),
    [sym_method_invocation] = STATE(5081),
    [sym_object_expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(5081),
    [sym_attribute] = STATE(2417),
    [sym_extension] = STATE(5081),
    [sym_quoted_extension] = STATE(5081),
    [sym__constant] = STATE(5081),
    [sym_number] = STATE(5052),
    [sym_character] = STATE(5052),
    [sym_string] = STATE(5052),
    [sym_quoted_string] = STATE(5052),
    [sym_boolean] = STATE(5052),
    [sym_unit] = STATE(5052),
    [sym__value_name] = STATE(5070),
    [sym_parenthesized_operator] = STATE(5018),
    [sym_value_path] = STATE(5081),
    [sym_module_path] = STATE(17857),
    [sym_constructor_path] = STATE(5081),
    [sym__constructor_name] = STATE(5057),
    [sym_tag] = STATE(5081),
    [aux_sym_class_application_repeat1] = STATE(2417),
    [sym__lowercase_identifier] = ACTIONS(4723),
    [anon_sym_COLON_GT] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(4726),
    [anon_sym_QMARK] = ACTIONS(4726),
    [anon_sym_LPAREN] = ACTIONS(4729),
    [anon_sym_RPAREN] = ACTIONS(3536),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(4732),
    [anon_sym_RBRACK] = ACTIONS(3536),
    [anon_sym_true] = ACTIONS(4735),
    [anon_sym_false] = ACTIONS(4735),
    [anon_sym_COLON2] = ACTIONS(3538),
    [anon_sym_DASH_GT] = ACTIONS(3538),
    [anon_sym_LBRACE] = ACTIONS(4738),
    [anon_sym_SEMI] = ACTIONS(3536),
    [anon_sym_RBRACE] = ACTIONS(3536),
    [anon_sym_object] = ACTIONS(4741),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4744),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3536),
    [anon_sym_else] = ACTIONS(3538),
    [anon_sym_new] = ACTIONS(4747),
    [anon_sym_LBRACE_LT] = ACTIONS(4750),
    [anon_sym_GT_RBRACE] = ACTIONS(3536),
    [anon_sym_begin] = ACTIONS(4753),
    [sym_ocamlyacc_value] = ACTIONS(4756),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4759),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4762),
    [aux_sym_number_token1] = ACTIONS(4765),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(4768),
    [anon_sym_DQUOTE] = ACTIONS(4771),
    [sym_prefix_operator] = ACTIONS(4774),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(4777),
    [aux_sym_tag_token1] = ACTIONS(4780),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2418] = {
    [sym__simple_expression] = STATE(5130),
    [sym_typed_expression] = STATE(5229),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_labeled_argument] = STATE(5649),
    [sym_prefix_expression] = STATE(5229),
    [sym_hash_expression] = STATE(5229),
    [sym_field_get_expression] = STATE(5229),
    [sym_array_get_expression] = STATE(5229),
    [sym_string_get_expression] = STATE(5229),
    [sym_bigarray_get_expression] = STATE(5229),
    [sym_coercion_expression] = STATE(5229),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(2418),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [aux_sym_class_application_repeat1] = STATE(2419),
    [sym__lowercase_identifier] = ACTIONS(4573),
    [anon_sym_COLON_GT] = ACTIONS(3529),
    [anon_sym_TILDE] = ACTIONS(4575),
    [anon_sym_QMARK] = ACTIONS(4575),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(3529),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3529),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_COLON2] = ACTIONS(3531),
    [anon_sym_DASH_GT] = ACTIONS(3531),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(3529),
    [anon_sym_RBRACE] = ACTIONS(3529),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_GT_RBRACE] = ACTIONS(3529),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2419] = {
    [sym__simple_expression] = STATE(5130),
    [sym_typed_expression] = STATE(5229),
    [sym_list_expression] = STATE(5229),
    [sym_array_expression] = STATE(5229),
    [sym_record_expression] = STATE(5229),
    [sym_labeled_argument] = STATE(5649),
    [sym_prefix_expression] = STATE(5229),
    [sym_hash_expression] = STATE(5229),
    [sym_field_get_expression] = STATE(5229),
    [sym_array_get_expression] = STATE(5229),
    [sym_string_get_expression] = STATE(5229),
    [sym_bigarray_get_expression] = STATE(5229),
    [sym_coercion_expression] = STATE(5229),
    [sym_local_open_expression] = STATE(5229),
    [sym_package_expression] = STATE(5229),
    [sym_new_expression] = STATE(5229),
    [sym_object_copy_expression] = STATE(5229),
    [sym_method_invocation] = STATE(5229),
    [sym_object_expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(5229),
    [sym_attribute] = STATE(2419),
    [sym_extension] = STATE(5229),
    [sym_quoted_extension] = STATE(5229),
    [sym__constant] = STATE(5229),
    [sym_number] = STATE(5131),
    [sym_character] = STATE(5131),
    [sym_string] = STATE(5131),
    [sym_quoted_string] = STATE(5131),
    [sym_boolean] = STATE(5131),
    [sym_unit] = STATE(5131),
    [sym__value_name] = STATE(5128),
    [sym_parenthesized_operator] = STATE(5160),
    [sym_value_path] = STATE(5229),
    [sym_module_path] = STATE(19693),
    [sym_constructor_path] = STATE(5229),
    [sym__constructor_name] = STATE(5136),
    [sym_tag] = STATE(5229),
    [aux_sym_class_application_repeat1] = STATE(2419),
    [sym__lowercase_identifier] = ACTIONS(4783),
    [anon_sym_COLON_GT] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(4786),
    [anon_sym_QMARK] = ACTIONS(4786),
    [anon_sym_LPAREN] = ACTIONS(4789),
    [anon_sym_RPAREN] = ACTIONS(3536),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(4792),
    [anon_sym_RBRACK] = ACTIONS(3536),
    [anon_sym_true] = ACTIONS(4795),
    [anon_sym_false] = ACTIONS(4795),
    [anon_sym_COLON2] = ACTIONS(3538),
    [anon_sym_DASH_GT] = ACTIONS(3538),
    [anon_sym_LBRACE] = ACTIONS(4798),
    [anon_sym_SEMI] = ACTIONS(3536),
    [anon_sym_RBRACE] = ACTIONS(3536),
    [anon_sym_object] = ACTIONS(4801),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4804),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3536),
    [anon_sym_new] = ACTIONS(4807),
    [anon_sym_LBRACE_LT] = ACTIONS(4810),
    [anon_sym_GT_RBRACE] = ACTIONS(3536),
    [anon_sym_begin] = ACTIONS(4813),
    [sym_ocamlyacc_value] = ACTIONS(4816),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4822),
    [aux_sym_number_token1] = ACTIONS(4825),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym_DQUOTE] = ACTIONS(4831),
    [sym_prefix_operator] = ACTIONS(4834),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(4837),
    [aux_sym_tag_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2420] = {
    [sym__simple_expression] = STATE(5181),
    [sym_typed_expression] = STATE(5110),
    [sym_list_expression] = STATE(5110),
    [sym_array_expression] = STATE(5110),
    [sym_record_expression] = STATE(5110),
    [sym_labeled_argument] = STATE(5664),
    [sym_prefix_expression] = STATE(5110),
    [sym_hash_expression] = STATE(5110),
    [sym_field_get_expression] = STATE(5110),
    [sym_array_get_expression] = STATE(5110),
    [sym_string_get_expression] = STATE(5110),
    [sym_bigarray_get_expression] = STATE(5110),
    [sym_coercion_expression] = STATE(5110),
    [sym_local_open_expression] = STATE(5110),
    [sym_package_expression] = STATE(5110),
    [sym_new_expression] = STATE(5110),
    [sym_object_copy_expression] = STATE(5110),
    [sym_method_invocation] = STATE(5110),
    [sym_object_expression] = STATE(5110),
    [sym_parenthesized_expression] = STATE(5110),
    [sym_attribute] = STATE(2420),
    [sym_extension] = STATE(5110),
    [sym_quoted_extension] = STATE(5110),
    [sym__constant] = STATE(5110),
    [sym_number] = STATE(5198),
    [sym_character] = STATE(5198),
    [sym_string] = STATE(5198),
    [sym_quoted_string] = STATE(5198),
    [sym_boolean] = STATE(5198),
    [sym_unit] = STATE(5198),
    [sym__value_name] = STATE(5177),
    [sym_parenthesized_operator] = STATE(5218),
    [sym_value_path] = STATE(5110),
    [sym_module_path] = STATE(18648),
    [sym_constructor_path] = STATE(5110),
    [sym__constructor_name] = STATE(5142),
    [sym_tag] = STATE(5110),
    [aux_sym_class_application_repeat1] = STATE(2420),
    [sym__lowercase_identifier] = ACTIONS(4843),
    [anon_sym_COLON_GT] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(4846),
    [anon_sym_QMARK] = ACTIONS(4846),
    [anon_sym_LPAREN] = ACTIONS(4849),
    [anon_sym_RPAREN] = ACTIONS(3536),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(4852),
    [anon_sym_RBRACK] = ACTIONS(3536),
    [anon_sym_true] = ACTIONS(4855),
    [anon_sym_false] = ACTIONS(4855),
    [anon_sym_COLON2] = ACTIONS(3538),
    [anon_sym_DASH_GT] = ACTIONS(3538),
    [anon_sym_LBRACE] = ACTIONS(4858),
    [anon_sym_SEMI] = ACTIONS(3536),
    [anon_sym_RBRACE] = ACTIONS(3536),
    [anon_sym_object] = ACTIONS(4861),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4864),
    [anon_sym_else] = ACTIONS(3538),
    [anon_sym_new] = ACTIONS(4867),
    [anon_sym_LBRACE_LT] = ACTIONS(4870),
    [anon_sym_GT_RBRACE] = ACTIONS(3536),
    [anon_sym_begin] = ACTIONS(4873),
    [sym_ocamlyacc_value] = ACTIONS(4876),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4879),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4882),
    [aux_sym_number_token1] = ACTIONS(4885),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(4888),
    [anon_sym_DQUOTE] = ACTIONS(4891),
    [sym_prefix_operator] = ACTIONS(4894),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(4897),
    [aux_sym_tag_token1] = ACTIONS(4900),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2421] = {
    [sym__simple_expression] = STATE(5560),
    [sym_typed_expression] = STATE(5553),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_labeled_argument] = STATE(6157),
    [sym_prefix_expression] = STATE(5553),
    [sym_hash_expression] = STATE(5553),
    [sym_field_get_expression] = STATE(5553),
    [sym_array_get_expression] = STATE(5553),
    [sym_string_get_expression] = STATE(5553),
    [sym_bigarray_get_expression] = STATE(5553),
    [sym_coercion_expression] = STATE(5553),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(2421),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [aux_sym_class_application_repeat1] = STATE(2460),
    [sym__lowercase_identifier] = ACTIONS(4903),
    [anon_sym_and] = ACTIONS(3085),
    [anon_sym_TILDE] = ACTIONS(4905),
    [anon_sym_QMARK] = ACTIONS(4905),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_DOT] = ACTIONS(4907),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_in] = ACTIONS(3085),
    [anon_sym_POUND] = ACTIONS(4909),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_else] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(4911),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym_let_and_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2422] = {
    [sym__simple_expression] = STATE(5181),
    [sym_typed_expression] = STATE(5110),
    [sym_list_expression] = STATE(5110),
    [sym_array_expression] = STATE(5110),
    [sym_record_expression] = STATE(5110),
    [sym_labeled_argument] = STATE(5664),
    [sym_prefix_expression] = STATE(5110),
    [sym_hash_expression] = STATE(5110),
    [sym_field_get_expression] = STATE(5110),
    [sym_array_get_expression] = STATE(5110),
    [sym_string_get_expression] = STATE(5110),
    [sym_bigarray_get_expression] = STATE(5110),
    [sym_coercion_expression] = STATE(5110),
    [sym_local_open_expression] = STATE(5110),
    [sym_package_expression] = STATE(5110),
    [sym_new_expression] = STATE(5110),
    [sym_object_copy_expression] = STATE(5110),
    [sym_method_invocation] = STATE(5110),
    [sym_object_expression] = STATE(5110),
    [sym_parenthesized_expression] = STATE(5110),
    [sym_attribute] = STATE(2422),
    [sym_extension] = STATE(5110),
    [sym_quoted_extension] = STATE(5110),
    [sym__constant] = STATE(5110),
    [sym_number] = STATE(5198),
    [sym_character] = STATE(5198),
    [sym_string] = STATE(5198),
    [sym_quoted_string] = STATE(5198),
    [sym_boolean] = STATE(5198),
    [sym_unit] = STATE(5198),
    [sym__value_name] = STATE(5177),
    [sym_parenthesized_operator] = STATE(5218),
    [sym_value_path] = STATE(5110),
    [sym_module_path] = STATE(18648),
    [sym_constructor_path] = STATE(5110),
    [sym__constructor_name] = STATE(5142),
    [sym_tag] = STATE(5110),
    [aux_sym_class_application_repeat1] = STATE(2420),
    [sym__lowercase_identifier] = ACTIONS(4583),
    [anon_sym_COLON_GT] = ACTIONS(3529),
    [anon_sym_TILDE] = ACTIONS(4585),
    [anon_sym_QMARK] = ACTIONS(4585),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(3529),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_RBRACK] = ACTIONS(3529),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_COLON2] = ACTIONS(3531),
    [anon_sym_DASH_GT] = ACTIONS(3531),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_SEMI] = ACTIONS(3529),
    [anon_sym_RBRACE] = ACTIONS(3529),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_else] = ACTIONS(3531),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_GT_RBRACE] = ACTIONS(3529),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2423] = {
    [sym__abstract_type] = STATE(17800),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13562),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2423),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__infix_operator] = STATE(17545),
    [sym_add_operator] = STATE(17996),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(4917),
    [anon_sym_type] = ACTIONS(4919),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(4925),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(4931),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(4935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(4951),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym_prefix_operator] = ACTIONS(4957),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(4957),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(4957),
    [sym_let_and_operator] = ACTIONS(4957),
    [sym_match_operator] = ACTIONS(4957),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2424] = {
    [sym__abstract_type] = STATE(19768),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13478),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2424),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__infix_operator] = STATE(17789),
    [sym_add_operator] = STATE(17996),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(4963),
    [anon_sym_type] = ACTIONS(4919),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(4965),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(4967),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(4969),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(4951),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym_prefix_operator] = ACTIONS(4971),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(4971),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(4971),
    [sym_let_and_operator] = ACTIONS(4971),
    [sym_match_operator] = ACTIONS(4971),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2425] = {
    [sym__binding_pattern] = STATE(5487),
    [sym_alias_binding_pattern] = STATE(5403),
    [sym_typed_binding_pattern] = STATE(5403),
    [sym_or_binding_pattern] = STATE(5403),
    [sym_constructor_binding_pattern] = STATE(5403),
    [sym_tag_binding_pattern] = STATE(5403),
    [sym_polymorphic_variant_pattern] = STATE(5403),
    [sym_tuple_binding_pattern] = STATE(5403),
    [sym_record_binding_pattern] = STATE(5483),
    [sym_list_binding_pattern] = STATE(5521),
    [sym_cons_binding_pattern] = STATE(5403),
    [sym_array_binding_pattern] = STATE(5498),
    [sym_range_pattern] = STATE(5403),
    [sym_lazy_binding_pattern] = STATE(5403),
    [sym_local_open_binding_pattern] = STATE(5403),
    [sym_package_pattern] = STATE(5403),
    [sym_parenthesized_binding_pattern] = STATE(5403),
    [sym_attribute] = STATE(2425),
    [sym_extension] = STATE(5403),
    [sym_quoted_extension] = STATE(5403),
    [sym__constant] = STATE(5336),
    [sym__signed_constant] = STATE(5327),
    [sym_number] = STATE(5307),
    [sym_signed_number] = STATE(5336),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym__value_name] = STATE(5403),
    [sym_parenthesized_operator] = STATE(5516),
    [sym_module_path] = STATE(19715),
    [sym_constructor_path] = STATE(2425),
    [sym__constructor_name] = STATE(5343),
    [sym_tag] = STATE(2426),
    [sym__lowercase_identifier] = ACTIONS(4973),
    [anon_sym_SEMI_SEMI] = ACTIONS(4975),
    [anon_sym_let] = ACTIONS(4977),
    [anon_sym_and] = ACTIONS(4977),
    [anon_sym_COLON_GT] = ACTIONS(4975),
    [anon_sym_EQ] = ACTIONS(4975),
    [anon_sym_TILDE] = ACTIONS(4975),
    [anon_sym_QMARK] = ACTIONS(4975),
    [anon_sym_LPAREN] = ACTIONS(4979),
    [anon_sym_external] = ACTIONS(4977),
    [anon_sym_type] = ACTIONS(4977),
    [anon_sym_COMMA] = ACTIONS(4975),
    [anon_sym_PIPE] = ACTIONS(4975),
    [anon_sym_LBRACK] = ACTIONS(4981),
    [anon_sym_RBRACK] = ACTIONS(4975),
    [anon_sym_true] = ACTIONS(4983),
    [anon_sym_false] = ACTIONS(4983),
    [anon_sym_COLON2] = ACTIONS(4977),
    [anon_sym_LBRACE] = ACTIONS(4985),
    [anon_sym_exception] = ACTIONS(4977),
    [anon_sym_module] = ACTIONS(4977),
    [anon_sym_open] = ACTIONS(4977),
    [anon_sym_include] = ACTIONS(4977),
    [anon_sym_class] = ACTIONS(4977),
    [anon_sym_in] = ACTIONS(4977),
    [anon_sym_as] = ACTIONS(4977),
    [anon_sym_POUND] = ACTIONS(4987),
    [anon_sym_COLON_COLON] = ACTIONS(4975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4989),
    [anon_sym_lazy] = ACTIONS(4991),
    [anon_sym_begin] = ACTIONS(4993),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4977),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4975),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4995),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4997),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4975),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4975),
    [aux_sym_number_token1] = ACTIONS(4999),
    [aux_sym_signed_number_token1] = ACTIONS(5001),
    [anon_sym_SQUOTE] = ACTIONS(5003),
    [anon_sym_DQUOTE] = ACTIONS(5005),
    [sym_let_operator] = ACTIONS(4975),
    [sym_let_and_operator] = ACTIONS(4975),
    [sym__uppercase_identifier] = ACTIONS(5007),
    [aux_sym_directive_token1] = ACTIONS(4977),
    [aux_sym_tag_token1] = ACTIONS(5009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2426] = {
    [sym__binding_pattern] = STATE(5489),
    [sym_alias_binding_pattern] = STATE(5403),
    [sym_typed_binding_pattern] = STATE(5403),
    [sym_or_binding_pattern] = STATE(5403),
    [sym_constructor_binding_pattern] = STATE(5403),
    [sym_tag_binding_pattern] = STATE(5403),
    [sym_polymorphic_variant_pattern] = STATE(5403),
    [sym_tuple_binding_pattern] = STATE(5403),
    [sym_record_binding_pattern] = STATE(5483),
    [sym_list_binding_pattern] = STATE(5521),
    [sym_cons_binding_pattern] = STATE(5403),
    [sym_array_binding_pattern] = STATE(5498),
    [sym_range_pattern] = STATE(5403),
    [sym_lazy_binding_pattern] = STATE(5403),
    [sym_local_open_binding_pattern] = STATE(5403),
    [sym_package_pattern] = STATE(5403),
    [sym_parenthesized_binding_pattern] = STATE(5403),
    [sym_attribute] = STATE(2426),
    [sym_extension] = STATE(5403),
    [sym_quoted_extension] = STATE(5403),
    [sym__constant] = STATE(5336),
    [sym__signed_constant] = STATE(5327),
    [sym_number] = STATE(5307),
    [sym_signed_number] = STATE(5336),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym__value_name] = STATE(5403),
    [sym_parenthesized_operator] = STATE(5516),
    [sym_module_path] = STATE(19715),
    [sym_constructor_path] = STATE(2425),
    [sym__constructor_name] = STATE(5343),
    [sym_tag] = STATE(2426),
    [sym__lowercase_identifier] = ACTIONS(4973),
    [anon_sym_SEMI_SEMI] = ACTIONS(4975),
    [anon_sym_let] = ACTIONS(4977),
    [anon_sym_and] = ACTIONS(4977),
    [anon_sym_COLON_GT] = ACTIONS(4975),
    [anon_sym_EQ] = ACTIONS(4975),
    [anon_sym_TILDE] = ACTIONS(4975),
    [anon_sym_QMARK] = ACTIONS(4975),
    [anon_sym_LPAREN] = ACTIONS(4979),
    [anon_sym_external] = ACTIONS(4977),
    [anon_sym_type] = ACTIONS(4977),
    [anon_sym_COMMA] = ACTIONS(4975),
    [anon_sym_PIPE] = ACTIONS(4975),
    [anon_sym_LBRACK] = ACTIONS(4981),
    [anon_sym_RBRACK] = ACTIONS(4975),
    [anon_sym_true] = ACTIONS(4983),
    [anon_sym_false] = ACTIONS(4983),
    [anon_sym_COLON2] = ACTIONS(4977),
    [anon_sym_LBRACE] = ACTIONS(4985),
    [anon_sym_exception] = ACTIONS(4977),
    [anon_sym_module] = ACTIONS(4977),
    [anon_sym_open] = ACTIONS(4977),
    [anon_sym_include] = ACTIONS(4977),
    [anon_sym_class] = ACTIONS(4977),
    [anon_sym_in] = ACTIONS(4977),
    [anon_sym_as] = ACTIONS(4977),
    [anon_sym_POUND] = ACTIONS(4987),
    [anon_sym_COLON_COLON] = ACTIONS(4975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4989),
    [anon_sym_lazy] = ACTIONS(4991),
    [anon_sym_begin] = ACTIONS(4993),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4977),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4975),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4995),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4997),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4975),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4975),
    [aux_sym_number_token1] = ACTIONS(4999),
    [aux_sym_signed_number_token1] = ACTIONS(5001),
    [anon_sym_SQUOTE] = ACTIONS(5003),
    [anon_sym_DQUOTE] = ACTIONS(5005),
    [sym_let_operator] = ACTIONS(4975),
    [sym_let_and_operator] = ACTIONS(4975),
    [sym__uppercase_identifier] = ACTIONS(5007),
    [aux_sym_directive_token1] = ACTIONS(4977),
    [aux_sym_tag_token1] = ACTIONS(5009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2427] = {
    [sym__abstract_type] = STATE(17800),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13447),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2427),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__infix_operator] = STATE(17822),
    [sym_add_operator] = STATE(17996),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(2449),
    [anon_sym_type] = ACTIONS(4919),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(2451),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5011),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(4951),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(2459),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2459),
    [sym_let_and_operator] = ACTIONS(2459),
    [sym_match_operator] = ACTIONS(2459),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2428] = {
    [sym__abstract_type] = STATE(20287),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13397),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2428),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__infix_operator] = STATE(18442),
    [sym_add_operator] = STATE(17996),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(5015),
    [anon_sym_type] = ACTIONS(4919),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(5017),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5019),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5021),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(4951),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym_prefix_operator] = ACTIONS(5023),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5023),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5023),
    [sym_let_and_operator] = ACTIONS(5023),
    [sym_match_operator] = ACTIONS(5023),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2429] = {
    [sym__abstract_type] = STATE(17801),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13644),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2429),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__infix_operator] = STATE(19355),
    [sym_add_operator] = STATE(17996),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(5025),
    [anon_sym_type] = ACTIONS(4919),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(5027),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5029),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5031),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(4951),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym_prefix_operator] = ACTIONS(5033),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5033),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5033),
    [sym_let_and_operator] = ACTIONS(5033),
    [sym_match_operator] = ACTIONS(5033),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2430] = {
    [sym__abstract_type] = STATE(19810),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13541),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2430),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__infix_operator] = STATE(19962),
    [sym_add_operator] = STATE(17996),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(5035),
    [anon_sym_type] = ACTIONS(4919),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(5037),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5039),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(4951),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym_prefix_operator] = ACTIONS(5043),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5043),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5043),
    [sym_let_and_operator] = ACTIONS(5043),
    [sym_match_operator] = ACTIONS(5043),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2431] = {
    [sym__binding_pattern] = STATE(5437),
    [sym_alias_binding_pattern] = STATE(5490),
    [sym_typed_binding_pattern] = STATE(5490),
    [sym_or_binding_pattern] = STATE(5490),
    [sym_constructor_binding_pattern] = STATE(5490),
    [sym_tag_binding_pattern] = STATE(5490),
    [sym_polymorphic_variant_pattern] = STATE(5490),
    [sym_tuple_binding_pattern] = STATE(5490),
    [sym_record_binding_pattern] = STATE(5507),
    [sym_list_binding_pattern] = STATE(5436),
    [sym_cons_binding_pattern] = STATE(5490),
    [sym_array_binding_pattern] = STATE(5494),
    [sym_range_pattern] = STATE(5490),
    [sym_lazy_binding_pattern] = STATE(5490),
    [sym_local_open_binding_pattern] = STATE(5490),
    [sym_package_pattern] = STATE(5490),
    [sym_parenthesized_binding_pattern] = STATE(5490),
    [sym_attribute] = STATE(2431),
    [sym_extension] = STATE(5490),
    [sym_quoted_extension] = STATE(5490),
    [sym__constant] = STATE(5328),
    [sym__signed_constant] = STATE(5309),
    [sym_number] = STATE(5287),
    [sym_signed_number] = STATE(5328),
    [sym_character] = STATE(5287),
    [sym_string] = STATE(5287),
    [sym_quoted_string] = STATE(5287),
    [sym_boolean] = STATE(5287),
    [sym_unit] = STATE(5287),
    [sym__value_name] = STATE(5490),
    [sym_parenthesized_operator] = STATE(5412),
    [sym_module_path] = STATE(19554),
    [sym_constructor_path] = STATE(2431),
    [sym__constructor_name] = STATE(5291),
    [sym_tag] = STATE(2432),
    [sym__lowercase_identifier] = ACTIONS(5045),
    [anon_sym_SEMI_SEMI] = ACTIONS(4975),
    [anon_sym_let] = ACTIONS(4977),
    [anon_sym_and] = ACTIONS(4977),
    [anon_sym_COLON_GT] = ACTIONS(4975),
    [anon_sym_EQ] = ACTIONS(4975),
    [anon_sym_TILDE] = ACTIONS(4975),
    [anon_sym_QMARK] = ACTIONS(4975),
    [anon_sym_LPAREN] = ACTIONS(5047),
    [anon_sym_external] = ACTIONS(4977),
    [anon_sym_type] = ACTIONS(4977),
    [anon_sym_COMMA] = ACTIONS(4975),
    [anon_sym_PIPE] = ACTIONS(4975),
    [anon_sym_LBRACK] = ACTIONS(5049),
    [anon_sym_true] = ACTIONS(5051),
    [anon_sym_false] = ACTIONS(5051),
    [anon_sym_COLON2] = ACTIONS(4977),
    [anon_sym_LBRACE] = ACTIONS(5053),
    [anon_sym_exception] = ACTIONS(4977),
    [anon_sym_module] = ACTIONS(4977),
    [anon_sym_open] = ACTIONS(4977),
    [anon_sym_include] = ACTIONS(4977),
    [anon_sym_class] = ACTIONS(4977),
    [anon_sym_end] = ACTIONS(4977),
    [anon_sym_in] = ACTIONS(4977),
    [anon_sym_as] = ACTIONS(4977),
    [anon_sym_POUND] = ACTIONS(5055),
    [anon_sym_COLON_COLON] = ACTIONS(4975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5057),
    [anon_sym_lazy] = ACTIONS(5059),
    [anon_sym_begin] = ACTIONS(5061),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4977),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4975),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5065),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4975),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4975),
    [aux_sym_number_token1] = ACTIONS(5067),
    [aux_sym_signed_number_token1] = ACTIONS(5069),
    [anon_sym_SQUOTE] = ACTIONS(5071),
    [anon_sym_DQUOTE] = ACTIONS(5073),
    [sym_let_operator] = ACTIONS(4975),
    [sym_let_and_operator] = ACTIONS(4975),
    [sym__uppercase_identifier] = ACTIONS(5075),
    [aux_sym_directive_token1] = ACTIONS(4977),
    [aux_sym_tag_token1] = ACTIONS(5077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2432] = {
    [sym__binding_pattern] = STATE(5438),
    [sym_alias_binding_pattern] = STATE(5490),
    [sym_typed_binding_pattern] = STATE(5490),
    [sym_or_binding_pattern] = STATE(5490),
    [sym_constructor_binding_pattern] = STATE(5490),
    [sym_tag_binding_pattern] = STATE(5490),
    [sym_polymorphic_variant_pattern] = STATE(5490),
    [sym_tuple_binding_pattern] = STATE(5490),
    [sym_record_binding_pattern] = STATE(5507),
    [sym_list_binding_pattern] = STATE(5436),
    [sym_cons_binding_pattern] = STATE(5490),
    [sym_array_binding_pattern] = STATE(5494),
    [sym_range_pattern] = STATE(5490),
    [sym_lazy_binding_pattern] = STATE(5490),
    [sym_local_open_binding_pattern] = STATE(5490),
    [sym_package_pattern] = STATE(5490),
    [sym_parenthesized_binding_pattern] = STATE(5490),
    [sym_attribute] = STATE(2432),
    [sym_extension] = STATE(5490),
    [sym_quoted_extension] = STATE(5490),
    [sym__constant] = STATE(5328),
    [sym__signed_constant] = STATE(5309),
    [sym_number] = STATE(5287),
    [sym_signed_number] = STATE(5328),
    [sym_character] = STATE(5287),
    [sym_string] = STATE(5287),
    [sym_quoted_string] = STATE(5287),
    [sym_boolean] = STATE(5287),
    [sym_unit] = STATE(5287),
    [sym__value_name] = STATE(5490),
    [sym_parenthesized_operator] = STATE(5412),
    [sym_module_path] = STATE(19554),
    [sym_constructor_path] = STATE(2431),
    [sym__constructor_name] = STATE(5291),
    [sym_tag] = STATE(2432),
    [sym__lowercase_identifier] = ACTIONS(5045),
    [anon_sym_SEMI_SEMI] = ACTIONS(4975),
    [anon_sym_let] = ACTIONS(4977),
    [anon_sym_and] = ACTIONS(4977),
    [anon_sym_COLON_GT] = ACTIONS(4975),
    [anon_sym_EQ] = ACTIONS(4975),
    [anon_sym_TILDE] = ACTIONS(4975),
    [anon_sym_QMARK] = ACTIONS(4975),
    [anon_sym_LPAREN] = ACTIONS(5047),
    [anon_sym_external] = ACTIONS(4977),
    [anon_sym_type] = ACTIONS(4977),
    [anon_sym_COMMA] = ACTIONS(4975),
    [anon_sym_PIPE] = ACTIONS(4975),
    [anon_sym_LBRACK] = ACTIONS(5049),
    [anon_sym_true] = ACTIONS(5051),
    [anon_sym_false] = ACTIONS(5051),
    [anon_sym_COLON2] = ACTIONS(4977),
    [anon_sym_LBRACE] = ACTIONS(5053),
    [anon_sym_exception] = ACTIONS(4977),
    [anon_sym_module] = ACTIONS(4977),
    [anon_sym_open] = ACTIONS(4977),
    [anon_sym_include] = ACTIONS(4977),
    [anon_sym_class] = ACTIONS(4977),
    [anon_sym_end] = ACTIONS(4977),
    [anon_sym_in] = ACTIONS(4977),
    [anon_sym_as] = ACTIONS(4977),
    [anon_sym_POUND] = ACTIONS(5055),
    [anon_sym_COLON_COLON] = ACTIONS(4975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5057),
    [anon_sym_lazy] = ACTIONS(5059),
    [anon_sym_begin] = ACTIONS(5061),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4977),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4975),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5065),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4975),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4975),
    [aux_sym_number_token1] = ACTIONS(5067),
    [aux_sym_signed_number_token1] = ACTIONS(5069),
    [anon_sym_SQUOTE] = ACTIONS(5071),
    [anon_sym_DQUOTE] = ACTIONS(5073),
    [sym_let_operator] = ACTIONS(4975),
    [sym_let_and_operator] = ACTIONS(4975),
    [sym__uppercase_identifier] = ACTIONS(5075),
    [aux_sym_directive_token1] = ACTIONS(4977),
    [aux_sym_tag_token1] = ACTIONS(5077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2433] = {
    [sym__abstract_type] = STATE(17682),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13440),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2433),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__infix_operator] = STATE(18275),
    [sym_add_operator] = STATE(17996),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(5079),
    [anon_sym_type] = ACTIONS(4919),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(5081),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5083),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5085),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(4951),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym_prefix_operator] = ACTIONS(5087),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5087),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5087),
    [sym_let_and_operator] = ACTIONS(5087),
    [sym_match_operator] = ACTIONS(5087),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2434] = {
    [sym__abstract_type] = STATE(19383),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13428),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2434),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__infix_operator] = STATE(19876),
    [sym_add_operator] = STATE(17996),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(5089),
    [anon_sym_type] = ACTIONS(4919),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(5091),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5093),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5095),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(4951),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym_prefix_operator] = ACTIONS(5097),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5097),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5097),
    [sym_let_and_operator] = ACTIONS(5097),
    [sym_match_operator] = ACTIONS(5097),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2435] = {
    [sym__simple_expression] = STATE(5782),
    [sym_typed_expression] = STATE(5791),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_labeled_argument] = STATE(7098),
    [sym_prefix_expression] = STATE(5791),
    [sym_hash_expression] = STATE(5791),
    [sym_field_get_expression] = STATE(5791),
    [sym_array_get_expression] = STATE(5791),
    [sym_string_get_expression] = STATE(5791),
    [sym_bigarray_get_expression] = STATE(5791),
    [sym_coercion_expression] = STATE(5791),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(2435),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [aux_sym_class_application_repeat1] = STATE(2463),
    [sym__lowercase_identifier] = ACTIONS(5099),
    [anon_sym_and] = ACTIONS(3085),
    [anon_sym_TILDE] = ACTIONS(5101),
    [anon_sym_QMARK] = ACTIONS(5101),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_DOT] = ACTIONS(5103),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_in] = ACTIONS(3085),
    [anon_sym_POUND] = ACTIONS(5105),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(5107),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym_let_and_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2436] = {
    [sym__simple_expression] = STATE(5324),
    [sym_typed_expression] = STATE(5326),
    [sym_list_expression] = STATE(5326),
    [sym_array_expression] = STATE(5326),
    [sym_record_expression] = STATE(5326),
    [sym_labeled_argument] = STATE(5746),
    [sym_prefix_expression] = STATE(5326),
    [sym_hash_expression] = STATE(5326),
    [sym_field_get_expression] = STATE(5326),
    [sym_array_get_expression] = STATE(5326),
    [sym_string_get_expression] = STATE(5326),
    [sym_bigarray_get_expression] = STATE(5326),
    [sym_coercion_expression] = STATE(5326),
    [sym_local_open_expression] = STATE(5326),
    [sym_package_expression] = STATE(5326),
    [sym_new_expression] = STATE(5326),
    [sym_object_copy_expression] = STATE(5326),
    [sym_method_invocation] = STATE(5326),
    [sym_object_expression] = STATE(5326),
    [sym_parenthesized_expression] = STATE(5326),
    [sym_attribute] = STATE(2436),
    [sym_extension] = STATE(5326),
    [sym_quoted_extension] = STATE(5326),
    [sym__constant] = STATE(5326),
    [sym_number] = STATE(5290),
    [sym_character] = STATE(5290),
    [sym_string] = STATE(5290),
    [sym_quoted_string] = STATE(5290),
    [sym_boolean] = STATE(5290),
    [sym_unit] = STATE(5290),
    [sym__value_name] = STATE(5280),
    [sym_parenthesized_operator] = STATE(5281),
    [sym_value_path] = STATE(5326),
    [sym_module_path] = STATE(17911),
    [sym_constructor_path] = STATE(5326),
    [sym__constructor_name] = STATE(5374),
    [sym_tag] = STATE(5326),
    [aux_sym_class_application_repeat1] = STATE(2437),
    [sym__lowercase_identifier] = ACTIONS(4713),
    [anon_sym_COLON_GT] = ACTIONS(3529),
    [anon_sym_TILDE] = ACTIONS(4715),
    [anon_sym_QMARK] = ACTIONS(4715),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_RPAREN] = ACTIONS(3529),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_RBRACK] = ACTIONS(3529),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_COLON2] = ACTIONS(3531),
    [anon_sym_DASH_GT] = ACTIONS(3531),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_SEMI] = ACTIONS(3529),
    [anon_sym_RBRACE] = ACTIONS(3529),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_GT_RBRACE] = ACTIONS(3529),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2437] = {
    [sym__simple_expression] = STATE(5324),
    [sym_typed_expression] = STATE(5326),
    [sym_list_expression] = STATE(5326),
    [sym_array_expression] = STATE(5326),
    [sym_record_expression] = STATE(5326),
    [sym_labeled_argument] = STATE(5746),
    [sym_prefix_expression] = STATE(5326),
    [sym_hash_expression] = STATE(5326),
    [sym_field_get_expression] = STATE(5326),
    [sym_array_get_expression] = STATE(5326),
    [sym_string_get_expression] = STATE(5326),
    [sym_bigarray_get_expression] = STATE(5326),
    [sym_coercion_expression] = STATE(5326),
    [sym_local_open_expression] = STATE(5326),
    [sym_package_expression] = STATE(5326),
    [sym_new_expression] = STATE(5326),
    [sym_object_copy_expression] = STATE(5326),
    [sym_method_invocation] = STATE(5326),
    [sym_object_expression] = STATE(5326),
    [sym_parenthesized_expression] = STATE(5326),
    [sym_attribute] = STATE(2437),
    [sym_extension] = STATE(5326),
    [sym_quoted_extension] = STATE(5326),
    [sym__constant] = STATE(5326),
    [sym_number] = STATE(5290),
    [sym_character] = STATE(5290),
    [sym_string] = STATE(5290),
    [sym_quoted_string] = STATE(5290),
    [sym_boolean] = STATE(5290),
    [sym_unit] = STATE(5290),
    [sym__value_name] = STATE(5280),
    [sym_parenthesized_operator] = STATE(5281),
    [sym_value_path] = STATE(5326),
    [sym_module_path] = STATE(17911),
    [sym_constructor_path] = STATE(5326),
    [sym__constructor_name] = STATE(5374),
    [sym_tag] = STATE(5326),
    [aux_sym_class_application_repeat1] = STATE(2437),
    [sym__lowercase_identifier] = ACTIONS(5109),
    [anon_sym_COLON_GT] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(5112),
    [anon_sym_QMARK] = ACTIONS(5112),
    [anon_sym_LPAREN] = ACTIONS(5115),
    [anon_sym_RPAREN] = ACTIONS(3536),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(5118),
    [anon_sym_RBRACK] = ACTIONS(3536),
    [anon_sym_true] = ACTIONS(5121),
    [anon_sym_false] = ACTIONS(5121),
    [anon_sym_COLON2] = ACTIONS(3538),
    [anon_sym_DASH_GT] = ACTIONS(3538),
    [anon_sym_LBRACE] = ACTIONS(5124),
    [anon_sym_SEMI] = ACTIONS(3536),
    [anon_sym_RBRACE] = ACTIONS(3536),
    [anon_sym_object] = ACTIONS(5127),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5130),
    [anon_sym_new] = ACTIONS(5133),
    [anon_sym_LBRACE_LT] = ACTIONS(5136),
    [anon_sym_GT_RBRACE] = ACTIONS(3536),
    [anon_sym_begin] = ACTIONS(5139),
    [sym_ocamlyacc_value] = ACTIONS(5142),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5145),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5148),
    [aux_sym_number_token1] = ACTIONS(5151),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(5154),
    [anon_sym_DQUOTE] = ACTIONS(5157),
    [sym_prefix_operator] = ACTIONS(5160),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(5163),
    [aux_sym_tag_token1] = ACTIONS(5166),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2438] = {
    [sym__binding_pattern] = STATE(5686),
    [sym_alias_binding_pattern] = STATE(5617),
    [sym_typed_binding_pattern] = STATE(5617),
    [sym_or_binding_pattern] = STATE(5617),
    [sym_constructor_binding_pattern] = STATE(5617),
    [sym_tag_binding_pattern] = STATE(5617),
    [sym_polymorphic_variant_pattern] = STATE(5617),
    [sym_tuple_binding_pattern] = STATE(5617),
    [sym_record_binding_pattern] = STATE(5627),
    [sym_list_binding_pattern] = STATE(5658),
    [sym_cons_binding_pattern] = STATE(5617),
    [sym_array_binding_pattern] = STATE(5661),
    [sym_range_pattern] = STATE(5617),
    [sym_lazy_binding_pattern] = STATE(5617),
    [sym_local_open_binding_pattern] = STATE(5617),
    [sym_package_pattern] = STATE(5617),
    [sym_parenthesized_binding_pattern] = STATE(5617),
    [sym_attribute] = STATE(2438),
    [sym_extension] = STATE(5617),
    [sym_quoted_extension] = STATE(5617),
    [sym__constant] = STATE(5433),
    [sym__signed_constant] = STATE(5491),
    [sym_number] = STATE(5439),
    [sym_signed_number] = STATE(5433),
    [sym_character] = STATE(5439),
    [sym_string] = STATE(5439),
    [sym_quoted_string] = STATE(5439),
    [sym_boolean] = STATE(5439),
    [sym_unit] = STATE(5439),
    [sym__value_name] = STATE(5617),
    [sym_parenthesized_operator] = STATE(5566),
    [sym_module_path] = STATE(18279),
    [sym_constructor_path] = STATE(2438),
    [sym__constructor_name] = STATE(5426),
    [sym_tag] = STATE(2441),
    [sym__lowercase_identifier] = ACTIONS(5169),
    [anon_sym_SEMI_SEMI] = ACTIONS(4975),
    [anon_sym_let] = ACTIONS(4977),
    [anon_sym_and] = ACTIONS(4977),
    [anon_sym_COLON_GT] = ACTIONS(4975),
    [anon_sym_EQ] = ACTIONS(4975),
    [anon_sym_TILDE] = ACTIONS(4975),
    [anon_sym_QMARK] = ACTIONS(4975),
    [anon_sym_LPAREN] = ACTIONS(5171),
    [anon_sym_external] = ACTIONS(4977),
    [anon_sym_type] = ACTIONS(4977),
    [anon_sym_COMMA] = ACTIONS(4975),
    [anon_sym_PIPE] = ACTIONS(4975),
    [anon_sym_LBRACK] = ACTIONS(5173),
    [anon_sym_RBRACK] = ACTIONS(4975),
    [anon_sym_true] = ACTIONS(5175),
    [anon_sym_false] = ACTIONS(5175),
    [anon_sym_COLON2] = ACTIONS(4977),
    [anon_sym_LBRACE] = ACTIONS(5177),
    [anon_sym_exception] = ACTIONS(4977),
    [anon_sym_module] = ACTIONS(4977),
    [anon_sym_open] = ACTIONS(4977),
    [anon_sym_include] = ACTIONS(4977),
    [anon_sym_class] = ACTIONS(4977),
    [anon_sym_as] = ACTIONS(4977),
    [anon_sym_POUND] = ACTIONS(5179),
    [anon_sym_COLON_COLON] = ACTIONS(4975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5181),
    [anon_sym_lazy] = ACTIONS(5183),
    [anon_sym_begin] = ACTIONS(5185),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4977),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4975),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5187),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5189),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4975),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4975),
    [aux_sym_number_token1] = ACTIONS(5191),
    [aux_sym_signed_number_token1] = ACTIONS(5193),
    [anon_sym_SQUOTE] = ACTIONS(5195),
    [anon_sym_DQUOTE] = ACTIONS(5197),
    [sym_let_operator] = ACTIONS(4975),
    [sym_let_and_operator] = ACTIONS(4975),
    [sym__uppercase_identifier] = ACTIONS(5199),
    [aux_sym_directive_token1] = ACTIONS(4977),
    [aux_sym_tag_token1] = ACTIONS(5201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2439] = {
    [sym__binding_pattern] = STATE(5529),
    [sym_alias_binding_pattern] = STATE(5532),
    [sym_typed_binding_pattern] = STATE(5532),
    [sym_or_binding_pattern] = STATE(5532),
    [sym_constructor_binding_pattern] = STATE(5532),
    [sym_tag_binding_pattern] = STATE(5532),
    [sym_polymorphic_variant_pattern] = STATE(5532),
    [sym_tuple_binding_pattern] = STATE(5532),
    [sym_record_binding_pattern] = STATE(5533),
    [sym_list_binding_pattern] = STATE(5547),
    [sym_cons_binding_pattern] = STATE(5532),
    [sym_array_binding_pattern] = STATE(5574),
    [sym_range_pattern] = STATE(5532),
    [sym_lazy_binding_pattern] = STATE(5532),
    [sym_local_open_binding_pattern] = STATE(5532),
    [sym_package_pattern] = STATE(5532),
    [sym_parenthesized_binding_pattern] = STATE(5532),
    [sym_attribute] = STATE(2439),
    [sym_extension] = STATE(5532),
    [sym_quoted_extension] = STATE(5532),
    [sym__constant] = STATE(5470),
    [sym__signed_constant] = STATE(5405),
    [sym_number] = STATE(5445),
    [sym_signed_number] = STATE(5470),
    [sym_character] = STATE(5445),
    [sym_string] = STATE(5445),
    [sym_quoted_string] = STATE(5445),
    [sym_boolean] = STATE(5445),
    [sym_unit] = STATE(5445),
    [sym__value_name] = STATE(5532),
    [sym_parenthesized_operator] = STATE(5651),
    [sym_module_path] = STATE(18682),
    [sym_constructor_path] = STATE(2439),
    [sym__constructor_name] = STATE(5474),
    [sym_tag] = STATE(2440),
    [sym__lowercase_identifier] = ACTIONS(5203),
    [anon_sym_SEMI_SEMI] = ACTIONS(4975),
    [anon_sym_let] = ACTIONS(4977),
    [anon_sym_and] = ACTIONS(4977),
    [anon_sym_COLON_GT] = ACTIONS(4975),
    [anon_sym_EQ] = ACTIONS(4975),
    [anon_sym_TILDE] = ACTIONS(4975),
    [anon_sym_QMARK] = ACTIONS(4975),
    [anon_sym_LPAREN] = ACTIONS(5205),
    [anon_sym_external] = ACTIONS(4977),
    [anon_sym_type] = ACTIONS(4977),
    [anon_sym_COMMA] = ACTIONS(4975),
    [anon_sym_PIPE] = ACTIONS(4975),
    [anon_sym_LBRACK] = ACTIONS(5207),
    [anon_sym_true] = ACTIONS(5209),
    [anon_sym_false] = ACTIONS(5209),
    [anon_sym_COLON2] = ACTIONS(4977),
    [anon_sym_LBRACE] = ACTIONS(5211),
    [anon_sym_exception] = ACTIONS(4977),
    [anon_sym_module] = ACTIONS(4977),
    [anon_sym_open] = ACTIONS(4977),
    [anon_sym_include] = ACTIONS(4977),
    [anon_sym_class] = ACTIONS(4977),
    [anon_sym_end] = ACTIONS(4977),
    [anon_sym_as] = ACTIONS(4977),
    [anon_sym_POUND] = ACTIONS(5213),
    [anon_sym_COLON_COLON] = ACTIONS(4975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5215),
    [anon_sym_lazy] = ACTIONS(5217),
    [anon_sym_begin] = ACTIONS(5219),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4977),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4975),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5221),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5223),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4975),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4975),
    [aux_sym_number_token1] = ACTIONS(5225),
    [aux_sym_signed_number_token1] = ACTIONS(5227),
    [anon_sym_SQUOTE] = ACTIONS(5229),
    [anon_sym_DQUOTE] = ACTIONS(5231),
    [sym_let_operator] = ACTIONS(4975),
    [sym_let_and_operator] = ACTIONS(4975),
    [sym__uppercase_identifier] = ACTIONS(5233),
    [aux_sym_directive_token1] = ACTIONS(4977),
    [aux_sym_tag_token1] = ACTIONS(5235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2440] = {
    [sym__binding_pattern] = STATE(5530),
    [sym_alias_binding_pattern] = STATE(5532),
    [sym_typed_binding_pattern] = STATE(5532),
    [sym_or_binding_pattern] = STATE(5532),
    [sym_constructor_binding_pattern] = STATE(5532),
    [sym_tag_binding_pattern] = STATE(5532),
    [sym_polymorphic_variant_pattern] = STATE(5532),
    [sym_tuple_binding_pattern] = STATE(5532),
    [sym_record_binding_pattern] = STATE(5533),
    [sym_list_binding_pattern] = STATE(5547),
    [sym_cons_binding_pattern] = STATE(5532),
    [sym_array_binding_pattern] = STATE(5574),
    [sym_range_pattern] = STATE(5532),
    [sym_lazy_binding_pattern] = STATE(5532),
    [sym_local_open_binding_pattern] = STATE(5532),
    [sym_package_pattern] = STATE(5532),
    [sym_parenthesized_binding_pattern] = STATE(5532),
    [sym_attribute] = STATE(2440),
    [sym_extension] = STATE(5532),
    [sym_quoted_extension] = STATE(5532),
    [sym__constant] = STATE(5470),
    [sym__signed_constant] = STATE(5405),
    [sym_number] = STATE(5445),
    [sym_signed_number] = STATE(5470),
    [sym_character] = STATE(5445),
    [sym_string] = STATE(5445),
    [sym_quoted_string] = STATE(5445),
    [sym_boolean] = STATE(5445),
    [sym_unit] = STATE(5445),
    [sym__value_name] = STATE(5532),
    [sym_parenthesized_operator] = STATE(5651),
    [sym_module_path] = STATE(18682),
    [sym_constructor_path] = STATE(2439),
    [sym__constructor_name] = STATE(5474),
    [sym_tag] = STATE(2440),
    [sym__lowercase_identifier] = ACTIONS(5203),
    [anon_sym_SEMI_SEMI] = ACTIONS(4975),
    [anon_sym_let] = ACTIONS(4977),
    [anon_sym_and] = ACTIONS(4977),
    [anon_sym_COLON_GT] = ACTIONS(4975),
    [anon_sym_EQ] = ACTIONS(4975),
    [anon_sym_TILDE] = ACTIONS(4975),
    [anon_sym_QMARK] = ACTIONS(4975),
    [anon_sym_LPAREN] = ACTIONS(5205),
    [anon_sym_external] = ACTIONS(4977),
    [anon_sym_type] = ACTIONS(4977),
    [anon_sym_COMMA] = ACTIONS(4975),
    [anon_sym_PIPE] = ACTIONS(4975),
    [anon_sym_LBRACK] = ACTIONS(5207),
    [anon_sym_true] = ACTIONS(5209),
    [anon_sym_false] = ACTIONS(5209),
    [anon_sym_COLON2] = ACTIONS(4977),
    [anon_sym_LBRACE] = ACTIONS(5211),
    [anon_sym_exception] = ACTIONS(4977),
    [anon_sym_module] = ACTIONS(4977),
    [anon_sym_open] = ACTIONS(4977),
    [anon_sym_include] = ACTIONS(4977),
    [anon_sym_class] = ACTIONS(4977),
    [anon_sym_end] = ACTIONS(4977),
    [anon_sym_as] = ACTIONS(4977),
    [anon_sym_POUND] = ACTIONS(5213),
    [anon_sym_COLON_COLON] = ACTIONS(4975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5215),
    [anon_sym_lazy] = ACTIONS(5217),
    [anon_sym_begin] = ACTIONS(5219),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4977),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4975),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5221),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5223),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4975),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4975),
    [aux_sym_number_token1] = ACTIONS(5225),
    [aux_sym_signed_number_token1] = ACTIONS(5227),
    [anon_sym_SQUOTE] = ACTIONS(5229),
    [anon_sym_DQUOTE] = ACTIONS(5231),
    [sym_let_operator] = ACTIONS(4975),
    [sym_let_and_operator] = ACTIONS(4975),
    [sym__uppercase_identifier] = ACTIONS(5233),
    [aux_sym_directive_token1] = ACTIONS(4977),
    [aux_sym_tag_token1] = ACTIONS(5235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2441] = {
    [sym__binding_pattern] = STATE(5691),
    [sym_alias_binding_pattern] = STATE(5617),
    [sym_typed_binding_pattern] = STATE(5617),
    [sym_or_binding_pattern] = STATE(5617),
    [sym_constructor_binding_pattern] = STATE(5617),
    [sym_tag_binding_pattern] = STATE(5617),
    [sym_polymorphic_variant_pattern] = STATE(5617),
    [sym_tuple_binding_pattern] = STATE(5617),
    [sym_record_binding_pattern] = STATE(5627),
    [sym_list_binding_pattern] = STATE(5658),
    [sym_cons_binding_pattern] = STATE(5617),
    [sym_array_binding_pattern] = STATE(5661),
    [sym_range_pattern] = STATE(5617),
    [sym_lazy_binding_pattern] = STATE(5617),
    [sym_local_open_binding_pattern] = STATE(5617),
    [sym_package_pattern] = STATE(5617),
    [sym_parenthesized_binding_pattern] = STATE(5617),
    [sym_attribute] = STATE(2441),
    [sym_extension] = STATE(5617),
    [sym_quoted_extension] = STATE(5617),
    [sym__constant] = STATE(5433),
    [sym__signed_constant] = STATE(5491),
    [sym_number] = STATE(5439),
    [sym_signed_number] = STATE(5433),
    [sym_character] = STATE(5439),
    [sym_string] = STATE(5439),
    [sym_quoted_string] = STATE(5439),
    [sym_boolean] = STATE(5439),
    [sym_unit] = STATE(5439),
    [sym__value_name] = STATE(5617),
    [sym_parenthesized_operator] = STATE(5566),
    [sym_module_path] = STATE(18279),
    [sym_constructor_path] = STATE(2438),
    [sym__constructor_name] = STATE(5426),
    [sym_tag] = STATE(2441),
    [sym__lowercase_identifier] = ACTIONS(5169),
    [anon_sym_SEMI_SEMI] = ACTIONS(4975),
    [anon_sym_let] = ACTIONS(4977),
    [anon_sym_and] = ACTIONS(4977),
    [anon_sym_COLON_GT] = ACTIONS(4975),
    [anon_sym_EQ] = ACTIONS(4975),
    [anon_sym_TILDE] = ACTIONS(4975),
    [anon_sym_QMARK] = ACTIONS(4975),
    [anon_sym_LPAREN] = ACTIONS(5171),
    [anon_sym_external] = ACTIONS(4977),
    [anon_sym_type] = ACTIONS(4977),
    [anon_sym_COMMA] = ACTIONS(4975),
    [anon_sym_PIPE] = ACTIONS(4975),
    [anon_sym_LBRACK] = ACTIONS(5173),
    [anon_sym_RBRACK] = ACTIONS(4975),
    [anon_sym_true] = ACTIONS(5175),
    [anon_sym_false] = ACTIONS(5175),
    [anon_sym_COLON2] = ACTIONS(4977),
    [anon_sym_LBRACE] = ACTIONS(5177),
    [anon_sym_exception] = ACTIONS(4977),
    [anon_sym_module] = ACTIONS(4977),
    [anon_sym_open] = ACTIONS(4977),
    [anon_sym_include] = ACTIONS(4977),
    [anon_sym_class] = ACTIONS(4977),
    [anon_sym_as] = ACTIONS(4977),
    [anon_sym_POUND] = ACTIONS(5179),
    [anon_sym_COLON_COLON] = ACTIONS(4975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5181),
    [anon_sym_lazy] = ACTIONS(5183),
    [anon_sym_begin] = ACTIONS(5185),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4977),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4975),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5187),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5189),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4975),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4975),
    [aux_sym_number_token1] = ACTIONS(5191),
    [aux_sym_signed_number_token1] = ACTIONS(5193),
    [anon_sym_SQUOTE] = ACTIONS(5195),
    [anon_sym_DQUOTE] = ACTIONS(5197),
    [sym_let_operator] = ACTIONS(4975),
    [sym_let_and_operator] = ACTIONS(4975),
    [sym__uppercase_identifier] = ACTIONS(5199),
    [aux_sym_directive_token1] = ACTIONS(4977),
    [aux_sym_tag_token1] = ACTIONS(5201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2442] = {
    [sym__simple_expression] = STATE(5877),
    [sym_typed_expression] = STATE(5871),
    [sym_list_expression] = STATE(5871),
    [sym_array_expression] = STATE(5871),
    [sym_record_expression] = STATE(5871),
    [sym_labeled_argument] = STATE(7315),
    [sym_prefix_expression] = STATE(5871),
    [sym_hash_expression] = STATE(5871),
    [sym_field_get_expression] = STATE(5871),
    [sym_array_get_expression] = STATE(5871),
    [sym_string_get_expression] = STATE(5871),
    [sym_bigarray_get_expression] = STATE(5871),
    [sym_coercion_expression] = STATE(5871),
    [sym_local_open_expression] = STATE(5871),
    [sym_package_expression] = STATE(5871),
    [sym_new_expression] = STATE(5871),
    [sym_object_copy_expression] = STATE(5871),
    [sym_method_invocation] = STATE(5871),
    [sym_object_expression] = STATE(5871),
    [sym_parenthesized_expression] = STATE(5871),
    [sym_attribute] = STATE(2442),
    [sym_extension] = STATE(5871),
    [sym_quoted_extension] = STATE(5871),
    [sym__constant] = STATE(5871),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym__value_name] = STATE(5907),
    [sym_parenthesized_operator] = STATE(5936),
    [sym_value_path] = STATE(5871),
    [sym_module_path] = STATE(18534),
    [sym_constructor_path] = STATE(5871),
    [sym__constructor_name] = STATE(5965),
    [sym_tag] = STATE(5871),
    [aux_sym_class_application_repeat1] = STATE(2477),
    [sym__lowercase_identifier] = ACTIONS(5237),
    [anon_sym_TILDE] = ACTIONS(5239),
    [anon_sym_QMARK] = ACTIONS(5239),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_DOT] = ACTIONS(5241),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_POUND] = ACTIONS(5243),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_else] = ACTIONS(3085),
    [anon_sym_to] = ACTIONS(3085),
    [anon_sym_downto] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(5245),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2443] = {
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13341),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2443),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__infix_operator] = STATE(18275),
    [sym_add_operator] = STATE(17996),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(5079),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(5081),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5083),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5085),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(4951),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym_prefix_operator] = ACTIONS(5087),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5087),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5087),
    [sym_let_and_operator] = ACTIONS(5087),
    [sym_match_operator] = ACTIONS(5087),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2444] = {
    [sym__simple_expression] = STATE(5560),
    [sym_typed_expression] = STATE(5553),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_labeled_argument] = STATE(6157),
    [sym_prefix_expression] = STATE(5553),
    [sym_hash_expression] = STATE(5553),
    [sym_field_get_expression] = STATE(5553),
    [sym_array_get_expression] = STATE(5553),
    [sym_string_get_expression] = STATE(5553),
    [sym_bigarray_get_expression] = STATE(5553),
    [sym_coercion_expression] = STATE(5553),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(2444),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [aux_sym_class_application_repeat1] = STATE(2444),
    [sym__lowercase_identifier] = ACTIONS(5247),
    [anon_sym_and] = ACTIONS(3538),
    [anon_sym_TILDE] = ACTIONS(5250),
    [anon_sym_QMARK] = ACTIONS(5250),
    [anon_sym_LPAREN] = ACTIONS(5253),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(5256),
    [anon_sym_true] = ACTIONS(5259),
    [anon_sym_false] = ACTIONS(5259),
    [anon_sym_LBRACE] = ACTIONS(5262),
    [anon_sym_SEMI] = ACTIONS(3536),
    [anon_sym_object] = ACTIONS(5265),
    [anon_sym_in] = ACTIONS(3538),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5268),
    [anon_sym_else] = ACTIONS(3538),
    [anon_sym_new] = ACTIONS(5271),
    [anon_sym_LBRACE_LT] = ACTIONS(5274),
    [anon_sym_begin] = ACTIONS(5277),
    [sym_ocamlyacc_value] = ACTIONS(5280),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3536),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5286),
    [aux_sym_number_token1] = ACTIONS(5289),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(5292),
    [anon_sym_DQUOTE] = ACTIONS(5295),
    [sym_prefix_operator] = ACTIONS(5298),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym_let_and_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(5301),
    [aux_sym_tag_token1] = ACTIONS(5304),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2445] = {
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13350),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2445),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__infix_operator] = STATE(19876),
    [sym_add_operator] = STATE(17996),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(5089),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(5091),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5093),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5095),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(4951),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym_prefix_operator] = ACTIONS(5097),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5097),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5097),
    [sym_let_and_operator] = ACTIONS(5097),
    [sym_match_operator] = ACTIONS(5097),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2446] = {
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13339),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2446),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__infix_operator] = STATE(17789),
    [sym_add_operator] = STATE(17996),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(4963),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(4965),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(4967),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(4969),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(4951),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym_prefix_operator] = ACTIONS(4971),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(4971),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(4971),
    [sym_let_and_operator] = ACTIONS(4971),
    [sym_match_operator] = ACTIONS(4971),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2447] = {
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13447),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2447),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__infix_operator] = STATE(17822),
    [sym_add_operator] = STATE(17996),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(2449),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(2451),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5011),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(2455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(4951),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(2459),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2459),
    [sym_let_and_operator] = ACTIONS(2459),
    [sym_match_operator] = ACTIONS(2459),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2448] = {
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13351),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2448),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__infix_operator] = STATE(18442),
    [sym_add_operator] = STATE(17996),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(5015),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(5017),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5019),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5021),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(4951),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym_prefix_operator] = ACTIONS(5023),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5023),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5023),
    [sym_let_and_operator] = ACTIONS(5023),
    [sym_match_operator] = ACTIONS(5023),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2449] = {
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13345),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2449),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__infix_operator] = STATE(19355),
    [sym_add_operator] = STATE(17996),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(5025),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(5027),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5029),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5031),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(4951),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym_prefix_operator] = ACTIONS(5033),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5033),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5033),
    [sym_let_and_operator] = ACTIONS(5033),
    [sym_match_operator] = ACTIONS(5033),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2450] = {
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13280),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2450),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__infix_operator] = STATE(19962),
    [sym_add_operator] = STATE(17996),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(5035),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(5037),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5039),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(4951),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym_prefix_operator] = ACTIONS(5043),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5043),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5043),
    [sym_let_and_operator] = ACTIONS(5043),
    [sym_match_operator] = ACTIONS(5043),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2451] = {
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13562),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2451),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__infix_operator] = STATE(17545),
    [sym_add_operator] = STATE(17996),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(4917),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(4925),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(4931),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(4935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(4951),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym_prefix_operator] = ACTIONS(4957),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(4957),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(4957),
    [sym_let_and_operator] = ACTIONS(4957),
    [sym_match_operator] = ACTIONS(4957),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2452] = {
    [sym__simple_expression] = STATE(6448),
    [sym_typed_expression] = STATE(6412),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_labeled_argument] = STATE(7424),
    [sym_prefix_expression] = STATE(6412),
    [sym_hash_expression] = STATE(6412),
    [sym_field_get_expression] = STATE(6412),
    [sym_array_get_expression] = STATE(6412),
    [sym_string_get_expression] = STATE(6412),
    [sym_bigarray_get_expression] = STATE(6412),
    [sym_coercion_expression] = STATE(6412),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(2452),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [aux_sym_class_application_repeat1] = STATE(2483),
    [sym__lowercase_identifier] = ACTIONS(5307),
    [anon_sym_TILDE] = ACTIONS(5309),
    [anon_sym_QMARK] = ACTIONS(5309),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_DOT] = ACTIONS(5311),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_POUND] = ACTIONS(5313),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_to] = ACTIONS(3085),
    [anon_sym_downto] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(5315),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2453] = {
    [sym__simple_expression] = STATE(6576),
    [sym_typed_expression] = STATE(6486),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_labeled_argument] = STATE(7514),
    [sym_prefix_expression] = STATE(6486),
    [sym_hash_expression] = STATE(6486),
    [sym_field_get_expression] = STATE(6486),
    [sym_array_get_expression] = STATE(6486),
    [sym_string_get_expression] = STATE(6486),
    [sym_bigarray_get_expression] = STATE(6486),
    [sym_coercion_expression] = STATE(6486),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(2453),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [aux_sym_class_application_repeat1] = STATE(2487),
    [sym__lowercase_identifier] = ACTIONS(5317),
    [anon_sym_TILDE] = ACTIONS(5319),
    [anon_sym_QMARK] = ACTIONS(5319),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_DOT] = ACTIONS(5321),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_POUND] = ACTIONS(5323),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_then] = ACTIONS(3085),
    [anon_sym_else] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(5325),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2454] = {
    [sym__simple_expression] = STATE(6623),
    [sym_typed_expression] = STATE(6526),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_labeled_argument] = STATE(7531),
    [sym_prefix_expression] = STATE(6526),
    [sym_hash_expression] = STATE(6526),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_coercion_expression] = STATE(6526),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2454),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [aux_sym_class_application_repeat1] = STATE(2488),
    [sym__lowercase_identifier] = ACTIONS(5327),
    [anon_sym_TILDE] = ACTIONS(5329),
    [anon_sym_QMARK] = ACTIONS(5329),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_DOT] = ACTIONS(5331),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_POUND] = ACTIONS(5333),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_else] = ACTIONS(3085),
    [anon_sym_do] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(5335),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2455] = {
    [sym__simple_expression] = STATE(6668),
    [sym_typed_expression] = STATE(6568),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_labeled_argument] = STATE(7547),
    [sym_prefix_expression] = STATE(6568),
    [sym_hash_expression] = STATE(6568),
    [sym_field_get_expression] = STATE(6568),
    [sym_array_get_expression] = STATE(6568),
    [sym_string_get_expression] = STATE(6568),
    [sym_bigarray_get_expression] = STATE(6568),
    [sym_coercion_expression] = STATE(6568),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2455),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [aux_sym_class_application_repeat1] = STATE(2489),
    [sym__lowercase_identifier] = ACTIONS(5337),
    [anon_sym_TILDE] = ACTIONS(5339),
    [anon_sym_QMARK] = ACTIONS(5339),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_DOT] = ACTIONS(5341),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_with] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_POUND] = ACTIONS(5343),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_else] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(5345),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2456] = {
    [sym__simple_expression] = STATE(6691),
    [sym_typed_expression] = STATE(6612),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_labeled_argument] = STATE(7575),
    [sym_prefix_expression] = STATE(6612),
    [sym_hash_expression] = STATE(6612),
    [sym_field_get_expression] = STATE(6612),
    [sym_array_get_expression] = STATE(6612),
    [sym_string_get_expression] = STATE(6612),
    [sym_bigarray_get_expression] = STATE(6612),
    [sym_coercion_expression] = STATE(6612),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(2456),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [aux_sym_class_application_repeat1] = STATE(2490),
    [sym__lowercase_identifier] = ACTIONS(5347),
    [anon_sym_TILDE] = ACTIONS(5349),
    [anon_sym_QMARK] = ACTIONS(5349),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_DOT] = ACTIONS(5351),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_end] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_POUND] = ACTIONS(5353),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_else] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(5355),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2457] = {
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13447),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2457),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__infix_operator] = STATE(17822),
    [sym_add_operator] = STATE(17996),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(2449),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(2451),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5011),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(4951),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(2459),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2459),
    [sym_let_and_operator] = ACTIONS(2459),
    [sym_match_operator] = ACTIONS(2459),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2458] = {
    [sym__simple_expression] = STATE(6656),
    [sym_typed_expression] = STATE(6605),
    [sym_list_expression] = STATE(6605),
    [sym_array_expression] = STATE(6605),
    [sym_record_expression] = STATE(6605),
    [sym_labeled_argument] = STATE(7497),
    [sym_prefix_expression] = STATE(6605),
    [sym_hash_expression] = STATE(6605),
    [sym_field_get_expression] = STATE(6605),
    [sym_array_get_expression] = STATE(6605),
    [sym_string_get_expression] = STATE(6605),
    [sym_bigarray_get_expression] = STATE(6605),
    [sym_coercion_expression] = STATE(6605),
    [sym_local_open_expression] = STATE(6605),
    [sym_package_expression] = STATE(6605),
    [sym_new_expression] = STATE(6605),
    [sym_object_copy_expression] = STATE(6605),
    [sym_method_invocation] = STATE(6605),
    [sym_object_expression] = STATE(6605),
    [sym_parenthesized_expression] = STATE(6605),
    [sym_attribute] = STATE(2458),
    [sym_extension] = STATE(6605),
    [sym_quoted_extension] = STATE(6605),
    [sym__constant] = STATE(6605),
    [sym_number] = STATE(6281),
    [sym_character] = STATE(6281),
    [sym_string] = STATE(6281),
    [sym_quoted_string] = STATE(6281),
    [sym_boolean] = STATE(6281),
    [sym_unit] = STATE(6281),
    [sym__value_name] = STATE(6139),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6605),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(6605),
    [sym__constructor_name] = STATE(6282),
    [sym_tag] = STATE(6605),
    [aux_sym_class_application_repeat1] = STATE(2481),
    [sym__lowercase_identifier] = ACTIONS(5359),
    [anon_sym_TILDE] = ACTIONS(5361),
    [anon_sym_QMARK] = ACTIONS(5361),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_DOT] = ACTIONS(5363),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_POUND] = ACTIONS(5365),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_else] = ACTIONS(3085),
    [anon_sym_done] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(5367),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2459] = {
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13562),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2459),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__infix_operator] = STATE(17545),
    [sym_add_operator] = STATE(17996),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(4917),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(4925),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(4931),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(4951),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym_prefix_operator] = ACTIONS(4957),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(4957),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(4957),
    [sym_let_and_operator] = ACTIONS(4957),
    [sym_match_operator] = ACTIONS(4957),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2460] = {
    [sym__simple_expression] = STATE(5560),
    [sym_typed_expression] = STATE(5553),
    [sym_list_expression] = STATE(5553),
    [sym_array_expression] = STATE(5553),
    [sym_record_expression] = STATE(5553),
    [sym_labeled_argument] = STATE(6157),
    [sym_prefix_expression] = STATE(5553),
    [sym_hash_expression] = STATE(5553),
    [sym_field_get_expression] = STATE(5553),
    [sym_array_get_expression] = STATE(5553),
    [sym_string_get_expression] = STATE(5553),
    [sym_bigarray_get_expression] = STATE(5553),
    [sym_coercion_expression] = STATE(5553),
    [sym_local_open_expression] = STATE(5553),
    [sym_package_expression] = STATE(5553),
    [sym_new_expression] = STATE(5553),
    [sym_object_copy_expression] = STATE(5553),
    [sym_method_invocation] = STATE(5553),
    [sym_object_expression] = STATE(5553),
    [sym_parenthesized_expression] = STATE(5553),
    [sym_attribute] = STATE(2460),
    [sym_extension] = STATE(5553),
    [sym_quoted_extension] = STATE(5553),
    [sym__constant] = STATE(5553),
    [sym_number] = STATE(5573),
    [sym_character] = STATE(5573),
    [sym_string] = STATE(5573),
    [sym_quoted_string] = STATE(5573),
    [sym_boolean] = STATE(5573),
    [sym_unit] = STATE(5573),
    [sym__value_name] = STATE(5614),
    [sym_parenthesized_operator] = STATE(5613),
    [sym_value_path] = STATE(5553),
    [sym_module_path] = STATE(18610),
    [sym_constructor_path] = STATE(5553),
    [sym__constructor_name] = STATE(5641),
    [sym_tag] = STATE(5553),
    [aux_sym_class_application_repeat1] = STATE(2444),
    [sym__lowercase_identifier] = ACTIONS(4903),
    [anon_sym_and] = ACTIONS(3531),
    [anon_sym_TILDE] = ACTIONS(4905),
    [anon_sym_QMARK] = ACTIONS(4905),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_SEMI] = ACTIONS(3529),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_in] = ACTIONS(3531),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_else] = ACTIONS(3531),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3529),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym_let_and_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2461] = {
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13447),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2461),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__infix_operator] = STATE(17822),
    [sym_add_operator] = STATE(17996),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(2449),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(2451),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5011),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(4951),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(2459),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2459),
    [sym_let_and_operator] = ACTIONS(2459),
    [sym_match_operator] = ACTIONS(2459),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2462] = {
    [sym__simple_expression] = STATE(7052),
    [sym_typed_expression] = STATE(7016),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_labeled_argument] = STATE(7692),
    [sym_prefix_expression] = STATE(7016),
    [sym_hash_expression] = STATE(7016),
    [sym_field_get_expression] = STATE(7016),
    [sym_array_get_expression] = STATE(7016),
    [sym_string_get_expression] = STATE(7016),
    [sym_bigarray_get_expression] = STATE(7016),
    [sym_coercion_expression] = STATE(7016),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(2462),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [aux_sym_class_application_repeat1] = STATE(2501),
    [sym__lowercase_identifier] = ACTIONS(5371),
    [anon_sym_TILDE] = ACTIONS(5373),
    [anon_sym_QMARK] = ACTIONS(5373),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_DOT] = ACTIONS(5375),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_POUND] = ACTIONS(5377),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_done] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(5379),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2463] = {
    [sym__simple_expression] = STATE(5782),
    [sym_typed_expression] = STATE(5791),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_labeled_argument] = STATE(7098),
    [sym_prefix_expression] = STATE(5791),
    [sym_hash_expression] = STATE(5791),
    [sym_field_get_expression] = STATE(5791),
    [sym_array_get_expression] = STATE(5791),
    [sym_string_get_expression] = STATE(5791),
    [sym_bigarray_get_expression] = STATE(5791),
    [sym_coercion_expression] = STATE(5791),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(2463),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [aux_sym_class_application_repeat1] = STATE(2466),
    [sym__lowercase_identifier] = ACTIONS(5099),
    [anon_sym_and] = ACTIONS(3531),
    [anon_sym_TILDE] = ACTIONS(5101),
    [anon_sym_QMARK] = ACTIONS(5101),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_SEMI] = ACTIONS(3529),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_in] = ACTIONS(3531),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3529),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym_let_and_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2464] = {
    [sym_parameter] = STATE(10166),
    [sym__polymorphic_typed] = STATE(17160),
    [sym__parenthesized_abstract_type] = STATE(10166),
    [sym__simple_pattern] = STATE(10170),
    [sym_typed_pattern] = STATE(10003),
    [sym_polymorphic_variant_pattern] = STATE(10003),
    [sym_record_pattern] = STATE(10003),
    [sym_list_pattern] = STATE(10003),
    [sym_array_pattern] = STATE(10003),
    [sym_local_open_pattern] = STATE(10003),
    [sym_package_pattern] = STATE(10003),
    [sym_parenthesized_pattern] = STATE(10003),
    [sym_attribute] = STATE(2464),
    [sym_item_attribute] = STATE(10873),
    [sym_extension] = STATE(10003),
    [sym_quoted_extension] = STATE(10003),
    [sym__constant] = STATE(10038),
    [sym__signed_constant] = STATE(10003),
    [sym_number] = STATE(9999),
    [sym_signed_number] = STATE(10038),
    [sym_character] = STATE(9999),
    [sym_string] = STATE(9999),
    [sym_quoted_string] = STATE(9999),
    [sym_boolean] = STATE(9999),
    [sym_unit] = STATE(9999),
    [sym__simple_value_pattern] = STATE(10003),
    [sym_parenthesized_operator] = STATE(10003),
    [sym_module_path] = STATE(20068),
    [sym_constructor_path] = STATE(10003),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(10003),
    [aux_sym_expression_item_repeat1] = STATE(10272),
    [aux_sym_let_binding_repeat1] = STATE(4600),
    [sym__lowercase_identifier] = ACTIONS(5381),
    [anon_sym_SEMI_SEMI] = ACTIONS(5383),
    [anon_sym_let] = ACTIONS(5385),
    [anon_sym_and] = ACTIONS(5385),
    [anon_sym_COLON_GT] = ACTIONS(5387),
    [anon_sym_EQ] = ACTIONS(5389),
    [anon_sym_TILDE] = ACTIONS(5391),
    [anon_sym_QMARK] = ACTIONS(5391),
    [anon_sym_LPAREN] = ACTIONS(5393),
    [anon_sym_external] = ACTIONS(5385),
    [anon_sym_type] = ACTIONS(5385),
    [anon_sym_COMMA] = ACTIONS(5395),
    [anon_sym_PIPE] = ACTIONS(5397),
    [anon_sym_LBRACK] = ACTIONS(5399),
    [anon_sym_RBRACK] = ACTIONS(5383),
    [anon_sym_true] = ACTIONS(5401),
    [anon_sym_false] = ACTIONS(5401),
    [anon_sym_COLON2] = ACTIONS(5403),
    [anon_sym_LBRACE] = ACTIONS(5405),
    [anon_sym_exception] = ACTIONS(5385),
    [anon_sym_module] = ACTIONS(5385),
    [anon_sym_open] = ACTIONS(5385),
    [anon_sym_include] = ACTIONS(5385),
    [anon_sym_class] = ACTIONS(5385),
    [anon_sym_in] = ACTIONS(5385),
    [anon_sym_as] = ACTIONS(5407),
    [anon_sym_POUND] = ACTIONS(5409),
    [anon_sym_COLON_COLON] = ACTIONS(5411),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5413),
    [anon_sym_begin] = ACTIONS(5415),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5417),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5383),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5419),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5421),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5383),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5383),
    [aux_sym_number_token1] = ACTIONS(5423),
    [aux_sym_signed_number_token1] = ACTIONS(5425),
    [anon_sym_SQUOTE] = ACTIONS(5427),
    [anon_sym_DQUOTE] = ACTIONS(5429),
    [sym_let_operator] = ACTIONS(5383),
    [sym_let_and_operator] = ACTIONS(5383),
    [sym__uppercase_identifier] = ACTIONS(5431),
    [aux_sym_directive_token1] = ACTIONS(5385),
    [aux_sym_tag_token1] = ACTIONS(5433),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2465] = {
    [sym__simple_expression] = STATE(7135),
    [sym_typed_expression] = STATE(6771),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_labeled_argument] = STATE(7680),
    [sym_prefix_expression] = STATE(6771),
    [sym_hash_expression] = STATE(6771),
    [sym_field_get_expression] = STATE(6771),
    [sym_array_get_expression] = STATE(6771),
    [sym_string_get_expression] = STATE(6771),
    [sym_bigarray_get_expression] = STATE(6771),
    [sym_coercion_expression] = STATE(6771),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2465),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [aux_sym_class_application_repeat1] = STATE(2500),
    [sym__lowercase_identifier] = ACTIONS(5435),
    [anon_sym_TILDE] = ACTIONS(5437),
    [anon_sym_QMARK] = ACTIONS(5437),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(5439),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_with] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_POUND] = ACTIONS(5441),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(5443),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2466] = {
    [sym__simple_expression] = STATE(5782),
    [sym_typed_expression] = STATE(5791),
    [sym_list_expression] = STATE(5791),
    [sym_array_expression] = STATE(5791),
    [sym_record_expression] = STATE(5791),
    [sym_labeled_argument] = STATE(7098),
    [sym_prefix_expression] = STATE(5791),
    [sym_hash_expression] = STATE(5791),
    [sym_field_get_expression] = STATE(5791),
    [sym_array_get_expression] = STATE(5791),
    [sym_string_get_expression] = STATE(5791),
    [sym_bigarray_get_expression] = STATE(5791),
    [sym_coercion_expression] = STATE(5791),
    [sym_local_open_expression] = STATE(5791),
    [sym_package_expression] = STATE(5791),
    [sym_new_expression] = STATE(5791),
    [sym_object_copy_expression] = STATE(5791),
    [sym_method_invocation] = STATE(5791),
    [sym_object_expression] = STATE(5791),
    [sym_parenthesized_expression] = STATE(5791),
    [sym_attribute] = STATE(2466),
    [sym_extension] = STATE(5791),
    [sym_quoted_extension] = STATE(5791),
    [sym__constant] = STATE(5791),
    [sym_number] = STATE(5751),
    [sym_character] = STATE(5751),
    [sym_string] = STATE(5751),
    [sym_quoted_string] = STATE(5751),
    [sym_boolean] = STATE(5751),
    [sym_unit] = STATE(5751),
    [sym__value_name] = STATE(5794),
    [sym_parenthesized_operator] = STATE(5730),
    [sym_value_path] = STATE(5791),
    [sym_module_path] = STATE(17803),
    [sym_constructor_path] = STATE(5791),
    [sym__constructor_name] = STATE(5768),
    [sym_tag] = STATE(5791),
    [aux_sym_class_application_repeat1] = STATE(2466),
    [sym__lowercase_identifier] = ACTIONS(5445),
    [anon_sym_and] = ACTIONS(3538),
    [anon_sym_TILDE] = ACTIONS(5448),
    [anon_sym_QMARK] = ACTIONS(5448),
    [anon_sym_LPAREN] = ACTIONS(5451),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(5454),
    [anon_sym_true] = ACTIONS(5457),
    [anon_sym_false] = ACTIONS(5457),
    [anon_sym_LBRACE] = ACTIONS(5460),
    [anon_sym_SEMI] = ACTIONS(3536),
    [anon_sym_object] = ACTIONS(5463),
    [anon_sym_in] = ACTIONS(3538),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5466),
    [anon_sym_new] = ACTIONS(5469),
    [anon_sym_LBRACE_LT] = ACTIONS(5472),
    [anon_sym_begin] = ACTIONS(5475),
    [sym_ocamlyacc_value] = ACTIONS(5478),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3536),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5481),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5484),
    [aux_sym_number_token1] = ACTIONS(5487),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(5490),
    [anon_sym_DQUOTE] = ACTIONS(5493),
    [sym_prefix_operator] = ACTIONS(5496),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym_let_and_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(5499),
    [aux_sym_tag_token1] = ACTIONS(5502),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2467] = {
    [sym_parameter] = STATE(10166),
    [sym__polymorphic_typed] = STATE(17295),
    [sym__parenthesized_abstract_type] = STATE(10166),
    [sym__simple_pattern] = STATE(10170),
    [sym_typed_pattern] = STATE(10003),
    [sym_polymorphic_variant_pattern] = STATE(10003),
    [sym_record_pattern] = STATE(10003),
    [sym_list_pattern] = STATE(10003),
    [sym_array_pattern] = STATE(10003),
    [sym_local_open_pattern] = STATE(10003),
    [sym_package_pattern] = STATE(10003),
    [sym_parenthesized_pattern] = STATE(10003),
    [sym_attribute] = STATE(2467),
    [sym_item_attribute] = STATE(10873),
    [sym_extension] = STATE(10003),
    [sym_quoted_extension] = STATE(10003),
    [sym__constant] = STATE(10038),
    [sym__signed_constant] = STATE(10003),
    [sym_number] = STATE(9999),
    [sym_signed_number] = STATE(10038),
    [sym_character] = STATE(9999),
    [sym_string] = STATE(9999),
    [sym_quoted_string] = STATE(9999),
    [sym_boolean] = STATE(9999),
    [sym_unit] = STATE(9999),
    [sym__simple_value_pattern] = STATE(10003),
    [sym_parenthesized_operator] = STATE(10003),
    [sym_module_path] = STATE(20068),
    [sym_constructor_path] = STATE(10003),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(10003),
    [aux_sym_expression_item_repeat1] = STATE(10272),
    [aux_sym_let_binding_repeat1] = STATE(4590),
    [sym__lowercase_identifier] = ACTIONS(5381),
    [anon_sym_SEMI_SEMI] = ACTIONS(5383),
    [anon_sym_let] = ACTIONS(5385),
    [anon_sym_and] = ACTIONS(5385),
    [anon_sym_COLON_GT] = ACTIONS(5505),
    [anon_sym_EQ] = ACTIONS(5507),
    [anon_sym_TILDE] = ACTIONS(5391),
    [anon_sym_QMARK] = ACTIONS(5391),
    [anon_sym_LPAREN] = ACTIONS(5393),
    [anon_sym_external] = ACTIONS(5385),
    [anon_sym_type] = ACTIONS(5385),
    [anon_sym_COMMA] = ACTIONS(5509),
    [anon_sym_PIPE] = ACTIONS(5511),
    [anon_sym_LBRACK] = ACTIONS(5399),
    [anon_sym_true] = ACTIONS(5401),
    [anon_sym_false] = ACTIONS(5401),
    [anon_sym_COLON2] = ACTIONS(5403),
    [anon_sym_LBRACE] = ACTIONS(5405),
    [anon_sym_exception] = ACTIONS(5385),
    [anon_sym_module] = ACTIONS(5385),
    [anon_sym_open] = ACTIONS(5385),
    [anon_sym_include] = ACTIONS(5385),
    [anon_sym_class] = ACTIONS(5385),
    [anon_sym_end] = ACTIONS(5385),
    [anon_sym_in] = ACTIONS(5385),
    [anon_sym_as] = ACTIONS(5513),
    [anon_sym_POUND] = ACTIONS(5409),
    [anon_sym_COLON_COLON] = ACTIONS(5515),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5413),
    [anon_sym_begin] = ACTIONS(5415),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5417),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5383),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5419),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5421),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5383),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5383),
    [aux_sym_number_token1] = ACTIONS(5423),
    [aux_sym_signed_number_token1] = ACTIONS(5425),
    [anon_sym_SQUOTE] = ACTIONS(5427),
    [anon_sym_DQUOTE] = ACTIONS(5429),
    [sym_let_operator] = ACTIONS(5383),
    [sym_let_and_operator] = ACTIONS(5383),
    [sym__uppercase_identifier] = ACTIONS(5431),
    [aux_sym_directive_token1] = ACTIONS(5385),
    [aux_sym_tag_token1] = ACTIONS(5433),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2468] = {
    [sym__simple_expression] = STATE(6786),
    [sym_typed_expression] = STATE(6844),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_labeled_argument] = STATE(7695),
    [sym_prefix_expression] = STATE(6844),
    [sym_hash_expression] = STATE(6844),
    [sym_field_get_expression] = STATE(6844),
    [sym_array_get_expression] = STATE(6844),
    [sym_string_get_expression] = STATE(6844),
    [sym_bigarray_get_expression] = STATE(6844),
    [sym_coercion_expression] = STATE(6844),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2468),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [aux_sym_class_application_repeat1] = STATE(2496),
    [sym__lowercase_identifier] = ACTIONS(5517),
    [anon_sym_TILDE] = ACTIONS(5519),
    [anon_sym_QMARK] = ACTIONS(5519),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_DOT] = ACTIONS(5521),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_end] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_POUND] = ACTIONS(5523),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(5525),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2469] = {
    [sym__simple_expression] = STATE(6857),
    [sym_typed_expression] = STATE(7123),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_labeled_argument] = STATE(7652),
    [sym_prefix_expression] = STATE(7123),
    [sym_hash_expression] = STATE(7123),
    [sym_field_get_expression] = STATE(7123),
    [sym_array_get_expression] = STATE(7123),
    [sym_string_get_expression] = STATE(7123),
    [sym_bigarray_get_expression] = STATE(7123),
    [sym_coercion_expression] = STATE(7123),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(2469),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [aux_sym_class_application_repeat1] = STATE(2506),
    [sym__lowercase_identifier] = ACTIONS(5527),
    [anon_sym_TILDE] = ACTIONS(5529),
    [anon_sym_QMARK] = ACTIONS(5529),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_DOT] = ACTIONS(5531),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_POUND] = ACTIONS(5533),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_do] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(5535),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2470] = {
    [sym__simple_expression] = STATE(7083),
    [sym_typed_expression] = STATE(6726),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_labeled_argument] = STATE(7621),
    [sym_prefix_expression] = STATE(6726),
    [sym_hash_expression] = STATE(6726),
    [sym_field_get_expression] = STATE(6726),
    [sym_array_get_expression] = STATE(6726),
    [sym_string_get_expression] = STATE(6726),
    [sym_bigarray_get_expression] = STATE(6726),
    [sym_coercion_expression] = STATE(6726),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(2470),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [aux_sym_class_application_repeat1] = STATE(2508),
    [sym__lowercase_identifier] = ACTIONS(5537),
    [anon_sym_TILDE] = ACTIONS(5539),
    [anon_sym_QMARK] = ACTIONS(5539),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_COMMA] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_DOT] = ACTIONS(5541),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_POUND] = ACTIONS(5543),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_then] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(3085),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(3085),
    [sym_hash_operator] = ACTIONS(5545),
    [sym_pow_operator] = ACTIONS(3085),
    [sym_mult_operator] = ACTIONS(3085),
    [aux_sym_add_operator_token1] = ACTIONS(3085),
    [sym_concat_operator] = ACTIONS(3083),
    [sym_rel_operator] = ACTIONS(3085),
    [sym_and_operator] = ACTIONS(3085),
    [sym_or_operator] = ACTIONS(3085),
    [sym_assign_operator] = ACTIONS(3083),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2471] = {
    [sym_parameter] = STATE(10166),
    [sym__polymorphic_typed] = STATE(16384),
    [sym__parenthesized_abstract_type] = STATE(10166),
    [sym__simple_pattern] = STATE(10170),
    [sym_typed_pattern] = STATE(10003),
    [sym_polymorphic_variant_pattern] = STATE(10003),
    [sym_record_pattern] = STATE(10003),
    [sym_list_pattern] = STATE(10003),
    [sym_array_pattern] = STATE(10003),
    [sym_local_open_pattern] = STATE(10003),
    [sym_package_pattern] = STATE(10003),
    [sym_parenthesized_pattern] = STATE(10003),
    [sym_attribute] = STATE(2471),
    [sym_item_attribute] = STATE(10873),
    [sym_extension] = STATE(10003),
    [sym_quoted_extension] = STATE(10003),
    [sym__constant] = STATE(10038),
    [sym__signed_constant] = STATE(10003),
    [sym_number] = STATE(9999),
    [sym_signed_number] = STATE(10038),
    [sym_character] = STATE(9999),
    [sym_string] = STATE(9999),
    [sym_quoted_string] = STATE(9999),
    [sym_boolean] = STATE(9999),
    [sym_unit] = STATE(9999),
    [sym__simple_value_pattern] = STATE(10003),
    [sym_parenthesized_operator] = STATE(10003),
    [sym_module_path] = STATE(20068),
    [sym_constructor_path] = STATE(10003),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(10003),
    [aux_sym_expression_item_repeat1] = STATE(10272),
    [aux_sym_let_binding_repeat1] = STATE(4599),
    [sym__lowercase_identifier] = ACTIONS(5381),
    [anon_sym_SEMI_SEMI] = ACTIONS(5383),
    [anon_sym_let] = ACTIONS(5385),
    [anon_sym_and] = ACTIONS(5385),
    [anon_sym_COLON_GT] = ACTIONS(5547),
    [anon_sym_EQ] = ACTIONS(5549),
    [anon_sym_TILDE] = ACTIONS(5391),
    [anon_sym_QMARK] = ACTIONS(5391),
    [anon_sym_LPAREN] = ACTIONS(5393),
    [anon_sym_external] = ACTIONS(5385),
    [anon_sym_type] = ACTIONS(5385),
    [anon_sym_COMMA] = ACTIONS(5551),
    [anon_sym_PIPE] = ACTIONS(5553),
    [anon_sym_LBRACK] = ACTIONS(5399),
    [anon_sym_RBRACK] = ACTIONS(5383),
    [anon_sym_true] = ACTIONS(5401),
    [anon_sym_false] = ACTIONS(5401),
    [anon_sym_COLON2] = ACTIONS(5403),
    [anon_sym_LBRACE] = ACTIONS(5405),
    [anon_sym_exception] = ACTIONS(5385),
    [anon_sym_module] = ACTIONS(5385),
    [anon_sym_open] = ACTIONS(5385),
    [anon_sym_include] = ACTIONS(5385),
    [anon_sym_class] = ACTIONS(5385),
    [anon_sym_as] = ACTIONS(5555),
    [anon_sym_POUND] = ACTIONS(5409),
    [anon_sym_COLON_COLON] = ACTIONS(5557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5413),
    [anon_sym_begin] = ACTIONS(5415),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5417),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5383),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5419),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5421),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5383),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5383),
    [aux_sym_number_token1] = ACTIONS(5423),
    [aux_sym_signed_number_token1] = ACTIONS(5425),
    [anon_sym_SQUOTE] = ACTIONS(5427),
    [anon_sym_DQUOTE] = ACTIONS(5429),
    [sym_let_operator] = ACTIONS(5383),
    [sym_let_and_operator] = ACTIONS(5383),
    [sym__uppercase_identifier] = ACTIONS(5431),
    [aux_sym_directive_token1] = ACTIONS(5385),
    [aux_sym_tag_token1] = ACTIONS(5433),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2472] = {
    [sym__simple_expression] = STATE(5988),
    [sym_typed_expression] = STATE(6010),
    [sym_list_expression] = STATE(6010),
    [sym_array_expression] = STATE(6010),
    [sym_record_expression] = STATE(6010),
    [sym_labeled_argument] = STATE(7178),
    [sym_prefix_expression] = STATE(6010),
    [sym_hash_expression] = STATE(6010),
    [sym_field_get_expression] = STATE(6010),
    [sym_array_get_expression] = STATE(6010),
    [sym_string_get_expression] = STATE(6010),
    [sym_bigarray_get_expression] = STATE(6010),
    [sym_coercion_expression] = STATE(6010),
    [sym_local_open_expression] = STATE(6010),
    [sym_package_expression] = STATE(6010),
    [sym_new_expression] = STATE(6010),
    [sym_object_copy_expression] = STATE(6010),
    [sym_method_invocation] = STATE(6010),
    [sym_object_expression] = STATE(6010),
    [sym_parenthesized_expression] = STATE(6010),
    [sym_attribute] = STATE(2472),
    [sym_extension] = STATE(6010),
    [sym_quoted_extension] = STATE(6010),
    [sym__constant] = STATE(6010),
    [sym_number] = STATE(5916),
    [sym_character] = STATE(5916),
    [sym_string] = STATE(5916),
    [sym_quoted_string] = STATE(5916),
    [sym_boolean] = STATE(5916),
    [sym_unit] = STATE(5916),
    [sym__value_name] = STATE(6051),
    [sym_parenthesized_operator] = STATE(6100),
    [sym_value_path] = STATE(6010),
    [sym_module_path] = STATE(17965),
    [sym_constructor_path] = STATE(6010),
    [sym__constructor_name] = STATE(5917),
    [sym_tag] = STATE(6010),
    [aux_sym_class_application_repeat1] = STATE(2478),
    [sym__lowercase_identifier] = ACTIONS(5559),
    [anon_sym_SEMI_SEMI] = ACTIONS(5561),
    [anon_sym_let] = ACTIONS(5563),
    [anon_sym_and] = ACTIONS(5563),
    [anon_sym_TILDE] = ACTIONS(5565),
    [anon_sym_QMARK] = ACTIONS(5565),
    [anon_sym_LPAREN] = ACTIONS(5567),
    [anon_sym_external] = ACTIONS(5563),
    [anon_sym_type] = ACTIONS(5563),
    [anon_sym_LBRACK] = ACTIONS(5569),
    [anon_sym_RBRACK] = ACTIONS(5561),
    [anon_sym_true] = ACTIONS(5571),
    [anon_sym_false] = ACTIONS(5571),
    [anon_sym_LBRACE] = ACTIONS(5573),
    [anon_sym_exception] = ACTIONS(5563),
    [anon_sym_module] = ACTIONS(5563),
    [anon_sym_open] = ACTIONS(5563),
    [anon_sym_include] = ACTIONS(5563),
    [anon_sym_class] = ACTIONS(5563),
    [anon_sym_object] = ACTIONS(5575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5577),
    [anon_sym_new] = ACTIONS(5579),
    [anon_sym_LBRACE_LT] = ACTIONS(5581),
    [anon_sym_begin] = ACTIONS(5583),
    [sym_ocamlyacc_value] = ACTIONS(5585),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5563),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5561),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5589),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5561),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5561),
    [aux_sym_number_token1] = ACTIONS(5591),
    [anon_sym_SQUOTE] = ACTIONS(5593),
    [anon_sym_DQUOTE] = ACTIONS(5595),
    [sym_prefix_operator] = ACTIONS(5597),
    [sym_let_operator] = ACTIONS(5561),
    [sym__uppercase_identifier] = ACTIONS(5599),
    [aux_sym_directive_token1] = ACTIONS(5561),
    [aux_sym_tag_token1] = ACTIONS(5601),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2473] = {
    [sym__simple_expression] = STATE(6001),
    [sym_typed_expression] = STATE(6103),
    [sym_list_expression] = STATE(6103),
    [sym_array_expression] = STATE(6103),
    [sym_record_expression] = STATE(6103),
    [sym_labeled_argument] = STATE(7325),
    [sym_prefix_expression] = STATE(6103),
    [sym_hash_expression] = STATE(6103),
    [sym_field_get_expression] = STATE(6103),
    [sym_array_get_expression] = STATE(6103),
    [sym_string_get_expression] = STATE(6103),
    [sym_bigarray_get_expression] = STATE(6103),
    [sym_coercion_expression] = STATE(6103),
    [sym_local_open_expression] = STATE(6103),
    [sym_package_expression] = STATE(6103),
    [sym_new_expression] = STATE(6103),
    [sym_object_copy_expression] = STATE(6103),
    [sym_method_invocation] = STATE(6103),
    [sym_object_expression] = STATE(6103),
    [sym_parenthesized_expression] = STATE(6103),
    [sym_attribute] = STATE(2473),
    [sym_extension] = STATE(6103),
    [sym_quoted_extension] = STATE(6103),
    [sym__constant] = STATE(6103),
    [sym_number] = STATE(5945),
    [sym_character] = STATE(5945),
    [sym_string] = STATE(5945),
    [sym_quoted_string] = STATE(5945),
    [sym_boolean] = STATE(5945),
    [sym_unit] = STATE(5945),
    [sym__value_name] = STATE(5845),
    [sym_parenthesized_operator] = STATE(5858),
    [sym_value_path] = STATE(6103),
    [sym_module_path] = STATE(18259),
    [sym_constructor_path] = STATE(6103),
    [sym__constructor_name] = STATE(5946),
    [sym_tag] = STATE(6103),
    [aux_sym_class_application_repeat1] = STATE(2475),
    [sym__lowercase_identifier] = ACTIONS(5603),
    [anon_sym_SEMI_SEMI] = ACTIONS(5605),
    [anon_sym_let] = ACTIONS(5607),
    [anon_sym_and] = ACTIONS(5607),
    [anon_sym_TILDE] = ACTIONS(5609),
    [anon_sym_QMARK] = ACTIONS(5609),
    [anon_sym_LPAREN] = ACTIONS(5611),
    [anon_sym_external] = ACTIONS(5607),
    [anon_sym_type] = ACTIONS(5607),
    [anon_sym_LBRACK] = ACTIONS(5613),
    [anon_sym_true] = ACTIONS(5615),
    [anon_sym_false] = ACTIONS(5615),
    [anon_sym_LBRACE] = ACTIONS(5617),
    [anon_sym_exception] = ACTIONS(5607),
    [anon_sym_module] = ACTIONS(5607),
    [anon_sym_open] = ACTIONS(5607),
    [anon_sym_include] = ACTIONS(5607),
    [anon_sym_class] = ACTIONS(5607),
    [anon_sym_end] = ACTIONS(5607),
    [anon_sym_object] = ACTIONS(5619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5621),
    [anon_sym_new] = ACTIONS(5623),
    [anon_sym_LBRACE_LT] = ACTIONS(5625),
    [anon_sym_begin] = ACTIONS(5627),
    [sym_ocamlyacc_value] = ACTIONS(5629),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5607),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5605),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5631),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5633),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5605),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5605),
    [aux_sym_number_token1] = ACTIONS(5635),
    [anon_sym_SQUOTE] = ACTIONS(5637),
    [anon_sym_DQUOTE] = ACTIONS(5639),
    [sym_prefix_operator] = ACTIONS(5641),
    [sym_let_operator] = ACTIONS(5605),
    [sym__uppercase_identifier] = ACTIONS(5643),
    [aux_sym_directive_token1] = ACTIONS(5605),
    [aux_sym_tag_token1] = ACTIONS(5645),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2474] = {
    [sym__simple_expression] = STATE(6001),
    [sym_typed_expression] = STATE(6103),
    [sym_list_expression] = STATE(6103),
    [sym_array_expression] = STATE(6103),
    [sym_record_expression] = STATE(6103),
    [sym_labeled_argument] = STATE(7325),
    [sym_prefix_expression] = STATE(6103),
    [sym_hash_expression] = STATE(6103),
    [sym_field_get_expression] = STATE(6103),
    [sym_array_get_expression] = STATE(6103),
    [sym_string_get_expression] = STATE(6103),
    [sym_bigarray_get_expression] = STATE(6103),
    [sym_coercion_expression] = STATE(6103),
    [sym_local_open_expression] = STATE(6103),
    [sym_package_expression] = STATE(6103),
    [sym_new_expression] = STATE(6103),
    [sym_object_copy_expression] = STATE(6103),
    [sym_method_invocation] = STATE(6103),
    [sym_object_expression] = STATE(6103),
    [sym_parenthesized_expression] = STATE(6103),
    [sym_attribute] = STATE(2474),
    [sym_extension] = STATE(6103),
    [sym_quoted_extension] = STATE(6103),
    [sym__constant] = STATE(6103),
    [sym_number] = STATE(5945),
    [sym_character] = STATE(5945),
    [sym_string] = STATE(5945),
    [sym_quoted_string] = STATE(5945),
    [sym_boolean] = STATE(5945),
    [sym_unit] = STATE(5945),
    [sym__value_name] = STATE(5845),
    [sym_parenthesized_operator] = STATE(5858),
    [sym_value_path] = STATE(6103),
    [sym_module_path] = STATE(18259),
    [sym_constructor_path] = STATE(6103),
    [sym__constructor_name] = STATE(5946),
    [sym_tag] = STATE(6103),
    [aux_sym_class_application_repeat1] = STATE(2473),
    [sym__lowercase_identifier] = ACTIONS(5603),
    [anon_sym_SEMI_SEMI] = ACTIONS(5561),
    [anon_sym_let] = ACTIONS(5563),
    [anon_sym_and] = ACTIONS(5563),
    [anon_sym_TILDE] = ACTIONS(5609),
    [anon_sym_QMARK] = ACTIONS(5609),
    [anon_sym_LPAREN] = ACTIONS(5611),
    [anon_sym_external] = ACTIONS(5563),
    [anon_sym_type] = ACTIONS(5563),
    [anon_sym_LBRACK] = ACTIONS(5613),
    [anon_sym_true] = ACTIONS(5615),
    [anon_sym_false] = ACTIONS(5615),
    [anon_sym_LBRACE] = ACTIONS(5617),
    [anon_sym_exception] = ACTIONS(5563),
    [anon_sym_module] = ACTIONS(5563),
    [anon_sym_open] = ACTIONS(5563),
    [anon_sym_include] = ACTIONS(5563),
    [anon_sym_class] = ACTIONS(5563),
    [anon_sym_end] = ACTIONS(5563),
    [anon_sym_object] = ACTIONS(5619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5621),
    [anon_sym_new] = ACTIONS(5623),
    [anon_sym_LBRACE_LT] = ACTIONS(5625),
    [anon_sym_begin] = ACTIONS(5627),
    [sym_ocamlyacc_value] = ACTIONS(5629),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5563),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5561),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5631),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5633),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5561),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5561),
    [aux_sym_number_token1] = ACTIONS(5635),
    [anon_sym_SQUOTE] = ACTIONS(5637),
    [anon_sym_DQUOTE] = ACTIONS(5639),
    [sym_prefix_operator] = ACTIONS(5641),
    [sym_let_operator] = ACTIONS(5561),
    [sym__uppercase_identifier] = ACTIONS(5643),
    [aux_sym_directive_token1] = ACTIONS(5561),
    [aux_sym_tag_token1] = ACTIONS(5645),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2475] = {
    [sym__simple_expression] = STATE(6001),
    [sym_typed_expression] = STATE(6103),
    [sym_list_expression] = STATE(6103),
    [sym_array_expression] = STATE(6103),
    [sym_record_expression] = STATE(6103),
    [sym_labeled_argument] = STATE(7325),
    [sym_prefix_expression] = STATE(6103),
    [sym_hash_expression] = STATE(6103),
    [sym_field_get_expression] = STATE(6103),
    [sym_array_get_expression] = STATE(6103),
    [sym_string_get_expression] = STATE(6103),
    [sym_bigarray_get_expression] = STATE(6103),
    [sym_coercion_expression] = STATE(6103),
    [sym_local_open_expression] = STATE(6103),
    [sym_package_expression] = STATE(6103),
    [sym_new_expression] = STATE(6103),
    [sym_object_copy_expression] = STATE(6103),
    [sym_method_invocation] = STATE(6103),
    [sym_object_expression] = STATE(6103),
    [sym_parenthesized_expression] = STATE(6103),
    [sym_attribute] = STATE(2475),
    [sym_extension] = STATE(6103),
    [sym_quoted_extension] = STATE(6103),
    [sym__constant] = STATE(6103),
    [sym_number] = STATE(5945),
    [sym_character] = STATE(5945),
    [sym_string] = STATE(5945),
    [sym_quoted_string] = STATE(5945),
    [sym_boolean] = STATE(5945),
    [sym_unit] = STATE(5945),
    [sym__value_name] = STATE(5845),
    [sym_parenthesized_operator] = STATE(5858),
    [sym_value_path] = STATE(6103),
    [sym_module_path] = STATE(18259),
    [sym_constructor_path] = STATE(6103),
    [sym__constructor_name] = STATE(5946),
    [sym_tag] = STATE(6103),
    [aux_sym_class_application_repeat1] = STATE(2475),
    [sym__lowercase_identifier] = ACTIONS(5647),
    [anon_sym_SEMI_SEMI] = ACTIONS(3536),
    [anon_sym_let] = ACTIONS(3538),
    [anon_sym_and] = ACTIONS(3538),
    [anon_sym_TILDE] = ACTIONS(5650),
    [anon_sym_QMARK] = ACTIONS(5650),
    [anon_sym_LPAREN] = ACTIONS(5653),
    [anon_sym_external] = ACTIONS(3538),
    [anon_sym_type] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(5656),
    [anon_sym_true] = ACTIONS(5659),
    [anon_sym_false] = ACTIONS(5659),
    [anon_sym_LBRACE] = ACTIONS(5662),
    [anon_sym_exception] = ACTIONS(3538),
    [anon_sym_module] = ACTIONS(3538),
    [anon_sym_open] = ACTIONS(3538),
    [anon_sym_include] = ACTIONS(3538),
    [anon_sym_class] = ACTIONS(3538),
    [anon_sym_end] = ACTIONS(3538),
    [anon_sym_object] = ACTIONS(5665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5668),
    [anon_sym_new] = ACTIONS(5671),
    [anon_sym_LBRACE_LT] = ACTIONS(5674),
    [anon_sym_begin] = ACTIONS(5677),
    [sym_ocamlyacc_value] = ACTIONS(5680),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3538),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3536),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5683),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5686),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3536),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3536),
    [aux_sym_number_token1] = ACTIONS(5689),
    [anon_sym_SQUOTE] = ACTIONS(5692),
    [anon_sym_DQUOTE] = ACTIONS(5695),
    [sym_prefix_operator] = ACTIONS(5698),
    [sym_let_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(5701),
    [aux_sym_directive_token1] = ACTIONS(3536),
    [aux_sym_tag_token1] = ACTIONS(5704),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2476] = {
    [sym_parameter] = STATE(10166),
    [sym__polymorphic_typed] = STATE(16431),
    [sym__parenthesized_abstract_type] = STATE(10166),
    [sym__simple_pattern] = STATE(10170),
    [sym_typed_pattern] = STATE(10003),
    [sym_polymorphic_variant_pattern] = STATE(10003),
    [sym_record_pattern] = STATE(10003),
    [sym_list_pattern] = STATE(10003),
    [sym_array_pattern] = STATE(10003),
    [sym_local_open_pattern] = STATE(10003),
    [sym_package_pattern] = STATE(10003),
    [sym_parenthesized_pattern] = STATE(10003),
    [sym_attribute] = STATE(2476),
    [sym_item_attribute] = STATE(10873),
    [sym_extension] = STATE(10003),
    [sym_quoted_extension] = STATE(10003),
    [sym__constant] = STATE(10038),
    [sym__signed_constant] = STATE(10003),
    [sym_number] = STATE(9999),
    [sym_signed_number] = STATE(10038),
    [sym_character] = STATE(9999),
    [sym_string] = STATE(9999),
    [sym_quoted_string] = STATE(9999),
    [sym_boolean] = STATE(9999),
    [sym_unit] = STATE(9999),
    [sym__simple_value_pattern] = STATE(10003),
    [sym_parenthesized_operator] = STATE(10003),
    [sym_module_path] = STATE(20068),
    [sym_constructor_path] = STATE(10003),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(10003),
    [aux_sym_expression_item_repeat1] = STATE(10272),
    [aux_sym_let_binding_repeat1] = STATE(4620),
    [sym__lowercase_identifier] = ACTIONS(5381),
    [anon_sym_SEMI_SEMI] = ACTIONS(5383),
    [anon_sym_let] = ACTIONS(5385),
    [anon_sym_and] = ACTIONS(5385),
    [anon_sym_COLON_GT] = ACTIONS(5707),
    [anon_sym_EQ] = ACTIONS(5709),
    [anon_sym_TILDE] = ACTIONS(5391),
    [anon_sym_QMARK] = ACTIONS(5391),
    [anon_sym_LPAREN] = ACTIONS(5393),
    [anon_sym_external] = ACTIONS(5385),
    [anon_sym_type] = ACTIONS(5385),
    [anon_sym_COMMA] = ACTIONS(5711),
    [anon_sym_PIPE] = ACTIONS(5713),
    [anon_sym_LBRACK] = ACTIONS(5399),
    [anon_sym_true] = ACTIONS(5401),
    [anon_sym_false] = ACTIONS(5401),
    [anon_sym_COLON2] = ACTIONS(5403),
    [anon_sym_LBRACE] = ACTIONS(5405),
    [anon_sym_exception] = ACTIONS(5385),
    [anon_sym_module] = ACTIONS(5385),
    [anon_sym_open] = ACTIONS(5385),
    [anon_sym_include] = ACTIONS(5385),
    [anon_sym_class] = ACTIONS(5385),
    [anon_sym_end] = ACTIONS(5385),
    [anon_sym_as] = ACTIONS(5715),
    [anon_sym_POUND] = ACTIONS(5409),
    [anon_sym_COLON_COLON] = ACTIONS(5717),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5413),
    [anon_sym_begin] = ACTIONS(5415),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5417),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5383),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5419),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5421),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5383),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5383),
    [aux_sym_number_token1] = ACTIONS(5423),
    [aux_sym_signed_number_token1] = ACTIONS(5425),
    [anon_sym_SQUOTE] = ACTIONS(5427),
    [anon_sym_DQUOTE] = ACTIONS(5429),
    [sym_let_operator] = ACTIONS(5383),
    [sym_let_and_operator] = ACTIONS(5383),
    [sym__uppercase_identifier] = ACTIONS(5431),
    [aux_sym_directive_token1] = ACTIONS(5385),
    [aux_sym_tag_token1] = ACTIONS(5433),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2477] = {
    [sym__simple_expression] = STATE(5877),
    [sym_typed_expression] = STATE(5871),
    [sym_list_expression] = STATE(5871),
    [sym_array_expression] = STATE(5871),
    [sym_record_expression] = STATE(5871),
    [sym_labeled_argument] = STATE(7315),
    [sym_prefix_expression] = STATE(5871),
    [sym_hash_expression] = STATE(5871),
    [sym_field_get_expression] = STATE(5871),
    [sym_array_get_expression] = STATE(5871),
    [sym_string_get_expression] = STATE(5871),
    [sym_bigarray_get_expression] = STATE(5871),
    [sym_coercion_expression] = STATE(5871),
    [sym_local_open_expression] = STATE(5871),
    [sym_package_expression] = STATE(5871),
    [sym_new_expression] = STATE(5871),
    [sym_object_copy_expression] = STATE(5871),
    [sym_method_invocation] = STATE(5871),
    [sym_object_expression] = STATE(5871),
    [sym_parenthesized_expression] = STATE(5871),
    [sym_attribute] = STATE(2477),
    [sym_extension] = STATE(5871),
    [sym_quoted_extension] = STATE(5871),
    [sym__constant] = STATE(5871),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym__value_name] = STATE(5907),
    [sym_parenthesized_operator] = STATE(5936),
    [sym_value_path] = STATE(5871),
    [sym_module_path] = STATE(18534),
    [sym_constructor_path] = STATE(5871),
    [sym__constructor_name] = STATE(5965),
    [sym_tag] = STATE(5871),
    [aux_sym_class_application_repeat1] = STATE(2479),
    [sym__lowercase_identifier] = ACTIONS(5237),
    [anon_sym_TILDE] = ACTIONS(5239),
    [anon_sym_QMARK] = ACTIONS(5239),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_SEMI] = ACTIONS(3529),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_else] = ACTIONS(3531),
    [anon_sym_to] = ACTIONS(3531),
    [anon_sym_downto] = ACTIONS(3531),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2478] = {
    [sym__simple_expression] = STATE(5988),
    [sym_typed_expression] = STATE(6010),
    [sym_list_expression] = STATE(6010),
    [sym_array_expression] = STATE(6010),
    [sym_record_expression] = STATE(6010),
    [sym_labeled_argument] = STATE(7178),
    [sym_prefix_expression] = STATE(6010),
    [sym_hash_expression] = STATE(6010),
    [sym_field_get_expression] = STATE(6010),
    [sym_array_get_expression] = STATE(6010),
    [sym_string_get_expression] = STATE(6010),
    [sym_bigarray_get_expression] = STATE(6010),
    [sym_coercion_expression] = STATE(6010),
    [sym_local_open_expression] = STATE(6010),
    [sym_package_expression] = STATE(6010),
    [sym_new_expression] = STATE(6010),
    [sym_object_copy_expression] = STATE(6010),
    [sym_method_invocation] = STATE(6010),
    [sym_object_expression] = STATE(6010),
    [sym_parenthesized_expression] = STATE(6010),
    [sym_attribute] = STATE(2478),
    [sym_extension] = STATE(6010),
    [sym_quoted_extension] = STATE(6010),
    [sym__constant] = STATE(6010),
    [sym_number] = STATE(5916),
    [sym_character] = STATE(5916),
    [sym_string] = STATE(5916),
    [sym_quoted_string] = STATE(5916),
    [sym_boolean] = STATE(5916),
    [sym_unit] = STATE(5916),
    [sym__value_name] = STATE(6051),
    [sym_parenthesized_operator] = STATE(6100),
    [sym_value_path] = STATE(6010),
    [sym_module_path] = STATE(17965),
    [sym_constructor_path] = STATE(6010),
    [sym__constructor_name] = STATE(5917),
    [sym_tag] = STATE(6010),
    [aux_sym_class_application_repeat1] = STATE(2480),
    [sym__lowercase_identifier] = ACTIONS(5559),
    [anon_sym_SEMI_SEMI] = ACTIONS(5605),
    [anon_sym_let] = ACTIONS(5607),
    [anon_sym_and] = ACTIONS(5607),
    [anon_sym_TILDE] = ACTIONS(5565),
    [anon_sym_QMARK] = ACTIONS(5565),
    [anon_sym_LPAREN] = ACTIONS(5567),
    [anon_sym_external] = ACTIONS(5607),
    [anon_sym_type] = ACTIONS(5607),
    [anon_sym_LBRACK] = ACTIONS(5569),
    [anon_sym_RBRACK] = ACTIONS(5605),
    [anon_sym_true] = ACTIONS(5571),
    [anon_sym_false] = ACTIONS(5571),
    [anon_sym_LBRACE] = ACTIONS(5573),
    [anon_sym_exception] = ACTIONS(5607),
    [anon_sym_module] = ACTIONS(5607),
    [anon_sym_open] = ACTIONS(5607),
    [anon_sym_include] = ACTIONS(5607),
    [anon_sym_class] = ACTIONS(5607),
    [anon_sym_object] = ACTIONS(5575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5577),
    [anon_sym_new] = ACTIONS(5579),
    [anon_sym_LBRACE_LT] = ACTIONS(5581),
    [anon_sym_begin] = ACTIONS(5583),
    [sym_ocamlyacc_value] = ACTIONS(5585),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5607),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5605),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5589),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5605),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5605),
    [aux_sym_number_token1] = ACTIONS(5591),
    [anon_sym_SQUOTE] = ACTIONS(5593),
    [anon_sym_DQUOTE] = ACTIONS(5595),
    [sym_prefix_operator] = ACTIONS(5597),
    [sym_let_operator] = ACTIONS(5605),
    [sym__uppercase_identifier] = ACTIONS(5599),
    [aux_sym_directive_token1] = ACTIONS(5605),
    [aux_sym_tag_token1] = ACTIONS(5601),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2479] = {
    [sym__simple_expression] = STATE(5877),
    [sym_typed_expression] = STATE(5871),
    [sym_list_expression] = STATE(5871),
    [sym_array_expression] = STATE(5871),
    [sym_record_expression] = STATE(5871),
    [sym_labeled_argument] = STATE(7315),
    [sym_prefix_expression] = STATE(5871),
    [sym_hash_expression] = STATE(5871),
    [sym_field_get_expression] = STATE(5871),
    [sym_array_get_expression] = STATE(5871),
    [sym_string_get_expression] = STATE(5871),
    [sym_bigarray_get_expression] = STATE(5871),
    [sym_coercion_expression] = STATE(5871),
    [sym_local_open_expression] = STATE(5871),
    [sym_package_expression] = STATE(5871),
    [sym_new_expression] = STATE(5871),
    [sym_object_copy_expression] = STATE(5871),
    [sym_method_invocation] = STATE(5871),
    [sym_object_expression] = STATE(5871),
    [sym_parenthesized_expression] = STATE(5871),
    [sym_attribute] = STATE(2479),
    [sym_extension] = STATE(5871),
    [sym_quoted_extension] = STATE(5871),
    [sym__constant] = STATE(5871),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym__value_name] = STATE(5907),
    [sym_parenthesized_operator] = STATE(5936),
    [sym_value_path] = STATE(5871),
    [sym_module_path] = STATE(18534),
    [sym_constructor_path] = STATE(5871),
    [sym__constructor_name] = STATE(5965),
    [sym_tag] = STATE(5871),
    [aux_sym_class_application_repeat1] = STATE(2479),
    [sym__lowercase_identifier] = ACTIONS(5719),
    [anon_sym_TILDE] = ACTIONS(5722),
    [anon_sym_QMARK] = ACTIONS(5722),
    [anon_sym_LPAREN] = ACTIONS(5725),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [anon_sym_true] = ACTIONS(5731),
    [anon_sym_false] = ACTIONS(5731),
    [anon_sym_LBRACE] = ACTIONS(5734),
    [anon_sym_SEMI] = ACTIONS(3536),
    [anon_sym_object] = ACTIONS(5737),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5740),
    [anon_sym_else] = ACTIONS(3538),
    [anon_sym_to] = ACTIONS(3538),
    [anon_sym_downto] = ACTIONS(3538),
    [anon_sym_new] = ACTIONS(5743),
    [anon_sym_LBRACE_LT] = ACTIONS(5746),
    [anon_sym_begin] = ACTIONS(5749),
    [sym_ocamlyacc_value] = ACTIONS(5752),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5755),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5758),
    [aux_sym_number_token1] = ACTIONS(5761),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(5764),
    [anon_sym_DQUOTE] = ACTIONS(5767),
    [sym_prefix_operator] = ACTIONS(5770),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(5773),
    [aux_sym_tag_token1] = ACTIONS(5776),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2480] = {
    [sym__simple_expression] = STATE(5988),
    [sym_typed_expression] = STATE(6010),
    [sym_list_expression] = STATE(6010),
    [sym_array_expression] = STATE(6010),
    [sym_record_expression] = STATE(6010),
    [sym_labeled_argument] = STATE(7178),
    [sym_prefix_expression] = STATE(6010),
    [sym_hash_expression] = STATE(6010),
    [sym_field_get_expression] = STATE(6010),
    [sym_array_get_expression] = STATE(6010),
    [sym_string_get_expression] = STATE(6010),
    [sym_bigarray_get_expression] = STATE(6010),
    [sym_coercion_expression] = STATE(6010),
    [sym_local_open_expression] = STATE(6010),
    [sym_package_expression] = STATE(6010),
    [sym_new_expression] = STATE(6010),
    [sym_object_copy_expression] = STATE(6010),
    [sym_method_invocation] = STATE(6010),
    [sym_object_expression] = STATE(6010),
    [sym_parenthesized_expression] = STATE(6010),
    [sym_attribute] = STATE(2480),
    [sym_extension] = STATE(6010),
    [sym_quoted_extension] = STATE(6010),
    [sym__constant] = STATE(6010),
    [sym_number] = STATE(5916),
    [sym_character] = STATE(5916),
    [sym_string] = STATE(5916),
    [sym_quoted_string] = STATE(5916),
    [sym_boolean] = STATE(5916),
    [sym_unit] = STATE(5916),
    [sym__value_name] = STATE(6051),
    [sym_parenthesized_operator] = STATE(6100),
    [sym_value_path] = STATE(6010),
    [sym_module_path] = STATE(17965),
    [sym_constructor_path] = STATE(6010),
    [sym__constructor_name] = STATE(5917),
    [sym_tag] = STATE(6010),
    [aux_sym_class_application_repeat1] = STATE(2480),
    [sym__lowercase_identifier] = ACTIONS(5779),
    [anon_sym_SEMI_SEMI] = ACTIONS(3536),
    [anon_sym_let] = ACTIONS(3538),
    [anon_sym_and] = ACTIONS(3538),
    [anon_sym_TILDE] = ACTIONS(5782),
    [anon_sym_QMARK] = ACTIONS(5782),
    [anon_sym_LPAREN] = ACTIONS(5785),
    [anon_sym_external] = ACTIONS(3538),
    [anon_sym_type] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(5788),
    [anon_sym_RBRACK] = ACTIONS(3536),
    [anon_sym_true] = ACTIONS(5791),
    [anon_sym_false] = ACTIONS(5791),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_exception] = ACTIONS(3538),
    [anon_sym_module] = ACTIONS(3538),
    [anon_sym_open] = ACTIONS(3538),
    [anon_sym_include] = ACTIONS(3538),
    [anon_sym_class] = ACTIONS(3538),
    [anon_sym_object] = ACTIONS(5797),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5800),
    [anon_sym_new] = ACTIONS(5803),
    [anon_sym_LBRACE_LT] = ACTIONS(5806),
    [anon_sym_begin] = ACTIONS(5809),
    [sym_ocamlyacc_value] = ACTIONS(5812),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3538),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3536),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5818),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3536),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3536),
    [aux_sym_number_token1] = ACTIONS(5821),
    [anon_sym_SQUOTE] = ACTIONS(5824),
    [anon_sym_DQUOTE] = ACTIONS(5827),
    [sym_prefix_operator] = ACTIONS(5830),
    [sym_let_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(5833),
    [aux_sym_directive_token1] = ACTIONS(3536),
    [aux_sym_tag_token1] = ACTIONS(5836),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2481] = {
    [sym__simple_expression] = STATE(6656),
    [sym_typed_expression] = STATE(6605),
    [sym_list_expression] = STATE(6605),
    [sym_array_expression] = STATE(6605),
    [sym_record_expression] = STATE(6605),
    [sym_labeled_argument] = STATE(7497),
    [sym_prefix_expression] = STATE(6605),
    [sym_hash_expression] = STATE(6605),
    [sym_field_get_expression] = STATE(6605),
    [sym_array_get_expression] = STATE(6605),
    [sym_string_get_expression] = STATE(6605),
    [sym_bigarray_get_expression] = STATE(6605),
    [sym_coercion_expression] = STATE(6605),
    [sym_local_open_expression] = STATE(6605),
    [sym_package_expression] = STATE(6605),
    [sym_new_expression] = STATE(6605),
    [sym_object_copy_expression] = STATE(6605),
    [sym_method_invocation] = STATE(6605),
    [sym_object_expression] = STATE(6605),
    [sym_parenthesized_expression] = STATE(6605),
    [sym_attribute] = STATE(2481),
    [sym_extension] = STATE(6605),
    [sym_quoted_extension] = STATE(6605),
    [sym__constant] = STATE(6605),
    [sym_number] = STATE(6281),
    [sym_character] = STATE(6281),
    [sym_string] = STATE(6281),
    [sym_quoted_string] = STATE(6281),
    [sym_boolean] = STATE(6281),
    [sym_unit] = STATE(6281),
    [sym__value_name] = STATE(6139),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6605),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(6605),
    [sym__constructor_name] = STATE(6282),
    [sym_tag] = STATE(6605),
    [aux_sym_class_application_repeat1] = STATE(2482),
    [sym__lowercase_identifier] = ACTIONS(5359),
    [anon_sym_TILDE] = ACTIONS(5361),
    [anon_sym_QMARK] = ACTIONS(5361),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_SEMI] = ACTIONS(3529),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_else] = ACTIONS(3531),
    [anon_sym_done] = ACTIONS(3531),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2482] = {
    [sym__simple_expression] = STATE(6656),
    [sym_typed_expression] = STATE(6605),
    [sym_list_expression] = STATE(6605),
    [sym_array_expression] = STATE(6605),
    [sym_record_expression] = STATE(6605),
    [sym_labeled_argument] = STATE(7497),
    [sym_prefix_expression] = STATE(6605),
    [sym_hash_expression] = STATE(6605),
    [sym_field_get_expression] = STATE(6605),
    [sym_array_get_expression] = STATE(6605),
    [sym_string_get_expression] = STATE(6605),
    [sym_bigarray_get_expression] = STATE(6605),
    [sym_coercion_expression] = STATE(6605),
    [sym_local_open_expression] = STATE(6605),
    [sym_package_expression] = STATE(6605),
    [sym_new_expression] = STATE(6605),
    [sym_object_copy_expression] = STATE(6605),
    [sym_method_invocation] = STATE(6605),
    [sym_object_expression] = STATE(6605),
    [sym_parenthesized_expression] = STATE(6605),
    [sym_attribute] = STATE(2482),
    [sym_extension] = STATE(6605),
    [sym_quoted_extension] = STATE(6605),
    [sym__constant] = STATE(6605),
    [sym_number] = STATE(6281),
    [sym_character] = STATE(6281),
    [sym_string] = STATE(6281),
    [sym_quoted_string] = STATE(6281),
    [sym_boolean] = STATE(6281),
    [sym_unit] = STATE(6281),
    [sym__value_name] = STATE(6139),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6605),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(6605),
    [sym__constructor_name] = STATE(6282),
    [sym_tag] = STATE(6605),
    [aux_sym_class_application_repeat1] = STATE(2482),
    [sym__lowercase_identifier] = ACTIONS(5839),
    [anon_sym_TILDE] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5842),
    [anon_sym_LPAREN] = ACTIONS(5845),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(5848),
    [anon_sym_true] = ACTIONS(5851),
    [anon_sym_false] = ACTIONS(5851),
    [anon_sym_LBRACE] = ACTIONS(5854),
    [anon_sym_SEMI] = ACTIONS(3536),
    [anon_sym_object] = ACTIONS(5857),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5860),
    [anon_sym_else] = ACTIONS(3538),
    [anon_sym_done] = ACTIONS(3538),
    [anon_sym_new] = ACTIONS(5863),
    [anon_sym_LBRACE_LT] = ACTIONS(5866),
    [anon_sym_begin] = ACTIONS(5869),
    [sym_ocamlyacc_value] = ACTIONS(5872),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5875),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5878),
    [aux_sym_number_token1] = ACTIONS(5881),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(5884),
    [anon_sym_DQUOTE] = ACTIONS(5887),
    [sym_prefix_operator] = ACTIONS(5890),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(5893),
    [aux_sym_tag_token1] = ACTIONS(5896),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2483] = {
    [sym__simple_expression] = STATE(6448),
    [sym_typed_expression] = STATE(6412),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_labeled_argument] = STATE(7424),
    [sym_prefix_expression] = STATE(6412),
    [sym_hash_expression] = STATE(6412),
    [sym_field_get_expression] = STATE(6412),
    [sym_array_get_expression] = STATE(6412),
    [sym_string_get_expression] = STATE(6412),
    [sym_bigarray_get_expression] = STATE(6412),
    [sym_coercion_expression] = STATE(6412),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(2483),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [aux_sym_class_application_repeat1] = STATE(2486),
    [sym__lowercase_identifier] = ACTIONS(5307),
    [anon_sym_TILDE] = ACTIONS(5309),
    [anon_sym_QMARK] = ACTIONS(5309),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(3529),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1525),
    [anon_sym_to] = ACTIONS(3531),
    [anon_sym_downto] = ACTIONS(3531),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_LBRACE_LT] = ACTIONS(1537),
    [anon_sym_begin] = ACTIONS(1539),
    [sym_ocamlyacc_value] = ACTIONS(1541),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1545),
    [aux_sym_number_token1] = ACTIONS(1547),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(1557),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2484] = {
    [sym__simple_expression] = STATE(6333),
    [sym_typed_expression] = STATE(6355),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_labeled_argument] = STATE(7603),
    [sym_prefix_expression] = STATE(6355),
    [sym_hash_expression] = STATE(6355),
    [sym_field_get_expression] = STATE(6355),
    [sym_array_get_expression] = STATE(6355),
    [sym_string_get_expression] = STATE(6355),
    [sym_bigarray_get_expression] = STATE(6355),
    [sym_coercion_expression] = STATE(6355),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(2484),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym__value_name] = STATE(6398),
    [sym_parenthesized_operator] = STATE(6411),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19462),
    [sym_constructor_path] = STATE(6355),
    [sym__constructor_name] = STATE(6488),
    [sym_tag] = STATE(6355),
    [aux_sym_class_application_repeat1] = STATE(2485),
    [ts_builtin_sym_end] = ACTIONS(5561),
    [sym__lowercase_identifier] = ACTIONS(5899),
    [anon_sym_SEMI_SEMI] = ACTIONS(5561),
    [anon_sym_and] = ACTIONS(5563),
    [anon_sym_TILDE] = ACTIONS(5901),
    [anon_sym_QMARK] = ACTIONS(5901),
    [anon_sym_LPAREN] = ACTIONS(5903),
    [anon_sym_external] = ACTIONS(5563),
    [anon_sym_type] = ACTIONS(5563),
    [anon_sym_LBRACK] = ACTIONS(5905),
    [anon_sym_RBRACK] = ACTIONS(5561),
    [anon_sym_true] = ACTIONS(5907),
    [anon_sym_false] = ACTIONS(5907),
    [anon_sym_LBRACE] = ACTIONS(5909),
    [anon_sym_exception] = ACTIONS(5563),
    [anon_sym_module] = ACTIONS(5563),
    [anon_sym_open] = ACTIONS(5563),
    [anon_sym_include] = ACTIONS(5563),
    [anon_sym_class] = ACTIONS(5563),
    [anon_sym_val] = ACTIONS(5563),
    [anon_sym_object] = ACTIONS(5911),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5913),
    [anon_sym_new] = ACTIONS(5915),
    [anon_sym_LBRACE_LT] = ACTIONS(5917),
    [anon_sym_begin] = ACTIONS(5919),
    [sym_ocamlyacc_value] = ACTIONS(5921),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5563),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5561),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5925),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5561),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5561),
    [aux_sym_number_token1] = ACTIONS(5927),
    [anon_sym_SQUOTE] = ACTIONS(5929),
    [anon_sym_DQUOTE] = ACTIONS(5931),
    [sym_prefix_operator] = ACTIONS(5933),
    [sym__uppercase_identifier] = ACTIONS(5935),
    [aux_sym_tag_token1] = ACTIONS(5937),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2485] = {
    [sym__simple_expression] = STATE(6333),
    [sym_typed_expression] = STATE(6355),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_labeled_argument] = STATE(7603),
    [sym_prefix_expression] = STATE(6355),
    [sym_hash_expression] = STATE(6355),
    [sym_field_get_expression] = STATE(6355),
    [sym_array_get_expression] = STATE(6355),
    [sym_string_get_expression] = STATE(6355),
    [sym_bigarray_get_expression] = STATE(6355),
    [sym_coercion_expression] = STATE(6355),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(2485),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym__value_name] = STATE(6398),
    [sym_parenthesized_operator] = STATE(6411),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19462),
    [sym_constructor_path] = STATE(6355),
    [sym__constructor_name] = STATE(6488),
    [sym_tag] = STATE(6355),
    [aux_sym_class_application_repeat1] = STATE(2493),
    [ts_builtin_sym_end] = ACTIONS(5605),
    [sym__lowercase_identifier] = ACTIONS(5899),
    [anon_sym_SEMI_SEMI] = ACTIONS(5605),
    [anon_sym_and] = ACTIONS(5607),
    [anon_sym_TILDE] = ACTIONS(5901),
    [anon_sym_QMARK] = ACTIONS(5901),
    [anon_sym_LPAREN] = ACTIONS(5903),
    [anon_sym_external] = ACTIONS(5607),
    [anon_sym_type] = ACTIONS(5607),
    [anon_sym_LBRACK] = ACTIONS(5905),
    [anon_sym_RBRACK] = ACTIONS(5605),
    [anon_sym_true] = ACTIONS(5907),
    [anon_sym_false] = ACTIONS(5907),
    [anon_sym_LBRACE] = ACTIONS(5909),
    [anon_sym_exception] = ACTIONS(5607),
    [anon_sym_module] = ACTIONS(5607),
    [anon_sym_open] = ACTIONS(5607),
    [anon_sym_include] = ACTIONS(5607),
    [anon_sym_class] = ACTIONS(5607),
    [anon_sym_val] = ACTIONS(5607),
    [anon_sym_object] = ACTIONS(5911),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5913),
    [anon_sym_new] = ACTIONS(5915),
    [anon_sym_LBRACE_LT] = ACTIONS(5917),
    [anon_sym_begin] = ACTIONS(5919),
    [sym_ocamlyacc_value] = ACTIONS(5921),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5607),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5605),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5925),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5605),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5605),
    [aux_sym_number_token1] = ACTIONS(5927),
    [anon_sym_SQUOTE] = ACTIONS(5929),
    [anon_sym_DQUOTE] = ACTIONS(5931),
    [sym_prefix_operator] = ACTIONS(5933),
    [sym__uppercase_identifier] = ACTIONS(5935),
    [aux_sym_tag_token1] = ACTIONS(5937),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2486] = {
    [sym__simple_expression] = STATE(6448),
    [sym_typed_expression] = STATE(6412),
    [sym_list_expression] = STATE(6412),
    [sym_array_expression] = STATE(6412),
    [sym_record_expression] = STATE(6412),
    [sym_labeled_argument] = STATE(7424),
    [sym_prefix_expression] = STATE(6412),
    [sym_hash_expression] = STATE(6412),
    [sym_field_get_expression] = STATE(6412),
    [sym_array_get_expression] = STATE(6412),
    [sym_string_get_expression] = STATE(6412),
    [sym_bigarray_get_expression] = STATE(6412),
    [sym_coercion_expression] = STATE(6412),
    [sym_local_open_expression] = STATE(6412),
    [sym_package_expression] = STATE(6412),
    [sym_new_expression] = STATE(6412),
    [sym_object_copy_expression] = STATE(6412),
    [sym_method_invocation] = STATE(6412),
    [sym_object_expression] = STATE(6412),
    [sym_parenthesized_expression] = STATE(6412),
    [sym_attribute] = STATE(2486),
    [sym_extension] = STATE(6412),
    [sym_quoted_extension] = STATE(6412),
    [sym__constant] = STATE(6412),
    [sym_number] = STATE(6178),
    [sym_character] = STATE(6178),
    [sym_string] = STATE(6178),
    [sym_quoted_string] = STATE(6178),
    [sym_boolean] = STATE(6178),
    [sym_unit] = STATE(6178),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6474),
    [sym_value_path] = STATE(6412),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(6412),
    [sym__constructor_name] = STATE(6179),
    [sym_tag] = STATE(6412),
    [aux_sym_class_application_repeat1] = STATE(2486),
    [sym__lowercase_identifier] = ACTIONS(5939),
    [anon_sym_TILDE] = ACTIONS(5942),
    [anon_sym_QMARK] = ACTIONS(5942),
    [anon_sym_LPAREN] = ACTIONS(5945),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(5948),
    [anon_sym_true] = ACTIONS(5951),
    [anon_sym_false] = ACTIONS(5951),
    [anon_sym_LBRACE] = ACTIONS(5954),
    [anon_sym_SEMI] = ACTIONS(3536),
    [anon_sym_object] = ACTIONS(5957),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5960),
    [anon_sym_to] = ACTIONS(3538),
    [anon_sym_downto] = ACTIONS(3538),
    [anon_sym_new] = ACTIONS(5963),
    [anon_sym_LBRACE_LT] = ACTIONS(5966),
    [anon_sym_begin] = ACTIONS(5969),
    [sym_ocamlyacc_value] = ACTIONS(5972),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5975),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5978),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(5984),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(5990),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(5993),
    [aux_sym_tag_token1] = ACTIONS(5996),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2487] = {
    [sym__simple_expression] = STATE(6576),
    [sym_typed_expression] = STATE(6486),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_labeled_argument] = STATE(7514),
    [sym_prefix_expression] = STATE(6486),
    [sym_hash_expression] = STATE(6486),
    [sym_field_get_expression] = STATE(6486),
    [sym_array_get_expression] = STATE(6486),
    [sym_string_get_expression] = STATE(6486),
    [sym_bigarray_get_expression] = STATE(6486),
    [sym_coercion_expression] = STATE(6486),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(2487),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [aux_sym_class_application_repeat1] = STATE(2491),
    [sym__lowercase_identifier] = ACTIONS(5317),
    [anon_sym_TILDE] = ACTIONS(5319),
    [anon_sym_QMARK] = ACTIONS(5319),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_SEMI] = ACTIONS(3529),
    [anon_sym_object] = ACTIONS(2201),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2205),
    [anon_sym_then] = ACTIONS(3531),
    [anon_sym_else] = ACTIONS(3531),
    [anon_sym_new] = ACTIONS(2215),
    [anon_sym_LBRACE_LT] = ACTIONS(2217),
    [anon_sym_begin] = ACTIONS(2219),
    [sym_ocamlyacc_value] = ACTIONS(2221),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2223),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2225),
    [aux_sym_number_token1] = ACTIONS(2227),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_prefix_operator] = ACTIONS(2233),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(2237),
    [aux_sym_tag_token1] = ACTIONS(2239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2488] = {
    [sym__simple_expression] = STATE(6623),
    [sym_typed_expression] = STATE(6526),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_labeled_argument] = STATE(7531),
    [sym_prefix_expression] = STATE(6526),
    [sym_hash_expression] = STATE(6526),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_coercion_expression] = STATE(6526),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2488),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [aux_sym_class_application_repeat1] = STATE(2492),
    [sym__lowercase_identifier] = ACTIONS(5327),
    [anon_sym_TILDE] = ACTIONS(5329),
    [anon_sym_QMARK] = ACTIONS(5329),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_SEMI] = ACTIONS(3529),
    [anon_sym_object] = ACTIONS(2253),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2257),
    [anon_sym_else] = ACTIONS(3531),
    [anon_sym_do] = ACTIONS(3531),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_LBRACE_LT] = ACTIONS(2269),
    [anon_sym_begin] = ACTIONS(2271),
    [sym_ocamlyacc_value] = ACTIONS(2273),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2277),
    [aux_sym_number_token1] = ACTIONS(2279),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(2289),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2489] = {
    [sym__simple_expression] = STATE(6668),
    [sym_typed_expression] = STATE(6568),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_labeled_argument] = STATE(7547),
    [sym_prefix_expression] = STATE(6568),
    [sym_hash_expression] = STATE(6568),
    [sym_field_get_expression] = STATE(6568),
    [sym_array_get_expression] = STATE(6568),
    [sym_string_get_expression] = STATE(6568),
    [sym_bigarray_get_expression] = STATE(6568),
    [sym_coercion_expression] = STATE(6568),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2489),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [aux_sym_class_application_repeat1] = STATE(2494),
    [sym__lowercase_identifier] = ACTIONS(5337),
    [anon_sym_TILDE] = ACTIONS(5339),
    [anon_sym_QMARK] = ACTIONS(5339),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_SEMI] = ACTIONS(3529),
    [anon_sym_with] = ACTIONS(3531),
    [anon_sym_object] = ACTIONS(2305),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2309),
    [anon_sym_else] = ACTIONS(3531),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_LBRACE_LT] = ACTIONS(2321),
    [anon_sym_begin] = ACTIONS(2323),
    [sym_ocamlyacc_value] = ACTIONS(2325),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2329),
    [aux_sym_number_token1] = ACTIONS(2331),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2490] = {
    [sym__simple_expression] = STATE(6691),
    [sym_typed_expression] = STATE(6612),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_labeled_argument] = STATE(7575),
    [sym_prefix_expression] = STATE(6612),
    [sym_hash_expression] = STATE(6612),
    [sym_field_get_expression] = STATE(6612),
    [sym_array_get_expression] = STATE(6612),
    [sym_string_get_expression] = STATE(6612),
    [sym_bigarray_get_expression] = STATE(6612),
    [sym_coercion_expression] = STATE(6612),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(2490),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [aux_sym_class_application_repeat1] = STATE(2495),
    [sym__lowercase_identifier] = ACTIONS(5347),
    [anon_sym_TILDE] = ACTIONS(5349),
    [anon_sym_QMARK] = ACTIONS(5349),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(2353),
    [anon_sym_false] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_SEMI] = ACTIONS(3529),
    [anon_sym_end] = ACTIONS(3531),
    [anon_sym_object] = ACTIONS(2357),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2361),
    [anon_sym_else] = ACTIONS(3531),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_LBRACE_LT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2375),
    [sym_ocamlyacc_value] = ACTIONS(2377),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2381),
    [aux_sym_number_token1] = ACTIONS(2383),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [sym_prefix_operator] = ACTIONS(2389),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(2393),
    [aux_sym_tag_token1] = ACTIONS(2395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2491] = {
    [sym__simple_expression] = STATE(6576),
    [sym_typed_expression] = STATE(6486),
    [sym_list_expression] = STATE(6486),
    [sym_array_expression] = STATE(6486),
    [sym_record_expression] = STATE(6486),
    [sym_labeled_argument] = STATE(7514),
    [sym_prefix_expression] = STATE(6486),
    [sym_hash_expression] = STATE(6486),
    [sym_field_get_expression] = STATE(6486),
    [sym_array_get_expression] = STATE(6486),
    [sym_string_get_expression] = STATE(6486),
    [sym_bigarray_get_expression] = STATE(6486),
    [sym_coercion_expression] = STATE(6486),
    [sym_local_open_expression] = STATE(6486),
    [sym_package_expression] = STATE(6486),
    [sym_new_expression] = STATE(6486),
    [sym_object_copy_expression] = STATE(6486),
    [sym_method_invocation] = STATE(6486),
    [sym_object_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_attribute] = STATE(2491),
    [sym_extension] = STATE(6486),
    [sym_quoted_extension] = STATE(6486),
    [sym__constant] = STATE(6486),
    [sym_number] = STATE(6192),
    [sym_character] = STATE(6192),
    [sym_string] = STATE(6192),
    [sym_quoted_string] = STATE(6192),
    [sym_boolean] = STATE(6192),
    [sym_unit] = STATE(6192),
    [sym__value_name] = STATE(6529),
    [sym_parenthesized_operator] = STATE(6684),
    [sym_value_path] = STATE(6486),
    [sym_module_path] = STATE(18018),
    [sym_constructor_path] = STATE(6486),
    [sym__constructor_name] = STATE(6194),
    [sym_tag] = STATE(6486),
    [aux_sym_class_application_repeat1] = STATE(2491),
    [sym__lowercase_identifier] = ACTIONS(5999),
    [anon_sym_TILDE] = ACTIONS(6002),
    [anon_sym_QMARK] = ACTIONS(6002),
    [anon_sym_LPAREN] = ACTIONS(6005),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(6008),
    [anon_sym_true] = ACTIONS(6011),
    [anon_sym_false] = ACTIONS(6011),
    [anon_sym_LBRACE] = ACTIONS(6014),
    [anon_sym_SEMI] = ACTIONS(3536),
    [anon_sym_object] = ACTIONS(6017),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6020),
    [anon_sym_then] = ACTIONS(3538),
    [anon_sym_else] = ACTIONS(3538),
    [anon_sym_new] = ACTIONS(6023),
    [anon_sym_LBRACE_LT] = ACTIONS(6026),
    [anon_sym_begin] = ACTIONS(6029),
    [sym_ocamlyacc_value] = ACTIONS(6032),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6035),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6038),
    [aux_sym_number_token1] = ACTIONS(6041),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(6044),
    [anon_sym_DQUOTE] = ACTIONS(6047),
    [sym_prefix_operator] = ACTIONS(6050),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(6053),
    [aux_sym_tag_token1] = ACTIONS(6056),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2492] = {
    [sym__simple_expression] = STATE(6623),
    [sym_typed_expression] = STATE(6526),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_labeled_argument] = STATE(7531),
    [sym_prefix_expression] = STATE(6526),
    [sym_hash_expression] = STATE(6526),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_coercion_expression] = STATE(6526),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2492),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6212),
    [sym_character] = STATE(6212),
    [sym_string] = STATE(6212),
    [sym_quoted_string] = STATE(6212),
    [sym_boolean] = STATE(6212),
    [sym_unit] = STATE(6212),
    [sym__value_name] = STATE(6569),
    [sym_parenthesized_operator] = STATE(6132),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(6526),
    [sym__constructor_name] = STATE(6213),
    [sym_tag] = STATE(6526),
    [aux_sym_class_application_repeat1] = STATE(2492),
    [sym__lowercase_identifier] = ACTIONS(6059),
    [anon_sym_TILDE] = ACTIONS(6062),
    [anon_sym_QMARK] = ACTIONS(6062),
    [anon_sym_LPAREN] = ACTIONS(6065),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(6068),
    [anon_sym_true] = ACTIONS(6071),
    [anon_sym_false] = ACTIONS(6071),
    [anon_sym_LBRACE] = ACTIONS(6074),
    [anon_sym_SEMI] = ACTIONS(3536),
    [anon_sym_object] = ACTIONS(6077),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6080),
    [anon_sym_else] = ACTIONS(3538),
    [anon_sym_do] = ACTIONS(3538),
    [anon_sym_new] = ACTIONS(6083),
    [anon_sym_LBRACE_LT] = ACTIONS(6086),
    [anon_sym_begin] = ACTIONS(6089),
    [sym_ocamlyacc_value] = ACTIONS(6092),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6098),
    [aux_sym_number_token1] = ACTIONS(6101),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(6104),
    [anon_sym_DQUOTE] = ACTIONS(6107),
    [sym_prefix_operator] = ACTIONS(6110),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(6113),
    [aux_sym_tag_token1] = ACTIONS(6116),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2493] = {
    [sym__simple_expression] = STATE(6333),
    [sym_typed_expression] = STATE(6355),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_labeled_argument] = STATE(7603),
    [sym_prefix_expression] = STATE(6355),
    [sym_hash_expression] = STATE(6355),
    [sym_field_get_expression] = STATE(6355),
    [sym_array_get_expression] = STATE(6355),
    [sym_string_get_expression] = STATE(6355),
    [sym_bigarray_get_expression] = STATE(6355),
    [sym_coercion_expression] = STATE(6355),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(2493),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym__value_name] = STATE(6398),
    [sym_parenthesized_operator] = STATE(6411),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19462),
    [sym_constructor_path] = STATE(6355),
    [sym__constructor_name] = STATE(6488),
    [sym_tag] = STATE(6355),
    [aux_sym_class_application_repeat1] = STATE(2493),
    [ts_builtin_sym_end] = ACTIONS(3536),
    [sym__lowercase_identifier] = ACTIONS(6119),
    [anon_sym_SEMI_SEMI] = ACTIONS(3536),
    [anon_sym_and] = ACTIONS(3538),
    [anon_sym_TILDE] = ACTIONS(6122),
    [anon_sym_QMARK] = ACTIONS(6122),
    [anon_sym_LPAREN] = ACTIONS(6125),
    [anon_sym_external] = ACTIONS(3538),
    [anon_sym_type] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(6128),
    [anon_sym_RBRACK] = ACTIONS(3536),
    [anon_sym_true] = ACTIONS(6131),
    [anon_sym_false] = ACTIONS(6131),
    [anon_sym_LBRACE] = ACTIONS(6134),
    [anon_sym_exception] = ACTIONS(3538),
    [anon_sym_module] = ACTIONS(3538),
    [anon_sym_open] = ACTIONS(3538),
    [anon_sym_include] = ACTIONS(3538),
    [anon_sym_class] = ACTIONS(3538),
    [anon_sym_val] = ACTIONS(3538),
    [anon_sym_object] = ACTIONS(6137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6140),
    [anon_sym_new] = ACTIONS(6143),
    [anon_sym_LBRACE_LT] = ACTIONS(6146),
    [anon_sym_begin] = ACTIONS(6149),
    [sym_ocamlyacc_value] = ACTIONS(6152),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3538),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3536),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6158),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3536),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3536),
    [aux_sym_number_token1] = ACTIONS(6161),
    [anon_sym_SQUOTE] = ACTIONS(6164),
    [anon_sym_DQUOTE] = ACTIONS(6167),
    [sym_prefix_operator] = ACTIONS(6170),
    [sym__uppercase_identifier] = ACTIONS(6173),
    [aux_sym_tag_token1] = ACTIONS(6176),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2494] = {
    [sym__simple_expression] = STATE(6668),
    [sym_typed_expression] = STATE(6568),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_labeled_argument] = STATE(7547),
    [sym_prefix_expression] = STATE(6568),
    [sym_hash_expression] = STATE(6568),
    [sym_field_get_expression] = STATE(6568),
    [sym_array_get_expression] = STATE(6568),
    [sym_string_get_expression] = STATE(6568),
    [sym_bigarray_get_expression] = STATE(6568),
    [sym_coercion_expression] = STATE(6568),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2494),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6228),
    [sym_character] = STATE(6228),
    [sym_string] = STATE(6228),
    [sym_quoted_string] = STATE(6228),
    [sym_boolean] = STATE(6228),
    [sym_unit] = STATE(6228),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6164),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(18139),
    [sym_constructor_path] = STATE(6568),
    [sym__constructor_name] = STATE(6230),
    [sym_tag] = STATE(6568),
    [aux_sym_class_application_repeat1] = STATE(2494),
    [sym__lowercase_identifier] = ACTIONS(6179),
    [anon_sym_TILDE] = ACTIONS(6182),
    [anon_sym_QMARK] = ACTIONS(6182),
    [anon_sym_LPAREN] = ACTIONS(6185),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(6188),
    [anon_sym_true] = ACTIONS(6191),
    [anon_sym_false] = ACTIONS(6191),
    [anon_sym_LBRACE] = ACTIONS(6194),
    [anon_sym_SEMI] = ACTIONS(3536),
    [anon_sym_with] = ACTIONS(3538),
    [anon_sym_object] = ACTIONS(6197),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6200),
    [anon_sym_else] = ACTIONS(3538),
    [anon_sym_new] = ACTIONS(6203),
    [anon_sym_LBRACE_LT] = ACTIONS(6206),
    [anon_sym_begin] = ACTIONS(6209),
    [sym_ocamlyacc_value] = ACTIONS(6212),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6215),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6218),
    [aux_sym_number_token1] = ACTIONS(6221),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(6224),
    [anon_sym_DQUOTE] = ACTIONS(6227),
    [sym_prefix_operator] = ACTIONS(6230),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(6233),
    [aux_sym_tag_token1] = ACTIONS(6236),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2495] = {
    [sym__simple_expression] = STATE(6691),
    [sym_typed_expression] = STATE(6612),
    [sym_list_expression] = STATE(6612),
    [sym_array_expression] = STATE(6612),
    [sym_record_expression] = STATE(6612),
    [sym_labeled_argument] = STATE(7575),
    [sym_prefix_expression] = STATE(6612),
    [sym_hash_expression] = STATE(6612),
    [sym_field_get_expression] = STATE(6612),
    [sym_array_get_expression] = STATE(6612),
    [sym_string_get_expression] = STATE(6612),
    [sym_bigarray_get_expression] = STATE(6612),
    [sym_coercion_expression] = STATE(6612),
    [sym_local_open_expression] = STATE(6612),
    [sym_package_expression] = STATE(6612),
    [sym_new_expression] = STATE(6612),
    [sym_object_copy_expression] = STATE(6612),
    [sym_method_invocation] = STATE(6612),
    [sym_object_expression] = STATE(6612),
    [sym_parenthesized_expression] = STATE(6612),
    [sym_attribute] = STATE(2495),
    [sym_extension] = STATE(6612),
    [sym_quoted_extension] = STATE(6612),
    [sym__constant] = STATE(6612),
    [sym_number] = STATE(6252),
    [sym_character] = STATE(6252),
    [sym_string] = STATE(6252),
    [sym_quoted_string] = STATE(6252),
    [sym_boolean] = STATE(6252),
    [sym_unit] = STATE(6252),
    [sym__value_name] = STATE(6665),
    [sym_parenthesized_operator] = STATE(6320),
    [sym_value_path] = STATE(6612),
    [sym_module_path] = STATE(18179),
    [sym_constructor_path] = STATE(6612),
    [sym__constructor_name] = STATE(6253),
    [sym_tag] = STATE(6612),
    [aux_sym_class_application_repeat1] = STATE(2495),
    [sym__lowercase_identifier] = ACTIONS(6239),
    [anon_sym_TILDE] = ACTIONS(6242),
    [anon_sym_QMARK] = ACTIONS(6242),
    [anon_sym_LPAREN] = ACTIONS(6245),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(6248),
    [anon_sym_true] = ACTIONS(6251),
    [anon_sym_false] = ACTIONS(6251),
    [anon_sym_LBRACE] = ACTIONS(6254),
    [anon_sym_SEMI] = ACTIONS(3536),
    [anon_sym_end] = ACTIONS(3538),
    [anon_sym_object] = ACTIONS(6257),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6260),
    [anon_sym_else] = ACTIONS(3538),
    [anon_sym_new] = ACTIONS(6263),
    [anon_sym_LBRACE_LT] = ACTIONS(6266),
    [anon_sym_begin] = ACTIONS(6269),
    [sym_ocamlyacc_value] = ACTIONS(6272),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6275),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6278),
    [aux_sym_number_token1] = ACTIONS(6281),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(6284),
    [anon_sym_DQUOTE] = ACTIONS(6287),
    [sym_prefix_operator] = ACTIONS(6290),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(6293),
    [aux_sym_tag_token1] = ACTIONS(6296),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2496] = {
    [sym__simple_expression] = STATE(6786),
    [sym_typed_expression] = STATE(6844),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_labeled_argument] = STATE(7695),
    [sym_prefix_expression] = STATE(6844),
    [sym_hash_expression] = STATE(6844),
    [sym_field_get_expression] = STATE(6844),
    [sym_array_get_expression] = STATE(6844),
    [sym_string_get_expression] = STATE(6844),
    [sym_bigarray_get_expression] = STATE(6844),
    [sym_coercion_expression] = STATE(6844),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2496),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [aux_sym_class_application_repeat1] = STATE(2502),
    [sym__lowercase_identifier] = ACTIONS(5517),
    [anon_sym_TILDE] = ACTIONS(5519),
    [anon_sym_QMARK] = ACTIONS(5519),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_SEMI] = ACTIONS(3529),
    [anon_sym_end] = ACTIONS(3531),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2809),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_LBRACE_LT] = ACTIONS(2821),
    [anon_sym_begin] = ACTIONS(2823),
    [sym_ocamlyacc_value] = ACTIONS(2825),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2827),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2829),
    [aux_sym_number_token1] = ACTIONS(2831),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(2841),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2497] = {
    [sym__simple_expression] = STATE(7135),
    [sym_typed_expression] = STATE(6771),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_labeled_argument] = STATE(7680),
    [sym_prefix_expression] = STATE(6771),
    [sym_hash_expression] = STATE(6771),
    [sym_field_get_expression] = STATE(6771),
    [sym_array_get_expression] = STATE(6771),
    [sym_string_get_expression] = STATE(6771),
    [sym_bigarray_get_expression] = STATE(6771),
    [sym_coercion_expression] = STATE(6771),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2497),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [aux_sym_class_application_repeat1] = STATE(2497),
    [sym__lowercase_identifier] = ACTIONS(6299),
    [anon_sym_TILDE] = ACTIONS(6302),
    [anon_sym_QMARK] = ACTIONS(6302),
    [anon_sym_LPAREN] = ACTIONS(6305),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_true] = ACTIONS(6311),
    [anon_sym_false] = ACTIONS(6311),
    [anon_sym_LBRACE] = ACTIONS(6314),
    [anon_sym_SEMI] = ACTIONS(3536),
    [anon_sym_with] = ACTIONS(3538),
    [anon_sym_object] = ACTIONS(6317),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6320),
    [anon_sym_new] = ACTIONS(6323),
    [anon_sym_LBRACE_LT] = ACTIONS(6326),
    [anon_sym_begin] = ACTIONS(6329),
    [sym_ocamlyacc_value] = ACTIONS(6332),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6338),
    [aux_sym_number_token1] = ACTIONS(6341),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(6344),
    [anon_sym_DQUOTE] = ACTIONS(6347),
    [sym_prefix_operator] = ACTIONS(6350),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(6353),
    [aux_sym_tag_token1] = ACTIONS(6356),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2498] = {
    [sym__simple_expression] = STATE(7052),
    [sym_typed_expression] = STATE(7016),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_labeled_argument] = STATE(7692),
    [sym_prefix_expression] = STATE(7016),
    [sym_hash_expression] = STATE(7016),
    [sym_field_get_expression] = STATE(7016),
    [sym_array_get_expression] = STATE(7016),
    [sym_string_get_expression] = STATE(7016),
    [sym_bigarray_get_expression] = STATE(7016),
    [sym_coercion_expression] = STATE(7016),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(2498),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [aux_sym_class_application_repeat1] = STATE(2498),
    [sym__lowercase_identifier] = ACTIONS(6359),
    [anon_sym_TILDE] = ACTIONS(6362),
    [anon_sym_QMARK] = ACTIONS(6362),
    [anon_sym_LPAREN] = ACTIONS(6365),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(6368),
    [anon_sym_true] = ACTIONS(6371),
    [anon_sym_false] = ACTIONS(6371),
    [anon_sym_LBRACE] = ACTIONS(6374),
    [anon_sym_SEMI] = ACTIONS(3536),
    [anon_sym_object] = ACTIONS(6377),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6380),
    [anon_sym_done] = ACTIONS(3538),
    [anon_sym_new] = ACTIONS(6383),
    [anon_sym_LBRACE_LT] = ACTIONS(6386),
    [anon_sym_begin] = ACTIONS(6389),
    [sym_ocamlyacc_value] = ACTIONS(6392),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6395),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6398),
    [aux_sym_number_token1] = ACTIONS(6401),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(6404),
    [anon_sym_DQUOTE] = ACTIONS(6407),
    [sym_prefix_operator] = ACTIONS(6410),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(6413),
    [aux_sym_tag_token1] = ACTIONS(6416),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2499] = {
    [sym__simple_expression] = STATE(7089),
    [sym_typed_expression] = STATE(6765),
    [sym_list_expression] = STATE(6765),
    [sym_array_expression] = STATE(6765),
    [sym_record_expression] = STATE(6765),
    [sym_labeled_argument] = STATE(7637),
    [sym_prefix_expression] = STATE(6765),
    [sym_hash_expression] = STATE(6765),
    [sym_field_get_expression] = STATE(6765),
    [sym_array_get_expression] = STATE(6765),
    [sym_string_get_expression] = STATE(6765),
    [sym_bigarray_get_expression] = STATE(6765),
    [sym_coercion_expression] = STATE(6765),
    [sym_local_open_expression] = STATE(6765),
    [sym_package_expression] = STATE(6765),
    [sym_new_expression] = STATE(6765),
    [sym_object_copy_expression] = STATE(6765),
    [sym_method_invocation] = STATE(6765),
    [sym_object_expression] = STATE(6765),
    [sym_parenthesized_expression] = STATE(6765),
    [sym_attribute] = STATE(2499),
    [sym_extension] = STATE(6765),
    [sym_quoted_extension] = STATE(6765),
    [sym__constant] = STATE(6765),
    [sym_number] = STATE(6706),
    [sym_character] = STATE(6706),
    [sym_string] = STATE(6706),
    [sym_quoted_string] = STATE(6706),
    [sym_boolean] = STATE(6706),
    [sym_unit] = STATE(6706),
    [sym__value_name] = STATE(6999),
    [sym_parenthesized_operator] = STATE(7103),
    [sym_value_path] = STATE(6765),
    [sym_module_path] = STATE(18339),
    [sym_constructor_path] = STATE(6765),
    [sym__constructor_name] = STATE(6707),
    [sym_tag] = STATE(6765),
    [aux_sym_class_application_repeat1] = STATE(2504),
    [sym__lowercase_identifier] = ACTIONS(6419),
    [anon_sym_SEMI_SEMI] = ACTIONS(5605),
    [anon_sym_and] = ACTIONS(5607),
    [anon_sym_TILDE] = ACTIONS(6421),
    [anon_sym_QMARK] = ACTIONS(6421),
    [anon_sym_LPAREN] = ACTIONS(6423),
    [anon_sym_external] = ACTIONS(5607),
    [anon_sym_type] = ACTIONS(5607),
    [anon_sym_LBRACK] = ACTIONS(6425),
    [anon_sym_true] = ACTIONS(6427),
    [anon_sym_false] = ACTIONS(6427),
    [anon_sym_LBRACE] = ACTIONS(6429),
    [anon_sym_exception] = ACTIONS(5607),
    [anon_sym_module] = ACTIONS(5607),
    [anon_sym_open] = ACTIONS(5607),
    [anon_sym_include] = ACTIONS(5607),
    [anon_sym_class] = ACTIONS(5607),
    [anon_sym_val] = ACTIONS(5607),
    [anon_sym_end] = ACTIONS(5607),
    [anon_sym_object] = ACTIONS(6431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6433),
    [anon_sym_new] = ACTIONS(6435),
    [anon_sym_LBRACE_LT] = ACTIONS(6437),
    [anon_sym_begin] = ACTIONS(6439),
    [sym_ocamlyacc_value] = ACTIONS(6441),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5607),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5605),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6445),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5605),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5605),
    [aux_sym_number_token1] = ACTIONS(6447),
    [anon_sym_SQUOTE] = ACTIONS(6449),
    [anon_sym_DQUOTE] = ACTIONS(6451),
    [sym_prefix_operator] = ACTIONS(6453),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2500] = {
    [sym__simple_expression] = STATE(7135),
    [sym_typed_expression] = STATE(6771),
    [sym_list_expression] = STATE(6771),
    [sym_array_expression] = STATE(6771),
    [sym_record_expression] = STATE(6771),
    [sym_labeled_argument] = STATE(7680),
    [sym_prefix_expression] = STATE(6771),
    [sym_hash_expression] = STATE(6771),
    [sym_field_get_expression] = STATE(6771),
    [sym_array_get_expression] = STATE(6771),
    [sym_string_get_expression] = STATE(6771),
    [sym_bigarray_get_expression] = STATE(6771),
    [sym_coercion_expression] = STATE(6771),
    [sym_local_open_expression] = STATE(6771),
    [sym_package_expression] = STATE(6771),
    [sym_new_expression] = STATE(6771),
    [sym_object_copy_expression] = STATE(6771),
    [sym_method_invocation] = STATE(6771),
    [sym_object_expression] = STATE(6771),
    [sym_parenthesized_expression] = STATE(6771),
    [sym_attribute] = STATE(2500),
    [sym_extension] = STATE(6771),
    [sym_quoted_extension] = STATE(6771),
    [sym__constant] = STATE(6771),
    [sym_number] = STATE(6940),
    [sym_character] = STATE(6940),
    [sym_string] = STATE(6940),
    [sym_quoted_string] = STATE(6940),
    [sym_boolean] = STATE(6940),
    [sym_unit] = STATE(6940),
    [sym__value_name] = STATE(6775),
    [sym_parenthesized_operator] = STATE(6842),
    [sym_value_path] = STATE(6771),
    [sym_module_path] = STATE(18261),
    [sym_constructor_path] = STATE(6771),
    [sym__constructor_name] = STATE(6980),
    [sym_tag] = STATE(6771),
    [aux_sym_class_application_repeat1] = STATE(2497),
    [sym__lowercase_identifier] = ACTIONS(5435),
    [anon_sym_TILDE] = ACTIONS(5437),
    [anon_sym_QMARK] = ACTIONS(5437),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_true] = ACTIONS(2749),
    [anon_sym_false] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_SEMI] = ACTIONS(3529),
    [anon_sym_with] = ACTIONS(3531),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2757),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_LBRACE_LT] = ACTIONS(2769),
    [anon_sym_begin] = ACTIONS(2771),
    [sym_ocamlyacc_value] = ACTIONS(2773),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2777),
    [aux_sym_number_token1] = ACTIONS(2779),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_prefix_operator] = ACTIONS(2785),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(2789),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2501] = {
    [sym__simple_expression] = STATE(7052),
    [sym_typed_expression] = STATE(7016),
    [sym_list_expression] = STATE(7016),
    [sym_array_expression] = STATE(7016),
    [sym_record_expression] = STATE(7016),
    [sym_labeled_argument] = STATE(7692),
    [sym_prefix_expression] = STATE(7016),
    [sym_hash_expression] = STATE(7016),
    [sym_field_get_expression] = STATE(7016),
    [sym_array_get_expression] = STATE(7016),
    [sym_string_get_expression] = STATE(7016),
    [sym_bigarray_get_expression] = STATE(7016),
    [sym_coercion_expression] = STATE(7016),
    [sym_local_open_expression] = STATE(7016),
    [sym_package_expression] = STATE(7016),
    [sym_new_expression] = STATE(7016),
    [sym_object_copy_expression] = STATE(7016),
    [sym_method_invocation] = STATE(7016),
    [sym_object_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_attribute] = STATE(2501),
    [sym_extension] = STATE(7016),
    [sym_quoted_extension] = STATE(7016),
    [sym__constant] = STATE(7016),
    [sym_number] = STATE(7114),
    [sym_character] = STATE(7114),
    [sym_string] = STATE(7114),
    [sym_quoted_string] = STATE(7114),
    [sym_boolean] = STATE(7114),
    [sym_unit] = STATE(7114),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(7084),
    [sym_value_path] = STATE(7016),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(7016),
    [sym__constructor_name] = STATE(6731),
    [sym_tag] = STATE(7016),
    [aux_sym_class_application_repeat1] = STATE(2498),
    [sym__lowercase_identifier] = ACTIONS(5371),
    [anon_sym_TILDE] = ACTIONS(5373),
    [anon_sym_QMARK] = ACTIONS(5373),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(2579),
    [anon_sym_false] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_SEMI] = ACTIONS(3529),
    [anon_sym_object] = ACTIONS(2583),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2587),
    [anon_sym_done] = ACTIONS(3531),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACE_LT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2601),
    [sym_ocamlyacc_value] = ACTIONS(2603),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2607),
    [aux_sym_number_token1] = ACTIONS(2609),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_prefix_operator] = ACTIONS(2615),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(2619),
    [aux_sym_tag_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2502] = {
    [sym__simple_expression] = STATE(6786),
    [sym_typed_expression] = STATE(6844),
    [sym_list_expression] = STATE(6844),
    [sym_array_expression] = STATE(6844),
    [sym_record_expression] = STATE(6844),
    [sym_labeled_argument] = STATE(7695),
    [sym_prefix_expression] = STATE(6844),
    [sym_hash_expression] = STATE(6844),
    [sym_field_get_expression] = STATE(6844),
    [sym_array_get_expression] = STATE(6844),
    [sym_string_get_expression] = STATE(6844),
    [sym_bigarray_get_expression] = STATE(6844),
    [sym_coercion_expression] = STATE(6844),
    [sym_local_open_expression] = STATE(6844),
    [sym_package_expression] = STATE(6844),
    [sym_new_expression] = STATE(6844),
    [sym_object_copy_expression] = STATE(6844),
    [sym_method_invocation] = STATE(6844),
    [sym_object_expression] = STATE(6844),
    [sym_parenthesized_expression] = STATE(6844),
    [sym_attribute] = STATE(2502),
    [sym_extension] = STATE(6844),
    [sym_quoted_extension] = STATE(6844),
    [sym__constant] = STATE(6844),
    [sym_number] = STATE(7000),
    [sym_character] = STATE(7000),
    [sym_string] = STATE(7000),
    [sym_quoted_string] = STATE(7000),
    [sym_boolean] = STATE(7000),
    [sym_unit] = STATE(7000),
    [sym__value_name] = STATE(6847),
    [sym_parenthesized_operator] = STATE(6907),
    [sym_value_path] = STATE(6844),
    [sym_module_path] = STATE(18656),
    [sym_constructor_path] = STATE(6844),
    [sym__constructor_name] = STATE(7001),
    [sym_tag] = STATE(6844),
    [aux_sym_class_application_repeat1] = STATE(2502),
    [sym__lowercase_identifier] = ACTIONS(6459),
    [anon_sym_TILDE] = ACTIONS(6462),
    [anon_sym_QMARK] = ACTIONS(6462),
    [anon_sym_LPAREN] = ACTIONS(6465),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(6468),
    [anon_sym_true] = ACTIONS(6471),
    [anon_sym_false] = ACTIONS(6471),
    [anon_sym_LBRACE] = ACTIONS(6474),
    [anon_sym_SEMI] = ACTIONS(3536),
    [anon_sym_end] = ACTIONS(3538),
    [anon_sym_object] = ACTIONS(6477),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6480),
    [anon_sym_new] = ACTIONS(6483),
    [anon_sym_LBRACE_LT] = ACTIONS(6486),
    [anon_sym_begin] = ACTIONS(6489),
    [sym_ocamlyacc_value] = ACTIONS(6492),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6498),
    [aux_sym_number_token1] = ACTIONS(6501),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(6504),
    [anon_sym_DQUOTE] = ACTIONS(6507),
    [sym_prefix_operator] = ACTIONS(6510),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(6513),
    [aux_sym_tag_token1] = ACTIONS(6516),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2503] = {
    [sym__simple_expression] = STATE(6857),
    [sym_typed_expression] = STATE(7123),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_labeled_argument] = STATE(7652),
    [sym_prefix_expression] = STATE(7123),
    [sym_hash_expression] = STATE(7123),
    [sym_field_get_expression] = STATE(7123),
    [sym_array_get_expression] = STATE(7123),
    [sym_string_get_expression] = STATE(7123),
    [sym_bigarray_get_expression] = STATE(7123),
    [sym_coercion_expression] = STATE(7123),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(2503),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [aux_sym_class_application_repeat1] = STATE(2503),
    [sym__lowercase_identifier] = ACTIONS(6519),
    [anon_sym_TILDE] = ACTIONS(6522),
    [anon_sym_QMARK] = ACTIONS(6522),
    [anon_sym_LPAREN] = ACTIONS(6525),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(6528),
    [anon_sym_true] = ACTIONS(6531),
    [anon_sym_false] = ACTIONS(6531),
    [anon_sym_LBRACE] = ACTIONS(6534),
    [anon_sym_SEMI] = ACTIONS(3536),
    [anon_sym_object] = ACTIONS(6537),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6540),
    [anon_sym_do] = ACTIONS(3538),
    [anon_sym_new] = ACTIONS(6543),
    [anon_sym_LBRACE_LT] = ACTIONS(6546),
    [anon_sym_begin] = ACTIONS(6549),
    [sym_ocamlyacc_value] = ACTIONS(6552),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6558),
    [aux_sym_number_token1] = ACTIONS(6561),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(6564),
    [anon_sym_DQUOTE] = ACTIONS(6567),
    [sym_prefix_operator] = ACTIONS(6570),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(6573),
    [aux_sym_tag_token1] = ACTIONS(6576),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2504] = {
    [sym__simple_expression] = STATE(7089),
    [sym_typed_expression] = STATE(6765),
    [sym_list_expression] = STATE(6765),
    [sym_array_expression] = STATE(6765),
    [sym_record_expression] = STATE(6765),
    [sym_labeled_argument] = STATE(7637),
    [sym_prefix_expression] = STATE(6765),
    [sym_hash_expression] = STATE(6765),
    [sym_field_get_expression] = STATE(6765),
    [sym_array_get_expression] = STATE(6765),
    [sym_string_get_expression] = STATE(6765),
    [sym_bigarray_get_expression] = STATE(6765),
    [sym_coercion_expression] = STATE(6765),
    [sym_local_open_expression] = STATE(6765),
    [sym_package_expression] = STATE(6765),
    [sym_new_expression] = STATE(6765),
    [sym_object_copy_expression] = STATE(6765),
    [sym_method_invocation] = STATE(6765),
    [sym_object_expression] = STATE(6765),
    [sym_parenthesized_expression] = STATE(6765),
    [sym_attribute] = STATE(2504),
    [sym_extension] = STATE(6765),
    [sym_quoted_extension] = STATE(6765),
    [sym__constant] = STATE(6765),
    [sym_number] = STATE(6706),
    [sym_character] = STATE(6706),
    [sym_string] = STATE(6706),
    [sym_quoted_string] = STATE(6706),
    [sym_boolean] = STATE(6706),
    [sym_unit] = STATE(6706),
    [sym__value_name] = STATE(6999),
    [sym_parenthesized_operator] = STATE(7103),
    [sym_value_path] = STATE(6765),
    [sym_module_path] = STATE(18339),
    [sym_constructor_path] = STATE(6765),
    [sym__constructor_name] = STATE(6707),
    [sym_tag] = STATE(6765),
    [aux_sym_class_application_repeat1] = STATE(2504),
    [sym__lowercase_identifier] = ACTIONS(6579),
    [anon_sym_SEMI_SEMI] = ACTIONS(3536),
    [anon_sym_and] = ACTIONS(3538),
    [anon_sym_TILDE] = ACTIONS(6582),
    [anon_sym_QMARK] = ACTIONS(6582),
    [anon_sym_LPAREN] = ACTIONS(6585),
    [anon_sym_external] = ACTIONS(3538),
    [anon_sym_type] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(6588),
    [anon_sym_true] = ACTIONS(6591),
    [anon_sym_false] = ACTIONS(6591),
    [anon_sym_LBRACE] = ACTIONS(6594),
    [anon_sym_exception] = ACTIONS(3538),
    [anon_sym_module] = ACTIONS(3538),
    [anon_sym_open] = ACTIONS(3538),
    [anon_sym_include] = ACTIONS(3538),
    [anon_sym_class] = ACTIONS(3538),
    [anon_sym_val] = ACTIONS(3538),
    [anon_sym_end] = ACTIONS(3538),
    [anon_sym_object] = ACTIONS(6597),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6600),
    [anon_sym_new] = ACTIONS(6603),
    [anon_sym_LBRACE_LT] = ACTIONS(6606),
    [anon_sym_begin] = ACTIONS(6609),
    [sym_ocamlyacc_value] = ACTIONS(6612),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3538),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3536),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6618),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3536),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3536),
    [aux_sym_number_token1] = ACTIONS(6621),
    [anon_sym_SQUOTE] = ACTIONS(6624),
    [anon_sym_DQUOTE] = ACTIONS(6627),
    [sym_prefix_operator] = ACTIONS(6630),
    [sym__uppercase_identifier] = ACTIONS(6633),
    [aux_sym_tag_token1] = ACTIONS(6636),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2505] = {
    [sym__simple_expression] = STATE(7089),
    [sym_typed_expression] = STATE(6765),
    [sym_list_expression] = STATE(6765),
    [sym_array_expression] = STATE(6765),
    [sym_record_expression] = STATE(6765),
    [sym_labeled_argument] = STATE(7637),
    [sym_prefix_expression] = STATE(6765),
    [sym_hash_expression] = STATE(6765),
    [sym_field_get_expression] = STATE(6765),
    [sym_array_get_expression] = STATE(6765),
    [sym_string_get_expression] = STATE(6765),
    [sym_bigarray_get_expression] = STATE(6765),
    [sym_coercion_expression] = STATE(6765),
    [sym_local_open_expression] = STATE(6765),
    [sym_package_expression] = STATE(6765),
    [sym_new_expression] = STATE(6765),
    [sym_object_copy_expression] = STATE(6765),
    [sym_method_invocation] = STATE(6765),
    [sym_object_expression] = STATE(6765),
    [sym_parenthesized_expression] = STATE(6765),
    [sym_attribute] = STATE(2505),
    [sym_extension] = STATE(6765),
    [sym_quoted_extension] = STATE(6765),
    [sym__constant] = STATE(6765),
    [sym_number] = STATE(6706),
    [sym_character] = STATE(6706),
    [sym_string] = STATE(6706),
    [sym_quoted_string] = STATE(6706),
    [sym_boolean] = STATE(6706),
    [sym_unit] = STATE(6706),
    [sym__value_name] = STATE(6999),
    [sym_parenthesized_operator] = STATE(7103),
    [sym_value_path] = STATE(6765),
    [sym_module_path] = STATE(18339),
    [sym_constructor_path] = STATE(6765),
    [sym__constructor_name] = STATE(6707),
    [sym_tag] = STATE(6765),
    [aux_sym_class_application_repeat1] = STATE(2499),
    [sym__lowercase_identifier] = ACTIONS(6419),
    [anon_sym_SEMI_SEMI] = ACTIONS(5561),
    [anon_sym_and] = ACTIONS(5563),
    [anon_sym_TILDE] = ACTIONS(6421),
    [anon_sym_QMARK] = ACTIONS(6421),
    [anon_sym_LPAREN] = ACTIONS(6423),
    [anon_sym_external] = ACTIONS(5563),
    [anon_sym_type] = ACTIONS(5563),
    [anon_sym_LBRACK] = ACTIONS(6425),
    [anon_sym_true] = ACTIONS(6427),
    [anon_sym_false] = ACTIONS(6427),
    [anon_sym_LBRACE] = ACTIONS(6429),
    [anon_sym_exception] = ACTIONS(5563),
    [anon_sym_module] = ACTIONS(5563),
    [anon_sym_open] = ACTIONS(5563),
    [anon_sym_include] = ACTIONS(5563),
    [anon_sym_class] = ACTIONS(5563),
    [anon_sym_val] = ACTIONS(5563),
    [anon_sym_end] = ACTIONS(5563),
    [anon_sym_object] = ACTIONS(6431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6433),
    [anon_sym_new] = ACTIONS(6435),
    [anon_sym_LBRACE_LT] = ACTIONS(6437),
    [anon_sym_begin] = ACTIONS(6439),
    [sym_ocamlyacc_value] = ACTIONS(6441),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5563),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5561),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6445),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5561),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5561),
    [aux_sym_number_token1] = ACTIONS(6447),
    [anon_sym_SQUOTE] = ACTIONS(6449),
    [anon_sym_DQUOTE] = ACTIONS(6451),
    [sym_prefix_operator] = ACTIONS(6453),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2506] = {
    [sym__simple_expression] = STATE(6857),
    [sym_typed_expression] = STATE(7123),
    [sym_list_expression] = STATE(7123),
    [sym_array_expression] = STATE(7123),
    [sym_record_expression] = STATE(7123),
    [sym_labeled_argument] = STATE(7652),
    [sym_prefix_expression] = STATE(7123),
    [sym_hash_expression] = STATE(7123),
    [sym_field_get_expression] = STATE(7123),
    [sym_array_get_expression] = STATE(7123),
    [sym_string_get_expression] = STATE(7123),
    [sym_bigarray_get_expression] = STATE(7123),
    [sym_coercion_expression] = STATE(7123),
    [sym_local_open_expression] = STATE(7123),
    [sym_package_expression] = STATE(7123),
    [sym_new_expression] = STATE(7123),
    [sym_object_copy_expression] = STATE(7123),
    [sym_method_invocation] = STATE(7123),
    [sym_object_expression] = STATE(7123),
    [sym_parenthesized_expression] = STATE(7123),
    [sym_attribute] = STATE(2506),
    [sym_extension] = STATE(7123),
    [sym_quoted_extension] = STATE(7123),
    [sym__constant] = STATE(7123),
    [sym_number] = STATE(6911),
    [sym_character] = STATE(6911),
    [sym_string] = STATE(6911),
    [sym_quoted_string] = STATE(6911),
    [sym_boolean] = STATE(6911),
    [sym_unit] = STATE(6911),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(6769),
    [sym_value_path] = STATE(7123),
    [sym_module_path] = STATE(17859),
    [sym_constructor_path] = STATE(7123),
    [sym__constructor_name] = STATE(6941),
    [sym_tag] = STATE(7123),
    [aux_sym_class_application_repeat1] = STATE(2503),
    [sym__lowercase_identifier] = ACTIONS(5527),
    [anon_sym_TILDE] = ACTIONS(5529),
    [anon_sym_QMARK] = ACTIONS(5529),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_SEMI] = ACTIONS(3529),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_do] = ACTIONS(3531),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2507] = {
    [sym__simple_expression] = STATE(7083),
    [sym_typed_expression] = STATE(6726),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_labeled_argument] = STATE(7621),
    [sym_prefix_expression] = STATE(6726),
    [sym_hash_expression] = STATE(6726),
    [sym_field_get_expression] = STATE(6726),
    [sym_array_get_expression] = STATE(6726),
    [sym_string_get_expression] = STATE(6726),
    [sym_bigarray_get_expression] = STATE(6726),
    [sym_coercion_expression] = STATE(6726),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(2507),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [aux_sym_class_application_repeat1] = STATE(2507),
    [sym__lowercase_identifier] = ACTIONS(6639),
    [anon_sym_TILDE] = ACTIONS(6642),
    [anon_sym_QMARK] = ACTIONS(6642),
    [anon_sym_LPAREN] = ACTIONS(6645),
    [anon_sym_COMMA] = ACTIONS(3536),
    [anon_sym_PIPE] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(6648),
    [anon_sym_true] = ACTIONS(6651),
    [anon_sym_false] = ACTIONS(6651),
    [anon_sym_LBRACE] = ACTIONS(6654),
    [anon_sym_SEMI] = ACTIONS(3536),
    [anon_sym_object] = ACTIONS(6657),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6660),
    [anon_sym_then] = ACTIONS(3538),
    [anon_sym_new] = ACTIONS(6663),
    [anon_sym_LBRACE_LT] = ACTIONS(6666),
    [anon_sym_begin] = ACTIONS(6669),
    [sym_ocamlyacc_value] = ACTIONS(6672),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6675),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6678),
    [aux_sym_number_token1] = ACTIONS(6681),
    [aux_sym_signed_number_token1] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(6684),
    [anon_sym_DQUOTE] = ACTIONS(6687),
    [sym_prefix_operator] = ACTIONS(6690),
    [aux_sym_sign_operator_token1] = ACTIONS(3538),
    [sym_pow_operator] = ACTIONS(3538),
    [sym_mult_operator] = ACTIONS(3538),
    [aux_sym_add_operator_token1] = ACTIONS(3538),
    [sym_concat_operator] = ACTIONS(3536),
    [sym_rel_operator] = ACTIONS(3538),
    [sym_and_operator] = ACTIONS(3538),
    [sym_or_operator] = ACTIONS(3538),
    [sym_assign_operator] = ACTIONS(3536),
    [sym__uppercase_identifier] = ACTIONS(6693),
    [aux_sym_tag_token1] = ACTIONS(6696),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2508] = {
    [sym__simple_expression] = STATE(7083),
    [sym_typed_expression] = STATE(6726),
    [sym_list_expression] = STATE(6726),
    [sym_array_expression] = STATE(6726),
    [sym_record_expression] = STATE(6726),
    [sym_labeled_argument] = STATE(7621),
    [sym_prefix_expression] = STATE(6726),
    [sym_hash_expression] = STATE(6726),
    [sym_field_get_expression] = STATE(6726),
    [sym_array_get_expression] = STATE(6726),
    [sym_string_get_expression] = STATE(6726),
    [sym_bigarray_get_expression] = STATE(6726),
    [sym_coercion_expression] = STATE(6726),
    [sym_local_open_expression] = STATE(6726),
    [sym_package_expression] = STATE(6726),
    [sym_new_expression] = STATE(6726),
    [sym_object_copy_expression] = STATE(6726),
    [sym_method_invocation] = STATE(6726),
    [sym_object_expression] = STATE(6726),
    [sym_parenthesized_expression] = STATE(6726),
    [sym_attribute] = STATE(2508),
    [sym_extension] = STATE(6726),
    [sym_quoted_extension] = STATE(6726),
    [sym__constant] = STATE(6726),
    [sym_number] = STATE(6846),
    [sym_character] = STATE(6846),
    [sym_string] = STATE(6846),
    [sym_quoted_string] = STATE(6846),
    [sym_boolean] = STATE(6846),
    [sym_unit] = STATE(6846),
    [sym__value_name] = STATE(6735),
    [sym_parenthesized_operator] = STATE(7122),
    [sym_value_path] = STATE(6726),
    [sym_module_path] = STATE(19289),
    [sym_constructor_path] = STATE(6726),
    [sym__constructor_name] = STATE(6912),
    [sym_tag] = STATE(6726),
    [aux_sym_class_application_repeat1] = STATE(2507),
    [sym__lowercase_identifier] = ACTIONS(5537),
    [anon_sym_TILDE] = ACTIONS(5539),
    [anon_sym_QMARK] = ACTIONS(5539),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_COMMA] = ACTIONS(3529),
    [anon_sym_PIPE] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_SEMI] = ACTIONS(3529),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_COLON_COLON] = ACTIONS(3529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2653),
    [anon_sym_then] = ACTIONS(3531),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACE_LT] = ACTIONS(2665),
    [anon_sym_begin] = ACTIONS(2667),
    [sym_ocamlyacc_value] = ACTIONS(2669),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2673),
    [aux_sym_number_token1] = ACTIONS(2675),
    [aux_sym_signed_number_token1] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(3531),
    [sym_pow_operator] = ACTIONS(3531),
    [sym_mult_operator] = ACTIONS(3531),
    [aux_sym_add_operator_token1] = ACTIONS(3531),
    [sym_concat_operator] = ACTIONS(3529),
    [sym_rel_operator] = ACTIONS(3531),
    [sym_and_operator] = ACTIONS(3531),
    [sym_or_operator] = ACTIONS(3531),
    [sym_assign_operator] = ACTIONS(3529),
    [sym__uppercase_identifier] = ACTIONS(2685),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2509] = {
    [sym__binding_pattern] = STATE(13456),
    [sym_alias_binding_pattern] = STATE(13241),
    [sym_typed_binding_pattern] = STATE(13241),
    [sym_or_binding_pattern] = STATE(13241),
    [sym_constructor_binding_pattern] = STATE(13241),
    [sym_tag_binding_pattern] = STATE(13241),
    [sym_polymorphic_variant_pattern] = STATE(13241),
    [sym_tuple_binding_pattern] = STATE(13241),
    [sym_record_binding_pattern] = STATE(13266),
    [sym_list_binding_pattern] = STATE(13180),
    [sym_cons_binding_pattern] = STATE(13241),
    [sym_array_binding_pattern] = STATE(13187),
    [sym_range_pattern] = STATE(13241),
    [sym_lazy_binding_pattern] = STATE(13241),
    [sym_local_open_binding_pattern] = STATE(13241),
    [sym_package_pattern] = STATE(13241),
    [sym_parenthesized_binding_pattern] = STATE(13241),
    [sym_attribute] = STATE(2509),
    [sym_extension] = STATE(13241),
    [sym_quoted_extension] = STATE(13241),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(13060),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__infix_operator] = STATE(19578),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(13241),
    [sym_parenthesized_operator] = STATE(10333),
    [sym_module_path] = STATE(20122),
    [sym_constructor_path] = STATE(3449),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(3450),
    [sym__lowercase_identifier] = ACTIONS(6699),
    [anon_sym_LPAREN] = ACTIONS(6701),
    [anon_sym_RPAREN] = ACTIONS(6703),
    [anon_sym_LBRACK] = ACTIONS(6705),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(6707),
    [anon_sym_LBRACE] = ACTIONS(6709),
    [anon_sym_module] = ACTIONS(6711),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(6713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6715),
    [anon_sym_lazy] = ACTIONS(6717),
    [anon_sym_begin] = ACTIONS(4941),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(4951),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym_prefix_operator] = ACTIONS(6719),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(6719),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(6719),
    [sym_let_and_operator] = ACTIONS(6719),
    [sym_match_operator] = ACTIONS(6719),
    [sym__uppercase_identifier] = ACTIONS(5431),
    [aux_sym_tag_token1] = ACTIONS(5433),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2510] = {
    [sym__binding_pattern] = STATE(13461),
    [sym_alias_binding_pattern] = STATE(13241),
    [sym_typed_binding_pattern] = STATE(13241),
    [sym_or_binding_pattern] = STATE(13241),
    [sym_constructor_binding_pattern] = STATE(13241),
    [sym_tag_binding_pattern] = STATE(13241),
    [sym_polymorphic_variant_pattern] = STATE(13241),
    [sym_tuple_binding_pattern] = STATE(13241),
    [sym_record_binding_pattern] = STATE(13266),
    [sym_list_binding_pattern] = STATE(13180),
    [sym_cons_binding_pattern] = STATE(13241),
    [sym_array_binding_pattern] = STATE(13187),
    [sym_range_pattern] = STATE(13241),
    [sym_lazy_binding_pattern] = STATE(13241),
    [sym_local_open_binding_pattern] = STATE(13241),
    [sym_package_pattern] = STATE(13241),
    [sym_parenthesized_binding_pattern] = STATE(13241),
    [sym_attribute] = STATE(2510),
    [sym_extension] = STATE(13241),
    [sym_quoted_extension] = STATE(13241),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(13060),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__infix_operator] = STATE(17833),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(13241),
    [sym_parenthesized_operator] = STATE(10333),
    [sym_module_path] = STATE(20122),
    [sym_constructor_path] = STATE(3449),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(3450),
    [sym__lowercase_identifier] = ACTIONS(6699),
    [anon_sym_LPAREN] = ACTIONS(6701),
    [anon_sym_RPAREN] = ACTIONS(6721),
    [anon_sym_LBRACK] = ACTIONS(6705),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(6723),
    [anon_sym_LBRACE] = ACTIONS(6709),
    [anon_sym_module] = ACTIONS(6725),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(6727),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6715),
    [anon_sym_lazy] = ACTIONS(6717),
    [anon_sym_begin] = ACTIONS(4941),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(4951),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym_prefix_operator] = ACTIONS(6729),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(6729),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(6729),
    [sym_let_and_operator] = ACTIONS(6729),
    [sym_match_operator] = ACTIONS(6729),
    [sym__uppercase_identifier] = ACTIONS(5431),
    [aux_sym_tag_token1] = ACTIONS(5433),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2511] = {
    [sym__binding_pattern] = STATE(13673),
    [sym_alias_binding_pattern] = STATE(13241),
    [sym_typed_binding_pattern] = STATE(13241),
    [sym_or_binding_pattern] = STATE(13241),
    [sym_constructor_binding_pattern] = STATE(13241),
    [sym_tag_binding_pattern] = STATE(13241),
    [sym_polymorphic_variant_pattern] = STATE(13241),
    [sym_tuple_binding_pattern] = STATE(13241),
    [sym_record_binding_pattern] = STATE(13266),
    [sym_list_binding_pattern] = STATE(13180),
    [sym_cons_binding_pattern] = STATE(13241),
    [sym_array_binding_pattern] = STATE(13187),
    [sym_range_pattern] = STATE(13241),
    [sym_lazy_binding_pattern] = STATE(13241),
    [sym_local_open_binding_pattern] = STATE(13241),
    [sym_package_pattern] = STATE(13241),
    [sym_parenthesized_binding_pattern] = STATE(13241),
    [sym_attribute] = STATE(2511),
    [sym_extension] = STATE(13241),
    [sym_quoted_extension] = STATE(13241),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(13060),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__infix_operator] = STATE(19169),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(13241),
    [sym_parenthesized_operator] = STATE(10333),
    [sym_module_path] = STATE(20122),
    [sym_constructor_path] = STATE(3449),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(3450),
    [sym__lowercase_identifier] = ACTIONS(6699),
    [anon_sym_LPAREN] = ACTIONS(6701),
    [anon_sym_RPAREN] = ACTIONS(6731),
    [anon_sym_LBRACK] = ACTIONS(6705),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(6733),
    [anon_sym_LBRACE] = ACTIONS(6709),
    [anon_sym_module] = ACTIONS(6735),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(6737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6715),
    [anon_sym_lazy] = ACTIONS(6717),
    [anon_sym_begin] = ACTIONS(4941),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(4951),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym_prefix_operator] = ACTIONS(6739),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(6739),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(6739),
    [sym_let_and_operator] = ACTIONS(6739),
    [sym_match_operator] = ACTIONS(6739),
    [sym__uppercase_identifier] = ACTIONS(5431),
    [aux_sym_tag_token1] = ACTIONS(5433),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2512] = {
    [sym__binding_pattern] = STATE(13636),
    [sym_alias_binding_pattern] = STATE(13241),
    [sym_typed_binding_pattern] = STATE(13241),
    [sym_or_binding_pattern] = STATE(13241),
    [sym_constructor_binding_pattern] = STATE(13241),
    [sym_tag_binding_pattern] = STATE(13241),
    [sym_polymorphic_variant_pattern] = STATE(13241),
    [sym_tuple_binding_pattern] = STATE(13241),
    [sym_record_binding_pattern] = STATE(13266),
    [sym_list_binding_pattern] = STATE(13180),
    [sym_cons_binding_pattern] = STATE(13241),
    [sym_array_binding_pattern] = STATE(13187),
    [sym_range_pattern] = STATE(13241),
    [sym_lazy_binding_pattern] = STATE(13241),
    [sym_local_open_binding_pattern] = STATE(13241),
    [sym_package_pattern] = STATE(13241),
    [sym_parenthesized_binding_pattern] = STATE(13241),
    [sym_attribute] = STATE(2512),
    [sym_extension] = STATE(13241),
    [sym_quoted_extension] = STATE(13241),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(13060),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__infix_operator] = STATE(17462),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(13241),
    [sym_parenthesized_operator] = STATE(10333),
    [sym_module_path] = STATE(20122),
    [sym_constructor_path] = STATE(3449),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(3450),
    [sym__lowercase_identifier] = ACTIONS(6699),
    [anon_sym_LPAREN] = ACTIONS(6701),
    [anon_sym_RPAREN] = ACTIONS(6741),
    [anon_sym_LBRACK] = ACTIONS(6705),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(6743),
    [anon_sym_LBRACE] = ACTIONS(6709),
    [anon_sym_module] = ACTIONS(6745),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(6747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6715),
    [anon_sym_lazy] = ACTIONS(6717),
    [anon_sym_begin] = ACTIONS(4941),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(4951),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym_prefix_operator] = ACTIONS(6749),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(6749),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(6749),
    [sym_let_and_operator] = ACTIONS(6749),
    [sym_match_operator] = ACTIONS(6749),
    [sym__uppercase_identifier] = ACTIONS(5431),
    [aux_sym_tag_token1] = ACTIONS(5433),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2513] = {
    [sym__binding_pattern] = STATE(13663),
    [sym_alias_binding_pattern] = STATE(13241),
    [sym_typed_binding_pattern] = STATE(13241),
    [sym_or_binding_pattern] = STATE(13241),
    [sym_constructor_binding_pattern] = STATE(13241),
    [sym_tag_binding_pattern] = STATE(13241),
    [sym_polymorphic_variant_pattern] = STATE(13241),
    [sym_tuple_binding_pattern] = STATE(13241),
    [sym_record_binding_pattern] = STATE(13266),
    [sym_list_binding_pattern] = STATE(13180),
    [sym_cons_binding_pattern] = STATE(13241),
    [sym_array_binding_pattern] = STATE(13187),
    [sym_range_pattern] = STATE(13241),
    [sym_lazy_binding_pattern] = STATE(13241),
    [sym_local_open_binding_pattern] = STATE(13241),
    [sym_package_pattern] = STATE(13241),
    [sym_parenthesized_binding_pattern] = STATE(13241),
    [sym_attribute] = STATE(2513),
    [sym_extension] = STATE(13241),
    [sym_quoted_extension] = STATE(13241),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(13060),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__infix_operator] = STATE(17545),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(13241),
    [sym_parenthesized_operator] = STATE(10333),
    [sym_module_path] = STATE(20122),
    [sym_constructor_path] = STATE(3449),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(3450),
    [sym__lowercase_identifier] = ACTIONS(6699),
    [anon_sym_LPAREN] = ACTIONS(6701),
    [anon_sym_RPAREN] = ACTIONS(4917),
    [anon_sym_LBRACK] = ACTIONS(6705),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(4925),
    [anon_sym_LBRACE] = ACTIONS(6709),
    [anon_sym_module] = ACTIONS(4931),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(1483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6715),
    [anon_sym_lazy] = ACTIONS(6717),
    [anon_sym_begin] = ACTIONS(4941),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(4951),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym_prefix_operator] = ACTIONS(4957),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(4957),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(4957),
    [sym_let_and_operator] = ACTIONS(4957),
    [sym_match_operator] = ACTIONS(4957),
    [sym__uppercase_identifier] = ACTIONS(5431),
    [aux_sym_tag_token1] = ACTIONS(5433),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2514] = {
    [sym__binding_pattern] = STATE(13586),
    [sym_alias_binding_pattern] = STATE(13241),
    [sym_typed_binding_pattern] = STATE(13241),
    [sym_or_binding_pattern] = STATE(13241),
    [sym_constructor_binding_pattern] = STATE(13241),
    [sym_tag_binding_pattern] = STATE(13241),
    [sym_polymorphic_variant_pattern] = STATE(13241),
    [sym_tuple_binding_pattern] = STATE(13241),
    [sym_record_binding_pattern] = STATE(13266),
    [sym_list_binding_pattern] = STATE(13180),
    [sym_cons_binding_pattern] = STATE(13241),
    [sym_array_binding_pattern] = STATE(13187),
    [sym_range_pattern] = STATE(13241),
    [sym_lazy_binding_pattern] = STATE(13241),
    [sym_local_open_binding_pattern] = STATE(13241),
    [sym_package_pattern] = STATE(13241),
    [sym_parenthesized_binding_pattern] = STATE(13241),
    [sym_attribute] = STATE(2514),
    [sym_extension] = STATE(13241),
    [sym_quoted_extension] = STATE(13241),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(13060),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__infix_operator] = STATE(19664),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(13241),
    [sym_parenthesized_operator] = STATE(10333),
    [sym_module_path] = STATE(20122),
    [sym_constructor_path] = STATE(3449),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(3450),
    [sym__lowercase_identifier] = ACTIONS(6699),
    [anon_sym_LPAREN] = ACTIONS(6701),
    [anon_sym_RPAREN] = ACTIONS(6751),
    [anon_sym_LBRACK] = ACTIONS(6705),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(6753),
    [anon_sym_LBRACE] = ACTIONS(6709),
    [anon_sym_module] = ACTIONS(6755),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(6757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6715),
    [anon_sym_lazy] = ACTIONS(6717),
    [anon_sym_begin] = ACTIONS(4941),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(4951),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym_prefix_operator] = ACTIONS(6759),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(6759),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(6759),
    [sym_let_and_operator] = ACTIONS(6759),
    [sym_match_operator] = ACTIONS(6759),
    [sym__uppercase_identifier] = ACTIONS(5431),
    [aux_sym_tag_token1] = ACTIONS(5433),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2515] = {
    [sym__binding_pattern] = STATE(13512),
    [sym_alias_binding_pattern] = STATE(13241),
    [sym_typed_binding_pattern] = STATE(13241),
    [sym_or_binding_pattern] = STATE(13241),
    [sym_constructor_binding_pattern] = STATE(13241),
    [sym_tag_binding_pattern] = STATE(13241),
    [sym_polymorphic_variant_pattern] = STATE(13241),
    [sym_tuple_binding_pattern] = STATE(13241),
    [sym_record_binding_pattern] = STATE(13266),
    [sym_list_binding_pattern] = STATE(13180),
    [sym_cons_binding_pattern] = STATE(13241),
    [sym_array_binding_pattern] = STATE(13187),
    [sym_range_pattern] = STATE(13241),
    [sym_lazy_binding_pattern] = STATE(13241),
    [sym_local_open_binding_pattern] = STATE(13241),
    [sym_package_pattern] = STATE(13241),
    [sym_parenthesized_binding_pattern] = STATE(13241),
    [sym_attribute] = STATE(2515),
    [sym_extension] = STATE(13241),
    [sym_quoted_extension] = STATE(13241),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(13060),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__infix_operator] = STATE(17822),
    [sym_add_operator] = STATE(17996),
    [sym__value_name] = STATE(13241),
    [sym_parenthesized_operator] = STATE(10333),
    [sym_module_path] = STATE(20122),
    [sym_constructor_path] = STATE(3449),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(3450),
    [sym__lowercase_identifier] = ACTIONS(6699),
    [anon_sym_LPAREN] = ACTIONS(6701),
    [anon_sym_RPAREN] = ACTIONS(2449),
    [anon_sym_LBRACK] = ACTIONS(6705),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(2451),
    [anon_sym_LBRACE] = ACTIONS(6709),
    [anon_sym_module] = ACTIONS(5011),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(4969),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6715),
    [anon_sym_lazy] = ACTIONS(6717),
    [anon_sym_begin] = ACTIONS(4941),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(4951),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(2459),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2459),
    [sym_let_and_operator] = ACTIONS(2459),
    [sym_match_operator] = ACTIONS(2459),
    [sym__uppercase_identifier] = ACTIONS(5431),
    [aux_sym_tag_token1] = ACTIONS(5433),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2516] = {
    [sym_parameter] = STATE(7510),
    [sym__class_typed] = STATE(10925),
    [sym__parenthesized_abstract_type] = STATE(7510),
    [sym__simple_pattern] = STATE(7518),
    [sym_typed_pattern] = STATE(7539),
    [sym_polymorphic_variant_pattern] = STATE(7539),
    [sym_record_pattern] = STATE(7539),
    [sym_list_pattern] = STATE(7539),
    [sym_array_pattern] = STATE(7539),
    [sym_local_open_pattern] = STATE(7539),
    [sym_package_pattern] = STATE(7539),
    [sym_parenthesized_pattern] = STATE(7539),
    [sym_attribute] = STATE(2516),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7539),
    [sym_quoted_extension] = STATE(7539),
    [sym__constant] = STATE(7353),
    [sym__signed_constant] = STATE(7539),
    [sym_number] = STATE(7469),
    [sym_signed_number] = STATE(7353),
    [sym_character] = STATE(7469),
    [sym_string] = STATE(7469),
    [sym_quoted_string] = STATE(7469),
    [sym_boolean] = STATE(7469),
    [sym_unit] = STATE(7469),
    [sym__simple_value_pattern] = STATE(7539),
    [sym_parenthesized_operator] = STATE(7539),
    [sym_module_path] = STATE(18276),
    [sym_constructor_path] = STATE(7539),
    [sym__constructor_name] = STATE(7456),
    [sym_tag] = STATE(7539),
    [aux_sym_expression_item_repeat1] = STATE(10251),
    [aux_sym_let_binding_repeat1] = STATE(2561),
    [sym__lowercase_identifier] = ACTIONS(6761),
    [anon_sym_SEMI_SEMI] = ACTIONS(6763),
    [anon_sym_let] = ACTIONS(6765),
    [anon_sym_and] = ACTIONS(6765),
    [anon_sym_EQ] = ACTIONS(6767),
    [anon_sym_TILDE] = ACTIONS(6769),
    [anon_sym_QMARK] = ACTIONS(6769),
    [anon_sym_LPAREN] = ACTIONS(6771),
    [anon_sym_external] = ACTIONS(6765),
    [anon_sym_type] = ACTIONS(6765),
    [anon_sym_LBRACK] = ACTIONS(6773),
    [anon_sym_true] = ACTIONS(6775),
    [anon_sym_false] = ACTIONS(6775),
    [anon_sym_COLON2] = ACTIONS(6777),
    [anon_sym_LBRACE] = ACTIONS(6779),
    [anon_sym_exception] = ACTIONS(6765),
    [anon_sym_module] = ACTIONS(6765),
    [anon_sym_open] = ACTIONS(6765),
    [anon_sym_include] = ACTIONS(6765),
    [anon_sym_class] = ACTIONS(6765),
    [anon_sym_end] = ACTIONS(6765),
    [anon_sym_POUND] = ACTIONS(6781),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6783),
    [anon_sym_begin] = ACTIONS(6785),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6763),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6789),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6791),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6763),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6763),
    [aux_sym_number_token1] = ACTIONS(6793),
    [aux_sym_signed_number_token1] = ACTIONS(6795),
    [anon_sym_SQUOTE] = ACTIONS(6797),
    [anon_sym_DQUOTE] = ACTIONS(6799),
    [sym_let_operator] = ACTIONS(6763),
    [sym__uppercase_identifier] = ACTIONS(6801),
    [aux_sym_directive_token1] = ACTIONS(6765),
    [aux_sym_tag_token1] = ACTIONS(6803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2517] = {
    [sym_parameter] = STATE(7473),
    [sym__class_typed] = STATE(10897),
    [sym__parenthesized_abstract_type] = STATE(7473),
    [sym__simple_pattern] = STATE(7474),
    [sym_typed_pattern] = STATE(7548),
    [sym_polymorphic_variant_pattern] = STATE(7548),
    [sym_record_pattern] = STATE(7548),
    [sym_list_pattern] = STATE(7548),
    [sym_array_pattern] = STATE(7548),
    [sym_local_open_pattern] = STATE(7548),
    [sym_package_pattern] = STATE(7548),
    [sym_parenthesized_pattern] = STATE(7548),
    [sym_attribute] = STATE(2517),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7548),
    [sym_quoted_extension] = STATE(7548),
    [sym__constant] = STATE(7466),
    [sym__signed_constant] = STATE(7548),
    [sym_number] = STATE(7432),
    [sym_signed_number] = STATE(7466),
    [sym_character] = STATE(7432),
    [sym_string] = STATE(7432),
    [sym_quoted_string] = STATE(7432),
    [sym_boolean] = STATE(7432),
    [sym_unit] = STATE(7432),
    [sym__simple_value_pattern] = STATE(7548),
    [sym_parenthesized_operator] = STATE(7548),
    [sym_module_path] = STATE(17872),
    [sym_constructor_path] = STATE(7548),
    [sym__constructor_name] = STATE(7422),
    [sym_tag] = STATE(7548),
    [aux_sym_expression_item_repeat1] = STATE(10263),
    [aux_sym_let_binding_repeat1] = STATE(2520),
    [sym__lowercase_identifier] = ACTIONS(6805),
    [anon_sym_SEMI_SEMI] = ACTIONS(6807),
    [anon_sym_let] = ACTIONS(6809),
    [anon_sym_and] = ACTIONS(6809),
    [anon_sym_EQ] = ACTIONS(6811),
    [anon_sym_TILDE] = ACTIONS(6813),
    [anon_sym_QMARK] = ACTIONS(6813),
    [anon_sym_LPAREN] = ACTIONS(6815),
    [anon_sym_external] = ACTIONS(6809),
    [anon_sym_type] = ACTIONS(6809),
    [anon_sym_LBRACK] = ACTIONS(6817),
    [anon_sym_RBRACK] = ACTIONS(6807),
    [anon_sym_true] = ACTIONS(6819),
    [anon_sym_false] = ACTIONS(6819),
    [anon_sym_COLON2] = ACTIONS(6821),
    [anon_sym_LBRACE] = ACTIONS(6823),
    [anon_sym_exception] = ACTIONS(6809),
    [anon_sym_module] = ACTIONS(6809),
    [anon_sym_open] = ACTIONS(6809),
    [anon_sym_include] = ACTIONS(6809),
    [anon_sym_class] = ACTIONS(6809),
    [anon_sym_POUND] = ACTIONS(6825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6827),
    [anon_sym_begin] = ACTIONS(6829),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6807),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6831),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6833),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6807),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6807),
    [aux_sym_number_token1] = ACTIONS(6835),
    [aux_sym_signed_number_token1] = ACTIONS(6837),
    [anon_sym_SQUOTE] = ACTIONS(6839),
    [anon_sym_DQUOTE] = ACTIONS(6841),
    [sym_let_operator] = ACTIONS(6807),
    [sym__uppercase_identifier] = ACTIONS(6843),
    [aux_sym_directive_token1] = ACTIONS(6809),
    [aux_sym_tag_token1] = ACTIONS(6845),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2518] = {
    [sym_parameter] = STATE(7510),
    [sym__class_typed] = STATE(10919),
    [sym__parenthesized_abstract_type] = STATE(7510),
    [sym__simple_pattern] = STATE(7518),
    [sym_typed_pattern] = STATE(7539),
    [sym_polymorphic_variant_pattern] = STATE(7539),
    [sym_record_pattern] = STATE(7539),
    [sym_list_pattern] = STATE(7539),
    [sym_array_pattern] = STATE(7539),
    [sym_local_open_pattern] = STATE(7539),
    [sym_package_pattern] = STATE(7539),
    [sym_parenthesized_pattern] = STATE(7539),
    [sym_attribute] = STATE(2518),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7539),
    [sym_quoted_extension] = STATE(7539),
    [sym__constant] = STATE(7353),
    [sym__signed_constant] = STATE(7539),
    [sym_number] = STATE(7469),
    [sym_signed_number] = STATE(7353),
    [sym_character] = STATE(7469),
    [sym_string] = STATE(7469),
    [sym_quoted_string] = STATE(7469),
    [sym_boolean] = STATE(7469),
    [sym_unit] = STATE(7469),
    [sym__simple_value_pattern] = STATE(7539),
    [sym_parenthesized_operator] = STATE(7539),
    [sym_module_path] = STATE(18276),
    [sym_constructor_path] = STATE(7539),
    [sym__constructor_name] = STATE(7456),
    [sym_tag] = STATE(7539),
    [aux_sym_expression_item_repeat1] = STATE(10263),
    [aux_sym_let_binding_repeat1] = STATE(2522),
    [sym__lowercase_identifier] = ACTIONS(6761),
    [anon_sym_SEMI_SEMI] = ACTIONS(6807),
    [anon_sym_let] = ACTIONS(6809),
    [anon_sym_and] = ACTIONS(6809),
    [anon_sym_EQ] = ACTIONS(6847),
    [anon_sym_TILDE] = ACTIONS(6769),
    [anon_sym_QMARK] = ACTIONS(6769),
    [anon_sym_LPAREN] = ACTIONS(6771),
    [anon_sym_external] = ACTIONS(6809),
    [anon_sym_type] = ACTIONS(6809),
    [anon_sym_LBRACK] = ACTIONS(6773),
    [anon_sym_true] = ACTIONS(6775),
    [anon_sym_false] = ACTIONS(6775),
    [anon_sym_COLON2] = ACTIONS(6777),
    [anon_sym_LBRACE] = ACTIONS(6779),
    [anon_sym_exception] = ACTIONS(6809),
    [anon_sym_module] = ACTIONS(6809),
    [anon_sym_open] = ACTIONS(6809),
    [anon_sym_include] = ACTIONS(6809),
    [anon_sym_class] = ACTIONS(6809),
    [anon_sym_end] = ACTIONS(6809),
    [anon_sym_POUND] = ACTIONS(6781),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6783),
    [anon_sym_begin] = ACTIONS(6785),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6807),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6789),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6791),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6807),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6807),
    [aux_sym_number_token1] = ACTIONS(6793),
    [aux_sym_signed_number_token1] = ACTIONS(6795),
    [anon_sym_SQUOTE] = ACTIONS(6797),
    [anon_sym_DQUOTE] = ACTIONS(6799),
    [sym_let_operator] = ACTIONS(6807),
    [sym__uppercase_identifier] = ACTIONS(6801),
    [aux_sym_directive_token1] = ACTIONS(6809),
    [aux_sym_tag_token1] = ACTIONS(6803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2519] = {
    [sym_parameter] = STATE(7473),
    [sym__class_typed] = STATE(10903),
    [sym__parenthesized_abstract_type] = STATE(7473),
    [sym__simple_pattern] = STATE(7474),
    [sym_typed_pattern] = STATE(7548),
    [sym_polymorphic_variant_pattern] = STATE(7548),
    [sym_record_pattern] = STATE(7548),
    [sym_list_pattern] = STATE(7548),
    [sym_array_pattern] = STATE(7548),
    [sym_local_open_pattern] = STATE(7548),
    [sym_package_pattern] = STATE(7548),
    [sym_parenthesized_pattern] = STATE(7548),
    [sym_attribute] = STATE(2519),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7548),
    [sym_quoted_extension] = STATE(7548),
    [sym__constant] = STATE(7466),
    [sym__signed_constant] = STATE(7548),
    [sym_number] = STATE(7432),
    [sym_signed_number] = STATE(7466),
    [sym_character] = STATE(7432),
    [sym_string] = STATE(7432),
    [sym_quoted_string] = STATE(7432),
    [sym_boolean] = STATE(7432),
    [sym_unit] = STATE(7432),
    [sym__simple_value_pattern] = STATE(7548),
    [sym_parenthesized_operator] = STATE(7548),
    [sym_module_path] = STATE(17872),
    [sym_constructor_path] = STATE(7548),
    [sym__constructor_name] = STATE(7422),
    [sym_tag] = STATE(7548),
    [aux_sym_expression_item_repeat1] = STATE(10455),
    [aux_sym_let_binding_repeat1] = STATE(2562),
    [sym__lowercase_identifier] = ACTIONS(6805),
    [anon_sym_SEMI_SEMI] = ACTIONS(6849),
    [anon_sym_let] = ACTIONS(6851),
    [anon_sym_and] = ACTIONS(6851),
    [anon_sym_EQ] = ACTIONS(6853),
    [anon_sym_TILDE] = ACTIONS(6813),
    [anon_sym_QMARK] = ACTIONS(6813),
    [anon_sym_LPAREN] = ACTIONS(6815),
    [anon_sym_external] = ACTIONS(6851),
    [anon_sym_type] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(6817),
    [anon_sym_RBRACK] = ACTIONS(6849),
    [anon_sym_true] = ACTIONS(6819),
    [anon_sym_false] = ACTIONS(6819),
    [anon_sym_COLON2] = ACTIONS(6821),
    [anon_sym_LBRACE] = ACTIONS(6823),
    [anon_sym_exception] = ACTIONS(6851),
    [anon_sym_module] = ACTIONS(6851),
    [anon_sym_open] = ACTIONS(6851),
    [anon_sym_include] = ACTIONS(6851),
    [anon_sym_class] = ACTIONS(6851),
    [anon_sym_POUND] = ACTIONS(6825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6827),
    [anon_sym_begin] = ACTIONS(6829),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6849),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6831),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6833),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6849),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6849),
    [aux_sym_number_token1] = ACTIONS(6835),
    [aux_sym_signed_number_token1] = ACTIONS(6837),
    [anon_sym_SQUOTE] = ACTIONS(6839),
    [anon_sym_DQUOTE] = ACTIONS(6841),
    [sym_let_operator] = ACTIONS(6849),
    [sym__uppercase_identifier] = ACTIONS(6843),
    [aux_sym_directive_token1] = ACTIONS(6851),
    [aux_sym_tag_token1] = ACTIONS(6845),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2520] = {
    [sym_parameter] = STATE(7473),
    [sym__class_typed] = STATE(10900),
    [sym__parenthesized_abstract_type] = STATE(7473),
    [sym__simple_pattern] = STATE(7474),
    [sym_typed_pattern] = STATE(7548),
    [sym_polymorphic_variant_pattern] = STATE(7548),
    [sym_record_pattern] = STATE(7548),
    [sym_list_pattern] = STATE(7548),
    [sym_array_pattern] = STATE(7548),
    [sym_local_open_pattern] = STATE(7548),
    [sym_package_pattern] = STATE(7548),
    [sym_parenthesized_pattern] = STATE(7548),
    [sym_attribute] = STATE(2520),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7548),
    [sym_quoted_extension] = STATE(7548),
    [sym__constant] = STATE(7466),
    [sym__signed_constant] = STATE(7548),
    [sym_number] = STATE(7432),
    [sym_signed_number] = STATE(7466),
    [sym_character] = STATE(7432),
    [sym_string] = STATE(7432),
    [sym_quoted_string] = STATE(7432),
    [sym_boolean] = STATE(7432),
    [sym_unit] = STATE(7432),
    [sym__simple_value_pattern] = STATE(7548),
    [sym_parenthesized_operator] = STATE(7548),
    [sym_module_path] = STATE(17872),
    [sym_constructor_path] = STATE(7548),
    [sym__constructor_name] = STATE(7422),
    [sym_tag] = STATE(7548),
    [aux_sym_expression_item_repeat1] = STATE(10433),
    [aux_sym_let_binding_repeat1] = STATE(2562),
    [sym__lowercase_identifier] = ACTIONS(6805),
    [anon_sym_SEMI_SEMI] = ACTIONS(6855),
    [anon_sym_let] = ACTIONS(6857),
    [anon_sym_and] = ACTIONS(6857),
    [anon_sym_EQ] = ACTIONS(6859),
    [anon_sym_TILDE] = ACTIONS(6813),
    [anon_sym_QMARK] = ACTIONS(6813),
    [anon_sym_LPAREN] = ACTIONS(6815),
    [anon_sym_external] = ACTIONS(6857),
    [anon_sym_type] = ACTIONS(6857),
    [anon_sym_LBRACK] = ACTIONS(6817),
    [anon_sym_RBRACK] = ACTIONS(6855),
    [anon_sym_true] = ACTIONS(6819),
    [anon_sym_false] = ACTIONS(6819),
    [anon_sym_COLON2] = ACTIONS(6821),
    [anon_sym_LBRACE] = ACTIONS(6823),
    [anon_sym_exception] = ACTIONS(6857),
    [anon_sym_module] = ACTIONS(6857),
    [anon_sym_open] = ACTIONS(6857),
    [anon_sym_include] = ACTIONS(6857),
    [anon_sym_class] = ACTIONS(6857),
    [anon_sym_POUND] = ACTIONS(6825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6827),
    [anon_sym_begin] = ACTIONS(6829),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6855),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6831),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6833),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6855),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6855),
    [aux_sym_number_token1] = ACTIONS(6835),
    [aux_sym_signed_number_token1] = ACTIONS(6837),
    [anon_sym_SQUOTE] = ACTIONS(6839),
    [anon_sym_DQUOTE] = ACTIONS(6841),
    [sym_let_operator] = ACTIONS(6855),
    [sym__uppercase_identifier] = ACTIONS(6843),
    [aux_sym_directive_token1] = ACTIONS(6857),
    [aux_sym_tag_token1] = ACTIONS(6845),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2521] = {
    [sym_parameter] = STATE(7510),
    [sym__class_typed] = STATE(10920),
    [sym__parenthesized_abstract_type] = STATE(7510),
    [sym__simple_pattern] = STATE(7518),
    [sym_typed_pattern] = STATE(7539),
    [sym_polymorphic_variant_pattern] = STATE(7539),
    [sym_record_pattern] = STATE(7539),
    [sym_list_pattern] = STATE(7539),
    [sym_array_pattern] = STATE(7539),
    [sym_local_open_pattern] = STATE(7539),
    [sym_package_pattern] = STATE(7539),
    [sym_parenthesized_pattern] = STATE(7539),
    [sym_attribute] = STATE(2521),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7539),
    [sym_quoted_extension] = STATE(7539),
    [sym__constant] = STATE(7353),
    [sym__signed_constant] = STATE(7539),
    [sym_number] = STATE(7469),
    [sym_signed_number] = STATE(7353),
    [sym_character] = STATE(7469),
    [sym_string] = STATE(7469),
    [sym_quoted_string] = STATE(7469),
    [sym_boolean] = STATE(7469),
    [sym_unit] = STATE(7469),
    [sym__simple_value_pattern] = STATE(7539),
    [sym_parenthesized_operator] = STATE(7539),
    [sym_module_path] = STATE(18276),
    [sym_constructor_path] = STATE(7539),
    [sym__constructor_name] = STATE(7456),
    [sym_tag] = STATE(7539),
    [aux_sym_expression_item_repeat1] = STATE(10412),
    [aux_sym_let_binding_repeat1] = STATE(2529),
    [sym__lowercase_identifier] = ACTIONS(6761),
    [anon_sym_SEMI_SEMI] = ACTIONS(6861),
    [anon_sym_let] = ACTIONS(6863),
    [anon_sym_and] = ACTIONS(6863),
    [anon_sym_EQ] = ACTIONS(6865),
    [anon_sym_TILDE] = ACTIONS(6769),
    [anon_sym_QMARK] = ACTIONS(6769),
    [anon_sym_LPAREN] = ACTIONS(6771),
    [anon_sym_external] = ACTIONS(6863),
    [anon_sym_type] = ACTIONS(6863),
    [anon_sym_LBRACK] = ACTIONS(6773),
    [anon_sym_true] = ACTIONS(6775),
    [anon_sym_false] = ACTIONS(6775),
    [anon_sym_COLON2] = ACTIONS(6777),
    [anon_sym_LBRACE] = ACTIONS(6779),
    [anon_sym_exception] = ACTIONS(6863),
    [anon_sym_module] = ACTIONS(6863),
    [anon_sym_open] = ACTIONS(6863),
    [anon_sym_include] = ACTIONS(6863),
    [anon_sym_class] = ACTIONS(6863),
    [anon_sym_end] = ACTIONS(6863),
    [anon_sym_POUND] = ACTIONS(6781),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6783),
    [anon_sym_begin] = ACTIONS(6785),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6861),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6789),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6791),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6861),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6861),
    [aux_sym_number_token1] = ACTIONS(6793),
    [aux_sym_signed_number_token1] = ACTIONS(6795),
    [anon_sym_SQUOTE] = ACTIONS(6797),
    [anon_sym_DQUOTE] = ACTIONS(6799),
    [sym_let_operator] = ACTIONS(6861),
    [sym__uppercase_identifier] = ACTIONS(6801),
    [aux_sym_directive_token1] = ACTIONS(6863),
    [aux_sym_tag_token1] = ACTIONS(6803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2522] = {
    [sym_parameter] = STATE(7510),
    [sym__class_typed] = STATE(10922),
    [sym__parenthesized_abstract_type] = STATE(7510),
    [sym__simple_pattern] = STATE(7518),
    [sym_typed_pattern] = STATE(7539),
    [sym_polymorphic_variant_pattern] = STATE(7539),
    [sym_record_pattern] = STATE(7539),
    [sym_list_pattern] = STATE(7539),
    [sym_array_pattern] = STATE(7539),
    [sym_local_open_pattern] = STATE(7539),
    [sym_package_pattern] = STATE(7539),
    [sym_parenthesized_pattern] = STATE(7539),
    [sym_attribute] = STATE(2522),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7539),
    [sym_quoted_extension] = STATE(7539),
    [sym__constant] = STATE(7353),
    [sym__signed_constant] = STATE(7539),
    [sym_number] = STATE(7469),
    [sym_signed_number] = STATE(7353),
    [sym_character] = STATE(7469),
    [sym_string] = STATE(7469),
    [sym_quoted_string] = STATE(7469),
    [sym_boolean] = STATE(7469),
    [sym_unit] = STATE(7469),
    [sym__simple_value_pattern] = STATE(7539),
    [sym_parenthesized_operator] = STATE(7539),
    [sym_module_path] = STATE(18276),
    [sym_constructor_path] = STATE(7539),
    [sym__constructor_name] = STATE(7456),
    [sym_tag] = STATE(7539),
    [aux_sym_expression_item_repeat1] = STATE(10433),
    [aux_sym_let_binding_repeat1] = STATE(2561),
    [sym__lowercase_identifier] = ACTIONS(6761),
    [anon_sym_SEMI_SEMI] = ACTIONS(6855),
    [anon_sym_let] = ACTIONS(6857),
    [anon_sym_and] = ACTIONS(6857),
    [anon_sym_EQ] = ACTIONS(6867),
    [anon_sym_TILDE] = ACTIONS(6769),
    [anon_sym_QMARK] = ACTIONS(6769),
    [anon_sym_LPAREN] = ACTIONS(6771),
    [anon_sym_external] = ACTIONS(6857),
    [anon_sym_type] = ACTIONS(6857),
    [anon_sym_LBRACK] = ACTIONS(6773),
    [anon_sym_true] = ACTIONS(6775),
    [anon_sym_false] = ACTIONS(6775),
    [anon_sym_COLON2] = ACTIONS(6777),
    [anon_sym_LBRACE] = ACTIONS(6779),
    [anon_sym_exception] = ACTIONS(6857),
    [anon_sym_module] = ACTIONS(6857),
    [anon_sym_open] = ACTIONS(6857),
    [anon_sym_include] = ACTIONS(6857),
    [anon_sym_class] = ACTIONS(6857),
    [anon_sym_end] = ACTIONS(6857),
    [anon_sym_POUND] = ACTIONS(6781),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6783),
    [anon_sym_begin] = ACTIONS(6785),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6855),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6789),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6791),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6855),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6855),
    [aux_sym_number_token1] = ACTIONS(6793),
    [aux_sym_signed_number_token1] = ACTIONS(6795),
    [anon_sym_SQUOTE] = ACTIONS(6797),
    [anon_sym_DQUOTE] = ACTIONS(6799),
    [sym_let_operator] = ACTIONS(6855),
    [sym__uppercase_identifier] = ACTIONS(6801),
    [aux_sym_directive_token1] = ACTIONS(6857),
    [aux_sym_tag_token1] = ACTIONS(6803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2523] = {
    [sym__simple_expression] = STATE(7949),
    [sym_typed_expression] = STATE(7935),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_labeled_argument] = STATE(8283),
    [sym_prefix_expression] = STATE(7935),
    [sym_hash_expression] = STATE(7935),
    [sym_field_get_expression] = STATE(7935),
    [sym_array_get_expression] = STATE(7935),
    [sym_string_get_expression] = STATE(7935),
    [sym_bigarray_get_expression] = STATE(7935),
    [sym_coercion_expression] = STATE(7935),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(2523),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7908),
    [sym_character] = STATE(7908),
    [sym_string] = STATE(7908),
    [sym_quoted_string] = STATE(7908),
    [sym_boolean] = STATE(7908),
    [sym_unit] = STATE(7908),
    [sym__value_name] = STATE(7819),
    [sym_parenthesized_operator] = STATE(7828),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(20269),
    [sym_constructor_path] = STATE(7935),
    [sym__constructor_name] = STATE(7910),
    [sym_tag] = STATE(7935),
    [aux_sym_class_application_repeat1] = STATE(2526),
    [sym__lowercase_identifier] = ACTIONS(6869),
    [anon_sym_TILDE] = ACTIONS(6871),
    [anon_sym_QMARK] = ACTIONS(6871),
    [anon_sym_LPAREN] = ACTIONS(6873),
    [anon_sym_LBRACK] = ACTIONS(6875),
    [anon_sym_true] = ACTIONS(6877),
    [anon_sym_false] = ACTIONS(6877),
    [anon_sym_LBRACE] = ACTIONS(6879),
    [anon_sym_constraint] = ACTIONS(5563),
    [anon_sym_val] = ACTIONS(5563),
    [anon_sym_end] = ACTIONS(5563),
    [anon_sym_object] = ACTIONS(6881),
    [anon_sym_inherit] = ACTIONS(5563),
    [anon_sym_method] = ACTIONS(5563),
    [anon_sym_as] = ACTIONS(5563),
    [anon_sym_initializer] = ACTIONS(5563),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6883),
    [anon_sym_new] = ACTIONS(6885),
    [anon_sym_LBRACE_LT] = ACTIONS(6887),
    [anon_sym_begin] = ACTIONS(6889),
    [sym_ocamlyacc_value] = ACTIONS(6891),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5563),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5561),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6893),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6895),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5561),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5561),
    [aux_sym_number_token1] = ACTIONS(6897),
    [anon_sym_SQUOTE] = ACTIONS(6899),
    [anon_sym_DQUOTE] = ACTIONS(6901),
    [sym_prefix_operator] = ACTIONS(6903),
    [sym__uppercase_identifier] = ACTIONS(6905),
    [aux_sym_tag_token1] = ACTIONS(6907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2524] = {
    [sym_parameter] = STATE(7510),
    [sym__class_typed] = STATE(10928),
    [sym__parenthesized_abstract_type] = STATE(7510),
    [sym__simple_pattern] = STATE(7518),
    [sym_typed_pattern] = STATE(7539),
    [sym_polymorphic_variant_pattern] = STATE(7539),
    [sym_record_pattern] = STATE(7539),
    [sym_list_pattern] = STATE(7539),
    [sym_array_pattern] = STATE(7539),
    [sym_local_open_pattern] = STATE(7539),
    [sym_package_pattern] = STATE(7539),
    [sym_parenthesized_pattern] = STATE(7539),
    [sym_attribute] = STATE(2524),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7539),
    [sym_quoted_extension] = STATE(7539),
    [sym__constant] = STATE(7353),
    [sym__signed_constant] = STATE(7539),
    [sym_number] = STATE(7469),
    [sym_signed_number] = STATE(7353),
    [sym_character] = STATE(7469),
    [sym_string] = STATE(7469),
    [sym_quoted_string] = STATE(7469),
    [sym_boolean] = STATE(7469),
    [sym_unit] = STATE(7469),
    [sym__simple_value_pattern] = STATE(7539),
    [sym_parenthesized_operator] = STATE(7539),
    [sym_module_path] = STATE(18276),
    [sym_constructor_path] = STATE(7539),
    [sym__constructor_name] = STATE(7456),
    [sym_tag] = STATE(7539),
    [aux_sym_expression_item_repeat1] = STATE(10381),
    [aux_sym_let_binding_repeat1] = STATE(2533),
    [sym__lowercase_identifier] = ACTIONS(6761),
    [anon_sym_SEMI_SEMI] = ACTIONS(6909),
    [anon_sym_let] = ACTIONS(6911),
    [anon_sym_and] = ACTIONS(6911),
    [anon_sym_EQ] = ACTIONS(6913),
    [anon_sym_TILDE] = ACTIONS(6769),
    [anon_sym_QMARK] = ACTIONS(6769),
    [anon_sym_LPAREN] = ACTIONS(6771),
    [anon_sym_external] = ACTIONS(6911),
    [anon_sym_type] = ACTIONS(6911),
    [anon_sym_LBRACK] = ACTIONS(6773),
    [anon_sym_true] = ACTIONS(6775),
    [anon_sym_false] = ACTIONS(6775),
    [anon_sym_COLON2] = ACTIONS(6777),
    [anon_sym_LBRACE] = ACTIONS(6779),
    [anon_sym_exception] = ACTIONS(6911),
    [anon_sym_module] = ACTIONS(6911),
    [anon_sym_open] = ACTIONS(6911),
    [anon_sym_include] = ACTIONS(6911),
    [anon_sym_class] = ACTIONS(6911),
    [anon_sym_end] = ACTIONS(6911),
    [anon_sym_POUND] = ACTIONS(6781),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6783),
    [anon_sym_begin] = ACTIONS(6785),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6909),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6789),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6791),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6909),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6909),
    [aux_sym_number_token1] = ACTIONS(6793),
    [aux_sym_signed_number_token1] = ACTIONS(6795),
    [anon_sym_SQUOTE] = ACTIONS(6797),
    [anon_sym_DQUOTE] = ACTIONS(6799),
    [sym_let_operator] = ACTIONS(6909),
    [sym__uppercase_identifier] = ACTIONS(6801),
    [aux_sym_directive_token1] = ACTIONS(6911),
    [aux_sym_tag_token1] = ACTIONS(6803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2525] = {
    [sym_parameter] = STATE(7473),
    [sym__class_typed] = STATE(10907),
    [sym__parenthesized_abstract_type] = STATE(7473),
    [sym__simple_pattern] = STATE(7474),
    [sym_typed_pattern] = STATE(7548),
    [sym_polymorphic_variant_pattern] = STATE(7548),
    [sym_record_pattern] = STATE(7548),
    [sym_list_pattern] = STATE(7548),
    [sym_array_pattern] = STATE(7548),
    [sym_local_open_pattern] = STATE(7548),
    [sym_package_pattern] = STATE(7548),
    [sym_parenthesized_pattern] = STATE(7548),
    [sym_attribute] = STATE(2525),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7548),
    [sym_quoted_extension] = STATE(7548),
    [sym__constant] = STATE(7466),
    [sym__signed_constant] = STATE(7548),
    [sym_number] = STATE(7432),
    [sym_signed_number] = STATE(7466),
    [sym_character] = STATE(7432),
    [sym_string] = STATE(7432),
    [sym_quoted_string] = STATE(7432),
    [sym_boolean] = STATE(7432),
    [sym_unit] = STATE(7432),
    [sym__simple_value_pattern] = STATE(7548),
    [sym_parenthesized_operator] = STATE(7548),
    [sym_module_path] = STATE(17872),
    [sym_constructor_path] = STATE(7548),
    [sym__constructor_name] = STATE(7422),
    [sym_tag] = STATE(7548),
    [aux_sym_expression_item_repeat1] = STATE(10496),
    [aux_sym_let_binding_repeat1] = STATE(2535),
    [sym__lowercase_identifier] = ACTIONS(6805),
    [anon_sym_SEMI_SEMI] = ACTIONS(6915),
    [anon_sym_let] = ACTIONS(6917),
    [anon_sym_and] = ACTIONS(6917),
    [anon_sym_EQ] = ACTIONS(6919),
    [anon_sym_TILDE] = ACTIONS(6813),
    [anon_sym_QMARK] = ACTIONS(6813),
    [anon_sym_LPAREN] = ACTIONS(6815),
    [anon_sym_external] = ACTIONS(6917),
    [anon_sym_type] = ACTIONS(6917),
    [anon_sym_LBRACK] = ACTIONS(6817),
    [anon_sym_RBRACK] = ACTIONS(6915),
    [anon_sym_true] = ACTIONS(6819),
    [anon_sym_false] = ACTIONS(6819),
    [anon_sym_COLON2] = ACTIONS(6821),
    [anon_sym_LBRACE] = ACTIONS(6823),
    [anon_sym_exception] = ACTIONS(6917),
    [anon_sym_module] = ACTIONS(6917),
    [anon_sym_open] = ACTIONS(6917),
    [anon_sym_include] = ACTIONS(6917),
    [anon_sym_class] = ACTIONS(6917),
    [anon_sym_POUND] = ACTIONS(6825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6827),
    [anon_sym_begin] = ACTIONS(6829),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6915),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6831),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6833),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6915),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6915),
    [aux_sym_number_token1] = ACTIONS(6835),
    [aux_sym_signed_number_token1] = ACTIONS(6837),
    [anon_sym_SQUOTE] = ACTIONS(6839),
    [anon_sym_DQUOTE] = ACTIONS(6841),
    [sym_let_operator] = ACTIONS(6915),
    [sym__uppercase_identifier] = ACTIONS(6843),
    [aux_sym_directive_token1] = ACTIONS(6917),
    [aux_sym_tag_token1] = ACTIONS(6845),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2526] = {
    [sym__simple_expression] = STATE(7949),
    [sym_typed_expression] = STATE(7935),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_labeled_argument] = STATE(8283),
    [sym_prefix_expression] = STATE(7935),
    [sym_hash_expression] = STATE(7935),
    [sym_field_get_expression] = STATE(7935),
    [sym_array_get_expression] = STATE(7935),
    [sym_string_get_expression] = STATE(7935),
    [sym_bigarray_get_expression] = STATE(7935),
    [sym_coercion_expression] = STATE(7935),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(2526),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7908),
    [sym_character] = STATE(7908),
    [sym_string] = STATE(7908),
    [sym_quoted_string] = STATE(7908),
    [sym_boolean] = STATE(7908),
    [sym_unit] = STATE(7908),
    [sym__value_name] = STATE(7819),
    [sym_parenthesized_operator] = STATE(7828),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(20269),
    [sym_constructor_path] = STATE(7935),
    [sym__constructor_name] = STATE(7910),
    [sym_tag] = STATE(7935),
    [aux_sym_class_application_repeat1] = STATE(2536),
    [sym__lowercase_identifier] = ACTIONS(6869),
    [anon_sym_TILDE] = ACTIONS(6871),
    [anon_sym_QMARK] = ACTIONS(6871),
    [anon_sym_LPAREN] = ACTIONS(6873),
    [anon_sym_LBRACK] = ACTIONS(6875),
    [anon_sym_true] = ACTIONS(6877),
    [anon_sym_false] = ACTIONS(6877),
    [anon_sym_LBRACE] = ACTIONS(6879),
    [anon_sym_constraint] = ACTIONS(5607),
    [anon_sym_val] = ACTIONS(5607),
    [anon_sym_end] = ACTIONS(5607),
    [anon_sym_object] = ACTIONS(6881),
    [anon_sym_inherit] = ACTIONS(5607),
    [anon_sym_method] = ACTIONS(5607),
    [anon_sym_as] = ACTIONS(5607),
    [anon_sym_initializer] = ACTIONS(5607),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6883),
    [anon_sym_new] = ACTIONS(6885),
    [anon_sym_LBRACE_LT] = ACTIONS(6887),
    [anon_sym_begin] = ACTIONS(6889),
    [sym_ocamlyacc_value] = ACTIONS(6891),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5607),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5605),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6893),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6895),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5605),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5605),
    [aux_sym_number_token1] = ACTIONS(6897),
    [anon_sym_SQUOTE] = ACTIONS(6899),
    [anon_sym_DQUOTE] = ACTIONS(6901),
    [sym_prefix_operator] = ACTIONS(6903),
    [sym__uppercase_identifier] = ACTIONS(6905),
    [aux_sym_tag_token1] = ACTIONS(6907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2527] = {
    [sym_parameter] = STATE(7473),
    [sym__class_typed] = STATE(10910),
    [sym__parenthesized_abstract_type] = STATE(7473),
    [sym__simple_pattern] = STATE(7474),
    [sym_typed_pattern] = STATE(7548),
    [sym_polymorphic_variant_pattern] = STATE(7548),
    [sym_record_pattern] = STATE(7548),
    [sym_list_pattern] = STATE(7548),
    [sym_array_pattern] = STATE(7548),
    [sym_local_open_pattern] = STATE(7548),
    [sym_package_pattern] = STATE(7548),
    [sym_parenthesized_pattern] = STATE(7548),
    [sym_attribute] = STATE(2527),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7548),
    [sym_quoted_extension] = STATE(7548),
    [sym__constant] = STATE(7466),
    [sym__signed_constant] = STATE(7548),
    [sym_number] = STATE(7432),
    [sym_signed_number] = STATE(7466),
    [sym_character] = STATE(7432),
    [sym_string] = STATE(7432),
    [sym_quoted_string] = STATE(7432),
    [sym_boolean] = STATE(7432),
    [sym_unit] = STATE(7432),
    [sym__simple_value_pattern] = STATE(7548),
    [sym_parenthesized_operator] = STATE(7548),
    [sym_module_path] = STATE(17872),
    [sym_constructor_path] = STATE(7548),
    [sym__constructor_name] = STATE(7422),
    [sym_tag] = STATE(7548),
    [aux_sym_expression_item_repeat1] = STATE(10360),
    [aux_sym_let_binding_repeat1] = STATE(2562),
    [sym__lowercase_identifier] = ACTIONS(6805),
    [anon_sym_SEMI_SEMI] = ACTIONS(6921),
    [anon_sym_let] = ACTIONS(6923),
    [anon_sym_and] = ACTIONS(6923),
    [anon_sym_EQ] = ACTIONS(6925),
    [anon_sym_TILDE] = ACTIONS(6813),
    [anon_sym_QMARK] = ACTIONS(6813),
    [anon_sym_LPAREN] = ACTIONS(6815),
    [anon_sym_external] = ACTIONS(6923),
    [anon_sym_type] = ACTIONS(6923),
    [anon_sym_LBRACK] = ACTIONS(6817),
    [anon_sym_RBRACK] = ACTIONS(6921),
    [anon_sym_true] = ACTIONS(6819),
    [anon_sym_false] = ACTIONS(6819),
    [anon_sym_COLON2] = ACTIONS(6821),
    [anon_sym_LBRACE] = ACTIONS(6823),
    [anon_sym_exception] = ACTIONS(6923),
    [anon_sym_module] = ACTIONS(6923),
    [anon_sym_open] = ACTIONS(6923),
    [anon_sym_include] = ACTIONS(6923),
    [anon_sym_class] = ACTIONS(6923),
    [anon_sym_POUND] = ACTIONS(6825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6827),
    [anon_sym_begin] = ACTIONS(6829),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6921),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6831),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6833),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6921),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6921),
    [aux_sym_number_token1] = ACTIONS(6835),
    [aux_sym_signed_number_token1] = ACTIONS(6837),
    [anon_sym_SQUOTE] = ACTIONS(6839),
    [anon_sym_DQUOTE] = ACTIONS(6841),
    [sym_let_operator] = ACTIONS(6921),
    [sym__uppercase_identifier] = ACTIONS(6843),
    [aux_sym_directive_token1] = ACTIONS(6923),
    [aux_sym_tag_token1] = ACTIONS(6845),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2528] = {
    [sym_parameter] = STATE(7510),
    [sym__class_typed] = STATE(10927),
    [sym__parenthesized_abstract_type] = STATE(7510),
    [sym__simple_pattern] = STATE(7518),
    [sym_typed_pattern] = STATE(7539),
    [sym_polymorphic_variant_pattern] = STATE(7539),
    [sym_record_pattern] = STATE(7539),
    [sym_list_pattern] = STATE(7539),
    [sym_array_pattern] = STATE(7539),
    [sym_local_open_pattern] = STATE(7539),
    [sym_package_pattern] = STATE(7539),
    [sym_parenthesized_pattern] = STATE(7539),
    [sym_attribute] = STATE(2528),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7539),
    [sym_quoted_extension] = STATE(7539),
    [sym__constant] = STATE(7353),
    [sym__signed_constant] = STATE(7539),
    [sym_number] = STATE(7469),
    [sym_signed_number] = STATE(7353),
    [sym_character] = STATE(7469),
    [sym_string] = STATE(7469),
    [sym_quoted_string] = STATE(7469),
    [sym_boolean] = STATE(7469),
    [sym_unit] = STATE(7469),
    [sym__simple_value_pattern] = STATE(7539),
    [sym_parenthesized_operator] = STATE(7539),
    [sym_module_path] = STATE(18276),
    [sym_constructor_path] = STATE(7539),
    [sym__constructor_name] = STATE(7456),
    [sym_tag] = STATE(7539),
    [aux_sym_expression_item_repeat1] = STATE(10360),
    [aux_sym_let_binding_repeat1] = STATE(2561),
    [sym__lowercase_identifier] = ACTIONS(6761),
    [anon_sym_SEMI_SEMI] = ACTIONS(6921),
    [anon_sym_let] = ACTIONS(6923),
    [anon_sym_and] = ACTIONS(6923),
    [anon_sym_EQ] = ACTIONS(6927),
    [anon_sym_TILDE] = ACTIONS(6769),
    [anon_sym_QMARK] = ACTIONS(6769),
    [anon_sym_LPAREN] = ACTIONS(6771),
    [anon_sym_external] = ACTIONS(6923),
    [anon_sym_type] = ACTIONS(6923),
    [anon_sym_LBRACK] = ACTIONS(6773),
    [anon_sym_true] = ACTIONS(6775),
    [anon_sym_false] = ACTIONS(6775),
    [anon_sym_COLON2] = ACTIONS(6777),
    [anon_sym_LBRACE] = ACTIONS(6779),
    [anon_sym_exception] = ACTIONS(6923),
    [anon_sym_module] = ACTIONS(6923),
    [anon_sym_open] = ACTIONS(6923),
    [anon_sym_include] = ACTIONS(6923),
    [anon_sym_class] = ACTIONS(6923),
    [anon_sym_end] = ACTIONS(6923),
    [anon_sym_POUND] = ACTIONS(6781),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6783),
    [anon_sym_begin] = ACTIONS(6785),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6921),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6789),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6791),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6921),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6921),
    [aux_sym_number_token1] = ACTIONS(6793),
    [aux_sym_signed_number_token1] = ACTIONS(6795),
    [anon_sym_SQUOTE] = ACTIONS(6797),
    [anon_sym_DQUOTE] = ACTIONS(6799),
    [sym_let_operator] = ACTIONS(6921),
    [sym__uppercase_identifier] = ACTIONS(6801),
    [aux_sym_directive_token1] = ACTIONS(6923),
    [aux_sym_tag_token1] = ACTIONS(6803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2529] = {
    [sym_parameter] = STATE(7510),
    [sym__class_typed] = STATE(10923),
    [sym__parenthesized_abstract_type] = STATE(7510),
    [sym__simple_pattern] = STATE(7518),
    [sym_typed_pattern] = STATE(7539),
    [sym_polymorphic_variant_pattern] = STATE(7539),
    [sym_record_pattern] = STATE(7539),
    [sym_list_pattern] = STATE(7539),
    [sym_array_pattern] = STATE(7539),
    [sym_local_open_pattern] = STATE(7539),
    [sym_package_pattern] = STATE(7539),
    [sym_parenthesized_pattern] = STATE(7539),
    [sym_attribute] = STATE(2529),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7539),
    [sym_quoted_extension] = STATE(7539),
    [sym__constant] = STATE(7353),
    [sym__signed_constant] = STATE(7539),
    [sym_number] = STATE(7469),
    [sym_signed_number] = STATE(7353),
    [sym_character] = STATE(7469),
    [sym_string] = STATE(7469),
    [sym_quoted_string] = STATE(7469),
    [sym_boolean] = STATE(7469),
    [sym_unit] = STATE(7469),
    [sym__simple_value_pattern] = STATE(7539),
    [sym_parenthesized_operator] = STATE(7539),
    [sym_module_path] = STATE(18276),
    [sym_constructor_path] = STATE(7539),
    [sym__constructor_name] = STATE(7456),
    [sym_tag] = STATE(7539),
    [aux_sym_expression_item_repeat1] = STATE(10455),
    [aux_sym_let_binding_repeat1] = STATE(2561),
    [sym__lowercase_identifier] = ACTIONS(6761),
    [anon_sym_SEMI_SEMI] = ACTIONS(6849),
    [anon_sym_let] = ACTIONS(6851),
    [anon_sym_and] = ACTIONS(6851),
    [anon_sym_EQ] = ACTIONS(6929),
    [anon_sym_TILDE] = ACTIONS(6769),
    [anon_sym_QMARK] = ACTIONS(6769),
    [anon_sym_LPAREN] = ACTIONS(6771),
    [anon_sym_external] = ACTIONS(6851),
    [anon_sym_type] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(6773),
    [anon_sym_true] = ACTIONS(6775),
    [anon_sym_false] = ACTIONS(6775),
    [anon_sym_COLON2] = ACTIONS(6777),
    [anon_sym_LBRACE] = ACTIONS(6779),
    [anon_sym_exception] = ACTIONS(6851),
    [anon_sym_module] = ACTIONS(6851),
    [anon_sym_open] = ACTIONS(6851),
    [anon_sym_include] = ACTIONS(6851),
    [anon_sym_class] = ACTIONS(6851),
    [anon_sym_end] = ACTIONS(6851),
    [anon_sym_POUND] = ACTIONS(6781),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6783),
    [anon_sym_begin] = ACTIONS(6785),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6849),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6789),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6791),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6849),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6849),
    [aux_sym_number_token1] = ACTIONS(6793),
    [aux_sym_signed_number_token1] = ACTIONS(6795),
    [anon_sym_SQUOTE] = ACTIONS(6797),
    [anon_sym_DQUOTE] = ACTIONS(6799),
    [sym_let_operator] = ACTIONS(6849),
    [sym__uppercase_identifier] = ACTIONS(6801),
    [aux_sym_directive_token1] = ACTIONS(6851),
    [aux_sym_tag_token1] = ACTIONS(6803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2530] = {
    [sym_parameter] = STATE(7473),
    [sym__class_typed] = STATE(10911),
    [sym__parenthesized_abstract_type] = STATE(7473),
    [sym__simple_pattern] = STATE(7474),
    [sym_typed_pattern] = STATE(7548),
    [sym_polymorphic_variant_pattern] = STATE(7548),
    [sym_record_pattern] = STATE(7548),
    [sym_list_pattern] = STATE(7548),
    [sym_array_pattern] = STATE(7548),
    [sym_local_open_pattern] = STATE(7548),
    [sym_package_pattern] = STATE(7548),
    [sym_parenthesized_pattern] = STATE(7548),
    [sym_attribute] = STATE(2530),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7548),
    [sym_quoted_extension] = STATE(7548),
    [sym__constant] = STATE(7466),
    [sym__signed_constant] = STATE(7548),
    [sym_number] = STATE(7432),
    [sym_signed_number] = STATE(7466),
    [sym_character] = STATE(7432),
    [sym_string] = STATE(7432),
    [sym_quoted_string] = STATE(7432),
    [sym_boolean] = STATE(7432),
    [sym_unit] = STATE(7432),
    [sym__simple_value_pattern] = STATE(7548),
    [sym_parenthesized_operator] = STATE(7548),
    [sym_module_path] = STATE(17872),
    [sym_constructor_path] = STATE(7548),
    [sym__constructor_name] = STATE(7422),
    [sym_tag] = STATE(7548),
    [aux_sym_expression_item_repeat1] = STATE(10381),
    [aux_sym_let_binding_repeat1] = STATE(2531),
    [sym__lowercase_identifier] = ACTIONS(6805),
    [anon_sym_SEMI_SEMI] = ACTIONS(6909),
    [anon_sym_let] = ACTIONS(6911),
    [anon_sym_and] = ACTIONS(6911),
    [anon_sym_EQ] = ACTIONS(6931),
    [anon_sym_TILDE] = ACTIONS(6813),
    [anon_sym_QMARK] = ACTIONS(6813),
    [anon_sym_LPAREN] = ACTIONS(6815),
    [anon_sym_external] = ACTIONS(6911),
    [anon_sym_type] = ACTIONS(6911),
    [anon_sym_LBRACK] = ACTIONS(6817),
    [anon_sym_RBRACK] = ACTIONS(6909),
    [anon_sym_true] = ACTIONS(6819),
    [anon_sym_false] = ACTIONS(6819),
    [anon_sym_COLON2] = ACTIONS(6821),
    [anon_sym_LBRACE] = ACTIONS(6823),
    [anon_sym_exception] = ACTIONS(6911),
    [anon_sym_module] = ACTIONS(6911),
    [anon_sym_open] = ACTIONS(6911),
    [anon_sym_include] = ACTIONS(6911),
    [anon_sym_class] = ACTIONS(6911),
    [anon_sym_POUND] = ACTIONS(6825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6827),
    [anon_sym_begin] = ACTIONS(6829),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6909),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6831),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6833),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6909),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6909),
    [aux_sym_number_token1] = ACTIONS(6835),
    [aux_sym_signed_number_token1] = ACTIONS(6837),
    [anon_sym_SQUOTE] = ACTIONS(6839),
    [anon_sym_DQUOTE] = ACTIONS(6841),
    [sym_let_operator] = ACTIONS(6909),
    [sym__uppercase_identifier] = ACTIONS(6843),
    [aux_sym_directive_token1] = ACTIONS(6911),
    [aux_sym_tag_token1] = ACTIONS(6845),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2531] = {
    [sym_parameter] = STATE(7473),
    [sym__class_typed] = STATE(10912),
    [sym__parenthesized_abstract_type] = STATE(7473),
    [sym__simple_pattern] = STATE(7474),
    [sym_typed_pattern] = STATE(7548),
    [sym_polymorphic_variant_pattern] = STATE(7548),
    [sym_record_pattern] = STATE(7548),
    [sym_list_pattern] = STATE(7548),
    [sym_array_pattern] = STATE(7548),
    [sym_local_open_pattern] = STATE(7548),
    [sym_package_pattern] = STATE(7548),
    [sym_parenthesized_pattern] = STATE(7548),
    [sym_attribute] = STATE(2531),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7548),
    [sym_quoted_extension] = STATE(7548),
    [sym__constant] = STATE(7466),
    [sym__signed_constant] = STATE(7548),
    [sym_number] = STATE(7432),
    [sym_signed_number] = STATE(7466),
    [sym_character] = STATE(7432),
    [sym_string] = STATE(7432),
    [sym_quoted_string] = STATE(7432),
    [sym_boolean] = STATE(7432),
    [sym_unit] = STATE(7432),
    [sym__simple_value_pattern] = STATE(7548),
    [sym_parenthesized_operator] = STATE(7548),
    [sym_module_path] = STATE(17872),
    [sym_constructor_path] = STATE(7548),
    [sym__constructor_name] = STATE(7422),
    [sym_tag] = STATE(7548),
    [aux_sym_expression_item_repeat1] = STATE(10552),
    [aux_sym_let_binding_repeat1] = STATE(2562),
    [sym__lowercase_identifier] = ACTIONS(6805),
    [anon_sym_SEMI_SEMI] = ACTIONS(6933),
    [anon_sym_let] = ACTIONS(6935),
    [anon_sym_and] = ACTIONS(6935),
    [anon_sym_EQ] = ACTIONS(6937),
    [anon_sym_TILDE] = ACTIONS(6813),
    [anon_sym_QMARK] = ACTIONS(6813),
    [anon_sym_LPAREN] = ACTIONS(6815),
    [anon_sym_external] = ACTIONS(6935),
    [anon_sym_type] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6817),
    [anon_sym_RBRACK] = ACTIONS(6933),
    [anon_sym_true] = ACTIONS(6819),
    [anon_sym_false] = ACTIONS(6819),
    [anon_sym_COLON2] = ACTIONS(6821),
    [anon_sym_LBRACE] = ACTIONS(6823),
    [anon_sym_exception] = ACTIONS(6935),
    [anon_sym_module] = ACTIONS(6935),
    [anon_sym_open] = ACTIONS(6935),
    [anon_sym_include] = ACTIONS(6935),
    [anon_sym_class] = ACTIONS(6935),
    [anon_sym_POUND] = ACTIONS(6825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6827),
    [anon_sym_begin] = ACTIONS(6829),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6933),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6831),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6833),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6933),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6933),
    [aux_sym_number_token1] = ACTIONS(6835),
    [aux_sym_signed_number_token1] = ACTIONS(6837),
    [anon_sym_SQUOTE] = ACTIONS(6839),
    [anon_sym_DQUOTE] = ACTIONS(6841),
    [sym_let_operator] = ACTIONS(6933),
    [sym__uppercase_identifier] = ACTIONS(6843),
    [aux_sym_directive_token1] = ACTIONS(6935),
    [aux_sym_tag_token1] = ACTIONS(6845),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2532] = {
    [sym_parameter] = STATE(7473),
    [sym__class_typed] = STATE(10899),
    [sym__parenthesized_abstract_type] = STATE(7473),
    [sym__simple_pattern] = STATE(7474),
    [sym_typed_pattern] = STATE(7548),
    [sym_polymorphic_variant_pattern] = STATE(7548),
    [sym_record_pattern] = STATE(7548),
    [sym_list_pattern] = STATE(7548),
    [sym_array_pattern] = STATE(7548),
    [sym_local_open_pattern] = STATE(7548),
    [sym_package_pattern] = STATE(7548),
    [sym_parenthesized_pattern] = STATE(7548),
    [sym_attribute] = STATE(2532),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7548),
    [sym_quoted_extension] = STATE(7548),
    [sym__constant] = STATE(7466),
    [sym__signed_constant] = STATE(7548),
    [sym_number] = STATE(7432),
    [sym_signed_number] = STATE(7466),
    [sym_character] = STATE(7432),
    [sym_string] = STATE(7432),
    [sym_quoted_string] = STATE(7432),
    [sym_boolean] = STATE(7432),
    [sym_unit] = STATE(7432),
    [sym__simple_value_pattern] = STATE(7548),
    [sym_parenthesized_operator] = STATE(7548),
    [sym_module_path] = STATE(17872),
    [sym_constructor_path] = STATE(7548),
    [sym__constructor_name] = STATE(7422),
    [sym_tag] = STATE(7548),
    [aux_sym_expression_item_repeat1] = STATE(10412),
    [aux_sym_let_binding_repeat1] = STATE(2519),
    [sym__lowercase_identifier] = ACTIONS(6805),
    [anon_sym_SEMI_SEMI] = ACTIONS(6861),
    [anon_sym_let] = ACTIONS(6863),
    [anon_sym_and] = ACTIONS(6863),
    [anon_sym_EQ] = ACTIONS(6939),
    [anon_sym_TILDE] = ACTIONS(6813),
    [anon_sym_QMARK] = ACTIONS(6813),
    [anon_sym_LPAREN] = ACTIONS(6815),
    [anon_sym_external] = ACTIONS(6863),
    [anon_sym_type] = ACTIONS(6863),
    [anon_sym_LBRACK] = ACTIONS(6817),
    [anon_sym_RBRACK] = ACTIONS(6861),
    [anon_sym_true] = ACTIONS(6819),
    [anon_sym_false] = ACTIONS(6819),
    [anon_sym_COLON2] = ACTIONS(6821),
    [anon_sym_LBRACE] = ACTIONS(6823),
    [anon_sym_exception] = ACTIONS(6863),
    [anon_sym_module] = ACTIONS(6863),
    [anon_sym_open] = ACTIONS(6863),
    [anon_sym_include] = ACTIONS(6863),
    [anon_sym_class] = ACTIONS(6863),
    [anon_sym_POUND] = ACTIONS(6825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6827),
    [anon_sym_begin] = ACTIONS(6829),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6861),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6831),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6833),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6861),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6861),
    [aux_sym_number_token1] = ACTIONS(6835),
    [aux_sym_signed_number_token1] = ACTIONS(6837),
    [anon_sym_SQUOTE] = ACTIONS(6839),
    [anon_sym_DQUOTE] = ACTIONS(6841),
    [sym_let_operator] = ACTIONS(6861),
    [sym__uppercase_identifier] = ACTIONS(6843),
    [aux_sym_directive_token1] = ACTIONS(6863),
    [aux_sym_tag_token1] = ACTIONS(6845),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2533] = {
    [sym_parameter] = STATE(7510),
    [sym__class_typed] = STATE(10929),
    [sym__parenthesized_abstract_type] = STATE(7510),
    [sym__simple_pattern] = STATE(7518),
    [sym_typed_pattern] = STATE(7539),
    [sym_polymorphic_variant_pattern] = STATE(7539),
    [sym_record_pattern] = STATE(7539),
    [sym_list_pattern] = STATE(7539),
    [sym_array_pattern] = STATE(7539),
    [sym_local_open_pattern] = STATE(7539),
    [sym_package_pattern] = STATE(7539),
    [sym_parenthesized_pattern] = STATE(7539),
    [sym_attribute] = STATE(2533),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7539),
    [sym_quoted_extension] = STATE(7539),
    [sym__constant] = STATE(7353),
    [sym__signed_constant] = STATE(7539),
    [sym_number] = STATE(7469),
    [sym_signed_number] = STATE(7353),
    [sym_character] = STATE(7469),
    [sym_string] = STATE(7469),
    [sym_quoted_string] = STATE(7469),
    [sym_boolean] = STATE(7469),
    [sym_unit] = STATE(7469),
    [sym__simple_value_pattern] = STATE(7539),
    [sym_parenthesized_operator] = STATE(7539),
    [sym_module_path] = STATE(18276),
    [sym_constructor_path] = STATE(7539),
    [sym__constructor_name] = STATE(7456),
    [sym_tag] = STATE(7539),
    [aux_sym_expression_item_repeat1] = STATE(10552),
    [aux_sym_let_binding_repeat1] = STATE(2561),
    [sym__lowercase_identifier] = ACTIONS(6761),
    [anon_sym_SEMI_SEMI] = ACTIONS(6933),
    [anon_sym_let] = ACTIONS(6935),
    [anon_sym_and] = ACTIONS(6935),
    [anon_sym_EQ] = ACTIONS(6941),
    [anon_sym_TILDE] = ACTIONS(6769),
    [anon_sym_QMARK] = ACTIONS(6769),
    [anon_sym_LPAREN] = ACTIONS(6771),
    [anon_sym_external] = ACTIONS(6935),
    [anon_sym_type] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6773),
    [anon_sym_true] = ACTIONS(6775),
    [anon_sym_false] = ACTIONS(6775),
    [anon_sym_COLON2] = ACTIONS(6777),
    [anon_sym_LBRACE] = ACTIONS(6779),
    [anon_sym_exception] = ACTIONS(6935),
    [anon_sym_module] = ACTIONS(6935),
    [anon_sym_open] = ACTIONS(6935),
    [anon_sym_include] = ACTIONS(6935),
    [anon_sym_class] = ACTIONS(6935),
    [anon_sym_end] = ACTIONS(6935),
    [anon_sym_POUND] = ACTIONS(6781),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6783),
    [anon_sym_begin] = ACTIONS(6785),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6933),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6789),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6791),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6933),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6933),
    [aux_sym_number_token1] = ACTIONS(6793),
    [aux_sym_signed_number_token1] = ACTIONS(6795),
    [anon_sym_SQUOTE] = ACTIONS(6797),
    [anon_sym_DQUOTE] = ACTIONS(6799),
    [sym_let_operator] = ACTIONS(6933),
    [sym__uppercase_identifier] = ACTIONS(6801),
    [aux_sym_directive_token1] = ACTIONS(6935),
    [aux_sym_tag_token1] = ACTIONS(6803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2534] = {
    [sym_parameter] = STATE(7510),
    [sym__class_typed] = STATE(10926),
    [sym__parenthesized_abstract_type] = STATE(7510),
    [sym__simple_pattern] = STATE(7518),
    [sym_typed_pattern] = STATE(7539),
    [sym_polymorphic_variant_pattern] = STATE(7539),
    [sym_record_pattern] = STATE(7539),
    [sym_list_pattern] = STATE(7539),
    [sym_array_pattern] = STATE(7539),
    [sym_local_open_pattern] = STATE(7539),
    [sym_package_pattern] = STATE(7539),
    [sym_parenthesized_pattern] = STATE(7539),
    [sym_attribute] = STATE(2534),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7539),
    [sym_quoted_extension] = STATE(7539),
    [sym__constant] = STATE(7353),
    [sym__signed_constant] = STATE(7539),
    [sym_number] = STATE(7469),
    [sym_signed_number] = STATE(7353),
    [sym_character] = STATE(7469),
    [sym_string] = STATE(7469),
    [sym_quoted_string] = STATE(7469),
    [sym_boolean] = STATE(7469),
    [sym_unit] = STATE(7469),
    [sym__simple_value_pattern] = STATE(7539),
    [sym_parenthesized_operator] = STATE(7539),
    [sym_module_path] = STATE(18276),
    [sym_constructor_path] = STATE(7539),
    [sym__constructor_name] = STATE(7456),
    [sym_tag] = STATE(7539),
    [aux_sym_expression_item_repeat1] = STATE(10430),
    [aux_sym_let_binding_repeat1] = STATE(2528),
    [sym__lowercase_identifier] = ACTIONS(6761),
    [anon_sym_SEMI_SEMI] = ACTIONS(6943),
    [anon_sym_let] = ACTIONS(6945),
    [anon_sym_and] = ACTIONS(6945),
    [anon_sym_EQ] = ACTIONS(6947),
    [anon_sym_TILDE] = ACTIONS(6769),
    [anon_sym_QMARK] = ACTIONS(6769),
    [anon_sym_LPAREN] = ACTIONS(6771),
    [anon_sym_external] = ACTIONS(6945),
    [anon_sym_type] = ACTIONS(6945),
    [anon_sym_LBRACK] = ACTIONS(6773),
    [anon_sym_true] = ACTIONS(6775),
    [anon_sym_false] = ACTIONS(6775),
    [anon_sym_COLON2] = ACTIONS(6777),
    [anon_sym_LBRACE] = ACTIONS(6779),
    [anon_sym_exception] = ACTIONS(6945),
    [anon_sym_module] = ACTIONS(6945),
    [anon_sym_open] = ACTIONS(6945),
    [anon_sym_include] = ACTIONS(6945),
    [anon_sym_class] = ACTIONS(6945),
    [anon_sym_end] = ACTIONS(6945),
    [anon_sym_POUND] = ACTIONS(6781),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6783),
    [anon_sym_begin] = ACTIONS(6785),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6943),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6789),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6791),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6943),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6943),
    [aux_sym_number_token1] = ACTIONS(6793),
    [aux_sym_signed_number_token1] = ACTIONS(6795),
    [anon_sym_SQUOTE] = ACTIONS(6797),
    [anon_sym_DQUOTE] = ACTIONS(6799),
    [sym_let_operator] = ACTIONS(6943),
    [sym__uppercase_identifier] = ACTIONS(6801),
    [aux_sym_directive_token1] = ACTIONS(6945),
    [aux_sym_tag_token1] = ACTIONS(6803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2535] = {
    [sym_parameter] = STATE(7473),
    [sym__class_typed] = STATE(10908),
    [sym__parenthesized_abstract_type] = STATE(7473),
    [sym__simple_pattern] = STATE(7474),
    [sym_typed_pattern] = STATE(7548),
    [sym_polymorphic_variant_pattern] = STATE(7548),
    [sym_record_pattern] = STATE(7548),
    [sym_list_pattern] = STATE(7548),
    [sym_array_pattern] = STATE(7548),
    [sym_local_open_pattern] = STATE(7548),
    [sym_package_pattern] = STATE(7548),
    [sym_parenthesized_pattern] = STATE(7548),
    [sym_attribute] = STATE(2535),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7548),
    [sym_quoted_extension] = STATE(7548),
    [sym__constant] = STATE(7466),
    [sym__signed_constant] = STATE(7548),
    [sym_number] = STATE(7432),
    [sym_signed_number] = STATE(7466),
    [sym_character] = STATE(7432),
    [sym_string] = STATE(7432),
    [sym_quoted_string] = STATE(7432),
    [sym_boolean] = STATE(7432),
    [sym_unit] = STATE(7432),
    [sym__simple_value_pattern] = STATE(7548),
    [sym_parenthesized_operator] = STATE(7548),
    [sym_module_path] = STATE(17872),
    [sym_constructor_path] = STATE(7548),
    [sym__constructor_name] = STATE(7422),
    [sym_tag] = STATE(7548),
    [aux_sym_expression_item_repeat1] = STATE(10251),
    [aux_sym_let_binding_repeat1] = STATE(2562),
    [sym__lowercase_identifier] = ACTIONS(6805),
    [anon_sym_SEMI_SEMI] = ACTIONS(6763),
    [anon_sym_let] = ACTIONS(6765),
    [anon_sym_and] = ACTIONS(6765),
    [anon_sym_EQ] = ACTIONS(6949),
    [anon_sym_TILDE] = ACTIONS(6813),
    [anon_sym_QMARK] = ACTIONS(6813),
    [anon_sym_LPAREN] = ACTIONS(6815),
    [anon_sym_external] = ACTIONS(6765),
    [anon_sym_type] = ACTIONS(6765),
    [anon_sym_LBRACK] = ACTIONS(6817),
    [anon_sym_RBRACK] = ACTIONS(6763),
    [anon_sym_true] = ACTIONS(6819),
    [anon_sym_false] = ACTIONS(6819),
    [anon_sym_COLON2] = ACTIONS(6821),
    [anon_sym_LBRACE] = ACTIONS(6823),
    [anon_sym_exception] = ACTIONS(6765),
    [anon_sym_module] = ACTIONS(6765),
    [anon_sym_open] = ACTIONS(6765),
    [anon_sym_include] = ACTIONS(6765),
    [anon_sym_class] = ACTIONS(6765),
    [anon_sym_POUND] = ACTIONS(6825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6827),
    [anon_sym_begin] = ACTIONS(6829),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6763),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6831),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6833),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6763),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6763),
    [aux_sym_number_token1] = ACTIONS(6835),
    [aux_sym_signed_number_token1] = ACTIONS(6837),
    [anon_sym_SQUOTE] = ACTIONS(6839),
    [anon_sym_DQUOTE] = ACTIONS(6841),
    [sym_let_operator] = ACTIONS(6763),
    [sym__uppercase_identifier] = ACTIONS(6843),
    [aux_sym_directive_token1] = ACTIONS(6765),
    [aux_sym_tag_token1] = ACTIONS(6845),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2536] = {
    [sym__simple_expression] = STATE(7949),
    [sym_typed_expression] = STATE(7935),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_labeled_argument] = STATE(8283),
    [sym_prefix_expression] = STATE(7935),
    [sym_hash_expression] = STATE(7935),
    [sym_field_get_expression] = STATE(7935),
    [sym_array_get_expression] = STATE(7935),
    [sym_string_get_expression] = STATE(7935),
    [sym_bigarray_get_expression] = STATE(7935),
    [sym_coercion_expression] = STATE(7935),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(2536),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7908),
    [sym_character] = STATE(7908),
    [sym_string] = STATE(7908),
    [sym_quoted_string] = STATE(7908),
    [sym_boolean] = STATE(7908),
    [sym_unit] = STATE(7908),
    [sym__value_name] = STATE(7819),
    [sym_parenthesized_operator] = STATE(7828),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(20269),
    [sym_constructor_path] = STATE(7935),
    [sym__constructor_name] = STATE(7910),
    [sym_tag] = STATE(7935),
    [aux_sym_class_application_repeat1] = STATE(2536),
    [sym__lowercase_identifier] = ACTIONS(6951),
    [anon_sym_TILDE] = ACTIONS(6954),
    [anon_sym_QMARK] = ACTIONS(6954),
    [anon_sym_LPAREN] = ACTIONS(6957),
    [anon_sym_LBRACK] = ACTIONS(6960),
    [anon_sym_true] = ACTIONS(6963),
    [anon_sym_false] = ACTIONS(6963),
    [anon_sym_LBRACE] = ACTIONS(6966),
    [anon_sym_constraint] = ACTIONS(3538),
    [anon_sym_val] = ACTIONS(3538),
    [anon_sym_end] = ACTIONS(3538),
    [anon_sym_object] = ACTIONS(6969),
    [anon_sym_inherit] = ACTIONS(3538),
    [anon_sym_method] = ACTIONS(3538),
    [anon_sym_as] = ACTIONS(3538),
    [anon_sym_initializer] = ACTIONS(3538),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6972),
    [anon_sym_new] = ACTIONS(6975),
    [anon_sym_LBRACE_LT] = ACTIONS(6978),
    [anon_sym_begin] = ACTIONS(6981),
    [sym_ocamlyacc_value] = ACTIONS(6984),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3538),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3536),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6987),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6990),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3536),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3536),
    [aux_sym_number_token1] = ACTIONS(6993),
    [anon_sym_SQUOTE] = ACTIONS(6996),
    [anon_sym_DQUOTE] = ACTIONS(6999),
    [sym_prefix_operator] = ACTIONS(7002),
    [sym__uppercase_identifier] = ACTIONS(7005),
    [aux_sym_tag_token1] = ACTIONS(7008),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2537] = {
    [sym_parameter] = STATE(7510),
    [sym__class_typed] = STATE(10924),
    [sym__parenthesized_abstract_type] = STATE(7510),
    [sym__simple_pattern] = STATE(7518),
    [sym_typed_pattern] = STATE(7539),
    [sym_polymorphic_variant_pattern] = STATE(7539),
    [sym_record_pattern] = STATE(7539),
    [sym_list_pattern] = STATE(7539),
    [sym_array_pattern] = STATE(7539),
    [sym_local_open_pattern] = STATE(7539),
    [sym_package_pattern] = STATE(7539),
    [sym_parenthesized_pattern] = STATE(7539),
    [sym_attribute] = STATE(2537),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7539),
    [sym_quoted_extension] = STATE(7539),
    [sym__constant] = STATE(7353),
    [sym__signed_constant] = STATE(7539),
    [sym_number] = STATE(7469),
    [sym_signed_number] = STATE(7353),
    [sym_character] = STATE(7469),
    [sym_string] = STATE(7469),
    [sym_quoted_string] = STATE(7469),
    [sym_boolean] = STATE(7469),
    [sym_unit] = STATE(7469),
    [sym__simple_value_pattern] = STATE(7539),
    [sym_parenthesized_operator] = STATE(7539),
    [sym_module_path] = STATE(18276),
    [sym_constructor_path] = STATE(7539),
    [sym__constructor_name] = STATE(7456),
    [sym_tag] = STATE(7539),
    [aux_sym_expression_item_repeat1] = STATE(10496),
    [aux_sym_let_binding_repeat1] = STATE(2516),
    [sym__lowercase_identifier] = ACTIONS(6761),
    [anon_sym_SEMI_SEMI] = ACTIONS(6915),
    [anon_sym_let] = ACTIONS(6917),
    [anon_sym_and] = ACTIONS(6917),
    [anon_sym_EQ] = ACTIONS(7011),
    [anon_sym_TILDE] = ACTIONS(6769),
    [anon_sym_QMARK] = ACTIONS(6769),
    [anon_sym_LPAREN] = ACTIONS(6771),
    [anon_sym_external] = ACTIONS(6917),
    [anon_sym_type] = ACTIONS(6917),
    [anon_sym_LBRACK] = ACTIONS(6773),
    [anon_sym_true] = ACTIONS(6775),
    [anon_sym_false] = ACTIONS(6775),
    [anon_sym_COLON2] = ACTIONS(6777),
    [anon_sym_LBRACE] = ACTIONS(6779),
    [anon_sym_exception] = ACTIONS(6917),
    [anon_sym_module] = ACTIONS(6917),
    [anon_sym_open] = ACTIONS(6917),
    [anon_sym_include] = ACTIONS(6917),
    [anon_sym_class] = ACTIONS(6917),
    [anon_sym_end] = ACTIONS(6917),
    [anon_sym_POUND] = ACTIONS(6781),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6783),
    [anon_sym_begin] = ACTIONS(6785),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6915),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6789),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6791),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6915),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6915),
    [aux_sym_number_token1] = ACTIONS(6793),
    [aux_sym_signed_number_token1] = ACTIONS(6795),
    [anon_sym_SQUOTE] = ACTIONS(6797),
    [anon_sym_DQUOTE] = ACTIONS(6799),
    [sym_let_operator] = ACTIONS(6915),
    [sym__uppercase_identifier] = ACTIONS(6801),
    [aux_sym_directive_token1] = ACTIONS(6917),
    [aux_sym_tag_token1] = ACTIONS(6803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2538] = {
    [sym_parameter] = STATE(7473),
    [sym__class_typed] = STATE(10909),
    [sym__parenthesized_abstract_type] = STATE(7473),
    [sym__simple_pattern] = STATE(7474),
    [sym_typed_pattern] = STATE(7548),
    [sym_polymorphic_variant_pattern] = STATE(7548),
    [sym_record_pattern] = STATE(7548),
    [sym_list_pattern] = STATE(7548),
    [sym_array_pattern] = STATE(7548),
    [sym_local_open_pattern] = STATE(7548),
    [sym_package_pattern] = STATE(7548),
    [sym_parenthesized_pattern] = STATE(7548),
    [sym_attribute] = STATE(2538),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7548),
    [sym_quoted_extension] = STATE(7548),
    [sym__constant] = STATE(7466),
    [sym__signed_constant] = STATE(7548),
    [sym_number] = STATE(7432),
    [sym_signed_number] = STATE(7466),
    [sym_character] = STATE(7432),
    [sym_string] = STATE(7432),
    [sym_quoted_string] = STATE(7432),
    [sym_boolean] = STATE(7432),
    [sym_unit] = STATE(7432),
    [sym__simple_value_pattern] = STATE(7548),
    [sym_parenthesized_operator] = STATE(7548),
    [sym_module_path] = STATE(17872),
    [sym_constructor_path] = STATE(7548),
    [sym__constructor_name] = STATE(7422),
    [sym_tag] = STATE(7548),
    [aux_sym_expression_item_repeat1] = STATE(10430),
    [aux_sym_let_binding_repeat1] = STATE(2527),
    [sym__lowercase_identifier] = ACTIONS(6805),
    [anon_sym_SEMI_SEMI] = ACTIONS(6943),
    [anon_sym_let] = ACTIONS(6945),
    [anon_sym_and] = ACTIONS(6945),
    [anon_sym_EQ] = ACTIONS(7013),
    [anon_sym_TILDE] = ACTIONS(6813),
    [anon_sym_QMARK] = ACTIONS(6813),
    [anon_sym_LPAREN] = ACTIONS(6815),
    [anon_sym_external] = ACTIONS(6945),
    [anon_sym_type] = ACTIONS(6945),
    [anon_sym_LBRACK] = ACTIONS(6817),
    [anon_sym_RBRACK] = ACTIONS(6943),
    [anon_sym_true] = ACTIONS(6819),
    [anon_sym_false] = ACTIONS(6819),
    [anon_sym_COLON2] = ACTIONS(6821),
    [anon_sym_LBRACE] = ACTIONS(6823),
    [anon_sym_exception] = ACTIONS(6945),
    [anon_sym_module] = ACTIONS(6945),
    [anon_sym_open] = ACTIONS(6945),
    [anon_sym_include] = ACTIONS(6945),
    [anon_sym_class] = ACTIONS(6945),
    [anon_sym_POUND] = ACTIONS(6825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6827),
    [anon_sym_begin] = ACTIONS(6829),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6943),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6831),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6833),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6943),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6943),
    [aux_sym_number_token1] = ACTIONS(6835),
    [aux_sym_signed_number_token1] = ACTIONS(6837),
    [anon_sym_SQUOTE] = ACTIONS(6839),
    [anon_sym_DQUOTE] = ACTIONS(6841),
    [sym_let_operator] = ACTIONS(6943),
    [sym__uppercase_identifier] = ACTIONS(6843),
    [aux_sym_directive_token1] = ACTIONS(6945),
    [aux_sym_tag_token1] = ACTIONS(6845),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2539] = {
    [sym_parameter] = STATE(7628),
    [sym__class_typed] = STATE(11394),
    [sym__parenthesized_abstract_type] = STATE(7628),
    [sym__simple_pattern] = STATE(7630),
    [sym_typed_pattern] = STATE(7631),
    [sym_polymorphic_variant_pattern] = STATE(7631),
    [sym_record_pattern] = STATE(7631),
    [sym_list_pattern] = STATE(7631),
    [sym_array_pattern] = STATE(7631),
    [sym_local_open_pattern] = STATE(7631),
    [sym_package_pattern] = STATE(7631),
    [sym_parenthesized_pattern] = STATE(7631),
    [sym_attribute] = STATE(2539),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7631),
    [sym_quoted_extension] = STATE(7631),
    [sym__constant] = STATE(7632),
    [sym__signed_constant] = STATE(7631),
    [sym_number] = STATE(7635),
    [sym_signed_number] = STATE(7632),
    [sym_character] = STATE(7635),
    [sym_string] = STATE(7635),
    [sym_quoted_string] = STATE(7635),
    [sym_boolean] = STATE(7635),
    [sym_unit] = STATE(7635),
    [sym__simple_value_pattern] = STATE(7631),
    [sym_parenthesized_operator] = STATE(7631),
    [sym_module_path] = STATE(19337),
    [sym_constructor_path] = STATE(7631),
    [sym__constructor_name] = STATE(7636),
    [sym_tag] = STATE(7631),
    [aux_sym_expression_item_repeat1] = STATE(10430),
    [aux_sym_let_binding_repeat1] = STATE(2542),
    [ts_builtin_sym_end] = ACTIONS(6943),
    [sym__lowercase_identifier] = ACTIONS(7015),
    [anon_sym_SEMI_SEMI] = ACTIONS(6943),
    [anon_sym_and] = ACTIONS(6945),
    [anon_sym_EQ] = ACTIONS(7017),
    [anon_sym_TILDE] = ACTIONS(7019),
    [anon_sym_QMARK] = ACTIONS(7019),
    [anon_sym_LPAREN] = ACTIONS(7021),
    [anon_sym_external] = ACTIONS(6945),
    [anon_sym_type] = ACTIONS(6945),
    [anon_sym_LBRACK] = ACTIONS(7023),
    [anon_sym_RBRACK] = ACTIONS(6943),
    [anon_sym_true] = ACTIONS(7025),
    [anon_sym_false] = ACTIONS(7025),
    [anon_sym_COLON2] = ACTIONS(7027),
    [anon_sym_LBRACE] = ACTIONS(7029),
    [anon_sym_exception] = ACTIONS(6945),
    [anon_sym_module] = ACTIONS(6945),
    [anon_sym_open] = ACTIONS(6945),
    [anon_sym_include] = ACTIONS(6945),
    [anon_sym_class] = ACTIONS(6945),
    [anon_sym_val] = ACTIONS(6945),
    [anon_sym_POUND] = ACTIONS(7031),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7033),
    [anon_sym_begin] = ACTIONS(7035),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6943),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7039),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6943),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6943),
    [aux_sym_number_token1] = ACTIONS(7041),
    [aux_sym_signed_number_token1] = ACTIONS(7043),
    [anon_sym_SQUOTE] = ACTIONS(7045),
    [anon_sym_DQUOTE] = ACTIONS(7047),
    [sym__uppercase_identifier] = ACTIONS(7049),
    [aux_sym_tag_token1] = ACTIONS(7051),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2540] = {
    [sym_parameter] = STATE(7628),
    [sym__class_typed] = STATE(11564),
    [sym__parenthesized_abstract_type] = STATE(7628),
    [sym__simple_pattern] = STATE(7630),
    [sym_typed_pattern] = STATE(7631),
    [sym_polymorphic_variant_pattern] = STATE(7631),
    [sym_record_pattern] = STATE(7631),
    [sym_list_pattern] = STATE(7631),
    [sym_array_pattern] = STATE(7631),
    [sym_local_open_pattern] = STATE(7631),
    [sym_package_pattern] = STATE(7631),
    [sym_parenthesized_pattern] = STATE(7631),
    [sym_attribute] = STATE(2540),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7631),
    [sym_quoted_extension] = STATE(7631),
    [sym__constant] = STATE(7632),
    [sym__signed_constant] = STATE(7631),
    [sym_number] = STATE(7635),
    [sym_signed_number] = STATE(7632),
    [sym_character] = STATE(7635),
    [sym_string] = STATE(7635),
    [sym_quoted_string] = STATE(7635),
    [sym_boolean] = STATE(7635),
    [sym_unit] = STATE(7635),
    [sym__simple_value_pattern] = STATE(7631),
    [sym_parenthesized_operator] = STATE(7631),
    [sym_module_path] = STATE(19337),
    [sym_constructor_path] = STATE(7631),
    [sym__constructor_name] = STATE(7636),
    [sym_tag] = STATE(7631),
    [aux_sym_expression_item_repeat1] = STATE(10552),
    [aux_sym_let_binding_repeat1] = STATE(2563),
    [ts_builtin_sym_end] = ACTIONS(6933),
    [sym__lowercase_identifier] = ACTIONS(7015),
    [anon_sym_SEMI_SEMI] = ACTIONS(6933),
    [anon_sym_and] = ACTIONS(6935),
    [anon_sym_EQ] = ACTIONS(7053),
    [anon_sym_TILDE] = ACTIONS(7019),
    [anon_sym_QMARK] = ACTIONS(7019),
    [anon_sym_LPAREN] = ACTIONS(7021),
    [anon_sym_external] = ACTIONS(6935),
    [anon_sym_type] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(7023),
    [anon_sym_RBRACK] = ACTIONS(6933),
    [anon_sym_true] = ACTIONS(7025),
    [anon_sym_false] = ACTIONS(7025),
    [anon_sym_COLON2] = ACTIONS(7027),
    [anon_sym_LBRACE] = ACTIONS(7029),
    [anon_sym_exception] = ACTIONS(6935),
    [anon_sym_module] = ACTIONS(6935),
    [anon_sym_open] = ACTIONS(6935),
    [anon_sym_include] = ACTIONS(6935),
    [anon_sym_class] = ACTIONS(6935),
    [anon_sym_val] = ACTIONS(6935),
    [anon_sym_POUND] = ACTIONS(7031),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7033),
    [anon_sym_begin] = ACTIONS(7035),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6933),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7039),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6933),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6933),
    [aux_sym_number_token1] = ACTIONS(7041),
    [aux_sym_signed_number_token1] = ACTIONS(7043),
    [anon_sym_SQUOTE] = ACTIONS(7045),
    [anon_sym_DQUOTE] = ACTIONS(7047),
    [sym__uppercase_identifier] = ACTIONS(7049),
    [aux_sym_tag_token1] = ACTIONS(7051),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2541] = {
    [sym_parameter] = STATE(7628),
    [sym__class_typed] = STATE(11201),
    [sym__parenthesized_abstract_type] = STATE(7628),
    [sym__simple_pattern] = STATE(7630),
    [sym_typed_pattern] = STATE(7631),
    [sym_polymorphic_variant_pattern] = STATE(7631),
    [sym_record_pattern] = STATE(7631),
    [sym_list_pattern] = STATE(7631),
    [sym_array_pattern] = STATE(7631),
    [sym_local_open_pattern] = STATE(7631),
    [sym_package_pattern] = STATE(7631),
    [sym_parenthesized_pattern] = STATE(7631),
    [sym_attribute] = STATE(2541),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7631),
    [sym_quoted_extension] = STATE(7631),
    [sym__constant] = STATE(7632),
    [sym__signed_constant] = STATE(7631),
    [sym_number] = STATE(7635),
    [sym_signed_number] = STATE(7632),
    [sym_character] = STATE(7635),
    [sym_string] = STATE(7635),
    [sym_quoted_string] = STATE(7635),
    [sym_boolean] = STATE(7635),
    [sym_unit] = STATE(7635),
    [sym__simple_value_pattern] = STATE(7631),
    [sym_parenthesized_operator] = STATE(7631),
    [sym_module_path] = STATE(19337),
    [sym_constructor_path] = STATE(7631),
    [sym__constructor_name] = STATE(7636),
    [sym_tag] = STATE(7631),
    [aux_sym_expression_item_repeat1] = STATE(10263),
    [aux_sym_let_binding_repeat1] = STATE(2545),
    [ts_builtin_sym_end] = ACTIONS(6807),
    [sym__lowercase_identifier] = ACTIONS(7015),
    [anon_sym_SEMI_SEMI] = ACTIONS(6807),
    [anon_sym_and] = ACTIONS(6809),
    [anon_sym_EQ] = ACTIONS(7055),
    [anon_sym_TILDE] = ACTIONS(7019),
    [anon_sym_QMARK] = ACTIONS(7019),
    [anon_sym_LPAREN] = ACTIONS(7021),
    [anon_sym_external] = ACTIONS(6809),
    [anon_sym_type] = ACTIONS(6809),
    [anon_sym_LBRACK] = ACTIONS(7023),
    [anon_sym_RBRACK] = ACTIONS(6807),
    [anon_sym_true] = ACTIONS(7025),
    [anon_sym_false] = ACTIONS(7025),
    [anon_sym_COLON2] = ACTIONS(7027),
    [anon_sym_LBRACE] = ACTIONS(7029),
    [anon_sym_exception] = ACTIONS(6809),
    [anon_sym_module] = ACTIONS(6809),
    [anon_sym_open] = ACTIONS(6809),
    [anon_sym_include] = ACTIONS(6809),
    [anon_sym_class] = ACTIONS(6809),
    [anon_sym_val] = ACTIONS(6809),
    [anon_sym_POUND] = ACTIONS(7031),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7033),
    [anon_sym_begin] = ACTIONS(7035),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6807),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7039),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6807),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6807),
    [aux_sym_number_token1] = ACTIONS(7041),
    [aux_sym_signed_number_token1] = ACTIONS(7043),
    [anon_sym_SQUOTE] = ACTIONS(7045),
    [anon_sym_DQUOTE] = ACTIONS(7047),
    [sym__uppercase_identifier] = ACTIONS(7049),
    [aux_sym_tag_token1] = ACTIONS(7051),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2542] = {
    [sym_parameter] = STATE(7628),
    [sym__class_typed] = STATE(11337),
    [sym__parenthesized_abstract_type] = STATE(7628),
    [sym__simple_pattern] = STATE(7630),
    [sym_typed_pattern] = STATE(7631),
    [sym_polymorphic_variant_pattern] = STATE(7631),
    [sym_record_pattern] = STATE(7631),
    [sym_list_pattern] = STATE(7631),
    [sym_array_pattern] = STATE(7631),
    [sym_local_open_pattern] = STATE(7631),
    [sym_package_pattern] = STATE(7631),
    [sym_parenthesized_pattern] = STATE(7631),
    [sym_attribute] = STATE(2542),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7631),
    [sym_quoted_extension] = STATE(7631),
    [sym__constant] = STATE(7632),
    [sym__signed_constant] = STATE(7631),
    [sym_number] = STATE(7635),
    [sym_signed_number] = STATE(7632),
    [sym_character] = STATE(7635),
    [sym_string] = STATE(7635),
    [sym_quoted_string] = STATE(7635),
    [sym_boolean] = STATE(7635),
    [sym_unit] = STATE(7635),
    [sym__simple_value_pattern] = STATE(7631),
    [sym_parenthesized_operator] = STATE(7631),
    [sym_module_path] = STATE(19337),
    [sym_constructor_path] = STATE(7631),
    [sym__constructor_name] = STATE(7636),
    [sym_tag] = STATE(7631),
    [aux_sym_expression_item_repeat1] = STATE(10360),
    [aux_sym_let_binding_repeat1] = STATE(2563),
    [ts_builtin_sym_end] = ACTIONS(6921),
    [sym__lowercase_identifier] = ACTIONS(7015),
    [anon_sym_SEMI_SEMI] = ACTIONS(6921),
    [anon_sym_and] = ACTIONS(6923),
    [anon_sym_EQ] = ACTIONS(7057),
    [anon_sym_TILDE] = ACTIONS(7019),
    [anon_sym_QMARK] = ACTIONS(7019),
    [anon_sym_LPAREN] = ACTIONS(7021),
    [anon_sym_external] = ACTIONS(6923),
    [anon_sym_type] = ACTIONS(6923),
    [anon_sym_LBRACK] = ACTIONS(7023),
    [anon_sym_RBRACK] = ACTIONS(6921),
    [anon_sym_true] = ACTIONS(7025),
    [anon_sym_false] = ACTIONS(7025),
    [anon_sym_COLON2] = ACTIONS(7027),
    [anon_sym_LBRACE] = ACTIONS(7029),
    [anon_sym_exception] = ACTIONS(6923),
    [anon_sym_module] = ACTIONS(6923),
    [anon_sym_open] = ACTIONS(6923),
    [anon_sym_include] = ACTIONS(6923),
    [anon_sym_class] = ACTIONS(6923),
    [anon_sym_val] = ACTIONS(6923),
    [anon_sym_POUND] = ACTIONS(7031),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7033),
    [anon_sym_begin] = ACTIONS(7035),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6921),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7039),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6921),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6921),
    [aux_sym_number_token1] = ACTIONS(7041),
    [aux_sym_signed_number_token1] = ACTIONS(7043),
    [anon_sym_SQUOTE] = ACTIONS(7045),
    [anon_sym_DQUOTE] = ACTIONS(7047),
    [sym__uppercase_identifier] = ACTIONS(7049),
    [aux_sym_tag_token1] = ACTIONS(7051),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2543] = {
    [sym__parenthesized_abstract_type] = STATE(3383),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(12896),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2543),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_EQ] = ACTIONS(7059),
    [anon_sym_LPAREN] = ACTIONS(7061),
    [anon_sym_RPAREN] = ACTIONS(7059),
    [anon_sym_COMMA] = ACTIONS(7059),
    [anon_sym_PIPE] = ACTIONS(7059),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_RBRACK] = ACTIONS(7059),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_COLON2] = ACTIONS(7063),
    [anon_sym_DASH_GT] = ACTIONS(7059),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_as] = ACTIONS(7063),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_COLON_COLON] = ACTIONS(7059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_when] = ACTIONS(7063),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7067),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2544] = {
    [sym_parameter] = STATE(7628),
    [sym__class_typed] = STATE(11094),
    [sym__parenthesized_abstract_type] = STATE(7628),
    [sym__simple_pattern] = STATE(7630),
    [sym_typed_pattern] = STATE(7631),
    [sym_polymorphic_variant_pattern] = STATE(7631),
    [sym_record_pattern] = STATE(7631),
    [sym_list_pattern] = STATE(7631),
    [sym_array_pattern] = STATE(7631),
    [sym_local_open_pattern] = STATE(7631),
    [sym_package_pattern] = STATE(7631),
    [sym_parenthesized_pattern] = STATE(7631),
    [sym_attribute] = STATE(2544),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7631),
    [sym_quoted_extension] = STATE(7631),
    [sym__constant] = STATE(7632),
    [sym__signed_constant] = STATE(7631),
    [sym_number] = STATE(7635),
    [sym_signed_number] = STATE(7632),
    [sym_character] = STATE(7635),
    [sym_string] = STATE(7635),
    [sym_quoted_string] = STATE(7635),
    [sym_boolean] = STATE(7635),
    [sym_unit] = STATE(7635),
    [sym__simple_value_pattern] = STATE(7631),
    [sym_parenthesized_operator] = STATE(7631),
    [sym_module_path] = STATE(19337),
    [sym_constructor_path] = STATE(7631),
    [sym__constructor_name] = STATE(7636),
    [sym_tag] = STATE(7631),
    [aux_sym_expression_item_repeat1] = STATE(10455),
    [aux_sym_let_binding_repeat1] = STATE(2563),
    [ts_builtin_sym_end] = ACTIONS(6849),
    [sym__lowercase_identifier] = ACTIONS(7015),
    [anon_sym_SEMI_SEMI] = ACTIONS(6849),
    [anon_sym_and] = ACTIONS(6851),
    [anon_sym_EQ] = ACTIONS(7069),
    [anon_sym_TILDE] = ACTIONS(7019),
    [anon_sym_QMARK] = ACTIONS(7019),
    [anon_sym_LPAREN] = ACTIONS(7021),
    [anon_sym_external] = ACTIONS(6851),
    [anon_sym_type] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(7023),
    [anon_sym_RBRACK] = ACTIONS(6849),
    [anon_sym_true] = ACTIONS(7025),
    [anon_sym_false] = ACTIONS(7025),
    [anon_sym_COLON2] = ACTIONS(7027),
    [anon_sym_LBRACE] = ACTIONS(7029),
    [anon_sym_exception] = ACTIONS(6851),
    [anon_sym_module] = ACTIONS(6851),
    [anon_sym_open] = ACTIONS(6851),
    [anon_sym_include] = ACTIONS(6851),
    [anon_sym_class] = ACTIONS(6851),
    [anon_sym_val] = ACTIONS(6851),
    [anon_sym_POUND] = ACTIONS(7031),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7033),
    [anon_sym_begin] = ACTIONS(7035),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6849),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7039),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6849),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6849),
    [aux_sym_number_token1] = ACTIONS(7041),
    [aux_sym_signed_number_token1] = ACTIONS(7043),
    [anon_sym_SQUOTE] = ACTIONS(7045),
    [anon_sym_DQUOTE] = ACTIONS(7047),
    [sym__uppercase_identifier] = ACTIONS(7049),
    [aux_sym_tag_token1] = ACTIONS(7051),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2545] = {
    [sym_parameter] = STATE(7628),
    [sym__class_typed] = STATE(11546),
    [sym__parenthesized_abstract_type] = STATE(7628),
    [sym__simple_pattern] = STATE(7630),
    [sym_typed_pattern] = STATE(7631),
    [sym_polymorphic_variant_pattern] = STATE(7631),
    [sym_record_pattern] = STATE(7631),
    [sym_list_pattern] = STATE(7631),
    [sym_array_pattern] = STATE(7631),
    [sym_local_open_pattern] = STATE(7631),
    [sym_package_pattern] = STATE(7631),
    [sym_parenthesized_pattern] = STATE(7631),
    [sym_attribute] = STATE(2545),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7631),
    [sym_quoted_extension] = STATE(7631),
    [sym__constant] = STATE(7632),
    [sym__signed_constant] = STATE(7631),
    [sym_number] = STATE(7635),
    [sym_signed_number] = STATE(7632),
    [sym_character] = STATE(7635),
    [sym_string] = STATE(7635),
    [sym_quoted_string] = STATE(7635),
    [sym_boolean] = STATE(7635),
    [sym_unit] = STATE(7635),
    [sym__simple_value_pattern] = STATE(7631),
    [sym_parenthesized_operator] = STATE(7631),
    [sym_module_path] = STATE(19337),
    [sym_constructor_path] = STATE(7631),
    [sym__constructor_name] = STATE(7636),
    [sym_tag] = STATE(7631),
    [aux_sym_expression_item_repeat1] = STATE(10433),
    [aux_sym_let_binding_repeat1] = STATE(2563),
    [ts_builtin_sym_end] = ACTIONS(6855),
    [sym__lowercase_identifier] = ACTIONS(7015),
    [anon_sym_SEMI_SEMI] = ACTIONS(6855),
    [anon_sym_and] = ACTIONS(6857),
    [anon_sym_EQ] = ACTIONS(7071),
    [anon_sym_TILDE] = ACTIONS(7019),
    [anon_sym_QMARK] = ACTIONS(7019),
    [anon_sym_LPAREN] = ACTIONS(7021),
    [anon_sym_external] = ACTIONS(6857),
    [anon_sym_type] = ACTIONS(6857),
    [anon_sym_LBRACK] = ACTIONS(7023),
    [anon_sym_RBRACK] = ACTIONS(6855),
    [anon_sym_true] = ACTIONS(7025),
    [anon_sym_false] = ACTIONS(7025),
    [anon_sym_COLON2] = ACTIONS(7027),
    [anon_sym_LBRACE] = ACTIONS(7029),
    [anon_sym_exception] = ACTIONS(6857),
    [anon_sym_module] = ACTIONS(6857),
    [anon_sym_open] = ACTIONS(6857),
    [anon_sym_include] = ACTIONS(6857),
    [anon_sym_class] = ACTIONS(6857),
    [anon_sym_val] = ACTIONS(6857),
    [anon_sym_POUND] = ACTIONS(7031),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7033),
    [anon_sym_begin] = ACTIONS(7035),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6855),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7039),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6855),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6855),
    [aux_sym_number_token1] = ACTIONS(7041),
    [aux_sym_signed_number_token1] = ACTIONS(7043),
    [anon_sym_SQUOTE] = ACTIONS(7045),
    [anon_sym_DQUOTE] = ACTIONS(7047),
    [sym__uppercase_identifier] = ACTIONS(7049),
    [aux_sym_tag_token1] = ACTIONS(7051),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2546] = {
    [sym_parameter] = STATE(7628),
    [sym__class_typed] = STATE(11191),
    [sym__parenthesized_abstract_type] = STATE(7628),
    [sym__simple_pattern] = STATE(7630),
    [sym_typed_pattern] = STATE(7631),
    [sym_polymorphic_variant_pattern] = STATE(7631),
    [sym_record_pattern] = STATE(7631),
    [sym_list_pattern] = STATE(7631),
    [sym_array_pattern] = STATE(7631),
    [sym_local_open_pattern] = STATE(7631),
    [sym_package_pattern] = STATE(7631),
    [sym_parenthesized_pattern] = STATE(7631),
    [sym_attribute] = STATE(2546),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7631),
    [sym_quoted_extension] = STATE(7631),
    [sym__constant] = STATE(7632),
    [sym__signed_constant] = STATE(7631),
    [sym_number] = STATE(7635),
    [sym_signed_number] = STATE(7632),
    [sym_character] = STATE(7635),
    [sym_string] = STATE(7635),
    [sym_quoted_string] = STATE(7635),
    [sym_boolean] = STATE(7635),
    [sym_unit] = STATE(7635),
    [sym__simple_value_pattern] = STATE(7631),
    [sym_parenthesized_operator] = STATE(7631),
    [sym_module_path] = STATE(19337),
    [sym_constructor_path] = STATE(7631),
    [sym__constructor_name] = STATE(7636),
    [sym_tag] = STATE(7631),
    [aux_sym_expression_item_repeat1] = STATE(10412),
    [aux_sym_let_binding_repeat1] = STATE(2544),
    [ts_builtin_sym_end] = ACTIONS(6861),
    [sym__lowercase_identifier] = ACTIONS(7015),
    [anon_sym_SEMI_SEMI] = ACTIONS(6861),
    [anon_sym_and] = ACTIONS(6863),
    [anon_sym_EQ] = ACTIONS(7073),
    [anon_sym_TILDE] = ACTIONS(7019),
    [anon_sym_QMARK] = ACTIONS(7019),
    [anon_sym_LPAREN] = ACTIONS(7021),
    [anon_sym_external] = ACTIONS(6863),
    [anon_sym_type] = ACTIONS(6863),
    [anon_sym_LBRACK] = ACTIONS(7023),
    [anon_sym_RBRACK] = ACTIONS(6861),
    [anon_sym_true] = ACTIONS(7025),
    [anon_sym_false] = ACTIONS(7025),
    [anon_sym_COLON2] = ACTIONS(7027),
    [anon_sym_LBRACE] = ACTIONS(7029),
    [anon_sym_exception] = ACTIONS(6863),
    [anon_sym_module] = ACTIONS(6863),
    [anon_sym_open] = ACTIONS(6863),
    [anon_sym_include] = ACTIONS(6863),
    [anon_sym_class] = ACTIONS(6863),
    [anon_sym_val] = ACTIONS(6863),
    [anon_sym_POUND] = ACTIONS(7031),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7033),
    [anon_sym_begin] = ACTIONS(7035),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6861),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7039),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6861),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6861),
    [aux_sym_number_token1] = ACTIONS(7041),
    [aux_sym_signed_number_token1] = ACTIONS(7043),
    [anon_sym_SQUOTE] = ACTIONS(7045),
    [anon_sym_DQUOTE] = ACTIONS(7047),
    [sym__uppercase_identifier] = ACTIONS(7049),
    [aux_sym_tag_token1] = ACTIONS(7051),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2547] = {
    [sym_parameter] = STATE(7628),
    [sym__class_typed] = STATE(11435),
    [sym__parenthesized_abstract_type] = STATE(7628),
    [sym__simple_pattern] = STATE(7630),
    [sym_typed_pattern] = STATE(7631),
    [sym_polymorphic_variant_pattern] = STATE(7631),
    [sym_record_pattern] = STATE(7631),
    [sym_list_pattern] = STATE(7631),
    [sym_array_pattern] = STATE(7631),
    [sym_local_open_pattern] = STATE(7631),
    [sym_package_pattern] = STATE(7631),
    [sym_parenthesized_pattern] = STATE(7631),
    [sym_attribute] = STATE(2547),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7631),
    [sym_quoted_extension] = STATE(7631),
    [sym__constant] = STATE(7632),
    [sym__signed_constant] = STATE(7631),
    [sym_number] = STATE(7635),
    [sym_signed_number] = STATE(7632),
    [sym_character] = STATE(7635),
    [sym_string] = STATE(7635),
    [sym_quoted_string] = STATE(7635),
    [sym_boolean] = STATE(7635),
    [sym_unit] = STATE(7635),
    [sym__simple_value_pattern] = STATE(7631),
    [sym_parenthesized_operator] = STATE(7631),
    [sym_module_path] = STATE(19337),
    [sym_constructor_path] = STATE(7631),
    [sym__constructor_name] = STATE(7636),
    [sym_tag] = STATE(7631),
    [aux_sym_expression_item_repeat1] = STATE(10496),
    [aux_sym_let_binding_repeat1] = STATE(2549),
    [ts_builtin_sym_end] = ACTIONS(6915),
    [sym__lowercase_identifier] = ACTIONS(7015),
    [anon_sym_SEMI_SEMI] = ACTIONS(6915),
    [anon_sym_and] = ACTIONS(6917),
    [anon_sym_EQ] = ACTIONS(7075),
    [anon_sym_TILDE] = ACTIONS(7019),
    [anon_sym_QMARK] = ACTIONS(7019),
    [anon_sym_LPAREN] = ACTIONS(7021),
    [anon_sym_external] = ACTIONS(6917),
    [anon_sym_type] = ACTIONS(6917),
    [anon_sym_LBRACK] = ACTIONS(7023),
    [anon_sym_RBRACK] = ACTIONS(6915),
    [anon_sym_true] = ACTIONS(7025),
    [anon_sym_false] = ACTIONS(7025),
    [anon_sym_COLON2] = ACTIONS(7027),
    [anon_sym_LBRACE] = ACTIONS(7029),
    [anon_sym_exception] = ACTIONS(6917),
    [anon_sym_module] = ACTIONS(6917),
    [anon_sym_open] = ACTIONS(6917),
    [anon_sym_include] = ACTIONS(6917),
    [anon_sym_class] = ACTIONS(6917),
    [anon_sym_val] = ACTIONS(6917),
    [anon_sym_POUND] = ACTIONS(7031),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7033),
    [anon_sym_begin] = ACTIONS(7035),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6915),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7039),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6915),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6915),
    [aux_sym_number_token1] = ACTIONS(7041),
    [aux_sym_signed_number_token1] = ACTIONS(7043),
    [anon_sym_SQUOTE] = ACTIONS(7045),
    [anon_sym_DQUOTE] = ACTIONS(7047),
    [sym__uppercase_identifier] = ACTIONS(7049),
    [aux_sym_tag_token1] = ACTIONS(7051),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2548] = {
    [sym_parameter] = STATE(7628),
    [sym__class_typed] = STATE(11349),
    [sym__parenthesized_abstract_type] = STATE(7628),
    [sym__simple_pattern] = STATE(7630),
    [sym_typed_pattern] = STATE(7631),
    [sym_polymorphic_variant_pattern] = STATE(7631),
    [sym_record_pattern] = STATE(7631),
    [sym_list_pattern] = STATE(7631),
    [sym_array_pattern] = STATE(7631),
    [sym_local_open_pattern] = STATE(7631),
    [sym_package_pattern] = STATE(7631),
    [sym_parenthesized_pattern] = STATE(7631),
    [sym_attribute] = STATE(2548),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7631),
    [sym_quoted_extension] = STATE(7631),
    [sym__constant] = STATE(7632),
    [sym__signed_constant] = STATE(7631),
    [sym_number] = STATE(7635),
    [sym_signed_number] = STATE(7632),
    [sym_character] = STATE(7635),
    [sym_string] = STATE(7635),
    [sym_quoted_string] = STATE(7635),
    [sym_boolean] = STATE(7635),
    [sym_unit] = STATE(7635),
    [sym__simple_value_pattern] = STATE(7631),
    [sym_parenthesized_operator] = STATE(7631),
    [sym_module_path] = STATE(19337),
    [sym_constructor_path] = STATE(7631),
    [sym__constructor_name] = STATE(7636),
    [sym_tag] = STATE(7631),
    [aux_sym_expression_item_repeat1] = STATE(10381),
    [aux_sym_let_binding_repeat1] = STATE(2540),
    [ts_builtin_sym_end] = ACTIONS(6909),
    [sym__lowercase_identifier] = ACTIONS(7015),
    [anon_sym_SEMI_SEMI] = ACTIONS(6909),
    [anon_sym_and] = ACTIONS(6911),
    [anon_sym_EQ] = ACTIONS(7077),
    [anon_sym_TILDE] = ACTIONS(7019),
    [anon_sym_QMARK] = ACTIONS(7019),
    [anon_sym_LPAREN] = ACTIONS(7021),
    [anon_sym_external] = ACTIONS(6911),
    [anon_sym_type] = ACTIONS(6911),
    [anon_sym_LBRACK] = ACTIONS(7023),
    [anon_sym_RBRACK] = ACTIONS(6909),
    [anon_sym_true] = ACTIONS(7025),
    [anon_sym_false] = ACTIONS(7025),
    [anon_sym_COLON2] = ACTIONS(7027),
    [anon_sym_LBRACE] = ACTIONS(7029),
    [anon_sym_exception] = ACTIONS(6911),
    [anon_sym_module] = ACTIONS(6911),
    [anon_sym_open] = ACTIONS(6911),
    [anon_sym_include] = ACTIONS(6911),
    [anon_sym_class] = ACTIONS(6911),
    [anon_sym_val] = ACTIONS(6911),
    [anon_sym_POUND] = ACTIONS(7031),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7033),
    [anon_sym_begin] = ACTIONS(7035),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6909),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7039),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6909),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6909),
    [aux_sym_number_token1] = ACTIONS(7041),
    [aux_sym_signed_number_token1] = ACTIONS(7043),
    [anon_sym_SQUOTE] = ACTIONS(7045),
    [anon_sym_DQUOTE] = ACTIONS(7047),
    [sym__uppercase_identifier] = ACTIONS(7049),
    [aux_sym_tag_token1] = ACTIONS(7051),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2549] = {
    [sym_parameter] = STATE(7628),
    [sym__class_typed] = STATE(11254),
    [sym__parenthesized_abstract_type] = STATE(7628),
    [sym__simple_pattern] = STATE(7630),
    [sym_typed_pattern] = STATE(7631),
    [sym_polymorphic_variant_pattern] = STATE(7631),
    [sym_record_pattern] = STATE(7631),
    [sym_list_pattern] = STATE(7631),
    [sym_array_pattern] = STATE(7631),
    [sym_local_open_pattern] = STATE(7631),
    [sym_package_pattern] = STATE(7631),
    [sym_parenthesized_pattern] = STATE(7631),
    [sym_attribute] = STATE(2549),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7631),
    [sym_quoted_extension] = STATE(7631),
    [sym__constant] = STATE(7632),
    [sym__signed_constant] = STATE(7631),
    [sym_number] = STATE(7635),
    [sym_signed_number] = STATE(7632),
    [sym_character] = STATE(7635),
    [sym_string] = STATE(7635),
    [sym_quoted_string] = STATE(7635),
    [sym_boolean] = STATE(7635),
    [sym_unit] = STATE(7635),
    [sym__simple_value_pattern] = STATE(7631),
    [sym_parenthesized_operator] = STATE(7631),
    [sym_module_path] = STATE(19337),
    [sym_constructor_path] = STATE(7631),
    [sym__constructor_name] = STATE(7636),
    [sym_tag] = STATE(7631),
    [aux_sym_expression_item_repeat1] = STATE(10251),
    [aux_sym_let_binding_repeat1] = STATE(2563),
    [ts_builtin_sym_end] = ACTIONS(6763),
    [sym__lowercase_identifier] = ACTIONS(7015),
    [anon_sym_SEMI_SEMI] = ACTIONS(6763),
    [anon_sym_and] = ACTIONS(6765),
    [anon_sym_EQ] = ACTIONS(7079),
    [anon_sym_TILDE] = ACTIONS(7019),
    [anon_sym_QMARK] = ACTIONS(7019),
    [anon_sym_LPAREN] = ACTIONS(7021),
    [anon_sym_external] = ACTIONS(6765),
    [anon_sym_type] = ACTIONS(6765),
    [anon_sym_LBRACK] = ACTIONS(7023),
    [anon_sym_RBRACK] = ACTIONS(6763),
    [anon_sym_true] = ACTIONS(7025),
    [anon_sym_false] = ACTIONS(7025),
    [anon_sym_COLON2] = ACTIONS(7027),
    [anon_sym_LBRACE] = ACTIONS(7029),
    [anon_sym_exception] = ACTIONS(6765),
    [anon_sym_module] = ACTIONS(6765),
    [anon_sym_open] = ACTIONS(6765),
    [anon_sym_include] = ACTIONS(6765),
    [anon_sym_class] = ACTIONS(6765),
    [anon_sym_val] = ACTIONS(6765),
    [anon_sym_POUND] = ACTIONS(7031),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7033),
    [anon_sym_begin] = ACTIONS(7035),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6763),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7039),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6763),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6763),
    [aux_sym_number_token1] = ACTIONS(7041),
    [aux_sym_signed_number_token1] = ACTIONS(7043),
    [anon_sym_SQUOTE] = ACTIONS(7045),
    [anon_sym_DQUOTE] = ACTIONS(7047),
    [sym__uppercase_identifier] = ACTIONS(7049),
    [aux_sym_tag_token1] = ACTIONS(7051),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2550] = {
    [sym_parameter] = STATE(7942),
    [sym__class_typed] = STATE(11642),
    [sym__parenthesized_abstract_type] = STATE(7942),
    [sym__simple_pattern] = STATE(7962),
    [sym_typed_pattern] = STATE(7887),
    [sym_polymorphic_variant_pattern] = STATE(7887),
    [sym_record_pattern] = STATE(7887),
    [sym_list_pattern] = STATE(7887),
    [sym_array_pattern] = STATE(7887),
    [sym_local_open_pattern] = STATE(7887),
    [sym_package_pattern] = STATE(7887),
    [sym_parenthesized_pattern] = STATE(7887),
    [sym_attribute] = STATE(2550),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7887),
    [sym_quoted_extension] = STATE(7887),
    [sym__constant] = STATE(7960),
    [sym__signed_constant] = STATE(7887),
    [sym_number] = STATE(7806),
    [sym_signed_number] = STATE(7960),
    [sym_character] = STATE(7806),
    [sym_string] = STATE(7806),
    [sym_quoted_string] = STATE(7806),
    [sym_boolean] = STATE(7806),
    [sym_unit] = STATE(7806),
    [sym__simple_value_pattern] = STATE(7887),
    [sym_parenthesized_operator] = STATE(7887),
    [sym_module_path] = STATE(18668),
    [sym_constructor_path] = STATE(7887),
    [sym__constructor_name] = STATE(7768),
    [sym_tag] = STATE(7887),
    [aux_sym_expression_item_repeat1] = STATE(10455),
    [aux_sym_let_binding_repeat1] = STATE(2567),
    [sym__lowercase_identifier] = ACTIONS(7081),
    [anon_sym_SEMI_SEMI] = ACTIONS(6849),
    [anon_sym_and] = ACTIONS(6851),
    [anon_sym_EQ] = ACTIONS(7083),
    [anon_sym_TILDE] = ACTIONS(7085),
    [anon_sym_QMARK] = ACTIONS(7085),
    [anon_sym_LPAREN] = ACTIONS(7087),
    [anon_sym_external] = ACTIONS(6851),
    [anon_sym_type] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(7089),
    [anon_sym_true] = ACTIONS(7091),
    [anon_sym_false] = ACTIONS(7091),
    [anon_sym_COLON2] = ACTIONS(7093),
    [anon_sym_LBRACE] = ACTIONS(7095),
    [anon_sym_exception] = ACTIONS(6851),
    [anon_sym_module] = ACTIONS(6851),
    [anon_sym_open] = ACTIONS(6851),
    [anon_sym_include] = ACTIONS(6851),
    [anon_sym_class] = ACTIONS(6851),
    [anon_sym_val] = ACTIONS(6851),
    [anon_sym_end] = ACTIONS(6851),
    [anon_sym_POUND] = ACTIONS(7097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7099),
    [anon_sym_begin] = ACTIONS(7101),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6849),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7105),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6849),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6849),
    [aux_sym_number_token1] = ACTIONS(7107),
    [aux_sym_signed_number_token1] = ACTIONS(7109),
    [anon_sym_SQUOTE] = ACTIONS(7111),
    [anon_sym_DQUOTE] = ACTIONS(7113),
    [sym__uppercase_identifier] = ACTIONS(7115),
    [aux_sym_tag_token1] = ACTIONS(7117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2551] = {
    [sym_parameter] = STATE(7942),
    [sym__class_typed] = STATE(11613),
    [sym__parenthesized_abstract_type] = STATE(7942),
    [sym__simple_pattern] = STATE(7962),
    [sym_typed_pattern] = STATE(7887),
    [sym_polymorphic_variant_pattern] = STATE(7887),
    [sym_record_pattern] = STATE(7887),
    [sym_list_pattern] = STATE(7887),
    [sym_array_pattern] = STATE(7887),
    [sym_local_open_pattern] = STATE(7887),
    [sym_package_pattern] = STATE(7887),
    [sym_parenthesized_pattern] = STATE(7887),
    [sym_attribute] = STATE(2551),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7887),
    [sym_quoted_extension] = STATE(7887),
    [sym__constant] = STATE(7960),
    [sym__signed_constant] = STATE(7887),
    [sym_number] = STATE(7806),
    [sym_signed_number] = STATE(7960),
    [sym_character] = STATE(7806),
    [sym_string] = STATE(7806),
    [sym_quoted_string] = STATE(7806),
    [sym_boolean] = STATE(7806),
    [sym_unit] = STATE(7806),
    [sym__simple_value_pattern] = STATE(7887),
    [sym_parenthesized_operator] = STATE(7887),
    [sym_module_path] = STATE(18668),
    [sym_constructor_path] = STATE(7887),
    [sym__constructor_name] = STATE(7768),
    [sym_tag] = STATE(7887),
    [aux_sym_expression_item_repeat1] = STATE(10433),
    [aux_sym_let_binding_repeat1] = STATE(2567),
    [sym__lowercase_identifier] = ACTIONS(7081),
    [anon_sym_SEMI_SEMI] = ACTIONS(6855),
    [anon_sym_and] = ACTIONS(6857),
    [anon_sym_EQ] = ACTIONS(7119),
    [anon_sym_TILDE] = ACTIONS(7085),
    [anon_sym_QMARK] = ACTIONS(7085),
    [anon_sym_LPAREN] = ACTIONS(7087),
    [anon_sym_external] = ACTIONS(6857),
    [anon_sym_type] = ACTIONS(6857),
    [anon_sym_LBRACK] = ACTIONS(7089),
    [anon_sym_true] = ACTIONS(7091),
    [anon_sym_false] = ACTIONS(7091),
    [anon_sym_COLON2] = ACTIONS(7093),
    [anon_sym_LBRACE] = ACTIONS(7095),
    [anon_sym_exception] = ACTIONS(6857),
    [anon_sym_module] = ACTIONS(6857),
    [anon_sym_open] = ACTIONS(6857),
    [anon_sym_include] = ACTIONS(6857),
    [anon_sym_class] = ACTIONS(6857),
    [anon_sym_val] = ACTIONS(6857),
    [anon_sym_end] = ACTIONS(6857),
    [anon_sym_POUND] = ACTIONS(7097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7099),
    [anon_sym_begin] = ACTIONS(7101),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6855),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7105),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6855),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6855),
    [aux_sym_number_token1] = ACTIONS(7107),
    [aux_sym_signed_number_token1] = ACTIONS(7109),
    [anon_sym_SQUOTE] = ACTIONS(7111),
    [anon_sym_DQUOTE] = ACTIONS(7113),
    [sym__uppercase_identifier] = ACTIONS(7115),
    [aux_sym_tag_token1] = ACTIONS(7117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2552] = {
    [sym_parameter] = STATE(7942),
    [sym__class_typed] = STATE(11666),
    [sym__parenthesized_abstract_type] = STATE(7942),
    [sym__simple_pattern] = STATE(7962),
    [sym_typed_pattern] = STATE(7887),
    [sym_polymorphic_variant_pattern] = STATE(7887),
    [sym_record_pattern] = STATE(7887),
    [sym_list_pattern] = STATE(7887),
    [sym_array_pattern] = STATE(7887),
    [sym_local_open_pattern] = STATE(7887),
    [sym_package_pattern] = STATE(7887),
    [sym_parenthesized_pattern] = STATE(7887),
    [sym_attribute] = STATE(2552),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7887),
    [sym_quoted_extension] = STATE(7887),
    [sym__constant] = STATE(7960),
    [sym__signed_constant] = STATE(7887),
    [sym_number] = STATE(7806),
    [sym_signed_number] = STATE(7960),
    [sym_character] = STATE(7806),
    [sym_string] = STATE(7806),
    [sym_quoted_string] = STATE(7806),
    [sym_boolean] = STATE(7806),
    [sym_unit] = STATE(7806),
    [sym__simple_value_pattern] = STATE(7887),
    [sym_parenthesized_operator] = STATE(7887),
    [sym_module_path] = STATE(18668),
    [sym_constructor_path] = STATE(7887),
    [sym__constructor_name] = STATE(7768),
    [sym_tag] = STATE(7887),
    [aux_sym_expression_item_repeat1] = STATE(10381),
    [aux_sym_let_binding_repeat1] = STATE(2553),
    [sym__lowercase_identifier] = ACTIONS(7081),
    [anon_sym_SEMI_SEMI] = ACTIONS(6909),
    [anon_sym_and] = ACTIONS(6911),
    [anon_sym_EQ] = ACTIONS(7121),
    [anon_sym_TILDE] = ACTIONS(7085),
    [anon_sym_QMARK] = ACTIONS(7085),
    [anon_sym_LPAREN] = ACTIONS(7087),
    [anon_sym_external] = ACTIONS(6911),
    [anon_sym_type] = ACTIONS(6911),
    [anon_sym_LBRACK] = ACTIONS(7089),
    [anon_sym_true] = ACTIONS(7091),
    [anon_sym_false] = ACTIONS(7091),
    [anon_sym_COLON2] = ACTIONS(7093),
    [anon_sym_LBRACE] = ACTIONS(7095),
    [anon_sym_exception] = ACTIONS(6911),
    [anon_sym_module] = ACTIONS(6911),
    [anon_sym_open] = ACTIONS(6911),
    [anon_sym_include] = ACTIONS(6911),
    [anon_sym_class] = ACTIONS(6911),
    [anon_sym_val] = ACTIONS(6911),
    [anon_sym_end] = ACTIONS(6911),
    [anon_sym_POUND] = ACTIONS(7097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7099),
    [anon_sym_begin] = ACTIONS(7101),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6909),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7105),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6909),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6909),
    [aux_sym_number_token1] = ACTIONS(7107),
    [aux_sym_signed_number_token1] = ACTIONS(7109),
    [anon_sym_SQUOTE] = ACTIONS(7111),
    [anon_sym_DQUOTE] = ACTIONS(7113),
    [sym__uppercase_identifier] = ACTIONS(7115),
    [aux_sym_tag_token1] = ACTIONS(7117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2553] = {
    [sym_parameter] = STATE(7942),
    [sym__class_typed] = STATE(11667),
    [sym__parenthesized_abstract_type] = STATE(7942),
    [sym__simple_pattern] = STATE(7962),
    [sym_typed_pattern] = STATE(7887),
    [sym_polymorphic_variant_pattern] = STATE(7887),
    [sym_record_pattern] = STATE(7887),
    [sym_list_pattern] = STATE(7887),
    [sym_array_pattern] = STATE(7887),
    [sym_local_open_pattern] = STATE(7887),
    [sym_package_pattern] = STATE(7887),
    [sym_parenthesized_pattern] = STATE(7887),
    [sym_attribute] = STATE(2553),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7887),
    [sym_quoted_extension] = STATE(7887),
    [sym__constant] = STATE(7960),
    [sym__signed_constant] = STATE(7887),
    [sym_number] = STATE(7806),
    [sym_signed_number] = STATE(7960),
    [sym_character] = STATE(7806),
    [sym_string] = STATE(7806),
    [sym_quoted_string] = STATE(7806),
    [sym_boolean] = STATE(7806),
    [sym_unit] = STATE(7806),
    [sym__simple_value_pattern] = STATE(7887),
    [sym_parenthesized_operator] = STATE(7887),
    [sym_module_path] = STATE(18668),
    [sym_constructor_path] = STATE(7887),
    [sym__constructor_name] = STATE(7768),
    [sym_tag] = STATE(7887),
    [aux_sym_expression_item_repeat1] = STATE(10552),
    [aux_sym_let_binding_repeat1] = STATE(2567),
    [sym__lowercase_identifier] = ACTIONS(7081),
    [anon_sym_SEMI_SEMI] = ACTIONS(6933),
    [anon_sym_and] = ACTIONS(6935),
    [anon_sym_EQ] = ACTIONS(7123),
    [anon_sym_TILDE] = ACTIONS(7085),
    [anon_sym_QMARK] = ACTIONS(7085),
    [anon_sym_LPAREN] = ACTIONS(7087),
    [anon_sym_external] = ACTIONS(6935),
    [anon_sym_type] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(7089),
    [anon_sym_true] = ACTIONS(7091),
    [anon_sym_false] = ACTIONS(7091),
    [anon_sym_COLON2] = ACTIONS(7093),
    [anon_sym_LBRACE] = ACTIONS(7095),
    [anon_sym_exception] = ACTIONS(6935),
    [anon_sym_module] = ACTIONS(6935),
    [anon_sym_open] = ACTIONS(6935),
    [anon_sym_include] = ACTIONS(6935),
    [anon_sym_class] = ACTIONS(6935),
    [anon_sym_val] = ACTIONS(6935),
    [anon_sym_end] = ACTIONS(6935),
    [anon_sym_POUND] = ACTIONS(7097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7099),
    [anon_sym_begin] = ACTIONS(7101),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6933),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7105),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6933),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6933),
    [aux_sym_number_token1] = ACTIONS(7107),
    [aux_sym_signed_number_token1] = ACTIONS(7109),
    [anon_sym_SQUOTE] = ACTIONS(7111),
    [anon_sym_DQUOTE] = ACTIONS(7113),
    [sym__uppercase_identifier] = ACTIONS(7115),
    [aux_sym_tag_token1] = ACTIONS(7117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2554] = {
    [sym_parameter] = STATE(7942),
    [sym__class_typed] = STATE(11743),
    [sym__parenthesized_abstract_type] = STATE(7942),
    [sym__simple_pattern] = STATE(7962),
    [sym_typed_pattern] = STATE(7887),
    [sym_polymorphic_variant_pattern] = STATE(7887),
    [sym_record_pattern] = STATE(7887),
    [sym_list_pattern] = STATE(7887),
    [sym_array_pattern] = STATE(7887),
    [sym_local_open_pattern] = STATE(7887),
    [sym_package_pattern] = STATE(7887),
    [sym_parenthesized_pattern] = STATE(7887),
    [sym_attribute] = STATE(2554),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7887),
    [sym_quoted_extension] = STATE(7887),
    [sym__constant] = STATE(7960),
    [sym__signed_constant] = STATE(7887),
    [sym_number] = STATE(7806),
    [sym_signed_number] = STATE(7960),
    [sym_character] = STATE(7806),
    [sym_string] = STATE(7806),
    [sym_quoted_string] = STATE(7806),
    [sym_boolean] = STATE(7806),
    [sym_unit] = STATE(7806),
    [sym__simple_value_pattern] = STATE(7887),
    [sym_parenthesized_operator] = STATE(7887),
    [sym_module_path] = STATE(18668),
    [sym_constructor_path] = STATE(7887),
    [sym__constructor_name] = STATE(7768),
    [sym_tag] = STATE(7887),
    [aux_sym_expression_item_repeat1] = STATE(10263),
    [aux_sym_let_binding_repeat1] = STATE(2551),
    [sym__lowercase_identifier] = ACTIONS(7081),
    [anon_sym_SEMI_SEMI] = ACTIONS(6807),
    [anon_sym_and] = ACTIONS(6809),
    [anon_sym_EQ] = ACTIONS(7125),
    [anon_sym_TILDE] = ACTIONS(7085),
    [anon_sym_QMARK] = ACTIONS(7085),
    [anon_sym_LPAREN] = ACTIONS(7087),
    [anon_sym_external] = ACTIONS(6809),
    [anon_sym_type] = ACTIONS(6809),
    [anon_sym_LBRACK] = ACTIONS(7089),
    [anon_sym_true] = ACTIONS(7091),
    [anon_sym_false] = ACTIONS(7091),
    [anon_sym_COLON2] = ACTIONS(7093),
    [anon_sym_LBRACE] = ACTIONS(7095),
    [anon_sym_exception] = ACTIONS(6809),
    [anon_sym_module] = ACTIONS(6809),
    [anon_sym_open] = ACTIONS(6809),
    [anon_sym_include] = ACTIONS(6809),
    [anon_sym_class] = ACTIONS(6809),
    [anon_sym_val] = ACTIONS(6809),
    [anon_sym_end] = ACTIONS(6809),
    [anon_sym_POUND] = ACTIONS(7097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7099),
    [anon_sym_begin] = ACTIONS(7101),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6807),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7105),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6807),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6807),
    [aux_sym_number_token1] = ACTIONS(7107),
    [aux_sym_signed_number_token1] = ACTIONS(7109),
    [anon_sym_SQUOTE] = ACTIONS(7111),
    [anon_sym_DQUOTE] = ACTIONS(7113),
    [sym__uppercase_identifier] = ACTIONS(7115),
    [aux_sym_tag_token1] = ACTIONS(7117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2555] = {
    [sym_parameter] = STATE(7942),
    [sym__class_typed] = STATE(11656),
    [sym__parenthesized_abstract_type] = STATE(7942),
    [sym__simple_pattern] = STATE(7962),
    [sym_typed_pattern] = STATE(7887),
    [sym_polymorphic_variant_pattern] = STATE(7887),
    [sym_record_pattern] = STATE(7887),
    [sym_list_pattern] = STATE(7887),
    [sym_array_pattern] = STATE(7887),
    [sym_local_open_pattern] = STATE(7887),
    [sym_package_pattern] = STATE(7887),
    [sym_parenthesized_pattern] = STATE(7887),
    [sym_attribute] = STATE(2555),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7887),
    [sym_quoted_extension] = STATE(7887),
    [sym__constant] = STATE(7960),
    [sym__signed_constant] = STATE(7887),
    [sym_number] = STATE(7806),
    [sym_signed_number] = STATE(7960),
    [sym_character] = STATE(7806),
    [sym_string] = STATE(7806),
    [sym_quoted_string] = STATE(7806),
    [sym_boolean] = STATE(7806),
    [sym_unit] = STATE(7806),
    [sym__simple_value_pattern] = STATE(7887),
    [sym_parenthesized_operator] = STATE(7887),
    [sym_module_path] = STATE(18668),
    [sym_constructor_path] = STATE(7887),
    [sym__constructor_name] = STATE(7768),
    [sym_tag] = STATE(7887),
    [aux_sym_expression_item_repeat1] = STATE(10496),
    [aux_sym_let_binding_repeat1] = STATE(2557),
    [sym__lowercase_identifier] = ACTIONS(7081),
    [anon_sym_SEMI_SEMI] = ACTIONS(6915),
    [anon_sym_and] = ACTIONS(6917),
    [anon_sym_EQ] = ACTIONS(7127),
    [anon_sym_TILDE] = ACTIONS(7085),
    [anon_sym_QMARK] = ACTIONS(7085),
    [anon_sym_LPAREN] = ACTIONS(7087),
    [anon_sym_external] = ACTIONS(6917),
    [anon_sym_type] = ACTIONS(6917),
    [anon_sym_LBRACK] = ACTIONS(7089),
    [anon_sym_true] = ACTIONS(7091),
    [anon_sym_false] = ACTIONS(7091),
    [anon_sym_COLON2] = ACTIONS(7093),
    [anon_sym_LBRACE] = ACTIONS(7095),
    [anon_sym_exception] = ACTIONS(6917),
    [anon_sym_module] = ACTIONS(6917),
    [anon_sym_open] = ACTIONS(6917),
    [anon_sym_include] = ACTIONS(6917),
    [anon_sym_class] = ACTIONS(6917),
    [anon_sym_val] = ACTIONS(6917),
    [anon_sym_end] = ACTIONS(6917),
    [anon_sym_POUND] = ACTIONS(7097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7099),
    [anon_sym_begin] = ACTIONS(7101),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6915),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7105),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6915),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6915),
    [aux_sym_number_token1] = ACTIONS(7107),
    [aux_sym_signed_number_token1] = ACTIONS(7109),
    [anon_sym_SQUOTE] = ACTIONS(7111),
    [anon_sym_DQUOTE] = ACTIONS(7113),
    [sym__uppercase_identifier] = ACTIONS(7115),
    [aux_sym_tag_token1] = ACTIONS(7117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2556] = {
    [sym_parameter] = STATE(7942),
    [sym__class_typed] = STATE(11662),
    [sym__parenthesized_abstract_type] = STATE(7942),
    [sym__simple_pattern] = STATE(7962),
    [sym_typed_pattern] = STATE(7887),
    [sym_polymorphic_variant_pattern] = STATE(7887),
    [sym_record_pattern] = STATE(7887),
    [sym_list_pattern] = STATE(7887),
    [sym_array_pattern] = STATE(7887),
    [sym_local_open_pattern] = STATE(7887),
    [sym_package_pattern] = STATE(7887),
    [sym_parenthesized_pattern] = STATE(7887),
    [sym_attribute] = STATE(2556),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7887),
    [sym_quoted_extension] = STATE(7887),
    [sym__constant] = STATE(7960),
    [sym__signed_constant] = STATE(7887),
    [sym_number] = STATE(7806),
    [sym_signed_number] = STATE(7960),
    [sym_character] = STATE(7806),
    [sym_string] = STATE(7806),
    [sym_quoted_string] = STATE(7806),
    [sym_boolean] = STATE(7806),
    [sym_unit] = STATE(7806),
    [sym__simple_value_pattern] = STATE(7887),
    [sym_parenthesized_operator] = STATE(7887),
    [sym_module_path] = STATE(18668),
    [sym_constructor_path] = STATE(7887),
    [sym__constructor_name] = STATE(7768),
    [sym_tag] = STATE(7887),
    [aux_sym_expression_item_repeat1] = STATE(10430),
    [aux_sym_let_binding_repeat1] = STATE(2560),
    [sym__lowercase_identifier] = ACTIONS(7081),
    [anon_sym_SEMI_SEMI] = ACTIONS(6943),
    [anon_sym_and] = ACTIONS(6945),
    [anon_sym_EQ] = ACTIONS(7129),
    [anon_sym_TILDE] = ACTIONS(7085),
    [anon_sym_QMARK] = ACTIONS(7085),
    [anon_sym_LPAREN] = ACTIONS(7087),
    [anon_sym_external] = ACTIONS(6945),
    [anon_sym_type] = ACTIONS(6945),
    [anon_sym_LBRACK] = ACTIONS(7089),
    [anon_sym_true] = ACTIONS(7091),
    [anon_sym_false] = ACTIONS(7091),
    [anon_sym_COLON2] = ACTIONS(7093),
    [anon_sym_LBRACE] = ACTIONS(7095),
    [anon_sym_exception] = ACTIONS(6945),
    [anon_sym_module] = ACTIONS(6945),
    [anon_sym_open] = ACTIONS(6945),
    [anon_sym_include] = ACTIONS(6945),
    [anon_sym_class] = ACTIONS(6945),
    [anon_sym_val] = ACTIONS(6945),
    [anon_sym_end] = ACTIONS(6945),
    [anon_sym_POUND] = ACTIONS(7097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7099),
    [anon_sym_begin] = ACTIONS(7101),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6943),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7105),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6943),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6943),
    [aux_sym_number_token1] = ACTIONS(7107),
    [aux_sym_signed_number_token1] = ACTIONS(7109),
    [anon_sym_SQUOTE] = ACTIONS(7111),
    [anon_sym_DQUOTE] = ACTIONS(7113),
    [sym__uppercase_identifier] = ACTIONS(7115),
    [aux_sym_tag_token1] = ACTIONS(7117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2557] = {
    [sym_parameter] = STATE(7942),
    [sym__class_typed] = STATE(11661),
    [sym__parenthesized_abstract_type] = STATE(7942),
    [sym__simple_pattern] = STATE(7962),
    [sym_typed_pattern] = STATE(7887),
    [sym_polymorphic_variant_pattern] = STATE(7887),
    [sym_record_pattern] = STATE(7887),
    [sym_list_pattern] = STATE(7887),
    [sym_array_pattern] = STATE(7887),
    [sym_local_open_pattern] = STATE(7887),
    [sym_package_pattern] = STATE(7887),
    [sym_parenthesized_pattern] = STATE(7887),
    [sym_attribute] = STATE(2557),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7887),
    [sym_quoted_extension] = STATE(7887),
    [sym__constant] = STATE(7960),
    [sym__signed_constant] = STATE(7887),
    [sym_number] = STATE(7806),
    [sym_signed_number] = STATE(7960),
    [sym_character] = STATE(7806),
    [sym_string] = STATE(7806),
    [sym_quoted_string] = STATE(7806),
    [sym_boolean] = STATE(7806),
    [sym_unit] = STATE(7806),
    [sym__simple_value_pattern] = STATE(7887),
    [sym_parenthesized_operator] = STATE(7887),
    [sym_module_path] = STATE(18668),
    [sym_constructor_path] = STATE(7887),
    [sym__constructor_name] = STATE(7768),
    [sym_tag] = STATE(7887),
    [aux_sym_expression_item_repeat1] = STATE(10251),
    [aux_sym_let_binding_repeat1] = STATE(2567),
    [sym__lowercase_identifier] = ACTIONS(7081),
    [anon_sym_SEMI_SEMI] = ACTIONS(6763),
    [anon_sym_and] = ACTIONS(6765),
    [anon_sym_EQ] = ACTIONS(7131),
    [anon_sym_TILDE] = ACTIONS(7085),
    [anon_sym_QMARK] = ACTIONS(7085),
    [anon_sym_LPAREN] = ACTIONS(7087),
    [anon_sym_external] = ACTIONS(6765),
    [anon_sym_type] = ACTIONS(6765),
    [anon_sym_LBRACK] = ACTIONS(7089),
    [anon_sym_true] = ACTIONS(7091),
    [anon_sym_false] = ACTIONS(7091),
    [anon_sym_COLON2] = ACTIONS(7093),
    [anon_sym_LBRACE] = ACTIONS(7095),
    [anon_sym_exception] = ACTIONS(6765),
    [anon_sym_module] = ACTIONS(6765),
    [anon_sym_open] = ACTIONS(6765),
    [anon_sym_include] = ACTIONS(6765),
    [anon_sym_class] = ACTIONS(6765),
    [anon_sym_val] = ACTIONS(6765),
    [anon_sym_end] = ACTIONS(6765),
    [anon_sym_POUND] = ACTIONS(7097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7099),
    [anon_sym_begin] = ACTIONS(7101),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6763),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7105),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6763),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6763),
    [aux_sym_number_token1] = ACTIONS(7107),
    [aux_sym_signed_number_token1] = ACTIONS(7109),
    [anon_sym_SQUOTE] = ACTIONS(7111),
    [anon_sym_DQUOTE] = ACTIONS(7113),
    [sym__uppercase_identifier] = ACTIONS(7115),
    [aux_sym_tag_token1] = ACTIONS(7117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2558] = {
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(12845),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2558),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_EQ] = ACTIONS(7059),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(7059),
    [anon_sym_COMMA] = ACTIONS(7059),
    [anon_sym_PIPE] = ACTIONS(7059),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_RBRACK] = ACTIONS(7059),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_COLON2] = ACTIONS(7063),
    [anon_sym_DASH_GT] = ACTIONS(7059),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_as] = ACTIONS(7063),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_COLON_COLON] = ACTIONS(7059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_when] = ACTIONS(7063),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7067),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2559] = {
    [sym_parameter] = STATE(7942),
    [sym__class_typed] = STATE(11612),
    [sym__parenthesized_abstract_type] = STATE(7942),
    [sym__simple_pattern] = STATE(7962),
    [sym_typed_pattern] = STATE(7887),
    [sym_polymorphic_variant_pattern] = STATE(7887),
    [sym_record_pattern] = STATE(7887),
    [sym_list_pattern] = STATE(7887),
    [sym_array_pattern] = STATE(7887),
    [sym_local_open_pattern] = STATE(7887),
    [sym_package_pattern] = STATE(7887),
    [sym_parenthesized_pattern] = STATE(7887),
    [sym_attribute] = STATE(2559),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7887),
    [sym_quoted_extension] = STATE(7887),
    [sym__constant] = STATE(7960),
    [sym__signed_constant] = STATE(7887),
    [sym_number] = STATE(7806),
    [sym_signed_number] = STATE(7960),
    [sym_character] = STATE(7806),
    [sym_string] = STATE(7806),
    [sym_quoted_string] = STATE(7806),
    [sym_boolean] = STATE(7806),
    [sym_unit] = STATE(7806),
    [sym__simple_value_pattern] = STATE(7887),
    [sym_parenthesized_operator] = STATE(7887),
    [sym_module_path] = STATE(18668),
    [sym_constructor_path] = STATE(7887),
    [sym__constructor_name] = STATE(7768),
    [sym_tag] = STATE(7887),
    [aux_sym_expression_item_repeat1] = STATE(10412),
    [aux_sym_let_binding_repeat1] = STATE(2550),
    [sym__lowercase_identifier] = ACTIONS(7081),
    [anon_sym_SEMI_SEMI] = ACTIONS(6861),
    [anon_sym_and] = ACTIONS(6863),
    [anon_sym_EQ] = ACTIONS(7133),
    [anon_sym_TILDE] = ACTIONS(7085),
    [anon_sym_QMARK] = ACTIONS(7085),
    [anon_sym_LPAREN] = ACTIONS(7087),
    [anon_sym_external] = ACTIONS(6863),
    [anon_sym_type] = ACTIONS(6863),
    [anon_sym_LBRACK] = ACTIONS(7089),
    [anon_sym_true] = ACTIONS(7091),
    [anon_sym_false] = ACTIONS(7091),
    [anon_sym_COLON2] = ACTIONS(7093),
    [anon_sym_LBRACE] = ACTIONS(7095),
    [anon_sym_exception] = ACTIONS(6863),
    [anon_sym_module] = ACTIONS(6863),
    [anon_sym_open] = ACTIONS(6863),
    [anon_sym_include] = ACTIONS(6863),
    [anon_sym_class] = ACTIONS(6863),
    [anon_sym_val] = ACTIONS(6863),
    [anon_sym_end] = ACTIONS(6863),
    [anon_sym_POUND] = ACTIONS(7097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7099),
    [anon_sym_begin] = ACTIONS(7101),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6861),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7105),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6861),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6861),
    [aux_sym_number_token1] = ACTIONS(7107),
    [aux_sym_signed_number_token1] = ACTIONS(7109),
    [anon_sym_SQUOTE] = ACTIONS(7111),
    [anon_sym_DQUOTE] = ACTIONS(7113),
    [sym__uppercase_identifier] = ACTIONS(7115),
    [aux_sym_tag_token1] = ACTIONS(7117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2560] = {
    [sym_parameter] = STATE(7942),
    [sym__class_typed] = STATE(11665),
    [sym__parenthesized_abstract_type] = STATE(7942),
    [sym__simple_pattern] = STATE(7962),
    [sym_typed_pattern] = STATE(7887),
    [sym_polymorphic_variant_pattern] = STATE(7887),
    [sym_record_pattern] = STATE(7887),
    [sym_list_pattern] = STATE(7887),
    [sym_array_pattern] = STATE(7887),
    [sym_local_open_pattern] = STATE(7887),
    [sym_package_pattern] = STATE(7887),
    [sym_parenthesized_pattern] = STATE(7887),
    [sym_attribute] = STATE(2560),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(7887),
    [sym_quoted_extension] = STATE(7887),
    [sym__constant] = STATE(7960),
    [sym__signed_constant] = STATE(7887),
    [sym_number] = STATE(7806),
    [sym_signed_number] = STATE(7960),
    [sym_character] = STATE(7806),
    [sym_string] = STATE(7806),
    [sym_quoted_string] = STATE(7806),
    [sym_boolean] = STATE(7806),
    [sym_unit] = STATE(7806),
    [sym__simple_value_pattern] = STATE(7887),
    [sym_parenthesized_operator] = STATE(7887),
    [sym_module_path] = STATE(18668),
    [sym_constructor_path] = STATE(7887),
    [sym__constructor_name] = STATE(7768),
    [sym_tag] = STATE(7887),
    [aux_sym_expression_item_repeat1] = STATE(10360),
    [aux_sym_let_binding_repeat1] = STATE(2567),
    [sym__lowercase_identifier] = ACTIONS(7081),
    [anon_sym_SEMI_SEMI] = ACTIONS(6921),
    [anon_sym_and] = ACTIONS(6923),
    [anon_sym_EQ] = ACTIONS(7135),
    [anon_sym_TILDE] = ACTIONS(7085),
    [anon_sym_QMARK] = ACTIONS(7085),
    [anon_sym_LPAREN] = ACTIONS(7087),
    [anon_sym_external] = ACTIONS(6923),
    [anon_sym_type] = ACTIONS(6923),
    [anon_sym_LBRACK] = ACTIONS(7089),
    [anon_sym_true] = ACTIONS(7091),
    [anon_sym_false] = ACTIONS(7091),
    [anon_sym_COLON2] = ACTIONS(7093),
    [anon_sym_LBRACE] = ACTIONS(7095),
    [anon_sym_exception] = ACTIONS(6923),
    [anon_sym_module] = ACTIONS(6923),
    [anon_sym_open] = ACTIONS(6923),
    [anon_sym_include] = ACTIONS(6923),
    [anon_sym_class] = ACTIONS(6923),
    [anon_sym_val] = ACTIONS(6923),
    [anon_sym_end] = ACTIONS(6923),
    [anon_sym_POUND] = ACTIONS(7097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7099),
    [anon_sym_begin] = ACTIONS(7101),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6921),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7105),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6921),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6921),
    [aux_sym_number_token1] = ACTIONS(7107),
    [aux_sym_signed_number_token1] = ACTIONS(7109),
    [anon_sym_SQUOTE] = ACTIONS(7111),
    [anon_sym_DQUOTE] = ACTIONS(7113),
    [sym__uppercase_identifier] = ACTIONS(7115),
    [aux_sym_tag_token1] = ACTIONS(7117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2561] = {
    [sym_parameter] = STATE(7510),
    [sym__parenthesized_abstract_type] = STATE(7510),
    [sym__simple_pattern] = STATE(7518),
    [sym_typed_pattern] = STATE(7539),
    [sym_polymorphic_variant_pattern] = STATE(7539),
    [sym_record_pattern] = STATE(7539),
    [sym_list_pattern] = STATE(7539),
    [sym_array_pattern] = STATE(7539),
    [sym_local_open_pattern] = STATE(7539),
    [sym_package_pattern] = STATE(7539),
    [sym_parenthesized_pattern] = STATE(7539),
    [sym_attribute] = STATE(2561),
    [sym_extension] = STATE(7539),
    [sym_quoted_extension] = STATE(7539),
    [sym__constant] = STATE(7353),
    [sym__signed_constant] = STATE(7539),
    [sym_number] = STATE(7469),
    [sym_signed_number] = STATE(7353),
    [sym_character] = STATE(7469),
    [sym_string] = STATE(7469),
    [sym_quoted_string] = STATE(7469),
    [sym_boolean] = STATE(7469),
    [sym_unit] = STATE(7469),
    [sym__simple_value_pattern] = STATE(7539),
    [sym_parenthesized_operator] = STATE(7539),
    [sym_module_path] = STATE(18276),
    [sym_constructor_path] = STATE(7539),
    [sym__constructor_name] = STATE(7456),
    [sym_tag] = STATE(7539),
    [aux_sym_let_binding_repeat1] = STATE(2561),
    [sym__lowercase_identifier] = ACTIONS(7137),
    [anon_sym_SEMI_SEMI] = ACTIONS(7140),
    [anon_sym_let] = ACTIONS(7142),
    [anon_sym_and] = ACTIONS(7142),
    [anon_sym_EQ] = ACTIONS(7140),
    [anon_sym_TILDE] = ACTIONS(7144),
    [anon_sym_QMARK] = ACTIONS(7144),
    [anon_sym_LPAREN] = ACTIONS(7147),
    [anon_sym_external] = ACTIONS(7142),
    [anon_sym_type] = ACTIONS(7142),
    [anon_sym_LBRACK] = ACTIONS(7150),
    [anon_sym_true] = ACTIONS(7153),
    [anon_sym_false] = ACTIONS(7153),
    [anon_sym_COLON2] = ACTIONS(7140),
    [anon_sym_LBRACE] = ACTIONS(7156),
    [anon_sym_exception] = ACTIONS(7142),
    [anon_sym_module] = ACTIONS(7142),
    [anon_sym_open] = ACTIONS(7142),
    [anon_sym_include] = ACTIONS(7142),
    [anon_sym_class] = ACTIONS(7142),
    [anon_sym_end] = ACTIONS(7142),
    [anon_sym_POUND] = ACTIONS(7159),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7162),
    [anon_sym_begin] = ACTIONS(7165),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7142),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7140),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7168),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7171),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7140),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7140),
    [aux_sym_number_token1] = ACTIONS(7174),
    [aux_sym_signed_number_token1] = ACTIONS(7177),
    [anon_sym_SQUOTE] = ACTIONS(7180),
    [anon_sym_DQUOTE] = ACTIONS(7183),
    [sym_let_operator] = ACTIONS(7140),
    [sym__uppercase_identifier] = ACTIONS(7186),
    [aux_sym_directive_token1] = ACTIONS(7142),
    [aux_sym_tag_token1] = ACTIONS(7189),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2562] = {
    [sym_parameter] = STATE(7473),
    [sym__parenthesized_abstract_type] = STATE(7473),
    [sym__simple_pattern] = STATE(7474),
    [sym_typed_pattern] = STATE(7548),
    [sym_polymorphic_variant_pattern] = STATE(7548),
    [sym_record_pattern] = STATE(7548),
    [sym_list_pattern] = STATE(7548),
    [sym_array_pattern] = STATE(7548),
    [sym_local_open_pattern] = STATE(7548),
    [sym_package_pattern] = STATE(7548),
    [sym_parenthesized_pattern] = STATE(7548),
    [sym_attribute] = STATE(2562),
    [sym_extension] = STATE(7548),
    [sym_quoted_extension] = STATE(7548),
    [sym__constant] = STATE(7466),
    [sym__signed_constant] = STATE(7548),
    [sym_number] = STATE(7432),
    [sym_signed_number] = STATE(7466),
    [sym_character] = STATE(7432),
    [sym_string] = STATE(7432),
    [sym_quoted_string] = STATE(7432),
    [sym_boolean] = STATE(7432),
    [sym_unit] = STATE(7432),
    [sym__simple_value_pattern] = STATE(7548),
    [sym_parenthesized_operator] = STATE(7548),
    [sym_module_path] = STATE(17872),
    [sym_constructor_path] = STATE(7548),
    [sym__constructor_name] = STATE(7422),
    [sym_tag] = STATE(7548),
    [aux_sym_let_binding_repeat1] = STATE(2562),
    [sym__lowercase_identifier] = ACTIONS(7192),
    [anon_sym_SEMI_SEMI] = ACTIONS(7140),
    [anon_sym_let] = ACTIONS(7142),
    [anon_sym_and] = ACTIONS(7142),
    [anon_sym_EQ] = ACTIONS(7140),
    [anon_sym_TILDE] = ACTIONS(7195),
    [anon_sym_QMARK] = ACTIONS(7195),
    [anon_sym_LPAREN] = ACTIONS(7198),
    [anon_sym_external] = ACTIONS(7142),
    [anon_sym_type] = ACTIONS(7142),
    [anon_sym_LBRACK] = ACTIONS(7201),
    [anon_sym_RBRACK] = ACTIONS(7140),
    [anon_sym_true] = ACTIONS(7204),
    [anon_sym_false] = ACTIONS(7204),
    [anon_sym_COLON2] = ACTIONS(7140),
    [anon_sym_LBRACE] = ACTIONS(7207),
    [anon_sym_exception] = ACTIONS(7142),
    [anon_sym_module] = ACTIONS(7142),
    [anon_sym_open] = ACTIONS(7142),
    [anon_sym_include] = ACTIONS(7142),
    [anon_sym_class] = ACTIONS(7142),
    [anon_sym_POUND] = ACTIONS(7210),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7213),
    [anon_sym_begin] = ACTIONS(7216),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7142),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7140),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7222),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7140),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7140),
    [aux_sym_number_token1] = ACTIONS(7225),
    [aux_sym_signed_number_token1] = ACTIONS(7228),
    [anon_sym_SQUOTE] = ACTIONS(7231),
    [anon_sym_DQUOTE] = ACTIONS(7234),
    [sym_let_operator] = ACTIONS(7140),
    [sym__uppercase_identifier] = ACTIONS(7237),
    [aux_sym_directive_token1] = ACTIONS(7142),
    [aux_sym_tag_token1] = ACTIONS(7240),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2563] = {
    [sym_parameter] = STATE(7628),
    [sym__parenthesized_abstract_type] = STATE(7628),
    [sym__simple_pattern] = STATE(7630),
    [sym_typed_pattern] = STATE(7631),
    [sym_polymorphic_variant_pattern] = STATE(7631),
    [sym_record_pattern] = STATE(7631),
    [sym_list_pattern] = STATE(7631),
    [sym_array_pattern] = STATE(7631),
    [sym_local_open_pattern] = STATE(7631),
    [sym_package_pattern] = STATE(7631),
    [sym_parenthesized_pattern] = STATE(7631),
    [sym_attribute] = STATE(2563),
    [sym_extension] = STATE(7631),
    [sym_quoted_extension] = STATE(7631),
    [sym__constant] = STATE(7632),
    [sym__signed_constant] = STATE(7631),
    [sym_number] = STATE(7635),
    [sym_signed_number] = STATE(7632),
    [sym_character] = STATE(7635),
    [sym_string] = STATE(7635),
    [sym_quoted_string] = STATE(7635),
    [sym_boolean] = STATE(7635),
    [sym_unit] = STATE(7635),
    [sym__simple_value_pattern] = STATE(7631),
    [sym_parenthesized_operator] = STATE(7631),
    [sym_module_path] = STATE(19337),
    [sym_constructor_path] = STATE(7631),
    [sym__constructor_name] = STATE(7636),
    [sym_tag] = STATE(7631),
    [aux_sym_let_binding_repeat1] = STATE(2563),
    [ts_builtin_sym_end] = ACTIONS(7140),
    [sym__lowercase_identifier] = ACTIONS(7243),
    [anon_sym_SEMI_SEMI] = ACTIONS(7140),
    [anon_sym_and] = ACTIONS(7142),
    [anon_sym_EQ] = ACTIONS(7140),
    [anon_sym_TILDE] = ACTIONS(7246),
    [anon_sym_QMARK] = ACTIONS(7246),
    [anon_sym_LPAREN] = ACTIONS(7249),
    [anon_sym_external] = ACTIONS(7142),
    [anon_sym_type] = ACTIONS(7142),
    [anon_sym_LBRACK] = ACTIONS(7252),
    [anon_sym_RBRACK] = ACTIONS(7140),
    [anon_sym_true] = ACTIONS(7255),
    [anon_sym_false] = ACTIONS(7255),
    [anon_sym_COLON2] = ACTIONS(7140),
    [anon_sym_LBRACE] = ACTIONS(7258),
    [anon_sym_exception] = ACTIONS(7142),
    [anon_sym_module] = ACTIONS(7142),
    [anon_sym_open] = ACTIONS(7142),
    [anon_sym_include] = ACTIONS(7142),
    [anon_sym_class] = ACTIONS(7142),
    [anon_sym_val] = ACTIONS(7142),
    [anon_sym_POUND] = ACTIONS(7261),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7264),
    [anon_sym_begin] = ACTIONS(7267),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7142),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7140),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7270),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7140),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7140),
    [aux_sym_number_token1] = ACTIONS(7276),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7282),
    [anon_sym_DQUOTE] = ACTIONS(7285),
    [sym__uppercase_identifier] = ACTIONS(7288),
    [aux_sym_tag_token1] = ACTIONS(7291),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2564] = {
    [sym__parenthesized_abstract_type] = STATE(3489),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(12896),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2564),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2564),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(7061),
    [anon_sym_COMMA] = ACTIONS(7059),
    [anon_sym_PIPE] = ACTIONS(7059),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_RBRACK] = ACTIONS(7059),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_SEMI] = ACTIONS(7059),
    [anon_sym_RBRACE] = ACTIONS(7059),
    [anon_sym_exception] = ACTIONS(7294),
    [anon_sym_as] = ACTIONS(7063),
    [anon_sym_POUND] = ACTIONS(7296),
    [anon_sym_COLON_COLON] = ACTIONS(7059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(7298),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(7300),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7302),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7304),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2565] = {
    [sym__binding_pattern] = STATE(8769),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2565),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_and] = ACTIONS(4977),
    [anon_sym_COLON_GT] = ACTIONS(4975),
    [anon_sym_EQ] = ACTIONS(4975),
    [anon_sym_TILDE] = ACTIONS(4975),
    [anon_sym_QMARK] = ACTIONS(4975),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_COMMA] = ACTIONS(4975),
    [anon_sym_PIPE] = ACTIONS(4975),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_COLON2] = ACTIONS(4977),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_in] = ACTIONS(4977),
    [anon_sym_as] = ACTIONS(4977),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_COLON_COLON] = ACTIONS(4975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4975),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym_let_and_operator] = ACTIONS(4975),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2566] = {
    [sym__binding_pattern] = STATE(8755),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2566),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_and] = ACTIONS(4977),
    [anon_sym_COLON_GT] = ACTIONS(4975),
    [anon_sym_EQ] = ACTIONS(4975),
    [anon_sym_TILDE] = ACTIONS(4975),
    [anon_sym_QMARK] = ACTIONS(4975),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_COMMA] = ACTIONS(4975),
    [anon_sym_PIPE] = ACTIONS(4975),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_COLON2] = ACTIONS(4977),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_in] = ACTIONS(4977),
    [anon_sym_as] = ACTIONS(4977),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_COLON_COLON] = ACTIONS(4975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4975),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym_let_and_operator] = ACTIONS(4975),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2567] = {
    [sym_parameter] = STATE(7942),
    [sym__parenthesized_abstract_type] = STATE(7942),
    [sym__simple_pattern] = STATE(7962),
    [sym_typed_pattern] = STATE(7887),
    [sym_polymorphic_variant_pattern] = STATE(7887),
    [sym_record_pattern] = STATE(7887),
    [sym_list_pattern] = STATE(7887),
    [sym_array_pattern] = STATE(7887),
    [sym_local_open_pattern] = STATE(7887),
    [sym_package_pattern] = STATE(7887),
    [sym_parenthesized_pattern] = STATE(7887),
    [sym_attribute] = STATE(2567),
    [sym_extension] = STATE(7887),
    [sym_quoted_extension] = STATE(7887),
    [sym__constant] = STATE(7960),
    [sym__signed_constant] = STATE(7887),
    [sym_number] = STATE(7806),
    [sym_signed_number] = STATE(7960),
    [sym_character] = STATE(7806),
    [sym_string] = STATE(7806),
    [sym_quoted_string] = STATE(7806),
    [sym_boolean] = STATE(7806),
    [sym_unit] = STATE(7806),
    [sym__simple_value_pattern] = STATE(7887),
    [sym_parenthesized_operator] = STATE(7887),
    [sym_module_path] = STATE(18668),
    [sym_constructor_path] = STATE(7887),
    [sym__constructor_name] = STATE(7768),
    [sym_tag] = STATE(7887),
    [aux_sym_let_binding_repeat1] = STATE(2567),
    [sym__lowercase_identifier] = ACTIONS(7342),
    [anon_sym_SEMI_SEMI] = ACTIONS(7140),
    [anon_sym_and] = ACTIONS(7142),
    [anon_sym_EQ] = ACTIONS(7140),
    [anon_sym_TILDE] = ACTIONS(7345),
    [anon_sym_QMARK] = ACTIONS(7345),
    [anon_sym_LPAREN] = ACTIONS(7348),
    [anon_sym_external] = ACTIONS(7142),
    [anon_sym_type] = ACTIONS(7142),
    [anon_sym_LBRACK] = ACTIONS(7351),
    [anon_sym_true] = ACTIONS(7354),
    [anon_sym_false] = ACTIONS(7354),
    [anon_sym_COLON2] = ACTIONS(7140),
    [anon_sym_LBRACE] = ACTIONS(7357),
    [anon_sym_exception] = ACTIONS(7142),
    [anon_sym_module] = ACTIONS(7142),
    [anon_sym_open] = ACTIONS(7142),
    [anon_sym_include] = ACTIONS(7142),
    [anon_sym_class] = ACTIONS(7142),
    [anon_sym_val] = ACTIONS(7142),
    [anon_sym_end] = ACTIONS(7142),
    [anon_sym_POUND] = ACTIONS(7360),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7363),
    [anon_sym_begin] = ACTIONS(7366),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7142),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7140),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7369),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7372),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7140),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7140),
    [aux_sym_number_token1] = ACTIONS(7375),
    [aux_sym_signed_number_token1] = ACTIONS(7378),
    [anon_sym_SQUOTE] = ACTIONS(7381),
    [anon_sym_DQUOTE] = ACTIONS(7384),
    [sym__uppercase_identifier] = ACTIONS(7387),
    [aux_sym_tag_token1] = ACTIONS(7390),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2568] = {
    [sym__parenthesized_abstract_type] = STATE(3446),
    [sym__simple_pattern] = STATE(13712),
    [sym__effect_pattern] = STATE(13714),
    [sym__pattern] = STATE(13807),
    [sym_alias_pattern] = STATE(13714),
    [sym_typed_pattern] = STATE(13843),
    [sym_or_pattern] = STATE(13714),
    [sym_constructor_pattern] = STATE(13712),
    [sym_tag_pattern] = STATE(13712),
    [sym_polymorphic_variant_pattern] = STATE(13843),
    [sym_tuple_pattern] = STATE(13714),
    [sym_record_pattern] = STATE(13843),
    [sym_list_pattern] = STATE(13843),
    [sym_cons_pattern] = STATE(13714),
    [sym_array_pattern] = STATE(13843),
    [sym_range_pattern] = STATE(13714),
    [sym_lazy_pattern] = STATE(13712),
    [sym_local_open_pattern] = STATE(13843),
    [sym_package_pattern] = STATE(13843),
    [sym_parenthesized_pattern] = STATE(13843),
    [sym_exception_pattern] = STATE(13714),
    [sym_effect_pattern] = STATE(13714),
    [sym_attribute] = STATE(2568),
    [sym_extension] = STATE(13843),
    [sym_quoted_extension] = STATE(13843),
    [sym__constant] = STATE(13446),
    [sym__signed_constant] = STATE(13641),
    [sym_number] = STATE(13608),
    [sym_signed_number] = STATE(13446),
    [sym_character] = STATE(13608),
    [sym_string] = STATE(13608),
    [sym_quoted_string] = STATE(13608),
    [sym_boolean] = STATE(13608),
    [sym_unit] = STATE(13608),
    [sym__simple_value_pattern] = STATE(13843),
    [sym_parenthesized_operator] = STATE(13843),
    [sym_module_path] = STATE(19524),
    [sym_constructor_path] = STATE(2568),
    [sym__constructor_name] = STATE(9286),
    [sym_tag] = STATE(2570),
    [sym__lowercase_identifier] = ACTIONS(7393),
    [anon_sym_LPAREN] = ACTIONS(7395),
    [anon_sym_COMMA] = ACTIONS(7059),
    [anon_sym_PIPE] = ACTIONS(7063),
    [anon_sym_LBRACK] = ACTIONS(7397),
    [anon_sym_true] = ACTIONS(7399),
    [anon_sym_false] = ACTIONS(7399),
    [anon_sym_LBRACE] = ACTIONS(7401),
    [anon_sym_SEMI] = ACTIONS(7059),
    [anon_sym_exception] = ACTIONS(7403),
    [anon_sym_as] = ACTIONS(7063),
    [anon_sym_POUND] = ACTIONS(7405),
    [anon_sym_COLON_COLON] = ACTIONS(7059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7407),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7059),
    [anon_sym_lazy] = ACTIONS(7409),
    [anon_sym_begin] = ACTIONS(7411),
    [anon_sym_effect] = ACTIONS(7413),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7417),
    [aux_sym_number_token1] = ACTIONS(7419),
    [aux_sym_signed_number_token1] = ACTIONS(7421),
    [anon_sym_SQUOTE] = ACTIONS(7423),
    [anon_sym_DQUOTE] = ACTIONS(7425),
    [sym__uppercase_identifier] = ACTIONS(7427),
    [aux_sym_tag_token1] = ACTIONS(7429),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2569] = {
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(12845),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2569),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2564),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_COMMA] = ACTIONS(7059),
    [anon_sym_PIPE] = ACTIONS(7059),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_RBRACK] = ACTIONS(7059),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_SEMI] = ACTIONS(7059),
    [anon_sym_RBRACE] = ACTIONS(7059),
    [anon_sym_exception] = ACTIONS(7294),
    [anon_sym_as] = ACTIONS(7063),
    [anon_sym_POUND] = ACTIONS(7296),
    [anon_sym_COLON_COLON] = ACTIONS(7059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(7298),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(7300),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7302),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7304),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2570] = {
    [sym__simple_pattern] = STATE(13712),
    [sym__effect_pattern] = STATE(13714),
    [sym__pattern] = STATE(13809),
    [sym_alias_pattern] = STATE(13714),
    [sym_typed_pattern] = STATE(13843),
    [sym_or_pattern] = STATE(13714),
    [sym_constructor_pattern] = STATE(13712),
    [sym_tag_pattern] = STATE(13712),
    [sym_polymorphic_variant_pattern] = STATE(13843),
    [sym_tuple_pattern] = STATE(13714),
    [sym_record_pattern] = STATE(13843),
    [sym_list_pattern] = STATE(13843),
    [sym_cons_pattern] = STATE(13714),
    [sym_array_pattern] = STATE(13843),
    [sym_range_pattern] = STATE(13714),
    [sym_lazy_pattern] = STATE(13712),
    [sym_local_open_pattern] = STATE(13843),
    [sym_package_pattern] = STATE(13843),
    [sym_parenthesized_pattern] = STATE(13843),
    [sym_exception_pattern] = STATE(13714),
    [sym_effect_pattern] = STATE(13714),
    [sym_attribute] = STATE(2570),
    [sym_extension] = STATE(13843),
    [sym_quoted_extension] = STATE(13843),
    [sym__constant] = STATE(13446),
    [sym__signed_constant] = STATE(13641),
    [sym_number] = STATE(13608),
    [sym_signed_number] = STATE(13446),
    [sym_character] = STATE(13608),
    [sym_string] = STATE(13608),
    [sym_quoted_string] = STATE(13608),
    [sym_boolean] = STATE(13608),
    [sym_unit] = STATE(13608),
    [sym__simple_value_pattern] = STATE(13843),
    [sym_parenthesized_operator] = STATE(13843),
    [sym_module_path] = STATE(19524),
    [sym_constructor_path] = STATE(2568),
    [sym__constructor_name] = STATE(9286),
    [sym_tag] = STATE(2570),
    [sym__lowercase_identifier] = ACTIONS(7393),
    [anon_sym_LPAREN] = ACTIONS(7431),
    [anon_sym_COMMA] = ACTIONS(7059),
    [anon_sym_PIPE] = ACTIONS(7063),
    [anon_sym_LBRACK] = ACTIONS(7397),
    [anon_sym_true] = ACTIONS(7399),
    [anon_sym_false] = ACTIONS(7399),
    [anon_sym_LBRACE] = ACTIONS(7401),
    [anon_sym_SEMI] = ACTIONS(7059),
    [anon_sym_exception] = ACTIONS(7403),
    [anon_sym_as] = ACTIONS(7063),
    [anon_sym_POUND] = ACTIONS(7405),
    [anon_sym_COLON_COLON] = ACTIONS(7059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7407),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7059),
    [anon_sym_lazy] = ACTIONS(7409),
    [anon_sym_begin] = ACTIONS(7411),
    [anon_sym_effect] = ACTIONS(7413),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7417),
    [aux_sym_number_token1] = ACTIONS(7419),
    [aux_sym_signed_number_token1] = ACTIONS(7421),
    [anon_sym_SQUOTE] = ACTIONS(7423),
    [anon_sym_DQUOTE] = ACTIONS(7425),
    [sym__uppercase_identifier] = ACTIONS(7427),
    [aux_sym_tag_token1] = ACTIONS(7429),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2571] = {
    [sym__match_cases] = STATE(7868),
    [sym_match_case] = STATE(11843),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13632),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2571),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2685),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7433),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2572] = {
    [sym__match_cases] = STATE(8030),
    [sym_match_case] = STATE(9627),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13406),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2572),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2728),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7437),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2573] = {
    [sym__match_cases] = STATE(8030),
    [sym_match_case] = STATE(12457),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13412),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2573),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2691),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7439),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2574] = {
    [sym_parameter] = STATE(8695),
    [sym__polymorphic_typed] = STATE(12709),
    [sym__parenthesized_abstract_type] = STATE(8695),
    [sym__simple_pattern] = STATE(8698),
    [sym_typed_pattern] = STATE(8474),
    [sym_polymorphic_variant_pattern] = STATE(8474),
    [sym_record_pattern] = STATE(8474),
    [sym_list_pattern] = STATE(8474),
    [sym_array_pattern] = STATE(8474),
    [sym_local_open_pattern] = STATE(8474),
    [sym_package_pattern] = STATE(8474),
    [sym_parenthesized_pattern] = STATE(8474),
    [sym_attribute] = STATE(2574),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(8474),
    [sym_quoted_extension] = STATE(8474),
    [sym__constant] = STATE(8446),
    [sym__signed_constant] = STATE(8474),
    [sym_number] = STATE(8734),
    [sym_signed_number] = STATE(8446),
    [sym_character] = STATE(8734),
    [sym_string] = STATE(8734),
    [sym_quoted_string] = STATE(8734),
    [sym_boolean] = STATE(8734),
    [sym_unit] = STATE(8734),
    [sym__simple_value_pattern] = STATE(8474),
    [sym_parenthesized_operator] = STATE(8474),
    [sym_module_path] = STATE(18916),
    [sym_constructor_path] = STATE(8474),
    [sym__constructor_name] = STATE(8735),
    [sym_tag] = STATE(8474),
    [aux_sym_expression_item_repeat1] = STATE(12950),
    [aux_sym_let_binding_repeat1] = STATE(2594),
    [sym__lowercase_identifier] = ACTIONS(7441),
    [anon_sym_EQ] = ACTIONS(7443),
    [anon_sym_TILDE] = ACTIONS(7445),
    [anon_sym_QMARK] = ACTIONS(7445),
    [anon_sym_LPAREN] = ACTIONS(7447),
    [anon_sym_LBRACK] = ACTIONS(7449),
    [anon_sym_true] = ACTIONS(7451),
    [anon_sym_false] = ACTIONS(7451),
    [anon_sym_COLON2] = ACTIONS(7453),
    [anon_sym_LBRACE] = ACTIONS(7455),
    [anon_sym_constraint] = ACTIONS(7457),
    [anon_sym_val] = ACTIONS(7457),
    [anon_sym_end] = ACTIONS(7457),
    [anon_sym_inherit] = ACTIONS(7457),
    [anon_sym_method] = ACTIONS(7457),
    [anon_sym_initializer] = ACTIONS(7457),
    [anon_sym_POUND] = ACTIONS(7459),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7461),
    [anon_sym_begin] = ACTIONS(7463),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7465),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7467),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7469),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7465),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7465),
    [aux_sym_number_token1] = ACTIONS(7471),
    [aux_sym_signed_number_token1] = ACTIONS(7473),
    [anon_sym_SQUOTE] = ACTIONS(7475),
    [anon_sym_DQUOTE] = ACTIONS(7477),
    [sym__uppercase_identifier] = ACTIONS(7479),
    [aux_sym_tag_token1] = ACTIONS(7481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2575] = {
    [sym__match_cases] = STATE(8030),
    [sym_match_case] = STATE(10209),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13462),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2575),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2761),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2576] = {
    [sym__match_cases] = STATE(8030),
    [sym_match_case] = STATE(12219),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13610),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2576),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2671),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7485),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2577] = {
    [sym__match_cases] = STATE(8030),
    [sym_match_case] = STATE(10344),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13596),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2577),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2871),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7487),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2578] = {
    [sym__match_cases] = STATE(7868),
    [sym_match_case] = STATE(12219),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13610),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2578),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2846),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7485),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2579] = {
    [sym__match_cases] = STATE(8030),
    [sym_match_case] = STATE(12475),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13602),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2579),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2681),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7489),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2580] = {
    [sym__match_cases] = STATE(7868),
    [sym_match_case] = STATE(11938),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13527),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2580),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2876),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2581] = {
    [sym__match_cases] = STATE(10366),
    [sym_match_case] = STATE(11961),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13400),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2581),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2727),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2582] = {
    [sym_parameter] = STATE(8695),
    [sym__polymorphic_typed] = STATE(12784),
    [sym__parenthesized_abstract_type] = STATE(8695),
    [sym__simple_pattern] = STATE(8698),
    [sym_typed_pattern] = STATE(8474),
    [sym_polymorphic_variant_pattern] = STATE(8474),
    [sym_record_pattern] = STATE(8474),
    [sym_list_pattern] = STATE(8474),
    [sym_array_pattern] = STATE(8474),
    [sym_local_open_pattern] = STATE(8474),
    [sym_package_pattern] = STATE(8474),
    [sym_parenthesized_pattern] = STATE(8474),
    [sym_attribute] = STATE(2582),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(8474),
    [sym_quoted_extension] = STATE(8474),
    [sym__constant] = STATE(8446),
    [sym__signed_constant] = STATE(8474),
    [sym_number] = STATE(8734),
    [sym_signed_number] = STATE(8446),
    [sym_character] = STATE(8734),
    [sym_string] = STATE(8734),
    [sym_quoted_string] = STATE(8734),
    [sym_boolean] = STATE(8734),
    [sym_unit] = STATE(8734),
    [sym__simple_value_pattern] = STATE(8474),
    [sym_parenthesized_operator] = STATE(8474),
    [sym_module_path] = STATE(18916),
    [sym_constructor_path] = STATE(8474),
    [sym__constructor_name] = STATE(8735),
    [sym_tag] = STATE(8474),
    [aux_sym_expression_item_repeat1] = STATE(12911),
    [aux_sym_let_binding_repeat1] = STATE(2617),
    [sym__lowercase_identifier] = ACTIONS(7441),
    [anon_sym_EQ] = ACTIONS(7495),
    [anon_sym_TILDE] = ACTIONS(7445),
    [anon_sym_QMARK] = ACTIONS(7445),
    [anon_sym_LPAREN] = ACTIONS(7447),
    [anon_sym_LBRACK] = ACTIONS(7449),
    [anon_sym_true] = ACTIONS(7451),
    [anon_sym_false] = ACTIONS(7451),
    [anon_sym_COLON2] = ACTIONS(7453),
    [anon_sym_LBRACE] = ACTIONS(7455),
    [anon_sym_constraint] = ACTIONS(7497),
    [anon_sym_val] = ACTIONS(7497),
    [anon_sym_end] = ACTIONS(7497),
    [anon_sym_inherit] = ACTIONS(7497),
    [anon_sym_method] = ACTIONS(7497),
    [anon_sym_initializer] = ACTIONS(7497),
    [anon_sym_POUND] = ACTIONS(7459),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7461),
    [anon_sym_begin] = ACTIONS(7463),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7499),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7467),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7469),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7499),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7499),
    [aux_sym_number_token1] = ACTIONS(7471),
    [aux_sym_signed_number_token1] = ACTIONS(7473),
    [anon_sym_SQUOTE] = ACTIONS(7475),
    [anon_sym_DQUOTE] = ACTIONS(7477),
    [sym__uppercase_identifier] = ACTIONS(7479),
    [aux_sym_tag_token1] = ACTIONS(7481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2583] = {
    [sym__match_cases] = STATE(8030),
    [sym_match_case] = STATE(11828),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13564),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2583),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2767),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7501),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2584] = {
    [sym__match_cases] = STATE(8080),
    [sym_match_case] = STATE(8189),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13520),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2584),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2839),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7503),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2585] = {
    [sym__match_cases] = STATE(7868),
    [sym_match_case] = STATE(12475),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13602),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2585),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2690),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7489),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2586] = {
    [sym__match_cases] = STATE(10366),
    [sym_match_case] = STATE(11186),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13589),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2586),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2861),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7505),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2587] = {
    [sym__match_cases] = STATE(8030),
    [sym_match_case] = STATE(11835),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13376),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2587),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2772),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7507),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2588] = {
    [sym__match_cases] = STATE(8080),
    [sym_match_case] = STATE(8346),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13363),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2588),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2848),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7509),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2589] = {
    [sym__match_cases] = STATE(8030),
    [sym_match_case] = STATE(12147),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13431),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2589),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2703),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2590] = {
    [sym__match_cases] = STATE(8080),
    [sym_match_case] = STATE(8715),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13371),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2590),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2805),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7513),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2591] = {
    [sym__match_cases] = STATE(7868),
    [sym_match_case] = STATE(12457),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13412),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2591),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2807),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7439),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2592] = {
    [sym__match_cases] = STATE(10366),
    [sym_match_case] = STATE(11799),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13505),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2592),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2739),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7515),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2593] = {
    [sym__match_cases] = STATE(8030),
    [sym_match_case] = STATE(11843),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13632),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2593),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2777),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7433),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2594] = {
    [sym_parameter] = STATE(8695),
    [sym__polymorphic_typed] = STATE(12780),
    [sym__parenthesized_abstract_type] = STATE(8695),
    [sym__simple_pattern] = STATE(8698),
    [sym_typed_pattern] = STATE(8474),
    [sym_polymorphic_variant_pattern] = STATE(8474),
    [sym_record_pattern] = STATE(8474),
    [sym_list_pattern] = STATE(8474),
    [sym_array_pattern] = STATE(8474),
    [sym_local_open_pattern] = STATE(8474),
    [sym_package_pattern] = STATE(8474),
    [sym_parenthesized_pattern] = STATE(8474),
    [sym_attribute] = STATE(2594),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(8474),
    [sym_quoted_extension] = STATE(8474),
    [sym__constant] = STATE(8446),
    [sym__signed_constant] = STATE(8474),
    [sym_number] = STATE(8734),
    [sym_signed_number] = STATE(8446),
    [sym_character] = STATE(8734),
    [sym_string] = STATE(8734),
    [sym_quoted_string] = STATE(8734),
    [sym_boolean] = STATE(8734),
    [sym_unit] = STATE(8734),
    [sym__simple_value_pattern] = STATE(8474),
    [sym_parenthesized_operator] = STATE(8474),
    [sym_module_path] = STATE(18916),
    [sym_constructor_path] = STATE(8474),
    [sym__constructor_name] = STATE(8735),
    [sym_tag] = STATE(8474),
    [aux_sym_expression_item_repeat1] = STATE(12949),
    [aux_sym_let_binding_repeat1] = STATE(2920),
    [sym__lowercase_identifier] = ACTIONS(7441),
    [anon_sym_EQ] = ACTIONS(7517),
    [anon_sym_TILDE] = ACTIONS(7445),
    [anon_sym_QMARK] = ACTIONS(7445),
    [anon_sym_LPAREN] = ACTIONS(7447),
    [anon_sym_LBRACK] = ACTIONS(7449),
    [anon_sym_true] = ACTIONS(7451),
    [anon_sym_false] = ACTIONS(7451),
    [anon_sym_COLON2] = ACTIONS(7453),
    [anon_sym_LBRACE] = ACTIONS(7455),
    [anon_sym_constraint] = ACTIONS(7519),
    [anon_sym_val] = ACTIONS(7519),
    [anon_sym_end] = ACTIONS(7519),
    [anon_sym_inherit] = ACTIONS(7519),
    [anon_sym_method] = ACTIONS(7519),
    [anon_sym_initializer] = ACTIONS(7519),
    [anon_sym_POUND] = ACTIONS(7459),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7461),
    [anon_sym_begin] = ACTIONS(7463),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7521),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7467),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7469),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7521),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7521),
    [aux_sym_number_token1] = ACTIONS(7471),
    [aux_sym_signed_number_token1] = ACTIONS(7473),
    [anon_sym_SQUOTE] = ACTIONS(7475),
    [anon_sym_DQUOTE] = ACTIONS(7477),
    [sym__uppercase_identifier] = ACTIONS(7479),
    [aux_sym_tag_token1] = ACTIONS(7481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2595] = {
    [sym__match_cases] = STATE(7868),
    [sym_match_case] = STATE(10344),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13596),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2595),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2838),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7487),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2596] = {
    [sym__match_cases] = STATE(7868),
    [sym_match_case] = STATE(12147),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13431),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2596),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2815),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2597] = {
    [sym__match_cases] = STATE(10366),
    [sym_match_case] = STATE(11668),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13392),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2597),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2745),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7523),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2598] = {
    [sym__match_cases] = STATE(8030),
    [sym_match_case] = STATE(11856),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13501),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2598),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2782),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2599] = {
    [sym__match_cases] = STATE(8080),
    [sym_match_case] = STATE(8421),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13378),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2599),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2850),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7527),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2600] = {
    [sym__match_cases] = STATE(7868),
    [sym_match_case] = STATE(9627),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13406),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2600),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2830),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7437),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2601] = {
    [sym__match_cases] = STATE(10366),
    [sym_match_case] = STATE(10958),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13546),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2601),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2755),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7529),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2602] = {
    [sym__match_cases] = STATE(8030),
    [sym_match_case] = STATE(9312),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13374),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2602),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2798),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2603] = {
    [sym__match_cases] = STATE(8080),
    [sym_match_case] = STATE(8280),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13573),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2603),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2708),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7533),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2604] = {
    [sym__match_cases] = STATE(7868),
    [sym_match_case] = STATE(10209),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13462),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2604),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2866),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2605] = {
    [sym__match_cases] = STATE(8080),
    [sym_match_case] = STATE(8289),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13600),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2605),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2713),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2606] = {
    [sym__match_cases] = STATE(7868),
    [sym_match_case] = STATE(11828),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13564),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2606),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2885),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7501),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2607] = {
    [sym__match_cases] = STATE(8080),
    [sym_match_case] = STATE(7997),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13533),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2607),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2734),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7537),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2608] = {
    [sym__match_cases] = STATE(7868),
    [sym_match_case] = STATE(11835),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13376),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2608),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2676),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7507),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2609] = {
    [sym__match_cases] = STATE(8080),
    [sym_match_case] = STATE(8009),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13617),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2609),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2750),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2610] = {
    [sym__match_cases] = STATE(7868),
    [sym_match_case] = STATE(12137),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13375),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2610),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2813),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7541),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2611] = {
    [sym__match_cases] = STATE(8080),
    [sym_match_case] = STATE(8236),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13425),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2611),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2787),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2612] = {
    [sym__match_cases] = STATE(7868),
    [sym_match_case] = STATE(11856),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13501),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2612),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2697),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2613] = {
    [sym__match_cases] = STATE(8080),
    [sym_match_case] = STATE(8203),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13538),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2613),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2792),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2614] = {
    [sym__match_cases] = STATE(7868),
    [sym_match_case] = STATE(9312),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13374),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2614),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2720),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2615] = {
    [sym__match_cases] = STATE(8080),
    [sym_match_case] = STATE(8601),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13555),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2615),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2760),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7547),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2616] = {
    [sym_parameter] = STATE(8695),
    [sym__polymorphic_typed] = STATE(12736),
    [sym__parenthesized_abstract_type] = STATE(8695),
    [sym__simple_pattern] = STATE(8698),
    [sym_typed_pattern] = STATE(8474),
    [sym_polymorphic_variant_pattern] = STATE(8474),
    [sym_record_pattern] = STATE(8474),
    [sym_list_pattern] = STATE(8474),
    [sym_array_pattern] = STATE(8474),
    [sym_local_open_pattern] = STATE(8474),
    [sym_package_pattern] = STATE(8474),
    [sym_parenthesized_pattern] = STATE(8474),
    [sym_attribute] = STATE(2616),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(8474),
    [sym_quoted_extension] = STATE(8474),
    [sym__constant] = STATE(8446),
    [sym__signed_constant] = STATE(8474),
    [sym_number] = STATE(8734),
    [sym_signed_number] = STATE(8446),
    [sym_character] = STATE(8734),
    [sym_string] = STATE(8734),
    [sym_quoted_string] = STATE(8734),
    [sym_boolean] = STATE(8734),
    [sym_unit] = STATE(8734),
    [sym__simple_value_pattern] = STATE(8474),
    [sym_parenthesized_operator] = STATE(8474),
    [sym_module_path] = STATE(18916),
    [sym_constructor_path] = STATE(8474),
    [sym__constructor_name] = STATE(8735),
    [sym_tag] = STATE(8474),
    [aux_sym_expression_item_repeat1] = STATE(12827),
    [aux_sym_let_binding_repeat1] = STATE(2920),
    [sym__lowercase_identifier] = ACTIONS(7441),
    [anon_sym_EQ] = ACTIONS(7549),
    [anon_sym_TILDE] = ACTIONS(7445),
    [anon_sym_QMARK] = ACTIONS(7445),
    [anon_sym_LPAREN] = ACTIONS(7447),
    [anon_sym_LBRACK] = ACTIONS(7449),
    [anon_sym_true] = ACTIONS(7451),
    [anon_sym_false] = ACTIONS(7451),
    [anon_sym_COLON2] = ACTIONS(7453),
    [anon_sym_LBRACE] = ACTIONS(7455),
    [anon_sym_constraint] = ACTIONS(7551),
    [anon_sym_val] = ACTIONS(7551),
    [anon_sym_end] = ACTIONS(7551),
    [anon_sym_inherit] = ACTIONS(7551),
    [anon_sym_method] = ACTIONS(7551),
    [anon_sym_initializer] = ACTIONS(7551),
    [anon_sym_POUND] = ACTIONS(7459),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7461),
    [anon_sym_begin] = ACTIONS(7463),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7553),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7467),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7469),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7553),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7553),
    [aux_sym_number_token1] = ACTIONS(7471),
    [aux_sym_signed_number_token1] = ACTIONS(7473),
    [anon_sym_SQUOTE] = ACTIONS(7475),
    [anon_sym_DQUOTE] = ACTIONS(7477),
    [sym__uppercase_identifier] = ACTIONS(7479),
    [aux_sym_tag_token1] = ACTIONS(7481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2617] = {
    [sym_parameter] = STATE(8695),
    [sym__polymorphic_typed] = STATE(12722),
    [sym__parenthesized_abstract_type] = STATE(8695),
    [sym__simple_pattern] = STATE(8698),
    [sym_typed_pattern] = STATE(8474),
    [sym_polymorphic_variant_pattern] = STATE(8474),
    [sym_record_pattern] = STATE(8474),
    [sym_list_pattern] = STATE(8474),
    [sym_array_pattern] = STATE(8474),
    [sym_local_open_pattern] = STATE(8474),
    [sym_package_pattern] = STATE(8474),
    [sym_parenthesized_pattern] = STATE(8474),
    [sym_attribute] = STATE(2617),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(8474),
    [sym_quoted_extension] = STATE(8474),
    [sym__constant] = STATE(8446),
    [sym__signed_constant] = STATE(8474),
    [sym_number] = STATE(8734),
    [sym_signed_number] = STATE(8446),
    [sym_character] = STATE(8734),
    [sym_string] = STATE(8734),
    [sym_quoted_string] = STATE(8734),
    [sym_boolean] = STATE(8734),
    [sym_unit] = STATE(8734),
    [sym__simple_value_pattern] = STATE(8474),
    [sym_parenthesized_operator] = STATE(8474),
    [sym_module_path] = STATE(18916),
    [sym_constructor_path] = STATE(8474),
    [sym__constructor_name] = STATE(8735),
    [sym_tag] = STATE(8474),
    [aux_sym_expression_item_repeat1] = STATE(12981),
    [aux_sym_let_binding_repeat1] = STATE(2920),
    [sym__lowercase_identifier] = ACTIONS(7441),
    [anon_sym_EQ] = ACTIONS(7555),
    [anon_sym_TILDE] = ACTIONS(7445),
    [anon_sym_QMARK] = ACTIONS(7445),
    [anon_sym_LPAREN] = ACTIONS(7447),
    [anon_sym_LBRACK] = ACTIONS(7449),
    [anon_sym_true] = ACTIONS(7451),
    [anon_sym_false] = ACTIONS(7451),
    [anon_sym_COLON2] = ACTIONS(7453),
    [anon_sym_LBRACE] = ACTIONS(7455),
    [anon_sym_constraint] = ACTIONS(7557),
    [anon_sym_val] = ACTIONS(7557),
    [anon_sym_end] = ACTIONS(7557),
    [anon_sym_inherit] = ACTIONS(7557),
    [anon_sym_method] = ACTIONS(7557),
    [anon_sym_initializer] = ACTIONS(7557),
    [anon_sym_POUND] = ACTIONS(7459),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7461),
    [anon_sym_begin] = ACTIONS(7463),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7559),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7467),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7469),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7559),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7559),
    [aux_sym_number_token1] = ACTIONS(7471),
    [aux_sym_signed_number_token1] = ACTIONS(7473),
    [anon_sym_SQUOTE] = ACTIONS(7475),
    [anon_sym_DQUOTE] = ACTIONS(7477),
    [sym__uppercase_identifier] = ACTIONS(7479),
    [aux_sym_tag_token1] = ACTIONS(7481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2618] = {
    [sym_parameter] = STATE(8695),
    [sym__polymorphic_typed] = STATE(12743),
    [sym__parenthesized_abstract_type] = STATE(8695),
    [sym__simple_pattern] = STATE(8698),
    [sym_typed_pattern] = STATE(8474),
    [sym_polymorphic_variant_pattern] = STATE(8474),
    [sym_record_pattern] = STATE(8474),
    [sym_list_pattern] = STATE(8474),
    [sym_array_pattern] = STATE(8474),
    [sym_local_open_pattern] = STATE(8474),
    [sym_package_pattern] = STATE(8474),
    [sym_parenthesized_pattern] = STATE(8474),
    [sym_attribute] = STATE(2618),
    [sym_item_attribute] = STATE(9807),
    [sym_extension] = STATE(8474),
    [sym_quoted_extension] = STATE(8474),
    [sym__constant] = STATE(8446),
    [sym__signed_constant] = STATE(8474),
    [sym_number] = STATE(8734),
    [sym_signed_number] = STATE(8446),
    [sym_character] = STATE(8734),
    [sym_string] = STATE(8734),
    [sym_quoted_string] = STATE(8734),
    [sym_boolean] = STATE(8734),
    [sym_unit] = STATE(8734),
    [sym__simple_value_pattern] = STATE(8474),
    [sym_parenthesized_operator] = STATE(8474),
    [sym_module_path] = STATE(18916),
    [sym_constructor_path] = STATE(8474),
    [sym__constructor_name] = STATE(8735),
    [sym_tag] = STATE(8474),
    [aux_sym_expression_item_repeat1] = STATE(12855),
    [aux_sym_let_binding_repeat1] = STATE(2616),
    [sym__lowercase_identifier] = ACTIONS(7441),
    [anon_sym_EQ] = ACTIONS(7561),
    [anon_sym_TILDE] = ACTIONS(7445),
    [anon_sym_QMARK] = ACTIONS(7445),
    [anon_sym_LPAREN] = ACTIONS(7447),
    [anon_sym_LBRACK] = ACTIONS(7449),
    [anon_sym_true] = ACTIONS(7451),
    [anon_sym_false] = ACTIONS(7451),
    [anon_sym_COLON2] = ACTIONS(7453),
    [anon_sym_LBRACE] = ACTIONS(7455),
    [anon_sym_constraint] = ACTIONS(7563),
    [anon_sym_val] = ACTIONS(7563),
    [anon_sym_end] = ACTIONS(7563),
    [anon_sym_inherit] = ACTIONS(7563),
    [anon_sym_method] = ACTIONS(7563),
    [anon_sym_initializer] = ACTIONS(7563),
    [anon_sym_POUND] = ACTIONS(7459),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7461),
    [anon_sym_begin] = ACTIONS(7463),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6787),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7565),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7467),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7469),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7565),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7565),
    [aux_sym_number_token1] = ACTIONS(7471),
    [aux_sym_signed_number_token1] = ACTIONS(7473),
    [anon_sym_SQUOTE] = ACTIONS(7475),
    [anon_sym_DQUOTE] = ACTIONS(7477),
    [sym__uppercase_identifier] = ACTIONS(7479),
    [aux_sym_tag_token1] = ACTIONS(7481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2619] = {
    [sym__match_cases] = STATE(10366),
    [sym_match_case] = STATE(12401),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13479),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2619),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2855),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7567),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2620] = {
    [sym__match_cases] = STATE(8080),
    [sym_match_case] = STATE(8228),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13507),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2620),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__attribute] = STATE(2829),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7569),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(7435),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2621] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(19496),
    [sym_module_definition] = STATE(19499),
    [sym_open_module] = STATE(19500),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2621),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2622] = {
    [sym_let_binding] = STATE(11304),
    [sym_exception_definition] = STATE(17591),
    [sym_module_definition] = STATE(19721),
    [sym_open_module] = STATE(19863),
    [sym__binding_pattern] = STATE(2464),
    [sym_alias_binding_pattern] = STATE(5403),
    [sym_typed_binding_pattern] = STATE(5403),
    [sym_or_binding_pattern] = STATE(5403),
    [sym_constructor_binding_pattern] = STATE(5403),
    [sym_tag_binding_pattern] = STATE(5403),
    [sym_polymorphic_variant_pattern] = STATE(5403),
    [sym_tuple_binding_pattern] = STATE(5403),
    [sym_record_binding_pattern] = STATE(5483),
    [sym_list_binding_pattern] = STATE(5521),
    [sym_cons_binding_pattern] = STATE(5403),
    [sym_array_binding_pattern] = STATE(5498),
    [sym_range_pattern] = STATE(5403),
    [sym_lazy_binding_pattern] = STATE(5403),
    [sym_local_open_binding_pattern] = STATE(5403),
    [sym_package_pattern] = STATE(5403),
    [sym_parenthesized_binding_pattern] = STATE(5403),
    [sym_attribute] = STATE(2622),
    [sym_extension] = STATE(5403),
    [sym_quoted_extension] = STATE(5403),
    [sym__attribute] = STATE(4508),
    [sym__constant] = STATE(5336),
    [sym__signed_constant] = STATE(5327),
    [sym_number] = STATE(5307),
    [sym_signed_number] = STATE(5336),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym__value_name] = STATE(5403),
    [sym_parenthesized_operator] = STATE(5516),
    [sym_module_path] = STATE(19715),
    [sym_constructor_path] = STATE(2425),
    [sym__constructor_name] = STATE(5343),
    [sym_tag] = STATE(2426),
    [sym__lowercase_identifier] = ACTIONS(4973),
    [anon_sym_rec] = ACTIONS(7581),
    [anon_sym_LPAREN] = ACTIONS(4979),
    [anon_sym_LBRACK] = ACTIONS(4981),
    [anon_sym_true] = ACTIONS(4983),
    [anon_sym_false] = ACTIONS(4983),
    [anon_sym_LBRACE] = ACTIONS(4985),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(4987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4989),
    [anon_sym_lazy] = ACTIONS(4991),
    [anon_sym_begin] = ACTIONS(4993),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7583),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7585),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(4999),
    [aux_sym_signed_number_token1] = ACTIONS(5001),
    [anon_sym_SQUOTE] = ACTIONS(5003),
    [anon_sym_DQUOTE] = ACTIONS(5005),
    [sym__uppercase_identifier] = ACTIONS(5007),
    [aux_sym_tag_token1] = ACTIONS(5009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2623] = {
    [sym_parameter] = STATE(10166),
    [sym__polymorphic_typed] = STATE(17338),
    [sym__parenthesized_abstract_type] = STATE(10166),
    [sym__simple_pattern] = STATE(10170),
    [sym_typed_pattern] = STATE(10003),
    [sym_polymorphic_variant_pattern] = STATE(10003),
    [sym_record_pattern] = STATE(10003),
    [sym_list_pattern] = STATE(10003),
    [sym_array_pattern] = STATE(10003),
    [sym_local_open_pattern] = STATE(10003),
    [sym_package_pattern] = STATE(10003),
    [sym_parenthesized_pattern] = STATE(10003),
    [sym_attribute] = STATE(2623),
    [sym_item_attribute] = STATE(14810),
    [sym_extension] = STATE(10003),
    [sym_quoted_extension] = STATE(10003),
    [sym__constant] = STATE(10038),
    [sym__signed_constant] = STATE(10003),
    [sym_number] = STATE(9999),
    [sym_signed_number] = STATE(10038),
    [sym_character] = STATE(9999),
    [sym_string] = STATE(9999),
    [sym_quoted_string] = STATE(9999),
    [sym_boolean] = STATE(9999),
    [sym_unit] = STATE(9999),
    [sym__simple_value_pattern] = STATE(10003),
    [sym_parenthesized_operator] = STATE(10003),
    [sym_module_path] = STATE(20068),
    [sym_constructor_path] = STATE(10003),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(10003),
    [aux_sym_expression_item_repeat1] = STATE(13786),
    [aux_sym_let_binding_repeat1] = STATE(4596),
    [sym__lowercase_identifier] = ACTIONS(5381),
    [anon_sym_and] = ACTIONS(5385),
    [anon_sym_COLON_GT] = ACTIONS(7587),
    [anon_sym_EQ] = ACTIONS(7589),
    [anon_sym_TILDE] = ACTIONS(5391),
    [anon_sym_QMARK] = ACTIONS(5391),
    [anon_sym_LPAREN] = ACTIONS(5393),
    [anon_sym_COMMA] = ACTIONS(7591),
    [anon_sym_PIPE] = ACTIONS(7593),
    [anon_sym_LBRACK] = ACTIONS(5399),
    [anon_sym_true] = ACTIONS(5401),
    [anon_sym_false] = ACTIONS(5401),
    [anon_sym_COLON2] = ACTIONS(5403),
    [anon_sym_LBRACE] = ACTIONS(5405),
    [anon_sym_in] = ACTIONS(5385),
    [anon_sym_as] = ACTIONS(7595),
    [anon_sym_POUND] = ACTIONS(5409),
    [anon_sym_COLON_COLON] = ACTIONS(7597),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5413),
    [anon_sym_begin] = ACTIONS(5415),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7599),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7603),
    [aux_sym_number_token1] = ACTIONS(5423),
    [aux_sym_signed_number_token1] = ACTIONS(5425),
    [anon_sym_SQUOTE] = ACTIONS(5427),
    [anon_sym_DQUOTE] = ACTIONS(5429),
    [sym_let_and_operator] = ACTIONS(5383),
    [sym__uppercase_identifier] = ACTIONS(5431),
    [aux_sym_tag_token1] = ACTIONS(5433),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2624] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(17591),
    [sym_module_definition] = STATE(19721),
    [sym_open_module] = STATE(19863),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2624),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2625] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(20009),
    [sym_module_definition] = STATE(20010),
    [sym_open_module] = STATE(20014),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2625),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2626] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(17536),
    [sym_module_definition] = STATE(17537),
    [sym_open_module] = STATE(17539),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2626),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2627] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(18164),
    [sym_module_definition] = STATE(18226),
    [sym_open_module] = STATE(18308),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2627),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2628] = {
    [sym_let_binding] = STATE(11481),
    [sym_exception_definition] = STATE(18870),
    [sym_module_definition] = STATE(18921),
    [sym_open_module] = STATE(18985),
    [sym__binding_pattern] = STATE(2467),
    [sym_alias_binding_pattern] = STATE(5490),
    [sym_typed_binding_pattern] = STATE(5490),
    [sym_or_binding_pattern] = STATE(5490),
    [sym_constructor_binding_pattern] = STATE(5490),
    [sym_tag_binding_pattern] = STATE(5490),
    [sym_polymorphic_variant_pattern] = STATE(5490),
    [sym_tuple_binding_pattern] = STATE(5490),
    [sym_record_binding_pattern] = STATE(5507),
    [sym_list_binding_pattern] = STATE(5436),
    [sym_cons_binding_pattern] = STATE(5490),
    [sym_array_binding_pattern] = STATE(5494),
    [sym_range_pattern] = STATE(5490),
    [sym_lazy_binding_pattern] = STATE(5490),
    [sym_local_open_binding_pattern] = STATE(5490),
    [sym_package_pattern] = STATE(5490),
    [sym_parenthesized_binding_pattern] = STATE(5490),
    [sym_attribute] = STATE(2628),
    [sym_extension] = STATE(5490),
    [sym_quoted_extension] = STATE(5490),
    [sym__attribute] = STATE(4474),
    [sym__constant] = STATE(5328),
    [sym__signed_constant] = STATE(5309),
    [sym_number] = STATE(5287),
    [sym_signed_number] = STATE(5328),
    [sym_character] = STATE(5287),
    [sym_string] = STATE(5287),
    [sym_quoted_string] = STATE(5287),
    [sym_boolean] = STATE(5287),
    [sym_unit] = STATE(5287),
    [sym__value_name] = STATE(5490),
    [sym_parenthesized_operator] = STATE(5412),
    [sym_module_path] = STATE(19554),
    [sym_constructor_path] = STATE(2431),
    [sym__constructor_name] = STATE(5291),
    [sym_tag] = STATE(2432),
    [sym__lowercase_identifier] = ACTIONS(5045),
    [anon_sym_rec] = ACTIONS(7605),
    [anon_sym_LPAREN] = ACTIONS(5047),
    [anon_sym_LBRACK] = ACTIONS(5049),
    [anon_sym_true] = ACTIONS(5051),
    [anon_sym_false] = ACTIONS(5051),
    [anon_sym_LBRACE] = ACTIONS(5053),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(5055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5057),
    [anon_sym_lazy] = ACTIONS(5059),
    [anon_sym_begin] = ACTIONS(5061),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7607),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7609),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(5067),
    [aux_sym_signed_number_token1] = ACTIONS(5069),
    [anon_sym_SQUOTE] = ACTIONS(5071),
    [anon_sym_DQUOTE] = ACTIONS(5073),
    [sym__uppercase_identifier] = ACTIONS(5075),
    [aux_sym_tag_token1] = ACTIONS(5077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2629] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(19579),
    [sym_module_definition] = STATE(19584),
    [sym_open_module] = STATE(19585),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2629),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2630] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(18841),
    [sym_module_definition] = STATE(18905),
    [sym_open_module] = STATE(18913),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2630),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2631] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(18870),
    [sym_module_definition] = STATE(18921),
    [sym_open_module] = STATE(18985),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2631),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2632] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(17969),
    [sym_module_definition] = STATE(17984),
    [sym_open_module] = STATE(18010),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2632),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2633] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(18458),
    [sym_module_definition] = STATE(18464),
    [sym_open_module] = STATE(18467),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2633),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2634] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(19831),
    [sym_module_definition] = STATE(19835),
    [sym_open_module] = STATE(19840),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2634),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2635] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(17732),
    [sym_module_definition] = STATE(17741),
    [sym_open_module] = STATE(17760),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2635),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2636] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(17443),
    [sym_module_definition] = STATE(17468),
    [sym_open_module] = STATE(17474),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2636),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2637] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(18531),
    [sym_module_definition] = STATE(18533),
    [sym_open_module] = STATE(18542),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2637),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2638] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(19634),
    [sym_module_definition] = STATE(19647),
    [sym_open_module] = STATE(19652),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2638),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2639] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(17549),
    [sym_module_definition] = STATE(17552),
    [sym_open_module] = STATE(17555),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2639),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2640] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(17841),
    [sym_module_definition] = STATE(17842),
    [sym_open_module] = STATE(17843),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2640),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2641] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(18138),
    [sym_module_definition] = STATE(18141),
    [sym_open_module] = STATE(18142),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2641),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2642] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(18067),
    [sym_module_definition] = STATE(18133),
    [sym_open_module] = STATE(18196),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2642),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2643] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(18451),
    [sym_module_definition] = STATE(18453),
    [sym_open_module] = STATE(18454),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2643),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2644] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(18756),
    [sym_module_definition] = STATE(18757),
    [sym_open_module] = STATE(18758),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2644),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2645] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(20284),
    [sym_module_definition] = STATE(20285),
    [sym_open_module] = STATE(20286),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2645),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2646] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(19362),
    [sym_module_definition] = STATE(19365),
    [sym_open_module] = STATE(19370),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2646),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2647] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(19676),
    [sym_module_definition] = STATE(19677),
    [sym_open_module] = STATE(19679),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2647),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2648] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(19972),
    [sym_module_definition] = STATE(19973),
    [sym_open_module] = STATE(19974),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2648),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2649] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(20292),
    [sym_module_definition] = STATE(20295),
    [sym_open_module] = STATE(20298),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2649),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2650] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(19356),
    [sym_module_definition] = STATE(19633),
    [sym_open_module] = STATE(19960),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2650),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2651] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(19053),
    [sym_module_definition] = STATE(19057),
    [sym_open_module] = STATE(19069),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2651),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2652] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(18311),
    [sym_module_definition] = STATE(18380),
    [sym_open_module] = STATE(18414),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2652),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2653] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(20222),
    [sym_module_definition] = STATE(20234),
    [sym_open_module] = STATE(20244),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2653),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2654] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(18012),
    [sym_module_definition] = STATE(18026),
    [sym_open_module] = STATE(18035),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2654),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2655] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(17459),
    [sym_module_definition] = STATE(17460),
    [sym_open_module] = STATE(17471),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2655),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2656] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(18174),
    [sym_module_definition] = STATE(18186),
    [sym_open_module] = STATE(18189),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2656),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2657] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(19970),
    [sym_module_definition] = STATE(19971),
    [sym_open_module] = STATE(19982),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2657),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2658] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(19142),
    [sym_module_definition] = STATE(19167),
    [sym_open_module] = STATE(19267),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2658),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2659] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(19220),
    [sym_module_definition] = STATE(19255),
    [sym_open_module] = STATE(19256),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2659),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2660] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(17914),
    [sym_module_definition] = STATE(17928),
    [sym_open_module] = STATE(17942),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2660),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2661] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(18785),
    [sym_module_definition] = STATE(18801),
    [sym_open_module] = STATE(18805),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2661),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2662] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(19481),
    [sym_module_definition] = STATE(19486),
    [sym_open_module] = STATE(19509),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2662),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2663] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(17503),
    [sym_module_definition] = STATE(17510),
    [sym_open_module] = STATE(17511),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2663),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2664] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(17779),
    [sym_module_definition] = STATE(17780),
    [sym_open_module] = STATE(17781),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2664),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2665] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(18011),
    [sym_module_definition] = STATE(18013),
    [sym_open_module] = STATE(18017),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2665),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2666] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(18292),
    [sym_module_definition] = STATE(18294),
    [sym_open_module] = STATE(18296),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2666),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2667] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(18568),
    [sym_module_definition] = STATE(18570),
    [sym_open_module] = STATE(18571),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2667),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2668] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(18712),
    [sym_module_definition] = STATE(18717),
    [sym_open_module] = STATE(18718),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2668),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2669] = {
    [sym_let_binding] = STATE(14644),
    [sym_exception_definition] = STATE(19176),
    [sym_module_definition] = STATE(19177),
    [sym_open_module] = STATE(19178),
    [sym__binding_pattern] = STATE(2623),
    [sym_alias_binding_pattern] = STATE(8809),
    [sym_typed_binding_pattern] = STATE(8809),
    [sym_or_binding_pattern] = STATE(8809),
    [sym_constructor_binding_pattern] = STATE(8809),
    [sym_tag_binding_pattern] = STATE(8809),
    [sym_polymorphic_variant_pattern] = STATE(8809),
    [sym_tuple_binding_pattern] = STATE(8809),
    [sym_record_binding_pattern] = STATE(8810),
    [sym_list_binding_pattern] = STATE(8781),
    [sym_cons_binding_pattern] = STATE(8809),
    [sym_array_binding_pattern] = STATE(8792),
    [sym_range_pattern] = STATE(8809),
    [sym_lazy_binding_pattern] = STATE(8809),
    [sym_local_open_binding_pattern] = STATE(8809),
    [sym_package_pattern] = STATE(8809),
    [sym_parenthesized_binding_pattern] = STATE(8809),
    [sym_attribute] = STATE(2669),
    [sym_extension] = STATE(8809),
    [sym_quoted_extension] = STATE(8809),
    [sym__attribute] = STATE(4446),
    [sym__constant] = STATE(8700),
    [sym__signed_constant] = STATE(8561),
    [sym_number] = STATE(8548),
    [sym_signed_number] = STATE(8700),
    [sym_character] = STATE(8548),
    [sym_string] = STATE(8548),
    [sym_quoted_string] = STATE(8548),
    [sym_boolean] = STATE(8548),
    [sym_unit] = STATE(8548),
    [sym__value_name] = STATE(8809),
    [sym_parenthesized_operator] = STATE(8803),
    [sym_module_path] = STATE(17874),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8550),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(7308),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_LBRACK] = ACTIONS(7312),
    [anon_sym_true] = ACTIONS(7314),
    [anon_sym_false] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(7316),
    [anon_sym_exception] = ACTIONS(7573),
    [anon_sym_module] = ACTIONS(7575),
    [anon_sym_open] = ACTIONS(7577),
    [anon_sym_POUND] = ACTIONS(7318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7320),
    [anon_sym_lazy] = ACTIONS(7322),
    [anon_sym_begin] = ACTIONS(7324),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7326),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7328),
    [anon_sym_PERCENT] = ACTIONS(7579),
    [aux_sym_number_token1] = ACTIONS(7330),
    [aux_sym_signed_number_token1] = ACTIONS(7332),
    [anon_sym_SQUOTE] = ACTIONS(7334),
    [anon_sym_DQUOTE] = ACTIONS(7336),
    [sym__uppercase_identifier] = ACTIONS(7338),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2670] = {
    [sym__match_cases] = STATE(8067),
    [sym_match_case] = STATE(8236),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13425),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2670),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2671] = {
    [sym__match_cases] = STATE(8096),
    [sym_match_case] = STATE(12219),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13610),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2671),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7485),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2672] = {
    [sym__match_cases] = STATE(8147),
    [sym_match_case] = STATE(12219),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13610),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2672),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7485),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2673] = {
    [sym__match_cases] = STATE(8149),
    [sym_match_case] = STATE(12219),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13610),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2673),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7485),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2674] = {
    [sym__match_cases] = STATE(8060),
    [sym_match_case] = STATE(12219),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13610),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2674),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7485),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2675] = {
    [sym__match_cases] = STATE(8056),
    [sym_match_case] = STATE(12219),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13610),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2675),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7485),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2676] = {
    [sym__match_cases] = STATE(7976),
    [sym_match_case] = STATE(11835),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13376),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2676),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7507),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2677] = {
    [sym__match_cases] = STATE(7730),
    [sym_match_case] = STATE(11835),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13376),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2677),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7507),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2678] = {
    [sym__match_cases] = STATE(7744),
    [sym_match_case] = STATE(11835),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13376),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2678),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7507),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2679] = {
    [sym__match_cases] = STATE(7838),
    [sym_match_case] = STATE(11835),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13376),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2679),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7507),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2680] = {
    [sym__match_cases] = STATE(7848),
    [sym_match_case] = STATE(11835),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13376),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2680),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7507),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2681] = {
    [sym__match_cases] = STATE(8096),
    [sym_match_case] = STATE(12475),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13602),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2681),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7489),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2682] = {
    [sym__match_cases] = STATE(8147),
    [sym_match_case] = STATE(12475),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13602),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2682),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7489),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2683] = {
    [sym__match_cases] = STATE(8149),
    [sym_match_case] = STATE(12475),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13602),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2683),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7489),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2684] = {
    [sym__match_cases] = STATE(8060),
    [sym_match_case] = STATE(12475),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13602),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2684),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7489),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2685] = {
    [sym__match_cases] = STATE(7976),
    [sym_match_case] = STATE(11843),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13632),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2685),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7433),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2686] = {
    [sym__match_cases] = STATE(7730),
    [sym_match_case] = STATE(11843),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13632),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2686),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7433),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2687] = {
    [sym__match_cases] = STATE(7744),
    [sym_match_case] = STATE(11843),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13632),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2687),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7433),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2688] = {
    [sym__match_cases] = STATE(7838),
    [sym_match_case] = STATE(11843),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13632),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2688),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7433),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2689] = {
    [sym__match_cases] = STATE(7848),
    [sym_match_case] = STATE(11843),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13632),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2689),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7433),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2690] = {
    [sym__match_cases] = STATE(7976),
    [sym_match_case] = STATE(12475),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13602),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2690),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7489),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2691] = {
    [sym__match_cases] = STATE(8096),
    [sym_match_case] = STATE(12457),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13412),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2691),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7439),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2692] = {
    [sym__match_cases] = STATE(8147),
    [sym_match_case] = STATE(12457),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13412),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2692),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7439),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2693] = {
    [sym__match_cases] = STATE(8149),
    [sym_match_case] = STATE(12457),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13412),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2693),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7439),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2694] = {
    [sym__match_cases] = STATE(8060),
    [sym_match_case] = STATE(12457),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13412),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2694),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7439),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2695] = {
    [sym__match_cases] = STATE(8056),
    [sym_match_case] = STATE(12457),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13412),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2695),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7439),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2696] = {
    [sym__match_cases] = STATE(7730),
    [sym_match_case] = STATE(12475),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13602),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2696),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7489),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2697] = {
    [sym__match_cases] = STATE(7976),
    [sym_match_case] = STATE(11856),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13501),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2697),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2698] = {
    [sym__match_cases] = STATE(7730),
    [sym_match_case] = STATE(11856),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13501),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2698),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2699] = {
    [sym__match_cases] = STATE(7744),
    [sym_match_case] = STATE(11856),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13501),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2699),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2700] = {
    [sym__match_cases] = STATE(7838),
    [sym_match_case] = STATE(11856),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13501),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2700),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2701] = {
    [sym__match_cases] = STATE(7848),
    [sym_match_case] = STATE(11856),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13501),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2701),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2702] = {
    [sym__match_cases] = STATE(7744),
    [sym_match_case] = STATE(12475),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13602),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2702),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7489),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2703] = {
    [sym__match_cases] = STATE(8096),
    [sym_match_case] = STATE(12147),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13431),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2703),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2704] = {
    [sym__match_cases] = STATE(8147),
    [sym_match_case] = STATE(12147),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13431),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2704),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2705] = {
    [sym__match_cases] = STATE(8149),
    [sym_match_case] = STATE(12147),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13431),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2705),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2706] = {
    [sym__match_cases] = STATE(8060),
    [sym_match_case] = STATE(12147),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13431),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2706),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2707] = {
    [sym__match_cases] = STATE(8056),
    [sym_match_case] = STATE(12147),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13431),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2707),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2708] = {
    [sym__match_cases] = STATE(8151),
    [sym_match_case] = STATE(8280),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13573),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2708),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7533),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2709] = {
    [sym__match_cases] = STATE(8079),
    [sym_match_case] = STATE(8280),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13573),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2709),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7533),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2710] = {
    [sym__match_cases] = STATE(8067),
    [sym_match_case] = STATE(8280),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13573),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2710),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7533),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2711] = {
    [sym__match_cases] = STATE(8051),
    [sym_match_case] = STATE(8280),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13573),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2711),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7533),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2712] = {
    [sym__match_cases] = STATE(8055),
    [sym_match_case] = STATE(8280),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13573),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2712),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7533),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2713] = {
    [sym__match_cases] = STATE(8151),
    [sym_match_case] = STATE(8289),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13600),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2713),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2714] = {
    [sym__match_cases] = STATE(8079),
    [sym_match_case] = STATE(8289),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13600),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2714),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2715] = {
    [sym__match_cases] = STATE(8067),
    [sym_match_case] = STATE(8289),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13600),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2715),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2716] = {
    [sym__match_cases] = STATE(7838),
    [sym_match_case] = STATE(12475),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13602),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2716),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7489),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2717] = {
    [sym__match_cases] = STATE(8051),
    [sym_match_case] = STATE(8289),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13600),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2717),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2718] = {
    [sym__match_cases] = STATE(8055),
    [sym_match_case] = STATE(8289),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13600),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2718),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2719] = {
    [sym__match_cases] = STATE(7848),
    [sym_match_case] = STATE(12475),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13602),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2719),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7489),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2720] = {
    [sym__match_cases] = STATE(7976),
    [sym_match_case] = STATE(9312),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13374),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2720),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2721] = {
    [sym__match_cases] = STATE(7730),
    [sym_match_case] = STATE(9312),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13374),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2721),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2722] = {
    [sym__match_cases] = STATE(7744),
    [sym_match_case] = STATE(9312),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13374),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2722),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2723] = {
    [sym__match_cases] = STATE(8051),
    [sym_match_case] = STATE(8715),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13371),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2723),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7513),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2724] = {
    [sym__match_cases] = STATE(7838),
    [sym_match_case] = STATE(9312),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13374),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2724),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2725] = {
    [sym__match_cases] = STATE(7848),
    [sym_match_case] = STATE(9312),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13374),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2725),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2726] = {
    [sym__match_cases] = STATE(8051),
    [sym_match_case] = STATE(8601),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13555),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2726),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7547),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2727] = {
    [sym__match_cases] = STATE(10231),
    [sym_match_case] = STATE(11961),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13400),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2727),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2728] = {
    [sym__match_cases] = STATE(8096),
    [sym_match_case] = STATE(9627),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13406),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2728),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7437),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2729] = {
    [sym__match_cases] = STATE(8147),
    [sym_match_case] = STATE(9627),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13406),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2729),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7437),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2730] = {
    [sym__match_cases] = STATE(8149),
    [sym_match_case] = STATE(9627),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13406),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2730),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7437),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2731] = {
    [sym__match_cases] = STATE(8055),
    [sym_match_case] = STATE(8601),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13555),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2731),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7547),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2732] = {
    [sym__match_cases] = STATE(8060),
    [sym_match_case] = STATE(9627),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13406),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2732),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7437),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2733] = {
    [sym__match_cases] = STATE(8056),
    [sym_match_case] = STATE(9627),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13406),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2733),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7437),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2734] = {
    [sym__match_cases] = STATE(8151),
    [sym_match_case] = STATE(7997),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13533),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2734),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7537),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2735] = {
    [sym__match_cases] = STATE(8079),
    [sym_match_case] = STATE(7997),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13533),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2735),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7537),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2736] = {
    [sym__match_cases] = STATE(8067),
    [sym_match_case] = STATE(7997),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13533),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2736),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7537),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2737] = {
    [sym__match_cases] = STATE(8051),
    [sym_match_case] = STATE(7997),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13533),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2737),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7537),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2738] = {
    [sym__match_cases] = STATE(8055),
    [sym_match_case] = STATE(7997),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13533),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2738),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7537),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2739] = {
    [sym__match_cases] = STATE(10231),
    [sym_match_case] = STATE(11799),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13505),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2739),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7515),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2740] = {
    [sym__match_cases] = STATE(10241),
    [sym_match_case] = STATE(11799),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13505),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2740),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7515),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2741] = {
    [sym__match_cases] = STATE(10402),
    [sym_match_case] = STATE(11799),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13505),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2741),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7515),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2742] = {
    [sym__signature] = STATE(19924),
    [sym_external] = STATE(12568),
    [sym_type_definition] = STATE(12568),
    [sym_exception_definition] = STATE(12568),
    [sym_module_definition] = STATE(12568),
    [sym_module_type_definition] = STATE(12568),
    [sym_open_module] = STATE(12568),
    [sym_class_definition] = STATE(12568),
    [sym_class_type_definition] = STATE(12568),
    [sym__signature_item] = STATE(12515),
    [sym_value_specification] = STATE(12568),
    [sym_include_module_type] = STATE(12568),
    [sym__simple_type] = STATE(11644),
    [sym__tuple_type] = STATE(13016),
    [sym__type] = STATE(15794),
    [sym_function_type] = STATE(8116),
    [sym_typed_label] = STATE(18126),
    [sym_tuple_type] = STATE(7898),
    [sym_constructed_type] = STATE(12175),
    [sym_aliased_type] = STATE(8116),
    [sym_local_open_type] = STATE(12175),
    [sym_polymorphic_variant_type] = STATE(12175),
    [sym_package_type] = STATE(12175),
    [sym_object_type] = STATE(12175),
    [sym_hash_type] = STATE(12175),
    [sym_parenthesized_type] = STATE(12175),
    [sym_attribute] = STATE(2742),
    [sym_floating_attribute] = STATE(12568),
    [sym_extension] = STATE(12175),
    [sym_quoted_extension] = STATE(12175),
    [sym_item_extension] = STATE(12568),
    [sym_quoted_item_extension] = STATE(12568),
    [sym_extended_module_path] = STATE(16523),
    [sym_type_constructor_path] = STATE(12175),
    [sym_type_variable] = STATE(12175),
    [aux_sym__structure_repeat1] = STATE(8838),
    [aux_sym__signature_repeat1] = STATE(8821),
    [sym__lowercase_identifier] = ACTIONS(7611),
    [anon_sym_SEMI_SEMI] = ACTIONS(9),
    [anon_sym_QMARK] = ACTIONS(7613),
    [anon_sym_LPAREN] = ACTIONS(7615),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(7617),
    [anon_sym_LBRACK] = ACTIONS(7619),
    [anon_sym_RBRACK] = ACTIONS(7621),
    [anon_sym_exception] = ACTIONS(7623),
    [anon_sym_module] = ACTIONS(7625),
    [anon_sym_open] = ACTIONS(7627),
    [anon_sym_include] = ACTIONS(7629),
    [anon_sym_class] = ACTIONS(7631),
    [anon_sym_val] = ACTIONS(7633),
    [anon_sym_LBRACK_GT] = ACTIONS(7635),
    [anon_sym_LBRACK_LT] = ACTIONS(7637),
    [anon_sym_LT] = ACTIONS(7639),
    [anon_sym_POUND] = ACTIONS(7641),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7645),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [sym__uppercase_identifier] = ACTIONS(7647),
    [aux_sym_type_variable_token1] = ACTIONS(7649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2743] = {
    [sym__match_cases] = STATE(10341),
    [sym_match_case] = STATE(11799),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13505),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2743),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7515),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2744] = {
    [sym__match_cases] = STATE(10356),
    [sym_match_case] = STATE(11799),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13505),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2744),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7515),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2745] = {
    [sym__match_cases] = STATE(10231),
    [sym_match_case] = STATE(11668),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13392),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2745),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7523),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2746] = {
    [sym__match_cases] = STATE(10241),
    [sym_match_case] = STATE(11668),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13392),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2746),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7523),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2747] = {
    [sym__match_cases] = STATE(10402),
    [sym_match_case] = STATE(11668),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13392),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2747),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7523),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2748] = {
    [sym__match_cases] = STATE(10341),
    [sym_match_case] = STATE(11668),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13392),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2748),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7523),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2749] = {
    [sym__match_cases] = STATE(10356),
    [sym_match_case] = STATE(11668),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13392),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2749),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7523),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2750] = {
    [sym__match_cases] = STATE(8151),
    [sym_match_case] = STATE(8009),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13617),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2750),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2751] = {
    [sym__match_cases] = STATE(8079),
    [sym_match_case] = STATE(8009),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13617),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2751),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2752] = {
    [sym__match_cases] = STATE(8067),
    [sym_match_case] = STATE(8009),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13617),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2752),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2753] = {
    [sym__match_cases] = STATE(8051),
    [sym_match_case] = STATE(8009),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13617),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2753),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2754] = {
    [sym__match_cases] = STATE(8055),
    [sym_match_case] = STATE(8009),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13617),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2754),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2755] = {
    [sym__match_cases] = STATE(10231),
    [sym_match_case] = STATE(10958),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13546),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2755),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7529),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2756] = {
    [sym__match_cases] = STATE(10241),
    [sym_match_case] = STATE(10958),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13546),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2756),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7529),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2757] = {
    [sym__match_cases] = STATE(10402),
    [sym_match_case] = STATE(10958),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13546),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2757),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7529),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2758] = {
    [sym__match_cases] = STATE(10341),
    [sym_match_case] = STATE(10958),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13546),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2758),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7529),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2759] = {
    [sym__match_cases] = STATE(10356),
    [sym_match_case] = STATE(10958),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13546),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2759),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7529),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2760] = {
    [sym__match_cases] = STATE(8151),
    [sym_match_case] = STATE(8601),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13555),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2760),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7547),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2761] = {
    [sym__match_cases] = STATE(8096),
    [sym_match_case] = STATE(10209),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13462),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2761),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2762] = {
    [sym__match_cases] = STATE(8147),
    [sym_match_case] = STATE(10209),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13462),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2762),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2763] = {
    [sym__match_cases] = STATE(8149),
    [sym_match_case] = STATE(10209),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13462),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2763),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2764] = {
    [sym__match_cases] = STATE(8060),
    [sym_match_case] = STATE(10209),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13462),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2764),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2765] = {
    [sym__match_cases] = STATE(8056),
    [sym_match_case] = STATE(10209),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13462),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2765),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2766] = {
    [sym__match_cases] = STATE(8055),
    [sym_match_case] = STATE(8715),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13371),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2766),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7513),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2767] = {
    [sym__match_cases] = STATE(8096),
    [sym_match_case] = STATE(11828),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13564),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2767),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7501),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2768] = {
    [sym__match_cases] = STATE(8147),
    [sym_match_case] = STATE(11828),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13564),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2768),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7501),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2769] = {
    [sym__match_cases] = STATE(8149),
    [sym_match_case] = STATE(11828),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13564),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2769),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7501),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2770] = {
    [sym__match_cases] = STATE(8060),
    [sym_match_case] = STATE(11828),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13564),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2770),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7501),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2771] = {
    [sym__match_cases] = STATE(8056),
    [sym_match_case] = STATE(11828),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13564),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2771),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7501),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2772] = {
    [sym__match_cases] = STATE(8096),
    [sym_match_case] = STATE(11835),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13376),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2772),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7507),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2773] = {
    [sym__match_cases] = STATE(8147),
    [sym_match_case] = STATE(11835),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13376),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2773),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7507),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2774] = {
    [sym__match_cases] = STATE(8149),
    [sym_match_case] = STATE(11835),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13376),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2774),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7507),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2775] = {
    [sym__match_cases] = STATE(8060),
    [sym_match_case] = STATE(11835),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13376),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2775),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7507),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2776] = {
    [sym__match_cases] = STATE(8056),
    [sym_match_case] = STATE(11835),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13376),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2776),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7507),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2777] = {
    [sym__match_cases] = STATE(8096),
    [sym_match_case] = STATE(11843),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13632),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2777),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7433),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2778] = {
    [sym__match_cases] = STATE(8147),
    [sym_match_case] = STATE(11843),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13632),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2778),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7433),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2779] = {
    [sym__match_cases] = STATE(8149),
    [sym_match_case] = STATE(11843),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13632),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2779),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7433),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2780] = {
    [sym__match_cases] = STATE(8060),
    [sym_match_case] = STATE(11843),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13632),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2780),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7433),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2781] = {
    [sym__match_cases] = STATE(8056),
    [sym_match_case] = STATE(11843),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13632),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2781),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7433),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2782] = {
    [sym__match_cases] = STATE(8096),
    [sym_match_case] = STATE(11856),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13501),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2782),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2783] = {
    [sym__match_cases] = STATE(8147),
    [sym_match_case] = STATE(11856),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13501),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2783),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2784] = {
    [sym__match_cases] = STATE(8149),
    [sym_match_case] = STATE(11856),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13501),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2784),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2785] = {
    [sym__match_cases] = STATE(8060),
    [sym_match_case] = STATE(11856),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13501),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2785),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2786] = {
    [sym__match_cases] = STATE(8056),
    [sym_match_case] = STATE(11856),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13501),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2786),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2787] = {
    [sym__match_cases] = STATE(8151),
    [sym_match_case] = STATE(8236),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13425),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2787),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2788] = {
    [sym__match_cases] = STATE(8079),
    [sym_match_case] = STATE(8236),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13425),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2788),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2789] = {
    [sym__match_cases] = STATE(7744),
    [sym_match_case] = STATE(12219),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13610),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2789),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7485),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2790] = {
    [sym__match_cases] = STATE(8051),
    [sym_match_case] = STATE(8236),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13425),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2790),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2791] = {
    [sym__match_cases] = STATE(8055),
    [sym_match_case] = STATE(8236),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13425),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2791),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2792] = {
    [sym__match_cases] = STATE(8151),
    [sym_match_case] = STATE(8203),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13538),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2792),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2793] = {
    [sym__match_cases] = STATE(8079),
    [sym_match_case] = STATE(8203),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13538),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2793),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2794] = {
    [sym__match_cases] = STATE(8067),
    [sym_match_case] = STATE(8203),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13538),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2794),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2795] = {
    [sym__match_cases] = STATE(8051),
    [sym_match_case] = STATE(8203),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13538),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2795),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2796] = {
    [sym__match_cases] = STATE(8055),
    [sym_match_case] = STATE(8203),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13538),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2796),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2797] = {
    [sym__match_cases] = STATE(10241),
    [sym_match_case] = STATE(11961),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13400),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2797),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2798] = {
    [sym__match_cases] = STATE(8096),
    [sym_match_case] = STATE(9312),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13374),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2798),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2799] = {
    [sym__match_cases] = STATE(8147),
    [sym_match_case] = STATE(9312),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13374),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2799),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2800] = {
    [sym__match_cases] = STATE(8149),
    [sym_match_case] = STATE(9312),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13374),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2800),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2801] = {
    [sym__match_cases] = STATE(8060),
    [sym_match_case] = STATE(9312),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13374),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2801),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2802] = {
    [sym__match_cases] = STATE(8056),
    [sym_match_case] = STATE(9312),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13374),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2802),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2803] = {
    [sym__match_cases] = STATE(8079),
    [sym_match_case] = STATE(8601),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13555),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2803),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7547),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2804] = {
    [sym__match_cases] = STATE(8067),
    [sym_match_case] = STATE(8601),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13555),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2804),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7547),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2805] = {
    [sym__match_cases] = STATE(8151),
    [sym_match_case] = STATE(8715),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13371),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2805),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7513),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2806] = {
    [sym__simple_expression] = STATE(8904),
    [sym_typed_expression] = STATE(9125),
    [sym_list_expression] = STATE(9125),
    [sym_array_expression] = STATE(9125),
    [sym_record_expression] = STATE(9125),
    [sym_labeled_argument] = STATE(9942),
    [sym_prefix_expression] = STATE(9125),
    [sym_hash_expression] = STATE(9125),
    [sym_field_get_expression] = STATE(9125),
    [sym_array_get_expression] = STATE(9125),
    [sym_string_get_expression] = STATE(9125),
    [sym_bigarray_get_expression] = STATE(9125),
    [sym_coercion_expression] = STATE(9125),
    [sym_local_open_expression] = STATE(9125),
    [sym_package_expression] = STATE(9125),
    [sym_new_expression] = STATE(9125),
    [sym_object_copy_expression] = STATE(9125),
    [sym_method_invocation] = STATE(9125),
    [sym_object_expression] = STATE(9125),
    [sym_parenthesized_expression] = STATE(9125),
    [sym_attribute] = STATE(2806),
    [sym_extension] = STATE(9125),
    [sym_quoted_extension] = STATE(9125),
    [sym__constant] = STATE(9125),
    [sym_number] = STATE(9112),
    [sym_character] = STATE(9112),
    [sym_string] = STATE(9112),
    [sym_quoted_string] = STATE(9112),
    [sym_boolean] = STATE(9112),
    [sym_unit] = STATE(9112),
    [sym__value_name] = STATE(8914),
    [sym_parenthesized_operator] = STATE(8998),
    [sym_value_path] = STATE(9125),
    [sym_module_path] = STATE(17749),
    [sym_constructor_path] = STATE(9125),
    [sym__constructor_name] = STATE(8121),
    [sym_tag] = STATE(9125),
    [aux_sym_class_application_repeat1] = STATE(2806),
    [sym__lowercase_identifier] = ACTIONS(7651),
    [anon_sym_TILDE] = ACTIONS(7654),
    [anon_sym_QMARK] = ACTIONS(7654),
    [anon_sym_LPAREN] = ACTIONS(7657),
    [anon_sym_RPAREN] = ACTIONS(3536),
    [anon_sym_LBRACK] = ACTIONS(7660),
    [anon_sym_true] = ACTIONS(7663),
    [anon_sym_false] = ACTIONS(7663),
    [anon_sym_COLON2] = ACTIONS(3536),
    [anon_sym_LBRACE] = ACTIONS(7666),
    [anon_sym_object] = ACTIONS(7669),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7672),
    [anon_sym_new] = ACTIONS(7675),
    [anon_sym_LBRACE_LT] = ACTIONS(7678),
    [anon_sym_begin] = ACTIONS(7681),
    [sym_ocamlyacc_value] = ACTIONS(7684),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7690),
    [aux_sym_number_token1] = ACTIONS(7693),
    [anon_sym_SQUOTE] = ACTIONS(7696),
    [anon_sym_DQUOTE] = ACTIONS(7699),
    [sym_prefix_operator] = ACTIONS(7702),
    [sym__uppercase_identifier] = ACTIONS(7705),
    [aux_sym_tag_token1] = ACTIONS(7708),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2807] = {
    [sym__match_cases] = STATE(7976),
    [sym_match_case] = STATE(12457),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13412),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2807),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7439),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2808] = {
    [sym__match_cases] = STATE(7730),
    [sym_match_case] = STATE(12457),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13412),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2808),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7439),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2809] = {
    [sym__match_cases] = STATE(7744),
    [sym_match_case] = STATE(12457),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13412),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2809),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7439),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2810] = {
    [sym__match_cases] = STATE(7838),
    [sym_match_case] = STATE(12457),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13412),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2810),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7439),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2811] = {
    [sym__simple_expression] = STATE(8904),
    [sym_typed_expression] = STATE(9125),
    [sym_list_expression] = STATE(9125),
    [sym_array_expression] = STATE(9125),
    [sym_record_expression] = STATE(9125),
    [sym_labeled_argument] = STATE(9942),
    [sym_prefix_expression] = STATE(9125),
    [sym_hash_expression] = STATE(9125),
    [sym_field_get_expression] = STATE(9125),
    [sym_array_get_expression] = STATE(9125),
    [sym_string_get_expression] = STATE(9125),
    [sym_bigarray_get_expression] = STATE(9125),
    [sym_coercion_expression] = STATE(9125),
    [sym_local_open_expression] = STATE(9125),
    [sym_package_expression] = STATE(9125),
    [sym_new_expression] = STATE(9125),
    [sym_object_copy_expression] = STATE(9125),
    [sym_method_invocation] = STATE(9125),
    [sym_object_expression] = STATE(9125),
    [sym_parenthesized_expression] = STATE(9125),
    [sym_attribute] = STATE(2811),
    [sym_extension] = STATE(9125),
    [sym_quoted_extension] = STATE(9125),
    [sym__constant] = STATE(9125),
    [sym_number] = STATE(9112),
    [sym_character] = STATE(9112),
    [sym_string] = STATE(9112),
    [sym_quoted_string] = STATE(9112),
    [sym_boolean] = STATE(9112),
    [sym_unit] = STATE(9112),
    [sym__value_name] = STATE(8914),
    [sym_parenthesized_operator] = STATE(8998),
    [sym_value_path] = STATE(9125),
    [sym_module_path] = STATE(17749),
    [sym_constructor_path] = STATE(9125),
    [sym__constructor_name] = STATE(8121),
    [sym_tag] = STATE(9125),
    [aux_sym_class_application_repeat1] = STATE(2891),
    [sym__lowercase_identifier] = ACTIONS(7711),
    [anon_sym_TILDE] = ACTIONS(7713),
    [anon_sym_QMARK] = ACTIONS(7713),
    [anon_sym_LPAREN] = ACTIONS(7715),
    [anon_sym_RPAREN] = ACTIONS(5561),
    [anon_sym_LBRACK] = ACTIONS(7717),
    [anon_sym_true] = ACTIONS(7719),
    [anon_sym_false] = ACTIONS(7719),
    [anon_sym_COLON2] = ACTIONS(5561),
    [anon_sym_LBRACE] = ACTIONS(7721),
    [anon_sym_object] = ACTIONS(7723),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7725),
    [anon_sym_new] = ACTIONS(7727),
    [anon_sym_LBRACE_LT] = ACTIONS(7729),
    [anon_sym_begin] = ACTIONS(7731),
    [sym_ocamlyacc_value] = ACTIONS(7733),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7735),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7737),
    [aux_sym_number_token1] = ACTIONS(7739),
    [anon_sym_SQUOTE] = ACTIONS(7741),
    [anon_sym_DQUOTE] = ACTIONS(7743),
    [sym_prefix_operator] = ACTIONS(7745),
    [sym__uppercase_identifier] = ACTIONS(7747),
    [aux_sym_tag_token1] = ACTIONS(7749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2812] = {
    [sym__match_cases] = STATE(7848),
    [sym_match_case] = STATE(12457),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13412),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2812),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7439),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2813] = {
    [sym__match_cases] = STATE(7976),
    [sym_match_case] = STATE(12137),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13375),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2813),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7541),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2814] = {
    [sym__match_cases] = STATE(7730),
    [sym_match_case] = STATE(12137),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13375),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2814),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7541),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2815] = {
    [sym__match_cases] = STATE(7976),
    [sym_match_case] = STATE(12147),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13431),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2815),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2816] = {
    [sym__match_cases] = STATE(7730),
    [sym_match_case] = STATE(12147),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13431),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2816),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2817] = {
    [sym__match_cases] = STATE(7744),
    [sym_match_case] = STATE(12147),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13431),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2817),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2818] = {
    [sym__match_cases] = STATE(10402),
    [sym_match_case] = STATE(11961),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13400),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2818),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2819] = {
    [sym__match_cases] = STATE(7744),
    [sym_match_case] = STATE(12137),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13375),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2819),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7541),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2820] = {
    [sym__match_cases] = STATE(7838),
    [sym_match_case] = STATE(12147),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13431),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2820),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2821] = {
    [sym__match_cases] = STATE(7848),
    [sym_match_case] = STATE(12147),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13431),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2821),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2822] = {
    [sym__match_cases] = STATE(7838),
    [sym_match_case] = STATE(12137),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13375),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2822),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7541),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2823] = {
    [sym__match_cases] = STATE(10341),
    [sym_match_case] = STATE(11961),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13400),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2823),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2824] = {
    [sym__match_cases] = STATE(7848),
    [sym_match_case] = STATE(12137),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13375),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2824),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7541),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2825] = {
    [sym__match_cases] = STATE(10356),
    [sym_match_case] = STATE(11961),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13400),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2825),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2826] = {
    [sym__match_cases] = STATE(8079),
    [sym_match_case] = STATE(8715),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13371),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2826),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7513),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2827] = {
    [sym__match_cases] = STATE(8067),
    [sym_match_case] = STATE(8715),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13371),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2827),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7513),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2828] = {
    [sym__match_cases] = STATE(7848),
    [sym_match_case] = STATE(12219),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13610),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2828),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7485),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2829] = {
    [sym__match_cases] = STATE(8151),
    [sym_match_case] = STATE(8228),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13507),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2829),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7569),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2830] = {
    [sym__match_cases] = STATE(7976),
    [sym_match_case] = STATE(9627),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13406),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2830),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7437),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2831] = {
    [sym__match_cases] = STATE(7730),
    [sym_match_case] = STATE(9627),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13406),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2831),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7437),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2832] = {
    [sym__match_cases] = STATE(7744),
    [sym_match_case] = STATE(9627),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13406),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2832),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7437),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2833] = {
    [sym__match_cases] = STATE(8079),
    [sym_match_case] = STATE(8228),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13507),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2833),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7569),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2834] = {
    [sym__match_cases] = STATE(7838),
    [sym_match_case] = STATE(9627),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13406),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2834),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7437),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2835] = {
    [sym__match_cases] = STATE(7848),
    [sym_match_case] = STATE(9627),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13406),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2835),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7437),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2836] = {
    [sym__match_cases] = STATE(8067),
    [sym_match_case] = STATE(8228),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13507),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2836),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7569),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2837] = {
    [sym__match_cases] = STATE(7744),
    [sym_match_case] = STATE(10344),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13596),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2837),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7487),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2838] = {
    [sym__match_cases] = STATE(7976),
    [sym_match_case] = STATE(10344),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13596),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2838),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7487),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2839] = {
    [sym__match_cases] = STATE(8151),
    [sym_match_case] = STATE(8189),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13520),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2839),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7503),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2840] = {
    [sym__match_cases] = STATE(8079),
    [sym_match_case] = STATE(8189),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13520),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2840),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7503),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2841] = {
    [sym__match_cases] = STATE(8067),
    [sym_match_case] = STATE(8189),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13520),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2841),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7503),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2842] = {
    [sym__match_cases] = STATE(8051),
    [sym_match_case] = STATE(8189),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13520),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2842),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7503),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2843] = {
    [sym__match_cases] = STATE(8055),
    [sym_match_case] = STATE(8189),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13520),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2843),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7503),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2844] = {
    [sym__match_cases] = STATE(8051),
    [sym_match_case] = STATE(8228),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13507),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2844),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7569),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2845] = {
    [sym__match_cases] = STATE(7730),
    [sym_match_case] = STATE(10344),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13596),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2845),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7487),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2846] = {
    [sym__match_cases] = STATE(7976),
    [sym_match_case] = STATE(12219),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13610),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2846),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7485),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2847] = {
    [sym__match_cases] = STATE(8055),
    [sym_match_case] = STATE(8228),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13507),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2847),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7569),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2848] = {
    [sym__match_cases] = STATE(8151),
    [sym_match_case] = STATE(8346),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13363),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2848),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7509),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2849] = {
    [sym__match_cases] = STATE(8079),
    [sym_match_case] = STATE(8346),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13363),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2849),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7509),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2850] = {
    [sym__match_cases] = STATE(8151),
    [sym_match_case] = STATE(8421),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13378),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2850),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7527),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2851] = {
    [sym__match_cases] = STATE(8067),
    [sym_match_case] = STATE(8346),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13363),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2851),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7509),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2852] = {
    [sym__match_cases] = STATE(8051),
    [sym_match_case] = STATE(8346),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13363),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2852),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7509),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2853] = {
    [sym__match_cases] = STATE(8079),
    [sym_match_case] = STATE(8421),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13378),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2853),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7527),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2854] = {
    [sym__match_cases] = STATE(8055),
    [sym_match_case] = STATE(8346),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13363),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2854),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7509),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2855] = {
    [sym__match_cases] = STATE(10231),
    [sym_match_case] = STATE(12401),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13479),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2855),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7567),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2856] = {
    [sym__match_cases] = STATE(8067),
    [sym_match_case] = STATE(8421),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13378),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2856),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7527),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2857] = {
    [sym__match_cases] = STATE(10241),
    [sym_match_case] = STATE(12401),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13479),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2857),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7567),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2858] = {
    [sym__match_cases] = STATE(8051),
    [sym_match_case] = STATE(8421),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13378),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2858),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7527),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2859] = {
    [sym__match_cases] = STATE(8055),
    [sym_match_case] = STATE(8421),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13378),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2859),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7527),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2860] = {
    [sym__match_cases] = STATE(7838),
    [sym_match_case] = STATE(12219),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13610),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2860),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7485),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2861] = {
    [sym__match_cases] = STATE(10231),
    [sym_match_case] = STATE(11186),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13589),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2861),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7505),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2862] = {
    [sym__match_cases] = STATE(10241),
    [sym_match_case] = STATE(11186),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13589),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2862),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7505),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2863] = {
    [sym__match_cases] = STATE(10402),
    [sym_match_case] = STATE(11186),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13589),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2863),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7505),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2864] = {
    [sym__match_cases] = STATE(10341),
    [sym_match_case] = STATE(11186),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13589),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2864),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7505),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2865] = {
    [sym__match_cases] = STATE(10356),
    [sym_match_case] = STATE(11186),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13589),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2865),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7505),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2866] = {
    [sym__match_cases] = STATE(7976),
    [sym_match_case] = STATE(10209),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13462),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2866),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2867] = {
    [sym__match_cases] = STATE(7730),
    [sym_match_case] = STATE(10209),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13462),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2867),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2868] = {
    [sym__match_cases] = STATE(7744),
    [sym_match_case] = STATE(10209),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13462),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2868),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2869] = {
    [sym__match_cases] = STATE(7838),
    [sym_match_case] = STATE(10209),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13462),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2869),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2870] = {
    [sym__match_cases] = STATE(7848),
    [sym_match_case] = STATE(10209),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13462),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2870),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2871] = {
    [sym__match_cases] = STATE(8096),
    [sym_match_case] = STATE(10344),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13596),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2871),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7487),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2872] = {
    [sym__match_cases] = STATE(8147),
    [sym_match_case] = STATE(10344),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13596),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2872),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7487),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2873] = {
    [sym__match_cases] = STATE(8149),
    [sym_match_case] = STATE(10344),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13596),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2873),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7487),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2874] = {
    [sym__match_cases] = STATE(8060),
    [sym_match_case] = STATE(10344),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13596),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2874),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7487),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2875] = {
    [sym__match_cases] = STATE(8056),
    [sym_match_case] = STATE(10344),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13596),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2875),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7487),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2876] = {
    [sym__match_cases] = STATE(7976),
    [sym_match_case] = STATE(11938),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13527),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2876),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2877] = {
    [sym__match_cases] = STATE(7730),
    [sym_match_case] = STATE(11938),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13527),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2877),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2878] = {
    [sym__match_cases] = STATE(7744),
    [sym_match_case] = STATE(11938),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13527),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2878),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2879] = {
    [sym__match_cases] = STATE(10402),
    [sym_match_case] = STATE(12401),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13479),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2879),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7567),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2880] = {
    [sym__match_cases] = STATE(7838),
    [sym_match_case] = STATE(11938),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13527),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2880),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2881] = {
    [sym__match_cases] = STATE(7848),
    [sym_match_case] = STATE(11938),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13527),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2881),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2882] = {
    [sym__match_cases] = STATE(7838),
    [sym_match_case] = STATE(10344),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13596),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2882),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7487),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2883] = {
    [sym__match_cases] = STATE(7848),
    [sym_match_case] = STATE(10344),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13596),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2883),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7487),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2884] = {
    [sym__match_cases] = STATE(10341),
    [sym_match_case] = STATE(12401),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13479),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2884),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7567),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2885] = {
    [sym__match_cases] = STATE(7976),
    [sym_match_case] = STATE(11828),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13564),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2885),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7501),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2886] = {
    [sym__match_cases] = STATE(7730),
    [sym_match_case] = STATE(11828),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13564),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2886),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7501),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2887] = {
    [sym__match_cases] = STATE(7744),
    [sym_match_case] = STATE(11828),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13564),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2887),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7501),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2888] = {
    [sym__match_cases] = STATE(7838),
    [sym_match_case] = STATE(11828),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13564),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2888),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7501),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2889] = {
    [sym__match_cases] = STATE(7848),
    [sym_match_case] = STATE(11828),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13564),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2889),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7501),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2890] = {
    [sym__match_cases] = STATE(10356),
    [sym_match_case] = STATE(12401),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13479),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2890),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7567),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2891] = {
    [sym__simple_expression] = STATE(8904),
    [sym_typed_expression] = STATE(9125),
    [sym_list_expression] = STATE(9125),
    [sym_array_expression] = STATE(9125),
    [sym_record_expression] = STATE(9125),
    [sym_labeled_argument] = STATE(9942),
    [sym_prefix_expression] = STATE(9125),
    [sym_hash_expression] = STATE(9125),
    [sym_field_get_expression] = STATE(9125),
    [sym_array_get_expression] = STATE(9125),
    [sym_string_get_expression] = STATE(9125),
    [sym_bigarray_get_expression] = STATE(9125),
    [sym_coercion_expression] = STATE(9125),
    [sym_local_open_expression] = STATE(9125),
    [sym_package_expression] = STATE(9125),
    [sym_new_expression] = STATE(9125),
    [sym_object_copy_expression] = STATE(9125),
    [sym_method_invocation] = STATE(9125),
    [sym_object_expression] = STATE(9125),
    [sym_parenthesized_expression] = STATE(9125),
    [sym_attribute] = STATE(2891),
    [sym_extension] = STATE(9125),
    [sym_quoted_extension] = STATE(9125),
    [sym__constant] = STATE(9125),
    [sym_number] = STATE(9112),
    [sym_character] = STATE(9112),
    [sym_string] = STATE(9112),
    [sym_quoted_string] = STATE(9112),
    [sym_boolean] = STATE(9112),
    [sym_unit] = STATE(9112),
    [sym__value_name] = STATE(8914),
    [sym_parenthesized_operator] = STATE(8998),
    [sym_value_path] = STATE(9125),
    [sym_module_path] = STATE(17749),
    [sym_constructor_path] = STATE(9125),
    [sym__constructor_name] = STATE(8121),
    [sym_tag] = STATE(9125),
    [aux_sym_class_application_repeat1] = STATE(2806),
    [sym__lowercase_identifier] = ACTIONS(7711),
    [anon_sym_TILDE] = ACTIONS(7713),
    [anon_sym_QMARK] = ACTIONS(7713),
    [anon_sym_LPAREN] = ACTIONS(7715),
    [anon_sym_RPAREN] = ACTIONS(5605),
    [anon_sym_LBRACK] = ACTIONS(7717),
    [anon_sym_true] = ACTIONS(7719),
    [anon_sym_false] = ACTIONS(7719),
    [anon_sym_COLON2] = ACTIONS(5605),
    [anon_sym_LBRACE] = ACTIONS(7721),
    [anon_sym_object] = ACTIONS(7723),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7725),
    [anon_sym_new] = ACTIONS(7727),
    [anon_sym_LBRACE_LT] = ACTIONS(7729),
    [anon_sym_begin] = ACTIONS(7731),
    [sym_ocamlyacc_value] = ACTIONS(7733),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7735),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7737),
    [aux_sym_number_token1] = ACTIONS(7739),
    [anon_sym_SQUOTE] = ACTIONS(7741),
    [anon_sym_DQUOTE] = ACTIONS(7743),
    [sym_prefix_operator] = ACTIONS(7745),
    [sym__uppercase_identifier] = ACTIONS(7747),
    [aux_sym_tag_token1] = ACTIONS(7749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2892] = {
    [sym__match_cases] = STATE(7730),
    [sym_match_case] = STATE(12219),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13610),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2892),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7485),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2893] = {
    [sym__match_cases] = STATE(8056),
    [sym_match_case] = STATE(12475),
    [sym__simple_pattern] = STATE(12851),
    [sym__effect_pattern] = STATE(12843),
    [sym__pattern] = STATE(13602),
    [sym_alias_pattern] = STATE(12843),
    [sym_typed_pattern] = STATE(12989),
    [sym_or_pattern] = STATE(12843),
    [sym_constructor_pattern] = STATE(12851),
    [sym_tag_pattern] = STATE(12851),
    [sym_polymorphic_variant_pattern] = STATE(12989),
    [sym_tuple_pattern] = STATE(12843),
    [sym_record_pattern] = STATE(12989),
    [sym_list_pattern] = STATE(12989),
    [sym_cons_pattern] = STATE(12843),
    [sym_array_pattern] = STATE(12989),
    [sym_range_pattern] = STATE(12843),
    [sym_lazy_pattern] = STATE(12851),
    [sym_local_open_pattern] = STATE(12989),
    [sym_package_pattern] = STATE(12989),
    [sym_parenthesized_pattern] = STATE(12989),
    [sym_exception_pattern] = STATE(12843),
    [sym_effect_pattern] = STATE(12843),
    [sym_attribute] = STATE(2893),
    [sym_extension] = STATE(12989),
    [sym_quoted_extension] = STATE(12989),
    [sym__constant] = STATE(12712),
    [sym__signed_constant] = STATE(12723),
    [sym_number] = STATE(11915),
    [sym_signed_number] = STATE(12712),
    [sym_character] = STATE(11915),
    [sym_string] = STATE(11915),
    [sym_quoted_string] = STATE(11915),
    [sym_boolean] = STATE(11915),
    [sym_unit] = STATE(11915),
    [sym__simple_value_pattern] = STATE(12989),
    [sym_parenthesized_operator] = STATE(12989),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(2543),
    [sym__constructor_name] = STATE(8347),
    [sym_tag] = STATE(2558),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7489),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4945),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4947),
    [aux_sym_number_token1] = ACTIONS(4949),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4955),
    [sym__uppercase_identifier] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4961),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4935), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7751), 1,
      anon_sym_RPAREN,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2894), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(14182), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [135] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(5013), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7753), 1,
      anon_sym_RPAREN,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2895), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(14221), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [345] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(5357), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7753), 1,
      anon_sym_RPAREN,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2897), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(14221), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [480] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7059), 1,
      anon_sym_COMMA,
    ACTIONS(7061), 1,
      anon_sym_LPAREN,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2898), 1,
      sym_attribute,
    STATE(3546), 1,
      sym__parenthesized_abstract_type,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(14265), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [615] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(5085), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7759), 1,
      anon_sym_RPAREN,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2899), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(14162), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1200] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7753), 1,
      anon_sym_RPAREN,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2906), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(14221), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1410] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(2908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1487] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(5369), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7751), 1,
      anon_sym_RPAREN,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2909), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(14182), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1622] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7799), 1,
      anon_sym_LT_DASH,
    STATE(2910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1699] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(5041), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7801), 1,
      anon_sym_RPAREN,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2911), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(14149), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1834] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7435), 1,
      anon_sym_PERCENT,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2912), 1,
      sym_attribute,
    STATE(3545), 1,
      sym__attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(14263), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1969] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(5095), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7803), 1,
      anon_sym_RPAREN,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2913), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(14229), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2104] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    ACTIONS(7435), 1,
      anon_sym_PERCENT,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(2914), 1,
      sym_attribute,
    STATE(3442), 1,
      sym__attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(13803), 1,
      sym__pattern,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2239] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(5031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7805), 1,
      anon_sym_RPAREN,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2915), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(14109), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2374] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7435), 1,
      anon_sym_PERCENT,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2916), 1,
      sym_attribute,
    STATE(3375), 1,
      sym__attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(12846), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2509] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    ACTIONS(7435), 1,
      anon_sym_PERCENT,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(2917), 1,
      sym_attribute,
    STATE(3441), 1,
      sym__attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(13802), 1,
      sym__pattern,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2719] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(5021), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7807), 1,
      anon_sym_RPAREN,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2919), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(14110), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2854] = 29,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7809), 1,
      sym__lowercase_identifier,
    ACTIONS(7815), 1,
      anon_sym_LPAREN,
    ACTIONS(7818), 1,
      anon_sym_LBRACK,
    ACTIONS(7824), 1,
      anon_sym_LBRACE,
    ACTIONS(7827), 1,
      anon_sym_POUND,
    ACTIONS(7830), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7833), 1,
      anon_sym_begin,
    ACTIONS(7836), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7839), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7842), 1,
      aux_sym_number_token1,
    ACTIONS(7845), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7848), 1,
      anon_sym_SQUOTE,
    ACTIONS(7851), 1,
      anon_sym_DQUOTE,
    ACTIONS(7854), 1,
      sym__uppercase_identifier,
    ACTIONS(7857), 1,
      aux_sym_tag_token1,
    STATE(8698), 1,
      sym__simple_pattern,
    STATE(8735), 1,
      sym__constructor_name,
    STATE(18916), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(7821), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2920), 2,
      sym_attribute,
      aux_sym_let_binding_repeat1,
    STATE(8446), 2,
      sym__constant,
      sym_signed_number,
    STATE(8695), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    ACTIONS(7140), 5,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    STATE(8734), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(7142), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
    STATE(8474), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [2977] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(4969), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7860), 1,
      anon_sym_RPAREN,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2921), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(14112), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3112] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7435), 1,
      anon_sym_PERCENT,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2922), 1,
      sym_attribute,
    STATE(3484), 1,
      sym__attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13492), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3247] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(2923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [3324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [3399] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7435), 1,
      anon_sym_PERCENT,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2925), 1,
      sym_attribute,
    STATE(3485), 1,
      sym__attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(12846), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [3609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [3684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [3759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [3834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [3909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [3984] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7862), 1,
      anon_sym_LT_DASH,
    STATE(2932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [4061] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7435), 1,
      anon_sym_PERCENT,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2933), 1,
      sym_attribute,
    STATE(3369), 1,
      sym__attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13077), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [4271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [4346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [4420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [4494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [4568] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2939), 1,
      sym_attribute,
    STATE(8120), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13378), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4700] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7880), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2940), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13996), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4832] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    ACTIONS(7882), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(2941), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5334] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2947), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(10331), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13589), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5540] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7888), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2949), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13646), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5672] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    ACTIONS(7890), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(2950), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(13649), 1,
      sym__pattern,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5804] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7892), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2951), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13449), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5936] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    ACTIONS(7894), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(2952), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13450), 1,
      sym__pattern,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6068] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2953), 1,
      sym_attribute,
    STATE(8090), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13462), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6348] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2956), 1,
      sym_attribute,
    STATE(8090), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13602), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6776] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7900), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2961), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13996), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7056] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    ACTIONS(7902), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(2964), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7188] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2965), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12437), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13527), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7542] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7059), 1,
      anon_sym_COMMA,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2969), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(14273), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7674] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7912), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2970), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13996), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7806] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2971), 1,
      sym_attribute,
    STATE(8090), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13564), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7938] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    ACTIONS(7914), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(2972), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8070] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2973), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(10535), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13596), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [8276] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2975), 1,
      sym_attribute,
    STATE(8120), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13555), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [8482] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(2977), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14672), 1,
      sym__simple_expression,
    STATE(15402), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    STATE(19515), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [8612] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2978), 1,
      sym_attribute,
    STATE(8120), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13371), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [8818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [8892] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7960), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2981), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13996), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9024] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2982), 1,
      sym_attribute,
    STATE(8090), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13376), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9156] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    ACTIONS(7962), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(2983), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9288] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2984), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(8722), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13371), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9420] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7964), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2985), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13480), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9552] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    ACTIONS(7966), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(2986), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13486), 1,
      sym__pattern,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [9758] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7968), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2988), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13558), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9890] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2989), 1,
      sym_attribute,
    STATE(8090), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13632), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10022] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    ACTIONS(7970), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(2990), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13567), 1,
      sym__pattern,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [10228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [10302] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(2993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [10378] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7986), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2994), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13996), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10510] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2995), 1,
      sym_attribute,
    STATE(8090), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13501), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10642] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2996), 1,
      sym_attribute,
    STATE(8090), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13412), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10774] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2997), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12221), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13610), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10906] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(2998), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12282), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13375), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11038] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7988), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2999), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13996), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11170] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    ACTIONS(7990), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3000), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11302] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3001), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(11948), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13527), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [11508] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3003), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(11962), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13400), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11640] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3004), 1,
      sym_attribute,
    STATE(8120), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13573), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [11846] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3006), 1,
      sym_attribute,
    STATE(8090), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13596), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11978] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3007), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14714), 1,
      sym__simple_expression,
    STATE(15378), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    STATE(19659), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [12108] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8000), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(3008), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13996), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12240] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3009), 1,
      sym_attribute,
    STATE(8194), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13520), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12372] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    ACTIONS(8002), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3010), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12504] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3011), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12476), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13602), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [12710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [12784] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3014), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(11187), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13589), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12916] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3015), 1,
      sym_attribute,
    STATE(8120), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13600), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13048] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3016), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14732), 1,
      sym__simple_expression,
    STATE(15763), 1,
      sym_field_expression,
    STATE(17597), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [13178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [13252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [13326] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3019), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(8352), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13363), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [13532] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8004), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(3021), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13996), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [13738] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8006), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(3023), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13996), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13870] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3024), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12481), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13412), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14002] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3025), 1,
      sym_attribute,
    STATE(8090), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13374), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14134] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8008), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(3026), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13441), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14266] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3027), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(11928), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13505), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14398] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    ACTIONS(8010), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3028), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13442), 1,
      sym__pattern,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14530] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3029), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14748), 1,
      sym__simple_expression,
    STATE(15238), 1,
      sym_field_expression,
    STATE(18221), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [14660] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    ACTIONS(8012), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3030), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14792] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    ACTIONS(8014), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3031), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14924] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3032), 1,
      sym_attribute,
    STATE(8232), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13507), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15056] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3033), 1,
      sym_attribute,
    STATE(8090), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13431), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15188] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3034), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12148), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13431), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15320] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4977), 1,
      anon_sym_as,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    STATE(3042), 1,
      sym_tag,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13146), 1,
      sym__binding_pattern,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3035), 2,
      sym_attribute,
      sym_constructor_path,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4975), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [15452] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3036), 1,
      sym_attribute,
    STATE(8120), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13533), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15584] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3037), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(11669), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13392), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15716] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8020), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(3038), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13996), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15848] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3039), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14755), 1,
      sym__simple_expression,
    STATE(16029), 1,
      sym_field_expression,
    STATE(18583), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [15978] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    ACTIONS(8022), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3040), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [16110] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3041), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(8424), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13378), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [16242] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4977), 1,
      anon_sym_as,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13147), 1,
      sym__binding_pattern,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3042), 2,
      sym_attribute,
      sym_tag,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4975), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [16374] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3043), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(9628), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13406), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [16506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16654] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3046), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(10959), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13546), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [16786] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8028), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(3047), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13996), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [16918] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3048), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14763), 1,
      sym__simple_expression,
    STATE(15583), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    STATE(19873), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [17048] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    ACTIONS(8030), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3049), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [17180] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3050), 1,
      sym_attribute,
    STATE(8313), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13573), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [17312] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3051), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(10331), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13505), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [17444] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3052), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(10210), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13462), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [17576] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8032), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(3053), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13996), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [17708] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3054), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14732), 1,
      sym__simple_expression,
    STATE(15763), 1,
      sym_field_expression,
    STATE(17470), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [17838] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    ACTIONS(8034), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3055), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [17970] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3056), 1,
      sym_attribute,
    STATE(8307), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13600), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [18102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18176] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3058), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(11829), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13564), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [18308] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    ACTIONS(8036), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3059), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [18440] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3060), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14765), 1,
      sym__simple_expression,
    STATE(15843), 1,
      sym_field_expression,
    STATE(17560), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [18570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18644] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3062), 1,
      sym_attribute,
    STATE(8001), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13533), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [18776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18850] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3064), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(11836), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13376), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [18982] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3065), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(10331), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13392), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [19114] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3066), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14769), 1,
      sym__simple_expression,
    STATE(15280), 1,
      sym_field_expression,
    STATE(18167), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [19244] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(3067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19320] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3068), 1,
      sym_attribute,
    STATE(8012), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13617), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [19452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19526] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3070), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(11844), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13632), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [19658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19732] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3072), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14774), 1,
      sym__simple_expression,
    STATE(15560), 1,
      sym_field_expression,
    STATE(18783), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [19862] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3073), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(8447), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13555), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [19994] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3074), 1,
      sym_attribute,
    STATE(8178), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13425), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [20126] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8052), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(3075), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13360), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [20258] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3076), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(11857), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13501), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [20390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20464] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3078), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14779), 1,
      sym__simple_expression,
    STATE(15831), 1,
      sym_field_expression,
    STATE(17491), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [20594] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(3079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20670] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3080), 1,
      sym_attribute,
    STATE(8120), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13617), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [20802] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3081), 1,
      sym_attribute,
    STATE(8215), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13538), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [20934] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8054), 1,
      anon_sym_LT_DASH,
    STATE(3082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21084] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3084), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(9313), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13374), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [21216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21290] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3086), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14783), 1,
      sym__simple_expression,
    STATE(16250), 1,
      sym_field_expression,
    STATE(17633), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [21420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21494] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3088), 1,
      sym_attribute,
    STATE(8090), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13406), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [21626] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3089), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14786), 1,
      sym__simple_expression,
    STATE(15000), 1,
      sym_field_expression,
    STATE(17509), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [21756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21830] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3091), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14789), 1,
      sym__simple_expression,
    STATE(15131), 1,
      sym_field_expression,
    STATE(19041), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [21960] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(3092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22110] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3094), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14792), 1,
      sym__simple_expression,
    STATE(15234), 1,
      sym_field_expression,
    STATE(18215), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [22240] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8064), 1,
      anon_sym_LT_DASH,
    STATE(3095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22390] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3097), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14794), 1,
      sym__simple_expression,
    STATE(15340), 1,
      sym_field_expression,
    STATE(17492), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [22520] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3098), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(10331), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13546), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [22652] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3099), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14798), 1,
      sym__simple_expression,
    STATE(15446), 1,
      sym_field_expression,
    STATE(18260), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [22782] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(3100), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [22914] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3101), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14799), 1,
      sym__simple_expression,
    STATE(15548), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    STATE(19521), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [23044] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(3102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23120] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3103), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14802), 1,
      sym__simple_expression,
    STATE(15644), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    STATE(20029), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [23250] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    ACTIONS(8068), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3104), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13513), 1,
      sym__pattern,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [23382] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3105), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14805), 1,
      sym__simple_expression,
    STATE(15818), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    STATE(19946), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [23512] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8070), 1,
      anon_sym_LT_DASH,
    STATE(3106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23588] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3107), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14808), 1,
      sym__simple_expression,
    STATE(15911), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    STATE(19422), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [23718] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    ACTIONS(8072), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3108), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(13670), 1,
      sym__pattern,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [23850] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3109), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14811), 1,
      sym__simple_expression,
    STATE(16053), 1,
      sym_field_expression,
    STATE(18021), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [23980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24054] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3111), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14812), 1,
      sym__simple_expression,
    STATE(16197), 1,
      sym_field_expression,
    STATE(18851), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [24184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24258] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3113), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12140), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13479), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [24390] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3114), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14814), 1,
      sym__simple_expression,
    STATE(15420), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    STATE(19700), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [24520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24742] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3118), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14818), 1,
      sym__simple_expression,
    STATE(16047), 1,
      sym_field_expression,
    STATE(17532), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [24872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25094] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3089), 1,
      anon_sym_DOT,
    ACTIONS(3091), 1,
      anon_sym_POUND,
    ACTIONS(3093), 1,
      sym_hash_operator,
    STATE(3122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25174] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3123), 1,
      sym_attribute,
    STATE(8120), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13425), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [25306] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3124), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14820), 1,
      sym__simple_expression,
    STATE(16065), 1,
      sym_field_expression,
    STATE(17802), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [25436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25880] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3131), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14821), 1,
      sym__simple_expression,
    STATE(15619), 1,
      sym_field_expression,
    STATE(18031), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [26010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26084] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8122), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(3133), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13996), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [26216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26290] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3089), 1,
      anon_sym_DOT,
    STATE(3135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26366] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3136), 1,
      sym_attribute,
    STATE(8120), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13520), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [26498] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3137), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14822), 1,
      sym__simple_expression,
    STATE(15115), 1,
      sym_field_expression,
    STATE(18323), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [26628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26998] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3143), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12437), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13375), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [27130] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3144), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14826), 1,
      sym__simple_expression,
    STATE(15421), 1,
      sym_field_expression,
    STATE(18589), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [27260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27778] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    ACTIONS(8176), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3152), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [27910] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3153), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14830), 1,
      sym__simple_expression,
    STATE(15788), 1,
      sym_field_expression,
    STATE(18723), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [28040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28262] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3089), 1,
      anon_sym_DOT,
    ACTIONS(3091), 1,
      anon_sym_POUND,
    ACTIONS(3093), 1,
      sym_hash_operator,
    STATE(3157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28342] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8194), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(3158), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13996), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28474] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3159), 1,
      sym_attribute,
    STATE(8120), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13538), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28606] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    ACTIONS(8196), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3160), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28812] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3162), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14833), 1,
      sym__simple_expression,
    STATE(16165), 1,
      sym_field_expression,
    STATE(18871), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [28942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29386] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(3169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29462] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3170), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14835), 1,
      sym__simple_expression,
    STATE(15100), 1,
      sym_field_expression,
    STATE(18922), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [29592] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3171), 1,
      sym_attribute,
    STATE(8120), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13363), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [29724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29872] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3174), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14839), 1,
      sym__simple_expression,
    STATE(15277), 1,
      sym_field_expression,
    STATE(18970), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [30002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30076] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8222), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(3176), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13996), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [30208] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3177), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14842), 1,
      sym__simple_expression,
    STATE(15433), 1,
      sym_field_expression,
    STATE(18993), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [30338] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    ACTIONS(8224), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3178), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [30470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30618] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3181), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14846), 1,
      sym__simple_expression,
    STATE(15614), 1,
      sym_field_expression,
    STATE(19015), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [30748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30822] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3183), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14847), 1,
      sym__simple_expression,
    STATE(15817), 1,
      sym_field_expression,
    STATE(19036), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [30952] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3184), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(10331), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13479), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [31084] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3185), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14850), 1,
      sym__simple_expression,
    STATE(15978), 1,
      sym_field_expression,
    STATE(19060), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [31214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31436] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(3189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31512] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3190), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14854), 1,
      sym__simple_expression,
    STATE(16183), 1,
      sym_field_expression,
    STATE(19081), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [31642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31716] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8242), 1,
      anon_sym_LT_DASH,
    STATE(3192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31866] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3194), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14857), 1,
      sym__simple_expression,
    STATE(14982), 1,
      sym_field_expression,
    STATE(19105), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [31996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32144] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(3197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32368] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3200), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14862), 1,
      sym__simple_expression,
    STATE(15057), 1,
      sym_field_expression,
    STATE(19139), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [32498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32720] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3204), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14865), 1,
      sym__simple_expression,
    STATE(15139), 1,
      sym_field_expression,
    STATE(19164), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [32850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32998] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3207), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14365), 1,
      sym__simple_expression,
    STATE(15074), 1,
      sym_field_expression,
    STATE(19332), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [33128] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(3208), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14869), 1,
      sym__simple_expression,
    STATE(15211), 1,
      sym_field_expression,
    STATE(19201), 1,
      sym__quoted_string,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [33258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33628] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3214), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(10331), 1,
      sym_match_case,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13400), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [33760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33834] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3107), 1,
      anon_sym_DOT,
    ACTIONS(3109), 1,
      anon_sym_POUND,
    ACTIONS(3111), 1,
      sym_hash_operator,
    STATE(3216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34358] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8272), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(3223), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13438), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34564] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3107), 1,
      anon_sym_DOT,
    STATE(3225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34640] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3226), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13439), 1,
      sym__pattern,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35660] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35808] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35882] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3107), 1,
      anon_sym_DOT,
    ACTIONS(3109), 1,
      anon_sym_POUND,
    ACTIONS(3111), 1,
      sym_hash_operator,
    STATE(3242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35962] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36480] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3250), 1,
      sym_attribute,
    STATE(8090), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13610), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [36612] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3251), 1,
      sym_attribute,
    STATE(8120), 1,
      sym_match_case,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13507), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [36744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36966] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8280), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(3255), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13996), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37098] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    ACTIONS(8282), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3256), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38562] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39226] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(3284), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13996), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39574] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3288), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13534), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40725] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3237), 1,
      anon_sym_DOT,
    STATE(3303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42041] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43063] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43282] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3237), 1,
      anon_sym_DOT,
    ACTIONS(3239), 1,
      anon_sym_POUND,
    ACTIONS(3241), 1,
      sym_hash_operator,
    STATE(3338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43361] = 39,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    ACTIONS(7571), 1,
      anon_sym_rec,
    ACTIONS(7577), 1,
      anon_sym_open,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(3339), 1,
      sym_attribute,
    STATE(4446), 1,
      sym__attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17797), 1,
      sym_open_module,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [43502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43648] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3237), 1,
      anon_sym_DOT,
    ACTIONS(3239), 1,
      anon_sym_POUND,
    ACTIONS(3241), 1,
      sym_hash_operator,
    STATE(3342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43873] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(3345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44459] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(3353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44753] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44826] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(3358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45631] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3369), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13091), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [45760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45906] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(3372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46127] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3375), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(12990), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [46256] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3376), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13052), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [46385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46531] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3379), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13073), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [46660] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3380), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13072), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [46789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46935] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3383), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(12794), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [47064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48086] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3171), 1,
      anon_sym_DOT,
    STATE(3398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48599] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49767] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3171), 1,
      anon_sym_DOT,
    ACTIONS(3173), 1,
      anon_sym_POUND,
    ACTIONS(3175), 1,
      sym_hash_operator,
    STATE(3421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50503] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3171), 1,
      anon_sym_DOT,
    ACTIONS(3173), 1,
      anon_sym_POUND,
    ACTIONS(3175), 1,
      sym_hash_operator,
    STATE(3431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51239] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3441), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(13846), 1,
      sym__pattern,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [51368] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3442), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(13848), 1,
      sym__pattern,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [51497] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3443), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(13851), 1,
      sym__pattern,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [51626] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3444), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(13852), 1,
      sym__pattern,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [51755] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3445), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(13854), 1,
      sym__pattern,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [51884] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3446), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(13855), 1,
      sym__pattern,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [52013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52159] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      sym__lowercase_identifier,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6717), 1,
      anon_sym_lazy,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(3450), 1,
      sym_tag,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10333), 1,
      sym_parenthesized_operator,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13146), 1,
      sym__binding_pattern,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4977), 2,
      anon_sym_COLON2,
      anon_sym_as,
    STATE(3449), 2,
      sym_attribute,
      sym_constructor_path,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4975), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_COLON_COLON,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [52290] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      sym__lowercase_identifier,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6717), 1,
      anon_sym_lazy,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(3449), 1,
      sym_constructor_path,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10333), 1,
      sym_parenthesized_operator,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13147), 1,
      sym__binding_pattern,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4977), 2,
      anon_sym_COLON2,
      anon_sym_as,
    STATE(3450), 2,
      sym_attribute,
      sym_tag,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4975), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_COLON_COLON,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [52421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52567] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3453), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13559), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [52696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52842] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7403), 1,
      anon_sym_exception,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7409), 1,
      anon_sym_lazy,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7413), 1,
      anon_sym_effect,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7427), 1,
      sym__uppercase_identifier,
    ACTIONS(7429), 1,
      aux_sym_tag_token1,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3456), 1,
      sym_attribute,
    STATE(9286), 1,
      sym__constructor_name,
    STATE(13641), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(19524), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13712), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13714), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13843), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [52971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53628] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    STATE(3467), 1,
      sym_tag,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13894), 1,
      sym__binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4977), 2,
      anon_sym_PIPE,
      anon_sym_as,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3466), 2,
      sym_attribute,
      sym_constructor_path,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4975), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [53759] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    STATE(3466), 1,
      sym_constructor_path,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13895), 1,
      sym__binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4977), 2,
      anon_sym_PIPE,
      anon_sym_as,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3467), 2,
      sym_attribute,
      sym_tag,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4975), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [53890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53963] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(3469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54038] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8296), 1,
      anon_sym_LT_DASH,
    STATE(3470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54770] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(3480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54845] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_LT_DASH,
    STATE(3481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54920] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(3482), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(14015), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [55049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55122] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(3484), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13423), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [55251] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(3485), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(12990), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [55380] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(3486), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13539), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [55509] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(3487), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13603), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [55638] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(3488), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13681), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [55767] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(3489), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(12794), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [55896] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(3490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56117] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(3493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58382] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58601] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3527), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13536), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [58730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59095] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(3533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59608] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(3540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59975] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3545), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(14415), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [60104] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3546), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(14432), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [60233] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7294), 1,
      anon_sym_exception,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7298), 1,
      anon_sym_lazy,
    ACTIONS(7300), 1,
      anon_sym_effect,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(3547), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13828), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [60362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60581] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3551), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13569), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [60710] = 39,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    ACTIONS(7571), 1,
      anon_sym_rec,
    ACTIONS(7577), 1,
      anon_sym_open,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(3552), 1,
      sym_attribute,
    STATE(4446), 1,
      sym__attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    STATE(19809), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [60851] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3553), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13612), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [60980] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3554), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13591), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [61109] = 39,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    ACTIONS(7571), 1,
      anon_sym_rec,
    ACTIONS(7577), 1,
      anon_sym_open,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(3555), 1,
      sym_attribute,
    STATE(4446), 1,
      sym__attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    STATE(18079), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [61250] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3556), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13622), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [61379] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3557), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13460), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [61508] = 39,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    ACTIONS(7571), 1,
      anon_sym_rec,
    ACTIONS(7577), 1,
      anon_sym_open,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(3558), 1,
      sym_attribute,
    STATE(4446), 1,
      sym__attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17446), 1,
      sym_open_module,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [61649] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3559), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13595), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [61778] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3560), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13411), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [61907] = 39,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    ACTIONS(7571), 1,
      anon_sym_rec,
    ACTIONS(7577), 1,
      anon_sym_open,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(3561), 1,
      sym_attribute,
    STATE(4446), 1,
      sym__attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    STATE(18001), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [62048] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3562), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13626), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [62177] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3563), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13517), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [62306] = 39,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    ACTIONS(7571), 1,
      anon_sym_rec,
    ACTIONS(7577), 1,
      anon_sym_open,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(3564), 1,
      sym_attribute,
    STATE(4446), 1,
      sym__attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    STATE(18417), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [62447] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3565), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13619), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [62576] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3566), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13490), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [62705] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3567), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13531), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [62834] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3568), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13451), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [62963] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3569), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13427), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63092] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3570), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13578), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63221] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3571), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13381), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63350] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3572), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13452), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63479] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3573), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13497), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63608] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3574), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13648), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63737] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3575), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13671), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63866] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3576), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13388), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63995] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3577), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13470), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [64124] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3578), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13473), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [64253] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3579), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13521), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [64382] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3580), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13477), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [64511] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3581), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13405), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [64640] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3582), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13354), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [64769] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3583), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13368), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [64898] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3584), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13417), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65027] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3585), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13432), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65156] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3586), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13498), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65285] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3587), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13518), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65414] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3588), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13566), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65543] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3589), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13588), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65672] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3590), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13640), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65801] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3591), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13655), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65930] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3592), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13361), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [66059] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3593), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13415), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [66188] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3594), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13637), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [66317] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3595), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13353), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [66446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66592] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3598), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13487), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [66721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66794] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3600), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13585), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [66923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67069] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3603), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13413), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [67198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67271] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3129), 1,
      anon_sym_DOT,
    ACTIONS(3131), 1,
      anon_sym_POUND,
    ACTIONS(3133), 1,
      sym_hash_operator,
    STATE(3605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67350] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3606), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13445), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [67479] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3607), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13377), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [67608] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3608), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13399), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [67737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67956] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3612), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13474), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [68085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68231] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3615), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13499), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [68360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68506] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3618), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13577), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [68635] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68708] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3620), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13601), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [68837] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3129), 1,
      anon_sym_DOT,
    STATE(3621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68985] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3623), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13645), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [69114] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3624), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13669), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [69243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69389] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3627), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13638), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [69518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69664] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3630), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13418), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [69793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69939] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3633), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13500), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [70068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70214] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3636), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13542), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [70343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70416] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3638), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13627), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [70545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70691] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3641), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13662), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [70820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70966] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3644), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13366), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71241] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3647), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13372), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71370] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3129), 1,
      anon_sym_DOT,
    ACTIONS(3131), 1,
      anon_sym_POUND,
    ACTIONS(3133), 1,
      sym_hash_operator,
    STATE(3648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71449] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3649), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13394), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71651] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3651), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13402), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71999] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3655), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13421), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72128] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3656), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13430), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72257] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3657), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13468), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72459] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3659), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13482), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72734] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3662), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13503), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72863] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72936] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3664), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13514), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73211] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3667), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13528), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73486] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3670), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13683), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73615] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3145), 1,
      anon_sym_DOT,
    ACTIONS(3147), 1,
      anon_sym_POUND,
    ACTIONS(3149), 1,
      sym_hash_operator,
    STATE(3671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73694] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3672), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13561), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73823] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3673), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13570), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74171] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3677), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13593), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74373] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3679), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13604), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74648] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3682), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13628), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74850] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3684), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13635), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74979] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3145), 1,
      anon_sym_DOT,
    STATE(3685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75127] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3687), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13654), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [75256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75402] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3690), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13661), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [75531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75750] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3694), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13676), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [75879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75952] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3696), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13682), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [76081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76227] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3699), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13584), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [76356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76429] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3701), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13359), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [76558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76777] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3705), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13435), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [76906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76979] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3707), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13436), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [77108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77254] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3145), 1,
      anon_sym_DOT,
    ACTIONS(3147), 1,
      anon_sym_POUND,
    ACTIONS(3149), 1,
      sym_hash_operator,
    STATE(3710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77333] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3711), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13631), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [77462] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(2543), 1,
      sym_constructor_path,
    STATE(2558), 1,
      sym_tag,
    STATE(3712), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(12723), 1,
      sym__signed_constant,
    STATE(13658), 1,
      sym__pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12843), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12989), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [77591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77737] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3265), 1,
      anon_sym_DOT,
    STATE(3715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77883] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3255), 1,
      anon_sym_DOT,
    ACTIONS(3257), 1,
      anon_sym_POUND,
    ACTIONS(3259), 1,
      sym_hash_operator,
    STATE(3717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78177] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3721), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14786), 1,
      sym__simple_expression,
    STATE(15000), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [78301] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3722), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14839), 1,
      sym__simple_expression,
    STATE(15277), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [78425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78497] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3724), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14842), 1,
      sym__simple_expression,
    STATE(15433), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [78621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78693] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8300), 1,
      sym__lowercase_identifier,
    ACTIONS(8302), 1,
      anon_sym_LPAREN,
    ACTIONS(8304), 1,
      anon_sym_LBRACK,
    ACTIONS(8308), 1,
      anon_sym_LBRACE,
    ACTIONS(8310), 1,
      anon_sym_object,
    ACTIONS(8312), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8314), 1,
      anon_sym_new,
    ACTIONS(8316), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8318), 1,
      anon_sym_begin,
    ACTIONS(8320), 1,
      sym_ocamlyacc_value,
    ACTIONS(8322), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8324), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8326), 1,
      anon_sym_PERCENT,
    ACTIONS(8328), 1,
      aux_sym_number_token1,
    ACTIONS(8330), 1,
      anon_sym_SQUOTE,
    ACTIONS(8332), 1,
      anon_sym_DQUOTE,
    ACTIONS(8334), 1,
      sym_prefix_operator,
    ACTIONS(8336), 1,
      sym__uppercase_identifier,
    ACTIONS(8338), 1,
      aux_sym_tag_token1,
    STATE(3726), 1,
      sym_attribute,
    STATE(4193), 1,
      sym__attribute,
    STATE(9413), 1,
      sym__simple_expression,
    STATE(9486), 1,
      sym__value_name,
    STATE(9585), 1,
      sym_parenthesized_operator,
    STATE(9695), 1,
      sym__constructor_name,
    STATE(18099), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9662), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9431), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [78817] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3727), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14748), 1,
      sym__simple_expression,
    STATE(15238), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [78941] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8300), 1,
      sym__lowercase_identifier,
    ACTIONS(8302), 1,
      anon_sym_LPAREN,
    ACTIONS(8304), 1,
      anon_sym_LBRACK,
    ACTIONS(8308), 1,
      anon_sym_LBRACE,
    ACTIONS(8310), 1,
      anon_sym_object,
    ACTIONS(8312), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8314), 1,
      anon_sym_new,
    ACTIONS(8316), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8318), 1,
      anon_sym_begin,
    ACTIONS(8320), 1,
      sym_ocamlyacc_value,
    ACTIONS(8322), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8324), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8326), 1,
      anon_sym_PERCENT,
    ACTIONS(8328), 1,
      aux_sym_number_token1,
    ACTIONS(8330), 1,
      anon_sym_SQUOTE,
    ACTIONS(8332), 1,
      anon_sym_DQUOTE,
    ACTIONS(8334), 1,
      sym_prefix_operator,
    ACTIONS(8336), 1,
      sym__uppercase_identifier,
    ACTIONS(8338), 1,
      aux_sym_tag_token1,
    STATE(3728), 1,
      sym_attribute,
    STATE(4194), 1,
      sym__attribute,
    STATE(9414), 1,
      sym__simple_expression,
    STATE(9486), 1,
      sym__value_name,
    STATE(9585), 1,
      sym_parenthesized_operator,
    STATE(9695), 1,
      sym__constructor_name,
    STATE(18099), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9662), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9431), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [79065] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3729), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14846), 1,
      sym__simple_expression,
    STATE(15614), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [79189] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8344), 1,
      anon_sym_COLON,
    STATE(3730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8340), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [79263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79335] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3732), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14847), 1,
      sym__simple_expression,
    STATE(15817), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [79459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79891] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3739), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14850), 1,
      sym__simple_expression,
    STATE(15978), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [80015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80231] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3743), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14854), 1,
      sym__simple_expression,
    STATE(16183), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [80355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80427] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3745), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14857), 1,
      sym__simple_expression,
    STATE(14982), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [80551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80623] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3747), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14714), 1,
      sym__simple_expression,
    STATE(15378), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [80747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81107] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8326), 1,
      anon_sym_PERCENT,
    ACTIONS(8346), 1,
      sym__lowercase_identifier,
    ACTIONS(8348), 1,
      anon_sym_LPAREN,
    ACTIONS(8350), 1,
      anon_sym_LBRACK,
    ACTIONS(8354), 1,
      anon_sym_LBRACE,
    ACTIONS(8356), 1,
      anon_sym_object,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8360), 1,
      anon_sym_new,
    ACTIONS(8362), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8364), 1,
      anon_sym_begin,
    ACTIONS(8366), 1,
      sym_ocamlyacc_value,
    ACTIONS(8368), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8370), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8372), 1,
      aux_sym_number_token1,
    ACTIONS(8374), 1,
      anon_sym_SQUOTE,
    ACTIONS(8376), 1,
      anon_sym_DQUOTE,
    ACTIONS(8378), 1,
      sym_prefix_operator,
    ACTIONS(8380), 1,
      sym__uppercase_identifier,
    ACTIONS(8382), 1,
      aux_sym_tag_token1,
    STATE(3753), 1,
      sym_attribute,
    STATE(4351), 1,
      sym__attribute,
    STATE(7344), 1,
      sym__constructor_name,
    STATE(7386), 1,
      sym__value_name,
    STATE(7417), 1,
      sym_parenthesized_operator,
    STATE(7478), 1,
      sym__simple_expression,
    STATE(18379), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8352), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7537), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7560), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [81231] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8326), 1,
      anon_sym_PERCENT,
    ACTIONS(8346), 1,
      sym__lowercase_identifier,
    ACTIONS(8348), 1,
      anon_sym_LPAREN,
    ACTIONS(8350), 1,
      anon_sym_LBRACK,
    ACTIONS(8354), 1,
      anon_sym_LBRACE,
    ACTIONS(8356), 1,
      anon_sym_object,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8360), 1,
      anon_sym_new,
    ACTIONS(8362), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8364), 1,
      anon_sym_begin,
    ACTIONS(8366), 1,
      sym_ocamlyacc_value,
    ACTIONS(8368), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8370), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8372), 1,
      aux_sym_number_token1,
    ACTIONS(8374), 1,
      anon_sym_SQUOTE,
    ACTIONS(8376), 1,
      anon_sym_DQUOTE,
    ACTIONS(8378), 1,
      sym_prefix_operator,
    ACTIONS(8380), 1,
      sym__uppercase_identifier,
    ACTIONS(8382), 1,
      aux_sym_tag_token1,
    STATE(3754), 1,
      sym_attribute,
    STATE(4352), 1,
      sym__attribute,
    STATE(7344), 1,
      sym__constructor_name,
    STATE(7386), 1,
      sym__value_name,
    STATE(7417), 1,
      sym_parenthesized_operator,
    STATE(7479), 1,
      sym__simple_expression,
    STATE(18379), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8352), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7537), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7560), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [81355] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8384), 1,
      anon_sym_COLON,
    STATE(3755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8340), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [81429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81645] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3759), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14862), 1,
      sym__simple_expression,
    STATE(15057), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [81769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81913] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8326), 1,
      anon_sym_PERCENT,
    ACTIONS(8368), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8370), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8386), 1,
      sym__lowercase_identifier,
    ACTIONS(8388), 1,
      anon_sym_LPAREN,
    ACTIONS(8390), 1,
      anon_sym_LBRACK,
    ACTIONS(8394), 1,
      anon_sym_LBRACE,
    ACTIONS(8396), 1,
      anon_sym_object,
    ACTIONS(8398), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8400), 1,
      anon_sym_new,
    ACTIONS(8402), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8404), 1,
      anon_sym_begin,
    ACTIONS(8406), 1,
      sym_ocamlyacc_value,
    ACTIONS(8408), 1,
      aux_sym_number_token1,
    ACTIONS(8410), 1,
      anon_sym_SQUOTE,
    ACTIONS(8412), 1,
      anon_sym_DQUOTE,
    ACTIONS(8414), 1,
      sym_prefix_operator,
    ACTIONS(8416), 1,
      sym__uppercase_identifier,
    ACTIONS(8418), 1,
      aux_sym_tag_token1,
    STATE(3762), 1,
      sym_attribute,
    STATE(4359), 1,
      sym__attribute,
    STATE(7291), 1,
      sym__value_name,
    STATE(7304), 1,
      sym_parenthesized_operator,
    STATE(7314), 1,
      sym__constructor_name,
    STATE(9218), 1,
      sym__simple_expression,
    STATE(18911), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8392), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7233), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [82037] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8326), 1,
      anon_sym_PERCENT,
    ACTIONS(8368), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8370), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8386), 1,
      sym__lowercase_identifier,
    ACTIONS(8388), 1,
      anon_sym_LPAREN,
    ACTIONS(8390), 1,
      anon_sym_LBRACK,
    ACTIONS(8394), 1,
      anon_sym_LBRACE,
    ACTIONS(8396), 1,
      anon_sym_object,
    ACTIONS(8398), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8400), 1,
      anon_sym_new,
    ACTIONS(8402), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8404), 1,
      anon_sym_begin,
    ACTIONS(8406), 1,
      sym_ocamlyacc_value,
    ACTIONS(8408), 1,
      aux_sym_number_token1,
    ACTIONS(8410), 1,
      anon_sym_SQUOTE,
    ACTIONS(8412), 1,
      anon_sym_DQUOTE,
    ACTIONS(8414), 1,
      sym_prefix_operator,
    ACTIONS(8416), 1,
      sym__uppercase_identifier,
    ACTIONS(8418), 1,
      aux_sym_tag_token1,
    STATE(3763), 1,
      sym_attribute,
    STATE(4360), 1,
      sym__attribute,
    STATE(7291), 1,
      sym__value_name,
    STATE(7304), 1,
      sym_parenthesized_operator,
    STATE(7314), 1,
      sym__constructor_name,
    STATE(9219), 1,
      sym__simple_expression,
    STATE(18911), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8392), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7233), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [82161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82233] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3765), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14799), 1,
      sym__simple_expression,
    STATE(15548), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [82357] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3766), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14865), 1,
      sym__simple_expression,
    STATE(15139), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [82481] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(8326), 1,
      anon_sym_PERCENT,
    ACTIONS(8420), 1,
      sym__lowercase_identifier,
    ACTIONS(8422), 1,
      anon_sym_LPAREN,
    ACTIONS(8426), 1,
      anon_sym_LBRACE,
    ACTIONS(8428), 1,
      anon_sym_begin,
    ACTIONS(8430), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8432), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8434), 1,
      aux_sym_number_token1,
    ACTIONS(8436), 1,
      anon_sym_SQUOTE,
    ACTIONS(8438), 1,
      anon_sym_DQUOTE,
    ACTIONS(8440), 1,
      sym_prefix_operator,
    STATE(3767), 1,
      sym_attribute,
    STATE(4379), 1,
      sym__attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(7427), 1,
      sym__simple_expression,
    STATE(18175), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8424), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7372), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [82605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82749] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3770), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14869), 1,
      sym__simple_expression,
    STATE(15211), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [82873] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3771), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14732), 1,
      sym__simple_expression,
    STATE(15763), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [82997] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(8326), 1,
      anon_sym_PERCENT,
    ACTIONS(8420), 1,
      sym__lowercase_identifier,
    ACTIONS(8422), 1,
      anon_sym_LPAREN,
    ACTIONS(8426), 1,
      anon_sym_LBRACE,
    ACTIONS(8428), 1,
      anon_sym_begin,
    ACTIONS(8430), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8432), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8434), 1,
      aux_sym_number_token1,
    ACTIONS(8436), 1,
      anon_sym_SQUOTE,
    ACTIONS(8438), 1,
      anon_sym_DQUOTE,
    ACTIONS(8440), 1,
      sym_prefix_operator,
    STATE(3772), 1,
      sym_attribute,
    STATE(4340), 1,
      sym__attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(7472), 1,
      sym__simple_expression,
    STATE(18175), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8424), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7372), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [83121] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3773), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14802), 1,
      sym__simple_expression,
    STATE(15644), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [83245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83317] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(3775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83463] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3777), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14365), 1,
      sym__simple_expression,
    STATE(15074), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [83587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83659] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8442), 1,
      anon_sym_LT_DASH,
    STATE(3779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83949] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3783), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14805), 1,
      sym__simple_expression,
    STATE(15818), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [84073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84217] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8326), 1,
      anon_sym_PERCENT,
    ACTIONS(8386), 1,
      sym__lowercase_identifier,
    ACTIONS(8388), 1,
      anon_sym_LPAREN,
    ACTIONS(8390), 1,
      anon_sym_LBRACK,
    ACTIONS(8394), 1,
      anon_sym_LBRACE,
    ACTIONS(8396), 1,
      anon_sym_object,
    ACTIONS(8398), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8400), 1,
      anon_sym_new,
    ACTIONS(8402), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8404), 1,
      anon_sym_begin,
    ACTIONS(8406), 1,
      sym_ocamlyacc_value,
    ACTIONS(8408), 1,
      aux_sym_number_token1,
    ACTIONS(8410), 1,
      anon_sym_SQUOTE,
    ACTIONS(8412), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      sym__uppercase_identifier,
    ACTIONS(8418), 1,
      aux_sym_tag_token1,
    ACTIONS(8444), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8446), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8448), 1,
      sym_prefix_operator,
    STATE(3786), 1,
      sym_attribute,
    STATE(4231), 1,
      sym__attribute,
    STATE(7291), 1,
      sym__value_name,
    STATE(7304), 1,
      sym_parenthesized_operator,
    STATE(7314), 1,
      sym__constructor_name,
    STATE(8750), 1,
      sym__simple_expression,
    STATE(18911), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8392), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7233), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [84341] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8326), 1,
      anon_sym_PERCENT,
    ACTIONS(8386), 1,
      sym__lowercase_identifier,
    ACTIONS(8388), 1,
      anon_sym_LPAREN,
    ACTIONS(8390), 1,
      anon_sym_LBRACK,
    ACTIONS(8394), 1,
      anon_sym_LBRACE,
    ACTIONS(8396), 1,
      anon_sym_object,
    ACTIONS(8398), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8400), 1,
      anon_sym_new,
    ACTIONS(8402), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8404), 1,
      anon_sym_begin,
    ACTIONS(8406), 1,
      sym_ocamlyacc_value,
    ACTIONS(8408), 1,
      aux_sym_number_token1,
    ACTIONS(8410), 1,
      anon_sym_SQUOTE,
    ACTIONS(8412), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      sym__uppercase_identifier,
    ACTIONS(8418), 1,
      aux_sym_tag_token1,
    ACTIONS(8444), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8446), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8448), 1,
      sym_prefix_operator,
    STATE(3787), 1,
      sym_attribute,
    STATE(4232), 1,
      sym__attribute,
    STATE(7291), 1,
      sym__value_name,
    STATE(7304), 1,
      sym_parenthesized_operator,
    STATE(7314), 1,
      sym__constructor_name,
    STATE(8753), 1,
      sym__simple_expression,
    STATE(18911), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8392), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7233), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [84465] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3788), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14779), 1,
      sym__simple_expression,
    STATE(15831), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [84589] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3789), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14808), 1,
      sym__simple_expression,
    STATE(15911), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [84713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84785] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3791), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14789), 1,
      sym__simple_expression,
    STATE(15131), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [84909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85269] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3797), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14811), 1,
      sym__simple_expression,
    STATE(16053), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [85393] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3798), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14812), 1,
      sym__simple_expression,
    STATE(16197), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [85517] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85805] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3803), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14814), 1,
      sym__simple_expression,
    STATE(15420), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [85929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86145] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3807), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14792), 1,
      sym__simple_expression,
    STATE(15234), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [86269] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3808), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14818), 1,
      sym__simple_expression,
    STATE(16047), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [86393] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3809), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14763), 1,
      sym__simple_expression,
    STATE(15583), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [86517] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86589] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(3811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86663] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3812), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14820), 1,
      sym__simple_expression,
    STATE(16065), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [86787] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3813), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14821), 1,
      sym__simple_expression,
    STATE(15619), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [86911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87559] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3823), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14822), 1,
      sym__simple_expression,
    STATE(15115), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [87683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88259] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3832), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14755), 1,
      sym__simple_expression,
    STATE(16029), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [88383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88455] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(3834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89177] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89321] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89609] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3850), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14769), 1,
      sym__simple_expression,
    STATE(15280), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [89733] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(3851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89807] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8450), 1,
      anon_sym_LT_DASH,
    STATE(3852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90313] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3859), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14794), 1,
      sym__simple_expression,
    STATE(15340), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [90437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90509] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90581] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3862), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14826), 1,
      sym__simple_expression,
    STATE(15421), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [90705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90921] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(3866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90995] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3867), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14830), 1,
      sym__simple_expression,
    STATE(15788), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [91119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91767] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3265), 1,
      anon_sym_DOT,
    ACTIONS(3267), 1,
      anon_sym_POUND,
    ACTIONS(3269), 1,
      sym_hash_operator,
    STATE(3877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91845] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3878), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14783), 1,
      sym__simple_expression,
    STATE(16250), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [91969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92041] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92401] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92473] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3886), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14765), 1,
      sym__simple_expression,
    STATE(15843), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [92597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92669] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3255), 1,
      anon_sym_DOT,
    STATE(3888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92743] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93967] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3265), 1,
      anon_sym_DOT,
    ACTIONS(3267), 1,
      anon_sym_POUND,
    ACTIONS(3269), 1,
      sym_hash_operator,
    STATE(3906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94189] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3909), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14672), 1,
      sym__simple_expression,
    STATE(15402), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [94313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94601] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3914), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14774), 1,
      sym__simple_expression,
    STATE(15560), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [94725] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3915), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14833), 1,
      sym__simple_expression,
    STATE(16165), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [94849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94993] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(3918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95427] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3255), 1,
      anon_sym_DOT,
    ACTIONS(3257), 1,
      anon_sym_POUND,
    ACTIONS(3259), 1,
      sym_hash_operator,
    STATE(3924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95721] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3928), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14798), 1,
      sym__simple_expression,
    STATE(15446), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [95845] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      sym__lowercase_identifier,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(3929), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14240), 1,
      sym_field_path,
    STATE(14835), 1,
      sym__simple_expression,
    STATE(15100), 1,
      sym_field_expression,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [95969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96041] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96329] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3511), 1,
      anon_sym_DOT,
    ACTIONS(3513), 1,
      anon_sym_POUND,
    ACTIONS(3515), 1,
      sym_hash_operator,
    STATE(3935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96761] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96832] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3121), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(3942), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [96953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97024] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3139), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(3944), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [97145] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8452), 1,
      anon_sym_LT_DASH,
    STATE(3945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97218] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3157), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(3946), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [97339] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3163), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(3947), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [97460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97531] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3153), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(3949), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [97652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97865] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3229), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(3953), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [97986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98057] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98412] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3201), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(3960), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [98533] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3159), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(3961), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [98654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99222] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8454), 1,
      anon_sym_COLON,
    STATE(3970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8340), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [99295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99366] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3511), 1,
      anon_sym_DOT,
    STATE(3972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99510] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3231), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(3974), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [99631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100057] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100341] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3203), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(3985), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [100462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101101] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3119), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(3995), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [101222] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3123), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(3996), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [101343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101627] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101840] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3191), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4004), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [101961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102032] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3189), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4006), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102153] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3221), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4007), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102274] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3161), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4008), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102537] = 37,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5203), 1,
      sym__lowercase_identifier,
    ACTIONS(5205), 1,
      anon_sym_LPAREN,
    ACTIONS(5207), 1,
      anon_sym_LBRACK,
    ACTIONS(5211), 1,
      anon_sym_LBRACE,
    ACTIONS(5213), 1,
      anon_sym_POUND,
    ACTIONS(5215), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5217), 1,
      anon_sym_lazy,
    ACTIONS(5219), 1,
      anon_sym_begin,
    ACTIONS(5225), 1,
      aux_sym_number_token1,
    ACTIONS(5227), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5229), 1,
      anon_sym_SQUOTE,
    ACTIONS(5231), 1,
      anon_sym_DQUOTE,
    ACTIONS(5233), 1,
      sym__uppercase_identifier,
    ACTIONS(5235), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(8456), 1,
      anon_sym_rec,
    ACTIONS(8458), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8460), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2439), 1,
      sym_constructor_path,
    STATE(2440), 1,
      sym_tag,
    STATE(2476), 1,
      sym__binding_pattern,
    STATE(4011), 1,
      sym_attribute,
    STATE(4483), 1,
      sym__attribute,
    STATE(5405), 1,
      sym__signed_constant,
    STATE(5474), 1,
      sym__constructor_name,
    STATE(5533), 1,
      sym_record_binding_pattern,
    STATE(5547), 1,
      sym_list_binding_pattern,
    STATE(5574), 1,
      sym_array_binding_pattern,
    STATE(5651), 1,
      sym_parenthesized_operator,
    STATE(11746), 1,
      sym_let_binding,
    STATE(18682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5209), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5470), 2,
      sym__constant,
      sym_signed_number,
    STATE(5445), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5532), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [102672] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3181), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4012), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102864] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3217), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4014), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102985] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(4015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103058] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3117), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4016), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [103179] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3511), 1,
      anon_sym_DOT,
    ACTIONS(3513), 1,
      anon_sym_POUND,
    ACTIONS(3515), 1,
      sym_hash_operator,
    STATE(4017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103256] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3151), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4018), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [103377] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8462), 1,
      anon_sym_LT_DASH,
    STATE(4019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103450] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3249), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4020), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [103571] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3215), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4021), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [103692] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3135), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4022), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [103813] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3177), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4023), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [103934] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3197), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4024), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [104055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104197] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3211), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4027), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [104318] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3225), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4028), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [104439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104510] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3247), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4030), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [104631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104702] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3137), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4032), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [104823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104894] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3165), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4034), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [105015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105228] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3185), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4038), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [105349] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3195), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4039), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [105470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105896] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3213), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4046), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [106017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106301] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106585] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3245), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4055), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [106706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106777] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(4057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107063] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107205] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(4063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107349] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3193), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4065), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [107470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107683] = 37,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5169), 1,
      sym__lowercase_identifier,
    ACTIONS(5171), 1,
      anon_sym_LPAREN,
    ACTIONS(5173), 1,
      anon_sym_LBRACK,
    ACTIONS(5177), 1,
      anon_sym_LBRACE,
    ACTIONS(5179), 1,
      anon_sym_POUND,
    ACTIONS(5181), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5183), 1,
      anon_sym_lazy,
    ACTIONS(5185), 1,
      anon_sym_begin,
    ACTIONS(5191), 1,
      aux_sym_number_token1,
    ACTIONS(5193), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5195), 1,
      anon_sym_SQUOTE,
    ACTIONS(5197), 1,
      anon_sym_DQUOTE,
    ACTIONS(5199), 1,
      sym__uppercase_identifier,
    ACTIONS(5201), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(8464), 1,
      anon_sym_rec,
    ACTIONS(8466), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8468), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2438), 1,
      sym_constructor_path,
    STATE(2441), 1,
      sym_tag,
    STATE(2471), 1,
      sym__binding_pattern,
    STATE(4069), 1,
      sym_attribute,
    STATE(4496), 1,
      sym__attribute,
    STATE(5426), 1,
      sym__constructor_name,
    STATE(5491), 1,
      sym__signed_constant,
    STATE(5566), 1,
      sym_parenthesized_operator,
    STATE(5627), 1,
      sym_record_binding_pattern,
    STATE(5658), 1,
      sym_list_binding_pattern,
    STATE(5661), 1,
      sym_array_binding_pattern,
    STATE(11678), 1,
      sym_let_binding,
    STATE(18279), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5175), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5433), 2,
      sym__constant,
      sym_signed_number,
    STATE(5439), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5617), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [107818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108244] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3209), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4076), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [108365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108507] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8470), 1,
      anon_sym_COLON,
    STATE(4079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8340), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [108580] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3243), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4080), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [108701] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8094), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [108843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8472), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [108914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109056] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(4086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109555] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(4093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109699] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3179), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4095), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [109820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109962] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110104] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8094), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [110175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8472), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [110388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110601] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3183), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4107), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [110722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110935] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8476), 1,
      anon_sym_COLON,
    STATE(4111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8340), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [111008] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111292] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3365), 1,
      anon_sym_DOT,
    STATE(4116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112075] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3219), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4127), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [112196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112338] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3207), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4130), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [112459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112601] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8478), 1,
      anon_sym_COLON,
    STATE(4133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8340), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [112674] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(4134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113457] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3227), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4145), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [113578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113649] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3365), 1,
      anon_sym_DOT,
    ACTIONS(3367), 1,
      anon_sym_POUND,
    ACTIONS(3369), 1,
      sym_hash_operator,
    STATE(4147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113797] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3223), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4149), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [113918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113989] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3365), 1,
      anon_sym_DOT,
    ACTIONS(3367), 1,
      anon_sym_POUND,
    ACTIONS(3369), 1,
      sym_hash_operator,
    STATE(4151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114418] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(4157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114490] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_LBRACK,
    ACTIONS(1957), 1,
      anon_sym_LBRACE,
    ACTIONS(1959), 1,
      anon_sym_object,
    ACTIONS(1963), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1973), 1,
      anon_sym_new,
    ACTIONS(1975), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1977), 1,
      anon_sym_begin,
    ACTIONS(1979), 1,
      sym_ocamlyacc_value,
    ACTIONS(1981), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1983), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1985), 1,
      aux_sym_number_token1,
    ACTIONS(1987), 1,
      anon_sym_SQUOTE,
    ACTIONS(1989), 1,
      anon_sym_DQUOTE,
    ACTIONS(1991), 1,
      sym_prefix_operator,
    ACTIONS(1995), 1,
      sym__uppercase_identifier,
    ACTIONS(1997), 1,
      aux_sym_tag_token1,
    ACTIONS(5359), 1,
      sym__lowercase_identifier,
    STATE(4158), 1,
      sym_attribute,
    STATE(6129), 1,
      sym__simple_expression,
    STATE(6139), 1,
      sym__value_name,
    STATE(6208), 1,
      sym_parenthesized_operator,
    STATE(6282), 1,
      sym__constructor_name,
    STATE(18496), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6281), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6605), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [114608] = 29,
    ACTIONS(359), 1,
      anon_sym_LPAREN,
    ACTIONS(361), 1,
      anon_sym_LBRACK,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_object,
    ACTIONS(371), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(381), 1,
      anon_sym_new,
    ACTIONS(383), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(385), 1,
      anon_sym_begin,
    ACTIONS(387), 1,
      sym_ocamlyacc_value,
    ACTIONS(393), 1,
      aux_sym_number_token1,
    ACTIONS(395), 1,
      anon_sym_SQUOTE,
    ACTIONS(397), 1,
      anon_sym_DQUOTE,
    ACTIONS(399), 1,
      sym_prefix_operator,
    ACTIONS(403), 1,
      sym__uppercase_identifier,
    ACTIONS(405), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3061), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3063), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3103), 1,
      sym__lowercase_identifier,
    STATE(2954), 1,
      sym_parenthesized_operator,
    STATE(3180), 1,
      sym__constructor_name,
    STATE(3215), 1,
      sym__simple_expression,
    STATE(3254), 1,
      sym__value_name,
    STATE(4159), 1,
      sym_attribute,
    STATE(18572), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(363), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3173), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3206), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [114726] = 29,
    ACTIONS(359), 1,
      anon_sym_LPAREN,
    ACTIONS(361), 1,
      anon_sym_LBRACK,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_object,
    ACTIONS(371), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(381), 1,
      anon_sym_new,
    ACTIONS(383), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(385), 1,
      anon_sym_begin,
    ACTIONS(387), 1,
      sym_ocamlyacc_value,
    ACTIONS(393), 1,
      aux_sym_number_token1,
    ACTIONS(395), 1,
      anon_sym_SQUOTE,
    ACTIONS(397), 1,
      anon_sym_DQUOTE,
    ACTIONS(399), 1,
      sym_prefix_operator,
    ACTIONS(403), 1,
      sym__uppercase_identifier,
    ACTIONS(405), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3061), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3063), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3103), 1,
      sym__lowercase_identifier,
    STATE(2954), 1,
      sym_parenthesized_operator,
    STATE(3180), 1,
      sym__constructor_name,
    STATE(3225), 1,
      sym__simple_expression,
    STATE(3254), 1,
      sym__value_name,
    STATE(4160), 1,
      sym_attribute,
    STATE(18572), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(363), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3173), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3206), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [114844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8094), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [114914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114984] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1405), 1,
      anon_sym_LPAREN,
    ACTIONS(1407), 1,
      anon_sym_LBRACK,
    ACTIONS(1411), 1,
      anon_sym_LBRACE,
    ACTIONS(1413), 1,
      anon_sym_object,
    ACTIONS(1417), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1427), 1,
      anon_sym_new,
    ACTIONS(1429), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1431), 1,
      anon_sym_begin,
    ACTIONS(1433), 1,
      sym_ocamlyacc_value,
    ACTIONS(1435), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1437), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1439), 1,
      aux_sym_number_token1,
    ACTIONS(1441), 1,
      anon_sym_SQUOTE,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1445), 1,
      sym_prefix_operator,
    ACTIONS(1449), 1,
      sym__uppercase_identifier,
    ACTIONS(1451), 1,
      aux_sym_tag_token1,
    ACTIONS(5237), 1,
      sym__lowercase_identifier,
    STATE(4163), 1,
      sym_attribute,
    STATE(5901), 1,
      sym__simple_expression,
    STATE(5907), 1,
      sym__value_name,
    STATE(5936), 1,
      sym_parenthesized_operator,
    STATE(5965), 1,
      sym__constructor_name,
    STATE(18534), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5964), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5871), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [115102] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1281), 1,
      anon_sym_LPAREN,
    ACTIONS(1283), 1,
      anon_sym_LBRACK,
    ACTIONS(1287), 1,
      anon_sym_LBRACE,
    ACTIONS(1289), 1,
      anon_sym_object,
    ACTIONS(1293), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1311), 1,
      anon_sym_new,
    ACTIONS(1313), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1315), 1,
      anon_sym_begin,
    ACTIONS(1317), 1,
      sym_ocamlyacc_value,
    ACTIONS(1319), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1321), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1323), 1,
      aux_sym_number_token1,
    ACTIONS(1325), 1,
      anon_sym_SQUOTE,
    ACTIONS(1327), 1,
      anon_sym_DQUOTE,
    ACTIONS(1329), 1,
      sym_prefix_operator,
    ACTIONS(1333), 1,
      sym__uppercase_identifier,
    ACTIONS(1335), 1,
      aux_sym_tag_token1,
    ACTIONS(4903), 1,
      sym__lowercase_identifier,
    STATE(4164), 1,
      sym_attribute,
    STATE(5559), 1,
      sym__simple_expression,
    STATE(5613), 1,
      sym_parenthesized_operator,
    STATE(5614), 1,
      sym__value_name,
    STATE(5641), 1,
      sym__constructor_name,
    STATE(18610), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1285), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5573), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5553), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [115220] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1281), 1,
      anon_sym_LPAREN,
    ACTIONS(1283), 1,
      anon_sym_LBRACK,
    ACTIONS(1287), 1,
      anon_sym_LBRACE,
    ACTIONS(1289), 1,
      anon_sym_object,
    ACTIONS(1293), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1311), 1,
      anon_sym_new,
    ACTIONS(1313), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1315), 1,
      anon_sym_begin,
    ACTIONS(1317), 1,
      sym_ocamlyacc_value,
    ACTIONS(1319), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1321), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1323), 1,
      aux_sym_number_token1,
    ACTIONS(1325), 1,
      anon_sym_SQUOTE,
    ACTIONS(1327), 1,
      anon_sym_DQUOTE,
    ACTIONS(1329), 1,
      sym_prefix_operator,
    ACTIONS(1333), 1,
      sym__uppercase_identifier,
    ACTIONS(1335), 1,
      aux_sym_tag_token1,
    ACTIONS(4903), 1,
      sym__lowercase_identifier,
    STATE(4165), 1,
      sym_attribute,
    STATE(5576), 1,
      sym__simple_expression,
    STATE(5613), 1,
      sym_parenthesized_operator,
    STATE(5614), 1,
      sym__value_name,
    STATE(5641), 1,
      sym__constructor_name,
    STATE(18610), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1285), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5573), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5553), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [115338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115408] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5559), 1,
      sym__lowercase_identifier,
    ACTIONS(5567), 1,
      anon_sym_LPAREN,
    ACTIONS(5569), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5575), 1,
      anon_sym_object,
    ACTIONS(5577), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5579), 1,
      anon_sym_new,
    ACTIONS(5581), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5585), 1,
      sym_ocamlyacc_value,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      anon_sym_SQUOTE,
    ACTIONS(5595), 1,
      anon_sym_DQUOTE,
    ACTIONS(5597), 1,
      sym_prefix_operator,
    ACTIONS(5599), 1,
      sym__uppercase_identifier,
    ACTIONS(5601), 1,
      aux_sym_tag_token1,
    ACTIONS(8480), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8482), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4167), 1,
      sym_attribute,
    STATE(5917), 1,
      sym__constructor_name,
    STATE(6024), 1,
      sym__simple_expression,
    STATE(6051), 1,
      sym__value_name,
    STATE(6100), 1,
      sym_parenthesized_operator,
    STATE(17965), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5571), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5916), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6010), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [115526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115596] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6869), 1,
      sym__lowercase_identifier,
    ACTIONS(6873), 1,
      anon_sym_LPAREN,
    ACTIONS(6875), 1,
      anon_sym_LBRACK,
    ACTIONS(6879), 1,
      anon_sym_LBRACE,
    ACTIONS(6881), 1,
      anon_sym_object,
    ACTIONS(6883), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6885), 1,
      anon_sym_new,
    ACTIONS(6887), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6889), 1,
      anon_sym_begin,
    ACTIONS(6891), 1,
      sym_ocamlyacc_value,
    ACTIONS(6897), 1,
      aux_sym_number_token1,
    ACTIONS(6899), 1,
      anon_sym_SQUOTE,
    ACTIONS(6901), 1,
      anon_sym_DQUOTE,
    ACTIONS(6903), 1,
      sym_prefix_operator,
    ACTIONS(6905), 1,
      sym__uppercase_identifier,
    ACTIONS(6907), 1,
      aux_sym_tag_token1,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4169), 1,
      sym_attribute,
    STATE(7723), 1,
      sym__simple_expression,
    STATE(7819), 1,
      sym__value_name,
    STATE(7828), 1,
      sym_parenthesized_operator,
    STATE(7910), 1,
      sym__constructor_name,
    STATE(20269), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6877), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7908), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7935), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [115714] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4170), 1,
      sym_attribute,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(5220), 1,
      sym__simple_expression,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [115832] = 29,
    ACTIONS(359), 1,
      anon_sym_LPAREN,
    ACTIONS(361), 1,
      anon_sym_LBRACK,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_object,
    ACTIONS(371), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(381), 1,
      anon_sym_new,
    ACTIONS(383), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(385), 1,
      anon_sym_begin,
    ACTIONS(387), 1,
      sym_ocamlyacc_value,
    ACTIONS(393), 1,
      aux_sym_number_token1,
    ACTIONS(395), 1,
      anon_sym_SQUOTE,
    ACTIONS(397), 1,
      anon_sym_DQUOTE,
    ACTIONS(399), 1,
      sym_prefix_operator,
    ACTIONS(403), 1,
      sym__uppercase_identifier,
    ACTIONS(405), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3061), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3063), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3103), 1,
      sym__lowercase_identifier,
    STATE(2954), 1,
      sym_parenthesized_operator,
    STATE(3180), 1,
      sym__constructor_name,
    STATE(3242), 1,
      sym__simple_expression,
    STATE(3254), 1,
      sym__value_name,
    STATE(4171), 1,
      sym_attribute,
    STATE(18572), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(363), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3173), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3206), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [115950] = 29,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      anon_sym_LBRACE,
    ACTIONS(1073), 1,
      anon_sym_object,
    ACTIONS(1077), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1087), 1,
      anon_sym_new,
    ACTIONS(1089), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1091), 1,
      anon_sym_begin,
    ACTIONS(1093), 1,
      sym_ocamlyacc_value,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1097), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1099), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1101), 1,
      aux_sym_number_token1,
    ACTIONS(1103), 1,
      anon_sym_SQUOTE,
    ACTIONS(1105), 1,
      anon_sym_DQUOTE,
    ACTIONS(1107), 1,
      sym_prefix_operator,
    ACTIONS(1111), 1,
      sym__uppercase_identifier,
    ACTIONS(1113), 1,
      aux_sym_tag_token1,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4172), 1,
      sym_attribute,
    STATE(5142), 1,
      sym__constructor_name,
    STATE(5177), 1,
      sym__value_name,
    STATE(5218), 1,
      sym_parenthesized_operator,
    STATE(5222), 1,
      sym__simple_expression,
    STATE(18648), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1069), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5198), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5110), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [116068] = 29,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      anon_sym_LBRACE,
    ACTIONS(1073), 1,
      anon_sym_object,
    ACTIONS(1077), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1087), 1,
      anon_sym_new,
    ACTIONS(1089), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1091), 1,
      anon_sym_begin,
    ACTIONS(1093), 1,
      sym_ocamlyacc_value,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1097), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1099), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1101), 1,
      aux_sym_number_token1,
    ACTIONS(1103), 1,
      anon_sym_SQUOTE,
    ACTIONS(1105), 1,
      anon_sym_DQUOTE,
    ACTIONS(1107), 1,
      sym_prefix_operator,
    ACTIONS(1111), 1,
      sym__uppercase_identifier,
    ACTIONS(1113), 1,
      aux_sym_tag_token1,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4173), 1,
      sym_attribute,
    STATE(5142), 1,
      sym__constructor_name,
    STATE(5144), 1,
      sym__simple_expression,
    STATE(5177), 1,
      sym__value_name,
    STATE(5218), 1,
      sym_parenthesized_operator,
    STATE(18648), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1069), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5198), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5110), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [116186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116396] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1119), 1,
      anon_sym_LPAREN,
    ACTIONS(1121), 1,
      anon_sym_LBRACK,
    ACTIONS(1125), 1,
      anon_sym_LBRACE,
    ACTIONS(1127), 1,
      anon_sym_object,
    ACTIONS(1131), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1141), 1,
      anon_sym_new,
    ACTIONS(1143), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1145), 1,
      anon_sym_begin,
    ACTIONS(1147), 1,
      sym_ocamlyacc_value,
    ACTIONS(1149), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1151), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1153), 1,
      aux_sym_number_token1,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym_prefix_operator,
    ACTIONS(1163), 1,
      sym__uppercase_identifier,
    ACTIONS(1165), 1,
      aux_sym_tag_token1,
    ACTIONS(4713), 1,
      sym__lowercase_identifier,
    STATE(4177), 1,
      sym_attribute,
    STATE(5280), 1,
      sym__value_name,
    STATE(5281), 1,
      sym_parenthesized_operator,
    STATE(5337), 1,
      sym__simple_expression,
    STATE(5374), 1,
      sym__constructor_name,
    STATE(17911), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1123), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5290), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5326), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [116514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116584] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2575), 1,
      anon_sym_LPAREN,
    ACTIONS(2577), 1,
      anon_sym_LBRACK,
    ACTIONS(2581), 1,
      anon_sym_LBRACE,
    ACTIONS(2583), 1,
      anon_sym_object,
    ACTIONS(2587), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2597), 1,
      anon_sym_new,
    ACTIONS(2599), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2601), 1,
      anon_sym_begin,
    ACTIONS(2603), 1,
      sym_ocamlyacc_value,
    ACTIONS(2605), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2607), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2609), 1,
      aux_sym_number_token1,
    ACTIONS(2611), 1,
      anon_sym_SQUOTE,
    ACTIONS(2613), 1,
      anon_sym_DQUOTE,
    ACTIONS(2615), 1,
      sym_prefix_operator,
    ACTIONS(2619), 1,
      sym__uppercase_identifier,
    ACTIONS(2621), 1,
      aux_sym_tag_token1,
    ACTIONS(5371), 1,
      sym__lowercase_identifier,
    STATE(4179), 1,
      sym_attribute,
    STATE(6731), 1,
      sym__constructor_name,
    STATE(7021), 1,
      sym__simple_expression,
    STATE(7050), 1,
      sym__value_name,
    STATE(7084), 1,
      sym_parenthesized_operator,
    STATE(17533), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2579), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7114), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7016), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [116702] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1281), 1,
      anon_sym_LPAREN,
    ACTIONS(1283), 1,
      anon_sym_LBRACK,
    ACTIONS(1287), 1,
      anon_sym_LBRACE,
    ACTIONS(1289), 1,
      anon_sym_object,
    ACTIONS(1293), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1311), 1,
      anon_sym_new,
    ACTIONS(1313), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1315), 1,
      anon_sym_begin,
    ACTIONS(1317), 1,
      sym_ocamlyacc_value,
    ACTIONS(1319), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1321), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1323), 1,
      aux_sym_number_token1,
    ACTIONS(1325), 1,
      anon_sym_SQUOTE,
    ACTIONS(1327), 1,
      anon_sym_DQUOTE,
    ACTIONS(1329), 1,
      sym_prefix_operator,
    ACTIONS(1333), 1,
      sym__uppercase_identifier,
    ACTIONS(1335), 1,
      aux_sym_tag_token1,
    ACTIONS(4903), 1,
      sym__lowercase_identifier,
    STATE(4180), 1,
      sym_attribute,
    STATE(5599), 1,
      sym__simple_expression,
    STATE(5613), 1,
      sym_parenthesized_operator,
    STATE(5614), 1,
      sym__value_name,
    STATE(5641), 1,
      sym__constructor_name,
    STATE(18610), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1285), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5573), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5553), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [116820] = 29,
    ACTIONS(585), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(593), 1,
      anon_sym_object,
    ACTIONS(597), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(607), 1,
      anon_sym_new,
    ACTIONS(609), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(611), 1,
      anon_sym_begin,
    ACTIONS(613), 1,
      sym_ocamlyacc_value,
    ACTIONS(619), 1,
      aux_sym_number_token1,
    ACTIONS(621), 1,
      anon_sym_SQUOTE,
    ACTIONS(623), 1,
      anon_sym_DQUOTE,
    ACTIONS(625), 1,
      sym_prefix_operator,
    ACTIONS(629), 1,
      sym__uppercase_identifier,
    ACTIONS(631), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3069), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3071), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3125), 1,
      sym__lowercase_identifier,
    STATE(3347), 1,
      sym__constructor_name,
    STATE(3550), 1,
      sym_parenthesized_operator,
    STATE(3604), 1,
      sym__simple_expression,
    STATE(3661), 1,
      sym__value_name,
    STATE(4181), 1,
      sym_attribute,
    STATE(18685), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(589), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3346), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3596), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [116938] = 29,
    ACTIONS(585), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(593), 1,
      anon_sym_object,
    ACTIONS(597), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(607), 1,
      anon_sym_new,
    ACTIONS(609), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(611), 1,
      anon_sym_begin,
    ACTIONS(613), 1,
      sym_ocamlyacc_value,
    ACTIONS(619), 1,
      aux_sym_number_token1,
    ACTIONS(621), 1,
      anon_sym_SQUOTE,
    ACTIONS(623), 1,
      anon_sym_DQUOTE,
    ACTIONS(625), 1,
      sym_prefix_operator,
    ACTIONS(629), 1,
      sym__uppercase_identifier,
    ACTIONS(631), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3069), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3071), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3125), 1,
      sym__lowercase_identifier,
    STATE(3347), 1,
      sym__constructor_name,
    STATE(3550), 1,
      sym_parenthesized_operator,
    STATE(3621), 1,
      sym__simple_expression,
    STATE(3661), 1,
      sym__value_name,
    STATE(4182), 1,
      sym_attribute,
    STATE(18685), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(589), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3346), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3596), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [117056] = 29,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_LBRACE,
    ACTIONS(699), 1,
      anon_sym_object,
    ACTIONS(703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(713), 1,
      anon_sym_new,
    ACTIONS(715), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(717), 1,
      anon_sym_begin,
    ACTIONS(719), 1,
      sym_ocamlyacc_value,
    ACTIONS(725), 1,
      aux_sym_number_token1,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(731), 1,
      sym_prefix_operator,
    ACTIONS(735), 1,
      sym__uppercase_identifier,
    ACTIONS(737), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3113), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3115), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3261), 1,
      sym__lowercase_identifier,
    STATE(3734), 1,
      sym_parenthesized_operator,
    STATE(3822), 1,
      sym__simple_expression,
    STATE(3826), 1,
      sym__constructor_name,
    STATE(3861), 1,
      sym__value_name,
    STATE(4183), 1,
      sym_attribute,
    STATE(18219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(695), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3814), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3817), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [117174] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2575), 1,
      anon_sym_LPAREN,
    ACTIONS(2577), 1,
      anon_sym_LBRACK,
    ACTIONS(2581), 1,
      anon_sym_LBRACE,
    ACTIONS(2583), 1,
      anon_sym_object,
    ACTIONS(2587), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2597), 1,
      anon_sym_new,
    ACTIONS(2599), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2601), 1,
      anon_sym_begin,
    ACTIONS(2603), 1,
      sym_ocamlyacc_value,
    ACTIONS(2605), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2607), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2609), 1,
      aux_sym_number_token1,
    ACTIONS(2611), 1,
      anon_sym_SQUOTE,
    ACTIONS(2613), 1,
      anon_sym_DQUOTE,
    ACTIONS(2615), 1,
      sym_prefix_operator,
    ACTIONS(2619), 1,
      sym__uppercase_identifier,
    ACTIONS(2621), 1,
      aux_sym_tag_token1,
    ACTIONS(5371), 1,
      sym__lowercase_identifier,
    STATE(4184), 1,
      sym_attribute,
    STATE(6731), 1,
      sym__constructor_name,
    STATE(7029), 1,
      sym__simple_expression,
    STATE(7050), 1,
      sym__value_name,
    STATE(7084), 1,
      sym_parenthesized_operator,
    STATE(17533), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2579), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7114), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7016), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [117292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117362] = 29,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      anon_sym_LBRACE,
    ACTIONS(1073), 1,
      anon_sym_object,
    ACTIONS(1077), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1087), 1,
      anon_sym_new,
    ACTIONS(1089), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1091), 1,
      anon_sym_begin,
    ACTIONS(1093), 1,
      sym_ocamlyacc_value,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1097), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1099), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1101), 1,
      aux_sym_number_token1,
    ACTIONS(1103), 1,
      anon_sym_SQUOTE,
    ACTIONS(1105), 1,
      anon_sym_DQUOTE,
    ACTIONS(1107), 1,
      sym_prefix_operator,
    ACTIONS(1111), 1,
      sym__uppercase_identifier,
    ACTIONS(1113), 1,
      aux_sym_tag_token1,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4186), 1,
      sym_attribute,
    STATE(5133), 1,
      sym__simple_expression,
    STATE(5142), 1,
      sym__constructor_name,
    STATE(5177), 1,
      sym__value_name,
    STATE(5218), 1,
      sym_parenthesized_operator,
    STATE(18648), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1069), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5198), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5110), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [117480] = 29,
    ACTIONS(637), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_object,
    ACTIONS(649), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(659), 1,
      anon_sym_new,
    ACTIONS(661), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(663), 1,
      anon_sym_begin,
    ACTIONS(665), 1,
      sym_ocamlyacc_value,
    ACTIONS(671), 1,
      aux_sym_number_token1,
    ACTIONS(673), 1,
      anon_sym_SQUOTE,
    ACTIONS(675), 1,
      anon_sym_DQUOTE,
    ACTIONS(677), 1,
      sym_prefix_operator,
    ACTIONS(681), 1,
      sym__uppercase_identifier,
    ACTIONS(683), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3073), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3075), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3141), 1,
      sym__lowercase_identifier,
    STATE(3285), 1,
      sym__value_name,
    STATE(3361), 1,
      sym__constructor_name,
    STATE(3631), 1,
      sym_parenthesized_operator,
    STATE(3669), 1,
      sym__simple_expression,
    STATE(4187), 1,
      sym_attribute,
    STATE(18722), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(641), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3360), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3660), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [117598] = 29,
    ACTIONS(637), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_object,
    ACTIONS(649), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(659), 1,
      anon_sym_new,
    ACTIONS(661), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(663), 1,
      anon_sym_begin,
    ACTIONS(665), 1,
      sym_ocamlyacc_value,
    ACTIONS(671), 1,
      aux_sym_number_token1,
    ACTIONS(673), 1,
      anon_sym_SQUOTE,
    ACTIONS(675), 1,
      anon_sym_DQUOTE,
    ACTIONS(677), 1,
      sym_prefix_operator,
    ACTIONS(681), 1,
      sym__uppercase_identifier,
    ACTIONS(683), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3073), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3075), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3141), 1,
      sym__lowercase_identifier,
    STATE(3285), 1,
      sym__value_name,
    STATE(3361), 1,
      sym__constructor_name,
    STATE(3631), 1,
      sym_parenthesized_operator,
    STATE(3685), 1,
      sym__simple_expression,
    STATE(4188), 1,
      sym_attribute,
    STATE(18722), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(641), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3360), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3660), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [117716] = 29,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_LBRACE,
    ACTIONS(699), 1,
      anon_sym_object,
    ACTIONS(703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(713), 1,
      anon_sym_new,
    ACTIONS(715), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(717), 1,
      anon_sym_begin,
    ACTIONS(719), 1,
      sym_ocamlyacc_value,
    ACTIONS(725), 1,
      aux_sym_number_token1,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(731), 1,
      sym_prefix_operator,
    ACTIONS(735), 1,
      sym__uppercase_identifier,
    ACTIONS(737), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3113), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3115), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3261), 1,
      sym__lowercase_identifier,
    STATE(3715), 1,
      sym__simple_expression,
    STATE(3734), 1,
      sym_parenthesized_operator,
    STATE(3826), 1,
      sym__constructor_name,
    STATE(3861), 1,
      sym__value_name,
    STATE(4189), 1,
      sym_attribute,
    STATE(18219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(695), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3814), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3817), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [117834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117904] = 29,
    ACTIONS(585), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(593), 1,
      anon_sym_object,
    ACTIONS(597), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(607), 1,
      anon_sym_new,
    ACTIONS(609), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(611), 1,
      anon_sym_begin,
    ACTIONS(613), 1,
      sym_ocamlyacc_value,
    ACTIONS(619), 1,
      aux_sym_number_token1,
    ACTIONS(621), 1,
      anon_sym_SQUOTE,
    ACTIONS(623), 1,
      anon_sym_DQUOTE,
    ACTIONS(625), 1,
      sym_prefix_operator,
    ACTIONS(629), 1,
      sym__uppercase_identifier,
    ACTIONS(631), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3069), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3071), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3125), 1,
      sym__lowercase_identifier,
    STATE(3347), 1,
      sym__constructor_name,
    STATE(3550), 1,
      sym_parenthesized_operator,
    STATE(3648), 1,
      sym__simple_expression,
    STATE(3661), 1,
      sym__value_name,
    STATE(4191), 1,
      sym_attribute,
    STATE(18685), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(589), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3346), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3596), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118092] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8300), 1,
      sym__lowercase_identifier,
    ACTIONS(8302), 1,
      anon_sym_LPAREN,
    ACTIONS(8304), 1,
      anon_sym_LBRACK,
    ACTIONS(8308), 1,
      anon_sym_LBRACE,
    ACTIONS(8310), 1,
      anon_sym_object,
    ACTIONS(8312), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8314), 1,
      anon_sym_new,
    ACTIONS(8316), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8318), 1,
      anon_sym_begin,
    ACTIONS(8320), 1,
      sym_ocamlyacc_value,
    ACTIONS(8322), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8324), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8328), 1,
      aux_sym_number_token1,
    ACTIONS(8330), 1,
      anon_sym_SQUOTE,
    ACTIONS(8332), 1,
      anon_sym_DQUOTE,
    ACTIONS(8334), 1,
      sym_prefix_operator,
    ACTIONS(8336), 1,
      sym__uppercase_identifier,
    ACTIONS(8338), 1,
      aux_sym_tag_token1,
    STATE(4193), 1,
      sym_attribute,
    STATE(9486), 1,
      sym__value_name,
    STATE(9585), 1,
      sym_parenthesized_operator,
    STATE(9610), 1,
      sym__simple_expression,
    STATE(9695), 1,
      sym__constructor_name,
    STATE(18099), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9662), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9431), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118210] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8300), 1,
      sym__lowercase_identifier,
    ACTIONS(8302), 1,
      anon_sym_LPAREN,
    ACTIONS(8304), 1,
      anon_sym_LBRACK,
    ACTIONS(8308), 1,
      anon_sym_LBRACE,
    ACTIONS(8310), 1,
      anon_sym_object,
    ACTIONS(8312), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8314), 1,
      anon_sym_new,
    ACTIONS(8316), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8318), 1,
      anon_sym_begin,
    ACTIONS(8320), 1,
      sym_ocamlyacc_value,
    ACTIONS(8322), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8324), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8328), 1,
      aux_sym_number_token1,
    ACTIONS(8330), 1,
      anon_sym_SQUOTE,
    ACTIONS(8332), 1,
      anon_sym_DQUOTE,
    ACTIONS(8334), 1,
      sym_prefix_operator,
    ACTIONS(8336), 1,
      sym__uppercase_identifier,
    ACTIONS(8338), 1,
      aux_sym_tag_token1,
    STATE(4194), 1,
      sym_attribute,
    STATE(9486), 1,
      sym__value_name,
    STATE(9585), 1,
      sym_parenthesized_operator,
    STATE(9623), 1,
      sym__simple_expression,
    STATE(9695), 1,
      sym__constructor_name,
    STATE(18099), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9662), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9431), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118328] = 29,
    ACTIONS(637), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_object,
    ACTIONS(649), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(659), 1,
      anon_sym_new,
    ACTIONS(661), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(663), 1,
      anon_sym_begin,
    ACTIONS(665), 1,
      sym_ocamlyacc_value,
    ACTIONS(671), 1,
      aux_sym_number_token1,
    ACTIONS(673), 1,
      anon_sym_SQUOTE,
    ACTIONS(675), 1,
      anon_sym_DQUOTE,
    ACTIONS(677), 1,
      sym_prefix_operator,
    ACTIONS(681), 1,
      sym__uppercase_identifier,
    ACTIONS(683), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3073), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3075), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3141), 1,
      sym__lowercase_identifier,
    STATE(3285), 1,
      sym__value_name,
    STATE(3361), 1,
      sym__constructor_name,
    STATE(3631), 1,
      sym_parenthesized_operator,
    STATE(3710), 1,
      sym__simple_expression,
    STATE(4195), 1,
      sym_attribute,
    STATE(18722), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(641), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3360), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3660), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118796] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(8420), 1,
      sym__lowercase_identifier,
    ACTIONS(8422), 1,
      anon_sym_LPAREN,
    ACTIONS(8426), 1,
      anon_sym_LBRACE,
    ACTIONS(8428), 1,
      anon_sym_begin,
    ACTIONS(8430), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8432), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8434), 1,
      aux_sym_number_token1,
    ACTIONS(8436), 1,
      anon_sym_SQUOTE,
    ACTIONS(8438), 1,
      anon_sym_DQUOTE,
    ACTIONS(8440), 1,
      sym_prefix_operator,
    STATE(4201), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(7324), 1,
      sym__simple_expression,
    STATE(18175), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8424), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7372), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118914] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(8420), 1,
      sym__lowercase_identifier,
    ACTIONS(8422), 1,
      anon_sym_LPAREN,
    ACTIONS(8426), 1,
      anon_sym_LBRACE,
    ACTIONS(8428), 1,
      anon_sym_begin,
    ACTIONS(8430), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8432), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8434), 1,
      aux_sym_number_token1,
    ACTIONS(8436), 1,
      anon_sym_SQUOTE,
    ACTIONS(8438), 1,
      anon_sym_DQUOTE,
    ACTIONS(8440), 1,
      sym_prefix_operator,
    STATE(4202), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(7451), 1,
      sym__simple_expression,
    STATE(18175), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8424), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7372), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119312] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(8420), 1,
      sym__lowercase_identifier,
    STATE(4207), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(7324), 1,
      sym__simple_expression,
    STATE(20264), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119430] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4047), 1,
      anon_sym_DOT,
    ACTIONS(4049), 1,
      anon_sym_POUND,
    ACTIONS(4051), 1,
      sym_hash_operator,
    STATE(4208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119856] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2693), 1,
      anon_sym_LPAREN,
    ACTIONS(2695), 1,
      anon_sym_LBRACK,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    ACTIONS(2701), 1,
      anon_sym_object,
    ACTIONS(2705), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2715), 1,
      anon_sym_new,
    ACTIONS(2717), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2719), 1,
      anon_sym_begin,
    ACTIONS(2721), 1,
      sym_ocamlyacc_value,
    ACTIONS(2723), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2725), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2727), 1,
      aux_sym_number_token1,
    ACTIONS(2729), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_DQUOTE,
    ACTIONS(2733), 1,
      sym_prefix_operator,
    ACTIONS(2737), 1,
      sym__uppercase_identifier,
    ACTIONS(2739), 1,
      aux_sym_tag_token1,
    ACTIONS(5527), 1,
      sym__lowercase_identifier,
    STATE(4214), 1,
      sym_attribute,
    STATE(6769), 1,
      sym_parenthesized_operator,
    STATE(6941), 1,
      sym__constructor_name,
    STATE(7095), 1,
      sym__simple_expression,
    STATE(7126), 1,
      sym__value_name,
    STATE(17859), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2697), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6911), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7123), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119974] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2797), 1,
      anon_sym_LPAREN,
    ACTIONS(2799), 1,
      anon_sym_LBRACK,
    ACTIONS(2803), 1,
      anon_sym_LBRACE,
    ACTIONS(2805), 1,
      anon_sym_object,
    ACTIONS(2809), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2819), 1,
      anon_sym_new,
    ACTIONS(2821), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2823), 1,
      anon_sym_begin,
    ACTIONS(2825), 1,
      sym_ocamlyacc_value,
    ACTIONS(2827), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2829), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2831), 1,
      aux_sym_number_token1,
    ACTIONS(2833), 1,
      anon_sym_SQUOTE,
    ACTIONS(2835), 1,
      anon_sym_DQUOTE,
    ACTIONS(2837), 1,
      sym_prefix_operator,
    ACTIONS(2841), 1,
      sym__uppercase_identifier,
    ACTIONS(2843), 1,
      aux_sym_tag_token1,
    ACTIONS(5517), 1,
      sym__lowercase_identifier,
    STATE(4215), 1,
      sym_attribute,
    STATE(6847), 1,
      sym__value_name,
    STATE(6870), 1,
      sym__simple_expression,
    STATE(6907), 1,
      sym_parenthesized_operator,
    STATE(7001), 1,
      sym__constructor_name,
    STATE(18656), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2801), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7000), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6844), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120162] = 29,
    ACTIONS(413), 1,
      anon_sym_LPAREN,
    ACTIONS(417), 1,
      anon_sym_LBRACK,
    ACTIONS(421), 1,
      anon_sym_LBRACE,
    ACTIONS(431), 1,
      anon_sym_object,
    ACTIONS(435), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(445), 1,
      anon_sym_new,
    ACTIONS(447), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(449), 1,
      anon_sym_begin,
    ACTIONS(451), 1,
      sym_ocamlyacc_value,
    ACTIONS(457), 1,
      aux_sym_number_token1,
    ACTIONS(459), 1,
      anon_sym_SQUOTE,
    ACTIONS(461), 1,
      anon_sym_DQUOTE,
    ACTIONS(463), 1,
      sym_prefix_operator,
    ACTIONS(469), 1,
      sym__uppercase_identifier,
    ACTIONS(473), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3037), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3039), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4053), 1,
      sym__lowercase_identifier,
    STATE(4178), 1,
      sym__value_name,
    STATE(4185), 1,
      sym__constructor_name,
    STATE(4217), 1,
      sym_attribute,
    STATE(4277), 1,
      sym__simple_expression,
    STATE(4398), 1,
      sym_parenthesized_operator,
    STATE(19501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(419), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4174), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4389), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120280] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2193), 1,
      anon_sym_LPAREN,
    ACTIONS(2195), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_object,
    ACTIONS(2205), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2215), 1,
      anon_sym_new,
    ACTIONS(2217), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2219), 1,
      anon_sym_begin,
    ACTIONS(2221), 1,
      sym_ocamlyacc_value,
    ACTIONS(2223), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2225), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2227), 1,
      aux_sym_number_token1,
    ACTIONS(2229), 1,
      anon_sym_SQUOTE,
    ACTIONS(2231), 1,
      anon_sym_DQUOTE,
    ACTIONS(2233), 1,
      sym_prefix_operator,
    ACTIONS(2237), 1,
      sym__uppercase_identifier,
    ACTIONS(2239), 1,
      aux_sym_tag_token1,
    ACTIONS(5317), 1,
      sym__lowercase_identifier,
    STATE(4218), 1,
      sym_attribute,
    STATE(6194), 1,
      sym__constructor_name,
    STATE(6529), 1,
      sym__value_name,
    STATE(6604), 1,
      sym__simple_expression,
    STATE(6684), 1,
      sym_parenthesized_operator,
    STATE(18018), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2197), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6192), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6486), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120398] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4047), 1,
      anon_sym_DOT,
    STATE(4219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120540] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7926), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7940), 1,
      anon_sym_begin,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7944), 1,
      sym_prefix_operator,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(8420), 1,
      sym__lowercase_identifier,
    STATE(4221), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(14504), 1,
      sym__simple_expression,
    STATE(20264), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120798] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5603), 1,
      sym__lowercase_identifier,
    ACTIONS(5611), 1,
      anon_sym_LPAREN,
    ACTIONS(5613), 1,
      anon_sym_LBRACK,
    ACTIONS(5617), 1,
      anon_sym_LBRACE,
    ACTIONS(5619), 1,
      anon_sym_object,
    ACTIONS(5621), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5623), 1,
      anon_sym_new,
    ACTIONS(5625), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5627), 1,
      anon_sym_begin,
    ACTIONS(5629), 1,
      sym_ocamlyacc_value,
    ACTIONS(5635), 1,
      aux_sym_number_token1,
    ACTIONS(5637), 1,
      anon_sym_SQUOTE,
    ACTIONS(5639), 1,
      anon_sym_DQUOTE,
    ACTIONS(5641), 1,
      sym_prefix_operator,
    ACTIONS(5643), 1,
      sym__uppercase_identifier,
    ACTIONS(5645), 1,
      aux_sym_tag_token1,
    ACTIONS(8488), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8490), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4224), 1,
      sym_attribute,
    STATE(5845), 1,
      sym__value_name,
    STATE(5858), 1,
      sym_parenthesized_operator,
    STATE(5946), 1,
      sym__constructor_name,
    STATE(5971), 1,
      sym__simple_expression,
    STATE(18259), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5615), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5945), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6103), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120916] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5603), 1,
      sym__lowercase_identifier,
    ACTIONS(5611), 1,
      anon_sym_LPAREN,
    ACTIONS(5613), 1,
      anon_sym_LBRACK,
    ACTIONS(5617), 1,
      anon_sym_LBRACE,
    ACTIONS(5619), 1,
      anon_sym_object,
    ACTIONS(5621), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5623), 1,
      anon_sym_new,
    ACTIONS(5625), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5627), 1,
      anon_sym_begin,
    ACTIONS(5629), 1,
      sym_ocamlyacc_value,
    ACTIONS(5635), 1,
      aux_sym_number_token1,
    ACTIONS(5637), 1,
      anon_sym_SQUOTE,
    ACTIONS(5639), 1,
      anon_sym_DQUOTE,
    ACTIONS(5641), 1,
      sym_prefix_operator,
    ACTIONS(5643), 1,
      sym__uppercase_identifier,
    ACTIONS(5645), 1,
      aux_sym_tag_token1,
    ACTIONS(8488), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8490), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4225), 1,
      sym_attribute,
    STATE(5817), 1,
      sym__simple_expression,
    STATE(5845), 1,
      sym__value_name,
    STATE(5858), 1,
      sym_parenthesized_operator,
    STATE(5946), 1,
      sym__constructor_name,
    STATE(18259), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5615), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5945), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6103), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [121034] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(4226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121386] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8386), 1,
      sym__lowercase_identifier,
    ACTIONS(8388), 1,
      anon_sym_LPAREN,
    ACTIONS(8390), 1,
      anon_sym_LBRACK,
    ACTIONS(8394), 1,
      anon_sym_LBRACE,
    ACTIONS(8396), 1,
      anon_sym_object,
    ACTIONS(8398), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8400), 1,
      anon_sym_new,
    ACTIONS(8402), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8404), 1,
      anon_sym_begin,
    ACTIONS(8406), 1,
      sym_ocamlyacc_value,
    ACTIONS(8408), 1,
      aux_sym_number_token1,
    ACTIONS(8410), 1,
      anon_sym_SQUOTE,
    ACTIONS(8412), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      sym__uppercase_identifier,
    ACTIONS(8418), 1,
      aux_sym_tag_token1,
    ACTIONS(8444), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8446), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8448), 1,
      sym_prefix_operator,
    STATE(4231), 1,
      sym_attribute,
    STATE(7291), 1,
      sym__value_name,
    STATE(7304), 1,
      sym_parenthesized_operator,
    STATE(7314), 1,
      sym__constructor_name,
    STATE(8796), 1,
      sym__simple_expression,
    STATE(18911), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8392), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7233), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [121504] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8386), 1,
      sym__lowercase_identifier,
    ACTIONS(8388), 1,
      anon_sym_LPAREN,
    ACTIONS(8390), 1,
      anon_sym_LBRACK,
    ACTIONS(8394), 1,
      anon_sym_LBRACE,
    ACTIONS(8396), 1,
      anon_sym_object,
    ACTIONS(8398), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8400), 1,
      anon_sym_new,
    ACTIONS(8402), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8404), 1,
      anon_sym_begin,
    ACTIONS(8406), 1,
      sym_ocamlyacc_value,
    ACTIONS(8408), 1,
      aux_sym_number_token1,
    ACTIONS(8410), 1,
      anon_sym_SQUOTE,
    ACTIONS(8412), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      sym__uppercase_identifier,
    ACTIONS(8418), 1,
      aux_sym_tag_token1,
    ACTIONS(8444), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8446), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8448), 1,
      sym_prefix_operator,
    STATE(4232), 1,
      sym_attribute,
    STATE(7291), 1,
      sym__value_name,
    STATE(7304), 1,
      sym_parenthesized_operator,
    STATE(7314), 1,
      sym__constructor_name,
    STATE(8797), 1,
      sym__simple_expression,
    STATE(18911), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8392), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7233), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [121622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121692] = 29,
    ACTIONS(809), 1,
      anon_sym_LPAREN,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    ACTIONS(815), 1,
      anon_sym_LBRACE,
    ACTIONS(817), 1,
      anon_sym_object,
    ACTIONS(821), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(831), 1,
      anon_sym_new,
    ACTIONS(833), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(835), 1,
      anon_sym_begin,
    ACTIONS(837), 1,
      sym_ocamlyacc_value,
    ACTIONS(843), 1,
      aux_sym_number_token1,
    ACTIONS(845), 1,
      anon_sym_SQUOTE,
    ACTIONS(847), 1,
      anon_sym_DQUOTE,
    ACTIONS(849), 1,
      sym_prefix_operator,
    ACTIONS(853), 1,
      sym__uppercase_identifier,
    ACTIONS(855), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3077), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3079), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3361), 1,
      sym__lowercase_identifier,
    STATE(4003), 1,
      sym_parenthesized_operator,
    STATE(4059), 1,
      sym__constructor_name,
    STATE(4106), 1,
      sym__simple_expression,
    STATE(4146), 1,
      sym__value_name,
    STATE(4234), 1,
      sym_attribute,
    STATE(17476), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(813), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4058), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4090), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [121810] = 29,
    ACTIONS(809), 1,
      anon_sym_LPAREN,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    ACTIONS(815), 1,
      anon_sym_LBRACE,
    ACTIONS(817), 1,
      anon_sym_object,
    ACTIONS(821), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(831), 1,
      anon_sym_new,
    ACTIONS(833), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(835), 1,
      anon_sym_begin,
    ACTIONS(837), 1,
      sym_ocamlyacc_value,
    ACTIONS(843), 1,
      aux_sym_number_token1,
    ACTIONS(845), 1,
      anon_sym_SQUOTE,
    ACTIONS(847), 1,
      anon_sym_DQUOTE,
    ACTIONS(849), 1,
      sym_prefix_operator,
    ACTIONS(853), 1,
      sym__uppercase_identifier,
    ACTIONS(855), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3077), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3079), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3361), 1,
      sym__lowercase_identifier,
    STATE(4003), 1,
      sym_parenthesized_operator,
    STATE(4059), 1,
      sym__constructor_name,
    STATE(4116), 1,
      sym__simple_expression,
    STATE(4146), 1,
      sym__value_name,
    STATE(4235), 1,
      sym_attribute,
    STATE(17476), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(813), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4058), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4090), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [121928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122068] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5603), 1,
      sym__lowercase_identifier,
    ACTIONS(5611), 1,
      anon_sym_LPAREN,
    ACTIONS(5613), 1,
      anon_sym_LBRACK,
    ACTIONS(5617), 1,
      anon_sym_LBRACE,
    ACTIONS(5619), 1,
      anon_sym_object,
    ACTIONS(5621), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5623), 1,
      anon_sym_new,
    ACTIONS(5625), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5627), 1,
      anon_sym_begin,
    ACTIONS(5629), 1,
      sym_ocamlyacc_value,
    ACTIONS(5635), 1,
      aux_sym_number_token1,
    ACTIONS(5637), 1,
      anon_sym_SQUOTE,
    ACTIONS(5639), 1,
      anon_sym_DQUOTE,
    ACTIONS(5641), 1,
      sym_prefix_operator,
    ACTIONS(5643), 1,
      sym__uppercase_identifier,
    ACTIONS(5645), 1,
      aux_sym_tag_token1,
    ACTIONS(8488), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8490), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4238), 1,
      sym_attribute,
    STATE(5845), 1,
      sym__value_name,
    STATE(5858), 1,
      sym_parenthesized_operator,
    STATE(5946), 1,
      sym__constructor_name,
    STATE(6006), 1,
      sym__simple_expression,
    STATE(18259), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5615), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5945), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6103), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [122186] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2797), 1,
      anon_sym_LPAREN,
    ACTIONS(2799), 1,
      anon_sym_LBRACK,
    ACTIONS(2803), 1,
      anon_sym_LBRACE,
    ACTIONS(2805), 1,
      anon_sym_object,
    ACTIONS(2809), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2819), 1,
      anon_sym_new,
    ACTIONS(2821), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2823), 1,
      anon_sym_begin,
    ACTIONS(2825), 1,
      sym_ocamlyacc_value,
    ACTIONS(2827), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2829), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2831), 1,
      aux_sym_number_token1,
    ACTIONS(2833), 1,
      anon_sym_SQUOTE,
    ACTIONS(2835), 1,
      anon_sym_DQUOTE,
    ACTIONS(2837), 1,
      sym_prefix_operator,
    ACTIONS(2841), 1,
      sym__uppercase_identifier,
    ACTIONS(2843), 1,
      aux_sym_tag_token1,
    ACTIONS(5517), 1,
      sym__lowercase_identifier,
    STATE(4239), 1,
      sym_attribute,
    STATE(6829), 1,
      sym__simple_expression,
    STATE(6847), 1,
      sym__value_name,
    STATE(6907), 1,
      sym_parenthesized_operator,
    STATE(7001), 1,
      sym__constructor_name,
    STATE(18656), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2801), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7000), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6844), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [122304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122444] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2193), 1,
      anon_sym_LPAREN,
    ACTIONS(2195), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_object,
    ACTIONS(2205), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2215), 1,
      anon_sym_new,
    ACTIONS(2217), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2219), 1,
      anon_sym_begin,
    ACTIONS(2221), 1,
      sym_ocamlyacc_value,
    ACTIONS(2223), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2225), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2227), 1,
      aux_sym_number_token1,
    ACTIONS(2229), 1,
      anon_sym_SQUOTE,
    ACTIONS(2231), 1,
      anon_sym_DQUOTE,
    ACTIONS(2233), 1,
      sym_prefix_operator,
    ACTIONS(2237), 1,
      sym__uppercase_identifier,
    ACTIONS(2239), 1,
      aux_sym_tag_token1,
    ACTIONS(5317), 1,
      sym__lowercase_identifier,
    STATE(4242), 1,
      sym_attribute,
    STATE(6194), 1,
      sym__constructor_name,
    STATE(6493), 1,
      sym__simple_expression,
    STATE(6529), 1,
      sym__value_name,
    STATE(6684), 1,
      sym_parenthesized_operator,
    STATE(18018), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2197), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6192), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6486), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [122562] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122912] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2193), 1,
      anon_sym_LPAREN,
    ACTIONS(2195), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_object,
    ACTIONS(2205), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2215), 1,
      anon_sym_new,
    ACTIONS(2217), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2219), 1,
      anon_sym_begin,
    ACTIONS(2221), 1,
      sym_ocamlyacc_value,
    ACTIONS(2223), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2225), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2227), 1,
      aux_sym_number_token1,
    ACTIONS(2229), 1,
      anon_sym_SQUOTE,
    ACTIONS(2231), 1,
      anon_sym_DQUOTE,
    ACTIONS(2233), 1,
      sym_prefix_operator,
    ACTIONS(2237), 1,
      sym__uppercase_identifier,
    ACTIONS(2239), 1,
      aux_sym_tag_token1,
    ACTIONS(5317), 1,
      sym__lowercase_identifier,
    STATE(4248), 1,
      sym_attribute,
    STATE(6194), 1,
      sym__constructor_name,
    STATE(6502), 1,
      sym__simple_expression,
    STATE(6529), 1,
      sym__value_name,
    STATE(6684), 1,
      sym_parenthesized_operator,
    STATE(18018), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2197), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6192), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6486), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123030] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1513), 1,
      anon_sym_LPAREN,
    ACTIONS(1515), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LBRACE,
    ACTIONS(1521), 1,
      anon_sym_object,
    ACTIONS(1525), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1535), 1,
      anon_sym_new,
    ACTIONS(1537), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1539), 1,
      anon_sym_begin,
    ACTIONS(1541), 1,
      sym_ocamlyacc_value,
    ACTIONS(1543), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1545), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1547), 1,
      aux_sym_number_token1,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      sym_prefix_operator,
    ACTIONS(1557), 1,
      sym__uppercase_identifier,
    ACTIONS(1559), 1,
      aux_sym_tag_token1,
    ACTIONS(5307), 1,
      sym__lowercase_identifier,
    STATE(4249), 1,
      sym_attribute,
    STATE(6179), 1,
      sym__constructor_name,
    STATE(6447), 1,
      sym__value_name,
    STATE(6452), 1,
      sym__simple_expression,
    STATE(6474), 1,
      sym_parenthesized_operator,
    STATE(17587), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1517), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6178), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6412), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123218] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6869), 1,
      sym__lowercase_identifier,
    ACTIONS(6873), 1,
      anon_sym_LPAREN,
    ACTIONS(6875), 1,
      anon_sym_LBRACK,
    ACTIONS(6879), 1,
      anon_sym_LBRACE,
    ACTIONS(6881), 1,
      anon_sym_object,
    ACTIONS(6883), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6885), 1,
      anon_sym_new,
    ACTIONS(6887), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6889), 1,
      anon_sym_begin,
    ACTIONS(6891), 1,
      sym_ocamlyacc_value,
    ACTIONS(6897), 1,
      aux_sym_number_token1,
    ACTIONS(6899), 1,
      anon_sym_SQUOTE,
    ACTIONS(6901), 1,
      anon_sym_DQUOTE,
    ACTIONS(6903), 1,
      sym_prefix_operator,
    ACTIONS(6905), 1,
      sym__uppercase_identifier,
    ACTIONS(6907), 1,
      aux_sym_tag_token1,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4251), 1,
      sym_attribute,
    STATE(7760), 1,
      sym__simple_expression,
    STATE(7819), 1,
      sym__value_name,
    STATE(7828), 1,
      sym_parenthesized_operator,
    STATE(7910), 1,
      sym__constructor_name,
    STATE(20269), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6877), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7908), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7935), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123336] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6869), 1,
      sym__lowercase_identifier,
    ACTIONS(6873), 1,
      anon_sym_LPAREN,
    ACTIONS(6875), 1,
      anon_sym_LBRACK,
    ACTIONS(6879), 1,
      anon_sym_LBRACE,
    ACTIONS(6881), 1,
      anon_sym_object,
    ACTIONS(6883), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6885), 1,
      anon_sym_new,
    ACTIONS(6887), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6889), 1,
      anon_sym_begin,
    ACTIONS(6891), 1,
      sym_ocamlyacc_value,
    ACTIONS(6897), 1,
      aux_sym_number_token1,
    ACTIONS(6899), 1,
      anon_sym_SQUOTE,
    ACTIONS(6901), 1,
      anon_sym_DQUOTE,
    ACTIONS(6903), 1,
      sym_prefix_operator,
    ACTIONS(6905), 1,
      sym__uppercase_identifier,
    ACTIONS(6907), 1,
      aux_sym_tag_token1,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4252), 1,
      sym_attribute,
    STATE(7819), 1,
      sym__value_name,
    STATE(7828), 1,
      sym_parenthesized_operator,
    STATE(7910), 1,
      sym__constructor_name,
    STATE(7959), 1,
      sym__simple_expression,
    STATE(20269), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6877), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7908), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7935), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123524] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2641), 1,
      anon_sym_LPAREN,
    ACTIONS(2643), 1,
      anon_sym_LBRACK,
    ACTIONS(2647), 1,
      anon_sym_LBRACE,
    ACTIONS(2649), 1,
      anon_sym_object,
    ACTIONS(2653), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2663), 1,
      anon_sym_new,
    ACTIONS(2665), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2667), 1,
      anon_sym_begin,
    ACTIONS(2669), 1,
      sym_ocamlyacc_value,
    ACTIONS(2671), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2673), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2675), 1,
      aux_sym_number_token1,
    ACTIONS(2677), 1,
      anon_sym_SQUOTE,
    ACTIONS(2679), 1,
      anon_sym_DQUOTE,
    ACTIONS(2681), 1,
      sym_prefix_operator,
    ACTIONS(2685), 1,
      sym__uppercase_identifier,
    ACTIONS(2687), 1,
      aux_sym_tag_token1,
    ACTIONS(5537), 1,
      sym__lowercase_identifier,
    STATE(4254), 1,
      sym_attribute,
    STATE(6735), 1,
      sym__value_name,
    STATE(6912), 1,
      sym__constructor_name,
    STATE(6952), 1,
      sym__simple_expression,
    STATE(7122), 1,
      sym_parenthesized_operator,
    STATE(19289), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2645), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6846), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6726), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123852] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2641), 1,
      anon_sym_LPAREN,
    ACTIONS(2643), 1,
      anon_sym_LBRACK,
    ACTIONS(2647), 1,
      anon_sym_LBRACE,
    ACTIONS(2649), 1,
      anon_sym_object,
    ACTIONS(2653), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2663), 1,
      anon_sym_new,
    ACTIONS(2665), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2667), 1,
      anon_sym_begin,
    ACTIONS(2669), 1,
      sym_ocamlyacc_value,
    ACTIONS(2671), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2673), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2675), 1,
      aux_sym_number_token1,
    ACTIONS(2677), 1,
      anon_sym_SQUOTE,
    ACTIONS(2679), 1,
      anon_sym_DQUOTE,
    ACTIONS(2681), 1,
      sym_prefix_operator,
    ACTIONS(2685), 1,
      sym__uppercase_identifier,
    ACTIONS(2687), 1,
      aux_sym_tag_token1,
    ACTIONS(5537), 1,
      sym__lowercase_identifier,
    STATE(4258), 1,
      sym_attribute,
    STATE(6735), 1,
      sym__value_name,
    STATE(6830), 1,
      sym__simple_expression,
    STATE(6912), 1,
      sym__constructor_name,
    STATE(7122), 1,
      sym_parenthesized_operator,
    STATE(19289), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2645), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6846), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6726), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124040] = 29,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1005), 1,
      anon_sym_LBRACE,
    ACTIONS(1007), 1,
      anon_sym_object,
    ACTIONS(1011), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1021), 1,
      anon_sym_new,
    ACTIONS(1023), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1025), 1,
      anon_sym_begin,
    ACTIONS(1027), 1,
      sym_ocamlyacc_value,
    ACTIONS(1033), 1,
      aux_sym_number_token1,
    ACTIONS(1035), 1,
      anon_sym_SQUOTE,
    ACTIONS(1037), 1,
      anon_sym_DQUOTE,
    ACTIONS(1039), 1,
      sym_prefix_operator,
    ACTIONS(1043), 1,
      sym__uppercase_identifier,
    ACTIONS(1045), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3043), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4553), 1,
      sym__lowercase_identifier,
    STATE(4260), 1,
      sym_attribute,
    STATE(4873), 1,
      sym__constructor_name,
    STATE(4882), 1,
      sym_parenthesized_operator,
    STATE(4908), 1,
      sym__simple_expression,
    STATE(4935), 1,
      sym__value_name,
    STATE(19132), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1003), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4890), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4901), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124158] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1513), 1,
      anon_sym_LPAREN,
    ACTIONS(1515), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LBRACE,
    ACTIONS(1521), 1,
      anon_sym_object,
    ACTIONS(1525), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1535), 1,
      anon_sym_new,
    ACTIONS(1537), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1539), 1,
      anon_sym_begin,
    ACTIONS(1541), 1,
      sym_ocamlyacc_value,
    ACTIONS(1543), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1545), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1547), 1,
      aux_sym_number_token1,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      sym_prefix_operator,
    ACTIONS(1557), 1,
      sym__uppercase_identifier,
    ACTIONS(1559), 1,
      aux_sym_tag_token1,
    ACTIONS(5307), 1,
      sym__lowercase_identifier,
    STATE(4261), 1,
      sym_attribute,
    STATE(6179), 1,
      sym__constructor_name,
    STATE(6417), 1,
      sym__simple_expression,
    STATE(6447), 1,
      sym__value_name,
    STATE(6474), 1,
      sym_parenthesized_operator,
    STATE(17587), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1517), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6178), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6412), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124276] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1513), 1,
      anon_sym_LPAREN,
    ACTIONS(1515), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LBRACE,
    ACTIONS(1521), 1,
      anon_sym_object,
    ACTIONS(1525), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1535), 1,
      anon_sym_new,
    ACTIONS(1537), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1539), 1,
      anon_sym_begin,
    ACTIONS(1541), 1,
      sym_ocamlyacc_value,
    ACTIONS(1543), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1545), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1547), 1,
      aux_sym_number_token1,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      sym_prefix_operator,
    ACTIONS(1557), 1,
      sym__uppercase_identifier,
    ACTIONS(1559), 1,
      aux_sym_tag_token1,
    ACTIONS(5307), 1,
      sym__lowercase_identifier,
    STATE(4262), 1,
      sym_attribute,
    STATE(6179), 1,
      sym__constructor_name,
    STATE(6425), 1,
      sym__simple_expression,
    STATE(6447), 1,
      sym__value_name,
    STATE(6474), 1,
      sym_parenthesized_operator,
    STATE(17587), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1517), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6178), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6412), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124954] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8386), 1,
      sym__lowercase_identifier,
    ACTIONS(8388), 1,
      anon_sym_LPAREN,
    ACTIONS(8390), 1,
      anon_sym_LBRACK,
    ACTIONS(8394), 1,
      anon_sym_LBRACE,
    ACTIONS(8396), 1,
      anon_sym_object,
    ACTIONS(8398), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8400), 1,
      anon_sym_new,
    ACTIONS(8402), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8404), 1,
      anon_sym_begin,
    ACTIONS(8406), 1,
      sym_ocamlyacc_value,
    ACTIONS(8408), 1,
      aux_sym_number_token1,
    ACTIONS(8410), 1,
      anon_sym_SQUOTE,
    ACTIONS(8412), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      sym__uppercase_identifier,
    ACTIONS(8418), 1,
      aux_sym_tag_token1,
    ACTIONS(8444), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8446), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8448), 1,
      sym_prefix_operator,
    STATE(4271), 1,
      sym_attribute,
    STATE(7241), 1,
      sym__simple_expression,
    STATE(7291), 1,
      sym__value_name,
    STATE(7304), 1,
      sym_parenthesized_operator,
    STATE(7314), 1,
      sym__constructor_name,
    STATE(18911), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8392), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7233), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125142] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2641), 1,
      anon_sym_LPAREN,
    ACTIONS(2643), 1,
      anon_sym_LBRACK,
    ACTIONS(2647), 1,
      anon_sym_LBRACE,
    ACTIONS(2649), 1,
      anon_sym_object,
    ACTIONS(2653), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2663), 1,
      anon_sym_new,
    ACTIONS(2665), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2667), 1,
      anon_sym_begin,
    ACTIONS(2669), 1,
      sym_ocamlyacc_value,
    ACTIONS(2671), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2673), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2675), 1,
      aux_sym_number_token1,
    ACTIONS(2677), 1,
      anon_sym_SQUOTE,
    ACTIONS(2679), 1,
      anon_sym_DQUOTE,
    ACTIONS(2681), 1,
      sym_prefix_operator,
    ACTIONS(2685), 1,
      sym__uppercase_identifier,
    ACTIONS(2687), 1,
      aux_sym_tag_token1,
    ACTIONS(5537), 1,
      sym__lowercase_identifier,
    STATE(4273), 1,
      sym_attribute,
    STATE(6735), 1,
      sym__value_name,
    STATE(6912), 1,
      sym__constructor_name,
    STATE(6973), 1,
      sym__simple_expression,
    STATE(7122), 1,
      sym_parenthesized_operator,
    STATE(19289), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2645), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6846), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6726), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125260] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2245), 1,
      anon_sym_LPAREN,
    ACTIONS(2247), 1,
      anon_sym_LBRACK,
    ACTIONS(2251), 1,
      anon_sym_LBRACE,
    ACTIONS(2253), 1,
      anon_sym_object,
    ACTIONS(2257), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2267), 1,
      anon_sym_new,
    ACTIONS(2269), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2271), 1,
      anon_sym_begin,
    ACTIONS(2273), 1,
      sym_ocamlyacc_value,
    ACTIONS(2275), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2277), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2279), 1,
      aux_sym_number_token1,
    ACTIONS(2281), 1,
      anon_sym_SQUOTE,
    ACTIONS(2283), 1,
      anon_sym_DQUOTE,
    ACTIONS(2285), 1,
      sym_prefix_operator,
    ACTIONS(2289), 1,
      sym__uppercase_identifier,
    ACTIONS(2291), 1,
      aux_sym_tag_token1,
    ACTIONS(5327), 1,
      sym__lowercase_identifier,
    STATE(4274), 1,
      sym_attribute,
    STATE(6132), 1,
      sym_parenthesized_operator,
    STATE(6213), 1,
      sym__constructor_name,
    STATE(6569), 1,
      sym__value_name,
    STATE(6655), 1,
      sym__simple_expression,
    STATE(18059), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2249), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6212), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125378] = 29,
    ACTIONS(747), 1,
      anon_sym_LPAREN,
    ACTIONS(749), 1,
      anon_sym_LBRACK,
    ACTIONS(753), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      anon_sym_object,
    ACTIONS(759), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(769), 1,
      anon_sym_new,
    ACTIONS(771), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(773), 1,
      anon_sym_begin,
    ACTIONS(775), 1,
      sym_ocamlyacc_value,
    ACTIONS(781), 1,
      aux_sym_number_token1,
    ACTIONS(783), 1,
      anon_sym_SQUOTE,
    ACTIONS(785), 1,
      anon_sym_DQUOTE,
    ACTIONS(787), 1,
      sym_prefix_operator,
    ACTIONS(791), 1,
      sym__uppercase_identifier,
    ACTIONS(793), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3045), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3047), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3251), 1,
      sym__lowercase_identifier,
    STATE(3752), 1,
      sym_parenthesized_operator,
    STATE(3876), 1,
      sym__simple_expression,
    STATE(3916), 1,
      sym__constructor_name,
    STATE(3920), 1,
      sym__value_name,
    STATE(4275), 1,
      sym_attribute,
    STATE(18299), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(751), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3865), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3868), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125496] = 29,
    ACTIONS(747), 1,
      anon_sym_LPAREN,
    ACTIONS(749), 1,
      anon_sym_LBRACK,
    ACTIONS(753), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      anon_sym_object,
    ACTIONS(759), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(769), 1,
      anon_sym_new,
    ACTIONS(771), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(773), 1,
      anon_sym_begin,
    ACTIONS(775), 1,
      sym_ocamlyacc_value,
    ACTIONS(781), 1,
      aux_sym_number_token1,
    ACTIONS(783), 1,
      anon_sym_SQUOTE,
    ACTIONS(785), 1,
      anon_sym_DQUOTE,
    ACTIONS(787), 1,
      sym_prefix_operator,
    ACTIONS(791), 1,
      sym__uppercase_identifier,
    ACTIONS(793), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3045), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3047), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3251), 1,
      sym__lowercase_identifier,
    STATE(3752), 1,
      sym_parenthesized_operator,
    STATE(3888), 1,
      sym__simple_expression,
    STATE(3916), 1,
      sym__constructor_name,
    STATE(3920), 1,
      sym__value_name,
    STATE(4276), 1,
      sym_attribute,
    STATE(18299), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(751), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3865), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3868), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125614] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4057), 1,
      anon_sym_DOT,
    ACTIONS(4059), 1,
      anon_sym_POUND,
    ACTIONS(4061), 1,
      sym_hash_operator,
    STATE(4277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125690] = 29,
    ACTIONS(861), 1,
      anon_sym_LPAREN,
    ACTIONS(863), 1,
      anon_sym_LBRACK,
    ACTIONS(867), 1,
      anon_sym_LBRACE,
    ACTIONS(869), 1,
      anon_sym_object,
    ACTIONS(873), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(883), 1,
      anon_sym_new,
    ACTIONS(885), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(887), 1,
      anon_sym_begin,
    ACTIONS(889), 1,
      sym_ocamlyacc_value,
    ACTIONS(895), 1,
      aux_sym_number_token1,
    ACTIONS(897), 1,
      anon_sym_SQUOTE,
    ACTIONS(899), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym_prefix_operator,
    ACTIONS(905), 1,
      sym__uppercase_identifier,
    ACTIONS(907), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3065), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3067), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3507), 1,
      sym__lowercase_identifier,
    STATE(3935), 1,
      sym__simple_expression,
    STATE(4005), 1,
      sym__value_name,
    STATE(4045), 1,
      sym_parenthesized_operator,
    STATE(4088), 1,
      sym__constructor_name,
    STATE(4278), 1,
      sym_attribute,
    STATE(17695), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(865), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4087), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3950), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125808] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2245), 1,
      anon_sym_LPAREN,
    ACTIONS(2247), 1,
      anon_sym_LBRACK,
    ACTIONS(2251), 1,
      anon_sym_LBRACE,
    ACTIONS(2253), 1,
      anon_sym_object,
    ACTIONS(2257), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2267), 1,
      anon_sym_new,
    ACTIONS(2269), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2271), 1,
      anon_sym_begin,
    ACTIONS(2273), 1,
      sym_ocamlyacc_value,
    ACTIONS(2275), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2277), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2279), 1,
      aux_sym_number_token1,
    ACTIONS(2281), 1,
      anon_sym_SQUOTE,
    ACTIONS(2283), 1,
      anon_sym_DQUOTE,
    ACTIONS(2285), 1,
      sym_prefix_operator,
    ACTIONS(2289), 1,
      sym__uppercase_identifier,
    ACTIONS(2291), 1,
      aux_sym_tag_token1,
    ACTIONS(5327), 1,
      sym__lowercase_identifier,
    STATE(4279), 1,
      sym_attribute,
    STATE(6132), 1,
      sym_parenthesized_operator,
    STATE(6213), 1,
      sym__constructor_name,
    STATE(6535), 1,
      sym__simple_expression,
    STATE(6569), 1,
      sym__value_name,
    STATE(18059), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2249), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6212), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126136] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2245), 1,
      anon_sym_LPAREN,
    ACTIONS(2247), 1,
      anon_sym_LBRACK,
    ACTIONS(2251), 1,
      anon_sym_LBRACE,
    ACTIONS(2253), 1,
      anon_sym_object,
    ACTIONS(2257), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2267), 1,
      anon_sym_new,
    ACTIONS(2269), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2271), 1,
      anon_sym_begin,
    ACTIONS(2273), 1,
      sym_ocamlyacc_value,
    ACTIONS(2275), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2277), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2279), 1,
      aux_sym_number_token1,
    ACTIONS(2281), 1,
      anon_sym_SQUOTE,
    ACTIONS(2283), 1,
      anon_sym_DQUOTE,
    ACTIONS(2285), 1,
      sym_prefix_operator,
    ACTIONS(2289), 1,
      sym__uppercase_identifier,
    ACTIONS(2291), 1,
      aux_sym_tag_token1,
    ACTIONS(5327), 1,
      sym__lowercase_identifier,
    STATE(4283), 1,
      sym_attribute,
    STATE(6132), 1,
      sym_parenthesized_operator,
    STATE(6213), 1,
      sym__constructor_name,
    STATE(6545), 1,
      sym__simple_expression,
    STATE(6569), 1,
      sym__value_name,
    STATE(18059), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2249), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6212), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126254] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8492), 1,
      anon_sym_COLON,
    STATE(4284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8340), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [126326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126466] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1119), 1,
      anon_sym_LPAREN,
    ACTIONS(1121), 1,
      anon_sym_LBRACK,
    ACTIONS(1125), 1,
      anon_sym_LBRACE,
    ACTIONS(1127), 1,
      anon_sym_object,
    ACTIONS(1131), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1141), 1,
      anon_sym_new,
    ACTIONS(1143), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1145), 1,
      anon_sym_begin,
    ACTIONS(1147), 1,
      sym_ocamlyacc_value,
    ACTIONS(1149), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1151), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1153), 1,
      aux_sym_number_token1,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym_prefix_operator,
    ACTIONS(1163), 1,
      sym__uppercase_identifier,
    ACTIONS(1165), 1,
      aux_sym_tag_token1,
    ACTIONS(4713), 1,
      sym__lowercase_identifier,
    STATE(4287), 1,
      sym_attribute,
    STATE(5271), 1,
      sym__simple_expression,
    STATE(5280), 1,
      sym__value_name,
    STATE(5281), 1,
      sym_parenthesized_operator,
    STATE(5374), 1,
      sym__constructor_name,
    STATE(17911), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1123), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5290), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5326), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126724] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5899), 1,
      sym__lowercase_identifier,
    ACTIONS(5903), 1,
      anon_sym_LPAREN,
    ACTIONS(5905), 1,
      anon_sym_LBRACK,
    ACTIONS(5909), 1,
      anon_sym_LBRACE,
    ACTIONS(5911), 1,
      anon_sym_object,
    ACTIONS(5913), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5915), 1,
      anon_sym_new,
    ACTIONS(5917), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5919), 1,
      anon_sym_begin,
    ACTIONS(5921), 1,
      sym_ocamlyacc_value,
    ACTIONS(5927), 1,
      aux_sym_number_token1,
    ACTIONS(5929), 1,
      anon_sym_SQUOTE,
    ACTIONS(5931), 1,
      anon_sym_DQUOTE,
    ACTIONS(5933), 1,
      sym_prefix_operator,
    ACTIONS(5935), 1,
      sym__uppercase_identifier,
    ACTIONS(5937), 1,
      aux_sym_tag_token1,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8496), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4290), 1,
      sym_attribute,
    STATE(6360), 1,
      sym__simple_expression,
    STATE(6398), 1,
      sym__value_name,
    STATE(6411), 1,
      sym_parenthesized_operator,
    STATE(6488), 1,
      sym__constructor_name,
    STATE(19462), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5907), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6528), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6355), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126842] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6419), 1,
      sym__lowercase_identifier,
    ACTIONS(6423), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6429), 1,
      anon_sym_LBRACE,
    ACTIONS(6431), 1,
      anon_sym_object,
    ACTIONS(6433), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6435), 1,
      anon_sym_new,
    ACTIONS(6437), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6439), 1,
      anon_sym_begin,
    ACTIONS(6441), 1,
      sym_ocamlyacc_value,
    ACTIONS(6447), 1,
      aux_sym_number_token1,
    ACTIONS(6449), 1,
      anon_sym_SQUOTE,
    ACTIONS(6451), 1,
      anon_sym_DQUOTE,
    ACTIONS(6453), 1,
      sym_prefix_operator,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(8498), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8500), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4291), 1,
      sym_attribute,
    STATE(6707), 1,
      sym__constructor_name,
    STATE(6999), 1,
      sym__value_name,
    STATE(7091), 1,
      sym__simple_expression,
    STATE(7103), 1,
      sym_parenthesized_operator,
    STATE(18339), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6706), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6765), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126960] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5899), 1,
      sym__lowercase_identifier,
    ACTIONS(5903), 1,
      anon_sym_LPAREN,
    ACTIONS(5905), 1,
      anon_sym_LBRACK,
    ACTIONS(5909), 1,
      anon_sym_LBRACE,
    ACTIONS(5911), 1,
      anon_sym_object,
    ACTIONS(5913), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5915), 1,
      anon_sym_new,
    ACTIONS(5917), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5919), 1,
      anon_sym_begin,
    ACTIONS(5921), 1,
      sym_ocamlyacc_value,
    ACTIONS(5927), 1,
      aux_sym_number_token1,
    ACTIONS(5929), 1,
      anon_sym_SQUOTE,
    ACTIONS(5931), 1,
      anon_sym_DQUOTE,
    ACTIONS(5933), 1,
      sym_prefix_operator,
    ACTIONS(5935), 1,
      sym__uppercase_identifier,
    ACTIONS(5937), 1,
      aux_sym_tag_token1,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8496), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4292), 1,
      sym_attribute,
    STATE(6369), 1,
      sym__simple_expression,
    STATE(6398), 1,
      sym__value_name,
    STATE(6411), 1,
      sym_parenthesized_operator,
    STATE(6488), 1,
      sym__constructor_name,
    STATE(19462), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5907), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6528), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6355), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127148] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8300), 1,
      sym__lowercase_identifier,
    ACTIONS(8302), 1,
      anon_sym_LPAREN,
    ACTIONS(8304), 1,
      anon_sym_LBRACK,
    ACTIONS(8308), 1,
      anon_sym_LBRACE,
    ACTIONS(8310), 1,
      anon_sym_object,
    ACTIONS(8312), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8314), 1,
      anon_sym_new,
    ACTIONS(8316), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8318), 1,
      anon_sym_begin,
    ACTIONS(8320), 1,
      sym_ocamlyacc_value,
    ACTIONS(8322), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8324), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8328), 1,
      aux_sym_number_token1,
    ACTIONS(8330), 1,
      anon_sym_SQUOTE,
    ACTIONS(8332), 1,
      anon_sym_DQUOTE,
    ACTIONS(8334), 1,
      sym_prefix_operator,
    ACTIONS(8336), 1,
      sym__uppercase_identifier,
    ACTIONS(8338), 1,
      aux_sym_tag_token1,
    STATE(4294), 1,
      sym_attribute,
    STATE(9441), 1,
      sym__simple_expression,
    STATE(9486), 1,
      sym__value_name,
    STATE(9585), 1,
      sym_parenthesized_operator,
    STATE(9695), 1,
      sym__constructor_name,
    STATE(18099), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9662), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9431), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127266] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8502), 1,
      anon_sym_COLON,
    STATE(4295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8340), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [127338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127408] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8386), 1,
      sym__lowercase_identifier,
    ACTIONS(8388), 1,
      anon_sym_LPAREN,
    ACTIONS(8390), 1,
      anon_sym_LBRACK,
    ACTIONS(8394), 1,
      anon_sym_LBRACE,
    ACTIONS(8396), 1,
      anon_sym_object,
    ACTIONS(8398), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8400), 1,
      anon_sym_new,
    ACTIONS(8402), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8404), 1,
      anon_sym_begin,
    ACTIONS(8406), 1,
      sym_ocamlyacc_value,
    ACTIONS(8408), 1,
      aux_sym_number_token1,
    ACTIONS(8410), 1,
      anon_sym_SQUOTE,
    ACTIONS(8412), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      sym__uppercase_identifier,
    ACTIONS(8418), 1,
      aux_sym_tag_token1,
    ACTIONS(8444), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8446), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8448), 1,
      sym_prefix_operator,
    STATE(4297), 1,
      sym_attribute,
    STATE(7257), 1,
      sym__simple_expression,
    STATE(7291), 1,
      sym__value_name,
    STATE(7304), 1,
      sym_parenthesized_operator,
    STATE(7314), 1,
      sym__constructor_name,
    STATE(18911), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8392), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7233), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127526] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2693), 1,
      anon_sym_LPAREN,
    ACTIONS(2695), 1,
      anon_sym_LBRACK,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    ACTIONS(2701), 1,
      anon_sym_object,
    ACTIONS(2705), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2715), 1,
      anon_sym_new,
    ACTIONS(2717), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2719), 1,
      anon_sym_begin,
    ACTIONS(2721), 1,
      sym_ocamlyacc_value,
    ACTIONS(2723), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2725), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2727), 1,
      aux_sym_number_token1,
    ACTIONS(2729), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_DQUOTE,
    ACTIONS(2733), 1,
      sym_prefix_operator,
    ACTIONS(2737), 1,
      sym__uppercase_identifier,
    ACTIONS(2739), 1,
      aux_sym_tag_token1,
    ACTIONS(5527), 1,
      sym__lowercase_identifier,
    STATE(4298), 1,
      sym_attribute,
    STATE(6769), 1,
      sym_parenthesized_operator,
    STATE(6941), 1,
      sym__constructor_name,
    STATE(7126), 1,
      sym__value_name,
    STATE(7132), 1,
      sym__simple_expression,
    STATE(17859), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2697), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6911), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7123), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127644] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8300), 1,
      sym__lowercase_identifier,
    ACTIONS(8302), 1,
      anon_sym_LPAREN,
    ACTIONS(8304), 1,
      anon_sym_LBRACK,
    ACTIONS(8308), 1,
      anon_sym_LBRACE,
    ACTIONS(8310), 1,
      anon_sym_object,
    ACTIONS(8312), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8314), 1,
      anon_sym_new,
    ACTIONS(8316), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8318), 1,
      anon_sym_begin,
    ACTIONS(8320), 1,
      sym_ocamlyacc_value,
    ACTIONS(8322), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8324), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8328), 1,
      aux_sym_number_token1,
    ACTIONS(8330), 1,
      anon_sym_SQUOTE,
    ACTIONS(8332), 1,
      anon_sym_DQUOTE,
    ACTIONS(8334), 1,
      sym_prefix_operator,
    ACTIONS(8336), 1,
      sym__uppercase_identifier,
    ACTIONS(8338), 1,
      aux_sym_tag_token1,
    STATE(4299), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__simple_expression,
    STATE(9486), 1,
      sym__value_name,
    STATE(9585), 1,
      sym_parenthesized_operator,
    STATE(9695), 1,
      sym__constructor_name,
    STATE(18099), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9662), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9431), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127832] = 29,
    ACTIONS(41), 1,
      anon_sym_LPAREN,
    ACTIONS(47), 1,
      anon_sym_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_object,
    ACTIONS(71), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(89), 1,
      anon_sym_new,
    ACTIONS(91), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(93), 1,
      anon_sym_begin,
    ACTIONS(95), 1,
      sym_ocamlyacc_value,
    ACTIONS(101), 1,
      aux_sym_number_token1,
    ACTIONS(105), 1,
      anon_sym_SQUOTE,
    ACTIONS(107), 1,
      anon_sym_DQUOTE,
    ACTIONS(109), 1,
      sym_prefix_operator,
    ACTIONS(117), 1,
      sym__uppercase_identifier,
    ACTIONS(121), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3049), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3051), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4043), 1,
      sym__lowercase_identifier,
    STATE(4168), 1,
      sym__value_name,
    STATE(4175), 1,
      sym__constructor_name,
    STATE(4212), 1,
      sym_parenthesized_operator,
    STATE(4272), 1,
      sym__simple_expression,
    STATE(4301), 1,
      sym_attribute,
    STATE(18876), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(51), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4375), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128020] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7711), 1,
      sym__lowercase_identifier,
    ACTIONS(7715), 1,
      anon_sym_LPAREN,
    ACTIONS(7717), 1,
      anon_sym_LBRACK,
    ACTIONS(7721), 1,
      anon_sym_LBRACE,
    ACTIONS(7723), 1,
      anon_sym_object,
    ACTIONS(7725), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7727), 1,
      anon_sym_new,
    ACTIONS(7729), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7731), 1,
      anon_sym_begin,
    ACTIONS(7733), 1,
      sym_ocamlyacc_value,
    ACTIONS(7735), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7737), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7739), 1,
      aux_sym_number_token1,
    ACTIONS(7741), 1,
      anon_sym_SQUOTE,
    ACTIONS(7743), 1,
      anon_sym_DQUOTE,
    ACTIONS(7745), 1,
      sym_prefix_operator,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    STATE(4303), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(8914), 1,
      sym__value_name,
    STATE(8998), 1,
      sym_parenthesized_operator,
    STATE(9099), 1,
      sym__simple_expression,
    STATE(17749), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7719), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9112), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9125), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8094), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [128208] = 29,
    ACTIONS(481), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_LBRACE,
    ACTIONS(489), 1,
      anon_sym_object,
    ACTIONS(493), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(503), 1,
      anon_sym_new,
    ACTIONS(505), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(507), 1,
      anon_sym_begin,
    ACTIONS(509), 1,
      sym_ocamlyacc_value,
    ACTIONS(515), 1,
      aux_sym_number_token1,
    ACTIONS(517), 1,
      anon_sym_SQUOTE,
    ACTIONS(519), 1,
      anon_sym_DQUOTE,
    ACTIONS(521), 1,
      sym_prefix_operator,
    ACTIONS(525), 1,
      sym__uppercase_identifier,
    ACTIONS(527), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3057), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3059), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3167), 1,
      sym__lowercase_identifier,
    STATE(3389), 1,
      sym__simple_expression,
    STATE(3420), 1,
      sym__value_name,
    STATE(3468), 1,
      sym_parenthesized_operator,
    STATE(3535), 1,
      sym__constructor_name,
    STATE(4305), 1,
      sym_attribute,
    STATE(17641), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(485), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3534), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3382), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128326] = 29,
    ACTIONS(481), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_LBRACE,
    ACTIONS(489), 1,
      anon_sym_object,
    ACTIONS(493), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(503), 1,
      anon_sym_new,
    ACTIONS(505), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(507), 1,
      anon_sym_begin,
    ACTIONS(509), 1,
      sym_ocamlyacc_value,
    ACTIONS(515), 1,
      aux_sym_number_token1,
    ACTIONS(517), 1,
      anon_sym_SQUOTE,
    ACTIONS(519), 1,
      anon_sym_DQUOTE,
    ACTIONS(521), 1,
      sym_prefix_operator,
    ACTIONS(525), 1,
      sym__uppercase_identifier,
    ACTIONS(527), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3057), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3059), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3167), 1,
      sym__lowercase_identifier,
    STATE(3398), 1,
      sym__simple_expression,
    STATE(3420), 1,
      sym__value_name,
    STATE(3468), 1,
      sym_parenthesized_operator,
    STATE(3535), 1,
      sym__constructor_name,
    STATE(4306), 1,
      sym_attribute,
    STATE(17641), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(485), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3534), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3382), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128514] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4057), 1,
      anon_sym_DOT,
    ACTIONS(4059), 1,
      anon_sym_POUND,
    ACTIONS(4061), 1,
      sym_hash_operator,
    STATE(4308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128590] = 29,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1005), 1,
      anon_sym_LBRACE,
    ACTIONS(1007), 1,
      anon_sym_object,
    ACTIONS(1011), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1021), 1,
      anon_sym_new,
    ACTIONS(1023), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1025), 1,
      anon_sym_begin,
    ACTIONS(1027), 1,
      sym_ocamlyacc_value,
    ACTIONS(1033), 1,
      aux_sym_number_token1,
    ACTIONS(1035), 1,
      anon_sym_SQUOTE,
    ACTIONS(1037), 1,
      anon_sym_DQUOTE,
    ACTIONS(1039), 1,
      sym_prefix_operator,
    ACTIONS(1043), 1,
      sym__uppercase_identifier,
    ACTIONS(1045), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3043), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4553), 1,
      sym__lowercase_identifier,
    STATE(4309), 1,
      sym_attribute,
    STATE(4873), 1,
      sym__constructor_name,
    STATE(4882), 1,
      sym_parenthesized_operator,
    STATE(4907), 1,
      sym__simple_expression,
    STATE(4935), 1,
      sym__value_name,
    STATE(19132), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1003), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4890), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4901), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128708] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2299), 1,
      anon_sym_LBRACK,
    ACTIONS(2303), 1,
      anon_sym_LBRACE,
    ACTIONS(2305), 1,
      anon_sym_object,
    ACTIONS(2309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2319), 1,
      anon_sym_new,
    ACTIONS(2321), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2323), 1,
      anon_sym_begin,
    ACTIONS(2325), 1,
      sym_ocamlyacc_value,
    ACTIONS(2327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2331), 1,
      aux_sym_number_token1,
    ACTIONS(2333), 1,
      anon_sym_SQUOTE,
    ACTIONS(2335), 1,
      anon_sym_DQUOTE,
    ACTIONS(2337), 1,
      sym_prefix_operator,
    ACTIONS(2341), 1,
      sym__uppercase_identifier,
    ACTIONS(2343), 1,
      aux_sym_tag_token1,
    ACTIONS(5337), 1,
      sym__lowercase_identifier,
    STATE(4310), 1,
      sym_attribute,
    STATE(6164), 1,
      sym_parenthesized_operator,
    STATE(6230), 1,
      sym__constructor_name,
    STATE(6615), 1,
      sym__value_name,
    STATE(6676), 1,
      sym__simple_expression,
    STATE(18139), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6228), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6568), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128826] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6419), 1,
      sym__lowercase_identifier,
    ACTIONS(6423), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6429), 1,
      anon_sym_LBRACE,
    ACTIONS(6431), 1,
      anon_sym_object,
    ACTIONS(6433), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6435), 1,
      anon_sym_new,
    ACTIONS(6437), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6439), 1,
      anon_sym_begin,
    ACTIONS(6441), 1,
      sym_ocamlyacc_value,
    ACTIONS(6447), 1,
      aux_sym_number_token1,
    ACTIONS(6449), 1,
      anon_sym_SQUOTE,
    ACTIONS(6451), 1,
      anon_sym_DQUOTE,
    ACTIONS(6453), 1,
      sym_prefix_operator,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(8498), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8500), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4311), 1,
      sym_attribute,
    STATE(6693), 1,
      sym__simple_expression,
    STATE(6707), 1,
      sym__constructor_name,
    STATE(6999), 1,
      sym__value_name,
    STATE(7103), 1,
      sym_parenthesized_operator,
    STATE(18339), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6706), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6765), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128944] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6419), 1,
      sym__lowercase_identifier,
    ACTIONS(6423), 1,
      anon_sym_LPAREN,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6429), 1,
      anon_sym_LBRACE,
    ACTIONS(6431), 1,
      anon_sym_object,
    ACTIONS(6433), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6435), 1,
      anon_sym_new,
    ACTIONS(6437), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6439), 1,
      anon_sym_begin,
    ACTIONS(6441), 1,
      sym_ocamlyacc_value,
    ACTIONS(6447), 1,
      aux_sym_number_token1,
    ACTIONS(6449), 1,
      anon_sym_SQUOTE,
    ACTIONS(6451), 1,
      anon_sym_DQUOTE,
    ACTIONS(6453), 1,
      sym_prefix_operator,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(8498), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8500), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4312), 1,
      sym_attribute,
    STATE(6707), 1,
      sym__constructor_name,
    STATE(6999), 1,
      sym__value_name,
    STATE(7103), 1,
      sym_parenthesized_operator,
    STATE(7144), 1,
      sym__simple_expression,
    STATE(18339), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6706), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6765), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129062] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2693), 1,
      anon_sym_LPAREN,
    ACTIONS(2695), 1,
      anon_sym_LBRACK,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    ACTIONS(2701), 1,
      anon_sym_object,
    ACTIONS(2705), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2715), 1,
      anon_sym_new,
    ACTIONS(2717), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2719), 1,
      anon_sym_begin,
    ACTIONS(2721), 1,
      sym_ocamlyacc_value,
    ACTIONS(2723), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2725), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2727), 1,
      aux_sym_number_token1,
    ACTIONS(2729), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_DQUOTE,
    ACTIONS(2733), 1,
      sym_prefix_operator,
    ACTIONS(2737), 1,
      sym__uppercase_identifier,
    ACTIONS(2739), 1,
      aux_sym_tag_token1,
    ACTIONS(5527), 1,
      sym__lowercase_identifier,
    STATE(4313), 1,
      sym_attribute,
    STATE(6698), 1,
      sym__simple_expression,
    STATE(6769), 1,
      sym_parenthesized_operator,
    STATE(6941), 1,
      sym__constructor_name,
    STATE(7126), 1,
      sym__value_name,
    STATE(17859), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2697), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6911), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7123), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129180] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2797), 1,
      anon_sym_LPAREN,
    ACTIONS(2799), 1,
      anon_sym_LBRACK,
    ACTIONS(2803), 1,
      anon_sym_LBRACE,
    ACTIONS(2805), 1,
      anon_sym_object,
    ACTIONS(2809), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2819), 1,
      anon_sym_new,
    ACTIONS(2821), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2823), 1,
      anon_sym_begin,
    ACTIONS(2825), 1,
      sym_ocamlyacc_value,
    ACTIONS(2827), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2829), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2831), 1,
      aux_sym_number_token1,
    ACTIONS(2833), 1,
      anon_sym_SQUOTE,
    ACTIONS(2835), 1,
      anon_sym_DQUOTE,
    ACTIONS(2837), 1,
      sym_prefix_operator,
    ACTIONS(2841), 1,
      sym__uppercase_identifier,
    ACTIONS(2843), 1,
      aux_sym_tag_token1,
    ACTIONS(5517), 1,
      sym__lowercase_identifier,
    STATE(4314), 1,
      sym_attribute,
    STATE(6847), 1,
      sym__value_name,
    STATE(6856), 1,
      sym__simple_expression,
    STATE(6907), 1,
      sym_parenthesized_operator,
    STATE(7001), 1,
      sym__constructor_name,
    STATE(18656), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2801), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7000), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6844), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129718] = 29,
    ACTIONS(41), 1,
      anon_sym_LPAREN,
    ACTIONS(47), 1,
      anon_sym_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_object,
    ACTIONS(71), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(89), 1,
      anon_sym_new,
    ACTIONS(91), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(93), 1,
      anon_sym_begin,
    ACTIONS(95), 1,
      sym_ocamlyacc_value,
    ACTIONS(101), 1,
      aux_sym_number_token1,
    ACTIONS(105), 1,
      anon_sym_SQUOTE,
    ACTIONS(107), 1,
      anon_sym_DQUOTE,
    ACTIONS(109), 1,
      sym_prefix_operator,
    ACTIONS(117), 1,
      sym__uppercase_identifier,
    ACTIONS(121), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3049), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3051), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4043), 1,
      sym__lowercase_identifier,
    STATE(4168), 1,
      sym__value_name,
    STATE(4175), 1,
      sym__constructor_name,
    STATE(4208), 1,
      sym__simple_expression,
    STATE(4212), 1,
      sym_parenthesized_operator,
    STATE(4321), 1,
      sym_attribute,
    STATE(18876), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(51), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4375), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8472), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [130256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130536] = 29,
    ACTIONS(41), 1,
      anon_sym_LPAREN,
    ACTIONS(47), 1,
      anon_sym_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_object,
    ACTIONS(71), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(89), 1,
      anon_sym_new,
    ACTIONS(91), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(93), 1,
      anon_sym_begin,
    ACTIONS(95), 1,
      sym_ocamlyacc_value,
    ACTIONS(101), 1,
      aux_sym_number_token1,
    ACTIONS(105), 1,
      anon_sym_SQUOTE,
    ACTIONS(107), 1,
      anon_sym_DQUOTE,
    ACTIONS(109), 1,
      sym_prefix_operator,
    ACTIONS(117), 1,
      sym__uppercase_identifier,
    ACTIONS(121), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3049), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3051), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4043), 1,
      sym__lowercase_identifier,
    STATE(4168), 1,
      sym__value_name,
    STATE(4175), 1,
      sym__constructor_name,
    STATE(4212), 1,
      sym_parenthesized_operator,
    STATE(4219), 1,
      sym__simple_expression,
    STATE(4332), 1,
      sym_attribute,
    STATE(18876), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(51), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4375), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130794] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1347), 1,
      anon_sym_LPAREN,
    ACTIONS(1349), 1,
      anon_sym_LBRACK,
    ACTIONS(1353), 1,
      anon_sym_LBRACE,
    ACTIONS(1355), 1,
      anon_sym_object,
    ACTIONS(1359), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1369), 1,
      anon_sym_new,
    ACTIONS(1371), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1373), 1,
      anon_sym_begin,
    ACTIONS(1375), 1,
      sym_ocamlyacc_value,
    ACTIONS(1377), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1381), 1,
      aux_sym_number_token1,
    ACTIONS(1383), 1,
      anon_sym_SQUOTE,
    ACTIONS(1385), 1,
      anon_sym_DQUOTE,
    ACTIONS(1387), 1,
      sym_prefix_operator,
    ACTIONS(1391), 1,
      sym__uppercase_identifier,
    ACTIONS(1393), 1,
      aux_sym_tag_token1,
    ACTIONS(5099), 1,
      sym__lowercase_identifier,
    STATE(4335), 1,
      sym_attribute,
    STATE(5730), 1,
      sym_parenthesized_operator,
    STATE(5748), 1,
      sym__simple_expression,
    STATE(5768), 1,
      sym__constructor_name,
    STATE(5794), 1,
      sym__value_name,
    STATE(17803), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1351), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5751), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5791), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130912] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2299), 1,
      anon_sym_LBRACK,
    ACTIONS(2303), 1,
      anon_sym_LBRACE,
    ACTIONS(2305), 1,
      anon_sym_object,
    ACTIONS(2309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2319), 1,
      anon_sym_new,
    ACTIONS(2321), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2323), 1,
      anon_sym_begin,
    ACTIONS(2325), 1,
      sym_ocamlyacc_value,
    ACTIONS(2327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2331), 1,
      aux_sym_number_token1,
    ACTIONS(2333), 1,
      anon_sym_SQUOTE,
    ACTIONS(2335), 1,
      anon_sym_DQUOTE,
    ACTIONS(2337), 1,
      sym_prefix_operator,
    ACTIONS(2341), 1,
      sym__uppercase_identifier,
    ACTIONS(2343), 1,
      aux_sym_tag_token1,
    ACTIONS(5337), 1,
      sym__lowercase_identifier,
    STATE(4336), 1,
      sym_attribute,
    STATE(6164), 1,
      sym_parenthesized_operator,
    STATE(6230), 1,
      sym__constructor_name,
    STATE(6575), 1,
      sym__simple_expression,
    STATE(6615), 1,
      sym__value_name,
    STATE(18139), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6228), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6568), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131030] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2299), 1,
      anon_sym_LBRACK,
    ACTIONS(2303), 1,
      anon_sym_LBRACE,
    ACTIONS(2305), 1,
      anon_sym_object,
    ACTIONS(2309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2319), 1,
      anon_sym_new,
    ACTIONS(2321), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2323), 1,
      anon_sym_begin,
    ACTIONS(2325), 1,
      sym_ocamlyacc_value,
    ACTIONS(2327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2331), 1,
      aux_sym_number_token1,
    ACTIONS(2333), 1,
      anon_sym_SQUOTE,
    ACTIONS(2335), 1,
      anon_sym_DQUOTE,
    ACTIONS(2337), 1,
      sym_prefix_operator,
    ACTIONS(2341), 1,
      sym__uppercase_identifier,
    ACTIONS(2343), 1,
      aux_sym_tag_token1,
    ACTIONS(5337), 1,
      sym__lowercase_identifier,
    STATE(4337), 1,
      sym_attribute,
    STATE(6164), 1,
      sym_parenthesized_operator,
    STATE(6230), 1,
      sym__constructor_name,
    STATE(6585), 1,
      sym__simple_expression,
    STATE(6615), 1,
      sym__value_name,
    STATE(18139), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6228), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6568), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8472), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [131288] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(8420), 1,
      sym__lowercase_identifier,
    ACTIONS(8422), 1,
      anon_sym_LPAREN,
    ACTIONS(8426), 1,
      anon_sym_LBRACE,
    ACTIONS(8428), 1,
      anon_sym_begin,
    ACTIONS(8430), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8432), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8434), 1,
      aux_sym_number_token1,
    ACTIONS(8436), 1,
      anon_sym_SQUOTE,
    ACTIONS(8438), 1,
      anon_sym_DQUOTE,
    ACTIONS(8440), 1,
      sym_prefix_operator,
    STATE(4340), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(7463), 1,
      sym__simple_expression,
    STATE(18175), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8424), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7372), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131406] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4047), 1,
      anon_sym_DOT,
    ACTIONS(4049), 1,
      anon_sym_POUND,
    ACTIONS(4051), 1,
      sym_hash_operator,
    STATE(4341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131552] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2349), 1,
      anon_sym_LPAREN,
    ACTIONS(2351), 1,
      anon_sym_LBRACK,
    ACTIONS(2355), 1,
      anon_sym_LBRACE,
    ACTIONS(2357), 1,
      anon_sym_object,
    ACTIONS(2361), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2371), 1,
      anon_sym_new,
    ACTIONS(2373), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2375), 1,
      anon_sym_begin,
    ACTIONS(2377), 1,
      sym_ocamlyacc_value,
    ACTIONS(2379), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2381), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2383), 1,
      aux_sym_number_token1,
    ACTIONS(2385), 1,
      anon_sym_SQUOTE,
    ACTIONS(2387), 1,
      anon_sym_DQUOTE,
    ACTIONS(2389), 1,
      sym_prefix_operator,
    ACTIONS(2393), 1,
      sym__uppercase_identifier,
    ACTIONS(2395), 1,
      aux_sym_tag_token1,
    ACTIONS(5347), 1,
      sym__lowercase_identifier,
    STATE(4343), 1,
      sym_attribute,
    STATE(6187), 1,
      sym__simple_expression,
    STATE(6253), 1,
      sym__constructor_name,
    STATE(6320), 1,
      sym_parenthesized_operator,
    STATE(6665), 1,
      sym__value_name,
    STATE(18179), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2353), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6252), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6612), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131670] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8346), 1,
      sym__lowercase_identifier,
    ACTIONS(8348), 1,
      anon_sym_LPAREN,
    ACTIONS(8350), 1,
      anon_sym_LBRACK,
    ACTIONS(8354), 1,
      anon_sym_LBRACE,
    ACTIONS(8356), 1,
      anon_sym_object,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8360), 1,
      anon_sym_new,
    ACTIONS(8362), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8364), 1,
      anon_sym_begin,
    ACTIONS(8366), 1,
      sym_ocamlyacc_value,
    ACTIONS(8368), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8370), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8372), 1,
      aux_sym_number_token1,
    ACTIONS(8374), 1,
      anon_sym_SQUOTE,
    ACTIONS(8376), 1,
      anon_sym_DQUOTE,
    ACTIONS(8378), 1,
      sym_prefix_operator,
    ACTIONS(8380), 1,
      sym__uppercase_identifier,
    ACTIONS(8382), 1,
      aux_sym_tag_token1,
    STATE(4344), 1,
      sym_attribute,
    STATE(7344), 1,
      sym__constructor_name,
    STATE(7386), 1,
      sym__value_name,
    STATE(7417), 1,
      sym_parenthesized_operator,
    STATE(7569), 1,
      sym__simple_expression,
    STATE(18379), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8352), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7537), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7560), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131788] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8346), 1,
      sym__lowercase_identifier,
    ACTIONS(8348), 1,
      anon_sym_LPAREN,
    ACTIONS(8350), 1,
      anon_sym_LBRACK,
    ACTIONS(8354), 1,
      anon_sym_LBRACE,
    ACTIONS(8356), 1,
      anon_sym_object,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8360), 1,
      anon_sym_new,
    ACTIONS(8362), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8364), 1,
      anon_sym_begin,
    ACTIONS(8366), 1,
      sym_ocamlyacc_value,
    ACTIONS(8368), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8370), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8372), 1,
      aux_sym_number_token1,
    ACTIONS(8374), 1,
      anon_sym_SQUOTE,
    ACTIONS(8376), 1,
      anon_sym_DQUOTE,
    ACTIONS(8378), 1,
      sym_prefix_operator,
    ACTIONS(8380), 1,
      sym__uppercase_identifier,
    ACTIONS(8382), 1,
      aux_sym_tag_token1,
    STATE(4345), 1,
      sym_attribute,
    STATE(7344), 1,
      sym__constructor_name,
    STATE(7386), 1,
      sym__value_name,
    STATE(7417), 1,
      sym_parenthesized_operator,
    STATE(7591), 1,
      sym__simple_expression,
    STATE(18379), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8352), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7537), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7560), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131906] = 29,
    ACTIONS(533), 1,
      anon_sym_LPAREN,
    ACTIONS(535), 1,
      anon_sym_LBRACK,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(541), 1,
      anon_sym_object,
    ACTIONS(545), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(555), 1,
      anon_sym_new,
    ACTIONS(557), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(559), 1,
      anon_sym_begin,
    ACTIONS(561), 1,
      sym_ocamlyacc_value,
    ACTIONS(567), 1,
      aux_sym_number_token1,
    ACTIONS(569), 1,
      anon_sym_SQUOTE,
    ACTIONS(571), 1,
      anon_sym_DQUOTE,
    ACTIONS(573), 1,
      sym_prefix_operator,
    ACTIONS(577), 1,
      sym__uppercase_identifier,
    ACTIONS(579), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3099), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3101), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3233), 1,
      sym__lowercase_identifier,
    STATE(3337), 1,
      sym__value_name,
    STATE(3342), 1,
      sym__simple_expression,
    STATE(3381), 1,
      sym_parenthesized_operator,
    STATE(3491), 1,
      sym__constructor_name,
    STATE(4346), 1,
      sym_attribute,
    STATE(19875), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(537), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3497), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3289), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132024] = 29,
    ACTIONS(861), 1,
      anon_sym_LPAREN,
    ACTIONS(863), 1,
      anon_sym_LBRACK,
    ACTIONS(867), 1,
      anon_sym_LBRACE,
    ACTIONS(869), 1,
      anon_sym_object,
    ACTIONS(873), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(883), 1,
      anon_sym_new,
    ACTIONS(885), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(887), 1,
      anon_sym_begin,
    ACTIONS(889), 1,
      sym_ocamlyacc_value,
    ACTIONS(895), 1,
      aux_sym_number_token1,
    ACTIONS(897), 1,
      anon_sym_SQUOTE,
    ACTIONS(899), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym_prefix_operator,
    ACTIONS(905), 1,
      sym__uppercase_identifier,
    ACTIONS(907), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3065), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3067), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3507), 1,
      sym__lowercase_identifier,
    STATE(3959), 1,
      sym__simple_expression,
    STATE(4005), 1,
      sym__value_name,
    STATE(4045), 1,
      sym_parenthesized_operator,
    STATE(4088), 1,
      sym__constructor_name,
    STATE(4347), 1,
      sym_attribute,
    STATE(17695), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(865), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4087), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3950), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132142] = 29,
    ACTIONS(861), 1,
      anon_sym_LPAREN,
    ACTIONS(863), 1,
      anon_sym_LBRACK,
    ACTIONS(867), 1,
      anon_sym_LBRACE,
    ACTIONS(869), 1,
      anon_sym_object,
    ACTIONS(873), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(883), 1,
      anon_sym_new,
    ACTIONS(885), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(887), 1,
      anon_sym_begin,
    ACTIONS(889), 1,
      sym_ocamlyacc_value,
    ACTIONS(895), 1,
      aux_sym_number_token1,
    ACTIONS(897), 1,
      anon_sym_SQUOTE,
    ACTIONS(899), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym_prefix_operator,
    ACTIONS(905), 1,
      sym__uppercase_identifier,
    ACTIONS(907), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3065), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3067), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3507), 1,
      sym__lowercase_identifier,
    STATE(3972), 1,
      sym__simple_expression,
    STATE(4005), 1,
      sym__value_name,
    STATE(4045), 1,
      sym_parenthesized_operator,
    STATE(4088), 1,
      sym__constructor_name,
    STATE(4348), 1,
      sym_attribute,
    STATE(17695), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(865), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4087), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3950), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132400] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8346), 1,
      sym__lowercase_identifier,
    ACTIONS(8348), 1,
      anon_sym_LPAREN,
    ACTIONS(8350), 1,
      anon_sym_LBRACK,
    ACTIONS(8354), 1,
      anon_sym_LBRACE,
    ACTIONS(8356), 1,
      anon_sym_object,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8360), 1,
      anon_sym_new,
    ACTIONS(8362), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8364), 1,
      anon_sym_begin,
    ACTIONS(8366), 1,
      sym_ocamlyacc_value,
    ACTIONS(8368), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8370), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8372), 1,
      aux_sym_number_token1,
    ACTIONS(8374), 1,
      anon_sym_SQUOTE,
    ACTIONS(8376), 1,
      anon_sym_DQUOTE,
    ACTIONS(8378), 1,
      sym_prefix_operator,
    ACTIONS(8380), 1,
      sym__uppercase_identifier,
    ACTIONS(8382), 1,
      aux_sym_tag_token1,
    STATE(4351), 1,
      sym_attribute,
    STATE(7344), 1,
      sym__constructor_name,
    STATE(7386), 1,
      sym__value_name,
    STATE(7417), 1,
      sym_parenthesized_operator,
    STATE(7511), 1,
      sym__simple_expression,
    STATE(18379), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8352), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7537), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7560), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132518] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8346), 1,
      sym__lowercase_identifier,
    ACTIONS(8348), 1,
      anon_sym_LPAREN,
    ACTIONS(8350), 1,
      anon_sym_LBRACK,
    ACTIONS(8354), 1,
      anon_sym_LBRACE,
    ACTIONS(8356), 1,
      anon_sym_object,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8360), 1,
      anon_sym_new,
    ACTIONS(8362), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8364), 1,
      anon_sym_begin,
    ACTIONS(8366), 1,
      sym_ocamlyacc_value,
    ACTIONS(8368), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8370), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8372), 1,
      aux_sym_number_token1,
    ACTIONS(8374), 1,
      anon_sym_SQUOTE,
    ACTIONS(8376), 1,
      anon_sym_DQUOTE,
    ACTIONS(8378), 1,
      sym_prefix_operator,
    ACTIONS(8380), 1,
      sym__uppercase_identifier,
    ACTIONS(8382), 1,
      aux_sym_tag_token1,
    STATE(4352), 1,
      sym_attribute,
    STATE(7344), 1,
      sym__constructor_name,
    STATE(7386), 1,
      sym__value_name,
    STATE(7417), 1,
      sym_parenthesized_operator,
    STATE(7512), 1,
      sym__simple_expression,
    STATE(18379), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8352), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7537), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7560), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132636] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2745), 1,
      anon_sym_LPAREN,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    ACTIONS(2751), 1,
      anon_sym_LBRACE,
    ACTIONS(2753), 1,
      anon_sym_object,
    ACTIONS(2757), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2767), 1,
      anon_sym_new,
    ACTIONS(2769), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2771), 1,
      anon_sym_begin,
    ACTIONS(2773), 1,
      sym_ocamlyacc_value,
    ACTIONS(2775), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2777), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2779), 1,
      aux_sym_number_token1,
    ACTIONS(2781), 1,
      anon_sym_SQUOTE,
    ACTIONS(2783), 1,
      anon_sym_DQUOTE,
    ACTIONS(2785), 1,
      sym_prefix_operator,
    ACTIONS(2789), 1,
      sym__uppercase_identifier,
    ACTIONS(2791), 1,
      aux_sym_tag_token1,
    ACTIONS(5435), 1,
      sym__lowercase_identifier,
    STATE(4353), 1,
      sym_attribute,
    STATE(6775), 1,
      sym__value_name,
    STATE(6784), 1,
      sym__simple_expression,
    STATE(6842), 1,
      sym_parenthesized_operator,
    STATE(6980), 1,
      sym__constructor_name,
    STATE(18261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2749), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6940), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6771), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132754] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2745), 1,
      anon_sym_LPAREN,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    ACTIONS(2751), 1,
      anon_sym_LBRACE,
    ACTIONS(2753), 1,
      anon_sym_object,
    ACTIONS(2757), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2767), 1,
      anon_sym_new,
    ACTIONS(2769), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2771), 1,
      anon_sym_begin,
    ACTIONS(2773), 1,
      sym_ocamlyacc_value,
    ACTIONS(2775), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2777), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2779), 1,
      aux_sym_number_token1,
    ACTIONS(2781), 1,
      anon_sym_SQUOTE,
    ACTIONS(2783), 1,
      anon_sym_DQUOTE,
    ACTIONS(2785), 1,
      sym_prefix_operator,
    ACTIONS(2789), 1,
      sym__uppercase_identifier,
    ACTIONS(2791), 1,
      aux_sym_tag_token1,
    ACTIONS(5435), 1,
      sym__lowercase_identifier,
    STATE(4354), 1,
      sym_attribute,
    STATE(6756), 1,
      sym__simple_expression,
    STATE(6775), 1,
      sym__value_name,
    STATE(6842), 1,
      sym_parenthesized_operator,
    STATE(6980), 1,
      sym__constructor_name,
    STATE(18261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2749), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6940), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6771), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132872] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5899), 1,
      sym__lowercase_identifier,
    ACTIONS(5903), 1,
      anon_sym_LPAREN,
    ACTIONS(5905), 1,
      anon_sym_LBRACK,
    ACTIONS(5909), 1,
      anon_sym_LBRACE,
    ACTIONS(5911), 1,
      anon_sym_object,
    ACTIONS(5913), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5915), 1,
      anon_sym_new,
    ACTIONS(5917), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5919), 1,
      anon_sym_begin,
    ACTIONS(5921), 1,
      sym_ocamlyacc_value,
    ACTIONS(5927), 1,
      aux_sym_number_token1,
    ACTIONS(5929), 1,
      anon_sym_SQUOTE,
    ACTIONS(5931), 1,
      anon_sym_DQUOTE,
    ACTIONS(5933), 1,
      sym_prefix_operator,
    ACTIONS(5935), 1,
      sym__uppercase_identifier,
    ACTIONS(5937), 1,
      aux_sym_tag_token1,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8496), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4355), 1,
      sym_attribute,
    STATE(6337), 1,
      sym__simple_expression,
    STATE(6398), 1,
      sym__value_name,
    STATE(6411), 1,
      sym_parenthesized_operator,
    STATE(6488), 1,
      sym__constructor_name,
    STATE(19462), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5907), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6528), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6355), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132990] = 29,
    ACTIONS(533), 1,
      anon_sym_LPAREN,
    ACTIONS(535), 1,
      anon_sym_LBRACK,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(541), 1,
      anon_sym_object,
    ACTIONS(545), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(555), 1,
      anon_sym_new,
    ACTIONS(557), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(559), 1,
      anon_sym_begin,
    ACTIONS(561), 1,
      sym_ocamlyacc_value,
    ACTIONS(567), 1,
      aux_sym_number_token1,
    ACTIONS(569), 1,
      anon_sym_SQUOTE,
    ACTIONS(571), 1,
      anon_sym_DQUOTE,
    ACTIONS(573), 1,
      sym_prefix_operator,
    ACTIONS(577), 1,
      sym__uppercase_identifier,
    ACTIONS(579), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3099), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3101), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3233), 1,
      sym__lowercase_identifier,
    STATE(3294), 1,
      sym__simple_expression,
    STATE(3337), 1,
      sym__value_name,
    STATE(3381), 1,
      sym_parenthesized_operator,
    STATE(3491), 1,
      sym__constructor_name,
    STATE(4356), 1,
      sym_attribute,
    STATE(19875), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(537), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3497), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3289), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [133108] = 29,
    ACTIONS(533), 1,
      anon_sym_LPAREN,
    ACTIONS(535), 1,
      anon_sym_LBRACK,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(541), 1,
      anon_sym_object,
    ACTIONS(545), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(555), 1,
      anon_sym_new,
    ACTIONS(557), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(559), 1,
      anon_sym_begin,
    ACTIONS(561), 1,
      sym_ocamlyacc_value,
    ACTIONS(567), 1,
      aux_sym_number_token1,
    ACTIONS(569), 1,
      anon_sym_SQUOTE,
    ACTIONS(571), 1,
      anon_sym_DQUOTE,
    ACTIONS(573), 1,
      sym_prefix_operator,
    ACTIONS(577), 1,
      sym__uppercase_identifier,
    ACTIONS(579), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3099), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3101), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3233), 1,
      sym__lowercase_identifier,
    STATE(3303), 1,
      sym__simple_expression,
    STATE(3337), 1,
      sym__value_name,
    STATE(3381), 1,
      sym_parenthesized_operator,
    STATE(3491), 1,
      sym__constructor_name,
    STATE(4357), 1,
      sym_attribute,
    STATE(19875), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(537), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3497), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3289), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [133226] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2745), 1,
      anon_sym_LPAREN,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    ACTIONS(2751), 1,
      anon_sym_LBRACE,
    ACTIONS(2753), 1,
      anon_sym_object,
    ACTIONS(2757), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2767), 1,
      anon_sym_new,
    ACTIONS(2769), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2771), 1,
      anon_sym_begin,
    ACTIONS(2773), 1,
      sym_ocamlyacc_value,
    ACTIONS(2775), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2777), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2779), 1,
      aux_sym_number_token1,
    ACTIONS(2781), 1,
      anon_sym_SQUOTE,
    ACTIONS(2783), 1,
      anon_sym_DQUOTE,
    ACTIONS(2785), 1,
      sym_prefix_operator,
    ACTIONS(2789), 1,
      sym__uppercase_identifier,
    ACTIONS(2791), 1,
      aux_sym_tag_token1,
    ACTIONS(5435), 1,
      sym__lowercase_identifier,
    STATE(4358), 1,
      sym_attribute,
    STATE(6775), 1,
      sym__value_name,
    STATE(6803), 1,
      sym__simple_expression,
    STATE(6842), 1,
      sym_parenthesized_operator,
    STATE(6980), 1,
      sym__constructor_name,
    STATE(18261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2749), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6940), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6771), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [133344] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8368), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8370), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8386), 1,
      sym__lowercase_identifier,
    ACTIONS(8388), 1,
      anon_sym_LPAREN,
    ACTIONS(8390), 1,
      anon_sym_LBRACK,
    ACTIONS(8394), 1,
      anon_sym_LBRACE,
    ACTIONS(8396), 1,
      anon_sym_object,
    ACTIONS(8398), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8400), 1,
      anon_sym_new,
    ACTIONS(8402), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8404), 1,
      anon_sym_begin,
    ACTIONS(8406), 1,
      sym_ocamlyacc_value,
    ACTIONS(8408), 1,
      aux_sym_number_token1,
    ACTIONS(8410), 1,
      anon_sym_SQUOTE,
    ACTIONS(8412), 1,
      anon_sym_DQUOTE,
    ACTIONS(8414), 1,
      sym_prefix_operator,
    ACTIONS(8416), 1,
      sym__uppercase_identifier,
    ACTIONS(8418), 1,
      aux_sym_tag_token1,
    STATE(4359), 1,
      sym_attribute,
    STATE(7291), 1,
      sym__value_name,
    STATE(7304), 1,
      sym_parenthesized_operator,
    STATE(7314), 1,
      sym__constructor_name,
    STATE(9220), 1,
      sym__simple_expression,
    STATE(18911), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8392), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7233), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [133462] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8368), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8370), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8386), 1,
      sym__lowercase_identifier,
    ACTIONS(8388), 1,
      anon_sym_LPAREN,
    ACTIONS(8390), 1,
      anon_sym_LBRACK,
    ACTIONS(8394), 1,
      anon_sym_LBRACE,
    ACTIONS(8396), 1,
      anon_sym_object,
    ACTIONS(8398), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8400), 1,
      anon_sym_new,
    ACTIONS(8402), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8404), 1,
      anon_sym_begin,
    ACTIONS(8406), 1,
      sym_ocamlyacc_value,
    ACTIONS(8408), 1,
      aux_sym_number_token1,
    ACTIONS(8410), 1,
      anon_sym_SQUOTE,
    ACTIONS(8412), 1,
      anon_sym_DQUOTE,
    ACTIONS(8414), 1,
      sym_prefix_operator,
    ACTIONS(8416), 1,
      sym__uppercase_identifier,
    ACTIONS(8418), 1,
      aux_sym_tag_token1,
    STATE(4360), 1,
      sym_attribute,
    STATE(7291), 1,
      sym__value_name,
    STATE(7304), 1,
      sym_parenthesized_operator,
    STATE(7314), 1,
      sym__constructor_name,
    STATE(9221), 1,
      sym__simple_expression,
    STATE(18911), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8392), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7233), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [133580] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8368), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8370), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8386), 1,
      sym__lowercase_identifier,
    ACTIONS(8388), 1,
      anon_sym_LPAREN,
    ACTIONS(8390), 1,
      anon_sym_LBRACK,
    ACTIONS(8394), 1,
      anon_sym_LBRACE,
    ACTIONS(8396), 1,
      anon_sym_object,
    ACTIONS(8398), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8400), 1,
      anon_sym_new,
    ACTIONS(8402), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8404), 1,
      anon_sym_begin,
    ACTIONS(8406), 1,
      sym_ocamlyacc_value,
    ACTIONS(8408), 1,
      aux_sym_number_token1,
    ACTIONS(8410), 1,
      anon_sym_SQUOTE,
    ACTIONS(8412), 1,
      anon_sym_DQUOTE,
    ACTIONS(8414), 1,
      sym_prefix_operator,
    ACTIONS(8416), 1,
      sym__uppercase_identifier,
    ACTIONS(8418), 1,
      aux_sym_tag_token1,
    STATE(4361), 1,
      sym_attribute,
    STATE(7241), 1,
      sym__simple_expression,
    STATE(7291), 1,
      sym__value_name,
    STATE(7304), 1,
      sym_parenthesized_operator,
    STATE(7314), 1,
      sym__constructor_name,
    STATE(18911), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8392), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7233), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [133698] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8368), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8370), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8386), 1,
      sym__lowercase_identifier,
    ACTIONS(8388), 1,
      anon_sym_LPAREN,
    ACTIONS(8390), 1,
      anon_sym_LBRACK,
    ACTIONS(8394), 1,
      anon_sym_LBRACE,
    ACTIONS(8396), 1,
      anon_sym_object,
    ACTIONS(8398), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8400), 1,
      anon_sym_new,
    ACTIONS(8402), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8404), 1,
      anon_sym_begin,
    ACTIONS(8406), 1,
      sym_ocamlyacc_value,
    ACTIONS(8408), 1,
      aux_sym_number_token1,
    ACTIONS(8410), 1,
      anon_sym_SQUOTE,
    ACTIONS(8412), 1,
      anon_sym_DQUOTE,
    ACTIONS(8414), 1,
      sym_prefix_operator,
    ACTIONS(8416), 1,
      sym__uppercase_identifier,
    ACTIONS(8418), 1,
      aux_sym_tag_token1,
    STATE(4362), 1,
      sym_attribute,
    STATE(7257), 1,
      sym__simple_expression,
    STATE(7291), 1,
      sym__value_name,
    STATE(7304), 1,
      sym_parenthesized_operator,
    STATE(7314), 1,
      sym__constructor_name,
    STATE(18911), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8392), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7233), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [133816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134166] = 29,
    ACTIONS(691), 1,
      anon_sym_LPAREN,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_LBRACE,
    ACTIONS(699), 1,
      anon_sym_object,
    ACTIONS(703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(713), 1,
      anon_sym_new,
    ACTIONS(715), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(717), 1,
      anon_sym_begin,
    ACTIONS(719), 1,
      sym_ocamlyacc_value,
    ACTIONS(725), 1,
      aux_sym_number_token1,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(731), 1,
      sym_prefix_operator,
    ACTIONS(735), 1,
      sym__uppercase_identifier,
    ACTIONS(737), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3113), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3115), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3261), 1,
      sym__lowercase_identifier,
    STATE(3734), 1,
      sym_parenthesized_operator,
    STATE(3826), 1,
      sym__constructor_name,
    STATE(3861), 1,
      sym__value_name,
    STATE(3906), 1,
      sym__simple_expression,
    STATE(4368), 1,
      sym_attribute,
    STATE(18219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(695), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3814), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3817), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134774] = 29,
    ACTIONS(917), 1,
      anon_sym_LPAREN,
    ACTIONS(919), 1,
      anon_sym_LBRACK,
    ACTIONS(923), 1,
      anon_sym_LBRACE,
    ACTIONS(925), 1,
      anon_sym_object,
    ACTIONS(929), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(947), 1,
      anon_sym_new,
    ACTIONS(949), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(951), 1,
      anon_sym_begin,
    ACTIONS(953), 1,
      sym_ocamlyacc_value,
    ACTIONS(959), 1,
      aux_sym_number_token1,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(965), 1,
      sym_prefix_operator,
    ACTIONS(969), 1,
      sym__uppercase_identifier,
    ACTIONS(971), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3095), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3097), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4543), 1,
      sym__lowercase_identifier,
    STATE(4376), 1,
      sym_attribute,
    STATE(4752), 1,
      sym__simple_expression,
    STATE(4794), 1,
      sym__value_name,
    STATE(4807), 1,
      sym__constructor_name,
    STATE(4842), 1,
      sym_parenthesized_operator,
    STATE(18419), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(921), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4745), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134892] = 29,
    ACTIONS(917), 1,
      anon_sym_LPAREN,
    ACTIONS(919), 1,
      anon_sym_LBRACK,
    ACTIONS(923), 1,
      anon_sym_LBRACE,
    ACTIONS(925), 1,
      anon_sym_object,
    ACTIONS(929), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(947), 1,
      anon_sym_new,
    ACTIONS(949), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(951), 1,
      anon_sym_begin,
    ACTIONS(953), 1,
      sym_ocamlyacc_value,
    ACTIONS(959), 1,
      aux_sym_number_token1,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(965), 1,
      sym_prefix_operator,
    ACTIONS(969), 1,
      sym__uppercase_identifier,
    ACTIONS(971), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3095), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3097), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4543), 1,
      sym__lowercase_identifier,
    STATE(4377), 1,
      sym_attribute,
    STATE(4763), 1,
      sym__simple_expression,
    STATE(4794), 1,
      sym__value_name,
    STATE(4807), 1,
      sym__constructor_name,
    STATE(4842), 1,
      sym_parenthesized_operator,
    STATE(18419), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(921), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4745), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8094), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [135080] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7932), 1,
      anon_sym_object,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7936), 1,
      anon_sym_new,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7942), 1,
      sym_ocamlyacc_value,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(8420), 1,
      sym__lowercase_identifier,
    ACTIONS(8422), 1,
      anon_sym_LPAREN,
    ACTIONS(8426), 1,
      anon_sym_LBRACE,
    ACTIONS(8428), 1,
      anon_sym_begin,
    ACTIONS(8430), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8432), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8434), 1,
      aux_sym_number_token1,
    ACTIONS(8436), 1,
      anon_sym_SQUOTE,
    ACTIONS(8438), 1,
      anon_sym_DQUOTE,
    ACTIONS(8440), 1,
      sym_prefix_operator,
    STATE(4379), 1,
      sym_attribute,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7193), 1,
      sym__value_name,
    STATE(7462), 1,
      sym__simple_expression,
    STATE(18175), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8424), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7372), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135198] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4380), 1,
      sym_attribute,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(5172), 1,
      sym__simple_expression,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135316] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5559), 1,
      sym__lowercase_identifier,
    ACTIONS(5567), 1,
      anon_sym_LPAREN,
    ACTIONS(5569), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5575), 1,
      anon_sym_object,
    ACTIONS(5577), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5579), 1,
      anon_sym_new,
    ACTIONS(5581), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5585), 1,
      sym_ocamlyacc_value,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      anon_sym_SQUOTE,
    ACTIONS(5595), 1,
      anon_sym_DQUOTE,
    ACTIONS(5597), 1,
      sym_prefix_operator,
    ACTIONS(5599), 1,
      sym__uppercase_identifier,
    ACTIONS(5601), 1,
      aux_sym_tag_token1,
    ACTIONS(8480), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8482), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4381), 1,
      sym_attribute,
    STATE(5917), 1,
      sym__constructor_name,
    STATE(5989), 1,
      sym__simple_expression,
    STATE(6051), 1,
      sym__value_name,
    STATE(6100), 1,
      sym_parenthesized_operator,
    STATE(17965), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5571), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5916), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6010), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135434] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7711), 1,
      sym__lowercase_identifier,
    ACTIONS(7715), 1,
      anon_sym_LPAREN,
    ACTIONS(7717), 1,
      anon_sym_LBRACK,
    ACTIONS(7721), 1,
      anon_sym_LBRACE,
    ACTIONS(7723), 1,
      anon_sym_object,
    ACTIONS(7725), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7727), 1,
      anon_sym_new,
    ACTIONS(7729), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7731), 1,
      anon_sym_begin,
    ACTIONS(7733), 1,
      sym_ocamlyacc_value,
    ACTIONS(7735), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7737), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7739), 1,
      aux_sym_number_token1,
    ACTIONS(7741), 1,
      anon_sym_SQUOTE,
    ACTIONS(7743), 1,
      anon_sym_DQUOTE,
    ACTIONS(7745), 1,
      sym_prefix_operator,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    STATE(4382), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(8914), 1,
      sym__value_name,
    STATE(8998), 1,
      sym_parenthesized_operator,
    STATE(9140), 1,
      sym__simple_expression,
    STATE(17749), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7719), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9112), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9125), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135552] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7711), 1,
      sym__lowercase_identifier,
    ACTIONS(7715), 1,
      anon_sym_LPAREN,
    ACTIONS(7717), 1,
      anon_sym_LBRACK,
    ACTIONS(7721), 1,
      anon_sym_LBRACE,
    ACTIONS(7723), 1,
      anon_sym_object,
    ACTIONS(7725), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7727), 1,
      anon_sym_new,
    ACTIONS(7729), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7731), 1,
      anon_sym_begin,
    ACTIONS(7733), 1,
      sym_ocamlyacc_value,
    ACTIONS(7735), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7737), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7739), 1,
      aux_sym_number_token1,
    ACTIONS(7741), 1,
      anon_sym_SQUOTE,
    ACTIONS(7743), 1,
      anon_sym_DQUOTE,
    ACTIONS(7745), 1,
      sym_prefix_operator,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    STATE(4383), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(8914), 1,
      sym__value_name,
    STATE(8998), 1,
      sym_parenthesized_operator,
    STATE(9189), 1,
      sym__simple_expression,
    STATE(17749), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7719), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9112), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9125), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8472), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [135950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136230] = 29,
    ACTIONS(747), 1,
      anon_sym_LPAREN,
    ACTIONS(749), 1,
      anon_sym_LBRACK,
    ACTIONS(753), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      anon_sym_object,
    ACTIONS(759), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(769), 1,
      anon_sym_new,
    ACTIONS(771), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(773), 1,
      anon_sym_begin,
    ACTIONS(775), 1,
      sym_ocamlyacc_value,
    ACTIONS(781), 1,
      aux_sym_number_token1,
    ACTIONS(783), 1,
      anon_sym_SQUOTE,
    ACTIONS(785), 1,
      anon_sym_DQUOTE,
    ACTIONS(787), 1,
      sym_prefix_operator,
    ACTIONS(791), 1,
      sym__uppercase_identifier,
    ACTIONS(793), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3045), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3047), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3251), 1,
      sym__lowercase_identifier,
    STATE(3717), 1,
      sym__simple_expression,
    STATE(3752), 1,
      sym_parenthesized_operator,
    STATE(3916), 1,
      sym__constructor_name,
    STATE(3920), 1,
      sym__value_name,
    STATE(4392), 1,
      sym_attribute,
    STATE(18299), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(751), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3865), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3868), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [136348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136418] = 29,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(309), 1,
      anon_sym_LBRACE,
    ACTIONS(311), 1,
      anon_sym_object,
    ACTIONS(315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(325), 1,
      anon_sym_new,
    ACTIONS(327), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(329), 1,
      anon_sym_begin,
    ACTIONS(331), 1,
      sym_ocamlyacc_value,
    ACTIONS(339), 1,
      aux_sym_number_token1,
    ACTIONS(341), 1,
      anon_sym_SQUOTE,
    ACTIONS(343), 1,
      anon_sym_DQUOTE,
    ACTIONS(345), 1,
      sym_prefix_operator,
    ACTIONS(351), 1,
      sym__uppercase_identifier,
    ACTIONS(353), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3053), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3055), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3081), 1,
      sym__lowercase_identifier,
    STATE(3005), 1,
      sym__constructor_name,
    STATE(3121), 1,
      sym__simple_expression,
    STATE(3175), 1,
      sym__value_name,
    STATE(3259), 1,
      sym_parenthesized_operator,
    STATE(4394), 1,
      sym_attribute,
    STATE(18457), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(307), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3002), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [136536] = 29,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(309), 1,
      anon_sym_LBRACE,
    ACTIONS(311), 1,
      anon_sym_object,
    ACTIONS(315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(325), 1,
      anon_sym_new,
    ACTIONS(327), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(329), 1,
      anon_sym_begin,
    ACTIONS(331), 1,
      sym_ocamlyacc_value,
    ACTIONS(339), 1,
      aux_sym_number_token1,
    ACTIONS(341), 1,
      anon_sym_SQUOTE,
    ACTIONS(343), 1,
      anon_sym_DQUOTE,
    ACTIONS(345), 1,
      sym_prefix_operator,
    ACTIONS(351), 1,
      sym__uppercase_identifier,
    ACTIONS(353), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3053), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3055), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3081), 1,
      sym__lowercase_identifier,
    STATE(3005), 1,
      sym__constructor_name,
    STATE(3135), 1,
      sym__simple_expression,
    STATE(3175), 1,
      sym__value_name,
    STATE(3259), 1,
      sym_parenthesized_operator,
    STATE(4395), 1,
      sym_attribute,
    STATE(18457), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(307), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3002), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [136654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8094), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [136724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136934] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1119), 1,
      anon_sym_LPAREN,
    ACTIONS(1121), 1,
      anon_sym_LBRACK,
    ACTIONS(1125), 1,
      anon_sym_LBRACE,
    ACTIONS(1127), 1,
      anon_sym_object,
    ACTIONS(1131), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1141), 1,
      anon_sym_new,
    ACTIONS(1143), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1145), 1,
      anon_sym_begin,
    ACTIONS(1147), 1,
      sym_ocamlyacc_value,
    ACTIONS(1149), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1151), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1153), 1,
      aux_sym_number_token1,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym_prefix_operator,
    ACTIONS(1163), 1,
      sym__uppercase_identifier,
    ACTIONS(1165), 1,
      aux_sym_tag_token1,
    ACTIONS(4713), 1,
      sym__lowercase_identifier,
    STATE(4400), 1,
      sym_attribute,
    STATE(5280), 1,
      sym__value_name,
    STATE(5281), 1,
      sym_parenthesized_operator,
    STATE(5294), 1,
      sym__simple_expression,
    STATE(5374), 1,
      sym__constructor_name,
    STATE(17911), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1123), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5290), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5326), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137052] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4401), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__simple_expression,
    STATE(5128), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5131), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137170] = 29,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1005), 1,
      anon_sym_LBRACE,
    ACTIONS(1007), 1,
      anon_sym_object,
    ACTIONS(1011), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1021), 1,
      anon_sym_new,
    ACTIONS(1023), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1025), 1,
      anon_sym_begin,
    ACTIONS(1027), 1,
      sym_ocamlyacc_value,
    ACTIONS(1033), 1,
      aux_sym_number_token1,
    ACTIONS(1035), 1,
      anon_sym_SQUOTE,
    ACTIONS(1037), 1,
      anon_sym_DQUOTE,
    ACTIONS(1039), 1,
      sym_prefix_operator,
    ACTIONS(1043), 1,
      sym__uppercase_identifier,
    ACTIONS(1045), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3043), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4553), 1,
      sym__lowercase_identifier,
    STATE(4402), 1,
      sym_attribute,
    STATE(4873), 1,
      sym__constructor_name,
    STATE(4878), 1,
      sym__simple_expression,
    STATE(4882), 1,
      sym_parenthesized_operator,
    STATE(4935), 1,
      sym__value_name,
    STATE(19132), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1003), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4890), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4901), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137358] = 29,
    ACTIONS(481), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_LBRACE,
    ACTIONS(489), 1,
      anon_sym_object,
    ACTIONS(493), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(503), 1,
      anon_sym_new,
    ACTIONS(505), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(507), 1,
      anon_sym_begin,
    ACTIONS(509), 1,
      sym_ocamlyacc_value,
    ACTIONS(515), 1,
      aux_sym_number_token1,
    ACTIONS(517), 1,
      anon_sym_SQUOTE,
    ACTIONS(519), 1,
      anon_sym_DQUOTE,
    ACTIONS(521), 1,
      sym_prefix_operator,
    ACTIONS(525), 1,
      sym__uppercase_identifier,
    ACTIONS(527), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3057), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3059), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3167), 1,
      sym__lowercase_identifier,
    STATE(3420), 1,
      sym__value_name,
    STATE(3431), 1,
      sym__simple_expression,
    STATE(3468), 1,
      sym_parenthesized_operator,
    STATE(3535), 1,
      sym__constructor_name,
    STATE(4404), 1,
      sym_attribute,
    STATE(17641), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(485), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3534), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3382), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137476] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5559), 1,
      sym__lowercase_identifier,
    ACTIONS(5567), 1,
      anon_sym_LPAREN,
    ACTIONS(5569), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5575), 1,
      anon_sym_object,
    ACTIONS(5577), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5579), 1,
      anon_sym_new,
    ACTIONS(5581), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5585), 1,
      sym_ocamlyacc_value,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      anon_sym_SQUOTE,
    ACTIONS(5595), 1,
      anon_sym_DQUOTE,
    ACTIONS(5597), 1,
      sym_prefix_operator,
    ACTIONS(5599), 1,
      sym__uppercase_identifier,
    ACTIONS(5601), 1,
      aux_sym_tag_token1,
    ACTIONS(8480), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8482), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4405), 1,
      sym_attribute,
    STATE(5917), 1,
      sym__constructor_name,
    STATE(6015), 1,
      sym__simple_expression,
    STATE(6051), 1,
      sym__value_name,
    STATE(6100), 1,
      sym_parenthesized_operator,
    STATE(17965), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5571), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5916), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6010), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137594] = 29,
    ACTIONS(917), 1,
      anon_sym_LPAREN,
    ACTIONS(919), 1,
      anon_sym_LBRACK,
    ACTIONS(923), 1,
      anon_sym_LBRACE,
    ACTIONS(925), 1,
      anon_sym_object,
    ACTIONS(929), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(947), 1,
      anon_sym_new,
    ACTIONS(949), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(951), 1,
      anon_sym_begin,
    ACTIONS(953), 1,
      sym_ocamlyacc_value,
    ACTIONS(959), 1,
      aux_sym_number_token1,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(965), 1,
      sym_prefix_operator,
    ACTIONS(969), 1,
      sym__uppercase_identifier,
    ACTIONS(971), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3095), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3097), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4543), 1,
      sym__lowercase_identifier,
    STATE(4406), 1,
      sym_attribute,
    STATE(4783), 1,
      sym__simple_expression,
    STATE(4794), 1,
      sym__value_name,
    STATE(4807), 1,
      sym__constructor_name,
    STATE(4842), 1,
      sym_parenthesized_operator,
    STATE(18419), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(921), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4745), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137712] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_LBRACK,
    ACTIONS(1957), 1,
      anon_sym_LBRACE,
    ACTIONS(1959), 1,
      anon_sym_object,
    ACTIONS(1963), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1973), 1,
      anon_sym_new,
    ACTIONS(1975), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1977), 1,
      anon_sym_begin,
    ACTIONS(1979), 1,
      sym_ocamlyacc_value,
    ACTIONS(1981), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1983), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1985), 1,
      aux_sym_number_token1,
    ACTIONS(1987), 1,
      anon_sym_SQUOTE,
    ACTIONS(1989), 1,
      anon_sym_DQUOTE,
    ACTIONS(1991), 1,
      sym_prefix_operator,
    ACTIONS(1995), 1,
      sym__uppercase_identifier,
    ACTIONS(1997), 1,
      aux_sym_tag_token1,
    ACTIONS(5359), 1,
      sym__lowercase_identifier,
    STATE(4407), 1,
      sym_attribute,
    STATE(6139), 1,
      sym__value_name,
    STATE(6208), 1,
      sym_parenthesized_operator,
    STATE(6282), 1,
      sym__constructor_name,
    STATE(6633), 1,
      sym__simple_expression,
    STATE(18496), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6281), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6605), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137830] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_LBRACK,
    ACTIONS(1957), 1,
      anon_sym_LBRACE,
    ACTIONS(1959), 1,
      anon_sym_object,
    ACTIONS(1963), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1973), 1,
      anon_sym_new,
    ACTIONS(1975), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1977), 1,
      anon_sym_begin,
    ACTIONS(1979), 1,
      sym_ocamlyacc_value,
    ACTIONS(1981), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1983), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1985), 1,
      aux_sym_number_token1,
    ACTIONS(1987), 1,
      anon_sym_SQUOTE,
    ACTIONS(1989), 1,
      anon_sym_DQUOTE,
    ACTIONS(1991), 1,
      sym_prefix_operator,
    ACTIONS(1995), 1,
      sym__uppercase_identifier,
    ACTIONS(1997), 1,
      aux_sym_tag_token1,
    ACTIONS(5359), 1,
      sym__lowercase_identifier,
    STATE(4408), 1,
      sym_attribute,
    STATE(6113), 1,
      sym__simple_expression,
    STATE(6139), 1,
      sym__value_name,
    STATE(6208), 1,
      sym_parenthesized_operator,
    STATE(6282), 1,
      sym__constructor_name,
    STATE(18496), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6281), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6605), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138018] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    ACTIONS(1173), 1,
      anon_sym_LBRACK,
    ACTIONS(1177), 1,
      anon_sym_LBRACE,
    ACTIONS(1179), 1,
      anon_sym_object,
    ACTIONS(1183), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1197), 1,
      anon_sym_new,
    ACTIONS(1199), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1201), 1,
      anon_sym_begin,
    ACTIONS(1203), 1,
      sym_ocamlyacc_value,
    ACTIONS(1205), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1207), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1209), 1,
      aux_sym_number_token1,
    ACTIONS(1211), 1,
      anon_sym_SQUOTE,
    ACTIONS(1213), 1,
      anon_sym_DQUOTE,
    ACTIONS(1215), 1,
      sym_prefix_operator,
    ACTIONS(1219), 1,
      sym__uppercase_identifier,
    ACTIONS(1221), 1,
      aux_sym_tag_token1,
    ACTIONS(4563), 1,
      sym__lowercase_identifier,
    STATE(4410), 1,
      sym_attribute,
    STATE(4974), 1,
      sym__simple_expression,
    STATE(5018), 1,
      sym_parenthesized_operator,
    STATE(5057), 1,
      sym__constructor_name,
    STATE(5070), 1,
      sym__value_name,
    STATE(17857), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1175), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5052), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5081), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138136] = 29,
    ACTIONS(809), 1,
      anon_sym_LPAREN,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    ACTIONS(815), 1,
      anon_sym_LBRACE,
    ACTIONS(817), 1,
      anon_sym_object,
    ACTIONS(821), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(831), 1,
      anon_sym_new,
    ACTIONS(833), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(835), 1,
      anon_sym_begin,
    ACTIONS(837), 1,
      sym_ocamlyacc_value,
    ACTIONS(843), 1,
      aux_sym_number_token1,
    ACTIONS(845), 1,
      anon_sym_SQUOTE,
    ACTIONS(847), 1,
      anon_sym_DQUOTE,
    ACTIONS(849), 1,
      sym_prefix_operator,
    ACTIONS(853), 1,
      sym__uppercase_identifier,
    ACTIONS(855), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3077), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3079), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3361), 1,
      sym__lowercase_identifier,
    STATE(4003), 1,
      sym_parenthesized_operator,
    STATE(4059), 1,
      sym__constructor_name,
    STATE(4146), 1,
      sym__value_name,
    STATE(4151), 1,
      sym__simple_expression,
    STATE(4411), 1,
      sym_attribute,
    STATE(17476), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(813), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4058), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4090), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138254] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1347), 1,
      anon_sym_LPAREN,
    ACTIONS(1349), 1,
      anon_sym_LBRACK,
    ACTIONS(1353), 1,
      anon_sym_LBRACE,
    ACTIONS(1355), 1,
      anon_sym_object,
    ACTIONS(1359), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1369), 1,
      anon_sym_new,
    ACTIONS(1371), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1373), 1,
      anon_sym_begin,
    ACTIONS(1375), 1,
      sym_ocamlyacc_value,
    ACTIONS(1377), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1381), 1,
      aux_sym_number_token1,
    ACTIONS(1383), 1,
      anon_sym_SQUOTE,
    ACTIONS(1385), 1,
      anon_sym_DQUOTE,
    ACTIONS(1387), 1,
      sym_prefix_operator,
    ACTIONS(1391), 1,
      sym__uppercase_identifier,
    ACTIONS(1393), 1,
      aux_sym_tag_token1,
    ACTIONS(5099), 1,
      sym__lowercase_identifier,
    STATE(4412), 1,
      sym_attribute,
    STATE(5722), 1,
      sym__simple_expression,
    STATE(5730), 1,
      sym_parenthesized_operator,
    STATE(5768), 1,
      sym__constructor_name,
    STATE(5794), 1,
      sym__value_name,
    STATE(17803), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1351), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5751), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5791), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138372] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1347), 1,
      anon_sym_LPAREN,
    ACTIONS(1349), 1,
      anon_sym_LBRACK,
    ACTIONS(1353), 1,
      anon_sym_LBRACE,
    ACTIONS(1355), 1,
      anon_sym_object,
    ACTIONS(1359), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1369), 1,
      anon_sym_new,
    ACTIONS(1371), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1373), 1,
      anon_sym_begin,
    ACTIONS(1375), 1,
      sym_ocamlyacc_value,
    ACTIONS(1377), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1381), 1,
      aux_sym_number_token1,
    ACTIONS(1383), 1,
      anon_sym_SQUOTE,
    ACTIONS(1385), 1,
      anon_sym_DQUOTE,
    ACTIONS(1387), 1,
      sym_prefix_operator,
    ACTIONS(1391), 1,
      sym__uppercase_identifier,
    ACTIONS(1393), 1,
      aux_sym_tag_token1,
    ACTIONS(5099), 1,
      sym__lowercase_identifier,
    STATE(4413), 1,
      sym_attribute,
    STATE(5730), 1,
      sym_parenthesized_operator,
    STATE(5768), 1,
      sym__constructor_name,
    STATE(5776), 1,
      sym__simple_expression,
    STATE(5794), 1,
      sym__value_name,
    STATE(17803), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1351), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5751), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5791), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138490] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2349), 1,
      anon_sym_LPAREN,
    ACTIONS(2351), 1,
      anon_sym_LBRACK,
    ACTIONS(2355), 1,
      anon_sym_LBRACE,
    ACTIONS(2357), 1,
      anon_sym_object,
    ACTIONS(2361), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2371), 1,
      anon_sym_new,
    ACTIONS(2373), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2375), 1,
      anon_sym_begin,
    ACTIONS(2377), 1,
      sym_ocamlyacc_value,
    ACTIONS(2379), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2381), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2383), 1,
      aux_sym_number_token1,
    ACTIONS(2385), 1,
      anon_sym_SQUOTE,
    ACTIONS(2387), 1,
      anon_sym_DQUOTE,
    ACTIONS(2389), 1,
      sym_prefix_operator,
    ACTIONS(2393), 1,
      sym__uppercase_identifier,
    ACTIONS(2395), 1,
      aux_sym_tag_token1,
    ACTIONS(5347), 1,
      sym__lowercase_identifier,
    STATE(4414), 1,
      sym_attribute,
    STATE(6253), 1,
      sym__constructor_name,
    STATE(6320), 1,
      sym_parenthesized_operator,
    STATE(6622), 1,
      sym__simple_expression,
    STATE(6665), 1,
      sym__value_name,
    STATE(18179), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2353), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6252), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6612), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138608] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(4415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138890] = 29,
    ACTIONS(413), 1,
      anon_sym_LPAREN,
    ACTIONS(417), 1,
      anon_sym_LBRACK,
    ACTIONS(421), 1,
      anon_sym_LBRACE,
    ACTIONS(431), 1,
      anon_sym_object,
    ACTIONS(435), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(445), 1,
      anon_sym_new,
    ACTIONS(447), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(449), 1,
      anon_sym_begin,
    ACTIONS(451), 1,
      sym_ocamlyacc_value,
    ACTIONS(457), 1,
      aux_sym_number_token1,
    ACTIONS(459), 1,
      anon_sym_SQUOTE,
    ACTIONS(461), 1,
      anon_sym_DQUOTE,
    ACTIONS(463), 1,
      sym_prefix_operator,
    ACTIONS(469), 1,
      sym__uppercase_identifier,
    ACTIONS(473), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3037), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3039), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4053), 1,
      sym__lowercase_identifier,
    STATE(4178), 1,
      sym__value_name,
    STATE(4185), 1,
      sym__constructor_name,
    STATE(4269), 1,
      sym__simple_expression,
    STATE(4398), 1,
      sym_parenthesized_operator,
    STATE(4419), 1,
      sym_attribute,
    STATE(19501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(419), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4174), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4389), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139008] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8472), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [139078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139218] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4057), 1,
      anon_sym_DOT,
    STATE(4423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139360] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(4425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139782] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2575), 1,
      anon_sym_LPAREN,
    ACTIONS(2577), 1,
      anon_sym_LBRACK,
    ACTIONS(2581), 1,
      anon_sym_LBRACE,
    ACTIONS(2583), 1,
      anon_sym_object,
    ACTIONS(2587), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2597), 1,
      anon_sym_new,
    ACTIONS(2599), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2601), 1,
      anon_sym_begin,
    ACTIONS(2603), 1,
      sym_ocamlyacc_value,
    ACTIONS(2605), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2607), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2609), 1,
      aux_sym_number_token1,
    ACTIONS(2611), 1,
      anon_sym_SQUOTE,
    ACTIONS(2613), 1,
      anon_sym_DQUOTE,
    ACTIONS(2615), 1,
      sym_prefix_operator,
    ACTIONS(2619), 1,
      sym__uppercase_identifier,
    ACTIONS(2621), 1,
      aux_sym_tag_token1,
    ACTIONS(5371), 1,
      sym__lowercase_identifier,
    STATE(4431), 1,
      sym_attribute,
    STATE(6731), 1,
      sym__constructor_name,
    STATE(7050), 1,
      sym__value_name,
    STATE(7061), 1,
      sym__simple_expression,
    STATE(7084), 1,
      sym_parenthesized_operator,
    STATE(17533), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2579), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7114), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7016), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139900] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    ACTIONS(1173), 1,
      anon_sym_LBRACK,
    ACTIONS(1177), 1,
      anon_sym_LBRACE,
    ACTIONS(1179), 1,
      anon_sym_object,
    ACTIONS(1183), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1197), 1,
      anon_sym_new,
    ACTIONS(1199), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1201), 1,
      anon_sym_begin,
    ACTIONS(1203), 1,
      sym_ocamlyacc_value,
    ACTIONS(1205), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1207), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1209), 1,
      aux_sym_number_token1,
    ACTIONS(1211), 1,
      anon_sym_SQUOTE,
    ACTIONS(1213), 1,
      anon_sym_DQUOTE,
    ACTIONS(1215), 1,
      sym_prefix_operator,
    ACTIONS(1219), 1,
      sym__uppercase_identifier,
    ACTIONS(1221), 1,
      aux_sym_tag_token1,
    ACTIONS(4563), 1,
      sym__lowercase_identifier,
    STATE(4432), 1,
      sym_attribute,
    STATE(5018), 1,
      sym_parenthesized_operator,
    STATE(5057), 1,
      sym__constructor_name,
    STATE(5070), 1,
      sym__value_name,
    STATE(5089), 1,
      sym__simple_expression,
    STATE(17857), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1175), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5052), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5081), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140018] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    ACTIONS(1173), 1,
      anon_sym_LBRACK,
    ACTIONS(1177), 1,
      anon_sym_LBRACE,
    ACTIONS(1179), 1,
      anon_sym_object,
    ACTIONS(1183), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1197), 1,
      anon_sym_new,
    ACTIONS(1199), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1201), 1,
      anon_sym_begin,
    ACTIONS(1203), 1,
      sym_ocamlyacc_value,
    ACTIONS(1205), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1207), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1209), 1,
      aux_sym_number_token1,
    ACTIONS(1211), 1,
      anon_sym_SQUOTE,
    ACTIONS(1213), 1,
      anon_sym_DQUOTE,
    ACTIONS(1215), 1,
      sym_prefix_operator,
    ACTIONS(1219), 1,
      sym__uppercase_identifier,
    ACTIONS(1221), 1,
      aux_sym_tag_token1,
    ACTIONS(4563), 1,
      sym__lowercase_identifier,
    STATE(4433), 1,
      sym_attribute,
    STATE(5018), 1,
      sym_parenthesized_operator,
    STATE(5057), 1,
      sym__constructor_name,
    STATE(5070), 1,
      sym__value_name,
    STATE(5102), 1,
      sym__simple_expression,
    STATE(17857), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1175), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5052), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5081), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140136] = 29,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(309), 1,
      anon_sym_LBRACE,
    ACTIONS(311), 1,
      anon_sym_object,
    ACTIONS(315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(325), 1,
      anon_sym_new,
    ACTIONS(327), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(329), 1,
      anon_sym_begin,
    ACTIONS(331), 1,
      sym_ocamlyacc_value,
    ACTIONS(339), 1,
      aux_sym_number_token1,
    ACTIONS(341), 1,
      anon_sym_SQUOTE,
    ACTIONS(343), 1,
      anon_sym_DQUOTE,
    ACTIONS(345), 1,
      sym_prefix_operator,
    ACTIONS(351), 1,
      sym__uppercase_identifier,
    ACTIONS(353), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3053), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3055), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3081), 1,
      sym__lowercase_identifier,
    STATE(3005), 1,
      sym__constructor_name,
    STATE(3157), 1,
      sym__simple_expression,
    STATE(3175), 1,
      sym__value_name,
    STATE(3259), 1,
      sym_parenthesized_operator,
    STATE(4434), 1,
      sym_attribute,
    STATE(18457), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(307), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3002), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140254] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1405), 1,
      anon_sym_LPAREN,
    ACTIONS(1407), 1,
      anon_sym_LBRACK,
    ACTIONS(1411), 1,
      anon_sym_LBRACE,
    ACTIONS(1413), 1,
      anon_sym_object,
    ACTIONS(1417), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1427), 1,
      anon_sym_new,
    ACTIONS(1429), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1431), 1,
      anon_sym_begin,
    ACTIONS(1433), 1,
      sym_ocamlyacc_value,
    ACTIONS(1435), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1437), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1439), 1,
      aux_sym_number_token1,
    ACTIONS(1441), 1,
      anon_sym_SQUOTE,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1445), 1,
      sym_prefix_operator,
    ACTIONS(1449), 1,
      sym__uppercase_identifier,
    ACTIONS(1451), 1,
      aux_sym_tag_token1,
    ACTIONS(5237), 1,
      sym__lowercase_identifier,
    STATE(4435), 1,
      sym_attribute,
    STATE(5876), 1,
      sym__simple_expression,
    STATE(5907), 1,
      sym__value_name,
    STATE(5936), 1,
      sym_parenthesized_operator,
    STATE(5965), 1,
      sym__constructor_name,
    STATE(18534), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5964), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5871), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140372] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1405), 1,
      anon_sym_LPAREN,
    ACTIONS(1407), 1,
      anon_sym_LBRACK,
    ACTIONS(1411), 1,
      anon_sym_LBRACE,
    ACTIONS(1413), 1,
      anon_sym_object,
    ACTIONS(1417), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1427), 1,
      anon_sym_new,
    ACTIONS(1429), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1431), 1,
      anon_sym_begin,
    ACTIONS(1433), 1,
      sym_ocamlyacc_value,
    ACTIONS(1435), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1437), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1439), 1,
      aux_sym_number_token1,
    ACTIONS(1441), 1,
      anon_sym_SQUOTE,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1445), 1,
      sym_prefix_operator,
    ACTIONS(1449), 1,
      sym__uppercase_identifier,
    ACTIONS(1451), 1,
      aux_sym_tag_token1,
    ACTIONS(5237), 1,
      sym__lowercase_identifier,
    STATE(4436), 1,
      sym_attribute,
    STATE(5885), 1,
      sym__simple_expression,
    STATE(5907), 1,
      sym__value_name,
    STATE(5936), 1,
      sym_parenthesized_operator,
    STATE(5965), 1,
      sym__constructor_name,
    STATE(18534), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5964), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5871), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140840] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2349), 1,
      anon_sym_LPAREN,
    ACTIONS(2351), 1,
      anon_sym_LBRACK,
    ACTIONS(2355), 1,
      anon_sym_LBRACE,
    ACTIONS(2357), 1,
      anon_sym_object,
    ACTIONS(2361), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2371), 1,
      anon_sym_new,
    ACTIONS(2373), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2375), 1,
      anon_sym_begin,
    ACTIONS(2377), 1,
      sym_ocamlyacc_value,
    ACTIONS(2379), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2381), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2383), 1,
      aux_sym_number_token1,
    ACTIONS(2385), 1,
      anon_sym_SQUOTE,
    ACTIONS(2387), 1,
      anon_sym_DQUOTE,
    ACTIONS(2389), 1,
      sym_prefix_operator,
    ACTIONS(2393), 1,
      sym__uppercase_identifier,
    ACTIONS(2395), 1,
      aux_sym_tag_token1,
    ACTIONS(5347), 1,
      sym__lowercase_identifier,
    STATE(4442), 1,
      sym_attribute,
    STATE(6253), 1,
      sym__constructor_name,
    STATE(6320), 1,
      sym_parenthesized_operator,
    STATE(6635), 1,
      sym__simple_expression,
    STATE(6665), 1,
      sym__value_name,
    STATE(18179), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2353), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6252), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6612), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140958] = 29,
    ACTIONS(413), 1,
      anon_sym_LPAREN,
    ACTIONS(417), 1,
      anon_sym_LBRACK,
    ACTIONS(421), 1,
      anon_sym_LBRACE,
    ACTIONS(431), 1,
      anon_sym_object,
    ACTIONS(435), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(445), 1,
      anon_sym_new,
    ACTIONS(447), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(449), 1,
      anon_sym_begin,
    ACTIONS(451), 1,
      sym_ocamlyacc_value,
    ACTIONS(457), 1,
      aux_sym_number_token1,
    ACTIONS(459), 1,
      anon_sym_SQUOTE,
    ACTIONS(461), 1,
      anon_sym_DQUOTE,
    ACTIONS(463), 1,
      sym_prefix_operator,
    ACTIONS(469), 1,
      sym__uppercase_identifier,
    ACTIONS(473), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3037), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3039), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4053), 1,
      sym__lowercase_identifier,
    STATE(4178), 1,
      sym__value_name,
    STATE(4185), 1,
      sym__constructor_name,
    STATE(4398), 1,
      sym_parenthesized_operator,
    STATE(4423), 1,
      sym__simple_expression,
    STATE(4443), 1,
      sym_attribute,
    STATE(19501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(419), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4174), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4389), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [141076] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(4444), 1,
      sym_attribute,
    STATE(4615), 1,
      sym__attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8772), 1,
      sym__binding_pattern,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [141205] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      sym__lowercase_identifier,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6717), 1,
      anon_sym_lazy,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    STATE(3449), 1,
      sym_constructor_path,
    STATE(3450), 1,
      sym_tag,
    STATE(4445), 1,
      sym_attribute,
    STATE(4582), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10333), 1,
      sym_parenthesized_operator,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13138), 1,
      sym__binding_pattern,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [141334] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    ACTIONS(8504), 1,
      anon_sym_rec,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4446), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14260), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [141463] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3247), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4447), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [141592] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3179), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4448), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [141721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8094), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [141790] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4969), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      sym__lowercase_identifier,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6717), 1,
      anon_sym_lazy,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8506), 1,
      anon_sym_RPAREN,
    STATE(3449), 1,
      sym_constructor_path,
    STATE(3450), 1,
      sym_tag,
    STATE(4450), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10333), 1,
      sym_parenthesized_operator,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(14129), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [141919] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3121), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4451), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [142048] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3229), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4452), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [142177] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3191), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4453), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [142306] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5169), 1,
      sym__lowercase_identifier,
    ACTIONS(5171), 1,
      anon_sym_LPAREN,
    ACTIONS(5173), 1,
      anon_sym_LBRACK,
    ACTIONS(5177), 1,
      anon_sym_LBRACE,
    ACTIONS(5179), 1,
      anon_sym_POUND,
    ACTIONS(5181), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5183), 1,
      anon_sym_lazy,
    ACTIONS(5185), 1,
      anon_sym_begin,
    ACTIONS(5191), 1,
      aux_sym_number_token1,
    ACTIONS(5193), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5195), 1,
      anon_sym_SQUOTE,
    ACTIONS(5197), 1,
      anon_sym_DQUOTE,
    ACTIONS(5199), 1,
      sym__uppercase_identifier,
    ACTIONS(5201), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(8466), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8468), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2438), 1,
      sym_constructor_path,
    STATE(2441), 1,
      sym_tag,
    STATE(4454), 1,
      sym_attribute,
    STATE(4608), 1,
      sym__attribute,
    STATE(5426), 1,
      sym__constructor_name,
    STATE(5491), 1,
      sym__signed_constant,
    STATE(5552), 1,
      sym__binding_pattern,
    STATE(5566), 1,
      sym_parenthesized_operator,
    STATE(5627), 1,
      sym_record_binding_pattern,
    STATE(5658), 1,
      sym_list_binding_pattern,
    STATE(5661), 1,
      sym_array_binding_pattern,
    STATE(18279), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5175), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5433), 2,
      sym__constant,
      sym_signed_number,
    STATE(5439), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5617), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [142435] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3135), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4455), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [142564] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3213), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4456), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [142693] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3249), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4457), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [142822] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3163), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4458), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [142951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8472), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [143020] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3137), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4460), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [143149] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5203), 1,
      sym__lowercase_identifier,
    ACTIONS(5205), 1,
      anon_sym_LPAREN,
    ACTIONS(5207), 1,
      anon_sym_LBRACK,
    ACTIONS(5211), 1,
      anon_sym_LBRACE,
    ACTIONS(5213), 1,
      anon_sym_POUND,
    ACTIONS(5215), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5217), 1,
      anon_sym_lazy,
    ACTIONS(5219), 1,
      anon_sym_begin,
    ACTIONS(5225), 1,
      aux_sym_number_token1,
    ACTIONS(5227), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5229), 1,
      anon_sym_SQUOTE,
    ACTIONS(5231), 1,
      anon_sym_DQUOTE,
    ACTIONS(5233), 1,
      sym__uppercase_identifier,
    ACTIONS(5235), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(8458), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8460), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2439), 1,
      sym_constructor_path,
    STATE(2440), 1,
      sym_tag,
    STATE(4461), 1,
      sym_attribute,
    STATE(4597), 1,
      sym__attribute,
    STATE(5405), 1,
      sym__signed_constant,
    STATE(5474), 1,
      sym__constructor_name,
    STATE(5533), 1,
      sym_record_binding_pattern,
    STATE(5547), 1,
      sym_list_binding_pattern,
    STATE(5574), 1,
      sym_array_binding_pattern,
    STATE(5626), 1,
      sym__binding_pattern,
    STATE(5651), 1,
      sym_parenthesized_operator,
    STATE(18682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5209), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5470), 2,
      sym__constant,
      sym_signed_number,
    STATE(5445), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5532), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [143278] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3203), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4462), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [143407] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3193), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4463), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [143536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8094), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [143605] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3183), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4465), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [143734] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      sym__lowercase_identifier,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6717), 1,
      anon_sym_lazy,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8508), 1,
      anon_sym_RPAREN,
    STATE(3449), 1,
      sym_constructor_path,
    STATE(3450), 1,
      sym_tag,
    STATE(4466), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10333), 1,
      sym_parenthesized_operator,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(14230), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [143863] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3231), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4467), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [143992] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3165), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4468), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [144121] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3201), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4469), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [144250] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5045), 1,
      sym__lowercase_identifier,
    ACTIONS(5047), 1,
      anon_sym_LPAREN,
    ACTIONS(5049), 1,
      anon_sym_LBRACK,
    ACTIONS(5053), 1,
      anon_sym_LBRACE,
    ACTIONS(5055), 1,
      anon_sym_POUND,
    ACTIONS(5057), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5059), 1,
      anon_sym_lazy,
    ACTIONS(5061), 1,
      anon_sym_begin,
    ACTIONS(5067), 1,
      aux_sym_number_token1,
    ACTIONS(5069), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5071), 1,
      anon_sym_SQUOTE,
    ACTIONS(5073), 1,
      anon_sym_DQUOTE,
    ACTIONS(5075), 1,
      sym__uppercase_identifier,
    ACTIONS(5077), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7607), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7609), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2431), 1,
      sym_constructor_path,
    STATE(2432), 1,
      sym_tag,
    STATE(4470), 1,
      sym_attribute,
    STATE(4616), 1,
      sym__attribute,
    STATE(5291), 1,
      sym__constructor_name,
    STATE(5309), 1,
      sym__signed_constant,
    STATE(5412), 1,
      sym_parenthesized_operator,
    STATE(5430), 1,
      sym__binding_pattern,
    STATE(5436), 1,
      sym_list_binding_pattern,
    STATE(5494), 1,
      sym_array_binding_pattern,
    STATE(5507), 1,
      sym_record_binding_pattern,
    STATE(19554), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5051), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5328), 2,
      sym__constant,
      sym_signed_number,
    STATE(5287), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5490), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [144379] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3177), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4471), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [144508] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3189), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4472), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [144637] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3157), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4473), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [144766] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5045), 1,
      sym__lowercase_identifier,
    ACTIONS(5047), 1,
      anon_sym_LPAREN,
    ACTIONS(5049), 1,
      anon_sym_LBRACK,
    ACTIONS(5053), 1,
      anon_sym_LBRACE,
    ACTIONS(5055), 1,
      anon_sym_POUND,
    ACTIONS(5057), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5059), 1,
      anon_sym_lazy,
    ACTIONS(5061), 1,
      anon_sym_begin,
    ACTIONS(5067), 1,
      aux_sym_number_token1,
    ACTIONS(5069), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5071), 1,
      anon_sym_SQUOTE,
    ACTIONS(5073), 1,
      anon_sym_DQUOTE,
    ACTIONS(5075), 1,
      sym__uppercase_identifier,
    ACTIONS(5077), 1,
      aux_sym_tag_token1,
    ACTIONS(7607), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7609), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8510), 1,
      anon_sym_rec,
    STATE(2431), 1,
      sym_constructor_path,
    STATE(2432), 1,
      sym_tag,
    STATE(2467), 1,
      sym__binding_pattern,
    STATE(4474), 1,
      sym_attribute,
    STATE(5291), 1,
      sym__constructor_name,
    STATE(5309), 1,
      sym__signed_constant,
    STATE(5412), 1,
      sym_parenthesized_operator,
    STATE(5436), 1,
      sym_list_binding_pattern,
    STATE(5494), 1,
      sym_array_binding_pattern,
    STATE(5507), 1,
      sym_record_binding_pattern,
    STATE(11490), 1,
      sym_let_binding,
    STATE(19554), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5051), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5328), 2,
      sym__constant,
      sym_signed_number,
    STATE(5287), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5490), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [144895] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      sym__lowercase_identifier,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6717), 1,
      anon_sym_lazy,
    ACTIONS(6737), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8512), 1,
      anon_sym_RPAREN,
    STATE(3449), 1,
      sym_constructor_path,
    STATE(3450), 1,
      sym_tag,
    STATE(4475), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10333), 1,
      sym_parenthesized_operator,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(14152), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145024] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3217), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4476), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145153] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3139), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4477), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8472), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [145351] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    STATE(3466), 1,
      sym_constructor_path,
    STATE(3467), 1,
      sym_tag,
    STATE(4479), 1,
      sym_attribute,
    STATE(4595), 1,
      sym__attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13893), 1,
      sym__binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145480] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      sym__lowercase_identifier,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6717), 1,
      anon_sym_lazy,
    ACTIONS(6747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8514), 1,
      anon_sym_RPAREN,
    STATE(3449), 1,
      sym_constructor_path,
    STATE(3450), 1,
      sym_tag,
    STATE(4480), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10333), 1,
      sym_parenthesized_operator,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(14165), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145609] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3185), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4481), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145738] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      sym__lowercase_identifier,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6717), 1,
      anon_sym_lazy,
    ACTIONS(6757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8516), 1,
      anon_sym_RPAREN,
    STATE(3449), 1,
      sym_constructor_path,
    STATE(3450), 1,
      sym_tag,
    STATE(4482), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10333), 1,
      sym_parenthesized_operator,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(14156), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145867] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5203), 1,
      sym__lowercase_identifier,
    ACTIONS(5205), 1,
      anon_sym_LPAREN,
    ACTIONS(5207), 1,
      anon_sym_LBRACK,
    ACTIONS(5211), 1,
      anon_sym_LBRACE,
    ACTIONS(5213), 1,
      anon_sym_POUND,
    ACTIONS(5215), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5217), 1,
      anon_sym_lazy,
    ACTIONS(5219), 1,
      anon_sym_begin,
    ACTIONS(5225), 1,
      aux_sym_number_token1,
    ACTIONS(5227), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5229), 1,
      anon_sym_SQUOTE,
    ACTIONS(5231), 1,
      anon_sym_DQUOTE,
    ACTIONS(5233), 1,
      sym__uppercase_identifier,
    ACTIONS(5235), 1,
      aux_sym_tag_token1,
    ACTIONS(8458), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8460), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8518), 1,
      anon_sym_rec,
    STATE(2439), 1,
      sym_constructor_path,
    STATE(2440), 1,
      sym_tag,
    STATE(2476), 1,
      sym__binding_pattern,
    STATE(4483), 1,
      sym_attribute,
    STATE(5405), 1,
      sym__signed_constant,
    STATE(5474), 1,
      sym__constructor_name,
    STATE(5533), 1,
      sym_record_binding_pattern,
    STATE(5547), 1,
      sym_list_binding_pattern,
    STATE(5574), 1,
      sym_array_binding_pattern,
    STATE(5651), 1,
      sym_parenthesized_operator,
    STATE(11617), 1,
      sym_let_binding,
    STATE(18682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5209), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5470), 2,
      sym__constant,
      sym_signed_number,
    STATE(5445), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5532), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145996] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3209), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4484), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [146125] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3161), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4485), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [146254] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3221), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4486), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [146383] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3207), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4487), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [146512] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3219), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4488), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [146641] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3197), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4489), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [146770] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      sym__lowercase_identifier,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6717), 1,
      anon_sym_lazy,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8520), 1,
      anon_sym_RPAREN,
    STATE(3449), 1,
      sym_constructor_path,
    STATE(3450), 1,
      sym_tag,
    STATE(4490), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10333), 1,
      sym_parenthesized_operator,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(14185), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [146899] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8522), 1,
      anon_sym_COLON,
    STATE(4491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8340), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [146970] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      sym__lowercase_identifier,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6717), 1,
      anon_sym_lazy,
    ACTIONS(6727), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8524), 1,
      anon_sym_RPAREN,
    STATE(3449), 1,
      sym_constructor_path,
    STATE(3450), 1,
      sym_tag,
    STATE(4492), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10333), 1,
      sym_parenthesized_operator,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(14115), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [147099] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3181), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4493), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [147228] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3215), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4494), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [147357] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4495), 1,
      sym_attribute,
    STATE(4607), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13138), 1,
      sym__binding_pattern,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [147486] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5169), 1,
      sym__lowercase_identifier,
    ACTIONS(5171), 1,
      anon_sym_LPAREN,
    ACTIONS(5173), 1,
      anon_sym_LBRACK,
    ACTIONS(5177), 1,
      anon_sym_LBRACE,
    ACTIONS(5179), 1,
      anon_sym_POUND,
    ACTIONS(5181), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5183), 1,
      anon_sym_lazy,
    ACTIONS(5185), 1,
      anon_sym_begin,
    ACTIONS(5191), 1,
      aux_sym_number_token1,
    ACTIONS(5193), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5195), 1,
      anon_sym_SQUOTE,
    ACTIONS(5197), 1,
      anon_sym_DQUOTE,
    ACTIONS(5199), 1,
      sym__uppercase_identifier,
    ACTIONS(5201), 1,
      aux_sym_tag_token1,
    ACTIONS(8466), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8468), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8526), 1,
      anon_sym_rec,
    STATE(2438), 1,
      sym_constructor_path,
    STATE(2441), 1,
      sym_tag,
    STATE(2471), 1,
      sym__binding_pattern,
    STATE(4496), 1,
      sym_attribute,
    STATE(5426), 1,
      sym__constructor_name,
    STATE(5491), 1,
      sym__signed_constant,
    STATE(5566), 1,
      sym_parenthesized_operator,
    STATE(5627), 1,
      sym_record_binding_pattern,
    STATE(5658), 1,
      sym_list_binding_pattern,
    STATE(5661), 1,
      sym_array_binding_pattern,
    STATE(11717), 1,
      sym_let_binding,
    STATE(18279), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5175), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5433), 2,
      sym__constant,
      sym_signed_number,
    STATE(5439), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5617), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [147615] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3195), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4497), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [147744] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3227), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4498), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [147873] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3117), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4499), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [148002] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3211), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4500), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [148131] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3119), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4501), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [148260] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3243), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4502), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [148389] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3223), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4503), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [148518] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3123), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4504), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [148647] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4973), 1,
      sym__lowercase_identifier,
    ACTIONS(4979), 1,
      anon_sym_LPAREN,
    ACTIONS(4981), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_LBRACE,
    ACTIONS(4987), 1,
      anon_sym_POUND,
    ACTIONS(4989), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4991), 1,
      anon_sym_lazy,
    ACTIONS(4993), 1,
      anon_sym_begin,
    ACTIONS(4999), 1,
      aux_sym_number_token1,
    ACTIONS(5001), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5003), 1,
      anon_sym_SQUOTE,
    ACTIONS(5005), 1,
      anon_sym_DQUOTE,
    ACTIONS(5007), 1,
      sym__uppercase_identifier,
    ACTIONS(5009), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7583), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7585), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2425), 1,
      sym_constructor_path,
    STATE(2426), 1,
      sym_tag,
    STATE(4505), 1,
      sym_attribute,
    STATE(4593), 1,
      sym__attribute,
    STATE(5327), 1,
      sym__signed_constant,
    STATE(5343), 1,
      sym__constructor_name,
    STATE(5397), 1,
      sym__binding_pattern,
    STATE(5483), 1,
      sym_record_binding_pattern,
    STATE(5498), 1,
      sym_array_binding_pattern,
    STATE(5516), 1,
      sym_parenthesized_operator,
    STATE(5521), 1,
      sym_list_binding_pattern,
    STATE(19715), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4983), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5336), 2,
      sym__constant,
      sym_signed_number,
    STATE(5307), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5403), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [148776] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3159), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4506), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [148905] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3225), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4507), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [149034] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4973), 1,
      sym__lowercase_identifier,
    ACTIONS(4979), 1,
      anon_sym_LPAREN,
    ACTIONS(4981), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_LBRACE,
    ACTIONS(4987), 1,
      anon_sym_POUND,
    ACTIONS(4989), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4991), 1,
      anon_sym_lazy,
    ACTIONS(4993), 1,
      anon_sym_begin,
    ACTIONS(4999), 1,
      aux_sym_number_token1,
    ACTIONS(5001), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5003), 1,
      anon_sym_SQUOTE,
    ACTIONS(5005), 1,
      anon_sym_DQUOTE,
    ACTIONS(5007), 1,
      sym__uppercase_identifier,
    ACTIONS(5009), 1,
      aux_sym_tag_token1,
    ACTIONS(7583), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7585), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8528), 1,
      anon_sym_rec,
    STATE(2425), 1,
      sym_constructor_path,
    STATE(2426), 1,
      sym_tag,
    STATE(2464), 1,
      sym__binding_pattern,
    STATE(4508), 1,
      sym_attribute,
    STATE(5327), 1,
      sym__signed_constant,
    STATE(5343), 1,
      sym__constructor_name,
    STATE(5483), 1,
      sym_record_binding_pattern,
    STATE(5498), 1,
      sym_array_binding_pattern,
    STATE(5516), 1,
      sym_parenthesized_operator,
    STATE(5521), 1,
      sym_list_binding_pattern,
    STATE(11580), 1,
      sym_let_binding,
    STATE(19715), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4983), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5336), 2,
      sym__constant,
      sym_signed_number,
    STATE(5307), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5403), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [149163] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8530), 1,
      anon_sym_COLON,
    STATE(4509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8340), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [149234] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3151), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4510), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [149363] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3245), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4511), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [149492] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3153), 1,
      anon_sym_RPAREN,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4512), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [149621] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    ACTIONS(8532), 1,
      anon_sym_RBRACK,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4513), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(13687), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [149747] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5203), 1,
      sym__lowercase_identifier,
    ACTIONS(5205), 1,
      anon_sym_LPAREN,
    ACTIONS(5207), 1,
      anon_sym_LBRACK,
    ACTIONS(5211), 1,
      anon_sym_LBRACE,
    ACTIONS(5213), 1,
      anon_sym_POUND,
    ACTIONS(5215), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5217), 1,
      anon_sym_lazy,
    ACTIONS(5219), 1,
      anon_sym_begin,
    ACTIONS(5225), 1,
      aux_sym_number_token1,
    ACTIONS(5227), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5229), 1,
      anon_sym_SQUOTE,
    ACTIONS(5231), 1,
      anon_sym_DQUOTE,
    ACTIONS(5233), 1,
      sym__uppercase_identifier,
    ACTIONS(5235), 1,
      aux_sym_tag_token1,
    ACTIONS(8458), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8460), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2439), 1,
      sym_constructor_path,
    STATE(2440), 1,
      sym_tag,
    STATE(2476), 1,
      sym__binding_pattern,
    STATE(4514), 1,
      sym_attribute,
    STATE(5405), 1,
      sym__signed_constant,
    STATE(5474), 1,
      sym__constructor_name,
    STATE(5533), 1,
      sym_record_binding_pattern,
    STATE(5547), 1,
      sym_list_binding_pattern,
    STATE(5574), 1,
      sym_array_binding_pattern,
    STATE(5651), 1,
      sym_parenthesized_operator,
    STATE(11617), 1,
      sym_let_binding,
    STATE(18682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5209), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5470), 2,
      sym__constant,
      sym_signed_number,
    STATE(5445), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5532), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [149873] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5045), 1,
      sym__lowercase_identifier,
    ACTIONS(5047), 1,
      anon_sym_LPAREN,
    ACTIONS(5049), 1,
      anon_sym_LBRACK,
    ACTIONS(5053), 1,
      anon_sym_LBRACE,
    ACTIONS(5055), 1,
      anon_sym_POUND,
    ACTIONS(5057), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5059), 1,
      anon_sym_lazy,
    ACTIONS(5061), 1,
      anon_sym_begin,
    ACTIONS(5067), 1,
      aux_sym_number_token1,
    ACTIONS(5069), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5071), 1,
      anon_sym_SQUOTE,
    ACTIONS(5073), 1,
      anon_sym_DQUOTE,
    ACTIONS(5075), 1,
      sym__uppercase_identifier,
    ACTIONS(5077), 1,
      aux_sym_tag_token1,
    ACTIONS(7607), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7609), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2431), 1,
      sym_constructor_path,
    STATE(2432), 1,
      sym_tag,
    STATE(2467), 1,
      sym__binding_pattern,
    STATE(4515), 1,
      sym_attribute,
    STATE(5291), 1,
      sym__constructor_name,
    STATE(5309), 1,
      sym__signed_constant,
    STATE(5412), 1,
      sym_parenthesized_operator,
    STATE(5436), 1,
      sym_list_binding_pattern,
    STATE(5494), 1,
      sym_array_binding_pattern,
    STATE(5507), 1,
      sym_record_binding_pattern,
    STATE(11490), 1,
      sym_let_binding,
    STATE(19554), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5051), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5328), 2,
      sym__constant,
      sym_signed_number,
    STATE(5287), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5490), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [149999] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    ACTIONS(8534), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3466), 1,
      sym_constructor_path,
    STATE(3467), 1,
      sym_tag,
    STATE(4516), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13678), 1,
      sym__binding_pattern,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150125] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    ACTIONS(8536), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3466), 1,
      sym_constructor_path,
    STATE(3467), 1,
      sym_tag,
    STATE(4517), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13592), 1,
      sym__binding_pattern,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150251] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4518), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14823), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150377] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    ACTIONS(8538), 1,
      anon_sym_RBRACK,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4519), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(13687), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150503] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    ACTIONS(8540), 1,
      anon_sym_RBRACK,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4520), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(13687), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150629] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    ACTIONS(8542), 1,
      anon_sym_RBRACK,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4521), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13494), 1,
      sym__binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150755] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    ACTIONS(8544), 1,
      anon_sym_RBRACK,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4522), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(13639), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8094), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [150949] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5045), 1,
      sym__lowercase_identifier,
    ACTIONS(5047), 1,
      anon_sym_LPAREN,
    ACTIONS(5049), 1,
      anon_sym_LBRACK,
    ACTIONS(5053), 1,
      anon_sym_LBRACE,
    ACTIONS(5055), 1,
      anon_sym_POUND,
    ACTIONS(5057), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5059), 1,
      anon_sym_lazy,
    ACTIONS(5061), 1,
      anon_sym_begin,
    ACTIONS(5067), 1,
      aux_sym_number_token1,
    ACTIONS(5069), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5071), 1,
      anon_sym_SQUOTE,
    ACTIONS(5073), 1,
      anon_sym_DQUOTE,
    ACTIONS(5075), 1,
      sym__uppercase_identifier,
    ACTIONS(5077), 1,
      aux_sym_tag_token1,
    ACTIONS(7607), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7609), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2431), 1,
      sym_constructor_path,
    STATE(2432), 1,
      sym_tag,
    STATE(2467), 1,
      sym__binding_pattern,
    STATE(4524), 1,
      sym_attribute,
    STATE(5291), 1,
      sym__constructor_name,
    STATE(5309), 1,
      sym__signed_constant,
    STATE(5412), 1,
      sym_parenthesized_operator,
    STATE(5436), 1,
      sym_list_binding_pattern,
    STATE(5494), 1,
      sym_array_binding_pattern,
    STATE(5507), 1,
      sym_record_binding_pattern,
    STATE(11098), 1,
      sym_let_binding,
    STATE(19554), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5051), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5328), 2,
      sym__constant,
      sym_signed_number,
    STATE(5287), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5490), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [151075] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    ACTIONS(8546), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3466), 1,
      sym_constructor_path,
    STATE(3467), 1,
      sym_tag,
    STATE(4525), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13495), 1,
      sym__binding_pattern,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [151201] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5169), 1,
      sym__lowercase_identifier,
    ACTIONS(5171), 1,
      anon_sym_LPAREN,
    ACTIONS(5173), 1,
      anon_sym_LBRACK,
    ACTIONS(5177), 1,
      anon_sym_LBRACE,
    ACTIONS(5179), 1,
      anon_sym_POUND,
    ACTIONS(5181), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5183), 1,
      anon_sym_lazy,
    ACTIONS(5185), 1,
      anon_sym_begin,
    ACTIONS(5191), 1,
      aux_sym_number_token1,
    ACTIONS(5193), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5195), 1,
      anon_sym_SQUOTE,
    ACTIONS(5197), 1,
      anon_sym_DQUOTE,
    ACTIONS(5199), 1,
      sym__uppercase_identifier,
    ACTIONS(5201), 1,
      aux_sym_tag_token1,
    ACTIONS(8466), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8468), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2438), 1,
      sym_constructor_path,
    STATE(2441), 1,
      sym_tag,
    STATE(2471), 1,
      sym__binding_pattern,
    STATE(4526), 1,
      sym_attribute,
    STATE(5426), 1,
      sym__constructor_name,
    STATE(5491), 1,
      sym__signed_constant,
    STATE(5566), 1,
      sym_parenthesized_operator,
    STATE(5627), 1,
      sym_record_binding_pattern,
    STATE(5658), 1,
      sym_list_binding_pattern,
    STATE(5661), 1,
      sym_array_binding_pattern,
    STATE(11678), 1,
      sym_let_binding,
    STATE(18279), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5175), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5433), 2,
      sym__constant,
      sym_signed_number,
    STATE(5439), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5617), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [151327] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5169), 1,
      sym__lowercase_identifier,
    ACTIONS(5171), 1,
      anon_sym_LPAREN,
    ACTIONS(5173), 1,
      anon_sym_LBRACK,
    ACTIONS(5177), 1,
      anon_sym_LBRACE,
    ACTIONS(5179), 1,
      anon_sym_POUND,
    ACTIONS(5181), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5183), 1,
      anon_sym_lazy,
    ACTIONS(5185), 1,
      anon_sym_begin,
    ACTIONS(5191), 1,
      aux_sym_number_token1,
    ACTIONS(5193), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5195), 1,
      anon_sym_SQUOTE,
    ACTIONS(5197), 1,
      anon_sym_DQUOTE,
    ACTIONS(5199), 1,
      sym__uppercase_identifier,
    ACTIONS(5201), 1,
      aux_sym_tag_token1,
    ACTIONS(8466), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8468), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2438), 1,
      sym_constructor_path,
    STATE(2441), 1,
      sym_tag,
    STATE(2471), 1,
      sym__binding_pattern,
    STATE(4527), 1,
      sym_attribute,
    STATE(5426), 1,
      sym__constructor_name,
    STATE(5491), 1,
      sym__signed_constant,
    STATE(5566), 1,
      sym_parenthesized_operator,
    STATE(5627), 1,
      sym_record_binding_pattern,
    STATE(5658), 1,
      sym_list_binding_pattern,
    STATE(5661), 1,
      sym_array_binding_pattern,
    STATE(11663), 1,
      sym_let_binding,
    STATE(18279), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5175), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5433), 2,
      sym__constant,
      sym_signed_number,
    STATE(5439), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5617), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [151453] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    ACTIONS(8548), 1,
      anon_sym_RBRACK,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4528), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(13687), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [151579] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    ACTIONS(8550), 1,
      anon_sym_RBRACK,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4529), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13457), 1,
      sym__binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [151705] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    ACTIONS(8552), 1,
      anon_sym_RBRACK,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4530), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(13687), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [151831] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    ACTIONS(8554), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3466), 1,
      sym_constructor_path,
    STATE(3467), 1,
      sym_tag,
    STATE(4531), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13458), 1,
      sym__binding_pattern,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [151957] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    ACTIONS(8556), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3466), 1,
      sym_constructor_path,
    STATE(3467), 1,
      sym_tag,
    STATE(4532), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13901), 1,
      sym__binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [152083] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    ACTIONS(8558), 1,
      anon_sym_RBRACK,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4533), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(13687), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [152209] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    ACTIONS(8560), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3466), 1,
      sym_constructor_path,
    STATE(3467), 1,
      sym_tag,
    STATE(4534), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13901), 1,
      sym__binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [152335] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8562), 1,
      anon_sym_COLON,
    STATE(4535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8340), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [152405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8472), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [152473] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    ACTIONS(8564), 1,
      anon_sym_RBRACK,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4537), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(13687), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [152599] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    ACTIONS(8566), 1,
      anon_sym_RBRACK,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4538), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(13687), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [152725] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5169), 1,
      sym__lowercase_identifier,
    ACTIONS(5171), 1,
      anon_sym_LPAREN,
    ACTIONS(5173), 1,
      anon_sym_LBRACK,
    ACTIONS(5177), 1,
      anon_sym_LBRACE,
    ACTIONS(5179), 1,
      anon_sym_POUND,
    ACTIONS(5181), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5183), 1,
      anon_sym_lazy,
    ACTIONS(5185), 1,
      anon_sym_begin,
    ACTIONS(5191), 1,
      aux_sym_number_token1,
    ACTIONS(5193), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5195), 1,
      anon_sym_SQUOTE,
    ACTIONS(5197), 1,
      anon_sym_DQUOTE,
    ACTIONS(5199), 1,
      sym__uppercase_identifier,
    ACTIONS(5201), 1,
      aux_sym_tag_token1,
    ACTIONS(8466), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8468), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2438), 1,
      sym_constructor_path,
    STATE(2441), 1,
      sym_tag,
    STATE(2471), 1,
      sym__binding_pattern,
    STATE(4539), 1,
      sym_attribute,
    STATE(5426), 1,
      sym__constructor_name,
    STATE(5491), 1,
      sym__signed_constant,
    STATE(5566), 1,
      sym_parenthesized_operator,
    STATE(5627), 1,
      sym_record_binding_pattern,
    STATE(5658), 1,
      sym_list_binding_pattern,
    STATE(5661), 1,
      sym_array_binding_pattern,
    STATE(11717), 1,
      sym_let_binding,
    STATE(18279), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5175), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5433), 2,
      sym__constant,
      sym_signed_number,
    STATE(5439), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5617), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [152851] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    ACTIONS(8568), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3466), 1,
      sym_constructor_path,
    STATE(3467), 1,
      sym_tag,
    STATE(4540), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13901), 1,
      sym__binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [152977] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4973), 1,
      sym__lowercase_identifier,
    ACTIONS(4979), 1,
      anon_sym_LPAREN,
    ACTIONS(4981), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_LBRACE,
    ACTIONS(4987), 1,
      anon_sym_POUND,
    ACTIONS(4989), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4991), 1,
      anon_sym_lazy,
    ACTIONS(4993), 1,
      anon_sym_begin,
    ACTIONS(4999), 1,
      aux_sym_number_token1,
    ACTIONS(5001), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5003), 1,
      anon_sym_SQUOTE,
    ACTIONS(5005), 1,
      anon_sym_DQUOTE,
    ACTIONS(5007), 1,
      sym__uppercase_identifier,
    ACTIONS(5009), 1,
      aux_sym_tag_token1,
    ACTIONS(7583), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7585), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2425), 1,
      sym_constructor_path,
    STATE(2426), 1,
      sym_tag,
    STATE(2464), 1,
      sym__binding_pattern,
    STATE(4541), 1,
      sym_attribute,
    STATE(5327), 1,
      sym__signed_constant,
    STATE(5343), 1,
      sym__constructor_name,
    STATE(5483), 1,
      sym_record_binding_pattern,
    STATE(5498), 1,
      sym_array_binding_pattern,
    STATE(5516), 1,
      sym_parenthesized_operator,
    STATE(5521), 1,
      sym_list_binding_pattern,
    STATE(11252), 1,
      sym_let_binding,
    STATE(19715), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4983), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5336), 2,
      sym__constant,
      sym_signed_number,
    STATE(5307), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5403), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [153103] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    ACTIONS(8570), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3466), 1,
      sym_constructor_path,
    STATE(3467), 1,
      sym_tag,
    STATE(4542), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13901), 1,
      sym__binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [153229] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4973), 1,
      sym__lowercase_identifier,
    ACTIONS(4979), 1,
      anon_sym_LPAREN,
    ACTIONS(4981), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_LBRACE,
    ACTIONS(4987), 1,
      anon_sym_POUND,
    ACTIONS(4989), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4991), 1,
      anon_sym_lazy,
    ACTIONS(4993), 1,
      anon_sym_begin,
    ACTIONS(4999), 1,
      aux_sym_number_token1,
    ACTIONS(5001), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5003), 1,
      anon_sym_SQUOTE,
    ACTIONS(5005), 1,
      anon_sym_DQUOTE,
    ACTIONS(5007), 1,
      sym__uppercase_identifier,
    ACTIONS(5009), 1,
      aux_sym_tag_token1,
    ACTIONS(7583), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7585), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2425), 1,
      sym_constructor_path,
    STATE(2426), 1,
      sym_tag,
    STATE(2464), 1,
      sym__binding_pattern,
    STATE(4543), 1,
      sym_attribute,
    STATE(5327), 1,
      sym__signed_constant,
    STATE(5343), 1,
      sym__constructor_name,
    STATE(5483), 1,
      sym_record_binding_pattern,
    STATE(5498), 1,
      sym_array_binding_pattern,
    STATE(5516), 1,
      sym_parenthesized_operator,
    STATE(5521), 1,
      sym_list_binding_pattern,
    STATE(11452), 1,
      sym_let_binding,
    STATE(19715), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4983), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5336), 2,
      sym__constant,
      sym_signed_number,
    STATE(5307), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5403), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [153355] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5203), 1,
      sym__lowercase_identifier,
    ACTIONS(5205), 1,
      anon_sym_LPAREN,
    ACTIONS(5207), 1,
      anon_sym_LBRACK,
    ACTIONS(5211), 1,
      anon_sym_LBRACE,
    ACTIONS(5213), 1,
      anon_sym_POUND,
    ACTIONS(5215), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5217), 1,
      anon_sym_lazy,
    ACTIONS(5219), 1,
      anon_sym_begin,
    ACTIONS(5225), 1,
      aux_sym_number_token1,
    ACTIONS(5227), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5229), 1,
      anon_sym_SQUOTE,
    ACTIONS(5231), 1,
      anon_sym_DQUOTE,
    ACTIONS(5233), 1,
      sym__uppercase_identifier,
    ACTIONS(5235), 1,
      aux_sym_tag_token1,
    ACTIONS(8458), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8460), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2439), 1,
      sym_constructor_path,
    STATE(2440), 1,
      sym_tag,
    STATE(2476), 1,
      sym__binding_pattern,
    STATE(4544), 1,
      sym_attribute,
    STATE(5405), 1,
      sym__signed_constant,
    STATE(5474), 1,
      sym__constructor_name,
    STATE(5533), 1,
      sym_record_binding_pattern,
    STATE(5547), 1,
      sym_list_binding_pattern,
    STATE(5574), 1,
      sym_array_binding_pattern,
    STATE(5651), 1,
      sym_parenthesized_operator,
    STATE(11452), 1,
      sym_let_binding,
    STATE(18682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5209), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5470), 2,
      sym__constant,
      sym_signed_number,
    STATE(5445), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5532), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [153481] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    ACTIONS(8572), 1,
      anon_sym_RBRACK,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4545), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13357), 1,
      sym__binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [153607] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    ACTIONS(8574), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3466), 1,
      sym_constructor_path,
    STATE(3467), 1,
      sym_tag,
    STATE(4546), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13901), 1,
      sym__binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [153733] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    ACTIONS(8576), 1,
      anon_sym_RBRACK,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4547), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(13687), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [153859] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5203), 1,
      sym__lowercase_identifier,
    ACTIONS(5205), 1,
      anon_sym_LPAREN,
    ACTIONS(5207), 1,
      anon_sym_LBRACK,
    ACTIONS(5211), 1,
      anon_sym_LBRACE,
    ACTIONS(5213), 1,
      anon_sym_POUND,
    ACTIONS(5215), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5217), 1,
      anon_sym_lazy,
    ACTIONS(5219), 1,
      anon_sym_begin,
    ACTIONS(5225), 1,
      aux_sym_number_token1,
    ACTIONS(5227), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5229), 1,
      anon_sym_SQUOTE,
    ACTIONS(5231), 1,
      anon_sym_DQUOTE,
    ACTIONS(5233), 1,
      sym__uppercase_identifier,
    ACTIONS(5235), 1,
      aux_sym_tag_token1,
    ACTIONS(8458), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8460), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2439), 1,
      sym_constructor_path,
    STATE(2440), 1,
      sym_tag,
    STATE(2476), 1,
      sym__binding_pattern,
    STATE(4548), 1,
      sym_attribute,
    STATE(5405), 1,
      sym__signed_constant,
    STATE(5474), 1,
      sym__constructor_name,
    STATE(5533), 1,
      sym_record_binding_pattern,
    STATE(5547), 1,
      sym_list_binding_pattern,
    STATE(5574), 1,
      sym_array_binding_pattern,
    STATE(5651), 1,
      sym_parenthesized_operator,
    STATE(11746), 1,
      sym_let_binding,
    STATE(18682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5209), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5470), 2,
      sym__constant,
      sym_signed_number,
    STATE(5445), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5532), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [153985] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    ACTIONS(8578), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3466), 1,
      sym_constructor_path,
    STATE(3467), 1,
      sym_tag,
    STATE(4549), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13666), 1,
      sym__binding_pattern,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [154111] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5045), 1,
      sym__lowercase_identifier,
    ACTIONS(5047), 1,
      anon_sym_LPAREN,
    ACTIONS(5049), 1,
      anon_sym_LBRACK,
    ACTIONS(5053), 1,
      anon_sym_LBRACE,
    ACTIONS(5055), 1,
      anon_sym_POUND,
    ACTIONS(5057), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5059), 1,
      anon_sym_lazy,
    ACTIONS(5061), 1,
      anon_sym_begin,
    ACTIONS(5067), 1,
      aux_sym_number_token1,
    ACTIONS(5069), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5071), 1,
      anon_sym_SQUOTE,
    ACTIONS(5073), 1,
      anon_sym_DQUOTE,
    ACTIONS(5075), 1,
      sym__uppercase_identifier,
    ACTIONS(5077), 1,
      aux_sym_tag_token1,
    ACTIONS(7607), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7609), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2431), 1,
      sym_constructor_path,
    STATE(2432), 1,
      sym_tag,
    STATE(2467), 1,
      sym__binding_pattern,
    STATE(4550), 1,
      sym_attribute,
    STATE(5291), 1,
      sym__constructor_name,
    STATE(5309), 1,
      sym__signed_constant,
    STATE(5412), 1,
      sym_parenthesized_operator,
    STATE(5436), 1,
      sym_list_binding_pattern,
    STATE(5494), 1,
      sym_array_binding_pattern,
    STATE(5507), 1,
      sym_record_binding_pattern,
    STATE(11452), 1,
      sym_let_binding,
    STATE(19554), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5051), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5328), 2,
      sym__constant,
      sym_signed_number,
    STATE(5287), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5490), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [154237] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5203), 1,
      sym__lowercase_identifier,
    ACTIONS(5205), 1,
      anon_sym_LPAREN,
    ACTIONS(5207), 1,
      anon_sym_LBRACK,
    ACTIONS(5211), 1,
      anon_sym_LBRACE,
    ACTIONS(5213), 1,
      anon_sym_POUND,
    ACTIONS(5215), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5217), 1,
      anon_sym_lazy,
    ACTIONS(5219), 1,
      anon_sym_begin,
    ACTIONS(5225), 1,
      aux_sym_number_token1,
    ACTIONS(5227), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5229), 1,
      anon_sym_SQUOTE,
    ACTIONS(5231), 1,
      anon_sym_DQUOTE,
    ACTIONS(5233), 1,
      sym__uppercase_identifier,
    ACTIONS(5235), 1,
      aux_sym_tag_token1,
    ACTIONS(8458), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8460), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2439), 1,
      sym_constructor_path,
    STATE(2440), 1,
      sym_tag,
    STATE(2476), 1,
      sym__binding_pattern,
    STATE(4551), 1,
      sym_attribute,
    STATE(5405), 1,
      sym__signed_constant,
    STATE(5474), 1,
      sym__constructor_name,
    STATE(5533), 1,
      sym_record_binding_pattern,
    STATE(5547), 1,
      sym_list_binding_pattern,
    STATE(5574), 1,
      sym_array_binding_pattern,
    STATE(5651), 1,
      sym_parenthesized_operator,
    STATE(11718), 1,
      sym_let_binding,
    STATE(18682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5209), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5470), 2,
      sym__constant,
      sym_signed_number,
    STATE(5445), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5532), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [154363] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4973), 1,
      sym__lowercase_identifier,
    ACTIONS(4979), 1,
      anon_sym_LPAREN,
    ACTIONS(4981), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_LBRACE,
    ACTIONS(4987), 1,
      anon_sym_POUND,
    ACTIONS(4989), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4991), 1,
      anon_sym_lazy,
    ACTIONS(4993), 1,
      anon_sym_begin,
    ACTIONS(4999), 1,
      aux_sym_number_token1,
    ACTIONS(5001), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5003), 1,
      anon_sym_SQUOTE,
    ACTIONS(5005), 1,
      anon_sym_DQUOTE,
    ACTIONS(5007), 1,
      sym__uppercase_identifier,
    ACTIONS(5009), 1,
      aux_sym_tag_token1,
    ACTIONS(7583), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7585), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2425), 1,
      sym_constructor_path,
    STATE(2426), 1,
      sym_tag,
    STATE(2464), 1,
      sym__binding_pattern,
    STATE(4552), 1,
      sym_attribute,
    STATE(5327), 1,
      sym__signed_constant,
    STATE(5343), 1,
      sym__constructor_name,
    STATE(5483), 1,
      sym_record_binding_pattern,
    STATE(5498), 1,
      sym_array_binding_pattern,
    STATE(5516), 1,
      sym_parenthesized_operator,
    STATE(5521), 1,
      sym_list_binding_pattern,
    STATE(11304), 1,
      sym_let_binding,
    STATE(19715), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4983), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5336), 2,
      sym__constant,
      sym_signed_number,
    STATE(5307), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5403), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [154489] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    ACTIONS(8580), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3466), 1,
      sym_constructor_path,
    STATE(3467), 1,
      sym_tag,
    STATE(4553), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13901), 1,
      sym__binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [154615] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4973), 1,
      sym__lowercase_identifier,
    ACTIONS(4979), 1,
      anon_sym_LPAREN,
    ACTIONS(4981), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_LBRACE,
    ACTIONS(4987), 1,
      anon_sym_POUND,
    ACTIONS(4989), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4991), 1,
      anon_sym_lazy,
    ACTIONS(4993), 1,
      anon_sym_begin,
    ACTIONS(4999), 1,
      aux_sym_number_token1,
    ACTIONS(5001), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5003), 1,
      anon_sym_SQUOTE,
    ACTIONS(5005), 1,
      anon_sym_DQUOTE,
    ACTIONS(5007), 1,
      sym__uppercase_identifier,
    ACTIONS(5009), 1,
      aux_sym_tag_token1,
    ACTIONS(7583), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7585), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2425), 1,
      sym_constructor_path,
    STATE(2426), 1,
      sym_tag,
    STATE(2464), 1,
      sym__binding_pattern,
    STATE(4554), 1,
      sym_attribute,
    STATE(5327), 1,
      sym__signed_constant,
    STATE(5343), 1,
      sym__constructor_name,
    STATE(5483), 1,
      sym_record_binding_pattern,
    STATE(5498), 1,
      sym_array_binding_pattern,
    STATE(5516), 1,
      sym_parenthesized_operator,
    STATE(5521), 1,
      sym_list_binding_pattern,
    STATE(11580), 1,
      sym_let_binding,
    STATE(19715), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4983), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5336), 2,
      sym__constant,
      sym_signed_number,
    STATE(5307), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5403), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [154741] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4555), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(15799), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [154867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8094), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [154935] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    ACTIONS(8582), 1,
      anon_sym_RBRACK,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4557), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(13687), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [155061] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8584), 1,
      anon_sym_COLON,
    STATE(4558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8340), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [155131] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    ACTIONS(8586), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3466), 1,
      sym_constructor_path,
    STATE(3467), 1,
      sym_tag,
    STATE(4559), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13901), 1,
      sym__binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [155257] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    ACTIONS(8588), 1,
      anon_sym_RBRACK,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4560), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(13687), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [155383] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    ACTIONS(8590), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3466), 1,
      sym_constructor_path,
    STATE(3467), 1,
      sym_tag,
    STATE(4561), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13901), 1,
      sym__binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [155509] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    ACTIONS(8592), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3466), 1,
      sym_constructor_path,
    STATE(3467), 1,
      sym_tag,
    STATE(4562), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13556), 1,
      sym__binding_pattern,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [155635] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    ACTIONS(8594), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3466), 1,
      sym_constructor_path,
    STATE(3467), 1,
      sym_tag,
    STATE(4563), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13901), 1,
      sym__binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [155761] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    ACTIONS(8596), 1,
      anon_sym_RBRACK,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4564), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(13687), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [155887] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    ACTIONS(8598), 1,
      anon_sym_RBRACK,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4565), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(13687), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156013] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    ACTIONS(8600), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3466), 1,
      sym_constructor_path,
    STATE(3467), 1,
      sym_tag,
    STATE(4566), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13901), 1,
      sym__binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156139] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    ACTIONS(8602), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3466), 1,
      sym_constructor_path,
    STATE(3467), 1,
      sym_tag,
    STATE(4567), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13537), 1,
      sym__binding_pattern,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156265] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    ACTIONS(8604), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3466), 1,
      sym_constructor_path,
    STATE(3467), 1,
      sym_tag,
    STATE(4568), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13901), 1,
      sym__binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8472), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [156459] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    ACTIONS(8606), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3466), 1,
      sym_constructor_path,
    STATE(3467), 1,
      sym_tag,
    STATE(4570), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13901), 1,
      sym__binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156585] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    ACTIONS(8608), 1,
      anon_sym_RBRACK,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4571), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(13687), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156711] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    ACTIONS(8610), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3466), 1,
      sym_constructor_path,
    STATE(3467), 1,
      sym_tag,
    STATE(4572), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13901), 1,
      sym__binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156837] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4573), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14644), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156963] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5045), 1,
      sym__lowercase_identifier,
    ACTIONS(5047), 1,
      anon_sym_LPAREN,
    ACTIONS(5049), 1,
      anon_sym_LBRACK,
    ACTIONS(5053), 1,
      anon_sym_LBRACE,
    ACTIONS(5055), 1,
      anon_sym_POUND,
    ACTIONS(5057), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5059), 1,
      anon_sym_lazy,
    ACTIONS(5061), 1,
      anon_sym_begin,
    ACTIONS(5067), 1,
      aux_sym_number_token1,
    ACTIONS(5069), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5071), 1,
      anon_sym_SQUOTE,
    ACTIONS(5073), 1,
      anon_sym_DQUOTE,
    ACTIONS(5075), 1,
      sym__uppercase_identifier,
    ACTIONS(5077), 1,
      aux_sym_tag_token1,
    ACTIONS(7607), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7609), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2431), 1,
      sym_constructor_path,
    STATE(2432), 1,
      sym_tag,
    STATE(2467), 1,
      sym__binding_pattern,
    STATE(4574), 1,
      sym_attribute,
    STATE(5291), 1,
      sym__constructor_name,
    STATE(5309), 1,
      sym__signed_constant,
    STATE(5412), 1,
      sym_parenthesized_operator,
    STATE(5436), 1,
      sym_list_binding_pattern,
    STATE(5494), 1,
      sym_array_binding_pattern,
    STATE(5507), 1,
      sym_record_binding_pattern,
    STATE(11481), 1,
      sym_let_binding,
    STATE(19554), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5051), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5328), 2,
      sym__constant,
      sym_signed_number,
    STATE(5287), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5490), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [157089] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2623), 1,
      sym__binding_pattern,
    STATE(4575), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(14260), 1,
      sym_let_binding,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [157215] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    ACTIONS(8612), 1,
      anon_sym_RBRACK,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4576), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(13590), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [157341] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5169), 1,
      sym__lowercase_identifier,
    ACTIONS(5171), 1,
      anon_sym_LPAREN,
    ACTIONS(5173), 1,
      anon_sym_LBRACK,
    ACTIONS(5177), 1,
      anon_sym_LBRACE,
    ACTIONS(5179), 1,
      anon_sym_POUND,
    ACTIONS(5181), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5183), 1,
      anon_sym_lazy,
    ACTIONS(5185), 1,
      anon_sym_begin,
    ACTIONS(5191), 1,
      aux_sym_number_token1,
    ACTIONS(5193), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5195), 1,
      anon_sym_SQUOTE,
    ACTIONS(5197), 1,
      anon_sym_DQUOTE,
    ACTIONS(5199), 1,
      sym__uppercase_identifier,
    ACTIONS(5201), 1,
      aux_sym_tag_token1,
    ACTIONS(8466), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8468), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2438), 1,
      sym_constructor_path,
    STATE(2441), 1,
      sym_tag,
    STATE(2471), 1,
      sym__binding_pattern,
    STATE(4577), 1,
      sym_attribute,
    STATE(5426), 1,
      sym__constructor_name,
    STATE(5491), 1,
      sym__signed_constant,
    STATE(5566), 1,
      sym_parenthesized_operator,
    STATE(5627), 1,
      sym_record_binding_pattern,
    STATE(5658), 1,
      sym_list_binding_pattern,
    STATE(5661), 1,
      sym_array_binding_pattern,
    STATE(11452), 1,
      sym_let_binding,
    STATE(18279), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5175), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5433), 2,
      sym__constant,
      sym_signed_number,
    STATE(5439), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5617), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [157467] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    ACTIONS(8614), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3466), 1,
      sym_constructor_path,
    STATE(3467), 1,
      sym_tag,
    STATE(4578), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13901), 1,
      sym__binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [157593] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    ACTIONS(8616), 1,
      anon_sym_RBRACK,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4579), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13540), 1,
      sym__binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [157719] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    ACTIONS(8618), 1,
      anon_sym_RBRACK,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4580), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(13677), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [157845] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    STATE(3466), 1,
      sym_constructor_path,
    STATE(3467), 1,
      sym_tag,
    STATE(4581), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(13939), 1,
      sym__binding_pattern,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [157968] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      sym__lowercase_identifier,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6717), 1,
      anon_sym_lazy,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(3449), 1,
      sym_constructor_path,
    STATE(3450), 1,
      sym_tag,
    STATE(4582), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10333), 1,
      sym_parenthesized_operator,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13161), 1,
      sym__binding_pattern,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [158091] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(4583), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8760), 1,
      sym__binding_pattern,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [158214] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5169), 1,
      sym__lowercase_identifier,
    ACTIONS(5171), 1,
      anon_sym_LPAREN,
    ACTIONS(5173), 1,
      anon_sym_LBRACK,
    ACTIONS(5177), 1,
      anon_sym_LBRACE,
    ACTIONS(5179), 1,
      anon_sym_POUND,
    ACTIONS(5181), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5183), 1,
      anon_sym_lazy,
    ACTIONS(5185), 1,
      anon_sym_begin,
    ACTIONS(5191), 1,
      aux_sym_number_token1,
    ACTIONS(5193), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5195), 1,
      anon_sym_SQUOTE,
    ACTIONS(5197), 1,
      anon_sym_DQUOTE,
    ACTIONS(5199), 1,
      sym__uppercase_identifier,
    ACTIONS(5201), 1,
      aux_sym_tag_token1,
    ACTIONS(8466), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8468), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2438), 1,
      sym_constructor_path,
    STATE(2441), 1,
      sym_tag,
    STATE(4584), 1,
      sym_attribute,
    STATE(5426), 1,
      sym__constructor_name,
    STATE(5491), 1,
      sym__signed_constant,
    STATE(5566), 1,
      sym_parenthesized_operator,
    STATE(5627), 1,
      sym_record_binding_pattern,
    STATE(5650), 1,
      sym__binding_pattern,
    STATE(5658), 1,
      sym_list_binding_pattern,
    STATE(5661), 1,
      sym_array_binding_pattern,
    STATE(18279), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5175), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5433), 2,
      sym__constant,
      sym_signed_number,
    STATE(5439), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5617), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [158337] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5045), 1,
      sym__lowercase_identifier,
    ACTIONS(5047), 1,
      anon_sym_LPAREN,
    ACTIONS(5049), 1,
      anon_sym_LBRACK,
    ACTIONS(5053), 1,
      anon_sym_LBRACE,
    ACTIONS(5055), 1,
      anon_sym_POUND,
    ACTIONS(5057), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5059), 1,
      anon_sym_lazy,
    ACTIONS(5061), 1,
      anon_sym_begin,
    ACTIONS(5067), 1,
      aux_sym_number_token1,
    ACTIONS(5069), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5071), 1,
      anon_sym_SQUOTE,
    ACTIONS(5073), 1,
      anon_sym_DQUOTE,
    ACTIONS(5075), 1,
      sym__uppercase_identifier,
    ACTIONS(5077), 1,
      aux_sym_tag_token1,
    ACTIONS(7607), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7609), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2431), 1,
      sym_constructor_path,
    STATE(2432), 1,
      sym_tag,
    STATE(4585), 1,
      sym_attribute,
    STATE(5291), 1,
      sym__constructor_name,
    STATE(5309), 1,
      sym__signed_constant,
    STATE(5412), 1,
      sym_parenthesized_operator,
    STATE(5436), 1,
      sym_list_binding_pattern,
    STATE(5494), 1,
      sym_array_binding_pattern,
    STATE(5507), 1,
      sym_record_binding_pattern,
    STATE(5512), 1,
      sym__binding_pattern,
    STATE(19554), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5051), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5328), 2,
      sym__constant,
      sym_signed_number,
    STATE(5287), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5490), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [158460] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5169), 1,
      sym__lowercase_identifier,
    ACTIONS(5171), 1,
      anon_sym_LPAREN,
    ACTIONS(5173), 1,
      anon_sym_LBRACK,
    ACTIONS(5177), 1,
      anon_sym_LBRACE,
    ACTIONS(5179), 1,
      anon_sym_POUND,
    ACTIONS(5181), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5183), 1,
      anon_sym_lazy,
    ACTIONS(5185), 1,
      anon_sym_begin,
    ACTIONS(5191), 1,
      aux_sym_number_token1,
    ACTIONS(5193), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5195), 1,
      anon_sym_SQUOTE,
    ACTIONS(5197), 1,
      anon_sym_DQUOTE,
    ACTIONS(5199), 1,
      sym__uppercase_identifier,
    ACTIONS(5201), 1,
      aux_sym_tag_token1,
    ACTIONS(8466), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8468), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2438), 1,
      sym_constructor_path,
    STATE(2441), 1,
      sym_tag,
    STATE(4586), 1,
      sym_attribute,
    STATE(5426), 1,
      sym__constructor_name,
    STATE(5491), 1,
      sym__signed_constant,
    STATE(5566), 1,
      sym_parenthesized_operator,
    STATE(5627), 1,
      sym_record_binding_pattern,
    STATE(5658), 1,
      sym_list_binding_pattern,
    STATE(5661), 1,
      sym_array_binding_pattern,
    STATE(5708), 1,
      sym__binding_pattern,
    STATE(18279), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5175), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5433), 2,
      sym__constant,
      sym_signed_number,
    STATE(5439), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5617), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [158583] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      sym__lowercase_identifier,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6717), 1,
      anon_sym_lazy,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(3449), 1,
      sym_constructor_path,
    STATE(3450), 1,
      sym_tag,
    STATE(4587), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10333), 1,
      sym_parenthesized_operator,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13740), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [158706] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      sym__lowercase_identifier,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6717), 1,
      anon_sym_lazy,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(3449), 1,
      sym_constructor_path,
    STATE(3450), 1,
      sym_tag,
    STATE(4588), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10333), 1,
      sym_parenthesized_operator,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13743), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [158829] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    STATE(3466), 1,
      sym_constructor_path,
    STATE(3467), 1,
      sym_tag,
    STATE(4589), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13901), 1,
      sym__binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [158952] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5403), 1,
      anon_sym_COLON2,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8620), 1,
      anon_sym_COLON_GT,
    ACTIONS(8622), 1,
      anon_sym_EQ,
    STATE(4590), 1,
      sym_attribute,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(17321), 1,
      sym__polymorphic_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [159073] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(4591), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym__binding_pattern,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [159196] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5045), 1,
      sym__lowercase_identifier,
    ACTIONS(5047), 1,
      anon_sym_LPAREN,
    ACTIONS(5049), 1,
      anon_sym_LBRACK,
    ACTIONS(5053), 1,
      anon_sym_LBRACE,
    ACTIONS(5055), 1,
      anon_sym_POUND,
    ACTIONS(5057), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5059), 1,
      anon_sym_lazy,
    ACTIONS(5061), 1,
      anon_sym_begin,
    ACTIONS(5067), 1,
      aux_sym_number_token1,
    ACTIONS(5069), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5071), 1,
      anon_sym_SQUOTE,
    ACTIONS(5073), 1,
      anon_sym_DQUOTE,
    ACTIONS(5075), 1,
      sym__uppercase_identifier,
    ACTIONS(5077), 1,
      aux_sym_tag_token1,
    ACTIONS(7607), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7609), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2431), 1,
      sym_constructor_path,
    STATE(2432), 1,
      sym_tag,
    STATE(4592), 1,
      sym_attribute,
    STATE(5291), 1,
      sym__constructor_name,
    STATE(5309), 1,
      sym__signed_constant,
    STATE(5412), 1,
      sym_parenthesized_operator,
    STATE(5436), 1,
      sym_list_binding_pattern,
    STATE(5494), 1,
      sym_array_binding_pattern,
    STATE(5507), 1,
      sym_record_binding_pattern,
    STATE(5515), 1,
      sym__binding_pattern,
    STATE(19554), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5051), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5328), 2,
      sym__constant,
      sym_signed_number,
    STATE(5287), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5490), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [159319] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4973), 1,
      sym__lowercase_identifier,
    ACTIONS(4979), 1,
      anon_sym_LPAREN,
    ACTIONS(4981), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_LBRACE,
    ACTIONS(4987), 1,
      anon_sym_POUND,
    ACTIONS(4989), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4991), 1,
      anon_sym_lazy,
    ACTIONS(4993), 1,
      anon_sym_begin,
    ACTIONS(4999), 1,
      aux_sym_number_token1,
    ACTIONS(5001), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5003), 1,
      anon_sym_SQUOTE,
    ACTIONS(5005), 1,
      anon_sym_DQUOTE,
    ACTIONS(5007), 1,
      sym__uppercase_identifier,
    ACTIONS(5009), 1,
      aux_sym_tag_token1,
    ACTIONS(7583), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7585), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2425), 1,
      sym_constructor_path,
    STATE(2426), 1,
      sym_tag,
    STATE(4593), 1,
      sym_attribute,
    STATE(5327), 1,
      sym__signed_constant,
    STATE(5343), 1,
      sym__constructor_name,
    STATE(5469), 1,
      sym__binding_pattern,
    STATE(5483), 1,
      sym_record_binding_pattern,
    STATE(5498), 1,
      sym_array_binding_pattern,
    STATE(5516), 1,
      sym_parenthesized_operator,
    STATE(5521), 1,
      sym_list_binding_pattern,
    STATE(19715), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4983), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5336), 2,
      sym__constant,
      sym_signed_number,
    STATE(5307), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5403), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [159442] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4594), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(13687), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [159565] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    STATE(3466), 1,
      sym_constructor_path,
    STATE(3467), 1,
      sym_tag,
    STATE(4595), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(13930), 1,
      sym__binding_pattern,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [159688] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5403), 1,
      anon_sym_COLON2,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8624), 1,
      anon_sym_COLON_GT,
    ACTIONS(8626), 1,
      anon_sym_EQ,
    STATE(4596), 1,
      sym_attribute,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(16454), 1,
      sym__polymorphic_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [159809] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5203), 1,
      sym__lowercase_identifier,
    ACTIONS(5205), 1,
      anon_sym_LPAREN,
    ACTIONS(5207), 1,
      anon_sym_LBRACK,
    ACTIONS(5211), 1,
      anon_sym_LBRACE,
    ACTIONS(5213), 1,
      anon_sym_POUND,
    ACTIONS(5215), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5217), 1,
      anon_sym_lazy,
    ACTIONS(5219), 1,
      anon_sym_begin,
    ACTIONS(5225), 1,
      aux_sym_number_token1,
    ACTIONS(5227), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5229), 1,
      anon_sym_SQUOTE,
    ACTIONS(5231), 1,
      anon_sym_DQUOTE,
    ACTIONS(5233), 1,
      sym__uppercase_identifier,
    ACTIONS(5235), 1,
      aux_sym_tag_token1,
    ACTIONS(8458), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8460), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2439), 1,
      sym_constructor_path,
    STATE(2440), 1,
      sym_tag,
    STATE(4597), 1,
      sym_attribute,
    STATE(5405), 1,
      sym__signed_constant,
    STATE(5474), 1,
      sym__constructor_name,
    STATE(5533), 1,
      sym_record_binding_pattern,
    STATE(5540), 1,
      sym__binding_pattern,
    STATE(5547), 1,
      sym_list_binding_pattern,
    STATE(5574), 1,
      sym_array_binding_pattern,
    STATE(5651), 1,
      sym_parenthesized_operator,
    STATE(18682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5209), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5470), 2,
      sym__constant,
      sym_signed_number,
    STATE(5445), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5532), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [159932] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7142), 1,
      anon_sym_COLON2,
    ACTIONS(8628), 1,
      sym__lowercase_identifier,
    ACTIONS(8634), 1,
      anon_sym_LPAREN,
    ACTIONS(8637), 1,
      anon_sym_LBRACK,
    ACTIONS(8643), 1,
      anon_sym_LBRACE,
    ACTIONS(8646), 1,
      anon_sym_POUND,
    ACTIONS(8649), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8652), 1,
      anon_sym_begin,
    ACTIONS(8655), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8658), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8661), 1,
      aux_sym_number_token1,
    ACTIONS(8664), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8667), 1,
      anon_sym_SQUOTE,
    ACTIONS(8670), 1,
      anon_sym_DQUOTE,
    ACTIONS(8673), 1,
      sym__uppercase_identifier,
    ACTIONS(8676), 1,
      aux_sym_tag_token1,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8631), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(8640), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4598), 2,
      sym_attribute,
      aux_sym_let_binding_repeat1,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    ACTIONS(7140), 3,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [160047] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5403), 1,
      anon_sym_COLON2,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8679), 1,
      anon_sym_COLON_GT,
    ACTIONS(8681), 1,
      anon_sym_EQ,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4599), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(16394), 1,
      sym__polymorphic_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [160168] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5403), 1,
      anon_sym_COLON2,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8683), 1,
      anon_sym_COLON_GT,
    ACTIONS(8685), 1,
      anon_sym_EQ,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4600), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(17260), 1,
      sym__polymorphic_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [160289] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4973), 1,
      sym__lowercase_identifier,
    ACTIONS(4979), 1,
      anon_sym_LPAREN,
    ACTIONS(4981), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_LBRACE,
    ACTIONS(4987), 1,
      anon_sym_POUND,
    ACTIONS(4989), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4991), 1,
      anon_sym_lazy,
    ACTIONS(4993), 1,
      anon_sym_begin,
    ACTIONS(4999), 1,
      aux_sym_number_token1,
    ACTIONS(5001), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5003), 1,
      anon_sym_SQUOTE,
    ACTIONS(5005), 1,
      anon_sym_DQUOTE,
    ACTIONS(5007), 1,
      sym__uppercase_identifier,
    ACTIONS(5009), 1,
      aux_sym_tag_token1,
    ACTIONS(7583), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7585), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2425), 1,
      sym_constructor_path,
    STATE(2426), 1,
      sym_tag,
    STATE(4601), 1,
      sym_attribute,
    STATE(5327), 1,
      sym__signed_constant,
    STATE(5343), 1,
      sym__constructor_name,
    STATE(5482), 1,
      sym__binding_pattern,
    STATE(5483), 1,
      sym_record_binding_pattern,
    STATE(5498), 1,
      sym_array_binding_pattern,
    STATE(5516), 1,
      sym_parenthesized_operator,
    STATE(5521), 1,
      sym_list_binding_pattern,
    STATE(19715), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4983), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5336), 2,
      sym__constant,
      sym_signed_number,
    STATE(5307), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5403), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [160412] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5203), 1,
      sym__lowercase_identifier,
    ACTIONS(5205), 1,
      anon_sym_LPAREN,
    ACTIONS(5207), 1,
      anon_sym_LBRACK,
    ACTIONS(5211), 1,
      anon_sym_LBRACE,
    ACTIONS(5213), 1,
      anon_sym_POUND,
    ACTIONS(5215), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5217), 1,
      anon_sym_lazy,
    ACTIONS(5219), 1,
      anon_sym_begin,
    ACTIONS(5225), 1,
      aux_sym_number_token1,
    ACTIONS(5227), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5229), 1,
      anon_sym_SQUOTE,
    ACTIONS(5231), 1,
      anon_sym_DQUOTE,
    ACTIONS(5233), 1,
      sym__uppercase_identifier,
    ACTIONS(5235), 1,
      aux_sym_tag_token1,
    ACTIONS(8458), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8460), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2439), 1,
      sym_constructor_path,
    STATE(2440), 1,
      sym_tag,
    STATE(4602), 1,
      sym_attribute,
    STATE(5405), 1,
      sym__signed_constant,
    STATE(5474), 1,
      sym__constructor_name,
    STATE(5533), 1,
      sym_record_binding_pattern,
    STATE(5541), 1,
      sym__binding_pattern,
    STATE(5547), 1,
      sym_list_binding_pattern,
    STATE(5574), 1,
      sym_array_binding_pattern,
    STATE(5651), 1,
      sym_parenthesized_operator,
    STATE(18682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5209), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5470), 2,
      sym__constant,
      sym_signed_number,
    STATE(5445), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5532), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [160535] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5203), 1,
      sym__lowercase_identifier,
    ACTIONS(5205), 1,
      anon_sym_LPAREN,
    ACTIONS(5207), 1,
      anon_sym_LBRACK,
    ACTIONS(5211), 1,
      anon_sym_LBRACE,
    ACTIONS(5213), 1,
      anon_sym_POUND,
    ACTIONS(5215), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5217), 1,
      anon_sym_lazy,
    ACTIONS(5219), 1,
      anon_sym_begin,
    ACTIONS(5225), 1,
      aux_sym_number_token1,
    ACTIONS(5227), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5229), 1,
      anon_sym_SQUOTE,
    ACTIONS(5231), 1,
      anon_sym_DQUOTE,
    ACTIONS(5233), 1,
      sym__uppercase_identifier,
    ACTIONS(5235), 1,
      aux_sym_tag_token1,
    ACTIONS(8458), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8460), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2439), 1,
      sym_constructor_path,
    STATE(2440), 1,
      sym_tag,
    STATE(4603), 1,
      sym_attribute,
    STATE(5405), 1,
      sym__signed_constant,
    STATE(5474), 1,
      sym__constructor_name,
    STATE(5533), 1,
      sym_record_binding_pattern,
    STATE(5542), 1,
      sym__binding_pattern,
    STATE(5547), 1,
      sym_list_binding_pattern,
    STATE(5574), 1,
      sym_array_binding_pattern,
    STATE(5651), 1,
      sym_parenthesized_operator,
    STATE(18682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5209), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5470), 2,
      sym__constant,
      sym_signed_number,
    STATE(5445), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5532), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [160658] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5203), 1,
      sym__lowercase_identifier,
    ACTIONS(5205), 1,
      anon_sym_LPAREN,
    ACTIONS(5207), 1,
      anon_sym_LBRACK,
    ACTIONS(5211), 1,
      anon_sym_LBRACE,
    ACTIONS(5213), 1,
      anon_sym_POUND,
    ACTIONS(5215), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5217), 1,
      anon_sym_lazy,
    ACTIONS(5219), 1,
      anon_sym_begin,
    ACTIONS(5225), 1,
      aux_sym_number_token1,
    ACTIONS(5227), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5229), 1,
      anon_sym_SQUOTE,
    ACTIONS(5231), 1,
      anon_sym_DQUOTE,
    ACTIONS(5233), 1,
      sym__uppercase_identifier,
    ACTIONS(5235), 1,
      aux_sym_tag_token1,
    ACTIONS(8458), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8460), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2439), 1,
      sym_constructor_path,
    STATE(2440), 1,
      sym_tag,
    STATE(4604), 1,
      sym_attribute,
    STATE(5405), 1,
      sym__signed_constant,
    STATE(5474), 1,
      sym__constructor_name,
    STATE(5533), 1,
      sym_record_binding_pattern,
    STATE(5544), 1,
      sym__binding_pattern,
    STATE(5547), 1,
      sym_list_binding_pattern,
    STATE(5574), 1,
      sym_array_binding_pattern,
    STATE(5651), 1,
      sym_parenthesized_operator,
    STATE(18682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5209), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5470), 2,
      sym__constant,
      sym_signed_number,
    STATE(5445), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5532), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [160781] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4605), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(13829), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [160904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8472), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [160971] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4607), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13161), 1,
      sym__binding_pattern,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [161094] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5169), 1,
      sym__lowercase_identifier,
    ACTIONS(5171), 1,
      anon_sym_LPAREN,
    ACTIONS(5173), 1,
      anon_sym_LBRACK,
    ACTIONS(5177), 1,
      anon_sym_LBRACE,
    ACTIONS(5179), 1,
      anon_sym_POUND,
    ACTIONS(5181), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5183), 1,
      anon_sym_lazy,
    ACTIONS(5185), 1,
      anon_sym_begin,
    ACTIONS(5191), 1,
      aux_sym_number_token1,
    ACTIONS(5193), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5195), 1,
      anon_sym_SQUOTE,
    ACTIONS(5197), 1,
      anon_sym_DQUOTE,
    ACTIONS(5199), 1,
      sym__uppercase_identifier,
    ACTIONS(5201), 1,
      aux_sym_tag_token1,
    ACTIONS(8466), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8468), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2438), 1,
      sym_constructor_path,
    STATE(2441), 1,
      sym_tag,
    STATE(4608), 1,
      sym_attribute,
    STATE(5426), 1,
      sym__constructor_name,
    STATE(5491), 1,
      sym__signed_constant,
    STATE(5566), 1,
      sym_parenthesized_operator,
    STATE(5627), 1,
      sym_record_binding_pattern,
    STATE(5658), 1,
      sym_list_binding_pattern,
    STATE(5661), 1,
      sym_array_binding_pattern,
    STATE(5703), 1,
      sym__binding_pattern,
    STATE(18279), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5175), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5433), 2,
      sym__constant,
      sym_signed_number,
    STATE(5439), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5617), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [161217] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5169), 1,
      sym__lowercase_identifier,
    ACTIONS(5171), 1,
      anon_sym_LPAREN,
    ACTIONS(5173), 1,
      anon_sym_LBRACK,
    ACTIONS(5177), 1,
      anon_sym_LBRACE,
    ACTIONS(5179), 1,
      anon_sym_POUND,
    ACTIONS(5181), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5183), 1,
      anon_sym_lazy,
    ACTIONS(5185), 1,
      anon_sym_begin,
    ACTIONS(5191), 1,
      aux_sym_number_token1,
    ACTIONS(5193), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5195), 1,
      anon_sym_SQUOTE,
    ACTIONS(5197), 1,
      anon_sym_DQUOTE,
    ACTIONS(5199), 1,
      sym__uppercase_identifier,
    ACTIONS(5201), 1,
      aux_sym_tag_token1,
    ACTIONS(8466), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8468), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2438), 1,
      sym_constructor_path,
    STATE(2441), 1,
      sym_tag,
    STATE(4609), 1,
      sym_attribute,
    STATE(5426), 1,
      sym__constructor_name,
    STATE(5491), 1,
      sym__signed_constant,
    STATE(5566), 1,
      sym_parenthesized_operator,
    STATE(5627), 1,
      sym_record_binding_pattern,
    STATE(5658), 1,
      sym_list_binding_pattern,
    STATE(5661), 1,
      sym_array_binding_pattern,
    STATE(5705), 1,
      sym__binding_pattern,
    STATE(18279), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5175), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5433), 2,
      sym__constant,
      sym_signed_number,
    STATE(5439), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5617), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [161340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8094), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [161407] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      sym__lowercase_identifier,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6717), 1,
      anon_sym_lazy,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    STATE(3449), 1,
      sym_constructor_path,
    STATE(3450), 1,
      sym_tag,
    STATE(4611), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10333), 1,
      sym_parenthesized_operator,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13741), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [161530] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4612), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(13694), 1,
      sym__binding_pattern,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [161653] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4973), 1,
      sym__lowercase_identifier,
    ACTIONS(4979), 1,
      anon_sym_LPAREN,
    ACTIONS(4981), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_LBRACE,
    ACTIONS(4987), 1,
      anon_sym_POUND,
    ACTIONS(4989), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4991), 1,
      anon_sym_lazy,
    ACTIONS(4993), 1,
      anon_sym_begin,
    ACTIONS(4999), 1,
      aux_sym_number_token1,
    ACTIONS(5001), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5003), 1,
      anon_sym_SQUOTE,
    ACTIONS(5005), 1,
      anon_sym_DQUOTE,
    ACTIONS(5007), 1,
      sym__uppercase_identifier,
    ACTIONS(5009), 1,
      aux_sym_tag_token1,
    ACTIONS(7583), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7585), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2425), 1,
      sym_constructor_path,
    STATE(2426), 1,
      sym_tag,
    STATE(4613), 1,
      sym_attribute,
    STATE(5327), 1,
      sym__signed_constant,
    STATE(5343), 1,
      sym__constructor_name,
    STATE(5473), 1,
      sym__binding_pattern,
    STATE(5483), 1,
      sym_record_binding_pattern,
    STATE(5498), 1,
      sym_array_binding_pattern,
    STATE(5516), 1,
      sym_parenthesized_operator,
    STATE(5521), 1,
      sym_list_binding_pattern,
    STATE(19715), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4983), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5336), 2,
      sym__constant,
      sym_signed_number,
    STATE(5307), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5403), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [161776] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4614), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13526), 1,
      sym__binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [161899] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(4615), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8756), 1,
      sym__binding_pattern,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [162022] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5045), 1,
      sym__lowercase_identifier,
    ACTIONS(5047), 1,
      anon_sym_LPAREN,
    ACTIONS(5049), 1,
      anon_sym_LBRACK,
    ACTIONS(5053), 1,
      anon_sym_LBRACE,
    ACTIONS(5055), 1,
      anon_sym_POUND,
    ACTIONS(5057), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5059), 1,
      anon_sym_lazy,
    ACTIONS(5061), 1,
      anon_sym_begin,
    ACTIONS(5067), 1,
      aux_sym_number_token1,
    ACTIONS(5069), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5071), 1,
      anon_sym_SQUOTE,
    ACTIONS(5073), 1,
      anon_sym_DQUOTE,
    ACTIONS(5075), 1,
      sym__uppercase_identifier,
    ACTIONS(5077), 1,
      aux_sym_tag_token1,
    ACTIONS(7607), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7609), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2431), 1,
      sym_constructor_path,
    STATE(2432), 1,
      sym_tag,
    STATE(4616), 1,
      sym_attribute,
    STATE(5291), 1,
      sym__constructor_name,
    STATE(5309), 1,
      sym__signed_constant,
    STATE(5412), 1,
      sym_parenthesized_operator,
    STATE(5436), 1,
      sym_list_binding_pattern,
    STATE(5494), 1,
      sym_array_binding_pattern,
    STATE(5507), 1,
      sym_record_binding_pattern,
    STATE(5510), 1,
      sym__binding_pattern,
    STATE(19554), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5051), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5328), 2,
      sym__constant,
      sym_signed_number,
    STATE(5287), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5490), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [162145] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4617), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13524), 1,
      sym__binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [162268] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    STATE(3466), 1,
      sym_constructor_path,
    STATE(3467), 1,
      sym_tag,
    STATE(4618), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(13941), 1,
      sym__binding_pattern,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [162391] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(7747), 1,
      sym__uppercase_identifier,
    ACTIONS(7749), 1,
      aux_sym_tag_token1,
    ACTIONS(8284), 1,
      sym__lowercase_identifier,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8294), 1,
      anon_sym_lazy,
    STATE(3466), 1,
      sym_constructor_path,
    STATE(3467), 1,
      sym_tag,
    STATE(4619), 1,
      sym_attribute,
    STATE(8121), 1,
      sym__constructor_name,
    STATE(13365), 1,
      sym__signed_constant,
    STATE(13858), 1,
      sym_record_binding_pattern,
    STATE(13860), 1,
      sym_list_binding_pattern,
    STATE(13861), 1,
      sym_array_binding_pattern,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(13943), 1,
      sym__binding_pattern,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13856), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [162514] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5403), 1,
      anon_sym_COLON2,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8687), 1,
      anon_sym_COLON_GT,
    ACTIONS(8689), 1,
      anon_sym_EQ,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4620), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(16440), 1,
      sym__polymorphic_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [162635] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8094), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [162702] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4973), 1,
      sym__lowercase_identifier,
    ACTIONS(4979), 1,
      anon_sym_LPAREN,
    ACTIONS(4981), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_LBRACE,
    ACTIONS(4987), 1,
      anon_sym_POUND,
    ACTIONS(4989), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4991), 1,
      anon_sym_lazy,
    ACTIONS(4993), 1,
      anon_sym_begin,
    ACTIONS(4999), 1,
      aux_sym_number_token1,
    ACTIONS(5001), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5003), 1,
      anon_sym_SQUOTE,
    ACTIONS(5005), 1,
      anon_sym_DQUOTE,
    ACTIONS(5007), 1,
      sym__uppercase_identifier,
    ACTIONS(5009), 1,
      aux_sym_tag_token1,
    ACTIONS(7583), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7585), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2425), 1,
      sym_constructor_path,
    STATE(2426), 1,
      sym_tag,
    STATE(4622), 1,
      sym_attribute,
    STATE(5327), 1,
      sym__signed_constant,
    STATE(5343), 1,
      sym__constructor_name,
    STATE(5475), 1,
      sym__binding_pattern,
    STATE(5483), 1,
      sym_record_binding_pattern,
    STATE(5498), 1,
      sym_array_binding_pattern,
    STATE(5516), 1,
      sym_parenthesized_operator,
    STATE(5521), 1,
      sym_list_binding_pattern,
    STATE(19715), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4983), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5336), 2,
      sym__constant,
      sym_signed_number,
    STATE(5307), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5403), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [162825] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5045), 1,
      sym__lowercase_identifier,
    ACTIONS(5047), 1,
      anon_sym_LPAREN,
    ACTIONS(5049), 1,
      anon_sym_LBRACK,
    ACTIONS(5053), 1,
      anon_sym_LBRACE,
    ACTIONS(5055), 1,
      anon_sym_POUND,
    ACTIONS(5057), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5059), 1,
      anon_sym_lazy,
    ACTIONS(5061), 1,
      anon_sym_begin,
    ACTIONS(5067), 1,
      aux_sym_number_token1,
    ACTIONS(5069), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5071), 1,
      anon_sym_SQUOTE,
    ACTIONS(5073), 1,
      anon_sym_DQUOTE,
    ACTIONS(5075), 1,
      sym__uppercase_identifier,
    ACTIONS(5077), 1,
      aux_sym_tag_token1,
    ACTIONS(7607), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7609), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2431), 1,
      sym_constructor_path,
    STATE(2432), 1,
      sym_tag,
    STATE(4623), 1,
      sym_attribute,
    STATE(5291), 1,
      sym__constructor_name,
    STATE(5309), 1,
      sym__signed_constant,
    STATE(5412), 1,
      sym_parenthesized_operator,
    STATE(5436), 1,
      sym_list_binding_pattern,
    STATE(5494), 1,
      sym_array_binding_pattern,
    STATE(5507), 1,
      sym_record_binding_pattern,
    STATE(5511), 1,
      sym__binding_pattern,
    STATE(19554), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5051), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5328), 2,
      sym__constant,
      sym_signed_number,
    STATE(5287), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5490), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [162948] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(6701), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8016), 1,
      sym__lowercase_identifier,
    ACTIONS(8018), 1,
      anon_sym_lazy,
    STATE(3035), 1,
      sym_constructor_path,
    STATE(3042), 1,
      sym_tag,
    STATE(4624), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13060), 1,
      sym__signed_constant,
    STATE(13180), 1,
      sym_list_binding_pattern,
    STATE(13187), 1,
      sym_array_binding_pattern,
    STATE(13266), 1,
      sym_record_binding_pattern,
    STATE(13523), 1,
      sym__binding_pattern,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(20122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13241), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [163071] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7308), 1,
      sym__lowercase_identifier,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_POUND,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7322), 1,
      anon_sym_lazy,
    ACTIONS(7324), 1,
      anon_sym_begin,
    ACTIONS(7326), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7328), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(7338), 1,
      sym__uppercase_identifier,
    ACTIONS(7340), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_tag,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(4625), 1,
      sym_attribute,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(8561), 1,
      sym__signed_constant,
    STATE(8759), 1,
      sym__binding_pattern,
    STATE(8781), 1,
      sym_list_binding_pattern,
    STATE(8792), 1,
      sym_array_binding_pattern,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(8810), 1,
      sym_record_binding_pattern,
    STATE(17874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7314), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [163194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8472), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [163261] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8693), 1,
      anon_sym_DASH_GT,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4627), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    STATE(20299), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [163379] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8697), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4628), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(17861), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [163497] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8699), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4629), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(17913), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [163615] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8701), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4630), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18306), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [163733] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8703), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4631), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18110), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [163851] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8705), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4632), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18176), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [163969] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8707), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4633), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    STATE(20093), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164087] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8709), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4634), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18401), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164205] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8711), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4635), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18459), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164323] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8713), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4636), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(19426), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164441] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8715), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4637), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18301), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164559] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8717), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4638), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18632), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164677] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8719), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4639), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18649), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164795] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8721), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4640), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18761), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164913] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8723), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4641), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18775), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165031] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8725), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4642), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18551), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165149] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(4643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [165217] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8727), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4644), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18613), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165335] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8729), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4645), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18535), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165453] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8731), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4646), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18269), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165571] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8733), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4647), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(19586), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165689] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8735), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4648), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(19674), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165807] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8737), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4649), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(19194), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165925] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8739), 1,
      anon_sym_LT_DASH,
    STATE(4650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [165993] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8741), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4651), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    STATE(20291), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166111] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8743), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4652), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(17512), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166229] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8745), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4653), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(17818), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166347] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8747), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4654), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(19037), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166465] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8749), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4655), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18254), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166583] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8751), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4656), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18298), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166701] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8753), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4657), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(19085), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166819] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8755), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4658), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(19491), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166937] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8757), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4659), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(19696), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167055] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8759), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4660), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    STATE(20257), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167173] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8761), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4661), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(17651), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167291] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8763), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4662), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18375), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167409] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8765), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4663), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(19353), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167527] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8767), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4664), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(19259), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167645] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8769), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4665), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(17707), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167763] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8771), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4666), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(17530), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167881] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8773), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4667), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(19236), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167999] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8775), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4668), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(19277), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [168117] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8781), 1,
      aux_sym_attribute_id_token1,
    STATE(4669), 1,
      sym_attribute,
    STATE(4685), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8779), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8777), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [168187] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8783), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4670), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18923), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [168305] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8785), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4671), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(19199), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [168423] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8787), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4672), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(17709), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [168541] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4673), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(17858), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [168659] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8791), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4674), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(19008), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [168777] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8793), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4675), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18373), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [168895] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8795), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4676), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(19410), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [169013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [169079] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8797), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4678), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(19371), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [169197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [169263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [169329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [169395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [169461] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8799), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4683), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18853), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [169579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [169645] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4685), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8803), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8801), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [169713] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8808), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4686), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18456), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [169831] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8810), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4687), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18684), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [169949] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8812), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4688), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(19933), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [170067] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8814), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4689), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(19464), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [170185] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8816), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4690), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(19532), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [170303] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8818), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4691), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(17948), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [170421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [170487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [170553] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8820), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4694), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(19678), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [170671] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8822), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4695), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(19800), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [170789] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8824), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4696), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(19832), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [170907] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8826), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4697), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(17475), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [171025] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8828), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4698), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    STATE(20078), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [171143] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8830), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4699), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(17935), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [171261] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8832), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4700), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    STATE(20090), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [171379] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8834), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4701), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    STATE(20239), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [171497] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8836), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4702), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(17994), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [171615] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8838), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4703), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(19978), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [171733] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4704), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20058), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [171851] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8842), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4705), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(19782), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [171969] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8844), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4706), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(19844), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [172087] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8846), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4707), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18119), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [172205] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8848), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4708), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18434), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [172323] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8781), 1,
      aux_sym_attribute_id_token1,
    STATE(4669), 1,
      aux_sym_attribute_id_repeat1,
    STATE(4709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8852), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8850), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [172393] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8854), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4710), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(17417), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [172511] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8856), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4711), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18960), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [172629] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8858), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4712), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(17586), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [172747] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8860), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4713), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(17534), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [172865] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8862), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4714), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18326), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [172983] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8864), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4715), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(17962), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [173101] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8866), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4716), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18213), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [173219] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8868), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4717), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18333), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [173337] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8870), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4718), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    STATE(20290), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [173455] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8872), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4719), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18295), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [173573] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8874), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4720), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18956), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [173691] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8876), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4721), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(19067), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [173809] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8878), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4722), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(17430), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [173927] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8880), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4723), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    STATE(20127), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [174045] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8882), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4724), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(17734), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [174163] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8884), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4725), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(17894), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [174281] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8886), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4726), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20039), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [174399] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8888), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4727), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(17680), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [174517] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8890), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4728), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    STATE(20277), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [174635] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8892), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4729), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    STATE(20206), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [174753] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8894), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4730), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(18245), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [174871] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_COLON2,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8896), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4731), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(17626), 1,
      sym__simple_typed,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [174989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175185] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4633), 1,
      aux_sym_let_binding_repeat1,
    STATE(4735), 1,
      sym_attribute,
    STATE(4962), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [175300] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4646), 1,
      aux_sym_let_binding_repeat1,
    STATE(4736), 1,
      sym_attribute,
    STATE(4965), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [175415] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4663), 1,
      aux_sym_let_binding_repeat1,
    STATE(4737), 1,
      sym_attribute,
    STATE(4968), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [175530] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4674), 1,
      aux_sym_let_binding_repeat1,
    STATE(4738), 1,
      sym_attribute,
    STATE(4970), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [175645] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8898), 1,
      anon_sym_LT_DASH,
    STATE(4739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175712] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4703), 1,
      aux_sym_let_binding_repeat1,
    STATE(4740), 1,
      sym_attribute,
    STATE(4971), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [175827] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4713), 1,
      aux_sym_let_binding_repeat1,
    STATE(4741), 1,
      sym_attribute,
    STATE(4973), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [175942] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4724), 1,
      aux_sym_let_binding_repeat1,
    STATE(4742), 1,
      sym_attribute,
    STATE(4975), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [176057] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4683), 1,
      aux_sym_let_binding_repeat1,
    STATE(4743), 1,
      sym_attribute,
    STATE(4977), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [176172] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4698), 1,
      aux_sym_let_binding_repeat1,
    STATE(4744), 1,
      sym_attribute,
    STATE(4979), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [176287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176352] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4661), 1,
      aux_sym_let_binding_repeat1,
    STATE(4746), 1,
      sym_attribute,
    STATE(4981), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [176467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176662] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4699), 1,
      aux_sym_let_binding_repeat1,
    STATE(4750), 1,
      sym_attribute,
    STATE(4983), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [176777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176907] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4547), 1,
      anon_sym_DOT,
    ACTIONS(4549), 1,
      anon_sym_POUND,
    ACTIONS(4551), 1,
      sym_hash_operator,
    STATE(4753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176978] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4730), 1,
      aux_sym_let_binding_repeat1,
    STATE(4754), 1,
      sym_attribute,
    STATE(4987), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [177093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177483] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4655), 1,
      aux_sym_let_binding_repeat1,
    STATE(4761), 1,
      sym_attribute,
    STATE(4990), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [177598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177663] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4547), 1,
      anon_sym_DOT,
    STATE(4763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177860] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4642), 1,
      aux_sym_let_binding_repeat1,
    STATE(4766), 1,
      sym_attribute,
    STATE(4994), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [177975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178430] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4654), 1,
      aux_sym_let_binding_repeat1,
    STATE(4774), 1,
      sym_attribute,
    STATE(4997), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [178545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [179000] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4667), 1,
      aux_sym_let_binding_repeat1,
    STATE(4782), 1,
      sym_attribute,
    STATE(5003), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [179115] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4547), 1,
      anon_sym_DOT,
    ACTIONS(4549), 1,
      anon_sym_POUND,
    ACTIONS(4551), 1,
      sym_hash_operator,
    STATE(4783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [179186] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8900), 1,
      anon_sym_LT_DASH,
    STATE(4784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [179253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [179318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [179383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [179448] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4689), 1,
      aux_sym_let_binding_repeat1,
    STATE(4788), 1,
      sym_attribute,
    STATE(5006), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [179563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [179628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [179693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [179758] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4705), 1,
      aux_sym_let_binding_repeat1,
    STATE(4792), 1,
      sym_attribute,
    STATE(5008), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [179873] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4723), 1,
      aux_sym_let_binding_repeat1,
    STATE(4793), 1,
      sym_attribute,
    STATE(5011), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [179988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [180053] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4795), 1,
      sym_attribute,
    STATE(5012), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [180168] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4645), 1,
      aux_sym_let_binding_repeat1,
    STATE(4796), 1,
      sym_attribute,
    STATE(5014), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [180283] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4649), 1,
      aux_sym_let_binding_repeat1,
    STATE(4797), 1,
      sym_attribute,
    STATE(5016), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [180398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [180463] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4658), 1,
      aux_sym_let_binding_repeat1,
    STATE(4799), 1,
      sym_attribute,
    STATE(5017), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [180578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [180643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [180708] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4662), 1,
      aux_sym_let_binding_repeat1,
    STATE(4802), 1,
      sym_attribute,
    STATE(5019), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [180823] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4670), 1,
      aux_sym_let_binding_repeat1,
    STATE(4803), 1,
      sym_attribute,
    STATE(5021), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [180938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181003] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4672), 1,
      aux_sym_let_binding_repeat1,
    STATE(4805), 1,
      sym_attribute,
    STATE(5022), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [181118] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4686), 1,
      aux_sym_let_binding_repeat1,
    STATE(4806), 1,
      sym_attribute,
    STATE(5026), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [181233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181363] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4694), 1,
      aux_sym_let_binding_repeat1,
    STATE(4809), 1,
      sym_attribute,
    STATE(5032), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [181478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181608] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4700), 1,
      aux_sym_let_binding_repeat1,
    STATE(4812), 1,
      sym_attribute,
    STATE(5035), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [181723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181853] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4707), 1,
      aux_sym_let_binding_repeat1,
    STATE(4815), 1,
      sym_attribute,
    STATE(5037), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [181968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [182033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [182098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [182163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [182228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [182293] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4710), 1,
      aux_sym_let_binding_repeat1,
    STATE(4821), 1,
      sym_attribute,
    STATE(5041), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [182408] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4716), 1,
      aux_sym_let_binding_repeat1,
    STATE(4822), 1,
      sym_attribute,
    STATE(5042), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [182523] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(4823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [182590] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4720), 1,
      aux_sym_let_binding_repeat1,
    STATE(4824), 1,
      sym_attribute,
    STATE(5045), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [182705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [182770] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4726), 1,
      aux_sym_let_binding_repeat1,
    STATE(4826), 1,
      sym_attribute,
    STATE(5046), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [182885] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4731), 1,
      aux_sym_let_binding_repeat1,
    STATE(4827), 1,
      sym_attribute,
    STATE(5047), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [183000] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(4828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183067] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4628), 1,
      aux_sym_let_binding_repeat1,
    STATE(4829), 1,
      sym_attribute,
    STATE(5048), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [183182] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4631), 1,
      aux_sym_let_binding_repeat1,
    STATE(4830), 1,
      sym_attribute,
    STATE(5053), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [183297] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4634), 1,
      aux_sym_let_binding_repeat1,
    STATE(4831), 1,
      sym_attribute,
    STATE(5054), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [183412] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4638), 1,
      aux_sym_let_binding_repeat1,
    STATE(4832), 1,
      sym_attribute,
    STATE(5055), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [183527] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4640), 1,
      aux_sym_let_binding_repeat1,
    STATE(4833), 1,
      sym_attribute,
    STATE(5056), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [183642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183772] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4688), 1,
      aux_sym_let_binding_repeat1,
    STATE(4836), 1,
      sym_attribute,
    STATE(5072), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [183887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8803), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
    ACTIONS(8801), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [184537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184602] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4651), 1,
      aux_sym_let_binding_repeat1,
    STATE(4848), 1,
      sym_attribute,
    STATE(5086), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [184717] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185042] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4722), 1,
      aux_sym_let_binding_repeat1,
    STATE(4854), 1,
      sym_attribute,
    STATE(4954), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [185157] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(4855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185354] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4678), 1,
      aux_sym_let_binding_repeat1,
    STATE(4858), 1,
      sym_attribute,
    STATE(4985), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [185469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185534] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4715), 1,
      aux_sym_let_binding_repeat1,
    STATE(4860), 1,
      sym_attribute,
    STATE(4957), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [185649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185714] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4660), 1,
      aux_sym_let_binding_repeat1,
    STATE(4862), 1,
      sym_attribute,
    STATE(4982), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [185829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186150] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7781), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7783), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [186214] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8902), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4869), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [186326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186710] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7779), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [186774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186838] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4557), 1,
      anon_sym_DOT,
    STATE(4878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187224] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7767), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [187288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187544] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(4889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187674] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(4891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187804] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8904), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4893), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [187916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188236] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8906), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4899), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [188348] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7785), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7787), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [188412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188476] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7771), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [188540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188860] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4557), 1,
      anon_sym_DOT,
    ACTIONS(4559), 1,
      anon_sym_POUND,
    ACTIONS(4561), 1,
      sym_hash_operator,
    STATE(4908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189314] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7866), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [189378] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8908), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4916), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [189490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189682] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7761), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7763), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [189746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189874] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(4923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7791), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [189940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190772] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8910), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4937), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [190884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [191012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [191076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [191140] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7775), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [191204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [191268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [191332] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8912), 1,
      anon_sym_LT_DASH,
    STATE(4945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [191398] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7757), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [191462] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4557), 1,
      anon_sym_DOT,
    ACTIONS(4559), 1,
      anon_sym_POUND,
    ACTIONS(4561), 1,
      sym_hash_operator,
    STATE(4947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [191532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [191596] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8695), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8914), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4949), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [191708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [191772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [191836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [191900] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8116), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [191963] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4696), 1,
      aux_sym_let_binding_repeat1,
    STATE(4954), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [192072] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7791), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [192135] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8916), 1,
      anon_sym_lazy,
    STATE(2898), 1,
      sym_constructor_path,
    STATE(2969), 1,
      sym_tag,
    STATE(4956), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(17829), 1,
      sym__effect_pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12989), 13,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [192246] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4719), 1,
      aux_sym_let_binding_repeat1,
    STATE(4957), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [192355] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7870), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [192418] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8228), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [192481] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8184), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [192544] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8188), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [192607] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4653), 1,
      aux_sym_let_binding_repeat1,
    STATE(4962), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [192716] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7866), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [192779] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8142), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [192842] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4648), 1,
      aux_sym_let_binding_repeat1,
    STATE(4965), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [192951] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4567), 1,
      anon_sym_DOT,
    ACTIONS(4569), 1,
      anon_sym_POUND,
    ACTIONS(4571), 1,
      sym_hash_operator,
    STATE(4966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8096), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [193020] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8146), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [193083] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4666), 1,
      aux_sym_let_binding_repeat1,
    STATE(4968), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193192] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7757), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [193255] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4676), 1,
      aux_sym_let_binding_repeat1,
    STATE(4970), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193364] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4704), 1,
      aux_sym_let_binding_repeat1,
    STATE(4971), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193473] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4893), 1,
      aux_sym_let_binding_repeat1,
    STATE(4972), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193582] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4714), 1,
      aux_sym_let_binding_repeat1,
    STATE(4973), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193691] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4567), 1,
      anon_sym_DOT,
    ACTIONS(4569), 1,
      anon_sym_POUND,
    ACTIONS(4571), 1,
      sym_hash_operator,
    STATE(4974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8192), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [193760] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4725), 1,
      aux_sym_let_binding_repeat1,
    STATE(4975), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193869] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8918), 1,
      anon_sym_COLON,
    STATE(4976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [193934] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4711), 1,
      aux_sym_let_binding_repeat1,
    STATE(4977), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194043] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7775), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [194106] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4718), 1,
      aux_sym_let_binding_repeat1,
    STATE(4979), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194215] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7761), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7763), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [194278] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4665), 1,
      aux_sym_let_binding_repeat1,
    STATE(4981), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194387] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4675), 1,
      aux_sym_let_binding_repeat1,
    STATE(4982), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194496] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4702), 1,
      aux_sym_let_binding_repeat1,
    STATE(4983), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194605] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7767), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [194668] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4697), 1,
      aux_sym_let_binding_repeat1,
    STATE(4985), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194777] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8198), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8200), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [194840] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4630), 1,
      aux_sym_let_binding_repeat1,
    STATE(4987), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194949] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8204), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195012] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7771), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195075] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4656), 1,
      aux_sym_let_binding_repeat1,
    STATE(4990), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [195184] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8208), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195247] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8232), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195310] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8236), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195373] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4644), 1,
      aux_sym_let_binding_repeat1,
    STATE(4994), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [195482] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8212), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195545] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8240), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195608] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4657), 1,
      aux_sym_let_binding_repeat1,
    STATE(4997), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [195717] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8150), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195780] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8246), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195843] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8250), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195906] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8254), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195969] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8258), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196032] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4668), 1,
      aux_sym_let_binding_repeat1,
    STATE(5003), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [196141] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8262), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196204] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8266), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196267] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4690), 1,
      aux_sym_let_binding_repeat1,
    STATE(5006), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [196376] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8154), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196439] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4706), 1,
      aux_sym_let_binding_repeat1,
    STATE(5008), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [196548] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7757), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196611] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8216), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196674] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4729), 1,
      aux_sym_let_binding_repeat1,
    STATE(5011), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [196783] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5012), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [196892] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7906), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196955] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4647), 1,
      aux_sym_let_binding_repeat1,
    STATE(5014), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [197064] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8158), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197127] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4652), 1,
      aux_sym_let_binding_repeat1,
    STATE(5016), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [197236] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4659), 1,
      aux_sym_let_binding_repeat1,
    STATE(5017), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [197345] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7898), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197408] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4664), 1,
      aux_sym_let_binding_repeat1,
    STATE(5019), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [197517] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7761), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7763), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197580] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4671), 1,
      aux_sym_let_binding_repeat1,
    STATE(5021), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [197689] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4673), 1,
      aux_sym_let_binding_repeat1,
    STATE(5022), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [197798] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7910), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197861] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7767), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197924] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7771), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197987] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4687), 1,
      aux_sym_let_binding_repeat1,
    STATE(5026), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198096] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7918), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198159] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8180), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198222] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7922), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198285] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7954), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198348] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(5031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7791), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198413] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4695), 1,
      aux_sym_let_binding_repeat1,
    STATE(5032), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198522] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8134), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198585] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8922), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5034), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(8925), 18,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8920), 28,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [198650] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4701), 1,
      aux_sym_let_binding_repeat1,
    STATE(5035), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198759] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7779), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198822] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4708), 1,
      aux_sym_let_binding_repeat1,
    STATE(5037), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198931] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7775), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198994] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7781), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7783), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199057] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7785), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7787), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199120] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4712), 1,
      aux_sym_let_binding_repeat1,
    STATE(5041), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [199229] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4717), 1,
      aux_sym_let_binding_repeat1,
    STATE(5042), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [199338] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7958), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199401] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8162), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199464] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4721), 1,
      aux_sym_let_binding_repeat1,
    STATE(5045), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [199573] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4728), 1,
      aux_sym_let_binding_repeat1,
    STATE(5046), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [199682] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4727), 1,
      aux_sym_let_binding_repeat1,
    STATE(5047), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [199791] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4629), 1,
      aux_sym_let_binding_repeat1,
    STATE(5048), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [199900] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7974), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199963] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7978), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200026] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(5051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7982), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200091] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7994), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200154] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4632), 1,
      aux_sym_let_binding_repeat1,
    STATE(5053), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [200263] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4635), 1,
      aux_sym_let_binding_repeat1,
    STATE(5054), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [200372] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4639), 1,
      aux_sym_let_binding_repeat1,
    STATE(5055), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [200481] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4641), 1,
      aux_sym_let_binding_repeat1,
    STATE(5056), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [200590] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7998), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200653] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8026), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200716] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8916), 1,
      anon_sym_lazy,
    STATE(2898), 1,
      sym_constructor_path,
    STATE(2969), 1,
      sym_tag,
    STATE(5059), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(19542), 1,
      sym_module_path,
    STATE(19712), 1,
      sym__effect_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12989), 13,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [200827] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4869), 1,
      aux_sym_let_binding_repeat1,
    STATE(5060), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [200936] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(4959), 1,
      sym__uppercase_identifier,
    ACTIONS(4961), 1,
      aux_sym_tag_token1,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8916), 1,
      anon_sym_lazy,
    STATE(2898), 1,
      sym_constructor_path,
    STATE(2969), 1,
      sym_tag,
    STATE(5061), 1,
      sym_attribute,
    STATE(8347), 1,
      sym__constructor_name,
    STATE(17809), 1,
      sym__effect_pattern,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(12851), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12989), 13,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [201047] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4899), 1,
      aux_sym_let_binding_repeat1,
    STATE(5062), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201156] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8040), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201219] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8044), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201282] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4916), 1,
      aux_sym_let_binding_repeat1,
    STATE(5065), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201391] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(5066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7982), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201456] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4937), 1,
      aux_sym_let_binding_repeat1,
    STATE(5067), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201565] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8050), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201628] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4949), 1,
      aux_sym_let_binding_repeat1,
    STATE(5069), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201737] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8220), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201800] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8058), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201863] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4691), 1,
      aux_sym_let_binding_repeat1,
    STATE(5072), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201972] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8062), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202035] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8166), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202098] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7866), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202161] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8138), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202224] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8927), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5077), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(8925), 17,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8920), 29,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [202289] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8170), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202352] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7779), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202415] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8278), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202478] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7795), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7797), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202541] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7781), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7783), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202604] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7785), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7787), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202667] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8076), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202730] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8080), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202793] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4627), 1,
      aux_sym_let_binding_repeat1,
    STATE(5086), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10170), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5391), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(10166), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [202902] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8084), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202965] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8088), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203028] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8092), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203091] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8100), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203154] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8104), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203217] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(5092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7791), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203282] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8174), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203345] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8108), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203408] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7874), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203471] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7878), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203534] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7886), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203597] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8270), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203660] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8112), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203723] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8120), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203786] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8126), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203849] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4567), 1,
      anon_sym_DOT,
    STATE(5102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8130), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203914] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8930), 1,
      anon_sym_LT_DASH,
    STATE(5103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7795), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7797), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203979] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8212), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204041] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7886), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204103] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8188), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204165] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8142), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204227] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8092), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204289] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7886), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204351] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7795), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7797), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204413] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(5111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [204477] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8154), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204539] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8250), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204601] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7978), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204663] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8104), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204725] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8240), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204787] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8044), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204849] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7922), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204911] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8198), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8200), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204973] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7910), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205035] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8204), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205097] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8208), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205159] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8112), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205221] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8112), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205283] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8120), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205345] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(5126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7982), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205409] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7757), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205471] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8220), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205533] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8120), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205595] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4577), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_POUND,
    ACTIONS(4581), 1,
      sym_hash_operator,
    STATE(5130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8096), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205663] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7994), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205725] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8040), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205787] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4587), 1,
      anon_sym_DOT,
    ACTIONS(4589), 1,
      anon_sym_POUND,
    ACTIONS(4591), 1,
      sym_hash_operator,
    STATE(5133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8192), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205855] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7954), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205917] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8134), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205979] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7998), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206041] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8228), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206103] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8246), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206165] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8200), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206227] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8126), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206289] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(5141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7982), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206353] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7998), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206415] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7771), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206477] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4587), 1,
      anon_sym_DOT,
    STATE(5144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8130), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206541] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8216), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206603] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8076), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206665] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8270), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206727] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8026), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206789] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8932), 1,
      anon_sym_COLON,
    STATE(5149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [206853] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8058), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206915] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7918), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206977] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8080), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207039] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7958), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207101] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8062), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207163] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7922), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207225] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8040), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207287] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7954), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207349] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7791), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207411] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8204), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207473] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7898), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207535] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8104), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207597] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8184), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207659] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8240), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207721] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8134), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207783] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [207845] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8146), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207907] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(5167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7982), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207971] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8044), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208033] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8208), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208095] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7870), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8936), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8934), 28,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [208219] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4577), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_POUND,
    ACTIONS(4581), 1,
      sym_hash_operator,
    STATE(5172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8192), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208287] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8188), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208349] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8236), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208411] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(5175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7982), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208475] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8062), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208537] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8220), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208599] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(5178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7982), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208663] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8938), 1,
      anon_sym_LT_DASH,
    STATE(5179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7795), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7797), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208727] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7974), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208789] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4587), 1,
      anon_sym_DOT,
    ACTIONS(4589), 1,
      anon_sym_POUND,
    ACTIONS(4591), 1,
      sym_hash_operator,
    STATE(5181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8096), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208857] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8150), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208919] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7779), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208981] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8150), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209043] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(5185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7982), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209107] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8108), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209169] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7781), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7783), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209231] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7761), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7763), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209293] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8254), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209355] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8162), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209417] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8116), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209479] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8100), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209541] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(5193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7791), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209605] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7978), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209667] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8258), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209729] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8270), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209791] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8228), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209853] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7994), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209915] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8166), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209977] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8262), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210039] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7874), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210101] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8026), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210163] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8084), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210225] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7878), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210287] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8180), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210349] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8266), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8936), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8934), 29,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [210473] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8212), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210535] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8088), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210597] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8940), 1,
      anon_sym_LT_DASH,
    STATE(5210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7795), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7797), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210661] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8108), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210723] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8258), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210785] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(5213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [210849] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7906), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210911] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8146), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210973] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8126), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211035] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7791), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211097] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7898), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211159] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7958), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211221] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4577), 1,
      anon_sym_DOT,
    STATE(5220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8130), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211285] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7870), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211347] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8092), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211409] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8154), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8472), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [211533] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8100), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211595] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8158), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211657] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8076), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211719] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8254), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211781] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7795), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7797), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211843] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7910), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211905] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8162), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211967] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8232), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212029] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8050), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212091] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8250), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212153] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7866), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212215] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8216), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212277] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7775), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212339] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7906), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212401] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8262), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212463] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8170), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212525] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8246), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212587] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7767), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212649] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7918), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212711] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8158), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212773] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8166), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212835] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7785), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7787), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212897] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8170), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212959] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8232), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213021] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8236), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213083] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8138), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213145] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8278), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213207] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8174), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213269] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8174), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213331] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8080), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213393] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8278), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213455] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8266), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213517] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8058), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213579] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8084), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213641] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8116), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213703] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8142), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213765] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8138), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213827] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8088), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213889] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8180), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213951] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8184), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214013] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7974), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214075] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7874), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214137] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7878), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214199] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8050), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214261] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8174), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214322] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8104), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214383] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8092), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214444] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8188), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214505] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7918), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214566] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8942), 1,
      anon_sym_LT_DASH,
    STATE(5274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7795), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7797), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8944), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8946), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214690] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8254), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7978), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214812] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7791), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214873] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(5279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7982), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214936] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8220), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214997] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7898), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215058] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8162), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215119] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8138), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215180] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8158), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215241] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8240), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215302] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8112), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7994), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215424] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8040), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215485] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8126), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215546] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7994), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [215668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8058), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215729] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8258), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215790] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4717), 1,
      anon_sym_DOT,
    STATE(5294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8130), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8026), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8040), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215975] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8232), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8044), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8062), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7958), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216219] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8146), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216280] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8212), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216341] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8150), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216402] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8262), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216463] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8120), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216524] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8266), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7994), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216646] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8236), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216707] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8948), 1,
      anon_sym_DOT_DOT,
    STATE(5309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4975), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(4977), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [216770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8058), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8952), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8950), 34,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [216892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [216953] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8142), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8944), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8946), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217075] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(5315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7982), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217138] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8044), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217199] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8134), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217260] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8058), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217321] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8180), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217382] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(5320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7982), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [217506] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8062), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217567] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8184), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217628] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4717), 1,
      anon_sym_DOT,
    ACTIONS(4719), 1,
      anon_sym_POUND,
    ACTIONS(4721), 1,
      sym_hash_operator,
    STATE(5324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8096), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217695] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8200), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217756] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7795), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7797), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217817] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8954), 1,
      anon_sym_DOT_DOT,
    STATE(5327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4977), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(4975), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8956), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8958), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217941] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8154), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8040), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218063] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7910), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8026), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218185] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7870), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8044), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8062), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8956), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8958), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218429] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4717), 1,
      anon_sym_DOT,
    ACTIONS(4719), 1,
      anon_sym_POUND,
    ACTIONS(4721), 1,
      sym_hash_operator,
    STATE(5337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8192), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218496] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8278), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [218618] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7874), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8962), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8960), 34,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [218740] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7954), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7998), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8472), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [218923] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7878), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218984] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7886), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219045] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8108), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219106] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8084), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219167] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7958), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219228] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8116), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219289] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8026), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219350] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8076), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219411] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8100), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219472] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8228), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219533] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8246), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219594] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(5356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [219657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8050), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219718] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7974), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219779] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8204), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8964), 34,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [219901] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7922), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219962] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8968), 1,
      anon_sym_COLON,
    STATE(5362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8342), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220025] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8208), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220086] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7978), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220147] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7906), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220208] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8088), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220269] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8080), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [220391] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8250), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220452] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(5370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7982), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220515] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8050), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220576] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8216), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7974), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220698] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7998), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220759] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8166), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220820] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8170), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7974), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220942] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(5378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [221005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7978), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221127] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8270), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [221248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8970), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8972), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8974), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8976), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8980), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8978), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [221428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8058), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8982), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8984), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [221608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8986), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8988), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [221728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8990), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8992), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7918), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8994), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8996), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7978), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8998), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9000), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8044), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9004), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9006), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [222208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8040), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8972), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8970), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [222328] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8096), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7974), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4977), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(4975), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [222568] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9010), 1,
      anon_sym_DOT_DOT,
    STATE(5405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4975), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(4977), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [222630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8040), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222690] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9012), 1,
      anon_sym_COLON,
    STATE(5407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8342), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [222812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9016), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7922), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7954), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [223052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7886), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9018), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [223172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9024), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [223292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8944), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8946), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9026), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9028), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9032), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8044), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8062), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223652] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9034), 1,
      anon_sym_LT_DASH,
    STATE(5423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [223714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8976), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8974), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [223774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9038), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7998), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8986), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [223954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9040), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9042), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9000), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8998), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9002), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8978), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8980), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8984), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8982), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8956), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8958), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224314] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9044), 1,
      anon_sym_COLON,
    STATE(5434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8342), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9018), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9020), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9046), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9054), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7994), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9058), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9068), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9064), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7791), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7994), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [225036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9072), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [225096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [225156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9026), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [225216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7874), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [225276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8026), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [225336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9076), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [225396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8050), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [225516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7974), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [225576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [225816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8062), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [225936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8278), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [226176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [226236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7878), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9088), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226356] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(5468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9092), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8956), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8958), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9060), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7958), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226658] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5411), 1,
      anon_sym_COLON_COLON,
    STATE(5473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [226780] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5395), 1,
      anon_sym_COMMA,
    ACTIONS(5411), 1,
      anon_sym_COLON_COLON,
    STATE(5475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [226844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9104), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8944), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8946), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9008), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [227084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9108), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [227204] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5411), 1,
      anon_sym_COLON_COLON,
    STATE(5482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8058), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [227446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9084), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9052), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [227626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9056), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4975), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(4977), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [227746] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9118), 1,
      anon_sym_DOT_DOT,
    STATE(5491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4977), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(4975), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227808] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8474), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9080), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [227988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9032), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9030), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [228048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9126), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [228168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9122), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [228228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9024), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9022), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [228288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7910), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [228348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [228408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [228468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9074), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [228528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [228588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [228648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9086), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [228708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [228768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9036), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [228828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9040), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [228888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9090), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [228948] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5515), 1,
      anon_sym_COLON_COLON,
    STATE(5511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9094), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [229010] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5509), 1,
      anon_sym_COMMA,
    ACTIONS(5515), 1,
      anon_sym_COLON_COLON,
    STATE(5512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [229074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [229194] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5515), 1,
      anon_sym_COLON_COLON,
    STATE(5515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [229256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7898), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [229376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7978), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7906), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9066), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [229556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9048), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [229676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9102), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [229736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8026), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8998), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9000), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9064), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7886), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9052), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9056), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9084), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4975), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(4977), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [230268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230327] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8474), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9064), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9072), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9092), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230740] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5717), 1,
      anon_sym_COLON_COLON,
    STATE(5541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9094), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [230801] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5711), 1,
      anon_sym_COMMA,
    ACTIONS(5717), 1,
      anon_sym_COLON_COLON,
    STATE(5542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [230864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230923] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5717), 1,
      anon_sym_COLON_COLON,
    STATE(5544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [230984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9084), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9048), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9068), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231279] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(5550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8974), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8976), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9004), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231517] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231635] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231753] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231871] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4907), 1,
      anon_sym_DOT,
    ACTIONS(4909), 1,
      anon_sym_POUND,
    ACTIONS(4911), 1,
      sym_hash_operator,
    STATE(5560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8982), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8984), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [232054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7898), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [232290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9040), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9042), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [232467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9104), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [232644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9122), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [232762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232821] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4907), 1,
      anon_sym_DOT,
    STATE(5576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9024), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [232941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8978), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8980), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [233118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233177] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7910), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [233354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7906), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [233826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9018), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9020), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234180] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4907), 1,
      anon_sym_DOT,
    ACTIONS(4909), 1,
      anon_sym_POUND,
    ACTIONS(4911), 1,
      sym_hash_operator,
    STATE(5599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7954), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234422] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234599] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9032), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234717] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9038), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234953] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8474), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235071] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9040), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9042), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9032), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4977), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(4975), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7874), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7918), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8994), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8990), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8992), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9080), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9004), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7906), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7791), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236133] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(5632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8986), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8988), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8990), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8992), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9026), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9028), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7878), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8998), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9000), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7918), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9126), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237138] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8096), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237197] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5551), 1,
      anon_sym_COMMA,
    ACTIONS(5557), 1,
      anon_sym_COLON_COLON,
    STATE(5650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9100), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7898), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8970), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8972), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7922), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8978), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8980), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237496] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9128), 1,
      anon_sym_LT_DASH,
    STATE(5655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9018), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9020), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9108), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9048), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7791), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9122), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9024), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238029] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8096), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7910), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8278), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9008), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8994), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8996), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9026), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9028), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9080), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238678] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_LT_DASH,
    STATE(5675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7874), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238916] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9132), 1,
      anon_sym_COLON,
    STATE(5679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8342), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7886), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9076), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9016), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9072), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7878), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9052), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239390] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(5687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9038), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9056), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239687] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7922), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240041] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8974), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8976), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [240100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7954), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [240159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9088), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [240277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8982), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8984), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [240336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9092), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [240395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240454] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5557), 1,
      anon_sym_COLON_COLON,
    STATE(5705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [240515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8970), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8972), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [240574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240633] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5557), 1,
      anon_sym_COLON_COLON,
    STATE(5708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [240694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8986), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8988), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [240753] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9060), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [240812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241161] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(5717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241279] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9134), 1,
      anon_sym_LT_DASH,
    STATE(5719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241339] = 25,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7015), 1,
      sym__lowercase_identifier,
    ACTIONS(7023), 1,
      anon_sym_LBRACK,
    ACTIONS(7029), 1,
      anon_sym_LBRACE,
    ACTIONS(7031), 1,
      anon_sym_POUND,
    ACTIONS(7033), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7035), 1,
      anon_sym_begin,
    ACTIONS(7041), 1,
      aux_sym_number_token1,
    ACTIONS(7043), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7045), 1,
      anon_sym_SQUOTE,
    ACTIONS(7047), 1,
      anon_sym_DQUOTE,
    ACTIONS(7049), 1,
      sym__uppercase_identifier,
    ACTIONS(7051), 1,
      aux_sym_tag_token1,
    ACTIONS(9136), 1,
      anon_sym_LPAREN,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9140), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5720), 1,
      sym_attribute,
    STATE(7636), 1,
      sym__constructor_name,
    STATE(7682), 1,
      sym__simple_pattern,
    STATE(19337), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7025), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7632), 2,
      sym__constant,
      sym_signed_number,
    STATE(7635), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7631), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [241437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241553] = 25,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7296), 1,
      anon_sym_POUND,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9142), 1,
      anon_sym_LPAREN,
    ACTIONS(9144), 1,
      sym__uppercase_identifier,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    STATE(5723), 1,
      sym_attribute,
    STATE(12824), 1,
      sym__simple_pattern,
    STATE(13116), 1,
      sym__constructor_name,
    STATE(19473), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12989), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [241651] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(5724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241943] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242175] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242291] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242465] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8474), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [242523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242929] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8096), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [242987] = 25,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6761), 1,
      sym__lowercase_identifier,
    ACTIONS(6773), 1,
      anon_sym_LBRACK,
    ACTIONS(6779), 1,
      anon_sym_LBRACE,
    ACTIONS(6781), 1,
      anon_sym_POUND,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6785), 1,
      anon_sym_begin,
    ACTIONS(6793), 1,
      aux_sym_number_token1,
    ACTIONS(6795), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6797), 1,
      anon_sym_SQUOTE,
    ACTIONS(6799), 1,
      anon_sym_DQUOTE,
    ACTIONS(6801), 1,
      sym__uppercase_identifier,
    ACTIONS(6803), 1,
      aux_sym_tag_token1,
    ACTIONS(9148), 1,
      anon_sym_LPAREN,
    ACTIONS(9150), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9152), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5747), 1,
      sym_attribute,
    STATE(7456), 1,
      sym__constructor_name,
    STATE(7505), 1,
      sym__simple_pattern,
    STATE(18276), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6775), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7353), 2,
      sym__constant,
      sym_signed_number,
    STATE(7469), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7539), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [243085] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5103), 1,
      anon_sym_DOT,
    ACTIONS(5105), 1,
      anon_sym_POUND,
    ACTIONS(5107), 1,
      sym_hash_operator,
    STATE(5748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243381] = 25,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7393), 1,
      sym__lowercase_identifier,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_LBRACE,
    ACTIONS(7405), 1,
      anon_sym_POUND,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7411), 1,
      anon_sym_begin,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(9154), 1,
      anon_sym_LPAREN,
    ACTIONS(9156), 1,
      sym__uppercase_identifier,
    ACTIONS(9158), 1,
      aux_sym_tag_token1,
    STATE(5753), 1,
      sym_attribute,
    STATE(13703), 1,
      sym__constructor_name,
    STATE(13905), 1,
      sym__simple_pattern,
    STATE(19891), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7399), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13843), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [243479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243653] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243711] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(5758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243887] = 25,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7441), 1,
      sym__lowercase_identifier,
    ACTIONS(7449), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_POUND,
    ACTIONS(7461), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7463), 1,
      anon_sym_begin,
    ACTIONS(7471), 1,
      aux_sym_number_token1,
    ACTIONS(7473), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7475), 1,
      anon_sym_SQUOTE,
    ACTIONS(7477), 1,
      anon_sym_DQUOTE,
    ACTIONS(7479), 1,
      sym__uppercase_identifier,
    ACTIONS(7481), 1,
      aux_sym_tag_token1,
    ACTIONS(9160), 1,
      anon_sym_LPAREN,
    ACTIONS(9162), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9164), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5761), 1,
      sym_attribute,
    STATE(8507), 1,
      sym__simple_pattern,
    STATE(8735), 1,
      sym__constructor_name,
    STATE(18916), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7451), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8446), 2,
      sym__constant,
      sym_signed_number,
    STATE(8734), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8474), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [243985] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244159] = 25,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5405), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5415), 1,
      anon_sym_begin,
    ACTIONS(5423), 1,
      aux_sym_number_token1,
    ACTIONS(5425), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5427), 1,
      anon_sym_SQUOTE,
    ACTIONS(5429), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym__uppercase_identifier,
    ACTIONS(5433), 1,
      aux_sym_tag_token1,
    ACTIONS(7601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9166), 1,
      anon_sym_LPAREN,
    STATE(5765), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10022), 1,
      sym__simple_pattern,
    STATE(20068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5401), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10038), 2,
      sym__constant,
      sym_signed_number,
    STATE(9999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10003), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [244257] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244315] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244837] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5103), 1,
      anon_sym_DOT,
    STATE(5776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244955] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9168), 1,
      anon_sym_LT_DASH,
    STATE(5778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7795), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7797), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [245015] = 25,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6805), 1,
      sym__lowercase_identifier,
    ACTIONS(6817), 1,
      anon_sym_LBRACK,
    ACTIONS(6823), 1,
      anon_sym_LBRACE,
    ACTIONS(6825), 1,
      anon_sym_POUND,
    ACTIONS(6827), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6829), 1,
      anon_sym_begin,
    ACTIONS(6835), 1,
      aux_sym_number_token1,
    ACTIONS(6837), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6839), 1,
      anon_sym_SQUOTE,
    ACTIONS(6841), 1,
      anon_sym_DQUOTE,
    ACTIONS(6843), 1,
      sym__uppercase_identifier,
    ACTIONS(6845), 1,
      aux_sym_tag_token1,
    ACTIONS(9170), 1,
      anon_sym_LPAREN,
    ACTIONS(9172), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9174), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5779), 1,
      sym_attribute,
    STATE(7422), 1,
      sym__constructor_name,
    STATE(7587), 1,
      sym__simple_pattern,
    STATE(17872), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7466), 2,
      sym__constant,
      sym_signed_number,
    STATE(7432), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7548), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [245113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245171] = 25,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9176), 1,
      anon_sym_LPAREN,
    ACTIONS(9178), 1,
      sym__uppercase_identifier,
    STATE(5781), 1,
      sym_attribute,
    STATE(8768), 1,
      sym__constructor_name,
    STATE(12824), 1,
      sym__simple_pattern,
    STATE(19145), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12989), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [245269] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5103), 1,
      anon_sym_DOT,
    ACTIONS(5105), 1,
      anon_sym_POUND,
    ACTIONS(5107), 1,
      sym_hash_operator,
    STATE(5782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245507] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245565] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245623] = 25,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7081), 1,
      sym__lowercase_identifier,
    ACTIONS(7089), 1,
      anon_sym_LBRACK,
    ACTIONS(7095), 1,
      anon_sym_LBRACE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7101), 1,
      anon_sym_begin,
    ACTIONS(7107), 1,
      aux_sym_number_token1,
    ACTIONS(7109), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7111), 1,
      anon_sym_SQUOTE,
    ACTIONS(7113), 1,
      anon_sym_DQUOTE,
    ACTIONS(7115), 1,
      sym__uppercase_identifier,
    ACTIONS(7117), 1,
      aux_sym_tag_token1,
    ACTIONS(9180), 1,
      anon_sym_LPAREN,
    ACTIONS(9182), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9184), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5788), 1,
      sym_attribute,
    STATE(7748), 1,
      sym__simple_pattern,
    STATE(7768), 1,
      sym__constructor_name,
    STATE(18668), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7091), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7960), 2,
      sym__constant,
      sym_signed_number,
    STATE(7806), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7887), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [245721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246301] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246649] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246707] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [246822] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [246936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [246993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247335] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9186), 1,
      anon_sym_DOT,
    STATE(5817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247907] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [247964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249104] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249788] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [249845] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [249902] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [249959] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [250016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250073] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [250130] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [250187] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [250244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250301] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250415] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [250472] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [250529] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [250586] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [250643] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [250700] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [250757] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5241), 1,
      anon_sym_DOT,
    ACTIONS(5243), 1,
      anon_sym_POUND,
    ACTIONS(5245), 1,
      sym_hash_operator,
    STATE(5877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [250820] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [250877] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [250934] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [250991] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [251048] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [251105] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [251162] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [251219] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5241), 1,
      anon_sym_DOT,
    STATE(5885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [251278] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [251335] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [251392] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [251449] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [251506] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [251563] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [251620] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [251677] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [251734] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [251791] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [251848] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [251905] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [251962] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252019] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252076] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252133] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5241), 1,
      anon_sym_DOT,
    ACTIONS(5243), 1,
      anon_sym_POUND,
    ACTIONS(5245), 1,
      sym_hash_operator,
    STATE(5901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252196] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252253] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252310] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252367] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252424] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252481] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [252595] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252652] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9188), 1,
      anon_sym_COLON,
    STATE(5910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252711] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252768] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [252882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [252939] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(5915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [252998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [253055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [253112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [253169] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253226] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [253340] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [253454] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(5924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [253513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [253570] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253627] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253684] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253741] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253798] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253855] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [253969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [254026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [254083] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254140] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [254254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [254311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [254368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [254425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [254482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [254539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [254596] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(5944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [254655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [254712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [254769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [254826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [254883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [254940] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(5950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [254999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [255056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [255113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [255170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [255227] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255284] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255341] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255398] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255455] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255512] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255569] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255626] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255683] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(5963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255742] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255799] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255856] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255913] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255970] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [256027] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(5969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [256086] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [256143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256200] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [256257] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [256314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256599] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256770] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [256827] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [256884] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [256941] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [256998] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(5986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257057] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9190), 1,
      anon_sym_LT_DASH,
    STATE(5987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257116] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9192), 1,
      anon_sym_DOT,
    ACTIONS(9194), 1,
      anon_sym_POUND,
    ACTIONS(9196), 1,
      sym_hash_operator,
    STATE(5988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [257179] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9192), 1,
      anon_sym_DOT,
    ACTIONS(9194), 1,
      anon_sym_POUND,
    ACTIONS(9196), 1,
      sym_hash_operator,
    STATE(5989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [257242] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257299] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257356] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257413] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257470] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257527] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257584] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257641] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(5997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257700] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257757] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257814] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(6000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257873] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9186), 1,
      anon_sym_DOT,
    ACTIONS(9198), 1,
      anon_sym_POUND,
    ACTIONS(9200), 1,
      sym_hash_operator,
    STATE(6001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [257936] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9202), 1,
      anon_sym_LT_DASH,
    STATE(6002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257995] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9204), 1,
      anon_sym_LT_DASH,
    STATE(6003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [258054] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9206), 1,
      anon_sym_LT_DASH,
    STATE(6004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [258113] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9208), 1,
      anon_sym_LT_DASH,
    STATE(6005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [258172] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9186), 1,
      anon_sym_DOT,
    ACTIONS(9198), 1,
      anon_sym_POUND,
    ACTIONS(9200), 1,
      sym_hash_operator,
    STATE(6006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258292] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(6008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [258351] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(6009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [258410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259208] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9192), 1,
      anon_sym_DOT,
    STATE(6024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260008] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260635] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260806] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260863] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260920] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260977] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261034] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261091] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261148] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261205] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [261319] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [261433] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261490] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9210), 1,
      anon_sym_LT_DASH,
    STATE(6064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261549] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261606] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261663] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261720] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261777] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [261891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [261948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262005] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262119] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262290] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262404] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262461] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262518] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262632] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262689] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262746] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262917] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(6089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262976] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9212), 1,
      anon_sym_LT_DASH,
    STATE(6090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263035] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263092] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263149] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263206] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263263] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263320] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263377] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263434] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263491] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263605] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263662] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [264004] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264061] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264117] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264173] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264229] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264285] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5363), 1,
      anon_sym_DOT,
    STATE(6113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264343] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264399] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264455] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264511] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264567] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264623] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264679] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264735] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264791] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264847] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264903] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264959] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265015] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265071] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265127] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265183] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5363), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      anon_sym_POUND,
    ACTIONS(5367), 1,
      sym_hash_operator,
    STATE(6129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265245] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265301] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265357] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265413] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265469] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265525] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265581] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265637] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265693] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265749] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265805] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265861] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265917] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265973] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266029] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266085] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266141] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266197] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266253] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266309] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266365] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266421] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266477] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266533] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266589] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266645] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266701] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266813] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266869] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266925] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266981] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267037] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267093] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267149] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267205] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267261] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(6166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267319] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267375] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8472), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267487] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267543] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267599] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267655] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267711] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267767] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267823] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267879] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(6177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267937] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267993] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268049] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268105] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268161] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268217] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268273] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(6184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268331] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268387] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268443] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5351), 1,
      anon_sym_DOT,
    ACTIONS(5353), 1,
      anon_sym_POUND,
    ACTIONS(5355), 1,
      sym_hash_operator,
    STATE(6187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268505] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268561] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268617] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268673] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(6191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268731] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268787] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268843] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268899] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268955] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269011] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269067] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269123] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269179] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(6200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269237] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269293] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269349] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269405] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269461] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269517] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269573] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269629] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269685] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269741] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269797] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(6211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269855] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269911] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269967] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270023] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270079] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270135] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270191] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270247] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270303] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(6220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270361] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270417] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270473] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270529] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270585] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270641] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270697] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(6227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270755] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270811] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270867] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270923] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270979] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271035] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271091] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271147] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271203] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271259] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271315] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271371] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271427] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(6240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271485] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271541] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271597] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271653] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271709] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271765] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271821] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271877] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271933] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271989] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272045] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(6251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272103] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272159] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272215] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272271] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272327] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(6256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272385] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272441] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272497] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272553] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272609] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(6261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272667] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272723] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272779] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272835] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272891] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272947] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(6267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273005] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273061] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273117] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273173] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273229] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273285] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273341] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273397] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273453] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273509] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273565] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273621] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273677] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(6280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273735] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273791] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273847] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273903] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273959] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274015] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(6286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274073] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274129] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274185] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274241] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274297] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274353] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274409] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274465] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274521] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274577] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274633] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274689] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(6298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274747] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274803] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274859] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274915] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274971] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275027] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275083] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275139] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275195] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275251] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275307] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275363] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275419] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275475] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275531] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275587] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275643] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275699] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275755] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275811] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275867] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275923] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275979] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276035] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(9214), 1,
      sym__lowercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LPAREN,
    ACTIONS(9218), 1,
      anon_sym_private,
    ACTIONS(9220), 1,
      anon_sym_DOT_DOT,
    ACTIONS(9222), 1,
      anon_sym_PIPE,
    ACTIONS(9224), 1,
      anon_sym_LBRACK,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9232), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9234), 1,
      anon_sym_LT,
    ACTIONS(9236), 1,
      anon_sym_POUND,
    ACTIONS(9238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9240), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9242), 1,
      sym__uppercase_identifier,
    ACTIONS(9244), 1,
      aux_sym_type_variable_token1,
    STATE(6322), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8962), 1,
      sym__simple_type,
    STATE(10268), 1,
      sym__constructor_name,
    STATE(10511), 1,
      sym__tuple_type,
    STATE(10754), 1,
      sym__type,
    STATE(11023), 1,
      sym_constructor_declaration,
    STATE(17383), 1,
      sym_extended_module_path,
    STATE(20134), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10445), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [276143] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276199] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(9214), 1,
      sym__lowercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LPAREN,
    ACTIONS(9222), 1,
      anon_sym_PIPE,
    ACTIONS(9224), 1,
      anon_sym_LBRACK,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9232), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9234), 1,
      anon_sym_LT,
    ACTIONS(9236), 1,
      anon_sym_POUND,
    ACTIONS(9238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9240), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9242), 1,
      sym__uppercase_identifier,
    ACTIONS(9244), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9246), 1,
      anon_sym_private,
    ACTIONS(9248), 1,
      anon_sym_DOT_DOT,
    STATE(6324), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8962), 1,
      sym__simple_type,
    STATE(10268), 1,
      sym__constructor_name,
    STATE(10511), 1,
      sym__tuple_type,
    STATE(10754), 1,
      sym__type,
    STATE(11023), 1,
      sym_constructor_declaration,
    STATE(17383), 1,
      sym_extended_module_path,
    STATE(20134), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10453), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [276307] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276363] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276419] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276475] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276531] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9242), 1,
      sym__uppercase_identifier,
    ACTIONS(9250), 1,
      sym__lowercase_identifier,
    ACTIONS(9252), 1,
      anon_sym_LPAREN,
    ACTIONS(9254), 1,
      anon_sym_private,
    ACTIONS(9256), 1,
      anon_sym_DOT_DOT,
    ACTIONS(9258), 1,
      anon_sym_PIPE,
    ACTIONS(9260), 1,
      anon_sym_LBRACK,
    ACTIONS(9264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9268), 1,
      anon_sym_LT,
    ACTIONS(9270), 1,
      anon_sym_POUND,
    ACTIONS(9272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9276), 1,
      aux_sym_type_variable_token1,
    STATE(6329), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(9322), 1,
      sym__simple_type,
    STATE(10731), 1,
      sym__constructor_name,
    STATE(10768), 1,
      sym__tuple_type,
    STATE(11007), 1,
      sym__type,
    STATE(11356), 1,
      sym_constructor_declaration,
    STATE(17248), 1,
      sym_extended_module_path,
    STATE(19439), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10836), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9485), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [276639] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276695] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276751] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276807] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9278), 1,
      anon_sym_DOT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      sym_hash_operator,
    STATE(6333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [276869] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276925] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9242), 1,
      sym__uppercase_identifier,
    ACTIONS(9284), 1,
      sym__lowercase_identifier,
    ACTIONS(9286), 1,
      anon_sym_LPAREN,
    ACTIONS(9288), 1,
      anon_sym_private,
    ACTIONS(9290), 1,
      anon_sym_DOT_DOT,
    ACTIONS(9292), 1,
      anon_sym_PIPE,
    ACTIONS(9294), 1,
      anon_sym_LBRACK,
    ACTIONS(9298), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9300), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9302), 1,
      anon_sym_LT,
    ACTIONS(9304), 1,
      anon_sym_POUND,
    ACTIONS(9306), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9308), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9310), 1,
      aux_sym_type_variable_token1,
    STATE(6335), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(9039), 1,
      sym__simple_type,
    STATE(10289), 1,
      sym__constructor_name,
    STATE(10551), 1,
      sym__tuple_type,
    STATE(10615), 1,
      sym__type,
    STATE(11039), 1,
      sym_constructor_declaration,
    STATE(16601), 1,
      sym_extended_module_path,
    STATE(17590), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10467), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [277033] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9242), 1,
      sym__uppercase_identifier,
    ACTIONS(9284), 1,
      sym__lowercase_identifier,
    ACTIONS(9286), 1,
      anon_sym_LPAREN,
    ACTIONS(9292), 1,
      anon_sym_PIPE,
    ACTIONS(9294), 1,
      anon_sym_LBRACK,
    ACTIONS(9298), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9300), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9302), 1,
      anon_sym_LT,
    ACTIONS(9304), 1,
      anon_sym_POUND,
    ACTIONS(9306), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9308), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9310), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9312), 1,
      anon_sym_private,
    ACTIONS(9314), 1,
      anon_sym_DOT_DOT,
    STATE(6336), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(9039), 1,
      sym__simple_type,
    STATE(10289), 1,
      sym__constructor_name,
    STATE(10551), 1,
      sym__tuple_type,
    STATE(10615), 1,
      sym__type,
    STATE(11039), 1,
      sym_constructor_declaration,
    STATE(16601), 1,
      sym_extended_module_path,
    STATE(17590), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10474), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [277141] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9278), 1,
      anon_sym_DOT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      sym_hash_operator,
    STATE(6337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [277203] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277259] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277315] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277371] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277427] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277483] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [277595] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9242), 1,
      sym__uppercase_identifier,
    ACTIONS(9316), 1,
      sym__lowercase_identifier,
    ACTIONS(9318), 1,
      anon_sym_LPAREN,
    ACTIONS(9320), 1,
      anon_sym_private,
    ACTIONS(9322), 1,
      anon_sym_DOT_DOT,
    ACTIONS(9324), 1,
      anon_sym_PIPE,
    ACTIONS(9326), 1,
      anon_sym_LBRACK,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    STATE(6345), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(9659), 1,
      sym__simple_type,
    STATE(10955), 1,
      sym__tuple_type,
    STATE(10974), 1,
      sym__constructor_name,
    STATE(11150), 1,
      sym__type,
    STATE(11719), 1,
      sym_constructor_declaration,
    STATE(16988), 1,
      sym_extended_module_path,
    STATE(19645), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11038), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9808), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [277703] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277759] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9242), 1,
      sym__uppercase_identifier,
    ACTIONS(9316), 1,
      sym__lowercase_identifier,
    ACTIONS(9318), 1,
      anon_sym_LPAREN,
    ACTIONS(9324), 1,
      anon_sym_PIPE,
    ACTIONS(9326), 1,
      anon_sym_LBRACK,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9344), 1,
      anon_sym_private,
    ACTIONS(9346), 1,
      anon_sym_DOT_DOT,
    STATE(6347), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(9659), 1,
      sym__simple_type,
    STATE(10955), 1,
      sym__tuple_type,
    STATE(10974), 1,
      sym__constructor_name,
    STATE(11150), 1,
      sym__type,
    STATE(11719), 1,
      sym_constructor_declaration,
    STATE(16988), 1,
      sym_extended_module_path,
    STATE(19645), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11045), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9808), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [277867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [277923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [277979] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [278091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [278147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [278203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [278259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [278315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [278371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [278427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [278483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [278539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [278595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [278651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [278707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [278763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [278819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [278875] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [278931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [278987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [279043] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9278), 1,
      anon_sym_DOT,
    STATE(6369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [279101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [279157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [279213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [279269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [279325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [279381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [279437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [279493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [279549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [279605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [279661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [279717] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [279773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [279829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [279885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [279941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [279997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [280053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [280109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [280165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [280221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [280277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [280333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [280389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [280445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [280501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [280557] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      anon_sym_LT_DASH,
    STATE(6396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280615] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9348), 1,
      anon_sym_LT_DASH,
    STATE(6397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [280729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [280785] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9242), 1,
      sym__uppercase_identifier,
    ACTIONS(9250), 1,
      sym__lowercase_identifier,
    ACTIONS(9252), 1,
      anon_sym_LPAREN,
    ACTIONS(9258), 1,
      anon_sym_PIPE,
    ACTIONS(9260), 1,
      anon_sym_LBRACK,
    ACTIONS(9264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9268), 1,
      anon_sym_LT,
    ACTIONS(9270), 1,
      anon_sym_POUND,
    ACTIONS(9272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9350), 1,
      anon_sym_private,
    ACTIONS(9352), 1,
      anon_sym_DOT_DOT,
    STATE(6400), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(9322), 1,
      sym__simple_type,
    STATE(10731), 1,
      sym__constructor_name,
    STATE(10768), 1,
      sym__tuple_type,
    STATE(11007), 1,
      sym__type,
    STATE(11356), 1,
      sym_constructor_declaration,
    STATE(17248), 1,
      sym_extended_module_path,
    STATE(19439), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10801), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9485), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [280893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [280949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [281005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [281061] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281117] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281173] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281229] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281285] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281341] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281397] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [281509] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281565] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281621] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281677] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281733] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281789] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281845] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281901] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281957] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282013] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282069] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282125] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282181] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282237] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5311), 1,
      anon_sym_DOT,
    STATE(6425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282295] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282351] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282407] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282463] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282519] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282575] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282631] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282687] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282743] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282799] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282855] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282911] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282967] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283023] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283079] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283135] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283191] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283247] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283303] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283359] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283415] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283471] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283527] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5311), 1,
      anon_sym_DOT,
    ACTIONS(5313), 1,
      anon_sym_POUND,
    ACTIONS(5315), 1,
      sym_hash_operator,
    STATE(6448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283589] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283645] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283701] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283757] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5311), 1,
      anon_sym_DOT,
    ACTIONS(5313), 1,
      anon_sym_POUND,
    ACTIONS(5315), 1,
      sym_hash_operator,
    STATE(6452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283819] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9354), 1,
      anon_sym_LT_DASH,
    STATE(6453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283877] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [283989] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [284101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [284157] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [284269] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284325] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284381] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284437] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284493] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9356), 1,
      anon_sym_LT_DASH,
    STATE(6465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284551] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9358), 1,
      anon_sym_LT_DASH,
    STATE(6466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284609] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9360), 1,
      anon_sym_LT_DASH,
    STATE(6467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284667] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9362), 1,
      anon_sym_LT_DASH,
    STATE(6468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284725] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9364), 1,
      anon_sym_LT_DASH,
    STATE(6469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284783] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284839] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9366), 1,
      anon_sym_LT_DASH,
    STATE(6471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284897] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284953] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285009] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285065] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9368), 1,
      anon_sym_LT_DASH,
    STATE(6475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [285179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [285235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [285291] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [285347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [285403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [285459] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9370), 1,
      anon_sym_COLON,
    STATE(6482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285517] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285573] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285629] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285685] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285741] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(6487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [285799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [285855] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285911] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285967] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286023] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286079] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [286191] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286247] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286303] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286359] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286415] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286471] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286527] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286583] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    STATE(6502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286641] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(6503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [286699] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [286811] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286867] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286923] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286979] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287035] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287091] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287147] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287203] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287259] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287315] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287371] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287427] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287483] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287539] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287595] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287651] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287707] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287763] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287819] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287875] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [287931] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [288043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [288099] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [288211] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288267] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288323] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288379] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288435] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288491] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288547] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288603] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [288715] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288771] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288827] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [288939] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288995] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5331), 1,
      anon_sym_DOT,
    STATE(6545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289053] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289109] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289165] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289221] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289277] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289333] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289389] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289445] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289501] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289557] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289613] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289669] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289725] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289781] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289837] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289893] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9372), 1,
      anon_sym_LT_DASH,
    STATE(6561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7795), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7797), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [289951] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290007] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290063] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290119] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290175] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290231] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290287] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290343] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290399] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290455] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290511] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290567] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [290679] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290735] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    ACTIONS(5323), 1,
      anon_sym_POUND,
    ACTIONS(5325), 1,
      sym_hash_operator,
    STATE(6576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290797] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290853] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290909] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290965] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291021] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291077] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [291189] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291245] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5341), 1,
      anon_sym_DOT,
    STATE(6585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291303] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291359] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291415] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291471] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291527] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291583] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291639] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291695] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291751] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291807] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291863] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291919] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291975] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292031] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292087] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292143] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292199] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292255] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292311] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    ACTIONS(5323), 1,
      anon_sym_POUND,
    ACTIONS(5325), 1,
      sym_hash_operator,
    STATE(6604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292373] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292429] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292485] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292541] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292597] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292653] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292709] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292765] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292821] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292877] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292933] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292989] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293045] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293101] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293157] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293213] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293269] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293325] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293381] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5331), 1,
      anon_sym_DOT,
    ACTIONS(5333), 1,
      anon_sym_POUND,
    ACTIONS(5335), 1,
      sym_hash_operator,
    STATE(6623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [293499] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293555] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293611] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293667] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293723] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293779] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293835] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293891] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293947] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294003] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294059] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5351), 1,
      anon_sym_DOT,
    STATE(6635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294117] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294173] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294229] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294285] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294341] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294397] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294453] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294509] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294565] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294621] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294677] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294733] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294789] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294845] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294901] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294957] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295013] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295069] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295125] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295181] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5331), 1,
      anon_sym_DOT,
    ACTIONS(5333), 1,
      anon_sym_POUND,
    ACTIONS(5335), 1,
      sym_hash_operator,
    STATE(6655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295243] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5363), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      anon_sym_POUND,
    ACTIONS(5367), 1,
      sym_hash_operator,
    STATE(6656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295305] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295361] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295417] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295473] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295529] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295585] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295641] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295697] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295753] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295809] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295865] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295921] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5341), 1,
      anon_sym_DOT,
    ACTIONS(5343), 1,
      anon_sym_POUND,
    ACTIONS(5345), 1,
      sym_hash_operator,
    STATE(6668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295983] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296039] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296095] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [296207] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296263] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296319] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296375] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5341), 1,
      anon_sym_DOT,
    ACTIONS(5343), 1,
      anon_sym_POUND,
    ACTIONS(5345), 1,
      sym_hash_operator,
    STATE(6676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296437] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296493] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296549] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296605] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296661] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296717] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296773] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296829] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296885] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296941] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296997] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297053] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297109] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297165] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297221] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5351), 1,
      anon_sym_DOT,
    ACTIONS(5353), 1,
      anon_sym_POUND,
    ACTIONS(5355), 1,
      sym_hash_operator,
    STATE(6691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297283] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [297394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [297449] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297504] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297559] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297614] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5531), 1,
      anon_sym_DOT,
    STATE(6698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [297726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [297781] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297836] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [297946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298001] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(6705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298388] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(6712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298610] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298665] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298720] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298995] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299050] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299105] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299160] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299215] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [299270] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299325] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299380] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299435] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299490] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9374), 1,
      anon_sym_LT_DASH,
    STATE(6732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299547] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [299657] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [299767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [299822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [299877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [299932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7791), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [299987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [300042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [300097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [300152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [300207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [300262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [300317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [300372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [300427] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300482] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300537] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300592] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300647] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300702] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300757] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300812] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5439), 1,
      anon_sym_DOT,
    ACTIONS(5441), 1,
      anon_sym_POUND,
    ACTIONS(5443), 1,
      sym_hash_operator,
    STATE(6756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [300928] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9376), 1,
      anon_sym_COLON,
    STATE(6758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300985] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [301095] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301150] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301205] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301260] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [301370] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301425] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301480] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301535] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [301645] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [301755] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(6773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7982), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [301812] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9378), 1,
      anon_sym_LT_DASH,
    STATE(6774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301869] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7998), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [301979] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302034] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302089] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302144] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302199] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302254] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302309] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302364] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7958), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_tag_token1,
  [302474] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5521), 1,
      anon_sym_DOT,
    ACTIONS(5523), 1,
      anon_sym_POUND,
    ACTIONS(5525), 1,
      sym_hash_operator,
    STATE(6786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [302590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [302645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [302700] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [302810] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [302920] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302975] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303030] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303085] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303140] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303195] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303250] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303305] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303360] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303415] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5439), 1,
      anon_sym_DOT,
    STATE(6803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303472] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(9214), 1,
      sym__lowercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LPAREN,
    ACTIONS(9222), 1,
      anon_sym_PIPE,
    ACTIONS(9224), 1,
      anon_sym_LBRACK,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9232), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9234), 1,
      anon_sym_LT,
    ACTIONS(9236), 1,
      anon_sym_POUND,
    ACTIONS(9238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9240), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9242), 1,
      sym__uppercase_identifier,
    ACTIONS(9244), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9380), 1,
      anon_sym_DOT_DOT,
    STATE(6804), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8962), 1,
      sym__simple_type,
    STATE(10268), 1,
      sym__constructor_name,
    STATE(10511), 1,
      sym__tuple_type,
    STATE(10788), 1,
      sym__type,
    STATE(11023), 1,
      sym_constructor_declaration,
    STATE(17383), 1,
      sym_extended_module_path,
    STATE(20134), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10451), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [303577] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303632] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(6806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7982), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [303689] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303744] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8050), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [303854] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(9214), 1,
      sym__lowercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LPAREN,
    ACTIONS(9222), 1,
      anon_sym_PIPE,
    ACTIONS(9224), 1,
      anon_sym_LBRACK,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9232), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9234), 1,
      anon_sym_LT,
    ACTIONS(9236), 1,
      anon_sym_POUND,
    ACTIONS(9238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9240), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9242), 1,
      sym__uppercase_identifier,
    ACTIONS(9244), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9382), 1,
      anon_sym_DOT_DOT,
    STATE(6810), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8962), 1,
      sym__simple_type,
    STATE(10268), 1,
      sym__constructor_name,
    STATE(10511), 1,
      sym__tuple_type,
    STATE(10788), 1,
      sym__type,
    STATE(11023), 1,
      sym_constructor_declaration,
    STATE(17383), 1,
      sym_extended_module_path,
    STATE(20134), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10458), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [303959] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304014] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304069] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304124] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304179] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304234] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304289] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304344] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304399] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304454] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304509] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304564] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304619] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304674] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304729] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304784] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304839] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304894] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304949] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5521), 1,
      anon_sym_DOT,
    ACTIONS(5523), 1,
      anon_sym_POUND,
    ACTIONS(5525), 1,
      sym_hash_operator,
    STATE(6829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305010] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [305120] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [305230] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305285] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305340] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305395] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305450] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305505] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305560] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305615] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305670] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305725] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305780] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305835] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305890] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305945] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306000] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306055] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306110] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306165] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306220] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306275] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306330] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306385] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306440] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306495] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5531), 1,
      anon_sym_DOT,
    ACTIONS(5533), 1,
      anon_sym_POUND,
    ACTIONS(5535), 1,
      sym_hash_operator,
    STATE(6857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306556] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306611] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306666] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306721] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306776] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306831] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306886] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306941] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306996] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307051] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307106] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307161] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307216] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5521), 1,
      anon_sym_DOT,
    STATE(6870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307273] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307328] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307383] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307438] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307493] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307548] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307603] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307658] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307713] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307768] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307823] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307878] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307933] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307988] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308043] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308098] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308153] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9242), 1,
      sym__uppercase_identifier,
    ACTIONS(9284), 1,
      sym__lowercase_identifier,
    ACTIONS(9286), 1,
      anon_sym_LPAREN,
    ACTIONS(9292), 1,
      anon_sym_PIPE,
    ACTIONS(9294), 1,
      anon_sym_LBRACK,
    ACTIONS(9298), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9300), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9302), 1,
      anon_sym_LT,
    ACTIONS(9304), 1,
      anon_sym_POUND,
    ACTIONS(9306), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9308), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9310), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9384), 1,
      anon_sym_DOT_DOT,
    STATE(6887), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(9039), 1,
      sym__simple_type,
    STATE(10289), 1,
      sym__constructor_name,
    STATE(10551), 1,
      sym__tuple_type,
    STATE(10721), 1,
      sym__type,
    STATE(11039), 1,
      sym_constructor_declaration,
    STATE(16601), 1,
      sym_extended_module_path,
    STATE(17590), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10472), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [308258] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308313] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308368] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308423] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308478] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308533] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308588] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9242), 1,
      sym__uppercase_identifier,
    ACTIONS(9284), 1,
      sym__lowercase_identifier,
    ACTIONS(9286), 1,
      anon_sym_LPAREN,
    ACTIONS(9292), 1,
      anon_sym_PIPE,
    ACTIONS(9294), 1,
      anon_sym_LBRACK,
    ACTIONS(9298), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9300), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9302), 1,
      anon_sym_LT,
    ACTIONS(9304), 1,
      anon_sym_POUND,
    ACTIONS(9306), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9308), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9310), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9386), 1,
      anon_sym_DOT_DOT,
    STATE(6894), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(9039), 1,
      sym__simple_type,
    STATE(10289), 1,
      sym__constructor_name,
    STATE(10551), 1,
      sym__tuple_type,
    STATE(10721), 1,
      sym__type,
    STATE(11039), 1,
      sym_constructor_declaration,
    STATE(16601), 1,
      sym_extended_module_path,
    STATE(17590), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10478), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [308693] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308748] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308803] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308858] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308913] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308968] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309023] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309078] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309133] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309188] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309243] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309298] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309353] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309408] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309463] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309518] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(6910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309575] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309630] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309685] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309740] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309795] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309850] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309905] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309960] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310015] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310070] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9242), 1,
      sym__uppercase_identifier,
    ACTIONS(9316), 1,
      sym__lowercase_identifier,
    ACTIONS(9318), 1,
      anon_sym_LPAREN,
    ACTIONS(9324), 1,
      anon_sym_PIPE,
    ACTIONS(9326), 1,
      anon_sym_LBRACK,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9388), 1,
      anon_sym_DOT_DOT,
    STATE(6920), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(9659), 1,
      sym__simple_type,
    STATE(10955), 1,
      sym__tuple_type,
    STATE(10974), 1,
      sym__constructor_name,
    STATE(11185), 1,
      sym__type,
    STATE(11719), 1,
      sym_constructor_declaration,
    STATE(16988), 1,
      sym_extended_module_path,
    STATE(19645), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11042), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9808), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [310175] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310230] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310285] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310340] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9242), 1,
      sym__uppercase_identifier,
    ACTIONS(9316), 1,
      sym__lowercase_identifier,
    ACTIONS(9318), 1,
      anon_sym_LPAREN,
    ACTIONS(9324), 1,
      anon_sym_PIPE,
    ACTIONS(9326), 1,
      anon_sym_LBRACK,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9390), 1,
      anon_sym_DOT_DOT,
    STATE(6924), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(9659), 1,
      sym__simple_type,
    STATE(10955), 1,
      sym__tuple_type,
    STATE(10974), 1,
      sym__constructor_name,
    STATE(11185), 1,
      sym__type,
    STATE(11719), 1,
      sym_constructor_declaration,
    STATE(16988), 1,
      sym_extended_module_path,
    STATE(19645), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11049), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9808), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [310445] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(6925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310502] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310557] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310612] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310667] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310722] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310777] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310832] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310887] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310942] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310997] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311052] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311107] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311162] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9242), 1,
      sym__uppercase_identifier,
    ACTIONS(9250), 1,
      sym__lowercase_identifier,
    ACTIONS(9252), 1,
      anon_sym_LPAREN,
    ACTIONS(9258), 1,
      anon_sym_PIPE,
    ACTIONS(9260), 1,
      anon_sym_LBRACK,
    ACTIONS(9264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9268), 1,
      anon_sym_LT,
    ACTIONS(9270), 1,
      anon_sym_POUND,
    ACTIONS(9272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9392), 1,
      anon_sym_DOT_DOT,
    STATE(6938), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(9322), 1,
      sym__simple_type,
    STATE(10731), 1,
      sym__constructor_name,
    STATE(10768), 1,
      sym__tuple_type,
    STATE(10983), 1,
      sym__type,
    STATE(11356), 1,
      sym_constructor_declaration,
    STATE(17248), 1,
      sym_extended_module_path,
    STATE(19439), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10645), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9485), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [311267] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(6939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311324] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311379] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311434] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311489] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311544] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311599] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(6945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311656] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311711] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311766] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311821] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311876] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311931] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311986] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5541), 1,
      anon_sym_DOT,
    ACTIONS(5543), 1,
      anon_sym_POUND,
    ACTIONS(5545), 1,
      sym_hash_operator,
    STATE(6952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312047] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312102] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312157] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312267] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(6957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312324] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312379] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312434] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312489] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312544] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312599] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312654] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312764] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312819] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312874] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312929] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312984] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313039] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313094] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313149] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5541), 1,
      anon_sym_DOT,
    STATE(6973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313206] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313261] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313316] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313371] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313426] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(6978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313483] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313538] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313593] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313648] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313703] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313758] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313813] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(6985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313870] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313925] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313980] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314035] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314090] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314145] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314200] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314255] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314310] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314365] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314420] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7898), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [314530] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(6998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [314642] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314697] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314752] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314807] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314862] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314917] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314972] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315027] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315082] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(7008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315139] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315194] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315249] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315304] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9394), 1,
      anon_sym_COLON,
    STATE(7012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8340), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [315361] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315416] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315471] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315526] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315581] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315636] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315691] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315746] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315801] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315856] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315911] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315966] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316021] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316076] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316131] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316186] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316241] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5375), 1,
      anon_sym_DOT,
    STATE(7029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316298] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316353] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316408] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316463] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316518] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316573] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316628] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316683] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316738] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316793] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316848] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316903] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316958] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317013] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317068] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317123] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317178] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317233] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317288] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317343] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317398] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [317508] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5375), 1,
      anon_sym_DOT,
    ACTIONS(5377), 1,
      anon_sym_POUND,
    ACTIONS(5379), 1,
      sym_hash_operator,
    STATE(7052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317569] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [317679] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317734] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317789] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317844] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [317954] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318009] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5375), 1,
      anon_sym_DOT,
    ACTIONS(5377), 1,
      anon_sym_POUND,
    ACTIONS(5379), 1,
      sym_hash_operator,
    STATE(7061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318070] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318125] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318180] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318235] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318290] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318345] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318400] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318455] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318510] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318565] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318620] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318675] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318730] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318785] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318840] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318895] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318950] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319005] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(7079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319062] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319117] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9396), 1,
      anon_sym_COLON,
    STATE(7081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8340), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319174] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319229] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5541), 1,
      anon_sym_DOT,
    ACTIONS(5543), 1,
      anon_sym_POUND,
    ACTIONS(5545), 1,
      sym_hash_operator,
    STATE(7083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319290] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319345] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319400] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319510] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319565] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9398), 1,
      anon_sym_DOT,
    ACTIONS(9400), 1,
      anon_sym_POUND,
    ACTIONS(9402), 1,
      sym_hash_operator,
    STATE(7089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319626] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319681] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9398), 1,
      anon_sym_DOT,
    ACTIONS(9400), 1,
      anon_sym_POUND,
    ACTIONS(9402), 1,
      sym_hash_operator,
    STATE(7091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319742] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319797] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319852] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319907] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5531), 1,
      anon_sym_DOT,
    ACTIONS(5533), 1,
      anon_sym_POUND,
    ACTIONS(5535), 1,
      sym_hash_operator,
    STATE(7095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319968] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8472), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320683] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9242), 1,
      sym__uppercase_identifier,
    ACTIONS(9250), 1,
      sym__lowercase_identifier,
    ACTIONS(9252), 1,
      anon_sym_LPAREN,
    ACTIONS(9258), 1,
      anon_sym_PIPE,
    ACTIONS(9260), 1,
      anon_sym_LBRACK,
    ACTIONS(9264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9268), 1,
      anon_sym_LT,
    ACTIONS(9270), 1,
      anon_sym_POUND,
    ACTIONS(9272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9404), 1,
      anon_sym_DOT_DOT,
    STATE(7109), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(9322), 1,
      sym__simple_type,
    STATE(10731), 1,
      sym__constructor_name,
    STATE(10768), 1,
      sym__tuple_type,
    STATE(10983), 1,
      sym__type,
    STATE(11356), 1,
      sym_constructor_declaration,
    STATE(17248), 1,
      sym_extended_module_path,
    STATE(19439), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10590), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9485), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [320788] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320898] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320953] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321008] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321063] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321118] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321173] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321228] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [321338] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321393] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321448] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321503] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321558] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9406), 1,
      anon_sym_LT_DASH,
    STATE(7124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321615] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [321670] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321725] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321780] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321835] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321890] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321945] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322000] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322165] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5439), 1,
      anon_sym_DOT,
    ACTIONS(5441), 1,
      anon_sym_POUND,
    ACTIONS(5443), 1,
      sym_hash_operator,
    STATE(7135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322226] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322281] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322336] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322391] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322611] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322666] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9398), 1,
      anon_sym_DOT,
    STATE(7144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322723] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9408), 1,
      anon_sym_LT_DASH,
    STATE(7145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322835] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322890] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322945] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323000] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323055] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323110] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323275] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323385] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8216), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [323494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8258), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [323548] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(7160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [323604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8230), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8238), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323712] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(7163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [323768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8244), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7767), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [323876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8252), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8256), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8260), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [324038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8264), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [324092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8188), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9410), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [324200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8252), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [324254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7795), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7797), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324308] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(7174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7982), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [324364] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9414), 1,
      anon_sym_COLON,
    STATE(7175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [324420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8248), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [324474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8076), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8094), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [324582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8256), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [324636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9416), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [324690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8260), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [324744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8264), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [324798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8050), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [324852] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9424), 1,
      anon_sym_COLON,
    STATE(7184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [324908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9416), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [324962] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9426), 1,
      anon_sym_COLON,
    STATE(7186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [325018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8276), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [325072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8100), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [325126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8104), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [325180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7771), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [325234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8108), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [325288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8240), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [325342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8220), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [325396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8270), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [325450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8112), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [325504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8120), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [325558] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8472), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8198), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8200), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [325666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7906), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [325720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8236), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [325774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7757), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [325828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8126), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [325882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8472), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [325936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7866), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [325990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8204), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [326044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8208), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [326098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7872), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [326152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8230), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [326206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9430), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9428), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [326260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9432), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [326314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7910), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [326368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8212), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [326422] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8258), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [326476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8234), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [326530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7918), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [326584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7779), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [326638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9430), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9428), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [326692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7781), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7783), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [326746] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9436), 1,
      anon_sym_COLON,
    STATE(7219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8134), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [326856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8228), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [326910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7922), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [326964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8184), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [327018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9440), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9438), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [327072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8232), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [327126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9432), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [327180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8080), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [327234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7974), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [327288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7785), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7787), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [327342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7978), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [327396] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9442), 1,
      anon_sym_COLON,
    STATE(7231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327452] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(7232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7982), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [327508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7795), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7797), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [327562] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8166), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [327616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9440), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9438), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [327670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7994), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [327724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8076), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [327778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8080), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [327832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8084), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [327886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8088), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [327940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8092), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [327994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7954), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8026), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7870), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [328156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8138), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [328210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8142), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [328264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8100), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8104), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8108), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8270), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8112), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8120), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8254), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8472), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [328696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7757), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8126), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328804] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9444), 1,
      anon_sym_DOT,
    STATE(7257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8130), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8170), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [328914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8134), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8146), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [329022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7872), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [329076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7870), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8246), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [329184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8138), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8142), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8146), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8150), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329400] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9446), 1,
      anon_sym_COLON,
    STATE(7268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8154), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8158), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8162), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8166), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8170), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8150), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [329780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8174), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8180), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8184), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8188), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7761), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7763), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7767), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330104] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7771), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8198), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8200), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8204), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8208), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8212), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7779), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7781), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7783), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7785), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7787), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8216), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8058), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8220), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8040), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7791), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8044), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8062), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330914] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9448), 1,
      anon_sym_COLON,
    STATE(7296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330970] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(7297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7982), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [331026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8238), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [331080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8250), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [331134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7958), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8228), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331242] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9450), 1,
      anon_sym_COLON,
    STATE(7302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7761), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7763), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [331352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7898), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7876), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [331460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8262), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8084), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [331568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8254), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [331622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8154), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [331676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7775), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8266), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331784] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(7312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7982), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8266), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [331894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7998), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331948] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8158), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [332056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8232), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9410), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [332164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8236), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8244), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [332272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8088), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [332326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7884), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [332380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8248), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [332434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8092), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [332488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8094), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [332542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8174), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [332596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7884), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [332650] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9452), 1,
      anon_sym_COLON,
    STATE(7328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8240), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8276), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [332814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8116), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7876), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [332922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8180), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [332976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8234), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [333030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8162), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [333084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8246), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8250), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8262), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [333246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [333299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7958), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9066), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [333405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8232), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333458] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(7343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7982), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7998), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8116), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333619] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(7346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7982), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8050), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8278), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [333833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9460), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [333886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [333939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [333992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8958), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8956), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [334045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [334098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [334151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9060), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [334204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8236), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [334257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9026), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [334310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8946), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8944), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [334363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9068), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [334416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9478), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9480), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [334469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [334522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9440), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9438), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [334575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [334628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9102), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [334681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [334734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [334787] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9490), 1,
      anon_sym_COLON,
    STATE(7368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9006), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [334895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7974), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [334948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7978), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [335001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7994), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [335054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8026), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [335107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8058), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [335160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8040), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [335213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8044), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [335266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8062), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [335319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9494), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [335372] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9496), 1,
      anon_sym_COLON,
    STATE(7379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335427] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9498), 1,
      anon_sym_COLON,
    STATE(7380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8240), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8188), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7761), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7763), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8116), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [335694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8278), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [335747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8220), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8246), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8250), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7874), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [335959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7878), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [336012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8254), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [336065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7886), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [336118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 5,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8278), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [336171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7906), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [336224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9058), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [336277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8162), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [336330] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9500), 1,
      anon_sym_COLON,
    STATE(7397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [336385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9504), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9502), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [336438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8258), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [336491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8262), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [336544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8266), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [336597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9508), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9506), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [336650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9510), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9512), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [336703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9514), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9516), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [336756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9422), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [336809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7910), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [336862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9520), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [336915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9484), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [336968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7918), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [337021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7922), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [337074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7954), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [337127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9488), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [337180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9524), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [337233] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9526), 1,
      anon_sym_COLON,
    STATE(7414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9530), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [337341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7791), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [337394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7898), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [337447] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [337500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9536), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [337553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9542), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [337606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [337659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7998), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [337712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7958), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [337765] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7906), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [337871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8050), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [337924] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9552), 1,
      anon_sym_DOT,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(9556), 1,
      sym_hash_operator,
    STATE(7427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9550), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9548), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [337983] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8472), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7974), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [338089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7978), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [338142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9560), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9558), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [338195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7994), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [338248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8026), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [338301] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8058), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [338354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [338407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8040), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [338460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7874), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [338513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8044), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [338566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8062), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [338619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7878), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [338672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [338725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9454), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9456), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [338778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [338831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9464), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [338884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [338937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9466), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9468), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [338990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [339043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7910), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [339096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7918), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [339149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9470), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9472), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [339202] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9552), 1,
      anon_sym_DOT,
    STATE(7451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8130), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [339257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9474), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9476), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [339310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7922), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [339363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7954), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [339416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7767), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [339469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [339522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [339575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8116), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [339628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7771), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [339681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [339734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8198), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8200), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [339787] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9552), 1,
      anon_sym_DOT,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(9556), 1,
      sym_hash_operator,
    STATE(7462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9564), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9562), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [339846] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9552), 1,
      anon_sym_DOT,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(9556), 1,
      sym_hash_operator,
    STATE(7463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9568), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9566), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [339905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [339958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [340011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8956), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8958), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [340064] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(7467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7982), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [340119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8170), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [340172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [340225] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [340278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8964), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [340331] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9552), 1,
      anon_sym_DOT,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(9556), 1,
      sym_hash_operator,
    STATE(7472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9570), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [340390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9574), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9576), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [340443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9578), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9580), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [340496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [340549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [340602] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9582), 1,
      anon_sym_COLON,
    STATE(7477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [340657] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9584), 1,
      anon_sym_DOT,
    ACTIONS(9586), 1,
      anon_sym_POUND,
    ACTIONS(9588), 1,
      sym_hash_operator,
    STATE(7478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9550), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9548), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [340716] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9584), 1,
      anon_sym_DOT,
    ACTIONS(9586), 1,
      anon_sym_POUND,
    ACTIONS(9588), 1,
      sym_hash_operator,
    STATE(7479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9570), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [340775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9592), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9590), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [340828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8228), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [340881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8204), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [340934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8208), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [340987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [341040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9596), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9594), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [341093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8278), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [341146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8158), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [341199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [341252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9600), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9598), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [341305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9598), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9600), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [341358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7874), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [341411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7878), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [341464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8212), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [341517] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7886), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [341570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7866), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [341623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9026), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9028), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [341676] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8944), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8946), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [341782] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9602), 1,
      anon_sym_COLON,
    STATE(7499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8174), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [341890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7779), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [341943] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9606), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9604), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [341996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9410), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [342049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [342102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9610), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9608), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [342155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9532), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9534), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [342208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9536), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9538), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [342261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9540), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9542), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [342314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9546), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [342367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9576), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9574), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [342420] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9584), 1,
      anon_sym_DOT,
    ACTIONS(9586), 1,
      anon_sym_POUND,
    ACTIONS(9588), 1,
      sym_hash_operator,
    STATE(7511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9564), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9562), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [342479] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9584), 1,
      anon_sym_DOT,
    ACTIONS(9586), 1,
      anon_sym_POUND,
    ACTIONS(9588), 1,
      sym_hash_operator,
    STATE(7512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9568), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9566), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [342538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9590), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9592), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [342591] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9594), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9596), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [342697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9506), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9508), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [342750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8962), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8960), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [342803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9580), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9578), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [342856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9522), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [342909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [342962] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [343015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [343068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9492), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9494), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [343121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7781), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7783), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7785), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7787), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8180), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343280] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8472), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343333] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(7528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7982), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [343388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8216), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9064), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [343494] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7775), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [343600] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8472), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7974), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [343759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7978), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7994), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8026), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7059), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7063), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [343971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7886), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9504), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [344077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8040), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8044), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344183] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8472), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9104), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [344289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9080), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [344342] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7059), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7063), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [344448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [344501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [344554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [344607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [344660] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [344713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [344766] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 5,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7886), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [344819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9558), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9560), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [344872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7775), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8472), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [344978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [345031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7795), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7797), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8058), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9008), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [345190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8076), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8080), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8084), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8088), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345402] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8472), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8166), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8092), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7906), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8062), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7866), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8100), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8104), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345826] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8108), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8184), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 5,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7874), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [346038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8270), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [346091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 5,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7878), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [346144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8112), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [346197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8952), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8950), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [346250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8120), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [346303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7910), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [346356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7918), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [346409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9604), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9606), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [346462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9608), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9610), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [346515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7757), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [346568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8126), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [346621] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8472), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346674] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9584), 1,
      anon_sym_DOT,
    STATE(7591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8130), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [346729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8134), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [346782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9430), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9428), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [346835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7870), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [346888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8138), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [346941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7922), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [346994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8142), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [347047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8146), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [347100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [347153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8150), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [347206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7954), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [347259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8154), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [347312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [347365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9558), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9560), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [347417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9454), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9456), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [347469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9470), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9472), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [347521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9530), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [347573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9594), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9596), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [347625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9532), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9534), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [347677] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9614), 1,
      anon_sym_PIPE,
    ACTIONS(9616), 1,
      anon_sym_RBRACK,
    STATE(7610), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15321), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [347777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7954), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [347829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9488), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [347881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9464), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [347933] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8472), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347985] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9618), 1,
      anon_sym_PIPE,
    ACTIONS(9620), 1,
      anon_sym_RBRACK,
    STATE(7615), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15768), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [348085] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9622), 1,
      anon_sym_PIPE,
    ACTIONS(9624), 1,
      anon_sym_RBRACK,
    STATE(7616), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15613), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [348185] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9626), 1,
      anon_sym_PIPE,
    ACTIONS(9628), 1,
      anon_sym_RBRACK,
    STATE(7617), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(16354), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    STATE(19299), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [348285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9492), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9494), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [348337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9536), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9538), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [348389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9540), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9542), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [348441] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348493] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9630), 1,
      anon_sym_PIPE,
    ACTIONS(9632), 1,
      anon_sym_RBRACK,
    STATE(7622), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(16837), 1,
      sym_tag_specification,
    STATE(18126), 1,
      sym_typed_label,
    STATE(19411), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [348593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9466), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9468), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [348645] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9634), 1,
      anon_sym_PIPE,
    ACTIONS(9636), 1,
      anon_sym_RBRACK,
    STATE(7624), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17044), 1,
      sym_tag_specification,
    STATE(18126), 1,
      sym_typed_label,
    STATE(19451), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [348745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9546), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [348797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9422), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [348849] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8472), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9574), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9576), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [348953] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9638), 1,
      anon_sym_PIPE,
    ACTIONS(9640), 1,
      anon_sym_RBRACK,
    STATE(7629), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15880), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [349053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9578), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9580), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [349105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7063), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7059), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [349157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8956), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8958), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [349209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7974), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [349261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7978), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [349313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7994), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [349365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7998), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [349417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8026), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [349521] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9642), 1,
      anon_sym_PIPE,
    ACTIONS(9644), 1,
      anon_sym_RBRACK,
    STATE(7639), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16190), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [349621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9440), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9438), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8058), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [349725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7958), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [349777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8472), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349829] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9646), 1,
      anon_sym_PIPE,
    ACTIONS(9648), 1,
      anon_sym_RBRACK,
    STATE(7644), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16270), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [349929] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(7645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7906), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [350035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8116), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [350087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8278), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [350139] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(7649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9504), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [350245] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9650), 1,
      anon_sym_PIPE,
    ACTIONS(9652), 1,
      anon_sym_RBRACK,
    STATE(7651), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15019), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [350345] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9410), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350449] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9654), 1,
      anon_sym_PIPE,
    ACTIONS(9656), 1,
      anon_sym_RBRACK,
    STATE(7654), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15141), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [350549] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8472), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9484), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [350653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8040), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [350705] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8472), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350757] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9658), 1,
      anon_sym_PIPE,
    ACTIONS(9660), 1,
      anon_sym_RBRACK,
    STATE(7659), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15339), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [350857] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9662), 1,
      anon_sym_COLON,
    STATE(7660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 20,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7878), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [350963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8044), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [351015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8062), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [351067] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9664), 1,
      anon_sym_PIPE,
    ACTIONS(9666), 1,
      anon_sym_RBRACK,
    STATE(7664), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15248), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [351167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7918), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [351219] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9668), 1,
      anon_sym_PIPE,
    ACTIONS(9670), 1,
      anon_sym_RBRACK,
    STATE(7666), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15360), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [351319] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9672), 1,
      anon_sym_PIPE,
    ACTIONS(9674), 1,
      anon_sym_RBRACK,
    STATE(7667), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15463), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [351419] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9676), 1,
      anon_sym_PIPE,
    ACTIONS(9678), 1,
      anon_sym_RBRACK,
    STATE(7668), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15566), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [351519] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9680), 1,
      anon_sym_PIPE,
    ACTIONS(9682), 1,
      anon_sym_RBRACK,
    STATE(7669), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15671), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [351619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8050), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [351671] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9684), 1,
      anon_sym_PIPE,
    ACTIONS(9686), 1,
      anon_sym_RBRACK,
    STATE(7671), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15836), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [351771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7922), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [351823] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9688), 1,
      anon_sym_PIPE,
    ACTIONS(9690), 1,
      anon_sym_RBRACK,
    STATE(7673), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15099), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [351923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9524), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [351975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9598), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9600), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [352027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9008), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [352079] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9692), 1,
      anon_sym_PIPE,
    ACTIONS(9694), 1,
      anon_sym_RBRACK,
    STATE(7677), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15933), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [352179] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9696), 1,
      anon_sym_PIPE,
    ACTIONS(9698), 1,
      anon_sym_RBRACK,
    STATE(7678), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16078), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [352279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9514), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9516), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [352331] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9080), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [352435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9608), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9610), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [352487] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9700), 1,
      anon_sym_PIPE,
    ACTIONS(9702), 1,
      anon_sym_RBRACK,
    STATE(7683), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15355), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [352587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [352639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9068), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [352691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9104), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [352743] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7886), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [352795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9510), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9512), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [352847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9460), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [352899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9060), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [352951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9604), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9606), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353003] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7910), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9520), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353159] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353211] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9704), 1,
      anon_sym_PIPE,
    ACTIONS(9706), 1,
      anon_sym_RBRACK,
    STATE(7696), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16080), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [353311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9064), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9474), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9476), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9590), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9592), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9430), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9428), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [353519] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8472), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [353623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9506), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9508), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9026), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9028), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9478), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9480), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353779] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9708), 1,
      anon_sym_PIPE,
    ACTIONS(9710), 1,
      anon_sym_RBRACK,
    STATE(7706), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17387), 1,
      sym_tag_specification,
    STATE(18126), 1,
      sym_typed_label,
    STATE(19109), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [353879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8944), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8946), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353931] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9712), 1,
      anon_sym_PIPE,
    ACTIONS(9714), 1,
      anon_sym_RBRACK,
    STATE(7708), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15842), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [354031] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9716), 1,
      anon_sym_PIPE,
    ACTIONS(9718), 1,
      anon_sym_RBRACK,
    STATE(7709), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16071), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [354131] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7874), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [354183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3085), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3083), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [354234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9722), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9720), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [354387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354489] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9634), 1,
      anon_sym_PIPE,
    STATE(7717), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17044), 1,
      sym_tag_specification,
    STATE(18126), 1,
      sym_typed_label,
    STATE(19451), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [354586] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9724), 1,
      anon_sym_PIPE,
    STATE(7718), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14574), 1,
      sym__tag_spec,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [354683] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9726), 1,
      anon_sym_RBRACK,
    STATE(7719), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15919), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [354780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8238), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354933] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9728), 1,
      anon_sym_DOT,
    ACTIONS(9730), 1,
      anon_sym_POUND,
    ACTIONS(9732), 1,
      sym_hash_operator,
    STATE(7723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354990] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4919), 1,
      anon_sym_type,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9734), 1,
      sym__lowercase_identifier,
    ACTIONS(9736), 1,
      anon_sym_LPAREN,
    ACTIONS(9738), 1,
      anon_sym_LBRACK,
    ACTIONS(9740), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9742), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9744), 1,
      anon_sym_LT,
    ACTIONS(9746), 1,
      anon_sym_POUND,
    ACTIONS(9748), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9750), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9752), 1,
      aux_sym_type_variable_token1,
    STATE(7724), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(10280), 1,
      sym__polymorphic_type,
    STATE(10286), 1,
      sym_polymorphic_type,
    STATE(12004), 1,
      sym__simple_type,
    STATE(12043), 1,
      sym_type_variable,
    STATE(12877), 1,
      sym__tuple_type,
    STATE(13022), 1,
      sym__type,
    STATE(14468), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16963), 1,
      sym_extended_module_path,
    STATE(17708), 1,
      sym__abstract_type,
    STATE(19802), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12590), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [355089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7868), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9756), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9754), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [355242] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9758), 1,
      anon_sym_PIPE,
    STATE(7728), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17348), 1,
      sym_tag_specification,
    STATE(18126), 1,
      sym_typed_label,
    STATE(19470), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [355339] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9760), 1,
      anon_sym_PIPE,
    STATE(7729), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(14711), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [355436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9764), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9762), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [355487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9606), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9604), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355691] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9766), 1,
      anon_sym_PIPE,
    STATE(7735), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(16371), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    STATE(19488), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [355788] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9768), 1,
      anon_sym_PIPE,
    STATE(7736), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(14866), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [355885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356038] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9770), 1,
      anon_sym_PIPE,
    STATE(7740), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(16459), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    STATE(19506), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [356135] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9772), 1,
      anon_sym_PIPE,
    STATE(7741), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14289), 1,
      sym__tag_spec,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [356232] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9774), 1,
      anon_sym_PIPE,
    STATE(7742), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(16547), 1,
      sym_tag_specification,
    STATE(18126), 1,
      sym_typed_label,
    STATE(19523), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [356329] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9776), 1,
      anon_sym_PIPE,
    STATE(7743), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14351), 1,
      sym__tag_spec,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [356426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9780), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9778), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [356477] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9782), 1,
      anon_sym_PIPE,
    STATE(7745), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(16638), 1,
      sym_tag_specification,
    STATE(18126), 1,
      sym_typed_label,
    STATE(19539), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [356574] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9784), 1,
      anon_sym_PIPE,
    STATE(7746), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14407), 1,
      sym__tag_spec,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [356671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9610), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9608), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356824] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9786), 1,
      anon_sym_PIPE,
    STATE(7750), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(16724), 1,
      sym_tag_specification,
    STATE(18126), 1,
      sym_typed_label,
    STATE(19555), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [356921] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9788), 1,
      anon_sym_PIPE,
    STATE(7751), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14457), 1,
      sym__tag_spec,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [357018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357120] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9790), 1,
      anon_sym_PIPE,
    STATE(7754), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(16797), 1,
      sym_tag_specification,
    STATE(18126), 1,
      sym_typed_label,
    STATE(19571), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [357217] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9792), 1,
      anon_sym_PIPE,
    STATE(7755), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14509), 1,
      sym__tag_spec,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [357314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357365] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9794), 1,
      anon_sym_PIPE,
    STATE(7757), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(16891), 1,
      sym_tag_specification,
    STATE(18126), 1,
      sym_typed_label,
    STATE(19587), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [357462] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9796), 1,
      anon_sym_PIPE,
    STATE(7758), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14552), 1,
      sym__tag_spec,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [357559] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9798), 1,
      anon_sym_RBRACK,
    STATE(7759), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15359), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [357656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357758] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9800), 1,
      anon_sym_PIPE,
    STATE(7762), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(16980), 1,
      sym_tag_specification,
    STATE(18126), 1,
      sym_typed_label,
    STATE(19603), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [357855] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9802), 1,
      anon_sym_PIPE,
    STATE(7763), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(14605), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [357952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358003] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9804), 1,
      sym__lowercase_identifier,
    ACTIONS(9806), 1,
      anon_sym_let,
    ACTIONS(9808), 1,
      anon_sym_QMARK,
    ACTIONS(9810), 1,
      anon_sym_LBRACK,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(9814), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9816), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7765), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(10491), 1,
      sym__class_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(17346), 1,
      sym__tuple_type,
    STATE(17374), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10372), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10410), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9533), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12175), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [358096] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9818), 1,
      anon_sym_PIPE,
    STATE(7766), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17082), 1,
      sym_tag_specification,
    STATE(18126), 1,
      sym_typed_label,
    STATE(19619), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [358193] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9820), 1,
      anon_sym_PIPE,
    STATE(7767), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(14652), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [358290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358341] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9822), 1,
      anon_sym_PIPE,
    STATE(7769), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17200), 1,
      sym_tag_specification,
    STATE(18126), 1,
      sym_typed_label,
    STATE(19635), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [358438] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9824), 1,
      anon_sym_PIPE,
    STATE(7770), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(14719), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [358535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358637] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9826), 1,
      anon_sym_RBRACK,
    STATE(7773), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16313), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [358734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358785] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9828), 1,
      anon_sym_PIPE,
    STATE(7775), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17247), 1,
      sym_tag_specification,
    STATE(18126), 1,
      sym_typed_label,
    STATE(19651), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [358882] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9830), 1,
      anon_sym_PIPE,
    STATE(7776), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(14770), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [358979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359030] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9832), 1,
      anon_sym_RBRACK,
    STATE(7778), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15637), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [359127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9592), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9590), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359229] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9834), 1,
      anon_sym_PIPE,
    STATE(7781), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17305), 1,
      sym_tag_specification,
    STATE(18126), 1,
      sym_typed_label,
    STATE(19667), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [359326] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9836), 1,
      anon_sym_PIPE,
    STATE(7782), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(14825), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [359423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359474] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9838), 1,
      anon_sym_RBRACK,
    STATE(7784), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15804), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [359571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7761), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7765), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359724] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9708), 1,
      anon_sym_PIPE,
    STATE(7788), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17387), 1,
      sym_tag_specification,
    STATE(18126), 1,
      sym_typed_label,
    STATE(19109), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [359821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9102), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360280] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9840), 1,
      anon_sym_PIPE,
    STATE(7798), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(14760), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [360377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360428] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9842), 1,
      aux_sym_attribute_id_token1,
    STATE(7800), 1,
      sym_attribute,
    STATE(7813), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8852), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8850), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [360483] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9806), 1,
      anon_sym_let,
    ACTIONS(9810), 1,
      anon_sym_LBRACK,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(9844), 1,
      sym__lowercase_identifier,
    ACTIONS(9846), 1,
      anon_sym_QMARK,
    ACTIONS(9848), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9850), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7801), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(10491), 1,
      sym__class_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(16429), 1,
      sym_extended_module_path,
    STATE(17411), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10372), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10624), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9533), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12175), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [360576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360627] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7783), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7781), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7785), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9006), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361035] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9852), 1,
      anon_sym_RBRACK,
    STATE(7811), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(14962), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [361132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361183] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9842), 1,
      aux_sym_attribute_id_token1,
    STATE(7813), 1,
      sym_attribute,
    STATE(7907), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8779), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8777), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [361238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9560), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9558), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361340] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9854), 1,
      anon_sym_PIPE,
    STATE(7816), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(13850), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17132), 1,
      sym_tag_specification,
    STATE(18126), 1,
      sym_typed_label,
    STATE(18814), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [361437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361488] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9856), 1,
      anon_sym_RBRACK,
    STATE(7818), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15045), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [361585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361636] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(9858), 1,
      sym__lowercase_identifier,
    ACTIONS(9860), 1,
      anon_sym_let,
    ACTIONS(9862), 1,
      anon_sym_QMARK,
    ACTIONS(9864), 1,
      anon_sym_LBRACK,
    STATE(7820), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(10491), 1,
      sym__class_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(16481), 1,
      sym_extended_module_path,
    STATE(16765), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10372), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(13711), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9533), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12175), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [361729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361780] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9854), 1,
      anon_sym_PIPE,
    STATE(7822), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17132), 1,
      sym_tag_specification,
    STATE(18126), 1,
      sym_typed_label,
    STATE(18814), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [361877] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9810), 1,
      anon_sym_LBRACK,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(9866), 1,
      sym__lowercase_identifier,
    ACTIONS(9868), 1,
      anon_sym_let,
    ACTIONS(9870), 1,
      anon_sym_QMARK,
    ACTIONS(9872), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9874), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7823), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(10515), 1,
      sym__class_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(17292), 1,
      sym_extended_module_path,
    STATE(17313), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10090), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10372), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9533), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12175), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [361970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7876), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9878), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9876), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [362123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9508), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9506), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362225] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7884), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9882), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9880), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [362378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9886), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9884), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [362480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9026), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8946), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8944), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362633] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9890), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9888), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [362684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9894), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9892), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [362735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362888] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9896), 1,
      anon_sym_RBRACK,
    STATE(7842), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15163), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [362985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9522), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363087] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(9858), 1,
      sym__lowercase_identifier,
    ACTIONS(9860), 1,
      anon_sym_let,
    ACTIONS(9862), 1,
      anon_sym_QMARK,
    ACTIONS(9864), 1,
      anon_sym_LBRACK,
    STATE(7845), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(10556), 1,
      sym__class_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(16481), 1,
      sym_extended_module_path,
    STATE(16765), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10372), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(13711), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9533), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12175), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [363180] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6699), 1,
      sym__lowercase_identifier,
    ACTIONS(9902), 1,
      anon_sym_LPAREN,
    ACTIONS(9906), 1,
      anon_sym_LBRACE,
    ACTIONS(9908), 1,
      anon_sym_begin,
    ACTIONS(9910), 1,
      aux_sym_number_token1,
    ACTIONS(9912), 1,
      anon_sym_SQUOTE,
    ACTIONS(9914), 1,
      anon_sym_DQUOTE,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    STATE(7846), 1,
      sym_attribute,
    STATE(10333), 1,
      sym_parenthesized_operator,
    STATE(11804), 1,
      sym_module_path,
    STATE(12198), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9904), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12119), 2,
      sym__constant,
      sym_value_path,
    ACTIONS(9898), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
    STATE(12205), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(9900), 9,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
  [363259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9920), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9918), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [363361] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9596), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9594), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7872), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9494), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9504), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9502), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363718] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9922), 1,
      anon_sym_RBRACK,
    STATE(7856), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15268), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [363815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9926), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9924), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [363866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8226), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9542), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364019] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9806), 1,
      anon_sym_let,
    ACTIONS(9810), 1,
      anon_sym_LBRACK,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(9844), 1,
      sym__lowercase_identifier,
    ACTIONS(9846), 1,
      anon_sym_QMARK,
    ACTIONS(9848), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9850), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7861), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(10556), 1,
      sym__class_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(16429), 1,
      sym_extended_module_path,
    STATE(17411), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10372), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10624), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9533), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12175), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [364112] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9928), 1,
      anon_sym_RBRACK,
    STATE(7862), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15384), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [364209] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9806), 1,
      anon_sym_let,
    ACTIONS(9810), 1,
      anon_sym_LBRACK,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(9844), 1,
      sym__lowercase_identifier,
    ACTIONS(9846), 1,
      anon_sym_QMARK,
    ACTIONS(9848), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9850), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7863), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(10515), 1,
      sym__class_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(16429), 1,
      sym_extended_module_path,
    STATE(17411), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10372), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10624), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9533), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12175), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [364302] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9930), 1,
      anon_sym_RBRACK,
    STATE(7864), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(14957), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [364399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364450] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9932), 1,
      anon_sym_RBRACK,
    STATE(7866), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16090), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [364547] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9934), 1,
      anon_sym_RBRACK,
    STATE(7867), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15487), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [364644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9938), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9936), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [364695] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9940), 1,
      anon_sym_PIPE,
    STATE(7869), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(14594), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [364792] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4919), 1,
      anon_sym_type,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9942), 1,
      sym__lowercase_identifier,
    ACTIONS(9944), 1,
      anon_sym_LPAREN,
    ACTIONS(9946), 1,
      anon_sym_LBRACK,
    ACTIONS(9948), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9952), 1,
      anon_sym_LT,
    ACTIONS(9954), 1,
      anon_sym_POUND,
    ACTIONS(9956), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9958), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9960), 1,
      aux_sym_type_variable_token1,
    STATE(7870), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(10280), 1,
      sym__polymorphic_type,
    STATE(10286), 1,
      sym_polymorphic_type,
    STATE(10326), 1,
      sym__simple_type,
    STATE(10392), 1,
      sym_type_variable,
    STATE(11808), 1,
      sym__tuple_type,
    STATE(12395), 1,
      sym__type,
    STATE(14906), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17328), 1,
      sym_extended_module_path,
    STATE(19269), 1,
      sym_typed_label,
    STATE(19984), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10980), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [364891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364942] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9962), 1,
      anon_sym_RBRACK,
    STATE(7872), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15585), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [365039] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9964), 1,
      anon_sym_PIPE,
    STATE(7873), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17249), 1,
      sym_tag_specification,
    STATE(18126), 1,
      sym_typed_label,
    STATE(19226), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [365136] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9966), 1,
      anon_sym_PIPE,
    STATE(7874), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14470), 1,
      sym__tag_spec,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [365233] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9968), 1,
      anon_sym_RBRACK,
    STATE(7875), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15755), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [365330] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9810), 1,
      anon_sym_LBRACK,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(9868), 1,
      anon_sym_let,
    ACTIONS(9970), 1,
      sym__lowercase_identifier,
    ACTIONS(9972), 1,
      anon_sym_QMARK,
    ACTIONS(9974), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9976), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7876), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(10388), 1,
      sym__class_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(16381), 1,
      sym_extended_module_path,
    STATE(16779), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10079), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10372), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9533), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12175), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [365423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8268), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365525] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9978), 1,
      anon_sym_RBRACK,
    STATE(7879), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15854), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [365622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9982), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9980), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [365724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365775] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9984), 1,
      anon_sym_RBRACK,
    STATE(7883), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16114), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [365872] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9810), 1,
      anon_sym_LBRACK,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(9868), 1,
      anon_sym_let,
    ACTIONS(9970), 1,
      sym__lowercase_identifier,
    ACTIONS(9972), 1,
      anon_sym_QMARK,
    ACTIONS(9974), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9976), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7884), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(10515), 1,
      sym__class_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(16381), 1,
      sym_extended_module_path,
    STATE(16779), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10079), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10372), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9533), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12175), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [365965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366016] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4919), 1,
      anon_sym_type,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9986), 1,
      sym__lowercase_identifier,
    ACTIONS(9988), 1,
      anon_sym_LPAREN,
    ACTIONS(9990), 1,
      anon_sym_LBRACK,
    ACTIONS(9992), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9994), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9996), 1,
      anon_sym_LT,
    ACTIONS(9998), 1,
      anon_sym_POUND,
    ACTIONS(10000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10004), 1,
      aux_sym_type_variable_token1,
    STATE(7886), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(10280), 1,
      sym__polymorphic_type,
    STATE(10286), 1,
      sym_polymorphic_type,
    STATE(10913), 1,
      sym__simple_type,
    STATE(11097), 1,
      sym_type_variable,
    STATE(12550), 1,
      sym__tuple_type,
    STATE(12746), 1,
      sym__type,
    STATE(14772), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_extended_module_path,
    STATE(18172), 1,
      sym_typed_label,
    STATE(20248), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11681), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [366115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7059), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7063), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7864), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366217] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366268] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(9858), 1,
      sym__lowercase_identifier,
    ACTIONS(9860), 1,
      anon_sym_let,
    ACTIONS(9862), 1,
      anon_sym_QMARK,
    ACTIONS(9864), 1,
      anon_sym_LBRACK,
    STATE(7890), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(10388), 1,
      sym__class_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(16481), 1,
      sym_extended_module_path,
    STATE(16765), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10372), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(13711), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9533), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12175), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [366361] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366463] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6699), 1,
      sym__lowercase_identifier,
    ACTIONS(9902), 1,
      anon_sym_LPAREN,
    ACTIONS(9906), 1,
      anon_sym_LBRACE,
    ACTIONS(9908), 1,
      anon_sym_begin,
    ACTIONS(9910), 1,
      aux_sym_number_token1,
    ACTIONS(9912), 1,
      anon_sym_SQUOTE,
    ACTIONS(9914), 1,
      anon_sym_DQUOTE,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    STATE(7893), 1,
      sym_attribute,
    STATE(10333), 1,
      sym_parenthesized_operator,
    STATE(11804), 1,
      sym_module_path,
    STATE(12198), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9904), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12119), 2,
      sym__constant,
      sym_value_path,
    STATE(12205), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(9898), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
    ACTIONS(9900), 8,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
  [366542] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(10006), 1,
      anon_sym_RBRACK,
    STATE(7894), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15761), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [366639] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9810), 1,
      anon_sym_LBRACK,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(9866), 1,
      sym__lowercase_identifier,
    ACTIONS(9868), 1,
      anon_sym_let,
    ACTIONS(9870), 1,
      anon_sym_QMARK,
    ACTIONS(9872), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9874), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7895), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(10491), 1,
      sym__class_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(17292), 1,
      sym_extended_module_path,
    STATE(17313), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10090), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10372), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9533), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12175), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [366732] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9626), 1,
      anon_sym_PIPE,
    STATE(7896), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(16354), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    STATE(19299), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [366829] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(10008), 1,
      anon_sym_PIPE,
    STATE(7897), 1,
      sym_attribute,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(14836), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [366926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10012), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10010), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [366977] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(10014), 1,
      anon_sym_RBRACK,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7899), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15964), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [367074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367125] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(10016), 1,
      anon_sym_RBRACK,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7901), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16110), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [367222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9600), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9598), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367375] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8234), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367426] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(7906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367479] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10018), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7907), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8803), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8801), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [367532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7992), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367583] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7996), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8024), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8278), 25,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [367787] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7773), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9058), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10023), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10021), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [367940] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9804), 1,
      sym__lowercase_identifier,
    ACTIONS(9806), 1,
      anon_sym_let,
    ACTIONS(9808), 1,
      anon_sym_QMARK,
    ACTIONS(9810), 1,
      anon_sym_LBRACK,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(9814), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9816), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7916), 1,
      sym_attribute,
    STATE(10388), 1,
      sym__class_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(17346), 1,
      sym__tuple_type,
    STATE(17374), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10372), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10410), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9533), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12175), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [368033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368135] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9810), 1,
      anon_sym_LBRACK,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(9866), 1,
      sym__lowercase_identifier,
    ACTIONS(9868), 1,
      anon_sym_let,
    ACTIONS(9870), 1,
      anon_sym_QMARK,
    ACTIONS(9872), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9874), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7919), 1,
      sym_attribute,
    STATE(10388), 1,
      sym__class_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(17292), 1,
      sym_extended_module_path,
    STATE(17313), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10090), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10372), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9533), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12175), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [368228] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(7920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368281] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4919), 1,
      anon_sym_type,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    STATE(7921), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(12769), 1,
      sym_type_variable,
    STATE(12772), 1,
      sym_tuple_type,
    STATE(13529), 1,
      sym__tuple_type,
    STATE(14183), 1,
      sym__type,
    STATE(14616), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(15780), 1,
      sym__polymorphic_type,
    STATE(15789), 1,
      sym_polymorphic_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(19570), 1,
      sym_typed_label,
    STATE(19601), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12817), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [368380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8256), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368482] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9804), 1,
      sym__lowercase_identifier,
    ACTIONS(9806), 1,
      anon_sym_let,
    ACTIONS(9808), 1,
      anon_sym_QMARK,
    ACTIONS(9810), 1,
      anon_sym_LBRACK,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(9814), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9816), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7924), 1,
      sym_attribute,
    STATE(10556), 1,
      sym__class_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(17346), 1,
      sym__tuple_type,
    STATE(17374), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10372), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10410), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9533), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12175), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [368575] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9806), 1,
      anon_sym_let,
    ACTIONS(9810), 1,
      anon_sym_LBRACK,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(9844), 1,
      sym__lowercase_identifier,
    ACTIONS(9846), 1,
      anon_sym_QMARK,
    ACTIONS(9848), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9850), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7925), 1,
      sym_attribute,
    STATE(10388), 1,
      sym__class_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(16429), 1,
      sym_extended_module_path,
    STATE(17411), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10372), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10624), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9533), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12175), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [368668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10025), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [368719] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(9858), 1,
      sym__lowercase_identifier,
    ACTIONS(9860), 1,
      anon_sym_let,
    ACTIONS(9862), 1,
      anon_sym_QMARK,
    ACTIONS(9864), 1,
      anon_sym_LBRACK,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7927), 1,
      sym_attribute,
    STATE(10515), 1,
      sym__class_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(16481), 1,
      sym_extended_module_path,
    STATE(16765), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10372), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(13711), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9533), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12175), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [368812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368863] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8264), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368914] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7930), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(16792), 1,
      sym_tag_specification,
    STATE(18126), 1,
      sym_typed_label,
    STATE(19358), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [369011] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(10031), 1,
      anon_sym_PIPE,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7931), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14507), 1,
      sym__tag_spec,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [369108] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4919), 1,
      anon_sym_type,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10033), 1,
      sym__lowercase_identifier,
    ACTIONS(10035), 1,
      anon_sym_LPAREN,
    ACTIONS(10037), 1,
      anon_sym_LBRACK,
    ACTIONS(10039), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10041), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10043), 1,
      anon_sym_LT,
    ACTIONS(10045), 1,
      anon_sym_POUND,
    ACTIONS(10047), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10049), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10051), 1,
      aux_sym_type_variable_token1,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7932), 1,
      sym_attribute,
    STATE(9984), 1,
      sym_type_variable,
    STATE(10028), 1,
      sym__simple_type,
    STATE(10280), 1,
      sym__polymorphic_type,
    STATE(10286), 1,
      sym_polymorphic_type,
    STATE(11655), 1,
      sym__tuple_type,
    STATE(12033), 1,
      sym__type,
    STATE(14636), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16455), 1,
      sym_extended_module_path,
    STATE(17519), 1,
      sym_typed_label,
    STATE(19658), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10807), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [369207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7789), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369258] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9804), 1,
      sym__lowercase_identifier,
    ACTIONS(9806), 1,
      anon_sym_let,
    ACTIONS(9808), 1,
      anon_sym_QMARK,
    ACTIONS(9810), 1,
      anon_sym_LBRACK,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(9814), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9816), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7934), 1,
      sym_attribute,
    STATE(10515), 1,
      sym__class_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(17346), 1,
      sym__tuple_type,
    STATE(17374), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10372), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10410), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9533), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12175), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [369351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7797), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7795), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7755), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7874), 25,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [369504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7878), 25,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [369708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9576), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9574), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369759] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9810), 1,
      anon_sym_LBRACK,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(9866), 1,
      sym__lowercase_identifier,
    ACTIONS(9868), 1,
      anon_sym_let,
    ACTIONS(9870), 1,
      anon_sym_QMARK,
    ACTIONS(9872), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9874), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7943), 1,
      sym_attribute,
    STATE(10556), 1,
      sym__class_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(17292), 1,
      sym_extended_module_path,
    STATE(17313), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10090), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10372), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9533), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12175), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [369852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369954] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9810), 1,
      anon_sym_LBRACK,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(9868), 1,
      anon_sym_let,
    ACTIONS(9970), 1,
      sym__lowercase_identifier,
    ACTIONS(9972), 1,
      anon_sym_QMARK,
    ACTIONS(9974), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9976), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7946), 1,
      sym_attribute,
    STATE(10556), 1,
      sym__class_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(16381), 1,
      sym_extended_module_path,
    STATE(16779), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10079), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10372), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9533), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12175), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [370047] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9854), 1,
      anon_sym_PIPE,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7947), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(13739), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17132), 1,
      sym_tag_specification,
    STATE(18126), 1,
      sym_typed_label,
    STATE(18814), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [370144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370195] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9728), 1,
      anon_sym_DOT,
    ACTIONS(9730), 1,
      anon_sym_POUND,
    ACTIONS(9732), 1,
      sym_hash_operator,
    STATE(7949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370303] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9810), 1,
      anon_sym_LBRACK,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(9868), 1,
      anon_sym_let,
    ACTIONS(9970), 1,
      sym__lowercase_identifier,
    ACTIONS(9972), 1,
      anon_sym_QMARK,
    ACTIONS(9974), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9976), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7951), 1,
      sym_attribute,
    STATE(10491), 1,
      sym__class_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(16381), 1,
      sym_extended_module_path,
    STATE(16779), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10079), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10372), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9533), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12175), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [370396] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(10053), 1,
      anon_sym_PIPE,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7952), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17350), 1,
      sym_tag_specification,
    STATE(18126), 1,
      sym_typed_label,
    STATE(19389), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [370493] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(10055), 1,
      anon_sym_PIPE,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7953), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(14870), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [370590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10059), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10057), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [370743] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(10061), 1,
      anon_sym_RBRACK,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7957), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15111), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [370840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7886), 25,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [370891] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9728), 1,
      anon_sym_DOT,
    STATE(7959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8958), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8956), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370995] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4919), 1,
      anon_sym_type,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7961), 1,
      sym_attribute,
    STATE(10280), 1,
      sym__polymorphic_type,
    STATE(10286), 1,
      sym_polymorphic_type,
    STATE(11644), 1,
      sym__simple_type,
    STATE(12769), 1,
      sym_type_variable,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14622), 1,
      sym__type,
    STATE(14639), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    STATE(19323), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [371094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9580), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9578), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10065), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10063), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [371196] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(9630), 1,
      anon_sym_PIPE,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7964), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(16837), 1,
      sym_tag_specification,
    STATE(18126), 1,
      sym_typed_label,
    STATE(19411), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [371293] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(10067), 1,
      anon_sym_RBRACK,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7965), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15470), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [371390] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(10069), 1,
      anon_sym_PIPE,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7966), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14349), 1,
      sym__tag_spec,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [371487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9066), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10073), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10071), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [371589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10077), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10075), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [371640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8230), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371793] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(10079), 1,
      anon_sym_PIPE,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7973), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(16585), 1,
      sym_tag_specification,
    STATE(18126), 1,
      sym_typed_label,
    STATE(19431), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [371890] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(10081), 1,
      anon_sym_PIPE,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7974), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14305), 1,
      sym__tag_spec,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [371987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10085), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10083), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [372038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10089), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10087), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [372089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9536), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372191] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7979), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(14880), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [372285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10059), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10057), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [372335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10023), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10021), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [372385] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10095), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10099), 1,
      sym_pow_operator,
    ACTIONS(10101), 1,
      sym_mult_operator,
    ACTIONS(10103), 1,
      sym_concat_operator,
    ACTIONS(10105), 1,
      sym_rel_operator,
    ACTIONS(10107), 1,
      sym_and_operator,
    STATE(2278), 1,
      sym_add_operator,
    STATE(7982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10091), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [372451] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7983), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15111), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [372545] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7984), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14459), 1,
      sym__tag_spec,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [372639] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7985), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15276), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [372733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [372783] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    STATE(7987), 1,
      sym_attribute,
    STATE(7989), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [372837] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    STATE(7988), 1,
      sym_attribute,
    STATE(7989), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [372891] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10127), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7989), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [372943] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7990), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(14962), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [373037] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7991), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14377), 1,
      sym__tag_spec,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [373131] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7992), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15034), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [373225] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10130), 1,
      anon_sym_PIPE,
    STATE(7993), 1,
      sym_attribute,
    STATE(7995), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [373279] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10130), 1,
      anon_sym_PIPE,
    STATE(7994), 1,
      sym_attribute,
    STATE(7995), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [373333] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10132), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7995), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [373385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10025), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [373435] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    STATE(7987), 1,
      aux_sym__match_cases_repeat1,
    STATE(7997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [373489] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7998), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15982), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [373583] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(7999), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15359), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [373677] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8000), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(14589), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [373771] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    STATE(7988), 1,
      aux_sym__match_cases_repeat1,
    STATE(8001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [373825] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8002), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15417), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [373919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3085), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3083), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [373969] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10095), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10099), 1,
      sym_pow_operator,
    ACTIONS(10101), 1,
      sym_mult_operator,
    ACTIONS(10103), 1,
      sym_concat_operator,
    ACTIONS(10105), 1,
      sym_rel_operator,
    ACTIONS(10107), 1,
      sym_and_operator,
    ACTIONS(10139), 1,
      sym_or_operator,
    STATE(2278), 1,
      sym_add_operator,
    STATE(8004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [374037] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10095), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10099), 1,
      sym_pow_operator,
    ACTIONS(10101), 1,
      sym_mult_operator,
    ACTIONS(10103), 1,
      sym_concat_operator,
    ACTIONS(10105), 1,
      sym_rel_operator,
    ACTIONS(10107), 1,
      sym_and_operator,
    ACTIONS(10139), 1,
      sym_or_operator,
    ACTIONS(10141), 1,
      anon_sym_COMMA,
    ACTIONS(10143), 1,
      sym_assign_operator,
    STATE(2278), 1,
      sym_add_operator,
    STATE(8005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [374109] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10099), 1,
      sym_pow_operator,
    ACTIONS(10101), 1,
      sym_mult_operator,
    STATE(2278), 1,
      sym_add_operator,
    STATE(8006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [374165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9882), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9880), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [374215] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9890), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9888), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [374265] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10130), 1,
      anon_sym_PIPE,
    STATE(7993), 1,
      aux_sym__match_cases_repeat1,
    STATE(8009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [374319] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8010), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15637), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374413] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8011), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(14727), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374507] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10130), 1,
      anon_sym_PIPE,
    STATE(7994), 1,
      aux_sym__match_cases_repeat1,
    STATE(8012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [374561] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8013), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15742), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374655] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10149), 1,
      anon_sym_else,
    STATE(8014), 1,
      sym_attribute,
    STATE(8038), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [374709] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8015), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15919), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374803] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8016), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(14883), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374897] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8017), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15981), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374991] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2278), 1,
      sym_add_operator,
    STATE(8018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [375043] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10155), 1,
      anon_sym_else,
    STATE(8019), 1,
      sym_attribute,
    STATE(8038), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [375097] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8020), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16313), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375191] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8021), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14297), 1,
      sym__tag_spec,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375285] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8022), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(14934), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9890), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9888), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [375429] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10095), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10099), 1,
      sym_pow_operator,
    ACTIONS(10101), 1,
      sym_mult_operator,
    ACTIONS(10103), 1,
      sym_concat_operator,
    ACTIONS(10105), 1,
      sym_rel_operator,
    ACTIONS(10107), 1,
      sym_and_operator,
    ACTIONS(10139), 1,
      sym_or_operator,
    ACTIONS(10141), 1,
      anon_sym_COMMA,
    ACTIONS(10143), 1,
      sym_assign_operator,
    STATE(2278), 1,
      sym_add_operator,
    STATE(8024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10157), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [375501] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8025), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15045), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375595] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8026), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14361), 1,
      sym__tag_spec,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375689] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8027), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15068), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375783] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8028), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15163), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375877] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8029), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14416), 1,
      sym__tag_spec,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9938), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9936), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [376021] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8031), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15181), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376115] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8032), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15268), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376209] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8033), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14463), 1,
      sym__tag_spec,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376303] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8034), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15288), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376397] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8035), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15384), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376491] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8036), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14517), 1,
      sym__tag_spec,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376585] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8037), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15404), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10077), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10075), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [376729] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8039), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15487), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376823] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8040), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14561), 1,
      sym__tag_spec,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376917] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8041), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15506), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377011] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2308), 1,
      sym_add_operator,
    STATE(8042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [377063] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10161), 1,
      anon_sym_else,
    STATE(8038), 1,
      sym_else_clause,
    STATE(8043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [377117] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8044), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15585), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377211] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8045), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(14613), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10073), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10071), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [377355] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8047), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15602), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10059), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10057), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [377499] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8049), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15755), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377593] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8050), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(14670), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377687] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9894), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9892), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [377737] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8052), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15778), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377831] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10167), 1,
      anon_sym_RPAREN,
    STATE(8053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10165), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10163), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [377883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10171), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10169), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [377933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9920), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9918), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [377983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9920), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9918), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [378033] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8057), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15854), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378127] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8058), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(14728), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378221] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8059), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15872), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9894), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9892), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [378365] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8061), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15964), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378459] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8062), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(14784), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378553] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8063), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15996), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378647] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8064), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16110), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378741] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8065), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(14838), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378835] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8066), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16139), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9780), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9778), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [378979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9878), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9876), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [379029] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10095), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10099), 1,
      sym_pow_operator,
    ACTIONS(10101), 1,
      sym_mult_operator,
    ACTIONS(10103), 1,
      sym_concat_operator,
    ACTIONS(10105), 1,
      sym_rel_operator,
    ACTIONS(10107), 1,
      sym_and_operator,
    ACTIONS(10139), 1,
      sym_or_operator,
    STATE(2278), 1,
      sym_add_operator,
    STATE(8069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [379097] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7958), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [379147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10073), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10071), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [379197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9722), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9720), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [379247] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10181), 1,
      anon_sym_else,
    STATE(8007), 1,
      sym_else_clause,
    STATE(8073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [379301] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10155), 1,
      anon_sym_else,
    STATE(8007), 1,
      sym_else_clause,
    STATE(8074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [379355] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10095), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10099), 1,
      sym_pow_operator,
    ACTIONS(10101), 1,
      sym_mult_operator,
    ACTIONS(10103), 1,
      sym_concat_operator,
    ACTIONS(10105), 1,
      sym_rel_operator,
    ACTIONS(10107), 1,
      sym_and_operator,
    ACTIONS(10139), 1,
      sym_or_operator,
    ACTIONS(10141), 1,
      anon_sym_COMMA,
    ACTIONS(10143), 1,
      sym_assign_operator,
    STATE(2278), 1,
      sym_add_operator,
    STATE(8075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10183), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [379427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8962), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8960), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [379477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10023), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10021), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [379527] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10187), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10189), 1,
      sym_pow_operator,
    ACTIONS(10191), 1,
      sym_mult_operator,
    ACTIONS(10193), 1,
      sym_concat_operator,
    ACTIONS(10195), 1,
      sym_rel_operator,
    ACTIONS(10197), 1,
      sym_and_operator,
    ACTIONS(10199), 1,
      sym_or_operator,
    STATE(2308), 1,
      sym_add_operator,
    STATE(8078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [379595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9764), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9762), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [379645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9938), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9936), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [379695] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10187), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10189), 1,
      sym_pow_operator,
    ACTIONS(10191), 1,
      sym_mult_operator,
    STATE(2308), 1,
      sym_add_operator,
    STATE(8081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [379755] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10189), 1,
      sym_pow_operator,
    STATE(2308), 1,
      sym_add_operator,
    STATE(8082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [379809] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10189), 1,
      sym_pow_operator,
    STATE(2308), 1,
      sym_add_operator,
    STATE(8083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [379863] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10187), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10189), 1,
      sym_pow_operator,
    ACTIONS(10191), 1,
      sym_mult_operator,
    ACTIONS(10193), 1,
      sym_concat_operator,
    STATE(2308), 1,
      sym_add_operator,
    STATE(8084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [379925] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10187), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10189), 1,
      sym_pow_operator,
    ACTIONS(10191), 1,
      sym_mult_operator,
    ACTIONS(10193), 1,
      sym_concat_operator,
    STATE(2308), 1,
      sym_add_operator,
    STATE(8085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [379987] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10187), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10189), 1,
      sym_pow_operator,
    ACTIONS(10191), 1,
      sym_mult_operator,
    ACTIONS(10193), 1,
      sym_concat_operator,
    ACTIONS(10195), 1,
      sym_rel_operator,
    ACTIONS(10197), 1,
      sym_and_operator,
    STATE(2308), 1,
      sym_add_operator,
    STATE(8086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10091), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [380053] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10187), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10189), 1,
      sym_pow_operator,
    ACTIONS(10191), 1,
      sym_mult_operator,
    ACTIONS(10193), 1,
      sym_concat_operator,
    ACTIONS(10195), 1,
      sym_rel_operator,
    ACTIONS(10197), 1,
      sym_and_operator,
    ACTIONS(10199), 1,
      sym_or_operator,
    STATE(2308), 1,
      sym_add_operator,
    STATE(8087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [380121] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10187), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10189), 1,
      sym_pow_operator,
    ACTIONS(10191), 1,
      sym_mult_operator,
    ACTIONS(10193), 1,
      sym_concat_operator,
    ACTIONS(10195), 1,
      sym_rel_operator,
    ACTIONS(10197), 1,
      sym_and_operator,
    ACTIONS(10199), 1,
      sym_or_operator,
    ACTIONS(10205), 1,
      anon_sym_COMMA,
    ACTIONS(10207), 1,
      sym_assign_operator,
    STATE(2308), 1,
      sym_add_operator,
    STATE(8088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [380193] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10189), 1,
      sym_pow_operator,
    ACTIONS(10191), 1,
      sym_mult_operator,
    STATE(2308), 1,
      sym_add_operator,
    STATE(8089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [380249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10125), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [380299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10211), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10209), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [380349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [380399] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8116), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [380449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10085), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10083), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [380499] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(8095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7982), 19,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [380551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10089), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10087), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [380601] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8097), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15804), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [380695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10025), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [380745] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8099), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(14809), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [380839] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10187), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10189), 1,
      sym_pow_operator,
    ACTIONS(10191), 1,
      sym_mult_operator,
    ACTIONS(10193), 1,
      sym_concat_operator,
    ACTIONS(10195), 1,
      sym_rel_operator,
    ACTIONS(10197), 1,
      sym_and_operator,
    ACTIONS(10199), 1,
      sym_or_operator,
    ACTIONS(10205), 1,
      anon_sym_COMMA,
    ACTIONS(10207), 1,
      sym_assign_operator,
    STATE(2308), 1,
      sym_add_operator,
    STATE(8100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10157), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [380911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10215), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10213), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [380961] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8102), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(14957), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [381055] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8103), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14322), 1,
      sym__tag_spec,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [381149] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8104), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15097), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [381243] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10095), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10099), 1,
      sym_pow_operator,
    ACTIONS(10101), 1,
      sym_mult_operator,
    ACTIONS(10103), 1,
      sym_concat_operator,
    ACTIONS(10105), 1,
      sym_rel_operator,
    ACTIONS(10107), 1,
      sym_and_operator,
    ACTIONS(10139), 1,
      sym_or_operator,
    ACTIONS(10141), 1,
      anon_sym_COMMA,
    ACTIONS(10143), 1,
      sym_assign_operator,
    ACTIONS(10217), 1,
      anon_sym_SEMI,
    STATE(2278), 1,
      sym_add_operator,
    STATE(8105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8966), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8964), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [381317] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10161), 1,
      anon_sym_else,
    STATE(8007), 1,
      sym_else_clause,
    STATE(8106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [381371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10171), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10169), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381421] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10187), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10189), 1,
      sym_pow_operator,
    ACTIONS(10191), 1,
      sym_mult_operator,
    ACTIONS(10193), 1,
      sym_concat_operator,
    ACTIONS(10195), 1,
      sym_rel_operator,
    ACTIONS(10197), 1,
      sym_and_operator,
    ACTIONS(10199), 1,
      sym_or_operator,
    ACTIONS(10205), 1,
      anon_sym_COMMA,
    ACTIONS(10207), 1,
      sym_assign_operator,
    STATE(2308), 1,
      sym_add_operator,
    STATE(8108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10183), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [381493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9886), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9884), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [381543] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10187), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10189), 1,
      sym_pow_operator,
    ACTIONS(10191), 1,
      sym_mult_operator,
    ACTIONS(10193), 1,
      sym_concat_operator,
    ACTIONS(10195), 1,
      sym_rel_operator,
    ACTIONS(10197), 1,
      sym_and_operator,
    ACTIONS(10199), 1,
      sym_or_operator,
    ACTIONS(10205), 1,
      anon_sym_COMMA,
    ACTIONS(10207), 1,
      sym_assign_operator,
    STATE(2308), 1,
      sym_add_operator,
    STATE(8110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10221), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10219), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [381615] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9926), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9924), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [381665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9982), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9980), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [381715] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8803), 16,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
    ACTIONS(8801), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [381765] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8114), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15761), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [381859] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10187), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10189), 1,
      sym_pow_operator,
    ACTIONS(10191), 1,
      sym_mult_operator,
    ACTIONS(10193), 1,
      sym_concat_operator,
    ACTIONS(10195), 1,
      sym_rel_operator,
    ACTIONS(10197), 1,
      sym_and_operator,
    ACTIONS(10199), 1,
      sym_or_operator,
    ACTIONS(10205), 1,
      anon_sym_COMMA,
    ACTIONS(10207), 1,
      sym_assign_operator,
    ACTIONS(10223), 1,
      anon_sym_SEMI,
    STATE(2308), 1,
      sym_add_operator,
    STATE(8115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8966), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8964), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [381933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10227), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10225), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [381983] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10181), 1,
      anon_sym_else,
    STATE(8038), 1,
      sym_else_clause,
    STATE(8117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [382037] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8118), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(14930), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [382131] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(8119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7982), 19,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [382183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10125), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [382233] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7998), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [382283] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8122), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15826), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [382377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9886), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9884), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9926), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9924), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9982), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9980), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382527] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10149), 1,
      anon_sym_else,
    STATE(8007), 1,
      sym_else_clause,
    STATE(8126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [382581] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10095), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10099), 1,
      sym_pow_operator,
    ACTIONS(10101), 1,
      sym_mult_operator,
    STATE(2278), 1,
      sym_add_operator,
    STATE(8127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [382641] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8128), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16114), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [382735] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8129), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14269), 1,
      sym__tag_spec,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [382829] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8050), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [382879] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8131), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16320), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [382973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10085), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10083), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [383023] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10095), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10099), 1,
      sym_pow_operator,
    ACTIONS(10101), 1,
      sym_mult_operator,
    ACTIONS(10103), 1,
      sym_concat_operator,
    ACTIONS(10105), 1,
      sym_rel_operator,
    ACTIONS(10107), 1,
      sym_and_operator,
    ACTIONS(10139), 1,
      sym_or_operator,
    ACTIONS(10141), 1,
      anon_sym_COMMA,
    ACTIONS(10143), 1,
      sym_assign_operator,
    STATE(2278), 1,
      sym_add_operator,
    STATE(8133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10221), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10219), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [383095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10065), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10063), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [383145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3085), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3083), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [383195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10211), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10209), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [383245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8964), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383295] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8138), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15470), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [383389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9882), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9880), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383439] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8140), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14555), 1,
      sym__tag_spec,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [383533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8952), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8950), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383583] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8142), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(15555), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [383677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10065), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10063), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10077), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10075), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9722), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9720), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9756), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9754), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9764), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9762), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383927] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10099), 1,
      sym_pow_operator,
    STATE(2278), 1,
      sym_add_operator,
    STATE(8148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [383981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9780), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9778), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9878), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9876), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10089), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10087), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384131] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8152), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16090), 1,
      sym__tag_spec,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [384225] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8153), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14451), 1,
      sym__tag_spec,
    STATE(14577), 1,
      sym_tag,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [384319] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9146), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8154), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(14577), 1,
      sym_tag,
    STATE(15279), 1,
      sym__tag_spec,
    STATE(15345), 1,
      sym_tag_specification,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [384413] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10099), 1,
      sym_pow_operator,
    STATE(2278), 1,
      sym_add_operator,
    STATE(8155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384467] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10095), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10099), 1,
      sym_pow_operator,
    ACTIONS(10101), 1,
      sym_mult_operator,
    ACTIONS(10103), 1,
      sym_concat_operator,
    STATE(2278), 1,
      sym_add_operator,
    STATE(8156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384529] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10095), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10099), 1,
      sym_pow_operator,
    ACTIONS(10101), 1,
      sym_mult_operator,
    ACTIONS(10103), 1,
      sym_concat_operator,
    STATE(2278), 1,
      sym_add_operator,
    STATE(8157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9756), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9754), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384641] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10229), 1,
      anon_sym_PIPE,
    STATE(8159), 1,
      sym_attribute,
    STATE(8252), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384694] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10231), 1,
      anon_sym_else,
    STATE(8007), 1,
      sym_else_clause,
    STATE(8160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384747] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10233), 1,
      anon_sym_else,
    STATE(8007), 1,
      sym_else_clause,
    STATE(8161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384800] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10235), 1,
      anon_sym_else,
    STATE(8007), 1,
      sym_else_clause,
    STATE(8162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384853] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10237), 1,
      anon_sym_PIPE,
    STATE(8163), 1,
      sym_attribute,
    STATE(8164), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384906] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10239), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8164), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384957] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10242), 1,
      anon_sym_COMMA,
    ACTIONS(10244), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10246), 1,
      sym_pow_operator,
    ACTIONS(10248), 1,
      sym_mult_operator,
    ACTIONS(10250), 1,
      sym_concat_operator,
    ACTIONS(10252), 1,
      sym_rel_operator,
    ACTIONS(10254), 1,
      sym_and_operator,
    ACTIONS(10256), 1,
      sym_or_operator,
    ACTIONS(10258), 1,
      sym_assign_operator,
    STATE(1855), 1,
      sym_add_operator,
    STATE(8165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10183), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385028] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10167), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10260), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [385077] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10262), 1,
      anon_sym_COMMA,
    ACTIONS(10264), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10266), 1,
      sym_pow_operator,
    ACTIONS(10268), 1,
      sym_mult_operator,
    ACTIONS(10270), 1,
      sym_concat_operator,
    ACTIONS(10272), 1,
      sym_rel_operator,
    ACTIONS(10274), 1,
      sym_and_operator,
    ACTIONS(10276), 1,
      sym_or_operator,
    ACTIONS(10278), 1,
      sym_assign_operator,
    STATE(1923), 1,
      sym_add_operator,
    STATE(8167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10183), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385148] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10280), 1,
      anon_sym_COMMA,
    ACTIONS(10282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10284), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      sym_mult_operator,
    ACTIONS(10288), 1,
      sym_concat_operator,
    ACTIONS(10290), 1,
      sym_rel_operator,
    ACTIONS(10292), 1,
      sym_and_operator,
    ACTIONS(10294), 1,
      sym_or_operator,
    ACTIONS(10296), 1,
      sym_assign_operator,
    STATE(1766), 1,
      sym_add_operator,
    STATE(8168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10157), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385219] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1855), 1,
      sym_add_operator,
    STATE(8169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385270] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10298), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10300), 1,
      sym_pow_operator,
    ACTIONS(10302), 1,
      sym_mult_operator,
    ACTIONS(10304), 1,
      sym_concat_operator,
    ACTIONS(10306), 1,
      sym_rel_operator,
    ACTIONS(10308), 1,
      sym_and_operator,
    ACTIONS(10310), 1,
      sym_or_operator,
    STATE(2355), 1,
      sym_add_operator,
    STATE(8170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385337] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10298), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10300), 1,
      sym_pow_operator,
    ACTIONS(10302), 1,
      sym_mult_operator,
    STATE(2355), 1,
      sym_add_operator,
    STATE(8171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385396] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10300), 1,
      sym_pow_operator,
    STATE(2355), 1,
      sym_add_operator,
    STATE(8172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385449] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10231), 1,
      anon_sym_else,
    STATE(8038), 1,
      sym_else_clause,
    STATE(8173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385502] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10300), 1,
      sym_pow_operator,
    STATE(2355), 1,
      sym_add_operator,
    STATE(8174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385555] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10284), 1,
      sym_pow_operator,
    STATE(1766), 1,
      sym_add_operator,
    STATE(8175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385608] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10298), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10300), 1,
      sym_pow_operator,
    ACTIONS(10302), 1,
      sym_mult_operator,
    ACTIONS(10304), 1,
      sym_concat_operator,
    STATE(2355), 1,
      sym_add_operator,
    STATE(8176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385669] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10298), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10300), 1,
      sym_pow_operator,
    ACTIONS(10302), 1,
      sym_mult_operator,
    ACTIONS(10304), 1,
      sym_concat_operator,
    STATE(2355), 1,
      sym_add_operator,
    STATE(8177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385730] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10237), 1,
      anon_sym_PIPE,
    STATE(8163), 1,
      aux_sym__match_cases_repeat1,
    STATE(8178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385783] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9632), 1,
      anon_sym_RPAREN,
    ACTIONS(10312), 1,
      anon_sym_module,
    ACTIONS(10314), 1,
      anon_sym_COLON_COLON,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8179), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [385874] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10284), 1,
      sym_pow_operator,
    STATE(1766), 1,
      sym_add_operator,
    STATE(8180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385927] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10298), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10300), 1,
      sym_pow_operator,
    ACTIONS(10302), 1,
      sym_mult_operator,
    ACTIONS(10304), 1,
      sym_concat_operator,
    ACTIONS(10306), 1,
      sym_rel_operator,
    ACTIONS(10308), 1,
      sym_and_operator,
    STATE(2355), 1,
      sym_add_operator,
    STATE(8181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10091), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385992] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10284), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      sym_mult_operator,
    ACTIONS(10288), 1,
      sym_concat_operator,
    STATE(1766), 1,
      sym_add_operator,
    STATE(8182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386053] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10298), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10300), 1,
      sym_pow_operator,
    ACTIONS(10302), 1,
      sym_mult_operator,
    ACTIONS(10304), 1,
      sym_concat_operator,
    ACTIONS(10306), 1,
      sym_rel_operator,
    ACTIONS(10308), 1,
      sym_and_operator,
    ACTIONS(10310), 1,
      sym_or_operator,
    STATE(2355), 1,
      sym_add_operator,
    STATE(8183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386120] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10235), 1,
      anon_sym_else,
    STATE(8038), 1,
      sym_else_clause,
    STATE(8184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386173] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10298), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10300), 1,
      sym_pow_operator,
    ACTIONS(10302), 1,
      sym_mult_operator,
    ACTIONS(10304), 1,
      sym_concat_operator,
    ACTIONS(10306), 1,
      sym_rel_operator,
    ACTIONS(10308), 1,
      sym_and_operator,
    ACTIONS(10310), 1,
      sym_or_operator,
    ACTIONS(10316), 1,
      anon_sym_COMMA,
    ACTIONS(10318), 1,
      sym_assign_operator,
    STATE(2355), 1,
      sym_add_operator,
    STATE(8185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386244] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1766), 1,
      sym_add_operator,
    STATE(8186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386295] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10300), 1,
      sym_pow_operator,
    ACTIONS(10302), 1,
      sym_mult_operator,
    STATE(2355), 1,
      sym_add_operator,
    STATE(8187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386350] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10298), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10300), 1,
      sym_pow_operator,
    ACTIONS(10302), 1,
      sym_mult_operator,
    ACTIONS(10304), 1,
      sym_concat_operator,
    ACTIONS(10306), 1,
      sym_rel_operator,
    ACTIONS(10308), 1,
      sym_and_operator,
    ACTIONS(10310), 1,
      sym_or_operator,
    ACTIONS(10316), 1,
      anon_sym_COMMA,
    ACTIONS(10318), 1,
      sym_assign_operator,
    STATE(2355), 1,
      sym_add_operator,
    STATE(8188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10157), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386421] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10320), 1,
      anon_sym_PIPE,
    STATE(8189), 1,
      sym_attribute,
    STATE(8197), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386474] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10322), 1,
      anon_sym_COLON,
    STATE(8190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [386525] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10284), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      sym_mult_operator,
    ACTIONS(10288), 1,
      sym_concat_operator,
    ACTIONS(10290), 1,
      sym_rel_operator,
    ACTIONS(10292), 1,
      sym_and_operator,
    ACTIONS(10294), 1,
      sym_or_operator,
    STATE(1766), 1,
      sym_add_operator,
    STATE(8191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386592] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2355), 1,
      sym_add_operator,
    STATE(8192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386643] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10324), 1,
      anon_sym_PIPE,
    STATE(8193), 1,
      sym_attribute,
    STATE(8214), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386696] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10320), 1,
      anon_sym_PIPE,
    STATE(8194), 1,
      sym_attribute,
    STATE(8221), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386749] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10280), 1,
      anon_sym_COMMA,
    ACTIONS(10282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10284), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      sym_mult_operator,
    ACTIONS(10288), 1,
      sym_concat_operator,
    ACTIONS(10290), 1,
      sym_rel_operator,
    ACTIONS(10292), 1,
      sym_and_operator,
    ACTIONS(10294), 1,
      sym_or_operator,
    ACTIONS(10296), 1,
      sym_assign_operator,
    STATE(1766), 1,
      sym_add_operator,
    STATE(8195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10183), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386820] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10284), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      sym_mult_operator,
    ACTIONS(10288), 1,
      sym_concat_operator,
    STATE(1766), 1,
      sym_add_operator,
    STATE(8196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386881] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10320), 1,
      anon_sym_PIPE,
    STATE(8197), 1,
      sym_attribute,
    STATE(8222), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386934] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9628), 1,
      anon_sym_RPAREN,
    ACTIONS(10314), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10326), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8198), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14130), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [387025] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1923), 1,
      sym_add_operator,
    STATE(8199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387076] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10233), 1,
      anon_sym_else,
    STATE(8038), 1,
      sym_else_clause,
    STATE(8200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387129] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10330), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10328), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [387178] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10284), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      sym_mult_operator,
    STATE(1766), 1,
      sym_add_operator,
    STATE(8202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387237] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10324), 1,
      anon_sym_PIPE,
    STATE(8193), 1,
      aux_sym__match_cases_repeat1,
    STATE(8203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387290] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10229), 1,
      anon_sym_PIPE,
    STATE(8204), 1,
      sym_attribute,
    STATE(8252), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387343] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10242), 1,
      anon_sym_COMMA,
    ACTIONS(10244), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10246), 1,
      sym_pow_operator,
    ACTIONS(10248), 1,
      sym_mult_operator,
    ACTIONS(10250), 1,
      sym_concat_operator,
    ACTIONS(10252), 1,
      sym_rel_operator,
    ACTIONS(10254), 1,
      sym_and_operator,
    ACTIONS(10256), 1,
      sym_or_operator,
    ACTIONS(10258), 1,
      sym_assign_operator,
    STATE(1855), 1,
      sym_add_operator,
    STATE(8205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10221), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10219), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387414] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10262), 1,
      anon_sym_COMMA,
    ACTIONS(10264), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10266), 1,
      sym_pow_operator,
    ACTIONS(10268), 1,
      sym_mult_operator,
    ACTIONS(10270), 1,
      sym_concat_operator,
    ACTIONS(10272), 1,
      sym_rel_operator,
    ACTIONS(10274), 1,
      sym_and_operator,
    ACTIONS(10276), 1,
      sym_or_operator,
    ACTIONS(10278), 1,
      sym_assign_operator,
    STATE(1923), 1,
      sym_add_operator,
    STATE(8206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10157), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387485] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10298), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10300), 1,
      sym_pow_operator,
    ACTIONS(10302), 1,
      sym_mult_operator,
    ACTIONS(10304), 1,
      sym_concat_operator,
    ACTIONS(10306), 1,
      sym_rel_operator,
    ACTIONS(10308), 1,
      sym_and_operator,
    ACTIONS(10310), 1,
      sym_or_operator,
    ACTIONS(10316), 1,
      anon_sym_COMMA,
    ACTIONS(10318), 1,
      sym_assign_operator,
    ACTIONS(10332), 1,
      anon_sym_SEMI,
    STATE(2355), 1,
      sym_add_operator,
    STATE(8207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8966), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8964), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387558] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10324), 1,
      anon_sym_PIPE,
    STATE(8208), 1,
      sym_attribute,
    STATE(8214), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387611] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10284), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      sym_mult_operator,
    ACTIONS(10288), 1,
      sym_concat_operator,
    ACTIONS(10290), 1,
      sym_rel_operator,
    ACTIONS(10292), 1,
      sym_and_operator,
    STATE(1766), 1,
      sym_add_operator,
    STATE(8209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10091), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387676] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10242), 1,
      anon_sym_COMMA,
    ACTIONS(10244), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10246), 1,
      sym_pow_operator,
    ACTIONS(10248), 1,
      sym_mult_operator,
    ACTIONS(10250), 1,
      sym_concat_operator,
    ACTIONS(10252), 1,
      sym_rel_operator,
    ACTIONS(10254), 1,
      sym_and_operator,
    ACTIONS(10256), 1,
      sym_or_operator,
    ACTIONS(10258), 1,
      sym_assign_operator,
    ACTIONS(10334), 1,
      anon_sym_SEMI,
    STATE(1855), 1,
      sym_add_operator,
    STATE(8210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8966), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8964), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387749] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10244), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10246), 1,
      sym_pow_operator,
    ACTIONS(10248), 1,
      sym_mult_operator,
    ACTIONS(10250), 1,
      sym_concat_operator,
    ACTIONS(10252), 1,
      sym_rel_operator,
    ACTIONS(10254), 1,
      sym_and_operator,
    ACTIONS(10256), 1,
      sym_or_operator,
    STATE(1855), 1,
      sym_add_operator,
    STATE(8211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387816] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10298), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10300), 1,
      sym_pow_operator,
    ACTIONS(10302), 1,
      sym_mult_operator,
    ACTIONS(10304), 1,
      sym_concat_operator,
    ACTIONS(10306), 1,
      sym_rel_operator,
    ACTIONS(10308), 1,
      sym_and_operator,
    ACTIONS(10310), 1,
      sym_or_operator,
    ACTIONS(10316), 1,
      anon_sym_COMMA,
    ACTIONS(10318), 1,
      sym_assign_operator,
    STATE(2355), 1,
      sym_add_operator,
    STATE(8212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10183), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387887] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10284), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      sym_mult_operator,
    ACTIONS(10288), 1,
      sym_concat_operator,
    ACTIONS(10290), 1,
      sym_rel_operator,
    ACTIONS(10292), 1,
      sym_and_operator,
    ACTIONS(10294), 1,
      sym_or_operator,
    STATE(1766), 1,
      sym_add_operator,
    STATE(8213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387954] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10336), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8214), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388005] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10324), 1,
      anon_sym_PIPE,
    STATE(8208), 1,
      aux_sym__match_cases_repeat1,
    STATE(8215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388058] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10244), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10246), 1,
      sym_pow_operator,
    ACTIONS(10248), 1,
      sym_mult_operator,
    STATE(1855), 1,
      sym_add_operator,
    STATE(8216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388117] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10262), 1,
      anon_sym_COMMA,
    ACTIONS(10264), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10266), 1,
      sym_pow_operator,
    ACTIONS(10268), 1,
      sym_mult_operator,
    ACTIONS(10270), 1,
      sym_concat_operator,
    ACTIONS(10272), 1,
      sym_rel_operator,
    ACTIONS(10274), 1,
      sym_and_operator,
    ACTIONS(10276), 1,
      sym_or_operator,
    ACTIONS(10278), 1,
      sym_assign_operator,
    ACTIONS(10339), 1,
      anon_sym_SEMI,
    STATE(1923), 1,
      sym_add_operator,
    STATE(8217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8966), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8964), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388190] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10246), 1,
      sym_pow_operator,
    STATE(1855), 1,
      sym_add_operator,
    STATE(8218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388243] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10262), 1,
      anon_sym_COMMA,
    ACTIONS(10264), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10266), 1,
      sym_pow_operator,
    ACTIONS(10268), 1,
      sym_mult_operator,
    ACTIONS(10270), 1,
      sym_concat_operator,
    ACTIONS(10272), 1,
      sym_rel_operator,
    ACTIONS(10274), 1,
      sym_and_operator,
    ACTIONS(10276), 1,
      sym_or_operator,
    ACTIONS(10278), 1,
      sym_assign_operator,
    STATE(1923), 1,
      sym_add_operator,
    STATE(8219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10221), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10219), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388314] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10280), 1,
      anon_sym_COMMA,
    ACTIONS(10282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10284), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      sym_mult_operator,
    ACTIONS(10288), 1,
      sym_concat_operator,
    ACTIONS(10290), 1,
      sym_rel_operator,
    ACTIONS(10292), 1,
      sym_and_operator,
    ACTIONS(10294), 1,
      sym_or_operator,
    ACTIONS(10296), 1,
      sym_assign_operator,
    STATE(1766), 1,
      sym_add_operator,
    STATE(8220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388385] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10320), 1,
      anon_sym_PIPE,
    STATE(8221), 1,
      sym_attribute,
    STATE(8222), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388438] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10341), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8222), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388489] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9710), 1,
      anon_sym_RPAREN,
    ACTIONS(10344), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8223), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14111), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [388580] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10246), 1,
      sym_pow_operator,
    STATE(1855), 1,
      sym_add_operator,
    STATE(8224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388633] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10280), 1,
      anon_sym_COMMA,
    ACTIONS(10282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10284), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      sym_mult_operator,
    ACTIONS(10288), 1,
      sym_concat_operator,
    ACTIONS(10290), 1,
      sym_rel_operator,
    ACTIONS(10292), 1,
      sym_and_operator,
    ACTIONS(10294), 1,
      sym_or_operator,
    ACTIONS(10296), 1,
      sym_assign_operator,
    ACTIONS(10346), 1,
      anon_sym_SEMI,
    STATE(1766), 1,
      sym_add_operator,
    STATE(8225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8966), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8964), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388706] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10244), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10246), 1,
      sym_pow_operator,
    ACTIONS(10248), 1,
      sym_mult_operator,
    ACTIONS(10250), 1,
      sym_concat_operator,
    STATE(1855), 1,
      sym_add_operator,
    STATE(8226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388767] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10244), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10246), 1,
      sym_pow_operator,
    ACTIONS(10248), 1,
      sym_mult_operator,
    ACTIONS(10250), 1,
      sym_concat_operator,
    STATE(1855), 1,
      sym_add_operator,
    STATE(8227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388828] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10229), 1,
      anon_sym_PIPE,
    STATE(8204), 1,
      aux_sym__match_cases_repeat1,
    STATE(8228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388881] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10237), 1,
      anon_sym_PIPE,
    STATE(8164), 1,
      aux_sym__match_cases_repeat1,
    STATE(8229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388934] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10264), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10266), 1,
      sym_pow_operator,
    ACTIONS(10268), 1,
      sym_mult_operator,
    ACTIONS(10270), 1,
      sym_concat_operator,
    ACTIONS(10272), 1,
      sym_rel_operator,
    ACTIONS(10274), 1,
      sym_and_operator,
    ACTIONS(10276), 1,
      sym_or_operator,
    STATE(1923), 1,
      sym_add_operator,
    STATE(8230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389001] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10284), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      sym_mult_operator,
    STATE(1766), 1,
      sym_add_operator,
    STATE(8231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389056] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10229), 1,
      anon_sym_PIPE,
    STATE(8159), 1,
      aux_sym__match_cases_repeat1,
    STATE(8232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389109] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10264), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10266), 1,
      sym_pow_operator,
    ACTIONS(10268), 1,
      sym_mult_operator,
    STATE(1923), 1,
      sym_add_operator,
    STATE(8233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389168] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10244), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10246), 1,
      sym_pow_operator,
    ACTIONS(10248), 1,
      sym_mult_operator,
    ACTIONS(10250), 1,
      sym_concat_operator,
    ACTIONS(10252), 1,
      sym_rel_operator,
    ACTIONS(10254), 1,
      sym_and_operator,
    STATE(1855), 1,
      sym_add_operator,
    STATE(8234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10091), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389233] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10266), 1,
      sym_pow_operator,
    STATE(1923), 1,
      sym_add_operator,
    STATE(8235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389286] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10237), 1,
      anon_sym_PIPE,
    STATE(8229), 1,
      aux_sym__match_cases_repeat1,
    STATE(8236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389339] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10244), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10246), 1,
      sym_pow_operator,
    ACTIONS(10248), 1,
      sym_mult_operator,
    ACTIONS(10250), 1,
      sym_concat_operator,
    ACTIONS(10252), 1,
      sym_rel_operator,
    ACTIONS(10254), 1,
      sym_and_operator,
    ACTIONS(10256), 1,
      sym_or_operator,
    STATE(1855), 1,
      sym_add_operator,
    STATE(8237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389406] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10266), 1,
      sym_pow_operator,
    STATE(1923), 1,
      sym_add_operator,
    STATE(8238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389459] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10165), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10163), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [389508] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10264), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10266), 1,
      sym_pow_operator,
    ACTIONS(10268), 1,
      sym_mult_operator,
    ACTIONS(10270), 1,
      sym_concat_operator,
    STATE(1923), 1,
      sym_add_operator,
    STATE(8240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389569] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10264), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10266), 1,
      sym_pow_operator,
    ACTIONS(10268), 1,
      sym_mult_operator,
    ACTIONS(10270), 1,
      sym_concat_operator,
    STATE(1923), 1,
      sym_add_operator,
    STATE(8241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389630] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10264), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10266), 1,
      sym_pow_operator,
    ACTIONS(10268), 1,
      sym_mult_operator,
    ACTIONS(10270), 1,
      sym_concat_operator,
    ACTIONS(10272), 1,
      sym_rel_operator,
    ACTIONS(10274), 1,
      sym_and_operator,
    STATE(1923), 1,
      sym_add_operator,
    STATE(8242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10091), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389695] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10264), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10266), 1,
      sym_pow_operator,
    ACTIONS(10268), 1,
      sym_mult_operator,
    ACTIONS(10270), 1,
      sym_concat_operator,
    ACTIONS(10272), 1,
      sym_rel_operator,
    ACTIONS(10274), 1,
      sym_and_operator,
    ACTIONS(10276), 1,
      sym_or_operator,
    STATE(1923), 1,
      sym_add_operator,
    STATE(8243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389762] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10242), 1,
      anon_sym_COMMA,
    ACTIONS(10244), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10246), 1,
      sym_pow_operator,
    ACTIONS(10248), 1,
      sym_mult_operator,
    ACTIONS(10250), 1,
      sym_concat_operator,
    ACTIONS(10252), 1,
      sym_rel_operator,
    ACTIONS(10254), 1,
      sym_and_operator,
    ACTIONS(10256), 1,
      sym_or_operator,
    ACTIONS(10258), 1,
      sym_assign_operator,
    STATE(1855), 1,
      sym_add_operator,
    STATE(8244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389833] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10262), 1,
      anon_sym_COMMA,
    ACTIONS(10264), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10266), 1,
      sym_pow_operator,
    ACTIONS(10268), 1,
      sym_mult_operator,
    ACTIONS(10270), 1,
      sym_concat_operator,
    ACTIONS(10272), 1,
      sym_rel_operator,
    ACTIONS(10274), 1,
      sym_and_operator,
    ACTIONS(10276), 1,
      sym_or_operator,
    ACTIONS(10278), 1,
      sym_assign_operator,
    STATE(1923), 1,
      sym_add_operator,
    STATE(8245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389904] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10348), 1,
      anon_sym_else,
    STATE(8007), 1,
      sym_else_clause,
    STATE(8246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389957] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10348), 1,
      anon_sym_else,
    STATE(8038), 1,
      sym_else_clause,
    STATE(8247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390010] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10246), 1,
      sym_pow_operator,
    ACTIONS(10248), 1,
      sym_mult_operator,
    STATE(1855), 1,
      sym_add_operator,
    STATE(8248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390065] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10242), 1,
      anon_sym_COMMA,
    ACTIONS(10244), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10246), 1,
      sym_pow_operator,
    ACTIONS(10248), 1,
      sym_mult_operator,
    ACTIONS(10250), 1,
      sym_concat_operator,
    ACTIONS(10252), 1,
      sym_rel_operator,
    ACTIONS(10254), 1,
      sym_and_operator,
    ACTIONS(10256), 1,
      sym_or_operator,
    ACTIONS(10258), 1,
      sym_assign_operator,
    STATE(1855), 1,
      sym_add_operator,
    STATE(8249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10157), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390136] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10266), 1,
      sym_pow_operator,
    ACTIONS(10268), 1,
      sym_mult_operator,
    STATE(1923), 1,
      sym_add_operator,
    STATE(8250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390191] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9636), 1,
      anon_sym_RPAREN,
    ACTIONS(10350), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8251), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14042), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [390282] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10352), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8252), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390333] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(8253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7982), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [390383] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10355), 1,
      anon_sym_PIPE,
    STATE(8254), 1,
      sym_attribute,
    STATE(8314), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390435] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10357), 1,
      sym_pow_operator,
    STATE(2009), 1,
      sym_add_operator,
    STATE(8255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390487] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10357), 1,
      sym_pow_operator,
    STATE(2009), 1,
      sym_add_operator,
    STATE(8256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390539] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10357), 1,
      sym_pow_operator,
    ACTIONS(10359), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10361), 1,
      sym_mult_operator,
    ACTIONS(10363), 1,
      sym_concat_operator,
    STATE(2009), 1,
      sym_add_operator,
    STATE(8257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390599] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9410), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [390647] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10357), 1,
      sym_pow_operator,
    ACTIONS(10359), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10361), 1,
      sym_mult_operator,
    ACTIONS(10363), 1,
      sym_concat_operator,
    STATE(2009), 1,
      sym_add_operator,
    STATE(8259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390707] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10357), 1,
      sym_pow_operator,
    ACTIONS(10359), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10361), 1,
      sym_mult_operator,
    ACTIONS(10363), 1,
      sym_concat_operator,
    ACTIONS(10365), 1,
      sym_rel_operator,
    ACTIONS(10367), 1,
      sym_and_operator,
    STATE(2009), 1,
      sym_add_operator,
    STATE(8260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10091), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390771] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10357), 1,
      sym_pow_operator,
    ACTIONS(10359), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10361), 1,
      sym_mult_operator,
    ACTIONS(10363), 1,
      sym_concat_operator,
    ACTIONS(10365), 1,
      sym_rel_operator,
    ACTIONS(10367), 1,
      sym_and_operator,
    ACTIONS(10369), 1,
      anon_sym_COMMA,
    ACTIONS(10371), 1,
      anon_sym_SEMI,
    ACTIONS(10373), 1,
      sym_or_operator,
    ACTIONS(10375), 1,
      sym_assign_operator,
    STATE(2009), 1,
      sym_add_operator,
    STATE(8261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8966), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8964), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390843] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10357), 1,
      sym_pow_operator,
    ACTIONS(10359), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10361), 1,
      sym_mult_operator,
    ACTIONS(10363), 1,
      sym_concat_operator,
    ACTIONS(10365), 1,
      sym_rel_operator,
    ACTIONS(10367), 1,
      sym_and_operator,
    ACTIONS(10373), 1,
      sym_or_operator,
    STATE(2009), 1,
      sym_add_operator,
    STATE(8262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390909] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10357), 1,
      sym_pow_operator,
    ACTIONS(10359), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10361), 1,
      sym_mult_operator,
    ACTIONS(10363), 1,
      sym_concat_operator,
    ACTIONS(10365), 1,
      sym_rel_operator,
    ACTIONS(10367), 1,
      sym_and_operator,
    ACTIONS(10369), 1,
      anon_sym_COMMA,
    ACTIONS(10373), 1,
      sym_or_operator,
    ACTIONS(10375), 1,
      sym_assign_operator,
    STATE(2009), 1,
      sym_add_operator,
    STATE(8263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390979] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10357), 1,
      sym_pow_operator,
    ACTIONS(10361), 1,
      sym_mult_operator,
    STATE(2009), 1,
      sym_add_operator,
    STATE(8264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391033] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10357), 1,
      sym_pow_operator,
    ACTIONS(10359), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10361), 1,
      sym_mult_operator,
    ACTIONS(10363), 1,
      sym_concat_operator,
    ACTIONS(10365), 1,
      sym_rel_operator,
    ACTIONS(10367), 1,
      sym_and_operator,
    ACTIONS(10369), 1,
      anon_sym_COMMA,
    ACTIONS(10373), 1,
      sym_or_operator,
    ACTIONS(10375), 1,
      sym_assign_operator,
    STATE(2009), 1,
      sym_add_operator,
    STATE(8265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10157), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391103] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10377), 1,
      anon_sym_COMMA,
    ACTIONS(10379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10381), 1,
      sym_pow_operator,
    ACTIONS(10383), 1,
      sym_mult_operator,
    ACTIONS(10385), 1,
      sym_concat_operator,
    ACTIONS(10387), 1,
      sym_rel_operator,
    ACTIONS(10389), 1,
      sym_and_operator,
    ACTIONS(10391), 1,
      sym_or_operator,
    ACTIONS(10393), 1,
      sym_assign_operator,
    STATE(2361), 1,
      sym_add_operator,
    STATE(8266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10183), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391173] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(409), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(471), 1,
      aux_sym_directive_token1,
    ACTIONS(741), 1,
      anon_sym_end,
    ACTIONS(10395), 1,
      anon_sym_let,
    ACTIONS(10397), 1,
      anon_sym_type,
    ACTIONS(10399), 1,
      anon_sym_exception,
    ACTIONS(10401), 1,
      anon_sym_module,
    ACTIONS(10403), 1,
      anon_sym_open,
    ACTIONS(10405), 1,
      anon_sym_include,
    ACTIONS(10407), 1,
      anon_sym_class,
    ACTIONS(10409), 1,
      sym_let_operator,
    STATE(104), 1,
      aux_sym__structure_repeat1,
    STATE(7846), 1,
      sym_directive,
    STATE(8267), 1,
      sym_attribute,
    STATE(8306), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12300), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12142), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [391257] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10357), 1,
      sym_pow_operator,
    ACTIONS(10359), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10361), 1,
      sym_mult_operator,
    ACTIONS(10363), 1,
      sym_concat_operator,
    ACTIONS(10365), 1,
      sym_rel_operator,
    ACTIONS(10367), 1,
      sym_and_operator,
    ACTIONS(10369), 1,
      anon_sym_COMMA,
    ACTIONS(10373), 1,
      sym_or_operator,
    ACTIONS(10375), 1,
      sym_assign_operator,
    STATE(2009), 1,
      sym_add_operator,
    STATE(8268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10183), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391327] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(409), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(471), 1,
      aux_sym_directive_token1,
    ACTIONS(739), 1,
      anon_sym_end,
    ACTIONS(10395), 1,
      anon_sym_let,
    ACTIONS(10397), 1,
      anon_sym_type,
    ACTIONS(10399), 1,
      anon_sym_exception,
    ACTIONS(10401), 1,
      anon_sym_module,
    ACTIONS(10403), 1,
      anon_sym_open,
    ACTIONS(10405), 1,
      anon_sym_include,
    ACTIONS(10407), 1,
      anon_sym_class,
    ACTIONS(10409), 1,
      sym_let_operator,
    STATE(105), 1,
      aux_sym__structure_repeat1,
    STATE(7846), 1,
      sym_directive,
    STATE(8267), 1,
      aux_sym__structure_repeat2,
    STATE(8269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12300), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12142), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [391411] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(409), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(471), 1,
      aux_sym_directive_token1,
    ACTIONS(741), 1,
      anon_sym_end,
    ACTIONS(10395), 1,
      anon_sym_let,
    ACTIONS(10397), 1,
      anon_sym_type,
    ACTIONS(10399), 1,
      anon_sym_exception,
    ACTIONS(10401), 1,
      anon_sym_module,
    ACTIONS(10403), 1,
      anon_sym_open,
    ACTIONS(10405), 1,
      anon_sym_include,
    ACTIONS(10407), 1,
      anon_sym_class,
    ACTIONS(10409), 1,
      sym_let_operator,
    STATE(104), 1,
      aux_sym__structure_repeat1,
    STATE(7846), 1,
      sym_directive,
    STATE(8270), 1,
      sym_attribute,
    STATE(8308), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12300), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12142), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [391495] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(8271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7982), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [391545] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10298), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10300), 1,
      sym_pow_operator,
    ACTIONS(10302), 1,
      sym_mult_operator,
    ACTIONS(10304), 1,
      sym_concat_operator,
    ACTIONS(10306), 1,
      sym_rel_operator,
    ACTIONS(10308), 1,
      sym_and_operator,
    ACTIONS(10310), 1,
      sym_or_operator,
    ACTIONS(10316), 1,
      anon_sym_COMMA,
    ACTIONS(10318), 1,
      sym_assign_operator,
    ACTIONS(10411), 1,
      anon_sym_SEMI,
    STATE(2355), 1,
      sym_add_operator,
    STATE(8272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8966), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8964), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9430), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9428), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [391665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [391713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8474), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8472), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [391761] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(35), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(119), 1,
      aux_sym_directive_token1,
    ACTIONS(741), 1,
      anon_sym_RBRACK,
    ACTIONS(10403), 1,
      anon_sym_open,
    ACTIONS(10405), 1,
      anon_sym_include,
    ACTIONS(10413), 1,
      anon_sym_let,
    ACTIONS(10415), 1,
      anon_sym_type,
    ACTIONS(10417), 1,
      anon_sym_exception,
    ACTIONS(10419), 1,
      anon_sym_module,
    ACTIONS(10421), 1,
      anon_sym_class,
    ACTIONS(10423), 1,
      sym_let_operator,
    STATE(102), 1,
      aux_sym__structure_repeat1,
    STATE(7893), 1,
      sym_directive,
    STATE(8276), 1,
      sym_attribute,
    STATE(8281), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12300), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12142), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [391845] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(8277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7982), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [391895] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(35), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(119), 1,
      aux_sym_directive_token1,
    ACTIONS(739), 1,
      anon_sym_RBRACK,
    ACTIONS(10403), 1,
      anon_sym_open,
    ACTIONS(10405), 1,
      anon_sym_include,
    ACTIONS(10413), 1,
      anon_sym_let,
    ACTIONS(10415), 1,
      anon_sym_type,
    ACTIONS(10417), 1,
      anon_sym_exception,
    ACTIONS(10419), 1,
      anon_sym_module,
    ACTIONS(10421), 1,
      anon_sym_class,
    ACTIONS(10423), 1,
      sym_let_operator,
    STATE(100), 1,
      aux_sym__structure_repeat1,
    STATE(7893), 1,
      sym_directive,
    STATE(8278), 1,
      sym_attribute,
    STATE(8301), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12300), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12142), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [391979] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10280), 1,
      anon_sym_COMMA,
    ACTIONS(10282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10284), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      sym_mult_operator,
    ACTIONS(10288), 1,
      sym_concat_operator,
    ACTIONS(10290), 1,
      sym_rel_operator,
    ACTIONS(10292), 1,
      sym_and_operator,
    ACTIONS(10294), 1,
      sym_or_operator,
    ACTIONS(10296), 1,
      sym_assign_operator,
    ACTIONS(10425), 1,
      anon_sym_SEMI,
    STATE(1766), 1,
      sym_add_operator,
    STATE(8279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8966), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8964), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392051] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10427), 1,
      anon_sym_PIPE,
    STATE(8280), 1,
      sym_attribute,
    STATE(8303), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392103] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(35), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(119), 1,
      aux_sym_directive_token1,
    ACTIONS(795), 1,
      anon_sym_RBRACK,
    ACTIONS(10403), 1,
      anon_sym_open,
    ACTIONS(10405), 1,
      anon_sym_include,
    ACTIONS(10413), 1,
      anon_sym_let,
    ACTIONS(10415), 1,
      anon_sym_type,
    ACTIONS(10417), 1,
      anon_sym_exception,
    ACTIONS(10419), 1,
      anon_sym_module,
    ACTIONS(10421), 1,
      anon_sym_class,
    ACTIONS(10423), 1,
      sym_let_operator,
    STATE(97), 1,
      aux_sym__structure_repeat1,
    STATE(7893), 1,
      sym_directive,
    STATE(8281), 1,
      sym_attribute,
    STATE(8312), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12300), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12142), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [392187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9440), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9438), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [392235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [392283] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2361), 1,
      sym_add_operator,
    STATE(8284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392333] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10381), 1,
      sym_pow_operator,
    ACTIONS(10383), 1,
      sym_mult_operator,
    ACTIONS(10385), 1,
      sym_concat_operator,
    ACTIONS(10387), 1,
      sym_rel_operator,
    ACTIONS(10389), 1,
      sym_and_operator,
    ACTIONS(10391), 1,
      sym_or_operator,
    STATE(2361), 1,
      sym_add_operator,
    STATE(8285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392399] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10381), 1,
      sym_pow_operator,
    ACTIONS(10383), 1,
      sym_mult_operator,
    STATE(2361), 1,
      sym_add_operator,
    STATE(8286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392457] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(8287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7982), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [392507] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10381), 1,
      sym_pow_operator,
    STATE(2361), 1,
      sym_add_operator,
    STATE(8288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392559] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10355), 1,
      anon_sym_PIPE,
    STATE(8254), 1,
      aux_sym__match_cases_repeat1,
    STATE(8289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392611] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10381), 1,
      sym_pow_operator,
    STATE(2361), 1,
      sym_add_operator,
    STATE(8290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392663] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10381), 1,
      sym_pow_operator,
    ACTIONS(10383), 1,
      sym_mult_operator,
    ACTIONS(10385), 1,
      sym_concat_operator,
    STATE(2361), 1,
      sym_add_operator,
    STATE(8291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392723] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10381), 1,
      sym_pow_operator,
    ACTIONS(10383), 1,
      sym_mult_operator,
    ACTIONS(10385), 1,
      sym_concat_operator,
    STATE(2361), 1,
      sym_add_operator,
    STATE(8292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392783] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10381), 1,
      sym_pow_operator,
    ACTIONS(10383), 1,
      sym_mult_operator,
    ACTIONS(10385), 1,
      sym_concat_operator,
    ACTIONS(10387), 1,
      sym_rel_operator,
    ACTIONS(10389), 1,
      sym_and_operator,
    STATE(2361), 1,
      sym_add_operator,
    STATE(8293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10091), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [392895] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10381), 1,
      sym_pow_operator,
    ACTIONS(10383), 1,
      sym_mult_operator,
    ACTIONS(10385), 1,
      sym_concat_operator,
    ACTIONS(10387), 1,
      sym_rel_operator,
    ACTIONS(10389), 1,
      sym_and_operator,
    ACTIONS(10391), 1,
      sym_or_operator,
    STATE(2361), 1,
      sym_add_operator,
    STATE(8295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392961] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10357), 1,
      sym_pow_operator,
    ACTIONS(10359), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10361), 1,
      sym_mult_operator,
    ACTIONS(10363), 1,
      sym_concat_operator,
    ACTIONS(10365), 1,
      sym_rel_operator,
    ACTIONS(10367), 1,
      sym_and_operator,
    ACTIONS(10373), 1,
      sym_or_operator,
    STATE(2009), 1,
      sym_add_operator,
    STATE(8296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393027] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10377), 1,
      anon_sym_COMMA,
    ACTIONS(10379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10381), 1,
      sym_pow_operator,
    ACTIONS(10383), 1,
      sym_mult_operator,
    ACTIONS(10385), 1,
      sym_concat_operator,
    ACTIONS(10387), 1,
      sym_rel_operator,
    ACTIONS(10389), 1,
      sym_and_operator,
    ACTIONS(10391), 1,
      sym_or_operator,
    ACTIONS(10393), 1,
      sym_assign_operator,
    STATE(2361), 1,
      sym_add_operator,
    STATE(8297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393097] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(10435), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10437), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8298), 1,
      sym_attribute,
    STATE(8777), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10433), 2,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10429), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [393155] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10381), 1,
      sym_pow_operator,
    ACTIONS(10383), 1,
      sym_mult_operator,
    STATE(2361), 1,
      sym_add_operator,
    STATE(8299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393209] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10377), 1,
      anon_sym_COMMA,
    ACTIONS(10379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10381), 1,
      sym_pow_operator,
    ACTIONS(10383), 1,
      sym_mult_operator,
    ACTIONS(10385), 1,
      sym_concat_operator,
    ACTIONS(10387), 1,
      sym_rel_operator,
    ACTIONS(10389), 1,
      sym_and_operator,
    ACTIONS(10391), 1,
      sym_or_operator,
    ACTIONS(10393), 1,
      sym_assign_operator,
    STATE(2361), 1,
      sym_add_operator,
    STATE(8300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10157), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393279] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(35), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(119), 1,
      aux_sym_directive_token1,
    ACTIONS(741), 1,
      anon_sym_RBRACK,
    ACTIONS(10403), 1,
      anon_sym_open,
    ACTIONS(10405), 1,
      anon_sym_include,
    ACTIONS(10413), 1,
      anon_sym_let,
    ACTIONS(10415), 1,
      anon_sym_type,
    ACTIONS(10417), 1,
      anon_sym_exception,
    ACTIONS(10419), 1,
      anon_sym_module,
    ACTIONS(10421), 1,
      anon_sym_class,
    ACTIONS(10423), 1,
      sym_let_operator,
    STATE(102), 1,
      aux_sym__structure_repeat1,
    STATE(7893), 1,
      sym_directive,
    STATE(8301), 1,
      sym_attribute,
    STATE(8312), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12300), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12142), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [393363] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2009), 1,
      sym_add_operator,
    STATE(8302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393413] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10427), 1,
      anon_sym_PIPE,
    STATE(8303), 1,
      sym_attribute,
    STATE(8305), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393465] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10427), 1,
      anon_sym_PIPE,
    STATE(8304), 1,
      sym_attribute,
    STATE(8305), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393517] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10439), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8305), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393567] = 22,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10442), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10445), 1,
      anon_sym_let,
    ACTIONS(10448), 1,
      anon_sym_external,
    ACTIONS(10451), 1,
      anon_sym_type,
    ACTIONS(10454), 1,
      anon_sym_exception,
    ACTIONS(10457), 1,
      anon_sym_module,
    ACTIONS(10460), 1,
      anon_sym_open,
    ACTIONS(10463), 1,
      anon_sym_include,
    ACTIONS(10466), 1,
      anon_sym_class,
    ACTIONS(10469), 1,
      anon_sym_end,
    ACTIONS(10471), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(10474), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(10477), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10480), 1,
      sym_let_operator,
    ACTIONS(10483), 1,
      aux_sym_directive_token1,
    STATE(109), 1,
      aux_sym__structure_repeat1,
    STATE(7846), 1,
      sym_directive,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8306), 2,
      sym_attribute,
      aux_sym__structure_repeat2,
    STATE(12300), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12142), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [393649] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10355), 1,
      anon_sym_PIPE,
    STATE(8307), 1,
      sym_attribute,
    STATE(8309), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393701] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(409), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(471), 1,
      aux_sym_directive_token1,
    ACTIONS(795), 1,
      anon_sym_end,
    ACTIONS(10395), 1,
      anon_sym_let,
    ACTIONS(10397), 1,
      anon_sym_type,
    ACTIONS(10399), 1,
      anon_sym_exception,
    ACTIONS(10401), 1,
      anon_sym_module,
    ACTIONS(10403), 1,
      anon_sym_open,
    ACTIONS(10405), 1,
      anon_sym_include,
    ACTIONS(10407), 1,
      anon_sym_class,
    ACTIONS(10409), 1,
      sym_let_operator,
    STATE(103), 1,
      aux_sym__structure_repeat1,
    STATE(7846), 1,
      sym_directive,
    STATE(8306), 1,
      aux_sym__structure_repeat2,
    STATE(8308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12300), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12142), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [393785] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10355), 1,
      anon_sym_PIPE,
    STATE(8309), 1,
      sym_attribute,
    STATE(8314), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393837] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10357), 1,
      sym_pow_operator,
    ACTIONS(10359), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10361), 1,
      sym_mult_operator,
    STATE(2009), 1,
      sym_add_operator,
    STATE(8310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393895] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10377), 1,
      anon_sym_COMMA,
    ACTIONS(10379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10381), 1,
      sym_pow_operator,
    ACTIONS(10383), 1,
      sym_mult_operator,
    ACTIONS(10385), 1,
      sym_concat_operator,
    ACTIONS(10387), 1,
      sym_rel_operator,
    ACTIONS(10389), 1,
      sym_and_operator,
    ACTIONS(10391), 1,
      sym_or_operator,
    ACTIONS(10393), 1,
      sym_assign_operator,
    ACTIONS(10486), 1,
      anon_sym_SEMI,
    STATE(2361), 1,
      sym_add_operator,
    STATE(8311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8966), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8964), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393967] = 22,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10442), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10448), 1,
      anon_sym_external,
    ACTIONS(10460), 1,
      anon_sym_open,
    ACTIONS(10463), 1,
      anon_sym_include,
    ACTIONS(10469), 1,
      anon_sym_RBRACK,
    ACTIONS(10471), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(10474), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(10477), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10488), 1,
      anon_sym_let,
    ACTIONS(10491), 1,
      anon_sym_type,
    ACTIONS(10494), 1,
      anon_sym_exception,
    ACTIONS(10497), 1,
      anon_sym_module,
    ACTIONS(10500), 1,
      anon_sym_class,
    ACTIONS(10503), 1,
      sym_let_operator,
    ACTIONS(10506), 1,
      aux_sym_directive_token1,
    STATE(110), 1,
      aux_sym__structure_repeat1,
    STATE(7893), 1,
      sym_directive,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8312), 2,
      sym_attribute,
      aux_sym__structure_repeat2,
    STATE(12300), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12142), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [394049] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10427), 1,
      anon_sym_PIPE,
    STATE(8304), 1,
      aux_sym__match_cases_repeat1,
    STATE(8313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [394101] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10509), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8314), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [394151] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8050), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [394198] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10512), 1,
      sym_pow_operator,
    ACTIONS(10514), 1,
      sym_mult_operator,
    STATE(1922), 1,
      sym_add_operator,
    STATE(8316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [394251] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10516), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8317), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15876), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [394336] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10518), 1,
      sym__lowercase_identifier,
    ACTIONS(10520), 1,
      anon_sym_LPAREN,
    ACTIONS(10522), 1,
      anon_sym_private,
    ACTIONS(10524), 1,
      anon_sym_LBRACK,
    ACTIONS(10526), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10528), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10530), 1,
      anon_sym_LT,
    ACTIONS(10532), 1,
      anon_sym_POUND,
    ACTIONS(10534), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10536), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10538), 1,
      aux_sym_type_variable_token1,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8318), 1,
      sym_attribute,
    STATE(12765), 1,
      sym__simple_type,
    STATE(13304), 1,
      sym__tuple_type,
    STATE(13616), 1,
      sym__type,
    STATE(16780), 1,
      sym_extended_module_path,
    STATE(19862), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13030), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [394421] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10540), 1,
      sym__lowercase_identifier,
    ACTIONS(10542), 1,
      anon_sym_LPAREN,
    ACTIONS(10544), 1,
      anon_sym_private,
    ACTIONS(10546), 1,
      anon_sym_LBRACK,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10552), 1,
      anon_sym_LT,
    ACTIONS(10554), 1,
      anon_sym_POUND,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10558), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10560), 1,
      aux_sym_type_variable_token1,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8319), 1,
      sym_attribute,
    STATE(8966), 1,
      sym__simple_type,
    STATE(10298), 1,
      sym__tuple_type,
    STATE(10678), 1,
      sym__type,
    STATE(17040), 1,
      sym_extended_module_path,
    STATE(17529), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9587), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [394506] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10562), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8320), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14137), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [394591] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10566), 1,
      sym_pow_operator,
    ACTIONS(10568), 1,
      sym_mult_operator,
    ACTIONS(10570), 1,
      sym_concat_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(8321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [394650] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10566), 1,
      sym_pow_operator,
    ACTIONS(10568), 1,
      sym_mult_operator,
    ACTIONS(10570), 1,
      sym_concat_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(8322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [394709] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10566), 1,
      sym_pow_operator,
    ACTIONS(10568), 1,
      sym_mult_operator,
    ACTIONS(10570), 1,
      sym_concat_operator,
    ACTIONS(10572), 1,
      sym_rel_operator,
    ACTIONS(10574), 1,
      sym_and_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(8323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10091), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [394772] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10566), 1,
      sym_pow_operator,
    ACTIONS(10568), 1,
      sym_mult_operator,
    ACTIONS(10570), 1,
      sym_concat_operator,
    ACTIONS(10572), 1,
      sym_rel_operator,
    ACTIONS(10574), 1,
      sym_and_operator,
    ACTIONS(10576), 1,
      sym_or_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(8324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [394837] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10512), 1,
      sym_pow_operator,
    ACTIONS(10514), 1,
      sym_mult_operator,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10580), 1,
      sym_concat_operator,
    STATE(1922), 1,
      sym_add_operator,
    STATE(8325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [394896] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10566), 1,
      sym_pow_operator,
    ACTIONS(10568), 1,
      sym_mult_operator,
    ACTIONS(10570), 1,
      sym_concat_operator,
    ACTIONS(10572), 1,
      sym_rel_operator,
    ACTIONS(10574), 1,
      sym_and_operator,
    ACTIONS(10576), 1,
      sym_or_operator,
    ACTIONS(10582), 1,
      anon_sym_COMMA,
    ACTIONS(10584), 1,
      sym_assign_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(8326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [394965] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10586), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8327), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14980), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [395050] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9250), 1,
      sym__lowercase_identifier,
    ACTIONS(9264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9268), 1,
      anon_sym_LT,
    ACTIONS(9270), 1,
      anon_sym_POUND,
    ACTIONS(9272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10588), 1,
      anon_sym_LPAREN,
    ACTIONS(10590), 1,
      anon_sym_private,
    ACTIONS(10592), 1,
      anon_sym_LBRACK,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8328), 1,
      sym_attribute,
    STATE(9322), 1,
      sym__simple_type,
    STATE(10768), 1,
      sym__tuple_type,
    STATE(11007), 1,
      sym__type,
    STATE(17248), 1,
      sym_extended_module_path,
    STATE(19439), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9485), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [395135] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10594), 1,
      sym__lowercase_identifier,
    ACTIONS(10596), 1,
      anon_sym_LPAREN,
    ACTIONS(10598), 1,
      anon_sym_private,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    ACTIONS(10602), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10606), 1,
      anon_sym_LT,
    ACTIONS(10608), 1,
      anon_sym_POUND,
    ACTIONS(10610), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10612), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10614), 1,
      aux_sym_type_variable_token1,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8329), 1,
      sym_attribute,
    STATE(8820), 1,
      sym__simple_type,
    STATE(9873), 1,
      sym__tuple_type,
    STATE(10020), 1,
      sym__type,
    STATE(17239), 1,
      sym_extended_module_path,
    STATE(19736), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9131), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [395220] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10566), 1,
      sym_pow_operator,
    ACTIONS(10568), 1,
      sym_mult_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(8330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [395273] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10566), 1,
      sym_pow_operator,
    ACTIONS(10568), 1,
      sym_mult_operator,
    ACTIONS(10570), 1,
      sym_concat_operator,
    ACTIONS(10572), 1,
      sym_rel_operator,
    ACTIONS(10574), 1,
      sym_and_operator,
    ACTIONS(10576), 1,
      sym_or_operator,
    ACTIONS(10582), 1,
      anon_sym_COMMA,
    ACTIONS(10584), 1,
      sym_assign_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(8331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10157), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [395342] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10616), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8332), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15048), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [395427] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10357), 1,
      sym_pow_operator,
    ACTIONS(10359), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10361), 1,
      sym_mult_operator,
    ACTIONS(10363), 1,
      sym_concat_operator,
    ACTIONS(10365), 1,
      sym_rel_operator,
    ACTIONS(10367), 1,
      sym_and_operator,
    ACTIONS(10369), 1,
      anon_sym_COMMA,
    ACTIONS(10373), 1,
      sym_or_operator,
    ACTIONS(10375), 1,
      sym_assign_operator,
    ACTIONS(10618), 1,
      anon_sym_SEMI,
    STATE(2009), 1,
      sym_add_operator,
    STATE(8333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8964), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [395498] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10620), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8334), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14038), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [395583] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10512), 1,
      sym_pow_operator,
    ACTIONS(10514), 1,
      sym_mult_operator,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10580), 1,
      sym_concat_operator,
    ACTIONS(10622), 1,
      anon_sym_COMMA,
    ACTIONS(10624), 1,
      sym_rel_operator,
    ACTIONS(10626), 1,
      sym_and_operator,
    ACTIONS(10628), 1,
      sym_or_operator,
    ACTIONS(10630), 1,
      sym_assign_operator,
    STATE(1922), 1,
      sym_add_operator,
    STATE(8335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10157), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [395652] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10632), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8336), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15409), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [395737] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1922), 1,
      sym_add_operator,
    STATE(8337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [395786] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10512), 1,
      sym_pow_operator,
    ACTIONS(10514), 1,
      sym_mult_operator,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10580), 1,
      sym_concat_operator,
    ACTIONS(10622), 1,
      anon_sym_COMMA,
    ACTIONS(10624), 1,
      sym_rel_operator,
    ACTIONS(10626), 1,
      sym_and_operator,
    ACTIONS(10628), 1,
      sym_or_operator,
    ACTIONS(10630), 1,
      sym_assign_operator,
    ACTIONS(10634), 1,
      anon_sym_SEMI,
    STATE(1922), 1,
      sym_add_operator,
    STATE(8338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8964), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [395857] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10636), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8339), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14088), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [395942] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1780), 1,
      sym_add_operator,
    STATE(8340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [395991] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10326), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8341), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14130), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396076] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10638), 1,
      anon_sym_else,
    STATE(8038), 1,
      sym_else_clause,
    STATE(8342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [396127] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10312), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8343), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15298), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396212] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10344), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8344), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14111), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396297] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10620), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8345), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15047), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396382] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10640), 1,
      anon_sym_PIPE,
    STATE(8346), 1,
      sym_attribute,
    STATE(8407), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [396433] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7998), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [396480] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10642), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8348), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15187), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396565] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10644), 1,
      anon_sym_else,
    STATE(8007), 1,
      sym_else_clause,
    STATE(8349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [396616] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10616), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8350), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14101), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396701] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10512), 1,
      sym_pow_operator,
    ACTIONS(10514), 1,
      sym_mult_operator,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10580), 1,
      sym_concat_operator,
    ACTIONS(10624), 1,
      sym_rel_operator,
    ACTIONS(10626), 1,
      sym_and_operator,
    ACTIONS(10628), 1,
      sym_or_operator,
    STATE(1922), 1,
      sym_add_operator,
    STATE(8351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [396766] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10640), 1,
      anon_sym_PIPE,
    STATE(8352), 1,
      sym_attribute,
    STATE(8412), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [396817] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8116), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [396864] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10644), 1,
      anon_sym_else,
    STATE(8038), 1,
      sym_else_clause,
    STATE(8354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [396915] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9214), 1,
      sym__lowercase_identifier,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9232), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9234), 1,
      anon_sym_LT,
    ACTIONS(9236), 1,
      anon_sym_POUND,
    ACTIONS(9238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9240), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9244), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10646), 1,
      anon_sym_LPAREN,
    ACTIONS(10648), 1,
      anon_sym_private,
    ACTIONS(10650), 1,
      anon_sym_LBRACK,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8355), 1,
      sym_attribute,
    STATE(8962), 1,
      sym__simple_type,
    STATE(10511), 1,
      sym__tuple_type,
    STATE(10754), 1,
      sym__type,
    STATE(17383), 1,
      sym_extended_module_path,
    STATE(20134), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397000] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10652), 1,
      anon_sym_COLON,
    STATE(8356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 15,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 16,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [397049] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10654), 1,
      anon_sym_else,
    STATE(8007), 1,
      sym_else_clause,
    STATE(8357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [397100] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10326), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8358), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14939), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397185] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10654), 1,
      anon_sym_else,
    STATE(8038), 1,
      sym_else_clause,
    STATE(8359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [397236] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10636), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8360), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15510), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397321] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10656), 1,
      sym__lowercase_identifier,
    ACTIONS(10658), 1,
      anon_sym_LPAREN,
    ACTIONS(10660), 1,
      anon_sym_private,
    ACTIONS(10662), 1,
      anon_sym_LBRACK,
    ACTIONS(10664), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10666), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10668), 1,
      anon_sym_LT,
    ACTIONS(10670), 1,
      anon_sym_POUND,
    ACTIONS(10672), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10674), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10676), 1,
      aux_sym_type_variable_token1,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8361), 1,
      sym_attribute,
    STATE(8846), 1,
      sym__simple_type,
    STATE(9981), 1,
      sym__tuple_type,
    STATE(10322), 1,
      sym__type,
    STATE(16531), 1,
      sym_extended_module_path,
    STATE(18545), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9265), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397406] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10678), 1,
      anon_sym_PIPE,
    STATE(8362), 1,
      sym_attribute,
    STATE(8368), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [397457] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10512), 1,
      sym_pow_operator,
    ACTIONS(10514), 1,
      sym_mult_operator,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    STATE(1922), 1,
      sym_add_operator,
    STATE(8363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [397514] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10512), 1,
      sym_pow_operator,
    ACTIONS(10514), 1,
      sym_mult_operator,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10580), 1,
      sym_concat_operator,
    STATE(1922), 1,
      sym_add_operator,
    STATE(8364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [397573] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10566), 1,
      sym_pow_operator,
    ACTIONS(10568), 1,
      sym_mult_operator,
    ACTIONS(10570), 1,
      sym_concat_operator,
    ACTIONS(10572), 1,
      sym_rel_operator,
    ACTIONS(10574), 1,
      sym_and_operator,
    ACTIONS(10576), 1,
      sym_or_operator,
    ACTIONS(10582), 1,
      anon_sym_COMMA,
    ACTIONS(10584), 1,
      sym_assign_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(8365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10183), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [397642] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10562), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8366), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15995), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397727] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10678), 1,
      anon_sym_PIPE,
    STATE(8367), 1,
      sym_attribute,
    STATE(8368), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [397778] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10680), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8368), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [397827] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10683), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8369), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14119), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397912] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10685), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8370), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(16002), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397997] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10687), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8371), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15071), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398082] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10689), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8372), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14066), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398167] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7998), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [398214] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10344), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8374), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15101), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398299] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10377), 1,
      anon_sym_COMMA,
    ACTIONS(10379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10381), 1,
      sym_pow_operator,
    ACTIONS(10383), 1,
      sym_mult_operator,
    ACTIONS(10385), 1,
      sym_concat_operator,
    ACTIONS(10387), 1,
      sym_rel_operator,
    ACTIONS(10389), 1,
      sym_and_operator,
    ACTIONS(10391), 1,
      sym_or_operator,
    ACTIONS(10393), 1,
      sym_assign_operator,
    ACTIONS(10691), 1,
      anon_sym_SEMI,
    STATE(2361), 1,
      sym_add_operator,
    STATE(8375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8964), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [398370] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10693), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8376), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14179), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398455] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10642), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8377), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14250), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398540] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10695), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8378), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14099), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398625] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(8379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7982), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [398674] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10697), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8380), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14213), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398759] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10699), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8381), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14045), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398844] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    ACTIONS(10701), 1,
      anon_sym_AMP,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8382), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(13395), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398929] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10703), 1,
      anon_sym_else,
    STATE(8007), 1,
      sym_else_clause,
    STATE(8383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [398980] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10350), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8384), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15422), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399065] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10683), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8385), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399150] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10512), 1,
      sym_pow_operator,
    ACTIONS(10514), 1,
      sym_mult_operator,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10580), 1,
      sym_concat_operator,
    ACTIONS(10622), 1,
      anon_sym_COMMA,
    ACTIONS(10624), 1,
      sym_rel_operator,
    ACTIONS(10626), 1,
      sym_and_operator,
    ACTIONS(10628), 1,
      sym_or_operator,
    ACTIONS(10630), 1,
      sym_assign_operator,
    STATE(1922), 1,
      sym_add_operator,
    STATE(8386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10183), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [399219] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8050), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [399266] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(8388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7982), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [399315] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10512), 1,
      sym_pow_operator,
    ACTIONS(10514), 1,
      sym_mult_operator,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10580), 1,
      sym_concat_operator,
    ACTIONS(10624), 1,
      sym_rel_operator,
    ACTIONS(10626), 1,
      sym_and_operator,
    STATE(1922), 1,
      sym_add_operator,
    STATE(8389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10091), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [399378] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10695), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8390), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15748), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399463] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9284), 1,
      sym__lowercase_identifier,
    ACTIONS(9298), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9300), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9302), 1,
      anon_sym_LT,
    ACTIONS(9304), 1,
      anon_sym_POUND,
    ACTIONS(9306), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9308), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9310), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10705), 1,
      anon_sym_LPAREN,
    ACTIONS(10707), 1,
      anon_sym_private,
    ACTIONS(10709), 1,
      anon_sym_LBRACK,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8391), 1,
      sym_attribute,
    STATE(9039), 1,
      sym__simple_type,
    STATE(10551), 1,
      sym__tuple_type,
    STATE(10615), 1,
      sym__type,
    STATE(16601), 1,
      sym_extended_module_path,
    STATE(17590), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399548] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10711), 1,
      sym__lowercase_identifier,
    ACTIONS(10713), 1,
      anon_sym_LPAREN,
    ACTIONS(10715), 1,
      anon_sym_private,
    ACTIONS(10717), 1,
      anon_sym_LBRACK,
    ACTIONS(10719), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10721), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10723), 1,
      anon_sym_LT,
    ACTIONS(10725), 1,
      anon_sym_POUND,
    ACTIONS(10727), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10729), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10731), 1,
      aux_sym_type_variable_token1,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8392), 1,
      sym_attribute,
    STATE(8816), 1,
      sym__simple_type,
    STATE(9869), 1,
      sym__tuple_type,
    STATE(10176), 1,
      sym__type,
    STATE(17191), 1,
      sym_extended_module_path,
    STATE(18591), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(8939), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399633] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10689), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8393), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15565), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399718] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10350), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8394), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14042), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399803] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10699), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8395), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15294), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8116), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [399935] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10512), 1,
      sym_pow_operator,
    ACTIONS(10514), 1,
      sym_mult_operator,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10580), 1,
      sym_concat_operator,
    ACTIONS(10624), 1,
      sym_rel_operator,
    ACTIONS(10626), 1,
      sym_and_operator,
    ACTIONS(10628), 1,
      sym_or_operator,
    STATE(1922), 1,
      sym_add_operator,
    STATE(8397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [400000] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10733), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8398), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14144), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [400085] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10697), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8399), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(16146), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [400170] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(8400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7982), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [400219] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10638), 1,
      anon_sym_else,
    STATE(8007), 1,
      sym_else_clause,
    STATE(8401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [400270] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10512), 1,
      sym_pow_operator,
    STATE(1922), 1,
      sym_add_operator,
    STATE(8402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [400321] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10566), 1,
      sym_pow_operator,
    ACTIONS(10568), 1,
      sym_mult_operator,
    ACTIONS(10570), 1,
      sym_concat_operator,
    ACTIONS(10572), 1,
      sym_rel_operator,
    ACTIONS(10574), 1,
      sym_and_operator,
    ACTIONS(10576), 1,
      sym_or_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(8403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [400386] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10566), 1,
      sym_pow_operator,
    ACTIONS(10568), 1,
      sym_mult_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(8404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [400443] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(8405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7982), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [400492] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10312), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8406), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [400577] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10640), 1,
      anon_sym_PIPE,
    STATE(8407), 1,
      sym_attribute,
    STATE(8413), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [400628] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10703), 1,
      anon_sym_else,
    STATE(8038), 1,
      sym_else_clause,
    STATE(8408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [400679] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10566), 1,
      sym_pow_operator,
    ACTIONS(10568), 1,
      sym_mult_operator,
    ACTIONS(10570), 1,
      sym_concat_operator,
    ACTIONS(10572), 1,
      sym_rel_operator,
    ACTIONS(10574), 1,
      sym_and_operator,
    ACTIONS(10576), 1,
      sym_or_operator,
    ACTIONS(10582), 1,
      anon_sym_COMMA,
    ACTIONS(10584), 1,
      sym_assign_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(8409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10221), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10219), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [400748] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(10435), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10437), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10737), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(8410), 1,
      sym_attribute,
    STATE(8777), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10735), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [400805] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7958), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [400852] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10640), 1,
      anon_sym_PIPE,
    STATE(8412), 1,
      sym_attribute,
    STATE(8413), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [400903] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10739), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8413), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [400952] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10566), 1,
      sym_pow_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(8414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [401003] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10566), 1,
      sym_pow_operator,
    ACTIONS(10568), 1,
      sym_mult_operator,
    ACTIONS(10570), 1,
      sym_concat_operator,
    ACTIONS(10572), 1,
      sym_rel_operator,
    ACTIONS(10574), 1,
      sym_and_operator,
    ACTIONS(10576), 1,
      sym_or_operator,
    ACTIONS(10582), 1,
      anon_sym_COMMA,
    ACTIONS(10584), 1,
      sym_assign_operator,
    ACTIONS(10742), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(8415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8964), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [401074] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10744), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8416), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14226), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401159] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10566), 1,
      sym_pow_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(8417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [401210] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9316), 1,
      sym__lowercase_identifier,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10746), 1,
      anon_sym_LPAREN,
    ACTIONS(10748), 1,
      anon_sym_private,
    ACTIONS(10750), 1,
      anon_sym_LBRACK,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8418), 1,
      sym_attribute,
    STATE(9659), 1,
      sym__simple_type,
    STATE(10955), 1,
      sym__tuple_type,
    STATE(11150), 1,
      sym__type,
    STATE(16988), 1,
      sym_extended_module_path,
    STATE(19645), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9808), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401295] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10733), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8419), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15782), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401380] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10632), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8420), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14068), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401465] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10678), 1,
      anon_sym_PIPE,
    STATE(8362), 1,
      aux_sym__match_cases_repeat1,
    STATE(8421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [401516] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7958), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [401563] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10693), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8423), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14940), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401648] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10678), 1,
      anon_sym_PIPE,
    STATE(8367), 1,
      aux_sym__match_cases_repeat1,
    STATE(8424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [401699] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8116), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [401746] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10516), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8426), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14172), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401831] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10687), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8427), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14215), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401916] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10744), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8428), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15344), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402001] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10586), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8429), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14090), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402086] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10752), 1,
      sym__lowercase_identifier,
    ACTIONS(10754), 1,
      anon_sym_LPAREN,
    ACTIONS(10756), 1,
      anon_sym_private,
    ACTIONS(10758), 1,
      anon_sym_LBRACK,
    ACTIONS(10760), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10762), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10764), 1,
      anon_sym_LT,
    ACTIONS(10766), 1,
      anon_sym_POUND,
    ACTIONS(10768), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10770), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10772), 1,
      aux_sym_type_variable_token1,
    STATE(8430), 1,
      sym_attribute,
    STATE(12551), 1,
      sym__simple_type,
    STATE(12772), 1,
      sym_tuple_type,
    STATE(13066), 1,
      sym__tuple_type,
    STATE(13106), 1,
      sym__type,
    STATE(17293), 1,
      sym_extended_module_path,
    STATE(17573), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12817), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12742), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402171] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10512), 1,
      sym_pow_operator,
    STATE(1922), 1,
      sym_add_operator,
    STATE(8431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [402222] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10512), 1,
      sym_pow_operator,
    ACTIONS(10514), 1,
      sym_mult_operator,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10580), 1,
      sym_concat_operator,
    ACTIONS(10622), 1,
      anon_sym_COMMA,
    ACTIONS(10624), 1,
      sym_rel_operator,
    ACTIONS(10626), 1,
      sym_and_operator,
    ACTIONS(10628), 1,
      sym_or_operator,
    ACTIONS(10630), 1,
      sym_assign_operator,
    STATE(1922), 1,
      sym_add_operator,
    STATE(8432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [402291] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7611), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10685), 1,
      anon_sym_module,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8433), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14198), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402376] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10512), 1,
      sym_pow_operator,
    ACTIONS(10514), 1,
      sym_mult_operator,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10580), 1,
      sym_concat_operator,
    ACTIONS(10622), 1,
      anon_sym_COMMA,
    ACTIONS(10624), 1,
      sym_rel_operator,
    ACTIONS(10626), 1,
      sym_and_operator,
    ACTIONS(10628), 1,
      sym_or_operator,
    ACTIONS(10630), 1,
      sym_assign_operator,
    STATE(1922), 1,
      sym_add_operator,
    STATE(8434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10221), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10219), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [402445] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8435), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15520), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8058), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [402573] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10658), 1,
      anon_sym_LPAREN,
    ACTIONS(10662), 1,
      anon_sym_LBRACK,
    ACTIONS(10664), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10666), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10668), 1,
      anon_sym_LT,
    ACTIONS(10670), 1,
      anon_sym_POUND,
    ACTIONS(10672), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10674), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10676), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10774), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8437), 1,
      sym_attribute,
    STATE(8846), 1,
      sym__simple_type,
    STATE(9981), 1,
      sym__tuple_type,
    STATE(10336), 1,
      sym__type,
    STATE(16531), 1,
      sym_extended_module_path,
    STATE(18545), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9265), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402655] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9988), 1,
      anon_sym_LPAREN,
    ACTIONS(9990), 1,
      anon_sym_LBRACK,
    ACTIONS(9992), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9994), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9996), 1,
      anon_sym_LT,
    ACTIONS(9998), 1,
      anon_sym_POUND,
    ACTIONS(10000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10004), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10776), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8438), 1,
      sym_attribute,
    STATE(10913), 1,
      sym__simple_type,
    STATE(12550), 1,
      sym__tuple_type,
    STATE(12607), 1,
      sym__type,
    STATE(16444), 1,
      sym_extended_module_path,
    STATE(18172), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11681), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402737] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8439), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15663), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402819] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8440), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(16269), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402901] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10778), 1,
      anon_sym_PIPE,
    STATE(8441), 1,
      sym_attribute,
    STATE(8658), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [402951] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9944), 1,
      anon_sym_LPAREN,
    ACTIONS(9946), 1,
      anon_sym_LBRACK,
    ACTIONS(9948), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9952), 1,
      anon_sym_LT,
    ACTIONS(9954), 1,
      anon_sym_POUND,
    ACTIONS(9956), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9958), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9960), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10780), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8442), 1,
      sym_attribute,
    STATE(10326), 1,
      sym__simple_type,
    STATE(11808), 1,
      sym__tuple_type,
    STATE(12196), 1,
      sym__type,
    STATE(17328), 1,
      sym_extended_module_path,
    STATE(19269), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10980), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403033] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8443), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(16105), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403115] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8444), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(16299), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403197] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9988), 1,
      anon_sym_LPAREN,
    ACTIONS(9990), 1,
      anon_sym_LBRACK,
    ACTIONS(9992), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9994), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9996), 1,
      anon_sym_LT,
    ACTIONS(9998), 1,
      anon_sym_POUND,
    ACTIONS(10000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10004), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10776), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8445), 1,
      sym_attribute,
    STATE(10913), 1,
      sym__simple_type,
    STATE(12550), 1,
      sym__tuple_type,
    STATE(12608), 1,
      sym__type,
    STATE(16444), 1,
      sym_extended_module_path,
    STATE(18172), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11681), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8956), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8958), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [403325] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10778), 1,
      anon_sym_PIPE,
    STATE(8441), 1,
      aux_sym__match_cases_repeat1,
    STATE(8447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [403375] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9506), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9508), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [403421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8964), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [403467] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8450), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15459), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9026), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9028), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [403595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8944), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8946), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [403641] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8453), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15550), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403723] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10778), 1,
      anon_sym_PIPE,
    STATE(8454), 1,
      sym_attribute,
    STATE(8658), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [403773] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10713), 1,
      anon_sym_LPAREN,
    ACTIONS(10717), 1,
      anon_sym_LBRACK,
    ACTIONS(10719), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10721), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10723), 1,
      anon_sym_LT,
    ACTIONS(10725), 1,
      anon_sym_POUND,
    ACTIONS(10727), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10729), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10731), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10782), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8455), 1,
      sym_attribute,
    STATE(8816), 1,
      sym__simple_type,
    STATE(9869), 1,
      sym__tuple_type,
    STATE(10168), 1,
      sym__type,
    STATE(17191), 1,
      sym_extended_module_path,
    STATE(18591), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(8939), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403855] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8456), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15521), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403937] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9988), 1,
      anon_sym_LPAREN,
    ACTIONS(9990), 1,
      anon_sym_LBRACK,
    ACTIONS(9992), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9994), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9996), 1,
      anon_sym_LT,
    ACTIONS(9998), 1,
      anon_sym_POUND,
    ACTIONS(10000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10004), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10776), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8457), 1,
      sym_attribute,
    STATE(10913), 1,
      sym__simple_type,
    STATE(12550), 1,
      sym__tuple_type,
    STATE(12699), 1,
      sym__type,
    STATE(16444), 1,
      sym_extended_module_path,
    STATE(18172), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11681), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9604), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9606), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [404065] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8459), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15021), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404147] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(8460), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(12772), 1,
      sym_tuple_type,
    STATE(13529), 1,
      sym__tuple_type,
    STATE(14197), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(19570), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12817), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404229] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10520), 1,
      anon_sym_LPAREN,
    ACTIONS(10524), 1,
      anon_sym_LBRACK,
    ACTIONS(10526), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10528), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10530), 1,
      anon_sym_LT,
    ACTIONS(10532), 1,
      anon_sym_POUND,
    ACTIONS(10534), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10536), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10538), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10784), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8461), 1,
      sym_attribute,
    STATE(12765), 1,
      sym__simple_type,
    STATE(13304), 1,
      sym__tuple_type,
    STATE(13508), 1,
      sym__type,
    STATE(16780), 1,
      sym_extended_module_path,
    STATE(19862), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13030), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404311] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10542), 1,
      anon_sym_LPAREN,
    ACTIONS(10546), 1,
      anon_sym_LBRACK,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10552), 1,
      anon_sym_LT,
    ACTIONS(10554), 1,
      anon_sym_POUND,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10558), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10560), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10786), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8462), 1,
      sym_attribute,
    STATE(8966), 1,
      sym__simple_type,
    STATE(10298), 1,
      sym__tuple_type,
    STATE(10716), 1,
      sym__type,
    STATE(17040), 1,
      sym_extended_module_path,
    STATE(17529), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9587), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9064), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [404439] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8464), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15091), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404521] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8465), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15250), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404603] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9988), 1,
      anon_sym_LPAREN,
    ACTIONS(9990), 1,
      anon_sym_LBRACK,
    ACTIONS(9992), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9994), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9996), 1,
      anon_sym_LT,
    ACTIONS(9998), 1,
      anon_sym_POUND,
    ACTIONS(10000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10004), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10776), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8466), 1,
      sym_attribute,
    STATE(10913), 1,
      sym__simple_type,
    STATE(12550), 1,
      sym__tuple_type,
    STATE(12644), 1,
      sym__type,
    STATE(16444), 1,
      sym_extended_module_path,
    STATE(18172), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11681), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404685] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9268), 1,
      anon_sym_LT,
    ACTIONS(9270), 1,
      anon_sym_POUND,
    ACTIONS(9272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10588), 1,
      anon_sym_LPAREN,
    ACTIONS(10592), 1,
      anon_sym_LBRACK,
    ACTIONS(10788), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8467), 1,
      sym_attribute,
    STATE(9322), 1,
      sym__simple_type,
    STATE(10768), 1,
      sym__tuple_type,
    STATE(10983), 1,
      sym__type,
    STATE(17248), 1,
      sym_extended_module_path,
    STATE(19439), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9485), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404767] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8468), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14958), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10790), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8046), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [404895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9104), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [404941] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8471), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15015), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9080), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [405069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9422), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [405115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7063), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7059), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [405161] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(8475), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(12772), 1,
      sym_tuple_type,
    STATE(13529), 1,
      sym__tuple_type,
    STATE(13869), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(19570), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12817), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405243] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10542), 1,
      anon_sym_LPAREN,
    ACTIONS(10546), 1,
      anon_sym_LBRACK,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10552), 1,
      anon_sym_LT,
    ACTIONS(10554), 1,
      anon_sym_POUND,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10558), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10560), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10786), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8476), 1,
      sym_attribute,
    STATE(8966), 1,
      sym__simple_type,
    STATE(10298), 1,
      sym__tuple_type,
    STATE(10726), 1,
      sym__type,
    STATE(17040), 1,
      sym_extended_module_path,
    STATE(17529), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9587), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405325] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8477), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15347), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9008), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [405453] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8479), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15406), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405535] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8480), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15632), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405617] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10796), 1,
      anon_sym_DOT,
    STATE(8481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10794), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10792), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [405665] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10798), 1,
      anon_sym_PIPE,
    STATE(8482), 1,
      sym_attribute,
    STATE(8524), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [405715] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8483), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15734), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9060), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [405843] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(8485), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(12772), 1,
      sym_tuple_type,
    STATE(13529), 1,
      sym__tuple_type,
    STATE(14209), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(19570), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12817), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405925] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8486), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15912), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406007] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8487), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14146), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406089] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9988), 1,
      anon_sym_LPAREN,
    ACTIONS(9990), 1,
      anon_sym_LBRACK,
    ACTIONS(9992), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9994), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9996), 1,
      anon_sym_LT,
    ACTIONS(9998), 1,
      anon_sym_POUND,
    ACTIONS(10000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10004), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10776), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8488), 1,
      sym_attribute,
    STATE(10913), 1,
      sym__simple_type,
    STATE(12532), 1,
      sym__type,
    STATE(12550), 1,
      sym__tuple_type,
    STATE(16444), 1,
      sym_extended_module_path,
    STATE(18172), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11681), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406171] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8489), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15971), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406253] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9736), 1,
      anon_sym_LPAREN,
    ACTIONS(9738), 1,
      anon_sym_LBRACK,
    ACTIONS(9740), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9742), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9744), 1,
      anon_sym_LT,
    ACTIONS(9746), 1,
      anon_sym_POUND,
    ACTIONS(9748), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9750), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9752), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10800), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8490), 1,
      sym_attribute,
    STATE(12004), 1,
      sym__simple_type,
    STATE(12877), 1,
      sym__tuple_type,
    STATE(13031), 1,
      sym__type,
    STATE(16963), 1,
      sym_extended_module_path,
    STATE(19802), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12590), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406335] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(8491), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(12772), 1,
      sym_tuple_type,
    STATE(13529), 1,
      sym__tuple_type,
    STATE(14210), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(19570), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12817), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406417] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9232), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9234), 1,
      anon_sym_LT,
    ACTIONS(9236), 1,
      anon_sym_POUND,
    ACTIONS(9238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9240), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9244), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10646), 1,
      anon_sym_LPAREN,
    ACTIONS(10650), 1,
      anon_sym_LBRACK,
    ACTIONS(10802), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8492), 1,
      sym_attribute,
    STATE(8962), 1,
      sym__simple_type,
    STATE(10511), 1,
      sym__tuple_type,
    STATE(10968), 1,
      sym__type,
    STATE(17383), 1,
      sym_extended_module_path,
    STATE(20134), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406499] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8493), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(16305), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406581] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10596), 1,
      anon_sym_LPAREN,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    ACTIONS(10602), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10606), 1,
      anon_sym_LT,
    ACTIONS(10608), 1,
      anon_sym_POUND,
    ACTIONS(10610), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10612), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10614), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10804), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8494), 1,
      sym_attribute,
    STATE(8820), 1,
      sym__simple_type,
    STATE(9873), 1,
      sym__tuple_type,
    STATE(9977), 1,
      sym__type,
    STATE(17239), 1,
      sym_extended_module_path,
    STATE(19736), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9131), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406663] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8495), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(13906), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406745] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8496), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(16337), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406827] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10806), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10808), 1,
      sym_pow_operator,
    ACTIONS(10810), 1,
      sym_mult_operator,
    ACTIONS(10812), 1,
      sym_concat_operator,
    ACTIONS(10814), 1,
      sym_rel_operator,
    ACTIONS(10816), 1,
      sym_and_operator,
    ACTIONS(10818), 1,
      sym_or_operator,
    STATE(2136), 1,
      sym_add_operator,
    STATE(8497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [406891] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8498), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15041), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7886), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [407019] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8500), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15062), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407101] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8501), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15159), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407183] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10746), 1,
      anon_sym_LPAREN,
    ACTIONS(10750), 1,
      anon_sym_LBRACK,
    ACTIONS(10820), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8502), 1,
      sym_attribute,
    STATE(9659), 1,
      sym__simple_type,
    STATE(10955), 1,
      sym__tuple_type,
    STATE(11643), 1,
      sym__type,
    STATE(16988), 1,
      sym_extended_module_path,
    STATE(19645), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9808), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407265] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10806), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10808), 1,
      sym_pow_operator,
    ACTIONS(10810), 1,
      sym_mult_operator,
    STATE(2136), 1,
      sym_add_operator,
    STATE(8503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [407321] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10808), 1,
      sym_pow_operator,
    STATE(2136), 1,
      sym_add_operator,
    STATE(8504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [407371] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10713), 1,
      anon_sym_LPAREN,
    ACTIONS(10717), 1,
      anon_sym_LBRACK,
    ACTIONS(10719), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10721), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10723), 1,
      anon_sym_LT,
    ACTIONS(10725), 1,
      anon_sym_POUND,
    ACTIONS(10727), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10729), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10731), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10782), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8505), 1,
      sym_attribute,
    STATE(8816), 1,
      sym__simple_type,
    STATE(9869), 1,
      sym__tuple_type,
    STATE(10180), 1,
      sym__type,
    STATE(17191), 1,
      sym_extended_module_path,
    STATE(18591), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(8939), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407453] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8506), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15177), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9608), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9610), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [407581] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8508), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15263), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407663] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10808), 1,
      sym_pow_operator,
    STATE(2136), 1,
      sym_add_operator,
    STATE(8509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [407713] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8510), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15284), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407795] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10806), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10808), 1,
      sym_pow_operator,
    ACTIONS(10810), 1,
      sym_mult_operator,
    ACTIONS(10812), 1,
      sym_concat_operator,
    STATE(2136), 1,
      sym_add_operator,
    STATE(8511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [407853] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10806), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10808), 1,
      sym_pow_operator,
    ACTIONS(10810), 1,
      sym_mult_operator,
    ACTIONS(10812), 1,
      sym_concat_operator,
    STATE(2136), 1,
      sym_add_operator,
    STATE(8512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [407911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9524), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [407957] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10806), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10808), 1,
      sym_pow_operator,
    ACTIONS(10810), 1,
      sym_mult_operator,
    ACTIONS(10812), 1,
      sym_concat_operator,
    ACTIONS(10814), 1,
      sym_rel_operator,
    ACTIONS(10816), 1,
      sym_and_operator,
    STATE(2136), 1,
      sym_add_operator,
    STATE(8514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10091), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [408019] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9736), 1,
      anon_sym_LPAREN,
    ACTIONS(9738), 1,
      anon_sym_LBRACK,
    ACTIONS(9740), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9742), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9744), 1,
      anon_sym_LT,
    ACTIONS(9746), 1,
      anon_sym_POUND,
    ACTIONS(9748), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9750), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9752), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10800), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8515), 1,
      sym_attribute,
    STATE(12004), 1,
      sym__simple_type,
    STATE(12726), 1,
      sym__type,
    STATE(12877), 1,
      sym__tuple_type,
    STATE(16963), 1,
      sym_extended_module_path,
    STATE(19802), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12590), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408101] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2136), 1,
      sym_add_operator,
    STATE(8516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [408149] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10806), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10808), 1,
      sym_pow_operator,
    ACTIONS(10810), 1,
      sym_mult_operator,
    ACTIONS(10812), 1,
      sym_concat_operator,
    ACTIONS(10814), 1,
      sym_rel_operator,
    ACTIONS(10816), 1,
      sym_and_operator,
    ACTIONS(10818), 1,
      sym_or_operator,
    STATE(2136), 1,
      sym_add_operator,
    STATE(8517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [408213] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10806), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10808), 1,
      sym_pow_operator,
    ACTIONS(10810), 1,
      sym_mult_operator,
    ACTIONS(10812), 1,
      sym_concat_operator,
    ACTIONS(10814), 1,
      sym_rel_operator,
    ACTIONS(10816), 1,
      sym_and_operator,
    ACTIONS(10818), 1,
      sym_or_operator,
    ACTIONS(10822), 1,
      anon_sym_COMMA,
    ACTIONS(10824), 1,
      sym_assign_operator,
    STATE(2136), 1,
      sym_add_operator,
    STATE(8518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [408281] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8519), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15381), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408363] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10808), 1,
      sym_pow_operator,
    ACTIONS(10810), 1,
      sym_mult_operator,
    STATE(2136), 1,
      sym_add_operator,
    STATE(8520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [408415] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10806), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10808), 1,
      sym_pow_operator,
    ACTIONS(10810), 1,
      sym_mult_operator,
    ACTIONS(10812), 1,
      sym_concat_operator,
    ACTIONS(10814), 1,
      sym_rel_operator,
    ACTIONS(10816), 1,
      sym_and_operator,
    ACTIONS(10818), 1,
      sym_or_operator,
    ACTIONS(10822), 1,
      anon_sym_COMMA,
    ACTIONS(10824), 1,
      sym_assign_operator,
    STATE(2136), 1,
      sym_add_operator,
    STATE(8521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10157), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [408483] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8522), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15399), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408565] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10798), 1,
      anon_sym_PIPE,
    STATE(8523), 1,
      sym_attribute,
    STATE(8524), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [408615] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10826), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8524), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [408663] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8525), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15484), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408745] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10713), 1,
      anon_sym_LPAREN,
    ACTIONS(10717), 1,
      anon_sym_LBRACK,
    ACTIONS(10719), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10721), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10723), 1,
      anon_sym_LT,
    ACTIONS(10725), 1,
      anon_sym_POUND,
    ACTIONS(10727), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10729), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10731), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10782), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8526), 1,
      sym_attribute,
    STATE(8816), 1,
      sym__simple_type,
    STATE(9869), 1,
      sym__tuple_type,
    STATE(10182), 1,
      sym__type,
    STATE(17191), 1,
      sym_extended_module_path,
    STATE(18591), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(8939), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408827] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10806), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10808), 1,
      sym_pow_operator,
    ACTIONS(10810), 1,
      sym_mult_operator,
    ACTIONS(10812), 1,
      sym_concat_operator,
    ACTIONS(10814), 1,
      sym_rel_operator,
    ACTIONS(10816), 1,
      sym_and_operator,
    ACTIONS(10818), 1,
      sym_or_operator,
    ACTIONS(10822), 1,
      anon_sym_COMMA,
    ACTIONS(10824), 1,
      sym_assign_operator,
    STATE(2136), 1,
      sym_add_operator,
    STATE(8527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10183), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [408895] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8528), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15501), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408977] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8529), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14647), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409059] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8530), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15582), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9530), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [409187] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8532), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14649), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409269] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8533), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15597), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409351] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8534), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(16173), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409433] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8535), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14964), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409515] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9736), 1,
      anon_sym_LPAREN,
    ACTIONS(9738), 1,
      anon_sym_LBRACK,
    ACTIONS(9740), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9742), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9744), 1,
      anon_sym_LT,
    ACTIONS(9746), 1,
      anon_sym_POUND,
    ACTIONS(9748), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9750), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9752), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10800), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8536), 1,
      sym_attribute,
    STATE(12004), 1,
      sym__simple_type,
    STATE(12877), 1,
      sym__tuple_type,
    STATE(13041), 1,
      sym__type,
    STATE(16963), 1,
      sym_extended_module_path,
    STATE(19802), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12590), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409597] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9944), 1,
      anon_sym_LPAREN,
    ACTIONS(9946), 1,
      anon_sym_LBRACK,
    ACTIONS(9948), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9952), 1,
      anon_sym_LT,
    ACTIONS(9954), 1,
      anon_sym_POUND,
    ACTIONS(9956), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9958), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9960), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10780), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8537), 1,
      sym_attribute,
    STATE(10326), 1,
      sym__simple_type,
    STATE(11808), 1,
      sym__tuple_type,
    STATE(12462), 1,
      sym__type,
    STATE(17328), 1,
      sym_extended_module_path,
    STATE(19269), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10980), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409679] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8538), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15751), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409761] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9944), 1,
      anon_sym_LPAREN,
    ACTIONS(9946), 1,
      anon_sym_LBRACK,
    ACTIONS(9948), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9952), 1,
      anon_sym_LT,
    ACTIONS(9954), 1,
      anon_sym_POUND,
    ACTIONS(9956), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9958), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9960), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10780), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8539), 1,
      sym_attribute,
    STATE(10326), 1,
      sym__simple_type,
    STATE(11808), 1,
      sym__tuple_type,
    STATE(12108), 1,
      sym__type,
    STATE(17328), 1,
      sym_extended_module_path,
    STATE(19269), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10980), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409843] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8540), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15773), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409925] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10829), 1,
      anon_sym_COMMA,
    ACTIONS(10831), 1,
      anon_sym_SEMI,
    ACTIONS(10833), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10835), 1,
      sym_pow_operator,
    ACTIONS(10837), 1,
      sym_mult_operator,
    ACTIONS(10839), 1,
      sym_concat_operator,
    ACTIONS(10841), 1,
      sym_rel_operator,
    ACTIONS(10843), 1,
      sym_and_operator,
    ACTIONS(10845), 1,
      sym_or_operator,
    ACTIONS(10847), 1,
      sym_assign_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8964), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [409995] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8542), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15851), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7974), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [410123] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10746), 1,
      anon_sym_LPAREN,
    ACTIONS(10750), 1,
      anon_sym_LBRACK,
    ACTIONS(10820), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8544), 1,
      sym_attribute,
    STATE(9659), 1,
      sym__simple_type,
    STATE(10955), 1,
      sym__tuple_type,
    STATE(11185), 1,
      sym__type,
    STATE(16988), 1,
      sym_extended_module_path,
    STATE(19645), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9808), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410205] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8545), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15868), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7978), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [410333] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10596), 1,
      anon_sym_LPAREN,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    ACTIONS(10602), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10606), 1,
      anon_sym_LT,
    ACTIONS(10608), 1,
      anon_sym_POUND,
    ACTIONS(10610), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10612), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10614), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10804), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8547), 1,
      sym_attribute,
    STATE(8820), 1,
      sym__simple_type,
    STATE(9873), 1,
      sym__tuple_type,
    STATE(10050), 1,
      sym__type,
    STATE(17239), 1,
      sym_extended_module_path,
    STATE(19736), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9131), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7994), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [410461] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9268), 1,
      anon_sym_LT,
    ACTIONS(9270), 1,
      anon_sym_POUND,
    ACTIONS(9272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10588), 1,
      anon_sym_LPAREN,
    ACTIONS(10592), 1,
      anon_sym_LBRACK,
    ACTIONS(10788), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8549), 1,
      sym_attribute,
    STATE(9322), 1,
      sym__simple_type,
    STATE(10768), 1,
      sym__tuple_type,
    STATE(11293), 1,
      sym__type,
    STATE(17248), 1,
      sym_extended_module_path,
    STATE(19439), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9485), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7998), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [410589] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8551), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15961), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8026), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [410717] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8553), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15989), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8058), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [410845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7958), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [410891] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10596), 1,
      anon_sym_LPAREN,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    ACTIONS(10602), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10606), 1,
      anon_sym_LT,
    ACTIONS(10608), 1,
      anon_sym_POUND,
    ACTIONS(10610), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10612), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10614), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10804), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8556), 1,
      sym_attribute,
    STATE(8820), 1,
      sym__simple_type,
    STATE(9873), 1,
      sym__tuple_type,
    STATE(10110), 1,
      sym__type,
    STATE(17239), 1,
      sym_extended_module_path,
    STATE(19736), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9131), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410973] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8557), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(16104), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411055] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8558), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(16135), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411137] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10754), 1,
      anon_sym_LPAREN,
    ACTIONS(10758), 1,
      anon_sym_LBRACK,
    ACTIONS(10760), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10762), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10764), 1,
      anon_sym_LT,
    ACTIONS(10766), 1,
      anon_sym_POUND,
    ACTIONS(10768), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10770), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10772), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10849), 1,
      sym__lowercase_identifier,
    STATE(8559), 1,
      sym_attribute,
    STATE(12551), 1,
      sym__simple_type,
    STATE(12772), 1,
      sym_tuple_type,
    STATE(13066), 1,
      sym__tuple_type,
    STATE(13245), 1,
      sym__type,
    STATE(17293), 1,
      sym_extended_module_path,
    STATE(17573), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12817), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12742), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8040), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [411265] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10851), 1,
      anon_sym_DOT_DOT,
    STATE(8561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4977), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(4975), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [411313] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8562), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(16275), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8044), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [411441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8062), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [411487] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8565), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(16289), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8062), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [411615] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8567), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15848), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411697] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8568), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15342), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411779] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9232), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9234), 1,
      anon_sym_LT,
    ACTIONS(9236), 1,
      anon_sym_POUND,
    ACTIONS(9238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9240), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9244), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10646), 1,
      anon_sym_LPAREN,
    ACTIONS(10650), 1,
      anon_sym_LBRACK,
    ACTIONS(10802), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8569), 1,
      sym_attribute,
    STATE(8962), 1,
      sym__simple_type,
    STATE(10511), 1,
      sym__tuple_type,
    STATE(10821), 1,
      sym__type,
    STATE(17383), 1,
      sym_extended_module_path,
    STATE(20134), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411861] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8570), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15419), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411943] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8571), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15549), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9460), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [412071] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9478), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9480), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [412117] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8574), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15186), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412199] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8575), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15119), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412281] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8050), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [412327] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8577), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15226), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10853), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7984), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [412455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9492), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9494), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [412501] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8580), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(16103), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412583] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9988), 1,
      anon_sym_LPAREN,
    ACTIONS(9990), 1,
      anon_sym_LBRACK,
    ACTIONS(9992), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9994), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9996), 1,
      anon_sym_LT,
    ACTIONS(9998), 1,
      anon_sym_POUND,
    ACTIONS(10000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10004), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10776), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8581), 1,
      sym_attribute,
    STATE(10913), 1,
      sym__simple_type,
    STATE(12550), 1,
      sym__tuple_type,
    STATE(12696), 1,
      sym__type,
    STATE(16444), 1,
      sym_extended_module_path,
    STATE(18172), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11681), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412665] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8582), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(16281), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9504), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [412793] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8584), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15235), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412875] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8585), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15306), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412957] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8586), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15535), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413039] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [413087] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8588), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15604), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413169] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10658), 1,
      anon_sym_LPAREN,
    ACTIONS(10662), 1,
      anon_sym_LBRACK,
    ACTIONS(10664), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10666), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10668), 1,
      anon_sym_LT,
    ACTIONS(10670), 1,
      anon_sym_POUND,
    ACTIONS(10672), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10674), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10676), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10774), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8589), 1,
      sym_attribute,
    STATE(8846), 1,
      sym__simple_type,
    STATE(9981), 1,
      sym__tuple_type,
    STATE(10275), 1,
      sym__type,
    STATE(16531), 1,
      sym_extended_module_path,
    STATE(18545), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9265), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413251] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8590), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15881), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413333] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8591), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15957), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413415] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8592), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14969), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413497] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8593), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15017), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8116), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [413625] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8595), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15171), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413707] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8596), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15195), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9558), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9560), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [413835] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8598), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15334), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413917] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8599), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15363), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413999] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10035), 1,
      anon_sym_LPAREN,
    ACTIONS(10037), 1,
      anon_sym_LBRACK,
    ACTIONS(10039), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10041), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10043), 1,
      anon_sym_LT,
    ACTIONS(10045), 1,
      anon_sym_POUND,
    ACTIONS(10047), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10049), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10051), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10855), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8600), 1,
      sym_attribute,
    STATE(10028), 1,
      sym__simple_type,
    STATE(11655), 1,
      sym__tuple_type,
    STATE(12038), 1,
      sym__type,
    STATE(16455), 1,
      sym_extended_module_path,
    STATE(17519), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10807), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414081] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10778), 1,
      anon_sym_PIPE,
    STATE(8454), 1,
      aux_sym__match_cases_repeat1,
    STATE(8601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [414131] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8602), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15524), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8944), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8946), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [414259] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10658), 1,
      anon_sym_LPAREN,
    ACTIONS(10662), 1,
      anon_sym_LBRACK,
    ACTIONS(10664), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10666), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10668), 1,
      anon_sym_LT,
    ACTIONS(10670), 1,
      anon_sym_POUND,
    ACTIONS(10672), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10674), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10676), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10774), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8604), 1,
      sym_attribute,
    STATE(8846), 1,
      sym__simple_type,
    STATE(9981), 1,
      sym__tuple_type,
    STATE(10327), 1,
      sym__type,
    STATE(16531), 1,
      sym_extended_module_path,
    STATE(18545), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9265), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414341] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8605), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15752), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414423] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8606), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15771), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414505] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9988), 1,
      anon_sym_LPAREN,
    ACTIONS(9990), 1,
      anon_sym_LBRACK,
    ACTIONS(9992), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9994), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9996), 1,
      anon_sym_LT,
    ACTIONS(9998), 1,
      anon_sym_POUND,
    ACTIONS(10000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10004), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10776), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8607), 1,
      sym_attribute,
    STATE(10913), 1,
      sym__simple_type,
    STATE(12550), 1,
      sym__tuple_type,
    STATE(12688), 1,
      sym__type,
    STATE(16444), 1,
      sym_extended_module_path,
    STATE(18172), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11681), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9510), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9512), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [414633] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9514), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9516), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [414679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9520), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [414725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9484), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [414771] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8612), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15870), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414853] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9232), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9234), 1,
      anon_sym_LT,
    ACTIONS(9236), 1,
      anon_sym_POUND,
    ACTIONS(9238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9240), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9244), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10646), 1,
      anon_sym_LPAREN,
    ACTIONS(10650), 1,
      anon_sym_LBRACK,
    ACTIONS(10802), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8613), 1,
      sym_attribute,
    STATE(8962), 1,
      sym__simple_type,
    STATE(10511), 1,
      sym__tuple_type,
    STATE(10788), 1,
      sym__type,
    STATE(17383), 1,
      sym_extended_module_path,
    STATE(20134), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414935] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8614), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15902), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415017] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8615), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(16054), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415099] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9268), 1,
      anon_sym_LT,
    ACTIONS(9270), 1,
      anon_sym_POUND,
    ACTIONS(9272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10588), 1,
      anon_sym_LPAREN,
    ACTIONS(10592), 1,
      anon_sym_LBRACK,
    ACTIONS(10788), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8616), 1,
      sym_attribute,
    STATE(9322), 1,
      sym__simple_type,
    STATE(10768), 1,
      sym__tuple_type,
    STATE(10885), 1,
      sym__type,
    STATE(17248), 1,
      sym_extended_module_path,
    STATE(19439), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9485), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415181] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8617), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(16096), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415263] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10754), 1,
      anon_sym_LPAREN,
    ACTIONS(10758), 1,
      anon_sym_LBRACK,
    ACTIONS(10760), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10762), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10764), 1,
      anon_sym_LT,
    ACTIONS(10766), 1,
      anon_sym_POUND,
    ACTIONS(10768), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10770), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10772), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10849), 1,
      sym__lowercase_identifier,
    STATE(8618), 1,
      sym_attribute,
    STATE(12551), 1,
      sym__simple_type,
    STATE(12772), 1,
      sym_tuple_type,
    STATE(13066), 1,
      sym__tuple_type,
    STATE(13127), 1,
      sym__type,
    STATE(17293), 1,
      sym_extended_module_path,
    STATE(17573), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12817), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12742), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415345] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8619), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(16327), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415427] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8620), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14950), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415509] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8278), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [415555] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10520), 1,
      anon_sym_LPAREN,
    ACTIONS(10524), 1,
      anon_sym_LBRACK,
    ACTIONS(10526), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10528), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10530), 1,
      anon_sym_LT,
    ACTIONS(10532), 1,
      anon_sym_POUND,
    ACTIONS(10534), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10536), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10538), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10784), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8622), 1,
      sym_attribute,
    STATE(12765), 1,
      sym__simple_type,
    STATE(13304), 1,
      sym__tuple_type,
    STATE(13574), 1,
      sym__type,
    STATE(16780), 1,
      sym_extended_module_path,
    STATE(19862), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13030), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415637] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8623), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15009), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415719] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10754), 1,
      anon_sym_LPAREN,
    ACTIONS(10758), 1,
      anon_sym_LBRACK,
    ACTIONS(10760), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10762), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10764), 1,
      anon_sym_LT,
    ACTIONS(10766), 1,
      anon_sym_POUND,
    ACTIONS(10768), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10770), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10772), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10849), 1,
      sym__lowercase_identifier,
    STATE(8624), 1,
      sym_attribute,
    STATE(12551), 1,
      sym__simple_type,
    STATE(12772), 1,
      sym_tuple_type,
    STATE(13066), 1,
      sym__tuple_type,
    STATE(13114), 1,
      sym__type,
    STATE(17293), 1,
      sym_extended_module_path,
    STATE(17573), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12817), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12742), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415801] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8625), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15020), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415883] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8626), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15198), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415965] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10833), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10835), 1,
      sym_pow_operator,
    ACTIONS(10837), 1,
      sym_mult_operator,
    ACTIONS(10839), 1,
      sym_concat_operator,
    ACTIONS(10841), 1,
      sym_rel_operator,
    ACTIONS(10843), 1,
      sym_and_operator,
    ACTIONS(10845), 1,
      sym_or_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [416029] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8628), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15093), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8962), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8960), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [416157] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10833), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10835), 1,
      sym_pow_operator,
    ACTIONS(10837), 1,
      sym_mult_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [416213] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10835), 1,
      sym_pow_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [416263] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8632), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15106), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416345] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10835), 1,
      sym_pow_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [416395] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10833), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10835), 1,
      sym_pow_operator,
    ACTIONS(10837), 1,
      sym_mult_operator,
    ACTIONS(10839), 1,
      sym_concat_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [416453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7906), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [416499] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8636), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15167), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416581] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8637), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(16807), 1,
      sym__type,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416663] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10833), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10835), 1,
      sym_pow_operator,
    ACTIONS(10837), 1,
      sym_mult_operator,
    ACTIONS(10839), 1,
      sym_concat_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [416721] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8639), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15185), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416803] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10833), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10835), 1,
      sym_pow_operator,
    ACTIONS(10837), 1,
      sym_mult_operator,
    ACTIONS(10839), 1,
      sym_concat_operator,
    ACTIONS(10841), 1,
      sym_rel_operator,
    ACTIONS(10843), 1,
      sym_and_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10091), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [416865] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10833), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10835), 1,
      sym_pow_operator,
    ACTIONS(10837), 1,
      sym_mult_operator,
    ACTIONS(10839), 1,
      sym_concat_operator,
    ACTIONS(10841), 1,
      sym_rel_operator,
    ACTIONS(10843), 1,
      sym_and_operator,
    ACTIONS(10845), 1,
      sym_or_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [416929] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10829), 1,
      anon_sym_COMMA,
    ACTIONS(10833), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10835), 1,
      sym_pow_operator,
    ACTIONS(10837), 1,
      sym_mult_operator,
    ACTIONS(10839), 1,
      sym_concat_operator,
    ACTIONS(10841), 1,
      sym_rel_operator,
    ACTIONS(10843), 1,
      sym_and_operator,
    ACTIONS(10845), 1,
      sym_or_operator,
    ACTIONS(10847), 1,
      sym_assign_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [416997] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10835), 1,
      sym_pow_operator,
    ACTIONS(10837), 1,
      sym_mult_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [417049] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10829), 1,
      anon_sym_COMMA,
    ACTIONS(10833), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10835), 1,
      sym_pow_operator,
    ACTIONS(10837), 1,
      sym_mult_operator,
    ACTIONS(10839), 1,
      sym_concat_operator,
    ACTIONS(10841), 1,
      sym_rel_operator,
    ACTIONS(10843), 1,
      sym_and_operator,
    ACTIONS(10845), 1,
      sym_or_operator,
    ACTIONS(10847), 1,
      sym_assign_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10157), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [417117] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8645), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15244), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417199] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8646), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15258), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417281] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10035), 1,
      anon_sym_LPAREN,
    ACTIONS(10037), 1,
      anon_sym_LBRACK,
    ACTIONS(10039), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10041), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10043), 1,
      anon_sym_LT,
    ACTIONS(10045), 1,
      anon_sym_POUND,
    ACTIONS(10047), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10049), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10051), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10855), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8647), 1,
      sym_attribute,
    STATE(10028), 1,
      sym__simple_type,
    STATE(11655), 1,
      sym__tuple_type,
    STATE(11780), 1,
      sym__type,
    STATE(16455), 1,
      sym_extended_module_path,
    STATE(17519), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10807), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417363] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10035), 1,
      anon_sym_LPAREN,
    ACTIONS(10037), 1,
      anon_sym_LBRACK,
    ACTIONS(10039), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10041), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10043), 1,
      anon_sym_LT,
    ACTIONS(10045), 1,
      anon_sym_POUND,
    ACTIONS(10047), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10049), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10051), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10855), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8648), 1,
      sym_attribute,
    STATE(10028), 1,
      sym__simple_type,
    STATE(11655), 1,
      sym__tuple_type,
    STATE(11781), 1,
      sym__type,
    STATE(16455), 1,
      sym_extended_module_path,
    STATE(17519), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10807), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9488), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [417491] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8650), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15455), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417573] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8651), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15511), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9068), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [417701] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8653), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14079), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417783] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8654), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15533), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417865] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8655), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15563), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417947] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8656), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15572), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418029] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8657), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15331), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418111] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10857), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8658), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [418159] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10806), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10808), 1,
      sym_pow_operator,
    ACTIONS(10810), 1,
      sym_mult_operator,
    ACTIONS(10812), 1,
      sym_concat_operator,
    ACTIONS(10814), 1,
      sym_rel_operator,
    ACTIONS(10816), 1,
      sym_and_operator,
    ACTIONS(10818), 1,
      sym_or_operator,
    ACTIONS(10822), 1,
      anon_sym_COMMA,
    ACTIONS(10824), 1,
      sym_assign_operator,
    ACTIONS(10860), 1,
      anon_sym_SEMI,
    STATE(2136), 1,
      sym_add_operator,
    STATE(8659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8964), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [418229] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9736), 1,
      anon_sym_LPAREN,
    ACTIONS(9738), 1,
      anon_sym_LBRACK,
    ACTIONS(9740), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9742), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9744), 1,
      anon_sym_LT,
    ACTIONS(9746), 1,
      anon_sym_POUND,
    ACTIONS(9748), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9750), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9752), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10800), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8660), 1,
      sym_attribute,
    STATE(12004), 1,
      sym__simple_type,
    STATE(12877), 1,
      sym__tuple_type,
    STATE(13036), 1,
      sym__type,
    STATE(16963), 1,
      sym_extended_module_path,
    STATE(19802), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12590), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7910), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [418357] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8662), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15893), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418439] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8663), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14141), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418521] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8664), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15924), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7918), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [418649] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8666), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15952), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418731] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8667), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15960), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7922), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [418859] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8669), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(16140), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7954), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [418987] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9736), 1,
      anon_sym_LPAREN,
    ACTIONS(9738), 1,
      anon_sym_LBRACK,
    ACTIONS(9740), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9742), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9744), 1,
      anon_sym_LT,
    ACTIONS(9746), 1,
      anon_sym_POUND,
    ACTIONS(9748), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9750), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9752), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10800), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8671), 1,
      sym_attribute,
    STATE(12004), 1,
      sym__simple_type,
    STATE(12877), 1,
      sym__tuple_type,
    STATE(13045), 1,
      sym__type,
    STATE(16963), 1,
      sym_extended_module_path,
    STATE(19802), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12590), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419069] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8672), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14175), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419151] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8673), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(16172), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419233] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8674), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(16195), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419315] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8675), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(16253), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419397] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(8676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7982), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [419445] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10542), 1,
      anon_sym_LPAREN,
    ACTIONS(10546), 1,
      anon_sym_LBRACK,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10552), 1,
      anon_sym_LT,
    ACTIONS(10554), 1,
      anon_sym_POUND,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10558), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10560), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10786), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8677), 1,
      sym_attribute,
    STATE(8966), 1,
      sym__simple_type,
    STATE(10298), 1,
      sym__tuple_type,
    STATE(10784), 1,
      sym__type,
    STATE(17040), 1,
      sym_extended_module_path,
    STATE(17529), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9587), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419527] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8678), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(16330), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419609] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8679), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14191), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419691] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8680), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14976), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8116), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [419819] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8682), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14206), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419901] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8683), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15013), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9454), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9456), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [420029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9464), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [420075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9466), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9468), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [420121] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8687), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15052), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9470), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9472), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [420249] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10520), 1,
      anon_sym_LPAREN,
    ACTIONS(10524), 1,
      anon_sym_LBRACK,
    ACTIONS(10526), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10528), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10530), 1,
      anon_sym_LT,
    ACTIONS(10532), 1,
      anon_sym_POUND,
    ACTIONS(10534), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10536), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10538), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10784), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8689), 1,
      sym_attribute,
    STATE(12765), 1,
      sym__simple_type,
    STATE(13304), 1,
      sym__tuple_type,
    STATE(13390), 1,
      sym__type,
    STATE(16780), 1,
      sym_extended_module_path,
    STATE(19862), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13030), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9474), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9476), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [420377] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8691), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15083), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10862), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [420505] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(8693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7982), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [420553] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8694), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15118), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420635] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9574), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9576), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [420681] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9298), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9300), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9302), 1,
      anon_sym_LT,
    ACTIONS(9304), 1,
      anon_sym_POUND,
    ACTIONS(9306), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9308), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9310), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10705), 1,
      anon_sym_LPAREN,
    ACTIONS(10709), 1,
      anon_sym_LBRACK,
    ACTIONS(10866), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8696), 1,
      sym_attribute,
    STATE(9039), 1,
      sym__simple_type,
    STATE(10551), 1,
      sym__tuple_type,
    STATE(10721), 1,
      sym__type,
    STATE(16601), 1,
      sym_extended_module_path,
    STATE(17590), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420763] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8697), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14054), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9578), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9580), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [420891] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9988), 1,
      anon_sym_LPAREN,
    ACTIONS(9990), 1,
      anon_sym_LBRACK,
    ACTIONS(9992), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9994), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9996), 1,
      anon_sym_LT,
    ACTIONS(9998), 1,
      anon_sym_POUND,
    ACTIONS(10000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10004), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10776), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8699), 1,
      sym_attribute,
    STATE(10913), 1,
      sym__simple_type,
    STATE(12514), 1,
      sym__type,
    STATE(12550), 1,
      sym__tuple_type,
    STATE(16444), 1,
      sym_extended_module_path,
    STATE(18172), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11681), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8956), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8958), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [421019] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8701), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15581), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421101] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8702), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14094), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8952), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8950), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [421229] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9298), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9300), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9302), 1,
      anon_sym_LT,
    ACTIONS(9304), 1,
      anon_sym_POUND,
    ACTIONS(9306), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9308), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9310), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10705), 1,
      anon_sym_LPAREN,
    ACTIONS(10709), 1,
      anon_sym_LBRACK,
    ACTIONS(10866), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8704), 1,
      sym_attribute,
    STATE(9039), 1,
      sym__simple_type,
    STATE(10551), 1,
      sym__tuple_type,
    STATE(10884), 1,
      sym__type,
    STATE(16601), 1,
      sym_extended_module_path,
    STATE(17590), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7874), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [421357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9532), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9534), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [421403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9536), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9538), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [421449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9540), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9542), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [421495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7878), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [421541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9546), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [421587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7958), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [421633] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9598), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9600), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [421679] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9298), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9300), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9302), 1,
      anon_sym_LT,
    ACTIONS(9304), 1,
      anon_sym_POUND,
    ACTIONS(9306), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9308), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9310), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10705), 1,
      anon_sym_LPAREN,
    ACTIONS(10709), 1,
      anon_sym_LBRACK,
    ACTIONS(10866), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8713), 1,
      sym_attribute,
    STATE(9039), 1,
      sym__simple_type,
    STATE(10551), 1,
      sym__tuple_type,
    STATE(10810), 1,
      sym__type,
    STATE(16601), 1,
      sym_extended_module_path,
    STATE(17590), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421761] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8714), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(16466), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421843] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10798), 1,
      anon_sym_PIPE,
    STATE(8482), 1,
      aux_sym__match_cases_repeat1,
    STATE(8715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [421893] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8716), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(16256), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421975] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8717), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(13057), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422057] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8718), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(13563), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422139] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8719), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(16328), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422221] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10746), 1,
      anon_sym_LPAREN,
    ACTIONS(10750), 1,
      anon_sym_LBRACK,
    ACTIONS(10820), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8720), 1,
      sym_attribute,
    STATE(9659), 1,
      sym__simple_type,
    STATE(10955), 1,
      sym__tuple_type,
    STATE(11404), 1,
      sym__type,
    STATE(16988), 1,
      sym_extended_module_path,
    STATE(19645), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9808), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422303] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9988), 1,
      anon_sym_LPAREN,
    ACTIONS(9990), 1,
      anon_sym_LBRACK,
    ACTIONS(9992), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9994), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9996), 1,
      anon_sym_LT,
    ACTIONS(9998), 1,
      anon_sym_POUND,
    ACTIONS(10000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10004), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10776), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8721), 1,
      sym_attribute,
    STATE(10913), 1,
      sym__simple_type,
    STATE(12550), 1,
      sym__tuple_type,
    STATE(12610), 1,
      sym__type,
    STATE(16444), 1,
      sym_extended_module_path,
    STATE(18172), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11681), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422385] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10798), 1,
      anon_sym_PIPE,
    STATE(8523), 1,
      aux_sym__match_cases_repeat1,
    STATE(8722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [422435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9590), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9592), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [422481] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9988), 1,
      anon_sym_LPAREN,
    ACTIONS(9990), 1,
      anon_sym_LBRACK,
    ACTIONS(9992), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9994), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9996), 1,
      anon_sym_LT,
    ACTIONS(9998), 1,
      anon_sym_POUND,
    ACTIONS(10000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10004), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10776), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8724), 1,
      sym_attribute,
    STATE(10913), 1,
      sym__simple_type,
    STATE(12550), 1,
      sym__tuple_type,
    STATE(12731), 1,
      sym__type,
    STATE(16444), 1,
      sym_extended_module_path,
    STATE(18172), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11681), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422563] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9988), 1,
      anon_sym_LPAREN,
    ACTIONS(9990), 1,
      anon_sym_LBRACK,
    ACTIONS(9992), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9994), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9996), 1,
      anon_sym_LT,
    ACTIONS(9998), 1,
      anon_sym_POUND,
    ACTIONS(10000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10004), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10776), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8725), 1,
      sym_attribute,
    STATE(10913), 1,
      sym__simple_type,
    STATE(12550), 1,
      sym__tuple_type,
    STATE(12762), 1,
      sym__type,
    STATE(16444), 1,
      sym_extended_module_path,
    STATE(18172), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11681), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422645] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(10868), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10870), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8726), 1,
      sym_attribute,
    STATE(8777), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10433), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10429), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [422701] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(10868), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10870), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8727), 1,
      sym_attribute,
    STATE(8777), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10737), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10735), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [422757] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8728), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14212), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422839] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8729), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15082), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422921] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8730), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15087), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [423003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9594), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9596), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7974), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7978), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7994), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7998), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8026), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423279] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8737), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15122), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [423361] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8040), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423407] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10829), 1,
      anon_sym_COMMA,
    ACTIONS(10833), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10835), 1,
      sym_pow_operator,
    ACTIONS(10837), 1,
      sym_mult_operator,
    ACTIONS(10839), 1,
      sym_concat_operator,
    ACTIONS(10841), 1,
      sym_rel_operator,
    ACTIONS(10843), 1,
      sym_and_operator,
    ACTIONS(10845), 1,
      sym_or_operator,
    ACTIONS(10847), 1,
      sym_assign_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10183), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [423475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8044), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8050), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423567] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8742), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(14180), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [423649] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8743), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15815), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [423731] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9612), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(8744), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(13016), 1,
      sym__tuple_type,
    STATE(15496), 1,
      sym__type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(18126), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8116), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [423813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8050), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [423858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9060), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9088), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7918), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7791), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424038] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9444), 1,
      anon_sym_DOT,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(10874), 1,
      sym_hash_operator,
    STATE(8750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9550), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9548), 17,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [424089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8978), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8980), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7922), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424179] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9444), 1,
      anon_sym_DOT,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(10874), 1,
      sym_hash_operator,
    STATE(8753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9570), 17,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [424230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7954), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9052), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9092), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424365] = 21,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_type,
    ACTIONS(10878), 1,
      anon_sym_exception,
    ACTIONS(10880), 1,
      anon_sym_module,
    ACTIONS(10882), 1,
      anon_sym_include,
    ACTIONS(10884), 1,
      anon_sym_class,
    ACTIONS(10886), 1,
      anon_sym_val,
    ACTIONS(10888), 1,
      anon_sym_end,
    STATE(8757), 1,
      sym_attribute,
    STATE(8829), 1,
      aux_sym__signature_repeat1,
    STATE(8872), 1,
      aux_sym__structure_repeat1,
    STATE(12515), 1,
      sym__signature_item,
    STATE(19665), 1,
      sym__signature,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12568), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [424442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8986), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8988), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424487] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7597), 1,
      anon_sym_COLON_COLON,
    STATE(8759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9096), 19,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424534] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7591), 1,
      anon_sym_COMMA,
    ACTIONS(7597), 1,
      anon_sym_COLON_COLON,
    STATE(8760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9100), 18,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424583] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9108), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424628] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7597), 1,
      anon_sym_COLON_COLON,
    STATE(8762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9112), 19,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9084), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10794), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10792), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [424765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9126), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8278), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424855] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10806), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10808), 1,
      sym_pow_operator,
    ACTIONS(10810), 1,
      sym_mult_operator,
    ACTIONS(10812), 1,
      sym_concat_operator,
    ACTIONS(10814), 1,
      sym_rel_operator,
    ACTIONS(10816), 1,
      sym_and_operator,
    ACTIONS(10818), 1,
      sym_or_operator,
    ACTIONS(10822), 1,
      anon_sym_COMMA,
    ACTIONS(10824), 1,
      sym_assign_operator,
    ACTIONS(10890), 1,
      anon_sym_SEMI,
    STATE(2136), 1,
      sym_add_operator,
    STATE(8767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8964), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [424924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7998), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [424969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9056), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8998), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9000), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10894), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10892), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [425104] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9004), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10898), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10896), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [425194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8970), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8972), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7906), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8982), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8984), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10902), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10900), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [425374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8994), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8996), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10906), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10904), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [425464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9032), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425509] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9048), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9008), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425599] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9104), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9080), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9064), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9026), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9028), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10910), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10908), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [425824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7874), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7878), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9068), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10914), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10912), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [426004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9122), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10918), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10916), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [426094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9018), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9020), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9076), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426184] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9444), 1,
      anon_sym_DOT,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(10874), 1,
      sym_hash_operator,
    STATE(8796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9564), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9562), 17,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [426235] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9444), 1,
      anon_sym_DOT,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(10874), 1,
      sym_hash_operator,
    STATE(8797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9568), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9566), 17,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [426286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10922), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10920), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [426331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9016), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7910), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426421] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10829), 1,
      anon_sym_COMMA,
    ACTIONS(10833), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10835), 1,
      sym_pow_operator,
    ACTIONS(10837), 1,
      sym_mult_operator,
    ACTIONS(10839), 1,
      sym_concat_operator,
    ACTIONS(10841), 1,
      sym_rel_operator,
    ACTIONS(10843), 1,
      sym_and_operator,
    ACTIONS(10845), 1,
      sym_or_operator,
    ACTIONS(10847), 1,
      sym_assign_operator,
    ACTIONS(10924), 1,
      anon_sym_SEMI,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8964), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [426490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8990), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8992), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7898), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9072), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10928), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10926), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [426670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10932), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10930), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [426715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10936), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10934), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [426760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7886), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4977), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(4975), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9116), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9024), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9038), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426985] = 21,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_type,
    ACTIONS(10878), 1,
      anon_sym_exception,
    ACTIONS(10880), 1,
      anon_sym_module,
    ACTIONS(10882), 1,
      anon_sym_include,
    ACTIONS(10884), 1,
      anon_sym_class,
    ACTIONS(10886), 1,
      anon_sym_val,
    ACTIONS(10938), 1,
      anon_sym_end,
    STATE(8813), 1,
      sym_attribute,
    STATE(8829), 1,
      aux_sym__signature_repeat1,
    STATE(8872), 1,
      aux_sym__structure_repeat1,
    STATE(12515), 1,
      sym__signature_item,
    STATE(18468), 1,
      sym__signature,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12568), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [427062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9040), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9042), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [427107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8974), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8976), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [427152] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10940), 1,
      sym__lowercase_identifier,
    ACTIONS(10942), 1,
      anon_sym_POUND,
    STATE(8816), 1,
      sym_attribute,
    STATE(8978), 1,
      sym_type_constructor_path,
    STATE(16926), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10010), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10012), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [427206] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10947), 1,
      anon_sym_external,
    ACTIONS(10950), 1,
      anon_sym_type,
    ACTIONS(10953), 1,
      anon_sym_exception,
    ACTIONS(10956), 1,
      anon_sym_module,
    ACTIONS(10959), 1,
      anon_sym_open,
    ACTIONS(10962), 1,
      anon_sym_include,
    ACTIONS(10965), 1,
      anon_sym_class,
    ACTIONS(10968), 1,
      anon_sym_val,
    ACTIONS(10971), 1,
      anon_sym_end,
    ACTIONS(10973), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(10976), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(10979), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    STATE(9062), 1,
      aux_sym__structure_repeat1,
    STATE(12515), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8817), 2,
      sym_attribute,
      aux_sym__signature_repeat1,
    STATE(12568), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [427278] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10982), 1,
      sym__lowercase_identifier,
    ACTIONS(10988), 1,
      anon_sym_POUND,
    STATE(8818), 1,
      sym_attribute,
    STATE(9176), 1,
      sym_type_constructor_path,
    STATE(16934), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10986), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [427332] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(10868), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10870), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10992), 1,
      anon_sym_let,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(8819), 1,
      sym_attribute,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10395), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10990), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [427392] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10982), 1,
      sym__lowercase_identifier,
    ACTIONS(10988), 1,
      anon_sym_POUND,
    STATE(8820), 1,
      sym_attribute,
    STATE(9176), 1,
      sym_type_constructor_path,
    STATE(16934), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10010), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10012), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [427446] = 20,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(13), 1,
      anon_sym_type,
    ACTIONS(17), 1,
      anon_sym_module,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(21), 1,
      anon_sym_include,
    ACTIONS(23), 1,
      anon_sym_class,
    ACTIONS(25), 1,
      anon_sym_val,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10994), 1,
      anon_sym_RBRACK,
    ACTIONS(10996), 1,
      anon_sym_exception,
    STATE(8821), 1,
      sym_attribute,
    STATE(8825), 1,
      aux_sym__signature_repeat1,
    STATE(8869), 1,
      aux_sym__structure_repeat1,
    STATE(12515), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12568), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [427520] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(10868), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10870), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11000), 1,
      anon_sym_let,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(8822), 1,
      sym_attribute,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10501), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10998), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [427580] = 20,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(13), 1,
      anon_sym_type,
    ACTIONS(15), 1,
      anon_sym_exception,
    ACTIONS(17), 1,
      anon_sym_module,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(21), 1,
      anon_sym_include,
    ACTIONS(23), 1,
      anon_sym_class,
    ACTIONS(25), 1,
      anon_sym_val,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10994), 1,
      ts_builtin_sym_end,
    STATE(8823), 1,
      sym_attribute,
    STATE(8831), 1,
      aux_sym__signature_repeat1,
    STATE(8888), 1,
      aux_sym__structure_repeat1,
    STATE(12515), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12568), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [427654] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10982), 1,
      sym__lowercase_identifier,
    ACTIONS(11006), 1,
      anon_sym_POUND,
    STATE(8824), 1,
      sym_attribute,
    STATE(8917), 1,
      sym_type_constructor_path,
    STATE(16934), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11002), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11004), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [427708] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10947), 1,
      anon_sym_external,
    ACTIONS(10959), 1,
      anon_sym_open,
    ACTIONS(10971), 1,
      anon_sym_RBRACK,
    ACTIONS(10973), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(10976), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(10979), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11008), 1,
      anon_sym_type,
    ACTIONS(11011), 1,
      anon_sym_exception,
    ACTIONS(11014), 1,
      anon_sym_module,
    ACTIONS(11017), 1,
      anon_sym_include,
    ACTIONS(11020), 1,
      anon_sym_class,
    ACTIONS(11023), 1,
      anon_sym_val,
    STATE(9032), 1,
      aux_sym__structure_repeat1,
    STATE(12515), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8825), 2,
      sym_attribute,
      aux_sym__signature_repeat1,
    STATE(12568), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [427780] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10940), 1,
      sym__lowercase_identifier,
    ACTIONS(11026), 1,
      anon_sym_POUND,
    STATE(8826), 1,
      sym_attribute,
    STATE(9028), 1,
      sym_type_constructor_path,
    STATE(16926), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11002), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11004), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [427834] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10940), 1,
      sym__lowercase_identifier,
    ACTIONS(10942), 1,
      anon_sym_POUND,
    STATE(8827), 1,
      sym_attribute,
    STATE(8978), 1,
      sym_type_constructor_path,
    STATE(16926), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10986), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [427888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 13,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON2,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9060), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [427932] = 20,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_type,
    ACTIONS(10878), 1,
      anon_sym_exception,
    ACTIONS(10880), 1,
      anon_sym_module,
    ACTIONS(10882), 1,
      anon_sym_include,
    ACTIONS(10884), 1,
      anon_sym_class,
    ACTIONS(10886), 1,
      anon_sym_val,
    ACTIONS(10994), 1,
      anon_sym_end,
    STATE(8817), 1,
      aux_sym__signature_repeat1,
    STATE(8829), 1,
      sym_attribute,
    STATE(8897), 1,
      aux_sym__structure_repeat1,
    STATE(12515), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12568), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [428006] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(10868), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10870), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11030), 1,
      anon_sym_let,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(8830), 1,
      sym_attribute,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10386), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11028), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [428066] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10947), 1,
      anon_sym_external,
    ACTIONS(10959), 1,
      anon_sym_open,
    ACTIONS(10971), 1,
      ts_builtin_sym_end,
    ACTIONS(10973), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(10976), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(10979), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11008), 1,
      anon_sym_type,
    ACTIONS(11014), 1,
      anon_sym_module,
    ACTIONS(11017), 1,
      anon_sym_include,
    ACTIONS(11020), 1,
      anon_sym_class,
    ACTIONS(11023), 1,
      anon_sym_val,
    ACTIONS(11032), 1,
      anon_sym_exception,
    STATE(8956), 1,
      aux_sym__structure_repeat1,
    STATE(12515), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8831), 2,
      sym_attribute,
      aux_sym__signature_repeat1,
    STATE(12568), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [428138] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9974), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9976), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11035), 1,
      sym__lowercase_identifier,
    ACTIONS(11037), 1,
      anon_sym_LPAREN,
    ACTIONS(11039), 1,
      anon_sym_LBRACK,
    ACTIONS(11041), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11043), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11045), 1,
      anon_sym_LT,
    ACTIONS(11047), 1,
      anon_sym_POUND,
    ACTIONS(11049), 1,
      aux_sym_type_variable_token1,
    STATE(8832), 1,
      sym_attribute,
    STATE(9267), 1,
      sym__simple_type,
    STATE(9461), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14878), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16707), 1,
      sym_extended_module_path,
    STATE(17850), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9987), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [428215] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9944), 1,
      anon_sym_LPAREN,
    ACTIONS(9946), 1,
      anon_sym_LBRACK,
    ACTIONS(9948), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9952), 1,
      anon_sym_LT,
    ACTIONS(9954), 1,
      anon_sym_POUND,
    ACTIONS(9956), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9958), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9960), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11051), 1,
      sym__lowercase_identifier,
    STATE(8833), 1,
      sym_attribute,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10390), 1,
      sym__simple_type,
    STATE(10392), 1,
      sym_type_variable,
    STATE(14832), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17328), 1,
      sym_extended_module_path,
    STATE(19786), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10980), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [428292] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11053), 1,
      sym__lowercase_identifier,
    ACTIONS(11055), 1,
      anon_sym_POUND,
    STATE(8834), 1,
      sym_attribute,
    STATE(9290), 1,
      sym_type_constructor_path,
    STATE(16844), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10986), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [428345] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9872), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9874), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11057), 1,
      sym__lowercase_identifier,
    ACTIONS(11059), 1,
      anon_sym_LPAREN,
    ACTIONS(11061), 1,
      anon_sym_LBRACK,
    ACTIONS(11063), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11065), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11067), 1,
      anon_sym_LT,
    ACTIONS(11069), 1,
      anon_sym_POUND,
    ACTIONS(11071), 1,
      aux_sym_type_variable_token1,
    STATE(8835), 1,
      sym_attribute,
    STATE(9227), 1,
      sym__simple_type,
    STATE(9726), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14568), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16628), 1,
      sym_extended_module_path,
    STATE(18734), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10070), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [428422] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(10035), 1,
      anon_sym_LPAREN,
    ACTIONS(10037), 1,
      anon_sym_LBRACK,
    ACTIONS(10039), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10041), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10043), 1,
      anon_sym_LT,
    ACTIONS(10045), 1,
      anon_sym_POUND,
    ACTIONS(10047), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10049), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10051), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11073), 1,
      sym__lowercase_identifier,
    STATE(8836), 1,
      sym_attribute,
    STATE(9984), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10128), 1,
      sym__simple_type,
    STATE(14903), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16455), 1,
      sym_extended_module_path,
    STATE(20130), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10807), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [428499] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9814), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9816), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11075), 1,
      sym__lowercase_identifier,
    ACTIONS(11077), 1,
      anon_sym_LPAREN,
    ACTIONS(11079), 1,
      anon_sym_LBRACK,
    ACTIONS(11081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11085), 1,
      anon_sym_LT,
    ACTIONS(11087), 1,
      anon_sym_POUND,
    ACTIONS(11089), 1,
      aux_sym_type_variable_token1,
    STATE(8837), 1,
      sym_attribute,
    STATE(9535), 1,
      sym__simple_type,
    STATE(9829), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14776), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17281), 1,
      sym_extended_module_path,
    STATE(20268), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10334), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [428576] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(13), 1,
      anon_sym_type,
    ACTIONS(17), 1,
      anon_sym_module,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(21), 1,
      anon_sym_include,
    ACTIONS(23), 1,
      anon_sym_class,
    ACTIONS(25), 1,
      anon_sym_val,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10994), 1,
      anon_sym_RBRACK,
    ACTIONS(10996), 1,
      anon_sym_exception,
    STATE(8838), 1,
      sym_attribute,
    STATE(12155), 1,
      aux_sym__structure_repeat1,
    STATE(12678), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12568), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [428647] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9232), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9234), 1,
      anon_sym_LT,
    ACTIONS(9236), 1,
      anon_sym_POUND,
    ACTIONS(9238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9240), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9244), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10646), 1,
      anon_sym_LPAREN,
    ACTIONS(10650), 1,
      anon_sym_LBRACK,
    ACTIONS(11091), 1,
      sym__lowercase_identifier,
    STATE(8839), 1,
      sym_attribute,
    STATE(8915), 1,
      sym__simple_type,
    STATE(9339), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14282), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17383), 1,
      sym_extended_module_path,
    STATE(18829), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9335), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [428724] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11093), 1,
      sym__lowercase_identifier,
    ACTIONS(11095), 1,
      anon_sym_POUND,
    STATE(8840), 1,
      sym_attribute,
    STATE(9365), 1,
      sym_type_constructor_path,
    STATE(16708), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11002), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11004), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [428777] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11099), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11101), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(11097), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [428822] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(10435), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10437), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(8842), 1,
      sym_attribute,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10386), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11028), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [428879] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(11103), 1,
      sym__lowercase_identifier,
    ACTIONS(11105), 1,
      anon_sym_LPAREN,
    ACTIONS(11107), 1,
      anon_sym_LBRACK,
    ACTIONS(11109), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11111), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11113), 1,
      anon_sym_LT,
    ACTIONS(11115), 1,
      anon_sym_POUND,
    ACTIONS(11117), 1,
      aux_sym_type_variable_token1,
    STATE(8843), 1,
      sym_attribute,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(13051), 1,
      sym__simple_type,
    STATE(13150), 1,
      sym_type_variable,
    STATE(14426), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16351), 1,
      sym_extended_module_path,
    STATE(18544), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13598), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [428956] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(10435), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10437), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(8844), 1,
      sym_attribute,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10395), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10990), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [429013] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(10868), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10870), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11121), 1,
      anon_sym_let,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(8845), 1,
      sym_attribute,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10679), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11119), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [429072] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11053), 1,
      sym__lowercase_identifier,
    ACTIONS(11055), 1,
      anon_sym_POUND,
    STATE(8846), 1,
      sym_attribute,
    STATE(9290), 1,
      sym_type_constructor_path,
    STATE(16844), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10010), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10012), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [429125] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9944), 1,
      anon_sym_LPAREN,
    ACTIONS(9946), 1,
      anon_sym_LBRACK,
    ACTIONS(9948), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9952), 1,
      anon_sym_LT,
    ACTIONS(9954), 1,
      anon_sym_POUND,
    ACTIONS(9956), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9958), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9960), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11051), 1,
      sym__lowercase_identifier,
    STATE(8847), 1,
      sym_attribute,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10238), 1,
      sym__simple_type,
    STATE(10392), 1,
      sym_type_variable,
    STATE(14893), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17328), 1,
      sym_extended_module_path,
    STATE(20209), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10980), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [429202] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(10868), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10870), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11125), 1,
      anon_sym_let,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(8848), 1,
      sym_attribute,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10764), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11123), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [429261] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(11103), 1,
      sym__lowercase_identifier,
    ACTIONS(11105), 1,
      anon_sym_LPAREN,
    ACTIONS(11107), 1,
      anon_sym_LBRACK,
    ACTIONS(11109), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11111), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11113), 1,
      anon_sym_LT,
    ACTIONS(11115), 1,
      anon_sym_POUND,
    ACTIONS(11117), 1,
      aux_sym_type_variable_token1,
    STATE(8849), 1,
      sym_attribute,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(13095), 1,
      sym__simple_type,
    STATE(13150), 1,
      sym_type_variable,
    STATE(14291), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16351), 1,
      sym_extended_module_path,
    STATE(17535), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13598), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [429338] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(11127), 1,
      sym__lowercase_identifier,
    ACTIONS(11129), 1,
      anon_sym_LPAREN,
    ACTIONS(11131), 1,
      anon_sym_LBRACK,
    ACTIONS(11133), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11135), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11137), 1,
      anon_sym_LT,
    ACTIONS(11139), 1,
      anon_sym_POUND,
    ACTIONS(11141), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11143), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11145), 1,
      aux_sym_type_variable_token1,
    STATE(8850), 1,
      sym_attribute,
    STATE(9761), 1,
      sym__simple_type,
    STATE(10051), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14641), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16712), 1,
      sym_extended_module_path,
    STATE(19723), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10588), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [429415] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9232), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9234), 1,
      anon_sym_LT,
    ACTIONS(9236), 1,
      anon_sym_POUND,
    ACTIONS(9238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9240), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9244), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10646), 1,
      anon_sym_LPAREN,
    ACTIONS(10650), 1,
      anon_sym_LBRACK,
    ACTIONS(11091), 1,
      sym__lowercase_identifier,
    STATE(8851), 1,
      sym_attribute,
    STATE(8921), 1,
      sym__simple_type,
    STATE(9339), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14288), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17383), 1,
      sym_extended_module_path,
    STATE(18842), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9335), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [429492] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9848), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9850), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11147), 1,
      sym__lowercase_identifier,
    ACTIONS(11149), 1,
      anon_sym_LPAREN,
    ACTIONS(11151), 1,
      anon_sym_LBRACK,
    ACTIONS(11153), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11155), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11157), 1,
      anon_sym_LT,
    ACTIONS(11159), 1,
      anon_sym_POUND,
    ACTIONS(11161), 1,
      aux_sym_type_variable_token1,
    STATE(8852), 1,
      sym_attribute,
    STATE(9824), 1,
      sym__simple_type,
    STATE(10009), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14345), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16878), 1,
      sym_extended_module_path,
    STATE(18704), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10692), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [429569] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(10868), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10870), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11165), 1,
      anon_sym_let,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(8853), 1,
      sym_attribute,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10774), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11163), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [429628] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11167), 1,
      sym__lowercase_identifier,
    ACTIONS(11169), 1,
      anon_sym_POUND,
    STATE(8854), 1,
      sym_attribute,
    STATE(9300), 1,
      sym_type_constructor_path,
    STATE(16764), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11002), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11004), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [429681] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9298), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9300), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9302), 1,
      anon_sym_LT,
    ACTIONS(9304), 1,
      anon_sym_POUND,
    ACTIONS(9306), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9308), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9310), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10705), 1,
      anon_sym_LPAREN,
    ACTIONS(10709), 1,
      anon_sym_LBRACK,
    ACTIONS(11171), 1,
      sym__lowercase_identifier,
    STATE(8855), 1,
      sym_attribute,
    STATE(9037), 1,
      sym__simple_type,
    STATE(9254), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14702), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16601), 1,
      sym_extended_module_path,
    STATE(19928), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9332), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [429758] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11173), 1,
      anon_sym_COLON2,
    STATE(8856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9058), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [429803] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9298), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9300), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9302), 1,
      anon_sym_LT,
    ACTIONS(9304), 1,
      anon_sym_POUND,
    ACTIONS(9306), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9308), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9310), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10705), 1,
      anon_sym_LPAREN,
    ACTIONS(10709), 1,
      anon_sym_LBRACK,
    ACTIONS(11171), 1,
      sym__lowercase_identifier,
    STATE(8857), 1,
      sym_attribute,
    STATE(9038), 1,
      sym__simple_type,
    STATE(9254), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14705), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16601), 1,
      sym_extended_module_path,
    STATE(19932), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9332), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [429880] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9268), 1,
      anon_sym_LT,
    ACTIONS(9270), 1,
      anon_sym_POUND,
    ACTIONS(9272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10588), 1,
      anon_sym_LPAREN,
    ACTIONS(10592), 1,
      anon_sym_LBRACK,
    ACTIONS(11175), 1,
      sym__lowercase_identifier,
    STATE(8858), 1,
      sym_attribute,
    STATE(9309), 1,
      sym__simple_type,
    STATE(9531), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14278), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17248), 1,
      sym_extended_module_path,
    STATE(17513), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9485), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [429957] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(11177), 1,
      sym__lowercase_identifier,
    ACTIONS(11179), 1,
      anon_sym_LPAREN,
    ACTIONS(11181), 1,
      anon_sym_LBRACK,
    ACTIONS(11183), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11185), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11187), 1,
      anon_sym_LT,
    ACTIONS(11189), 1,
      anon_sym_POUND,
    ACTIONS(11191), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11193), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11195), 1,
      aux_sym_type_variable_token1,
    STATE(8859), 1,
      sym_attribute,
    STATE(9938), 1,
      sym__simple_type,
    STATE(10082), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14535), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16496), 1,
      sym_extended_module_path,
    STATE(18086), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10628), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [430034] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9872), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9874), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11057), 1,
      sym__lowercase_identifier,
    ACTIONS(11059), 1,
      anon_sym_LPAREN,
    ACTIONS(11061), 1,
      anon_sym_LBRACK,
    ACTIONS(11063), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11065), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11067), 1,
      anon_sym_LT,
    ACTIONS(11069), 1,
      anon_sym_POUND,
    ACTIONS(11071), 1,
      aux_sym_type_variable_token1,
    STATE(8860), 1,
      sym_attribute,
    STATE(9255), 1,
      sym__simple_type,
    STATE(9726), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14586), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16628), 1,
      sym_extended_module_path,
    STATE(19229), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10070), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [430111] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9298), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9300), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9302), 1,
      anon_sym_LT,
    ACTIONS(9304), 1,
      anon_sym_POUND,
    ACTIONS(9306), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9308), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9310), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10705), 1,
      anon_sym_LPAREN,
    ACTIONS(10709), 1,
      anon_sym_LBRACK,
    ACTIONS(11171), 1,
      sym__lowercase_identifier,
    STATE(8861), 1,
      sym_attribute,
    STATE(8993), 1,
      sym__simple_type,
    STATE(9254), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14723), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16601), 1,
      sym_extended_module_path,
    STATE(20015), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9332), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [430188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11199), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11197), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [430231] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9814), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9816), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11075), 1,
      sym__lowercase_identifier,
    ACTIONS(11077), 1,
      anon_sym_LPAREN,
    ACTIONS(11079), 1,
      anon_sym_LBRACK,
    ACTIONS(11081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11085), 1,
      anon_sym_LT,
    ACTIONS(11087), 1,
      anon_sym_POUND,
    ACTIONS(11089), 1,
      aux_sym_type_variable_token1,
    STATE(8863), 1,
      sym_attribute,
    STATE(9721), 1,
      sym__simple_type,
    STATE(9829), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14920), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17281), 1,
      sym_extended_module_path,
    STATE(18935), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10334), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [430308] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(11177), 1,
      sym__lowercase_identifier,
    ACTIONS(11179), 1,
      anon_sym_LPAREN,
    ACTIONS(11181), 1,
      anon_sym_LBRACK,
    ACTIONS(11183), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11185), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11187), 1,
      anon_sym_LT,
    ACTIONS(11189), 1,
      anon_sym_POUND,
    ACTIONS(11191), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11193), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11195), 1,
      aux_sym_type_variable_token1,
    STATE(8864), 1,
      sym_attribute,
    STATE(9836), 1,
      sym__simple_type,
    STATE(10082), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14481), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16496), 1,
      sym_extended_module_path,
    STATE(17773), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10628), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [430385] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11173), 1,
      anon_sym_COLON2,
    STATE(8865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9058), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [430430] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9974), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9976), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11035), 1,
      sym__lowercase_identifier,
    ACTIONS(11037), 1,
      anon_sym_LPAREN,
    ACTIONS(11039), 1,
      anon_sym_LBRACK,
    ACTIONS(11041), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11043), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11045), 1,
      anon_sym_LT,
    ACTIONS(11047), 1,
      anon_sym_POUND,
    ACTIONS(11049), 1,
      aux_sym_type_variable_token1,
    STATE(8866), 1,
      sym_attribute,
    STATE(9250), 1,
      sym__simple_type,
    STATE(9461), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14851), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16707), 1,
      sym_extended_module_path,
    STATE(19074), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9987), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [430507] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(10035), 1,
      anon_sym_LPAREN,
    ACTIONS(10037), 1,
      anon_sym_LBRACK,
    ACTIONS(10039), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10041), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10043), 1,
      anon_sym_LT,
    ACTIONS(10045), 1,
      anon_sym_POUND,
    ACTIONS(10047), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10049), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10051), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11073), 1,
      sym__lowercase_identifier,
    STATE(8867), 1,
      sym_attribute,
    STATE(9984), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10094), 1,
      sym__simple_type,
    STATE(14360), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16455), 1,
      sym_extended_module_path,
    STATE(18852), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10807), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [430584] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9268), 1,
      anon_sym_LT,
    ACTIONS(9270), 1,
      anon_sym_POUND,
    ACTIONS(9272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10588), 1,
      anon_sym_LPAREN,
    ACTIONS(10592), 1,
      anon_sym_LBRACK,
    ACTIONS(11175), 1,
      sym__lowercase_identifier,
    STATE(8868), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__simple_type,
    STATE(9531), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14304), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17248), 1,
      sym_extended_module_path,
    STATE(17700), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9485), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [430661] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(13), 1,
      anon_sym_type,
    ACTIONS(17), 1,
      anon_sym_module,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(21), 1,
      anon_sym_include,
    ACTIONS(23), 1,
      anon_sym_class,
    ACTIONS(25), 1,
      anon_sym_val,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10996), 1,
      anon_sym_exception,
    ACTIONS(11201), 1,
      anon_sym_RBRACK,
    STATE(8869), 1,
      sym_attribute,
    STATE(12155), 1,
      aux_sym__structure_repeat1,
    STATE(12678), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12568), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [430732] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(11103), 1,
      sym__lowercase_identifier,
    ACTIONS(11105), 1,
      anon_sym_LPAREN,
    ACTIONS(11107), 1,
      anon_sym_LBRACK,
    ACTIONS(11109), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11111), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11113), 1,
      anon_sym_LT,
    ACTIONS(11115), 1,
      anon_sym_POUND,
    ACTIONS(11117), 1,
      aux_sym_type_variable_token1,
    STATE(8870), 1,
      sym_attribute,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(13093), 1,
      sym__simple_type,
    STATE(13150), 1,
      sym_type_variable,
    STATE(14280), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16351), 1,
      sym_extended_module_path,
    STATE(17531), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13598), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [430809] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9848), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9850), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11147), 1,
      sym__lowercase_identifier,
    ACTIONS(11149), 1,
      anon_sym_LPAREN,
    ACTIONS(11151), 1,
      anon_sym_LBRACK,
    ACTIONS(11153), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11155), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11157), 1,
      anon_sym_LT,
    ACTIONS(11159), 1,
      anon_sym_POUND,
    ACTIONS(11161), 1,
      aux_sym_type_variable_token1,
    STATE(8871), 1,
      sym_attribute,
    STATE(9838), 1,
      sym__simple_type,
    STATE(10009), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14359), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16878), 1,
      sym_extended_module_path,
    STATE(18894), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10692), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [430886] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_type,
    ACTIONS(10878), 1,
      anon_sym_exception,
    ACTIONS(10880), 1,
      anon_sym_module,
    ACTIONS(10882), 1,
      anon_sym_include,
    ACTIONS(10884), 1,
      anon_sym_class,
    ACTIONS(10886), 1,
      anon_sym_val,
    ACTIONS(10994), 1,
      anon_sym_end,
    STATE(8872), 1,
      sym_attribute,
    STATE(12155), 1,
      aux_sym__structure_repeat1,
    STATE(12678), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12568), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [430957] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(11177), 1,
      sym__lowercase_identifier,
    ACTIONS(11179), 1,
      anon_sym_LPAREN,
    ACTIONS(11181), 1,
      anon_sym_LBRACK,
    ACTIONS(11183), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11185), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11187), 1,
      anon_sym_LT,
    ACTIONS(11189), 1,
      anon_sym_POUND,
    ACTIONS(11191), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11193), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11195), 1,
      aux_sym_type_variable_token1,
    STATE(8873), 1,
      sym_attribute,
    STATE(9840), 1,
      sym__simple_type,
    STATE(10082), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14482), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16496), 1,
      sym_extended_module_path,
    STATE(17785), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10628), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [431034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10862), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10864), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [431077] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9848), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9850), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11147), 1,
      sym__lowercase_identifier,
    ACTIONS(11149), 1,
      anon_sym_LPAREN,
    ACTIONS(11151), 1,
      anon_sym_LBRACK,
    ACTIONS(11153), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11155), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11157), 1,
      anon_sym_LT,
    ACTIONS(11159), 1,
      anon_sym_POUND,
    ACTIONS(11161), 1,
      aux_sym_type_variable_token1,
    STATE(8875), 1,
      sym_attribute,
    STATE(9825), 1,
      sym__simple_type,
    STATE(10009), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14346), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16878), 1,
      sym_extended_module_path,
    STATE(18707), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10692), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [431154] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(10035), 1,
      anon_sym_LPAREN,
    ACTIONS(10037), 1,
      anon_sym_LBRACK,
    ACTIONS(10039), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10041), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10043), 1,
      anon_sym_LT,
    ACTIONS(10045), 1,
      anon_sym_POUND,
    ACTIONS(10047), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10049), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10051), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11073), 1,
      sym__lowercase_identifier,
    STATE(8876), 1,
      sym_attribute,
    STATE(9984), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10100), 1,
      sym__simple_type,
    STATE(14388), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16455), 1,
      sym_extended_module_path,
    STATE(19163), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10807), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [431231] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9974), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9976), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11035), 1,
      sym__lowercase_identifier,
    ACTIONS(11037), 1,
      anon_sym_LPAREN,
    ACTIONS(11039), 1,
      anon_sym_LBRACK,
    ACTIONS(11041), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11043), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11045), 1,
      anon_sym_LT,
    ACTIONS(11047), 1,
      anon_sym_POUND,
    ACTIONS(11049), 1,
      aux_sym_type_variable_token1,
    STATE(8877), 1,
      sym_attribute,
    STATE(9383), 1,
      sym__simple_type,
    STATE(9461), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14856), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16707), 1,
      sym_extended_module_path,
    STATE(19214), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9987), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [431308] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11053), 1,
      sym__lowercase_identifier,
    ACTIONS(11203), 1,
      anon_sym_POUND,
    STATE(8878), 1,
      sym_attribute,
    STATE(9278), 1,
      sym_type_constructor_path,
    STATE(16844), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11002), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11004), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [431361] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(11211), 1,
      anon_sym_DOT,
    STATE(8879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11207), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11205), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [431408] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(11127), 1,
      sym__lowercase_identifier,
    ACTIONS(11129), 1,
      anon_sym_LPAREN,
    ACTIONS(11131), 1,
      anon_sym_LBRACK,
    ACTIONS(11133), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11135), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11137), 1,
      anon_sym_LT,
    ACTIONS(11139), 1,
      anon_sym_POUND,
    ACTIONS(11141), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11143), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11145), 1,
      aux_sym_type_variable_token1,
    STATE(8880), 1,
      sym_attribute,
    STATE(9783), 1,
      sym__simple_type,
    STATE(10051), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14867), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16712), 1,
      sym_extended_module_path,
    STATE(20075), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10588), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [431485] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9944), 1,
      anon_sym_LPAREN,
    ACTIONS(9946), 1,
      anon_sym_LBRACK,
    ACTIONS(9948), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9952), 1,
      anon_sym_LT,
    ACTIONS(9954), 1,
      anon_sym_POUND,
    ACTIONS(9956), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9958), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9960), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11051), 1,
      sym__lowercase_identifier,
    STATE(8881), 1,
      sym_attribute,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10389), 1,
      sym__simple_type,
    STATE(10392), 1,
      sym_type_variable,
    STATE(14831), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17328), 1,
      sym_extended_module_path,
    STATE(19781), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10980), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [431562] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10746), 1,
      anon_sym_LPAREN,
    ACTIONS(10750), 1,
      anon_sym_LBRACK,
    ACTIONS(11213), 1,
      sym__lowercase_identifier,
    STATE(8882), 1,
      sym_attribute,
    STATE(9421), 1,
      sym__simple_type,
    STATE(9929), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14286), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16988), 1,
      sym_extended_module_path,
    STATE(17638), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9808), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [431639] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9232), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9234), 1,
      anon_sym_LT,
    ACTIONS(9236), 1,
      anon_sym_POUND,
    ACTIONS(9238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9240), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9244), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10646), 1,
      anon_sym_LPAREN,
    ACTIONS(10650), 1,
      anon_sym_LBRACK,
    ACTIONS(11091), 1,
      sym__lowercase_identifier,
    STATE(8883), 1,
      sym_attribute,
    STATE(8987), 1,
      sym__simple_type,
    STATE(9339), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14339), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17383), 1,
      sym_extended_module_path,
    STATE(19999), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9335), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [431716] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9268), 1,
      anon_sym_LT,
    ACTIONS(9270), 1,
      anon_sym_POUND,
    ACTIONS(9272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10588), 1,
      anon_sym_LPAREN,
    ACTIONS(10592), 1,
      anon_sym_LBRACK,
    ACTIONS(11175), 1,
      sym__lowercase_identifier,
    STATE(8884), 1,
      sym_attribute,
    STATE(9331), 1,
      sym__simple_type,
    STATE(9531), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14673), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17248), 1,
      sym_extended_module_path,
    STATE(17835), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9485), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [431793] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(11127), 1,
      sym__lowercase_identifier,
    ACTIONS(11129), 1,
      anon_sym_LPAREN,
    ACTIONS(11131), 1,
      anon_sym_LBRACK,
    ACTIONS(11133), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11135), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11137), 1,
      anon_sym_LT,
    ACTIONS(11139), 1,
      anon_sym_POUND,
    ACTIONS(11141), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11143), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11145), 1,
      aux_sym_type_variable_token1,
    STATE(8885), 1,
      sym_attribute,
    STATE(9762), 1,
      sym__simple_type,
    STATE(10051), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14642), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16712), 1,
      sym_extended_module_path,
    STATE(19727), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10588), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [431870] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10746), 1,
      anon_sym_LPAREN,
    ACTIONS(10750), 1,
      anon_sym_LBRACK,
    ACTIONS(11213), 1,
      sym__lowercase_identifier,
    STATE(8886), 1,
      sym_attribute,
    STATE(9422), 1,
      sym__simple_type,
    STATE(9929), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14287), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16988), 1,
      sym_extended_module_path,
    STATE(17652), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9808), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [431947] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9814), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9816), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11075), 1,
      sym__lowercase_identifier,
    ACTIONS(11077), 1,
      anon_sym_LPAREN,
    ACTIONS(11079), 1,
      anon_sym_LBRACK,
    ACTIONS(11081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11085), 1,
      anon_sym_LT,
    ACTIONS(11087), 1,
      anon_sym_POUND,
    ACTIONS(11089), 1,
      aux_sym_type_variable_token1,
    STATE(8887), 1,
      sym_attribute,
    STATE(9534), 1,
      sym__simple_type,
    STATE(9829), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14775), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17281), 1,
      sym_extended_module_path,
    STATE(20265), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10334), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [432024] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(13), 1,
      anon_sym_type,
    ACTIONS(15), 1,
      anon_sym_exception,
    ACTIONS(17), 1,
      anon_sym_module,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(21), 1,
      anon_sym_include,
    ACTIONS(23), 1,
      anon_sym_class,
    ACTIONS(25), 1,
      anon_sym_val,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11201), 1,
      ts_builtin_sym_end,
    STATE(8888), 1,
      sym_attribute,
    STATE(12155), 1,
      aux_sym__structure_repeat1,
    STATE(12678), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12568), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [432095] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9872), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9874), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11057), 1,
      sym__lowercase_identifier,
    ACTIONS(11059), 1,
      anon_sym_LPAREN,
    ACTIONS(11061), 1,
      anon_sym_LBRACK,
    ACTIONS(11063), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11065), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11067), 1,
      anon_sym_LT,
    ACTIONS(11069), 1,
      anon_sym_POUND,
    ACTIONS(11071), 1,
      aux_sym_type_variable_token1,
    STATE(8889), 1,
      sym_attribute,
    STATE(9382), 1,
      sym__simple_type,
    STATE(9726), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14565), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16628), 1,
      sym_extended_module_path,
    STATE(18725), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10070), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [432172] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10746), 1,
      anon_sym_LPAREN,
    ACTIONS(10750), 1,
      anon_sym_LBRACK,
    ACTIONS(11213), 1,
      sym__lowercase_identifier,
    STATE(8890), 1,
      sym_attribute,
    STATE(9434), 1,
      sym__simple_type,
    STATE(9929), 1,
      sym_type_variable,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(14295), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16988), 1,
      sym_extended_module_path,
    STATE(17808), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9808), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [432249] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(10868), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10870), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11217), 1,
      anon_sym_let,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(8891), 1,
      sym_attribute,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(11089), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11215), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [432308] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11221), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11223), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(11219), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [432353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10862), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10864), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [432396] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(10868), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10870), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11227), 1,
      anon_sym_let,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(8894), 1,
      sym_attribute,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(11488), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11225), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [432455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11229), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11223), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [432498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11231), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11101), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [432541] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_type,
    ACTIONS(10878), 1,
      anon_sym_exception,
    ACTIONS(10880), 1,
      anon_sym_module,
    ACTIONS(10882), 1,
      anon_sym_include,
    ACTIONS(10884), 1,
      anon_sym_class,
    ACTIONS(10886), 1,
      anon_sym_val,
    ACTIONS(11201), 1,
      anon_sym_end,
    STATE(8897), 1,
      sym_attribute,
    STATE(12155), 1,
      aux_sym__structure_repeat1,
    STATE(12678), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12568), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [432612] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(13), 1,
      anon_sym_type,
    ACTIONS(15), 1,
      anon_sym_exception,
    ACTIONS(17), 1,
      anon_sym_module,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(21), 1,
      anon_sym_include,
    ACTIONS(23), 1,
      anon_sym_class,
    ACTIONS(25), 1,
      anon_sym_val,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10994), 1,
      ts_builtin_sym_end,
    STATE(8898), 1,
      sym_attribute,
    STATE(12155), 1,
      aux_sym__structure_repeat1,
    STATE(12678), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12568), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [432683] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(10435), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10437), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(8899), 1,
      sym_attribute,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10501), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10998), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [432740] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11235), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11237), 1,
      anon_sym_GT,
    STATE(8900), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432812] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9298), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9300), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9302), 1,
      anon_sym_LT,
    ACTIONS(9304), 1,
      anon_sym_POUND,
    ACTIONS(9306), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9308), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9310), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10705), 1,
      anon_sym_LPAREN,
    ACTIONS(10709), 1,
      anon_sym_LBRACK,
    ACTIONS(11171), 1,
      sym__lowercase_identifier,
    STATE(8901), 1,
      sym_attribute,
    STATE(9121), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(16601), 1,
      sym_extended_module_path,
    STATE(20070), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432884] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9298), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9300), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9302), 1,
      anon_sym_LT,
    ACTIONS(9304), 1,
      anon_sym_POUND,
    ACTIONS(9306), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9308), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9310), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10705), 1,
      anon_sym_LPAREN,
    ACTIONS(10709), 1,
      anon_sym_LBRACK,
    ACTIONS(11171), 1,
      sym__lowercase_identifier,
    STATE(8902), 1,
      sym_attribute,
    STATE(8954), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(16601), 1,
      sym_extended_module_path,
    STATE(20119), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432956] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9848), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9850), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11147), 1,
      sym__lowercase_identifier,
    ACTIONS(11149), 1,
      anon_sym_LPAREN,
    ACTIONS(11151), 1,
      anon_sym_LBRACK,
    ACTIONS(11153), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11155), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11157), 1,
      anon_sym_LT,
    ACTIONS(11159), 1,
      anon_sym_POUND,
    ACTIONS(11161), 1,
      aux_sym_type_variable_token1,
    STATE(8903), 1,
      sym_attribute,
    STATE(9845), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(16878), 1,
      sym_extended_module_path,
    STATE(19004), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10692), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433028] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11239), 1,
      anon_sym_DOT,
    ACTIONS(11241), 1,
      anon_sym_POUND,
    ACTIONS(11243), 1,
      sym_hash_operator,
    STATE(8904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8096), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [433076] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9944), 1,
      anon_sym_LPAREN,
    ACTIONS(9946), 1,
      anon_sym_LBRACK,
    ACTIONS(9948), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9952), 1,
      anon_sym_LT,
    ACTIONS(9954), 1,
      anon_sym_POUND,
    ACTIONS(9956), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9958), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9960), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11051), 1,
      sym__lowercase_identifier,
    STATE(8905), 1,
      sym_attribute,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10490), 1,
      sym__constructor_argument,
    STATE(10783), 1,
      sym__simple_type,
    STATE(17328), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10980), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433148] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9848), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9850), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11147), 1,
      sym__lowercase_identifier,
    ACTIONS(11149), 1,
      anon_sym_LPAREN,
    ACTIONS(11151), 1,
      anon_sym_LBRACK,
    ACTIONS(11153), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11155), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11157), 1,
      anon_sym_LT,
    ACTIONS(11159), 1,
      anon_sym_POUND,
    ACTIONS(11161), 1,
      aux_sym_type_variable_token1,
    STATE(8906), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(16878), 1,
      sym_extended_module_path,
    STATE(19127), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10692), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433220] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11245), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11247), 1,
      anon_sym_GT,
    STATE(8907), 1,
      sym_attribute,
    STATE(13327), 1,
      sym__simple_type,
    STATE(15570), 1,
      sym_method_type,
    STATE(16523), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11251), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11249), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [433334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11255), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11253), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [433376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11259), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11257), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [433418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11263), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11261), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [433460] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11265), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11267), 1,
      anon_sym_GT,
    STATE(8912), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433532] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(10035), 1,
      anon_sym_LPAREN,
    ACTIONS(10037), 1,
      anon_sym_LBRACK,
    ACTIONS(10039), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10041), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10043), 1,
      anon_sym_LT,
    ACTIONS(10045), 1,
      anon_sym_POUND,
    ACTIONS(10047), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10049), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10051), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11073), 1,
      sym__lowercase_identifier,
    STATE(8913), 1,
      sym_attribute,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10428), 1,
      sym__constructor_argument,
    STATE(10520), 1,
      sym__simple_type,
    STATE(16455), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10807), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433604] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8220), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [433646] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11093), 1,
      sym__lowercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11277), 1,
      anon_sym_POUND,
    STATE(8915), 1,
      sym_attribute,
    STATE(9387), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16708), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11269), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11271), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [433704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11281), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11279), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [433746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11285), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11283), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [433788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11289), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11287), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [433830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11293), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11291), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [433872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11297), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11295), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [433914] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11093), 1,
      sym__lowercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11277), 1,
      anon_sym_POUND,
    STATE(8921), 1,
      sym_attribute,
    STATE(9387), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16708), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11299), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11301), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [433972] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8208), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434014] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8058), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434056] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11303), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11305), 1,
      anon_sym_GT,
    STATE(8924), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434128] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9944), 1,
      anon_sym_LPAREN,
    ACTIONS(9946), 1,
      anon_sym_LBRACK,
    ACTIONS(9948), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9952), 1,
      anon_sym_LT,
    ACTIONS(9954), 1,
      anon_sym_POUND,
    ACTIONS(9956), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9958), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9960), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11051), 1,
      sym__lowercase_identifier,
    STATE(8925), 1,
      sym_attribute,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10537), 1,
      sym__constructor_argument,
    STATE(10783), 1,
      sym__simple_type,
    STATE(17328), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10980), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434200] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11307), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11309), 1,
      anon_sym_GT,
    STATE(8926), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434272] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7771), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434314] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9944), 1,
      anon_sym_LPAREN,
    ACTIONS(9946), 1,
      anon_sym_LBRACK,
    ACTIONS(9948), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9952), 1,
      anon_sym_LT,
    ACTIONS(9954), 1,
      anon_sym_POUND,
    ACTIONS(9956), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9958), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9960), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11051), 1,
      sym__lowercase_identifier,
    STATE(8928), 1,
      sym_attribute,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10371), 1,
      sym__simple_type,
    STATE(17328), 1,
      sym_extended_module_path,
    STATE(18358), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10980), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9066), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [434428] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11311), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11313), 1,
      anon_sym_GT,
    STATE(8930), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11317), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11315), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [434542] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(11127), 1,
      sym__lowercase_identifier,
    ACTIONS(11129), 1,
      anon_sym_LPAREN,
    ACTIONS(11131), 1,
      anon_sym_LBRACK,
    ACTIONS(11133), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11135), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11137), 1,
      anon_sym_LT,
    ACTIONS(11139), 1,
      anon_sym_POUND,
    ACTIONS(11141), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11143), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11145), 1,
      aux_sym_type_variable_token1,
    STATE(8932), 1,
      sym_attribute,
    STATE(9980), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10490), 1,
      sym__constructor_argument,
    STATE(16712), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10588), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11321), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11319), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [434656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11325), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11323), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [434698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11329), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11327), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [434740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11333), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11331), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [434782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11337), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11335), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [434824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9058), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [434866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11341), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11339), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [434908] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11343), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11345), 1,
      anon_sym_GT,
    STATE(8940), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434980] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(8941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(7982), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435024] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9232), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9234), 1,
      anon_sym_LT,
    ACTIONS(9236), 1,
      anon_sym_POUND,
    ACTIONS(9238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9240), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9244), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10646), 1,
      anon_sym_LPAREN,
    ACTIONS(10650), 1,
      anon_sym_LBRACK,
    ACTIONS(11091), 1,
      sym__lowercase_identifier,
    STATE(8942), 1,
      sym_attribute,
    STATE(9068), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(17383), 1,
      sym_extended_module_path,
    STATE(17628), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435096] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11347), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11349), 1,
      anon_sym_GT,
    STATE(8943), 1,
      sym_attribute,
    STATE(13318), 1,
      sym__simple_type,
    STATE(15681), 1,
      sym_method_type,
    STATE(16523), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11353), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11351), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [435210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11357), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11355), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [435252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11361), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11359), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [435294] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9232), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9234), 1,
      anon_sym_LT,
    ACTIONS(9236), 1,
      anon_sym_POUND,
    ACTIONS(9238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9240), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9244), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10646), 1,
      anon_sym_LPAREN,
    ACTIONS(10650), 1,
      anon_sym_LBRACK,
    ACTIONS(11091), 1,
      sym__lowercase_identifier,
    STATE(8947), 1,
      sym_attribute,
    STATE(9069), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(17383), 1,
      sym_extended_module_path,
    STATE(17636), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11365), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11363), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [435408] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9232), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9234), 1,
      anon_sym_LT,
    ACTIONS(9236), 1,
      anon_sym_POUND,
    ACTIONS(9238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9240), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9244), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10646), 1,
      anon_sym_LPAREN,
    ACTIONS(10650), 1,
      anon_sym_LBRACK,
    ACTIONS(11091), 1,
      sym__lowercase_identifier,
    STATE(8949), 1,
      sym_attribute,
    STATE(9115), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(17383), 1,
      sym_extended_module_path,
    STATE(17807), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435480] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9944), 1,
      anon_sym_LPAREN,
    ACTIONS(9946), 1,
      anon_sym_LBRACK,
    ACTIONS(9948), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9952), 1,
      anon_sym_LT,
    ACTIONS(9954), 1,
      anon_sym_POUND,
    ACTIONS(9956), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9958), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9960), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11051), 1,
      sym__lowercase_identifier,
    STATE(8950), 1,
      sym_attribute,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10464), 1,
      sym__simple_type,
    STATE(17328), 1,
      sym_extended_module_path,
    STATE(18437), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10980), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435552] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9944), 1,
      anon_sym_LPAREN,
    ACTIONS(9946), 1,
      anon_sym_LBRACK,
    ACTIONS(9948), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9952), 1,
      anon_sym_LT,
    ACTIONS(9954), 1,
      anon_sym_POUND,
    ACTIONS(9956), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9958), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9960), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11051), 1,
      sym__lowercase_identifier,
    STATE(8951), 1,
      sym_attribute,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10442), 1,
      sym__simple_type,
    STATE(17328), 1,
      sym_extended_module_path,
    STATE(20019), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10980), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435624] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11367), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11369), 1,
      anon_sym_GT,
    STATE(8952), 1,
      sym_attribute,
    STATE(13349), 1,
      sym__simple_type,
    STATE(15775), 1,
      sym_method_type,
    STATE(16523), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435696] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11371), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11373), 1,
      anon_sym_GT,
    STATE(8953), 1,
      sym_attribute,
    STATE(13324), 1,
      sym__simple_type,
    STATE(15144), 1,
      sym_method_type,
    STATE(16523), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435768] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11167), 1,
      sym__lowercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11379), 1,
      anon_sym_POUND,
    STATE(8954), 1,
      sym_attribute,
    STATE(9327), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16764), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11375), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11377), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [435826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10862), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10864), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [435868] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(13), 1,
      anon_sym_type,
    ACTIONS(15), 1,
      anon_sym_exception,
    ACTIONS(17), 1,
      anon_sym_module,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(21), 1,
      anon_sym_include,
    ACTIONS(23), 1,
      anon_sym_class,
    ACTIONS(25), 1,
      anon_sym_val,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    STATE(8956), 1,
      sym_attribute,
    STATE(12155), 1,
      aux_sym__structure_repeat1,
    STATE(12678), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12568), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [435936] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7922), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11381), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [436020] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11385), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11387), 1,
      anon_sym_GT,
    STATE(8959), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436092] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8062), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [436134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11391), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11389), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [436176] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11093), 1,
      sym__lowercase_identifier,
    ACTIONS(11277), 1,
      anon_sym_POUND,
    STATE(8962), 1,
      sym_attribute,
    STATE(9387), 1,
      sym_type_constructor_path,
    STATE(16708), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10010), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10012), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [436228] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7866), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [436270] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11167), 1,
      sym__lowercase_identifier,
    ACTIONS(11379), 1,
      anon_sym_POUND,
    STATE(8964), 1,
      sym_attribute,
    STATE(9327), 1,
      sym_type_constructor_path,
    STATE(16764), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10986), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [436322] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11393), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11395), 1,
      anon_sym_GT,
    STATE(8965), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436394] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11397), 1,
      sym__lowercase_identifier,
    ACTIONS(11399), 1,
      anon_sym_POUND,
    STATE(8966), 1,
      sym_attribute,
    STATE(9602), 1,
      sym_type_constructor_path,
    STATE(16915), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10010), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10012), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [436446] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8232), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [436488] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11401), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11403), 1,
      anon_sym_GT,
    STATE(8968), 1,
      sym_attribute,
    STATE(13293), 1,
      sym__simple_type,
    STATE(15366), 1,
      sym_method_type,
    STATE(16523), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436560] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9814), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9816), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11075), 1,
      sym__lowercase_identifier,
    ACTIONS(11077), 1,
      anon_sym_LPAREN,
    ACTIONS(11079), 1,
      anon_sym_LBRACK,
    ACTIONS(11081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11085), 1,
      anon_sym_LT,
    ACTIONS(11087), 1,
      anon_sym_POUND,
    ACTIONS(11089), 1,
      aux_sym_type_variable_token1,
    STATE(8969), 1,
      sym_attribute,
    STATE(9771), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10428), 1,
      sym__constructor_argument,
    STATE(17281), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10334), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436632] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9298), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9300), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9302), 1,
      anon_sym_LT,
    ACTIONS(9304), 1,
      anon_sym_POUND,
    ACTIONS(9306), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9308), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9310), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10705), 1,
      anon_sym_LPAREN,
    ACTIONS(10709), 1,
      anon_sym_LBRACK,
    ACTIONS(11171), 1,
      sym__lowercase_identifier,
    STATE(8970), 1,
      sym_attribute,
    STATE(9356), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10490), 1,
      sym__constructor_argument,
    STATE(16601), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11405), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [436746] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9298), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9300), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9302), 1,
      anon_sym_LT,
    ACTIONS(9304), 1,
      anon_sym_POUND,
    ACTIONS(9306), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9308), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9310), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10705), 1,
      anon_sym_LPAREN,
    ACTIONS(10709), 1,
      anon_sym_LBRACK,
    ACTIONS(11171), 1,
      sym__lowercase_identifier,
    STATE(8972), 1,
      sym_attribute,
    STATE(9356), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10537), 1,
      sym__constructor_argument,
    STATE(16601), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11411), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11409), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [436860] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11413), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11415), 1,
      anon_sym_GT,
    STATE(8974), 1,
      sym_attribute,
    STATE(13329), 1,
      sym__simple_type,
    STATE(15839), 1,
      sym_method_type,
    STATE(16523), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11419), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11417), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [436974] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(11127), 1,
      sym__lowercase_identifier,
    ACTIONS(11129), 1,
      anon_sym_LPAREN,
    ACTIONS(11131), 1,
      anon_sym_LBRACK,
    ACTIONS(11133), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11135), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11137), 1,
      anon_sym_LT,
    ACTIONS(11139), 1,
      anon_sym_POUND,
    ACTIONS(11141), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11143), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11145), 1,
      aux_sym_type_variable_token1,
    STATE(8976), 1,
      sym_attribute,
    STATE(9980), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10537), 1,
      sym__constructor_argument,
    STATE(16712), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10588), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437046] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7761), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7763), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [437088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11421), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [437130] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11425), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11427), 1,
      anon_sym_GT,
    STATE(8979), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437202] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11429), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11431), 1,
      anon_sym_GT,
    STATE(8980), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437274] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11433), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11435), 1,
      anon_sym_GT,
    STATE(8981), 1,
      sym_attribute,
    STATE(13296), 1,
      sym__simple_type,
    STATE(15617), 1,
      sym_method_type,
    STATE(16523), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437346] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11437), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11439), 1,
      anon_sym_GT,
    STATE(8982), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11297), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11295), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [437460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5563), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(5561), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [437502] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9814), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9816), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11075), 1,
      sym__lowercase_identifier,
    ACTIONS(11077), 1,
      anon_sym_LPAREN,
    ACTIONS(11079), 1,
      anon_sym_LBRACK,
    ACTIONS(11081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11085), 1,
      anon_sym_LT,
    ACTIONS(11087), 1,
      anon_sym_POUND,
    ACTIONS(11089), 1,
      aux_sym_type_variable_token1,
    STATE(8985), 1,
      sym_attribute,
    STATE(9771), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10537), 1,
      sym__constructor_argument,
    STATE(17281), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10334), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437574] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11441), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11443), 1,
      anon_sym_GT,
    STATE(8986), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437646] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11093), 1,
      sym__lowercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11277), 1,
      anon_sym_POUND,
    STATE(8987), 1,
      sym_attribute,
    STATE(9387), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16708), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11445), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11447), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [437704] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(10035), 1,
      anon_sym_LPAREN,
    ACTIONS(10037), 1,
      anon_sym_LBRACK,
    ACTIONS(10039), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10041), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10043), 1,
      anon_sym_LT,
    ACTIONS(10045), 1,
      anon_sym_POUND,
    ACTIONS(10047), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10049), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10051), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11073), 1,
      sym__lowercase_identifier,
    STATE(8988), 1,
      sym_attribute,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10490), 1,
      sym__constructor_argument,
    STATE(10520), 1,
      sym__simple_type,
    STATE(16455), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10807), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437776] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8254), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [437818] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11449), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11451), 1,
      anon_sym_GT,
    STATE(8990), 1,
      sym_attribute,
    STATE(13284), 1,
      sym__simple_type,
    STATE(16196), 1,
      sym_method_type,
    STATE(16523), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437890] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8228), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [437932] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11453), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11455), 1,
      anon_sym_GT,
    STATE(8992), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438004] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11167), 1,
      sym__lowercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11379), 1,
      anon_sym_POUND,
    STATE(8993), 1,
      sym_attribute,
    STATE(9327), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16764), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11445), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11447), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [438062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8276), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [438104] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9298), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9300), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9302), 1,
      anon_sym_LT,
    ACTIONS(9304), 1,
      anon_sym_POUND,
    ACTIONS(9306), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9308), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9310), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10705), 1,
      anon_sym_LPAREN,
    ACTIONS(10709), 1,
      anon_sym_LBRACK,
    ACTIONS(11171), 1,
      sym__lowercase_identifier,
    STATE(8995), 1,
      sym_attribute,
    STATE(9356), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10428), 1,
      sym__constructor_argument,
    STATE(16601), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438176] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8258), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [438218] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9232), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9234), 1,
      anon_sym_LT,
    ACTIONS(9236), 1,
      anon_sym_POUND,
    ACTIONS(9238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9240), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9244), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10646), 1,
      anon_sym_LPAREN,
    ACTIONS(10650), 1,
      anon_sym_LBRACK,
    ACTIONS(11091), 1,
      sym__lowercase_identifier,
    STATE(8997), 1,
      sym_attribute,
    STATE(9241), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10490), 1,
      sym__constructor_argument,
    STATE(17383), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438290] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7898), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [438332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(10862), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [438374] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11457), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11459), 1,
      anon_sym_GT,
    STATE(9000), 1,
      sym_attribute,
    STATE(13332), 1,
      sym__simple_type,
    STATE(15937), 1,
      sym_method_type,
    STATE(16523), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7872), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [438488] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(11177), 1,
      sym__lowercase_identifier,
    ACTIONS(11179), 1,
      anon_sym_LPAREN,
    ACTIONS(11181), 1,
      anon_sym_LBRACK,
    ACTIONS(11183), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11185), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11187), 1,
      anon_sym_LT,
    ACTIONS(11189), 1,
      anon_sym_POUND,
    ACTIONS(11191), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11193), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11195), 1,
      aux_sym_type_variable_token1,
    STATE(9002), 1,
      sym_attribute,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10149), 1,
      sym__simple_type,
    STATE(10428), 1,
      sym__constructor_argument,
    STATE(16496), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10628), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438560] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7954), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [438602] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11461), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11463), 1,
      anon_sym_GT,
    STATE(9004), 1,
      sym_attribute,
    STATE(13335), 1,
      sym__simple_type,
    STATE(15252), 1,
      sym_method_type,
    STATE(16523), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438674] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7910), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [438716] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9232), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9234), 1,
      anon_sym_LT,
    ACTIONS(9236), 1,
      anon_sym_POUND,
    ACTIONS(9238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9240), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9244), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10646), 1,
      anon_sym_LPAREN,
    ACTIONS(10650), 1,
      anon_sym_LBRACK,
    ACTIONS(11091), 1,
      sym__lowercase_identifier,
    STATE(9006), 1,
      sym_attribute,
    STATE(9241), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10537), 1,
      sym__constructor_argument,
    STATE(17383), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438788] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11465), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11467), 1,
      anon_sym_GT,
    STATE(9007), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438860] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11469), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11471), 1,
      anon_sym_GT,
    STATE(9008), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11251), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11249), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [438974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11255), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11253), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [439016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11259), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11257), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [439058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11263), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11261), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [439100] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9974), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9976), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11035), 1,
      sym__lowercase_identifier,
    ACTIONS(11037), 1,
      anon_sym_LPAREN,
    ACTIONS(11039), 1,
      anon_sym_LBRACK,
    ACTIONS(11041), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11043), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11045), 1,
      anon_sym_LT,
    ACTIONS(11047), 1,
      anon_sym_POUND,
    ACTIONS(11049), 1,
      aux_sym_type_variable_token1,
    STATE(9013), 1,
      sym_attribute,
    STATE(9388), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(16707), 1,
      sym_extended_module_path,
    STATE(18598), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9987), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439172] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11473), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11475), 1,
      anon_sym_GT,
    STATE(9014), 1,
      sym_attribute,
    STATE(13309), 1,
      sym__simple_type,
    STATE(16123), 1,
      sym_method_type,
    STATE(16523), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439244] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11477), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11479), 1,
      anon_sym_GT,
    STATE(9015), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439316] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9232), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9234), 1,
      anon_sym_LT,
    ACTIONS(9236), 1,
      anon_sym_POUND,
    ACTIONS(9238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9240), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9244), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10646), 1,
      anon_sym_LPAREN,
    ACTIONS(10650), 1,
      anon_sym_LBRACK,
    ACTIONS(11091), 1,
      sym__lowercase_identifier,
    STATE(9016), 1,
      sym_attribute,
    STATE(9241), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10428), 1,
      sym__constructor_argument,
    STATE(17383), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439388] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7775), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [439430] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(10035), 1,
      anon_sym_LPAREN,
    ACTIONS(10037), 1,
      anon_sym_LBRACK,
    ACTIONS(10039), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10041), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10043), 1,
      anon_sym_LT,
    ACTIONS(10045), 1,
      anon_sym_POUND,
    ACTIONS(10047), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10049), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10051), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11073), 1,
      sym__lowercase_identifier,
    STATE(9018), 1,
      sym_attribute,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10520), 1,
      sym__simple_type,
    STATE(10537), 1,
      sym__constructor_argument,
    STATE(16455), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10807), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439502] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9974), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9976), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11035), 1,
      sym__lowercase_identifier,
    ACTIONS(11037), 1,
      anon_sym_LPAREN,
    ACTIONS(11039), 1,
      anon_sym_LBRACK,
    ACTIONS(11041), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11043), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11045), 1,
      anon_sym_LT,
    ACTIONS(11047), 1,
      anon_sym_POUND,
    ACTIONS(11049), 1,
      aux_sym_type_variable_token1,
    STATE(9019), 1,
      sym_attribute,
    STATE(9391), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(16707), 1,
      sym_extended_module_path,
    STATE(18599), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9987), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439574] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11481), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11483), 1,
      anon_sym_GT,
    STATE(9020), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11281), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11279), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [439688] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(11127), 1,
      sym__lowercase_identifier,
    ACTIONS(11129), 1,
      anon_sym_LPAREN,
    ACTIONS(11131), 1,
      anon_sym_LBRACK,
    ACTIONS(11133), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11135), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11137), 1,
      anon_sym_LT,
    ACTIONS(11139), 1,
      anon_sym_POUND,
    ACTIONS(11141), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11143), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11145), 1,
      aux_sym_type_variable_token1,
    STATE(9022), 1,
      sym_attribute,
    STATE(9793), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(16712), 1,
      sym_extended_module_path,
    STATE(18607), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10588), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439760] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(10035), 1,
      anon_sym_LPAREN,
    ACTIONS(10037), 1,
      anon_sym_LBRACK,
    ACTIONS(10039), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10041), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10043), 1,
      anon_sym_LT,
    ACTIONS(10045), 1,
      anon_sym_POUND,
    ACTIONS(10047), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10049), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10051), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11073), 1,
      sym__lowercase_identifier,
    STATE(9023), 1,
      sym_attribute,
    STATE(10075), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(16455), 1,
      sym_extended_module_path,
    STATE(19165), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10807), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439832] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11103), 1,
      sym__lowercase_identifier,
    ACTIONS(11105), 1,
      anon_sym_LPAREN,
    ACTIONS(11107), 1,
      anon_sym_LBRACK,
    ACTIONS(11109), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11111), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11113), 1,
      anon_sym_LT,
    ACTIONS(11115), 1,
      anon_sym_POUND,
    ACTIONS(11117), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11485), 1,
      anon_sym_LBRACE,
    STATE(9024), 1,
      sym_attribute,
    STATE(13141), 1,
      sym__simple_type,
    STATE(16351), 1,
      sym_extended_module_path,
    STATE(16842), 1,
      sym__constructor_argument,
    STATE(16892), 1,
      sym_record_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13598), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439904] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(11127), 1,
      sym__lowercase_identifier,
    ACTIONS(11129), 1,
      anon_sym_LPAREN,
    ACTIONS(11131), 1,
      anon_sym_LBRACK,
    ACTIONS(11133), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11135), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11137), 1,
      anon_sym_LT,
    ACTIONS(11139), 1,
      anon_sym_POUND,
    ACTIONS(11141), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11143), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11145), 1,
      aux_sym_type_variable_token1,
    STATE(9025), 1,
      sym_attribute,
    STATE(9794), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(16712), 1,
      sym_extended_module_path,
    STATE(18617), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10588), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439976] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9974), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9976), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11035), 1,
      sym__lowercase_identifier,
    ACTIONS(11037), 1,
      anon_sym_LPAREN,
    ACTIONS(11039), 1,
      anon_sym_LBRACK,
    ACTIONS(11041), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11043), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11045), 1,
      anon_sym_LT,
    ACTIONS(11047), 1,
      anon_sym_POUND,
    ACTIONS(11049), 1,
      aux_sym_type_variable_token1,
    STATE(9026), 1,
      sym_attribute,
    STATE(9297), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(16707), 1,
      sym_extended_module_path,
    STATE(18883), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9987), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440048] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11397), 1,
      sym__lowercase_identifier,
    ACTIONS(11487), 1,
      anon_sym_POUND,
    STATE(9027), 1,
      sym_attribute,
    STATE(9635), 1,
      sym_type_constructor_path,
    STATE(16915), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11002), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11004), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [440100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11285), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11283), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [440142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11289), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11287), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [440184] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8212), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [440226] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(9031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(7982), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [440270] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(13), 1,
      anon_sym_type,
    ACTIONS(17), 1,
      anon_sym_module,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(21), 1,
      anon_sym_include,
    ACTIONS(23), 1,
      anon_sym_class,
    ACTIONS(25), 1,
      anon_sym_val,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10996), 1,
      anon_sym_exception,
    STATE(9032), 1,
      sym_attribute,
    STATE(12155), 1,
      aux_sym__structure_repeat1,
    STATE(12678), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12568), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [440338] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7791), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [440380] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9944), 1,
      anon_sym_LPAREN,
    ACTIONS(9946), 1,
      anon_sym_LBRACK,
    ACTIONS(9948), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9952), 1,
      anon_sym_LT,
    ACTIONS(9954), 1,
      anon_sym_POUND,
    ACTIONS(9956), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9958), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9960), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11051), 1,
      sym__lowercase_identifier,
    STATE(9034), 1,
      sym_attribute,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10428), 1,
      sym__constructor_argument,
    STATE(10783), 1,
      sym__simple_type,
    STATE(17328), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10980), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11293), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11291), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [440494] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11103), 1,
      sym__lowercase_identifier,
    ACTIONS(11105), 1,
      anon_sym_LPAREN,
    ACTIONS(11107), 1,
      anon_sym_LBRACK,
    ACTIONS(11109), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11111), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11113), 1,
      anon_sym_LT,
    ACTIONS(11115), 1,
      anon_sym_POUND,
    ACTIONS(11117), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11485), 1,
      anon_sym_LBRACE,
    STATE(9036), 1,
      sym_attribute,
    STATE(13141), 1,
      sym__simple_type,
    STATE(16351), 1,
      sym_extended_module_path,
    STATE(16892), 1,
      sym_record_declaration,
    STATE(16970), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13598), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440566] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11167), 1,
      sym__lowercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11379), 1,
      anon_sym_POUND,
    STATE(9037), 1,
      sym_attribute,
    STATE(9327), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16764), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11269), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11271), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [440624] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11167), 1,
      sym__lowercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11379), 1,
      anon_sym_POUND,
    STATE(9038), 1,
      sym_attribute,
    STATE(9327), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16764), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11299), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11301), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [440682] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11167), 1,
      sym__lowercase_identifier,
    ACTIONS(11379), 1,
      anon_sym_POUND,
    STATE(9039), 1,
      sym_attribute,
    STATE(9327), 1,
      sym_type_constructor_path,
    STATE(16764), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10010), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10012), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [440734] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11489), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11491), 1,
      anon_sym_GT,
    STATE(9040), 1,
      sym_attribute,
    STATE(13328), 1,
      sym__simple_type,
    STATE(16082), 1,
      sym_method_type,
    STATE(16523), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7876), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [440848] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11493), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11495), 1,
      anon_sym_GT,
    STATE(9042), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440920] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9268), 1,
      anon_sym_LT,
    ACTIONS(9270), 1,
      anon_sym_POUND,
    ACTIONS(9272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10588), 1,
      anon_sym_LPAREN,
    ACTIONS(10592), 1,
      anon_sym_LBRACK,
    ACTIONS(11175), 1,
      sym__lowercase_identifier,
    STATE(9043), 1,
      sym_attribute,
    STATE(9671), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10490), 1,
      sym__constructor_argument,
    STATE(17248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9485), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440992] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11497), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11499), 1,
      anon_sym_GT,
    STATE(9044), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441064] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11501), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11503), 1,
      anon_sym_GT,
    STATE(9045), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441136] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11173), 1,
      anon_sym_COLON2,
    STATE(9046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9058), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [441180] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11505), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11507), 1,
      anon_sym_GT,
    STATE(9047), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441252] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7767), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [441294] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7779), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [441336] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11509), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11511), 1,
      anon_sym_GT,
    STATE(9050), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441408] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7781), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7783), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [441450] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11513), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11515), 1,
      anon_sym_GT,
    STATE(9052), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441522] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11517), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11519), 1,
      anon_sym_GT,
    STATE(9053), 1,
      sym_attribute,
    STATE(13279), 1,
      sym__simple_type,
    STATE(16137), 1,
      sym_method_type,
    STATE(16523), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11317), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11315), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [441636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11321), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11319), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [441678] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9268), 1,
      anon_sym_LT,
    ACTIONS(9270), 1,
      anon_sym_POUND,
    ACTIONS(9272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10588), 1,
      anon_sym_LPAREN,
    ACTIONS(10592), 1,
      anon_sym_LBRACK,
    ACTIONS(11175), 1,
      sym__lowercase_identifier,
    STATE(9056), 1,
      sym_attribute,
    STATE(9671), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10537), 1,
      sym__constructor_argument,
    STATE(17248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9485), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11325), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11323), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [441792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11329), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11327), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [441834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11333), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11331), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [441876] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(10035), 1,
      anon_sym_LPAREN,
    ACTIONS(10037), 1,
      anon_sym_LBRACK,
    ACTIONS(10039), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10041), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10043), 1,
      anon_sym_LT,
    ACTIONS(10045), 1,
      anon_sym_POUND,
    ACTIONS(10047), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10049), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10051), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11073), 1,
      sym__lowercase_identifier,
    STATE(9060), 1,
      sym_attribute,
    STATE(10076), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(16455), 1,
      sym_extended_module_path,
    STATE(19179), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10807), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11337), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11335), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [441990] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_type,
    ACTIONS(10878), 1,
      anon_sym_exception,
    ACTIONS(10880), 1,
      anon_sym_module,
    ACTIONS(10882), 1,
      anon_sym_include,
    ACTIONS(10884), 1,
      anon_sym_class,
    ACTIONS(10886), 1,
      anon_sym_val,
    STATE(9062), 1,
      sym_attribute,
    STATE(12155), 1,
      aux_sym__structure_repeat1,
    STATE(12678), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12568), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [442058] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11521), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11523), 1,
      anon_sym_GT,
    STATE(9063), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442130] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9848), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9850), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11147), 1,
      sym__lowercase_identifier,
    ACTIONS(11149), 1,
      anon_sym_LPAREN,
    ACTIONS(11151), 1,
      anon_sym_LBRACK,
    ACTIONS(11153), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11155), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11157), 1,
      anon_sym_LT,
    ACTIONS(11159), 1,
      anon_sym_POUND,
    ACTIONS(11161), 1,
      aux_sym_type_variable_token1,
    STATE(9064), 1,
      sym_attribute,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10106), 1,
      sym__simple_type,
    STATE(10490), 1,
      sym__constructor_argument,
    STATE(16878), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10692), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442202] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11093), 1,
      sym__lowercase_identifier,
    ACTIONS(11277), 1,
      anon_sym_POUND,
    STATE(9065), 1,
      sym_attribute,
    STATE(9387), 1,
      sym_type_constructor_path,
    STATE(16708), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10986), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [442254] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(10435), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10437), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(9066), 1,
      sym_attribute,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10764), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11123), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [442310] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(11127), 1,
      sym__lowercase_identifier,
    ACTIONS(11129), 1,
      anon_sym_LPAREN,
    ACTIONS(11131), 1,
      anon_sym_LBRACK,
    ACTIONS(11133), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11135), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11137), 1,
      anon_sym_LT,
    ACTIONS(11139), 1,
      anon_sym_POUND,
    ACTIONS(11141), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11143), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11145), 1,
      aux_sym_type_variable_token1,
    STATE(9067), 1,
      sym_attribute,
    STATE(9980), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10428), 1,
      sym__constructor_argument,
    STATE(16712), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10588), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442382] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11093), 1,
      sym__lowercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11277), 1,
      anon_sym_POUND,
    STATE(9068), 1,
      sym_attribute,
    STATE(9387), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16708), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11525), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11527), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [442440] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11093), 1,
      sym__lowercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11277), 1,
      anon_sym_POUND,
    STATE(9069), 1,
      sym_attribute,
    STATE(9387), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16708), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11531), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [442498] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11533), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11535), 1,
      anon_sym_GT,
    STATE(9070), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442570] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8240), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [442612] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7918), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [442654] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(11177), 1,
      sym__lowercase_identifier,
    ACTIONS(11179), 1,
      anon_sym_LPAREN,
    ACTIONS(11181), 1,
      anon_sym_LBRACK,
    ACTIONS(11183), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11185), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11187), 1,
      anon_sym_LT,
    ACTIONS(11189), 1,
      anon_sym_POUND,
    ACTIONS(11191), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11193), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11195), 1,
      aux_sym_type_variable_token1,
    STATE(9073), 1,
      sym_attribute,
    STATE(9815), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(16496), 1,
      sym_extended_module_path,
    STATE(18394), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10628), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442726] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11537), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11539), 1,
      anon_sym_GT,
    STATE(9074), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11353), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11351), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [442840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11357), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11355), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [442882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11361), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11359), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [442924] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7785), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7787), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [442966] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9872), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9874), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11057), 1,
      sym__lowercase_identifier,
    ACTIONS(11059), 1,
      anon_sym_LPAREN,
    ACTIONS(11061), 1,
      anon_sym_LBRACK,
    ACTIONS(11063), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11065), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11067), 1,
      anon_sym_LT,
    ACTIONS(11069), 1,
      anon_sym_POUND,
    ACTIONS(11071), 1,
      aux_sym_type_variable_token1,
    STATE(9079), 1,
      sym_attribute,
    STATE(9293), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(16628), 1,
      sym_extended_module_path,
    STATE(19478), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10070), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443038] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11541), 1,
      sym__lowercase_identifier,
    ACTIONS(11543), 1,
      anon_sym_POUND,
    STATE(9080), 1,
      sym_attribute,
    STATE(9574), 1,
      sym_type_constructor_path,
    STATE(16470), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11002), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11004), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [443090] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11545), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11547), 1,
      anon_sym_GT,
    STATE(9081), 1,
      sym_attribute,
    STATE(13348), 1,
      sym__simple_type,
    STATE(15146), 1,
      sym_method_type,
    STATE(16523), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443162] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11549), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11551), 1,
      anon_sym_GT,
    STATE(9082), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7884), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [443276] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9872), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9874), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11057), 1,
      sym__lowercase_identifier,
    ACTIONS(11059), 1,
      anon_sym_LPAREN,
    ACTIONS(11061), 1,
      anon_sym_LBRACK,
    ACTIONS(11063), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11065), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11067), 1,
      anon_sym_LT,
    ACTIONS(11069), 1,
      anon_sym_POUND,
    ACTIONS(11071), 1,
      aux_sym_type_variable_token1,
    STATE(9084), 1,
      sym_attribute,
    STATE(9347), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(16628), 1,
      sym_extended_module_path,
    STATE(19480), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10070), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443348] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9872), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9874), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11057), 1,
      sym__lowercase_identifier,
    ACTIONS(11059), 1,
      anon_sym_LPAREN,
    ACTIONS(11061), 1,
      anon_sym_LBRACK,
    ACTIONS(11063), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11065), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11067), 1,
      anon_sym_LT,
    ACTIONS(11069), 1,
      anon_sym_POUND,
    ACTIONS(11071), 1,
      aux_sym_type_variable_token1,
    STATE(9085), 1,
      sym_attribute,
    STATE(9304), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(16628), 1,
      sym_extended_module_path,
    STATE(19550), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10070), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443420] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9974), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9976), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11035), 1,
      sym__lowercase_identifier,
    ACTIONS(11037), 1,
      anon_sym_LPAREN,
    ACTIONS(11039), 1,
      anon_sym_LBRACK,
    ACTIONS(11041), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11043), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11045), 1,
      anon_sym_LT,
    ACTIONS(11047), 1,
      anon_sym_POUND,
    ACTIONS(11049), 1,
      aux_sym_type_variable_token1,
    STATE(9086), 1,
      sym_attribute,
    STATE(9727), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10490), 1,
      sym__constructor_argument,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9987), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11365), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11363), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [443534] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9848), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9850), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11147), 1,
      sym__lowercase_identifier,
    ACTIONS(11149), 1,
      anon_sym_LPAREN,
    ACTIONS(11151), 1,
      anon_sym_LBRACK,
    ACTIONS(11153), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11155), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11157), 1,
      anon_sym_LT,
    ACTIONS(11159), 1,
      anon_sym_POUND,
    ACTIONS(11161), 1,
      aux_sym_type_variable_token1,
    STATE(9088), 1,
      sym_attribute,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10106), 1,
      sym__simple_type,
    STATE(10537), 1,
      sym__constructor_argument,
    STATE(16878), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10692), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443606] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8250), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [443648] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9974), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9976), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11035), 1,
      sym__lowercase_identifier,
    ACTIONS(11037), 1,
      anon_sym_LPAREN,
    ACTIONS(11039), 1,
      anon_sym_LBRACK,
    ACTIONS(11041), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11043), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11045), 1,
      anon_sym_LT,
    ACTIONS(11047), 1,
      anon_sym_POUND,
    ACTIONS(11049), 1,
      aux_sym_type_variable_token1,
    STATE(9090), 1,
      sym_attribute,
    STATE(9727), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10537), 1,
      sym__constructor_argument,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9987), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443720] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8216), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [443762] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11553), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11555), 1,
      anon_sym_GT,
    STATE(9092), 1,
      sym_attribute,
    STATE(13325), 1,
      sym__simple_type,
    STATE(15362), 1,
      sym_method_type,
    STATE(16523), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443834] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9268), 1,
      anon_sym_LT,
    ACTIONS(9270), 1,
      anon_sym_POUND,
    ACTIONS(9272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10588), 1,
      anon_sym_LPAREN,
    ACTIONS(10592), 1,
      anon_sym_LBRACK,
    ACTIONS(11175), 1,
      sym__lowercase_identifier,
    STATE(9093), 1,
      sym_attribute,
    STATE(9671), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10428), 1,
      sym__constructor_argument,
    STATE(17248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9485), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443906] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11557), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11559), 1,
      anon_sym_GT,
    STATE(9094), 1,
      sym_attribute,
    STATE(13313), 1,
      sym__simple_type,
    STATE(15850), 1,
      sym_method_type,
    STATE(16523), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443978] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11103), 1,
      sym__lowercase_identifier,
    ACTIONS(11105), 1,
      anon_sym_LPAREN,
    ACTIONS(11107), 1,
      anon_sym_LBRACK,
    ACTIONS(11109), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11111), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11113), 1,
      anon_sym_LT,
    ACTIONS(11115), 1,
      anon_sym_POUND,
    ACTIONS(11117), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11485), 1,
      anon_sym_LBRACE,
    STATE(9095), 1,
      sym_attribute,
    STATE(13141), 1,
      sym__simple_type,
    STATE(16351), 1,
      sym_extended_module_path,
    STATE(16892), 1,
      sym_record_declaration,
    STATE(17298), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13598), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444050] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8262), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [444092] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11561), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11563), 1,
      anon_sym_GT,
    STATE(9097), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444164] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(11177), 1,
      sym__lowercase_identifier,
    ACTIONS(11179), 1,
      anon_sym_LPAREN,
    ACTIONS(11181), 1,
      anon_sym_LBRACK,
    ACTIONS(11183), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11185), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11187), 1,
      anon_sym_LT,
    ACTIONS(11189), 1,
      anon_sym_POUND,
    ACTIONS(11191), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11193), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11195), 1,
      aux_sym_type_variable_token1,
    STATE(9098), 1,
      sym_attribute,
    STATE(9828), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(16496), 1,
      sym_extended_module_path,
    STATE(18396), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10628), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444236] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11239), 1,
      anon_sym_DOT,
    ACTIONS(11241), 1,
      anon_sym_POUND,
    ACTIONS(11243), 1,
      sym_hash_operator,
    STATE(9099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8192), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [444284] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(11177), 1,
      sym__lowercase_identifier,
    ACTIONS(11179), 1,
      anon_sym_LPAREN,
    ACTIONS(11181), 1,
      anon_sym_LBRACK,
    ACTIONS(11183), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11185), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11187), 1,
      anon_sym_LT,
    ACTIONS(11189), 1,
      anon_sym_POUND,
    ACTIONS(11191), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11193), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11195), 1,
      aux_sym_type_variable_token1,
    STATE(9100), 1,
      sym_attribute,
    STATE(9756), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(16496), 1,
      sym_extended_module_path,
    STATE(18584), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10628), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8276), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [444398] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11565), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11567), 1,
      anon_sym_GT,
    STATE(9102), 1,
      sym_attribute,
    STATE(13289), 1,
      sym__simple_type,
    STATE(15882), 1,
      sym_method_type,
    STATE(16523), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7872), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [444512] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7878), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [444554] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7974), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [444596] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9974), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9976), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11035), 1,
      sym__lowercase_identifier,
    ACTIONS(11037), 1,
      anon_sym_LPAREN,
    ACTIONS(11039), 1,
      anon_sym_LBRACK,
    ACTIONS(11041), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11043), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11045), 1,
      anon_sym_LT,
    ACTIONS(11047), 1,
      anon_sym_POUND,
    ACTIONS(11049), 1,
      aux_sym_type_variable_token1,
    STATE(9106), 1,
      sym_attribute,
    STATE(9727), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10428), 1,
      sym__constructor_argument,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9987), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444668] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7978), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [444710] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11569), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11571), 1,
      anon_sym_GT,
    STATE(9108), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444782] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8236), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [444824] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11573), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11575), 1,
      anon_sym_GT,
    STATE(9110), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444896] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11577), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11579), 1,
      anon_sym_GT,
    STATE(9111), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444968] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7994), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [445010] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9268), 1,
      anon_sym_LT,
    ACTIONS(9270), 1,
      anon_sym_POUND,
    ACTIONS(9272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10588), 1,
      anon_sym_LPAREN,
    ACTIONS(10592), 1,
      anon_sym_LBRACK,
    ACTIONS(11175), 1,
      sym__lowercase_identifier,
    STATE(9113), 1,
      sym_attribute,
    STATE(9372), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(17248), 1,
      sym_extended_module_path,
    STATE(18669), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9485), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445082] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8026), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [445124] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11093), 1,
      sym__lowercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11277), 1,
      anon_sym_POUND,
    STATE(9115), 1,
      sym_attribute,
    STATE(9387), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16708), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11375), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11377), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [445182] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11167), 1,
      sym__lowercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11379), 1,
      anon_sym_POUND,
    STATE(9116), 1,
      sym_attribute,
    STATE(9327), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16764), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11525), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11527), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [445240] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(11127), 1,
      sym__lowercase_identifier,
    ACTIONS(11129), 1,
      anon_sym_LPAREN,
    ACTIONS(11131), 1,
      anon_sym_LBRACK,
    ACTIONS(11133), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11135), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11137), 1,
      anon_sym_LT,
    ACTIONS(11139), 1,
      anon_sym_POUND,
    ACTIONS(11141), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11143), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11145), 1,
      aux_sym_type_variable_token1,
    STATE(9117), 1,
      sym_attribute,
    STATE(9812), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(16712), 1,
      sym_extended_module_path,
    STATE(19404), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10588), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445312] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11583), 1,
      anon_sym_GT,
    STATE(9118), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445384] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11585), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11587), 1,
      anon_sym_GT,
    STATE(9119), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445456] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7874), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [445498] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11167), 1,
      sym__lowercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11379), 1,
      anon_sym_POUND,
    STATE(9121), 1,
      sym_attribute,
    STATE(9327), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16764), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11531), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [445556] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10746), 1,
      anon_sym_LPAREN,
    ACTIONS(10750), 1,
      anon_sym_LBRACK,
    ACTIONS(11213), 1,
      sym__lowercase_identifier,
    STATE(9122), 1,
      sym_attribute,
    STATE(9435), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(16988), 1,
      sym_extended_module_path,
    STATE(17959), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9808), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445628] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10746), 1,
      anon_sym_LPAREN,
    ACTIONS(10750), 1,
      anon_sym_LBRACK,
    ACTIONS(11213), 1,
      sym__lowercase_identifier,
    STATE(9123), 1,
      sym_attribute,
    STATE(9437), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(16988), 1,
      sym_extended_module_path,
    STATE(17976), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9808), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445700] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10746), 1,
      anon_sym_LPAREN,
    ACTIONS(10750), 1,
      anon_sym_LBRACK,
    ACTIONS(11213), 1,
      sym__lowercase_identifier,
    STATE(9124), 1,
      sym_attribute,
    STATE(9447), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(16988), 1,
      sym_extended_module_path,
    STATE(18116), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9808), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445772] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7795), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7797), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [445814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7876), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [445856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10862), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10864), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [445898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7884), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [445940] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11589), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11591), 1,
      anon_sym_GT,
    STATE(9129), 1,
      sym_attribute,
    STATE(13326), 1,
      sym__simple_type,
    STATE(15022), 1,
      sym_method_type,
    STATE(16523), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446012] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(10435), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10437), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(9130), 1,
      sym_attribute,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10774), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11163), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [446068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11341), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11339), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [446110] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9872), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9874), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11057), 1,
      sym__lowercase_identifier,
    ACTIONS(11059), 1,
      anon_sym_LPAREN,
    ACTIONS(11061), 1,
      anon_sym_LBRACK,
    ACTIONS(11063), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11065), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11067), 1,
      anon_sym_LT,
    ACTIONS(11069), 1,
      anon_sym_POUND,
    ACTIONS(11071), 1,
      aux_sym_type_variable_token1,
    STATE(9132), 1,
      sym_attribute,
    STATE(9588), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10490), 1,
      sym__constructor_argument,
    STATE(16628), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10070), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446182] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11593), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11595), 1,
      anon_sym_GT,
    STATE(9133), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446254] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8076), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [446296] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8266), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [446338] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8080), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [446380] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(10035), 1,
      anon_sym_LPAREN,
    ACTIONS(10037), 1,
      anon_sym_LBRACK,
    ACTIONS(10039), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10041), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10043), 1,
      anon_sym_LT,
    ACTIONS(10045), 1,
      anon_sym_POUND,
    ACTIONS(10047), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10049), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10051), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11073), 1,
      sym__lowercase_identifier,
    STATE(9137), 1,
      sym_attribute,
    STATE(10080), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(16455), 1,
      sym_extended_module_path,
    STATE(18027), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10807), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446452] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8084), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [446494] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8088), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [446536] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8092), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [446578] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9268), 1,
      anon_sym_LT,
    ACTIONS(9270), 1,
      anon_sym_POUND,
    ACTIONS(9272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10588), 1,
      anon_sym_LPAREN,
    ACTIONS(10592), 1,
      anon_sym_LBRACK,
    ACTIONS(11175), 1,
      sym__lowercase_identifier,
    STATE(9141), 1,
      sym_attribute,
    STATE(9374), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(17248), 1,
      sym_extended_module_path,
    STATE(18705), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9485), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446650] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9268), 1,
      anon_sym_LT,
    ACTIONS(9270), 1,
      anon_sym_POUND,
    ACTIONS(9272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10588), 1,
      anon_sym_LPAREN,
    ACTIONS(10592), 1,
      anon_sym_LBRACK,
    ACTIONS(11175), 1,
      sym__lowercase_identifier,
    STATE(9142), 1,
      sym_attribute,
    STATE(9328), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(17248), 1,
      sym_extended_module_path,
    STATE(17782), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9485), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446722] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11597), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11599), 1,
      anon_sym_GT,
    STATE(9143), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446794] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9872), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9874), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11057), 1,
      sym__lowercase_identifier,
    ACTIONS(11059), 1,
      anon_sym_LPAREN,
    ACTIONS(11061), 1,
      anon_sym_LBRACK,
    ACTIONS(11063), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11065), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11067), 1,
      anon_sym_LT,
    ACTIONS(11069), 1,
      anon_sym_POUND,
    ACTIONS(11071), 1,
      aux_sym_type_variable_token1,
    STATE(9144), 1,
      sym_attribute,
    STATE(9588), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10537), 1,
      sym__constructor_argument,
    STATE(16628), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10070), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446866] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9814), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9816), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11075), 1,
      sym__lowercase_identifier,
    ACTIONS(11077), 1,
      anon_sym_LPAREN,
    ACTIONS(11079), 1,
      anon_sym_LBRACK,
    ACTIONS(11081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11085), 1,
      anon_sym_LT,
    ACTIONS(11087), 1,
      anon_sym_POUND,
    ACTIONS(11089), 1,
      aux_sym_type_variable_token1,
    STATE(9145), 1,
      sym_attribute,
    STATE(9771), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10490), 1,
      sym__constructor_argument,
    STATE(17281), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10334), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446938] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(11103), 1,
      sym__lowercase_identifier,
    ACTIONS(11105), 1,
      anon_sym_LPAREN,
    ACTIONS(11107), 1,
      anon_sym_LBRACK,
    ACTIONS(11109), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11111), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11113), 1,
      anon_sym_LT,
    ACTIONS(11115), 1,
      anon_sym_POUND,
    ACTIONS(11117), 1,
      aux_sym_type_variable_token1,
    STATE(9146), 1,
      sym_attribute,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(13086), 1,
      sym__simple_type,
    STATE(16351), 1,
      sym_extended_module_path,
    STATE(19817), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13598), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447010] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(11103), 1,
      sym__lowercase_identifier,
    ACTIONS(11105), 1,
      anon_sym_LPAREN,
    ACTIONS(11107), 1,
      anon_sym_LBRACK,
    ACTIONS(11109), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11111), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11113), 1,
      anon_sym_LT,
    ACTIONS(11115), 1,
      anon_sym_POUND,
    ACTIONS(11117), 1,
      aux_sym_type_variable_token1,
    STATE(9147), 1,
      sym_attribute,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(13076), 1,
      sym__simple_type,
    STATE(16351), 1,
      sym_extended_module_path,
    STATE(19854), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13598), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447082] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11397), 1,
      sym__lowercase_identifier,
    ACTIONS(11399), 1,
      anon_sym_POUND,
    STATE(9148), 1,
      sym_attribute,
    STATE(9602), 1,
      sym_type_constructor_path,
    STATE(16915), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10986), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [447134] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11601), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11603), 1,
      anon_sym_GT,
    STATE(9149), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447206] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(11103), 1,
      sym__lowercase_identifier,
    ACTIONS(11105), 1,
      anon_sym_LPAREN,
    ACTIONS(11107), 1,
      anon_sym_LBRACK,
    ACTIONS(11109), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11111), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11113), 1,
      anon_sym_LT,
    ACTIONS(11115), 1,
      anon_sym_POUND,
    ACTIONS(11117), 1,
      aux_sym_type_variable_token1,
    STATE(9150), 1,
      sym_attribute,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(13064), 1,
      sym__simple_type,
    STATE(16351), 1,
      sym_extended_module_path,
    STATE(20141), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13598), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447278] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8246), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [447320] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8198), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8200), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [447362] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11605), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11607), 1,
      anon_sym_GT,
    STATE(9153), 1,
      sym_attribute,
    STATE(13306), 1,
      sym__simple_type,
    STATE(15467), 1,
      sym_method_type,
    STATE(16523), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447434] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9848), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9850), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11147), 1,
      sym__lowercase_identifier,
    ACTIONS(11149), 1,
      anon_sym_LPAREN,
    ACTIONS(11151), 1,
      anon_sym_LBRACK,
    ACTIONS(11153), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11155), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11157), 1,
      anon_sym_LT,
    ACTIONS(11159), 1,
      anon_sym_POUND,
    ACTIONS(11161), 1,
      aux_sym_type_variable_token1,
    STATE(9154), 1,
      sym_attribute,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10106), 1,
      sym__simple_type,
    STATE(10428), 1,
      sym__constructor_argument,
    STATE(16878), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10692), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447506] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8278), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [447548] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11609), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11611), 1,
      anon_sym_GT,
    STATE(9156), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447620] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11613), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11615), 1,
      anon_sym_GT,
    STATE(9157), 1,
      sym_attribute,
    STATE(13346), 1,
      sym__simple_type,
    STATE(15323), 1,
      sym_method_type,
    STATE(16523), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447692] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(11177), 1,
      sym__lowercase_identifier,
    ACTIONS(11179), 1,
      anon_sym_LPAREN,
    ACTIONS(11181), 1,
      anon_sym_LBRACK,
    ACTIONS(11183), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11185), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11187), 1,
      anon_sym_LT,
    ACTIONS(11189), 1,
      anon_sym_POUND,
    ACTIONS(11191), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11193), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11195), 1,
      aux_sym_type_variable_token1,
    STATE(9158), 1,
      sym_attribute,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10149), 1,
      sym__simple_type,
    STATE(10490), 1,
      sym__constructor_argument,
    STATE(16496), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10628), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447764] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11617), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11619), 1,
      anon_sym_GT,
    STATE(9159), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447836] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9872), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9874), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11057), 1,
      sym__lowercase_identifier,
    ACTIONS(11059), 1,
      anon_sym_LPAREN,
    ACTIONS(11061), 1,
      anon_sym_LBRACK,
    ACTIONS(11063), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11065), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11067), 1,
      anon_sym_LT,
    ACTIONS(11069), 1,
      anon_sym_POUND,
    ACTIONS(11071), 1,
      aux_sym_type_variable_token1,
    STATE(9160), 1,
      sym_attribute,
    STATE(9588), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10428), 1,
      sym__constructor_argument,
    STATE(16628), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10070), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447908] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9814), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9816), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11075), 1,
      sym__lowercase_identifier,
    ACTIONS(11077), 1,
      anon_sym_LPAREN,
    ACTIONS(11079), 1,
      anon_sym_LBRACK,
    ACTIONS(11081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11085), 1,
      anon_sym_LT,
    ACTIONS(11087), 1,
      anon_sym_POUND,
    ACTIONS(11089), 1,
      aux_sym_type_variable_token1,
    STATE(9161), 1,
      sym_attribute,
    STATE(9529), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(17281), 1,
      sym_extended_module_path,
    STATE(17514), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10334), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447980] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9814), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9816), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11075), 1,
      sym__lowercase_identifier,
    ACTIONS(11077), 1,
      anon_sym_LPAREN,
    ACTIONS(11079), 1,
      anon_sym_LBRACK,
    ACTIONS(11081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11085), 1,
      anon_sym_LT,
    ACTIONS(11087), 1,
      anon_sym_POUND,
    ACTIONS(11089), 1,
      aux_sym_type_variable_token1,
    STATE(9162), 1,
      sym_attribute,
    STATE(9537), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(17281), 1,
      sym_extended_module_path,
    STATE(17517), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10334), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448052] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11621), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11623), 1,
      anon_sym_GT,
    STATE(9163), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448124] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8100), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [448166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9066), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [448208] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9814), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9816), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11075), 1,
      sym__lowercase_identifier,
    ACTIONS(11077), 1,
      anon_sym_LPAREN,
    ACTIONS(11079), 1,
      anon_sym_LBRACK,
    ACTIONS(11081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11085), 1,
      anon_sym_LT,
    ACTIONS(11087), 1,
      anon_sym_POUND,
    ACTIONS(11089), 1,
      aux_sym_type_variable_token1,
    STATE(9166), 1,
      sym_attribute,
    STATE(9729), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(17281), 1,
      sym_extended_module_path,
    STATE(18163), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10334), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448280] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7886), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [448322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11405), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [448364] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11625), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11627), 1,
      anon_sym_GT,
    STATE(9169), 1,
      sym_attribute,
    STATE(13340), 1,
      sym__simple_type,
    STATE(15472), 1,
      sym_method_type,
    STATE(16523), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11411), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11409), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [448478] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11629), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11631), 1,
      anon_sym_GT,
    STATE(9171), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448550] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8204), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [448592] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8104), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [448634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11391), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11389), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [448676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11419), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11417), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [448718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11421), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [448760] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11633), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11635), 1,
      anon_sym_GT,
    STATE(9177), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448832] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8108), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [448874] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11641), 1,
      anon_sym_LPAREN,
    STATE(9591), 1,
      sym_module_parameter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9179), 2,
      sym_attribute,
      aux_sym_module_binding_repeat1,
    ACTIONS(11639), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11637), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [448920] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10746), 1,
      anon_sym_LPAREN,
    ACTIONS(10750), 1,
      anon_sym_LBRACK,
    ACTIONS(11213), 1,
      sym__lowercase_identifier,
    STATE(9180), 1,
      sym_attribute,
    STATE(9847), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10490), 1,
      sym__constructor_argument,
    STATE(16988), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9808), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448992] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8270), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [449034] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(11177), 1,
      sym__lowercase_identifier,
    ACTIONS(11179), 1,
      anon_sym_LPAREN,
    ACTIONS(11181), 1,
      anon_sym_LBRACK,
    ACTIONS(11183), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11185), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11187), 1,
      anon_sym_LT,
    ACTIONS(11189), 1,
      anon_sym_POUND,
    ACTIONS(11191), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11193), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11195), 1,
      aux_sym_type_variable_token1,
    STATE(9182), 1,
      sym_attribute,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10149), 1,
      sym__simple_type,
    STATE(10537), 1,
      sym__constructor_argument,
    STATE(16496), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10628), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449106] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8112), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [449148] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8120), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [449190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9058), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449232] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11644), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11646), 1,
      anon_sym_GT,
    STATE(9186), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449304] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7757), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [449346] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8126), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [449388] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11239), 1,
      anon_sym_DOT,
    STATE(9189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8130), 15,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [449432] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11648), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11650), 1,
      anon_sym_GT,
    STATE(9190), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449504] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10746), 1,
      anon_sym_LPAREN,
    ACTIONS(10750), 1,
      anon_sym_LBRACK,
    ACTIONS(11213), 1,
      sym__lowercase_identifier,
    STATE(9191), 1,
      sym_attribute,
    STATE(9847), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10537), 1,
      sym__constructor_argument,
    STATE(16988), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9808), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449576] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7906), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [449618] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11652), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11654), 1,
      anon_sym_GT,
    STATE(9193), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449690] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8134), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [449732] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11101), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(7982), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [449776] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7870), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [449818] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8138), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [449860] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8142), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [449902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11658), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11656), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [449944] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8146), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [449986] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8044), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [450028] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    ACTIONS(11660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11662), 1,
      anon_sym_GT,
    STATE(9202), 1,
      sym_attribute,
    STATE(13337), 1,
      sym__simple_type,
    STATE(16278), 1,
      sym_method_type,
    STATE(16523), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450100] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8150), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [450142] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8154), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [450184] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8158), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [450226] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8162), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [450268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11666), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11664), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [450310] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8166), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [450352] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8170), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [450394] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8174), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [450436] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8180), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [450478] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8184), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [450520] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9848), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9850), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11147), 1,
      sym__lowercase_identifier,
    ACTIONS(11149), 1,
      anon_sym_LPAREN,
    ACTIONS(11151), 1,
      anon_sym_LBRACK,
    ACTIONS(11153), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11155), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11157), 1,
      anon_sym_LT,
    ACTIONS(11159), 1,
      anon_sym_POUND,
    ACTIONS(11161), 1,
      aux_sym_type_variable_token1,
    STATE(9213), 1,
      sym_attribute,
    STATE(9839), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(16878), 1,
      sym_extended_module_path,
    STATE(19001), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10692), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450592] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10746), 1,
      anon_sym_LPAREN,
    ACTIONS(10750), 1,
      anon_sym_LBRACK,
    ACTIONS(11213), 1,
      sym__lowercase_identifier,
    STATE(9214), 1,
      sym_attribute,
    STATE(9847), 1,
      sym__simple_type,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(10428), 1,
      sym__constructor_argument,
    STATE(16988), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9808), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450664] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8040), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [450706] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8188), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [450748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11670), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11668), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [450790] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9444), 1,
      anon_sym_DOT,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(11672), 1,
      sym_hash_operator,
    STATE(9218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9550), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9548), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [450838] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9444), 1,
      anon_sym_DOT,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(11672), 1,
      sym_hash_operator,
    STATE(9219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9570), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [450886] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9444), 1,
      anon_sym_DOT,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(11672), 1,
      sym_hash_operator,
    STATE(9220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9564), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9562), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [450934] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9444), 1,
      anon_sym_DOT,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(11672), 1,
      sym_hash_operator,
    STATE(9221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9568), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9566), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [450982] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9228), 1,
      anon_sym_LBRACE,
    ACTIONS(9298), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9300), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9302), 1,
      anon_sym_LT,
    ACTIONS(9304), 1,
      anon_sym_POUND,
    ACTIONS(9306), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9308), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9310), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10705), 1,
      anon_sym_LPAREN,
    ACTIONS(10709), 1,
      anon_sym_LBRACK,
    ACTIONS(11171), 1,
      sym__lowercase_identifier,
    STATE(9116), 1,
      sym__simple_type,
    STATE(9222), 1,
      sym_attribute,
    STATE(10091), 1,
      sym_record_declaration,
    STATE(16601), 1,
      sym_extended_module_path,
    STATE(20069), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451054] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(10435), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10437), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(9223), 1,
      sym_attribute,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10679), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11119), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [451110] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11674), 1,
      anon_sym_PIPE,
    STATE(9224), 1,
      sym_attribute,
    STATE(9325), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [451155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7884), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [451196] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11676), 1,
      anon_sym_else,
    STATE(8139), 1,
      sym_else_clause,
    STATE(9226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [451241] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11678), 1,
      sym__lowercase_identifier,
    ACTIONS(11680), 1,
      anon_sym_POUND,
    STATE(9227), 1,
      sym_attribute,
    STATE(10179), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16853), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11299), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11301), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [451298] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(9228), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(16953), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11317), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11315), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [451408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11391), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11389), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [451449] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11684), 1,
      anon_sym_COMMA,
    ACTIONS(11686), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11688), 1,
      sym_pow_operator,
    ACTIONS(11690), 1,
      sym_mult_operator,
    ACTIONS(11692), 1,
      sym_concat_operator,
    ACTIONS(11694), 1,
      sym_rel_operator,
    ACTIONS(11696), 1,
      sym_and_operator,
    ACTIONS(11698), 1,
      sym_or_operator,
    ACTIONS(11700), 1,
      sym_assign_operator,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10185), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [451512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11321), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11319), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [451553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11317), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11315), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [451594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7918), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [451635] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11704), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11702), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [451676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8276), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [451717] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9058), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [451758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11391), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11389), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [451799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11325), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11323), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [451840] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11708), 1,
      anon_sym_let,
    ACTIONS(11710), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9240), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
    ACTIONS(11706), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [451885] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11093), 1,
      sym__lowercase_identifier,
    ACTIONS(11277), 1,
      anon_sym_POUND,
    ACTIONS(11715), 1,
      anon_sym_STAR,
    STATE(9241), 1,
      sym_attribute,
    STATE(9387), 1,
      sym_type_constructor_path,
    STATE(10737), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16708), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11273), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11713), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [451940] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11717), 1,
      sym__lowercase_identifier,
    ACTIONS(11719), 1,
      anon_sym_POUND,
    STATE(9242), 1,
      sym_attribute,
    STATE(9857), 1,
      sym_type_constructor_path,
    STATE(16793), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11002), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11004), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [451991] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11723), 1,
      anon_sym_let,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(11729), 1,
      anon_sym_COLON2,
    STATE(9243), 1,
      sym_attribute,
    STATE(9287), 1,
      aux_sym_module_binding_repeat1,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10269), 1,
      aux_sym_expression_item_repeat1,
    STATE(10444), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11725), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11721), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [452050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11733), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11731), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [452091] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(9245), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(16582), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11321), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11319), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11329), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11327), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11333), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11331), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11297), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11295), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452324] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11735), 1,
      sym__lowercase_identifier,
    ACTIONS(11737), 1,
      anon_sym_POUND,
    STATE(9250), 1,
      sym_attribute,
    STATE(10017), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16868), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11269), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11271), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [452381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11325), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11323), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452422] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11329), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11327), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11255), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11253), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452504] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11739), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11341), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11339), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452547] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11678), 1,
      sym__lowercase_identifier,
    ACTIONS(11680), 1,
      anon_sym_POUND,
    STATE(9255), 1,
      sym_attribute,
    STATE(10179), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16853), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11445), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11447), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [452604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11405), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [452645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7910), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [452686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11337), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11335), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7906), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [452768] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8050), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [452809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11281), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11279), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [452850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7872), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11259), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11257), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8276), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11341), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11339), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [453014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7876), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [453055] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11735), 1,
      sym__lowercase_identifier,
    ACTIONS(11737), 1,
      anon_sym_POUND,
    STATE(9267), 1,
      sym_attribute,
    STATE(10017), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16868), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11445), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11447), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [453112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11353), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11351), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [453153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11357), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11355), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [453194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11743), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11741), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [453235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11411), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11409), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [453276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11353), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11351), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [453317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11419), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11417), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [453358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11391), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11389), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [453399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7872), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [453440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7876), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [453481] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(9277), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(16796), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11285), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11283), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [453591] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9060), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11747), 1,
      anon_sym_let,
    ACTIONS(11749), 1,
      anon_sym_EQ,
    ACTIONS(11751), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11753), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9279), 1,
      sym_attribute,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10136), 1,
      sym__type_equation,
    STATE(10443), 1,
      aux_sym_type_binding_repeat1,
    STATE(10448), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11745), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [453652] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(9280), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(16999), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7884), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [453762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7872), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [453803] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9060), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11757), 1,
      anon_sym_let,
    ACTIONS(11759), 1,
      anon_sym_EQ,
    ACTIONS(11761), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11763), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9283), 1,
      sym_attribute,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10145), 1,
      sym__type_equation,
    STATE(10470), 1,
      aux_sym_type_binding_repeat1,
    STATE(10504), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11755), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [453864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11357), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11355), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [453905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11361), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11359), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [453946] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(7998), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [453987] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(11729), 1,
      anon_sym_COLON2,
    ACTIONS(11767), 1,
      anon_sym_let,
    STATE(9179), 1,
      aux_sym_module_binding_repeat1,
    STATE(9287), 1,
      sym_attribute,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10252), 1,
      aux_sym_expression_item_repeat1,
    STATE(10450), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11769), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11765), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [454046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11289), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11287), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [454087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11365), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11363), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11421), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [454169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11361), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11359), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11419), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11417), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454251] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11678), 1,
      sym__lowercase_identifier,
    ACTIONS(11680), 1,
      anon_sym_POUND,
    STATE(9293), 1,
      sym_attribute,
    STATE(10179), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16853), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11525), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11527), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [454308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11293), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11291), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [454349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11251), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11249), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11773), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11771), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [454431] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11735), 1,
      sym__lowercase_identifier,
    ACTIONS(11737), 1,
      anon_sym_POUND,
    STATE(9297), 1,
      sym_attribute,
    STATE(10017), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16868), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11375), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11377), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [454488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11281), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11279), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11255), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11253), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11285), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11283), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454611] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11293), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11291), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454652] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11775), 1,
      anon_sym_else,
    STATE(8144), 1,
      sym_else_clause,
    STATE(9302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [454697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11263), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11261), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454738] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11678), 1,
      sym__lowercase_identifier,
    ACTIONS(11680), 1,
      anon_sym_POUND,
    STATE(9304), 1,
      sym_attribute,
    STATE(10179), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16853), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11375), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11377), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [454795] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11684), 1,
      anon_sym_COMMA,
    ACTIONS(11686), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11688), 1,
      sym_pow_operator,
    ACTIONS(11690), 1,
      sym_mult_operator,
    ACTIONS(11692), 1,
      sym_concat_operator,
    ACTIONS(11694), 1,
      sym_rel_operator,
    ACTIONS(11696), 1,
      sym_and_operator,
    ACTIONS(11698), 1,
      sym_or_operator,
    ACTIONS(11700), 1,
      sym_assign_operator,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10221), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10219), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [454858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9066), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11333), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11331), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11289), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11287), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454981] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11541), 1,
      sym__lowercase_identifier,
    ACTIONS(11777), 1,
      anon_sym_POUND,
    STATE(9309), 1,
      sym_attribute,
    STATE(9545), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16470), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11269), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11271), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [455038] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11541), 1,
      sym__lowercase_identifier,
    ACTIONS(11777), 1,
      anon_sym_POUND,
    STATE(9310), 1,
      sym_attribute,
    STATE(9545), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16470), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11299), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11301), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [455095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9058), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455136] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11674), 1,
      anon_sym_PIPE,
    STATE(9312), 1,
      sym_attribute,
    STATE(9317), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [455181] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11674), 1,
      anon_sym_PIPE,
    STATE(9224), 1,
      aux_sym__match_cases_repeat1,
    STATE(9313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [455226] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11779), 1,
      anon_sym_COLON2,
    STATE(9314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9058), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11259), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11257), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455310] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9060), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11747), 1,
      anon_sym_let,
    ACTIONS(11761), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11763), 1,
      anon_sym_constraint,
    ACTIONS(11781), 1,
      anon_sym_EQ,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9316), 1,
      sym_attribute,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10143), 1,
      sym__type_equation,
    STATE(10448), 1,
      aux_sym_expression_item_repeat1,
    STATE(10466), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11745), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [455371] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11674), 1,
      anon_sym_PIPE,
    STATE(9317), 1,
      sym_attribute,
    STATE(9325), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [455416] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11779), 1,
      anon_sym_COLON2,
    STATE(9318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9058), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455459] = 20,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6881), 1,
      anon_sym_object,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11783), 1,
      sym__lowercase_identifier,
    ACTIONS(11785), 1,
      anon_sym_let,
    ACTIONS(11787), 1,
      anon_sym_LPAREN,
    ACTIONS(11789), 1,
      anon_sym_BANG,
    ACTIONS(11791), 1,
      anon_sym_LBRACK,
    ACTIONS(11793), 1,
      anon_sym_fun,
    STATE(2523), 1,
      sym__simple_class_expression,
    STATE(9319), 1,
      sym_attribute,
    STATE(12727), 1,
      sym__class_expression,
    STATE(18320), 1,
      sym_module_path,
    STATE(19685), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [455530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11411), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11409), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455571] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(9321), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(16456), 1,
      sym__tuple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [455640] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11541), 1,
      sym__lowercase_identifier,
    ACTIONS(11777), 1,
      anon_sym_POUND,
    STATE(9322), 1,
      sym_attribute,
    STATE(9545), 1,
      sym_type_constructor_path,
    STATE(16470), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10010), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10012), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [455691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9058), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [455732] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(9324), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(16561), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [455801] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11795), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9325), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [455844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11405), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11421), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455926] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11541), 1,
      sym__lowercase_identifier,
    ACTIONS(11777), 1,
      anon_sym_POUND,
    STATE(9328), 1,
      sym_attribute,
    STATE(9545), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16470), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11375), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11377), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [455983] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11684), 1,
      anon_sym_COMMA,
    ACTIONS(11686), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11688), 1,
      sym_pow_operator,
    ACTIONS(11690), 1,
      sym_mult_operator,
    ACTIONS(11692), 1,
      sym_concat_operator,
    ACTIONS(11694), 1,
      sym_rel_operator,
    ACTIONS(11696), 1,
      sym_and_operator,
    ACTIONS(11698), 1,
      sym_or_operator,
    ACTIONS(11700), 1,
      sym_assign_operator,
    ACTIONS(11798), 1,
      anon_sym_SEMI,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8964), 10,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [456048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11411), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11409), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [456089] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11541), 1,
      sym__lowercase_identifier,
    ACTIONS(11777), 1,
      anon_sym_POUND,
    STATE(9331), 1,
      sym_attribute,
    STATE(9545), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16470), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11445), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11447), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [456146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11341), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11339), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [456187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10862), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10864), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [456228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10862), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10864), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [456269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11341), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11339), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [456310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7922), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [456351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11251), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11249), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [456392] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [456435] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11739), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11341), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11339), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [456478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7884), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [456519] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(9341), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(16611), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [456588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11289), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11287), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [456629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11263), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11261), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [456670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11337), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11335), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [456711] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11676), 1,
      anon_sym_else,
    STATE(8144), 1,
      sym_else_clause,
    STATE(9345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [456756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11353), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11351), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [456797] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11678), 1,
      sym__lowercase_identifier,
    ACTIONS(11680), 1,
      anon_sym_POUND,
    STATE(9347), 1,
      sym_attribute,
    STATE(10179), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16853), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11531), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [456854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7954), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [456895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11255), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11253), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [456936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11419), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11417), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [456977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11293), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11291), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [457018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11221), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11219), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [457059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11317), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11315), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [457100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9066), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [457141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11281), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11279), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [457182] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11167), 1,
      sym__lowercase_identifier,
    ACTIONS(11379), 1,
      anon_sym_POUND,
    ACTIONS(11800), 1,
      anon_sym_STAR,
    STATE(9327), 1,
      sym_type_constructor_path,
    STATE(9356), 1,
      sym_attribute,
    STATE(10781), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16764), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11273), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11713), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [457237] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11173), 1,
      anon_sym_COLON2,
    STATE(9357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9058), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [457280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9066), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [457321] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(9359), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(16497), 1,
      sym__tuple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [457390] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11686), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11688), 1,
      sym_pow_operator,
    ACTIONS(11690), 1,
      sym_mult_operator,
    ACTIONS(11692), 1,
      sym_concat_operator,
    ACTIONS(11694), 1,
      sym_rel_operator,
    ACTIONS(11696), 1,
      sym_and_operator,
    ACTIONS(11698), 1,
      sym_or_operator,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [457449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8276), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [457490] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8116), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [457531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11321), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11319), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [457572] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11775), 1,
      anon_sym_else,
    STATE(8139), 1,
      sym_else_clause,
    STATE(9364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [457617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11285), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11283), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [457658] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11686), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11688), 1,
      sym_pow_operator,
    ACTIONS(11690), 1,
      sym_mult_operator,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [457709] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(9367), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [457778] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11688), 1,
      sym_pow_operator,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [457823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11099), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11097), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [457864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7876), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [457905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11804), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11802), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [457946] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11541), 1,
      sym__lowercase_identifier,
    ACTIONS(11777), 1,
      anon_sym_POUND,
    STATE(9372), 1,
      sym_attribute,
    STATE(9545), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16470), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11525), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11527), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [458003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11357), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11355), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [458044] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11541), 1,
      sym__lowercase_identifier,
    ACTIONS(11777), 1,
      anon_sym_POUND,
    STATE(9374), 1,
      sym_attribute,
    STATE(9545), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16470), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11531), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [458101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11297), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11295), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [458142] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    STATE(7898), 1,
      sym_tuple_type,
    STATE(9376), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17182), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [458211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11251), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11249), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [458252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11325), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11323), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [458293] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11541), 1,
      sym__lowercase_identifier,
    ACTIONS(11777), 1,
      anon_sym_POUND,
    STATE(9379), 1,
      sym_attribute,
    STATE(9545), 1,
      sym_type_constructor_path,
    STATE(16470), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10986), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [458344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11329), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11327), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [458385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11405), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [458426] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11678), 1,
      sym__lowercase_identifier,
    ACTIONS(11680), 1,
      anon_sym_POUND,
    STATE(9382), 1,
      sym_attribute,
    STATE(10179), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16853), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11269), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11271), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [458483] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11735), 1,
      sym__lowercase_identifier,
    ACTIONS(11737), 1,
      anon_sym_POUND,
    STATE(9383), 1,
      sym_attribute,
    STATE(10017), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16868), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11299), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11301), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [458540] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11688), 1,
      sym_pow_operator,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [458585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11259), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11257), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [458626] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11686), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11688), 1,
      sym_pow_operator,
    ACTIONS(11690), 1,
      sym_mult_operator,
    ACTIONS(11692), 1,
      sym_concat_operator,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [458679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11421), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [458720] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11735), 1,
      sym__lowercase_identifier,
    ACTIONS(11737), 1,
      anon_sym_POUND,
    STATE(9388), 1,
      sym_attribute,
    STATE(10017), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16868), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11525), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11527), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [458777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11333), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11331), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [458818] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11686), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11688), 1,
      sym_pow_operator,
    ACTIONS(11690), 1,
      sym_mult_operator,
    ACTIONS(11692), 1,
      sym_concat_operator,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [458871] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11735), 1,
      sym__lowercase_identifier,
    ACTIONS(11737), 1,
      anon_sym_POUND,
    STATE(9391), 1,
      sym_attribute,
    STATE(10017), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16868), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11531), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [458928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11365), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11363), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [458969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11337), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11335), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [459010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11263), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11261), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [459051] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11686), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11688), 1,
      sym_pow_operator,
    ACTIONS(11690), 1,
      sym_mult_operator,
    ACTIONS(11692), 1,
      sym_concat_operator,
    ACTIONS(11694), 1,
      sym_rel_operator,
    ACTIONS(11696), 1,
      sym_and_operator,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [459108] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9060), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11751), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11753), 1,
      anon_sym_constraint,
    ACTIONS(11757), 1,
      anon_sym_let,
    ACTIONS(11806), 1,
      anon_sym_EQ,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9396), 1,
      sym_attribute,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10138), 1,
      sym__type_equation,
    STATE(10449), 1,
      aux_sym_type_binding_repeat1,
    STATE(10504), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11755), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [459169] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11686), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11688), 1,
      sym_pow_operator,
    ACTIONS(11690), 1,
      sym_mult_operator,
    ACTIONS(11692), 1,
      sym_concat_operator,
    ACTIONS(11694), 1,
      sym_rel_operator,
    ACTIONS(11696), 1,
      sym_and_operator,
    ACTIONS(11698), 1,
      sym_or_operator,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [459228] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11684), 1,
      anon_sym_COMMA,
    ACTIONS(11686), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11688), 1,
      sym_pow_operator,
    ACTIONS(11690), 1,
      sym_mult_operator,
    ACTIONS(11692), 1,
      sym_concat_operator,
    ACTIONS(11694), 1,
      sym_rel_operator,
    ACTIONS(11696), 1,
      sym_and_operator,
    ACTIONS(11698), 1,
      sym_or_operator,
    ACTIONS(11700), 1,
      sym_assign_operator,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [459291] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11361), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11359), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [459332] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11688), 1,
      sym_pow_operator,
    ACTIONS(11690), 1,
      sym_mult_operator,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [459379] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11684), 1,
      anon_sym_COMMA,
    ACTIONS(11686), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11688), 1,
      sym_pow_operator,
    ACTIONS(11690), 1,
      sym_mult_operator,
    ACTIONS(11692), 1,
      sym_concat_operator,
    ACTIONS(11694), 1,
      sym_rel_operator,
    ACTIONS(11696), 1,
      sym_and_operator,
    ACTIONS(11698), 1,
      sym_or_operator,
    ACTIONS(11700), 1,
      sym_assign_operator,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10159), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [459442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11297), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11295), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [459483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11810), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11808), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [459524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11365), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11363), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [459565] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(11767), 1,
      anon_sym_let,
    ACTIONS(11812), 1,
      anon_sym_COLON2,
    STATE(9179), 1,
      aux_sym_module_binding_repeat1,
    STATE(9405), 1,
      sym_attribute,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10252), 1,
      aux_sym_expression_item_repeat1,
    STATE(10450), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11769), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11765), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [459624] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11723), 1,
      anon_sym_let,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(11812), 1,
      anon_sym_COLON2,
    STATE(9405), 1,
      aux_sym_module_binding_repeat1,
    STATE(9406), 1,
      sym_attribute,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10269), 1,
      aux_sym_expression_item_repeat1,
    STATE(10444), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11725), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11721), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [459683] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(7958), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [459724] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9060), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11814), 1,
      anon_sym_EQ,
    ACTIONS(11816), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11818), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9408), 1,
      sym_attribute,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10504), 1,
      aux_sym_expression_item_repeat1,
    STATE(10559), 1,
      sym__type_equation,
    STATE(10668), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11755), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [459782] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5911), 1,
      anon_sym_object,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8496), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11820), 1,
      sym__lowercase_identifier,
    ACTIONS(11822), 1,
      anon_sym_let,
    ACTIONS(11824), 1,
      anon_sym_LPAREN,
    ACTIONS(11826), 1,
      anon_sym_LBRACK,
    ACTIONS(11828), 1,
      anon_sym_fun,
    STATE(2484), 1,
      sym__simple_class_expression,
    STATE(8958), 1,
      sym__class_expression,
    STATE(9409), 1,
      sym_attribute,
    STATE(17544), 1,
      sym_module_path,
    STATE(19230), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7339), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [459850] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9410), 1,
      sym_attribute,
    STATE(10364), 1,
      sym__class_expression,
    STATE(17487), 1,
      sym_module_path,
    STATE(20024), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7185), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [459918] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6881), 1,
      anon_sym_object,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11783), 1,
      sym__lowercase_identifier,
    ACTIONS(11785), 1,
      anon_sym_let,
    ACTIONS(11787), 1,
      anon_sym_LPAREN,
    ACTIONS(11791), 1,
      anon_sym_LBRACK,
    ACTIONS(11793), 1,
      anon_sym_fun,
    STATE(2523), 1,
      sym__simple_class_expression,
    STATE(8958), 1,
      sym__class_expression,
    STATE(9411), 1,
      sym_attribute,
    STATE(18320), 1,
      sym_module_path,
    STATE(19685), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [459986] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9412), 1,
      sym_attribute,
    STATE(10469), 1,
      sym__class_expression,
    STATE(17487), 1,
      sym_module_path,
    STATE(20024), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7185), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [460054] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11846), 1,
      anon_sym_DOT,
    ACTIONS(11848), 1,
      anon_sym_POUND,
    ACTIONS(11850), 1,
      sym_hash_operator,
    STATE(9413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9550), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9548), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [460100] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11846), 1,
      anon_sym_DOT,
    ACTIONS(11848), 1,
      anon_sym_POUND,
    ACTIONS(11850), 1,
      sym_hash_operator,
    STATE(9414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9570), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [460146] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9415), 1,
      sym_attribute,
    STATE(10545), 1,
      sym__class_expression,
    STATE(17487), 1,
      sym_module_path,
    STATE(20024), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7185), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [460214] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9416), 1,
      sym_attribute,
    STATE(10416), 1,
      sym__class_expression,
    STATE(17487), 1,
      sym_module_path,
    STATE(20024), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7185), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [460282] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6881), 1,
      anon_sym_object,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11783), 1,
      sym__lowercase_identifier,
    ACTIONS(11785), 1,
      anon_sym_let,
    ACTIONS(11787), 1,
      anon_sym_LPAREN,
    ACTIONS(11791), 1,
      anon_sym_LBRACK,
    ACTIONS(11793), 1,
      anon_sym_fun,
    STATE(2523), 1,
      sym__simple_class_expression,
    STATE(9207), 1,
      sym__class_expression,
    STATE(9417), 1,
      sym_attribute,
    STATE(18320), 1,
      sym_module_path,
    STATE(19685), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [460350] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6881), 1,
      anon_sym_object,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11783), 1,
      sym__lowercase_identifier,
    ACTIONS(11785), 1,
      anon_sym_let,
    ACTIONS(11787), 1,
      anon_sym_LPAREN,
    ACTIONS(11791), 1,
      anon_sym_LBRACK,
    ACTIONS(11793), 1,
      anon_sym_fun,
    STATE(2523), 1,
      sym__simple_class_expression,
    STATE(9217), 1,
      sym__class_expression,
    STATE(9418), 1,
      sym_attribute,
    STATE(18320), 1,
      sym_module_path,
    STATE(19685), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [460418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9066), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [460458] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5911), 1,
      anon_sym_object,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8496), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11820), 1,
      sym__lowercase_identifier,
    ACTIONS(11822), 1,
      anon_sym_let,
    ACTIONS(11824), 1,
      anon_sym_LPAREN,
    ACTIONS(11826), 1,
      anon_sym_LBRACK,
    ACTIONS(11828), 1,
      anon_sym_fun,
    STATE(2484), 1,
      sym__simple_class_expression,
    STATE(9420), 1,
      sym_attribute,
    STATE(10282), 1,
      sym__class_expression,
    STATE(17544), 1,
      sym_module_path,
    STATE(19230), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7339), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [460526] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11717), 1,
      sym__lowercase_identifier,
    ACTIONS(11852), 1,
      anon_sym_POUND,
    STATE(9421), 1,
      sym_attribute,
    STATE(9822), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16793), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11269), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11271), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [460582] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11717), 1,
      sym__lowercase_identifier,
    ACTIONS(11852), 1,
      anon_sym_POUND,
    STATE(9422), 1,
      sym_attribute,
    STATE(9822), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16793), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11299), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11301), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [460638] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9423), 1,
      sym_attribute,
    STATE(10352), 1,
      sym__class_expression,
    STATE(17487), 1,
      sym_module_path,
    STATE(20024), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7185), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [460706] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9424), 1,
      sym_attribute,
    STATE(10355), 1,
      sym__class_expression,
    STATE(17487), 1,
      sym_module_path,
    STATE(20024), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7185), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [460774] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9425), 1,
      sym_attribute,
    STATE(10540), 1,
      sym__class_expression,
    STATE(17487), 1,
      sym_module_path,
    STATE(20024), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7185), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [460842] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9426), 1,
      sym_attribute,
    STATE(10542), 1,
      sym__class_expression,
    STATE(17487), 1,
      sym_module_path,
    STATE(20024), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7185), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [460910] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9427), 1,
      sym_attribute,
    STATE(10550), 1,
      sym__class_expression,
    STATE(17487), 1,
      sym_module_path,
    STATE(20024), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7185), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [460978] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9428), 1,
      sym_attribute,
    STATE(10221), 1,
      sym__class_expression,
    STATE(17487), 1,
      sym_module_path,
    STATE(20024), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7185), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [461046] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9429), 1,
      sym_attribute,
    STATE(10228), 1,
      sym__class_expression,
    STATE(17487), 1,
      sym_module_path,
    STATE(20024), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7185), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [461114] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9430), 1,
      sym_attribute,
    STATE(10282), 1,
      sym__class_expression,
    STATE(17487), 1,
      sym_module_path,
    STATE(20024), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7185), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [461182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7795), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7797), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [461222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9058), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [461262] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5911), 1,
      anon_sym_object,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8496), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11820), 1,
      sym__lowercase_identifier,
    ACTIONS(11822), 1,
      anon_sym_let,
    ACTIONS(11824), 1,
      anon_sym_LPAREN,
    ACTIONS(11826), 1,
      anon_sym_LBRACK,
    ACTIONS(11828), 1,
      anon_sym_fun,
    STATE(2484), 1,
      sym__simple_class_expression,
    STATE(9433), 1,
      sym_attribute,
    STATE(10416), 1,
      sym__class_expression,
    STATE(17544), 1,
      sym_module_path,
    STATE(19230), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7339), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [461330] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11717), 1,
      sym__lowercase_identifier,
    ACTIONS(11852), 1,
      anon_sym_POUND,
    STATE(9434), 1,
      sym_attribute,
    STATE(9822), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16793), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11445), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11447), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [461386] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11717), 1,
      sym__lowercase_identifier,
    ACTIONS(11852), 1,
      anon_sym_POUND,
    STATE(9435), 1,
      sym_attribute,
    STATE(9822), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16793), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11525), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11527), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [461442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8076), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [461482] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11717), 1,
      sym__lowercase_identifier,
    ACTIONS(11852), 1,
      anon_sym_POUND,
    STATE(9437), 1,
      sym_attribute,
    STATE(9822), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16793), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11531), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [461538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8080), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [461578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8084), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [461618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8088), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [461658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8092), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [461698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8100), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [461738] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1817), 1,
      sym_add_operator,
    STATE(9443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [461780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8104), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [461820] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11854), 1,
      anon_sym_else,
    STATE(7969), 1,
      sym_else_clause,
    STATE(9445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [461864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8108), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [461904] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11717), 1,
      sym__lowercase_identifier,
    ACTIONS(11852), 1,
      anon_sym_POUND,
    STATE(9447), 1,
      sym_attribute,
    STATE(9822), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16793), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11375), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11377), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [461960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8270), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [462000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8112), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [462040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8120), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [462080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7757), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [462120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8126), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [462160] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11846), 1,
      anon_sym_DOT,
    STATE(9453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8130), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [462202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8134), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [462242] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5911), 1,
      anon_sym_object,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8496), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11820), 1,
      sym__lowercase_identifier,
    ACTIONS(11822), 1,
      anon_sym_let,
    ACTIONS(11824), 1,
      anon_sym_LPAREN,
    ACTIONS(11826), 1,
      anon_sym_LBRACK,
    ACTIONS(11828), 1,
      anon_sym_fun,
    STATE(2484), 1,
      sym__simple_class_expression,
    STATE(9207), 1,
      sym__class_expression,
    STATE(9455), 1,
      sym_attribute,
    STATE(17544), 1,
      sym_module_path,
    STATE(19230), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7339), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [462310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7870), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [462350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8138), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [462390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8142), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [462430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8146), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [462470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8150), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [462510] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11739), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11341), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11339), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [462552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9066), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [462592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8154), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [462632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8158), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [462672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8162), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [462712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8166), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [462752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8170), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [462792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8174), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [462832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8180), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [462872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8184), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [462912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8188), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [462952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7761), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7763), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [462992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7767), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [463032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7771), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [463072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8198), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8200), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [463112] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5911), 1,
      anon_sym_object,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8496), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11820), 1,
      sym__lowercase_identifier,
    ACTIONS(11822), 1,
      anon_sym_let,
    ACTIONS(11824), 1,
      anon_sym_LPAREN,
    ACTIONS(11826), 1,
      anon_sym_LBRACK,
    ACTIONS(11828), 1,
      anon_sym_fun,
    STATE(2484), 1,
      sym__simple_class_expression,
    STATE(9217), 1,
      sym__class_expression,
    STATE(9476), 1,
      sym_attribute,
    STATE(17544), 1,
      sym_module_path,
    STATE(19230), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7339), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [463180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8204), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [463220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8208), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [463260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8212), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [463300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7779), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [463340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7781), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7783), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [463380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7785), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7787), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [463420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8216), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [463460] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11779), 1,
      anon_sym_COLON2,
    STATE(9484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9058), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [463502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11341), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11339), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [463542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8220), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [463582] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11858), 1,
      sym_pow_operator,
    ACTIONS(11860), 1,
      sym_mult_operator,
    ACTIONS(11862), 1,
      sym_concat_operator,
    ACTIONS(11864), 1,
      sym_rel_operator,
    ACTIONS(11866), 1,
      sym_and_operator,
    ACTIONS(11868), 1,
      sym_or_operator,
    STATE(1873), 1,
      sym_add_operator,
    STATE(9487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [463640] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11858), 1,
      sym_pow_operator,
    ACTIONS(11860), 1,
      sym_mult_operator,
    STATE(1873), 1,
      sym_add_operator,
    STATE(9488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [463690] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8966), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11870), 1,
      anon_sym_COMMA,
    ACTIONS(11872), 1,
      anon_sym_SEMI,
    ACTIONS(11874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11876), 1,
      sym_pow_operator,
    ACTIONS(11878), 1,
      sym_mult_operator,
    ACTIONS(11880), 1,
      sym_concat_operator,
    ACTIONS(11882), 1,
      sym_rel_operator,
    ACTIONS(11884), 1,
      sym_and_operator,
    ACTIONS(11886), 1,
      sym_or_operator,
    ACTIONS(11888), 1,
      sym_assign_operator,
    STATE(1817), 1,
      sym_add_operator,
    STATE(9489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8964), 10,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [463754] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11858), 1,
      sym_pow_operator,
    STATE(1873), 1,
      sym_add_operator,
    STATE(9490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [463798] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11858), 1,
      sym_pow_operator,
    STATE(1873), 1,
      sym_add_operator,
    STATE(9491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [463842] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11858), 1,
      sym_pow_operator,
    ACTIONS(11860), 1,
      sym_mult_operator,
    ACTIONS(11862), 1,
      sym_concat_operator,
    STATE(1873), 1,
      sym_add_operator,
    STATE(9492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [463894] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11858), 1,
      sym_pow_operator,
    ACTIONS(11860), 1,
      sym_mult_operator,
    ACTIONS(11862), 1,
      sym_concat_operator,
    STATE(1873), 1,
      sym_add_operator,
    STATE(9493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [463946] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11858), 1,
      sym_pow_operator,
    ACTIONS(11860), 1,
      sym_mult_operator,
    ACTIONS(11862), 1,
      sym_concat_operator,
    ACTIONS(11864), 1,
      sym_rel_operator,
    ACTIONS(11866), 1,
      sym_and_operator,
    STATE(1873), 1,
      sym_add_operator,
    STATE(9494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [464002] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11858), 1,
      sym_pow_operator,
    ACTIONS(11860), 1,
      sym_mult_operator,
    ACTIONS(11862), 1,
      sym_concat_operator,
    ACTIONS(11864), 1,
      sym_rel_operator,
    ACTIONS(11866), 1,
      sym_and_operator,
    ACTIONS(11868), 1,
      sym_or_operator,
    STATE(1873), 1,
      sym_add_operator,
    STATE(9495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [464060] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11858), 1,
      sym_pow_operator,
    ACTIONS(11860), 1,
      sym_mult_operator,
    ACTIONS(11862), 1,
      sym_concat_operator,
    ACTIONS(11864), 1,
      sym_rel_operator,
    ACTIONS(11866), 1,
      sym_and_operator,
    ACTIONS(11868), 1,
      sym_or_operator,
    ACTIONS(11890), 1,
      anon_sym_COMMA,
    ACTIONS(11892), 1,
      sym_assign_operator,
    STATE(1873), 1,
      sym_add_operator,
    STATE(9496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [464122] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11858), 1,
      sym_pow_operator,
    ACTIONS(11860), 1,
      sym_mult_operator,
    STATE(1873), 1,
      sym_add_operator,
    STATE(9497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [464168] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11858), 1,
      sym_pow_operator,
    ACTIONS(11860), 1,
      sym_mult_operator,
    ACTIONS(11862), 1,
      sym_concat_operator,
    ACTIONS(11864), 1,
      sym_rel_operator,
    ACTIONS(11866), 1,
      sym_and_operator,
    ACTIONS(11868), 1,
      sym_or_operator,
    ACTIONS(11890), 1,
      anon_sym_COMMA,
    ACTIONS(11892), 1,
      sym_assign_operator,
    STATE(1873), 1,
      sym_add_operator,
    STATE(9498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10159), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [464230] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11858), 1,
      sym_pow_operator,
    ACTIONS(11860), 1,
      sym_mult_operator,
    ACTIONS(11862), 1,
      sym_concat_operator,
    ACTIONS(11864), 1,
      sym_rel_operator,
    ACTIONS(11866), 1,
      sym_and_operator,
    ACTIONS(11868), 1,
      sym_or_operator,
    ACTIONS(11890), 1,
      anon_sym_COMMA,
    ACTIONS(11892), 1,
      sym_assign_operator,
    STATE(1873), 1,
      sym_add_operator,
    STATE(9499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10185), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [464292] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9060), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11816), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11818), 1,
      anon_sym_constraint,
    ACTIONS(11894), 1,
      anon_sym_EQ,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9500), 1,
      sym_attribute,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10448), 1,
      aux_sym_expression_item_repeat1,
    STATE(10572), 1,
      sym__type_equation,
    STATE(10725), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11745), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [464350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11898), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(11896), 14,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      sym__lowercase_identifier,
  [464390] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5911), 1,
      anon_sym_object,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8496), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11820), 1,
      sym__lowercase_identifier,
    ACTIONS(11822), 1,
      anon_sym_let,
    ACTIONS(11824), 1,
      anon_sym_LPAREN,
    ACTIONS(11826), 1,
      anon_sym_LBRACK,
    ACTIONS(11828), 1,
      anon_sym_fun,
    STATE(2484), 1,
      sym__simple_class_expression,
    STATE(9502), 1,
      sym_attribute,
    STATE(10566), 1,
      sym__class_expression,
    STATE(17544), 1,
      sym_module_path,
    STATE(19230), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7339), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [464458] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7723), 1,
      anon_sym_object,
    ACTIONS(7735), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7737), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11900), 1,
      sym__lowercase_identifier,
    ACTIONS(11902), 1,
      anon_sym_let,
    ACTIONS(11904), 1,
      anon_sym_LPAREN,
    ACTIONS(11906), 1,
      anon_sym_LBRACK,
    ACTIONS(11908), 1,
      anon_sym_fun,
    STATE(2811), 1,
      sym__simple_class_expression,
    STATE(9503), 1,
      sym_attribute,
    STATE(15387), 1,
      sym__class_expression,
    STATE(17697), 1,
      sym_value_definition,
    STATE(19944), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9897), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [464526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7866), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [464566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8276), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [464606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8228), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [464646] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5911), 1,
      anon_sym_object,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8496), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11820), 1,
      sym__lowercase_identifier,
    ACTIONS(11822), 1,
      anon_sym_let,
    ACTIONS(11824), 1,
      anon_sym_LPAREN,
    ACTIONS(11826), 1,
      anon_sym_LBRACK,
    ACTIONS(11828), 1,
      anon_sym_fun,
    STATE(2484), 1,
      sym__simple_class_expression,
    STATE(9507), 1,
      sym_attribute,
    STATE(10352), 1,
      sym__class_expression,
    STATE(17544), 1,
      sym_module_path,
    STATE(19230), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7339), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [464714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7775), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [464754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7872), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [464794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7876), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [464834] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11678), 1,
      sym__lowercase_identifier,
    ACTIONS(11910), 1,
      anon_sym_POUND,
    STATE(9511), 1,
      sym_attribute,
    STATE(10102), 1,
      sym_type_constructor_path,
    STATE(16853), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11002), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11004), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [464884] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5911), 1,
      anon_sym_object,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8496), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11820), 1,
      sym__lowercase_identifier,
    ACTIONS(11822), 1,
      anon_sym_let,
    ACTIONS(11824), 1,
      anon_sym_LPAREN,
    ACTIONS(11826), 1,
      anon_sym_LBRACK,
    ACTIONS(11828), 1,
      anon_sym_fun,
    STATE(2484), 1,
      sym__simple_class_expression,
    STATE(9512), 1,
      sym_attribute,
    STATE(10355), 1,
      sym__class_expression,
    STATE(17544), 1,
      sym_module_path,
    STATE(19230), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7339), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [464952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7884), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [464992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8232), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [465032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8236), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [465072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11914), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11912), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [465112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8240), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [465152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8246), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [465192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10862), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [465232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8250), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [465272] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11717), 1,
      sym__lowercase_identifier,
    ACTIONS(11852), 1,
      anon_sym_POUND,
    STATE(9521), 1,
      sym_attribute,
    STATE(9822), 1,
      sym_type_constructor_path,
    STATE(16793), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10986), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [465322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8254), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [465362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8258), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [465402] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11918), 1,
      anon_sym_let,
    STATE(9524), 1,
      sym_attribute,
    STATE(9581), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11916), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [465448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8262), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [465488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8266), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [465528] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11920), 1,
      anon_sym_else,
    STATE(7831), 1,
      sym_else_clause,
    STATE(9527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [465572] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11918), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9528), 1,
      sym_attribute,
    STATE(9807), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11916), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [465618] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11922), 1,
      sym__lowercase_identifier,
    ACTIONS(11924), 1,
      anon_sym_POUND,
    STATE(9529), 1,
      sym_attribute,
    STATE(10440), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16752), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11525), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11527), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [465674] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11926), 1,
      sym__lowercase_identifier,
    ACTIONS(11928), 1,
      anon_sym_let,
    ACTIONS(11930), 1,
      anon_sym_LPAREN,
    ACTIONS(11932), 1,
      anon_sym_LBRACK,
    ACTIONS(11934), 1,
      anon_sym_object,
    ACTIONS(11936), 1,
      anon_sym_fun,
    ACTIONS(11938), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11940), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9530), 1,
      sym_attribute,
    STATE(10418), 1,
      sym__class_expression,
    STATE(17596), 1,
      sym_module_path,
    STATE(17938), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7180), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [465742] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11739), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11341), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11339), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [465784] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11735), 1,
      sym__lowercase_identifier,
    ACTIONS(11942), 1,
      anon_sym_POUND,
    STATE(9532), 1,
      sym_attribute,
    STATE(10078), 1,
      sym_type_constructor_path,
    STATE(16868), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11002), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11004), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [465834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11946), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11944), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [465874] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11922), 1,
      sym__lowercase_identifier,
    ACTIONS(11924), 1,
      anon_sym_POUND,
    STATE(9534), 1,
      sym_attribute,
    STATE(10440), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16752), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11269), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11271), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [465930] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11922), 1,
      sym__lowercase_identifier,
    ACTIONS(11924), 1,
      anon_sym_POUND,
    STATE(9535), 1,
      sym_attribute,
    STATE(10440), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16752), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11299), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11301), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [465986] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5911), 1,
      anon_sym_object,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8496), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11820), 1,
      sym__lowercase_identifier,
    ACTIONS(11822), 1,
      anon_sym_let,
    ACTIONS(11824), 1,
      anon_sym_LPAREN,
    ACTIONS(11826), 1,
      anon_sym_LBRACK,
    ACTIONS(11828), 1,
      anon_sym_fun,
    STATE(2484), 1,
      sym__simple_class_expression,
    STATE(9536), 1,
      sym_attribute,
    STATE(10279), 1,
      sym__class_expression,
    STATE(17544), 1,
      sym_module_path,
    STATE(19230), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7339), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [466054] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11922), 1,
      sym__lowercase_identifier,
    ACTIONS(11924), 1,
      anon_sym_POUND,
    STATE(9537), 1,
      sym_attribute,
    STATE(10440), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16752), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11531), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [466110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10862), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10864), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [466150] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11926), 1,
      sym__lowercase_identifier,
    ACTIONS(11928), 1,
      anon_sym_let,
    ACTIONS(11930), 1,
      anon_sym_LPAREN,
    ACTIONS(11932), 1,
      anon_sym_LBRACK,
    ACTIONS(11934), 1,
      anon_sym_object,
    ACTIONS(11936), 1,
      anon_sym_fun,
    ACTIONS(11938), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11940), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9539), 1,
      sym_attribute,
    STATE(10566), 1,
      sym__class_expression,
    STATE(17596), 1,
      sym_module_path,
    STATE(17938), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7180), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [466218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11405), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [466258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11411), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11409), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [466298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11391), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11389), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [466338] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11926), 1,
      sym__lowercase_identifier,
    ACTIONS(11928), 1,
      anon_sym_let,
    ACTIONS(11930), 1,
      anon_sym_LPAREN,
    ACTIONS(11932), 1,
      anon_sym_LBRACK,
    ACTIONS(11934), 1,
      anon_sym_object,
    ACTIONS(11936), 1,
      anon_sym_fun,
    ACTIONS(11938), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11940), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9543), 1,
      sym_attribute,
    STATE(10279), 1,
      sym__class_expression,
    STATE(17596), 1,
      sym_module_path,
    STATE(17938), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7180), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [466406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11419), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11417), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [466446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11421), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [466486] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11950), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9546), 1,
      sym_attribute,
    STATE(9807), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11948), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [466532] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11950), 1,
      anon_sym_let,
    STATE(9547), 1,
      sym_attribute,
    STATE(9592), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11948), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [466578] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11954), 1,
      anon_sym_let,
    STATE(9528), 1,
      aux_sym_expression_item_repeat1,
    STATE(9548), 1,
      sym_attribute,
    STATE(9807), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11952), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [466624] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11926), 1,
      sym__lowercase_identifier,
    ACTIONS(11928), 1,
      anon_sym_let,
    ACTIONS(11930), 1,
      anon_sym_LPAREN,
    ACTIONS(11932), 1,
      anon_sym_LBRACK,
    ACTIONS(11934), 1,
      anon_sym_object,
    ACTIONS(11936), 1,
      anon_sym_fun,
    ACTIONS(11938), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11940), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9549), 1,
      sym_attribute,
    STATE(10364), 1,
      sym__class_expression,
    STATE(17596), 1,
      sym_module_path,
    STATE(17938), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7180), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [466692] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7723), 1,
      anon_sym_object,
    ACTIONS(7735), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7737), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11900), 1,
      sym__lowercase_identifier,
    ACTIONS(11902), 1,
      anon_sym_let,
    ACTIONS(11904), 1,
      anon_sym_LPAREN,
    ACTIONS(11906), 1,
      anon_sym_LBRACK,
    ACTIONS(11908), 1,
      anon_sym_fun,
    STATE(2811), 1,
      sym__simple_class_expression,
    STATE(8958), 1,
      sym__class_expression,
    STATE(9550), 1,
      sym_attribute,
    STATE(17697), 1,
      sym_value_definition,
    STATE(19944), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9897), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [466760] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11926), 1,
      sym__lowercase_identifier,
    ACTIONS(11928), 1,
      anon_sym_let,
    ACTIONS(11930), 1,
      anon_sym_LPAREN,
    ACTIONS(11932), 1,
      anon_sym_LBRACK,
    ACTIONS(11934), 1,
      anon_sym_object,
    ACTIONS(11936), 1,
      anon_sym_fun,
    ACTIONS(11938), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11940), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9551), 1,
      sym_attribute,
    STATE(10469), 1,
      sym__class_expression,
    STATE(17596), 1,
      sym_module_path,
    STATE(17938), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7180), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [466828] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(11958), 1,
      anon_sym_COLON2,
    STATE(9179), 1,
      aux_sym_module_binding_repeat1,
    STATE(9552), 1,
      sym_attribute,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10252), 1,
      aux_sym_expression_item_repeat1,
    STATE(10720), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11956), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11765), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [466884] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11926), 1,
      sym__lowercase_identifier,
    ACTIONS(11928), 1,
      anon_sym_let,
    ACTIONS(11930), 1,
      anon_sym_LPAREN,
    ACTIONS(11932), 1,
      anon_sym_LBRACK,
    ACTIONS(11934), 1,
      anon_sym_object,
    ACTIONS(11936), 1,
      anon_sym_fun,
    ACTIONS(11938), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11940), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9553), 1,
      sym_attribute,
    STATE(10545), 1,
      sym__class_expression,
    STATE(17596), 1,
      sym_module_path,
    STATE(17938), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7180), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [466952] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11926), 1,
      sym__lowercase_identifier,
    ACTIONS(11928), 1,
      anon_sym_let,
    ACTIONS(11930), 1,
      anon_sym_LPAREN,
    ACTIONS(11932), 1,
      anon_sym_LBRACK,
    ACTIONS(11934), 1,
      anon_sym_object,
    ACTIONS(11936), 1,
      anon_sym_fun,
    ACTIONS(11938), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11940), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9554), 1,
      sym_attribute,
    STATE(10416), 1,
      sym__class_expression,
    STATE(17596), 1,
      sym_module_path,
    STATE(17938), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7180), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [467020] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7723), 1,
      anon_sym_object,
    ACTIONS(7735), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7737), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11900), 1,
      sym__lowercase_identifier,
    ACTIONS(11902), 1,
      anon_sym_let,
    ACTIONS(11904), 1,
      anon_sym_LPAREN,
    ACTIONS(11906), 1,
      anon_sym_LBRACK,
    ACTIONS(11908), 1,
      anon_sym_fun,
    STATE(2811), 1,
      sym__simple_class_expression,
    STATE(9207), 1,
      sym__class_expression,
    STATE(9555), 1,
      sym_attribute,
    STATE(17697), 1,
      sym_value_definition,
    STATE(19944), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9897), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [467088] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7723), 1,
      anon_sym_object,
    ACTIONS(7735), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7737), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11900), 1,
      sym__lowercase_identifier,
    ACTIONS(11902), 1,
      anon_sym_let,
    ACTIONS(11904), 1,
      anon_sym_LPAREN,
    ACTIONS(11906), 1,
      anon_sym_LBRACK,
    ACTIONS(11908), 1,
      anon_sym_fun,
    STATE(2811), 1,
      sym__simple_class_expression,
    STATE(9217), 1,
      sym__class_expression,
    STATE(9556), 1,
      sym_attribute,
    STATE(17697), 1,
      sym_value_definition,
    STATE(19944), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9897), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [467156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11251), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11249), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [467196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11255), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11253), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [467236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11259), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11257), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [467276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11263), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11261), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [467316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11962), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11960), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [467356] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11926), 1,
      sym__lowercase_identifier,
    ACTIONS(11928), 1,
      anon_sym_let,
    ACTIONS(11930), 1,
      anon_sym_LPAREN,
    ACTIONS(11932), 1,
      anon_sym_LBRACK,
    ACTIONS(11934), 1,
      anon_sym_object,
    ACTIONS(11936), 1,
      anon_sym_fun,
    ACTIONS(11938), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11940), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9562), 1,
      sym_attribute,
    STATE(10352), 1,
      sym__class_expression,
    STATE(17596), 1,
      sym_module_path,
    STATE(17938), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7180), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [467424] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11926), 1,
      sym__lowercase_identifier,
    ACTIONS(11928), 1,
      anon_sym_let,
    ACTIONS(11930), 1,
      anon_sym_LPAREN,
    ACTIONS(11932), 1,
      anon_sym_LBRACK,
    ACTIONS(11934), 1,
      anon_sym_object,
    ACTIONS(11936), 1,
      anon_sym_fun,
    ACTIONS(11938), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11940), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9563), 1,
      sym_attribute,
    STATE(10355), 1,
      sym__class_expression,
    STATE(17596), 1,
      sym_module_path,
    STATE(17938), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7180), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [467492] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11926), 1,
      sym__lowercase_identifier,
    ACTIONS(11928), 1,
      anon_sym_let,
    ACTIONS(11930), 1,
      anon_sym_LPAREN,
    ACTIONS(11932), 1,
      anon_sym_LBRACK,
    ACTIONS(11934), 1,
      anon_sym_object,
    ACTIONS(11936), 1,
      anon_sym_fun,
    ACTIONS(11938), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11940), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9564), 1,
      sym_attribute,
    STATE(10540), 1,
      sym__class_expression,
    STATE(17596), 1,
      sym_module_path,
    STATE(17938), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7180), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [467560] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11926), 1,
      sym__lowercase_identifier,
    ACTIONS(11928), 1,
      anon_sym_let,
    ACTIONS(11930), 1,
      anon_sym_LPAREN,
    ACTIONS(11932), 1,
      anon_sym_LBRACK,
    ACTIONS(11934), 1,
      anon_sym_object,
    ACTIONS(11936), 1,
      anon_sym_fun,
    ACTIONS(11938), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11940), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9565), 1,
      sym_attribute,
    STATE(10542), 1,
      sym__class_expression,
    STATE(17596), 1,
      sym_module_path,
    STATE(17938), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7180), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [467628] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11926), 1,
      sym__lowercase_identifier,
    ACTIONS(11928), 1,
      anon_sym_let,
    ACTIONS(11930), 1,
      anon_sym_LPAREN,
    ACTIONS(11932), 1,
      anon_sym_LBRACK,
    ACTIONS(11934), 1,
      anon_sym_object,
    ACTIONS(11936), 1,
      anon_sym_fun,
    ACTIONS(11938), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11940), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9566), 1,
      sym_attribute,
    STATE(10550), 1,
      sym__class_expression,
    STATE(17596), 1,
      sym_module_path,
    STATE(17938), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7180), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [467696] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11926), 1,
      sym__lowercase_identifier,
    ACTIONS(11928), 1,
      anon_sym_let,
    ACTIONS(11930), 1,
      anon_sym_LPAREN,
    ACTIONS(11932), 1,
      anon_sym_LBRACK,
    ACTIONS(11934), 1,
      anon_sym_object,
    ACTIONS(11936), 1,
      anon_sym_fun,
    ACTIONS(11938), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11940), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9567), 1,
      sym_attribute,
    STATE(10221), 1,
      sym__class_expression,
    STATE(17596), 1,
      sym_module_path,
    STATE(17938), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7180), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [467764] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11926), 1,
      sym__lowercase_identifier,
    ACTIONS(11928), 1,
      anon_sym_let,
    ACTIONS(11930), 1,
      anon_sym_LPAREN,
    ACTIONS(11932), 1,
      anon_sym_LBRACK,
    ACTIONS(11934), 1,
      anon_sym_object,
    ACTIONS(11936), 1,
      anon_sym_fun,
    ACTIONS(11938), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11940), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9568), 1,
      sym_attribute,
    STATE(10228), 1,
      sym__class_expression,
    STATE(17596), 1,
      sym_module_path,
    STATE(17938), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7180), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [467832] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11926), 1,
      sym__lowercase_identifier,
    ACTIONS(11928), 1,
      anon_sym_let,
    ACTIONS(11930), 1,
      anon_sym_LPAREN,
    ACTIONS(11932), 1,
      anon_sym_LBRACK,
    ACTIONS(11934), 1,
      anon_sym_object,
    ACTIONS(11936), 1,
      anon_sym_fun,
    ACTIONS(11938), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11940), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9569), 1,
      sym_attribute,
    STATE(10282), 1,
      sym__class_expression,
    STATE(17596), 1,
      sym_module_path,
    STATE(17938), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7180), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [467900] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11968), 1,
      anon_sym_LPAREN,
    ACTIONS(11970), 1,
      anon_sym_LBRACK,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    STATE(9570), 1,
      sym_attribute,
    STATE(10268), 1,
      sym__constructor_name,
    STATE(11026), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11966), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11972), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11964), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [467952] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11858), 1,
      sym_pow_operator,
    ACTIONS(11860), 1,
      sym_mult_operator,
    ACTIONS(11862), 1,
      sym_concat_operator,
    ACTIONS(11864), 1,
      sym_rel_operator,
    ACTIONS(11866), 1,
      sym_and_operator,
    ACTIONS(11868), 1,
      sym_or_operator,
    ACTIONS(11890), 1,
      anon_sym_COMMA,
    ACTIONS(11892), 1,
      sym_assign_operator,
    ACTIONS(11976), 1,
      anon_sym_SEMI,
    STATE(1873), 1,
      sym_add_operator,
    STATE(9571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8964), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [468016] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7723), 1,
      anon_sym_object,
    ACTIONS(7735), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7737), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11900), 1,
      sym__lowercase_identifier,
    ACTIONS(11902), 1,
      anon_sym_let,
    ACTIONS(11904), 1,
      anon_sym_LPAREN,
    ACTIONS(11906), 1,
      anon_sym_LBRACK,
    ACTIONS(11908), 1,
      anon_sym_fun,
    STATE(2811), 1,
      sym__simple_class_expression,
    STATE(9572), 1,
      sym_attribute,
    STATE(15993), 1,
      sym__class_expression,
    STATE(17697), 1,
      sym_value_definition,
    STATE(19944), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9897), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [468084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11281), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11279), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [468124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11285), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11283), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [468164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11289), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11287), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [468204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11293), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11291), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [468244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11297), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11295), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [468284] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5911), 1,
      anon_sym_object,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8496), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11820), 1,
      sym__lowercase_identifier,
    ACTIONS(11822), 1,
      anon_sym_let,
    ACTIONS(11824), 1,
      anon_sym_LPAREN,
    ACTIONS(11826), 1,
      anon_sym_LBRACK,
    ACTIONS(11828), 1,
      anon_sym_fun,
    STATE(2484), 1,
      sym__simple_class_expression,
    STATE(9578), 1,
      sym_attribute,
    STATE(10364), 1,
      sym__class_expression,
    STATE(17544), 1,
      sym_module_path,
    STATE(19230), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7339), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [468352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11980), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11978), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [468392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11984), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11982), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [468432] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11988), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9581), 1,
      sym_attribute,
    STATE(9807), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11986), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [468478] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(11958), 1,
      anon_sym_COLON2,
    STATE(9552), 1,
      aux_sym_module_binding_repeat1,
    STATE(9582), 1,
      sym_attribute,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10269), 1,
      aux_sym_expression_item_repeat1,
    STATE(10670), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11990), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11721), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [468534] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6881), 1,
      anon_sym_object,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11783), 1,
      sym__lowercase_identifier,
    ACTIONS(11785), 1,
      anon_sym_let,
    ACTIONS(11787), 1,
      anon_sym_LPAREN,
    ACTIONS(11791), 1,
      anon_sym_LBRACK,
    ACTIONS(11793), 1,
      anon_sym_fun,
    STATE(2523), 1,
      sym__simple_class_expression,
    STATE(9583), 1,
      sym_attribute,
    STATE(12768), 1,
      sym__class_expression,
    STATE(18320), 1,
      sym_module_path,
    STATE(19685), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8294), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [468602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7791), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [468642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7898), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [468682] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7723), 1,
      anon_sym_object,
    ACTIONS(7735), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7737), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11900), 1,
      sym__lowercase_identifier,
    ACTIONS(11902), 1,
      anon_sym_let,
    ACTIONS(11904), 1,
      anon_sym_LPAREN,
    ACTIONS(11906), 1,
      anon_sym_LBRACK,
    ACTIONS(11908), 1,
      anon_sym_fun,
    STATE(2811), 1,
      sym__simple_class_expression,
    STATE(9586), 1,
      sym_attribute,
    STATE(15490), 1,
      sym__class_expression,
    STATE(17697), 1,
      sym_value_definition,
    STATE(19944), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9897), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [468750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11341), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11339), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [468790] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11678), 1,
      sym__lowercase_identifier,
    ACTIONS(11680), 1,
      anon_sym_POUND,
    ACTIONS(11992), 1,
      anon_sym_STAR,
    STATE(9588), 1,
      sym_attribute,
    STATE(10179), 1,
      sym_type_constructor_path,
    STATE(10916), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16853), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11273), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11713), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [468844] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6431), 1,
      anon_sym_object,
    ACTIONS(8498), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8500), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11994), 1,
      sym__lowercase_identifier,
    ACTIONS(11996), 1,
      anon_sym_let,
    ACTIONS(11998), 1,
      anon_sym_LPAREN,
    ACTIONS(12000), 1,
      anon_sym_LBRACK,
    ACTIONS(12002), 1,
      anon_sym_fun,
    STATE(2505), 1,
      sym__simple_class_expression,
    STATE(9589), 1,
      sym_attribute,
    STATE(10418), 1,
      sym__class_expression,
    STATE(17650), 1,
      sym_module_path,
    STATE(18347), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7684), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [468912] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5911), 1,
      anon_sym_object,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8496), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11820), 1,
      sym__lowercase_identifier,
    ACTIONS(11822), 1,
      anon_sym_let,
    ACTIONS(11824), 1,
      anon_sym_LPAREN,
    ACTIONS(11826), 1,
      anon_sym_LBRACK,
    ACTIONS(11828), 1,
      anon_sym_fun,
    STATE(2484), 1,
      sym__simple_class_expression,
    STATE(9590), 1,
      sym_attribute,
    STATE(10418), 1,
      sym__class_expression,
    STATE(17544), 1,
      sym_module_path,
    STATE(19230), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7339), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [468980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12006), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12004), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [469020] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12010), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9592), 1,
      sym_attribute,
    STATE(9807), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12008), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [469066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11321), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11319), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [469106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11325), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11323), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [469146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11329), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11327), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [469186] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7723), 1,
      anon_sym_object,
    ACTIONS(7735), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7737), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11900), 1,
      sym__lowercase_identifier,
    ACTIONS(11902), 1,
      anon_sym_let,
    ACTIONS(11904), 1,
      anon_sym_LPAREN,
    ACTIONS(11906), 1,
      anon_sym_LBRACK,
    ACTIONS(11908), 1,
      anon_sym_fun,
    STATE(2811), 1,
      sym__simple_class_expression,
    STATE(9596), 1,
      sym_attribute,
    STATE(16023), 1,
      sym__class_expression,
    STATE(17697), 1,
      sym_value_definition,
    STATE(19944), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9897), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [469254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11333), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11331), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [469294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11337), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11335), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [469334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11405), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [469374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11411), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11409), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [469414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11419), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11417), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [469454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11421), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [469494] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6431), 1,
      anon_sym_object,
    ACTIONS(8498), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8500), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11994), 1,
      sym__lowercase_identifier,
    ACTIONS(11996), 1,
      anon_sym_let,
    ACTIONS(11998), 1,
      anon_sym_LPAREN,
    ACTIONS(12000), 1,
      anon_sym_LBRACK,
    ACTIONS(12002), 1,
      anon_sym_fun,
    STATE(2505), 1,
      sym__simple_class_expression,
    STATE(9603), 1,
      sym_attribute,
    STATE(10566), 1,
      sym__class_expression,
    STATE(17650), 1,
      sym_module_path,
    STATE(18347), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7684), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [469562] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6431), 1,
      anon_sym_object,
    ACTIONS(8498), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8500), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11994), 1,
      sym__lowercase_identifier,
    ACTIONS(11996), 1,
      anon_sym_let,
    ACTIONS(11998), 1,
      anon_sym_LPAREN,
    ACTIONS(12000), 1,
      anon_sym_LBRACK,
    ACTIONS(12002), 1,
      anon_sym_fun,
    STATE(2505), 1,
      sym__simple_class_expression,
    STATE(9604), 1,
      sym_attribute,
    STATE(10279), 1,
      sym__class_expression,
    STATE(17650), 1,
      sym_module_path,
    STATE(18347), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7684), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [469630] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7723), 1,
      anon_sym_object,
    ACTIONS(7735), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7737), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11900), 1,
      sym__lowercase_identifier,
    ACTIONS(11902), 1,
      anon_sym_let,
    ACTIONS(11904), 1,
      anon_sym_LPAREN,
    ACTIONS(11906), 1,
      anon_sym_LBRACK,
    ACTIONS(11908), 1,
      anon_sym_fun,
    STATE(2811), 1,
      sym__simple_class_expression,
    STATE(9605), 1,
      sym_attribute,
    STATE(15428), 1,
      sym__class_expression,
    STATE(17697), 1,
      sym_value_definition,
    STATE(19944), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9897), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [469698] = 18,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11233), 1,
      sym__lowercase_identifier,
    STATE(9606), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    STATE(17361), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469764] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6431), 1,
      anon_sym_object,
    ACTIONS(8498), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8500), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11994), 1,
      sym__lowercase_identifier,
    ACTIONS(11996), 1,
      anon_sym_let,
    ACTIONS(11998), 1,
      anon_sym_LPAREN,
    ACTIONS(12000), 1,
      anon_sym_LBRACK,
    ACTIONS(12002), 1,
      anon_sym_fun,
    STATE(2505), 1,
      sym__simple_class_expression,
    STATE(9607), 1,
      sym_attribute,
    STATE(10364), 1,
      sym__class_expression,
    STATE(17650), 1,
      sym_module_path,
    STATE(18347), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7684), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [469832] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(8958), 1,
      sym__class_expression,
    STATE(9608), 1,
      sym_attribute,
    STATE(17487), 1,
      sym_module_path,
    STATE(20024), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7185), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [469900] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6431), 1,
      anon_sym_object,
    ACTIONS(8498), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8500), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11994), 1,
      sym__lowercase_identifier,
    ACTIONS(11996), 1,
      anon_sym_let,
    ACTIONS(11998), 1,
      anon_sym_LPAREN,
    ACTIONS(12000), 1,
      anon_sym_LBRACK,
    ACTIONS(12002), 1,
      anon_sym_fun,
    STATE(2505), 1,
      sym__simple_class_expression,
    STATE(9609), 1,
      sym_attribute,
    STATE(10469), 1,
      sym__class_expression,
    STATE(17650), 1,
      sym_module_path,
    STATE(18347), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7684), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [469968] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11846), 1,
      anon_sym_DOT,
    ACTIONS(11848), 1,
      anon_sym_POUND,
    ACTIONS(11850), 1,
      sym_hash_operator,
    STATE(9610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9564), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9562), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [470014] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6431), 1,
      anon_sym_object,
    ACTIONS(8498), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8500), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11994), 1,
      sym__lowercase_identifier,
    ACTIONS(11996), 1,
      anon_sym_let,
    ACTIONS(11998), 1,
      anon_sym_LPAREN,
    ACTIONS(12000), 1,
      anon_sym_LBRACK,
    ACTIONS(12002), 1,
      anon_sym_fun,
    STATE(2505), 1,
      sym__simple_class_expression,
    STATE(9611), 1,
      sym_attribute,
    STATE(10545), 1,
      sym__class_expression,
    STATE(17650), 1,
      sym_module_path,
    STATE(18347), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7684), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [470082] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6431), 1,
      anon_sym_object,
    ACTIONS(8498), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8500), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11994), 1,
      sym__lowercase_identifier,
    ACTIONS(11996), 1,
      anon_sym_let,
    ACTIONS(11998), 1,
      anon_sym_LPAREN,
    ACTIONS(12000), 1,
      anon_sym_LBRACK,
    ACTIONS(12002), 1,
      anon_sym_fun,
    STATE(2505), 1,
      sym__simple_class_expression,
    STATE(9612), 1,
      sym_attribute,
    STATE(10416), 1,
      sym__class_expression,
    STATE(17650), 1,
      sym_module_path,
    STATE(18347), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7684), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [470150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11251), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11249), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [470190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11255), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11253), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [470230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11259), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11257), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [470270] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9207), 1,
      sym__class_expression,
    STATE(9616), 1,
      sym_attribute,
    STATE(17487), 1,
      sym_module_path,
    STATE(20024), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7185), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [470338] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9217), 1,
      sym__class_expression,
    STATE(9617), 1,
      sym_attribute,
    STATE(17487), 1,
      sym_module_path,
    STATE(20024), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7185), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [470406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11263), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11261), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [470446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11353), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11351), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [470486] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7723), 1,
      anon_sym_object,
    ACTIONS(7735), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7737), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11900), 1,
      sym__lowercase_identifier,
    ACTIONS(11902), 1,
      anon_sym_let,
    ACTIONS(11904), 1,
      anon_sym_LPAREN,
    ACTIONS(11906), 1,
      anon_sym_LBRACK,
    ACTIONS(11908), 1,
      anon_sym_fun,
    STATE(2811), 1,
      sym__simple_class_expression,
    STATE(9620), 1,
      sym_attribute,
    STATE(16292), 1,
      sym__class_expression,
    STATE(17697), 1,
      sym_value_definition,
    STATE(19944), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9897), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [470554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11357), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11355), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [470594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11361), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11359), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [470634] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11846), 1,
      anon_sym_DOT,
    ACTIONS(11848), 1,
      anon_sym_POUND,
    ACTIONS(11850), 1,
      sym_hash_operator,
    STATE(9623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9568), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9566), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [470680] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6431), 1,
      anon_sym_object,
    ACTIONS(8498), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8500), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11994), 1,
      sym__lowercase_identifier,
    ACTIONS(11996), 1,
      anon_sym_let,
    ACTIONS(11998), 1,
      anon_sym_LPAREN,
    ACTIONS(12000), 1,
      anon_sym_LBRACK,
    ACTIONS(12002), 1,
      anon_sym_fun,
    STATE(2505), 1,
      sym__simple_class_expression,
    STATE(9624), 1,
      sym_attribute,
    STATE(10352), 1,
      sym__class_expression,
    STATE(17650), 1,
      sym_module_path,
    STATE(18347), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7684), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [470748] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6431), 1,
      anon_sym_object,
    ACTIONS(8498), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8500), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11994), 1,
      sym__lowercase_identifier,
    ACTIONS(11996), 1,
      anon_sym_let,
    ACTIONS(11998), 1,
      anon_sym_LPAREN,
    ACTIONS(12000), 1,
      anon_sym_LBRACK,
    ACTIONS(12002), 1,
      anon_sym_fun,
    STATE(2505), 1,
      sym__simple_class_expression,
    STATE(9625), 1,
      sym_attribute,
    STATE(10355), 1,
      sym__class_expression,
    STATE(17650), 1,
      sym_module_path,
    STATE(18347), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7684), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [470816] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6431), 1,
      anon_sym_object,
    ACTIONS(8498), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8500), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11994), 1,
      sym__lowercase_identifier,
    ACTIONS(11996), 1,
      anon_sym_let,
    ACTIONS(11998), 1,
      anon_sym_LPAREN,
    ACTIONS(12000), 1,
      anon_sym_LBRACK,
    ACTIONS(12002), 1,
      anon_sym_fun,
    STATE(2505), 1,
      sym__simple_class_expression,
    STATE(9626), 1,
      sym_attribute,
    STATE(10540), 1,
      sym__class_expression,
    STATE(17650), 1,
      sym_module_path,
    STATE(18347), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7684), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [470884] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12012), 1,
      anon_sym_PIPE,
    STATE(9627), 1,
      sym_attribute,
    STATE(9629), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [470928] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12012), 1,
      anon_sym_PIPE,
    STATE(9628), 1,
      sym_attribute,
    STATE(9630), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [470972] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12012), 1,
      anon_sym_PIPE,
    STATE(9629), 1,
      sym_attribute,
    STATE(9631), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [471016] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12012), 1,
      anon_sym_PIPE,
    STATE(9630), 1,
      sym_attribute,
    STATE(9631), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [471060] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12014), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9631), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [471102] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6431), 1,
      anon_sym_object,
    ACTIONS(8498), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8500), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11994), 1,
      sym__lowercase_identifier,
    ACTIONS(11996), 1,
      anon_sym_let,
    ACTIONS(11998), 1,
      anon_sym_LPAREN,
    ACTIONS(12000), 1,
      anon_sym_LBRACK,
    ACTIONS(12002), 1,
      anon_sym_fun,
    STATE(2505), 1,
      sym__simple_class_expression,
    STATE(9632), 1,
      sym_attribute,
    STATE(10542), 1,
      sym__class_expression,
    STATE(17650), 1,
      sym_module_path,
    STATE(18347), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7684), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [471170] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6431), 1,
      anon_sym_object,
    ACTIONS(8498), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8500), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11994), 1,
      sym__lowercase_identifier,
    ACTIONS(11996), 1,
      anon_sym_let,
    ACTIONS(11998), 1,
      anon_sym_LPAREN,
    ACTIONS(12000), 1,
      anon_sym_LBRACK,
    ACTIONS(12002), 1,
      anon_sym_fun,
    STATE(2505), 1,
      sym__simple_class_expression,
    STATE(9633), 1,
      sym_attribute,
    STATE(10550), 1,
      sym__class_expression,
    STATE(17650), 1,
      sym_module_path,
    STATE(18347), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7684), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [471238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11281), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11279), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [471278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11285), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11283), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [471318] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6431), 1,
      anon_sym_object,
    ACTIONS(8498), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8500), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11994), 1,
      sym__lowercase_identifier,
    ACTIONS(11996), 1,
      anon_sym_let,
    ACTIONS(11998), 1,
      anon_sym_LPAREN,
    ACTIONS(12000), 1,
      anon_sym_LBRACK,
    ACTIONS(12002), 1,
      anon_sym_fun,
    STATE(2505), 1,
      sym__simple_class_expression,
    STATE(9636), 1,
      sym_attribute,
    STATE(10221), 1,
      sym__class_expression,
    STATE(17650), 1,
      sym_module_path,
    STATE(18347), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7684), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [471386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11289), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11287), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [471426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11293), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11291), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [471466] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6431), 1,
      anon_sym_object,
    ACTIONS(8498), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8500), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11994), 1,
      sym__lowercase_identifier,
    ACTIONS(11996), 1,
      anon_sym_let,
    ACTIONS(11998), 1,
      anon_sym_LPAREN,
    ACTIONS(12000), 1,
      anon_sym_LBRACK,
    ACTIONS(12002), 1,
      anon_sym_fun,
    STATE(2505), 1,
      sym__simple_class_expression,
    STATE(9639), 1,
      sym_attribute,
    STATE(10228), 1,
      sym__class_expression,
    STATE(17650), 1,
      sym_module_path,
    STATE(18347), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7684), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [471534] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6431), 1,
      anon_sym_object,
    ACTIONS(8498), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8500), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11994), 1,
      sym__lowercase_identifier,
    ACTIONS(11996), 1,
      anon_sym_let,
    ACTIONS(11998), 1,
      anon_sym_LPAREN,
    ACTIONS(12000), 1,
      anon_sym_LBRACK,
    ACTIONS(12002), 1,
      anon_sym_fun,
    STATE(2505), 1,
      sym__simple_class_expression,
    STATE(9640), 1,
      sym_attribute,
    STATE(10282), 1,
      sym__class_expression,
    STATE(17650), 1,
      sym_module_path,
    STATE(18347), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7684), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [471602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11365), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11363), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [471642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11317), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11315), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [471682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11321), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11319), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [471722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11325), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11323), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [471762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11329), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11327), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [471802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11333), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11331), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [471842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11337), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11335), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [471882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11353), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11351), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [471922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11357), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11355), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [471962] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11361), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11359), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [472002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11365), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11363), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [472042] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11093), 1,
      sym__lowercase_identifier,
    ACTIONS(11277), 1,
      anon_sym_POUND,
    STATE(9387), 1,
      sym_type_constructor_path,
    STATE(9652), 1,
      sym_attribute,
    STATE(16708), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12017), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12019), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [472092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10862), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10864), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [472132] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12023), 1,
      anon_sym_let,
    STATE(9546), 1,
      aux_sym_expression_item_repeat1,
    STATE(9654), 1,
      sym_attribute,
    STATE(9807), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12021), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [472178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12027), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12025), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [472218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11391), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11389), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [472258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11297), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11295), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [472298] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11926), 1,
      sym__lowercase_identifier,
    ACTIONS(11928), 1,
      anon_sym_let,
    ACTIONS(11930), 1,
      anon_sym_LPAREN,
    ACTIONS(11932), 1,
      anon_sym_LBRACK,
    ACTIONS(11934), 1,
      anon_sym_object,
    ACTIONS(11936), 1,
      anon_sym_fun,
    ACTIONS(11938), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11940), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(8958), 1,
      sym__class_expression,
    STATE(9658), 1,
      sym_attribute,
    STATE(17596), 1,
      sym_module_path,
    STATE(17938), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7180), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [472366] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11717), 1,
      sym__lowercase_identifier,
    ACTIONS(11852), 1,
      anon_sym_POUND,
    STATE(9659), 1,
      sym_attribute,
    STATE(9822), 1,
      sym_type_constructor_path,
    STATE(16793), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10010), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10012), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [472416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7974), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [472456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7978), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [472496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7994), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [472536] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11926), 1,
      sym__lowercase_identifier,
    ACTIONS(11928), 1,
      anon_sym_let,
    ACTIONS(11930), 1,
      anon_sym_LPAREN,
    ACTIONS(11932), 1,
      anon_sym_LBRACK,
    ACTIONS(11934), 1,
      anon_sym_object,
    ACTIONS(11936), 1,
      anon_sym_fun,
    ACTIONS(11938), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11940), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9207), 1,
      sym__class_expression,
    STATE(9663), 1,
      sym_attribute,
    STATE(17596), 1,
      sym_module_path,
    STATE(17938), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7180), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [472604] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11926), 1,
      sym__lowercase_identifier,
    ACTIONS(11928), 1,
      anon_sym_let,
    ACTIONS(11930), 1,
      anon_sym_LPAREN,
    ACTIONS(11932), 1,
      anon_sym_LBRACK,
    ACTIONS(11934), 1,
      anon_sym_object,
    ACTIONS(11936), 1,
      anon_sym_fun,
    ACTIONS(11938), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11940), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9217), 1,
      sym__class_expression,
    STATE(9664), 1,
      sym_attribute,
    STATE(17596), 1,
      sym_module_path,
    STATE(17938), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7180), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [472672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8026), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [472712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7982), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [472752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7906), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [472792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8040), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [472832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8044), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [472872] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5911), 1,
      anon_sym_object,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8496), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11820), 1,
      sym__lowercase_identifier,
    ACTIONS(11822), 1,
      anon_sym_let,
    ACTIONS(11824), 1,
      anon_sym_LPAREN,
    ACTIONS(11826), 1,
      anon_sym_LBRACK,
    ACTIONS(11828), 1,
      anon_sym_fun,
    STATE(2484), 1,
      sym__simple_class_expression,
    STATE(9670), 1,
      sym_attribute,
    STATE(10540), 1,
      sym__class_expression,
    STATE(17544), 1,
      sym_module_path,
    STATE(19230), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7339), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [472940] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11541), 1,
      sym__lowercase_identifier,
    ACTIONS(11777), 1,
      anon_sym_POUND,
    ACTIONS(12029), 1,
      anon_sym_STAR,
    STATE(9545), 1,
      sym_type_constructor_path,
    STATE(9671), 1,
      sym_attribute,
    STATE(10895), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16470), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11273), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11713), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [472994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7910), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [473034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7918), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [473074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7922), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [473114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7954), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [473154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8058), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [473194] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5911), 1,
      anon_sym_object,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8496), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11820), 1,
      sym__lowercase_identifier,
    ACTIONS(11822), 1,
      anon_sym_let,
    ACTIONS(11824), 1,
      anon_sym_LPAREN,
    ACTIONS(11826), 1,
      anon_sym_LBRACK,
    ACTIONS(11828), 1,
      anon_sym_fun,
    STATE(2484), 1,
      sym__simple_class_expression,
    STATE(9677), 1,
      sym_attribute,
    STATE(10542), 1,
      sym__class_expression,
    STATE(17544), 1,
      sym_module_path,
    STATE(19230), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7339), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [473262] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11876), 1,
      sym_pow_operator,
    ACTIONS(11878), 1,
      sym_mult_operator,
    ACTIONS(11880), 1,
      sym_concat_operator,
    ACTIONS(11882), 1,
      sym_rel_operator,
    ACTIONS(11884), 1,
      sym_and_operator,
    ACTIONS(11886), 1,
      sym_or_operator,
    STATE(1817), 1,
      sym_add_operator,
    STATE(9678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [473320] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11876), 1,
      sym_pow_operator,
    ACTIONS(11878), 1,
      sym_mult_operator,
    STATE(1817), 1,
      sym_add_operator,
    STATE(9679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [473370] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11876), 1,
      sym_pow_operator,
    STATE(1817), 1,
      sym_add_operator,
    STATE(9680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [473414] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11876), 1,
      sym_pow_operator,
    STATE(1817), 1,
      sym_add_operator,
    STATE(9681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [473458] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11876), 1,
      sym_pow_operator,
    ACTIONS(11878), 1,
      sym_mult_operator,
    ACTIONS(11880), 1,
      sym_concat_operator,
    STATE(1817), 1,
      sym_add_operator,
    STATE(9682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [473510] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11876), 1,
      sym_pow_operator,
    ACTIONS(11878), 1,
      sym_mult_operator,
    ACTIONS(11880), 1,
      sym_concat_operator,
    STATE(1817), 1,
      sym_add_operator,
    STATE(9683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [473562] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11876), 1,
      sym_pow_operator,
    ACTIONS(11878), 1,
      sym_mult_operator,
    ACTIONS(11880), 1,
      sym_concat_operator,
    ACTIONS(11882), 1,
      sym_rel_operator,
    ACTIONS(11884), 1,
      sym_and_operator,
    STATE(1817), 1,
      sym_add_operator,
    STATE(9684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [473618] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11876), 1,
      sym_pow_operator,
    ACTIONS(11878), 1,
      sym_mult_operator,
    ACTIONS(11880), 1,
      sym_concat_operator,
    ACTIONS(11882), 1,
      sym_rel_operator,
    ACTIONS(11884), 1,
      sym_and_operator,
    ACTIONS(11886), 1,
      sym_or_operator,
    STATE(1817), 1,
      sym_add_operator,
    STATE(9685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [473676] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11870), 1,
      anon_sym_COMMA,
    ACTIONS(11874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11876), 1,
      sym_pow_operator,
    ACTIONS(11878), 1,
      sym_mult_operator,
    ACTIONS(11880), 1,
      sym_concat_operator,
    ACTIONS(11882), 1,
      sym_rel_operator,
    ACTIONS(11884), 1,
      sym_and_operator,
    ACTIONS(11886), 1,
      sym_or_operator,
    ACTIONS(11888), 1,
      sym_assign_operator,
    STATE(1817), 1,
      sym_add_operator,
    STATE(9686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [473738] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11876), 1,
      sym_pow_operator,
    ACTIONS(11878), 1,
      sym_mult_operator,
    STATE(1817), 1,
      sym_add_operator,
    STATE(9687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [473784] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10159), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11870), 1,
      anon_sym_COMMA,
    ACTIONS(11874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11876), 1,
      sym_pow_operator,
    ACTIONS(11878), 1,
      sym_mult_operator,
    ACTIONS(11880), 1,
      sym_concat_operator,
    ACTIONS(11882), 1,
      sym_rel_operator,
    ACTIONS(11884), 1,
      sym_and_operator,
    ACTIONS(11886), 1,
      sym_or_operator,
    ACTIONS(11888), 1,
      sym_assign_operator,
    STATE(1817), 1,
      sym_add_operator,
    STATE(9688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [473846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7958), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [473886] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11854), 1,
      anon_sym_else,
    STATE(7831), 1,
      sym_else_clause,
    STATE(9690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [473930] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10185), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11870), 1,
      anon_sym_COMMA,
    ACTIONS(11874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11876), 1,
      sym_pow_operator,
    ACTIONS(11878), 1,
      sym_mult_operator,
    ACTIONS(11880), 1,
      sym_concat_operator,
    ACTIONS(11882), 1,
      sym_rel_operator,
    ACTIONS(11884), 1,
      sym_and_operator,
    ACTIONS(11886), 1,
      sym_or_operator,
    ACTIONS(11888), 1,
      sym_assign_operator,
    STATE(1817), 1,
      sym_add_operator,
    STATE(9691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [473992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8062), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [474032] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5911), 1,
      anon_sym_object,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8496), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11820), 1,
      sym__lowercase_identifier,
    ACTIONS(11822), 1,
      anon_sym_let,
    ACTIONS(11824), 1,
      anon_sym_LPAREN,
    ACTIONS(11826), 1,
      anon_sym_LBRACK,
    ACTIONS(11828), 1,
      anon_sym_fun,
    STATE(2484), 1,
      sym__simple_class_expression,
    STATE(9693), 1,
      sym_attribute,
    STATE(10550), 1,
      sym__class_expression,
    STATE(17544), 1,
      sym_module_path,
    STATE(19230), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7339), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [474100] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(9694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7982), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [474142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7998), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [474182] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(9696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7982), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [474224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8050), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [474264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8116), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [474304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11898), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(11896), 13,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      sym__lowercase_identifier,
  [474344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9058), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [474384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8276), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [474424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7872), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [474464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7876), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [474504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7884), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [474544] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6431), 1,
      anon_sym_object,
    ACTIONS(8498), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8500), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11994), 1,
      sym__lowercase_identifier,
    ACTIONS(11996), 1,
      anon_sym_let,
    ACTIONS(11998), 1,
      anon_sym_LPAREN,
    ACTIONS(12000), 1,
      anon_sym_LBRACK,
    ACTIONS(12002), 1,
      anon_sym_fun,
    STATE(2505), 1,
      sym__simple_class_expression,
    STATE(8958), 1,
      sym__class_expression,
    STATE(9705), 1,
      sym_attribute,
    STATE(17650), 1,
      sym_module_path,
    STATE(18347), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7684), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [474612] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6431), 1,
      anon_sym_object,
    ACTIONS(8498), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8500), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11994), 1,
      sym__lowercase_identifier,
    ACTIONS(11996), 1,
      anon_sym_let,
    ACTIONS(11998), 1,
      anon_sym_LPAREN,
    ACTIONS(12000), 1,
      anon_sym_LBRACK,
    ACTIONS(12002), 1,
      anon_sym_fun,
    STATE(2505), 1,
      sym__simple_class_expression,
    STATE(9207), 1,
      sym__class_expression,
    STATE(9706), 1,
      sym_attribute,
    STATE(17650), 1,
      sym_module_path,
    STATE(18347), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7684), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [474680] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6431), 1,
      anon_sym_object,
    ACTIONS(8498), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8500), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11994), 1,
      sym__lowercase_identifier,
    ACTIONS(11996), 1,
      anon_sym_let,
    ACTIONS(11998), 1,
      anon_sym_LPAREN,
    ACTIONS(12000), 1,
      anon_sym_LBRACK,
    ACTIONS(12002), 1,
      anon_sym_fun,
    STATE(2505), 1,
      sym__simple_class_expression,
    STATE(9217), 1,
      sym__class_expression,
    STATE(9707), 1,
      sym_attribute,
    STATE(17650), 1,
      sym_module_path,
    STATE(18347), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7684), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [474748] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11920), 1,
      anon_sym_else,
    STATE(7969), 1,
      sym_else_clause,
    STATE(9708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [474792] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10221), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11870), 1,
      anon_sym_COMMA,
    ACTIONS(11874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11876), 1,
      sym_pow_operator,
    ACTIONS(11878), 1,
      sym_mult_operator,
    ACTIONS(11880), 1,
      sym_concat_operator,
    ACTIONS(11882), 1,
      sym_rel_operator,
    ACTIONS(11884), 1,
      sym_and_operator,
    ACTIONS(11886), 1,
      sym_or_operator,
    ACTIONS(11888), 1,
      sym_assign_operator,
    STATE(1817), 1,
      sym_add_operator,
    STATE(9709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10219), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [474854] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1873), 1,
      sym_add_operator,
    STATE(9710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [474896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8278), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [474936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7874), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [474976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7878), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [475016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7886), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [475056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8278), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [475096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7874), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [475136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7878), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [475176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7886), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [475216] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5911), 1,
      anon_sym_object,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8496), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11820), 1,
      sym__lowercase_identifier,
    ACTIONS(11822), 1,
      anon_sym_let,
    ACTIONS(11824), 1,
      anon_sym_LPAREN,
    ACTIONS(11826), 1,
      anon_sym_LBRACK,
    ACTIONS(11828), 1,
      anon_sym_fun,
    STATE(2484), 1,
      sym__simple_class_expression,
    STATE(9719), 1,
      sym_attribute,
    STATE(10545), 1,
      sym__class_expression,
    STATE(17544), 1,
      sym_module_path,
    STATE(19230), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7339), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [475284] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5911), 1,
      anon_sym_object,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8496), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11820), 1,
      sym__lowercase_identifier,
    ACTIONS(11822), 1,
      anon_sym_let,
    ACTIONS(11824), 1,
      anon_sym_LPAREN,
    ACTIONS(11826), 1,
      anon_sym_LBRACK,
    ACTIONS(11828), 1,
      anon_sym_fun,
    STATE(2484), 1,
      sym__simple_class_expression,
    STATE(9720), 1,
      sym_attribute,
    STATE(10469), 1,
      sym__class_expression,
    STATE(17544), 1,
      sym_module_path,
    STATE(19230), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7339), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [475352] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11922), 1,
      sym__lowercase_identifier,
    ACTIONS(11924), 1,
      anon_sym_POUND,
    STATE(9721), 1,
      sym_attribute,
    STATE(10440), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16752), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11445), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11447), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [475408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12033), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12031), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [475448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12037), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12035), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [475488] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9724), 1,
      sym_attribute,
    STATE(10418), 1,
      sym__class_expression,
    STATE(17487), 1,
      sym_module_path,
    STATE(20024), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7185), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [475556] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12039), 1,
      anon_sym_LPAREN,
    ACTIONS(12041), 1,
      anon_sym_LBRACK,
    STATE(9725), 1,
      sym_attribute,
    STATE(10289), 1,
      sym__constructor_name,
    STATE(11044), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11966), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12043), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11964), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [475608] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11739), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11341), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11339), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [475650] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11735), 1,
      sym__lowercase_identifier,
    ACTIONS(11737), 1,
      anon_sym_POUND,
    ACTIONS(12045), 1,
      anon_sym_STAR,
    STATE(9727), 1,
      sym_attribute,
    STATE(10017), 1,
      sym_type_constructor_path,
    STATE(10953), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16868), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11273), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11713), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [475704] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12047), 1,
      anon_sym_COLON,
    STATE(9728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8342), 13,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [475746] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11922), 1,
      sym__lowercase_identifier,
    ACTIONS(11924), 1,
      anon_sym_POUND,
    STATE(9729), 1,
      sym_attribute,
    STATE(10440), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16752), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11375), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11377), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [475802] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9730), 1,
      sym_attribute,
    STATE(10566), 1,
      sym__class_expression,
    STATE(17487), 1,
      sym_module_path,
    STATE(20024), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7185), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [475870] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9731), 1,
      sym_attribute,
    STATE(10279), 1,
      sym__class_expression,
    STATE(17487), 1,
      sym_module_path,
    STATE(20024), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7185), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [475938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12051), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12049), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [475978] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5911), 1,
      anon_sym_object,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8496), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11820), 1,
      sym__lowercase_identifier,
    ACTIONS(11822), 1,
      anon_sym_let,
    ACTIONS(11824), 1,
      anon_sym_LPAREN,
    ACTIONS(11826), 1,
      anon_sym_LBRACK,
    ACTIONS(11828), 1,
      anon_sym_fun,
    STATE(2484), 1,
      sym__simple_class_expression,
    STATE(9733), 1,
      sym_attribute,
    STATE(10221), 1,
      sym__class_expression,
    STATE(17544), 1,
      sym_module_path,
    STATE(19230), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7339), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [476046] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11167), 1,
      sym__lowercase_identifier,
    ACTIONS(11379), 1,
      anon_sym_POUND,
    STATE(9327), 1,
      sym_type_constructor_path,
    STATE(9734), 1,
      sym_attribute,
    STATE(16764), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12017), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12019), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [476096] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5911), 1,
      anon_sym_object,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8496), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(11820), 1,
      sym__lowercase_identifier,
    ACTIONS(11822), 1,
      anon_sym_let,
    ACTIONS(11824), 1,
      anon_sym_LPAREN,
    ACTIONS(11826), 1,
      anon_sym_LBRACK,
    ACTIONS(11828), 1,
      anon_sym_fun,
    STATE(2484), 1,
      sym__simple_class_expression,
    STATE(9735), 1,
      sym_attribute,
    STATE(10228), 1,
      sym__class_expression,
    STATE(17544), 1,
      sym_module_path,
    STATE(19230), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8984), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7339), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [476164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12055), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12053), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [476204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11317), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11315), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [476244] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10746), 1,
      anon_sym_LPAREN,
    ACTIONS(10750), 1,
      anon_sym_LBRACK,
    ACTIONS(11213), 1,
      sym__lowercase_identifier,
    STATE(9738), 1,
      sym_attribute,
    STATE(10292), 1,
      sym__simple_type,
    STATE(16988), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9808), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476307] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10746), 1,
      anon_sym_LPAREN,
    ACTIONS(10750), 1,
      anon_sym_LBRACK,
    ACTIONS(11213), 1,
      sym__lowercase_identifier,
    STATE(9739), 1,
      sym_attribute,
    STATE(10293), 1,
      sym__simple_type,
    STATE(16988), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9808), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476370] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11541), 1,
      sym__lowercase_identifier,
    ACTIONS(11777), 1,
      anon_sym_POUND,
    STATE(9545), 1,
      sym_type_constructor_path,
    STATE(9740), 1,
      sym_attribute,
    STATE(16470), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12017), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12019), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [476419] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10746), 1,
      anon_sym_LPAREN,
    ACTIONS(10750), 1,
      anon_sym_LBRACK,
    ACTIONS(11213), 1,
      sym__lowercase_identifier,
    STATE(9741), 1,
      sym_attribute,
    STATE(10321), 1,
      sym__simple_type,
    STATE(16988), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9808), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476482] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12059), 1,
      sym_pow_operator,
    ACTIONS(12061), 1,
      sym_mult_operator,
    ACTIONS(12063), 1,
      sym_concat_operator,
    ACTIONS(12065), 1,
      sym_rel_operator,
    ACTIONS(12067), 1,
      sym_and_operator,
    ACTIONS(12069), 1,
      sym_or_operator,
    STATE(1971), 1,
      sym_add_operator,
    STATE(9742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [476539] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9268), 1,
      anon_sym_LT,
    ACTIONS(9270), 1,
      anon_sym_POUND,
    ACTIONS(9272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10588), 1,
      anon_sym_LPAREN,
    ACTIONS(10592), 1,
      anon_sym_LBRACK,
    ACTIONS(11175), 1,
      sym__lowercase_identifier,
    STATE(9743), 1,
      sym_attribute,
    STATE(10197), 1,
      sym__simple_type,
    STATE(17248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9485), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476602] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12059), 1,
      sym_pow_operator,
    ACTIONS(12061), 1,
      sym_mult_operator,
    STATE(1971), 1,
      sym_add_operator,
    STATE(9744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [476651] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12059), 1,
      sym_pow_operator,
    STATE(1971), 1,
      sym_add_operator,
    STATE(9745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [476694] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12059), 1,
      sym_pow_operator,
    STATE(1971), 1,
      sym_add_operator,
    STATE(9746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [476737] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12059), 1,
      sym_pow_operator,
    ACTIONS(12061), 1,
      sym_mult_operator,
    ACTIONS(12063), 1,
      sym_concat_operator,
    STATE(1971), 1,
      sym_add_operator,
    STATE(9747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [476788] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12059), 1,
      sym_pow_operator,
    ACTIONS(12061), 1,
      sym_mult_operator,
    ACTIONS(12063), 1,
      sym_concat_operator,
    STATE(1971), 1,
      sym_add_operator,
    STATE(9748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [476839] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12059), 1,
      sym_pow_operator,
    ACTIONS(12061), 1,
      sym_mult_operator,
    ACTIONS(12063), 1,
      sym_concat_operator,
    ACTIONS(12065), 1,
      sym_rel_operator,
    ACTIONS(12067), 1,
      sym_and_operator,
    STATE(1971), 1,
      sym_add_operator,
    STATE(9749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [476894] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12059), 1,
      sym_pow_operator,
    ACTIONS(12061), 1,
      sym_mult_operator,
    ACTIONS(12063), 1,
      sym_concat_operator,
    ACTIONS(12065), 1,
      sym_rel_operator,
    ACTIONS(12067), 1,
      sym_and_operator,
    ACTIONS(12069), 1,
      sym_or_operator,
    STATE(1971), 1,
      sym_add_operator,
    STATE(9750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [476951] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12059), 1,
      sym_pow_operator,
    ACTIONS(12061), 1,
      sym_mult_operator,
    ACTIONS(12063), 1,
      sym_concat_operator,
    ACTIONS(12065), 1,
      sym_rel_operator,
    ACTIONS(12067), 1,
      sym_and_operator,
    ACTIONS(12069), 1,
      sym_or_operator,
    ACTIONS(12071), 1,
      anon_sym_COMMA,
    ACTIONS(12073), 1,
      sym_assign_operator,
    STATE(1971), 1,
      sym_add_operator,
    STATE(9751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [477012] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12059), 1,
      sym_pow_operator,
    ACTIONS(12061), 1,
      sym_mult_operator,
    STATE(1971), 1,
      sym_add_operator,
    STATE(9752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [477057] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10159), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12059), 1,
      sym_pow_operator,
    ACTIONS(12061), 1,
      sym_mult_operator,
    ACTIONS(12063), 1,
      sym_concat_operator,
    ACTIONS(12065), 1,
      sym_rel_operator,
    ACTIONS(12067), 1,
      sym_and_operator,
    ACTIONS(12069), 1,
      sym_or_operator,
    ACTIONS(12071), 1,
      anon_sym_COMMA,
    ACTIONS(12073), 1,
      sym_assign_operator,
    STATE(1971), 1,
      sym_add_operator,
    STATE(9753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [477118] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9268), 1,
      anon_sym_LT,
    ACTIONS(9270), 1,
      anon_sym_POUND,
    ACTIONS(9272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10588), 1,
      anon_sym_LPAREN,
    ACTIONS(10592), 1,
      anon_sym_LBRACK,
    ACTIONS(11175), 1,
      sym__lowercase_identifier,
    STATE(9754), 1,
      sym_attribute,
    STATE(10101), 1,
      sym__simple_type,
    STATE(17248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9485), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477181] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9268), 1,
      anon_sym_LT,
    ACTIONS(9270), 1,
      anon_sym_POUND,
    ACTIONS(9272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10588), 1,
      anon_sym_LPAREN,
    ACTIONS(10592), 1,
      anon_sym_LBRACK,
    ACTIONS(11175), 1,
      sym__lowercase_identifier,
    STATE(9755), 1,
      sym_attribute,
    STATE(10178), 1,
      sym__simple_type,
    STATE(17248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9485), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477244] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12075), 1,
      sym__lowercase_identifier,
    ACTIONS(12077), 1,
      anon_sym_POUND,
    STATE(9756), 1,
      sym_attribute,
    STATE(10659), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16778), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11375), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11377), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [477299] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11922), 1,
      sym__lowercase_identifier,
    ACTIONS(12079), 1,
      anon_sym_POUND,
    STATE(9757), 1,
      sym_attribute,
    STATE(10387), 1,
      sym_type_constructor_path,
    STATE(16752), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11002), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11004), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [477348] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9268), 1,
      anon_sym_LT,
    ACTIONS(9270), 1,
      anon_sym_POUND,
    ACTIONS(9272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10588), 1,
      anon_sym_LPAREN,
    ACTIONS(10592), 1,
      anon_sym_LBRACK,
    ACTIONS(11175), 1,
      sym__lowercase_identifier,
    STATE(9758), 1,
      sym_attribute,
    STATE(10006), 1,
      sym__simple_type,
    STATE(17248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9485), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477411] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9268), 1,
      anon_sym_LT,
    ACTIONS(9270), 1,
      anon_sym_POUND,
    ACTIONS(9272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10588), 1,
      anon_sym_LPAREN,
    ACTIONS(10592), 1,
      anon_sym_LBRACK,
    ACTIONS(11175), 1,
      sym__lowercase_identifier,
    STATE(9759), 1,
      sym_attribute,
    STATE(10153), 1,
      sym__simple_type,
    STATE(17248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9485), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477474] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11735), 1,
      sym__lowercase_identifier,
    ACTIONS(11737), 1,
      anon_sym_POUND,
    STATE(9760), 1,
      sym_attribute,
    STATE(10017), 1,
      sym_type_constructor_path,
    STATE(16868), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12017), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12019), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [477523] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12081), 1,
      sym__lowercase_identifier,
    ACTIONS(12083), 1,
      anon_sym_POUND,
    STATE(9761), 1,
      sym_attribute,
    STATE(10750), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11269), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11271), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [477578] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12081), 1,
      sym__lowercase_identifier,
    ACTIONS(12083), 1,
      anon_sym_POUND,
    STATE(9762), 1,
      sym_attribute,
    STATE(10750), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11299), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11301), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [477633] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8276), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [477672] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12085), 1,
      anon_sym_COLON,
    STATE(9764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9422), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [477713] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11093), 1,
      sym__lowercase_identifier,
    ACTIONS(11277), 1,
      anon_sym_POUND,
    STATE(9387), 1,
      sym_type_constructor_path,
    STATE(9765), 1,
      sym_attribute,
    STATE(16708), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11525), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11527), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [477762] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11093), 1,
      sym__lowercase_identifier,
    ACTIONS(11277), 1,
      anon_sym_POUND,
    STATE(9387), 1,
      sym_type_constructor_path,
    STATE(9766), 1,
      sym_attribute,
    STATE(16708), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11531), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [477811] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      sym__lowercase_identifier,
    ACTIONS(12087), 1,
      anon_sym_COLON2,
    STATE(9767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11391), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11389), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [477856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7872), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [477895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7876), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [477934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7884), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [477973] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11922), 1,
      sym__lowercase_identifier,
    ACTIONS(11924), 1,
      anon_sym_POUND,
    ACTIONS(12089), 1,
      anon_sym_STAR,
    STATE(9771), 1,
      sym_attribute,
    STATE(10440), 1,
      sym_type_constructor_path,
    STATE(11223), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16752), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11273), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11713), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [478026] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10713), 1,
      anon_sym_LPAREN,
    ACTIONS(10717), 1,
      anon_sym_LBRACK,
    ACTIONS(10719), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10721), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10723), 1,
      anon_sym_LT,
    ACTIONS(10725), 1,
      anon_sym_POUND,
    ACTIONS(10727), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10729), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10731), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12091), 1,
      sym__lowercase_identifier,
    STATE(8827), 1,
      sym__simple_type,
    STATE(9772), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8939), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478089] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8966), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12059), 1,
      sym_pow_operator,
    ACTIONS(12061), 1,
      sym_mult_operator,
    ACTIONS(12063), 1,
      sym_concat_operator,
    ACTIONS(12065), 1,
      sym_rel_operator,
    ACTIONS(12067), 1,
      sym_and_operator,
    ACTIONS(12069), 1,
      sym_or_operator,
    ACTIONS(12071), 1,
      anon_sym_COMMA,
    ACTIONS(12073), 1,
      sym_assign_operator,
    ACTIONS(12093), 1,
      anon_sym_SEMI,
    STATE(1971), 1,
      sym_add_operator,
    STATE(9773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8964), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [478152] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10520), 1,
      anon_sym_LPAREN,
    ACTIONS(10524), 1,
      anon_sym_LBRACK,
    ACTIONS(10526), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10528), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10530), 1,
      anon_sym_LT,
    ACTIONS(10532), 1,
      anon_sym_POUND,
    ACTIONS(10534), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10536), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10538), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12095), 1,
      sym__lowercase_identifier,
    STATE(9774), 1,
      sym_attribute,
    STATE(12740), 1,
      sym__simple_type,
    STATE(16780), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13030), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478215] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10746), 1,
      anon_sym_LPAREN,
    ACTIONS(10750), 1,
      anon_sym_LBRACK,
    ACTIONS(11213), 1,
      sym__lowercase_identifier,
    STATE(9775), 1,
      sym_attribute,
    STATE(10186), 1,
      sym__simple_type,
    STATE(16988), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9808), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478278] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10035), 1,
      anon_sym_LPAREN,
    ACTIONS(10037), 1,
      anon_sym_LBRACK,
    ACTIONS(10039), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10041), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10043), 1,
      anon_sym_LT,
    ACTIONS(10045), 1,
      anon_sym_POUND,
    ACTIONS(10047), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10049), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10051), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11073), 1,
      sym__lowercase_identifier,
    STATE(9776), 1,
      sym_attribute,
    STATE(10183), 1,
      sym__simple_type,
    STATE(16455), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10807), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478341] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9848), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9850), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11147), 1,
      sym__lowercase_identifier,
    ACTIONS(11149), 1,
      anon_sym_LPAREN,
    ACTIONS(11151), 1,
      anon_sym_LBRACK,
    ACTIONS(11153), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11155), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11157), 1,
      anon_sym_LT,
    ACTIONS(11159), 1,
      anon_sym_POUND,
    ACTIONS(11161), 1,
      aux_sym_type_variable_token1,
    STATE(9777), 1,
      sym_attribute,
    STATE(10786), 1,
      sym__simple_type,
    STATE(16878), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10692), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478404] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9848), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9850), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11147), 1,
      sym__lowercase_identifier,
    ACTIONS(11149), 1,
      anon_sym_LPAREN,
    ACTIONS(11151), 1,
      anon_sym_LBRACK,
    ACTIONS(11153), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11155), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11157), 1,
      anon_sym_LT,
    ACTIONS(11159), 1,
      anon_sym_POUND,
    ACTIONS(11161), 1,
      aux_sym_type_variable_token1,
    STATE(9778), 1,
      sym_attribute,
    STATE(10794), 1,
      sym__simple_type,
    STATE(16878), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10692), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478467] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10185), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12059), 1,
      sym_pow_operator,
    ACTIONS(12061), 1,
      sym_mult_operator,
    ACTIONS(12063), 1,
      sym_concat_operator,
    ACTIONS(12065), 1,
      sym_rel_operator,
    ACTIONS(12067), 1,
      sym_and_operator,
    ACTIONS(12069), 1,
      sym_or_operator,
    ACTIONS(12071), 1,
      anon_sym_COMMA,
    ACTIONS(12073), 1,
      sym_assign_operator,
    STATE(1971), 1,
      sym_add_operator,
    STATE(9779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [478528] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9232), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9234), 1,
      anon_sym_LT,
    ACTIONS(9236), 1,
      anon_sym_POUND,
    ACTIONS(9238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9240), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9244), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10646), 1,
      anon_sym_LPAREN,
    ACTIONS(10650), 1,
      anon_sym_LBRACK,
    ACTIONS(11091), 1,
      sym__lowercase_identifier,
    STATE(9065), 1,
      sym__simple_type,
    STATE(9780), 1,
      sym_attribute,
    STATE(17383), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478591] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11093), 1,
      sym__lowercase_identifier,
    ACTIONS(11277), 1,
      anon_sym_POUND,
    STATE(9387), 1,
      sym_type_constructor_path,
    STATE(9781), 1,
      sym_attribute,
    STATE(16708), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11375), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11377), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [478640] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9848), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9850), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11147), 1,
      sym__lowercase_identifier,
    ACTIONS(11149), 1,
      anon_sym_LPAREN,
    ACTIONS(11151), 1,
      anon_sym_LBRACK,
    ACTIONS(11153), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11155), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11157), 1,
      anon_sym_LT,
    ACTIONS(11159), 1,
      anon_sym_POUND,
    ACTIONS(11161), 1,
      aux_sym_type_variable_token1,
    STATE(9782), 1,
      sym_attribute,
    STATE(10592), 1,
      sym__simple_type,
    STATE(16878), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10692), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478703] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12081), 1,
      sym__lowercase_identifier,
    ACTIONS(12083), 1,
      anon_sym_POUND,
    STATE(9783), 1,
      sym_attribute,
    STATE(10750), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11445), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11447), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [478758] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    STATE(9784), 1,
      sym_attribute,
    STATE(13401), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478821] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11127), 1,
      sym__lowercase_identifier,
    ACTIONS(11129), 1,
      anon_sym_LPAREN,
    ACTIONS(11131), 1,
      anon_sym_LBRACK,
    ACTIONS(11133), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11135), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11137), 1,
      anon_sym_LT,
    ACTIONS(11139), 1,
      anon_sym_POUND,
    ACTIONS(11141), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11143), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11145), 1,
      aux_sym_type_variable_token1,
    STATE(9785), 1,
      sym_attribute,
    STATE(10652), 1,
      sym__simple_type,
    STATE(16712), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10588), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478884] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9848), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9850), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11147), 1,
      sym__lowercase_identifier,
    ACTIONS(11149), 1,
      anon_sym_LPAREN,
    ACTIONS(11151), 1,
      anon_sym_LBRACK,
    ACTIONS(11153), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11155), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11157), 1,
      anon_sym_LT,
    ACTIONS(11159), 1,
      anon_sym_POUND,
    ACTIONS(11161), 1,
      aux_sym_type_variable_token1,
    STATE(9786), 1,
      sym_attribute,
    STATE(10672), 1,
      sym__simple_type,
    STATE(16878), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10692), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478947] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11127), 1,
      sym__lowercase_identifier,
    ACTIONS(11129), 1,
      anon_sym_LPAREN,
    ACTIONS(11131), 1,
      anon_sym_LBRACK,
    ACTIONS(11133), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11135), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11137), 1,
      anon_sym_LT,
    ACTIONS(11139), 1,
      anon_sym_POUND,
    ACTIONS(11141), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11143), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11145), 1,
      aux_sym_type_variable_token1,
    STATE(9787), 1,
      sym_attribute,
    STATE(10654), 1,
      sym__simple_type,
    STATE(16712), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10588), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479010] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9848), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9850), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11147), 1,
      sym__lowercase_identifier,
    ACTIONS(11149), 1,
      anon_sym_LPAREN,
    ACTIONS(11151), 1,
      anon_sym_LBRACK,
    ACTIONS(11153), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11155), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11157), 1,
      anon_sym_LT,
    ACTIONS(11159), 1,
      anon_sym_POUND,
    ACTIONS(11161), 1,
      aux_sym_type_variable_token1,
    STATE(9788), 1,
      sym_attribute,
    STATE(10680), 1,
      sym__simple_type,
    STATE(16878), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10692), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479073] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9848), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9850), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11147), 1,
      sym__lowercase_identifier,
    ACTIONS(11149), 1,
      anon_sym_LPAREN,
    ACTIONS(11151), 1,
      anon_sym_LBRACK,
    ACTIONS(11153), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11155), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11157), 1,
      anon_sym_LT,
    ACTIONS(11159), 1,
      anon_sym_POUND,
    ACTIONS(11161), 1,
      aux_sym_type_variable_token1,
    STATE(9789), 1,
      sym_attribute,
    STATE(10690), 1,
      sym__simple_type,
    STATE(16878), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10692), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479136] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11093), 1,
      sym__lowercase_identifier,
    ACTIONS(11277), 1,
      anon_sym_POUND,
    STATE(9387), 1,
      sym_type_constructor_path,
    STATE(9790), 1,
      sym_attribute,
    STATE(16708), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12097), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12099), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [479185] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11093), 1,
      sym__lowercase_identifier,
    ACTIONS(11277), 1,
      anon_sym_POUND,
    STATE(9387), 1,
      sym_type_constructor_path,
    STATE(9791), 1,
      sym_attribute,
    STATE(16708), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12101), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12103), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [479234] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11127), 1,
      sym__lowercase_identifier,
    ACTIONS(11129), 1,
      anon_sym_LPAREN,
    ACTIONS(11131), 1,
      anon_sym_LBRACK,
    ACTIONS(11133), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11135), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11137), 1,
      anon_sym_LT,
    ACTIONS(11139), 1,
      anon_sym_POUND,
    ACTIONS(11141), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11143), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11145), 1,
      aux_sym_type_variable_token1,
    STATE(9792), 1,
      sym_attribute,
    STATE(10708), 1,
      sym__simple_type,
    STATE(16712), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10588), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479297] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12081), 1,
      sym__lowercase_identifier,
    ACTIONS(12083), 1,
      anon_sym_POUND,
    STATE(9793), 1,
      sym_attribute,
    STATE(10750), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11525), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11527), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [479352] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12081), 1,
      sym__lowercase_identifier,
    ACTIONS(12083), 1,
      anon_sym_POUND,
    STATE(9794), 1,
      sym_attribute,
    STATE(10750), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11531), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [479407] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9268), 1,
      anon_sym_LT,
    ACTIONS(9270), 1,
      anon_sym_POUND,
    ACTIONS(9272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10588), 1,
      anon_sym_LPAREN,
    ACTIONS(10592), 1,
      anon_sym_LBRACK,
    ACTIONS(11175), 1,
      sym__lowercase_identifier,
    STATE(9740), 1,
      sym__simple_type,
    STATE(9795), 1,
      sym_attribute,
    STATE(17248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9485), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479470] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9814), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9816), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11075), 1,
      sym__lowercase_identifier,
    ACTIONS(11077), 1,
      anon_sym_LPAREN,
    ACTIONS(11079), 1,
      anon_sym_LBRACK,
    ACTIONS(11081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11085), 1,
      anon_sym_LT,
    ACTIONS(11087), 1,
      anon_sym_POUND,
    ACTIONS(11089), 1,
      aux_sym_type_variable_token1,
    STATE(9796), 1,
      sym_attribute,
    STATE(10384), 1,
      sym__simple_type,
    STATE(17281), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10334), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479533] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9814), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9816), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11075), 1,
      sym__lowercase_identifier,
    ACTIONS(11077), 1,
      anon_sym_LPAREN,
    ACTIONS(11079), 1,
      anon_sym_LBRACK,
    ACTIONS(11081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11085), 1,
      anon_sym_LT,
    ACTIONS(11087), 1,
      anon_sym_POUND,
    ACTIONS(11089), 1,
      aux_sym_type_variable_token1,
    STATE(9797), 1,
      sym_attribute,
    STATE(10261), 1,
      sym__simple_type,
    STATE(17281), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10334), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479596] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9814), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9816), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11075), 1,
      sym__lowercase_identifier,
    ACTIONS(11077), 1,
      anon_sym_LPAREN,
    ACTIONS(11079), 1,
      anon_sym_LBRACK,
    ACTIONS(11081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11085), 1,
      anon_sym_LT,
    ACTIONS(11087), 1,
      anon_sym_POUND,
    ACTIONS(11089), 1,
      aux_sym_type_variable_token1,
    STATE(9798), 1,
      sym_attribute,
    STATE(10497), 1,
      sym__simple_type,
    STATE(17281), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10334), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479659] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9814), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9816), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11075), 1,
      sym__lowercase_identifier,
    ACTIONS(11077), 1,
      anon_sym_LPAREN,
    ACTIONS(11079), 1,
      anon_sym_LBRACK,
    ACTIONS(11081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11085), 1,
      anon_sym_LT,
    ACTIONS(11087), 1,
      anon_sym_POUND,
    ACTIONS(11089), 1,
      aux_sym_type_variable_token1,
    STATE(9799), 1,
      sym_attribute,
    STATE(10363), 1,
      sym__simple_type,
    STATE(17281), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10334), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479722] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9814), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9816), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11075), 1,
      sym__lowercase_identifier,
    ACTIONS(11077), 1,
      anon_sym_LPAREN,
    ACTIONS(11079), 1,
      anon_sym_LBRACK,
    ACTIONS(11081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11085), 1,
      anon_sym_LT,
    ACTIONS(11087), 1,
      anon_sym_POUND,
    ACTIONS(11089), 1,
      aux_sym_type_variable_token1,
    STATE(9800), 1,
      sym_attribute,
    STATE(10369), 1,
      sym__simple_type,
    STATE(17281), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10334), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479785] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9814), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9816), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11075), 1,
      sym__lowercase_identifier,
    ACTIONS(11077), 1,
      anon_sym_LPAREN,
    ACTIONS(11079), 1,
      anon_sym_LBRACK,
    ACTIONS(11081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11085), 1,
      anon_sym_LT,
    ACTIONS(11087), 1,
      anon_sym_POUND,
    ACTIONS(11089), 1,
      aux_sym_type_variable_token1,
    STATE(9801), 1,
      sym_attribute,
    STATE(10357), 1,
      sym__simple_type,
    STATE(17281), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10334), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479848] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    STATE(9802), 1,
      sym_attribute,
    STATE(11664), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479911] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10596), 1,
      anon_sym_LPAREN,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    ACTIONS(10602), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10606), 1,
      anon_sym_LT,
    ACTIONS(10608), 1,
      anon_sym_POUND,
    ACTIONS(10610), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10612), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10614), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12105), 1,
      sym__lowercase_identifier,
    STATE(8818), 1,
      sym__simple_type,
    STATE(9803), 1,
      sym_attribute,
    STATE(17239), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9131), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479974] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9736), 1,
      anon_sym_LPAREN,
    ACTIONS(9738), 1,
      anon_sym_LBRACK,
    ACTIONS(9740), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9742), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9744), 1,
      anon_sym_LT,
    ACTIONS(9746), 1,
      anon_sym_POUND,
    ACTIONS(9748), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9750), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9752), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12107), 1,
      sym__lowercase_identifier,
    STATE(9804), 1,
      sym_attribute,
    STATE(12037), 1,
      sym__simple_type,
    STATE(16963), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12590), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480037] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11093), 1,
      sym__lowercase_identifier,
    ACTIONS(11277), 1,
      anon_sym_POUND,
    STATE(9387), 1,
      sym_type_constructor_path,
    STATE(9805), 1,
      sym_attribute,
    STATE(16708), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12109), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12111), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [480086] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9848), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9850), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11147), 1,
      sym__lowercase_identifier,
    ACTIONS(11149), 1,
      anon_sym_LPAREN,
    ACTIONS(11151), 1,
      anon_sym_LBRACK,
    ACTIONS(11153), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11155), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11157), 1,
      anon_sym_LT,
    ACTIONS(11159), 1,
      anon_sym_POUND,
    ACTIONS(11161), 1,
      aux_sym_type_variable_token1,
    STATE(9806), 1,
      sym_attribute,
    STATE(10383), 1,
      sym__simple_type,
    STATE(16878), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10692), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12115), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12113), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [480188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11341), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11339), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [480227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11389), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11391), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [480266] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8474), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [480305] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12119), 1,
      anon_sym_let,
    ACTIONS(12121), 1,
      anon_sym_DQUOTE,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(9811), 1,
      sym_attribute,
    STATE(10529), 1,
      aux_sym_external_repeat1,
    STATE(10677), 1,
      aux_sym_expression_item_repeat1,
    STATE(10982), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12117), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [480356] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12081), 1,
      sym__lowercase_identifier,
    ACTIONS(12083), 1,
      anon_sym_POUND,
    STATE(9812), 1,
      sym_attribute,
    STATE(10750), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11375), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11377), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [480411] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11127), 1,
      sym__lowercase_identifier,
    ACTIONS(11129), 1,
      anon_sym_LPAREN,
    ACTIONS(11131), 1,
      anon_sym_LBRACK,
    ACTIONS(11133), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11135), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11137), 1,
      anon_sym_LT,
    ACTIONS(11139), 1,
      anon_sym_POUND,
    ACTIONS(11141), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11143), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11145), 1,
      aux_sym_type_variable_token1,
    STATE(9813), 1,
      sym_attribute,
    STATE(10734), 1,
      sym__simple_type,
    STATE(16712), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10588), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480474] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11127), 1,
      sym__lowercase_identifier,
    ACTIONS(11129), 1,
      anon_sym_LPAREN,
    ACTIONS(11131), 1,
      anon_sym_LBRACK,
    ACTIONS(11133), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11135), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11137), 1,
      anon_sym_LT,
    ACTIONS(11139), 1,
      anon_sym_POUND,
    ACTIONS(11141), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11143), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11145), 1,
      aux_sym_type_variable_token1,
    STATE(9814), 1,
      sym_attribute,
    STATE(10799), 1,
      sym__simple_type,
    STATE(16712), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10588), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480537] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12075), 1,
      sym__lowercase_identifier,
    ACTIONS(12077), 1,
      anon_sym_POUND,
    STATE(9815), 1,
      sym_attribute,
    STATE(10659), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16778), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11525), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11527), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [480592] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9060), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(12123), 1,
      anon_sym_EQ,
    ACTIONS(12125), 1,
      anon_sym_COLON_EQ,
    ACTIONS(12127), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(9816), 1,
      sym_attribute,
    STATE(10504), 1,
      aux_sym_expression_item_repeat1,
    STATE(10699), 1,
      sym__type_equation,
    STATE(11041), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11755), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [480649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11405), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [480688] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7639), 1,
      anon_sym_LT,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    STATE(9818), 1,
      sym_attribute,
    STATE(13887), 1,
      sym__simple_type,
    STATE(16523), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480751] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9060), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(12125), 1,
      anon_sym_COLON_EQ,
    ACTIONS(12127), 1,
      anon_sym_constraint,
    ACTIONS(12129), 1,
      anon_sym_EQ,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(9819), 1,
      sym_attribute,
    STATE(10448), 1,
      aux_sym_expression_item_repeat1,
    STATE(10696), 1,
      sym__type_equation,
    STATE(11037), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11745), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [480808] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11411), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11409), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [480847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11419), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11417), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [480886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11421), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [480925] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10754), 1,
      anon_sym_LPAREN,
    ACTIONS(10758), 1,
      anon_sym_LBRACK,
    ACTIONS(10760), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10762), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10764), 1,
      anon_sym_LT,
    ACTIONS(10766), 1,
      anon_sym_POUND,
    ACTIONS(10768), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10770), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10772), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12131), 1,
      sym__lowercase_identifier,
    STATE(9823), 1,
      sym_attribute,
    STATE(12527), 1,
      sym__simple_type,
    STATE(17293), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12742), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480988] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12133), 1,
      sym__lowercase_identifier,
    ACTIONS(12135), 1,
      anon_sym_POUND,
    STATE(9824), 1,
      sym_attribute,
    STATE(10635), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16888), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11269), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11271), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [481043] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12133), 1,
      sym__lowercase_identifier,
    ACTIONS(12135), 1,
      anon_sym_POUND,
    STATE(9825), 1,
      sym_attribute,
    STATE(10635), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16888), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11299), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11301), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [481098] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11127), 1,
      sym__lowercase_identifier,
    ACTIONS(11129), 1,
      anon_sym_LPAREN,
    ACTIONS(11131), 1,
      anon_sym_LBRACK,
    ACTIONS(11133), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11135), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11137), 1,
      anon_sym_LT,
    ACTIONS(11139), 1,
      anon_sym_POUND,
    ACTIONS(11141), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11143), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11145), 1,
      aux_sym_type_variable_token1,
    STATE(9826), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__simple_type,
    STATE(16712), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10588), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481161] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9298), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9300), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9302), 1,
      anon_sym_LT,
    ACTIONS(9304), 1,
      anon_sym_POUND,
    ACTIONS(9306), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9308), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9310), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10705), 1,
      anon_sym_LPAREN,
    ACTIONS(10709), 1,
      anon_sym_LBRACK,
    ACTIONS(11171), 1,
      sym__lowercase_identifier,
    STATE(8964), 1,
      sym__simple_type,
    STATE(9827), 1,
      sym_attribute,
    STATE(16601), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481224] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12075), 1,
      sym__lowercase_identifier,
    ACTIONS(12077), 1,
      anon_sym_POUND,
    STATE(9828), 1,
      sym_attribute,
    STATE(10659), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16778), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11531), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [481279] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11739), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11339), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11341), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [481320] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9298), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9300), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9302), 1,
      anon_sym_LT,
    ACTIONS(9304), 1,
      anon_sym_POUND,
    ACTIONS(9306), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9308), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9310), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10705), 1,
      anon_sym_LPAREN,
    ACTIONS(10709), 1,
      anon_sym_LBRACK,
    ACTIONS(11171), 1,
      sym__lowercase_identifier,
    STATE(9734), 1,
      sym__simple_type,
    STATE(9830), 1,
      sym_attribute,
    STATE(16601), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481383] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9974), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9976), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11035), 1,
      sym__lowercase_identifier,
    ACTIONS(11037), 1,
      anon_sym_LPAREN,
    ACTIONS(11039), 1,
      anon_sym_LBRACK,
    ACTIONS(11041), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11043), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11045), 1,
      anon_sym_LT,
    ACTIONS(11047), 1,
      anon_sym_POUND,
    ACTIONS(11049), 1,
      aux_sym_type_variable_token1,
    STATE(9831), 1,
      sym_attribute,
    STATE(10194), 1,
      sym__simple_type,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9987), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481446] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9974), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9976), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11035), 1,
      sym__lowercase_identifier,
    ACTIONS(11037), 1,
      anon_sym_LPAREN,
    ACTIONS(11039), 1,
      anon_sym_LBRACK,
    ACTIONS(11041), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11043), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11045), 1,
      anon_sym_LT,
    ACTIONS(11047), 1,
      anon_sym_POUND,
    ACTIONS(11049), 1,
      aux_sym_type_variable_token1,
    STATE(9832), 1,
      sym_attribute,
    STATE(10196), 1,
      sym__simple_type,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9987), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481509] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9974), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9976), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11035), 1,
      sym__lowercase_identifier,
    ACTIONS(11037), 1,
      anon_sym_LPAREN,
    ACTIONS(11039), 1,
      anon_sym_LBRACK,
    ACTIONS(11041), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11043), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11045), 1,
      anon_sym_LT,
    ACTIONS(11047), 1,
      anon_sym_POUND,
    ACTIONS(11049), 1,
      aux_sym_type_variable_token1,
    STATE(9833), 1,
      sym_attribute,
    STATE(10207), 1,
      sym__simple_type,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9987), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481572] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9974), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9976), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11035), 1,
      sym__lowercase_identifier,
    ACTIONS(11037), 1,
      anon_sym_LPAREN,
    ACTIONS(11039), 1,
      anon_sym_LBRACK,
    ACTIONS(11041), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11043), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11045), 1,
      anon_sym_LT,
    ACTIONS(11047), 1,
      anon_sym_POUND,
    ACTIONS(11049), 1,
      aux_sym_type_variable_token1,
    STATE(9834), 1,
      sym_attribute,
    STATE(10132), 1,
      sym__simple_type,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9987), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481635] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9974), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9976), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11035), 1,
      sym__lowercase_identifier,
    ACTIONS(11037), 1,
      anon_sym_LPAREN,
    ACTIONS(11039), 1,
      anon_sym_LBRACK,
    ACTIONS(11041), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11043), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11045), 1,
      anon_sym_LT,
    ACTIONS(11047), 1,
      anon_sym_POUND,
    ACTIONS(11049), 1,
      aux_sym_type_variable_token1,
    STATE(9835), 1,
      sym_attribute,
    STATE(10067), 1,
      sym__simple_type,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9987), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481698] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12075), 1,
      sym__lowercase_identifier,
    ACTIONS(12077), 1,
      anon_sym_POUND,
    STATE(9836), 1,
      sym_attribute,
    STATE(10659), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16778), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11269), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11271), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [481753] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9974), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9976), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11035), 1,
      sym__lowercase_identifier,
    ACTIONS(11037), 1,
      anon_sym_LPAREN,
    ACTIONS(11039), 1,
      anon_sym_LBRACK,
    ACTIONS(11041), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11043), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11045), 1,
      anon_sym_LT,
    ACTIONS(11047), 1,
      anon_sym_POUND,
    ACTIONS(11049), 1,
      aux_sym_type_variable_token1,
    STATE(9837), 1,
      sym_attribute,
    STATE(10088), 1,
      sym__simple_type,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9987), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481816] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12133), 1,
      sym__lowercase_identifier,
    ACTIONS(12135), 1,
      anon_sym_POUND,
    STATE(9838), 1,
      sym_attribute,
    STATE(10635), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16888), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11445), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11447), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [481871] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12133), 1,
      sym__lowercase_identifier,
    ACTIONS(12135), 1,
      anon_sym_POUND,
    STATE(9839), 1,
      sym_attribute,
    STATE(10635), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16888), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11525), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11527), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [481926] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12075), 1,
      sym__lowercase_identifier,
    ACTIONS(12077), 1,
      anon_sym_POUND,
    STATE(9840), 1,
      sym_attribute,
    STATE(10659), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16778), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11299), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11301), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [481981] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9814), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9816), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11075), 1,
      sym__lowercase_identifier,
    ACTIONS(11077), 1,
      anon_sym_LPAREN,
    ACTIONS(11079), 1,
      anon_sym_LBRACK,
    ACTIONS(11081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11085), 1,
      anon_sym_LT,
    ACTIONS(11087), 1,
      anon_sym_POUND,
    ACTIONS(11089), 1,
      aux_sym_type_variable_token1,
    STATE(9841), 1,
      sym_attribute,
    STATE(10055), 1,
      sym__simple_type,
    STATE(17281), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10334), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482044] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11177), 1,
      sym__lowercase_identifier,
    ACTIONS(11179), 1,
      anon_sym_LPAREN,
    ACTIONS(11181), 1,
      anon_sym_LBRACK,
    ACTIONS(11183), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11185), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11187), 1,
      anon_sym_LT,
    ACTIONS(11189), 1,
      anon_sym_POUND,
    ACTIONS(11191), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11193), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11195), 1,
      aux_sym_type_variable_token1,
    STATE(9842), 1,
      sym_attribute,
    STATE(10614), 1,
      sym__simple_type,
    STATE(16496), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10628), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482107] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11177), 1,
      sym__lowercase_identifier,
    ACTIONS(11179), 1,
      anon_sym_LPAREN,
    ACTIONS(11181), 1,
      anon_sym_LBRACK,
    ACTIONS(11183), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11185), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11187), 1,
      anon_sym_LT,
    ACTIONS(11189), 1,
      anon_sym_POUND,
    ACTIONS(11191), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11193), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11195), 1,
      aux_sym_type_variable_token1,
    STATE(9843), 1,
      sym_attribute,
    STATE(10843), 1,
      sym__simple_type,
    STATE(16496), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10628), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11251), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11249), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [482209] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12133), 1,
      sym__lowercase_identifier,
    ACTIONS(12135), 1,
      anon_sym_POUND,
    STATE(9845), 1,
      sym_attribute,
    STATE(10635), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16888), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11531), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [482264] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11177), 1,
      sym__lowercase_identifier,
    ACTIONS(11179), 1,
      anon_sym_LPAREN,
    ACTIONS(11181), 1,
      anon_sym_LBRACK,
    ACTIONS(11183), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11185), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11187), 1,
      anon_sym_LT,
    ACTIONS(11189), 1,
      anon_sym_POUND,
    ACTIONS(11191), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11193), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11195), 1,
      aux_sym_type_variable_token1,
    STATE(9846), 1,
      sym_attribute,
    STATE(10789), 1,
      sym__simple_type,
    STATE(16496), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10628), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482327] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11717), 1,
      sym__lowercase_identifier,
    ACTIONS(11852), 1,
      anon_sym_POUND,
    ACTIONS(12137), 1,
      anon_sym_STAR,
    STATE(9822), 1,
      sym_type_constructor_path,
    STATE(9847), 1,
      sym_attribute,
    STATE(11193), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16793), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11273), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11713), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [482380] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9872), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9874), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11057), 1,
      sym__lowercase_identifier,
    ACTIONS(11059), 1,
      anon_sym_LPAREN,
    ACTIONS(11061), 1,
      anon_sym_LBRACK,
    ACTIONS(11063), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11065), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11067), 1,
      anon_sym_LT,
    ACTIONS(11069), 1,
      anon_sym_POUND,
    ACTIONS(11071), 1,
      aux_sym_type_variable_token1,
    STATE(9848), 1,
      sym_attribute,
    STATE(9910), 1,
      sym__simple_type,
    STATE(16628), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10070), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482443] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11177), 1,
      sym__lowercase_identifier,
    ACTIONS(11179), 1,
      anon_sym_LPAREN,
    ACTIONS(11181), 1,
      anon_sym_LBRACK,
    ACTIONS(11183), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11185), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11187), 1,
      anon_sym_LT,
    ACTIONS(11189), 1,
      anon_sym_POUND,
    ACTIONS(11191), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11193), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11195), 1,
      aux_sym_type_variable_token1,
    STATE(9849), 1,
      sym_attribute,
    STATE(10674), 1,
      sym__simple_type,
    STATE(16496), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10628), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482506] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11177), 1,
      sym__lowercase_identifier,
    ACTIONS(11179), 1,
      anon_sym_LPAREN,
    ACTIONS(11181), 1,
      anon_sym_LBRACK,
    ACTIONS(11183), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11185), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11187), 1,
      anon_sym_LT,
    ACTIONS(11189), 1,
      anon_sym_POUND,
    ACTIONS(11191), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11193), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11195), 1,
      aux_sym_type_variable_token1,
    STATE(9850), 1,
      sym_attribute,
    STATE(10664), 1,
      sym__simple_type,
    STATE(16496), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10628), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482569] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11177), 1,
      sym__lowercase_identifier,
    ACTIONS(11179), 1,
      anon_sym_LPAREN,
    ACTIONS(11181), 1,
      anon_sym_LBRACK,
    ACTIONS(11183), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11185), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11187), 1,
      anon_sym_LT,
    ACTIONS(11189), 1,
      anon_sym_POUND,
    ACTIONS(11191), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11193), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11195), 1,
      aux_sym_type_variable_token1,
    STATE(9851), 1,
      sym_attribute,
    STATE(10840), 1,
      sym__simple_type,
    STATE(16496), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10628), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11255), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11253), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [482671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11259), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11257), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [482710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11263), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11261), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [482749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11295), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11297), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [482788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11281), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11279), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [482827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11285), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11283), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [482866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11289), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11287), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [482905] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9298), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9300), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9302), 1,
      anon_sym_LT,
    ACTIONS(9304), 1,
      anon_sym_POUND,
    ACTIONS(9306), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9308), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9310), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10705), 1,
      anon_sym_LPAREN,
    ACTIONS(10709), 1,
      anon_sym_LBRACK,
    ACTIONS(11171), 1,
      sym__lowercase_identifier,
    STATE(9859), 1,
      sym_attribute,
    STATE(9911), 1,
      sym__simple_type,
    STATE(16601), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11293), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11291), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [483007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9066), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [483046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(10862), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [483085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11317), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11315), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [483124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11321), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11319), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [483163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11325), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11323), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [483202] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(12139), 1,
      anon_sym_COLON2,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(9866), 1,
      sym_attribute,
    STATE(9974), 1,
      aux_sym_module_binding_repeat1,
    STATE(10269), 1,
      aux_sym_expression_item_repeat1,
    STATE(10670), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11990), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11721), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [483257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11333), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11331), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [483296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11337), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11335), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [483335] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12141), 1,
      anon_sym_STAR,
    STATE(9869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10227), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10225), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [483376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8278), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [483415] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9430), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [483454] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9432), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9434), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [483493] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12143), 1,
      anon_sym_STAR,
    STATE(9873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10227), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10225), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [483534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11353), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11351), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [483573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11357), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11355), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [483612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11361), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11359), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [483651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11365), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11363), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [483690] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10746), 1,
      anon_sym_LPAREN,
    ACTIONS(10750), 1,
      anon_sym_LBRACK,
    ACTIONS(11213), 1,
      sym__lowercase_identifier,
    STATE(9521), 1,
      sym__simple_type,
    STATE(9878), 1,
      sym_attribute,
    STATE(16988), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9808), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483753] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11966), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12145), 1,
      anon_sym_LPAREN,
    ACTIONS(12147), 1,
      anon_sym_LBRACK,
    STATE(9879), 1,
      sym_attribute,
    STATE(10731), 1,
      sym__constructor_name,
    STATE(11320), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12149), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11964), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [483804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12153), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12151), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [483843] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11779), 1,
      anon_sym_COLON2,
    STATE(9881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9058), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [483884] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12133), 1,
      sym__lowercase_identifier,
    ACTIONS(12135), 1,
      anon_sym_POUND,
    STATE(9882), 1,
      sym_attribute,
    STATE(10635), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16888), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11375), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11377), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [483939] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9440), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [483978] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11177), 1,
      sym__lowercase_identifier,
    ACTIONS(11179), 1,
      anon_sym_LPAREN,
    ACTIONS(11181), 1,
      anon_sym_LBRACK,
    ACTIONS(11183), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11185), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11187), 1,
      anon_sym_LT,
    ACTIONS(11189), 1,
      anon_sym_POUND,
    ACTIONS(11191), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11193), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11195), 1,
      aux_sym_type_variable_token1,
    STATE(9884), 1,
      sym_attribute,
    STATE(10370), 1,
      sym__simple_type,
    STATE(16496), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10628), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484041] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9944), 1,
      anon_sym_LPAREN,
    ACTIONS(9946), 1,
      anon_sym_LBRACK,
    ACTIONS(9948), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9952), 1,
      anon_sym_LT,
    ACTIONS(9954), 1,
      anon_sym_POUND,
    ACTIONS(9956), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9958), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9960), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11051), 1,
      sym__lowercase_identifier,
    STATE(9885), 1,
      sym_attribute,
    STATE(11472), 1,
      sym__simple_type,
    STATE(17328), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10980), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484104] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9944), 1,
      anon_sym_LPAREN,
    ACTIONS(9946), 1,
      anon_sym_LBRACK,
    ACTIONS(9948), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9952), 1,
      anon_sym_LT,
    ACTIONS(9954), 1,
      anon_sym_POUND,
    ACTIONS(9956), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9958), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9960), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11051), 1,
      sym__lowercase_identifier,
    STATE(9886), 1,
      sym_attribute,
    STATE(11500), 1,
      sym__simple_type,
    STATE(17328), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10980), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484167] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12121), 1,
      anon_sym_DQUOTE,
    ACTIONS(12157), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(9887), 1,
      sym_attribute,
    STATE(10529), 1,
      aux_sym_external_repeat1,
    STATE(10762), 1,
      aux_sym_expression_item_repeat1,
    STATE(10982), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12155), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [484218] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9944), 1,
      anon_sym_LPAREN,
    ACTIONS(9946), 1,
      anon_sym_LBRACK,
    ACTIONS(9948), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9952), 1,
      anon_sym_LT,
    ACTIONS(9954), 1,
      anon_sym_POUND,
    ACTIONS(9956), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9958), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9960), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11051), 1,
      sym__lowercase_identifier,
    STATE(9888), 1,
      sym_attribute,
    STATE(11587), 1,
      sym__simple_type,
    STATE(17328), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10980), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484281] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9944), 1,
      anon_sym_LPAREN,
    ACTIONS(9946), 1,
      anon_sym_LBRACK,
    ACTIONS(9948), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9952), 1,
      anon_sym_LT,
    ACTIONS(9954), 1,
      anon_sym_POUND,
    ACTIONS(9956), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9958), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9960), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11051), 1,
      sym__lowercase_identifier,
    STATE(9889), 1,
      sym_attribute,
    STATE(11143), 1,
      sym__simple_type,
    STATE(17328), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10980), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484344] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9944), 1,
      anon_sym_LPAREN,
    ACTIONS(9946), 1,
      anon_sym_LBRACK,
    ACTIONS(9948), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9952), 1,
      anon_sym_LT,
    ACTIONS(9954), 1,
      anon_sym_POUND,
    ACTIONS(9956), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9958), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9960), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11051), 1,
      sym__lowercase_identifier,
    STATE(9890), 1,
      sym_attribute,
    STATE(11144), 1,
      sym__simple_type,
    STATE(17328), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10980), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484407] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9944), 1,
      anon_sym_LPAREN,
    ACTIONS(9946), 1,
      anon_sym_LBRACK,
    ACTIONS(9948), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9952), 1,
      anon_sym_LT,
    ACTIONS(9954), 1,
      anon_sym_POUND,
    ACTIONS(9956), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9958), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9960), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11051), 1,
      sym__lowercase_identifier,
    STATE(9891), 1,
      sym_attribute,
    STATE(11183), 1,
      sym__simple_type,
    STATE(17328), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10980), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484470] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10035), 1,
      anon_sym_LPAREN,
    ACTIONS(10037), 1,
      anon_sym_LBRACK,
    ACTIONS(10039), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10041), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10043), 1,
      anon_sym_LT,
    ACTIONS(10045), 1,
      anon_sym_POUND,
    ACTIONS(10047), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10049), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10051), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11073), 1,
      sym__lowercase_identifier,
    STATE(9892), 1,
      sym_attribute,
    STATE(11061), 1,
      sym__simple_type,
    STATE(16455), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10807), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484533] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9298), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9300), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9302), 1,
      anon_sym_LT,
    ACTIONS(9304), 1,
      anon_sym_POUND,
    ACTIONS(9306), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9308), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9310), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10705), 1,
      anon_sym_LPAREN,
    ACTIONS(10709), 1,
      anon_sym_LBRACK,
    ACTIONS(11171), 1,
      sym__lowercase_identifier,
    STATE(9893), 1,
      sym_attribute,
    STATE(9912), 1,
      sym__simple_type,
    STATE(16601), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484596] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9298), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9300), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9302), 1,
      anon_sym_LT,
    ACTIONS(9304), 1,
      anon_sym_POUND,
    ACTIONS(9306), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9308), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9310), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10705), 1,
      anon_sym_LPAREN,
    ACTIONS(10709), 1,
      anon_sym_LBRACK,
    ACTIONS(11171), 1,
      sym__lowercase_identifier,
    STATE(9894), 1,
      sym_attribute,
    STATE(9928), 1,
      sym__simple_type,
    STATE(16601), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484659] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9298), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9300), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9302), 1,
      anon_sym_LT,
    ACTIONS(9304), 1,
      anon_sym_POUND,
    ACTIONS(9306), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9308), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9310), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10705), 1,
      anon_sym_LPAREN,
    ACTIONS(10709), 1,
      anon_sym_LBRACK,
    ACTIONS(11171), 1,
      sym__lowercase_identifier,
    STATE(9895), 1,
      sym_attribute,
    STATE(9931), 1,
      sym__simple_type,
    STATE(16601), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484722] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9298), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9300), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9302), 1,
      anon_sym_LT,
    ACTIONS(9304), 1,
      anon_sym_POUND,
    ACTIONS(9306), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9308), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9310), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10705), 1,
      anon_sym_LPAREN,
    ACTIONS(10709), 1,
      anon_sym_LBRACK,
    ACTIONS(11171), 1,
      sym__lowercase_identifier,
    STATE(9896), 1,
      sym_attribute,
    STATE(9932), 1,
      sym__simple_type,
    STATE(16601), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484785] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9418), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [484824] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9298), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9300), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9302), 1,
      anon_sym_LT,
    ACTIONS(9304), 1,
      anon_sym_POUND,
    ACTIONS(9306), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9308), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9310), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10705), 1,
      anon_sym_LPAREN,
    ACTIONS(10709), 1,
      anon_sym_LBRACK,
    ACTIONS(11171), 1,
      sym__lowercase_identifier,
    STATE(9898), 1,
      sym_attribute,
    STATE(9934), 1,
      sym__simple_type,
    STATE(16601), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11391), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11389), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [484926] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10035), 1,
      anon_sym_LPAREN,
    ACTIONS(10037), 1,
      anon_sym_LBRACK,
    ACTIONS(10039), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10041), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10043), 1,
      anon_sym_LT,
    ACTIONS(10045), 1,
      anon_sym_POUND,
    ACTIONS(10047), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10049), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10051), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11073), 1,
      sym__lowercase_identifier,
    STATE(9900), 1,
      sym_attribute,
    STATE(10939), 1,
      sym__simple_type,
    STATE(16455), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10807), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484989] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10542), 1,
      anon_sym_LPAREN,
    ACTIONS(10546), 1,
      anon_sym_LBRACK,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10552), 1,
      anon_sym_LT,
    ACTIONS(10554), 1,
      anon_sym_POUND,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10558), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10560), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12159), 1,
      sym__lowercase_identifier,
    STATE(9148), 1,
      sym__simple_type,
    STATE(9901), 1,
      sym_attribute,
    STATE(17040), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9587), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7874), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [485091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7878), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [485130] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      sym__lowercase_identifier,
    ACTIONS(12161), 1,
      anon_sym_COLON2,
    STATE(9904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11391), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11389), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [485175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12165), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12163), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [485214] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10035), 1,
      anon_sym_LPAREN,
    ACTIONS(10037), 1,
      anon_sym_LBRACK,
    ACTIONS(10039), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10041), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10043), 1,
      anon_sym_LT,
    ACTIONS(10045), 1,
      anon_sym_POUND,
    ACTIONS(10047), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10049), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10051), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11073), 1,
      sym__lowercase_identifier,
    STATE(9906), 1,
      sym_attribute,
    STATE(10984), 1,
      sym__simple_type,
    STATE(16455), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10807), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485277] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10035), 1,
      anon_sym_LPAREN,
    ACTIONS(10037), 1,
      anon_sym_LBRACK,
    ACTIONS(10039), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10041), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10043), 1,
      anon_sym_LT,
    ACTIONS(10045), 1,
      anon_sym_POUND,
    ACTIONS(10047), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10049), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10051), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11073), 1,
      sym__lowercase_identifier,
    STATE(9907), 1,
      sym_attribute,
    STATE(10985), 1,
      sym__simple_type,
    STATE(16455), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10807), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485340] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9944), 1,
      anon_sym_LPAREN,
    ACTIONS(9946), 1,
      anon_sym_LBRACK,
    ACTIONS(9948), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9952), 1,
      anon_sym_LT,
    ACTIONS(9954), 1,
      anon_sym_POUND,
    ACTIONS(9956), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9958), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9960), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11051), 1,
      sym__lowercase_identifier,
    STATE(9908), 1,
      sym_attribute,
    STATE(10285), 1,
      sym__simple_type,
    STATE(17328), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10980), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9058), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [485442] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11678), 1,
      sym__lowercase_identifier,
    ACTIONS(11680), 1,
      anon_sym_POUND,
    STATE(9910), 1,
      sym_attribute,
    STATE(10179), 1,
      sym_type_constructor_path,
    STATE(16853), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12017), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12019), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [485491] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11167), 1,
      sym__lowercase_identifier,
    ACTIONS(11379), 1,
      anon_sym_POUND,
    STATE(9327), 1,
      sym_type_constructor_path,
    STATE(9911), 1,
      sym_attribute,
    STATE(16764), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11525), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11527), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [485540] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11167), 1,
      sym__lowercase_identifier,
    ACTIONS(11379), 1,
      anon_sym_POUND,
    STATE(9327), 1,
      sym_type_constructor_path,
    STATE(9912), 1,
      sym_attribute,
    STATE(16764), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11531), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [485589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7886), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [485628] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8966), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12059), 1,
      sym_pow_operator,
    ACTIONS(12061), 1,
      sym_mult_operator,
    ACTIONS(12063), 1,
      sym_concat_operator,
    ACTIONS(12065), 1,
      sym_rel_operator,
    ACTIONS(12067), 1,
      sym_and_operator,
    ACTIONS(12069), 1,
      sym_or_operator,
    ACTIONS(12071), 1,
      anon_sym_COMMA,
    ACTIONS(12073), 1,
      sym_assign_operator,
    ACTIONS(12167), 1,
      anon_sym_SEMI,
    STATE(1971), 1,
      sym_add_operator,
    STATE(9914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8964), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [485691] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1971), 1,
      sym_add_operator,
    STATE(9915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [485732] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9944), 1,
      anon_sym_LPAREN,
    ACTIONS(9946), 1,
      anon_sym_LBRACK,
    ACTIONS(9948), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9952), 1,
      anon_sym_LT,
    ACTIONS(9954), 1,
      anon_sym_POUND,
    ACTIONS(9956), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9958), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9960), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11051), 1,
      sym__lowercase_identifier,
    STATE(9916), 1,
      sym_attribute,
    STATE(10882), 1,
      sym__simple_type,
    STATE(17328), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10980), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485795] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11103), 1,
      sym__lowercase_identifier,
    ACTIONS(11105), 1,
      anon_sym_LPAREN,
    ACTIONS(11107), 1,
      anon_sym_LBRACK,
    ACTIONS(11109), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11111), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11113), 1,
      anon_sym_LT,
    ACTIONS(11115), 1,
      anon_sym_POUND,
    ACTIONS(11117), 1,
      aux_sym_type_variable_token1,
    STATE(9917), 1,
      sym_attribute,
    STATE(13424), 1,
      sym__simple_type,
    STATE(16351), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13598), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485858] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11103), 1,
      sym__lowercase_identifier,
    ACTIONS(11105), 1,
      anon_sym_LPAREN,
    ACTIONS(11107), 1,
      anon_sym_LBRACK,
    ACTIONS(11109), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11111), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11113), 1,
      anon_sym_LT,
    ACTIONS(11115), 1,
      anon_sym_POUND,
    ACTIONS(11117), 1,
      aux_sym_type_variable_token1,
    STATE(9918), 1,
      sym_attribute,
    STATE(13489), 1,
      sym__simple_type,
    STATE(16351), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13598), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485921] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11127), 1,
      sym__lowercase_identifier,
    ACTIONS(11129), 1,
      anon_sym_LPAREN,
    ACTIONS(11131), 1,
      anon_sym_LBRACK,
    ACTIONS(11133), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11135), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11137), 1,
      anon_sym_LT,
    ACTIONS(11139), 1,
      anon_sym_POUND,
    ACTIONS(11141), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11143), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11145), 1,
      aux_sym_type_variable_token1,
    STATE(9919), 1,
      sym_attribute,
    STATE(10547), 1,
      sym__simple_type,
    STATE(16712), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10588), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485984] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11103), 1,
      sym__lowercase_identifier,
    ACTIONS(11105), 1,
      anon_sym_LPAREN,
    ACTIONS(11107), 1,
      anon_sym_LBRACK,
    ACTIONS(11109), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11111), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11113), 1,
      anon_sym_LT,
    ACTIONS(11115), 1,
      anon_sym_POUND,
    ACTIONS(11117), 1,
      aux_sym_type_variable_token1,
    STATE(9920), 1,
      sym_attribute,
    STATE(13393), 1,
      sym__simple_type,
    STATE(16351), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13598), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486047] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11103), 1,
      sym__lowercase_identifier,
    ACTIONS(11105), 1,
      anon_sym_LPAREN,
    ACTIONS(11107), 1,
      anon_sym_LBRACK,
    ACTIONS(11109), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11111), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11113), 1,
      anon_sym_LT,
    ACTIONS(11115), 1,
      anon_sym_POUND,
    ACTIONS(11117), 1,
      aux_sym_type_variable_token1,
    STATE(9921), 1,
      sym_attribute,
    STATE(13549), 1,
      sym__simple_type,
    STATE(16351), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13598), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486110] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11103), 1,
      sym__lowercase_identifier,
    ACTIONS(11105), 1,
      anon_sym_LPAREN,
    ACTIONS(11107), 1,
      anon_sym_LBRACK,
    ACTIONS(11109), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11111), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11113), 1,
      anon_sym_LT,
    ACTIONS(11115), 1,
      anon_sym_POUND,
    ACTIONS(11117), 1,
      aux_sym_type_variable_token1,
    STATE(9922), 1,
      sym_attribute,
    STATE(13454), 1,
      sym__simple_type,
    STATE(16351), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13598), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486173] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11103), 1,
      sym__lowercase_identifier,
    ACTIONS(11105), 1,
      anon_sym_LPAREN,
    ACTIONS(11107), 1,
      anon_sym_LBRACK,
    ACTIONS(11109), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11111), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11113), 1,
      anon_sym_LT,
    ACTIONS(11115), 1,
      anon_sym_POUND,
    ACTIONS(11117), 1,
      aux_sym_type_variable_token1,
    STATE(9923), 1,
      sym_attribute,
    STATE(13643), 1,
      sym__simple_type,
    STATE(16351), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13598), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11297), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11295), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [486275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8276), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [486314] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9974), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9976), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11035), 1,
      sym__lowercase_identifier,
    ACTIONS(11037), 1,
      anon_sym_LPAREN,
    ACTIONS(11039), 1,
      anon_sym_LBRACK,
    ACTIONS(11041), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11043), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11045), 1,
      anon_sym_LT,
    ACTIONS(11047), 1,
      anon_sym_POUND,
    ACTIONS(11049), 1,
      aux_sym_type_variable_token1,
    STATE(9760), 1,
      sym__simple_type,
    STATE(9926), 1,
      sym_attribute,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9987), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486377] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10746), 1,
      anon_sym_LPAREN,
    ACTIONS(10750), 1,
      anon_sym_LBRACK,
    ACTIONS(11213), 1,
      sym__lowercase_identifier,
    STATE(9927), 1,
      sym_attribute,
    STATE(10319), 1,
      sym__simple_type,
    STATE(16988), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9808), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486440] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11167), 1,
      sym__lowercase_identifier,
    ACTIONS(11379), 1,
      anon_sym_POUND,
    STATE(9327), 1,
      sym_type_constructor_path,
    STATE(9928), 1,
      sym_attribute,
    STATE(16764), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11375), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11377), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [486489] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11739), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11341), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11339), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [486530] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10035), 1,
      anon_sym_LPAREN,
    ACTIONS(10037), 1,
      anon_sym_LBRACK,
    ACTIONS(10039), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10041), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10043), 1,
      anon_sym_LT,
    ACTIONS(10045), 1,
      anon_sym_POUND,
    ACTIONS(10047), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10049), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10051), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11073), 1,
      sym__lowercase_identifier,
    STATE(9930), 1,
      sym_attribute,
    STATE(10753), 1,
      sym__simple_type,
    STATE(16455), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10807), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486593] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11167), 1,
      sym__lowercase_identifier,
    ACTIONS(11379), 1,
      anon_sym_POUND,
    STATE(9327), 1,
      sym_type_constructor_path,
    STATE(9931), 1,
      sym_attribute,
    STATE(16764), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12097), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12099), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [486642] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11167), 1,
      sym__lowercase_identifier,
    ACTIONS(11379), 1,
      anon_sym_POUND,
    STATE(9327), 1,
      sym_type_constructor_path,
    STATE(9932), 1,
      sym_attribute,
    STATE(16764), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12101), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12103), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [486691] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10746), 1,
      anon_sym_LPAREN,
    ACTIONS(10750), 1,
      anon_sym_LBRACK,
    ACTIONS(11213), 1,
      sym__lowercase_identifier,
    STATE(9933), 1,
      sym_attribute,
    STATE(10401), 1,
      sym__simple_type,
    STATE(16988), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9808), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486754] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11167), 1,
      sym__lowercase_identifier,
    ACTIONS(11379), 1,
      anon_sym_POUND,
    STATE(9327), 1,
      sym_type_constructor_path,
    STATE(9934), 1,
      sym_attribute,
    STATE(16764), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12109), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12111), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [486803] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10035), 1,
      anon_sym_LPAREN,
    ACTIONS(10037), 1,
      anon_sym_LBRACK,
    ACTIONS(10039), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10041), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10043), 1,
      anon_sym_LT,
    ACTIONS(10045), 1,
      anon_sym_POUND,
    ACTIONS(10047), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10049), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10051), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11073), 1,
      sym__lowercase_identifier,
    STATE(9935), 1,
      sym_attribute,
    STATE(10993), 1,
      sym__simple_type,
    STATE(16455), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10807), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486866] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9268), 1,
      anon_sym_LT,
    ACTIONS(9270), 1,
      anon_sym_POUND,
    ACTIONS(9272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10588), 1,
      anon_sym_LPAREN,
    ACTIONS(10592), 1,
      anon_sym_LBRACK,
    ACTIONS(11175), 1,
      sym__lowercase_identifier,
    STATE(9936), 1,
      sym_attribute,
    STATE(10195), 1,
      sym__simple_type,
    STATE(17248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9485), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486929] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12169), 1,
      anon_sym_LPAREN,
    ACTIONS(12171), 1,
      anon_sym_LBRACK,
    STATE(9937), 1,
      sym_attribute,
    STATE(10820), 1,
      sym__constructor_name,
    STATE(11469), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11966), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12173), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11964), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [486980] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12075), 1,
      sym__lowercase_identifier,
    ACTIONS(12077), 1,
      anon_sym_POUND,
    STATE(9938), 1,
      sym_attribute,
    STATE(10659), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16778), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11445), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11447), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [487035] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10035), 1,
      anon_sym_LPAREN,
    ACTIONS(10037), 1,
      anon_sym_LBRACK,
    ACTIONS(10039), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10041), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10043), 1,
      anon_sym_LT,
    ACTIONS(10045), 1,
      anon_sym_POUND,
    ACTIONS(10047), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10049), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10051), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11073), 1,
      sym__lowercase_identifier,
    STATE(9939), 1,
      sym_attribute,
    STATE(10994), 1,
      sym__simple_type,
    STATE(16455), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10807), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487098] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12175), 1,
      anon_sym_LPAREN,
    ACTIONS(12177), 1,
      anon_sym_LBRACK,
    STATE(9940), 1,
      sym_attribute,
    STATE(10684), 1,
      sym__constructor_name,
    STATE(11513), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11966), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12179), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11964), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [487149] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9988), 1,
      anon_sym_LPAREN,
    ACTIONS(9990), 1,
      anon_sym_LBRACK,
    ACTIONS(9992), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9994), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9996), 1,
      anon_sym_LT,
    ACTIONS(9998), 1,
      anon_sym_POUND,
    ACTIONS(10000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10004), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12181), 1,
      sym__lowercase_identifier,
    STATE(9941), 1,
      sym_attribute,
    STATE(10992), 1,
      sym__simple_type,
    STATE(16444), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11681), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487212] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8096), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [487251] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12187), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12185), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(9943), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12183), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [487294] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12190), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12185), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(9944), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12183), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [487337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7872), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [487376] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11103), 1,
      sym__lowercase_identifier,
    ACTIONS(11105), 1,
      anon_sym_LPAREN,
    ACTIONS(11107), 1,
      anon_sym_LBRACK,
    ACTIONS(11109), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11111), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11113), 1,
      anon_sym_LT,
    ACTIONS(11115), 1,
      anon_sym_POUND,
    ACTIONS(11117), 1,
      aux_sym_type_variable_token1,
    STATE(9946), 1,
      sym_attribute,
    STATE(13302), 1,
      sym__simple_type,
    STATE(16351), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13598), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487439] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9232), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9234), 1,
      anon_sym_LT,
    ACTIONS(9236), 1,
      anon_sym_POUND,
    ACTIONS(9238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9240), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9244), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10646), 1,
      anon_sym_LPAREN,
    ACTIONS(10650), 1,
      anon_sym_LBRACK,
    ACTIONS(11091), 1,
      sym__lowercase_identifier,
    STATE(9765), 1,
      sym__simple_type,
    STATE(9947), 1,
      sym_attribute,
    STATE(17383), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487502] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9268), 1,
      anon_sym_LT,
    ACTIONS(9270), 1,
      anon_sym_POUND,
    ACTIONS(9272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10588), 1,
      anon_sym_LPAREN,
    ACTIONS(10592), 1,
      anon_sym_LBRACK,
    ACTIONS(11175), 1,
      sym__lowercase_identifier,
    STATE(9379), 1,
      sym__simple_type,
    STATE(9948), 1,
      sym_attribute,
    STATE(17248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9485), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487565] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9232), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9234), 1,
      anon_sym_LT,
    ACTIONS(9236), 1,
      anon_sym_POUND,
    ACTIONS(9238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9240), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9244), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10646), 1,
      anon_sym_LPAREN,
    ACTIONS(10650), 1,
      anon_sym_LBRACK,
    ACTIONS(11091), 1,
      sym__lowercase_identifier,
    STATE(9766), 1,
      sym__simple_type,
    STATE(9949), 1,
      sym_attribute,
    STATE(17383), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487628] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9232), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9234), 1,
      anon_sym_LT,
    ACTIONS(9236), 1,
      anon_sym_POUND,
    ACTIONS(9238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9240), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9244), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10646), 1,
      anon_sym_LPAREN,
    ACTIONS(10650), 1,
      anon_sym_LBRACK,
    ACTIONS(11091), 1,
      sym__lowercase_identifier,
    STATE(9781), 1,
      sym__simple_type,
    STATE(9950), 1,
      sym_attribute,
    STATE(17383), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487691] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9232), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9234), 1,
      anon_sym_LT,
    ACTIONS(9236), 1,
      anon_sym_POUND,
    ACTIONS(9238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9240), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9244), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10646), 1,
      anon_sym_LPAREN,
    ACTIONS(10650), 1,
      anon_sym_LBRACK,
    ACTIONS(11091), 1,
      sym__lowercase_identifier,
    STATE(9790), 1,
      sym__simple_type,
    STATE(9951), 1,
      sym_attribute,
    STATE(17383), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487754] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9232), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9234), 1,
      anon_sym_LT,
    ACTIONS(9236), 1,
      anon_sym_POUND,
    ACTIONS(9238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9240), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9244), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10646), 1,
      anon_sym_LPAREN,
    ACTIONS(10650), 1,
      anon_sym_LBRACK,
    ACTIONS(11091), 1,
      sym__lowercase_identifier,
    STATE(9791), 1,
      sym__simple_type,
    STATE(9952), 1,
      sym_attribute,
    STATE(17383), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487817] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9232), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9234), 1,
      anon_sym_LT,
    ACTIONS(9236), 1,
      anon_sym_POUND,
    ACTIONS(9238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9240), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9244), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10646), 1,
      anon_sym_LPAREN,
    ACTIONS(10650), 1,
      anon_sym_LBRACK,
    ACTIONS(11091), 1,
      sym__lowercase_identifier,
    STATE(9805), 1,
      sym__simple_type,
    STATE(9953), 1,
      sym_attribute,
    STATE(17383), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7876), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [487919] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10658), 1,
      anon_sym_LPAREN,
    ACTIONS(10662), 1,
      anon_sym_LBRACK,
    ACTIONS(10664), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10666), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10668), 1,
      anon_sym_LT,
    ACTIONS(10670), 1,
      anon_sym_POUND,
    ACTIONS(10672), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10674), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10676), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12193), 1,
      sym__lowercase_identifier,
    STATE(8834), 1,
      sym__simple_type,
    STATE(9955), 1,
      sym_attribute,
    STATE(16531), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9265), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487982] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9232), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9234), 1,
      anon_sym_LT,
    ACTIONS(9236), 1,
      anon_sym_POUND,
    ACTIONS(9238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9240), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9244), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10646), 1,
      anon_sym_LPAREN,
    ACTIONS(10650), 1,
      anon_sym_LBRACK,
    ACTIONS(11091), 1,
      sym__lowercase_identifier,
    STATE(9652), 1,
      sym__simple_type,
    STATE(9956), 1,
      sym_attribute,
    STATE(17383), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488045] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9872), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9874), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11057), 1,
      sym__lowercase_identifier,
    ACTIONS(11059), 1,
      anon_sym_LPAREN,
    ACTIONS(11061), 1,
      anon_sym_LBRACK,
    ACTIONS(11063), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11065), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11067), 1,
      anon_sym_LT,
    ACTIONS(11069), 1,
      anon_sym_POUND,
    ACTIONS(11071), 1,
      aux_sym_type_variable_token1,
    STATE(9957), 1,
      sym_attribute,
    STATE(9988), 1,
      sym__simple_type,
    STATE(16628), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10070), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488108] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9872), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9874), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11057), 1,
      sym__lowercase_identifier,
    ACTIONS(11059), 1,
      anon_sym_LPAREN,
    ACTIONS(11061), 1,
      anon_sym_LBRACK,
    ACTIONS(11063), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11065), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11067), 1,
      anon_sym_LT,
    ACTIONS(11069), 1,
      anon_sym_POUND,
    ACTIONS(11071), 1,
      aux_sym_type_variable_token1,
    STATE(9958), 1,
      sym_attribute,
    STATE(9989), 1,
      sym__simple_type,
    STATE(16628), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10070), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488171] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9872), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9874), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11057), 1,
      sym__lowercase_identifier,
    ACTIONS(11059), 1,
      anon_sym_LPAREN,
    ACTIONS(11061), 1,
      anon_sym_LBRACK,
    ACTIONS(11063), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11065), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11067), 1,
      anon_sym_LT,
    ACTIONS(11069), 1,
      anon_sym_POUND,
    ACTIONS(11071), 1,
      aux_sym_type_variable_token1,
    STATE(9959), 1,
      sym_attribute,
    STATE(10002), 1,
      sym__simple_type,
    STATE(16628), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10070), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488234] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9872), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9874), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11057), 1,
      sym__lowercase_identifier,
    ACTIONS(11059), 1,
      anon_sym_LPAREN,
    ACTIONS(11061), 1,
      anon_sym_LBRACK,
    ACTIONS(11063), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11065), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11067), 1,
      anon_sym_LT,
    ACTIONS(11069), 1,
      anon_sym_POUND,
    ACTIONS(11071), 1,
      aux_sym_type_variable_token1,
    STATE(9960), 1,
      sym_attribute,
    STATE(10018), 1,
      sym__simple_type,
    STATE(16628), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10070), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488297] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9872), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9874), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11057), 1,
      sym__lowercase_identifier,
    ACTIONS(11059), 1,
      anon_sym_LPAREN,
    ACTIONS(11061), 1,
      anon_sym_LBRACK,
    ACTIONS(11063), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11065), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11067), 1,
      anon_sym_LT,
    ACTIONS(11069), 1,
      anon_sym_POUND,
    ACTIONS(11071), 1,
      aux_sym_type_variable_token1,
    STATE(9961), 1,
      sym_attribute,
    STATE(10019), 1,
      sym__simple_type,
    STATE(16628), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10070), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488360] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9872), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9874), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11057), 1,
      sym__lowercase_identifier,
    ACTIONS(11059), 1,
      anon_sym_LPAREN,
    ACTIONS(11061), 1,
      anon_sym_LBRACK,
    ACTIONS(11063), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11065), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11067), 1,
      anon_sym_LT,
    ACTIONS(11069), 1,
      anon_sym_POUND,
    ACTIONS(11071), 1,
      aux_sym_type_variable_token1,
    STATE(9962), 1,
      sym_attribute,
    STATE(10026), 1,
      sym__simple_type,
    STATE(16628), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10070), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488423] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9412), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [488462] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10746), 1,
      anon_sym_LPAREN,
    ACTIONS(10750), 1,
      anon_sym_LBRACK,
    ACTIONS(11213), 1,
      sym__lowercase_identifier,
    STATE(9964), 1,
      sym_attribute,
    STATE(10283), 1,
      sym__simple_type,
    STATE(16988), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9808), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7884), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [488564] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12199), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9966), 1,
      sym_attribute,
    STATE(9968), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12197), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12195), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [488609] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12199), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9967), 1,
      sym_attribute,
    STATE(9969), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12203), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12201), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [488654] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12199), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9943), 1,
      aux_sym_type_binding_repeat1,
    STATE(9968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12203), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12201), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [488699] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12199), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9943), 1,
      aux_sym_type_binding_repeat1,
    STATE(9969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12207), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12205), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [488744] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12209), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9970), 1,
      sym_attribute,
    STATE(9972), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12197), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12195), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [488789] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12209), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9971), 1,
      sym_attribute,
    STATE(9973), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12203), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12201), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [488834] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12209), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9944), 1,
      aux_sym_type_binding_repeat1,
    STATE(9972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12203), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12201), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [488879] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12209), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9944), 1,
      aux_sym_type_binding_repeat1,
    STATE(9973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12207), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12205), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [488924] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(12139), 1,
      anon_sym_COLON2,
    STATE(9179), 1,
      aux_sym_module_binding_repeat1,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(9974), 1,
      sym_attribute,
    STATE(10252), 1,
      aux_sym_expression_item_repeat1,
    STATE(10720), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11956), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11765), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [488979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11329), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11327), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [489018] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9080), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [489056] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12215), 1,
      anon_sym_DASH_GT,
    STATE(9977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12213), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12211), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [489096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11297), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11295), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [489134] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12217), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9979), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8801), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8803), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [489174] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12081), 1,
      sym__lowercase_identifier,
    ACTIONS(12083), 1,
      anon_sym_POUND,
    ACTIONS(12220), 1,
      anon_sym_STAR,
    STATE(9980), 1,
      sym_attribute,
    STATE(10750), 1,
      sym_type_constructor_path,
    STATE(11693), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11273), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11713), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [489226] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10227), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12222), 1,
      anon_sym_STAR,
    STATE(9981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10225), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [489266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11263), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11261), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [489304] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12236), 1,
      anon_sym_PERCENT,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(9983), 1,
      sym_attribute,
    STATE(10785), 1,
      sym__attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(14960), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [489370] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11739), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11341), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11339), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [489410] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12240), 1,
      aux_sym_attribute_id_token1,
    STATE(9979), 1,
      aux_sym_attribute_id_repeat1,
    STATE(9985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8777), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8779), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [489452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12244), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12242), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [489490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11341), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11339), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [489528] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11678), 1,
      sym__lowercase_identifier,
    ACTIONS(11680), 1,
      anon_sym_POUND,
    STATE(9988), 1,
      sym_attribute,
    STATE(10179), 1,
      sym_type_constructor_path,
    STATE(16853), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11525), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11527), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [489576] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11678), 1,
      sym__lowercase_identifier,
    ACTIONS(11680), 1,
      anon_sym_POUND,
    STATE(9989), 1,
      sym_attribute,
    STATE(10179), 1,
      sym_type_constructor_path,
    STATE(16853), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11531), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [489624] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12236), 1,
      anon_sym_PERCENT,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(9990), 1,
      sym_attribute,
    STATE(10612), 1,
      sym__attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15357), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [489690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11251), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11249), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [489728] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12075), 1,
      sym__lowercase_identifier,
    ACTIONS(12246), 1,
      anon_sym_POUND,
    STATE(9992), 1,
      sym_attribute,
    STATE(10804), 1,
      sym_type_constructor_path,
    STATE(16778), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11002), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11004), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [489776] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9026), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9028), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [489814] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9506), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9508), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [489852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11255), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11253), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [489890] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8944), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8946), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [489928] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12236), 1,
      anon_sym_PERCENT,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(9997), 1,
      sym_attribute,
    STATE(10666), 1,
      sym__attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15636), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [489994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(10862), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [490032] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7994), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [490070] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9422), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [490108] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9536), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9538), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [490146] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11678), 1,
      sym__lowercase_identifier,
    ACTIONS(11680), 1,
      anon_sym_POUND,
    STATE(10002), 1,
      sym_attribute,
    STATE(10179), 1,
      sym_type_constructor_path,
    STATE(16853), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11375), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11377), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [490194] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7063), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7059), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [490232] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12236), 1,
      anon_sym_PERCENT,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10004), 1,
      sym_attribute,
    STATE(10715), 1,
      sym__attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15918), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [490298] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12133), 1,
      sym__lowercase_identifier,
    ACTIONS(12248), 1,
      anon_sym_POUND,
    STATE(10005), 1,
      sym_attribute,
    STATE(10861), 1,
      sym_type_constructor_path,
    STATE(16888), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11002), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11004), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [490346] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11541), 1,
      sym__lowercase_identifier,
    ACTIONS(11777), 1,
      anon_sym_POUND,
    STATE(9545), 1,
      sym_type_constructor_path,
    STATE(10006), 1,
      sym_attribute,
    STATE(16470), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12101), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12103), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [490394] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12250), 1,
      anon_sym_else,
    STATE(8139), 1,
      sym_else_clause,
    STATE(10007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [490436] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7910), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [490474] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11739), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11341), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11339), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [490514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11405), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [490552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11411), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11409), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [490590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11391), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11389), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [490628] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12236), 1,
      anon_sym_PERCENT,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10013), 1,
      sym_attribute,
    STATE(10746), 1,
      sym__attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(16312), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [490694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11419), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11417), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [490732] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12236), 1,
      anon_sym_PERCENT,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10015), 1,
      sym_attribute,
    STATE(10667), 1,
      sym__attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15776), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [490798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8116), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [490836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11421), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [490874] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11678), 1,
      sym__lowercase_identifier,
    ACTIONS(11680), 1,
      anon_sym_POUND,
    STATE(10018), 1,
      sym_attribute,
    STATE(10179), 1,
      sym_type_constructor_path,
    STATE(16853), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12097), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12099), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [490922] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11678), 1,
      sym__lowercase_identifier,
    ACTIONS(11680), 1,
      anon_sym_POUND,
    STATE(10019), 1,
      sym_attribute,
    STATE(10179), 1,
      sym_type_constructor_path,
    STATE(16853), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12101), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12103), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [490970] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12215), 1,
      anon_sym_DASH_GT,
    ACTIONS(12256), 1,
      anon_sym_as,
    STATE(10020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12254), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12252), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [491012] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9604), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9606), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [491050] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9608), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9610), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [491088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10862), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10864), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [491126] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12236), 1,
      anon_sym_PERCENT,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10024), 1,
      sym_attribute,
    STATE(10790), 1,
      sym__attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15044), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [491192] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12236), 1,
      anon_sym_PERCENT,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(12258), 1,
      anon_sym_DASH_GT,
    ACTIONS(12260), 1,
      anon_sym_functor,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10025), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__attribute,
    STATE(11149), 1,
      sym__module_type,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [491258] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11678), 1,
      sym__lowercase_identifier,
    ACTIONS(11680), 1,
      anon_sym_POUND,
    STATE(10026), 1,
      sym_attribute,
    STATE(10179), 1,
      sym_type_constructor_path,
    STATE(16853), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12109), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12111), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [491306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11251), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11249), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [491344] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12262), 1,
      sym__lowercase_identifier,
    ACTIONS(12264), 1,
      anon_sym_POUND,
    STATE(10028), 1,
      sym_attribute,
    STATE(10835), 1,
      sym_type_constructor_path,
    STATE(16503), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10010), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10012), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [491392] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12236), 1,
      anon_sym_PERCENT,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10029), 1,
      sym_attribute,
    STATE(10819), 1,
      sym__attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15162), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [491458] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8026), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [491496] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12236), 1,
      anon_sym_PERCENT,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10031), 1,
      sym_attribute,
    STATE(10856), 1,
      sym__attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15266), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [491562] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12268), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12266), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [491600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11255), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11253), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [491638] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12270), 1,
      anon_sym_RPAREN,
    ACTIONS(12272), 1,
      anon_sym__,
    ACTIONS(12274), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10034), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15230), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [491704] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9066), 1,
      sym__lowercase_identifier,
    STATE(10035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11297), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11295), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [491746] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12236), 1,
      anon_sym_PERCENT,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10036), 1,
      sym_attribute,
    STATE(10603), 1,
      sym__attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15383), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [491812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11259), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11257), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [491850] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8956), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8958), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [491888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11263), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11261), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [491926] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12236), 1,
      anon_sym_PERCENT,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10040), 1,
      sym_attribute,
    STATE(10619), 1,
      sym__attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15486), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [491992] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12276), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10041), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8801), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8803), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [492032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11281), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11279), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [492070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12281), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12279), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [492108] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12236), 1,
      anon_sym_PERCENT,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10044), 1,
      sym_attribute,
    STATE(10639), 1,
      sym__attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15584), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [492174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11317), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11315), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [492212] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9598), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9600), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [492250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10862), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [492288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11321), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11319), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [492326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(8278), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [492364] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12215), 1,
      anon_sym_DASH_GT,
    ACTIONS(12256), 1,
      anon_sym_as,
    STATE(10050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12285), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12283), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [492406] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11739), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11341), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11339), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [492446] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12236), 1,
      anon_sym_PERCENT,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10052), 1,
      sym_attribute,
    STATE(10597), 1,
      sym__attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(14954), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [492512] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12236), 1,
      anon_sym_PERCENT,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10053), 1,
      sym_attribute,
    STATE(10656), 1,
      sym__attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15753), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [492578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11325), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11323), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [492616] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11922), 1,
      sym__lowercase_identifier,
    ACTIONS(11924), 1,
      anon_sym_POUND,
    STATE(10055), 1,
      sym_attribute,
    STATE(10440), 1,
      sym_type_constructor_path,
    STATE(16752), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12017), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12019), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [492664] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12207), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12287), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(10056), 1,
      sym_attribute,
    STATE(10152), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12205), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [492708] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12236), 1,
      anon_sym_PERCENT,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10057), 1,
      sym_attribute,
    STATE(10682), 1,
      sym__attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15853), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [492774] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8058), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [492812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10862), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10864), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [492850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11329), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11327), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [492888] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12236), 1,
      anon_sym_PERCENT,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10061), 1,
      sym_attribute,
    STATE(10711), 1,
      sym__attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15963), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [492954] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9068), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [492992] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2040), 1,
      sym_add_operator,
    STATE(10063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [493032] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12289), 1,
      anon_sym_else,
    STATE(8144), 1,
      sym_else_clause,
    STATE(10064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [493074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(7874), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [493112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(7878), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [493150] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11735), 1,
      sym__lowercase_identifier,
    ACTIONS(11737), 1,
      anon_sym_POUND,
    STATE(10017), 1,
      sym_type_constructor_path,
    STATE(10067), 1,
      sym_attribute,
    STATE(16868), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12101), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12103), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [493198] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12236), 1,
      anon_sym_PERCENT,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10068), 1,
      sym_attribute,
    STATE(10738), 1,
      sym__attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(16107), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [493264] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12270), 1,
      anon_sym_RPAREN,
    ACTIONS(12272), 1,
      anon_sym__,
    ACTIONS(12274), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10069), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15806), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [493330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11341), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11339), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [493368] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7886), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [493406] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9460), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [493444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(7886), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [493482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11281), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11279), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [493520] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12262), 1,
      sym__lowercase_identifier,
    ACTIONS(12264), 1,
      anon_sym_POUND,
    STATE(10075), 1,
      sym_attribute,
    STATE(10835), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16503), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11525), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11527), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [493574] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12262), 1,
      sym__lowercase_identifier,
    ACTIONS(12264), 1,
      anon_sym_POUND,
    STATE(10076), 1,
      sym_attribute,
    STATE(10835), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16503), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11531), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [493628] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9064), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [493666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11285), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11283), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [493704] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11339), 1,
      sym__lowercase_identifier,
    STATE(10079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11341), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11944), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11946), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [493746] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12262), 1,
      sym__lowercase_identifier,
    ACTIONS(12264), 1,
      anon_sym_POUND,
    STATE(10080), 1,
      sym_attribute,
    STATE(10835), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16503), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11375), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11377), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [493800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11289), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11287), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [493838] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11739), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11341), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11339), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [493878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11293), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11291), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [493916] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9478), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9480), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [493954] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7906), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [493992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11297), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11295), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [494030] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9546), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494068] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11735), 1,
      sym__lowercase_identifier,
    ACTIONS(11737), 1,
      anon_sym_POUND,
    STATE(10017), 1,
      sym_type_constructor_path,
    STATE(10088), 1,
      sym_attribute,
    STATE(16868), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12109), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12111), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [494116] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12203), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12287), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(10056), 1,
      aux_sym_type_binding_repeat1,
    STATE(10089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12201), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [494160] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11339), 1,
      sym__lowercase_identifier,
    STATE(10090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11341), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11944), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11946), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [494202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11713), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11273), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [494240] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12236), 1,
      anon_sym_PERCENT,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10092), 1,
      sym_attribute,
    STATE(10770), 1,
      sym__attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15749), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [494306] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12203), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12287), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(10093), 1,
      sym_attribute,
    STATE(10152), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12201), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [494350] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12262), 1,
      sym__lowercase_identifier,
    ACTIONS(12264), 1,
      anon_sym_POUND,
    STATE(10094), 1,
      sym_attribute,
    STATE(10835), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16503), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11269), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11271), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [494404] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9558), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9560), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494442] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      sym__lowercase_identifier,
    ACTIONS(12291), 1,
      anon_sym_COLON2,
    STATE(10096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11391), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11389), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [494486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11333), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11331), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [494524] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12197), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12287), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(10093), 1,
      aux_sym_type_binding_repeat1,
    STATE(10098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12195), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [494568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11337), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11335), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [494606] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12262), 1,
      sym__lowercase_identifier,
    ACTIONS(12264), 1,
      anon_sym_POUND,
    STATE(10100), 1,
      sym_attribute,
    STATE(10835), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16503), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11299), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11301), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [494660] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11541), 1,
      sym__lowercase_identifier,
    ACTIONS(11777), 1,
      anon_sym_POUND,
    STATE(9545), 1,
      sym_type_constructor_path,
    STATE(10101), 1,
      sym_attribute,
    STATE(16470), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11375), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11377), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [494708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11285), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11283), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [494746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11317), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11315), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [494784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11321), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11319), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [494822] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12236), 1,
      anon_sym_PERCENT,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10105), 1,
      sym_attribute,
    STATE(10833), 1,
      sym__attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(16113), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [494888] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12133), 1,
      sym__lowercase_identifier,
    ACTIONS(12135), 1,
      anon_sym_POUND,
    ACTIONS(12293), 1,
      anon_sym_STAR,
    STATE(10106), 1,
      sym_attribute,
    STATE(10635), 1,
      sym_type_constructor_path,
    STATE(11600), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16888), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11273), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11713), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [494940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11325), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11323), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [494978] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12240), 1,
      aux_sym_attribute_id_token1,
    STATE(9985), 1,
      aux_sym_attribute_id_repeat1,
    STATE(10108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8850), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8852), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11333), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11331), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [495058] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12215), 1,
      anon_sym_DASH_GT,
    ACTIONS(12256), 1,
      anon_sym_as,
    STATE(10110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12297), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12295), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [495100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11337), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11335), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [495138] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12250), 1,
      anon_sym_else,
    STATE(8144), 1,
      sym_else_clause,
    STATE(10112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [495180] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9524), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495218] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12236), 1,
      anon_sym_PERCENT,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10114), 1,
      sym_attribute,
    STATE(10586), 1,
      sym__attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15466), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [495284] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12299), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12301), 1,
      sym_pow_operator,
    ACTIONS(12303), 1,
      sym_mult_operator,
    ACTIONS(12305), 1,
      sym_concat_operator,
    ACTIONS(12307), 1,
      sym_rel_operator,
    ACTIONS(12309), 1,
      sym_and_operator,
    ACTIONS(12311), 1,
      sym_or_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(10115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10173), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [495340] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12299), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12301), 1,
      sym_pow_operator,
    ACTIONS(12303), 1,
      sym_mult_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(10116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [495388] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12301), 1,
      sym_pow_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(10117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [495430] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12301), 1,
      sym_pow_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(10118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [495472] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12299), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12301), 1,
      sym_pow_operator,
    ACTIONS(12303), 1,
      sym_mult_operator,
    ACTIONS(12305), 1,
      sym_concat_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(10119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [495522] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12299), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12301), 1,
      sym_pow_operator,
    ACTIONS(12303), 1,
      sym_mult_operator,
    ACTIONS(12305), 1,
      sym_concat_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(10120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [495572] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12299), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12301), 1,
      sym_pow_operator,
    ACTIONS(12303), 1,
      sym_mult_operator,
    ACTIONS(12305), 1,
      sym_concat_operator,
    ACTIONS(12307), 1,
      sym_rel_operator,
    ACTIONS(12309), 1,
      sym_and_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(10121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 4,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(10091), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [495626] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12299), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12301), 1,
      sym_pow_operator,
    ACTIONS(12303), 1,
      sym_mult_operator,
    ACTIONS(12305), 1,
      sym_concat_operator,
    ACTIONS(12307), 1,
      sym_rel_operator,
    ACTIONS(12309), 1,
      sym_and_operator,
    ACTIONS(12311), 1,
      sym_or_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(10122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [495682] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12299), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12301), 1,
      sym_pow_operator,
    ACTIONS(12303), 1,
      sym_mult_operator,
    ACTIONS(12305), 1,
      sym_concat_operator,
    ACTIONS(12307), 1,
      sym_rel_operator,
    ACTIONS(12309), 1,
      sym_and_operator,
    ACTIONS(12311), 1,
      sym_or_operator,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(12315), 1,
      sym_assign_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(10123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [495742] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12301), 1,
      sym_pow_operator,
    ACTIONS(12303), 1,
      sym_mult_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(10124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 9,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [495786] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12299), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12301), 1,
      sym_pow_operator,
    ACTIONS(12303), 1,
      sym_mult_operator,
    ACTIONS(12305), 1,
      sym_concat_operator,
    ACTIONS(12307), 1,
      sym_rel_operator,
    ACTIONS(12309), 1,
      sym_and_operator,
    ACTIONS(12311), 1,
      sym_or_operator,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(12315), 1,
      sym_assign_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(10125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10157), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [495846] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12289), 1,
      anon_sym_else,
    STATE(8139), 1,
      sym_else_clause,
    STATE(10126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [495888] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12299), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12301), 1,
      sym_pow_operator,
    ACTIONS(12303), 1,
      sym_mult_operator,
    ACTIONS(12305), 1,
      sym_concat_operator,
    ACTIONS(12307), 1,
      sym_rel_operator,
    ACTIONS(12309), 1,
      sym_and_operator,
    ACTIONS(12311), 1,
      sym_or_operator,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(12315), 1,
      sym_assign_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(10127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10183), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [495948] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12262), 1,
      sym__lowercase_identifier,
    ACTIONS(12264), 1,
      anon_sym_POUND,
    STATE(10128), 1,
      sym_attribute,
    STATE(10835), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16503), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11445), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11447), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [496002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9058), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [496040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11353), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11351), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [496078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11357), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11355), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [496116] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11735), 1,
      sym__lowercase_identifier,
    ACTIONS(11737), 1,
      anon_sym_POUND,
    STATE(10017), 1,
      sym_type_constructor_path,
    STATE(10132), 1,
      sym_attribute,
    STATE(16868), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12097), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12099), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [496164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11361), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11359), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [496202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11289), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11287), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [496240] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7918), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496278] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11753), 1,
      anon_sym_constraint,
    ACTIONS(12319), 1,
      anon_sym_let,
    ACTIONS(12321), 1,
      anon_sym_EQ,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10136), 1,
      sym_attribute,
    STATE(10447), 1,
      aux_sym_type_binding_repeat1,
    STATE(10505), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12317), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496330] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11966), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12323), 1,
      anon_sym_LPAREN,
    ACTIONS(12325), 1,
      anon_sym_LBRACK,
    STATE(10137), 1,
      sym_attribute,
    STATE(10936), 1,
      sym__constructor_name,
    STATE(11713), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11964), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [496380] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11753), 1,
      anon_sym_constraint,
    ACTIONS(12331), 1,
      anon_sym_let,
    ACTIONS(12333), 1,
      anon_sym_EQ,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10138), 1,
      sym_attribute,
    STATE(10397), 1,
      aux_sym_expression_item_repeat1,
    STATE(10454), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12329), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496432] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8278), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496470] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9060), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496508] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8040), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11365), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11363), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [496584] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11763), 1,
      anon_sym_constraint,
    ACTIONS(12319), 1,
      anon_sym_let,
    ACTIONS(12335), 1,
      anon_sym_EQ,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10143), 1,
      sym_attribute,
    STATE(10468), 1,
      aux_sym_type_binding_repeat1,
    STATE(10505), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12317), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496636] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11966), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12337), 1,
      anon_sym_LPAREN,
    ACTIONS(12339), 1,
      anon_sym_LBRACK,
    STATE(10144), 1,
      sym_attribute,
    STATE(10974), 1,
      sym__constructor_name,
    STATE(11723), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12341), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11964), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [496686] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11763), 1,
      anon_sym_constraint,
    ACTIONS(12331), 1,
      anon_sym_let,
    ACTIONS(12343), 1,
      anon_sym_EQ,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10145), 1,
      sym_attribute,
    STATE(10397), 1,
      aux_sym_expression_item_repeat1,
    STATE(10475), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12329), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496738] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9008), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496776] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9590), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9592), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496814] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7874), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496852] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12075), 1,
      sym__lowercase_identifier,
    ACTIONS(12077), 1,
      anon_sym_POUND,
    ACTIONS(12345), 1,
      anon_sym_STAR,
    STATE(10149), 1,
      sym_attribute,
    STATE(10659), 1,
      sym_type_constructor_path,
    STATE(11605), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16778), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11273), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11713), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [496904] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8044), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496942] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8062), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496980] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12185), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12347), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10152), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12183), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [497022] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11541), 1,
      sym__lowercase_identifier,
    ACTIONS(11777), 1,
      anon_sym_POUND,
    STATE(9545), 1,
      sym_type_constructor_path,
    STATE(10153), 1,
      sym_attribute,
    STATE(16470), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12109), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12111), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [497070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11353), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11351), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [497108] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9510), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9512), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497146] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9514), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9516), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497184] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12081), 1,
      sym__lowercase_identifier,
    ACTIONS(12350), 1,
      anon_sym_POUND,
    STATE(10157), 1,
      sym_attribute,
    STATE(10622), 1,
      sym_type_constructor_path,
    STATE(16726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11002), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11004), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [497232] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9520), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497270] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12236), 1,
      anon_sym_PERCENT,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10159), 1,
      sym_attribute,
    STATE(10580), 1,
      sym__attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15822), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [497336] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9484), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497374] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9488), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497412] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7974), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497450] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7922), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11357), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11355), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [497526] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9532), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9534), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497564] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9574), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9576), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497602] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9530), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497640] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12352), 1,
      anon_sym_DASH_GT,
    STATE(10168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12213), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12211), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [497680] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7954), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497718] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9578), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9580), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11405), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [497794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11411), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11409), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [497832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9066), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [497870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9058), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [497908] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12354), 1,
      aux_sym_attribute_id_token1,
    STATE(10175), 1,
      sym_attribute,
    STATE(10215), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8850), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8852), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497950] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(12352), 1,
      anon_sym_DASH_GT,
    STATE(10176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12254), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12252), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [497992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11419), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11417), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [498030] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11541), 1,
      sym__lowercase_identifier,
    ACTIONS(11777), 1,
      anon_sym_POUND,
    STATE(9545), 1,
      sym_type_constructor_path,
    STATE(10178), 1,
      sym_attribute,
    STATE(16470), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12097), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12099), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [498078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11421), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [498116] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(12352), 1,
      anon_sym_DASH_GT,
    STATE(10180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12285), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12283), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498158] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12262), 1,
      sym__lowercase_identifier,
    ACTIONS(12356), 1,
      anon_sym_POUND,
    STATE(10181), 1,
      sym_attribute,
    STATE(10814), 1,
      sym_type_constructor_path,
    STATE(16503), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11002), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11004), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [498206] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(12352), 1,
      anon_sym_DASH_GT,
    STATE(10182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12297), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12295), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498248] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12262), 1,
      sym__lowercase_identifier,
    ACTIONS(12264), 1,
      anon_sym_POUND,
    STATE(10183), 1,
      sym_attribute,
    STATE(10835), 1,
      sym_type_constructor_path,
    STATE(16503), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10986), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [498296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9066), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [498334] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12299), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12301), 1,
      sym_pow_operator,
    ACTIONS(12303), 1,
      sym_mult_operator,
    ACTIONS(12305), 1,
      sym_concat_operator,
    ACTIONS(12307), 1,
      sym_rel_operator,
    ACTIONS(12309), 1,
      sym_and_operator,
    ACTIONS(12311), 1,
      sym_or_operator,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(12315), 1,
      sym_assign_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(10185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10221), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10219), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [498394] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11717), 1,
      sym__lowercase_identifier,
    ACTIONS(11852), 1,
      anon_sym_POUND,
    STATE(9822), 1,
      sym_type_constructor_path,
    STATE(10186), 1,
      sym_attribute,
    STATE(16793), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12017), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12019), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [498442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11361), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11359), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [498480] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7878), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [498518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11365), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11363), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [498556] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9492), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9494), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [498594] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12236), 1,
      anon_sym_PERCENT,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10191), 1,
      sym_attribute,
    STATE(10618), 1,
      sym__attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15107), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [498660] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9540), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9542), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [498698] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9104), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [498736] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11735), 1,
      sym__lowercase_identifier,
    ACTIONS(11737), 1,
      anon_sym_POUND,
    STATE(10017), 1,
      sym_type_constructor_path,
    STATE(10194), 1,
      sym_attribute,
    STATE(16868), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11525), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11527), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [498784] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11541), 1,
      sym__lowercase_identifier,
    ACTIONS(11777), 1,
      anon_sym_POUND,
    STATE(9545), 1,
      sym_type_constructor_path,
    STATE(10195), 1,
      sym_attribute,
    STATE(16470), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11525), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11527), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [498832] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11735), 1,
      sym__lowercase_identifier,
    ACTIONS(11737), 1,
      anon_sym_POUND,
    STATE(10017), 1,
      sym_type_constructor_path,
    STATE(10196), 1,
      sym_attribute,
    STATE(16868), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11531), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [498880] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11541), 1,
      sym__lowercase_identifier,
    ACTIONS(11777), 1,
      anon_sym_POUND,
    STATE(9545), 1,
      sym_type_constructor_path,
    STATE(10197), 1,
      sym_attribute,
    STATE(16470), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11531), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [498928] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7978), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [498966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11391), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11389), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [499004] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9454), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9456), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [499042] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9464), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [499080] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9066), 1,
      sym__lowercase_identifier,
    STATE(10202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11297), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11295), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [499122] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9466), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9468), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [499160] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9470), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9472), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [499198] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9474), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9476), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [499236] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9504), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [499274] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11735), 1,
      sym__lowercase_identifier,
    ACTIONS(11737), 1,
      anon_sym_POUND,
    STATE(10017), 1,
      sym_type_constructor_path,
    STATE(10207), 1,
      sym_attribute,
    STATE(16868), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11375), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11377), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [499322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11293), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11291), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [499360] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12358), 1,
      anon_sym_PIPE,
    STATE(10209), 1,
      sym_attribute,
    STATE(10211), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [499402] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12358), 1,
      anon_sym_PIPE,
    STATE(10210), 1,
      sym_attribute,
    STATE(10212), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [499444] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12358), 1,
      anon_sym_PIPE,
    STATE(10211), 1,
      sym_attribute,
    STATE(10213), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [499486] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12358), 1,
      anon_sym_PIPE,
    STATE(10212), 1,
      sym_attribute,
    STATE(10213), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [499528] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12360), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10213), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [499568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11259), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11257), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [499606] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12354), 1,
      aux_sym_attribute_id_token1,
    STATE(10041), 1,
      aux_sym_attribute_id_repeat1,
    STATE(10215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8777), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8779), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [499648] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9594), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9596), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [499686] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12236), 1,
      anon_sym_PERCENT,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(12363), 1,
      anon_sym_DASH_GT,
    ACTIONS(12365), 1,
      anon_sym_functor,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10217), 1,
      sym_attribute,
    STATE(10841), 1,
      sym__attribute,
    STATE(11730), 1,
      sym__module_type,
    STATE(14919), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [499752] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12299), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12301), 1,
      sym_pow_operator,
    ACTIONS(12303), 1,
      sym_mult_operator,
    ACTIONS(12305), 1,
      sym_concat_operator,
    ACTIONS(12307), 1,
      sym_rel_operator,
    ACTIONS(12309), 1,
      sym_and_operator,
    ACTIONS(12311), 1,
      sym_or_operator,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(12315), 1,
      sym_assign_operator,
    ACTIONS(12367), 1,
      anon_sym_SEMI,
    STATE(2040), 1,
      sym_add_operator,
    STATE(10218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8964), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [499814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11329), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11327), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [499852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9886), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9884), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [499889] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10221), 1,
      sym_attribute,
    STATE(10431), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12369), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [499932] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12375), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12373), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [499975] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12379), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12377), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [500018] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12381), 1,
      sym_pow_operator,
    STATE(2213), 1,
      sym_add_operator,
    STATE(10224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [500059] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12381), 1,
      sym_pow_operator,
    STATE(2213), 1,
      sym_add_operator,
    STATE(10225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [500100] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12381), 1,
      sym_pow_operator,
    ACTIONS(12383), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12385), 1,
      sym_mult_operator,
    ACTIONS(12387), 1,
      sym_concat_operator,
    STATE(2213), 1,
      sym_add_operator,
    STATE(10226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [500149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11363), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11365), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [500186] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12391), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10228), 1,
      sym_attribute,
    STATE(10485), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12389), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [500229] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12381), 1,
      sym_pow_operator,
    ACTIONS(12383), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12385), 1,
      sym_mult_operator,
    ACTIONS(12387), 1,
      sym_concat_operator,
    STATE(2213), 1,
      sym_add_operator,
    STATE(10229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [500278] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12381), 1,
      sym_pow_operator,
    ACTIONS(12383), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12385), 1,
      sym_mult_operator,
    ACTIONS(12387), 1,
      sym_concat_operator,
    ACTIONS(12393), 1,
      sym_rel_operator,
    ACTIONS(12395), 1,
      sym_and_operator,
    STATE(2213), 1,
      sym_add_operator,
    STATE(10230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [500331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10089), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10087), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [500368] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12381), 1,
      sym_pow_operator,
    ACTIONS(12383), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12385), 1,
      sym_mult_operator,
    ACTIONS(12387), 1,
      sym_concat_operator,
    ACTIONS(12393), 1,
      sym_rel_operator,
    ACTIONS(12395), 1,
      sym_and_operator,
    ACTIONS(12397), 1,
      sym_or_operator,
    STATE(2213), 1,
      sym_add_operator,
    STATE(10232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [500423] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12381), 1,
      sym_pow_operator,
    ACTIONS(12383), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12385), 1,
      sym_mult_operator,
    ACTIONS(12387), 1,
      sym_concat_operator,
    ACTIONS(12393), 1,
      sym_rel_operator,
    ACTIONS(12395), 1,
      sym_and_operator,
    ACTIONS(12397), 1,
      sym_or_operator,
    ACTIONS(12399), 1,
      anon_sym_COMMA,
    ACTIONS(12401), 1,
      sym_assign_operator,
    STATE(2213), 1,
      sym_add_operator,
    STATE(10233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [500482] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12381), 1,
      sym_pow_operator,
    ACTIONS(12385), 1,
      sym_mult_operator,
    STATE(2213), 1,
      sym_add_operator,
    STATE(10234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 8,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [500525] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12405), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12403), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [500568] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12407), 1,
      anon_sym_LPAREN,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12413), 1,
      anon_sym_end,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    STATE(10236), 1,
      sym_attribute,
    STATE(10880), 1,
      sym__attribute,
    STATE(11084), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [500631] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12423), 1,
      anon_sym_LPAREN,
    ACTIONS(12425), 1,
      anon_sym_end,
    STATE(10237), 1,
      sym_attribute,
    STATE(10871), 1,
      sym__attribute,
    STATE(11157), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [500694] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12427), 1,
      sym__lowercase_identifier,
    ACTIONS(12429), 1,
      anon_sym_POUND,
    STATE(10238), 1,
      sym_attribute,
    STATE(10991), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11445), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11447), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [500747] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12381), 1,
      sym_pow_operator,
    ACTIONS(12383), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12385), 1,
      sym_mult_operator,
    ACTIONS(12387), 1,
      sym_concat_operator,
    ACTIONS(12393), 1,
      sym_rel_operator,
    ACTIONS(12395), 1,
      sym_and_operator,
    ACTIONS(12397), 1,
      sym_or_operator,
    ACTIONS(12399), 1,
      anon_sym_COMMA,
    ACTIONS(12401), 1,
      sym_assign_operator,
    STATE(2213), 1,
      sym_add_operator,
    STATE(10239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10159), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [500806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10211), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10209), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [500843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9764), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9762), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [500880] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12431), 1,
      anon_sym_else,
    STATE(7831), 1,
      sym_else_clause,
    STATE(10242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [500921] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12435), 1,
      anon_sym_end,
    STATE(10243), 1,
      sym_attribute,
    STATE(10876), 1,
      sym__attribute,
    STATE(11311), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [500984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 2,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9422), 20,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [501021] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8801), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8803), 14,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [501058] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12437), 1,
      anon_sym_LPAREN,
    ACTIONS(12439), 1,
      anon_sym_end,
    STATE(10246), 1,
      sym_attribute,
    STATE(10970), 1,
      sym__attribute,
    STATE(11246), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [501121] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12441), 1,
      anon_sym_LPAREN,
    ACTIONS(12443), 1,
      anon_sym_end,
    STATE(10247), 1,
      sym_attribute,
    STATE(10889), 1,
      sym__attribute,
    STATE(11314), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [501184] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12447), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12445), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [501227] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      sym__lowercase_identifier,
    ACTIONS(12449), 1,
      anon_sym_COLON2,
    STATE(10249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11391), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11389), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [501270] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10250), 1,
      sym_attribute,
    STATE(10271), 1,
      aux_sym_expression_item_repeat1,
    STATE(10873), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12453), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12451), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [501313] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12457), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12455), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [501356] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12461), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12459), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [501399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11249), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11251), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [501436] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12381), 1,
      sym_pow_operator,
    ACTIONS(12383), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12385), 1,
      sym_mult_operator,
    ACTIONS(12387), 1,
      sym_concat_operator,
    ACTIONS(12393), 1,
      sym_rel_operator,
    ACTIONS(12395), 1,
      sym_and_operator,
    ACTIONS(12397), 1,
      sym_or_operator,
    ACTIONS(12399), 1,
      anon_sym_COMMA,
    ACTIONS(12401), 1,
      sym_assign_operator,
    STATE(2213), 1,
      sym_add_operator,
    STATE(10254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10185), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [501495] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12463), 1,
      anon_sym_LPAREN,
    ACTIONS(12465), 1,
      anon_sym_end,
    STATE(10255), 1,
      sym_attribute,
    STATE(10987), 1,
      sym__attribute,
    STATE(11335), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [501558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11253), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11255), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [501595] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_end,
    STATE(10257), 1,
      sym_attribute,
    STATE(10878), 1,
      sym__attribute,
    STATE(11493), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [501658] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12471), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_end,
    STATE(10258), 1,
      sym_attribute,
    STATE(11073), 1,
      sym__attribute,
    STATE(11312), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [501721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11257), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11259), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [501758] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12477), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12475), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [501801] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11922), 1,
      sym__lowercase_identifier,
    ACTIONS(11924), 1,
      anon_sym_POUND,
    STATE(10261), 1,
      sym_attribute,
    STATE(10440), 1,
      sym_type_constructor_path,
    STATE(16752), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11531), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [501848] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12479), 1,
      anon_sym_LPAREN,
    ACTIONS(12481), 1,
      anon_sym_end,
    STATE(10262), 1,
      sym_attribute,
    STATE(10879), 1,
      sym__attribute,
    STATE(11547), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [501911] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6857), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6855), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [501954] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12483), 1,
      anon_sym_LPAREN,
    ACTIONS(12485), 1,
      anon_sym_end,
    STATE(10264), 1,
      sym_attribute,
    STATE(10881), 1,
      sym__attribute,
    STATE(11114), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [502017] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12487), 1,
      anon_sym_LPAREN,
    ACTIONS(12489), 1,
      anon_sym_end,
    STATE(10265), 1,
      sym_attribute,
    STATE(11028), 1,
      sym__attribute,
    STATE(11461), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [502080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9060), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [502117] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12495), 1,
      anon_sym_EQ,
    ACTIONS(12497), 1,
      anon_sym_of,
    ACTIONS(12499), 1,
      anon_sym_COLON2,
    STATE(10267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12493), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12491), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [502160] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12505), 1,
      anon_sym_EQ,
    ACTIONS(12507), 1,
      anon_sym_of,
    ACTIONS(12509), 1,
      anon_sym_COLON2,
    STATE(10268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12503), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12501), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [502203] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11767), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11765), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [502246] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12515), 1,
      anon_sym_EQ,
    ACTIONS(12517), 1,
      anon_sym_of,
    ACTIONS(12519), 1,
      anon_sym_COLON2,
    STATE(10270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12513), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12511), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [502289] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12521), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10873), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10271), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
    ACTIONS(11708), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(11706), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [502330] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10271), 1,
      aux_sym_expression_item_repeat1,
    STATE(10272), 1,
      sym_attribute,
    STATE(10873), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12526), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12524), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [502373] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12528), 1,
      anon_sym_LPAREN,
    ACTIONS(12530), 1,
      anon_sym_end,
    STATE(10273), 1,
      sym_attribute,
    STATE(10883), 1,
      sym__attribute,
    STATE(11148), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [502436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9068), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [502473] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12213), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12532), 1,
      anon_sym_DASH_GT,
    STATE(10275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12211), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [502512] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12536), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12534), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [502555] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12538), 1,
      anon_sym_COMMA,
    ACTIONS(12540), 1,
      anon_sym_SEMI,
    ACTIONS(12542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12544), 1,
      sym_pow_operator,
    ACTIONS(12546), 1,
      sym_mult_operator,
    ACTIONS(12548), 1,
      sym_concat_operator,
    ACTIONS(12550), 1,
      sym_rel_operator,
    ACTIONS(12552), 1,
      sym_and_operator,
    ACTIONS(12554), 1,
      sym_or_operator,
    ACTIONS(12556), 1,
      sym_assign_operator,
    STATE(2257), 1,
      sym_add_operator,
    STATE(10277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8964), 5,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [502616] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12558), 1,
      anon_sym_LPAREN,
    ACTIONS(12560), 1,
      anon_sym_end,
    STATE(10278), 1,
      sym_attribute,
    STATE(10898), 1,
      sym__attribute,
    STATE(11487), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [502679] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12564), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10279), 1,
      sym_attribute,
    STATE(10408), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12562), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [502722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12568), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12566), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [502759] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12572), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12570), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [502802] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12576), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10282), 1,
      sym_attribute,
    STATE(10329), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12574), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [502845] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11717), 1,
      sym__lowercase_identifier,
    ACTIONS(11852), 1,
      anon_sym_POUND,
    STATE(9822), 1,
      sym_type_constructor_path,
    STATE(10283), 1,
      sym_attribute,
    STATE(16793), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11375), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11377), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [502892] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10271), 1,
      aux_sym_expression_item_repeat1,
    STATE(10284), 1,
      sym_attribute,
    STATE(10873), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12580), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12578), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [502935] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12427), 1,
      sym__lowercase_identifier,
    ACTIONS(12429), 1,
      anon_sym_POUND,
    STATE(10285), 1,
      sym_attribute,
    STATE(10991), 1,
      sym_type_constructor_path,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10986), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [502982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12584), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12582), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [503019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12588), 1,
      anon_sym_let,
    STATE(10287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12586), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [503056] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12495), 1,
      anon_sym_EQ,
    ACTIONS(12590), 1,
      anon_sym_of,
    ACTIONS(12592), 1,
      anon_sym_COLON2,
    STATE(10288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12493), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12491), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [503099] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12505), 1,
      anon_sym_EQ,
    ACTIONS(12594), 1,
      anon_sym_of,
    ACTIONS(12596), 1,
      anon_sym_COLON2,
    STATE(10289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12503), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12501), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [503142] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12515), 1,
      anon_sym_EQ,
    ACTIONS(12598), 1,
      anon_sym_of,
    ACTIONS(12600), 1,
      anon_sym_COLON2,
    STATE(10290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12513), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12511), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [503185] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12602), 1,
      anon_sym_LPAREN,
    ACTIONS(12604), 1,
      anon_sym_end,
    STATE(10291), 1,
      sym_attribute,
    STATE(10886), 1,
      sym__attribute,
    STATE(11181), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [503248] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11717), 1,
      sym__lowercase_identifier,
    ACTIONS(11852), 1,
      anon_sym_POUND,
    STATE(9822), 1,
      sym_type_constructor_path,
    STATE(10292), 1,
      sym_attribute,
    STATE(16793), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12097), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12099), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [503295] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11717), 1,
      sym__lowercase_identifier,
    ACTIONS(11852), 1,
      anon_sym_POUND,
    STATE(9822), 1,
      sym_type_constructor_path,
    STATE(10293), 1,
      sym_attribute,
    STATE(16793), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12101), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12103), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [503342] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12606), 1,
      anon_sym_LPAREN,
    ACTIONS(12608), 1,
      anon_sym_end,
    STATE(10294), 1,
      sym_attribute,
    STATE(10998), 1,
      sym__attribute,
    STATE(11380), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [503405] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10295), 1,
      sym_attribute,
    STATE(10534), 1,
      aux_sym_expression_item_repeat1,
    STATE(10873), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12612), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12610), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [503448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10025), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [503485] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12544), 1,
      sym_pow_operator,
    ACTIONS(12546), 1,
      sym_mult_operator,
    ACTIONS(12548), 1,
      sym_concat_operator,
    ACTIONS(12550), 1,
      sym_rel_operator,
    ACTIONS(12552), 1,
      sym_and_operator,
    ACTIONS(12554), 1,
      sym_or_operator,
    STATE(2257), 1,
      sym_add_operator,
    STATE(10297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10173), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [503540] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10227), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12614), 1,
      anon_sym_STAR,
    STATE(10298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10225), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [503579] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12618), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12616), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [503622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10059), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10057), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [503659] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12544), 1,
      sym_pow_operator,
    ACTIONS(12546), 1,
      sym_mult_operator,
    STATE(2257), 1,
      sym_add_operator,
    STATE(10301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [503706] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12544), 1,
      sym_pow_operator,
    STATE(2257), 1,
      sym_add_operator,
    STATE(10302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(10093), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
  [503747] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12544), 1,
      sym_pow_operator,
    STATE(2257), 1,
      sym_add_operator,
    STATE(10303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(10093), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
  [503788] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12544), 1,
      sym_pow_operator,
    ACTIONS(12546), 1,
      sym_mult_operator,
    ACTIONS(12548), 1,
      sym_concat_operator,
    STATE(2257), 1,
      sym_add_operator,
    STATE(10304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [503837] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12544), 1,
      sym_pow_operator,
    ACTIONS(12546), 1,
      sym_mult_operator,
    ACTIONS(12548), 1,
      sym_concat_operator,
    STATE(2257), 1,
      sym_add_operator,
    STATE(10305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [503886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9878), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9876), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [503923] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12544), 1,
      sym_pow_operator,
    ACTIONS(12546), 1,
      sym_mult_operator,
    ACTIONS(12548), 1,
      sym_concat_operator,
    ACTIONS(12550), 1,
      sym_rel_operator,
    ACTIONS(12552), 1,
      sym_and_operator,
    STATE(2257), 1,
      sym_add_operator,
    STATE(10307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 4,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [503976] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12620), 1,
      anon_sym_LPAREN,
    ACTIONS(12622), 1,
      anon_sym_end,
    STATE(10308), 1,
      sym_attribute,
    STATE(10888), 1,
      sym__attribute,
    STATE(11245), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [504039] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12544), 1,
      sym_pow_operator,
    ACTIONS(12546), 1,
      sym_mult_operator,
    ACTIONS(12548), 1,
      sym_concat_operator,
    ACTIONS(12550), 1,
      sym_rel_operator,
    ACTIONS(12552), 1,
      sym_and_operator,
    ACTIONS(12554), 1,
      sym_or_operator,
    STATE(2257), 1,
      sym_add_operator,
    STATE(10309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [504094] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12624), 1,
      anon_sym_LPAREN,
    ACTIONS(12626), 1,
      anon_sym_end,
    STATE(10310), 1,
      sym_attribute,
    STATE(10978), 1,
      sym__attribute,
    STATE(11280), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [504157] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12538), 1,
      anon_sym_COMMA,
    ACTIONS(12542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12544), 1,
      sym_pow_operator,
    ACTIONS(12546), 1,
      sym_mult_operator,
    ACTIONS(12548), 1,
      sym_concat_operator,
    ACTIONS(12550), 1,
      sym_rel_operator,
    ACTIONS(12552), 1,
      sym_and_operator,
    ACTIONS(12554), 1,
      sym_or_operator,
    ACTIONS(12556), 1,
      sym_assign_operator,
    STATE(2257), 1,
      sym_add_operator,
    STATE(10311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [504216] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12544), 1,
      sym_pow_operator,
    ACTIONS(12546), 1,
      sym_mult_operator,
    STATE(2257), 1,
      sym_add_operator,
    STATE(10312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 9,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [504259] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12538), 1,
      anon_sym_COMMA,
    ACTIONS(12542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12544), 1,
      sym_pow_operator,
    ACTIONS(12546), 1,
      sym_mult_operator,
    ACTIONS(12548), 1,
      sym_concat_operator,
    ACTIONS(12550), 1,
      sym_rel_operator,
    ACTIONS(12552), 1,
      sym_and_operator,
    ACTIONS(12554), 1,
      sym_or_operator,
    ACTIONS(12556), 1,
      sym_assign_operator,
    STATE(2257), 1,
      sym_add_operator,
    STATE(10313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10157), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [504318] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12381), 1,
      sym_pow_operator,
    ACTIONS(12383), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12385), 1,
      sym_mult_operator,
    ACTIONS(12387), 1,
      sym_concat_operator,
    ACTIONS(12393), 1,
      sym_rel_operator,
    ACTIONS(12395), 1,
      sym_and_operator,
    ACTIONS(12397), 1,
      sym_or_operator,
    ACTIONS(12399), 1,
      anon_sym_COMMA,
    ACTIONS(12401), 1,
      sym_assign_operator,
    STATE(2213), 1,
      sym_add_operator,
    STATE(10314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10221), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10219), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [504377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8952), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8950), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [504414] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12628), 1,
      anon_sym_PIPE,
    STATE(10316), 1,
      sym_attribute,
    STATE(10318), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [504455] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12630), 1,
      anon_sym_LPAREN,
    ACTIONS(12632), 1,
      anon_sym_end,
    STATE(10317), 1,
      sym_attribute,
    STATE(10890), 1,
      sym__attribute,
    STATE(11330), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [504518] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12634), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10318), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [504557] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11717), 1,
      sym__lowercase_identifier,
    ACTIONS(11852), 1,
      anon_sym_POUND,
    STATE(9822), 1,
      sym_type_constructor_path,
    STATE(10319), 1,
      sym_attribute,
    STATE(16793), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11525), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11527), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [504604] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11779), 1,
      anon_sym_COLON2,
    STATE(10320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9058), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [504643] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11717), 1,
      sym__lowercase_identifier,
    ACTIONS(11852), 1,
      anon_sym_POUND,
    STATE(9822), 1,
      sym_type_constructor_path,
    STATE(10321), 1,
      sym_attribute,
    STATE(16793), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12109), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12111), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [504690] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12254), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(12532), 1,
      anon_sym_DASH_GT,
    STATE(10322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12252), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [504731] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12637), 1,
      anon_sym_LPAREN,
    ACTIONS(12639), 1,
      anon_sym_end,
    STATE(10323), 1,
      sym_attribute,
    STATE(10963), 1,
      sym__attribute,
    STATE(11222), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [504794] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12643), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [504837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12647), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12645), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [504874] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12427), 1,
      sym__lowercase_identifier,
    ACTIONS(12429), 1,
      anon_sym_POUND,
    STATE(10326), 1,
      sym_attribute,
    STATE(10991), 1,
      sym_type_constructor_path,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10010), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10012), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [504921] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(12285), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12532), 1,
      anon_sym_DASH_GT,
    STATE(10327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12283), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [504962] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9882), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9880), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [504999] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12651), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12649), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505042] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12653), 1,
      anon_sym_LPAREN,
    ACTIONS(12655), 1,
      anon_sym_end,
    STATE(10330), 1,
      sym_attribute,
    STATE(10892), 1,
      sym__attribute,
    STATE(11374), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [505105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10125), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [505142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 2,
      anon_sym_let,
      anon_sym_COLON2,
    ACTIONS(7791), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 2,
      anon_sym_let,
      anon_sym_COLON2,
    ACTIONS(7898), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11339), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11341), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [505253] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8801), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8803), 13,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [505290] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(12297), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12532), 1,
      anon_sym_DASH_GT,
    STATE(10336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12295), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [505331] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12657), 1,
      anon_sym_LPAREN,
    ACTIONS(12659), 1,
      anon_sym_end,
    STATE(10337), 1,
      sym_attribute,
    STATE(10914), 1,
      sym__attribute,
    STATE(11088), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [505394] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12538), 1,
      anon_sym_COMMA,
    ACTIONS(12542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12544), 1,
      sym_pow_operator,
    ACTIONS(12546), 1,
      sym_mult_operator,
    ACTIONS(12548), 1,
      sym_concat_operator,
    ACTIONS(12550), 1,
      sym_rel_operator,
    ACTIONS(12552), 1,
      sym_and_operator,
    ACTIONS(12554), 1,
      sym_or_operator,
    ACTIONS(12556), 1,
      sym_assign_operator,
    STATE(2257), 1,
      sym_add_operator,
    STATE(10338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10183), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [505453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9890), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9888), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [505490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9722), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9720), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [505527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9894), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9892), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [505564] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12663), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12661), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505607] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12665), 1,
      anon_sym_LPAREN,
    ACTIONS(12667), 1,
      anon_sym_end,
    STATE(10343), 1,
      sym_attribute,
    STATE(10894), 1,
      sym__attribute,
    STATE(11411), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [505670] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12628), 1,
      anon_sym_PIPE,
    STATE(10344), 1,
      sym_attribute,
    STATE(10538), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [505711] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12671), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505754] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2257), 1,
      sym_add_operator,
    STATE(10346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [505793] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12675), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505836] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12679), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505879] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12683), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12681), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505922] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12687), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10350), 1,
      sym_attribute,
    STATE(10530), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12685), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505965] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12691), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12689), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506008] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12695), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10352), 1,
      sym_attribute,
    STATE(10539), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12693), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506051] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12699), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12697), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10171), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10169), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [506131] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12703), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10355), 1,
      sym_attribute,
    STATE(10541), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12701), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9920), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9918), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [506211] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11922), 1,
      sym__lowercase_identifier,
    ACTIONS(11924), 1,
      anon_sym_POUND,
    STATE(10357), 1,
      sym_attribute,
    STATE(10440), 1,
      sym_type_constructor_path,
    STATE(16752), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12109), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12111), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [506258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3085), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3083), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [506295] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10284), 1,
      aux_sym_expression_item_repeat1,
    STATE(10359), 1,
      sym_attribute,
    STATE(10873), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12707), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12705), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [506338] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12711), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506381] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12715), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12713), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10073), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10071), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [506461] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11922), 1,
      sym__lowercase_identifier,
    ACTIONS(11924), 1,
      anon_sym_POUND,
    STATE(10363), 1,
      sym_attribute,
    STATE(10440), 1,
      sym_type_constructor_path,
    STATE(16752), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12097), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12099), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [506508] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12719), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10364), 1,
      sym_attribute,
    STATE(10415), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12717), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506551] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12721), 1,
      anon_sym_LPAREN,
    ACTIONS(12723), 1,
      anon_sym_end,
    STATE(10365), 1,
      sym_attribute,
    STATE(10887), 1,
      sym__attribute,
    STATE(11235), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [506614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9938), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9936), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [506651] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12725), 1,
      anon_sym_LPAREN,
    ACTIONS(12727), 1,
      anon_sym_end,
    STATE(10367), 1,
      sym_attribute,
    STATE(10934), 1,
      sym__attribute,
    STATE(11138), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [506714] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12729), 1,
      anon_sym_LPAREN,
    ACTIONS(12731), 1,
      anon_sym_end,
    STATE(10368), 1,
      sym_attribute,
    STATE(10995), 1,
      sym__attribute,
    STATE(11360), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [506777] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11922), 1,
      sym__lowercase_identifier,
    ACTIONS(11924), 1,
      anon_sym_POUND,
    STATE(10369), 1,
      sym_attribute,
    STATE(10440), 1,
      sym_type_constructor_path,
    STATE(16752), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12101), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12103), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [506824] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12075), 1,
      sym__lowercase_identifier,
    ACTIONS(12077), 1,
      anon_sym_POUND,
    STATE(10370), 1,
      sym_attribute,
    STATE(10659), 1,
      sym_type_constructor_path,
    STATE(16778), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12017), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12019), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [506871] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12427), 1,
      sym__lowercase_identifier,
    ACTIONS(12429), 1,
      anon_sym_POUND,
    STATE(10371), 1,
      sym_attribute,
    STATE(10991), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11525), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11527), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [506924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12735), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12733), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506961] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12739), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12737), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [507004] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12743), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10374), 1,
      sym_attribute,
    STATE(10378), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [507047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [507084] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12747), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [507127] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12751), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12749), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [507170] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12755), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12753), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [507213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11279), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11281), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [507250] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(12759), 1,
      anon_sym_end,
    STATE(10380), 1,
      sym_attribute,
    STATE(11055), 1,
      sym__attribute,
    STATE(11511), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [507313] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6935), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6933), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [507356] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12761), 1,
      anon_sym_LPAREN,
    ACTIONS(12763), 1,
      anon_sym_end,
    STATE(10382), 1,
      sym_attribute,
    STATE(10996), 1,
      sym__attribute,
    STATE(11364), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [507419] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12133), 1,
      sym__lowercase_identifier,
    ACTIONS(12135), 1,
      anon_sym_POUND,
    STATE(10383), 1,
      sym_attribute,
    STATE(10635), 1,
      sym_type_constructor_path,
    STATE(16888), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12017), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12019), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [507466] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11922), 1,
      sym__lowercase_identifier,
    ACTIONS(11924), 1,
      anon_sym_POUND,
    STATE(10384), 1,
      sym_attribute,
    STATE(10440), 1,
      sym_type_constructor_path,
    STATE(16752), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11525), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11527), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [507513] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12767), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12765), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [507556] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12771), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12769), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [507599] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11283), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11285), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [507636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12775), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12773), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [507673] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12427), 1,
      sym__lowercase_identifier,
    ACTIONS(12429), 1,
      anon_sym_POUND,
    STATE(10389), 1,
      sym_attribute,
    STATE(10991), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11269), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11271), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [507726] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12427), 1,
      sym__lowercase_identifier,
    ACTIONS(12429), 1,
      anon_sym_POUND,
    STATE(10390), 1,
      sym_attribute,
    STATE(10991), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11299), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11301), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [507779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11287), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11289), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [507816] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11739), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11341), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11339), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [507855] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12779), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10393), 1,
      sym_attribute,
    STATE(10423), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12777), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [507898] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12427), 1,
      sym__lowercase_identifier,
    ACTIONS(12781), 1,
      anon_sym_POUND,
    STATE(10394), 1,
      sym_attribute,
    STATE(11004), 1,
      sym_type_constructor_path,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11002), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11004), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [507945] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12785), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12783), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [507988] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12789), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12787), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508031] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12793), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12791), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508074] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12795), 1,
      anon_sym_LPAREN,
    ACTIONS(12797), 1,
      anon_sym_end,
    STATE(10398), 1,
      sym_attribute,
    STATE(10979), 1,
      sym__attribute,
    STATE(11283), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [508137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11291), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11293), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [508174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10077), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10075), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [508211] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11717), 1,
      sym__lowercase_identifier,
    ACTIONS(11852), 1,
      anon_sym_POUND,
    STATE(9822), 1,
      sym_type_constructor_path,
    STATE(10401), 1,
      sym_attribute,
    STATE(16793), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11531), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [508258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9780), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9778), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [508295] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12799), 1,
      anon_sym_LPAREN,
    ACTIONS(12801), 1,
      anon_sym_end,
    STATE(10403), 1,
      sym_attribute,
    STATE(11002), 1,
      sym__attribute,
    STATE(11397), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [508358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10023), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10021), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [508395] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12803), 1,
      anon_sym_LPAREN,
    ACTIONS(12805), 1,
      anon_sym_end,
    STATE(10405), 1,
      sym_attribute,
    STATE(10957), 1,
      sym__attribute,
    STATE(11196), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [508458] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12807), 1,
      anon_sym_LPAREN,
    ACTIONS(12809), 1,
      anon_sym_end,
    STATE(10406), 1,
      sym_attribute,
    STATE(11033), 1,
      sym__attribute,
    STATE(11483), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [508521] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12811), 1,
      aux_sym_attribute_id_token1,
    STATE(10407), 1,
      sym_attribute,
    STATE(10413), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8850), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8852), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [508562] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12815), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12813), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508605] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12381), 1,
      sym_pow_operator,
    ACTIONS(12383), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12385), 1,
      sym_mult_operator,
    ACTIONS(12387), 1,
      sym_concat_operator,
    ACTIONS(12393), 1,
      sym_rel_operator,
    ACTIONS(12395), 1,
      sym_and_operator,
    ACTIONS(12397), 1,
      sym_or_operator,
    ACTIONS(12399), 1,
      anon_sym_COMMA,
    ACTIONS(12401), 1,
      sym_assign_operator,
    ACTIONS(12817), 1,
      anon_sym_SEMI,
    STATE(2213), 1,
      sym_add_operator,
    STATE(10409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8964), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [508666] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11339), 1,
      sym__lowercase_identifier,
    STATE(10410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11341), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11944), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11946), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [508707] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12819), 1,
      anon_sym_LPAREN,
    ACTIONS(12821), 1,
      anon_sym_end,
    STATE(10411), 1,
      sym_attribute,
    STATE(10956), 1,
      sym__attribute,
    STATE(11184), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [508770] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6851), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6849), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508813] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12811), 1,
      aux_sym_attribute_id_token1,
    STATE(10413), 1,
      sym_attribute,
    STATE(10424), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8777), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8779), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [508854] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12825), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10376), 1,
      aux_sym_expression_item_repeat1,
    STATE(10414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508897] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12829), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508940] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12833), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10385), 1,
      aux_sym_expression_item_repeat1,
    STATE(10416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8276), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [509020] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12837), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10418), 1,
      sym_attribute,
    STATE(10419), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12835), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509063] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12841), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12839), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8962), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8960), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [509143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7872), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [509180] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12845), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10377), 1,
      aux_sym_expression_item_repeat1,
    STATE(10422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12843), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509223] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12849), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12847), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509266] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12851), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10424), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8801), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8803), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [509305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7876), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [509342] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12854), 1,
      anon_sym_LPAREN,
    ACTIONS(12856), 1,
      anon_sym_end,
    STATE(10426), 1,
      sym_attribute,
    STATE(11059), 1,
      sym__attribute,
    STATE(11537), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [509405] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12860), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10427), 1,
      sym_attribute,
    STATE(10544), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12858), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11447), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11445), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7884), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [509522] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6923), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6921), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509565] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12864), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12862), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509608] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12868), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12866), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509651] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12872), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12870), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509694] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12876), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12874), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11405), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11407), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [509774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11411), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [509811] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12878), 1,
      anon_sym_LPAREN,
    ACTIONS(12880), 1,
      anon_sym_end,
    STATE(10437), 1,
      sym_attribute,
    STATE(11057), 1,
      sym__attribute,
    STATE(11532), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [509874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11389), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11391), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [509911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11419), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [509948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11421), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11423), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [509985] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12882), 1,
      anon_sym_LPAREN,
    ACTIONS(12884), 1,
      anon_sym_end,
    STATE(10441), 1,
      sym_attribute,
    STATE(11029), 1,
      sym__attribute,
    STATE(11465), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [510048] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12427), 1,
      sym__lowercase_identifier,
    ACTIONS(12429), 1,
      anon_sym_POUND,
    STATE(10442), 1,
      sym_attribute,
    STATE(10991), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11375), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11377), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [510101] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11753), 1,
      anon_sym_constraint,
    ACTIONS(12319), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10443), 1,
      sym_attribute,
    STATE(10505), 1,
      aux_sym_expression_item_repeat1,
    STATE(11024), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12317), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510150] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11767), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10252), 1,
      aux_sym_expression_item_repeat1,
    STATE(10444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11769), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11765), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510195] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11753), 1,
      anon_sym_constraint,
    ACTIONS(12888), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10347), 1,
      aux_sym_expression_item_repeat1,
    STATE(10445), 1,
      sym_attribute,
    STATE(10452), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12886), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10065), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10063), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [510281] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11753), 1,
      anon_sym_constraint,
    ACTIONS(12892), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10396), 1,
      aux_sym_expression_item_repeat1,
    STATE(10447), 1,
      sym_attribute,
    STATE(11024), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12890), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510330] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12319), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12317), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510373] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11753), 1,
      anon_sym_constraint,
    ACTIONS(12331), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10397), 1,
      aux_sym_expression_item_repeat1,
    STATE(10449), 1,
      sym_attribute,
    STATE(11024), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12329), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510422] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12461), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10450), 1,
      sym_attribute,
    STATE(10522), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12894), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(12459), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510467] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11753), 1,
      anon_sym_constraint,
    ACTIONS(12898), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10222), 1,
      aux_sym_expression_item_repeat1,
    STATE(10451), 1,
      sym_attribute,
    STATE(10456), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12896), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510516] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11753), 1,
      anon_sym_constraint,
    ACTIONS(12675), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10235), 1,
      aux_sym_expression_item_repeat1,
    STATE(10452), 1,
      sym_attribute,
    STATE(11024), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510565] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11753), 1,
      anon_sym_constraint,
    ACTIONS(12902), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10349), 1,
      aux_sym_expression_item_repeat1,
    STATE(10453), 1,
      sym_attribute,
    STATE(10459), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12900), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510614] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11753), 1,
      anon_sym_constraint,
    ACTIONS(12793), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10373), 1,
      aux_sym_expression_item_repeat1,
    STATE(10454), 1,
      sym_attribute,
    STATE(11024), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12791), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510663] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12906), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12904), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510706] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11753), 1,
      anon_sym_constraint,
    ACTIONS(12375), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10276), 1,
      aux_sym_expression_item_repeat1,
    STATE(10456), 1,
      sym_attribute,
    STATE(11024), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12373), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510755] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11753), 1,
      anon_sym_constraint,
    ACTIONS(12910), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10281), 1,
      aux_sym_expression_item_repeat1,
    STATE(10457), 1,
      sym_attribute,
    STATE(10460), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12908), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510804] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11753), 1,
      anon_sym_constraint,
    ACTIONS(12914), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10299), 1,
      aux_sym_expression_item_repeat1,
    STATE(10458), 1,
      sym_attribute,
    STATE(10461), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12912), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510853] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11753), 1,
      anon_sym_constraint,
    ACTIONS(12683), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10361), 1,
      aux_sym_expression_item_repeat1,
    STATE(10459), 1,
      sym_attribute,
    STATE(11024), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12681), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510902] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11753), 1,
      anon_sym_constraint,
    ACTIONS(12572), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10342), 1,
      aux_sym_expression_item_repeat1,
    STATE(10460), 1,
      sym_attribute,
    STATE(11024), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12570), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510951] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11753), 1,
      anon_sym_constraint,
    ACTIONS(12618), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10345), 1,
      aux_sym_expression_item_repeat1,
    STATE(10461), 1,
      sym_attribute,
    STATE(11024), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12616), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511000] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11753), 1,
      anon_sym_constraint,
    ACTIONS(12918), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10348), 1,
      aux_sym_expression_item_repeat1,
    STATE(10462), 1,
      sym_attribute,
    STATE(10463), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12916), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511049] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11753), 1,
      anon_sym_constraint,
    ACTIONS(12679), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10463), 1,
      sym_attribute,
    STATE(10527), 1,
      aux_sym_expression_item_repeat1,
    STATE(11024), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511098] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(12427), 1,
      sym__lowercase_identifier,
    ACTIONS(12429), 1,
      anon_sym_POUND,
    STATE(10464), 1,
      sym_attribute,
    STATE(10991), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11531), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [511151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10862), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10864), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [511188] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11763), 1,
      anon_sym_constraint,
    ACTIONS(12319), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10466), 1,
      sym_attribute,
    STATE(10505), 1,
      aux_sym_expression_item_repeat1,
    STATE(11030), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12317), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511237] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11763), 1,
      anon_sym_constraint,
    ACTIONS(12888), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10347), 1,
      aux_sym_expression_item_repeat1,
    STATE(10467), 1,
      sym_attribute,
    STATE(10473), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12886), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511286] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11763), 1,
      anon_sym_constraint,
    ACTIONS(12892), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10396), 1,
      aux_sym_expression_item_repeat1,
    STATE(10468), 1,
      sym_attribute,
    STATE(11030), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12890), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511335] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12922), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10469), 1,
      sym_attribute,
    STATE(10493), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12920), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511378] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11763), 1,
      anon_sym_constraint,
    ACTIONS(12331), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10397), 1,
      aux_sym_expression_item_repeat1,
    STATE(10470), 1,
      sym_attribute,
    STATE(11030), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12329), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511427] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12926), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12924), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511470] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11763), 1,
      anon_sym_constraint,
    ACTIONS(12898), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10222), 1,
      aux_sym_expression_item_repeat1,
    STATE(10472), 1,
      sym_attribute,
    STATE(10476), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12896), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511519] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11763), 1,
      anon_sym_constraint,
    ACTIONS(12675), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10235), 1,
      aux_sym_expression_item_repeat1,
    STATE(10473), 1,
      sym_attribute,
    STATE(11030), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511568] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11763), 1,
      anon_sym_constraint,
    ACTIONS(12902), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10349), 1,
      aux_sym_expression_item_repeat1,
    STATE(10474), 1,
      sym_attribute,
    STATE(10479), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12900), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511617] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11763), 1,
      anon_sym_constraint,
    ACTIONS(12793), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10373), 1,
      aux_sym_expression_item_repeat1,
    STATE(10475), 1,
      sym_attribute,
    STATE(11030), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12791), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511666] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11763), 1,
      anon_sym_constraint,
    ACTIONS(12375), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10276), 1,
      aux_sym_expression_item_repeat1,
    STATE(10476), 1,
      sym_attribute,
    STATE(11030), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12373), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511715] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11763), 1,
      anon_sym_constraint,
    ACTIONS(12910), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10281), 1,
      aux_sym_expression_item_repeat1,
    STATE(10477), 1,
      sym_attribute,
    STATE(10481), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12908), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511764] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11763), 1,
      anon_sym_constraint,
    ACTIONS(12914), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10299), 1,
      aux_sym_expression_item_repeat1,
    STATE(10478), 1,
      sym_attribute,
    STATE(10482), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12912), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511813] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11763), 1,
      anon_sym_constraint,
    ACTIONS(12683), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10361), 1,
      aux_sym_expression_item_repeat1,
    STATE(10479), 1,
      sym_attribute,
    STATE(11030), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12681), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511862] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    ACTIONS(12930), 1,
      anon_sym_end,
    STATE(10480), 1,
      sym_attribute,
    STATE(11008), 1,
      sym__attribute,
    STATE(11421), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [511925] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11763), 1,
      anon_sym_constraint,
    ACTIONS(12572), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10342), 1,
      aux_sym_expression_item_repeat1,
    STATE(10481), 1,
      sym_attribute,
    STATE(11030), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12570), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511974] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11763), 1,
      anon_sym_constraint,
    ACTIONS(12618), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10345), 1,
      aux_sym_expression_item_repeat1,
    STATE(10482), 1,
      sym_attribute,
    STATE(11030), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12616), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512023] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11763), 1,
      anon_sym_constraint,
    ACTIONS(12918), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10348), 1,
      aux_sym_expression_item_repeat1,
    STATE(10483), 1,
      sym_attribute,
    STATE(10484), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12916), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512072] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11763), 1,
      anon_sym_constraint,
    ACTIONS(12679), 1,
      anon_sym_let,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10484), 1,
      sym_attribute,
    STATE(10527), 1,
      aux_sym_expression_item_repeat1,
    STATE(11030), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512121] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12934), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12932), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512164] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11966), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12936), 1,
      anon_sym_LPAREN,
    ACTIONS(12938), 1,
      anon_sym_LBRACK,
    STATE(10486), 1,
      sym_attribute,
    STATE(11273), 1,
      sym__constructor_name,
    STATE(12060), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12940), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11964), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [512213] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12946), 1,
      anon_sym_and,
    STATE(10487), 1,
      sym_attribute,
    STATE(10488), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12944), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12942), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512254] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12948), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11773), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10488), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11771), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512293] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12953), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10260), 1,
      aux_sym_expression_item_repeat1,
    STATE(10489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12951), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11271), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11269), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12957), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12955), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11295), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11297), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [512447] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12961), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12959), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512490] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12963), 1,
      anon_sym_and,
    STATE(10494), 1,
      sym_attribute,
    STATE(10495), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12944), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12942), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512531] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12965), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11773), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10495), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11771), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512570] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6765), 1,
      anon_sym_let,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6763), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512613] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11922), 1,
      sym__lowercase_identifier,
    ACTIONS(11924), 1,
      anon_sym_POUND,
    STATE(10440), 1,
      sym_type_constructor_path,
    STATE(10497), 1,
      sym_attribute,
    STATE(16752), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11375), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11377), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [512660] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10271), 1,
      aux_sym_expression_item_repeat1,
    STATE(10498), 1,
      sym_attribute,
    STATE(10873), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12970), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12968), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [512703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9756), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9754), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [512740] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10500), 1,
      sym_attribute,
    STATE(10560), 1,
      aux_sym_expression_item_repeat1,
    STATE(10873), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12974), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12972), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [512783] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12978), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12976), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11261), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11263), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [512863] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12185), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12980), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10503), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12183), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [512904] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12331), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12329), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512947] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12892), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12890), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512990] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12983), 1,
      anon_sym_LPAREN,
    ACTIONS(12985), 1,
      anon_sym_end,
    STATE(10506), 1,
      sym_attribute,
    STATE(10938), 1,
      sym__attribute,
    STATE(11146), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [513053] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2213), 1,
      sym_add_operator,
    STATE(10507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [513092] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12431), 1,
      anon_sym_else,
    STATE(7969), 1,
      sym_else_clause,
    STATE(10508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [513133] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(12987), 1,
      anon_sym_LPAREN,
    ACTIONS(12989), 1,
      anon_sym_end,
    STATE(10509), 1,
      sym_attribute,
    STATE(11016), 1,
      sym__attribute,
    STATE(11433), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [513196] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12993), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12991), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513239] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12995), 1,
      anon_sym_STAR,
    STATE(10511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10227), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10225), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11315), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11317), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [513315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11319), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11321), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [513352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11323), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11325), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [513389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12999), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12997), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9926), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9924), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [513463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9982), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9980), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [513500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11327), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11329), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [513537] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(13001), 1,
      anon_sym_LPAREN,
    ACTIONS(13003), 1,
      anon_sym_end,
    STATE(10519), 1,
      sym_attribute,
    STATE(11060), 1,
      sym__attribute,
    STATE(11540), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [513600] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12262), 1,
      sym__lowercase_identifier,
    ACTIONS(12264), 1,
      anon_sym_POUND,
    ACTIONS(13005), 1,
      anon_sym_STAR,
    STATE(10520), 1,
      sym_attribute,
    STATE(10835), 1,
      sym_type_constructor_path,
    STATE(11970), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16503), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11273), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11713), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [513651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11331), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11333), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [513688] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13009), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13007), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513731] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(13011), 1,
      anon_sym_LPAREN,
    ACTIONS(13013), 1,
      anon_sym_end,
    STATE(10523), 1,
      sym_attribute,
    STATE(11064), 1,
      sym__attribute,
    STATE(11563), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [513794] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13017), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13015), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11335), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11337), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [513874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13021), 1,
      anon_sym_let,
    STATE(10526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13019), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513911] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13025), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13023), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513954] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13027), 1,
      anon_sym_else,
    STATE(7969), 1,
      sym_else_clause,
    STATE(10528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [513995] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13033), 1,
      anon_sym_DQUOTE,
    STATE(10982), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13031), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10529), 2,
      sym_attribute,
      aux_sym_external_repeat1,
    ACTIONS(13029), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514036] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13038), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13036), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514079] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13042), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10471), 1,
      aux_sym_expression_item_repeat1,
    STATE(10531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13040), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514122] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10498), 1,
      aux_sym_expression_item_repeat1,
    STATE(10532), 1,
      sym_attribute,
    STATE(10873), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13046), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13044), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [514165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8964), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [514202] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10271), 1,
      aux_sym_expression_item_repeat1,
    STATE(10534), 1,
      sym_attribute,
    STATE(10873), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13050), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13048), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [514245] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12628), 1,
      anon_sym_PIPE,
    STATE(10316), 1,
      aux_sym__match_cases_repeat1,
    STATE(10535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [514286] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13027), 1,
      anon_sym_else,
    STATE(7831), 1,
      sym_else_clause,
    STATE(10536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [514327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11301), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11299), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514364] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12628), 1,
      anon_sym_PIPE,
    STATE(10318), 1,
      aux_sym__match_cases_repeat1,
    STATE(10538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [514405] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13054), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13052), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514448] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13058), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10510), 1,
      aux_sym_expression_item_repeat1,
    STATE(10540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13056), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514491] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13062), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13060), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514534] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13066), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10542), 1,
      sym_attribute,
    STATE(10553), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13064), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514577] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(13068), 1,
      anon_sym_LPAREN,
    ACTIONS(13070), 1,
      anon_sym_end,
    STATE(10543), 1,
      sym_attribute,
    STATE(10965), 1,
      sym__attribute,
    STATE(11227), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [514640] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13074), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13072), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514683] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13078), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10351), 1,
      aux_sym_expression_item_repeat1,
    STATE(10545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13076), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514726] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(13080), 1,
      anon_sym_LPAREN,
    ACTIONS(13082), 1,
      anon_sym_end,
    STATE(10546), 1,
      sym_attribute,
    STATE(11062), 1,
      sym__attribute,
    STATE(11548), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [514789] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12081), 1,
      sym__lowercase_identifier,
    ACTIONS(12083), 1,
      anon_sym_POUND,
    STATE(10547), 1,
      sym_attribute,
    STATE(10750), 1,
      sym_type_constructor_path,
    STATE(16726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12017), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12019), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [514836] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10250), 1,
      aux_sym_expression_item_repeat1,
    STATE(10548), 1,
      sym_attribute,
    STATE(10873), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13086), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13084), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [514879] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13090), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13088), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514922] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13094), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10223), 1,
      aux_sym_expression_item_repeat1,
    STATE(10550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13092), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514965] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13096), 1,
      anon_sym_STAR,
    STATE(10551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10227), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10225), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515004] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13100), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13098), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515047] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13104), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13102), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515090] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13108), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10432), 1,
      aux_sym_expression_item_repeat1,
    STATE(10554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13106), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515133] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9066), 1,
      sym__lowercase_identifier,
    STATE(10555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11297), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11295), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [515174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13112), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13110), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515211] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(13114), 1,
      anon_sym_LPAREN,
    ACTIONS(13116), 1,
      anon_sym_end,
    STATE(10557), 1,
      sym_attribute,
    STATE(10869), 1,
      sym__attribute,
    STATE(11290), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [515274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10085), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10083), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [515311] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11818), 1,
      anon_sym_constraint,
    ACTIONS(13118), 1,
      anon_sym_EQ,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10397), 1,
      aux_sym_expression_item_repeat1,
    STATE(10559), 1,
      sym_attribute,
    STATE(10576), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12329), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [515360] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10271), 1,
      aux_sym_expression_item_repeat1,
    STATE(10560), 1,
      sym_attribute,
    STATE(10873), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13122), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13120), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [515403] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12197), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13124), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(10561), 1,
      sym_attribute,
    STATE(10563), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12195), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [515446] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12203), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13124), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(10562), 1,
      sym_attribute,
    STATE(10564), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12201), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [515489] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12203), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13124), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(10503), 1,
      aux_sym_type_binding_repeat1,
    STATE(10563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12201), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [515532] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12207), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13124), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(10503), 1,
      aux_sym_type_binding_repeat1,
    STATE(10564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12205), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [515575] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12946), 1,
      anon_sym_and,
    STATE(10487), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(10565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13128), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13126), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515616] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13132), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10324), 1,
      aux_sym_expression_item_repeat1,
    STATE(10566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13130), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515659] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(12421), 1,
      anon_sym_PERCENT,
    ACTIONS(13134), 1,
      anon_sym_LPAREN,
    ACTIONS(13136), 1,
      anon_sym_end,
    STATE(10567), 1,
      sym_attribute,
    STATE(11068), 1,
      sym__attribute,
    STATE(11582), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [515722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11351), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11353), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [515759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11355), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11357), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [515796] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12963), 1,
      anon_sym_and,
    STATE(10494), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(10570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13128), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13126), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11359), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11361), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [515874] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11818), 1,
      anon_sym_constraint,
    ACTIONS(13138), 1,
      anon_sym_EQ,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10505), 1,
      aux_sym_expression_item_repeat1,
    STATE(10572), 1,
      sym_attribute,
    STATE(10724), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12317), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [515923] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12381), 1,
      sym_pow_operator,
    ACTIONS(12383), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12385), 1,
      sym_mult_operator,
    ACTIONS(12387), 1,
      sym_concat_operator,
    ACTIONS(12393), 1,
      sym_rel_operator,
    ACTIONS(12395), 1,
      sym_and_operator,
    ACTIONS(12397), 1,
      sym_or_operator,
    STATE(2213), 1,
      sym_add_operator,
    STATE(10573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [515978] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12381), 1,
      sym_pow_operator,
    ACTIONS(12383), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12385), 1,
      sym_mult_operator,
    STATE(2213), 1,
      sym_add_operator,
    STATE(10574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [516025] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13140), 1,
      sym__lowercase_identifier,
    ACTIONS(13142), 1,
      anon_sym_LPAREN,
    ACTIONS(13144), 1,
      anon_sym_DASH_GT,
    ACTIONS(13146), 1,
      anon_sym_module,
    ACTIONS(13148), 1,
      anon_sym_sig,
    ACTIONS(13150), 1,
      anon_sym_functor,
    ACTIONS(13152), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13154), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13156), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10575), 1,
      sym_attribute,
    STATE(13659), 1,
      sym__module_type,
    STATE(14329), 1,
      aux_sym_module_binding_repeat1,
    STATE(17256), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13488), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [516085] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11818), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10373), 1,
      aux_sym_expression_item_repeat1,
    STATE(10576), 1,
      sym_attribute,
    STATE(11533), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12791), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [516131] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11365), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11363), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [516167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11289), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11287), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [516203] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12515), 1,
      anon_sym_EQ,
    ACTIONS(13158), 1,
      anon_sym_of,
    ACTIONS(13160), 1,
      anon_sym_COLON2,
    STATE(10579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12513), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12511), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516245] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10580), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15051), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [516305] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(13162), 1,
      anon_sym_DASH_GT,
    ACTIONS(13164), 1,
      anon_sym_module,
    ACTIONS(13166), 1,
      anon_sym_functor,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10581), 1,
      sym_attribute,
    STATE(10906), 1,
      sym__module_type,
    STATE(14660), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [516365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11293), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11291), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [516401] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11818), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10281), 1,
      aux_sym_expression_item_repeat1,
    STATE(10583), 1,
      sym_attribute,
    STATE(10617), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12908), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [516447] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(12258), 1,
      anon_sym_DASH_GT,
    ACTIONS(12260), 1,
      anon_sym_functor,
    STATE(9235), 1,
      sym__module_type,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10584), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [516507] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10585), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15003), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [516567] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10586), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15551), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [516627] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13176), 1,
      anon_sym_DASH_GT,
    ACTIONS(13178), 1,
      anon_sym_with,
    STATE(10587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13174), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13172), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11341), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11339), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [516703] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11773), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13180), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10589), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11771), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [516741] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11818), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10299), 1,
      aux_sym_expression_item_repeat1,
    STATE(10590), 1,
      sym_attribute,
    STATE(10689), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12912), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [516787] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11263), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11261), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [516823] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12133), 1,
      sym__lowercase_identifier,
    ACTIONS(12135), 1,
      anon_sym_POUND,
    STATE(10592), 1,
      sym_attribute,
    STATE(10635), 1,
      sym_type_constructor_path,
    STATE(16888), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11375), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11377), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [516869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9066), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [516905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11411), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11409), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [516941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11281), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11279), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [516977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11365), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11363), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [517013] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10597), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15089), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [517073] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10598), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15108), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [517133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11391), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11389), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [517169] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13140), 1,
      sym__lowercase_identifier,
    ACTIONS(13142), 1,
      anon_sym_LPAREN,
    ACTIONS(13144), 1,
      anon_sym_DASH_GT,
    ACTIONS(13146), 1,
      anon_sym_module,
    ACTIONS(13148), 1,
      anon_sym_sig,
    ACTIONS(13150), 1,
      anon_sym_functor,
    ACTIONS(13152), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13154), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13156), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10600), 1,
      sym_attribute,
    STATE(13623), 1,
      sym__module_type,
    STATE(14329), 1,
      aux_sym_module_binding_repeat1,
    STATE(17256), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13488), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [517229] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12081), 1,
      sym__lowercase_identifier,
    ACTIONS(12083), 1,
      anon_sym_POUND,
    STATE(10601), 1,
      sym_attribute,
    STATE(10750), 1,
      sym_type_constructor_path,
    STATE(16726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12109), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12111), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [517275] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(13162), 1,
      anon_sym_DASH_GT,
    ACTIONS(13164), 1,
      anon_sym_module,
    ACTIONS(13166), 1,
      anon_sym_functor,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9235), 1,
      sym__module_type,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10602), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [517335] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10603), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15401), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [517395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11337), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11335), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [517431] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(12258), 1,
      anon_sym_DASH_GT,
    ACTIONS(12260), 1,
      anon_sym_functor,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10605), 1,
      sym_attribute,
    STATE(10921), 1,
      sym__module_type,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [517491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11317), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11315), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [517527] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8801), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8803), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [517563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11255), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11253), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [517599] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13185), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10609), 1,
      sym_attribute,
    STATE(10855), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13183), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11405), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [517677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11411), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11409), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [517713] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10612), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15407), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [517773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11419), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11417), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [517809] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12075), 1,
      sym__lowercase_identifier,
    ACTIONS(12077), 1,
      anon_sym_POUND,
    STATE(10614), 1,
      sym_attribute,
    STATE(10659), 1,
      sym_type_constructor_path,
    STATE(16778), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11525), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11527), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [517855] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(13187), 1,
      anon_sym_DASH_GT,
    STATE(10615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12254), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12252), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517895] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__lowercase_identifier,
    ACTIONS(9068), 17,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [517931] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11818), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10342), 1,
      aux_sym_expression_item_repeat1,
    STATE(10617), 1,
      sym_attribute,
    STATE(11533), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12570), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [517977] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10618), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15253), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [518037] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10619), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15503), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [518097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11281), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11279), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518133] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13140), 1,
      sym__lowercase_identifier,
    ACTIONS(13142), 1,
      anon_sym_LPAREN,
    ACTIONS(13144), 1,
      anon_sym_DASH_GT,
    ACTIONS(13146), 1,
      anon_sym_module,
    ACTIONS(13148), 1,
      anon_sym_sig,
    ACTIONS(13150), 1,
      anon_sym_functor,
    ACTIONS(13152), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13154), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13156), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10621), 1,
      sym_attribute,
    STATE(13493), 1,
      sym__module_type,
    STATE(14329), 1,
      aux_sym_module_binding_repeat1,
    STATE(17256), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13488), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [518193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11285), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11283), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11289), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11287), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518265] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11339), 1,
      sym__lowercase_identifier,
    STATE(10624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11341), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11944), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11946), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [518305] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13197), 1,
      sym_rel_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    STATE(1870), 1,
      sym_add_operator,
    STATE(10625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [518359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11419), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11417), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11251), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11249), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11341), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11339), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518467] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    STATE(1870), 1,
      sym_add_operator,
    STATE(10629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [518513] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(12258), 1,
      anon_sym_DASH_GT,
    ACTIONS(12260), 1,
      anon_sym_functor,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10630), 1,
      sym_attribute,
    STATE(11087), 1,
      sym__module_type,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [518573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11391), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11389), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11317), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11315), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [518645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11321), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11319), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [518681] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13191), 1,
      sym_pow_operator,
    STATE(1870), 1,
      sym_add_operator,
    STATE(10634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [518721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11421), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [518757] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13191), 1,
      sym_pow_operator,
    STATE(1870), 1,
      sym_add_operator,
    STATE(10636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [518797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11293), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11291), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11325), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11323), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [518869] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10639), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15598), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [518929] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(12363), 1,
      anon_sym_DASH_GT,
    ACTIONS(12365), 1,
      anon_sym_functor,
    STATE(9235), 1,
      sym__module_type,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10640), 1,
      sym_attribute,
    STATE(14919), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [518989] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13176), 1,
      anon_sym_DASH_GT,
    ACTIONS(13178), 1,
      anon_sym_with,
    STATE(10641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13205), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13203), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519029] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    STATE(1870), 1,
      sym_add_operator,
    STATE(10642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [519077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7884), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [519113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11329), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11327), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [519149] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11818), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10222), 1,
      aux_sym_expression_item_repeat1,
    STATE(10645), 1,
      sym_attribute,
    STATE(10685), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12896), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [519195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11333), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11331), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [519231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11297), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11295), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9066), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [519303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11337), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11335), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [519339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11357), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11355), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519375] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10328), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10330), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [519411] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12081), 1,
      sym__lowercase_identifier,
    ACTIONS(12083), 1,
      anon_sym_POUND,
    STATE(10652), 1,
      sym_attribute,
    STATE(10750), 1,
      sym_type_constructor_path,
    STATE(16726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11525), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11527), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [519457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11255), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11253), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519493] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12081), 1,
      sym__lowercase_identifier,
    ACTIONS(12083), 1,
      anon_sym_POUND,
    STATE(10654), 1,
      sym_attribute,
    STATE(10750), 1,
      sym_type_constructor_path,
    STATE(16726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11531), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [519539] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11818), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10235), 1,
      aux_sym_expression_item_repeat1,
    STATE(10655), 1,
      sym_attribute,
    STATE(11533), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [519585] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10656), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15774), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [519645] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(12258), 1,
      anon_sym_DASH_GT,
    ACTIONS(12260), 1,
      anon_sym_functor,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10657), 1,
      sym_attribute,
    STATE(11071), 1,
      sym__module_type,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [519705] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11818), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10527), 1,
      aux_sym_expression_item_repeat1,
    STATE(10658), 1,
      sym_attribute,
    STATE(11533), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [519751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11421), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519787] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11361), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11359), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11337), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11335), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519859] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11297), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11295), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [519895] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    STATE(1870), 1,
      sym_add_operator,
    STATE(10663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [519943] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12075), 1,
      sym__lowercase_identifier,
    ACTIONS(12077), 1,
      anon_sym_POUND,
    STATE(10659), 1,
      sym_type_constructor_path,
    STATE(10664), 1,
      sym_attribute,
    STATE(16778), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12101), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12103), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [519989] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13197), 1,
      sym_rel_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    STATE(1870), 1,
      sym_add_operator,
    STATE(10665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [520041] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10666), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15735), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [520101] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10667), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15424), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [520161] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11818), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10397), 1,
      aux_sym_expression_item_repeat1,
    STATE(10668), 1,
      sym_attribute,
    STATE(11533), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12329), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [520207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11317), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11315), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [520243] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10252), 1,
      aux_sym_expression_item_repeat1,
    STATE(10670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11956), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11765), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [520285] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13197), 1,
      sym_rel_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    STATE(1870), 1,
      sym_add_operator,
    STATE(10671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [520339] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12133), 1,
      sym__lowercase_identifier,
    ACTIONS(12135), 1,
      anon_sym_POUND,
    STATE(10635), 1,
      sym_type_constructor_path,
    STATE(10672), 1,
      sym_attribute,
    STATE(16888), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12097), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12099), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [520385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11321), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11319), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [520421] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12075), 1,
      sym__lowercase_identifier,
    ACTIONS(12077), 1,
      anon_sym_POUND,
    STATE(10659), 1,
      sym_type_constructor_path,
    STATE(10674), 1,
      sym_attribute,
    STATE(16778), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12097), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12099), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [520467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11353), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11351), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [520503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11357), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11355), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [520539] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13209), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13207), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520581] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12254), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(13211), 1,
      anon_sym_DASH_GT,
    STATE(10678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12252), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [520621] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11125), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11123), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520663] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12133), 1,
      sym__lowercase_identifier,
    ACTIONS(12135), 1,
      anon_sym_POUND,
    STATE(10635), 1,
      sym_type_constructor_path,
    STATE(10680), 1,
      sym_attribute,
    STATE(16888), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12101), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12103), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [520709] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12495), 1,
      anon_sym_EQ,
    ACTIONS(13213), 1,
      anon_sym_of,
    ACTIONS(13215), 1,
      anon_sym_COLON2,
    STATE(10681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12493), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12491), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520751] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10682), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15869), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [520811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11361), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11359), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [520847] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12505), 1,
      anon_sym_EQ,
    ACTIONS(13217), 1,
      anon_sym_of,
    ACTIONS(13219), 1,
      anon_sym_COLON2,
    STATE(10684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12503), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12501), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520889] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11818), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10276), 1,
      aux_sym_expression_item_repeat1,
    STATE(10685), 1,
      sym_attribute,
    STATE(11533), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12373), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [520935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11321), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11319), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [520971] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11818), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10361), 1,
      aux_sym_expression_item_repeat1,
    STATE(10687), 1,
      sym_attribute,
    STATE(11533), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12681), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [521017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11405), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [521053] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11818), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10345), 1,
      aux_sym_expression_item_repeat1,
    STATE(10689), 1,
      sym_attribute,
    STATE(11533), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12616), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [521099] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12133), 1,
      sym__lowercase_identifier,
    ACTIONS(12135), 1,
      anon_sym_POUND,
    STATE(10635), 1,
      sym_type_constructor_path,
    STATE(10690), 1,
      sym_attribute,
    STATE(16888), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12109), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12111), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [521145] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12515), 1,
      anon_sym_EQ,
    ACTIONS(13221), 1,
      anon_sym_of,
    ACTIONS(13223), 1,
      anon_sym_COLON2,
    STATE(10691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12513), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12511), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11341), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11339), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [521223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7884), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [521259] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13197), 1,
      sym_rel_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    STATE(1870), 1,
      sym_add_operator,
    STATE(10694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [521317] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    STATE(1870), 1,
      sym_add_operator,
    STATE(10695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 8,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [521359] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12127), 1,
      anon_sym_constraint,
    ACTIONS(13229), 1,
      anon_sym_EQ,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10505), 1,
      aux_sym_expression_item_repeat1,
    STATE(10696), 1,
      sym_attribute,
    STATE(11040), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12317), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [521407] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13197), 1,
      sym_rel_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    STATE(1870), 1,
      sym_add_operator,
    STATE(10697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10159), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [521465] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10328), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(10330), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [521501] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12127), 1,
      anon_sym_constraint,
    ACTIONS(13231), 1,
      anon_sym_EQ,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10397), 1,
      aux_sym_expression_item_repeat1,
    STATE(10699), 1,
      sym_attribute,
    STATE(11046), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12329), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [521549] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9066), 1,
      sym__lowercase_identifier,
    STATE(10700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11297), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11295), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [521589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11365), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11363), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [521625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11353), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11351), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [521661] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13235), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10703), 1,
      sym_attribute,
    STATE(10760), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13233), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11333), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11331), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [521739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11317), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11315), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [521775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11321), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11319), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [521811] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(12258), 1,
      anon_sym_DASH_GT,
    ACTIONS(12260), 1,
      anon_sym_functor,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10707), 1,
      sym_attribute,
    STATE(11063), 1,
      sym__module_type,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [521871] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12081), 1,
      sym__lowercase_identifier,
    ACTIONS(12083), 1,
      anon_sym_POUND,
    STATE(10708), 1,
      sym_attribute,
    STATE(10750), 1,
      sym_type_constructor_path,
    STATE(16726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11375), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11377), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [521917] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(12258), 1,
      anon_sym_DASH_GT,
    ACTIONS(12260), 1,
      anon_sym_functor,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10709), 1,
      sym_attribute,
    STATE(11361), 1,
      sym__module_type,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [521977] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(12258), 1,
      anon_sym_DASH_GT,
    ACTIONS(12260), 1,
      anon_sym_functor,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10710), 1,
      sym_attribute,
    STATE(10891), 1,
      sym__module_type,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [522037] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10711), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15992), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [522097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11259), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11257), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [522133] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13128), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13237), 1,
      anon_sym_and,
    STATE(10713), 1,
      sym_attribute,
    STATE(10798), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13126), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [522173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11325), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11323), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [522209] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10715), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15975), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [522269] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(12285), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13211), 1,
      anon_sym_DASH_GT,
    STATE(10716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12283), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [522309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11411), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11409), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [522345] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13241), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13239), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11357), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11355), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [522423] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10522), 1,
      aux_sym_expression_item_repeat1,
    STATE(10720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13243), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(12459), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [522465] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(13187), 1,
      anon_sym_DASH_GT,
    STATE(10721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12285), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12283), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7884), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [522541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11263), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11261), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [522577] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11818), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10396), 1,
      aux_sym_expression_item_repeat1,
    STATE(10724), 1,
      sym_attribute,
    STATE(11533), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12890), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [522623] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11818), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10505), 1,
      aux_sym_expression_item_repeat1,
    STATE(10725), 1,
      sym_attribute,
    STATE(11533), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12317), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [522669] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(12297), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13211), 1,
      anon_sym_DASH_GT,
    STATE(10726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12295), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [522709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11325), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11323), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [522745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11325), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11323), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [522781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8276), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [522817] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12493), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13245), 1,
      anon_sym_EQ,
    ACTIONS(13247), 1,
      anon_sym_of,
    ACTIONS(13249), 1,
      anon_sym_COLON2,
    STATE(10730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12491), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [522859] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12503), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13251), 1,
      anon_sym_EQ,
    ACTIONS(13253), 1,
      anon_sym_of,
    ACTIONS(13255), 1,
      anon_sym_COLON2,
    STATE(10731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12501), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [522901] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13197), 1,
      sym_rel_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(13257), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(10732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8964), 5,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [522961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11357), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11355), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [522997] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12081), 1,
      sym__lowercase_identifier,
    ACTIONS(12083), 1,
      anon_sym_POUND,
    STATE(10734), 1,
      sym_attribute,
    STATE(10750), 1,
      sym_type_constructor_path,
    STATE(16726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12097), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12099), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [523043] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11779), 1,
      anon_sym_COLON2,
    STATE(10735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9058), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [523081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11337), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11335), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [523117] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11715), 1,
      anon_sym_STAR,
    STATE(10737), 1,
      sym_attribute,
    STATE(10742), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13261), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13259), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523157] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10738), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(16136), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [523217] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13263), 1,
      anon_sym_EQ,
    ACTIONS(13265), 1,
      anon_sym_of,
    ACTIONS(13267), 1,
      anon_sym_COLON2,
    STATE(10739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12511), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [523259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9058), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [523295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11329), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11327), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [523331] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13269), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12019), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10742), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12017), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523369] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11818), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10348), 1,
      aux_sym_expression_item_repeat1,
    STATE(10658), 1,
      aux_sym_type_binding_repeat1,
    STATE(10743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12916), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [523415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11329), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11327), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [523451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11329), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11327), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [523487] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10746), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(14931), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [523547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8276), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [523583] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8276), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [523619] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13140), 1,
      sym__lowercase_identifier,
    ACTIONS(13142), 1,
      anon_sym_LPAREN,
    ACTIONS(13144), 1,
      anon_sym_DASH_GT,
    ACTIONS(13146), 1,
      anon_sym_module,
    ACTIONS(13148), 1,
      anon_sym_sig,
    ACTIONS(13150), 1,
      anon_sym_functor,
    ACTIONS(13152), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13154), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13156), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10749), 1,
      sym_attribute,
    STATE(13647), 1,
      sym__module_type,
    STATE(14329), 1,
      aux_sym_module_binding_repeat1,
    STATE(17256), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13488), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [523679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11421), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [523715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7872), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [523751] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(13162), 1,
      anon_sym_DASH_GT,
    ACTIONS(13164), 1,
      anon_sym_module,
    ACTIONS(13166), 1,
      anon_sym_functor,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10641), 1,
      sym__module_type,
    STATE(10752), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [523811] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12262), 1,
      sym__lowercase_identifier,
    ACTIONS(12264), 1,
      anon_sym_POUND,
    STATE(10753), 1,
      sym_attribute,
    STATE(10835), 1,
      sym_type_constructor_path,
    STATE(16503), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12017), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12019), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [523857] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(13272), 1,
      anon_sym_DASH_GT,
    STATE(10754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12254), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12252), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11259), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11257), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [523933] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(1870), 1,
      sym_add_operator,
    STATE(10756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [523971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11333), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11331), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [524007] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(13162), 1,
      anon_sym_DASH_GT,
    ACTIONS(13164), 1,
      anon_sym_module,
    ACTIONS(13166), 1,
      anon_sym_functor,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10758), 1,
      sym_attribute,
    STATE(10797), 1,
      sym__module_type,
    STATE(14660), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [524067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11361), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11359), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [524103] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13276), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13274), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524145] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13197), 1,
      sym_rel_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    STATE(1870), 1,
      sym_add_operator,
    STATE(10761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10185), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [524203] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12119), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12117), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524245] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13280), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13278), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524287] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11165), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11163), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11251), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11249), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [524365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11255), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11253), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [524401] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(13162), 1,
      anon_sym_DASH_GT,
    ACTIONS(13164), 1,
      anon_sym_module,
    ACTIONS(13166), 1,
      anon_sym_functor,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10767), 1,
      sym_attribute,
    STATE(10800), 1,
      sym__module_type,
    STATE(14660), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [524461] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10227), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13282), 1,
      anon_sym_STAR,
    STATE(10768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10225), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [524499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11259), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11257), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [524535] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10770), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(16271), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [524595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11263), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11261), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [524631] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10772), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15835), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [524691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11251), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11249), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [524727] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13286), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13284), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9058), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [524805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11361), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11359), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [524841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11255), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11253), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [524877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11259), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11257), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [524913] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11263), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11261), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [524949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9066), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [524985] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11800), 1,
      anon_sym_STAR,
    STATE(10781), 1,
      sym_attribute,
    STATE(10782), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13261), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13259), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [525025] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13288), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12019), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10782), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12017), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [525063] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12427), 1,
      sym__lowercase_identifier,
    ACTIONS(12429), 1,
      anon_sym_POUND,
    ACTIONS(13291), 1,
      anon_sym_STAR,
    STATE(10783), 1,
      sym_attribute,
    STATE(10991), 1,
      sym_type_constructor_path,
    STATE(12259), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11273), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11713), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [525113] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12213), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13211), 1,
      anon_sym_DASH_GT,
    STATE(10784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12211), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [525151] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10785), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15026), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [525211] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12133), 1,
      sym__lowercase_identifier,
    ACTIONS(12135), 1,
      anon_sym_POUND,
    STATE(10635), 1,
      sym_type_constructor_path,
    STATE(10786), 1,
      sym_attribute,
    STATE(16888), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11525), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11527), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [525257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7876), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525293] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(13272), 1,
      anon_sym_DASH_GT,
    STATE(10788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12285), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12283), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [525333] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12075), 1,
      sym__lowercase_identifier,
    ACTIONS(12077), 1,
      anon_sym_POUND,
    STATE(10659), 1,
      sym_type_constructor_path,
    STATE(10789), 1,
      sym_attribute,
    STATE(16778), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11375), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11377), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [525379] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10790), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15063), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [525439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11333), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11331), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525475] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13295), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13293), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [525517] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(13162), 1,
      anon_sym_DASH_GT,
    ACTIONS(13164), 1,
      anon_sym_module,
    ACTIONS(13166), 1,
      anon_sym_functor,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10793), 1,
      sym_attribute,
    STATE(10902), 1,
      sym__module_type,
    STATE(14660), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [525577] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12133), 1,
      sym__lowercase_identifier,
    ACTIONS(12135), 1,
      anon_sym_POUND,
    STATE(10635), 1,
      sym_type_constructor_path,
    STATE(10794), 1,
      sym_attribute,
    STATE(16888), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11531), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [525623] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(12258), 1,
      anon_sym_DASH_GT,
    ACTIONS(12260), 1,
      anon_sym_functor,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10795), 1,
      sym_attribute,
    STATE(11508), 1,
      sym__module_type,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [525683] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13299), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13297), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [525725] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13176), 1,
      anon_sym_DASH_GT,
    ACTIONS(13178), 1,
      anon_sym_with,
    STATE(10797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13303), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13301), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [525765] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12944), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13237), 1,
      anon_sym_and,
    STATE(10589), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(10798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12942), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [525805] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12081), 1,
      sym__lowercase_identifier,
    ACTIONS(12083), 1,
      anon_sym_POUND,
    STATE(10750), 1,
      sym_type_constructor_path,
    STATE(10799), 1,
      sym_attribute,
    STATE(16726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12101), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12103), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [525851] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13176), 1,
      anon_sym_DASH_GT,
    ACTIONS(13178), 1,
      anon_sym_with,
    STATE(10800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13307), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13305), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [525891] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11818), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10349), 1,
      aux_sym_expression_item_repeat1,
    STATE(10687), 1,
      aux_sym_type_binding_repeat1,
    STATE(10801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12900), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [525937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9066), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525973] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(13162), 1,
      anon_sym_DASH_GT,
    ACTIONS(13164), 1,
      anon_sym_module,
    ACTIONS(13166), 1,
      anon_sym_functor,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10587), 1,
      sym__module_type,
    STATE(10803), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [526033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11285), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11283), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [526069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11391), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11389), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [526105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11289), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11287), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [526141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11341), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11339), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [526177] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10808), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(16171), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [526237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9058), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [526273] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13187), 1,
      anon_sym_DASH_GT,
    STATE(10810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12213), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12211), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11405), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [526347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11353), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11351), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [526383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11281), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11279), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [526419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11285), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11283), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [526455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11289), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11287), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [526491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11293), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11291), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [526527] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12495), 1,
      anon_sym_EQ,
    ACTIONS(13309), 1,
      anon_sym_of,
    ACTIONS(13311), 1,
      anon_sym_COLON2,
    STATE(10817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12493), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12491), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7872), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [526605] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10819), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15178), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [526665] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12505), 1,
      anon_sym_EQ,
    ACTIONS(13313), 1,
      anon_sym_of,
    ACTIONS(13315), 1,
      anon_sym_COLON2,
    STATE(10820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12503), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12501), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526707] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13272), 1,
      anon_sym_DASH_GT,
    STATE(10821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12213), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12211), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7872), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [526781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7876), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [526817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11405), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [526853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11297), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11295), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [526889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11411), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11409), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [526925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11391), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11389), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [526961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11297), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11295), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [526997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7876), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [527033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11419), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11417), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [527069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11353), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11351), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [527105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11365), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11363), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [527141] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10833), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(16300), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [527201] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13140), 1,
      sym__lowercase_identifier,
    ACTIONS(13142), 1,
      anon_sym_LPAREN,
    ACTIONS(13144), 1,
      anon_sym_DASH_GT,
    ACTIONS(13146), 1,
      anon_sym_module,
    ACTIONS(13148), 1,
      anon_sym_sig,
    ACTIONS(13150), 1,
      anon_sym_functor,
    ACTIONS(13152), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13154), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13156), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10834), 1,
      sym_attribute,
    STATE(13444), 1,
      sym__module_type,
    STATE(14329), 1,
      aux_sym_module_binding_repeat1,
    STATE(17256), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13488), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [527261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11421), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [527297] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11818), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10347), 1,
      aux_sym_expression_item_repeat1,
    STATE(10655), 1,
      aux_sym_type_binding_repeat1,
    STATE(10836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12886), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [527343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11293), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11291), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [527379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11251), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11249), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [527415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11281), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11279), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [527451] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12075), 1,
      sym__lowercase_identifier,
    ACTIONS(12077), 1,
      anon_sym_POUND,
    STATE(10659), 1,
      sym_type_constructor_path,
    STATE(10840), 1,
      sym_attribute,
    STATE(16778), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12109), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12111), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [527497] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(12363), 1,
      anon_sym_DASH_GT,
    ACTIONS(12365), 1,
      anon_sym_functor,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10841), 1,
      sym_attribute,
    STATE(11710), 1,
      sym__module_type,
    STATE(14919), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [527557] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10842), 1,
      sym_attribute,
    STATE(14877), 1,
      sym__module_type,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [527617] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12075), 1,
      sym__lowercase_identifier,
    ACTIONS(12077), 1,
      anon_sym_POUND,
    STATE(10659), 1,
      sym_type_constructor_path,
    STATE(10843), 1,
      sym_attribute,
    STATE(16778), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11531), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [527663] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10844), 1,
      sym_attribute,
    STATE(14232), 1,
      sym__module_type,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [527723] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(12363), 1,
      anon_sym_DASH_GT,
    ACTIONS(12365), 1,
      anon_sym_functor,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10845), 1,
      sym_attribute,
    STATE(11714), 1,
      sym__module_type,
    STATE(14919), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [527783] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10846), 1,
      sym_attribute,
    STATE(14234), 1,
      sym__module_type,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [527843] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(12363), 1,
      anon_sym_DASH_GT,
    ACTIONS(12365), 1,
      anon_sym_functor,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10847), 1,
      sym_attribute,
    STATE(11716), 1,
      sym__module_type,
    STATE(14919), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [527903] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13317), 1,
      anon_sym_DASH_GT,
    ACTIONS(13319), 1,
      anon_sym_with,
    STATE(10848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13303), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13301), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [527943] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13317), 1,
      anon_sym_DASH_GT,
    ACTIONS(13319), 1,
      anon_sym_with,
    STATE(10849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13307), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13305), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [527983] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13317), 1,
      anon_sym_DASH_GT,
    ACTIONS(13319), 1,
      anon_sym_with,
    STATE(10850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13174), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13172), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [528023] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13317), 1,
      anon_sym_DASH_GT,
    ACTIONS(13319), 1,
      anon_sym_with,
    STATE(10851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13205), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13203), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [528063] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(12363), 1,
      anon_sym_DASH_GT,
    ACTIONS(12365), 1,
      anon_sym_functor,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10852), 1,
      sym_attribute,
    STATE(11575), 1,
      sym__module_type,
    STATE(14919), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [528123] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(12363), 1,
      anon_sym_DASH_GT,
    ACTIONS(12365), 1,
      anon_sym_functor,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10853), 1,
      sym_attribute,
    STATE(11576), 1,
      sym__module_type,
    STATE(14919), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [528183] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(12363), 1,
      anon_sym_DASH_GT,
    ACTIONS(12365), 1,
      anon_sym_functor,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10854), 1,
      sym_attribute,
    STATE(11578), 1,
      sym__module_type,
    STATE(14919), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [528243] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13235), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13233), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [528285] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10856), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(15285), 1,
      sym__module_type,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [528345] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10857), 1,
      sym_attribute,
    STATE(14241), 1,
      sym__module_type,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [528405] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12228), 1,
      anon_sym_DASH_GT,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12234), 1,
      anon_sym_functor,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    STATE(9235), 1,
      sym__module_type,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10858), 1,
      sym_attribute,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [528465] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(13164), 1,
      anon_sym_module,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13321), 1,
      anon_sym_DASH_GT,
    ACTIONS(13323), 1,
      anon_sym_functor,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10851), 1,
      sym__module_type,
    STATE(10859), 1,
      sym_attribute,
    STATE(14909), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [528525] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(13164), 1,
      anon_sym_module,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13321), 1,
      anon_sym_DASH_GT,
    ACTIONS(13323), 1,
      anon_sym_functor,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10848), 1,
      sym__module_type,
    STATE(10860), 1,
      sym_attribute,
    STATE(14909), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [528585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11285), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11283), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [528621] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(13164), 1,
      anon_sym_module,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13321), 1,
      anon_sym_DASH_GT,
    ACTIONS(13323), 1,
      anon_sym_functor,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10849), 1,
      sym__module_type,
    STATE(10862), 1,
      sym_attribute,
    STATE(14909), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [528681] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(13164), 1,
      anon_sym_module,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13321), 1,
      anon_sym_DASH_GT,
    ACTIONS(13323), 1,
      anon_sym_functor,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10863), 1,
      sym_attribute,
    STATE(11069), 1,
      sym__module_type,
    STATE(14909), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [528741] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(13164), 1,
      anon_sym_module,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13321), 1,
      anon_sym_DASH_GT,
    ACTIONS(13323), 1,
      anon_sym_functor,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10850), 1,
      sym__module_type,
    STATE(10864), 1,
      sym_attribute,
    STATE(14909), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [528801] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(13164), 1,
      anon_sym_module,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13321), 1,
      anon_sym_DASH_GT,
    ACTIONS(13323), 1,
      anon_sym_functor,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10865), 1,
      sym_attribute,
    STATE(11070), 1,
      sym__module_type,
    STATE(14909), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [528861] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(13164), 1,
      anon_sym_module,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13321), 1,
      anon_sym_DASH_GT,
    ACTIONS(13323), 1,
      anon_sym_functor,
    STATE(9235), 1,
      sym__module_type,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10866), 1,
      sym_attribute,
    STATE(14909), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [528921] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      sym__lowercase_identifier,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    ACTIONS(12230), 1,
      anon_sym_module,
    ACTIONS(12232), 1,
      anon_sym_sig,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(12363), 1,
      anon_sym_DASH_GT,
    ACTIONS(12365), 1,
      anon_sym_functor,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(10867), 1,
      sym_attribute,
    STATE(11584), 1,
      sym__module_type,
    STATE(14919), 1,
      aux_sym_module_binding_repeat1,
    STATE(16403), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [528981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11419), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11417), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [529017] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13325), 1,
      anon_sym_LPAREN,
    ACTIONS(13327), 1,
      anon_sym_end,
    STATE(10869), 1,
      sym_attribute,
    STATE(11484), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [529074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8276), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [529109] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13329), 1,
      anon_sym_LPAREN,
    ACTIONS(13331), 1,
      anon_sym_end,
    STATE(10871), 1,
      sym_attribute,
    STATE(11175), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [529166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7872), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [529201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12115), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12113), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [529236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7876), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [529271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7884), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [529306] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13333), 1,
      anon_sym_LPAREN,
    ACTIONS(13335), 1,
      anon_sym_end,
    STATE(10876), 1,
      sym_attribute,
    STATE(11363), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [529363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12165), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12163), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [529398] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13337), 1,
      anon_sym_LPAREN,
    ACTIONS(13339), 1,
      anon_sym_end,
    STATE(10878), 1,
      sym_attribute,
    STATE(11494), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [529455] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13341), 1,
      anon_sym_LPAREN,
    ACTIONS(13343), 1,
      anon_sym_end,
    STATE(10879), 1,
      sym_attribute,
    STATE(11085), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [529512] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13345), 1,
      anon_sym_LPAREN,
    ACTIONS(13347), 1,
      anon_sym_end,
    STATE(10880), 1,
      sym_attribute,
    STATE(11117), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [529569] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_end,
    STATE(10881), 1,
      sym_attribute,
    STATE(11115), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [529626] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12427), 1,
      sym__lowercase_identifier,
    ACTIONS(12429), 1,
      anon_sym_POUND,
    STATE(10882), 1,
      sym_attribute,
    STATE(10991), 1,
      sym_type_constructor_path,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12017), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12019), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [529671] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13353), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_end,
    STATE(10883), 1,
      sym_attribute,
    STATE(11156), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [529728] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(13187), 1,
      anon_sym_DASH_GT,
    STATE(10884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12297), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12295), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529767] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12213), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13357), 1,
      anon_sym_DASH_GT,
    STATE(10885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12211), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529804] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13359), 1,
      anon_sym_LPAREN,
    ACTIONS(13361), 1,
      anon_sym_end,
    STATE(10886), 1,
      sym_attribute,
    STATE(11195), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [529861] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13363), 1,
      anon_sym_LPAREN,
    ACTIONS(13365), 1,
      anon_sym_end,
    STATE(10887), 1,
      sym_attribute,
    STATE(11423), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [529918] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13367), 1,
      anon_sym_LPAREN,
    ACTIONS(13369), 1,
      anon_sym_end,
    STATE(10888), 1,
      sym_attribute,
    STATE(11258), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [529975] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13371), 1,
      anon_sym_LPAREN,
    ACTIONS(13373), 1,
      anon_sym_end,
    STATE(10889), 1,
      sym_attribute,
    STATE(11358), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [530032] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13375), 1,
      anon_sym_LPAREN,
    ACTIONS(13377), 1,
      anon_sym_end,
    STATE(10890), 1,
      sym_attribute,
    STATE(11334), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [530089] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13205), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13379), 1,
      anon_sym_DASH_GT,
    ACTIONS(13381), 1,
      anon_sym_with,
    STATE(10891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13203), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530128] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13383), 1,
      anon_sym_LPAREN,
    ACTIONS(13385), 1,
      anon_sym_end,
    STATE(10892), 1,
      sym_attribute,
    STATE(11375), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [530185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12153), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12151), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [530220] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13387), 1,
      anon_sym_LPAREN,
    ACTIONS(13389), 1,
      anon_sym_end,
    STATE(10894), 1,
      sym_attribute,
    STATE(11414), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [530277] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12029), 1,
      anon_sym_STAR,
    ACTIONS(13261), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10895), 1,
      sym_attribute,
    STATE(10896), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13259), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530316] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12019), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13391), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10896), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12017), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530353] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6857), 1,
      anon_sym_let,
    ACTIONS(6859), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10433), 1,
      aux_sym_expression_item_repeat1,
    STATE(10897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6855), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530396] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13394), 1,
      anon_sym_LPAREN,
    ACTIONS(13396), 1,
      anon_sym_end,
    STATE(10898), 1,
      sym_attribute,
    STATE(11491), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [530453] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6851), 1,
      anon_sym_let,
    ACTIONS(6853), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10455), 1,
      aux_sym_expression_item_repeat1,
    STATE(10899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6849), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530496] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12872), 1,
      anon_sym_let,
    ACTIONS(13398), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10524), 1,
      aux_sym_expression_item_repeat1,
    STATE(10900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12870), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530539] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13404), 1,
      anon_sym_PIPE,
    STATE(10901), 1,
      sym_attribute,
    STATE(10905), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13402), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13400), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530578] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13176), 1,
      anon_sym_DASH_GT,
    ACTIONS(13178), 1,
      anon_sym_with,
    ACTIONS(13408), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10763), 1,
      aux_sym_expression_item_repeat1,
    STATE(10902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13406), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530623] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12906), 1,
      anon_sym_let,
    ACTIONS(13410), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10434), 1,
      aux_sym_expression_item_repeat1,
    STATE(10903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12904), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530666] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13404), 1,
      anon_sym_PIPE,
    STATE(10904), 1,
      sym_attribute,
    STATE(10905), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13414), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13412), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530705] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13416), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12647), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10905), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(12645), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530742] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13176), 1,
      anon_sym_DASH_GT,
    ACTIONS(13178), 1,
      anon_sym_with,
    ACTIONS(13421), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10792), 1,
      aux_sym_expression_item_repeat1,
    STATE(10906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13419), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530787] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6765), 1,
      anon_sym_let,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6949), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10251), 1,
      aux_sym_expression_item_repeat1,
    STATE(10907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6763), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530830] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12457), 1,
      anon_sym_let,
    ACTIONS(13423), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10353), 1,
      aux_sym_expression_item_repeat1,
    STATE(10908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12455), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530873] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6923), 1,
      anon_sym_let,
    ACTIONS(6925), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10360), 1,
      aux_sym_expression_item_repeat1,
    STATE(10909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6921), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530916] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12711), 1,
      anon_sym_let,
    ACTIONS(13425), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10549), 1,
      aux_sym_expression_item_repeat1,
    STATE(10910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530959] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6935), 1,
      anon_sym_let,
    ACTIONS(6937), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10552), 1,
      aux_sym_expression_item_repeat1,
    STATE(10911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6933), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531002] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13100), 1,
      anon_sym_let,
    ACTIONS(13427), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10248), 1,
      aux_sym_expression_item_repeat1,
    STATE(10912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13098), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531045] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(13429), 1,
      sym__lowercase_identifier,
    ACTIONS(13431), 1,
      anon_sym_POUND,
    STATE(10913), 1,
      sym_attribute,
    STATE(11726), 1,
      sym_type_constructor_path,
    STATE(16829), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10010), 7,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10012), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [531090] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13433), 1,
      anon_sym_LPAREN,
    ACTIONS(13435), 1,
      anon_sym_end,
    STATE(10914), 1,
      sym_attribute,
    STATE(11090), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [531147] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13437), 1,
      anon_sym_else,
    STATE(10328), 1,
      sym_else_clause,
    STATE(10915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [531186] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11992), 1,
      anon_sym_STAR,
    STATE(10916), 1,
      sym_attribute,
    STATE(10917), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13261), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13259), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531225] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13439), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12019), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10917), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12017), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531262] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13442), 1,
      anon_sym_COMMA,
    ACTIONS(13444), 1,
      anon_sym_SEMI,
    ACTIONS(13446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13448), 1,
      sym_pow_operator,
    ACTIONS(13450), 1,
      sym_mult_operator,
    ACTIONS(13452), 1,
      sym_concat_operator,
    ACTIONS(13454), 1,
      sym_rel_operator,
    ACTIONS(13456), 1,
      sym_and_operator,
    ACTIONS(13458), 1,
      sym_or_operator,
    ACTIONS(13460), 1,
      sym_assign_operator,
    STATE(1838), 1,
      sym_add_operator,
    STATE(10918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8964), 4,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [531321] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6857), 1,
      anon_sym_let,
    ACTIONS(6867), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10433), 1,
      aux_sym_expression_item_repeat1,
    STATE(10919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6855), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531364] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6851), 1,
      anon_sym_let,
    ACTIONS(6929), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10455), 1,
      aux_sym_expression_item_repeat1,
    STATE(10920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6849), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531407] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13307), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13379), 1,
      anon_sym_DASH_GT,
    ACTIONS(13381), 1,
      anon_sym_with,
    STATE(10921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13305), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [531446] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12872), 1,
      anon_sym_let,
    ACTIONS(13462), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10524), 1,
      aux_sym_expression_item_repeat1,
    STATE(10922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12870), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531489] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12906), 1,
      anon_sym_let,
    ACTIONS(13464), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10434), 1,
      aux_sym_expression_item_repeat1,
    STATE(10923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12904), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531532] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6765), 1,
      anon_sym_let,
    ACTIONS(6767), 1,
      anon_sym_EQ,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10251), 1,
      aux_sym_expression_item_repeat1,
    STATE(10924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6763), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531575] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12457), 1,
      anon_sym_let,
    ACTIONS(13466), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10353), 1,
      aux_sym_expression_item_repeat1,
    STATE(10925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12455), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531618] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6923), 1,
      anon_sym_let,
    ACTIONS(6927), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10360), 1,
      aux_sym_expression_item_repeat1,
    STATE(10926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6921), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531661] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12711), 1,
      anon_sym_let,
    ACTIONS(13468), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10549), 1,
      aux_sym_expression_item_repeat1,
    STATE(10927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531704] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6935), 1,
      anon_sym_let,
    ACTIONS(6941), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10552), 1,
      aux_sym_expression_item_repeat1,
    STATE(10928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6933), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531747] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13100), 1,
      anon_sym_let,
    ACTIONS(13470), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10248), 1,
      aux_sym_expression_item_repeat1,
    STATE(10929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13098), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531790] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13442), 1,
      anon_sym_COMMA,
    ACTIONS(13446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13448), 1,
      sym_pow_operator,
    ACTIONS(13450), 1,
      sym_mult_operator,
    ACTIONS(13452), 1,
      sym_concat_operator,
    ACTIONS(13454), 1,
      sym_rel_operator,
    ACTIONS(13456), 1,
      sym_and_operator,
    ACTIONS(13458), 1,
      sym_or_operator,
    ACTIONS(13460), 1,
      sym_assign_operator,
    STATE(1838), 1,
      sym_add_operator,
    STATE(10930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10221), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10219), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [531847] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1838), 1,
      sym_add_operator,
    STATE(10931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [531884] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13472), 1,
      anon_sym_else,
    STATE(10400), 1,
      sym_else_clause,
    STATE(10932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [531923] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(13429), 1,
      sym__lowercase_identifier,
    ACTIONS(13474), 1,
      anon_sym_POUND,
    STATE(10933), 1,
      sym_attribute,
    STATE(11604), 1,
      sym_type_constructor_path,
    STATE(16829), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11002), 7,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11004), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [531968] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13476), 1,
      anon_sym_LPAREN,
    ACTIONS(13478), 1,
      anon_sym_end,
    STATE(10934), 1,
      sym_attribute,
    STATE(11147), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [532025] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12493), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13245), 1,
      anon_sym_EQ,
    ACTIONS(13480), 1,
      anon_sym_of,
    ACTIONS(13482), 1,
      anon_sym_COLON2,
    STATE(10935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12491), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [532066] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12503), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13251), 1,
      anon_sym_EQ,
    ACTIONS(13484), 1,
      anon_sym_of,
    ACTIONS(13486), 1,
      anon_sym_COLON2,
    STATE(10936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12501), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [532107] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13263), 1,
      anon_sym_EQ,
    ACTIONS(13488), 1,
      anon_sym_of,
    ACTIONS(13490), 1,
      anon_sym_COLON2,
    STATE(10937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12511), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [532148] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13492), 1,
      anon_sym_LPAREN,
    ACTIONS(13494), 1,
      anon_sym_end,
    STATE(10938), 1,
      sym_attribute,
    STATE(11182), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [532205] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12262), 1,
      sym__lowercase_identifier,
    ACTIONS(12264), 1,
      anon_sym_POUND,
    STATE(10835), 1,
      sym_type_constructor_path,
    STATE(10939), 1,
      sym_attribute,
    STATE(16503), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11375), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11377), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [532250] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13448), 1,
      sym_pow_operator,
    ACTIONS(13450), 1,
      sym_mult_operator,
    ACTIONS(13452), 1,
      sym_concat_operator,
    ACTIONS(13454), 1,
      sym_rel_operator,
    ACTIONS(13456), 1,
      sym_and_operator,
    ACTIONS(13458), 1,
      sym_or_operator,
    STATE(1838), 1,
      sym_add_operator,
    STATE(10940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [532303] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13448), 1,
      sym_pow_operator,
    ACTIONS(13450), 1,
      sym_mult_operator,
    STATE(1838), 1,
      sym_add_operator,
    STATE(10941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [532348] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13448), 1,
      sym_pow_operator,
    STATE(1838), 1,
      sym_add_operator,
    STATE(10942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [532387] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13448), 1,
      sym_pow_operator,
    STATE(1838), 1,
      sym_add_operator,
    STATE(10943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [532426] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13448), 1,
      sym_pow_operator,
    ACTIONS(13450), 1,
      sym_mult_operator,
    ACTIONS(13452), 1,
      sym_concat_operator,
    STATE(1838), 1,
      sym_add_operator,
    STATE(10944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [532473] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13448), 1,
      sym_pow_operator,
    ACTIONS(13450), 1,
      sym_mult_operator,
    ACTIONS(13452), 1,
      sym_concat_operator,
    STATE(1838), 1,
      sym_add_operator,
    STATE(10945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [532520] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13448), 1,
      sym_pow_operator,
    ACTIONS(13450), 1,
      sym_mult_operator,
    ACTIONS(13452), 1,
      sym_concat_operator,
    ACTIONS(13454), 1,
      sym_rel_operator,
    ACTIONS(13456), 1,
      sym_and_operator,
    STATE(1838), 1,
      sym_add_operator,
    STATE(10946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_and,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [532571] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13448), 1,
      sym_pow_operator,
    ACTIONS(13450), 1,
      sym_mult_operator,
    ACTIONS(13452), 1,
      sym_concat_operator,
    ACTIONS(13454), 1,
      sym_rel_operator,
    ACTIONS(13456), 1,
      sym_and_operator,
    ACTIONS(13458), 1,
      sym_or_operator,
    STATE(1838), 1,
      sym_add_operator,
    STATE(10947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [532624] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13442), 1,
      anon_sym_COMMA,
    ACTIONS(13446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13448), 1,
      sym_pow_operator,
    ACTIONS(13450), 1,
      sym_mult_operator,
    ACTIONS(13452), 1,
      sym_concat_operator,
    ACTIONS(13454), 1,
      sym_rel_operator,
    ACTIONS(13456), 1,
      sym_and_operator,
    ACTIONS(13458), 1,
      sym_or_operator,
    ACTIONS(13460), 1,
      sym_assign_operator,
    STATE(1838), 1,
      sym_add_operator,
    STATE(10948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [532681] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13448), 1,
      sym_pow_operator,
    ACTIONS(13450), 1,
      sym_mult_operator,
    STATE(1838), 1,
      sym_add_operator,
    STATE(10949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 7,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [532722] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13442), 1,
      anon_sym_COMMA,
    ACTIONS(13446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13448), 1,
      sym_pow_operator,
    ACTIONS(13450), 1,
      sym_mult_operator,
    ACTIONS(13452), 1,
      sym_concat_operator,
    ACTIONS(13454), 1,
      sym_rel_operator,
    ACTIONS(13456), 1,
      sym_and_operator,
    ACTIONS(13458), 1,
      sym_or_operator,
    ACTIONS(13460), 1,
      sym_assign_operator,
    STATE(1838), 1,
      sym_add_operator,
    STATE(10950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10159), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [532779] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13472), 1,
      anon_sym_else,
    STATE(10328), 1,
      sym_else_clause,
    STATE(10951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [532818] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13442), 1,
      anon_sym_COMMA,
    ACTIONS(13446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13448), 1,
      sym_pow_operator,
    ACTIONS(13450), 1,
      sym_mult_operator,
    ACTIONS(13452), 1,
      sym_concat_operator,
    ACTIONS(13454), 1,
      sym_rel_operator,
    ACTIONS(13456), 1,
      sym_and_operator,
    ACTIONS(13458), 1,
      sym_or_operator,
    ACTIONS(13460), 1,
      sym_assign_operator,
    STATE(1838), 1,
      sym_add_operator,
    STATE(10952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10185), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [532875] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12045), 1,
      anon_sym_STAR,
    STATE(10953), 1,
      sym_attribute,
    STATE(10954), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13261), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13259), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532914] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13496), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12019), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10954), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12017), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532951] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10227), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13499), 1,
      anon_sym_STAR,
    STATE(10955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10225), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [532988] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13501), 1,
      anon_sym_LPAREN,
    ACTIONS(13503), 1,
      anon_sym_end,
    STATE(10956), 1,
      sym_attribute,
    STATE(11251), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [533045] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13505), 1,
      anon_sym_LPAREN,
    ACTIONS(13507), 1,
      anon_sym_end,
    STATE(10957), 1,
      sym_attribute,
    STATE(11198), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [533102] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13509), 1,
      anon_sym_PIPE,
    STATE(10958), 1,
      sym_attribute,
    STATE(10960), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533141] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13509), 1,
      anon_sym_PIPE,
    STATE(10959), 1,
      sym_attribute,
    STATE(10961), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533180] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13509), 1,
      anon_sym_PIPE,
    STATE(10960), 1,
      sym_attribute,
    STATE(10962), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533219] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13509), 1,
      anon_sym_PIPE,
    STATE(10961), 1,
      sym_attribute,
    STATE(10962), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533258] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13511), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10962), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533295] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13514), 1,
      anon_sym_LPAREN,
    ACTIONS(13516), 1,
      anon_sym_end,
    STATE(10963), 1,
      sym_attribute,
    STATE(11242), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [533352] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13518), 1,
      aux_sym_attribute_id_token1,
    STATE(10964), 1,
      sym_attribute,
    STATE(10966), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8852), 8,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(8850), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [533391] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13520), 1,
      anon_sym_LPAREN,
    ACTIONS(13522), 1,
      anon_sym_end,
    STATE(10965), 1,
      sym_attribute,
    STATE(11230), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [533448] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13518), 1,
      aux_sym_attribute_id_token1,
    STATE(10966), 1,
      sym_attribute,
    STATE(10975), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8779), 8,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(8777), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [533487] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13437), 1,
      anon_sym_else,
    STATE(10400), 1,
      sym_else_clause,
    STATE(10967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533526] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(13272), 1,
      anon_sym_DASH_GT,
    STATE(10968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12297), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12295), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [533565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8058), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [533600] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13524), 1,
      anon_sym_LPAREN,
    ACTIONS(13526), 1,
      anon_sym_end,
    STATE(10970), 1,
      sym_attribute,
    STATE(11247), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [533657] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10328), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10330), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [533692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8062), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [533727] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12493), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13245), 1,
      anon_sym_EQ,
    ACTIONS(13528), 1,
      anon_sym_of,
    ACTIONS(13530), 1,
      anon_sym_COLON2,
    STATE(10973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12491), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [533768] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12503), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13251), 1,
      anon_sym_EQ,
    ACTIONS(13532), 1,
      anon_sym_of,
    ACTIONS(13534), 1,
      anon_sym_COLON2,
    STATE(10974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12501), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [533809] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10975), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8803), 8,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(8801), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [533846] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13541), 1,
      anon_sym_BANG,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(9223), 1,
      sym__module_expression,
    STATE(10976), 1,
      sym_attribute,
    STATE(12018), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [533903] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13263), 1,
      anon_sym_EQ,
    ACTIONS(13549), 1,
      anon_sym_of,
    ACTIONS(13551), 1,
      anon_sym_COLON2,
    STATE(10977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12511), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [533944] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13553), 1,
      anon_sym_LPAREN,
    ACTIONS(13555), 1,
      anon_sym_end,
    STATE(10978), 1,
      sym_attribute,
    STATE(11289), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [534001] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13557), 1,
      anon_sym_LPAREN,
    ACTIONS(13559), 1,
      anon_sym_end,
    STATE(10979), 1,
      sym_attribute,
    STATE(11288), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [534058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11341), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11339), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534093] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13563), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10718), 1,
      aux_sym_expression_item_repeat1,
    STATE(10981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13565), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13561), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13569), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13567), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [534171] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(12285), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13357), 1,
      anon_sym_DASH_GT,
    STATE(10983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12283), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [534210] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12262), 1,
      sym__lowercase_identifier,
    ACTIONS(12264), 1,
      anon_sym_POUND,
    STATE(10835), 1,
      sym_type_constructor_path,
    STATE(10984), 1,
      sym_attribute,
    STATE(16503), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12097), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12099), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [534255] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12262), 1,
      sym__lowercase_identifier,
    ACTIONS(12264), 1,
      anon_sym_POUND,
    STATE(10835), 1,
      sym_type_constructor_path,
    STATE(10985), 1,
      sym_attribute,
    STATE(16503), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12101), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12103), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [534300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9066), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534335] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13571), 1,
      anon_sym_LPAREN,
    ACTIONS(13573), 1,
      anon_sym_end,
    STATE(10987), 1,
      sym_attribute,
    STATE(11336), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [534392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11405), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11411), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11409), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11419), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11417), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11421), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534532] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(13429), 1,
      sym__lowercase_identifier,
    ACTIONS(13431), 1,
      anon_sym_POUND,
    STATE(10992), 1,
      sym_attribute,
    STATE(11726), 1,
      sym_type_constructor_path,
    STATE(16829), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 7,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10986), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [534577] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12262), 1,
      sym__lowercase_identifier,
    ACTIONS(12264), 1,
      anon_sym_POUND,
    STATE(10835), 1,
      sym_type_constructor_path,
    STATE(10993), 1,
      sym_attribute,
    STATE(16503), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11525), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11527), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [534622] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12262), 1,
      sym__lowercase_identifier,
    ACTIONS(12264), 1,
      anon_sym_POUND,
    STATE(10835), 1,
      sym_type_constructor_path,
    STATE(10994), 1,
      sym_attribute,
    STATE(16503), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11531), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [534667] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13575), 1,
      anon_sym_LPAREN,
    ACTIONS(13577), 1,
      anon_sym_end,
    STATE(10995), 1,
      sym_attribute,
    STATE(11368), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [534724] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13579), 1,
      anon_sym_LPAREN,
    ACTIONS(13581), 1,
      anon_sym_end,
    STATE(10996), 1,
      sym_attribute,
    STATE(11372), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [534781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11251), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11249), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534816] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13583), 1,
      anon_sym_LPAREN,
    ACTIONS(13585), 1,
      anon_sym_end,
    STATE(10998), 1,
      sym_attribute,
    STATE(11425), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [534873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11255), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11253), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11259), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11257), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534943] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11263), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11261), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534978] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13587), 1,
      anon_sym_LPAREN,
    ACTIONS(13589), 1,
      anon_sym_end,
    STATE(11002), 1,
      sym_attribute,
    STATE(11405), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [535035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11281), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11279), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11285), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11283), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11289), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11287), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11293), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11291), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535175] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12254), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(13357), 1,
      anon_sym_DASH_GT,
    STATE(11007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12252), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [535214] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13591), 1,
      anon_sym_LPAREN,
    ACTIONS(13593), 1,
      anon_sym_end,
    STATE(11008), 1,
      sym_attribute,
    STATE(11132), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [535271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11317), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11315), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11321), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11319), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11325), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11323), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11329), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11327), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11333), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11331), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11337), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11335), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535481] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8444), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8446), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(13595), 1,
      anon_sym_LPAREN,
    ACTIONS(13597), 1,
      anon_sym_BANG,
    ACTIONS(13599), 1,
      anon_sym_functor,
    ACTIONS(13601), 1,
      anon_sym_struct,
    ACTIONS(13603), 1,
      sym__uppercase_identifier,
    STATE(11015), 1,
      sym_attribute,
    STATE(11997), 1,
      sym__attribute,
    STATE(12725), 1,
      sym__module_expression,
    STATE(13012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13063), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13062), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [535538] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13605), 1,
      anon_sym_LPAREN,
    ACTIONS(13607), 1,
      anon_sym_end,
    STATE(11016), 1,
      sym_attribute,
    STATE(11437), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [535595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11353), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11351), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11357), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11355), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11361), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11359), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11365), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11363), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535735] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(13609), 1,
      anon_sym_BANG,
    ACTIONS(13611), 1,
      anon_sym_functor,
    STATE(8481), 1,
      sym_module_path,
    STATE(8845), 1,
      sym__module_expression,
    STATE(11021), 1,
      sym_attribute,
    STATE(11834), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [535792] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13615), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10796), 1,
      aux_sym_expression_item_repeat1,
    STATE(11022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13617), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13613), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535835] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13404), 1,
      anon_sym_PIPE,
    STATE(10901), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11966), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11964), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535874] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13619), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12185), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11024), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12183), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535913] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13563), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10718), 1,
      aux_sym_expression_item_repeat1,
    STATE(11025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13622), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13561), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535956] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13404), 1,
      anon_sym_PIPE,
    STATE(10904), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13402), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13400), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(10862), 11,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [536030] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13624), 1,
      anon_sym_LPAREN,
    ACTIONS(13626), 1,
      anon_sym_end,
    STATE(11028), 1,
      sym_attribute,
    STATE(11467), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536087] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13628), 1,
      anon_sym_LPAREN,
    ACTIONS(13630), 1,
      anon_sym_end,
    STATE(11029), 1,
      sym_attribute,
    STATE(11512), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536144] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13632), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12185), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11030), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12183), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536183] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12944), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13635), 1,
      anon_sym_and,
    STATE(11031), 1,
      sym_attribute,
    STATE(11032), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12942), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [536222] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11773), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13637), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11032), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11771), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [536259] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13640), 1,
      anon_sym_LPAREN,
    ACTIONS(13642), 1,
      anon_sym_end,
    STATE(11033), 1,
      sym_attribute,
    STATE(11233), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536316] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13644), 1,
      anon_sym_PIPE,
    STATE(11034), 1,
      sym_attribute,
    STATE(11036), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13402), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13400), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536355] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13644), 1,
      anon_sym_PIPE,
    STATE(11035), 1,
      sym_attribute,
    STATE(11036), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13414), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13412), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536394] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13646), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12647), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11036), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(12645), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536431] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12127), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10505), 1,
      aux_sym_expression_item_repeat1,
    STATE(11037), 1,
      sym_attribute,
    STATE(11611), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12317), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [536476] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12127), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10347), 1,
      aux_sym_expression_item_repeat1,
    STATE(11038), 1,
      sym_attribute,
    STATE(11043), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12886), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [536521] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13644), 1,
      anon_sym_PIPE,
    STATE(11034), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11966), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11964), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536560] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12127), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10396), 1,
      aux_sym_expression_item_repeat1,
    STATE(11040), 1,
      sym_attribute,
    STATE(11611), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12890), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [536605] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12127), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10397), 1,
      aux_sym_expression_item_repeat1,
    STATE(11041), 1,
      sym_attribute,
    STATE(11611), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12329), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [536650] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12127), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10222), 1,
      aux_sym_expression_item_repeat1,
    STATE(11042), 1,
      sym_attribute,
    STATE(11047), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12896), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [536695] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12127), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10235), 1,
      aux_sym_expression_item_repeat1,
    STATE(11043), 1,
      sym_attribute,
    STATE(11611), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [536740] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13644), 1,
      anon_sym_PIPE,
    STATE(11035), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13402), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13400), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536779] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12127), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10349), 1,
      aux_sym_expression_item_repeat1,
    STATE(11045), 1,
      sym_attribute,
    STATE(11050), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12900), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [536824] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12127), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10373), 1,
      aux_sym_expression_item_repeat1,
    STATE(11046), 1,
      sym_attribute,
    STATE(11611), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12791), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [536869] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12127), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11047), 1,
      sym_attribute,
    STATE(11611), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12373), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [536914] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12127), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10281), 1,
      aux_sym_expression_item_repeat1,
    STATE(11048), 1,
      sym_attribute,
    STATE(11051), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12908), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [536959] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12127), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10299), 1,
      aux_sym_expression_item_repeat1,
    STATE(11049), 1,
      sym_attribute,
    STATE(11052), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12912), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [537004] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12127), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10361), 1,
      aux_sym_expression_item_repeat1,
    STATE(11050), 1,
      sym_attribute,
    STATE(11611), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12681), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [537049] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12127), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10342), 1,
      aux_sym_expression_item_repeat1,
    STATE(11051), 1,
      sym_attribute,
    STATE(11611), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12570), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [537094] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12127), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10345), 1,
      aux_sym_expression_item_repeat1,
    STATE(11052), 1,
      sym_attribute,
    STATE(11611), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12616), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [537139] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12127), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10348), 1,
      aux_sym_expression_item_repeat1,
    STATE(11053), 1,
      sym_attribute,
    STATE(11054), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12916), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [537184] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12127), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10527), 1,
      aux_sym_expression_item_repeat1,
    STATE(11054), 1,
      sym_attribute,
    STATE(11611), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [537229] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13649), 1,
      anon_sym_LPAREN,
    ACTIONS(13651), 1,
      anon_sym_end,
    STATE(11055), 1,
      sym_attribute,
    STATE(11514), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537286] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9506), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(9508), 11,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [537321] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13653), 1,
      anon_sym_LPAREN,
    ACTIONS(13655), 1,
      anon_sym_end,
    STATE(11057), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11391), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11389), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [537413] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13657), 1,
      anon_sym_LPAREN,
    ACTIONS(13659), 1,
      anon_sym_end,
    STATE(11059), 1,
      sym_attribute,
    STATE(11542), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537470] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13661), 1,
      anon_sym_LPAREN,
    ACTIONS(13663), 1,
      anon_sym_end,
    STATE(11060), 1,
      sym_attribute,
    STATE(11541), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537527] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12262), 1,
      sym__lowercase_identifier,
    ACTIONS(12264), 1,
      anon_sym_POUND,
    STATE(10835), 1,
      sym_type_constructor_path,
    STATE(11061), 1,
      sym_attribute,
    STATE(16503), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12109), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12111), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [537572] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13665), 1,
      anon_sym_LPAREN,
    ACTIONS(13667), 1,
      anon_sym_end,
    STATE(11062), 1,
      sym_attribute,
    STATE(11567), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537629] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13174), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13379), 1,
      anon_sym_DASH_GT,
    ACTIONS(13381), 1,
      anon_sym_with,
    STATE(11063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13172), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [537668] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13669), 1,
      anon_sym_LPAREN,
    ACTIONS(13671), 1,
      anon_sym_end,
    STATE(11064), 1,
      sym_attribute,
    STATE(11565), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9058), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [537760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11297), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11295), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [537795] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13128), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13635), 1,
      anon_sym_and,
    STATE(11031), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(11067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13126), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [537834] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13673), 1,
      anon_sym_LPAREN,
    ACTIONS(13675), 1,
      anon_sym_end,
    STATE(11068), 1,
      sym_attribute,
    STATE(11583), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537891] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13317), 1,
      anon_sym_DASH_GT,
    ACTIONS(13319), 1,
      anon_sym_with,
    ACTIONS(13408), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10763), 1,
      aux_sym_expression_item_repeat1,
    STATE(11069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13406), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537936] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13317), 1,
      anon_sym_DASH_GT,
    ACTIONS(13319), 1,
      anon_sym_with,
    ACTIONS(13421), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10792), 1,
      aux_sym_expression_item_repeat1,
    STATE(11070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13419), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537981] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13303), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13379), 1,
      anon_sym_DASH_GT,
    ACTIONS(13381), 1,
      anon_sym_with,
    STATE(11071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13301), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [538020] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13615), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10796), 1,
      aux_sym_expression_item_repeat1,
    STATE(11072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13677), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13613), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538063] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13679), 1,
      anon_sym_LPAREN,
    ACTIONS(13681), 1,
      anon_sym_end,
    STATE(11073), 1,
      sym_attribute,
    STATE(11317), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538120] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13687), 1,
      anon_sym_and,
    ACTIONS(13689), 1,
      sym_let_and_operator,
    STATE(11074), 1,
      sym_attribute,
    STATE(11577), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13685), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13683), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538160] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13691), 1,
      sym_pow_operator,
    STATE(1800), 1,
      sym_add_operator,
    STATE(11075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [538198] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13691), 1,
      sym_pow_operator,
    STATE(1800), 1,
      sym_add_operator,
    STATE(11076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [538236] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13691), 1,
      sym_pow_operator,
    ACTIONS(13693), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13695), 1,
      sym_mult_operator,
    ACTIONS(13697), 1,
      sym_concat_operator,
    STATE(1800), 1,
      sym_add_operator,
    STATE(11077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [538282] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13691), 1,
      sym_pow_operator,
    ACTIONS(13693), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13695), 1,
      sym_mult_operator,
    ACTIONS(13697), 1,
      sym_concat_operator,
    STATE(1800), 1,
      sym_add_operator,
    STATE(11078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [538328] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13691), 1,
      sym_pow_operator,
    ACTIONS(13693), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13695), 1,
      sym_mult_operator,
    ACTIONS(13697), 1,
      sym_concat_operator,
    ACTIONS(13699), 1,
      sym_rel_operator,
    ACTIONS(13701), 1,
      sym_and_operator,
    STATE(1800), 1,
      sym_add_operator,
    STATE(11079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_and,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [538378] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13691), 1,
      sym_pow_operator,
    ACTIONS(13693), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13695), 1,
      sym_mult_operator,
    ACTIONS(13697), 1,
      sym_concat_operator,
    ACTIONS(13699), 1,
      sym_rel_operator,
    ACTIONS(13701), 1,
      sym_and_operator,
    ACTIONS(13703), 1,
      sym_or_operator,
    STATE(1800), 1,
      sym_add_operator,
    STATE(11080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [538430] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13691), 1,
      sym_pow_operator,
    ACTIONS(13693), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13695), 1,
      sym_mult_operator,
    ACTIONS(13697), 1,
      sym_concat_operator,
    ACTIONS(13699), 1,
      sym_rel_operator,
    ACTIONS(13701), 1,
      sym_and_operator,
    ACTIONS(13703), 1,
      sym_or_operator,
    ACTIONS(13705), 1,
      anon_sym_COMMA,
    ACTIONS(13707), 1,
      sym_assign_operator,
    STATE(1800), 1,
      sym_add_operator,
    STATE(11081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [538486] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13691), 1,
      sym_pow_operator,
    ACTIONS(13695), 1,
      sym_mult_operator,
    STATE(1800), 1,
      sym_add_operator,
    STATE(11082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 7,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [538526] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13691), 1,
      sym_pow_operator,
    ACTIONS(13693), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13695), 1,
      sym_mult_operator,
    ACTIONS(13697), 1,
      sym_concat_operator,
    ACTIONS(13699), 1,
      sym_rel_operator,
    ACTIONS(13701), 1,
      sym_and_operator,
    ACTIONS(13703), 1,
      sym_or_operator,
    ACTIONS(13705), 1,
      anon_sym_COMMA,
    ACTIONS(13707), 1,
      sym_assign_operator,
    STATE(1800), 1,
      sym_add_operator,
    STATE(11083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10159), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [538582] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13347), 1,
      anon_sym_end,
    STATE(11084), 1,
      sym_attribute,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538636] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13709), 1,
      anon_sym_end,
    STATE(11085), 1,
      sym_attribute,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538690] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13691), 1,
      sym_pow_operator,
    ACTIONS(13693), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13695), 1,
      sym_mult_operator,
    ACTIONS(13697), 1,
      sym_concat_operator,
    ACTIONS(13699), 1,
      sym_rel_operator,
    ACTIONS(13701), 1,
      sym_and_operator,
    ACTIONS(13703), 1,
      sym_or_operator,
    ACTIONS(13705), 1,
      anon_sym_COMMA,
    ACTIONS(13707), 1,
      sym_assign_operator,
    STATE(1800), 1,
      sym_add_operator,
    STATE(11086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10185), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [538746] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13379), 1,
      anon_sym_DASH_GT,
    ACTIONS(13381), 1,
      anon_sym_with,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(11087), 1,
      sym_attribute,
    STATE(11751), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13711), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [538788] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13435), 1,
      anon_sym_end,
    STATE(11088), 1,
      sym_attribute,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538842] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11227), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(11089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11225), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538882] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13713), 1,
      anon_sym_end,
    STATE(11090), 1,
      sym_attribute,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538936] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13719), 1,
      anon_sym_and,
    ACTIONS(13721), 1,
      sym_let_and_operator,
    STATE(11091), 1,
      sym_attribute,
    STATE(11095), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13717), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13715), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538976] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13723), 1,
      anon_sym_else,
    STATE(10400), 1,
      sym_else_clause,
    STATE(11092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [539014] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13725), 1,
      anon_sym_end,
    STATE(11093), 1,
      sym_attribute,
    STATE(11106), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539068] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13727), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10434), 1,
      aux_sym_expression_item_repeat1,
    STATE(11094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12904), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [539108] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13733), 1,
      anon_sym_and,
    ACTIONS(13736), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13731), 2,
      anon_sym_let,
      anon_sym_in,
    STATE(11095), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(13729), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539146] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13739), 1,
      anon_sym_end,
    STATE(11096), 1,
      sym_attribute,
    STATE(11099), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539200] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11739), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11341), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11339), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [539236] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13719), 1,
      anon_sym_and,
    ACTIONS(13721), 1,
      sym_let_and_operator,
    STATE(11098), 1,
      sym_attribute,
    STATE(11486), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13717), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13715), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539276] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13741), 1,
      anon_sym_end,
    STATE(11099), 1,
      sym_attribute,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539330] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13741), 1,
      anon_sym_end,
    STATE(11100), 1,
      sym_attribute,
    STATE(11103), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539384] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13743), 1,
      anon_sym_end,
    STATE(11101), 1,
      sym_attribute,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539438] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11102), 1,
      sym_attribute,
    STATE(12053), 1,
      sym__attribute,
    STATE(12799), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [539492] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13745), 1,
      anon_sym_end,
    STATE(11103), 1,
      sym_attribute,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539546] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13745), 1,
      anon_sym_end,
    STATE(11104), 1,
      sym_attribute,
    STATE(11105), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539600] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13747), 1,
      anon_sym_end,
    STATE(11105), 1,
      sym_attribute,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539654] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13749), 1,
      anon_sym_end,
    STATE(11106), 1,
      sym_attribute,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539708] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13749), 1,
      anon_sym_end,
    STATE(11107), 1,
      sym_attribute,
    STATE(11108), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539762] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13751), 1,
      anon_sym_end,
    STATE(11108), 1,
      sym_attribute,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539816] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13753), 1,
      anon_sym_end,
    STATE(11109), 1,
      sym_attribute,
    STATE(11205), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539870] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13751), 1,
      anon_sym_end,
    STATE(11110), 1,
      sym_attribute,
    STATE(11112), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539924] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13757), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(11111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13755), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539964] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13759), 1,
      anon_sym_end,
    STATE(11112), 1,
      sym_attribute,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540018] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13761), 1,
      anon_sym_end,
    STATE(11113), 1,
      sym_attribute,
    STATE(11116), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540072] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13351), 1,
      anon_sym_end,
    STATE(11114), 1,
      sym_attribute,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540126] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13763), 1,
      anon_sym_end,
    STATE(11115), 1,
      sym_attribute,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540180] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13765), 1,
      anon_sym_end,
    STATE(11116), 1,
      sym_attribute,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540234] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13767), 1,
      anon_sym_end,
    STATE(11117), 1,
      sym_attribute,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540288] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13769), 1,
      anon_sym_end,
    STATE(11118), 1,
      sym_attribute,
    STATE(11259), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540342] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_and,
    ACTIONS(13771), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13773), 1,
      sym_pow_operator,
    ACTIONS(13775), 1,
      sym_mult_operator,
    ACTIONS(13777), 1,
      sym_concat_operator,
    ACTIONS(13779), 1,
      sym_rel_operator,
    ACTIONS(13781), 1,
      sym_and_operator,
    ACTIONS(13783), 1,
      sym_or_operator,
    STATE(2000), 1,
      sym_add_operator,
    STATE(11119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [540394] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13771), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13773), 1,
      sym_pow_operator,
    ACTIONS(13775), 1,
      sym_mult_operator,
    STATE(2000), 1,
      sym_add_operator,
    STATE(11120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [540438] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13773), 1,
      sym_pow_operator,
    STATE(2000), 1,
      sym_add_operator,
    STATE(11121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [540476] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13773), 1,
      sym_pow_operator,
    STATE(2000), 1,
      sym_add_operator,
    STATE(11122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [540514] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13771), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13773), 1,
      sym_pow_operator,
    ACTIONS(13775), 1,
      sym_mult_operator,
    ACTIONS(13777), 1,
      sym_concat_operator,
    STATE(2000), 1,
      sym_add_operator,
    STATE(11123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [540560] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13771), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13773), 1,
      sym_pow_operator,
    ACTIONS(13775), 1,
      sym_mult_operator,
    ACTIONS(13777), 1,
      sym_concat_operator,
    STATE(2000), 1,
      sym_add_operator,
    STATE(11124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [540606] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13771), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13773), 1,
      sym_pow_operator,
    ACTIONS(13775), 1,
      sym_mult_operator,
    ACTIONS(13777), 1,
      sym_concat_operator,
    ACTIONS(13779), 1,
      sym_rel_operator,
    ACTIONS(13781), 1,
      sym_and_operator,
    STATE(2000), 1,
      sym_add_operator,
    STATE(11125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_and,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [540656] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_and,
    ACTIONS(13771), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13773), 1,
      sym_pow_operator,
    ACTIONS(13775), 1,
      sym_mult_operator,
    ACTIONS(13777), 1,
      sym_concat_operator,
    ACTIONS(13779), 1,
      sym_rel_operator,
    ACTIONS(13781), 1,
      sym_and_operator,
    ACTIONS(13783), 1,
      sym_or_operator,
    STATE(2000), 1,
      sym_add_operator,
    STATE(11126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [540708] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_and,
    ACTIONS(13771), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13773), 1,
      sym_pow_operator,
    ACTIONS(13775), 1,
      sym_mult_operator,
    ACTIONS(13777), 1,
      sym_concat_operator,
    ACTIONS(13779), 1,
      sym_rel_operator,
    ACTIONS(13781), 1,
      sym_and_operator,
    ACTIONS(13783), 1,
      sym_or_operator,
    ACTIONS(13785), 1,
      anon_sym_COMMA,
    ACTIONS(13787), 1,
      sym_assign_operator,
    STATE(2000), 1,
      sym_add_operator,
    STATE(11127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [540764] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13773), 1,
      sym_pow_operator,
    ACTIONS(13775), 1,
      sym_mult_operator,
    STATE(2000), 1,
      sym_add_operator,
    STATE(11128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [540804] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10159), 1,
      anon_sym_and,
    ACTIONS(13771), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13773), 1,
      sym_pow_operator,
    ACTIONS(13775), 1,
      sym_mult_operator,
    ACTIONS(13777), 1,
      sym_concat_operator,
    ACTIONS(13779), 1,
      sym_rel_operator,
    ACTIONS(13781), 1,
      sym_and_operator,
    ACTIONS(13783), 1,
      sym_or_operator,
    ACTIONS(13785), 1,
      anon_sym_COMMA,
    ACTIONS(13787), 1,
      sym_assign_operator,
    STATE(2000), 1,
      sym_add_operator,
    STATE(11129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [540860] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13789), 1,
      anon_sym_else,
    STATE(10328), 1,
      sym_else_clause,
    STATE(11130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [540898] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10185), 1,
      anon_sym_and,
    ACTIONS(13771), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13773), 1,
      sym_pow_operator,
    ACTIONS(13775), 1,
      sym_mult_operator,
    ACTIONS(13777), 1,
      sym_concat_operator,
    ACTIONS(13779), 1,
      sym_rel_operator,
    ACTIONS(13781), 1,
      sym_and_operator,
    ACTIONS(13783), 1,
      sym_or_operator,
    ACTIONS(13785), 1,
      anon_sym_COMMA,
    ACTIONS(13787), 1,
      sym_assign_operator,
    STATE(2000), 1,
      sym_add_operator,
    STATE(11131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [540954] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13791), 1,
      anon_sym_end,
    STATE(11132), 1,
      sym_attribute,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541008] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13793), 1,
      anon_sym_constraint,
    ACTIONS(13796), 1,
      anon_sym_val,
    ACTIONS(13799), 1,
      anon_sym_end,
    ACTIONS(13801), 1,
      anon_sym_inherit,
    ACTIONS(13804), 1,
      anon_sym_method,
    ACTIONS(13807), 1,
      anon_sym_initializer,
    ACTIONS(13810), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13813), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13816), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11133), 2,
      sym_attribute,
      aux_sym_object_expression_repeat1,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541060] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13819), 1,
      anon_sym_RPAREN,
    ACTIONS(13821), 1,
      anon_sym_DOT,
    STATE(11134), 1,
      sym_attribute,
    STATE(17996), 1,
      sym_add_operator,
    STATE(18465), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(13823), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [541106] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13825), 1,
      anon_sym_end,
    STATE(11135), 1,
      sym_attribute,
    STATE(11136), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541160] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13827), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541214] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13827), 1,
      anon_sym_end,
    STATE(11137), 1,
      sym_attribute,
    STATE(11139), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541268] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13478), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541322] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13829), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541376] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13829), 1,
      anon_sym_end,
    STATE(11140), 1,
      sym_attribute,
    STATE(11141), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541430] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13831), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541484] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11142), 1,
      sym_attribute,
    STATE(11771), 1,
      sym__attribute,
    STATE(12875), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [541538] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12427), 1,
      sym__lowercase_identifier,
    ACTIONS(12429), 1,
      anon_sym_POUND,
    STATE(10991), 1,
      sym_type_constructor_path,
    STATE(11143), 1,
      sym_attribute,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12097), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12099), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [541582] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12427), 1,
      sym__lowercase_identifier,
    ACTIONS(12429), 1,
      anon_sym_POUND,
    STATE(10991), 1,
      sym_type_constructor_path,
    STATE(11144), 1,
      sym_attribute,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12101), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12103), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [541626] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13833), 1,
      anon_sym_end,
    STATE(11101), 1,
      aux_sym_object_expression_repeat1,
    STATE(11145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541680] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13494), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541734] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13835), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541788] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13355), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541842] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13379), 1,
      anon_sym_DASH_GT,
    ACTIONS(13381), 1,
      anon_sym_with,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(11149), 1,
      sym_attribute,
    STATE(11701), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13837), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [541884] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12254), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(13839), 1,
      anon_sym_DASH_GT,
    STATE(11150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12252), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [541922] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13841), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541976] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13843), 1,
      anon_sym_end,
    STATE(11152), 1,
      sym_attribute,
    STATE(11168), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542030] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13845), 1,
      anon_sym_end,
    STATE(11153), 1,
      sym_attribute,
    STATE(11516), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542084] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10221), 1,
      anon_sym_and,
    ACTIONS(13771), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13773), 1,
      sym_pow_operator,
    ACTIONS(13775), 1,
      sym_mult_operator,
    ACTIONS(13777), 1,
      sym_concat_operator,
    ACTIONS(13779), 1,
      sym_rel_operator,
    ACTIONS(13781), 1,
      sym_and_operator,
    ACTIONS(13783), 1,
      sym_or_operator,
    ACTIONS(13785), 1,
      anon_sym_COMMA,
    ACTIONS(13787), 1,
      sym_assign_operator,
    STATE(2000), 1,
      sym_add_operator,
    STATE(11154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10219), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [542140] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(9066), 1,
      sym__module_expression,
    STATE(11155), 1,
      sym_attribute,
    STATE(12074), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [542194] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13847), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542248] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13331), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542302] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13849), 1,
      anon_sym_end,
    STATE(11158), 1,
      sym_attribute,
    STATE(11160), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542356] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13851), 1,
      anon_sym_end,
    STATE(11159), 1,
      sym_attribute,
    STATE(11165), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542410] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13853), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542464] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13853), 1,
      anon_sym_end,
    STATE(11161), 1,
      sym_attribute,
    STATE(11162), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542518] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13855), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542572] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13855), 1,
      anon_sym_end,
    STATE(11163), 1,
      sym_attribute,
    STATE(11164), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542626] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13857), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542680] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13859), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542734] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13859), 1,
      anon_sym_end,
    STATE(11166), 1,
      sym_attribute,
    STATE(11167), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542788] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13861), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542842] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13863), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542896] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13863), 1,
      anon_sym_end,
    STATE(11169), 1,
      sym_attribute,
    STATE(11172), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542950] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2000), 1,
      sym_add_operator,
    STATE(11170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [542986] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13789), 1,
      anon_sym_else,
    STATE(10400), 1,
      sym_else_clause,
    STATE(11171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [543024] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13865), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543078] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13865), 1,
      anon_sym_end,
    STATE(11173), 1,
      sym_attribute,
    STATE(11180), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543132] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13861), 1,
      anon_sym_end,
    STATE(11174), 1,
      sym_attribute,
    STATE(11208), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543186] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13867), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543240] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12495), 1,
      anon_sym_EQ,
    ACTIONS(13869), 1,
      anon_sym_of,
    ACTIONS(13871), 1,
      anon_sym_COLON2,
    STATE(11176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12493), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12491), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543280] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12505), 1,
      anon_sym_EQ,
    ACTIONS(13873), 1,
      anon_sym_of,
    ACTIONS(13875), 1,
      anon_sym_COLON2,
    STATE(11177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12503), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12501), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543320] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12515), 1,
      anon_sym_EQ,
    ACTIONS(13877), 1,
      anon_sym_of,
    ACTIONS(13879), 1,
      anon_sym_COLON2,
    STATE(11178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12513), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12511), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543360] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11179), 1,
      sym_attribute,
    STATE(11797), 1,
      sym__attribute,
    STATE(12994), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [543414] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13881), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543468] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13361), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543522] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13883), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543576] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12427), 1,
      sym__lowercase_identifier,
    ACTIONS(12429), 1,
      anon_sym_POUND,
    STATE(10991), 1,
      sym_type_constructor_path,
    STATE(11183), 1,
      sym_attribute,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12109), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12111), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [543620] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13503), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543674] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(12285), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13839), 1,
      anon_sym_DASH_GT,
    STATE(11185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12283), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [543712] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13885), 1,
      anon_sym_PIPE,
    STATE(11186), 1,
      sym_attribute,
    STATE(11188), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [543750] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13885), 1,
      anon_sym_PIPE,
    STATE(11187), 1,
      sym_attribute,
    STATE(11189), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [543788] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13885), 1,
      anon_sym_PIPE,
    STATE(11188), 1,
      sym_attribute,
    STATE(11190), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [543826] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13885), 1,
      anon_sym_PIPE,
    STATE(11189), 1,
      sym_attribute,
    STATE(11190), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [543864] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13887), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11190), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [543900] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7069), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10455), 1,
      aux_sym_expression_item_repeat1,
    STATE(11191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6849), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [543940] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13890), 1,
      anon_sym_end,
    STATE(11192), 1,
      sym_attribute,
    STATE(11199), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543994] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12137), 1,
      anon_sym_STAR,
    ACTIONS(13261), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11193), 1,
      sym_attribute,
    STATE(11194), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13259), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [544032] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12019), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13892), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11194), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12017), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [544068] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13895), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544122] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13507), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544176] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11197), 1,
      sym_attribute,
    STATE(11809), 1,
      sym__attribute,
    STATE(12839), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [544230] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13897), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544284] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13899), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544338] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13899), 1,
      anon_sym_end,
    STATE(11200), 1,
      sym_attribute,
    STATE(11203), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544392] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7071), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10433), 1,
      aux_sym_expression_item_repeat1,
    STATE(11201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6855), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [544432] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13901), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544486] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13903), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544540] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13903), 1,
      anon_sym_end,
    STATE(11204), 1,
      sym_attribute,
    STATE(11215), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544594] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13905), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544648] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_end,
    STATE(11206), 1,
      sym_attribute,
    STATE(11216), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544702] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11207), 1,
      sym_attribute,
    STATE(11772), 1,
      sym__attribute,
    STATE(12972), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [544756] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13909), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544810] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13911), 1,
      anon_sym_RPAREN,
    ACTIONS(13913), 1,
      anon_sym_val,
    STATE(8481), 1,
      sym_module_path,
    STATE(11209), 1,
      sym_attribute,
    STATE(12901), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [544864] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13915), 1,
      anon_sym_end,
    STATE(11210), 1,
      sym_attribute,
    STATE(11366), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544918] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13917), 1,
      anon_sym_end,
    STATE(11211), 1,
      sym_attribute,
    STATE(11212), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544972] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13919), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545026] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13905), 1,
      anon_sym_end,
    STATE(11213), 1,
      sym_attribute,
    STATE(11224), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545080] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13919), 1,
      anon_sym_end,
    STATE(11214), 1,
      sym_attribute,
    STATE(11225), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545134] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13921), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545188] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13923), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545242] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13923), 1,
      anon_sym_end,
    STATE(11217), 1,
      sym_attribute,
    STATE(11218), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545296] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13925), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545350] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13925), 1,
      anon_sym_end,
    STATE(11219), 1,
      sym_attribute,
    STATE(11220), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545404] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13927), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545458] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11221), 1,
      sym_attribute,
    STATE(11818), 1,
      sym__attribute,
    STATE(12826), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [545512] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13516), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545566] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12089), 1,
      anon_sym_STAR,
    ACTIONS(13261), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11223), 1,
      sym_attribute,
    STATE(11229), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13259), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [545604] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13929), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545658] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13931), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545712] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13931), 1,
      anon_sym_end,
    STATE(11226), 1,
      sym_attribute,
    STATE(11231), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545766] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13522), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545820] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11228), 1,
      sym_attribute,
    STATE(11826), 1,
      sym__attribute,
    STATE(12856), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [545874] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12019), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13933), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11229), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12017), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [545910] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13936), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545964] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13938), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546018] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1800), 1,
      sym_add_operator,
    STATE(11232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [546054] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13940), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546108] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13942), 1,
      anon_sym_end,
    STATE(11234), 1,
      sym_attribute,
    STATE(11236), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546162] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13365), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546216] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13944), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546270] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13944), 1,
      anon_sym_end,
    STATE(11237), 1,
      sym_attribute,
    STATE(11239), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546324] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11238), 1,
      sym_attribute,
    STATE(11833), 1,
      sym__attribute,
    STATE(12830), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [546378] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13946), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546432] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13946), 1,
      anon_sym_end,
    STATE(11240), 1,
      sym_attribute,
    STATE(11241), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546486] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13948), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546540] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13950), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546594] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11243), 1,
      sym_attribute,
    STATE(11842), 1,
      sym__attribute,
    STATE(12947), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [546648] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13952), 1,
      anon_sym_end,
    STATE(11244), 1,
      sym_attribute,
    STATE(11489), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546702] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13369), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546756] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13526), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546810] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13954), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546864] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11248), 1,
      sym_attribute,
    STATE(11852), 1,
      sym__attribute,
    STATE(12836), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [546918] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13956), 1,
      anon_sym_end,
    STATE(11249), 1,
      sym_attribute,
    STATE(11253), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546972] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13929), 1,
      anon_sym_end,
    STATE(11250), 1,
      sym_attribute,
    STATE(11277), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547026] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13958), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547080] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13687), 1,
      anon_sym_and,
    ACTIONS(13689), 1,
      sym_let_and_operator,
    STATE(11074), 1,
      aux_sym_value_definition_repeat1,
    STATE(11252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13717), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13715), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547120] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13960), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547174] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13962), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10353), 1,
      aux_sym_expression_item_repeat1,
    STATE(11254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12455), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [547214] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13964), 1,
      anon_sym_end,
    STATE(11255), 1,
      sym_attribute,
    STATE(11267), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547268] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8803), 9,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
      aux_sym_attribute_id_token1,
    ACTIONS(8801), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [547302] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13960), 1,
      anon_sym_end,
    STATE(11257), 1,
      sym_attribute,
    STATE(11265), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547356] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13966), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547410] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13968), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547464] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13968), 1,
      anon_sym_end,
    STATE(11260), 1,
      sym_attribute,
    STATE(11315), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547518] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13970), 1,
      anon_sym_end,
    STATE(11261), 1,
      sym_attribute,
    STATE(11262), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547572] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13972), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547626] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13972), 1,
      anon_sym_end,
    STATE(11263), 1,
      sym_attribute,
    STATE(11279), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547680] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11264), 1,
      sym_attribute,
    STATE(11864), 1,
      sym__attribute,
    STATE(12964), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [547734] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547788] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13974), 1,
      anon_sym_end,
    STATE(11266), 1,
      sym_attribute,
    STATE(11276), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547842] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13976), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547896] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13976), 1,
      anon_sym_end,
    STATE(11268), 1,
      sym_attribute,
    STATE(11269), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547950] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13978), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548004] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13978), 1,
      anon_sym_end,
    STATE(11270), 1,
      sym_attribute,
    STATE(11271), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548058] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13980), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548112] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12493), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13245), 1,
      anon_sym_EQ,
    ACTIONS(13982), 1,
      anon_sym_of,
    ACTIONS(13984), 1,
      anon_sym_COLON2,
    STATE(11272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12491), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [548152] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12503), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13251), 1,
      anon_sym_EQ,
    ACTIONS(13986), 1,
      anon_sym_of,
    ACTIONS(13988), 1,
      anon_sym_COLON2,
    STATE(11273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12501), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [548192] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13263), 1,
      anon_sym_EQ,
    ACTIONS(13990), 1,
      anon_sym_of,
    ACTIONS(13992), 1,
      anon_sym_COLON2,
    STATE(11274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12511), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [548232] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11275), 1,
      sym_attribute,
    STATE(11881), 1,
      sym__attribute,
    STATE(12986), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [548286] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13994), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548340] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13996), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548394] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13901), 1,
      anon_sym_end,
    STATE(11278), 1,
      sym_attribute,
    STATE(11538), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548448] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13998), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548502] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13555), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548556] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13998), 1,
      anon_sym_end,
    STATE(11281), 1,
      sym_attribute,
    STATE(11296), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548610] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11282), 1,
      sym_attribute,
    STATE(11888), 1,
      sym__attribute,
    STATE(12899), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [548664] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13559), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548718] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14000), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548772] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14004), 1,
      anon_sym_let,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(11111), 1,
      aux_sym_expression_item_repeat1,
    STATE(11285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14002), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548812] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11286), 1,
      sym_attribute,
    STATE(11890), 1,
      sym__attribute,
    STATE(12880), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [548866] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13414), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14006), 1,
      anon_sym_PIPE,
    STATE(11287), 1,
      sym_attribute,
    STATE(11291), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13412), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [548904] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14008), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548958] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14010), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549012] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13327), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549066] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12647), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14012), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11291), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(12645), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [549102] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11292), 1,
      sym_attribute,
    STATE(11902), 1,
      sym__attribute,
    STATE(12842), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [549156] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(12297), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13357), 1,
      anon_sym_DASH_GT,
    STATE(11293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12295), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [549194] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14015), 1,
      anon_sym_end,
    STATE(11294), 1,
      sym_attribute,
    STATE(11295), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549248] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14017), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549302] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14019), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549356] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14017), 1,
      anon_sym_end,
    STATE(11297), 1,
      sym_attribute,
    STATE(11298), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549410] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14021), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549464] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14023), 1,
      anon_sym_end,
    STATE(11299), 1,
      sym_attribute,
    STATE(11305), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549518] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11300), 1,
      sym_attribute,
    STATE(11906), 1,
      sym__attribute,
    STATE(12844), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [549572] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14021), 1,
      anon_sym_end,
    STATE(11301), 1,
      sym_attribute,
    STATE(11302), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549626] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14025), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549680] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14027), 1,
      anon_sym_end,
    STATE(11303), 1,
      sym_attribute,
    STATE(11313), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549734] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13687), 1,
      anon_sym_and,
    ACTIONS(13689), 1,
      sym_let_and_operator,
    STATE(11304), 1,
      sym_attribute,
    STATE(11319), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14031), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14029), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [549774] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14033), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549828] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14033), 1,
      anon_sym_end,
    STATE(11306), 1,
      sym_attribute,
    STATE(11307), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549882] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14035), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549936] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11308), 1,
      sym_attribute,
    STATE(11909), 1,
      sym__attribute,
    STATE(12872), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [549990] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14035), 1,
      anon_sym_end,
    STATE(11309), 1,
      sym_attribute,
    STATE(11310), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550044] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14037), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550098] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13335), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550152] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13681), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550206] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14039), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550260] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13373), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550314] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14041), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550368] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11316), 1,
      sym_attribute,
    STATE(11911), 1,
      sym__attribute,
    STATE(12978), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [550422] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14043), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550476] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14041), 1,
      anon_sym_end,
    STATE(11318), 1,
      sym_attribute,
    STATE(11339), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550530] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13687), 1,
      anon_sym_and,
    ACTIONS(13689), 1,
      sym_let_and_operator,
    STATE(11319), 1,
      sym_attribute,
    STATE(11577), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14047), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14045), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [550570] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13402), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14006), 1,
      anon_sym_PIPE,
    STATE(11287), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13400), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [550608] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14049), 1,
      anon_sym_end,
    STATE(11321), 1,
      sym_attribute,
    STATE(11323), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550662] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11322), 1,
      sym_attribute,
    STATE(11916), 1,
      sym__attribute,
    STATE(12889), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [550716] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14051), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550770] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14051), 1,
      anon_sym_end,
    STATE(11324), 1,
      sym_attribute,
    STATE(11325), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550824] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14053), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550878] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14053), 1,
      anon_sym_end,
    STATE(11326), 1,
      sym_attribute,
    STATE(11327), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550932] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14055), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550986] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14039), 1,
      anon_sym_end,
    STATE(11328), 1,
      sym_attribute,
    STATE(11329), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551040] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14057), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551094] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13377), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551148] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13402), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14006), 1,
      anon_sym_PIPE,
    STATE(11291), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13400), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [551186] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11332), 1,
      sym_attribute,
    STATE(11918), 1,
      sym__attribute,
    STATE(12900), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [551240] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14057), 1,
      anon_sym_end,
    STATE(11333), 1,
      sym_attribute,
    STATE(11338), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551294] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14059), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551348] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13573), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551402] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14061), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551456] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14063), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10549), 1,
      aux_sym_expression_item_repeat1,
    STATE(11337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [551496] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14065), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551550] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14067), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551604] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11340), 1,
      sym_attribute,
    STATE(11921), 1,
      sym__attribute,
    STATE(12840), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [551658] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14069), 1,
      anon_sym_end,
    STATE(11341), 1,
      sym_attribute,
    STATE(11342), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551712] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14071), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551766] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14071), 1,
      anon_sym_end,
    STATE(11343), 1,
      sym_attribute,
    STATE(11346), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551820] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14073), 1,
      anon_sym_end,
    STATE(11344), 1,
      sym_attribute,
    STATE(11347), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551874] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(13611), 1,
      anon_sym_functor,
    STATE(8481), 1,
      sym_module_path,
    STATE(8891), 1,
      sym__module_expression,
    STATE(11345), 1,
      sym_attribute,
    STATE(11873), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [551928] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14075), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551982] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14077), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552036] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14077), 1,
      anon_sym_end,
    STATE(11348), 1,
      sym_attribute,
    STATE(11350), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552090] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7053), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10552), 1,
      aux_sym_expression_item_repeat1,
    STATE(11349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6933), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [552130] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14079), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552184] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14079), 1,
      anon_sym_end,
    STATE(11351), 1,
      sym_attribute,
    STATE(11352), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552238] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14081), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552292] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11353), 1,
      sym_attribute,
    STATE(11924), 1,
      sym__attribute,
    STATE(12802), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [552346] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14075), 1,
      anon_sym_end,
    STATE(11354), 1,
      sym_attribute,
    STATE(11355), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552400] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14083), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552454] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11966), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14006), 1,
      anon_sym_PIPE,
    STATE(11331), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11964), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [552492] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11357), 1,
      sym_attribute,
    STATE(11927), 1,
      sym__attribute,
    STATE(12965), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [552546] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14085), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552600] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11359), 1,
      sym_attribute,
    STATE(11929), 1,
      sym__attribute,
    STATE(12870), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [552654] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13577), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552708] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13379), 1,
      anon_sym_DASH_GT,
    ACTIONS(13381), 1,
      anon_sym_with,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10792), 1,
      aux_sym_expression_item_repeat1,
    STATE(11361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13419), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [552750] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13833), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552804] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14087), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552858] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13581), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552912] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11365), 1,
      sym_attribute,
    STATE(11934), 1,
      sym__attribute,
    STATE(12915), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [552966] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14089), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553020] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14089), 1,
      anon_sym_end,
    STATE(11202), 1,
      aux_sym_object_expression_repeat1,
    STATE(11367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553074] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14091), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553128] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11369), 1,
      sym_attribute,
    STATE(11935), 1,
      sym__attribute,
    STATE(12882), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [553182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14095), 1,
      anon_sym_let,
    STATE(11370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14093), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [553216] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14097), 1,
      anon_sym_end,
    STATE(11371), 1,
      sym_attribute,
    STATE(11408), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553270] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14099), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553324] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11373), 1,
      sym_attribute,
    STATE(11939), 1,
      sym__attribute,
    STATE(12983), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [553378] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13385), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553432] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14101), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553486] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13687), 1,
      anon_sym_and,
    ACTIONS(13689), 1,
      sym_let_and_operator,
    STATE(11376), 1,
      sym_attribute,
    STATE(11577), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13717), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13715), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [553526] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11377), 1,
      sym_attribute,
    STATE(11941), 1,
      sym__attribute,
    STATE(12891), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [553580] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14103), 1,
      anon_sym_end,
    STATE(11378), 1,
      sym_attribute,
    STATE(11382), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553634] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11379), 1,
      sym_attribute,
    STATE(11944), 1,
      sym__attribute,
    STATE(12857), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [553688] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13585), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553742] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14105), 1,
      anon_sym_end,
    STATE(11381), 1,
      sym_attribute,
    STATE(11389), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553796] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14107), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553850] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14107), 1,
      anon_sym_end,
    STATE(11383), 1,
      sym_attribute,
    STATE(11384), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553904] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14109), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553958] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14109), 1,
      anon_sym_end,
    STATE(11385), 1,
      sym_attribute,
    STATE(11387), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554012] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11386), 1,
      sym_attribute,
    STATE(11945), 1,
      sym__attribute,
    STATE(12907), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [554066] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14111), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554120] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11388), 1,
      sym_attribute,
    STATE(11949), 1,
      sym__attribute,
    STATE(12955), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [554174] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14113), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554228] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14113), 1,
      anon_sym_end,
    STATE(11390), 1,
      sym_attribute,
    STATE(11391), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554282] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14115), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554336] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14115), 1,
      anon_sym_end,
    STATE(11392), 1,
      sym_attribute,
    STATE(11393), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554390] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14117), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554444] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7057), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10360), 1,
      aux_sym_expression_item_repeat1,
    STATE(11394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6921), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [554484] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11395), 1,
      sym_attribute,
    STATE(11951), 1,
      sym__attribute,
    STATE(12884), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [554538] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14119), 1,
      anon_sym_end,
    STATE(11396), 1,
      sym_attribute,
    STATE(11399), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554592] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13589), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554646] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11398), 1,
      sym_attribute,
    STATE(11952), 1,
      sym__attribute,
    STATE(12995), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [554700] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14121), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554754] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11400), 1,
      sym_attribute,
    STATE(11953), 1,
      sym__attribute,
    STATE(12893), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [554808] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14121), 1,
      anon_sym_end,
    STATE(11401), 1,
      sym_attribute,
    STATE(11402), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554862] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14123), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554916] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14123), 1,
      anon_sym_end,
    STATE(11403), 1,
      sym_attribute,
    STATE(11406), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554970] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12213), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13839), 1,
      anon_sym_DASH_GT,
    STATE(11404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12211), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555006] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14125), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555060] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14127), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555114] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11407), 1,
      sym_attribute,
    STATE(11956), 1,
      sym__attribute,
    STATE(12860), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [555168] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14129), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555222] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11409), 1,
      sym_attribute,
    STATE(11960), 1,
      sym__attribute,
    STATE(12985), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [555276] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14131), 1,
      anon_sym_end,
    STATE(11410), 1,
      sym_attribute,
    STATE(11415), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555330] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13389), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555384] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14133), 1,
      anon_sym_end,
    STATE(11412), 1,
      sym_attribute,
    STATE(11432), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555438] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11413), 1,
      sym_attribute,
    STATE(11966), 1,
      sym__attribute,
    STATE(12832), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [555492] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14135), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555546] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14137), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555600] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14137), 1,
      anon_sym_end,
    STATE(11416), 1,
      sym_attribute,
    STATE(11417), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555654] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14139), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555708] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14139), 1,
      anon_sym_end,
    STATE(11418), 1,
      sym_attribute,
    STATE(11419), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555762] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14141), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555816] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11420), 1,
      sym_attribute,
    STATE(11968), 1,
      sym__attribute,
    STATE(12813), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [555870] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13593), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555924] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14143), 1,
      anon_sym_end,
    STATE(11422), 1,
      sym_attribute,
    STATE(11424), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555978] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14145), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556032] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14147), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556086] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14149), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556140] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11426), 1,
      sym_attribute,
    STATE(11969), 1,
      sym__attribute,
    STATE(12892), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [556194] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14147), 1,
      anon_sym_end,
    STATE(11427), 1,
      sym_attribute,
    STATE(11428), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556248] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14151), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556302] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14151), 1,
      anon_sym_end,
    STATE(11429), 1,
      sym_attribute,
    STATE(11430), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556356] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14153), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556410] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11431), 1,
      sym_attribute,
    STATE(11971), 1,
      sym__attribute,
    STATE(12871), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [556464] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14155), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556518] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13607), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556572] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8444), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8446), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(13595), 1,
      anon_sym_LPAREN,
    ACTIONS(13599), 1,
      anon_sym_functor,
    ACTIONS(13601), 1,
      anon_sym_struct,
    ACTIONS(13603), 1,
      sym__uppercase_identifier,
    STATE(11434), 1,
      sym_attribute,
    STATE(11919), 1,
      sym__attribute,
    STATE(12721), 1,
      sym__module_expression,
    STATE(13012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13063), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13062), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [556626] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7079), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10251), 1,
      aux_sym_expression_item_repeat1,
    STATE(11435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6763), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [556666] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13691), 1,
      sym_pow_operator,
    ACTIONS(13693), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13695), 1,
      sym_mult_operator,
    ACTIONS(13697), 1,
      sym_concat_operator,
    ACTIONS(13699), 1,
      sym_rel_operator,
    ACTIONS(13701), 1,
      sym_and_operator,
    ACTIONS(13703), 1,
      sym_or_operator,
    ACTIONS(13705), 1,
      anon_sym_COMMA,
    ACTIONS(13707), 1,
      sym_assign_operator,
    ACTIONS(14157), 1,
      anon_sym_SEMI,
    STATE(1800), 1,
      sym_add_operator,
    STATE(11436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(8964), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [556724] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14159), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556778] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14155), 1,
      anon_sym_end,
    STATE(11438), 1,
      sym_attribute,
    STATE(11439), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556832] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14161), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556886] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(13611), 1,
      anon_sym_functor,
    STATE(8481), 1,
      sym_module_path,
    STATE(8848), 1,
      sym__module_expression,
    STATE(11440), 1,
      sym_attribute,
    STATE(11854), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [556940] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14163), 1,
      anon_sym_end,
    STATE(11441), 1,
      sym_attribute,
    STATE(11453), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556994] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14165), 1,
      anon_sym_end,
    STATE(11442), 1,
      sym_attribute,
    STATE(11445), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557048] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14161), 1,
      anon_sym_end,
    STATE(11443), 1,
      sym_attribute,
    STATE(11447), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557102] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13723), 1,
      anon_sym_else,
    STATE(10328), 1,
      sym_else_clause,
    STATE(11444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [557140] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14167), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557194] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14167), 1,
      anon_sym_end,
    STATE(11446), 1,
      sym_attribute,
    STATE(11448), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557248] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14169), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557302] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14171), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557356] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14129), 1,
      anon_sym_end,
    STATE(11449), 1,
      sym_attribute,
    STATE(11470), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557410] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14171), 1,
      anon_sym_end,
    STATE(11450), 1,
      sym_attribute,
    STATE(11451), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557464] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14173), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13731), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13729), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [557552] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14175), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557606] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14175), 1,
      anon_sym_end,
    STATE(11454), 1,
      sym_attribute,
    STATE(11455), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557660] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14177), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557714] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14177), 1,
      anon_sym_end,
    STATE(11456), 1,
      sym_attribute,
    STATE(11457), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557768] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14179), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557822] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(14181), 1,
      anon_sym_RPAREN,
    ACTIONS(14183), 1,
      anon_sym_val,
    STATE(8481), 1,
      sym_module_path,
    STATE(11458), 1,
      sym_attribute,
    STATE(12838), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [557876] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12495), 1,
      anon_sym_EQ,
    ACTIONS(14185), 1,
      anon_sym_of,
    ACTIONS(14187), 1,
      anon_sym_COLON2,
    STATE(11459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12493), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12491), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [557916] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12505), 1,
      anon_sym_EQ,
    ACTIONS(14189), 1,
      anon_sym_of,
    ACTIONS(14191), 1,
      anon_sym_COLON2,
    STATE(11460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12503), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12501), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [557956] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13626), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558010] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14193), 1,
      anon_sym_PIPE,
    STATE(11462), 1,
      sym_attribute,
    STATE(11464), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13402), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13400), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558048] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14193), 1,
      anon_sym_PIPE,
    STATE(11463), 1,
      sym_attribute,
    STATE(11464), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13414), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13412), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558086] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14195), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12647), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11464), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(12645), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558122] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13630), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558176] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8966), 1,
      anon_sym_and,
    ACTIONS(13771), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13773), 1,
      sym_pow_operator,
    ACTIONS(13775), 1,
      sym_mult_operator,
    ACTIONS(13777), 1,
      sym_concat_operator,
    ACTIONS(13779), 1,
      sym_rel_operator,
    ACTIONS(13781), 1,
      sym_and_operator,
    ACTIONS(13783), 1,
      sym_or_operator,
    ACTIONS(13785), 1,
      anon_sym_COMMA,
    ACTIONS(13787), 1,
      sym_assign_operator,
    ACTIONS(14198), 1,
      anon_sym_SEMI,
    STATE(2000), 1,
      sym_add_operator,
    STATE(11466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8964), 4,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [558234] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14200), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558288] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14193), 1,
      anon_sym_PIPE,
    STATE(11462), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11966), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11964), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558326] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14193), 1,
      anon_sym_PIPE,
    STATE(11463), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13402), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13400), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558364] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14202), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558418] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14204), 1,
      anon_sym_end,
    STATE(11471), 1,
      sym_attribute,
    STATE(11474), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558472] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12427), 1,
      sym__lowercase_identifier,
    ACTIONS(12429), 1,
      anon_sym_POUND,
    STATE(10991), 1,
      sym_type_constructor_path,
    STATE(11472), 1,
      sym_attribute,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11525), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11527), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [558516] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12515), 1,
      anon_sym_EQ,
    ACTIONS(14206), 1,
      anon_sym_of,
    ACTIONS(14208), 1,
      anon_sym_COLON2,
    STATE(11473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12513), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12511), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558556] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14210), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558610] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14210), 1,
      anon_sym_end,
    STATE(11475), 1,
      sym_attribute,
    STATE(11476), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558664] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14212), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558718] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14212), 1,
      anon_sym_end,
    STATE(11477), 1,
      sym_attribute,
    STATE(11478), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558772] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14214), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558826] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14216), 1,
      anon_sym_end,
    STATE(11479), 1,
      sym_attribute,
    STATE(11515), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558880] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14202), 1,
      anon_sym_end,
    STATE(11480), 1,
      sym_attribute,
    STATE(11485), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558934] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13719), 1,
      anon_sym_and,
    ACTIONS(13721), 1,
      sym_let_and_operator,
    STATE(11481), 1,
      sym_attribute,
    STATE(11544), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14031), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14029), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558974] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11482), 1,
      sym_attribute,
    STATE(11907), 1,
      sym__attribute,
    STATE(12938), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [559028] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13642), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559082] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14218), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559136] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14220), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559190] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13719), 1,
      anon_sym_and,
    ACTIONS(13721), 1,
      sym_let_and_operator,
    STATE(11095), 1,
      aux_sym_value_definition_repeat1,
    STATE(11486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13685), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13683), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [559230] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13396), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559284] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14224), 1,
      anon_sym_let,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(11488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14222), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [559324] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14226), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559378] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13719), 1,
      anon_sym_and,
    ACTIONS(13721), 1,
      sym_let_and_operator,
    STATE(11091), 1,
      aux_sym_value_definition_repeat1,
    STATE(11490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14047), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14045), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [559418] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14228), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559472] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14230), 1,
      anon_sym_end,
    STATE(11492), 1,
      sym_attribute,
    STATE(11495), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559526] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13339), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559580] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14232), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559634] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14234), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559688] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14234), 1,
      anon_sym_end,
    STATE(11496), 1,
      sym_attribute,
    STATE(11497), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559742] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14236), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559796] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14238), 1,
      anon_sym_end,
    STATE(11498), 1,
      sym_attribute,
    STATE(11502), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559850] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14236), 1,
      anon_sym_end,
    STATE(11499), 1,
      sym_attribute,
    STATE(11501), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559904] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12427), 1,
      sym__lowercase_identifier,
    ACTIONS(12429), 1,
      anon_sym_POUND,
    STATE(10991), 1,
      sym_type_constructor_path,
    STATE(11500), 1,
      sym_attribute,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11529), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11531), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [559948] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14240), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560002] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14242), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560056] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14242), 1,
      anon_sym_end,
    STATE(11503), 1,
      sym_attribute,
    STATE(11504), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560110] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14244), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560164] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14246), 1,
      anon_sym_PIPE,
    STATE(11505), 1,
      sym_attribute,
    STATE(11507), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13402), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13400), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560202] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14246), 1,
      anon_sym_PIPE,
    STATE(11506), 1,
      sym_attribute,
    STATE(11507), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13414), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13412), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560240] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14248), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12647), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11507), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(12645), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560276] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13379), 1,
      anon_sym_DASH_GT,
    ACTIONS(13381), 1,
      anon_sym_with,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10763), 1,
      aux_sym_expression_item_repeat1,
    STATE(11508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13406), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [560318] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14244), 1,
      anon_sym_end,
    STATE(11509), 1,
      sym_attribute,
    STATE(11534), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560372] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14246), 1,
      anon_sym_PIPE,
    STATE(11505), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11966), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11964), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560410] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13651), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560464] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14251), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560518] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14246), 1,
      anon_sym_PIPE,
    STATE(11506), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13402), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13400), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560556] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14253), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560610] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14255), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560664] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14257), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560718] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14257), 1,
      anon_sym_end,
    STATE(11362), 1,
      aux_sym_object_expression_repeat1,
    STATE(11517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560772] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8966), 1,
      anon_sym_COLON2,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14259), 1,
      anon_sym_SEMI,
    ACTIONS(14261), 1,
      sym_rel_operator,
    STATE(1870), 1,
      sym_add_operator,
    STATE(11518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8964), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [560830] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14263), 1,
      anon_sym_end,
    STATE(11519), 1,
      sym_attribute,
    STATE(11521), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560884] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14265), 1,
      anon_sym_end,
    STATE(11520), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560938] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14267), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560992] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14267), 1,
      anon_sym_end,
    STATE(11522), 1,
      sym_attribute,
    STATE(11523), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561046] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14269), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561100] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14271), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561154] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14269), 1,
      anon_sym_end,
    STATE(11525), 1,
      sym_attribute,
    STATE(11526), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561208] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14273), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561262] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14271), 1,
      anon_sym_end,
    STATE(11527), 1,
      sym_attribute,
    STATE(11528), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561316] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14275), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561370] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14275), 1,
      anon_sym_end,
    STATE(11529), 1,
      sym_attribute,
    STATE(11530), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561424] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14277), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561478] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14255), 1,
      anon_sym_end,
    STATE(11531), 1,
      sym_attribute,
    STATE(11539), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561532] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13655), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561586] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12185), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14279), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11533), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12183), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [561624] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14286), 1,
      anon_sym_let,
    STATE(11535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14284), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561712] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10796), 1,
      aux_sym_expression_item_repeat1,
    STATE(11536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14288), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13613), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [561752] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13659), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561806] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14290), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561860] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14292), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561914] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13663), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561968] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14294), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562022] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14296), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562076] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14226), 1,
      anon_sym_end,
    STATE(11543), 1,
      sym_attribute,
    STATE(11562), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562130] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13719), 1,
      anon_sym_and,
    ACTIONS(13721), 1,
      sym_let_and_operator,
    STATE(11095), 1,
      aux_sym_value_definition_repeat1,
    STATE(11544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14047), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14045), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [562170] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14298), 1,
      anon_sym_end,
    STATE(11545), 1,
      sym_attribute,
    STATE(11549), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562224] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14300), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10524), 1,
      aux_sym_expression_item_repeat1,
    STATE(11546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12870), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [562264] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13343), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562318] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13667), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562372] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14302), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562426] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14302), 1,
      anon_sym_end,
    STATE(11550), 1,
      sym_attribute,
    STATE(11552), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562480] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14304), 1,
      anon_sym_end,
    STATE(11551), 1,
      sym_attribute,
    STATE(11555), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562534] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14306), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562588] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14306), 1,
      anon_sym_end,
    STATE(11553), 1,
      sym_attribute,
    STATE(11554), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562642] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14308), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562696] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14310), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562750] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14310), 1,
      anon_sym_end,
    STATE(11556), 1,
      sym_attribute,
    STATE(11557), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562804] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14312), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562858] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14312), 1,
      anon_sym_end,
    STATE(11558), 1,
      sym_attribute,
    STATE(11559), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562912] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14314), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14318), 1,
      anon_sym_let,
    STATE(11560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14316), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [563000] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14292), 1,
      anon_sym_end,
    STATE(11561), 1,
      sym_attribute,
    STATE(11566), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563054] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13761), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563108] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13671), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563162] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14320), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10248), 1,
      aux_sym_expression_item_repeat1,
    STATE(11564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13098), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [563202] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14322), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563256] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14324), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563310] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14326), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14330), 1,
      anon_sym_let,
    STATE(11568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14328), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [563398] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14332), 1,
      anon_sym_end,
    STATE(11569), 1,
      sym_attribute,
    STATE(11570), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563452] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14334), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563506] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14334), 1,
      anon_sym_end,
    STATE(11571), 1,
      sym_attribute,
    STATE(11572), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563560] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14336), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563614] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14336), 1,
      anon_sym_end,
    STATE(11573), 1,
      sym_attribute,
    STATE(11574), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563668] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14338), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563722] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13303), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14340), 1,
      anon_sym_DASH_GT,
    ACTIONS(14342), 1,
      anon_sym_with,
    STATE(11575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13301), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [563760] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13307), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14340), 1,
      anon_sym_DASH_GT,
    ACTIONS(14342), 1,
      anon_sym_with,
    STATE(11576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13305), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [563798] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14344), 1,
      anon_sym_and,
    ACTIONS(14347), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13731), 2,
      anon_sym_let,
      anon_sym_in,
    STATE(11577), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(13729), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [563836] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13174), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14340), 1,
      anon_sym_DASH_GT,
    ACTIONS(14342), 1,
      anon_sym_with,
    STATE(11578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13172), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [563874] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10718), 1,
      aux_sym_expression_item_repeat1,
    STATE(11579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14350), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13561), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [563914] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13687), 1,
      anon_sym_and,
    ACTIONS(13689), 1,
      sym_let_and_operator,
    STATE(11376), 1,
      aux_sym_value_definition_repeat1,
    STATE(11580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14047), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14045), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [563954] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11173), 1,
      anon_sym_COLON2,
    STATE(11581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9060), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [563990] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(13675), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564044] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14352), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564098] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13205), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14340), 1,
      anon_sym_DASH_GT,
    ACTIONS(14342), 1,
      anon_sym_with,
    STATE(11584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13203), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [564136] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14354), 1,
      anon_sym_end,
    STATE(11585), 1,
      sym_attribute,
    STATE(11593), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564190] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14356), 1,
      anon_sym_end,
    STATE(11586), 1,
      sym_attribute,
    STATE(11588), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564244] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12427), 1,
      sym__lowercase_identifier,
    ACTIONS(12429), 1,
      anon_sym_POUND,
    STATE(10991), 1,
      sym_type_constructor_path,
    STATE(11587), 1,
      sym_attribute,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11375), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11377), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [564288] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14358), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564342] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14358), 1,
      anon_sym_end,
    STATE(11589), 1,
      sym_attribute,
    STATE(11590), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564396] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14360), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564450] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14360), 1,
      anon_sym_end,
    STATE(11591), 1,
      sym_attribute,
    STATE(11592), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564504] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14362), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564558] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14364), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564612] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14364), 1,
      anon_sym_end,
    STATE(11594), 1,
      sym_attribute,
    STATE(11597), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564666] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13691), 1,
      sym_pow_operator,
    ACTIONS(13693), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13695), 1,
      sym_mult_operator,
    ACTIONS(13697), 1,
      sym_concat_operator,
    ACTIONS(13699), 1,
      sym_rel_operator,
    ACTIONS(13701), 1,
      sym_and_operator,
    ACTIONS(13703), 1,
      sym_or_operator,
    STATE(1800), 1,
      sym_add_operator,
    STATE(11595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [564718] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13691), 1,
      sym_pow_operator,
    ACTIONS(13693), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13695), 1,
      sym_mult_operator,
    STATE(1800), 1,
      sym_add_operator,
    STATE(11596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564762] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14366), 1,
      anon_sym_end,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    STATE(11597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564816] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_constraint,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12415), 1,
      anon_sym_inherit,
    ACTIONS(12417), 1,
      anon_sym_method,
    ACTIONS(12419), 1,
      anon_sym_initializer,
    ACTIONS(14366), 1,
      anon_sym_end,
    STATE(11284), 1,
      aux_sym_object_expression_repeat1,
    STATE(11598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13275), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13240), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564870] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(8481), 1,
      sym_module_path,
    STATE(11599), 1,
      sym_attribute,
    STATE(11932), 1,
      sym__attribute,
    STATE(12797), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [564924] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12293), 1,
      anon_sym_STAR,
    ACTIONS(13261), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11600), 1,
      sym_attribute,
    STATE(11752), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13259), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [564961] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14368), 1,
      sym_pow_operator,
    STATE(1962), 1,
      sym_add_operator,
    STATE(11601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [564998] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13731), 1,
      anon_sym_let,
    ACTIONS(14370), 1,
      anon_sym_and,
    ACTIONS(14373), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11602), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(13729), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [565035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11257), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11259), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [565068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11283), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11285), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [565101] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12345), 1,
      anon_sym_STAR,
    STATE(11605), 1,
      sym_attribute,
    STATE(11614), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13261), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13259), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [565138] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(11606), 1,
      sym_attribute,
    STATE(11691), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14376), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [565175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11287), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11289), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [565208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11291), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11293), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [565241] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14368), 1,
      sym_pow_operator,
    STATE(1962), 1,
      sym_add_operator,
    STATE(11609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [565278] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14378), 1,
      anon_sym_LPAREN,
    ACTIONS(14380), 1,
      anon_sym_constraint,
    ACTIONS(14382), 1,
      anon_sym_val,
    ACTIONS(14384), 1,
      anon_sym_end,
    ACTIONS(14386), 1,
      anon_sym_inherit,
    ACTIONS(14388), 1,
      anon_sym_method,
    STATE(11610), 1,
      sym_attribute,
    STATE(12040), 1,
      aux_sym_class_body_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13312), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(13303), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [565331] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12185), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14390), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11611), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12183), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [565368] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7083), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10455), 1,
      aux_sym_expression_item_repeat1,
    STATE(11612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6849), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [565407] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14393), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10524), 1,
      aux_sym_expression_item_repeat1,
    STATE(11613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12870), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [565446] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14395), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12019), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11614), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12017), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [565481] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8966), 1,
      anon_sym_PIPE,
    ACTIONS(14368), 1,
      sym_pow_operator,
    ACTIONS(14398), 1,
      anon_sym_COMMA,
    ACTIONS(14400), 1,
      anon_sym_SEMI,
    ACTIONS(14402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14404), 1,
      sym_mult_operator,
    ACTIONS(14406), 1,
      sym_concat_operator,
    ACTIONS(14408), 1,
      sym_rel_operator,
    ACTIONS(14410), 1,
      sym_and_operator,
    ACTIONS(14412), 1,
      sym_or_operator,
    ACTIONS(14414), 1,
      sym_assign_operator,
    STATE(1962), 1,
      sym_add_operator,
    STATE(11615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8964), 3,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [565538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11315), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11317), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [565571] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14047), 1,
      anon_sym_let,
    ACTIONS(14416), 1,
      anon_sym_and,
    ACTIONS(14418), 1,
      sym_let_and_operator,
    STATE(11617), 1,
      sym_attribute,
    STATE(11698), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14045), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [565610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11319), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11321), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [565643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11323), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11325), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [565676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11327), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11329), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [565709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11331), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11333), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [565742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11335), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11337), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [565775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(8278), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [565808] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11261), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11263), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [565841] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14368), 1,
      sym_pow_operator,
    ACTIONS(14402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14404), 1,
      sym_mult_operator,
    ACTIONS(14406), 1,
      sym_concat_operator,
    STATE(1962), 1,
      sym_add_operator,
    STATE(11625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [565886] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_and,
    ACTIONS(14420), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14422), 1,
      sym_pow_operator,
    ACTIONS(14424), 1,
      sym_mult_operator,
    ACTIONS(14426), 1,
      sym_concat_operator,
    ACTIONS(14428), 1,
      sym_rel_operator,
    ACTIONS(14430), 1,
      sym_and_operator,
    ACTIONS(14432), 1,
      sym_or_operator,
    STATE(2095), 1,
      sym_add_operator,
    STATE(11626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [565937] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2451), 1,
      anon_sym_DOT,
    STATE(11627), 1,
      sym_attribute,
    STATE(17822), 1,
      sym__infix_operator,
    STATE(17996), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(2459), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [565980] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14420), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14422), 1,
      sym_pow_operator,
    ACTIONS(14424), 1,
      sym_mult_operator,
    STATE(2095), 1,
      sym_add_operator,
    STATE(11628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [566023] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14422), 1,
      sym_pow_operator,
    STATE(2095), 1,
      sym_add_operator,
    STATE(11629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [566060] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5225), 1,
      aux_sym_number_token1,
    ACTIONS(5227), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5229), 1,
      anon_sym_SQUOTE,
    ACTIONS(5231), 1,
      anon_sym_DQUOTE,
    ACTIONS(14434), 1,
      anon_sym_LPAREN,
    ACTIONS(14438), 1,
      anon_sym_LBRACE,
    ACTIONS(14440), 1,
      anon_sym_begin,
    STATE(5545), 1,
      sym__signed_constant,
    STATE(11630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14436), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5470), 2,
      sym__constant,
      sym_signed_number,
    STATE(5445), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [566111] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14422), 1,
      sym_pow_operator,
    STATE(2095), 1,
      sym_add_operator,
    STATE(11631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [566148] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14442), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12019), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11632), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12017), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [566183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(7874), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [566216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(7878), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [566249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(7886), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [566282] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13685), 1,
      anon_sym_let,
    ACTIONS(14445), 1,
      anon_sym_and,
    ACTIONS(14447), 1,
      sym_let_and_operator,
    STATE(11602), 1,
      aux_sym_value_definition_repeat1,
    STATE(11636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13683), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [566321] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14420), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14422), 1,
      sym_pow_operator,
    ACTIONS(14424), 1,
      sym_mult_operator,
    ACTIONS(14426), 1,
      sym_concat_operator,
    STATE(2095), 1,
      sym_add_operator,
    STATE(11637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [566366] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14420), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14422), 1,
      sym_pow_operator,
    ACTIONS(14424), 1,
      sym_mult_operator,
    ACTIONS(14426), 1,
      sym_concat_operator,
    STATE(2095), 1,
      sym_add_operator,
    STATE(11638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [566411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9060), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [566444] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14420), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14422), 1,
      sym_pow_operator,
    ACTIONS(14424), 1,
      sym_mult_operator,
    ACTIONS(14426), 1,
      sym_concat_operator,
    ACTIONS(14428), 1,
      sym_rel_operator,
    ACTIONS(14430), 1,
      sym_and_operator,
    STATE(2095), 1,
      sym_add_operator,
    STATE(11640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_and,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [566493] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10862), 16,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [566526] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14449), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10434), 1,
      aux_sym_expression_item_repeat1,
    STATE(11642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12904), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [566565] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(12297), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13839), 1,
      anon_sym_DASH_GT,
    STATE(11643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12295), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [566602] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10012), 1,
      anon_sym_as,
    ACTIONS(14451), 1,
      sym__lowercase_identifier,
    ACTIONS(14453), 1,
      anon_sym_POUND,
    STATE(11644), 1,
      sym_attribute,
    STATE(12120), 1,
      sym_type_constructor_path,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10010), 12,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
  [566645] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14368), 1,
      sym_pow_operator,
    ACTIONS(14402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14404), 1,
      sym_mult_operator,
    ACTIONS(14406), 1,
      sym_concat_operator,
    STATE(1962), 1,
      sym_add_operator,
    STATE(11645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [566690] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_and,
    ACTIONS(14420), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14422), 1,
      sym_pow_operator,
    ACTIONS(14424), 1,
      sym_mult_operator,
    ACTIONS(14426), 1,
      sym_concat_operator,
    ACTIONS(14428), 1,
      sym_rel_operator,
    ACTIONS(14430), 1,
      sym_and_operator,
    ACTIONS(14432), 1,
      sym_or_operator,
    STATE(2095), 1,
      sym_add_operator,
    STATE(11646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [566741] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_and,
    ACTIONS(14420), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14422), 1,
      sym_pow_operator,
    ACTIONS(14424), 1,
      sym_mult_operator,
    ACTIONS(14426), 1,
      sym_concat_operator,
    ACTIONS(14428), 1,
      sym_rel_operator,
    ACTIONS(14430), 1,
      sym_and_operator,
    ACTIONS(14432), 1,
      sym_or_operator,
    ACTIONS(14455), 1,
      anon_sym_COMMA,
    ACTIONS(14457), 1,
      sym_assign_operator,
    STATE(2095), 1,
      sym_add_operator,
    STATE(11647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [566796] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14422), 1,
      sym_pow_operator,
    ACTIONS(14424), 1,
      sym_mult_operator,
    STATE(2095), 1,
      sym_add_operator,
    STATE(11648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [566835] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6723), 1,
      anon_sym_DOT,
    STATE(11649), 1,
      sym_attribute,
    STATE(17833), 1,
      sym__infix_operator,
    STATE(17996), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6729), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [566878] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10159), 1,
      anon_sym_and,
    ACTIONS(14420), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14422), 1,
      sym_pow_operator,
    ACTIONS(14424), 1,
      sym_mult_operator,
    ACTIONS(14426), 1,
      sym_concat_operator,
    ACTIONS(14428), 1,
      sym_rel_operator,
    ACTIONS(14430), 1,
      sym_and_operator,
    ACTIONS(14432), 1,
      sym_or_operator,
    ACTIONS(14455), 1,
      anon_sym_COMMA,
    ACTIONS(14457), 1,
      sym_assign_operator,
    STATE(2095), 1,
      sym_add_operator,
    STATE(11650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [566933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11351), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11353), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [566966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11355), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11357), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [566999] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13821), 1,
      anon_sym_DOT,
    STATE(11653), 1,
      sym_attribute,
    STATE(17996), 1,
      sym_add_operator,
    STATE(18465), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(13823), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [567042] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14368), 1,
      sym_pow_operator,
    ACTIONS(14402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14404), 1,
      sym_mult_operator,
    ACTIONS(14406), 1,
      sym_concat_operator,
    ACTIONS(14408), 1,
      sym_rel_operator,
    ACTIONS(14410), 1,
      sym_and_operator,
    STATE(1962), 1,
      sym_add_operator,
    STATE(11654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [567091] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10227), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14459), 1,
      anon_sym_STAR,
    STATE(11655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10225), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [567126] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7131), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10251), 1,
      aux_sym_expression_item_repeat1,
    STATE(11656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6763), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [567165] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8966), 1,
      anon_sym_and,
    ACTIONS(14420), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14422), 1,
      sym_pow_operator,
    ACTIONS(14424), 1,
      sym_mult_operator,
    ACTIONS(14426), 1,
      sym_concat_operator,
    ACTIONS(14428), 1,
      sym_rel_operator,
    ACTIONS(14430), 1,
      sym_and_operator,
    ACTIONS(14432), 1,
      sym_or_operator,
    ACTIONS(14455), 1,
      anon_sym_COMMA,
    ACTIONS(14457), 1,
      sym_assign_operator,
    ACTIONS(14461), 1,
      anon_sym_SEMI,
    STATE(2095), 1,
      sym_add_operator,
    STATE(11657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8964), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [567222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9068), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [567255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11359), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11361), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [567288] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14463), 1,
      anon_sym_else,
    STATE(10328), 1,
      sym_else_clause,
    STATE(11660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [567325] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14465), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10353), 1,
      aux_sym_expression_item_repeat1,
    STATE(11661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12455), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [567364] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7135), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10360), 1,
      aux_sym_expression_item_repeat1,
    STATE(11662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6921), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [567403] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13717), 1,
      anon_sym_let,
    ACTIONS(14445), 1,
      anon_sym_and,
    ACTIONS(14447), 1,
      sym_let_and_operator,
    STATE(11636), 1,
      aux_sym_value_definition_repeat1,
    STATE(11663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13715), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [567442] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(10986), 1,
      anon_sym_as,
    ACTIONS(14451), 1,
      sym__lowercase_identifier,
    ACTIONS(14453), 1,
      anon_sym_POUND,
    STATE(11664), 1,
      sym_attribute,
    STATE(12120), 1,
      sym_type_constructor_path,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 12,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
  [567485] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14467), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10549), 1,
      aux_sym_expression_item_repeat1,
    STATE(11665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [567524] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7123), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10552), 1,
      aux_sym_expression_item_repeat1,
    STATE(11666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6933), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [567563] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14469), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10248), 1,
      aux_sym_expression_item_repeat1,
    STATE(11667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13098), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [567602] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14471), 1,
      anon_sym_PIPE,
    STATE(11668), 1,
      sym_attribute,
    STATE(11670), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [567639] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14471), 1,
      anon_sym_PIPE,
    STATE(11669), 1,
      sym_attribute,
    STATE(11672), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [567676] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14471), 1,
      anon_sym_PIPE,
    STATE(11670), 1,
      sym_attribute,
    STATE(11673), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [567713] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(14368), 1,
      sym_pow_operator,
    ACTIONS(14402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14404), 1,
      sym_mult_operator,
    ACTIONS(14406), 1,
      sym_concat_operator,
    ACTIONS(14408), 1,
      sym_rel_operator,
    ACTIONS(14410), 1,
      sym_and_operator,
    ACTIONS(14412), 1,
      sym_or_operator,
    STATE(1962), 1,
      sym_add_operator,
    STATE(11671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [567764] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14471), 1,
      anon_sym_PIPE,
    STATE(11672), 1,
      sym_attribute,
    STATE(11673), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [567801] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14473), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11673), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [567836] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(14368), 1,
      sym_pow_operator,
    ACTIONS(14398), 1,
      anon_sym_COMMA,
    ACTIONS(14402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14404), 1,
      sym_mult_operator,
    ACTIONS(14406), 1,
      sym_concat_operator,
    ACTIONS(14408), 1,
      sym_rel_operator,
    ACTIONS(14410), 1,
      sym_and_operator,
    ACTIONS(14412), 1,
      sym_or_operator,
    ACTIONS(14414), 1,
      sym_assign_operator,
    STATE(1962), 1,
      sym_add_operator,
    STATE(11674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [567891] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14368), 1,
      sym_pow_operator,
    ACTIONS(14404), 1,
      sym_mult_operator,
    STATE(1962), 1,
      sym_add_operator,
    STATE(11675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [567930] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10159), 1,
      anon_sym_PIPE,
    ACTIONS(14368), 1,
      sym_pow_operator,
    ACTIONS(14398), 1,
      anon_sym_COMMA,
    ACTIONS(14402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14404), 1,
      sym_mult_operator,
    ACTIONS(14406), 1,
      sym_concat_operator,
    ACTIONS(14408), 1,
      sym_rel_operator,
    ACTIONS(14410), 1,
      sym_and_operator,
    ACTIONS(14412), 1,
      sym_or_operator,
    ACTIONS(14414), 1,
      sym_assign_operator,
    STATE(1962), 1,
      sym_add_operator,
    STATE(11676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [567985] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14476), 1,
      anon_sym_else,
    STATE(10328), 1,
      sym_else_clause,
    STATE(11677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [568022] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14031), 1,
      anon_sym_let,
    ACTIONS(14445), 1,
      anon_sym_and,
    ACTIONS(14447), 1,
      sym_let_and_operator,
    STATE(11678), 1,
      sym_attribute,
    STATE(11706), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14029), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [568061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11363), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11365), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [568094] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10185), 1,
      anon_sym_PIPE,
    ACTIONS(14368), 1,
      sym_pow_operator,
    ACTIONS(14398), 1,
      anon_sym_COMMA,
    ACTIONS(14402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14404), 1,
      sym_mult_operator,
    ACTIONS(14406), 1,
      sym_concat_operator,
    ACTIONS(14408), 1,
      sym_rel_operator,
    ACTIONS(14410), 1,
      sym_and_operator,
    ACTIONS(14412), 1,
      sym_or_operator,
    ACTIONS(14414), 1,
      sym_assign_operator,
    STATE(1962), 1,
      sym_add_operator,
    STATE(11680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [568149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11339), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11341), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [568182] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14368), 1,
      sym_pow_operator,
    ACTIONS(14402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14404), 1,
      sym_mult_operator,
    ACTIONS(14406), 1,
      sym_concat_operator,
    ACTIONS(14408), 1,
      sym_rel_operator,
    ACTIONS(14410), 1,
      sym_and_operator,
    ACTIONS(14412), 1,
      sym_or_operator,
    STATE(1962), 1,
      sym_add_operator,
    STATE(11682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [568233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11389), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11391), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [568266] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7419), 1,
      aux_sym_number_token1,
    ACTIONS(7421), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7423), 1,
      anon_sym_SQUOTE,
    ACTIONS(7425), 1,
      anon_sym_DQUOTE,
    ACTIONS(14478), 1,
      anon_sym_LPAREN,
    ACTIONS(14482), 1,
      anon_sym_LBRACE,
    ACTIONS(14484), 1,
      anon_sym_begin,
    STATE(11684), 1,
      sym_attribute,
    STATE(13944), 1,
      sym__signed_constant,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14480), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13446), 2,
      sym__constant,
      sym_signed_number,
    STATE(13608), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [568317] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6733), 1,
      anon_sym_DOT,
    STATE(11685), 1,
      sym_attribute,
    STATE(17996), 1,
      sym_add_operator,
    STATE(19169), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6739), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [568360] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14047), 1,
      anon_sym_let,
    ACTIONS(14416), 1,
      anon_sym_and,
    ACTIONS(14418), 1,
      sym_let_and_operator,
    STATE(11686), 1,
      sym_attribute,
    STATE(11704), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14045), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [568399] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(11687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14486), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568436] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8966), 1,
      anon_sym_and,
    ACTIONS(14420), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14422), 1,
      sym_pow_operator,
    ACTIONS(14424), 1,
      sym_mult_operator,
    ACTIONS(14426), 1,
      sym_concat_operator,
    ACTIONS(14428), 1,
      sym_rel_operator,
    ACTIONS(14430), 1,
      sym_and_operator,
    ACTIONS(14432), 1,
      sym_or_operator,
    ACTIONS(14455), 1,
      anon_sym_COMMA,
    ACTIONS(14457), 1,
      sym_assign_operator,
    ACTIONS(14488), 1,
      anon_sym_SEMI,
    STATE(2095), 1,
      sym_add_operator,
    STATE(11688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8964), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [568493] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14492), 1,
      anon_sym_let,
    ACTIONS(14494), 1,
      anon_sym_and,
    STATE(11689), 1,
      sym_attribute,
    STATE(11702), 1,
      aux_sym_class_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14490), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [568530] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(11687), 1,
      aux_sym_expression_item_repeat1,
    STATE(11690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14496), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568567] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(11691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14496), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568604] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14492), 1,
      anon_sym_let,
    ACTIONS(14494), 1,
      anon_sym_and,
    STATE(11692), 1,
      sym_attribute,
    STATE(11703), 1,
      aux_sym_class_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14490), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [568641] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12220), 1,
      anon_sym_STAR,
    STATE(11632), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(11693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13261), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13259), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [568678] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6743), 1,
      anon_sym_DOT,
    STATE(11694), 1,
      sym_attribute,
    STATE(17462), 1,
      sym__infix_operator,
    STATE(17996), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6749), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [568721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11405), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11407), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [568754] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4949), 1,
      aux_sym_number_token1,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    ACTIONS(4955), 1,
      anon_sym_DQUOTE,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(14498), 1,
      anon_sym_LPAREN,
    ACTIONS(14502), 1,
      anon_sym_LBRACE,
    ACTIONS(14504), 1,
      anon_sym_begin,
    STATE(11696), 1,
      sym_attribute,
    STATE(12925), 1,
      sym__signed_constant,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14500), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12712), 2,
      sym__constant,
      sym_signed_number,
    STATE(11915), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [568805] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13402), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14506), 1,
      anon_sym_PIPE,
    STATE(11697), 1,
      sym_attribute,
    STATE(11709), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13400), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568842] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13717), 1,
      anon_sym_let,
    ACTIONS(14416), 1,
      anon_sym_and,
    ACTIONS(14418), 1,
      sym_let_and_operator,
    STATE(11698), 1,
      sym_attribute,
    STATE(11704), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13715), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [568881] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4999), 1,
      aux_sym_number_token1,
    ACTIONS(5001), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5003), 1,
      anon_sym_SQUOTE,
    ACTIONS(5005), 1,
      anon_sym_DQUOTE,
    ACTIONS(14508), 1,
      anon_sym_LPAREN,
    ACTIONS(14512), 1,
      anon_sym_LBRACE,
    ACTIONS(14514), 1,
      anon_sym_begin,
    STATE(5486), 1,
      sym__signed_constant,
    STATE(11699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14510), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5336), 2,
      sym__constant,
      sym_signed_number,
    STATE(5307), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [568932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11411), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [568965] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(11701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13711), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569002] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14330), 1,
      anon_sym_let,
    ACTIONS(14516), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11702), 2,
      sym_attribute,
      aux_sym_class_type_definition_repeat1,
    ACTIONS(14328), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569037] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14494), 1,
      anon_sym_and,
    ACTIONS(14521), 1,
      anon_sym_let,
    STATE(11702), 1,
      aux_sym_class_type_definition_repeat1,
    STATE(11703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14519), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569074] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13731), 1,
      anon_sym_let,
    ACTIONS(14523), 1,
      anon_sym_and,
    ACTIONS(14526), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11704), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(13729), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11419), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [569144] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14047), 1,
      anon_sym_let,
    ACTIONS(14445), 1,
      anon_sym_and,
    ACTIONS(14447), 1,
      sym_let_and_operator,
    STATE(11602), 1,
      aux_sym_value_definition_repeat1,
    STATE(11706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14045), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569183] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7330), 1,
      aux_sym_number_token1,
    ACTIONS(7332), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7334), 1,
      anon_sym_SQUOTE,
    ACTIONS(7336), 1,
      anon_sym_DQUOTE,
    ACTIONS(14529), 1,
      anon_sym_LPAREN,
    ACTIONS(14533), 1,
      anon_sym_LBRACE,
    ACTIONS(14535), 1,
      anon_sym_begin,
    STATE(8763), 1,
      sym__signed_constant,
    STATE(11707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14531), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8700), 2,
      sym__constant,
      sym_signed_number,
    STATE(8548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [569234] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13414), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14506), 1,
      anon_sym_PIPE,
    STATE(11708), 1,
      sym_attribute,
    STATE(11709), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13412), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569271] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12647), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14537), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11709), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(12645), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569306] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14340), 1,
      anon_sym_DASH_GT,
    ACTIONS(14342), 1,
      anon_sym_with,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(11710), 1,
      sym_attribute,
    STATE(11751), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13711), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569347] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14494), 1,
      anon_sym_and,
    ACTIONS(14542), 1,
      anon_sym_let,
    STATE(11689), 1,
      aux_sym_class_type_definition_repeat1,
    STATE(11711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14540), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569384] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11966), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14506), 1,
      anon_sym_PIPE,
    STATE(11697), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11964), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569421] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13402), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14506), 1,
      anon_sym_PIPE,
    STATE(11708), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13400), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569458] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14340), 1,
      anon_sym_DASH_GT,
    ACTIONS(14342), 1,
      anon_sym_with,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10763), 1,
      aux_sym_expression_item_repeat1,
    STATE(11714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13406), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569499] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13913), 1,
      anon_sym_val,
    STATE(8481), 1,
      sym_module_path,
    STATE(11715), 1,
      sym_attribute,
    STATE(12901), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [569550] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14340), 1,
      anon_sym_DASH_GT,
    ACTIONS(14342), 1,
      anon_sym_with,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10792), 1,
      aux_sym_expression_item_repeat1,
    STATE(11716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13419), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569591] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14047), 1,
      anon_sym_let,
    ACTIONS(14445), 1,
      anon_sym_and,
    ACTIONS(14447), 1,
      sym_let_and_operator,
    STATE(11717), 1,
      sym_attribute,
    STATE(11734), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14045), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569630] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13717), 1,
      anon_sym_let,
    ACTIONS(14416), 1,
      anon_sym_and,
    ACTIONS(14418), 1,
      sym_let_and_operator,
    STATE(11718), 1,
      sym_attribute,
    STATE(11729), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13715), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569669] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11966), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14544), 1,
      anon_sym_PIPE,
    STATE(11719), 1,
      sym_attribute,
    STATE(11741), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11964), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569706] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10330), 8,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10328), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [569739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11249), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11251), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [569772] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5191), 1,
      aux_sym_number_token1,
    ACTIONS(5193), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5195), 1,
      anon_sym_SQUOTE,
    ACTIONS(5197), 1,
      anon_sym_DQUOTE,
    ACTIONS(14546), 1,
      anon_sym_LPAREN,
    ACTIONS(14550), 1,
      anon_sym_LBRACE,
    ACTIONS(14552), 1,
      anon_sym_begin,
    STATE(5531), 1,
      sym__signed_constant,
    STATE(11722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14548), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5433), 2,
      sym__constant,
      sym_signed_number,
    STATE(5439), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [569823] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13402), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14544), 1,
      anon_sym_PIPE,
    STATE(11723), 1,
      sym_attribute,
    STATE(11744), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13400), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569860] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6707), 1,
      anon_sym_DOT,
    STATE(11724), 1,
      sym_attribute,
    STATE(17996), 1,
      sym_add_operator,
    STATE(19578), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6719), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [569903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11279), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11281), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [569936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11421), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11423), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [569969] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(14183), 1,
      anon_sym_val,
    STATE(8481), 1,
      sym_module_path,
    STATE(11727), 1,
      sym_attribute,
    STATE(12838), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [570020] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6753), 1,
      anon_sym_DOT,
    STATE(11728), 1,
      sym_attribute,
    STATE(17996), 1,
      sym_add_operator,
    STATE(19664), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6759), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [570063] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13685), 1,
      anon_sym_let,
    ACTIONS(14416), 1,
      anon_sym_and,
    ACTIONS(14418), 1,
      sym_let_and_operator,
    STATE(11704), 1,
      aux_sym_value_definition_repeat1,
    STATE(11729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13683), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570102] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14340), 1,
      anon_sym_DASH_GT,
    ACTIONS(14342), 1,
      anon_sym_with,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(11701), 1,
      aux_sym_expression_item_repeat1,
    STATE(11730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13837), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [570143] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(1962), 1,
      sym_add_operator,
    STATE(11731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [570178] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5067), 1,
      aux_sym_number_token1,
    ACTIONS(5069), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5071), 1,
      anon_sym_SQUOTE,
    ACTIONS(5073), 1,
      anon_sym_DQUOTE,
    ACTIONS(14554), 1,
      anon_sym_LPAREN,
    ACTIONS(14558), 1,
      anon_sym_LBRACE,
    ACTIONS(14560), 1,
      anon_sym_begin,
    STATE(5465), 1,
      sym__signed_constant,
    STATE(11732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14556), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5328), 2,
      sym__constant,
      sym_signed_number,
    STATE(5287), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [570229] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10221), 1,
      anon_sym_PIPE,
    ACTIONS(14368), 1,
      sym_pow_operator,
    ACTIONS(14398), 1,
      anon_sym_COMMA,
    ACTIONS(14402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14404), 1,
      sym_mult_operator,
    ACTIONS(14406), 1,
      sym_concat_operator,
    ACTIONS(14408), 1,
      sym_rel_operator,
    ACTIONS(14410), 1,
      sym_and_operator,
    ACTIONS(14412), 1,
      sym_or_operator,
    ACTIONS(14414), 1,
      sym_assign_operator,
    STATE(1962), 1,
      sym_add_operator,
    STATE(11733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10219), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [570284] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13717), 1,
      anon_sym_let,
    ACTIONS(14445), 1,
      anon_sym_and,
    ACTIONS(14447), 1,
      sym_let_and_operator,
    STATE(11602), 1,
      aux_sym_value_definition_repeat1,
    STATE(11734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13715), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11253), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11255), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [570356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11295), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11297), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [570389] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10185), 1,
      anon_sym_and,
    ACTIONS(14420), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14422), 1,
      sym_pow_operator,
    ACTIONS(14424), 1,
      sym_mult_operator,
    ACTIONS(14426), 1,
      sym_concat_operator,
    ACTIONS(14428), 1,
      sym_rel_operator,
    ACTIONS(14430), 1,
      sym_and_operator,
    ACTIONS(14432), 1,
      sym_or_operator,
    ACTIONS(14455), 1,
      anon_sym_COMMA,
    ACTIONS(14457), 1,
      sym_assign_operator,
    STATE(2095), 1,
      sym_add_operator,
    STATE(11737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [570444] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14476), 1,
      anon_sym_else,
    STATE(10400), 1,
      sym_else_clause,
    STATE(11738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [570481] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10796), 1,
      aux_sym_expression_item_repeat1,
    STATE(11739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14562), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13613), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [570520] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10718), 1,
      aux_sym_expression_item_repeat1,
    STATE(11740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14564), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13561), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [570559] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13402), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14544), 1,
      anon_sym_PIPE,
    STATE(11741), 1,
      sym_attribute,
    STATE(11745), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13400), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [570596] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4925), 1,
      anon_sym_DOT,
    STATE(11742), 1,
      sym_attribute,
    STATE(17545), 1,
      sym__infix_operator,
    STATE(17996), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(4957), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [570639] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7119), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(10433), 1,
      aux_sym_expression_item_repeat1,
    STATE(11743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6855), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [570678] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13414), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14544), 1,
      anon_sym_PIPE,
    STATE(11744), 1,
      sym_attribute,
    STATE(11745), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13412), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [570715] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12647), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14566), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11745), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(12645), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [570750] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14031), 1,
      anon_sym_let,
    ACTIONS(14416), 1,
      anon_sym_and,
    ACTIONS(14418), 1,
      sym_let_and_operator,
    STATE(11686), 1,
      aux_sym_value_definition_repeat1,
    STATE(11746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14029), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570789] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14368), 1,
      sym_pow_operator,
    ACTIONS(14402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14404), 1,
      sym_mult_operator,
    STATE(1962), 1,
      sym_add_operator,
    STATE(11747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [570832] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2095), 1,
      sym_add_operator,
    STATE(11748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [570867] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11004), 1,
      anon_sym_as,
    ACTIONS(14451), 1,
      sym__lowercase_identifier,
    ACTIONS(14569), 1,
      anon_sym_POUND,
    STATE(11749), 1,
      sym_attribute,
    STATE(12206), 1,
      sym_type_constructor_path,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11002), 12,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
  [570910] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14463), 1,
      anon_sym_else,
    STATE(10400), 1,
      sym_else_clause,
    STATE(11750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [570947] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(11751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14571), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [570984] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12019), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14573), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11752), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12017), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [571019] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14578), 1,
      anon_sym_let,
    ACTIONS(14580), 1,
      anon_sym_and,
    STATE(11753), 1,
      sym_attribute,
    STATE(11937), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14576), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571055] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14582), 1,
      anon_sym_PIPE,
    STATE(11754), 1,
      sym_attribute,
    STATE(11755), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [571091] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14584), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11755), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [571125] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14587), 1,
      anon_sym_else,
    STATE(8139), 1,
      sym_else_clause,
    STATE(11756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [571161] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14589), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14591), 1,
      sym_pow_operator,
    ACTIONS(14593), 1,
      sym_mult_operator,
    ACTIONS(14595), 1,
      sym_concat_operator,
    ACTIONS(14597), 1,
      sym_rel_operator,
    ACTIONS(14599), 1,
      sym_and_operator,
    ACTIONS(14601), 1,
      sym_or_operator,
    STATE(2122), 1,
      sym_add_operator,
    STATE(11757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [571211] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14589), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14591), 1,
      sym_pow_operator,
    ACTIONS(14593), 1,
      sym_mult_operator,
    STATE(2122), 1,
      sym_add_operator,
    STATE(11758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [571253] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14591), 1,
      sym_pow_operator,
    STATE(2122), 1,
      sym_add_operator,
    STATE(11759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [571289] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14591), 1,
      sym_pow_operator,
    STATE(2122), 1,
      sym_add_operator,
    STATE(11760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [571325] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14589), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14591), 1,
      sym_pow_operator,
    ACTIONS(14593), 1,
      sym_mult_operator,
    ACTIONS(14595), 1,
      sym_concat_operator,
    STATE(2122), 1,
      sym_add_operator,
    STATE(11761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [571369] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14589), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14591), 1,
      sym_pow_operator,
    ACTIONS(14593), 1,
      sym_mult_operator,
    ACTIONS(14595), 1,
      sym_concat_operator,
    STATE(2122), 1,
      sym_add_operator,
    STATE(11762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [571413] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14589), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14591), 1,
      sym_pow_operator,
    ACTIONS(14593), 1,
      sym_mult_operator,
    ACTIONS(14595), 1,
      sym_concat_operator,
    ACTIONS(14597), 1,
      sym_rel_operator,
    ACTIONS(14599), 1,
      sym_and_operator,
    STATE(2122), 1,
      sym_add_operator,
    STATE(11763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [571461] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(14589), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14591), 1,
      sym_pow_operator,
    ACTIONS(14593), 1,
      sym_mult_operator,
    ACTIONS(14595), 1,
      sym_concat_operator,
    ACTIONS(14597), 1,
      sym_rel_operator,
    ACTIONS(14599), 1,
      sym_and_operator,
    ACTIONS(14601), 1,
      sym_or_operator,
    STATE(2122), 1,
      sym_add_operator,
    STATE(11764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [571511] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(14589), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14591), 1,
      sym_pow_operator,
    ACTIONS(14593), 1,
      sym_mult_operator,
    ACTIONS(14595), 1,
      sym_concat_operator,
    ACTIONS(14597), 1,
      sym_rel_operator,
    ACTIONS(14599), 1,
      sym_and_operator,
    ACTIONS(14601), 1,
      sym_or_operator,
    ACTIONS(14603), 1,
      anon_sym_COMMA,
    ACTIONS(14605), 1,
      sym_assign_operator,
    STATE(2122), 1,
      sym_add_operator,
    STATE(11765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [571565] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14591), 1,
      sym_pow_operator,
    ACTIONS(14593), 1,
      sym_mult_operator,
    STATE(2122), 1,
      sym_add_operator,
    STATE(11766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [571603] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10159), 1,
      anon_sym_PIPE,
    ACTIONS(14589), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14591), 1,
      sym_pow_operator,
    ACTIONS(14593), 1,
      sym_mult_operator,
    ACTIONS(14595), 1,
      sym_concat_operator,
    ACTIONS(14597), 1,
      sym_rel_operator,
    ACTIONS(14599), 1,
      sym_and_operator,
    ACTIONS(14601), 1,
      sym_or_operator,
    ACTIONS(14603), 1,
      anon_sym_COMMA,
    ACTIONS(14605), 1,
      sym_assign_operator,
    STATE(2122), 1,
      sym_add_operator,
    STATE(11767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [571657] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14607), 1,
      anon_sym_else,
    STATE(8139), 1,
      sym_else_clause,
    STATE(11768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [571693] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10185), 1,
      anon_sym_PIPE,
    ACTIONS(14589), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14591), 1,
      sym_pow_operator,
    ACTIONS(14593), 1,
      sym_mult_operator,
    ACTIONS(14595), 1,
      sym_concat_operator,
    ACTIONS(14597), 1,
      sym_rel_operator,
    ACTIONS(14599), 1,
      sym_and_operator,
    ACTIONS(14601), 1,
      sym_or_operator,
    ACTIONS(14603), 1,
      anon_sym_COMMA,
    ACTIONS(14605), 1,
      sym_assign_operator,
    STATE(2122), 1,
      sym_add_operator,
    STATE(11769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [571747] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8026), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [571779] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11771), 1,
      sym_attribute,
    STATE(12973), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [571827] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11772), 1,
      sym_attribute,
    STATE(12924), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [571875] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(8899), 1,
      sym__module_expression,
    STATE(11773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [571923] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2122), 1,
      sym_add_operator,
    STATE(11774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [571957] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14607), 1,
      anon_sym_else,
    STATE(8144), 1,
      sym_else_clause,
    STATE(11775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [571993] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10221), 1,
      anon_sym_PIPE,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14613), 1,
      sym_pow_operator,
    ACTIONS(14615), 1,
      sym_mult_operator,
    ACTIONS(14617), 1,
      sym_concat_operator,
    ACTIONS(14619), 1,
      sym_rel_operator,
    ACTIONS(14621), 1,
      sym_and_operator,
    ACTIONS(14623), 1,
      sym_or_operator,
    ACTIONS(14625), 1,
      sym_assign_operator,
    STATE(2156), 1,
      sym_add_operator,
    STATE(11776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10219), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [572047] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8444), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8446), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13595), 1,
      anon_sym_LPAREN,
    ACTIONS(13599), 1,
      anon_sym_functor,
    ACTIONS(13601), 1,
      anon_sym_struct,
    ACTIONS(13603), 1,
      sym__uppercase_identifier,
    STATE(11777), 1,
      sym_attribute,
    STATE(12687), 1,
      sym__module_expression,
    STATE(13012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13063), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13062), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [572095] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14578), 1,
      anon_sym_let,
    ACTIONS(14627), 1,
      anon_sym_and,
    STATE(11778), 1,
      sym_attribute,
    STATE(12025), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14576), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572131] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14578), 1,
      anon_sym_let,
    ACTIONS(14627), 1,
      anon_sym_and,
    STATE(11779), 1,
      sym_attribute,
    STATE(12026), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14576), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572167] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(14631), 1,
      anon_sym_DASH_GT,
    ACTIONS(14633), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14629), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [572203] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(14631), 1,
      anon_sym_DASH_GT,
    ACTIONS(14637), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14635), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [572239] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14611), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14613), 1,
      sym_pow_operator,
    ACTIONS(14615), 1,
      sym_mult_operator,
    ACTIONS(14617), 1,
      sym_concat_operator,
    ACTIONS(14619), 1,
      sym_rel_operator,
    ACTIONS(14621), 1,
      sym_and_operator,
    ACTIONS(14623), 1,
      sym_or_operator,
    STATE(2156), 1,
      sym_add_operator,
    STATE(11782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [572289] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14611), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14613), 1,
      sym_pow_operator,
    ACTIONS(14615), 1,
      sym_mult_operator,
    STATE(2156), 1,
      sym_add_operator,
    STATE(11783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [572331] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14613), 1,
      sym_pow_operator,
    STATE(2156), 1,
      sym_add_operator,
    STATE(11784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [572367] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14613), 1,
      sym_pow_operator,
    STATE(2156), 1,
      sym_add_operator,
    STATE(11785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [572403] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14611), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14613), 1,
      sym_pow_operator,
    ACTIONS(14615), 1,
      sym_mult_operator,
    ACTIONS(14617), 1,
      sym_concat_operator,
    STATE(2156), 1,
      sym_add_operator,
    STATE(11786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [572447] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14611), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14613), 1,
      sym_pow_operator,
    ACTIONS(14615), 1,
      sym_mult_operator,
    ACTIONS(14617), 1,
      sym_concat_operator,
    STATE(2156), 1,
      sym_add_operator,
    STATE(11787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [572491] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14611), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14613), 1,
      sym_pow_operator,
    ACTIONS(14615), 1,
      sym_mult_operator,
    ACTIONS(14617), 1,
      sym_concat_operator,
    ACTIONS(14619), 1,
      sym_rel_operator,
    ACTIONS(14621), 1,
      sym_and_operator,
    STATE(2156), 1,
      sym_add_operator,
    STATE(11788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [572539] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(14611), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14613), 1,
      sym_pow_operator,
    ACTIONS(14615), 1,
      sym_mult_operator,
    ACTIONS(14617), 1,
      sym_concat_operator,
    ACTIONS(14619), 1,
      sym_rel_operator,
    ACTIONS(14621), 1,
      sym_and_operator,
    ACTIONS(14623), 1,
      sym_or_operator,
    STATE(2156), 1,
      sym_add_operator,
    STATE(11789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [572589] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14613), 1,
      sym_pow_operator,
    ACTIONS(14615), 1,
      sym_mult_operator,
    ACTIONS(14617), 1,
      sym_concat_operator,
    ACTIONS(14619), 1,
      sym_rel_operator,
    ACTIONS(14621), 1,
      sym_and_operator,
    ACTIONS(14623), 1,
      sym_or_operator,
    ACTIONS(14625), 1,
      sym_assign_operator,
    STATE(2156), 1,
      sym_add_operator,
    STATE(11790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [572643] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14613), 1,
      sym_pow_operator,
    ACTIONS(14615), 1,
      sym_mult_operator,
    STATE(2156), 1,
      sym_add_operator,
    STATE(11791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [572681] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10159), 1,
      anon_sym_PIPE,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14613), 1,
      sym_pow_operator,
    ACTIONS(14615), 1,
      sym_mult_operator,
    ACTIONS(14617), 1,
      sym_concat_operator,
    ACTIONS(14619), 1,
      sym_rel_operator,
    ACTIONS(14621), 1,
      sym_and_operator,
    ACTIONS(14623), 1,
      sym_or_operator,
    ACTIONS(14625), 1,
      sym_assign_operator,
    STATE(2156), 1,
      sym_add_operator,
    STATE(11792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [572735] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14639), 1,
      anon_sym_else,
    STATE(8139), 1,
      sym_else_clause,
    STATE(11793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [572771] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10185), 1,
      anon_sym_PIPE,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14613), 1,
      sym_pow_operator,
    ACTIONS(14615), 1,
      sym_mult_operator,
    ACTIONS(14617), 1,
      sym_concat_operator,
    ACTIONS(14619), 1,
      sym_rel_operator,
    ACTIONS(14621), 1,
      sym_and_operator,
    ACTIONS(14623), 1,
      sym_or_operator,
    ACTIONS(14625), 1,
      sym_assign_operator,
    STATE(2156), 1,
      sym_add_operator,
    STATE(11794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [572825] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14641), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14643), 1,
      sym_pow_operator,
    ACTIONS(14645), 1,
      sym_mult_operator,
    ACTIONS(14647), 1,
      sym_concat_operator,
    ACTIONS(14649), 1,
      sym_rel_operator,
    ACTIONS(14651), 1,
      sym_and_operator,
    ACTIONS(14653), 1,
      sym_or_operator,
    STATE(2298), 1,
      sym_add_operator,
    STATE(11795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [572875] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8966), 1,
      anon_sym_PIPE,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14613), 1,
      sym_pow_operator,
    ACTIONS(14615), 1,
      sym_mult_operator,
    ACTIONS(14617), 1,
      sym_concat_operator,
    ACTIONS(14619), 1,
      sym_rel_operator,
    ACTIONS(14621), 1,
      sym_and_operator,
    ACTIONS(14623), 1,
      sym_or_operator,
    ACTIONS(14625), 1,
      sym_assign_operator,
    ACTIONS(14655), 1,
      anon_sym_SEMI,
    STATE(2156), 1,
      sym_add_operator,
    STATE(11796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8964), 2,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [572931] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11797), 1,
      sym_attribute,
    STATE(12929), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [572979] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12503), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13251), 1,
      anon_sym_EQ,
    ACTIONS(14657), 1,
      anon_sym_of,
    ACTIONS(14659), 1,
      anon_sym_COLON2,
    STATE(11798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12501), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [573017] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14582), 1,
      anon_sym_PIPE,
    STATE(11799), 1,
      sym_attribute,
    STATE(11933), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [573053] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2156), 1,
      sym_add_operator,
    STATE(11800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [573087] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14639), 1,
      anon_sym_else,
    STATE(8144), 1,
      sym_else_clause,
    STATE(11801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [573123] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14661), 1,
      anon_sym_and,
    STATE(11802), 1,
      sym_attribute,
    STATE(12050), 1,
      aux_sym_class_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14490), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [573157] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14661), 1,
      anon_sym_and,
    STATE(11803), 1,
      sym_attribute,
    STATE(12051), 1,
      aux_sym_class_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14490), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [573191] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14665), 1,
      anon_sym_let,
    ACTIONS(14667), 1,
      anon_sym_DOT,
    STATE(11804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14663), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573225] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12493), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14669), 1,
      anon_sym_EQ,
    ACTIONS(14671), 1,
      anon_sym_of,
    ACTIONS(14673), 1,
      anon_sym_COLON2,
    STATE(11805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12491), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [573263] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12503), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14675), 1,
      anon_sym_EQ,
    ACTIONS(14677), 1,
      anon_sym_of,
    ACTIONS(14679), 1,
      anon_sym_COLON2,
    STATE(11806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12501), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [573301] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14681), 1,
      anon_sym_EQ,
    ACTIONS(14683), 1,
      anon_sym_of,
    ACTIONS(14685), 1,
      anon_sym_COLON2,
    STATE(11807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12511), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [573339] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10227), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14687), 1,
      anon_sym_STAR,
    STATE(11808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10225), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [573373] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11809), 1,
      sym_attribute,
    STATE(12890), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [573421] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13263), 1,
      anon_sym_EQ,
    ACTIONS(14689), 1,
      anon_sym_of,
    ACTIONS(14691), 1,
      anon_sym_COLON2,
    STATE(11810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12511), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [573459] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14693), 1,
      anon_sym_else,
    STATE(8144), 1,
      sym_else_clause,
    STATE(11811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [573495] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10221), 1,
      anon_sym_PIPE,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14699), 1,
      sym_pow_operator,
    ACTIONS(14701), 1,
      sym_mult_operator,
    ACTIONS(14703), 1,
      sym_concat_operator,
    ACTIONS(14705), 1,
      sym_rel_operator,
    ACTIONS(14707), 1,
      sym_and_operator,
    ACTIONS(14709), 1,
      sym_or_operator,
    ACTIONS(14711), 1,
      sym_assign_operator,
    STATE(1940), 1,
      sym_add_operator,
    STATE(11812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10219), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [573549] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14641), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14643), 1,
      sym_pow_operator,
    ACTIONS(14645), 1,
      sym_mult_operator,
    STATE(2298), 1,
      sym_add_operator,
    STATE(11813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [573591] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12493), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14669), 1,
      anon_sym_EQ,
    ACTIONS(14713), 1,
      anon_sym_of,
    ACTIONS(14715), 1,
      anon_sym_COLON2,
    STATE(11814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12491), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [573629] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12503), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14657), 1,
      anon_sym_of,
    ACTIONS(14659), 1,
      anon_sym_COLON2,
    ACTIONS(14675), 1,
      anon_sym_EQ,
    STATE(11815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12501), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [573667] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14681), 1,
      anon_sym_EQ,
    ACTIONS(14689), 1,
      anon_sym_of,
    ACTIONS(14691), 1,
      anon_sym_COLON2,
    STATE(11816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12511), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [573705] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8966), 1,
      anon_sym_PIPE,
    ACTIONS(14717), 1,
      anon_sym_COMMA,
    ACTIONS(14719), 1,
      anon_sym_SEMI,
    ACTIONS(14721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14723), 1,
      sym_pow_operator,
    ACTIONS(14725), 1,
      sym_mult_operator,
    ACTIONS(14727), 1,
      sym_concat_operator,
    ACTIONS(14729), 1,
      sym_rel_operator,
    ACTIONS(14731), 1,
      sym_and_operator,
    ACTIONS(14733), 1,
      sym_or_operator,
    ACTIONS(14735), 1,
      sym_assign_operator,
    STATE(2083), 1,
      sym_add_operator,
    STATE(11817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8964), 2,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [573761] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11818), 1,
      sym_attribute,
    STATE(12927), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [573809] = 18,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(14737), 1,
      anon_sym_COLON_GT,
    ACTIONS(14739), 1,
      anon_sym_RPAREN,
    ACTIONS(14741), 1,
      anon_sym_COLON2,
    STATE(1870), 1,
      sym_add_operator,
    STATE(11819), 1,
      sym_attribute,
    STATE(16594), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [573867] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14643), 1,
      sym_pow_operator,
    STATE(2298), 1,
      sym_add_operator,
    STATE(11820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [573903] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14643), 1,
      sym_pow_operator,
    STATE(2298), 1,
      sym_add_operator,
    STATE(11821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [573939] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14641), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14643), 1,
      sym_pow_operator,
    ACTIONS(14645), 1,
      sym_mult_operator,
    ACTIONS(14647), 1,
      sym_concat_operator,
    STATE(2298), 1,
      sym_add_operator,
    STATE(11822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [573983] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14641), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14643), 1,
      sym_pow_operator,
    ACTIONS(14645), 1,
      sym_mult_operator,
    ACTIONS(14647), 1,
      sym_concat_operator,
    STATE(2298), 1,
      sym_add_operator,
    STATE(11823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [574027] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14641), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14643), 1,
      sym_pow_operator,
    ACTIONS(14645), 1,
      sym_mult_operator,
    ACTIONS(14647), 1,
      sym_concat_operator,
    ACTIONS(14649), 1,
      sym_rel_operator,
    ACTIONS(14651), 1,
      sym_and_operator,
    STATE(2298), 1,
      sym_add_operator,
    STATE(11824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [574075] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8966), 1,
      anon_sym_PIPE,
    ACTIONS(14641), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14643), 1,
      sym_pow_operator,
    ACTIONS(14645), 1,
      sym_mult_operator,
    ACTIONS(14647), 1,
      sym_concat_operator,
    ACTIONS(14649), 1,
      sym_rel_operator,
    ACTIONS(14651), 1,
      sym_and_operator,
    ACTIONS(14653), 1,
      sym_or_operator,
    ACTIONS(14743), 1,
      anon_sym_COMMA,
    ACTIONS(14745), 1,
      anon_sym_SEMI,
    ACTIONS(14747), 1,
      sym_assign_operator,
    STATE(2298), 1,
      sym_add_operator,
    STATE(11825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8964), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [574131] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11826), 1,
      sym_attribute,
    STATE(12862), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [574179] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14587), 1,
      anon_sym_else,
    STATE(8144), 1,
      sym_else_clause,
    STATE(11827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574215] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14749), 1,
      anon_sym_PIPE,
    STATE(11828), 1,
      sym_attribute,
    STATE(11830), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574251] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14749), 1,
      anon_sym_PIPE,
    STATE(11829), 1,
      sym_attribute,
    STATE(11831), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574287] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14749), 1,
      anon_sym_PIPE,
    STATE(11830), 1,
      sym_attribute,
    STATE(11832), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574323] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14749), 1,
      anon_sym_PIPE,
    STATE(11831), 1,
      sym_attribute,
    STATE(11832), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574359] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14751), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11832), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574393] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11833), 1,
      sym_attribute,
    STATE(12847), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [574441] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13611), 1,
      anon_sym_functor,
    STATE(8481), 1,
      sym_module_path,
    STATE(8848), 1,
      sym__module_expression,
    STATE(11834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [574489] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14754), 1,
      anon_sym_PIPE,
    STATE(11835), 1,
      sym_attribute,
    STATE(11837), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574525] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14754), 1,
      anon_sym_PIPE,
    STATE(11836), 1,
      sym_attribute,
    STATE(11838), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574561] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14754), 1,
      anon_sym_PIPE,
    STATE(11837), 1,
      sym_attribute,
    STATE(11839), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574597] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14754), 1,
      anon_sym_PIPE,
    STATE(11838), 1,
      sym_attribute,
    STATE(11839), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574633] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14756), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11839), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574667] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(14641), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14643), 1,
      sym_pow_operator,
    ACTIONS(14645), 1,
      sym_mult_operator,
    ACTIONS(14647), 1,
      sym_concat_operator,
    ACTIONS(14649), 1,
      sym_rel_operator,
    ACTIONS(14651), 1,
      sym_and_operator,
    ACTIONS(14653), 1,
      sym_or_operator,
    STATE(2298), 1,
      sym_add_operator,
    STATE(11840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [574717] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(7974), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [574749] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11842), 1,
      sym_attribute,
    STATE(12904), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [574797] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14759), 1,
      anon_sym_PIPE,
    STATE(11843), 1,
      sym_attribute,
    STATE(11845), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574833] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14759), 1,
      anon_sym_PIPE,
    STATE(11844), 1,
      sym_attribute,
    STATE(11846), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574869] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14759), 1,
      anon_sym_PIPE,
    STATE(11845), 1,
      sym_attribute,
    STATE(11847), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574905] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14759), 1,
      anon_sym_PIPE,
    STATE(11846), 1,
      sym_attribute,
    STATE(11847), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574941] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14761), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11847), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574975] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8298), 1,
      sym__module_expression,
    STATE(8481), 1,
      sym_module_path,
    STATE(11848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [575023] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14766), 1,
      anon_sym_let,
    ACTIONS(14768), 1,
      anon_sym_and,
    STATE(11849), 1,
      sym_attribute,
    STATE(11885), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14764), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [575059] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10185), 1,
      anon_sym_PIPE,
    ACTIONS(14641), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14643), 1,
      sym_pow_operator,
    ACTIONS(14645), 1,
      sym_mult_operator,
    ACTIONS(14647), 1,
      sym_concat_operator,
    ACTIONS(14649), 1,
      sym_rel_operator,
    ACTIONS(14651), 1,
      sym_and_operator,
    ACTIONS(14653), 1,
      sym_or_operator,
    ACTIONS(14743), 1,
      anon_sym_COMMA,
    ACTIONS(14747), 1,
      sym_assign_operator,
    STATE(2298), 1,
      sym_add_operator,
    STATE(11850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
  [575113] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(7978), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [575145] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11852), 1,
      sym_attribute,
    STATE(12921), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [575193] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13611), 1,
      anon_sym_functor,
    STATE(8481), 1,
      sym_module_path,
    STATE(8822), 1,
      sym__module_expression,
    STATE(11853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [575241] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13611), 1,
      anon_sym_functor,
    STATE(8481), 1,
      sym_module_path,
    STATE(8853), 1,
      sym__module_expression,
    STATE(11854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [575289] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14578), 1,
      anon_sym_let,
    ACTIONS(14580), 1,
      anon_sym_and,
    STATE(11855), 1,
      sym_attribute,
    STATE(11936), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14576), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [575325] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14770), 1,
      anon_sym_PIPE,
    STATE(11856), 1,
      sym_attribute,
    STATE(11858), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [575361] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14770), 1,
      anon_sym_PIPE,
    STATE(11857), 1,
      sym_attribute,
    STATE(11859), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [575397] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14770), 1,
      anon_sym_PIPE,
    STATE(11858), 1,
      sym_attribute,
    STATE(11860), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [575433] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14770), 1,
      anon_sym_PIPE,
    STATE(11859), 1,
      sym_attribute,
    STATE(11860), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [575469] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14772), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11860), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [575503] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14775), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14777), 1,
      sym_pow_operator,
    ACTIONS(14779), 1,
      sym_mult_operator,
    ACTIONS(14781), 1,
      sym_concat_operator,
    ACTIONS(14783), 1,
      sym_rel_operator,
    ACTIONS(14785), 1,
      sym_and_operator,
    ACTIONS(14787), 1,
      sym_or_operator,
    STATE(1900), 1,
      sym_add_operator,
    STATE(11861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [575553] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14775), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14777), 1,
      sym_pow_operator,
    ACTIONS(14779), 1,
      sym_mult_operator,
    STATE(1900), 1,
      sym_add_operator,
    STATE(11862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [575595] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14777), 1,
      sym_pow_operator,
    STATE(1900), 1,
      sym_add_operator,
    STATE(11863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [575631] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11864), 1,
      sym_attribute,
    STATE(12807), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [575679] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14789), 1,
      anon_sym_else,
    STATE(8144), 1,
      sym_else_clause,
    STATE(11865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [575715] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14777), 1,
      sym_pow_operator,
    STATE(1900), 1,
      sym_add_operator,
    STATE(11866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [575751] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14775), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14777), 1,
      sym_pow_operator,
    ACTIONS(14779), 1,
      sym_mult_operator,
    ACTIONS(14781), 1,
      sym_concat_operator,
    STATE(1900), 1,
      sym_add_operator,
    STATE(11867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [575795] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14775), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14777), 1,
      sym_pow_operator,
    ACTIONS(14779), 1,
      sym_mult_operator,
    ACTIONS(14781), 1,
      sym_concat_operator,
    STATE(1900), 1,
      sym_add_operator,
    STATE(11868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [575839] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14775), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14777), 1,
      sym_pow_operator,
    ACTIONS(14779), 1,
      sym_mult_operator,
    ACTIONS(14781), 1,
      sym_concat_operator,
    ACTIONS(14783), 1,
      sym_rel_operator,
    ACTIONS(14785), 1,
      sym_and_operator,
    STATE(1900), 1,
      sym_add_operator,
    STATE(11869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [575887] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(14775), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14777), 1,
      sym_pow_operator,
    ACTIONS(14779), 1,
      sym_mult_operator,
    ACTIONS(14781), 1,
      sym_concat_operator,
    ACTIONS(14783), 1,
      sym_rel_operator,
    ACTIONS(14785), 1,
      sym_and_operator,
    ACTIONS(14787), 1,
      sym_or_operator,
    STATE(1900), 1,
      sym_add_operator,
    STATE(11870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [575937] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(14775), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14777), 1,
      sym_pow_operator,
    ACTIONS(14779), 1,
      sym_mult_operator,
    ACTIONS(14781), 1,
      sym_concat_operator,
    ACTIONS(14783), 1,
      sym_rel_operator,
    ACTIONS(14785), 1,
      sym_and_operator,
    ACTIONS(14787), 1,
      sym_or_operator,
    ACTIONS(14791), 1,
      anon_sym_COMMA,
    ACTIONS(14793), 1,
      sym_assign_operator,
    STATE(1900), 1,
      sym_add_operator,
    STATE(11871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [575991] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14699), 1,
      sym_pow_operator,
    ACTIONS(14701), 1,
      sym_mult_operator,
    ACTIONS(14703), 1,
      sym_concat_operator,
    ACTIONS(14705), 1,
      sym_rel_operator,
    ACTIONS(14707), 1,
      sym_and_operator,
    ACTIONS(14709), 1,
      sym_or_operator,
    STATE(1940), 1,
      sym_add_operator,
    STATE(11872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [576041] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13611), 1,
      anon_sym_functor,
    STATE(8481), 1,
      sym_module_path,
    STATE(8894), 1,
      sym__module_expression,
    STATE(11873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [576089] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14699), 1,
      sym_pow_operator,
    ACTIONS(14701), 1,
      sym_mult_operator,
    STATE(1940), 1,
      sym_add_operator,
    STATE(11874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [576131] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14699), 1,
      sym_pow_operator,
    STATE(1940), 1,
      sym_add_operator,
    STATE(11875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [576167] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14777), 1,
      sym_pow_operator,
    ACTIONS(14779), 1,
      sym_mult_operator,
    STATE(1900), 1,
      sym_add_operator,
    STATE(11876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [576205] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10159), 1,
      anon_sym_PIPE,
    ACTIONS(14775), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14777), 1,
      sym_pow_operator,
    ACTIONS(14779), 1,
      sym_mult_operator,
    ACTIONS(14781), 1,
      sym_concat_operator,
    ACTIONS(14783), 1,
      sym_rel_operator,
    ACTIONS(14785), 1,
      sym_and_operator,
    ACTIONS(14787), 1,
      sym_or_operator,
    ACTIONS(14791), 1,
      anon_sym_COMMA,
    ACTIONS(14793), 1,
      sym_assign_operator,
    STATE(1900), 1,
      sym_add_operator,
    STATE(11877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [576259] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14699), 1,
      sym_pow_operator,
    STATE(1940), 1,
      sym_add_operator,
    STATE(11878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [576295] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14768), 1,
      anon_sym_and,
    ACTIONS(14797), 1,
      anon_sym_let,
    STATE(11879), 1,
      sym_attribute,
    STATE(11885), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14795), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576331] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14699), 1,
      sym_pow_operator,
    ACTIONS(14701), 1,
      sym_mult_operator,
    ACTIONS(14703), 1,
      sym_concat_operator,
    STATE(1940), 1,
      sym_add_operator,
    STATE(11880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [576375] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11881), 1,
      sym_attribute,
    STATE(12801), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [576423] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14699), 1,
      sym_pow_operator,
    ACTIONS(14701), 1,
      sym_mult_operator,
    ACTIONS(14703), 1,
      sym_concat_operator,
    STATE(1940), 1,
      sym_add_operator,
    STATE(11882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [576467] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14699), 1,
      sym_pow_operator,
    ACTIONS(14701), 1,
      sym_mult_operator,
    ACTIONS(14703), 1,
      sym_concat_operator,
    ACTIONS(14705), 1,
      sym_rel_operator,
    ACTIONS(14707), 1,
      sym_and_operator,
    STATE(1940), 1,
      sym_add_operator,
    STATE(11883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [576515] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(14697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14699), 1,
      sym_pow_operator,
    ACTIONS(14701), 1,
      sym_mult_operator,
    ACTIONS(14703), 1,
      sym_concat_operator,
    ACTIONS(14705), 1,
      sym_rel_operator,
    ACTIONS(14707), 1,
      sym_and_operator,
    ACTIONS(14709), 1,
      sym_or_operator,
    STATE(1940), 1,
      sym_add_operator,
    STATE(11884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [576565] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14286), 1,
      anon_sym_let,
    ACTIONS(14799), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11885), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(14284), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576599] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14768), 1,
      anon_sym_and,
    ACTIONS(14797), 1,
      anon_sym_let,
    STATE(11886), 1,
      sym_attribute,
    STATE(11910), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14795), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576635] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14802), 1,
      anon_sym_else,
    STATE(10328), 1,
      sym_else_clause,
    STATE(11887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [576671] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11888), 1,
      sym_attribute,
    STATE(12956), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [576719] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(1900), 1,
      sym_add_operator,
    STATE(11889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [576753] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11890), 1,
      sym_attribute,
    STATE(12825), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [576801] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14699), 1,
      sym_pow_operator,
    ACTIONS(14701), 1,
      sym_mult_operator,
    ACTIONS(14703), 1,
      sym_concat_operator,
    ACTIONS(14705), 1,
      sym_rel_operator,
    ACTIONS(14707), 1,
      sym_and_operator,
    ACTIONS(14709), 1,
      sym_or_operator,
    ACTIONS(14711), 1,
      sym_assign_operator,
    STATE(1940), 1,
      sym_add_operator,
    STATE(11891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [576855] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13611), 1,
      anon_sym_functor,
    STATE(8481), 1,
      sym_module_path,
    STATE(8830), 1,
      sym__module_expression,
    STATE(11892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [576903] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14699), 1,
      sym_pow_operator,
    ACTIONS(14701), 1,
      sym_mult_operator,
    STATE(1940), 1,
      sym_add_operator,
    STATE(11893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [576941] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14802), 1,
      anon_sym_else,
    STATE(10400), 1,
      sym_else_clause,
    STATE(11894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [576977] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13611), 1,
      anon_sym_functor,
    STATE(8481), 1,
      sym_module_path,
    STATE(8726), 1,
      sym__module_expression,
    STATE(11895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577025] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10159), 1,
      anon_sym_PIPE,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14699), 1,
      sym_pow_operator,
    ACTIONS(14701), 1,
      sym_mult_operator,
    ACTIONS(14703), 1,
      sym_concat_operator,
    ACTIONS(14705), 1,
      sym_rel_operator,
    ACTIONS(14707), 1,
      sym_and_operator,
    ACTIONS(14709), 1,
      sym_or_operator,
    ACTIONS(14711), 1,
      sym_assign_operator,
    STATE(1940), 1,
      sym_add_operator,
    STATE(11896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [577079] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10185), 1,
      anon_sym_PIPE,
    ACTIONS(14775), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14777), 1,
      sym_pow_operator,
    ACTIONS(14779), 1,
      sym_mult_operator,
    ACTIONS(14781), 1,
      sym_concat_operator,
    ACTIONS(14783), 1,
      sym_rel_operator,
    ACTIONS(14785), 1,
      sym_and_operator,
    ACTIONS(14787), 1,
      sym_or_operator,
    ACTIONS(14791), 1,
      anon_sym_COMMA,
    ACTIONS(14793), 1,
      sym_assign_operator,
    STATE(1900), 1,
      sym_add_operator,
    STATE(11897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [577133] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13611), 1,
      anon_sym_functor,
    STATE(8481), 1,
      sym_module_path,
    STATE(8727), 1,
      sym__module_expression,
    STATE(11898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577181] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2298), 1,
      sym_add_operator,
    STATE(11899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [577215] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(14641), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14643), 1,
      sym_pow_operator,
    ACTIONS(14645), 1,
      sym_mult_operator,
    ACTIONS(14647), 1,
      sym_concat_operator,
    ACTIONS(14649), 1,
      sym_rel_operator,
    ACTIONS(14651), 1,
      sym_and_operator,
    ACTIONS(14653), 1,
      sym_or_operator,
    ACTIONS(14743), 1,
      anon_sym_COMMA,
    ACTIONS(14747), 1,
      sym_assign_operator,
    STATE(2298), 1,
      sym_add_operator,
    STATE(11900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [577269] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14804), 1,
      anon_sym_else,
    STATE(8139), 1,
      sym_else_clause,
    STATE(11901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [577305] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11902), 1,
      sym_attribute,
    STATE(12831), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577353] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10185), 1,
      anon_sym_PIPE,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14699), 1,
      sym_pow_operator,
    ACTIONS(14701), 1,
      sym_mult_operator,
    ACTIONS(14703), 1,
      sym_concat_operator,
    ACTIONS(14705), 1,
      sym_rel_operator,
    ACTIONS(14707), 1,
      sym_and_operator,
    ACTIONS(14709), 1,
      sym_or_operator,
    ACTIONS(14711), 1,
      sym_assign_operator,
    STATE(1940), 1,
      sym_add_operator,
    STATE(11903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [577407] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10221), 1,
      anon_sym_PIPE,
    ACTIONS(14775), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14777), 1,
      sym_pow_operator,
    ACTIONS(14779), 1,
      sym_mult_operator,
    ACTIONS(14781), 1,
      sym_concat_operator,
    ACTIONS(14783), 1,
      sym_rel_operator,
    ACTIONS(14785), 1,
      sym_and_operator,
    ACTIONS(14787), 1,
      sym_or_operator,
    ACTIONS(14791), 1,
      anon_sym_COMMA,
    ACTIONS(14793), 1,
      sym_assign_operator,
    STATE(1900), 1,
      sym_add_operator,
    STATE(11904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10219), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [577461] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14643), 1,
      sym_pow_operator,
    ACTIONS(14645), 1,
      sym_mult_operator,
    STATE(2298), 1,
      sym_add_operator,
    STATE(11905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [577499] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11906), 1,
      sym_attribute,
    STATE(12903), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577547] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11907), 1,
      sym_attribute,
    STATE(12809), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577595] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10159), 1,
      anon_sym_PIPE,
    ACTIONS(14641), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14643), 1,
      sym_pow_operator,
    ACTIONS(14645), 1,
      sym_mult_operator,
    ACTIONS(14647), 1,
      sym_concat_operator,
    ACTIONS(14649), 1,
      sym_rel_operator,
    ACTIONS(14651), 1,
      sym_and_operator,
    ACTIONS(14653), 1,
      sym_or_operator,
    ACTIONS(14743), 1,
      anon_sym_COMMA,
    ACTIONS(14747), 1,
      sym_assign_operator,
    STATE(2298), 1,
      sym_add_operator,
    STATE(11908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
  [577649] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11909), 1,
      sym_attribute,
    STATE(12821), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577697] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14768), 1,
      anon_sym_and,
    ACTIONS(14808), 1,
      anon_sym_let,
    STATE(11885), 1,
      aux_sym_type_definition_repeat1,
    STATE(11910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14806), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577733] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11911), 1,
      sym_attribute,
    STATE(12874), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577781] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8966), 1,
      anon_sym_PIPE,
    ACTIONS(14775), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14777), 1,
      sym_pow_operator,
    ACTIONS(14779), 1,
      sym_mult_operator,
    ACTIONS(14781), 1,
      sym_concat_operator,
    ACTIONS(14783), 1,
      sym_rel_operator,
    ACTIONS(14785), 1,
      sym_and_operator,
    ACTIONS(14787), 1,
      sym_or_operator,
    ACTIONS(14791), 1,
      anon_sym_COMMA,
    ACTIONS(14793), 1,
      sym_assign_operator,
    ACTIONS(14810), 1,
      anon_sym_SEMI,
    STATE(1900), 1,
      sym_add_operator,
    STATE(11912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8964), 2,
      anon_sym_else,
      anon_sym_done,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [577837] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14812), 1,
      anon_sym_else,
    STATE(8144), 1,
      sym_else_clause,
    STATE(11913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [577873] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_struct,
    ACTIONS(13611), 1,
      anon_sym_functor,
    STATE(8481), 1,
      sym_module_path,
    STATE(8819), 1,
      sym__module_expression,
    STATE(11914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577921] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(7994), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [577953] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11916), 1,
      sym_attribute,
    STATE(12970), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578001] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8966), 1,
      anon_sym_PIPE,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
    ACTIONS(14697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14699), 1,
      sym_pow_operator,
    ACTIONS(14701), 1,
      sym_mult_operator,
    ACTIONS(14703), 1,
      sym_concat_operator,
    ACTIONS(14705), 1,
      sym_rel_operator,
    ACTIONS(14707), 1,
      sym_and_operator,
    ACTIONS(14709), 1,
      sym_or_operator,
    ACTIONS(14711), 1,
      sym_assign_operator,
    ACTIONS(14814), 1,
      anon_sym_SEMI,
    STATE(1940), 1,
      sym_add_operator,
    STATE(11917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8964), 2,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [578057] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11918), 1,
      sym_attribute,
    STATE(12977), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578105] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8444), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8446), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13595), 1,
      anon_sym_LPAREN,
    ACTIONS(13599), 1,
      anon_sym_functor,
    ACTIONS(13601), 1,
      anon_sym_struct,
    ACTIONS(13603), 1,
      sym__uppercase_identifier,
    STATE(11919), 1,
      sym_attribute,
    STATE(12713), 1,
      sym__module_expression,
    STATE(13012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13063), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13062), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578153] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14693), 1,
      anon_sym_else,
    STATE(8139), 1,
      sym_else_clause,
    STATE(11920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [578189] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11921), 1,
      sym_attribute,
    STATE(12881), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578237] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14812), 1,
      anon_sym_else,
    STATE(8139), 1,
      sym_else_clause,
    STATE(11922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [578273] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8444), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8446), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13595), 1,
      anon_sym_LPAREN,
    ACTIONS(13599), 1,
      anon_sym_functor,
    ACTIONS(13601), 1,
      anon_sym_struct,
    ACTIONS(13603), 1,
      sym__uppercase_identifier,
    STATE(11923), 1,
      sym_attribute,
    STATE(12703), 1,
      sym__module_expression,
    STATE(13012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13063), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13062), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578321] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11924), 1,
      sym_attribute,
    STATE(12886), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578369] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12019), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14816), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11925), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12017), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [578403] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8444), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8446), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13595), 1,
      anon_sym_LPAREN,
    ACTIONS(13599), 1,
      anon_sym_functor,
    ACTIONS(13601), 1,
      anon_sym_struct,
    ACTIONS(13603), 1,
      sym__uppercase_identifier,
    STATE(11926), 1,
      sym_attribute,
    STATE(12980), 1,
      sym__module_expression,
    STATE(13012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13063), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13062), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578451] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11927), 1,
      sym_attribute,
    STATE(12858), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578499] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14582), 1,
      anon_sym_PIPE,
    STATE(11754), 1,
      aux_sym__match_cases_repeat1,
    STATE(11928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [578535] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11929), 1,
      sym_attribute,
    STATE(12984), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578583] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13152), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13154), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13595), 1,
      anon_sym_LPAREN,
    ACTIONS(13601), 1,
      anon_sym_struct,
    ACTIONS(13603), 1,
      sym__uppercase_identifier,
    ACTIONS(14819), 1,
      anon_sym_functor,
    STATE(11930), 1,
      sym_attribute,
    STATE(12117), 1,
      sym__module_expression,
    STATE(13012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13063), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13062), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578631] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8040), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [578663] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11932), 1,
      sym_attribute,
    STATE(12865), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578711] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14582), 1,
      anon_sym_PIPE,
    STATE(11755), 1,
      aux_sym__match_cases_repeat1,
    STATE(11933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [578747] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11934), 1,
      sym_attribute,
    STATE(12941), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578795] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11935), 1,
      sym_attribute,
    STATE(12937), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578843] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14318), 1,
      anon_sym_let,
    ACTIONS(14821), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11936), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(14316), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [578877] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14580), 1,
      anon_sym_and,
    ACTIONS(14826), 1,
      anon_sym_let,
    STATE(11936), 1,
      aux_sym_class_definition_repeat1,
    STATE(11937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14824), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [578913] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14828), 1,
      anon_sym_PIPE,
    STATE(11938), 1,
      sym_attribute,
    STATE(11950), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [578949] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11939), 1,
      sym_attribute,
    STATE(12946), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578997] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8410), 1,
      sym__module_expression,
    STATE(8481), 1,
      sym_module_path,
    STATE(11940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [579045] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11941), 1,
      sym_attribute,
    STATE(12953), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [579093] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8278), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [579125] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14580), 1,
      anon_sym_and,
    ACTIONS(14832), 1,
      anon_sym_let,
    STATE(11855), 1,
      aux_sym_class_definition_repeat1,
    STATE(11943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14830), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [579161] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11944), 1,
      sym_attribute,
    STATE(12869), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [579209] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11945), 1,
      sym_attribute,
    STATE(12919), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [579257] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8044), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [579289] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8062), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [579321] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14828), 1,
      anon_sym_PIPE,
    STATE(11948), 1,
      sym_attribute,
    STATE(11957), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [579357] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11949), 1,
      sym_attribute,
    STATE(12963), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [579405] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14828), 1,
      anon_sym_PIPE,
    STATE(11950), 1,
      sym_attribute,
    STATE(11959), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [579441] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11951), 1,
      sym_attribute,
    STATE(12793), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [579489] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11952), 1,
      sym_attribute,
    STATE(12888), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [579537] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11953), 1,
      sym_attribute,
    STATE(12788), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [579585] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10221), 1,
      anon_sym_PIPE,
    ACTIONS(14717), 1,
      anon_sym_COMMA,
    ACTIONS(14721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14723), 1,
      sym_pow_operator,
    ACTIONS(14725), 1,
      sym_mult_operator,
    ACTIONS(14727), 1,
      sym_concat_operator,
    ACTIONS(14729), 1,
      sym_rel_operator,
    ACTIONS(14731), 1,
      sym_and_operator,
    ACTIONS(14733), 1,
      sym_or_operator,
    ACTIONS(14735), 1,
      sym_assign_operator,
    STATE(2083), 1,
      sym_add_operator,
    STATE(11954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10219), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [579639] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14834), 1,
      anon_sym_else,
    STATE(7831), 1,
      sym_else_clause,
    STATE(11955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [579675] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11956), 1,
      sym_attribute,
    STATE(12849), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [579723] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14828), 1,
      anon_sym_PIPE,
    STATE(11957), 1,
      sym_attribute,
    STATE(11959), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [579759] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14836), 1,
      anon_sym_constraint,
    ACTIONS(14839), 1,
      anon_sym_val,
    ACTIONS(14842), 1,
      anon_sym_end,
    ACTIONS(14844), 1,
      anon_sym_inherit,
    ACTIONS(14847), 1,
      anon_sym_method,
    ACTIONS(14850), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14853), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14856), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11958), 2,
      sym_attribute,
      aux_sym_class_body_type_repeat1,
    STATE(13312), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(13303), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [579807] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14859), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11959), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [579841] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11960), 1,
      sym_attribute,
    STATE(12918), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [579889] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14862), 1,
      anon_sym_PIPE,
    STATE(11961), 1,
      sym_attribute,
    STATE(11963), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [579925] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14862), 1,
      anon_sym_PIPE,
    STATE(11962), 1,
      sym_attribute,
    STATE(11964), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [579961] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14862), 1,
      anon_sym_PIPE,
    STATE(11963), 1,
      sym_attribute,
    STATE(11965), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [579997] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14862), 1,
      anon_sym_PIPE,
    STATE(11964), 1,
      sym_attribute,
    STATE(11965), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [580033] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14864), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11965), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [580067] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11966), 1,
      sym_attribute,
    STATE(12897), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [580115] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(14867), 1,
      sym__lowercase_identifier,
    ACTIONS(14869), 1,
      anon_sym_POUND,
    STATE(11967), 1,
      sym_attribute,
    STATE(12542), 1,
      sym_type_constructor_path,
    STATE(16901), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11002), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11004), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [580157] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11968), 1,
      sym_attribute,
    STATE(12866), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [580205] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11969), 1,
      sym_attribute,
    STATE(12790), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [580253] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13005), 1,
      anon_sym_STAR,
    ACTIONS(13261), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11925), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(11970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13259), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [580289] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(11971), 1,
      sym_attribute,
    STATE(12785), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [580337] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14627), 1,
      anon_sym_and,
    ACTIONS(14832), 1,
      anon_sym_let,
    STATE(11778), 1,
      aux_sym_class_definition_repeat1,
    STATE(11972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14830), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580373] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(14871), 1,
      sym__lowercase_identifier,
    ACTIONS(14873), 1,
      anon_sym_LPAREN,
    ACTIONS(14875), 1,
      anon_sym_nonrec,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(14881), 1,
      anon_sym__,
    STATE(11973), 1,
      sym_attribute,
    STATE(11974), 1,
      sym_type_binding,
    STATE(12661), 1,
      sym__attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(14596), 1,
      sym__type_params,
    STATE(17206), 1,
      sym__type_param,
    STATE(17286), 1,
      sym_extended_module_path,
    STATE(19040), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [580433] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14768), 1,
      anon_sym_and,
    ACTIONS(14885), 1,
      anon_sym_let,
    STATE(11849), 1,
      aux_sym_type_definition_repeat1,
    STATE(11974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14883), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580469] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14766), 1,
      anon_sym_let,
    ACTIONS(14768), 1,
      anon_sym_and,
    STATE(11879), 1,
      aux_sym_type_definition_repeat1,
    STATE(11975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14764), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580505] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8058), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [580537] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14889), 1,
      anon_sym_let,
    ACTIONS(14891), 1,
      anon_sym_and,
    STATE(11977), 1,
      sym_attribute,
    STATE(11979), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14887), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580573] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14891), 1,
      anon_sym_and,
    ACTIONS(14895), 1,
      anon_sym_let,
    STATE(11978), 1,
      sym_attribute,
    STATE(11979), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14893), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580609] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14095), 1,
      anon_sym_let,
    ACTIONS(14897), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11979), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(14093), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580643] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14891), 1,
      anon_sym_and,
    ACTIONS(14895), 1,
      anon_sym_let,
    STATE(11980), 1,
      sym_attribute,
    STATE(11983), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14893), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580679] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14900), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14902), 1,
      sym_pow_operator,
    ACTIONS(14904), 1,
      sym_mult_operator,
    ACTIONS(14906), 1,
      sym_concat_operator,
    ACTIONS(14908), 1,
      sym_rel_operator,
    ACTIONS(14910), 1,
      sym_and_operator,
    ACTIONS(14912), 1,
      sym_or_operator,
    STATE(1814), 1,
      sym_add_operator,
    STATE(11981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [580729] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14900), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14902), 1,
      sym_pow_operator,
    ACTIONS(14904), 1,
      sym_mult_operator,
    STATE(1814), 1,
      sym_add_operator,
    STATE(11982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [580771] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14891), 1,
      anon_sym_and,
    ACTIONS(14916), 1,
      anon_sym_let,
    STATE(11979), 1,
      aux_sym_module_definition_repeat1,
    STATE(11983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14914), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580807] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14902), 1,
      sym_pow_operator,
    STATE(1814), 1,
      sym_add_operator,
    STATE(11984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [580843] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14902), 1,
      sym_pow_operator,
    STATE(1814), 1,
      sym_add_operator,
    STATE(11985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [580879] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14900), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14902), 1,
      sym_pow_operator,
    ACTIONS(14904), 1,
      sym_mult_operator,
    ACTIONS(14906), 1,
      sym_concat_operator,
    STATE(1814), 1,
      sym_add_operator,
    STATE(11986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [580923] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14900), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14902), 1,
      sym_pow_operator,
    ACTIONS(14904), 1,
      sym_mult_operator,
    ACTIONS(14906), 1,
      sym_concat_operator,
    STATE(1814), 1,
      sym_add_operator,
    STATE(11987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [580967] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14900), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14902), 1,
      sym_pow_operator,
    ACTIONS(14904), 1,
      sym_mult_operator,
    ACTIONS(14906), 1,
      sym_concat_operator,
    ACTIONS(14908), 1,
      sym_rel_operator,
    ACTIONS(14910), 1,
      sym_and_operator,
    STATE(1814), 1,
      sym_add_operator,
    STATE(11988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [581015] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(14900), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14902), 1,
      sym_pow_operator,
    ACTIONS(14904), 1,
      sym_mult_operator,
    ACTIONS(14906), 1,
      sym_concat_operator,
    ACTIONS(14908), 1,
      sym_rel_operator,
    ACTIONS(14910), 1,
      sym_and_operator,
    ACTIONS(14912), 1,
      sym_or_operator,
    STATE(1814), 1,
      sym_add_operator,
    STATE(11989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [581065] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(14900), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14902), 1,
      sym_pow_operator,
    ACTIONS(14904), 1,
      sym_mult_operator,
    ACTIONS(14906), 1,
      sym_concat_operator,
    ACTIONS(14908), 1,
      sym_rel_operator,
    ACTIONS(14910), 1,
      sym_and_operator,
    ACTIONS(14912), 1,
      sym_or_operator,
    ACTIONS(14918), 1,
      anon_sym_COMMA,
    ACTIONS(14920), 1,
      sym_assign_operator,
    STATE(1814), 1,
      sym_add_operator,
    STATE(11990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [581119] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14902), 1,
      sym_pow_operator,
    ACTIONS(14904), 1,
      sym_mult_operator,
    STATE(1814), 1,
      sym_add_operator,
    STATE(11991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [581157] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10159), 1,
      anon_sym_PIPE,
    ACTIONS(14900), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14902), 1,
      sym_pow_operator,
    ACTIONS(14904), 1,
      sym_mult_operator,
    ACTIONS(14906), 1,
      sym_concat_operator,
    ACTIONS(14908), 1,
      sym_rel_operator,
    ACTIONS(14910), 1,
      sym_and_operator,
    ACTIONS(14912), 1,
      sym_or_operator,
    ACTIONS(14918), 1,
      anon_sym_COMMA,
    ACTIONS(14920), 1,
      sym_assign_operator,
    STATE(1814), 1,
      sym_add_operator,
    STATE(11992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [581211] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14380), 1,
      anon_sym_constraint,
    ACTIONS(14382), 1,
      anon_sym_val,
    ACTIONS(14386), 1,
      anon_sym_inherit,
    ACTIONS(14388), 1,
      anon_sym_method,
    ACTIONS(14922), 1,
      anon_sym_end,
    STATE(11958), 1,
      aux_sym_class_body_type_repeat1,
    STATE(11993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13312), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(13303), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [581261] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13152), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13154), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13595), 1,
      anon_sym_LPAREN,
    ACTIONS(13601), 1,
      anon_sym_struct,
    ACTIONS(13603), 1,
      sym__uppercase_identifier,
    ACTIONS(14819), 1,
      anon_sym_functor,
    STATE(11994), 1,
      sym_attribute,
    STATE(12337), 1,
      sym__module_expression,
    STATE(13012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13063), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13062), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [581309] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14834), 1,
      anon_sym_else,
    STATE(7969), 1,
      sym_else_clause,
    STATE(11995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [581345] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10221), 1,
      anon_sym_PIPE,
    ACTIONS(14900), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14902), 1,
      sym_pow_operator,
    ACTIONS(14904), 1,
      sym_mult_operator,
    ACTIONS(14906), 1,
      sym_concat_operator,
    ACTIONS(14908), 1,
      sym_rel_operator,
    ACTIONS(14910), 1,
      sym_and_operator,
    ACTIONS(14912), 1,
      sym_or_operator,
    ACTIONS(14918), 1,
      anon_sym_COMMA,
    ACTIONS(14920), 1,
      sym_assign_operator,
    STATE(1814), 1,
      sym_add_operator,
    STATE(11996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10219), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [581399] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8444), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8446), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13595), 1,
      anon_sym_LPAREN,
    ACTIONS(13599), 1,
      anon_sym_functor,
    ACTIONS(13601), 1,
      anon_sym_struct,
    ACTIONS(13603), 1,
      sym__uppercase_identifier,
    STATE(11997), 1,
      sym_attribute,
    STATE(12721), 1,
      sym__module_expression,
    STATE(13012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13063), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13062), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [581447] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14924), 1,
      anon_sym_else,
    STATE(7831), 1,
      sym_else_clause,
    STATE(11998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [581483] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14380), 1,
      anon_sym_constraint,
    ACTIONS(14382), 1,
      anon_sym_val,
    ACTIONS(14386), 1,
      anon_sym_inherit,
    ACTIONS(14388), 1,
      anon_sym_method,
    ACTIONS(14926), 1,
      anon_sym_end,
    STATE(11993), 1,
      aux_sym_class_body_type_repeat1,
    STATE(11999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13312), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(13303), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [581533] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(14873), 1,
      anon_sym_LPAREN,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(14881), 1,
      anon_sym__,
    ACTIONS(14928), 1,
      sym__lowercase_identifier,
    ACTIONS(14930), 1,
      anon_sym_nonrec,
    STATE(12000), 1,
      sym_attribute,
    STATE(12001), 1,
      sym_type_binding,
    STATE(12642), 1,
      sym__attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(14843), 1,
      sym__type_params,
    STATE(17206), 1,
      sym__type_param,
    STATE(17286), 1,
      sym_extended_module_path,
    STATE(19193), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [581593] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14885), 1,
      anon_sym_let,
    ACTIONS(14932), 1,
      anon_sym_and,
    STATE(12001), 1,
      sym_attribute,
    STATE(12039), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14883), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [581629] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10185), 1,
      anon_sym_PIPE,
    ACTIONS(14900), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14902), 1,
      sym_pow_operator,
    ACTIONS(14904), 1,
      sym_mult_operator,
    ACTIONS(14906), 1,
      sym_concat_operator,
    ACTIONS(14908), 1,
      sym_rel_operator,
    ACTIONS(14910), 1,
      sym_and_operator,
    ACTIONS(14912), 1,
      sym_or_operator,
    ACTIONS(14918), 1,
      anon_sym_COMMA,
    ACTIONS(14920), 1,
      sym_assign_operator,
    STATE(1814), 1,
      sym_add_operator,
    STATE(12002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [581683] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14766), 1,
      anon_sym_let,
    ACTIONS(14932), 1,
      anon_sym_and,
    STATE(12003), 1,
      sym_attribute,
    STATE(12045), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14764), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [581719] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(14867), 1,
      sym__lowercase_identifier,
    ACTIONS(14934), 1,
      anon_sym_POUND,
    STATE(12004), 1,
      sym_attribute,
    STATE(12573), 1,
      sym_type_constructor_path,
    STATE(16901), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10010), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10012), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [581761] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(14873), 1,
      anon_sym_LPAREN,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(14881), 1,
      anon_sym__,
    ACTIONS(14936), 1,
      sym__lowercase_identifier,
    ACTIONS(14938), 1,
      anon_sym_nonrec,
    STATE(12005), 1,
      sym_attribute,
    STATE(12495), 1,
      sym__attribute,
    STATE(12577), 1,
      sym_type_binding,
    STATE(14059), 1,
      sym_type_variable,
    STATE(14259), 1,
      sym__type_params,
    STATE(17206), 1,
      sym__type_param,
    STATE(17286), 1,
      sym_extended_module_path,
    STATE(20079), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [581821] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13402), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14940), 1,
      anon_sym_PIPE,
    STATE(12006), 1,
      sym_attribute,
    STATE(12008), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13400), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [581857] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13414), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14940), 1,
      anon_sym_PIPE,
    STATE(12007), 1,
      sym_attribute,
    STATE(12008), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13412), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [581893] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12647), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14942), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12008), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(12645), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [581927] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14723), 1,
      sym_pow_operator,
    ACTIONS(14725), 1,
      sym_mult_operator,
    ACTIONS(14727), 1,
      sym_concat_operator,
    ACTIONS(14729), 1,
      sym_rel_operator,
    ACTIONS(14731), 1,
      sym_and_operator,
    ACTIONS(14733), 1,
      sym_or_operator,
    STATE(2083), 1,
      sym_add_operator,
    STATE(12009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [581977] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14723), 1,
      sym_pow_operator,
    ACTIONS(14725), 1,
      sym_mult_operator,
    STATE(2083), 1,
      sym_add_operator,
    STATE(12010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [582019] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14723), 1,
      sym_pow_operator,
    STATE(2083), 1,
      sym_add_operator,
    STATE(12011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [582055] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14723), 1,
      sym_pow_operator,
    STATE(2083), 1,
      sym_add_operator,
    STATE(12012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [582091] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14723), 1,
      sym_pow_operator,
    ACTIONS(14725), 1,
      sym_mult_operator,
    ACTIONS(14727), 1,
      sym_concat_operator,
    STATE(2083), 1,
      sym_add_operator,
    STATE(12013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [582135] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(14873), 1,
      anon_sym_LPAREN,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(14881), 1,
      anon_sym__,
    ACTIONS(14945), 1,
      sym__lowercase_identifier,
    ACTIONS(14947), 1,
      anon_sym_nonrec,
    STATE(12014), 1,
      sym_attribute,
    STATE(12177), 1,
      sym_type_binding,
    STATE(12665), 1,
      sym__attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(14700), 1,
      sym__type_params,
    STATE(17206), 1,
      sym__type_param,
    STATE(17286), 1,
      sym_extended_module_path,
    STATE(19842), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [582195] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14723), 1,
      sym_pow_operator,
    ACTIONS(14725), 1,
      sym_mult_operator,
    ACTIONS(14727), 1,
      sym_concat_operator,
    STATE(2083), 1,
      sym_add_operator,
    STATE(12015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [582239] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14723), 1,
      sym_pow_operator,
    ACTIONS(14725), 1,
      sym_mult_operator,
    ACTIONS(14727), 1,
      sym_concat_operator,
    ACTIONS(14729), 1,
      sym_rel_operator,
    ACTIONS(14731), 1,
      sym_and_operator,
    STATE(2083), 1,
      sym_add_operator,
    STATE(12016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [582287] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9060), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [582319] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(9066), 1,
      sym__module_expression,
    STATE(12018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [582367] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(14721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14723), 1,
      sym_pow_operator,
    ACTIONS(14725), 1,
      sym_mult_operator,
    ACTIONS(14727), 1,
      sym_concat_operator,
    ACTIONS(14729), 1,
      sym_rel_operator,
    ACTIONS(14731), 1,
      sym_and_operator,
    ACTIONS(14733), 1,
      sym_or_operator,
    STATE(2083), 1,
      sym_add_operator,
    STATE(12019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [582417] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(14717), 1,
      anon_sym_COMMA,
    ACTIONS(14721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14723), 1,
      sym_pow_operator,
    ACTIONS(14725), 1,
      sym_mult_operator,
    ACTIONS(14727), 1,
      sym_concat_operator,
    ACTIONS(14729), 1,
      sym_rel_operator,
    ACTIONS(14731), 1,
      sym_and_operator,
    ACTIONS(14733), 1,
      sym_or_operator,
    ACTIONS(14735), 1,
      sym_assign_operator,
    STATE(2083), 1,
      sym_add_operator,
    STATE(12020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [582471] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14723), 1,
      sym_pow_operator,
    ACTIONS(14725), 1,
      sym_mult_operator,
    STATE(2083), 1,
      sym_add_operator,
    STATE(12021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [582509] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10159), 1,
      anon_sym_PIPE,
    ACTIONS(14717), 1,
      anon_sym_COMMA,
    ACTIONS(14721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14723), 1,
      sym_pow_operator,
    ACTIONS(14725), 1,
      sym_mult_operator,
    ACTIONS(14727), 1,
      sym_concat_operator,
    ACTIONS(14729), 1,
      sym_rel_operator,
    ACTIONS(14731), 1,
      sym_and_operator,
    ACTIONS(14733), 1,
      sym_or_operator,
    ACTIONS(14735), 1,
      sym_assign_operator,
    STATE(2083), 1,
      sym_add_operator,
    STATE(12022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [582563] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14949), 1,
      anon_sym_else,
    STATE(8139), 1,
      sym_else_clause,
    STATE(12023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [582599] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10185), 1,
      anon_sym_PIPE,
    ACTIONS(14717), 1,
      anon_sym_COMMA,
    ACTIONS(14721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14723), 1,
      sym_pow_operator,
    ACTIONS(14725), 1,
      sym_mult_operator,
    ACTIONS(14727), 1,
      sym_concat_operator,
    ACTIONS(14729), 1,
      sym_rel_operator,
    ACTIONS(14731), 1,
      sym_and_operator,
    ACTIONS(14733), 1,
      sym_or_operator,
    ACTIONS(14735), 1,
      sym_assign_operator,
    STATE(2083), 1,
      sym_add_operator,
    STATE(12024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [582653] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14318), 1,
      anon_sym_let,
    ACTIONS(14951), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12025), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(14316), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582687] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14627), 1,
      anon_sym_and,
    ACTIONS(14826), 1,
      anon_sym_let,
    STATE(12025), 1,
      aux_sym_class_definition_repeat1,
    STATE(12026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14824), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582723] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(1814), 1,
      sym_add_operator,
    STATE(12027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [582757] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14924), 1,
      anon_sym_else,
    STATE(7969), 1,
      sym_else_clause,
    STATE(12028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [582793] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12493), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13245), 1,
      anon_sym_EQ,
    ACTIONS(14713), 1,
      anon_sym_of,
    ACTIONS(14715), 1,
      anon_sym_COLON2,
    STATE(12029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12491), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [582831] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11173), 1,
      anon_sym_COLON2,
    STATE(12030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9060), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [582865] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(1940), 1,
      sym_add_operator,
    STATE(12031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [582899] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14804), 1,
      anon_sym_else,
    STATE(8144), 1,
      sym_else_clause,
    STATE(12032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [582935] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(12584), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14631), 1,
      anon_sym_DASH_GT,
    STATE(12033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12582), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [582971] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8966), 1,
      anon_sym_PIPE,
    ACTIONS(14900), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14902), 1,
      sym_pow_operator,
    ACTIONS(14904), 1,
      sym_mult_operator,
    ACTIONS(14906), 1,
      sym_concat_operator,
    ACTIONS(14908), 1,
      sym_rel_operator,
    ACTIONS(14910), 1,
      sym_and_operator,
    ACTIONS(14912), 1,
      sym_or_operator,
    ACTIONS(14918), 1,
      anon_sym_COMMA,
    ACTIONS(14920), 1,
      sym_assign_operator,
    ACTIONS(14954), 1,
      anon_sym_SEMI,
    STATE(1814), 1,
      sym_add_operator,
    STATE(12034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8964), 2,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [583027] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(8844), 1,
      sym__module_expression,
    STATE(12035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [583075] = 18,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(14741), 1,
      anon_sym_COLON2,
    ACTIONS(14956), 1,
      anon_sym_COLON_GT,
    ACTIONS(14958), 1,
      anon_sym_RPAREN,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12036), 1,
      sym_attribute,
    STATE(16373), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [583133] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(14867), 1,
      sym__lowercase_identifier,
    ACTIONS(14934), 1,
      anon_sym_POUND,
    STATE(12037), 1,
      sym_attribute,
    STATE(12573), 1,
      sym_type_constructor_path,
    STATE(16901), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10986), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [583175] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12213), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14631), 1,
      anon_sym_DASH_GT,
    STATE(12038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12211), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [583209] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14766), 1,
      anon_sym_let,
    ACTIONS(14932), 1,
      anon_sym_and,
    STATE(12039), 1,
      sym_attribute,
    STATE(12048), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14764), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583245] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14380), 1,
      anon_sym_constraint,
    ACTIONS(14382), 1,
      anon_sym_val,
    ACTIONS(14386), 1,
      anon_sym_inherit,
    ACTIONS(14388), 1,
      anon_sym_method,
    ACTIONS(14960), 1,
      anon_sym_end,
    STATE(11958), 1,
      aux_sym_class_body_type_repeat1,
    STATE(12040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13312), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(13303), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [583295] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14962), 1,
      anon_sym_else,
    STATE(10328), 1,
      sym_else_clause,
    STATE(12041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [583331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(10862), 9,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [583363] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11739), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11341), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11339), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [583397] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8966), 1,
      anon_sym_PIPE,
    ACTIONS(14589), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14591), 1,
      sym_pow_operator,
    ACTIONS(14593), 1,
      sym_mult_operator,
    ACTIONS(14595), 1,
      sym_concat_operator,
    ACTIONS(14597), 1,
      sym_rel_operator,
    ACTIONS(14599), 1,
      sym_and_operator,
    ACTIONS(14601), 1,
      sym_or_operator,
    ACTIONS(14603), 1,
      anon_sym_COMMA,
    ACTIONS(14605), 1,
      sym_assign_operator,
    ACTIONS(14964), 1,
      anon_sym_SEMI,
    STATE(2122), 1,
      sym_add_operator,
    STATE(12044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8964), 2,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [583453] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14797), 1,
      anon_sym_let,
    ACTIONS(14932), 1,
      anon_sym_and,
    STATE(12045), 1,
      sym_attribute,
    STATE(12048), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14795), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583489] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(7874), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [583521] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(7878), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [583553] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14286), 1,
      anon_sym_let,
    ACTIONS(14966), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12048), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(14284), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583587] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14797), 1,
      anon_sym_let,
    ACTIONS(14932), 1,
      anon_sym_and,
    STATE(12049), 1,
      sym_attribute,
    STATE(12058), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14795), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14969), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12050), 2,
      sym_attribute,
      aux_sym_class_type_definition_repeat1,
    ACTIONS(14328), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [583655] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14661), 1,
      anon_sym_and,
    STATE(12050), 1,
      aux_sym_class_type_definition_repeat1,
    STATE(12051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14519), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [583689] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(8842), 1,
      sym__module_expression,
    STATE(12052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [583737] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(12053), 1,
      sym_attribute,
    STATE(12945), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [583785] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14891), 1,
      anon_sym_and,
    ACTIONS(14974), 1,
      anon_sym_let,
    STATE(11977), 1,
      aux_sym_module_definition_repeat1,
    STATE(12054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14972), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583821] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14889), 1,
      anon_sym_let,
    ACTIONS(14891), 1,
      anon_sym_and,
    STATE(11978), 1,
      aux_sym_module_definition_repeat1,
    STATE(12055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14887), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583857] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(7886), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [583889] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14962), 1,
      anon_sym_else,
    STATE(10400), 1,
      sym_else_clause,
    STATE(12057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [583925] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14808), 1,
      anon_sym_let,
    ACTIONS(14932), 1,
      anon_sym_and,
    STATE(12048), 1,
      aux_sym_type_definition_repeat1,
    STATE(12058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14806), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583961] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11966), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14940), 1,
      anon_sym_PIPE,
    STATE(12006), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11964), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [583997] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13402), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14940), 1,
      anon_sym_PIPE,
    STATE(12007), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13400), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [584033] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14661), 1,
      anon_sym_and,
    STATE(11802), 1,
      aux_sym_class_type_definition_repeat1,
    STATE(12061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14540), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [584067] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14789), 1,
      anon_sym_else,
    STATE(8139), 1,
      sym_else_clause,
    STATE(12062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [584103] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8444), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8446), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13595), 1,
      anon_sym_LPAREN,
    ACTIONS(13599), 1,
      anon_sym_functor,
    ACTIONS(13601), 1,
      anon_sym_struct,
    ACTIONS(13603), 1,
      sym__uppercase_identifier,
    STATE(12063), 1,
      sym_attribute,
    STATE(12692), 1,
      sym__module_expression,
    STATE(13012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13063), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13062), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [584151] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14889), 1,
      anon_sym_let,
    ACTIONS(14976), 1,
      anon_sym_and,
    STATE(12064), 1,
      sym_attribute,
    STATE(12067), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14887), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [584187] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14895), 1,
      anon_sym_let,
    ACTIONS(14976), 1,
      anon_sym_and,
    STATE(12065), 1,
      sym_attribute,
    STATE(12067), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14893), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [584223] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2083), 1,
      sym_add_operator,
    STATE(12066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [584257] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14095), 1,
      anon_sym_let,
    ACTIONS(14978), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12067), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(14093), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [584291] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14895), 1,
      anon_sym_let,
    ACTIONS(14976), 1,
      anon_sym_and,
    STATE(12068), 1,
      sym_attribute,
    STATE(12069), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14893), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [584327] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14916), 1,
      anon_sym_let,
    ACTIONS(14976), 1,
      anon_sym_and,
    STATE(12067), 1,
      aux_sym_module_definition_repeat1,
    STATE(12069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14914), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [584363] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14974), 1,
      anon_sym_let,
    ACTIONS(14976), 1,
      anon_sym_and,
    STATE(12064), 1,
      aux_sym_module_definition_repeat1,
    STATE(12070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14972), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [584399] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14889), 1,
      anon_sym_let,
    ACTIONS(14976), 1,
      anon_sym_and,
    STATE(12065), 1,
      aux_sym_module_definition_repeat1,
    STATE(12071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14887), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [584435] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14949), 1,
      anon_sym_else,
    STATE(8144), 1,
      sym_else_clause,
    STATE(12072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [584471] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10221), 1,
      anon_sym_PIPE,
    ACTIONS(14589), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14591), 1,
      sym_pow_operator,
    ACTIONS(14593), 1,
      sym_mult_operator,
    ACTIONS(14595), 1,
      sym_concat_operator,
    ACTIONS(14597), 1,
      sym_rel_operator,
    ACTIONS(14599), 1,
      sym_and_operator,
    ACTIONS(14601), 1,
      sym_or_operator,
    ACTIONS(14603), 1,
      anon_sym_COMMA,
    ACTIONS(14605), 1,
      sym_assign_operator,
    STATE(2122), 1,
      sym_add_operator,
    STATE(12073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10219), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [584525] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13539), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_functor,
    ACTIONS(13545), 1,
      anon_sym_struct,
    STATE(8481), 1,
      sym_module_path,
    STATE(9130), 1,
      sym__module_expression,
    STATE(12074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8764), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [584573] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11291), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11293), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [584604] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_DQUOTE,
    STATE(12076), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(19735), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [584645] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14989), 1,
      sym_pow_operator,
    STATE(2057), 1,
      sym_add_operator,
    STATE(12077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [584680] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14993), 1,
      sym_mult_operator,
    ACTIONS(14995), 1,
      sym_concat_operator,
    STATE(2057), 1,
      sym_add_operator,
    STATE(12078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [584723] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14993), 1,
      sym_mult_operator,
    ACTIONS(14995), 1,
      sym_concat_operator,
    STATE(2057), 1,
      sym_add_operator,
    STATE(12079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [584766] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      sym_or_operator,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14993), 1,
      sym_mult_operator,
    ACTIONS(14995), 1,
      sym_concat_operator,
    ACTIONS(14997), 1,
      sym_rel_operator,
    ACTIONS(14999), 1,
      sym_and_operator,
    STATE(2057), 1,
      sym_add_operator,
    STATE(12080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [584813] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14993), 1,
      sym_mult_operator,
    ACTIONS(14995), 1,
      sym_concat_operator,
    ACTIONS(14997), 1,
      sym_rel_operator,
    ACTIONS(14999), 1,
      sym_and_operator,
    ACTIONS(15001), 1,
      sym_or_operator,
    STATE(2057), 1,
      sym_add_operator,
    STATE(12081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [584860] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14993), 1,
      sym_mult_operator,
    ACTIONS(14995), 1,
      sym_concat_operator,
    ACTIONS(14997), 1,
      sym_rel_operator,
    ACTIONS(14999), 1,
      sym_and_operator,
    ACTIONS(15001), 1,
      sym_or_operator,
    ACTIONS(15003), 1,
      anon_sym_COMMA,
    ACTIONS(15005), 1,
      sym_assign_operator,
    STATE(2057), 1,
      sym_add_operator,
    STATE(12082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [584911] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14993), 1,
      sym_mult_operator,
    STATE(2057), 1,
      sym_add_operator,
    STATE(12083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [584948] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15007), 1,
      anon_sym_RBRACK,
    ACTIONS(15009), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12084), 1,
      sym_attribute,
    STATE(16072), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [585003] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14993), 1,
      sym_mult_operator,
    ACTIONS(14995), 1,
      sym_concat_operator,
    ACTIONS(14997), 1,
      sym_rel_operator,
    ACTIONS(14999), 1,
      sym_and_operator,
    ACTIONS(15001), 1,
      sym_or_operator,
    ACTIONS(15003), 1,
      anon_sym_COMMA,
    ACTIONS(15005), 1,
      sym_assign_operator,
    STATE(2057), 1,
      sym_add_operator,
    STATE(12085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [585054] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15011), 1,
      anon_sym_else,
    STATE(7831), 1,
      sym_else_clause,
    STATE(12086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [585089] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15013), 1,
      anon_sym_RBRACK,
    ACTIONS(15015), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12087), 1,
      sym_attribute,
    STATE(16280), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [585144] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15017), 1,
      anon_sym_RBRACK,
    ACTIONS(15019), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12088), 1,
      sym_attribute,
    STATE(16011), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [585199] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14993), 1,
      sym_mult_operator,
    ACTIONS(14995), 1,
      sym_concat_operator,
    ACTIONS(14997), 1,
      sym_rel_operator,
    ACTIONS(14999), 1,
      sym_and_operator,
    ACTIONS(15001), 1,
      sym_or_operator,
    ACTIONS(15003), 1,
      anon_sym_COMMA,
    ACTIONS(15005), 1,
      sym_assign_operator,
    STATE(2057), 1,
      sym_add_operator,
    STATE(12089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [585250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8056), 1,
      anon_sym_let,
    STATE(12090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585281] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15023), 1,
      anon_sym_SEMI,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15027), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12091), 1,
      sym_attribute,
    STATE(16091), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [585336] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15043), 1,
      anon_sym_DQUOTE,
    STATE(12092), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(19689), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [585377] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15045), 1,
      anon_sym_DQUOTE,
    STATE(12093), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(18606), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [585418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8060), 1,
      anon_sym_let,
    STATE(12094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585449] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10171), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10169), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [585480] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15047), 1,
      anon_sym_SEMI,
    ACTIONS(15049), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12096), 1,
      sym_attribute,
    STATE(16030), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [585535] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15051), 1,
      anon_sym_RBRACK,
    ACTIONS(15053), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12097), 1,
      sym_attribute,
    STATE(15460), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [585590] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11249), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11251), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [585621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15055), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12099), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(14093), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [585652] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15058), 1,
      anon_sym_RBRACK,
    ACTIONS(15060), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12100), 1,
      sym_attribute,
    STATE(15316), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [585707] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15062), 1,
      anon_sym_and,
    STATE(12101), 1,
      sym_attribute,
    STATE(12426), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14893), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [585740] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15064), 1,
      anon_sym_RBRACK,
    ACTIONS(15066), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12102), 1,
      sym_attribute,
    STATE(15627), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [585795] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15068), 1,
      anon_sym_RBRACK,
    ACTIONS(15070), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12103), 1,
      sym_attribute,
    STATE(15660), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [585850] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15072), 1,
      anon_sym_SEMI,
    ACTIONS(15074), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12104), 1,
      sym_attribute,
    STATE(16295), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [585905] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11411), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [585936] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15076), 1,
      anon_sym_and,
    STATE(12106), 1,
      sym_attribute,
    STATE(12404), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14795), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [585969] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8964), 1,
      anon_sym_done,
    ACTIONS(8966), 1,
      anon_sym_PIPE,
    ACTIONS(15078), 1,
      anon_sym_COMMA,
    ACTIONS(15080), 1,
      anon_sym_SEMI,
    ACTIONS(15082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15084), 1,
      sym_pow_operator,
    ACTIONS(15086), 1,
      sym_mult_operator,
    ACTIONS(15088), 1,
      sym_concat_operator,
    ACTIONS(15090), 1,
      sym_rel_operator,
    ACTIONS(15092), 1,
      sym_and_operator,
    ACTIONS(15094), 1,
      sym_or_operator,
    ACTIONS(15096), 1,
      sym_assign_operator,
    STATE(2138), 1,
      sym_add_operator,
    STATE(12107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [586024] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(14637), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15098), 1,
      anon_sym_DASH_GT,
    STATE(12108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14635), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [586059] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15100), 1,
      anon_sym_DQUOTE,
    STATE(12109), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(17671), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [586100] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(1925), 1,
      sym_add_operator,
    STATE(12110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [586133] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15102), 1,
      anon_sym_SEMI,
    ACTIONS(15104), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12111), 1,
      sym_attribute,
    STATE(15737), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [586188] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15106), 1,
      anon_sym_RBRACK,
    ACTIONS(15108), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12112), 1,
      sym_attribute,
    STATE(15358), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [586243] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11257), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11259), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [586274] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11389), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11391), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [586305] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11419), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [586336] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15110), 1,
      anon_sym_COMMA,
    ACTIONS(15112), 1,
      anon_sym_SEMI,
    ACTIONS(15114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15116), 1,
      sym_pow_operator,
    ACTIONS(15118), 1,
      sym_mult_operator,
    ACTIONS(15120), 1,
      sym_concat_operator,
    ACTIONS(15122), 1,
      sym_rel_operator,
    ACTIONS(15124), 1,
      sym_and_operator,
    ACTIONS(15126), 1,
      sym_or_operator,
    ACTIONS(15128), 1,
      sym_assign_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8964), 2,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [586389] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13152), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13154), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15130), 1,
      anon_sym_LPAREN,
    STATE(12117), 1,
      sym_attribute,
    STATE(13068), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13062), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10735), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [586428] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11253), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11255), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [586459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14665), 1,
      anon_sym_let,
    STATE(12119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14663), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [586490] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11421), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11423), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [586521] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15132), 1,
      anon_sym_SEMI,
    ACTIONS(15134), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12121), 1,
      sym_attribute,
    STATE(15473), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [586576] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15136), 1,
      anon_sym_DQUOTE,
    STATE(12122), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(18739), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [586617] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15076), 1,
      anon_sym_and,
    STATE(12123), 1,
      sym_attribute,
    STATE(12275), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14795), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [586650] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11315), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11317), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [586681] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11319), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11321), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [586712] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15138), 1,
      anon_sym_DQUOTE,
    STATE(12126), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(20107), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [586753] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_and,
    STATE(12127), 1,
      sym_attribute,
    STATE(12370), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14830), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [586786] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11323), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11325), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [586817] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11327), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11329), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [586848] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15142), 1,
      anon_sym_RBRACK,
    ACTIONS(15144), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12130), 1,
      sym_attribute,
    STATE(15346), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [586903] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(15146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15148), 1,
      sym_pow_operator,
    ACTIONS(15150), 1,
      sym_mult_operator,
    ACTIONS(15152), 1,
      sym_concat_operator,
    ACTIONS(15154), 1,
      sym_rel_operator,
    ACTIONS(15156), 1,
      sym_and_operator,
    ACTIONS(15158), 1,
      sym_or_operator,
    STATE(2304), 1,
      sym_add_operator,
    STATE(12131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [586952] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15160), 1,
      anon_sym_SEMI,
    ACTIONS(15162), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12132), 1,
      sym_attribute,
    STATE(15380), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [587007] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15164), 1,
      anon_sym_RBRACK,
    ACTIONS(15166), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12133), 1,
      sym_attribute,
    STATE(16264), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [587062] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15168), 1,
      anon_sym_DQUOTE,
    STATE(12134), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(18349), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [587103] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(1883), 1,
      sym_add_operator,
    STATE(12135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [587136] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15170), 1,
      anon_sym_SEMI,
    ACTIONS(15172), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12136), 1,
      sym_attribute,
    STATE(16268), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [587191] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15174), 1,
      anon_sym_PIPE,
    STATE(12137), 1,
      sym_attribute,
    STATE(12285), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [587226] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14641), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14643), 1,
      sym_pow_operator,
    ACTIONS(14645), 1,
      sym_mult_operator,
    ACTIONS(14647), 1,
      sym_concat_operator,
    ACTIONS(14649), 1,
      sym_rel_operator,
    ACTIONS(14651), 1,
      sym_and_operator,
    ACTIONS(14653), 1,
      sym_or_operator,
    ACTIONS(14743), 1,
      anon_sym_COMMA,
    ACTIONS(14747), 1,
      sym_assign_operator,
    ACTIONS(15176), 1,
      anon_sym_SEMI,
    STATE(2298), 1,
      sym_add_operator,
    STATE(12138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8964), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [587279] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15178), 1,
      anon_sym_SEMI,
    ACTIONS(15180), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12139), 1,
      sym_attribute,
    STATE(15369), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [587334] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15182), 1,
      anon_sym_PIPE,
    STATE(12140), 1,
      sym_attribute,
    STATE(12161), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [587369] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15182), 1,
      anon_sym_PIPE,
    STATE(12141), 1,
      sym_attribute,
    STATE(12157), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [587404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15186), 1,
      anon_sym_let,
    STATE(12142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15184), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [587435] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11331), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11333), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [587466] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11335), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11337), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [587497] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15188), 1,
      anon_sym_else,
    STATE(7969), 1,
      sym_else_clause,
    STATE(12145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [587532] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15190), 1,
      anon_sym_RBRACK,
    ACTIONS(15192), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12146), 1,
      sym_attribute,
    STATE(15286), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [587587] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15194), 1,
      anon_sym_PIPE,
    STATE(12147), 1,
      sym_attribute,
    STATE(12152), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [587622] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15194), 1,
      anon_sym_PIPE,
    STATE(12148), 1,
      sym_attribute,
    STATE(12153), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [587657] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15148), 1,
      sym_pow_operator,
    ACTIONS(15150), 1,
      sym_mult_operator,
    STATE(2304), 1,
      sym_add_operator,
    STATE(12149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [587698] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15148), 1,
      sym_pow_operator,
    STATE(2304), 1,
      sym_add_operator,
    STATE(12150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [587733] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15148), 1,
      sym_pow_operator,
    STATE(2304), 1,
      sym_add_operator,
    STATE(12151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [587768] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15194), 1,
      anon_sym_PIPE,
    STATE(12152), 1,
      sym_attribute,
    STATE(12154), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [587803] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15194), 1,
      anon_sym_PIPE,
    STATE(12153), 1,
      sym_attribute,
    STATE(12154), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [587838] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15196), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12154), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [587871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15199), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12155), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(8925), 14,
      ts_builtin_sym_end,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [587902] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15148), 1,
      sym_pow_operator,
    ACTIONS(15150), 1,
      sym_mult_operator,
    ACTIONS(15152), 1,
      sym_concat_operator,
    STATE(2304), 1,
      sym_add_operator,
    STATE(12156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [587945] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15202), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12157), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [587978] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15205), 1,
      anon_sym_DQUOTE,
    STATE(12158), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(18247), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [588019] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(15207), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15209), 1,
      sym_pow_operator,
    ACTIONS(15211), 1,
      sym_mult_operator,
    ACTIONS(15213), 1,
      sym_concat_operator,
    ACTIONS(15215), 1,
      sym_rel_operator,
    ACTIONS(15217), 1,
      sym_and_operator,
    ACTIONS(15219), 1,
      sym_or_operator,
    STATE(2321), 1,
      sym_add_operator,
    STATE(12159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [588068] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15148), 1,
      sym_pow_operator,
    ACTIONS(15150), 1,
      sym_mult_operator,
    ACTIONS(15152), 1,
      sym_concat_operator,
    STATE(2304), 1,
      sym_add_operator,
    STATE(12160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [588111] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15182), 1,
      anon_sym_PIPE,
    STATE(12157), 1,
      aux_sym__match_cases_repeat1,
    STATE(12161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [588146] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15221), 1,
      anon_sym_else,
    STATE(7969), 1,
      sym_else_clause,
    STATE(12162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [588181] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15223), 1,
      anon_sym_RBRACK,
    ACTIONS(15225), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12163), 1,
      sym_attribute,
    STATE(15205), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [588236] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15148), 1,
      sym_pow_operator,
    ACTIONS(15150), 1,
      sym_mult_operator,
    ACTIONS(15152), 1,
      sym_concat_operator,
    ACTIONS(15154), 1,
      sym_rel_operator,
    ACTIONS(15156), 1,
      sym_and_operator,
    STATE(2304), 1,
      sym_add_operator,
    STATE(12164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [588283] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(15146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15148), 1,
      sym_pow_operator,
    ACTIONS(15150), 1,
      sym_mult_operator,
    ACTIONS(15152), 1,
      sym_concat_operator,
    ACTIONS(15154), 1,
      sym_rel_operator,
    ACTIONS(15156), 1,
      sym_and_operator,
    ACTIONS(15158), 1,
      sym_or_operator,
    STATE(2304), 1,
      sym_add_operator,
    STATE(12165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [588332] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15227), 1,
      anon_sym_SEMI,
    ACTIONS(15229), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12166), 1,
      sym_attribute,
    STATE(15571), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [588387] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15207), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15209), 1,
      sym_pow_operator,
    ACTIONS(15211), 1,
      sym_mult_operator,
    STATE(2321), 1,
      sym_add_operator,
    STATE(12167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [588428] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(15146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15148), 1,
      sym_pow_operator,
    ACTIONS(15150), 1,
      sym_mult_operator,
    ACTIONS(15152), 1,
      sym_concat_operator,
    ACTIONS(15154), 1,
      sym_rel_operator,
    ACTIONS(15156), 1,
      sym_and_operator,
    ACTIONS(15158), 1,
      sym_or_operator,
    ACTIONS(15231), 1,
      anon_sym_COMMA,
    ACTIONS(15233), 1,
      sym_assign_operator,
    STATE(2304), 1,
      sym_add_operator,
    STATE(12168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [588481] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14993), 1,
      sym_mult_operator,
    ACTIONS(14995), 1,
      sym_concat_operator,
    ACTIONS(14997), 1,
      sym_rel_operator,
    ACTIONS(14999), 1,
      sym_and_operator,
    ACTIONS(15001), 1,
      sym_or_operator,
    ACTIONS(15003), 1,
      anon_sym_COMMA,
    ACTIONS(15005), 1,
      sym_assign_operator,
    STATE(2057), 1,
      sym_add_operator,
    STATE(12169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10219), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [588532] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15209), 1,
      sym_pow_operator,
    STATE(2321), 1,
      sym_add_operator,
    STATE(12170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [588567] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15235), 1,
      anon_sym_SEMI,
    ACTIONS(15237), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12171), 1,
      sym_attribute,
    STATE(15645), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [588622] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15062), 1,
      anon_sym_and,
    STATE(12099), 1,
      aux_sym_module_definition_repeat1,
    STATE(12172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14887), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [588655] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2304), 1,
      sym_add_operator,
    STATE(12173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [588688] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15148), 1,
      sym_pow_operator,
    ACTIONS(15150), 1,
      sym_mult_operator,
    STATE(2304), 1,
      sym_add_operator,
    STATE(12174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [588725] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11339), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11341), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [588756] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15239), 1,
      anon_sym_RBRACK,
    ACTIONS(15241), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12176), 1,
      sym_attribute,
    STATE(15222), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [588811] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15076), 1,
      anon_sym_and,
    STATE(12177), 1,
      sym_attribute,
    STATE(12377), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14883), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [588844] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15209), 1,
      sym_pow_operator,
    STATE(2321), 1,
      sym_add_operator,
    STATE(12178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [588879] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15243), 1,
      anon_sym_SEMI,
    ACTIONS(15245), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12179), 1,
      sym_attribute,
    STATE(15622), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [588934] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15247), 1,
      anon_sym_DQUOTE,
    STATE(12180), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(18217), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [588975] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15249), 1,
      anon_sym_DQUOTE,
    STATE(12181), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(19208), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [589016] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14993), 1,
      sym_mult_operator,
    ACTIONS(14995), 1,
      sym_concat_operator,
    ACTIONS(14997), 1,
      sym_rel_operator,
    ACTIONS(14999), 1,
      sym_and_operator,
    ACTIONS(15001), 1,
      sym_or_operator,
    ACTIONS(15003), 1,
      anon_sym_COMMA,
    ACTIONS(15005), 1,
      sym_assign_operator,
    ACTIONS(15251), 1,
      anon_sym_SEMI,
    STATE(2057), 1,
      sym_add_operator,
    STATE(12182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8964), 2,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [589069] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15207), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15209), 1,
      sym_pow_operator,
    ACTIONS(15211), 1,
      sym_mult_operator,
    ACTIONS(15213), 1,
      sym_concat_operator,
    STATE(2321), 1,
      sym_add_operator,
    STATE(12183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [589112] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15207), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15209), 1,
      sym_pow_operator,
    ACTIONS(15211), 1,
      sym_mult_operator,
    ACTIONS(15213), 1,
      sym_concat_operator,
    STATE(2321), 1,
      sym_add_operator,
    STATE(12184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [589155] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15207), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15209), 1,
      sym_pow_operator,
    ACTIONS(15211), 1,
      sym_mult_operator,
    ACTIONS(15213), 1,
      sym_concat_operator,
    ACTIONS(15215), 1,
      sym_rel_operator,
    ACTIONS(15217), 1,
      sym_and_operator,
    STATE(2321), 1,
      sym_add_operator,
    STATE(12185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [589202] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(15207), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15209), 1,
      sym_pow_operator,
    ACTIONS(15211), 1,
      sym_mult_operator,
    ACTIONS(15213), 1,
      sym_concat_operator,
    ACTIONS(15215), 1,
      sym_rel_operator,
    ACTIONS(15217), 1,
      sym_and_operator,
    ACTIONS(15219), 1,
      sym_or_operator,
    STATE(2321), 1,
      sym_add_operator,
    STATE(12186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [589251] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(15207), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15209), 1,
      sym_pow_operator,
    ACTIONS(15211), 1,
      sym_mult_operator,
    ACTIONS(15213), 1,
      sym_concat_operator,
    ACTIONS(15215), 1,
      sym_rel_operator,
    ACTIONS(15217), 1,
      sym_and_operator,
    ACTIONS(15219), 1,
      sym_or_operator,
    ACTIONS(15253), 1,
      anon_sym_COMMA,
    ACTIONS(15255), 1,
      sym_assign_operator,
    STATE(2321), 1,
      sym_add_operator,
    STATE(12187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [589304] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15257), 1,
      anon_sym_DQUOTE,
    STATE(12188), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(18100), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [589345] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15209), 1,
      sym_pow_operator,
    ACTIONS(15211), 1,
      sym_mult_operator,
    STATE(2321), 1,
      sym_add_operator,
    STATE(12189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [589382] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15259), 1,
      anon_sym_SEMI,
    ACTIONS(15261), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12190), 1,
      sym_attribute,
    STATE(15117), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [589437] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15263), 1,
      anon_sym_RBRACK,
    ACTIONS(15265), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12191), 1,
      sym_attribute,
    STATE(15160), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [589492] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15267), 1,
      anon_sym_SEMI,
    ACTIONS(15269), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12192), 1,
      sym_attribute,
    STATE(15256), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [589547] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15271), 1,
      anon_sym_SEMI,
    ACTIONS(15273), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12193), 1,
      sym_attribute,
    STATE(15337), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [589602] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10159), 1,
      anon_sym_PIPE,
    ACTIONS(15207), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15209), 1,
      sym_pow_operator,
    ACTIONS(15211), 1,
      sym_mult_operator,
    ACTIONS(15213), 1,
      sym_concat_operator,
    ACTIONS(15215), 1,
      sym_rel_operator,
    ACTIONS(15217), 1,
      sym_and_operator,
    ACTIONS(15219), 1,
      sym_or_operator,
    ACTIONS(15253), 1,
      anon_sym_COMMA,
    ACTIONS(15255), 1,
      sym_assign_operator,
    STATE(2321), 1,
      sym_add_operator,
    STATE(12194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10157), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [589655] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15275), 1,
      anon_sym_DQUOTE,
    STATE(12195), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(18659), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [589696] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12213), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15098), 1,
      anon_sym_DASH_GT,
    STATE(12196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12211), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [589729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7972), 1,
      anon_sym_let,
    STATE(12197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_let,
    STATE(12198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589791] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2222), 1,
      sym_add_operator,
    STATE(12199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [589824] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10185), 1,
      anon_sym_PIPE,
    ACTIONS(15207), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15209), 1,
      sym_pow_operator,
    ACTIONS(15211), 1,
      sym_mult_operator,
    ACTIONS(15213), 1,
      sym_concat_operator,
    ACTIONS(15215), 1,
      sym_rel_operator,
    ACTIONS(15217), 1,
      sym_and_operator,
    ACTIONS(15219), 1,
      sym_or_operator,
    ACTIONS(15253), 1,
      anon_sym_COMMA,
    ACTIONS(15255), 1,
      sym_assign_operator,
    STATE(2321), 1,
      sym_add_operator,
    STATE(12200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10183), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [589877] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10159), 1,
      anon_sym_PIPE,
    ACTIONS(15146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15148), 1,
      sym_pow_operator,
    ACTIONS(15150), 1,
      sym_mult_operator,
    ACTIONS(15152), 1,
      sym_concat_operator,
    ACTIONS(15154), 1,
      sym_rel_operator,
    ACTIONS(15156), 1,
      sym_and_operator,
    ACTIONS(15158), 1,
      sym_or_operator,
    ACTIONS(15231), 1,
      anon_sym_COMMA,
    ACTIONS(15233), 1,
      sym_assign_operator,
    STATE(2304), 1,
      sym_add_operator,
    STATE(12201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10157), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [589930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7976), 1,
      anon_sym_let,
    STATE(12202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589961] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11279), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11281), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [589992] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15062), 1,
      anon_sym_and,
    STATE(12204), 1,
      sym_attribute,
    STATE(12394), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14887), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [590025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7992), 1,
      anon_sym_let,
    STATE(12205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590056] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11283), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11285), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [590087] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11287), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11289), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [590118] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15277), 1,
      anon_sym_DQUOTE,
    STATE(12208), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(18240), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [590159] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15279), 1,
      anon_sym_RBRACK,
    ACTIONS(15281), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12209), 1,
      sym_attribute,
    STATE(14951), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [590214] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15283), 1,
      anon_sym_DQUOTE,
    STATE(12210), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(19720), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [590255] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15285), 1,
      anon_sym_DQUOTE,
    STATE(12211), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(17572), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [590296] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11295), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11297), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [590327] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10185), 1,
      anon_sym_PIPE,
    ACTIONS(15146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15148), 1,
      sym_pow_operator,
    ACTIONS(15150), 1,
      sym_mult_operator,
    ACTIONS(15152), 1,
      sym_concat_operator,
    ACTIONS(15154), 1,
      sym_rel_operator,
    ACTIONS(15156), 1,
      sym_and_operator,
    ACTIONS(15158), 1,
      sym_or_operator,
    ACTIONS(15231), 1,
      anon_sym_COMMA,
    ACTIONS(15233), 1,
      sym_assign_operator,
    STATE(2304), 1,
      sym_add_operator,
    STATE(12213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10183), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [590380] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15287), 1,
      anon_sym_SEMI,
    ACTIONS(15289), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12214), 1,
      sym_attribute,
    STATE(14983), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [590435] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15291), 1,
      anon_sym_RBRACK,
    ACTIONS(15293), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12215), 1,
      sym_attribute,
    STATE(15833), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [590490] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15295), 1,
      anon_sym_RBRACK,
    ACTIONS(15297), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12216), 1,
      sym_attribute,
    STATE(16179), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [590545] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15299), 1,
      anon_sym_DQUOTE,
    STATE(12217), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(18880), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [590586] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15301), 1,
      anon_sym_SEMI,
    ACTIONS(15303), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12218), 1,
      sym_attribute,
    STATE(15889), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [590641] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15305), 1,
      anon_sym_PIPE,
    STATE(12219), 1,
      sym_attribute,
    STATE(12222), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [590676] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15307), 1,
      anon_sym_SEMI,
    ACTIONS(15309), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12220), 1,
      sym_attribute,
    STATE(16260), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [590731] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15305), 1,
      anon_sym_PIPE,
    STATE(12221), 1,
      sym_attribute,
    STATE(12226), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [590766] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15305), 1,
      anon_sym_PIPE,
    STATE(12222), 1,
      sym_attribute,
    STATE(12228), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [590801] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15311), 1,
      anon_sym_DQUOTE,
    STATE(12223), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(17618), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [590842] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15313), 1,
      anon_sym_RBRACK,
    ACTIONS(15315), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12224), 1,
      sym_attribute,
    STATE(15016), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [590897] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15317), 1,
      anon_sym_DQUOTE,
    STATE(12225), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(18505), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [590938] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15305), 1,
      anon_sym_PIPE,
    STATE(12226), 1,
      sym_attribute,
    STATE(12228), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [590973] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15319), 1,
      anon_sym_DQUOTE,
    STATE(12227), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(18932), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [591014] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15321), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12228), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591047] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15324), 1,
      anon_sym_else,
    STATE(7969), 1,
      sym_else_clause,
    STATE(12229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591082] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15326), 1,
      anon_sym_SEMI,
    ACTIONS(15328), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12230), 1,
      sym_attribute,
    STATE(15846), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [591137] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2057), 1,
      sym_add_operator,
    STATE(12231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8226), 1,
      anon_sym_let,
    STATE(12232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591201] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15330), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15332), 1,
      sym_pow_operator,
    ACTIONS(15334), 1,
      sym_mult_operator,
    ACTIONS(15336), 1,
      sym_concat_operator,
    ACTIONS(15338), 1,
      sym_rel_operator,
    ACTIONS(15340), 1,
      sym_and_operator,
    ACTIONS(15342), 1,
      sym_or_operator,
    STATE(2222), 1,
      sym_add_operator,
    STATE(12233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [591248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8024), 1,
      anon_sym_let,
    STATE(12234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591279] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15330), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15332), 1,
      sym_pow_operator,
    ACTIONS(15334), 1,
      sym_mult_operator,
    STATE(2222), 1,
      sym_add_operator,
    STATE(12235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10203), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10201), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591320] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15116), 1,
      sym_pow_operator,
    ACTIONS(15118), 1,
      sym_mult_operator,
    ACTIONS(15120), 1,
      sym_concat_operator,
    ACTIONS(15122), 1,
      sym_rel_operator,
    ACTIONS(15124), 1,
      sym_and_operator,
    ACTIONS(15126), 1,
      sym_or_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [591367] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15116), 1,
      sym_pow_operator,
    ACTIONS(15118), 1,
      sym_mult_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10203), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10201), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591408] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15116), 1,
      sym_pow_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591443] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15116), 1,
      sym_pow_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591478] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15116), 1,
      sym_pow_operator,
    ACTIONS(15118), 1,
      sym_mult_operator,
    ACTIONS(15120), 1,
      sym_concat_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [591521] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15344), 1,
      anon_sym_RBRACK,
    ACTIONS(15346), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12241), 1,
      sym_attribute,
    STATE(14995), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [591576] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15116), 1,
      sym_pow_operator,
    ACTIONS(15118), 1,
      sym_mult_operator,
    ACTIONS(15120), 1,
      sym_concat_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [591619] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      sym_or_operator,
    ACTIONS(15114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15116), 1,
      sym_pow_operator,
    ACTIONS(15118), 1,
      sym_mult_operator,
    ACTIONS(15120), 1,
      sym_concat_operator,
    ACTIONS(15122), 1,
      sym_rel_operator,
    ACTIONS(15124), 1,
      sym_and_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [591666] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15116), 1,
      sym_pow_operator,
    ACTIONS(15118), 1,
      sym_mult_operator,
    ACTIONS(15120), 1,
      sym_concat_operator,
    ACTIONS(15122), 1,
      sym_rel_operator,
    ACTIONS(15124), 1,
      sym_and_operator,
    ACTIONS(15126), 1,
      sym_or_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [591713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7904), 1,
      anon_sym_let,
    STATE(12245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591744] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15348), 1,
      anon_sym_SEMI,
    ACTIONS(15350), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12246), 1,
      sym_attribute,
    STATE(15032), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [591799] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15352), 1,
      anon_sym_DQUOTE,
    STATE(12247), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(18973), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [591840] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2138), 1,
      sym_add_operator,
    STATE(12248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591873] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15110), 1,
      anon_sym_COMMA,
    ACTIONS(15114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15116), 1,
      sym_pow_operator,
    ACTIONS(15118), 1,
      sym_mult_operator,
    ACTIONS(15120), 1,
      sym_concat_operator,
    ACTIONS(15122), 1,
      sym_rel_operator,
    ACTIONS(15124), 1,
      sym_and_operator,
    ACTIONS(15126), 1,
      sym_or_operator,
    ACTIONS(15128), 1,
      sym_assign_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [591924] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15354), 1,
      anon_sym_RBRACK,
    ACTIONS(15356), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12250), 1,
      sym_attribute,
    STATE(15562), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [591979] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15358), 1,
      anon_sym_DQUOTE,
    STATE(12251), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(18996), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [592020] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
  [592069] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [592110] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15029), 1,
      sym_pow_operator,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [592145] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15360), 1,
      anon_sym_DQUOTE,
    STATE(12255), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(18963), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [592186] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15029), 1,
      sym_pow_operator,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [592221] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_rel_operator,
      sym_assign_operator,
  [592264] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2321), 1,
      sym_add_operator,
    STATE(12258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [592297] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13261), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13291), 1,
      anon_sym_STAR,
    STATE(12259), 1,
      sym_attribute,
    STATE(12267), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13259), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [592332] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15362), 1,
      anon_sym_RBRACK,
    ACTIONS(15364), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12260), 1,
      sym_attribute,
    STATE(15803), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [592387] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_rel_operator,
      sym_assign_operator,
  [592430] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
  [592477] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15366), 1,
      anon_sym_SEMI,
    ACTIONS(15368), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12263), 1,
      sym_attribute,
    STATE(15906), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [592532] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15370), 1,
      anon_sym_DQUOTE,
    STATE(12264), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(18943), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [592573] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
  [592622] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15372), 1,
      anon_sym_DQUOTE,
    STATE(12266), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(19018), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [592663] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12019), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15374), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12267), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12017), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [592696] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11363), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11365), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [592727] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [592780] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [592817] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10159), 1,
      anon_sym_PIPE,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10157), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [592870] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15377), 1,
      anon_sym_DQUOTE,
    STATE(12272), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(19039), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [592911] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15116), 1,
      sym_pow_operator,
    ACTIONS(15118), 1,
      sym_mult_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [592948] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15110), 1,
      anon_sym_COMMA,
    ACTIONS(15114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15116), 1,
      sym_pow_operator,
    ACTIONS(15118), 1,
      sym_mult_operator,
    ACTIONS(15120), 1,
      sym_concat_operator,
    ACTIONS(15122), 1,
      sym_rel_operator,
    ACTIONS(15124), 1,
      sym_and_operator,
    ACTIONS(15126), 1,
      sym_or_operator,
    ACTIONS(15128), 1,
      sym_assign_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [592999] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15076), 1,
      anon_sym_and,
    STATE(12275), 1,
      sym_attribute,
    STATE(12404), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14806), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [593032] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15330), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15332), 1,
      sym_pow_operator,
    ACTIONS(15334), 1,
      sym_mult_operator,
    ACTIONS(15336), 1,
      sym_concat_operator,
    ACTIONS(15338), 1,
      sym_rel_operator,
    ACTIONS(15340), 1,
      sym_and_operator,
    ACTIONS(15342), 1,
      sym_or_operator,
    ACTIONS(15379), 1,
      anon_sym_COMMA,
    ACTIONS(15381), 1,
      anon_sym_SEMI,
    ACTIONS(15383), 1,
      sym_assign_operator,
    STATE(2222), 1,
      sym_add_operator,
    STATE(12276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8964), 2,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [593085] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15385), 1,
      anon_sym_COLON_GT,
    ACTIONS(15387), 1,
      anon_sym_EQ,
    ACTIONS(15389), 1,
      anon_sym_COLON2,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12277), 1,
      sym_attribute,
    STATE(12704), 1,
      sym__typed,
    STATE(12948), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15391), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [593128] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15393), 1,
      anon_sym_SEMI,
    ACTIONS(15395), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12278), 1,
      sym_attribute,
    STATE(15229), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [593183] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15332), 1,
      sym_pow_operator,
    STATE(2222), 1,
      sym_add_operator,
    STATE(12279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [593218] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15397), 1,
      anon_sym_RBRACK,
    ACTIONS(15399), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12280), 1,
      sym_attribute,
    STATE(16267), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [593273] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10185), 1,
      anon_sym_PIPE,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10183), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [593326] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15174), 1,
      anon_sym_PIPE,
    STATE(12282), 1,
      sym_attribute,
    STATE(12436), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [593361] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15332), 1,
      sym_pow_operator,
    STATE(2222), 1,
      sym_add_operator,
    STATE(12283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [593396] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15401), 1,
      anon_sym_DQUOTE,
    STATE(12284), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(19063), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [593437] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15174), 1,
      anon_sym_PIPE,
    STATE(12285), 1,
      sym_attribute,
    STATE(12438), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [593472] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15330), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15332), 1,
      sym_pow_operator,
    ACTIONS(15334), 1,
      sym_mult_operator,
    ACTIONS(15336), 1,
      sym_concat_operator,
    STATE(2222), 1,
      sym_add_operator,
    STATE(12286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [593515] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15403), 1,
      anon_sym_DQUOTE,
    STATE(12287), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(19083), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [593556] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15405), 1,
      anon_sym_DQUOTE,
    STATE(12288), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(19108), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [593597] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15330), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15332), 1,
      sym_pow_operator,
    ACTIONS(15334), 1,
      sym_mult_operator,
    ACTIONS(15336), 1,
      sym_concat_operator,
    STATE(2222), 1,
      sym_add_operator,
    STATE(12289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [593640] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      sym_or_operator,
    ACTIONS(15330), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15332), 1,
      sym_pow_operator,
    ACTIONS(15334), 1,
      sym_mult_operator,
    ACTIONS(15336), 1,
      sym_concat_operator,
    ACTIONS(15338), 1,
      sym_rel_operator,
    ACTIONS(15340), 1,
      sym_and_operator,
    STATE(2222), 1,
      sym_add_operator,
    STATE(12290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [593687] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15330), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15332), 1,
      sym_pow_operator,
    ACTIONS(15334), 1,
      sym_mult_operator,
    ACTIONS(15336), 1,
      sym_concat_operator,
    ACTIONS(15338), 1,
      sym_rel_operator,
    ACTIONS(15340), 1,
      sym_and_operator,
    ACTIONS(15342), 1,
      sym_or_operator,
    STATE(2222), 1,
      sym_add_operator,
    STATE(12291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [593734] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15330), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15332), 1,
      sym_pow_operator,
    ACTIONS(15334), 1,
      sym_mult_operator,
    ACTIONS(15336), 1,
      sym_concat_operator,
    ACTIONS(15338), 1,
      sym_rel_operator,
    ACTIONS(15340), 1,
      sym_and_operator,
    ACTIONS(15342), 1,
      sym_or_operator,
    ACTIONS(15379), 1,
      anon_sym_COMMA,
    ACTIONS(15383), 1,
      sym_assign_operator,
    STATE(2222), 1,
      sym_add_operator,
    STATE(12292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [593785] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15332), 1,
      sym_pow_operator,
    ACTIONS(15334), 1,
      sym_mult_operator,
    STATE(2222), 1,
      sym_add_operator,
    STATE(12293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [593822] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15330), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15332), 1,
      sym_pow_operator,
    ACTIONS(15334), 1,
      sym_mult_operator,
    ACTIONS(15336), 1,
      sym_concat_operator,
    ACTIONS(15338), 1,
      sym_rel_operator,
    ACTIONS(15340), 1,
      sym_and_operator,
    ACTIONS(15342), 1,
      sym_or_operator,
    ACTIONS(15379), 1,
      anon_sym_COMMA,
    ACTIONS(15383), 1,
      sym_assign_operator,
    STATE(2222), 1,
      sym_add_operator,
    STATE(12294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [593873] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15407), 1,
      anon_sym_RBRACK,
    ACTIONS(15409), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12295), 1,
      sym_attribute,
    STATE(15457), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [593928] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15324), 1,
      anon_sym_else,
    STATE(7831), 1,
      sym_else_clause,
    STATE(12296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [593963] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15411), 1,
      anon_sym_DQUOTE,
    STATE(12297), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(19144), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [594004] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(15413), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15415), 1,
      sym_pow_operator,
    ACTIONS(15417), 1,
      sym_mult_operator,
    ACTIONS(15419), 1,
      sym_concat_operator,
    ACTIONS(15421), 1,
      sym_rel_operator,
    ACTIONS(15423), 1,
      sym_and_operator,
    ACTIONS(15425), 1,
      sym_or_operator,
    STATE(2135), 1,
      sym_add_operator,
    STATE(12298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [594053] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15427), 1,
      anon_sym_DQUOTE,
    STATE(12299), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(17488), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [594094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15431), 1,
      anon_sym_let,
    STATE(12300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15429), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594125] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15330), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15332), 1,
      sym_pow_operator,
    ACTIONS(15334), 1,
      sym_mult_operator,
    ACTIONS(15336), 1,
      sym_concat_operator,
    ACTIONS(15338), 1,
      sym_rel_operator,
    ACTIONS(15340), 1,
      sym_and_operator,
    ACTIONS(15342), 1,
      sym_or_operator,
    ACTIONS(15379), 1,
      anon_sym_COMMA,
    ACTIONS(15383), 1,
      sym_assign_operator,
    STATE(2222), 1,
      sym_add_operator,
    STATE(12301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [594176] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15433), 1,
      anon_sym_else,
    STATE(7831), 1,
      sym_else_clause,
    STATE(12302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [594211] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15435), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12303), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [594244] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15438), 1,
      anon_sym_SEMI,
    ACTIONS(15440), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12304), 1,
      sym_attribute,
    STATE(14998), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [594299] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15442), 1,
      anon_sym_RBRACK,
    ACTIONS(15444), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12305), 1,
      sym_attribute,
    STATE(15153), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [594354] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15446), 1,
      anon_sym_DQUOTE,
    STATE(12306), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(17604), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [594395] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15448), 1,
      anon_sym_RBRACK,
    ACTIONS(15450), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12307), 1,
      sym_attribute,
    STATE(15873), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [594450] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15413), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15415), 1,
      sym_pow_operator,
    ACTIONS(15417), 1,
      sym_mult_operator,
    STATE(2135), 1,
      sym_add_operator,
    STATE(12308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [594491] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15452), 1,
      anon_sym_SEMI,
    ACTIONS(15454), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12309), 1,
      sym_attribute,
    STATE(15199), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [594546] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15456), 1,
      anon_sym_DQUOTE,
    STATE(12310), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(19204), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [594587] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15415), 1,
      sym_pow_operator,
    STATE(2135), 1,
      sym_add_operator,
    STATE(12311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [594622] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_else,
    STATE(7969), 1,
      sym_else_clause,
    STATE(12312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [594657] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15460), 1,
      anon_sym_DQUOTE,
    STATE(12313), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(19626), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [594698] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15462), 1,
      anon_sym_DQUOTE,
    STATE(12314), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(19231), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [594739] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15186), 1,
      anon_sym_let,
    ACTIONS(15464), 1,
      anon_sym_in,
    STATE(12315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15184), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594772] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15466), 1,
      anon_sym_SEMI,
    ACTIONS(15468), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12316), 1,
      sym_attribute,
    STATE(15333), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [594827] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15415), 1,
      sym_pow_operator,
    STATE(2135), 1,
      sym_add_operator,
    STATE(12317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [594862] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15470), 1,
      anon_sym_else,
    STATE(7969), 1,
      sym_else_clause,
    STATE(12318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [594897] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15472), 1,
      anon_sym_else,
    STATE(7831), 1,
      sym_else_clause,
    STATE(12319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [594932] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10185), 1,
      anon_sym_PIPE,
    ACTIONS(15413), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15415), 1,
      sym_pow_operator,
    ACTIONS(15417), 1,
      sym_mult_operator,
    ACTIONS(15419), 1,
      sym_concat_operator,
    ACTIONS(15421), 1,
      sym_rel_operator,
    ACTIONS(15423), 1,
      sym_and_operator,
    ACTIONS(15425), 1,
      sym_or_operator,
    ACTIONS(15474), 1,
      anon_sym_COMMA,
    ACTIONS(15476), 1,
      sym_assign_operator,
    STATE(2135), 1,
      sym_add_operator,
    STATE(12320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10183), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [594985] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15478), 1,
      anon_sym_DQUOTE,
    STATE(12321), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(20288), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [595026] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15480), 1,
      anon_sym_DQUOTE,
    STATE(12322), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(17603), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [595067] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15482), 1,
      anon_sym_DQUOTE,
    STATE(12323), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(19692), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [595108] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15484), 1,
      anon_sym_SEMI,
    ACTIONS(15486), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12324), 1,
      sym_attribute,
    STATE(15576), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [595163] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15011), 1,
      anon_sym_else,
    STATE(7969), 1,
      sym_else_clause,
    STATE(12325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [595198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      anon_sym_let,
    STATE(12326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595229] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15433), 1,
      anon_sym_else,
    STATE(7969), 1,
      sym_else_clause,
    STATE(12327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [595264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8042), 1,
      anon_sym_let,
    STATE(12328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595295] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15488), 1,
      anon_sym_SEMI,
    ACTIONS(15490), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12329), 1,
      sym_attribute,
    STATE(16293), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [595350] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15492), 1,
      anon_sym_DQUOTE,
    STATE(12330), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(18478), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [595391] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8964), 1,
      anon_sym_do,
    ACTIONS(8966), 1,
      anon_sym_PIPE,
    ACTIONS(15494), 1,
      anon_sym_COMMA,
    ACTIONS(15496), 1,
      anon_sym_SEMI,
    ACTIONS(15498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15500), 1,
      sym_pow_operator,
    ACTIONS(15502), 1,
      sym_mult_operator,
    ACTIONS(15504), 1,
      sym_concat_operator,
    ACTIONS(15506), 1,
      sym_rel_operator,
    ACTIONS(15508), 1,
      sym_and_operator,
    ACTIONS(15510), 1,
      sym_or_operator,
    ACTIONS(15512), 1,
      sym_assign_operator,
    STATE(1925), 1,
      sym_add_operator,
    STATE(12331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [595446] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8964), 1,
      anon_sym_then,
    ACTIONS(8966), 1,
      anon_sym_PIPE,
    ACTIONS(15207), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15209), 1,
      sym_pow_operator,
    ACTIONS(15211), 1,
      sym_mult_operator,
    ACTIONS(15213), 1,
      sym_concat_operator,
    ACTIONS(15215), 1,
      sym_rel_operator,
    ACTIONS(15217), 1,
      sym_and_operator,
    ACTIONS(15219), 1,
      sym_or_operator,
    ACTIONS(15253), 1,
      anon_sym_COMMA,
    ACTIONS(15255), 1,
      sym_assign_operator,
    ACTIONS(15514), 1,
      anon_sym_SEMI,
    STATE(2321), 1,
      sym_add_operator,
    STATE(12332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [595501] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15516), 1,
      anon_sym_RBRACK,
    ACTIONS(15518), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12333), 1,
      sym_attribute,
    STATE(15479), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [595556] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15520), 1,
      anon_sym_DQUOTE,
    STATE(12334), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(19421), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [595597] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [595630] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15330), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15332), 1,
      sym_pow_operator,
    ACTIONS(15334), 1,
      sym_mult_operator,
    ACTIONS(15336), 1,
      sym_concat_operator,
    ACTIONS(15338), 1,
      sym_rel_operator,
    ACTIONS(15340), 1,
      sym_and_operator,
    ACTIONS(15342), 1,
      sym_or_operator,
    ACTIONS(15379), 1,
      anon_sym_COMMA,
    ACTIONS(15383), 1,
      sym_assign_operator,
    STATE(2222), 1,
      sym_add_operator,
    STATE(12336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10219), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [595681] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13152), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13154), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15130), 1,
      anon_sym_LPAREN,
    STATE(12337), 1,
      sym_attribute,
    STATE(13068), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13062), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10429), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [595720] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15076), 1,
      anon_sym_and,
    STATE(12106), 1,
      aux_sym_type_definition_repeat1,
    STATE(12338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14764), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595753] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15522), 1,
      anon_sym_SEMI,
    ACTIONS(15524), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12339), 1,
      sym_attribute,
    STATE(15504), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [595808] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15526), 1,
      anon_sym_RBRACK,
    ACTIONS(15528), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12340), 1,
      sym_attribute,
    STATE(16059), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [595863] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15530), 1,
      anon_sym_RBRACK,
    ACTIONS(15532), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12341), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [595918] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15534), 1,
      anon_sym_DQUOTE,
    STATE(12342), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(18896), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [595959] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15536), 1,
      anon_sym_RBRACK,
    ACTIONS(15538), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12343), 1,
      sym_attribute,
    STATE(15834), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [596014] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15540), 1,
      anon_sym_SEMI,
    ACTIONS(15542), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12344), 1,
      sym_attribute,
    STATE(16191), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [596069] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11779), 1,
      anon_sym_COLON2,
    STATE(12345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9058), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [596102] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15544), 1,
      anon_sym_SEMI,
    ACTIONS(15546), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12346), 1,
      sym_attribute,
    STATE(15945), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [596157] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15548), 1,
      anon_sym_RBRACK,
    ACTIONS(15550), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12347), 1,
      sym_attribute,
    STATE(15054), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [596212] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15552), 1,
      anon_sym_DQUOTE,
    STATE(12348), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(18053), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [596253] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15413), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15415), 1,
      sym_pow_operator,
    ACTIONS(15417), 1,
      sym_mult_operator,
    ACTIONS(15419), 1,
      sym_concat_operator,
    STATE(2135), 1,
      sym_add_operator,
    STATE(12349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [596296] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15413), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15415), 1,
      sym_pow_operator,
    ACTIONS(15417), 1,
      sym_mult_operator,
    ACTIONS(15419), 1,
      sym_concat_operator,
    STATE(2135), 1,
      sym_add_operator,
    STATE(12350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [596339] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15554), 1,
      anon_sym_RBRACK,
    ACTIONS(15556), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12351), 1,
      sym_attribute,
    STATE(15243), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [596394] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15558), 1,
      anon_sym_DQUOTE,
    STATE(12352), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(17825), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [596435] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15110), 1,
      anon_sym_COMMA,
    ACTIONS(15114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15116), 1,
      sym_pow_operator,
    ACTIONS(15118), 1,
      sym_mult_operator,
    ACTIONS(15120), 1,
      sym_concat_operator,
    ACTIONS(15122), 1,
      sym_rel_operator,
    ACTIONS(15124), 1,
      sym_and_operator,
    ACTIONS(15126), 1,
      sym_or_operator,
    ACTIONS(15128), 1,
      sym_assign_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [596486] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15389), 1,
      anon_sym_COLON2,
    ACTIONS(15560), 1,
      anon_sym_COLON_GT,
    ACTIONS(15562), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12354), 1,
      sym_attribute,
    STATE(12685), 1,
      sym__typed,
    STATE(12993), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15564), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [596529] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15568), 1,
      sym_pow_operator,
    ACTIONS(15570), 1,
      sym_mult_operator,
    ACTIONS(15572), 1,
      sym_concat_operator,
    ACTIONS(15574), 1,
      sym_rel_operator,
    ACTIONS(15576), 1,
      sym_and_operator,
    ACTIONS(15578), 1,
      sym_or_operator,
    STATE(1883), 1,
      sym_add_operator,
    STATE(12355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [596576] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15221), 1,
      anon_sym_else,
    STATE(7831), 1,
      sym_else_clause,
    STATE(12356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [596611] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15389), 1,
      anon_sym_COLON2,
    ACTIONS(15580), 1,
      anon_sym_COLON_GT,
    ACTIONS(15582), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12357), 1,
      sym_attribute,
    STATE(12702), 1,
      sym__typed,
    STATE(12936), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15584), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [596654] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(15498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15500), 1,
      sym_pow_operator,
    ACTIONS(15502), 1,
      sym_mult_operator,
    ACTIONS(15504), 1,
      sym_concat_operator,
    ACTIONS(15506), 1,
      sym_rel_operator,
    ACTIONS(15508), 1,
      sym_and_operator,
    ACTIONS(15510), 1,
      sym_or_operator,
    STATE(1925), 1,
      sym_add_operator,
    STATE(12358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [596703] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15586), 1,
      anon_sym_DQUOTE,
    STATE(12359), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(17605), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [596744] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15588), 1,
      anon_sym_RBRACK,
    ACTIONS(15590), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12360), 1,
      sym_attribute,
    STATE(15829), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [596799] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15592), 1,
      anon_sym_RBRACK,
    ACTIONS(15594), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12361), 1,
      sym_attribute,
    STATE(15072), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [596854] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8964), 1,
      anon_sym_with,
    ACTIONS(8966), 1,
      anon_sym_PIPE,
    ACTIONS(15413), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15415), 1,
      sym_pow_operator,
    ACTIONS(15417), 1,
      sym_mult_operator,
    ACTIONS(15419), 1,
      sym_concat_operator,
    ACTIONS(15421), 1,
      sym_rel_operator,
    ACTIONS(15423), 1,
      sym_and_operator,
    ACTIONS(15425), 1,
      sym_or_operator,
    ACTIONS(15474), 1,
      anon_sym_COMMA,
    ACTIONS(15476), 1,
      sym_assign_operator,
    ACTIONS(15596), 1,
      anon_sym_SEMI,
    STATE(2135), 1,
      sym_add_operator,
    STATE(12362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [596909] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11405), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11407), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [596940] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15598), 1,
      anon_sym_SEMI,
    ACTIONS(15600), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12364), 1,
      sym_attribute,
    STATE(15474), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [596995] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15602), 1,
      anon_sym_SEMI,
    ACTIONS(15604), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12365), 1,
      sym_attribute,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [597050] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      anon_sym_SEMI,
    ACTIONS(15608), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12366), 1,
      sym_attribute,
    STATE(15296), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [597105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15610), 1,
      anon_sym_let,
    STATE(12367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10469), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597136] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15612), 1,
      anon_sym_RBRACK,
    ACTIONS(15614), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12368), 1,
      sym_attribute,
    STATE(15820), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [597191] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15568), 1,
      sym_pow_operator,
    ACTIONS(15570), 1,
      sym_mult_operator,
    STATE(1883), 1,
      sym_add_operator,
    STATE(12369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10203), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10201), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597232] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_and,
    STATE(12370), 1,
      sym_attribute,
    STATE(12442), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14576), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [597265] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15616), 1,
      anon_sym_SEMI,
    ACTIONS(15618), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12371), 1,
      sym_attribute,
    STATE(15832), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [597320] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15186), 1,
      anon_sym_let,
    ACTIONS(15620), 1,
      anon_sym_in,
    STATE(12372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15184), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597353] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15062), 1,
      anon_sym_and,
    STATE(12172), 1,
      aux_sym_module_definition_repeat1,
    STATE(12373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14972), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [597386] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2135), 1,
      sym_add_operator,
    STATE(12374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597419] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15568), 1,
      sym_pow_operator,
    STATE(1883), 1,
      sym_add_operator,
    STATE(12375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597454] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15622), 1,
      anon_sym_RBRACK,
    ACTIONS(15624), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12376), 1,
      sym_attribute,
    STATE(15605), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [597509] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15076), 1,
      anon_sym_and,
    STATE(12377), 1,
      sym_attribute,
    STATE(12404), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14764), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [597542] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11351), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11353), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [597573] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11355), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11357), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [597604] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15568), 1,
      sym_pow_operator,
    STATE(1883), 1,
      sym_add_operator,
    STATE(12380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597639] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15568), 1,
      sym_pow_operator,
    ACTIONS(15570), 1,
      sym_mult_operator,
    ACTIONS(15572), 1,
      sym_concat_operator,
    STATE(1883), 1,
      sym_add_operator,
    STATE(12381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [597682] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11359), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11361), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [597713] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15568), 1,
      sym_pow_operator,
    ACTIONS(15570), 1,
      sym_mult_operator,
    ACTIONS(15572), 1,
      sym_concat_operator,
    STATE(1883), 1,
      sym_add_operator,
    STATE(12383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [597756] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      sym_or_operator,
    ACTIONS(15566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15568), 1,
      sym_pow_operator,
    ACTIONS(15570), 1,
      sym_mult_operator,
    ACTIONS(15572), 1,
      sym_concat_operator,
    ACTIONS(15574), 1,
      sym_rel_operator,
    ACTIONS(15576), 1,
      sym_and_operator,
    STATE(1883), 1,
      sym_add_operator,
    STATE(12384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [597803] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8964), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(8966), 1,
      anon_sym_PIPE,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15626), 1,
      anon_sym_SEMI,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [597858] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15500), 1,
      sym_pow_operator,
    ACTIONS(15502), 1,
      sym_mult_operator,
    STATE(1925), 1,
      sym_add_operator,
    STATE(12386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597899] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15628), 1,
      anon_sym_DQUOTE,
    STATE(12387), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(19815), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [597940] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15630), 1,
      anon_sym_RBRACK,
    ACTIONS(15632), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12388), 1,
      sym_attribute,
    STATE(15746), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [597995] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15568), 1,
      sym_pow_operator,
    ACTIONS(15570), 1,
      sym_mult_operator,
    ACTIONS(15572), 1,
      sym_concat_operator,
    ACTIONS(15574), 1,
      sym_rel_operator,
    ACTIONS(15576), 1,
      sym_and_operator,
    ACTIONS(15578), 1,
      sym_or_operator,
    ACTIONS(15634), 1,
      anon_sym_COMMA,
    ACTIONS(15636), 1,
      sym_assign_operator,
    STATE(1883), 1,
      sym_add_operator,
    STATE(12389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10219), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [598046] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15568), 1,
      sym_pow_operator,
    ACTIONS(15570), 1,
      sym_mult_operator,
    ACTIONS(15572), 1,
      sym_concat_operator,
    ACTIONS(15574), 1,
      sym_rel_operator,
    ACTIONS(15576), 1,
      sym_and_operator,
    ACTIONS(15578), 1,
      sym_or_operator,
    STATE(1883), 1,
      sym_add_operator,
    STATE(12390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [598093] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15638), 1,
      anon_sym_DQUOTE,
    STATE(12391), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(19910), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [598134] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15640), 1,
      anon_sym_SEMI,
    ACTIONS(15642), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12392), 1,
      sym_attribute,
    STATE(15845), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [598189] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15568), 1,
      sym_pow_operator,
    ACTIONS(15570), 1,
      sym_mult_operator,
    ACTIONS(15572), 1,
      sym_concat_operator,
    ACTIONS(15574), 1,
      sym_rel_operator,
    ACTIONS(15576), 1,
      sym_and_operator,
    ACTIONS(15578), 1,
      sym_or_operator,
    ACTIONS(15634), 1,
      anon_sym_COMMA,
    ACTIONS(15636), 1,
      sym_assign_operator,
    STATE(1883), 1,
      sym_add_operator,
    STATE(12393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [598240] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15062), 1,
      anon_sym_and,
    STATE(12099), 1,
      aux_sym_module_definition_repeat1,
    STATE(12394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14893), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [598273] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(12584), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15098), 1,
      anon_sym_DASH_GT,
    STATE(12395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12582), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [598308] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15500), 1,
      sym_pow_operator,
    STATE(1925), 1,
      sym_add_operator,
    STATE(12396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [598343] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15644), 1,
      anon_sym_DQUOTE,
    STATE(12397), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(19850), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [598384] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15500), 1,
      sym_pow_operator,
    STATE(1925), 1,
      sym_add_operator,
    STATE(12398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [598419] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15646), 1,
      anon_sym_DQUOTE,
    STATE(12399), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(18334), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [598460] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15568), 1,
      sym_pow_operator,
    ACTIONS(15570), 1,
      sym_mult_operator,
    STATE(1883), 1,
      sym_add_operator,
    STATE(12400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598497] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15182), 1,
      anon_sym_PIPE,
    STATE(12141), 1,
      aux_sym__match_cases_repeat1,
    STATE(12401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598532] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15500), 1,
      sym_pow_operator,
    ACTIONS(15502), 1,
      sym_mult_operator,
    ACTIONS(15504), 1,
      sym_concat_operator,
    STATE(1925), 1,
      sym_add_operator,
    STATE(12402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [598575] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15648), 1,
      anon_sym_SEMI,
    ACTIONS(15650), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12403), 1,
      sym_attribute,
    STATE(15798), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [598630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15652), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12404), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(14284), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [598661] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15655), 1,
      anon_sym_RBRACK,
    ACTIONS(15657), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12405), 1,
      sym_attribute,
    STATE(15138), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [598716] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15659), 1,
      anon_sym_RBRACK,
    ACTIONS(15661), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12406), 1,
      sym_attribute,
    STATE(16334), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [598771] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15663), 1,
      anon_sym_DQUOTE,
    STATE(12407), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(18593), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [598812] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15500), 1,
      sym_pow_operator,
    ACTIONS(15502), 1,
      sym_mult_operator,
    ACTIONS(15504), 1,
      sym_concat_operator,
    STATE(1925), 1,
      sym_add_operator,
    STATE(12408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [598855] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15665), 1,
      anon_sym_SEMI,
    ACTIONS(15667), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12409), 1,
      sym_attribute,
    STATE(15158), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [598910] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15669), 1,
      anon_sym_SEMI,
    ACTIONS(15671), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12410), 1,
      sym_attribute,
    STATE(14953), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [598965] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(15082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15084), 1,
      sym_pow_operator,
    ACTIONS(15086), 1,
      sym_mult_operator,
    ACTIONS(15088), 1,
      sym_concat_operator,
    ACTIONS(15090), 1,
      sym_rel_operator,
    ACTIONS(15092), 1,
      sym_and_operator,
    ACTIONS(15094), 1,
      sym_or_operator,
    STATE(2138), 1,
      sym_add_operator,
    STATE(12411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
  [599014] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15084), 1,
      sym_pow_operator,
    ACTIONS(15086), 1,
      sym_mult_operator,
    STATE(2138), 1,
      sym_add_operator,
    STATE(12412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10203), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [599055] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15084), 1,
      sym_pow_operator,
    STATE(2138), 1,
      sym_add_operator,
    STATE(12413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [599090] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15084), 1,
      sym_pow_operator,
    STATE(2138), 1,
      sym_add_operator,
    STATE(12414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10093), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [599125] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15084), 1,
      sym_pow_operator,
    ACTIONS(15086), 1,
      sym_mult_operator,
    ACTIONS(15088), 1,
      sym_concat_operator,
    STATE(2138), 1,
      sym_add_operator,
    STATE(12415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [599168] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15084), 1,
      sym_pow_operator,
    ACTIONS(15086), 1,
      sym_mult_operator,
    ACTIONS(15088), 1,
      sym_concat_operator,
    STATE(2138), 1,
      sym_add_operator,
    STATE(12416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [599211] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15673), 1,
      anon_sym_RBRACK,
    ACTIONS(15675), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12417), 1,
      sym_attribute,
    STATE(16049), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [599266] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15084), 1,
      sym_pow_operator,
    ACTIONS(15086), 1,
      sym_mult_operator,
    ACTIONS(15088), 1,
      sym_concat_operator,
    ACTIONS(15090), 1,
      sym_rel_operator,
    ACTIONS(15092), 1,
      sym_and_operator,
    STATE(2138), 1,
      sym_add_operator,
    STATE(12418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
  [599313] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15677), 1,
      anon_sym_SEMI,
    ACTIONS(15679), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12419), 1,
      sym_attribute,
    STATE(16164), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [599368] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(15082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15084), 1,
      sym_pow_operator,
    ACTIONS(15086), 1,
      sym_mult_operator,
    ACTIONS(15088), 1,
      sym_concat_operator,
    ACTIONS(15090), 1,
      sym_rel_operator,
    ACTIONS(15092), 1,
      sym_and_operator,
    ACTIONS(15094), 1,
      sym_or_operator,
    STATE(2138), 1,
      sym_add_operator,
    STATE(12420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
  [599417] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(15078), 1,
      anon_sym_COMMA,
    ACTIONS(15082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15084), 1,
      sym_pow_operator,
    ACTIONS(15086), 1,
      sym_mult_operator,
    ACTIONS(15088), 1,
      sym_concat_operator,
    ACTIONS(15090), 1,
      sym_rel_operator,
    ACTIONS(15092), 1,
      sym_and_operator,
    ACTIONS(15094), 1,
      sym_or_operator,
    ACTIONS(15096), 1,
      sym_assign_operator,
    STATE(2138), 1,
      sym_add_operator,
    STATE(12421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [599470] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15084), 1,
      sym_pow_operator,
    ACTIONS(15086), 1,
      sym_mult_operator,
    STATE(2138), 1,
      sym_add_operator,
    STATE(12422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [599507] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10159), 1,
      anon_sym_PIPE,
    ACTIONS(15078), 1,
      anon_sym_COMMA,
    ACTIONS(15082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15084), 1,
      sym_pow_operator,
    ACTIONS(15086), 1,
      sym_mult_operator,
    ACTIONS(15088), 1,
      sym_concat_operator,
    ACTIONS(15090), 1,
      sym_rel_operator,
    ACTIONS(15092), 1,
      sym_and_operator,
    ACTIONS(15094), 1,
      sym_or_operator,
    ACTIONS(15096), 1,
      sym_assign_operator,
    STATE(2138), 1,
      sym_add_operator,
    STATE(12423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10157), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [599560] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15568), 1,
      sym_pow_operator,
    ACTIONS(15570), 1,
      sym_mult_operator,
    ACTIONS(15572), 1,
      sym_concat_operator,
    ACTIONS(15574), 1,
      sym_rel_operator,
    ACTIONS(15576), 1,
      sym_and_operator,
    ACTIONS(15578), 1,
      sym_or_operator,
    ACTIONS(15634), 1,
      anon_sym_COMMA,
    ACTIONS(15636), 1,
      sym_assign_operator,
    ACTIONS(15681), 1,
      anon_sym_SEMI,
    STATE(1883), 1,
      sym_add_operator,
    STATE(12424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8964), 2,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [599613] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15500), 1,
      sym_pow_operator,
    ACTIONS(15502), 1,
      sym_mult_operator,
    ACTIONS(15504), 1,
      sym_concat_operator,
    ACTIONS(15506), 1,
      sym_rel_operator,
    ACTIONS(15508), 1,
      sym_and_operator,
    STATE(1925), 1,
      sym_add_operator,
    STATE(12425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [599660] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15062), 1,
      anon_sym_and,
    STATE(12099), 1,
      aux_sym_module_definition_repeat1,
    STATE(12426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14914), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [599693] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15683), 1,
      anon_sym_SEMI,
    ACTIONS(15685), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12427), 1,
      sym_attribute,
    STATE(15151), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [599748] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [599781] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(15498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15500), 1,
      sym_pow_operator,
    ACTIONS(15502), 1,
      sym_mult_operator,
    ACTIONS(15504), 1,
      sym_concat_operator,
    ACTIONS(15506), 1,
      sym_rel_operator,
    ACTIONS(15508), 1,
      sym_and_operator,
    ACTIONS(15510), 1,
      sym_or_operator,
    STATE(1925), 1,
      sym_add_operator,
    STATE(12429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [599830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7908), 1,
      anon_sym_let,
    STATE(12430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599861] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15472), 1,
      anon_sym_else,
    STATE(7969), 1,
      sym_else_clause,
    STATE(12431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [599896] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8964), 1,
      anon_sym_end,
    ACTIONS(8966), 1,
      anon_sym_PIPE,
    ACTIONS(15146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15148), 1,
      sym_pow_operator,
    ACTIONS(15150), 1,
      sym_mult_operator,
    ACTIONS(15152), 1,
      sym_concat_operator,
    ACTIONS(15154), 1,
      sym_rel_operator,
    ACTIONS(15156), 1,
      sym_and_operator,
    ACTIONS(15158), 1,
      sym_or_operator,
    ACTIONS(15231), 1,
      anon_sym_COMMA,
    ACTIONS(15233), 1,
      sym_assign_operator,
    ACTIONS(15687), 1,
      anon_sym_SEMI,
    STATE(2304), 1,
      sym_add_operator,
    STATE(12432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [599951] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15413), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15415), 1,
      sym_pow_operator,
    ACTIONS(15417), 1,
      sym_mult_operator,
    ACTIONS(15419), 1,
      sym_concat_operator,
    ACTIONS(15421), 1,
      sym_rel_operator,
    ACTIONS(15423), 1,
      sym_and_operator,
    STATE(2135), 1,
      sym_add_operator,
    STATE(12433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [599998] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15470), 1,
      anon_sym_else,
    STATE(7831), 1,
      sym_else_clause,
    STATE(12434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [600033] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15568), 1,
      sym_pow_operator,
    ACTIONS(15570), 1,
      sym_mult_operator,
    ACTIONS(15572), 1,
      sym_concat_operator,
    ACTIONS(15574), 1,
      sym_rel_operator,
    ACTIONS(15576), 1,
      sym_and_operator,
    ACTIONS(15578), 1,
      sym_or_operator,
    ACTIONS(15634), 1,
      anon_sym_COMMA,
    ACTIONS(15636), 1,
      sym_assign_operator,
    STATE(1883), 1,
      sym_add_operator,
    STATE(12435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [600084] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15174), 1,
      anon_sym_PIPE,
    STATE(12436), 1,
      sym_attribute,
    STATE(12438), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [600119] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10125), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [600150] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15689), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12438), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [600183] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10211), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10209), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [600214] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(15413), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15415), 1,
      sym_pow_operator,
    ACTIONS(15417), 1,
      sym_mult_operator,
    ACTIONS(15419), 1,
      sym_concat_operator,
    ACTIONS(15421), 1,
      sym_rel_operator,
    ACTIONS(15423), 1,
      sym_and_operator,
    ACTIONS(15425), 1,
      sym_or_operator,
    STATE(2135), 1,
      sym_add_operator,
    STATE(12440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [600263] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [600294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15692), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12442), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(14316), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [600325] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15695), 1,
      anon_sym_DQUOTE,
    STATE(12443), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(19611), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [600366] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_and,
    STATE(12442), 1,
      aux_sym_class_definition_repeat1,
    STATE(12444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14824), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [600399] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15697), 1,
      anon_sym_DQUOTE,
    STATE(12445), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(20228), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [600440] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15699), 1,
      anon_sym_RBRACK,
    ACTIONS(15701), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12446), 1,
      sym_attribute,
    STATE(15132), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [600495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7916), 1,
      anon_sym_let,
    STATE(12447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [600526] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15703), 1,
      anon_sym_SEMI,
    ACTIONS(15705), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12448), 1,
      sym_attribute,
    STATE(15142), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [600581] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(15494), 1,
      anon_sym_COMMA,
    ACTIONS(15498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15500), 1,
      sym_pow_operator,
    ACTIONS(15502), 1,
      sym_mult_operator,
    ACTIONS(15504), 1,
      sym_concat_operator,
    ACTIONS(15506), 1,
      sym_rel_operator,
    ACTIONS(15508), 1,
      sym_and_operator,
    ACTIONS(15510), 1,
      sym_or_operator,
    ACTIONS(15512), 1,
      sym_assign_operator,
    STATE(1925), 1,
      sym_add_operator,
    STATE(12449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [600634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7920), 1,
      anon_sym_let,
    STATE(12450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [600665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7952), 1,
      anon_sym_let,
    STATE(12451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [600696] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10185), 1,
      anon_sym_PIPE,
    ACTIONS(15078), 1,
      anon_sym_COMMA,
    ACTIONS(15082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15084), 1,
      sym_pow_operator,
    ACTIONS(15086), 1,
      sym_mult_operator,
    ACTIONS(15088), 1,
      sym_concat_operator,
    ACTIONS(15090), 1,
      sym_rel_operator,
    ACTIONS(15092), 1,
      sym_and_operator,
    ACTIONS(15094), 1,
      sym_or_operator,
    ACTIONS(15096), 1,
      sym_assign_operator,
    STATE(2138), 1,
      sym_add_operator,
    STATE(12452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10183), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [600749] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15500), 1,
      sym_pow_operator,
    ACTIONS(15502), 1,
      sym_mult_operator,
    STATE(1925), 1,
      sym_add_operator,
    STATE(12453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [600786] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_and,
    STATE(12444), 1,
      aux_sym_class_definition_repeat1,
    STATE(12454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14576), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [600819] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15188), 1,
      anon_sym_else,
    STATE(7831), 1,
      sym_else_clause,
    STATE(12455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [600854] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(15413), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15415), 1,
      sym_pow_operator,
    ACTIONS(15417), 1,
      sym_mult_operator,
    ACTIONS(15419), 1,
      sym_concat_operator,
    ACTIONS(15421), 1,
      sym_rel_operator,
    ACTIONS(15423), 1,
      sym_and_operator,
    ACTIONS(15425), 1,
      sym_or_operator,
    ACTIONS(15474), 1,
      anon_sym_COMMA,
    ACTIONS(15476), 1,
      sym_assign_operator,
    STATE(2135), 1,
      sym_add_operator,
    STATE(12456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [600907] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15707), 1,
      anon_sym_PIPE,
    STATE(12457), 1,
      sym_attribute,
    STATE(12486), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [600942] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15709), 1,
      anon_sym_DQUOTE,
    STATE(12458), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(18650), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [600983] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15110), 1,
      anon_sym_COMMA,
    ACTIONS(15114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15116), 1,
      sym_pow_operator,
    ACTIONS(15118), 1,
      sym_mult_operator,
    ACTIONS(15120), 1,
      sym_concat_operator,
    ACTIONS(15122), 1,
      sym_rel_operator,
    ACTIONS(15124), 1,
      sym_and_operator,
    ACTIONS(15126), 1,
      sym_or_operator,
    ACTIONS(15128), 1,
      sym_assign_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10219), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [601034] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15568), 1,
      sym_pow_operator,
    ACTIONS(15570), 1,
      sym_mult_operator,
    ACTIONS(15572), 1,
      sym_concat_operator,
    ACTIONS(15574), 1,
      sym_rel_operator,
    ACTIONS(15576), 1,
      sym_and_operator,
    ACTIONS(15578), 1,
      sym_or_operator,
    ACTIONS(15634), 1,
      anon_sym_COMMA,
    ACTIONS(15636), 1,
      sym_assign_operator,
    STATE(1883), 1,
      sym_add_operator,
    STATE(12460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [601085] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15711), 1,
      anon_sym_DQUOTE,
    STATE(12461), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(18819), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [601126] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(14633), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15098), 1,
      anon_sym_DASH_GT,
    STATE(12462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14629), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [601161] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10159), 1,
      anon_sym_PIPE,
    ACTIONS(15494), 1,
      anon_sym_COMMA,
    ACTIONS(15498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15500), 1,
      sym_pow_operator,
    ACTIONS(15502), 1,
      sym_mult_operator,
    ACTIONS(15504), 1,
      sym_concat_operator,
    ACTIONS(15506), 1,
      sym_rel_operator,
    ACTIONS(15508), 1,
      sym_and_operator,
    ACTIONS(15510), 1,
      sym_or_operator,
    ACTIONS(15512), 1,
      sym_assign_operator,
    STATE(1925), 1,
      sym_add_operator,
    STATE(12463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10157), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [601214] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15713), 1,
      anon_sym_DQUOTE,
    STATE(12464), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(18066), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [601255] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15715), 1,
      anon_sym_DQUOTE,
    STATE(12465), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(20055), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [601296] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15717), 1,
      anon_sym_RBRACK,
    ACTIONS(15719), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12466), 1,
      sym_attribute,
    STATE(15312), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [601351] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15721), 1,
      anon_sym_SEMI,
    ACTIONS(15723), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12467), 1,
      sym_attribute,
    STATE(15319), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [601406] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15415), 1,
      sym_pow_operator,
    ACTIONS(15417), 1,
      sym_mult_operator,
    STATE(2135), 1,
      sym_add_operator,
    STATE(12468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601443] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10159), 1,
      anon_sym_PIPE,
    ACTIONS(15413), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15415), 1,
      sym_pow_operator,
    ACTIONS(15417), 1,
      sym_mult_operator,
    ACTIONS(15419), 1,
      sym_concat_operator,
    ACTIONS(15421), 1,
      sym_rel_operator,
    ACTIONS(15423), 1,
      sym_and_operator,
    ACTIONS(15425), 1,
      sym_or_operator,
    ACTIONS(15474), 1,
      anon_sym_COMMA,
    ACTIONS(15476), 1,
      sym_assign_operator,
    STATE(2135), 1,
      sym_add_operator,
    STATE(12469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10157), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [601496] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15725), 1,
      anon_sym_DQUOTE,
    STATE(12470), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(17893), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [601537] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    ACTIONS(15727), 1,
      anon_sym_SEMI,
    ACTIONS(15729), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12471), 1,
      sym_attribute,
    STATE(15891), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [601592] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_else,
    STATE(7831), 1,
      sym_else_clause,
    STATE(12472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601627] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(15731), 1,
      anon_sym_RBRACK,
    ACTIONS(15733), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12473), 1,
      sym_attribute,
    STATE(15147), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [601682] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15735), 1,
      anon_sym_DQUOTE,
    STATE(12474), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(18195), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [601723] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15737), 1,
      anon_sym_PIPE,
    STATE(12475), 1,
      sym_attribute,
    STATE(12478), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601758] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15737), 1,
      anon_sym_PIPE,
    STATE(12476), 1,
      sym_attribute,
    STATE(12479), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601793] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10185), 1,
      anon_sym_PIPE,
    ACTIONS(15494), 1,
      anon_sym_COMMA,
    ACTIONS(15498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15500), 1,
      sym_pow_operator,
    ACTIONS(15502), 1,
      sym_mult_operator,
    ACTIONS(15504), 1,
      sym_concat_operator,
    ACTIONS(15506), 1,
      sym_rel_operator,
    ACTIONS(15508), 1,
      sym_and_operator,
    ACTIONS(15510), 1,
      sym_or_operator,
    ACTIONS(15512), 1,
      sym_assign_operator,
    STATE(1925), 1,
      sym_add_operator,
    STATE(12477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10183), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [601846] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15737), 1,
      anon_sym_PIPE,
    STATE(12478), 1,
      sym_attribute,
    STATE(12480), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601881] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15737), 1,
      anon_sym_PIPE,
    STATE(12479), 1,
      sym_attribute,
    STATE(12480), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601916] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15739), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12480), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10125), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601949] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15707), 1,
      anon_sym_PIPE,
    STATE(12481), 1,
      sym_attribute,
    STATE(12487), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601984] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11261), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11263), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [602015] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14993), 1,
      sym_mult_operator,
    ACTIONS(14995), 1,
      sym_concat_operator,
    ACTIONS(14997), 1,
      sym_rel_operator,
    ACTIONS(14999), 1,
      sym_and_operator,
    ACTIONS(15001), 1,
      sym_or_operator,
    STATE(2057), 1,
      sym_add_operator,
    STATE(12483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [602062] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14993), 1,
      sym_mult_operator,
    STATE(2057), 1,
      sym_add_operator,
    STATE(12484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10203), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10201), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602103] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14989), 1,
      sym_pow_operator,
    STATE(2057), 1,
      sym_add_operator,
    STATE(12485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602138] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15707), 1,
      anon_sym_PIPE,
    STATE(12303), 1,
      aux_sym__match_cases_repeat1,
    STATE(12486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602173] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15707), 1,
      anon_sym_PIPE,
    STATE(12303), 1,
      aux_sym__match_cases_repeat1,
    STATE(12487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10121), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10119), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602208] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15742), 1,
      anon_sym_DQUOTE,
    STATE(12488), 1,
      sym_attribute,
    STATE(12604), 1,
      aux_sym_string_content_repeat1,
    STATE(12718), 1,
      sym_escape_sequence,
    STATE(19174), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [602249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11293), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11291), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [602279] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15744), 1,
      anon_sym_and,
    STATE(12490), 1,
      sym_attribute,
    STATE(12673), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14887), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602311] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8964), 1,
      anon_sym_end,
    ACTIONS(15746), 1,
      anon_sym_COMMA,
    ACTIONS(15748), 1,
      anon_sym_SEMI,
    ACTIONS(15750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15752), 1,
      sym_pow_operator,
    ACTIONS(15754), 1,
      sym_mult_operator,
    ACTIONS(15756), 1,
      sym_concat_operator,
    ACTIONS(15758), 1,
      sym_rel_operator,
    ACTIONS(15760), 1,
      sym_and_operator,
    ACTIONS(15762), 1,
      sym_or_operator,
    ACTIONS(15764), 1,
      sym_assign_operator,
    STATE(2327), 1,
      sym_add_operator,
    STATE(12491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [602363] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2351), 1,
      anon_sym_LBRACK,
    ACTIONS(2361), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2373), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15766), 1,
      sym__lowercase_identifier,
    ACTIONS(15768), 1,
      anon_sym_LPAREN,
    ACTIONS(15770), 1,
      anon_sym_LBRACE,
    ACTIONS(15772), 1,
      sym__uppercase_identifier,
    STATE(6262), 1,
      sym__constructor_name,
    STATE(6320), 1,
      sym_parenthesized_operator,
    STATE(6671), 1,
      sym__value_name,
    STATE(12492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6636), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [602411] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2327), 1,
      sym_add_operator,
    STATE(12493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602443] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9806), 1,
      anon_sym_let,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(15774), 1,
      sym__lowercase_identifier,
    ACTIONS(15776), 1,
      anon_sym_LBRACK,
    STATE(9579), 1,
      sym__simple_class_type,
    STATE(12494), 1,
      sym_attribute,
    STATE(16434), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9533), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [602489] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14873), 1,
      anon_sym_LPAREN,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(14881), 1,
      anon_sym__,
    ACTIONS(14936), 1,
      sym__lowercase_identifier,
    ACTIONS(15778), 1,
      anon_sym_nonrec,
    STATE(12495), 1,
      sym_attribute,
    STATE(12578), 1,
      sym_type_binding,
    STATE(14059), 1,
      sym_type_variable,
    STATE(14259), 1,
      sym__type_params,
    STATE(17206), 1,
      sym__type_param,
    STATE(17286), 1,
      sym_extended_module_path,
    STATE(20079), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [602543] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5905), 1,
      anon_sym_LBRACK,
    ACTIONS(5913), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5917), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15780), 1,
      sym__lowercase_identifier,
    ACTIONS(15782), 1,
      anon_sym_LPAREN,
    ACTIONS(15784), 1,
      anon_sym_LBRACE,
    ACTIONS(15786), 1,
      sym__uppercase_identifier,
    STATE(6399), 1,
      sym__value_name,
    STATE(6411), 1,
      sym_parenthesized_operator,
    STATE(6505), 1,
      sym__constructor_name,
    STATE(12496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6370), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [602591] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15788), 1,
      anon_sym_and,
    STATE(12497), 1,
      sym_attribute,
    STATE(12548), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14824), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602623] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15790), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15792), 1,
      sym_pow_operator,
    ACTIONS(15794), 1,
      sym_mult_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(12498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10203), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10201), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602663] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9806), 1,
      anon_sym_let,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(15774), 1,
      sym__lowercase_identifier,
    ACTIONS(15776), 1,
      anon_sym_LBRACK,
    STATE(12499), 1,
      sym_attribute,
    STATE(13049), 1,
      sym__simple_class_type,
    STATE(16434), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9533), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [602709] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(9860), 1,
      anon_sym_let,
    ACTIONS(15796), 1,
      sym__lowercase_identifier,
    ACTIONS(15798), 1,
      anon_sym_LBRACK,
    STATE(9579), 1,
      sym__simple_class_type,
    STATE(12500), 1,
      sym_attribute,
    STATE(17294), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9533), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [602755] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1283), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1313), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15800), 1,
      sym__lowercase_identifier,
    ACTIONS(15802), 1,
      anon_sym_LPAREN,
    ACTIONS(15804), 1,
      anon_sym_LBRACE,
    ACTIONS(15806), 1,
      sym__uppercase_identifier,
    STATE(5613), 1,
      sym_parenthesized_operator,
    STATE(5633), 1,
      sym__value_name,
    STATE(5637), 1,
      sym__constructor_name,
    STATE(12501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5579), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [602803] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5569), 1,
      anon_sym_LBRACK,
    ACTIONS(5577), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5581), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15808), 1,
      sym__lowercase_identifier,
    ACTIONS(15810), 1,
      anon_sym_LPAREN,
    ACTIONS(15812), 1,
      anon_sym_LBRACE,
    ACTIONS(15814), 1,
      sym__uppercase_identifier,
    STATE(5925), 1,
      sym__constructor_name,
    STATE(6053), 1,
      sym__value_name,
    STATE(6100), 1,
      sym_parenthesized_operator,
    STATE(12502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6025), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [602851] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1349), 1,
      anon_sym_LBRACK,
    ACTIONS(1359), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1371), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15816), 1,
      sym__lowercase_identifier,
    ACTIONS(15818), 1,
      anon_sym_LPAREN,
    ACTIONS(15820), 1,
      anon_sym_LBRACE,
    ACTIONS(15822), 1,
      sym__uppercase_identifier,
    STATE(5730), 1,
      sym_parenthesized_operator,
    STATE(5743), 1,
      sym__constructor_name,
    STATE(5800), 1,
      sym__value_name,
    STATE(12503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5759), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [602899] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2247), 1,
      anon_sym_LBRACK,
    ACTIONS(2257), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2269), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15824), 1,
      sym__lowercase_identifier,
    ACTIONS(15826), 1,
      anon_sym_LPAREN,
    ACTIONS(15828), 1,
      anon_sym_LBRACE,
    ACTIONS(15830), 1,
      sym__uppercase_identifier,
    STATE(6132), 1,
      sym_parenthesized_operator,
    STATE(6221), 1,
      sym__constructor_name,
    STATE(6587), 1,
      sym__value_name,
    STATE(12504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6546), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [602947] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15792), 1,
      sym_pow_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(12505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602981] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [603013] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_and,
    STATE(12507), 1,
      sym_attribute,
    STATE(12637), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14764), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [603045] = 14,
    ACTIONS(1001), 1,
      anon_sym_LBRACK,
    ACTIONS(1011), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1023), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15834), 1,
      sym__lowercase_identifier,
    ACTIONS(15836), 1,
      anon_sym_LPAREN,
    ACTIONS(15838), 1,
      anon_sym_LBRACE,
    ACTIONS(15840), 1,
      sym__uppercase_identifier,
    STATE(4882), 1,
      sym_parenthesized_operator,
    STATE(4887), 1,
      sym__value_name,
    STATE(4898), 1,
      sym__constructor_name,
    STATE(12508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4938), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [603093] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      sym_or_operator,
    ACTIONS(15790), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15792), 1,
      sym_pow_operator,
    ACTIONS(15794), 1,
      sym_mult_operator,
    ACTIONS(15842), 1,
      sym_concat_operator,
    ACTIONS(15844), 1,
      sym_rel_operator,
    ACTIONS(15846), 1,
      sym_and_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(12509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [603139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11251), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11249), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11255), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11253), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11259), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11257), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11263), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11261), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603259] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(15848), 1,
      anon_sym_EQ,
    ACTIONS(15850), 1,
      anon_sym_DASH_GT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12514), 1,
      sym_attribute,
    STATE(12961), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15852), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [603299] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15854), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [603327] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15858), 1,
      sym_pow_operator,
    ACTIONS(15860), 1,
      sym_mult_operator,
    STATE(1984), 1,
      sym_add_operator,
    STATE(12516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10203), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10201), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [603367] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15790), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15792), 1,
      sym_pow_operator,
    ACTIONS(15794), 1,
      sym_mult_operator,
    ACTIONS(15842), 1,
      sym_concat_operator,
    ACTIONS(15844), 1,
      sym_rel_operator,
    ACTIONS(15846), 1,
      sym_and_operator,
    ACTIONS(15862), 1,
      anon_sym_COMMA,
    ACTIONS(15864), 1,
      sym_or_operator,
    ACTIONS(15866), 1,
      sym_assign_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(12517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10183), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [603417] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(9868), 1,
      anon_sym_let,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15774), 1,
      sym__lowercase_identifier,
    ACTIONS(15776), 1,
      anon_sym_LBRACK,
    STATE(10427), 1,
      sym__simple_class_type,
    STATE(12518), 1,
      sym_attribute,
    STATE(16434), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9533), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [603463] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15790), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15792), 1,
      sym_pow_operator,
    ACTIONS(15794), 1,
      sym_mult_operator,
    ACTIONS(15842), 1,
      sym_concat_operator,
    ACTIONS(15844), 1,
      sym_rel_operator,
    ACTIONS(15846), 1,
      sym_and_operator,
    ACTIONS(15862), 1,
      anon_sym_COMMA,
    ACTIONS(15864), 1,
      sym_or_operator,
    ACTIONS(15866), 1,
      sym_assign_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(12519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10157), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [603513] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9806), 1,
      anon_sym_let,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(15774), 1,
      sym__lowercase_identifier,
    ACTIONS(15776), 1,
      anon_sym_LBRACK,
    STATE(10531), 1,
      sym__simple_class_type,
    STATE(12520), 1,
      sym_attribute,
    STATE(16434), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9533), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [603559] = 14,
    ACTIONS(1067), 1,
      anon_sym_LBRACK,
    ACTIONS(1077), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1089), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15868), 1,
      sym__lowercase_identifier,
    ACTIONS(15870), 1,
      anon_sym_LPAREN,
    ACTIONS(15872), 1,
      anon_sym_LBRACE,
    ACTIONS(15874), 1,
      sym__uppercase_identifier,
    STATE(5197), 1,
      sym__value_name,
    STATE(5218), 1,
      sym_parenthesized_operator,
    STATE(5233), 1,
      sym__constructor_name,
    STATE(12521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5164), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [603607] = 14,
    ACTIONS(535), 1,
      anon_sym_LBRACK,
    ACTIONS(545), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(557), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15876), 1,
      sym__lowercase_identifier,
    ACTIONS(15878), 1,
      anon_sym_LPAREN,
    ACTIONS(15880), 1,
      anon_sym_LBRACE,
    ACTIONS(15882), 1,
      sym__uppercase_identifier,
    STATE(3341), 1,
      sym__value_name,
    STATE(3381), 1,
      sym_parenthesized_operator,
    STATE(3494), 1,
      sym__constructor_name,
    STATE(12522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3304), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [603655] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15884), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15886), 1,
      sym_pow_operator,
    ACTIONS(15888), 1,
      sym_mult_operator,
    ACTIONS(15890), 1,
      sym_concat_operator,
    ACTIONS(15892), 1,
      sym_rel_operator,
    ACTIONS(15894), 1,
      sym_and_operator,
    ACTIONS(15896), 1,
      sym_or_operator,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [603701] = 14,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(715), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15898), 1,
      sym__lowercase_identifier,
    ACTIONS(15900), 1,
      anon_sym_LPAREN,
    ACTIONS(15902), 1,
      anon_sym_LBRACE,
    ACTIONS(15904), 1,
      sym__uppercase_identifier,
    STATE(3734), 1,
      sym_parenthesized_operator,
    STATE(3863), 1,
      sym__value_name,
    STATE(3919), 1,
      sym__constructor_name,
    STATE(12524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3934), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [603749] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15788), 1,
      anon_sym_and,
    STATE(12525), 1,
      sym_attribute,
    STATE(12548), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14576), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [603781] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15884), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15886), 1,
      sym_pow_operator,
    ACTIONS(15888), 1,
      sym_mult_operator,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10203), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10201), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [603821] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(15906), 1,
      sym__lowercase_identifier,
    ACTIONS(15908), 1,
      anon_sym_POUND,
    STATE(12527), 1,
      sym_attribute,
    STATE(12756), 1,
      sym_type_constructor_path,
    STATE(16947), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 5,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10986), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [603861] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15858), 1,
      sym_pow_operator,
    STATE(1984), 1,
      sym_add_operator,
    STATE(12528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [603895] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15790), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15792), 1,
      sym_pow_operator,
    ACTIONS(15794), 1,
      sym_mult_operator,
    ACTIONS(15842), 1,
      sym_concat_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(12529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [603937] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15886), 1,
      sym_pow_operator,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [603971] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15886), 1,
      sym_pow_operator,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [604005] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(15850), 1,
      anon_sym_DASH_GT,
    ACTIONS(15910), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12532), 1,
      sym_attribute,
    STATE(12879), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15912), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [604045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11297), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11295), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604075] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15884), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15886), 1,
      sym_pow_operator,
    ACTIONS(15888), 1,
      sym_mult_operator,
    ACTIONS(15890), 1,
      sym_concat_operator,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [604117] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15884), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15886), 1,
      sym_pow_operator,
    ACTIONS(15888), 1,
      sym_mult_operator,
    ACTIONS(15890), 1,
      sym_concat_operator,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [604159] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      sym_or_operator,
    ACTIONS(15884), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15886), 1,
      sym_pow_operator,
    ACTIONS(15888), 1,
      sym_mult_operator,
    ACTIONS(15890), 1,
      sym_concat_operator,
    ACTIONS(15892), 1,
      sym_rel_operator,
    ACTIONS(15894), 1,
      sym_and_operator,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [604205] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15884), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15886), 1,
      sym_pow_operator,
    ACTIONS(15888), 1,
      sym_mult_operator,
    ACTIONS(15890), 1,
      sym_concat_operator,
    ACTIONS(15892), 1,
      sym_rel_operator,
    ACTIONS(15894), 1,
      sym_and_operator,
    ACTIONS(15896), 1,
      sym_or_operator,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [604251] = 14,
    ACTIONS(361), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(383), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15914), 1,
      sym__lowercase_identifier,
    ACTIONS(15916), 1,
      anon_sym_LPAREN,
    ACTIONS(15918), 1,
      anon_sym_LBRACE,
    ACTIONS(15920), 1,
      sym__uppercase_identifier,
    STATE(2954), 1,
      sym_parenthesized_operator,
    STATE(3199), 1,
      sym__constructor_name,
    STATE(3257), 1,
      sym__value_name,
    STATE(12538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3227), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [604299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11405), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11281), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11279), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604359] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8964), 1,
      anon_sym_with,
    ACTIONS(15790), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15792), 1,
      sym_pow_operator,
    ACTIONS(15794), 1,
      sym_mult_operator,
    ACTIONS(15842), 1,
      sym_concat_operator,
    ACTIONS(15844), 1,
      sym_rel_operator,
    ACTIONS(15846), 1,
      sym_and_operator,
    ACTIONS(15862), 1,
      anon_sym_COMMA,
    ACTIONS(15864), 1,
      sym_or_operator,
    ACTIONS(15866), 1,
      sym_assign_operator,
    ACTIONS(15922), 1,
      anon_sym_SEMI,
    STATE(2244), 1,
      sym_add_operator,
    STATE(12541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [604411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11285), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11283), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11289), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11287), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604471] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15884), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15886), 1,
      sym_pow_operator,
    ACTIONS(15888), 1,
      sym_mult_operator,
    ACTIONS(15890), 1,
      sym_concat_operator,
    ACTIONS(15892), 1,
      sym_rel_operator,
    ACTIONS(15894), 1,
      sym_and_operator,
    ACTIONS(15896), 1,
      sym_or_operator,
    ACTIONS(15924), 1,
      anon_sym_COMMA,
    ACTIONS(15926), 1,
      sym_assign_operator,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [604521] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15886), 1,
      sym_pow_operator,
    ACTIONS(15888), 1,
      sym_mult_operator,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [604557] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15884), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15886), 1,
      sym_pow_operator,
    ACTIONS(15888), 1,
      sym_mult_operator,
    ACTIONS(15890), 1,
      sym_concat_operator,
    ACTIONS(15892), 1,
      sym_rel_operator,
    ACTIONS(15894), 1,
      sym_and_operator,
    ACTIONS(15896), 1,
      sym_or_operator,
    ACTIONS(15924), 1,
      anon_sym_COMMA,
    ACTIONS(15926), 1,
      sym_assign_operator,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10157), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [604607] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15788), 1,
      anon_sym_and,
    STATE(12497), 1,
      aux_sym_class_definition_repeat1,
    STATE(12547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14576), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [604639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15928), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12548), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(14316), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [604669] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2244), 1,
      sym_add_operator,
    STATE(12549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [604701] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10227), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15931), 1,
      anon_sym_STAR,
    STATE(12550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10225), 13,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [604733] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(15906), 1,
      sym__lowercase_identifier,
    ACTIONS(15908), 1,
      anon_sym_POUND,
    STATE(12551), 1,
      sym_attribute,
    STATE(12756), 1,
      sym_type_constructor_path,
    STATE(16947), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10010), 5,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10012), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [604773] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8304), 1,
      anon_sym_LBRACK,
    ACTIONS(8312), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8316), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15933), 1,
      sym__lowercase_identifier,
    ACTIONS(15935), 1,
      anon_sym_LPAREN,
    ACTIONS(15937), 1,
      anon_sym_LBRACE,
    ACTIONS(15939), 1,
      sym__uppercase_identifier,
    STATE(9506), 1,
      sym__value_name,
    STATE(9585), 1,
      sym_parenthesized_operator,
    STATE(9697), 1,
      sym__constructor_name,
    STATE(12552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9454), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [604821] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2643), 1,
      anon_sym_LBRACK,
    ACTIONS(2653), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2665), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15941), 1,
      sym__lowercase_identifier,
    ACTIONS(15943), 1,
      anon_sym_LPAREN,
    ACTIONS(15945), 1,
      anon_sym_LBRACE,
    ACTIONS(15947), 1,
      sym__uppercase_identifier,
    STATE(6926), 1,
      sym__constructor_name,
    STATE(6986), 1,
      sym__value_name,
    STATE(7122), 1,
      sym_parenthesized_operator,
    STATE(12553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6979), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [604869] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15029), 1,
      sym_pow_operator,
    ACTIONS(15031), 1,
      sym_mult_operator,
    ACTIONS(15033), 1,
      sym_concat_operator,
    ACTIONS(15035), 1,
      sym_rel_operator,
    ACTIONS(15037), 1,
      sym_and_operator,
    ACTIONS(15039), 1,
      sym_or_operator,
    ACTIONS(15041), 1,
      sym_assign_operator,
    STATE(1778), 1,
      sym_add_operator,
    STATE(12554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15949), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [604919] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15858), 1,
      sym_pow_operator,
    ACTIONS(15860), 1,
      sym_mult_operator,
    ACTIONS(15951), 1,
      anon_sym_COMMA,
    ACTIONS(15953), 1,
      sym_concat_operator,
    ACTIONS(15955), 1,
      sym_rel_operator,
    ACTIONS(15957), 1,
      sym_and_operator,
    ACTIONS(15959), 1,
      sym_or_operator,
    ACTIONS(15961), 1,
      sym_assign_operator,
    STATE(1984), 1,
      sym_add_operator,
    STATE(12555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10183), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [604969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11411), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11409), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604999] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_and,
    STATE(12557), 1,
      sym_attribute,
    STATE(12637), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14806), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7793), 2,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15963), 13,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605061] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15965), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [605111] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8964), 1,
      anon_sym_with,
    ACTIONS(15790), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15792), 1,
      sym_pow_operator,
    ACTIONS(15794), 1,
      sym_mult_operator,
    ACTIONS(15842), 1,
      sym_concat_operator,
    ACTIONS(15844), 1,
      sym_rel_operator,
    ACTIONS(15846), 1,
      sym_and_operator,
    ACTIONS(15862), 1,
      anon_sym_COMMA,
    ACTIONS(15864), 1,
      sym_or_operator,
    ACTIONS(15866), 1,
      sym_assign_operator,
    ACTIONS(15967), 1,
      anon_sym_SEMI,
    STATE(2244), 1,
      sym_add_operator,
    STATE(12560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [605163] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6875), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6887), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15969), 1,
      sym__lowercase_identifier,
    ACTIONS(15971), 1,
      anon_sym_LPAREN,
    ACTIONS(15973), 1,
      anon_sym_LBRACE,
    ACTIONS(15975), 1,
      sym__uppercase_identifier,
    STATE(7828), 1,
      sym_parenthesized_operator,
    STATE(7858), 1,
      sym__value_name,
    STATE(7922), 1,
      sym__constructor_name,
    STATE(12561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7721), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [605211] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8964), 1,
      anon_sym_do,
    ACTIONS(15884), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15886), 1,
      sym_pow_operator,
    ACTIONS(15888), 1,
      sym_mult_operator,
    ACTIONS(15890), 1,
      sym_concat_operator,
    ACTIONS(15892), 1,
      sym_rel_operator,
    ACTIONS(15894), 1,
      sym_and_operator,
    ACTIONS(15896), 1,
      sym_or_operator,
    ACTIONS(15924), 1,
      anon_sym_COMMA,
    ACTIONS(15926), 1,
      sym_assign_operator,
    ACTIONS(15977), 1,
      anon_sym_SEMI,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [605263] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15979), 1,
      anon_sym_DQUOTE,
    STATE(12718), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15984), 2,
      sym__null,
      aux_sym_string_content_token2,
    STATE(12563), 2,
      sym_attribute,
      aux_sym_string_content_repeat1,
    ACTIONS(15987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15981), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [605299] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15792), 1,
      sym_pow_operator,
    ACTIONS(15794), 1,
      sym_mult_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(12564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [605335] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13197), 1,
      sym_rel_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15990), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [605385] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15858), 1,
      sym_pow_operator,
    STATE(1984), 1,
      sym_add_operator,
    STATE(12566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [605419] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5613), 1,
      anon_sym_LBRACK,
    ACTIONS(5621), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5625), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15992), 1,
      sym__lowercase_identifier,
    ACTIONS(15994), 1,
      anon_sym_LPAREN,
    ACTIONS(15996), 1,
      anon_sym_LBRACE,
    ACTIONS(15998), 1,
      sym__uppercase_identifier,
    STATE(5846), 1,
      sym__value_name,
    STATE(5858), 1,
      sym_parenthesized_operator,
    STATE(5951), 1,
      sym__constructor_name,
    STATE(12567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5818), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [605467] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16000), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605495] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8964), 1,
      anon_sym_then,
    ACTIONS(15856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15858), 1,
      sym_pow_operator,
    ACTIONS(15860), 1,
      sym_mult_operator,
    ACTIONS(15951), 1,
      anon_sym_COMMA,
    ACTIONS(15953), 1,
      sym_concat_operator,
    ACTIONS(15955), 1,
      sym_rel_operator,
    ACTIONS(15957), 1,
      sym_and_operator,
    ACTIONS(15959), 1,
      sym_or_operator,
    ACTIONS(15961), 1,
      sym_assign_operator,
    ACTIONS(16002), 1,
      anon_sym_SEMI,
    STATE(1984), 1,
      sym_add_operator,
    STATE(12569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [605547] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2799), 1,
      anon_sym_LBRACK,
    ACTIONS(2809), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2821), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16004), 1,
      sym__lowercase_identifier,
    ACTIONS(16006), 1,
      anon_sym_LPAREN,
    ACTIONS(16008), 1,
      anon_sym_LBRACE,
    ACTIONS(16010), 1,
      sym__uppercase_identifier,
    STATE(6872), 1,
      sym__value_name,
    STATE(6907), 1,
      sym_parenthesized_operator,
    STATE(7009), 1,
      sym__constructor_name,
    STATE(12570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6871), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [605595] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(9868), 1,
      anon_sym_let,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15774), 1,
      sym__lowercase_identifier,
    ACTIONS(15776), 1,
      anon_sym_LBRACK,
    STATE(9579), 1,
      sym__simple_class_type,
    STATE(12571), 1,
      sym_attribute,
    STATE(16434), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9533), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [605641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11419), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11417), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [605671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11423), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11421), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [605701] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(1984), 1,
      sym_add_operator,
    STATE(12574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [605733] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7717), 1,
      anon_sym_LBRACK,
    ACTIONS(7725), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7729), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16012), 1,
      sym__lowercase_identifier,
    ACTIONS(16014), 1,
      anon_sym_LPAREN,
    ACTIONS(16016), 1,
      anon_sym_LBRACE,
    ACTIONS(16018), 1,
      sym__uppercase_identifier,
    STATE(8130), 1,
      sym__constructor_name,
    STATE(8991), 1,
      sym__value_name,
    STATE(8998), 1,
      sym_parenthesized_operator,
    STATE(12575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9194), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [605781] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(9868), 1,
      anon_sym_let,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15774), 1,
      sym__lowercase_identifier,
    ACTIONS(15776), 1,
      anon_sym_LBRACK,
    STATE(10350), 1,
      sym__simple_class_type,
    STATE(12576), 1,
      sym_attribute,
    STATE(16434), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9533), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [605827] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_and,
    STATE(12507), 1,
      aux_sym_type_definition_repeat1,
    STATE(12577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14883), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605859] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_and,
    STATE(12578), 1,
      sym_attribute,
    STATE(12631), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14764), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605891] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8936), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11317), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11315), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [605949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11321), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11319), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [605979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11325), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11323), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [606009] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2695), 1,
      anon_sym_LBRACK,
    ACTIONS(2705), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2717), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16020), 1,
      sym__lowercase_identifier,
    ACTIONS(16022), 1,
      anon_sym_LPAREN,
    ACTIONS(16024), 1,
      anon_sym_LBRACE,
    ACTIONS(16026), 1,
      sym__uppercase_identifier,
    STATE(6702), 1,
      sym__value_name,
    STATE(6769), 1,
      sym_parenthesized_operator,
    STATE(6958), 1,
      sym__constructor_name,
    STATE(12583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6701), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [606057] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1121), 1,
      anon_sym_LBRACK,
    ACTIONS(1131), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1143), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16028), 1,
      sym__lowercase_identifier,
    ACTIONS(16030), 1,
      anon_sym_LPAREN,
    ACTIONS(16032), 1,
      anon_sym_LBRACE,
    ACTIONS(16034), 1,
      sym__uppercase_identifier,
    STATE(5281), 1,
      sym_parenthesized_operator,
    STATE(5354), 1,
      sym__value_name,
    STATE(5371), 1,
      sym__constructor_name,
    STATE(12584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5317), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [606105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11329), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11327), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [606135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11333), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11331), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [606165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11337), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11335), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [606195] = 14,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(609), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16036), 1,
      sym__lowercase_identifier,
    ACTIONS(16038), 1,
      anon_sym_LPAREN,
    ACTIONS(16040), 1,
      anon_sym_LBRACE,
    ACTIONS(16042), 1,
      sym__uppercase_identifier,
    STATE(3354), 1,
      sym__constructor_name,
    STATE(3550), 1,
      sym_parenthesized_operator,
    STATE(3688), 1,
      sym__value_name,
    STATE(12588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3622), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [606243] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(9868), 1,
      anon_sym_let,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15774), 1,
      sym__lowercase_identifier,
    ACTIONS(15776), 1,
      anon_sym_LBRACK,
    STATE(10531), 1,
      sym__simple_class_type,
    STATE(12589), 1,
      sym_attribute,
    STATE(16434), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9533), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [606289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11341), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11339), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [606319] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15858), 1,
      sym_pow_operator,
    ACTIONS(15860), 1,
      sym_mult_operator,
    ACTIONS(15953), 1,
      sym_concat_operator,
    STATE(1984), 1,
      sym_add_operator,
    STATE(12591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [606361] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1953), 1,
      anon_sym_LBRACK,
    ACTIONS(1963), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1975), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16044), 1,
      sym__lowercase_identifier,
    ACTIONS(16046), 1,
      anon_sym_LPAREN,
    ACTIONS(16048), 1,
      anon_sym_LBRACE,
    ACTIONS(16050), 1,
      sym__uppercase_identifier,
    STATE(6145), 1,
      sym__value_name,
    STATE(6208), 1,
      sym_parenthesized_operator,
    STATE(6287), 1,
      sym__constructor_name,
    STATE(12592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6114), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [606409] = 14,
    ACTIONS(749), 1,
      anon_sym_LBRACK,
    ACTIONS(759), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(771), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16052), 1,
      sym__lowercase_identifier,
    ACTIONS(16054), 1,
      anon_sym_LPAREN,
    ACTIONS(16056), 1,
      anon_sym_LBRACE,
    ACTIONS(16058), 1,
      sym__uppercase_identifier,
    STATE(3752), 1,
      sym_parenthesized_operator,
    STATE(3899), 1,
      sym__constructor_name,
    STATE(3927), 1,
      sym__value_name,
    STATE(12593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3889), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [606457] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15752), 1,
      sym_pow_operator,
    ACTIONS(15754), 1,
      sym_mult_operator,
    ACTIONS(15756), 1,
      sym_concat_operator,
    ACTIONS(15758), 1,
      sym_rel_operator,
    ACTIONS(15760), 1,
      sym_and_operator,
    ACTIONS(15762), 1,
      sym_or_operator,
    STATE(2327), 1,
      sym_add_operator,
    STATE(12594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [606503] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15858), 1,
      sym_pow_operator,
    ACTIONS(15860), 1,
      sym_mult_operator,
    ACTIONS(15953), 1,
      sym_concat_operator,
    STATE(1984), 1,
      sym_add_operator,
    STATE(12595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [606545] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(9868), 1,
      anon_sym_let,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15774), 1,
      sym__lowercase_identifier,
    ACTIONS(15776), 1,
      anon_sym_LBRACK,
    STATE(10489), 1,
      sym__simple_class_type,
    STATE(12596), 1,
      sym_attribute,
    STATE(16434), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9533), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [606591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8276), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [606621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7872), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [606651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7876), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [606681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7884), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [606711] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15858), 1,
      sym_pow_operator,
    ACTIONS(15860), 1,
      sym_mult_operator,
    ACTIONS(15953), 1,
      sym_concat_operator,
    ACTIONS(15955), 1,
      sym_rel_operator,
    ACTIONS(15957), 1,
      sym_and_operator,
    ACTIONS(15959), 1,
      sym_or_operator,
    STATE(1984), 1,
      sym_add_operator,
    STATE(12601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [606757] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16060), 1,
      sym__lowercase_identifier,
    ACTIONS(16062), 1,
      anon_sym_LPAREN,
    ACTIONS(16064), 1,
      anon_sym_LBRACE,
    ACTIONS(16066), 1,
      sym__uppercase_identifier,
    STATE(6809), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7221), 1,
      sym__value_name,
    STATE(12602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7220), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [606805] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16068), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [606855] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16070), 1,
      anon_sym_DQUOTE,
    STATE(12563), 1,
      aux_sym_string_content_repeat1,
    STATE(12604), 1,
      sym_attribute,
    STATE(12718), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14985), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14987), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14983), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [606893] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15752), 1,
      sym_pow_operator,
    ACTIONS(15754), 1,
      sym_mult_operator,
    STATE(2327), 1,
      sym_add_operator,
    STATE(12605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10203), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10201), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [606933] = 14,
    ACTIONS(863), 1,
      anon_sym_LBRACK,
    ACTIONS(873), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(885), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16072), 1,
      sym__lowercase_identifier,
    ACTIONS(16074), 1,
      anon_sym_LPAREN,
    ACTIONS(16076), 1,
      anon_sym_LBRACE,
    ACTIONS(16078), 1,
      sym__uppercase_identifier,
    STATE(4013), 1,
      sym__value_name,
    STATE(4045), 1,
      sym_parenthesized_operator,
    STATE(4094), 1,
      sym__constructor_name,
    STATE(12606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3975), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [606981] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(15850), 1,
      anon_sym_DASH_GT,
    ACTIONS(16080), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12607), 1,
      sym_attribute,
    STATE(12942), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16082), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607021] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(15850), 1,
      anon_sym_DASH_GT,
    ACTIONS(16084), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12608), 1,
      sym_attribute,
    STATE(12828), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16086), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607061] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8966), 1,
      anon_sym_DASH_GT,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    ACTIONS(16088), 1,
      anon_sym_SEMI,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [607113] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(15850), 1,
      anon_sym_DASH_GT,
    ACTIONS(16090), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12610), 1,
      sym_attribute,
    STATE(12814), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16092), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607153] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16060), 1,
      sym__lowercase_identifier,
    ACTIONS(16064), 1,
      anon_sym_LBRACE,
    ACTIONS(16066), 1,
      sym__uppercase_identifier,
    ACTIONS(16094), 1,
      anon_sym_LPAREN,
    STATE(6809), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7221), 1,
      sym__value_name,
    STATE(12611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7220), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [607201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11353), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11351), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [607231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11357), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11355), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [607261] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15858), 1,
      sym_pow_operator,
    ACTIONS(15860), 1,
      sym_mult_operator,
    ACTIONS(15953), 1,
      sym_concat_operator,
    ACTIONS(15955), 1,
      sym_rel_operator,
    ACTIONS(15957), 1,
      sym_and_operator,
    STATE(1984), 1,
      sym_add_operator,
    STATE(12614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [607307] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16096), 1,
      sym__lowercase_identifier,
    ACTIONS(16098), 1,
      anon_sym_LPAREN,
    ACTIONS(16100), 1,
      anon_sym_LBRACE,
    ACTIONS(16102), 1,
      sym__uppercase_identifier,
    STATE(5137), 1,
      sym__value_name,
    STATE(5160), 1,
      sym_parenthesized_operator,
    STATE(5268), 1,
      sym__constructor_name,
    STATE(12615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5135), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [607355] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2195), 1,
      anon_sym_LBRACK,
    ACTIONS(2205), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2217), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16104), 1,
      sym__lowercase_identifier,
    ACTIONS(16106), 1,
      anon_sym_LPAREN,
    ACTIONS(16108), 1,
      anon_sym_LBRACE,
    ACTIONS(16110), 1,
      sym__uppercase_identifier,
    STATE(6201), 1,
      sym__constructor_name,
    STATE(6547), 1,
      sym__value_name,
    STATE(6684), 1,
      sym_parenthesized_operator,
    STATE(12616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6504), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [607403] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2299), 1,
      anon_sym_LBRACK,
    ACTIONS(2309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2321), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16112), 1,
      sym__lowercase_identifier,
    ACTIONS(16114), 1,
      anon_sym_LPAREN,
    ACTIONS(16116), 1,
      anon_sym_LBRACE,
    ACTIONS(16118), 1,
      sym__uppercase_identifier,
    STATE(6164), 1,
      sym_parenthesized_operator,
    STATE(6241), 1,
      sym__constructor_name,
    STATE(6637), 1,
      sym__value_name,
    STATE(12617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6586), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [607451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11361), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11359), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [607481] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    ACTIONS(2757), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2769), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16120), 1,
      sym__lowercase_identifier,
    ACTIONS(16122), 1,
      anon_sym_LPAREN,
    ACTIONS(16124), 1,
      anon_sym_LBRACE,
    ACTIONS(16126), 1,
      sym__uppercase_identifier,
    STATE(6808), 1,
      sym__value_name,
    STATE(6842), 1,
      sym_parenthesized_operator,
    STATE(6987), 1,
      sym__constructor_name,
    STATE(12619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6807), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [607529] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15788), 1,
      anon_sym_and,
    STATE(12525), 1,
      aux_sym_class_definition_repeat1,
    STATE(12620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14830), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607561] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15752), 1,
      sym_pow_operator,
    STATE(2327), 1,
      sym_add_operator,
    STATE(12621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [607595] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15752), 1,
      sym_pow_operator,
    STATE(2327), 1,
      sym_add_operator,
    STATE(12622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [607629] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15752), 1,
      sym_pow_operator,
    ACTIONS(15754), 1,
      sym_mult_operator,
    ACTIONS(15756), 1,
      sym_concat_operator,
    STATE(2327), 1,
      sym_add_operator,
    STATE(12623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [607671] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15752), 1,
      sym_pow_operator,
    ACTIONS(15754), 1,
      sym_mult_operator,
    ACTIONS(15756), 1,
      sym_concat_operator,
    STATE(2327), 1,
      sym_add_operator,
    STATE(12624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [607713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11365), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11363), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [607743] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      sym_or_operator,
    ACTIONS(15750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15752), 1,
      sym_pow_operator,
    ACTIONS(15754), 1,
      sym_mult_operator,
    ACTIONS(15756), 1,
      sym_concat_operator,
    ACTIONS(15758), 1,
      sym_rel_operator,
    ACTIONS(15760), 1,
      sym_and_operator,
    STATE(2327), 1,
      sym_add_operator,
    STATE(12626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [607789] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8964), 1,
      anon_sym_do,
    ACTIONS(15884), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15886), 1,
      sym_pow_operator,
    ACTIONS(15888), 1,
      sym_mult_operator,
    ACTIONS(15890), 1,
      sym_concat_operator,
    ACTIONS(15892), 1,
      sym_rel_operator,
    ACTIONS(15894), 1,
      sym_and_operator,
    ACTIONS(15896), 1,
      sym_or_operator,
    ACTIONS(15924), 1,
      anon_sym_COMMA,
    ACTIONS(15926), 1,
      sym_assign_operator,
    ACTIONS(16128), 1,
      anon_sym_SEMI,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [607841] = 14,
    ACTIONS(417), 1,
      anon_sym_LBRACK,
    ACTIONS(435), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(447), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16130), 1,
      sym__lowercase_identifier,
    ACTIONS(16132), 1,
      anon_sym_LPAREN,
    ACTIONS(16134), 1,
      anon_sym_LBRACE,
    ACTIONS(16136), 1,
      sym__uppercase_identifier,
    STATE(4398), 1,
      sym_parenthesized_operator,
    STATE(4427), 1,
      sym__value_name,
    STATE(4428), 1,
      sym__constructor_name,
    STATE(12628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4426), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [607889] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9806), 1,
      anon_sym_let,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(15774), 1,
      sym__lowercase_identifier,
    ACTIONS(15776), 1,
      anon_sym_LBRACK,
    STATE(10554), 1,
      sym__simple_class_type,
    STATE(12629), 1,
      sym_attribute,
    STATE(16434), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9533), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [607935] = 14,
    ACTIONS(483), 1,
      anon_sym_LBRACK,
    ACTIONS(493), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(505), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16138), 1,
      sym__lowercase_identifier,
    ACTIONS(16140), 1,
      anon_sym_LPAREN,
    ACTIONS(16142), 1,
      anon_sym_LBRACE,
    ACTIONS(16144), 1,
      sym__uppercase_identifier,
    STATE(3430), 1,
      sym__value_name,
    STATE(3468), 1,
      sym_parenthesized_operator,
    STATE(3541), 1,
      sym__constructor_name,
    STATE(12630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3399), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [607983] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_and,
    STATE(12631), 1,
      sym_attribute,
    STATE(12637), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14795), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608015] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8964), 1,
      anon_sym_end,
    ACTIONS(15746), 1,
      anon_sym_COMMA,
    ACTIONS(15750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15752), 1,
      sym_pow_operator,
    ACTIONS(15754), 1,
      sym_mult_operator,
    ACTIONS(15756), 1,
      sym_concat_operator,
    ACTIONS(15758), 1,
      sym_rel_operator,
    ACTIONS(15760), 1,
      sym_and_operator,
    ACTIONS(15762), 1,
      sym_or_operator,
    ACTIONS(15764), 1,
      sym_assign_operator,
    ACTIONS(16146), 1,
      anon_sym_SEMI,
    STATE(2327), 1,
      sym_add_operator,
    STATE(12632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [608067] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15752), 1,
      sym_pow_operator,
    ACTIONS(15754), 1,
      sym_mult_operator,
    ACTIONS(15756), 1,
      sym_concat_operator,
    ACTIONS(15758), 1,
      sym_rel_operator,
    ACTIONS(15760), 1,
      sym_and_operator,
    ACTIONS(15762), 1,
      sym_or_operator,
    STATE(2327), 1,
      sym_add_operator,
    STATE(12633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [608113] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_LBRACK,
    ACTIONS(7934), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7938), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16064), 1,
      anon_sym_LBRACE,
    ACTIONS(16066), 1,
      sym__uppercase_identifier,
    ACTIONS(16094), 1,
      anon_sym_LPAREN,
    ACTIONS(16148), 1,
      sym__lowercase_identifier,
    STATE(6809), 1,
      sym__constructor_name,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(7221), 1,
      sym__value_name,
    STATE(12634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7220), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [608161] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8390), 1,
      anon_sym_LBRACK,
    ACTIONS(8398), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8402), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16150), 1,
      sym__lowercase_identifier,
    ACTIONS(16152), 1,
      anon_sym_LPAREN,
    ACTIONS(16154), 1,
      anon_sym_LBRACE,
    ACTIONS(16156), 1,
      sym__uppercase_identifier,
    STATE(7183), 1,
      sym__constructor_name,
    STATE(7301), 1,
      sym__value_name,
    STATE(7304), 1,
      sym_parenthesized_operator,
    STATE(12635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7259), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [608209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11391), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11389), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [608239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16158), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12637), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(14284), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608269] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6425), 1,
      anon_sym_LBRACK,
    ACTIONS(6433), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6437), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16161), 1,
      sym__lowercase_identifier,
    ACTIONS(16163), 1,
      anon_sym_LPAREN,
    ACTIONS(16165), 1,
      anon_sym_LBRACE,
    ACTIONS(16167), 1,
      sym__uppercase_identifier,
    STATE(6713), 1,
      sym__constructor_name,
    STATE(7087), 1,
      sym__value_name,
    STATE(7103), 1,
      sym_parenthesized_operator,
    STATE(12638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7146), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [608317] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15746), 1,
      anon_sym_COMMA,
    ACTIONS(15750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15752), 1,
      sym_pow_operator,
    ACTIONS(15754), 1,
      sym_mult_operator,
    ACTIONS(15756), 1,
      sym_concat_operator,
    ACTIONS(15758), 1,
      sym_rel_operator,
    ACTIONS(15760), 1,
      sym_and_operator,
    ACTIONS(15762), 1,
      sym_or_operator,
    ACTIONS(15764), 1,
      sym_assign_operator,
    STATE(2327), 1,
      sym_add_operator,
    STATE(12639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [608367] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15858), 1,
      sym_pow_operator,
    ACTIONS(15860), 1,
      sym_mult_operator,
    ACTIONS(15953), 1,
      sym_concat_operator,
    ACTIONS(15955), 1,
      sym_rel_operator,
    ACTIONS(15957), 1,
      sym_and_operator,
    ACTIONS(15959), 1,
      sym_or_operator,
    STATE(1984), 1,
      sym_add_operator,
    STATE(12640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [608413] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15752), 1,
      sym_pow_operator,
    ACTIONS(15754), 1,
      sym_mult_operator,
    STATE(2327), 1,
      sym_add_operator,
    STATE(12641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [608449] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14873), 1,
      anon_sym_LPAREN,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(14881), 1,
      anon_sym__,
    ACTIONS(14928), 1,
      sym__lowercase_identifier,
    ACTIONS(16169), 1,
      anon_sym_nonrec,
    STATE(12003), 1,
      sym_type_binding,
    STATE(12642), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(14843), 1,
      sym__type_params,
    STATE(17206), 1,
      sym__type_param,
    STATE(17286), 1,
      sym_extended_module_path,
    STATE(19193), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [608503] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15746), 1,
      anon_sym_COMMA,
    ACTIONS(15750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15752), 1,
      sym_pow_operator,
    ACTIONS(15754), 1,
      sym_mult_operator,
    ACTIONS(15756), 1,
      sym_concat_operator,
    ACTIONS(15758), 1,
      sym_rel_operator,
    ACTIONS(15760), 1,
      sym_and_operator,
    ACTIONS(15762), 1,
      sym_or_operator,
    ACTIONS(15764), 1,
      sym_assign_operator,
    STATE(2327), 1,
      sym_add_operator,
    STATE(12643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10157), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [608553] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(15850), 1,
      anon_sym_DASH_GT,
    ACTIONS(16171), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12644), 1,
      sym_attribute,
    STATE(12957), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16173), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608593] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1407), 1,
      anon_sym_LBRACK,
    ACTIONS(1417), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1429), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16175), 1,
      sym__lowercase_identifier,
    ACTIONS(16177), 1,
      anon_sym_LPAREN,
    ACTIONS(16179), 1,
      anon_sym_LBRACE,
    ACTIONS(16181), 1,
      sym__uppercase_identifier,
    STATE(5911), 1,
      sym__value_name,
    STATE(5936), 1,
      sym_parenthesized_operator,
    STATE(5970), 1,
      sym__constructor_name,
    STATE(12645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5886), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [608641] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8964), 1,
      anon_sym_then,
    ACTIONS(15856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15858), 1,
      sym_pow_operator,
    ACTIONS(15860), 1,
      sym_mult_operator,
    ACTIONS(15951), 1,
      anon_sym_COMMA,
    ACTIONS(15953), 1,
      sym_concat_operator,
    ACTIONS(15955), 1,
      sym_rel_operator,
    ACTIONS(15957), 1,
      sym_and_operator,
    ACTIONS(15959), 1,
      sym_or_operator,
    ACTIONS(15961), 1,
      sym_assign_operator,
    ACTIONS(16183), 1,
      anon_sym_SEMI,
    STATE(1984), 1,
      sym_add_operator,
    STATE(12646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [608693] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15858), 1,
      sym_pow_operator,
    ACTIONS(15860), 1,
      sym_mult_operator,
    ACTIONS(15951), 1,
      anon_sym_COMMA,
    ACTIONS(15953), 1,
      sym_concat_operator,
    ACTIONS(15955), 1,
      sym_rel_operator,
    ACTIONS(15957), 1,
      sym_and_operator,
    ACTIONS(15959), 1,
      sym_or_operator,
    ACTIONS(15961), 1,
      sym_assign_operator,
    STATE(1984), 1,
      sym_add_operator,
    STATE(12647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [608743] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9806), 1,
      anon_sym_let,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(15774), 1,
      sym__lowercase_identifier,
    ACTIONS(15776), 1,
      anon_sym_LBRACK,
    STATE(10489), 1,
      sym__simple_class_type,
    STATE(12648), 1,
      sym_attribute,
    STATE(16434), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9533), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [608789] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_and,
    STATE(12557), 1,
      aux_sym_type_definition_repeat1,
    STATE(12649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14795), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608821] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1173), 1,
      anon_sym_LBRACK,
    ACTIONS(1183), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1199), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16185), 1,
      sym__lowercase_identifier,
    ACTIONS(16187), 1,
      anon_sym_LPAREN,
    ACTIONS(16189), 1,
      anon_sym_LBRACE,
    ACTIONS(16191), 1,
      sym__uppercase_identifier,
    STATE(4959), 1,
      sym__value_name,
    STATE(5018), 1,
      sym_parenthesized_operator,
    STATE(5068), 1,
      sym__constructor_name,
    STATE(12650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5033), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [608869] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15858), 1,
      sym_pow_operator,
    ACTIONS(15860), 1,
      sym_mult_operator,
    STATE(1984), 1,
      sym_add_operator,
    STATE(12651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [608905] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2577), 1,
      anon_sym_LBRACK,
    ACTIONS(2587), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2599), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16193), 1,
      sym__lowercase_identifier,
    ACTIONS(16195), 1,
      anon_sym_LPAREN,
    ACTIONS(16197), 1,
      anon_sym_LBRACE,
    ACTIONS(16199), 1,
      sym__uppercase_identifier,
    STATE(6947), 1,
      sym__constructor_name,
    STATE(7053), 1,
      sym__value_name,
    STATE(7084), 1,
      sym_parenthesized_operator,
    STATE(12652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7030), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [608953] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15858), 1,
      sym_pow_operator,
    ACTIONS(15860), 1,
      sym_mult_operator,
    ACTIONS(15951), 1,
      anon_sym_COMMA,
    ACTIONS(15953), 1,
      sym_concat_operator,
    ACTIONS(15955), 1,
      sym_rel_operator,
    ACTIONS(15957), 1,
      sym_and_operator,
    ACTIONS(15959), 1,
      sym_or_operator,
    ACTIONS(15961), 1,
      sym_assign_operator,
    STATE(1984), 1,
      sym_add_operator,
    STATE(12653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10157), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [609003] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13191), 1,
      sym_pow_operator,
    ACTIONS(13193), 1,
      sym_mult_operator,
    ACTIONS(13195), 1,
      sym_concat_operator,
    ACTIONS(13199), 1,
      sym_and_operator,
    ACTIONS(13201), 1,
      sym_or_operator,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13227), 1,
      sym_assign_operator,
    ACTIONS(14261), 1,
      sym_rel_operator,
    STATE(1870), 1,
      sym_add_operator,
    STATE(12654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15949), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [609053] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(9868), 1,
      anon_sym_let,
    ACTIONS(13168), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13170), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15774), 1,
      sym__lowercase_identifier,
    ACTIONS(15776), 1,
      anon_sym_LBRACK,
    STATE(10554), 1,
      sym__simple_class_type,
    STATE(12655), 1,
      sym_attribute,
    STATE(16434), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9533), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [609099] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9806), 1,
      anon_sym_let,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(15774), 1,
      sym__lowercase_identifier,
    ACTIONS(15776), 1,
      anon_sym_LBRACK,
    STATE(10427), 1,
      sym__simple_class_type,
    STATE(12656), 1,
      sym_attribute,
    STATE(16434), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9533), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [609145] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8350), 1,
      anon_sym_LBRACK,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8362), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16201), 1,
      sym__lowercase_identifier,
    ACTIONS(16203), 1,
      anon_sym_LPAREN,
    ACTIONS(16205), 1,
      anon_sym_LBRACE,
    ACTIONS(16207), 1,
      sym__uppercase_identifier,
    STATE(7347), 1,
      sym__constructor_name,
    STATE(7417), 1,
      sym_parenthesized_operator,
    STATE(7481), 1,
      sym__value_name,
    STATE(12657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7592), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [609193] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15790), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15792), 1,
      sym_pow_operator,
    ACTIONS(15794), 1,
      sym_mult_operator,
    ACTIONS(15842), 1,
      sym_concat_operator,
    ACTIONS(15844), 1,
      sym_rel_operator,
    ACTIONS(15846), 1,
      sym_and_operator,
    ACTIONS(15864), 1,
      sym_or_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(12658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [609239] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15790), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15792), 1,
      sym_pow_operator,
    ACTIONS(15794), 1,
      sym_mult_operator,
    ACTIONS(15842), 1,
      sym_concat_operator,
    ACTIONS(15844), 1,
      sym_rel_operator,
    ACTIONS(15846), 1,
      sym_and_operator,
    ACTIONS(15864), 1,
      sym_or_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(12659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [609285] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1515), 1,
      anon_sym_LBRACK,
    ACTIONS(1525), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1537), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16209), 1,
      sym__lowercase_identifier,
    ACTIONS(16211), 1,
      anon_sym_LPAREN,
    ACTIONS(16213), 1,
      anon_sym_LBRACE,
    ACTIONS(16215), 1,
      sym__uppercase_identifier,
    STATE(6269), 1,
      sym__constructor_name,
    STATE(6450), 1,
      sym__value_name,
    STATE(6474), 1,
      sym_parenthesized_operator,
    STATE(12660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6426), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [609333] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14871), 1,
      sym__lowercase_identifier,
    ACTIONS(14873), 1,
      anon_sym_LPAREN,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(14881), 1,
      anon_sym__,
    ACTIONS(16217), 1,
      anon_sym_nonrec,
    STATE(11975), 1,
      sym_type_binding,
    STATE(12661), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(14596), 1,
      sym__type_params,
    STATE(17206), 1,
      sym__type_param,
    STATE(17286), 1,
      sym_extended_module_path,
    STATE(19040), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [609387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9066), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [609417] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(9806), 1,
      anon_sym_let,
    ACTIONS(9812), 1,
      anon_sym_object,
    ACTIONS(15774), 1,
      sym__lowercase_identifier,
    ACTIONS(15776), 1,
      anon_sym_LBRACK,
    STATE(10350), 1,
      sym__simple_class_type,
    STATE(12663), 1,
      sym_attribute,
    STATE(16434), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9533), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [609463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9058), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [609493] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14873), 1,
      anon_sym_LPAREN,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(14881), 1,
      anon_sym__,
    ACTIONS(14945), 1,
      sym__lowercase_identifier,
    ACTIONS(16219), 1,
      anon_sym_nonrec,
    STATE(12338), 1,
      sym_type_binding,
    STATE(12665), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(14700), 1,
      sym__type_params,
    STATE(17206), 1,
      sym__type_param,
    STATE(17286), 1,
      sym_extended_module_path,
    STATE(19842), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [609547] = 14,
    ACTIONS(47), 1,
      anon_sym_LBRACK,
    ACTIONS(71), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(91), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16221), 1,
      sym__lowercase_identifier,
    ACTIONS(16223), 1,
      anon_sym_LPAREN,
    ACTIONS(16225), 1,
      anon_sym_LBRACE,
    ACTIONS(16227), 1,
      sym__uppercase_identifier,
    STATE(4212), 1,
      sym_parenthesized_operator,
    STATE(4228), 1,
      sym__value_name,
    STATE(4229), 1,
      sym__constructor_name,
    STATE(12666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4227), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [609595] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15884), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15886), 1,
      sym_pow_operator,
    ACTIONS(15888), 1,
      sym_mult_operator,
    ACTIONS(15890), 1,
      sym_concat_operator,
    ACTIONS(15892), 1,
      sym_rel_operator,
    ACTIONS(15894), 1,
      sym_and_operator,
    ACTIONS(15896), 1,
      sym_or_operator,
    ACTIONS(15924), 1,
      anon_sym_COMMA,
    ACTIONS(15926), 1,
      sym_assign_operator,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10183), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [609645] = 14,
    ACTIONS(919), 1,
      anon_sym_LBRACK,
    ACTIONS(929), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(949), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16229), 1,
      sym__lowercase_identifier,
    ACTIONS(16231), 1,
      anon_sym_LPAREN,
    ACTIONS(16233), 1,
      anon_sym_LBRACE,
    ACTIONS(16235), 1,
      sym__uppercase_identifier,
    STATE(4800), 1,
      sym__value_name,
    STATE(4835), 1,
      sym__constructor_name,
    STATE(4842), 1,
      sym_parenthesized_operator,
    STATE(12668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4765), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [609693] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15790), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15792), 1,
      sym_pow_operator,
    ACTIONS(15794), 1,
      sym_mult_operator,
    ACTIONS(15842), 1,
      sym_concat_operator,
    ACTIONS(15844), 1,
      sym_rel_operator,
    ACTIONS(15846), 1,
      sym_and_operator,
    ACTIONS(15862), 1,
      anon_sym_COMMA,
    ACTIONS(15864), 1,
      sym_or_operator,
    ACTIONS(15866), 1,
      sym_assign_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(12669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [609743] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15746), 1,
      anon_sym_COMMA,
    ACTIONS(15750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15752), 1,
      sym_pow_operator,
    ACTIONS(15754), 1,
      sym_mult_operator,
    ACTIONS(15756), 1,
      sym_concat_operator,
    ACTIONS(15758), 1,
      sym_rel_operator,
    ACTIONS(15760), 1,
      sym_and_operator,
    ACTIONS(15762), 1,
      sym_or_operator,
    ACTIONS(15764), 1,
      sym_assign_operator,
    STATE(2327), 1,
      sym_add_operator,
    STATE(12670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10183), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [609793] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(15906), 1,
      sym__lowercase_identifier,
    ACTIONS(16237), 1,
      anon_sym_POUND,
    STATE(12671), 1,
      sym_attribute,
    STATE(12783), 1,
      sym_type_constructor_path,
    STATE(16947), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11002), 5,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11004), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [609833] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15744), 1,
      anon_sym_and,
    STATE(12672), 1,
      sym_attribute,
    STATE(12674), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14887), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609865] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15744), 1,
      anon_sym_and,
    STATE(12673), 1,
      sym_attribute,
    STATE(12674), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14893), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16239), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12674), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(14093), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609927] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15744), 1,
      anon_sym_and,
    STATE(12675), 1,
      sym_attribute,
    STATE(12676), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14893), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609959] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15744), 1,
      anon_sym_and,
    STATE(12674), 1,
      aux_sym_module_definition_repeat1,
    STATE(12676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14914), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609991] = 14,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    ACTIONS(821), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(833), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16242), 1,
      sym__lowercase_identifier,
    ACTIONS(16244), 1,
      anon_sym_LPAREN,
    ACTIONS(16246), 1,
      anon_sym_LBRACE,
    ACTIONS(16248), 1,
      sym__uppercase_identifier,
    STATE(4003), 1,
      sym_parenthesized_operator,
    STATE(4064), 1,
      sym__constructor_name,
    STATE(4150), 1,
      sym__value_name,
    STATE(12677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4117), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [610039] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10971), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610067] = 14,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(327), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16250), 1,
      sym__lowercase_identifier,
    ACTIONS(16252), 1,
      anon_sym_LPAREN,
    ACTIONS(16254), 1,
      anon_sym_LBRACE,
    ACTIONS(16256), 1,
      sym__uppercase_identifier,
    STATE(3071), 1,
      sym__constructor_name,
    STATE(3179), 1,
      sym__value_name,
    STATE(3259), 1,
      sym_parenthesized_operator,
    STATE(12679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3138), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [610115] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15792), 1,
      sym_pow_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(12680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10091), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [610149] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15790), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15792), 1,
      sym_pow_operator,
    ACTIONS(15794), 1,
      sym_mult_operator,
    ACTIONS(15842), 1,
      sym_concat_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(12681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [610191] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8964), 1,
      anon_sym_done,
    ACTIONS(15078), 1,
      anon_sym_COMMA,
    ACTIONS(15082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15084), 1,
      sym_pow_operator,
    ACTIONS(15086), 1,
      sym_mult_operator,
    ACTIONS(15088), 1,
      sym_concat_operator,
    ACTIONS(15090), 1,
      sym_rel_operator,
    ACTIONS(15092), 1,
      sym_and_operator,
    ACTIONS(15094), 1,
      sym_or_operator,
    ACTIONS(15096), 1,
      sym_assign_operator,
    ACTIONS(16258), 1,
      anon_sym_SEMI,
    STATE(2138), 1,
      sym_add_operator,
    STATE(12682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10097), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [610243] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15744), 1,
      anon_sym_and,
    STATE(12672), 1,
      aux_sym_module_definition_repeat1,
    STATE(12683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14972), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610275] = 14,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(649), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(661), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16260), 1,
      sym__lowercase_identifier,
    ACTIONS(16262), 1,
      anon_sym_LPAREN,
    ACTIONS(16264), 1,
      anon_sym_LBRACE,
    ACTIONS(16266), 1,
      sym__uppercase_identifier,
    STATE(3328), 1,
      sym__value_name,
    STATE(3373), 1,
      sym__constructor_name,
    STATE(3631), 1,
      sym_parenthesized_operator,
    STATE(12684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3686), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [610323] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16268), 1,
      anon_sym_COLON_GT,
    ACTIONS(16270), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12685), 1,
      sym_attribute,
    STATE(12916), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16272), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610360] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14873), 1,
      anon_sym_LPAREN,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(14881), 1,
      anon_sym__,
    ACTIONS(14936), 1,
      sym__lowercase_identifier,
    STATE(12578), 1,
      sym_type_binding,
    STATE(12686), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(14259), 1,
      sym__type_params,
    STATE(17206), 1,
      sym__type_param,
    STATE(17286), 1,
      sym_extended_module_path,
    STATE(20079), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [610411] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8444), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8446), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15130), 1,
      anon_sym_LPAREN,
    ACTIONS(16274), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12687), 1,
      sym_attribute,
    STATE(13068), 1,
      sym__simple_module_expression,
    STATE(14082), 1,
      aux_sym_expression_item_repeat1,
    STATE(16070), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10998), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(13062), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [610454] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(15850), 1,
      anon_sym_DASH_GT,
    ACTIONS(16278), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16276), 11,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610487] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14873), 1,
      anon_sym_LPAREN,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(14881), 1,
      anon_sym__,
    ACTIONS(14945), 1,
      sym__lowercase_identifier,
    STATE(12123), 1,
      sym_type_binding,
    STATE(12689), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(14700), 1,
      sym__type_params,
    STATE(17206), 1,
      sym__type_param,
    STATE(17286), 1,
      sym_extended_module_path,
    STATE(19842), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [610538] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14871), 1,
      sym__lowercase_identifier,
    ACTIONS(14873), 1,
      anon_sym_LPAREN,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(14881), 1,
      anon_sym__,
    STATE(11535), 1,
      sym_type_binding,
    STATE(12690), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(14596), 1,
      sym__type_params,
    STATE(17206), 1,
      sym__type_param,
    STATE(17286), 1,
      sym_extended_module_path,
    STATE(19040), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [610589] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14871), 1,
      sym__lowercase_identifier,
    ACTIONS(14873), 1,
      anon_sym_LPAREN,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(14881), 1,
      anon_sym__,
    STATE(11975), 1,
      sym_type_binding,
    STATE(12691), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(14596), 1,
      sym__type_params,
    STATE(17206), 1,
      sym__type_param,
    STATE(17286), 1,
      sym_extended_module_path,
    STATE(19040), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [610640] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8444), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8446), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15130), 1,
      anon_sym_LPAREN,
    ACTIONS(16274), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12692), 1,
      sym_attribute,
    STATE(13068), 1,
      sym__simple_module_expression,
    STATE(14143), 1,
      aux_sym_expression_item_repeat1,
    STATE(16070), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(13062), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [610683] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14871), 1,
      sym__lowercase_identifier,
    ACTIONS(14873), 1,
      anon_sym_LPAREN,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(14881), 1,
      anon_sym__,
    STATE(11886), 1,
      sym_type_binding,
    STATE(12693), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(14596), 1,
      sym__type_params,
    STATE(17206), 1,
      sym__type_param,
    STATE(17286), 1,
      sym_extended_module_path,
    STATE(19040), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [610734] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14873), 1,
      anon_sym_LPAREN,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(14881), 1,
      anon_sym__,
    ACTIONS(14936), 1,
      sym__lowercase_identifier,
    STATE(11535), 1,
      sym_type_binding,
    STATE(12694), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(14259), 1,
      sym__type_params,
    STATE(17206), 1,
      sym__type_param,
    STATE(17286), 1,
      sym_extended_module_path,
    STATE(20079), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [610785] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14873), 1,
      anon_sym_LPAREN,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(14881), 1,
      anon_sym__,
    ACTIONS(14945), 1,
      sym__lowercase_identifier,
    STATE(12338), 1,
      sym_type_binding,
    STATE(12695), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(14700), 1,
      sym__type_params,
    STATE(17206), 1,
      sym__type_param,
    STATE(17286), 1,
      sym_extended_module_path,
    STATE(19842), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [610836] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12213), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15850), 1,
      anon_sym_DASH_GT,
    STATE(12696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12211), 12,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610867] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7956), 1,
      anon_sym_COLON2,
    STATE(12697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 13,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [610896] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11173), 1,
      anon_sym_COLON2,
    STATE(12698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9060), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [610927] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(15850), 1,
      anon_sym_DASH_GT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12699), 1,
      sym_attribute,
    STATE(12810), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16280), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610964] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14873), 1,
      anon_sym_LPAREN,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(14881), 1,
      anon_sym__,
    ACTIONS(14928), 1,
      sym__lowercase_identifier,
    STATE(11535), 1,
      sym_type_binding,
    STATE(12700), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(14843), 1,
      sym__type_params,
    STATE(17206), 1,
      sym__type_param,
    STATE(17286), 1,
      sym_extended_module_path,
    STATE(19193), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [611015] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14873), 1,
      anon_sym_LPAREN,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(14881), 1,
      anon_sym__,
    ACTIONS(14928), 1,
      sym__lowercase_identifier,
    STATE(12049), 1,
      sym_type_binding,
    STATE(12701), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(14843), 1,
      sym__type_params,
    STATE(17206), 1,
      sym__type_param,
    STATE(17286), 1,
      sym_extended_module_path,
    STATE(19193), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [611066] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16282), 1,
      anon_sym_COLON_GT,
    ACTIONS(16284), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12702), 1,
      sym_attribute,
    STATE(12971), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16286), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611103] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8444), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8446), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15130), 1,
      anon_sym_LPAREN,
    ACTIONS(16274), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12703), 1,
      sym_attribute,
    STATE(13068), 1,
      sym__simple_module_expression,
    STATE(14032), 1,
      aux_sym_expression_item_repeat1,
    STATE(16070), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11028), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(13062), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611146] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16288), 1,
      anon_sym_COLON_GT,
    ACTIONS(16290), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12704), 1,
      sym_attribute,
    STATE(12811), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16292), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611183] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14873), 1,
      anon_sym_LPAREN,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(14881), 1,
      anon_sym__,
    ACTIONS(14936), 1,
      sym__lowercase_identifier,
    STATE(12649), 1,
      sym_type_binding,
    STATE(12705), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(14259), 1,
      sym__type_params,
    STATE(17206), 1,
      sym__type_param,
    STATE(17286), 1,
      sym_extended_module_path,
    STATE(20079), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [611234] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14873), 1,
      anon_sym_LPAREN,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(14881), 1,
      anon_sym__,
    ACTIONS(14945), 1,
      sym__lowercase_identifier,
    STATE(11535), 1,
      sym_type_binding,
    STATE(12706), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(14700), 1,
      sym__type_params,
    STATE(17206), 1,
      sym__type_param,
    STATE(17286), 1,
      sym_extended_module_path,
    STATE(19842), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [611285] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14873), 1,
      anon_sym_LPAREN,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(14881), 1,
      anon_sym__,
    ACTIONS(14928), 1,
      sym__lowercase_identifier,
    STATE(12003), 1,
      sym_type_binding,
    STATE(12707), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(14843), 1,
      sym__type_params,
    STATE(17206), 1,
      sym__type_param,
    STATE(17286), 1,
      sym_extended_module_path,
    STATE(19193), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [611336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8278), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [611364] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7517), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12709), 1,
      sym_attribute,
    STATE(12949), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7521), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11355), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11357), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [611426] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12262), 1,
      sym__lowercase_identifier,
    ACTIONS(14873), 1,
      anon_sym_LPAREN,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(14881), 1,
      anon_sym__,
    STATE(12711), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(14739), 1,
      sym__type_params,
    STATE(16167), 1,
      sym_type_constructor_path,
    STATE(17206), 1,
      sym__type_param,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [611474] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8956), 1,
      anon_sym_COLON2,
    STATE(12712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8958), 12,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [611502] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8444), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8446), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11163), 1,
      anon_sym_in,
    ACTIONS(15130), 1,
      anon_sym_LPAREN,
    ACTIONS(16274), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12713), 1,
      sym_attribute,
    STATE(13068), 1,
      sym__simple_module_expression,
    STATE(14697), 1,
      aux_sym_expression_item_repeat1,
    STATE(16070), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13062), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11359), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11361), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [611572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(7874), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [611600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(7878), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [611628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(7886), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [611656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16296), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16294), 11,
      anon_sym_DQUOTE,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [611684] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12262), 1,
      sym__lowercase_identifier,
    ACTIONS(14873), 1,
      anon_sym_LPAREN,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(14881), 1,
      anon_sym__,
    STATE(12719), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(14751), 1,
      sym__type_params,
    STATE(15729), 1,
      sym_type_constructor_path,
    STATE(17206), 1,
      sym__type_param,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [611732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11363), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11365), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [611760] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8444), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8446), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11123), 1,
      anon_sym_in,
    ACTIONS(15130), 1,
      anon_sym_LPAREN,
    ACTIONS(16274), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12721), 1,
      sym_attribute,
    STATE(13068), 1,
      sym__simple_module_expression,
    STATE(14591), 1,
      aux_sym_expression_item_repeat1,
    STATE(16070), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13062), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611802] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16298), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12722), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16300), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611836] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7063), 1,
      anon_sym_COLON2,
    ACTIONS(16302), 1,
      anon_sym_DOT_DOT,
    STATE(12723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7059), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [611866] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9258), 1,
      anon_sym_PIPE,
    ACTIONS(9392), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12145), 1,
      anon_sym_LPAREN,
    ACTIONS(12147), 1,
      anon_sym_LBRACK,
    ACTIONS(16304), 1,
      anon_sym_private,
    ACTIONS(16306), 1,
      anon_sym_LBRACE,
    STATE(10731), 1,
      sym__constructor_name,
    STATE(11356), 1,
      sym_constructor_declaration,
    STATE(12724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12149), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10645), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [611912] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8444), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8446), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11119), 1,
      anon_sym_in,
    ACTIONS(15130), 1,
      anon_sym_LPAREN,
    ACTIONS(16274), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12725), 1,
      sym_attribute,
    STATE(13068), 1,
      sym__simple_module_expression,
    STATE(14387), 1,
      aux_sym_expression_item_repeat1,
    STATE(16070), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13062), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611954] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(16308), 1,
      anon_sym_DASH_GT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12726), 1,
      sym_attribute,
    STATE(12810), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16280), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611990] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16312), 1,
      anon_sym_as,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12727), 1,
      sym_attribute,
    STATE(12943), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16310), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [612024] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9222), 1,
      anon_sym_PIPE,
    ACTIONS(9382), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11968), 1,
      anon_sym_LPAREN,
    ACTIONS(11970), 1,
      anon_sym_LBRACK,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(16306), 1,
      anon_sym_LBRACE,
    ACTIONS(16314), 1,
      anon_sym_private,
    STATE(10268), 1,
      sym__constructor_name,
    STATE(11023), 1,
      sym_constructor_declaration,
    STATE(12728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11972), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10458), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [612070] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9324), 1,
      anon_sym_PIPE,
    ACTIONS(9388), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12337), 1,
      anon_sym_LPAREN,
    ACTIONS(12339), 1,
      anon_sym_LBRACK,
    ACTIONS(16306), 1,
      anon_sym_LBRACE,
    ACTIONS(16316), 1,
      anon_sym_private,
    STATE(10974), 1,
      sym__constructor_name,
    STATE(11719), 1,
      sym_constructor_declaration,
    STATE(12729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12341), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11042), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [612116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11315), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11317), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [612144] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(14633), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15850), 1,
      anon_sym_DASH_GT,
    STATE(12731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14629), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [612176] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12262), 1,
      sym__lowercase_identifier,
    ACTIONS(14873), 1,
      anon_sym_LPAREN,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(14881), 1,
      anon_sym__,
    STATE(12732), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(14684), 1,
      sym__type_params,
    STATE(15525), 1,
      sym_type_constructor_path,
    STATE(17206), 1,
      sym__type_param,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [612224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11319), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11321), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [612252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(7886), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [612280] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8944), 1,
      anon_sym_COLON2,
    STATE(12735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8946), 12,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [612308] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16318), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12736), 1,
      sym_attribute,
    STATE(12861), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16320), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [612342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10862), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [612370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11323), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11325), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [612398] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12262), 1,
      sym__lowercase_identifier,
    ACTIONS(14873), 1,
      anon_sym_LPAREN,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(14881), 1,
      anon_sym__,
    STATE(12739), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(14655), 1,
      sym__type_params,
    STATE(15901), 1,
      sym_type_constructor_path,
    STATE(17206), 1,
      sym__type_param,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [612446] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(16322), 1,
      sym__lowercase_identifier,
    ACTIONS(16324), 1,
      anon_sym_POUND,
    STATE(12740), 1,
      sym_attribute,
    STATE(13047), 1,
      sym_type_constructor_path,
    STATE(16880), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    ACTIONS(10986), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [612484] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9324), 1,
      anon_sym_PIPE,
    ACTIONS(9390), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12337), 1,
      anon_sym_LPAREN,
    ACTIONS(12339), 1,
      anon_sym_LBRACK,
    ACTIONS(16306), 1,
      anon_sym_LBRACE,
    ACTIONS(16326), 1,
      anon_sym_private,
    STATE(10974), 1,
      sym__constructor_name,
    STATE(11719), 1,
      sym_constructor_declaration,
    STATE(12741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12341), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11049), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [612530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11339), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11341), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [612558] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7549), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12743), 1,
      sym_attribute,
    STATE(12827), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7553), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [612592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11327), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11329), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [612620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11331), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11333), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [612648] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(12584), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15850), 1,
      anon_sym_DASH_GT,
    STATE(12746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12582), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [612680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11335), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11337), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [612708] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12262), 1,
      sym__lowercase_identifier,
    ACTIONS(14873), 1,
      anon_sym_LPAREN,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(14881), 1,
      anon_sym__,
    STATE(12748), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(14722), 1,
      sym__type_params,
    STATE(15915), 1,
      sym_type_constructor_path,
    STATE(17206), 1,
      sym__type_param,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [612756] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9258), 1,
      anon_sym_PIPE,
    ACTIONS(9404), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12145), 1,
      anon_sym_LPAREN,
    ACTIONS(12147), 1,
      anon_sym_LBRACK,
    ACTIONS(16306), 1,
      anon_sym_LBRACE,
    ACTIONS(16328), 1,
      anon_sym_private,
    STATE(10731), 1,
      sym__constructor_name,
    STATE(11356), 1,
      sym_constructor_declaration,
    STATE(12749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12149), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10590), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [612802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9068), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [612830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11405), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11407), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [612858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11411), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [612886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11295), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11297), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [612914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11287), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11289), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [612942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11419), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [612970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11421), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11423), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [612998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11389), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11391), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [613026] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9222), 1,
      anon_sym_PIPE,
    ACTIONS(9380), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11968), 1,
      anon_sym_LPAREN,
    ACTIONS(11970), 1,
      anon_sym_LBRACK,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(16306), 1,
      anon_sym_LBRACE,
    ACTIONS(16330), 1,
      anon_sym_private,
    STATE(10268), 1,
      sym__constructor_name,
    STATE(11023), 1,
      sym_constructor_declaration,
    STATE(12758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11972), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10451), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [613072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11291), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11293), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [613100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(7874), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [613128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(7878), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [613156] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(14637), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15850), 1,
      anon_sym_DASH_GT,
    STATE(12762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14635), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11351), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11353), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [613216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9068), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [613244] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(16322), 1,
      sym__lowercase_identifier,
    ACTIONS(16324), 1,
      anon_sym_POUND,
    STATE(12765), 1,
      sym_attribute,
    STATE(13047), 1,
      sym_type_constructor_path,
    STATE(16880), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10010), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    ACTIONS(10012), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [613282] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12262), 1,
      sym__lowercase_identifier,
    ACTIONS(14873), 1,
      anon_sym_LPAREN,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(14881), 1,
      anon_sym__,
    STATE(12766), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(14756), 1,
      sym__type_params,
    STATE(15668), 1,
      sym_type_constructor_path,
    STATE(17206), 1,
      sym__type_param,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [613330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9060), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [613358] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16334), 1,
      anon_sym_as,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12768), 1,
      sym_attribute,
    STATE(12906), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16332), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613392] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11339), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11739), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11341), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [613422] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9292), 1,
      anon_sym_PIPE,
    ACTIONS(9384), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12039), 1,
      anon_sym_LPAREN,
    ACTIONS(12041), 1,
      anon_sym_LBRACK,
    ACTIONS(16306), 1,
      anon_sym_LBRACE,
    ACTIONS(16336), 1,
      anon_sym_private,
    STATE(10289), 1,
      sym__constructor_name,
    STATE(11039), 1,
      sym_constructor_declaration,
    STATE(12770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12043), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10472), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [613468] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9292), 1,
      anon_sym_PIPE,
    ACTIONS(9386), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12039), 1,
      anon_sym_LPAREN,
    ACTIONS(12041), 1,
      anon_sym_LBRACK,
    ACTIONS(16306), 1,
      anon_sym_LBRACE,
    ACTIONS(16338), 1,
      anon_sym_private,
    STATE(10289), 1,
      sym__constructor_name,
    STATE(11039), 1,
      sym_constructor_declaration,
    STATE(12771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12043), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10478), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [613514] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10010), 13,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [613540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16342), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16340), 11,
      anon_sym_DQUOTE,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [613568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11249), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11251), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [613596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11253), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11255), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [613624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11257), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11259), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [613652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11261), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11263), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [613680] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(16322), 1,
      sym__lowercase_identifier,
    ACTIONS(16344), 1,
      anon_sym_POUND,
    STATE(12778), 1,
      sym_attribute,
    STATE(13048), 1,
      sym_type_constructor_path,
    STATE(16880), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11002), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    ACTIONS(11004), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [613718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9060), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [613746] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16346), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12780), 1,
      sym_attribute,
    STATE(12859), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16348), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8278), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [613808] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11279), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11281), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [613836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11283), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11285), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [613864] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7555), 1,
      anon_sym_EQ,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12784), 1,
      sym_attribute,
    STATE(12981), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7559), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613898] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16350), 1,
      anon_sym_RPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12785), 1,
      sym_attribute,
    STATE(18492), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613937] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16354), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613968] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16274), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16358), 1,
      anon_sym_LPAREN,
    ACTIONS(16360), 1,
      anon_sym_COLON2,
    STATE(12787), 1,
      sym_attribute,
    STATE(12885), 1,
      aux_sym_module_binding_repeat1,
    STATE(13448), 1,
      sym_module_parameter,
    STATE(13580), 1,
      sym__module_typed,
    STATE(14103), 1,
      aux_sym_expression_item_repeat1,
    STATE(16070), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11721), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(16356), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [614011] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16362), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12788), 1,
      sym_attribute,
    STATE(18439), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614050] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9222), 1,
      anon_sym_PIPE,
    ACTIONS(11968), 1,
      anon_sym_LPAREN,
    ACTIONS(11970), 1,
      anon_sym_LBRACK,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(16306), 1,
      anon_sym_LBRACE,
    ACTIONS(16364), 1,
      anon_sym_DOT_DOT,
    STATE(10268), 1,
      sym__constructor_name,
    STATE(11023), 1,
      sym_constructor_declaration,
    STATE(12789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11972), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10457), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [614093] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16366), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12790), 1,
      sym_attribute,
    STATE(18218), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614132] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9102), 1,
      anon_sym_COLON2,
    STATE(12791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [614159] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16368), 1,
      aux_sym_attribute_id_token1,
    STATE(12792), 1,
      sym_attribute,
    STATE(12944), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8779), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614188] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16370), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12793), 1,
      sym_attribute,
    STATE(18748), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614227] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16374), 1,
      anon_sym_COLON2,
    STATE(12794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16372), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [614254] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9478), 1,
      anon_sym_COLON2,
    STATE(12795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [614281] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16376), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614312] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16378), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12797), 1,
      sym_attribute,
    STATE(20275), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614351] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12798), 1,
      sym_attribute,
    STATE(12908), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16380), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614382] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16382), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12799), 1,
      sym_attribute,
    STATE(20224), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614421] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12786), 1,
      aux_sym_expression_item_repeat1,
    STATE(12800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16384), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614452] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16386), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12801), 1,
      sym_attribute,
    STATE(19014), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614491] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16388), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12802), 1,
      sym_attribute,
    STATE(20144), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614530] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12803), 1,
      sym_attribute,
    STATE(12815), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16390), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614561] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16392), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614592] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12804), 1,
      aux_sym_expression_item_repeat1,
    STATE(12805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16394), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614623] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16396), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614654] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16398), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12807), 1,
      sym_attribute,
    STATE(17987), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614693] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16400), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614724] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16402), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12809), 1,
      sym_attribute,
    STATE(19210), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614763] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16404), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614794] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16086), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614825] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12812), 1,
      sym_attribute,
    STATE(12992), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16406), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614856] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16408), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12813), 1,
      sym_attribute,
    STATE(17890), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614895] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16410), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614926] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16412), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614957] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16414), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614988] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10225), 12,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [615013] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16416), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615044] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12808), 1,
      aux_sym_expression_item_repeat1,
    STATE(12819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16418), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615075] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12820), 1,
      sym_attribute,
    STATE(12898), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16420), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615106] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16422), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12821), 1,
      sym_attribute,
    STATE(18637), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615145] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16424), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615176] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12823), 1,
      sym_attribute,
    STATE(12987), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16426), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615207] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16430), 1,
      anon_sym_COLON2,
    STATE(12824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16428), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [615234] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16432), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12825), 1,
      sym_attribute,
    STATE(17727), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615273] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16434), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12826), 1,
      sym_attribute,
    STATE(19503), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615312] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16320), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615343] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15912), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615374] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16436), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615405] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16438), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12830), 1,
      sym_attribute,
    STATE(19275), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615444] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16440), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12831), 1,
      sym_attribute,
    STATE(18016), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615483] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16442), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12832), 1,
      sym_attribute,
    STATE(17654), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615522] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9258), 1,
      anon_sym_PIPE,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12145), 1,
      anon_sym_LPAREN,
    ACTIONS(12147), 1,
      anon_sym_LBRACK,
    ACTIONS(16306), 1,
      anon_sym_LBRACE,
    ACTIONS(16444), 1,
      anon_sym_DOT_DOT,
    STATE(10731), 1,
      sym__constructor_name,
    STATE(11356), 1,
      sym_constructor_declaration,
    STATE(12833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12149), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10583), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [615565] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12829), 1,
      aux_sym_expression_item_repeat1,
    STATE(12834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16446), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615596] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12835), 1,
      sym_attribute,
    STATE(12979), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16448), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615627] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16450), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12836), 1,
      sym_attribute,
    STATE(17943), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615666] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12837), 1,
      sym_attribute,
    STATE(12932), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16452), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615697] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16454), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12838), 1,
      sym_attribute,
    STATE(19738), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615736] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16456), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12839), 1,
      sym_attribute,
    STATE(18420), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615775] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16458), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12840), 1,
      sym_attribute,
    STATE(19812), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615814] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12816), 1,
      aux_sym_expression_item_repeat1,
    STATE(12841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16460), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615845] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16462), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12842), 1,
      sym_attribute,
    STATE(17967), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615884] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16466), 1,
      anon_sym_COLON2,
    STATE(12843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16464), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [615911] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16468), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12844), 1,
      sym_attribute,
    STATE(18274), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615950] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16472), 1,
      anon_sym_COLON2,
    STATE(12845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16470), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [615977] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16476), 1,
      anon_sym_COLON2,
    STATE(12846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16474), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [616004] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16478), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12847), 1,
      sym_attribute,
    STATE(19489), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616043] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16480), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616074] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16482), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12849), 1,
      sym_attribute,
    STATE(19188), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616113] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9324), 1,
      anon_sym_PIPE,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12337), 1,
      anon_sym_LPAREN,
    ACTIONS(12339), 1,
      anon_sym_LBRACK,
    ACTIONS(16306), 1,
      anon_sym_LBRACE,
    ACTIONS(16484), 1,
      anon_sym_DOT_DOT,
    STATE(10974), 1,
      sym__constructor_name,
    STATE(11719), 1,
      sym_constructor_declaration,
    STATE(12850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12341), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11048), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [616156] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16488), 1,
      anon_sym_COLON2,
    STATE(12851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16486), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [616183] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16368), 1,
      aux_sym_attribute_id_token1,
    STATE(12792), 1,
      aux_sym_attribute_id_repeat1,
    STATE(12852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8852), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616212] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9454), 1,
      anon_sym_COLON2,
    STATE(12853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [616239] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16490), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616270] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7553), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616301] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16492), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12856), 1,
      sym_attribute,
    STATE(17445), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616340] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16494), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12857), 1,
      sym_attribute,
    STATE(18594), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616379] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16496), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12858), 1,
      sym_attribute,
    STATE(19363), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616418] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16498), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616449] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16500), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12860), 1,
      sym_attribute,
    STATE(19031), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616488] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16502), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616519] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16504), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12862), 1,
      sym_attribute,
    STATE(17687), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616558] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9594), 1,
      anon_sym_COLON2,
    STATE(12863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9596), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [616585] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9258), 1,
      anon_sym_PIPE,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12145), 1,
      anon_sym_LPAREN,
    ACTIONS(12147), 1,
      anon_sym_LBRACK,
    ACTIONS(16306), 1,
      anon_sym_LBRACE,
    ACTIONS(16506), 1,
      anon_sym_DOT_DOT,
    STATE(10731), 1,
      sym__constructor_name,
    STATE(11356), 1,
      sym_constructor_declaration,
    STATE(12864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12149), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10743), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [616628] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16508), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12865), 1,
      sym_attribute,
    STATE(17742), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616667] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16510), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12866), 1,
      sym_attribute,
    STATE(17940), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616706] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12867), 1,
      sym_attribute,
    STATE(12934), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16512), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616737] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16514), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616768] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16516), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12869), 1,
      sym_attribute,
    STATE(18910), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616807] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16518), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12870), 1,
      sym_attribute,
    STATE(19505), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616846] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16520), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12871), 1,
      sym_attribute,
    STATE(18430), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616885] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16522), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12872), 1,
      sym_attribute,
    STATE(18582), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616924] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16524), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616955] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16526), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12874), 1,
      sym_attribute,
    STATE(19096), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616994] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16528), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12875), 1,
      sym_attribute,
    STATE(19459), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617033] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9324), 1,
      anon_sym_PIPE,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12337), 1,
      anon_sym_LPAREN,
    ACTIONS(12339), 1,
      anon_sym_LBRACK,
    ACTIONS(16306), 1,
      anon_sym_LBRACE,
    ACTIONS(16530), 1,
      anon_sym_DOT_DOT,
    STATE(10974), 1,
      sym__constructor_name,
    STATE(11719), 1,
      sym_constructor_declaration,
    STATE(12876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12341), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11053), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [617076] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10227), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16532), 1,
      anon_sym_STAR,
    STATE(12877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10225), 10,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617105] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12878), 1,
      sym_attribute,
    STATE(12939), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16534), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617136] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16536), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617167] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16538), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12880), 1,
      sym_attribute,
    STATE(17677), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617206] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16540), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12881), 1,
      sym_attribute,
    STATE(19870), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617245] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16542), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12882), 1,
      sym_attribute,
    STATE(19005), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617284] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9078), 1,
      anon_sym_COLON2,
    STATE(12883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [617311] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16544), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12884), 1,
      sym_attribute,
    STATE(18287), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617350] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16274), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16358), 1,
      anon_sym_LPAREN,
    ACTIONS(16360), 1,
      anon_sym_COLON2,
    STATE(12885), 1,
      sym_attribute,
    STATE(13273), 1,
      aux_sym_module_binding_repeat1,
    STATE(13448), 1,
      sym_module_parameter,
    STATE(13668), 1,
      sym__module_typed,
    STATE(14123), 1,
      aux_sym_expression_item_repeat1,
    STATE(16070), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11765), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(16546), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [617393] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16548), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12886), 1,
      sym_attribute,
    STATE(20225), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617432] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9470), 1,
      anon_sym_COLON2,
    STATE(12887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [617459] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16550), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12888), 1,
      sym_attribute,
    STATE(17699), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617498] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16552), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12889), 1,
      sym_attribute,
    STATE(19258), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617537] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16554), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12890), 1,
      sym_attribute,
    STATE(17941), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617576] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16556), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12891), 1,
      sym_attribute,
    STATE(17798), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617615] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16558), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12892), 1,
      sym_attribute,
    STATE(18155), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617654] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16560), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12893), 1,
      sym_attribute,
    STATE(18262), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617693] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12894), 1,
      sym_attribute,
    STATE(12959), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16562), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617724] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12796), 1,
      aux_sym_expression_item_repeat1,
    STATE(12895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16564), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617755] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16568), 1,
      anon_sym_COLON2,
    STATE(12896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16566), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [617782] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16570), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12897), 1,
      sym_attribute,
    STATE(17698), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617821] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16572), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617852] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16574), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12899), 1,
      sym_attribute,
    STATE(20218), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617891] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16576), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12900), 1,
      sym_attribute,
    STATE(19498), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617930] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16578), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12901), 1,
      sym_attribute,
    STATE(17619), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617969] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16580), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618000] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16582), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12903), 1,
      sym_attribute,
    STATE(18327), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618039] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16584), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12904), 1,
      sym_attribute,
    STATE(20073), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618078] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12868), 1,
      aux_sym_expression_item_repeat1,
    STATE(12905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16586), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618109] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16534), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618140] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16588), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12907), 1,
      sym_attribute,
    STATE(19775), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618179] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16590), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618210] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12848), 1,
      aux_sym_expression_item_repeat1,
    STATE(12909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16592), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618241] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9062), 1,
      anon_sym_COLON2,
    STATE(12910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [618268] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7559), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8114), 1,
      anon_sym_COLON2,
    STATE(12912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 11,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [618326] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9462), 1,
      anon_sym_COLON2,
    STATE(12913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [618353] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9482), 1,
      anon_sym_COLON2,
    STATE(12914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [618380] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16594), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12915), 1,
      sym_attribute,
    STATE(19648), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618419] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16173), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618450] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12873), 1,
      aux_sym_expression_item_repeat1,
    STATE(12917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16596), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618481] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16598), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12918), 1,
      sym_attribute,
    STATE(17436), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618520] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16600), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12919), 1,
      sym_attribute,
    STATE(19843), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618559] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11173), 1,
      anon_sym_COLON2,
    STATE(12920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9060), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [618588] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16602), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12921), 1,
      sym_attribute,
    STATE(18629), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618627] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9222), 1,
      anon_sym_PIPE,
    ACTIONS(11968), 1,
      anon_sym_LPAREN,
    ACTIONS(11970), 1,
      anon_sym_LBRACK,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(16306), 1,
      anon_sym_LBRACE,
    ACTIONS(16604), 1,
      anon_sym_DOT_DOT,
    STATE(10268), 1,
      sym__constructor_name,
    STATE(11023), 1,
      sym_constructor_declaration,
    STATE(12922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11972), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10462), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [618670] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9510), 1,
      anon_sym_COLON2,
    STATE(12923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [618697] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16606), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12924), 1,
      sym_attribute,
    STATE(17493), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618736] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9082), 1,
      anon_sym_COLON2,
    STATE(12925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [618763] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10213), 12,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [618788] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16608), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12927), 1,
      sym_attribute,
    STATE(19948), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618827] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9474), 1,
      anon_sym_COLON2,
    STATE(12928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [618854] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16610), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12929), 1,
      sym_attribute,
    STATE(18483), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618893] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9514), 1,
      anon_sym_COLON2,
    STATE(12930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [618920] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12931), 1,
      sym_attribute,
    STATE(12954), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16612), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618951] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16614), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618982] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12902), 1,
      aux_sym_expression_item_repeat1,
    STATE(12933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619013] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16618), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619044] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9486), 1,
      anon_sym_COLON2,
    STATE(12935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [619071] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16286), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619102] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16620), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12937), 1,
      sym_attribute,
    STATE(19957), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [619141] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16622), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12938), 1,
      sym_attribute,
    STATE(17747), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [619180] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16460), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619211] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12818), 1,
      aux_sym_expression_item_repeat1,
    STATE(12940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16624), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619242] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16626), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12941), 1,
      sym_attribute,
    STATE(19846), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [619281] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16628), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619312] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16332), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16630), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12944), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8803), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619370] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16633), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12945), 1,
      sym_attribute,
    STATE(19930), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [619409] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16635), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12946), 1,
      sym_attribute,
    STATE(19468), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [619448] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16637), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12947), 1,
      sym_attribute,
    STATE(20025), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [619487] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16292), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619518] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16348), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619549] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7521), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619580] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9292), 1,
      anon_sym_PIPE,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12039), 1,
      anon_sym_LPAREN,
    ACTIONS(12041), 1,
      anon_sym_LBRACK,
    ACTIONS(16306), 1,
      anon_sym_LBRACE,
    ACTIONS(16639), 1,
      anon_sym_DOT_DOT,
    STATE(10289), 1,
      sym__constructor_name,
    STATE(11039), 1,
      sym_constructor_declaration,
    STATE(12951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12043), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10477), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [619623] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16643), 1,
      anon_sym_COLON2,
    STATE(12952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16641), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [619650] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16645), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12953), 1,
      sym_attribute,
    STATE(17909), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [619689] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16647), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619720] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16649), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12955), 1,
      sym_attribute,
    STATE(20205), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [619759] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16651), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12956), 1,
      sym_attribute,
    STATE(17432), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [619798] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16082), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619829] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9466), 1,
      anon_sym_COLON2,
    STATE(12958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [619856] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16653), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619887] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9532), 1,
      anon_sym_COLON2,
    STATE(12960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [619914] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16092), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619945] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9292), 1,
      anon_sym_PIPE,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12039), 1,
      anon_sym_LPAREN,
    ACTIONS(12041), 1,
      anon_sym_LBRACK,
    ACTIONS(16306), 1,
      anon_sym_LBRACE,
    ACTIONS(16655), 1,
      anon_sym_DOT_DOT,
    STATE(10289), 1,
      sym__constructor_name,
    STATE(11039), 1,
      sym_constructor_declaration,
    STATE(12962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12043), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10483), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [619988] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16657), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12963), 1,
      sym_attribute,
    STATE(20263), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [620027] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16659), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12964), 1,
      sym_attribute,
    STATE(17826), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [620066] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16661), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12965), 1,
      sym_attribute,
    STATE(17748), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [620105] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9536), 1,
      anon_sym_COLON2,
    STATE(12966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [620132] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9518), 1,
      anon_sym_COLON2,
    STATE(12967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [620159] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12806), 1,
      aux_sym_expression_item_repeat1,
    STATE(12968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16663), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620190] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9006), 1,
      anon_sym_COLON2,
    STATE(12969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [620217] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16665), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12970), 1,
      sym_attribute,
    STATE(19290), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [620256] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15852), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620287] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16667), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12972), 1,
      sym_attribute,
    STATE(19877), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [620326] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16669), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12973), 1,
      sym_attribute,
    STATE(17775), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [620365] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9540), 1,
      anon_sym_COLON2,
    STATE(12974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9542), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [620392] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9590), 1,
      anon_sym_COLON2,
    STATE(12975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9592), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [620419] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9544), 1,
      anon_sym_COLON2,
    STATE(12976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [620446] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16671), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12977), 1,
      sym_attribute,
    STATE(19553), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [620485] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16673), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12978), 1,
      sym_attribute,
    STATE(19059), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [620524] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16675), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620555] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8444), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8446), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15130), 1,
      anon_sym_LPAREN,
    STATE(12980), 1,
      sym_attribute,
    STATE(13068), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10429), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    STATE(13062), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [620590] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16300), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620621] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9458), 1,
      anon_sym_COLON2,
    STATE(12982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [620648] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16677), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12983), 1,
      sym_attribute,
    STATE(19051), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [620687] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16679), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12984), 1,
      sym_attribute,
    STATE(19878), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [620726] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16681), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12985), 1,
      sym_attribute,
    STATE(20247), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [620765] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16683), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12986), 1,
      sym_attribute,
    STATE(18904), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [620804] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16685), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620835] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12854), 1,
      aux_sym_expression_item_repeat1,
    STATE(12988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16687), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620866] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7063), 1,
      anon_sym_COLON2,
    STATE(12989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7059), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [620893] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16691), 1,
      anon_sym_COLON2,
    STATE(12990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16689), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [620920] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9026), 1,
      anon_sym_COLON2,
    STATE(12991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [620947] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16693), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620978] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(12993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16272), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [621009] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16695), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12994), 1,
      sym_attribute,
    STATE(18205), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [621048] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(4947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10431), 1,
      anon_sym_LPAREN,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(16697), 1,
      anon_sym_RPAREN,
    STATE(8777), 1,
      sym__simple_module_expression,
    STATE(12995), 1,
      sym_attribute,
    STATE(17528), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8798), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [621087] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11249), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11251), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621113] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11279), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11281), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621139] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 11,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [621163] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11359), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11361), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621189] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11261), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11263), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621215] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9068), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621241] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16699), 1,
      aux_sym_attribute_id_token1,
    STATE(13002), 1,
      sym_attribute,
    STATE(13017), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8850), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__lowercase_identifier,
    ACTIONS(8852), 5,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
  [621271] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(13003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16701), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [621301] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 11,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [621325] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16703), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13005), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8801), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__lowercase_identifier,
    ACTIONS(8803), 5,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
  [621353] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(13003), 1,
      aux_sym_expression_item_repeat1,
    STATE(13006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16706), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [621383] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(13007), 1,
      sym_attribute,
    STATE(13039), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16701), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [621413] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(13008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16708), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [621443] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(13009), 1,
      sym_attribute,
    STATE(13019), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16710), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [621473] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8278), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621499] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(7874), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16712), 1,
      anon_sym_DOT,
    STATE(13012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10792), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [621551] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(7878), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621577] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11389), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11391), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621603] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(7886), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621629] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16714), 1,
      anon_sym_STAR,
    STATE(13016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10225), 10,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_AMP,
  [621655] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16699), 1,
      aux_sym_attribute_id_token1,
    STATE(13005), 1,
      aux_sym_attribute_id_repeat1,
    STATE(13017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8777), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__lowercase_identifier,
    ACTIONS(8779), 5,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
  [621685] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11315), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11317), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621711] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(13019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16716), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [621741] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8803), 11,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_attribute_id_token1,
  [621765] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(13021), 1,
      sym_attribute,
    STATE(13040), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16718), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [621795] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(12584), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16308), 1,
      anon_sym_DASH_GT,
    STATE(13022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12582), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [621825] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11319), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11321), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621851] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9060), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621877] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11323), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11325), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621903] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11253), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11255), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621929] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11257), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11259), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621955] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11351), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11353), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621981] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11287), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11289), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622007] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11339), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11341), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622033] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12213), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16308), 1,
      anon_sym_DASH_GT,
    STATE(13031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12211), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [622061] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11363), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11365), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622087] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11295), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11297), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622113] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11327), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11329), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622139] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11331), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11333), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622165] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(14633), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16308), 1,
      anon_sym_DASH_GT,
    STATE(13036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14629), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [622195] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11335), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11337), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622221] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11291), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11293), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622247] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(13039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16720), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [622277] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9240), 1,
      aux_sym_expression_item_repeat1,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(13040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16722), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [622307] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(16278), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16308), 1,
      anon_sym_DASH_GT,
    STATE(13041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16276), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [622337] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11355), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11357), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622363] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11405), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11407), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622389] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11411), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622415] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(14637), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16308), 1,
      anon_sym_DASH_GT,
    STATE(13045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14635), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [622445] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11419), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622471] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11421), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11423), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622497] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11283), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11285), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622523] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6787), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9807), 1,
      sym_item_attribute,
    STATE(13008), 1,
      aux_sym_expression_item_repeat1,
    STATE(13049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16724), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [622553] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10862), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622579] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11445), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11447), 1,
      anon_sym_in,
    ACTIONS(16726), 1,
      sym__lowercase_identifier,
    ACTIONS(16728), 1,
      anon_sym_POUND,
    STATE(13051), 1,
      sym_attribute,
    STATE(13386), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16557), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [622620] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16732), 1,
      anon_sym_COLON2,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    STATE(13052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16730), 8,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_when,
  [622647] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16736), 1,
      anon_sym_constraint,
    STATE(13291), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13053), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12183), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [622674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(13054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 9,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [622699] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10926), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [622722] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10896), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [622745] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    STATE(13057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12211), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_AMP,
  [622770] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16741), 1,
      anon_sym_constraint,
    STATE(13058), 1,
      sym_attribute,
    STATE(13094), 1,
      aux_sym_type_binding_repeat1,
    STATE(13291), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12201), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [622799] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16741), 1,
      anon_sym_constraint,
    STATE(13053), 1,
      aux_sym_type_binding_repeat1,
    STATE(13059), 1,
      sym_attribute,
    STATE(13291), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12201), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [622828] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4977), 1,
      anon_sym_COLON2,
    ACTIONS(16302), 1,
      anon_sym_DOT_DOT,
    STATE(13060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4975), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [622855] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8801), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__lowercase_identifier,
    ACTIONS(8803), 6,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
      aux_sym_attribute_id_token1,
  [622880] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10920), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [622903] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10792), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [622926] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11375), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11377), 1,
      anon_sym_in,
    ACTIONS(16726), 1,
      sym__lowercase_identifier,
    ACTIONS(16728), 1,
      anon_sym_POUND,
    STATE(13064), 1,
      sym_attribute,
    STATE(13386), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16557), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [622967] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10892), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [622990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16743), 1,
      anon_sym_STAR,
    STATE(13066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10225), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [623015] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12175), 1,
      anon_sym_LPAREN,
    ACTIONS(12177), 1,
      anon_sym_LBRACK,
    ACTIONS(16745), 1,
      anon_sym_private,
    ACTIONS(16747), 1,
      anon_sym_PIPE,
    STATE(10393), 1,
      sym_variant_declaration,
    STATE(10684), 1,
      sym__constructor_name,
    STATE(11510), 1,
      sym_constructor_declaration,
    STATE(13067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12179), 2,
      anon_sym_true,
      anon_sym_false,
  [623054] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10900), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [623077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(13069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 9,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [623102] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12323), 1,
      anon_sym_LPAREN,
    ACTIONS(12325), 1,
      anon_sym_LBRACK,
    ACTIONS(16749), 1,
      anon_sym_private,
    ACTIONS(16751), 1,
      anon_sym_PIPE,
    STATE(10414), 1,
      sym_variant_declaration,
    STATE(10936), 1,
      sym__constructor_name,
    STATE(11712), 1,
      sym_constructor_declaration,
    STATE(13070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12327), 2,
      anon_sym_true,
      anon_sym_false,
  [623141] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16741), 1,
      anon_sym_constraint,
    STATE(13059), 1,
      aux_sym_type_binding_repeat1,
    STATE(13071), 1,
      sym_attribute,
    STATE(13291), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12195), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [623170] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16755), 1,
      anon_sym_COLON2,
    STATE(13072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16753), 8,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_when,
  [623197] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16761), 1,
      anon_sym_COLON2,
    STATE(13073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16757), 7,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_when,
  [623226] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10904), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [623249] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12175), 1,
      anon_sym_LPAREN,
    ACTIONS(12177), 1,
      anon_sym_LBRACK,
    ACTIONS(16747), 1,
      anon_sym_PIPE,
    ACTIONS(16763), 1,
      anon_sym_private,
    STATE(10414), 1,
      sym_variant_declaration,
    STATE(10684), 1,
      sym__constructor_name,
    STATE(11510), 1,
      sym_constructor_declaration,
    STATE(13075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12179), 2,
      anon_sym_true,
      anon_sym_false,
  [623288] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11529), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11531), 1,
      anon_sym_in,
    ACTIONS(16726), 1,
      sym__lowercase_identifier,
    ACTIONS(16728), 1,
      anon_sym_POUND,
    STATE(13076), 1,
      sym_attribute,
    STATE(13386), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16557), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [623329] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16769), 1,
      anon_sym_COLON2,
    ACTIONS(16771), 1,
      anon_sym_as,
    STATE(13077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16765), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_when,
  [623362] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [623385] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [623408] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [623431] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12169), 1,
      anon_sym_LPAREN,
    ACTIONS(12171), 1,
      anon_sym_LBRACK,
    ACTIONS(16773), 1,
      anon_sym_private,
    ACTIONS(16775), 1,
      anon_sym_PIPE,
    STATE(10414), 1,
      sym_variant_declaration,
    STATE(10820), 1,
      sym__constructor_name,
    STATE(11468), 1,
      sym_constructor_declaration,
    STATE(13081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12173), 2,
      anon_sym_true,
      anon_sym_false,
  [623470] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10908), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [623493] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [623516] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12936), 1,
      anon_sym_LPAREN,
    ACTIONS(12938), 1,
      anon_sym_LBRACK,
    ACTIONS(16777), 1,
      anon_sym_private,
    ACTIONS(16779), 1,
      anon_sym_PIPE,
    STATE(10393), 1,
      sym_variant_declaration,
    STATE(11273), 1,
      sym__constructor_name,
    STATE(12059), 1,
      sym_constructor_declaration,
    STATE(13084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12940), 2,
      anon_sym_true,
      anon_sym_false,
  [623555] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10912), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [623578] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11525), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11527), 1,
      anon_sym_in,
    ACTIONS(16726), 1,
      sym__lowercase_identifier,
    ACTIONS(16728), 1,
      anon_sym_POUND,
    STATE(13086), 1,
      sym_attribute,
    STATE(13386), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16557), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [623619] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12936), 1,
      anon_sym_LPAREN,
    ACTIONS(12938), 1,
      anon_sym_LBRACK,
    ACTIONS(16779), 1,
      anon_sym_PIPE,
    ACTIONS(16781), 1,
      anon_sym_private,
    STATE(10414), 1,
      sym_variant_declaration,
    STATE(11273), 1,
      sym__constructor_name,
    STATE(12059), 1,
      sym_constructor_declaration,
    STATE(13087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12940), 2,
      anon_sym_true,
      anon_sym_false,
  [623658] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12323), 1,
      anon_sym_LPAREN,
    ACTIONS(12325), 1,
      anon_sym_LBRACK,
    ACTIONS(16751), 1,
      anon_sym_PIPE,
    ACTIONS(16783), 1,
      anon_sym_private,
    STATE(10393), 1,
      sym_variant_declaration,
    STATE(10936), 1,
      sym__constructor_name,
    STATE(11712), 1,
      sym_constructor_declaration,
    STATE(13088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12327), 2,
      anon_sym_true,
      anon_sym_false,
  [623697] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10934), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [623720] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10916), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [623743] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(16787), 1,
      anon_sym_COLON2,
    STATE(13091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16785), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_when,
  [623776] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12169), 1,
      anon_sym_LPAREN,
    ACTIONS(12171), 1,
      anon_sym_LBRACK,
    ACTIONS(16775), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_private,
    STATE(10393), 1,
      sym_variant_declaration,
    STATE(10820), 1,
      sym__constructor_name,
    STATE(11468), 1,
      sym_constructor_declaration,
    STATE(13092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12173), 2,
      anon_sym_true,
      anon_sym_false,
  [623815] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11269), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11271), 1,
      anon_sym_in,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(16726), 1,
      sym__lowercase_identifier,
    ACTIONS(16728), 1,
      anon_sym_POUND,
    STATE(13093), 1,
      sym_attribute,
    STATE(13386), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16557), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [623856] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16741), 1,
      anon_sym_constraint,
    STATE(13053), 1,
      aux_sym_type_binding_repeat1,
    STATE(13094), 1,
      sym_attribute,
    STATE(13291), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12205), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [623885] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_DASH_GT,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(11299), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11301), 1,
      anon_sym_in,
    ACTIONS(16726), 1,
      sym__lowercase_identifier,
    ACTIONS(16728), 1,
      anon_sym_POUND,
    STATE(13095), 1,
      sym_attribute,
    STATE(13386), 1,
      sym_type_constructor_path,
    STATE(15512), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16557), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [623926] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10330), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [623949] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10930), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [623972] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13098), 1,
      sym_attribute,
    STATE(18332), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [624002] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 9,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [624024] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16797), 1,
      sym__lowercase_identifier,
    ACTIONS(16799), 1,
      anon_sym_LPAREN,
    ACTIONS(16801), 1,
      anon_sym_LBRACK,
    ACTIONS(16803), 1,
      anon_sym_LBRACE,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    STATE(3264), 1,
      sym_field_path,
    STATE(13100), 1,
      sym_attribute,
    STATE(16184), 1,
      sym_indexing_operator_path,
    STATE(18776), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624062] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(16807), 1,
      sym__lowercase_identifier,
    ACTIONS(16809), 1,
      anon_sym_LPAREN,
    ACTIONS(16811), 1,
      anon_sym_LBRACK,
    ACTIONS(16813), 1,
      anon_sym_LBRACE,
    STATE(7255), 1,
      sym_field_path,
    STATE(13101), 1,
      sym_attribute,
    STATE(15938), 1,
      sym_indexing_operator_path,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624100] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11197), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [624122] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(16815), 1,
      anon_sym_LPAREN,
    ACTIONS(16817), 1,
      anon_sym_LBRACK,
    STATE(10609), 1,
      sym_constructor_declaration,
    STATE(11806), 1,
      sym__constructor_name,
    STATE(13103), 1,
      sym_attribute,
    STATE(13594), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16819), 2,
      anon_sym_true,
      anon_sym_false,
  [624158] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13104), 1,
      sym_attribute,
    STATE(19536), 1,
      sym_escape_sequence,
    STATE(19728), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [624188] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13105), 1,
      sym_attribute,
    STATE(18165), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [624218] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16821), 1,
      anon_sym_DASH_GT,
    ACTIONS(16823), 1,
      anon_sym_as,
    STATE(13106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12252), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [624244] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(16825), 1,
      sym__lowercase_identifier,
    ACTIONS(16827), 1,
      anon_sym_LPAREN,
    ACTIONS(16829), 1,
      anon_sym_LBRACK,
    ACTIONS(16831), 1,
      anon_sym_LBRACE,
    STATE(5860), 1,
      sym_field_path,
    STATE(13107), 1,
      sym_attribute,
    STATE(16143), 1,
      sym_indexing_operator_path,
    STATE(18590), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624282] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7089), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16833), 1,
      anon_sym_LPAREN,
    ACTIONS(16835), 1,
      anon_sym_LBRACE,
    ACTIONS(16837), 1,
      sym__uppercase_identifier,
    STATE(7789), 1,
      sym__constructor_name,
    STATE(13108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7978), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [624316] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(16839), 1,
      sym__lowercase_identifier,
    ACTIONS(16841), 1,
      anon_sym_LPAREN,
    ACTIONS(16843), 1,
      anon_sym_LBRACK,
    ACTIONS(16845), 1,
      anon_sym_LBRACE,
    STATE(6075), 1,
      sym_field_path,
    STATE(13109), 1,
      sym_attribute,
    STATE(16068), 1,
      sym_indexing_operator_path,
    STATE(18237), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624354] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13110), 1,
      sym_attribute,
    STATE(19536), 1,
      sym_escape_sequence,
    STATE(19845), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [624384] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13111), 1,
      sym_attribute,
    STATE(18605), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [624414] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(16847), 1,
      sym__lowercase_identifier,
    ACTIONS(16849), 1,
      anon_sym_LPAREN,
    ACTIONS(16851), 1,
      anon_sym_LBRACK,
    ACTIONS(16853), 1,
      anon_sym_LBRACE,
    STATE(6061), 1,
      sym_field_path,
    STATE(13112), 1,
      sym_attribute,
    STATE(16057), 1,
      sym_indexing_operator_path,
    STATE(18157), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624452] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(16855), 1,
      sym__lowercase_identifier,
    ACTIONS(16857), 1,
      anon_sym_LPAREN,
    ACTIONS(16859), 1,
      anon_sym_LBRACK,
    ACTIONS(16861), 1,
      anon_sym_LBRACE,
    STATE(6270), 1,
      sym_field_path,
    STATE(13113), 1,
      sym_attribute,
    STATE(15913), 1,
      sym_indexing_operator_path,
    STATE(18406), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624490] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16821), 1,
      anon_sym_DASH_GT,
    ACTIONS(16823), 1,
      anon_sym_as,
    STATE(13114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12295), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [624516] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12936), 1,
      anon_sym_LPAREN,
    ACTIONS(12938), 1,
      anon_sym_LBRACK,
    ACTIONS(16779), 1,
      anon_sym_PIPE,
    STATE(10422), 1,
      sym_variant_declaration,
    STATE(11273), 1,
      sym__constructor_name,
    STATE(12059), 1,
      sym_constructor_declaration,
    STATE(13115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12940), 2,
      anon_sym_true,
      anon_sym_false,
  [624552] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 9,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [624574] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13117), 1,
      sym_attribute,
    STATE(18792), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [624604] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(16863), 1,
      sym__lowercase_identifier,
    ACTIONS(16865), 1,
      anon_sym_LPAREN,
    ACTIONS(16867), 1,
      anon_sym_LBRACK,
    ACTIONS(16869), 1,
      anon_sym_LBRACE,
    STATE(3278), 1,
      sym_field_path,
    STATE(13118), 1,
      sym_attribute,
    STATE(16188), 1,
      sym_indexing_operator_path,
    STATE(18804), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624642] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8994), 1,
      anon_sym_COLON2,
    STATE(13119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [624666] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13120), 1,
      sym_attribute,
    STATE(18738), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [624696] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(16871), 1,
      sym__lowercase_identifier,
    ACTIONS(16873), 1,
      anon_sym_LPAREN,
    ACTIONS(16875), 1,
      anon_sym_LBRACK,
    ACTIONS(16877), 1,
      anon_sym_LBRACE,
    STATE(6202), 1,
      sym_field_path,
    STATE(13121), 1,
      sym_attribute,
    STATE(15900), 1,
      sym_indexing_operator_path,
    STATE(17989), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624734] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(16879), 1,
      sym__lowercase_identifier,
    ACTIONS(16881), 1,
      anon_sym_LPAREN,
    ACTIONS(16883), 1,
      anon_sym_LBRACK,
    ACTIONS(16885), 1,
      anon_sym_LBRACE,
    STATE(5452), 1,
      sym_field_path,
    STATE(13122), 1,
      sym_attribute,
    STATE(16168), 1,
      sym_indexing_operator_path,
    STATE(18703), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624772] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6773), 1,
      anon_sym_LBRACK,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16887), 1,
      anon_sym_LPAREN,
    ACTIONS(16889), 1,
      anon_sym_LBRACE,
    ACTIONS(16891), 1,
      sym__uppercase_identifier,
    STATE(7460), 1,
      sym__constructor_name,
    STATE(13123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7367), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [624806] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(16893), 1,
      anon_sym_LPAREN,
    ACTIONS(16895), 1,
      anon_sym_LBRACK,
    STATE(10609), 1,
      sym_constructor_declaration,
    STATE(11815), 1,
      sym__constructor_name,
    STATE(13124), 1,
      sym_attribute,
    STATE(13364), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16897), 2,
      anon_sym_true,
      anon_sym_false,
  [624842] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5207), 1,
      anon_sym_LBRACK,
    ACTIONS(5215), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16899), 1,
      anon_sym_LPAREN,
    ACTIONS(16901), 1,
      anon_sym_LBRACE,
    ACTIONS(16903), 1,
      sym__uppercase_identifier,
    STATE(5522), 1,
      sym__constructor_name,
    STATE(13125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5546), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [624876] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12169), 1,
      anon_sym_LPAREN,
    ACTIONS(12171), 1,
      anon_sym_LBRACK,
    ACTIONS(16775), 1,
      anon_sym_PIPE,
    STATE(10422), 1,
      sym_variant_declaration,
    STATE(10820), 1,
      sym__constructor_name,
    STATE(11468), 1,
      sym_constructor_declaration,
    STATE(13126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12173), 2,
      anon_sym_true,
      anon_sym_false,
  [624912] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16821), 1,
      anon_sym_DASH_GT,
    ACTIONS(16823), 1,
      anon_sym_as,
    STATE(13127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12283), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [624938] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13128), 1,
      sym_attribute,
    STATE(17440), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [624968] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10862), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [624990] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(16905), 1,
      sym__lowercase_identifier,
    ACTIONS(16907), 1,
      anon_sym_LPAREN,
    ACTIONS(16909), 1,
      anon_sym_LBRACK,
    ACTIONS(16911), 1,
      anon_sym_LBRACE,
    STATE(5990), 1,
      sym_field_path,
    STATE(13130), 1,
      sym_attribute,
    STATE(16000), 1,
      sym_indexing_operator_path,
    STATE(17720), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [625028] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(16913), 1,
      sym__lowercase_identifier,
    ACTIONS(16915), 1,
      anon_sym_LPAREN,
    ACTIONS(16917), 1,
      anon_sym_LBRACK,
    ACTIONS(16919), 1,
      anon_sym_LBRACE,
    STATE(3504), 1,
      sym_field_path,
    STATE(13131), 1,
      sym_attribute,
    STATE(16086), 1,
      sym_indexing_operator_path,
    STATE(18317), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [625066] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5173), 1,
      anon_sym_LBRACK,
    ACTIONS(5181), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16921), 1,
      anon_sym_LPAREN,
    ACTIONS(16923), 1,
      anon_sym_LBRACE,
    ACTIONS(16925), 1,
      sym__uppercase_identifier,
    STATE(5453), 1,
      sym__constructor_name,
    STATE(13132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5648), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [625100] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8986), 1,
      anon_sym_COLON2,
    STATE(13133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625124] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8998), 1,
      anon_sym_COLON2,
    STATE(13134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9000), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625148] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6817), 1,
      anon_sym_LBRACK,
    ACTIONS(6827), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16927), 1,
      anon_sym_LPAREN,
    ACTIONS(16929), 1,
      anon_sym_LBRACE,
    ACTIONS(16931), 1,
      sym__uppercase_identifier,
    STATE(7426), 1,
      sym__constructor_name,
    STATE(13135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7412), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [625182] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13136), 1,
      sym_attribute,
    STATE(18477), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [625212] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13137), 1,
      sym_attribute,
    STATE(17602), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [625242] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9002), 1,
      anon_sym_COLON2,
    STATE(13138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625266] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13139), 1,
      sym_attribute,
    STATE(17600), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [625296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11223), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(11219), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [625320] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11273), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11713), 1,
      anon_sym_in,
    ACTIONS(16726), 1,
      sym__lowercase_identifier,
    ACTIONS(16728), 1,
      anon_sym_POUND,
    ACTIONS(16933), 1,
      anon_sym_STAR,
    STATE(13141), 1,
      sym_attribute,
    STATE(13386), 1,
      sym_type_constructor_path,
    STATE(14892), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16557), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [625358] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(16935), 1,
      sym__lowercase_identifier,
    ACTIONS(16937), 1,
      anon_sym_LPAREN,
    ACTIONS(16939), 1,
      anon_sym_LBRACK,
    ACTIONS(16941), 1,
      anon_sym_LBRACE,
    STATE(5009), 1,
      sym_field_path,
    STATE(13142), 1,
      sym_attribute,
    STATE(15838), 1,
      sym_indexing_operator_path,
    STATE(17966), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [625396] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(16943), 1,
      sym__lowercase_identifier,
    ACTIONS(16945), 1,
      anon_sym_LPAREN,
    ACTIONS(16947), 1,
      anon_sym_LBRACK,
    ACTIONS(16949), 1,
      anon_sym_LBRACE,
    STATE(9187), 1,
      sym_field_path,
    STATE(13143), 1,
      sym_attribute,
    STATE(16019), 1,
      sym_indexing_operator_path,
    STATE(17882), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [625434] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16951), 1,
      anon_sym_LPAREN,
    ACTIONS(16953), 1,
      anon_sym_LBRACE,
    ACTIONS(16955), 1,
      sym__uppercase_identifier,
    STATE(9260), 1,
      sym__constructor_name,
    STATE(13144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13925), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [625468] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(16957), 1,
      sym__lowercase_identifier,
    ACTIONS(16959), 1,
      anon_sym_LPAREN,
    ACTIONS(16961), 1,
      anon_sym_LBRACK,
    ACTIONS(16963), 1,
      anon_sym_LBRACE,
    STATE(7588), 1,
      sym_field_path,
    STATE(13145), 1,
      sym_attribute,
    STATE(16118), 1,
      sym_indexing_operator_path,
    STATE(18475), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [625506] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9050), 1,
      anon_sym_COLON2,
    STATE(13146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625530] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9054), 1,
      anon_sym_COLON2,
    STATE(13147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625554] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(16965), 1,
      sym__lowercase_identifier,
    ACTIONS(16967), 1,
      anon_sym_LPAREN,
    ACTIONS(16969), 1,
      anon_sym_LBRACK,
    ACTIONS(16971), 1,
      anon_sym_LBRACE,
    STATE(6404), 1,
      sym_field_path,
    STATE(13148), 1,
      sym_attribute,
    STATE(15990), 1,
      sym_indexing_operator_path,
    STATE(17666), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [625592] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9074), 1,
      anon_sym_COLON2,
    STATE(13149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625616] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11339), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11739), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11341), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [625642] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7320), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16973), 1,
      anon_sym_LPAREN,
    ACTIONS(16975), 1,
      anon_sym_LBRACE,
    ACTIONS(16977), 1,
      sym__uppercase_identifier,
    STATE(8576), 1,
      sym__constructor_name,
    STATE(13151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8765), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [625676] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12323), 1,
      anon_sym_LPAREN,
    ACTIONS(12325), 1,
      anon_sym_LBRACK,
    ACTIONS(16751), 1,
      anon_sym_PIPE,
    STATE(10422), 1,
      sym_variant_declaration,
    STATE(10936), 1,
      sym__constructor_name,
    STATE(11712), 1,
      sym_constructor_declaration,
    STATE(13152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12327), 2,
      anon_sym_true,
      anon_sym_false,
  [625712] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(16979), 1,
      sym__lowercase_identifier,
    ACTIONS(16981), 1,
      anon_sym_LPAREN,
    ACTIONS(16983), 1,
      anon_sym_LBRACK,
    ACTIONS(16985), 1,
      anon_sym_LBRACE,
    STATE(5127), 1,
      sym_field_path,
    STATE(13153), 1,
      sym_attribute,
    STATE(16038), 1,
      sym_indexing_operator_path,
    STATE(18037), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [625750] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12936), 1,
      anon_sym_LPAREN,
    ACTIONS(12938), 1,
      anon_sym_LBRACK,
    ACTIONS(16779), 1,
      anon_sym_PIPE,
    STATE(10374), 1,
      sym_variant_declaration,
    STATE(11273), 1,
      sym__constructor_name,
    STATE(12059), 1,
      sym_constructor_declaration,
    STATE(13154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12940), 2,
      anon_sym_true,
      anon_sym_false,
  [625786] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13155), 1,
      sym_attribute,
    STATE(18872), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [625816] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(16987), 1,
      sym__lowercase_identifier,
    ACTIONS(16989), 1,
      anon_sym_LPAREN,
    ACTIONS(16991), 1,
      anon_sym_LBRACK,
    ACTIONS(16993), 1,
      anon_sym_LBRACE,
    STATE(3792), 1,
      sym_field_path,
    STATE(13156), 1,
      sym_attribute,
    STATE(16013), 1,
      sym_indexing_operator_path,
    STATE(17828), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [625854] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9014), 1,
      anon_sym_COLON2,
    STATE(13157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625878] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      anon_sym_COLON2,
    STATE(13158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625902] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9086), 1,
      anon_sym_COLON2,
    STATE(13159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625926] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13160), 1,
      sym_attribute,
    STATE(19536), 1,
      sym_escape_sequence,
    STATE(20283), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [625956] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9090), 1,
      anon_sym_COLON2,
    STATE(13161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625980] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13162), 1,
      sym_attribute,
    STATE(19536), 1,
      sym_escape_sequence,
    STATE(20227), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626010] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13163), 1,
      sym_attribute,
    STATE(19536), 1,
      sym_escape_sequence,
    STATE(19908), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626040] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13164), 1,
      sym_attribute,
    STATE(17891), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626070] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13165), 1,
      sym_attribute,
    STATE(19536), 1,
      sym_escape_sequence,
    STATE(19602), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626100] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13166), 1,
      sym_attribute,
    STATE(19536), 1,
      sym_escape_sequence,
    STATE(19617), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626130] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(16995), 1,
      sym__lowercase_identifier,
    ACTIONS(16997), 1,
      anon_sym_LPAREN,
    ACTIONS(16999), 1,
      anon_sym_LBRACK,
    ACTIONS(17001), 1,
      anon_sym_LBRACE,
    STATE(4148), 1,
      sym_field_path,
    STATE(13167), 1,
      sym_attribute,
    STATE(15784), 1,
      sym_indexing_operator_path,
    STATE(19760), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [626168] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7397), 1,
      anon_sym_LBRACK,
    ACTIONS(7407), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16953), 1,
      anon_sym_LBRACE,
    ACTIONS(17003), 1,
      anon_sym_LPAREN,
    ACTIONS(17005), 1,
      sym__uppercase_identifier,
    STATE(13168), 1,
      sym_attribute,
    STATE(13708), 1,
      sym__constructor_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13925), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [626202] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9106), 1,
      anon_sym_COLON2,
    STATE(13169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [626226] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(17007), 1,
      sym__lowercase_identifier,
    ACTIONS(17009), 1,
      anon_sym_LPAREN,
    ACTIONS(17011), 1,
      anon_sym_LBRACK,
    ACTIONS(17013), 1,
      anon_sym_LBRACE,
    STATE(6334), 1,
      sym_field_path,
    STATE(13170), 1,
      sym_attribute,
    STATE(15928), 1,
      sym_indexing_operator_path,
    STATE(19254), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [626264] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9124), 1,
      anon_sym_COLON2,
    STATE(13171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [626288] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      anon_sym_LBRACK,
    ACTIONS(4989), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17015), 1,
      anon_sym_LPAREN,
    ACTIONS(17017), 1,
      anon_sym_LBRACE,
    ACTIONS(17019), 1,
      sym__uppercase_identifier,
    STATE(5357), 1,
      sym__constructor_name,
    STATE(13172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5497), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [626322] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(17021), 1,
      sym__lowercase_identifier,
    ACTIONS(17023), 1,
      anon_sym_LPAREN,
    ACTIONS(17025), 1,
      anon_sym_LBRACK,
    ACTIONS(17027), 1,
      anon_sym_LBRACE,
    STATE(2987), 1,
      sym_field_path,
    STATE(13173), 1,
      sym_attribute,
    STATE(15967), 1,
      sym_indexing_operator_path,
    STATE(17504), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [626360] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8288), 1,
      anon_sym_LBRACK,
    ACTIONS(8292), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16018), 1,
      sym__uppercase_identifier,
    ACTIONS(17029), 1,
      anon_sym_LPAREN,
    ACTIONS(17031), 1,
      anon_sym_LBRACE,
    STATE(8130), 1,
      sym__constructor_name,
    STATE(13174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13945), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [626394] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8970), 1,
      anon_sym_COLON2,
    STATE(13175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8972), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [626418] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17037), 1,
      sym__right_quoted_string_delimiter,
    STATE(13176), 1,
      sym_attribute,
    STATE(13338), 1,
      aux_sym_quoted_string_content_repeat1,
    STATE(17566), 1,
      sym_quoted_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17035), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17033), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [626448] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13177), 1,
      sym_attribute,
    STATE(19536), 1,
      sym_escape_sequence,
    STATE(20050), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626478] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13178), 1,
      sym_attribute,
    STATE(19536), 1,
      sym_escape_sequence,
    STATE(20106), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626508] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(17039), 1,
      sym__lowercase_identifier,
    ACTIONS(17041), 1,
      anon_sym_LPAREN,
    ACTIONS(17043), 1,
      anon_sym_LBRACK,
    ACTIONS(17045), 1,
      anon_sym_LBRACE,
    STATE(4969), 1,
      sym_field_path,
    STATE(13179), 1,
      sym_attribute,
    STATE(16176), 1,
      sym_indexing_operator_path,
    STATE(18740), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [626546] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9046), 1,
      anon_sym_COLON2,
    STATE(13180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [626570] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13181), 1,
      sym_attribute,
    STATE(18930), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626600] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13182), 1,
      sym_attribute,
    STATE(18972), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626630] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(17047), 1,
      sym__lowercase_identifier,
    ACTIONS(17049), 1,
      anon_sym_LPAREN,
    ACTIONS(17051), 1,
      anon_sym_LBRACK,
    ACTIONS(17053), 1,
      anon_sym_LBRACE,
    STATE(7201), 1,
      sym_field_path,
    STATE(13183), 1,
      sym_attribute,
    STATE(15875), 1,
      sym_indexing_operator_path,
    STATE(18987), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [626668] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(17055), 1,
      sym__lowercase_identifier,
    ACTIONS(17057), 1,
      anon_sym_LPAREN,
    ACTIONS(17059), 1,
      anon_sym_LBRACK,
    ACTIONS(17061), 1,
      anon_sym_LBRACE,
    STATE(2943), 1,
      sym_field_path,
    STATE(13184), 1,
      sym_attribute,
    STATE(16007), 1,
      sym_indexing_operator_path,
    STATE(17774), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [626706] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7023), 1,
      anon_sym_LBRACK,
    ACTIONS(7033), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17063), 1,
      anon_sym_LPAREN,
    ACTIONS(17065), 1,
      anon_sym_LBRACE,
    ACTIONS(17067), 1,
      sym__uppercase_identifier,
    STATE(7670), 1,
      sym__constructor_name,
    STATE(13185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7612), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [626740] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(17069), 1,
      sym__lowercase_identifier,
    ACTIONS(17071), 1,
      anon_sym_LPAREN,
    ACTIONS(17073), 1,
      anon_sym_LBRACK,
    ACTIONS(17075), 1,
      anon_sym_LBRACE,
    STATE(5815), 1,
      sym_field_path,
    STATE(13186), 1,
      sym_attribute,
    STATE(16094), 1,
      sym_indexing_operator_path,
    STATE(18357), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [626778] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9120), 1,
      anon_sym_COLON2,
    STATE(13187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [626802] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      anon_sym_LBRACK,
    ACTIONS(7461), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17077), 1,
      anon_sym_LPAREN,
    ACTIONS(17079), 1,
      anon_sym_LBRACE,
    ACTIONS(17081), 1,
      sym__uppercase_identifier,
    STATE(8741), 1,
      sym__constructor_name,
    STATE(13188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8649), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [626836] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13189), 1,
      sym_attribute,
    STATE(18994), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626866] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13190), 1,
      sym_attribute,
    STATE(17581), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626896] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13191), 1,
      sym_attribute,
    STATE(18651), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626926] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17083), 1,
      anon_sym_LPAREN,
    ACTIONS(17085), 1,
      anon_sym_LBRACE,
    ACTIONS(17087), 1,
      sym__uppercase_identifier,
    STATE(8315), 1,
      sym__constructor_name,
    STATE(13192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12935), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [626960] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13193), 1,
      sym_attribute,
    STATE(19017), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626990] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(17089), 1,
      sym__lowercase_identifier,
    ACTIONS(17091), 1,
      anon_sym_LPAREN,
    ACTIONS(17093), 1,
      anon_sym_LBRACK,
    ACTIONS(17095), 1,
      anon_sym_LBRACE,
    STATE(2924), 1,
      sym_field_path,
    STATE(13194), 1,
      sym_attribute,
    STATE(16159), 1,
      sym_indexing_operator_path,
    STATE(18666), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [627028] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13195), 1,
      sym_attribute,
    STATE(18194), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627058] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11004), 1,
      anon_sym_in,
    ACTIONS(16726), 1,
      sym__lowercase_identifier,
    ACTIONS(17097), 1,
      anon_sym_POUND,
    STATE(13196), 1,
      sym_attribute,
    STATE(13552), 1,
      sym_type_constructor_path,
    STATE(16557), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11002), 3,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
  [627092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(10862), 7,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [627116] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(17099), 1,
      sym__lowercase_identifier,
    ACTIONS(17101), 1,
      anon_sym_LPAREN,
    ACTIONS(17103), 1,
      anon_sym_LBRACK,
    ACTIONS(17105), 1,
      anon_sym_LBRACE,
    STATE(4009), 1,
      sym_field_path,
    STATE(13198), 1,
      sym_attribute,
    STATE(15476), 1,
      sym_indexing_operator_path,
    STATE(18701), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [627154] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13199), 1,
      sym_attribute,
    STATE(19038), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627184] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(17107), 1,
      sym__lowercase_identifier,
    ACTIONS(17109), 1,
      anon_sym_LPAREN,
    ACTIONS(17111), 1,
      anon_sym_LBRACK,
    ACTIONS(17113), 1,
      anon_sym_LBRACE,
    STATE(3733), 1,
      sym_field_path,
    STATE(13200), 1,
      sym_attribute,
    STATE(15984), 1,
      sym_indexing_operator_path,
    STATE(17612), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [627222] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13201), 1,
      sym_attribute,
    STATE(19062), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627252] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17085), 1,
      anon_sym_LBRACE,
    ACTIONS(17115), 1,
      anon_sym_LPAREN,
    ACTIONS(17117), 1,
      sym__uppercase_identifier,
    STATE(13099), 1,
      sym__constructor_name,
    STATE(13202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12935), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [627286] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17119), 1,
      anon_sym_LPAREN,
    ACTIONS(17121), 1,
      anon_sym_DOT,
    STATE(13203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11205), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [627312] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13204), 1,
      sym_attribute,
    STATE(18926), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627342] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(17123), 1,
      sym__lowercase_identifier,
    ACTIONS(17125), 1,
      anon_sym_LPAREN,
    ACTIONS(17127), 1,
      anon_sym_LBRACK,
    ACTIONS(17129), 1,
      anon_sym_LBRACE,
    STATE(6367), 1,
      sym_field_path,
    STATE(13205), 1,
      sym_attribute,
    STATE(15958), 1,
      sym_indexing_operator_path,
    STATE(17437), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [627380] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8990), 1,
      anon_sym_COLON2,
    STATE(13206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [627404] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13207), 1,
      sym_attribute,
    STATE(19536), 1,
      sym_escape_sequence,
    STATE(19661), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627434] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17131), 1,
      anon_sym_LPAREN,
    ACTIONS(17133), 1,
      anon_sym_LBRACE,
    ACTIONS(17135), 1,
      sym__uppercase_identifier,
    STATE(8387), 1,
      sym__constructor_name,
    STATE(13208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10161), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [627468] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13209), 1,
      sym_attribute,
    STATE(19082), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627498] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(17137), 1,
      sym__lowercase_identifier,
    ACTIONS(17139), 1,
      anon_sym_LPAREN,
    ACTIONS(17141), 1,
      anon_sym_LBRACK,
    ACTIONS(17143), 1,
      anon_sym_LBRACE,
    STATE(9451), 1,
      sym_field_path,
    STATE(13210), 1,
      sym_attribute,
    STATE(16063), 1,
      sym_indexing_operator_path,
    STATE(18197), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [627536] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17085), 1,
      anon_sym_LBRACE,
    ACTIONS(17145), 1,
      anon_sym_LPAREN,
    ACTIONS(17147), 1,
      sym__uppercase_identifier,
    STATE(8745), 1,
      sym__constructor_name,
    STATE(13211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12935), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [627570] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(17149), 1,
      sym__lowercase_identifier,
    ACTIONS(17151), 1,
      anon_sym_LPAREN,
    ACTIONS(17153), 1,
      anon_sym_LBRACK,
    ACTIONS(17155), 1,
      anon_sym_LBRACE,
    STATE(7936), 1,
      sym_field_path,
    STATE(13212), 1,
      sym_attribute,
    STATE(15976), 1,
      sym_indexing_operator_path,
    STATE(17558), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [627608] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13213), 1,
      sym_attribute,
    STATE(19107), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627638] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12323), 1,
      anon_sym_LPAREN,
    ACTIONS(12325), 1,
      anon_sym_LBRACK,
    ACTIONS(16751), 1,
      anon_sym_PIPE,
    STATE(10374), 1,
      sym_variant_declaration,
    STATE(10936), 1,
      sym__constructor_name,
    STATE(11712), 1,
      sym_constructor_declaration,
    STATE(13214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12327), 2,
      anon_sym_true,
      anon_sym_false,
  [627674] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13215), 1,
      sym_attribute,
    STATE(18044), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627704] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13216), 1,
      sym_attribute,
    STATE(19141), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627734] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12175), 1,
      anon_sym_LPAREN,
    ACTIONS(12177), 1,
      anon_sym_LBRACK,
    ACTIONS(16747), 1,
      anon_sym_PIPE,
    STATE(10422), 1,
      sym_variant_declaration,
    STATE(10684), 1,
      sym__constructor_name,
    STATE(11510), 1,
      sym_constructor_declaration,
    STATE(13217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12179), 2,
      anon_sym_true,
      anon_sym_false,
  [627770] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13218), 1,
      sym_attribute,
    STATE(19536), 1,
      sym_escape_sequence,
    STATE(19966), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627800] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13219), 1,
      sym_attribute,
    STATE(18503), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627830] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5049), 1,
      anon_sym_LBRACK,
    ACTIONS(5057), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17157), 1,
      anon_sym_LPAREN,
    ACTIONS(17159), 1,
      anon_sym_LBRACE,
    ACTIONS(17161), 1,
      sym__uppercase_identifier,
    STATE(5339), 1,
      sym__constructor_name,
    STATE(13220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5517), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [627864] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(17163), 1,
      sym__lowercase_identifier,
    ACTIONS(17165), 1,
      anon_sym_LPAREN,
    ACTIONS(17167), 1,
      anon_sym_LBRACK,
    ACTIONS(17169), 1,
      anon_sym_LBRACE,
    STATE(4946), 1,
      sym_field_path,
    STATE(13221), 1,
      sym_attribute,
    STATE(16033), 1,
      sym_indexing_operator_path,
    STATE(17990), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [627902] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(17171), 1,
      sym__lowercase_identifier,
    ACTIONS(17173), 1,
      anon_sym_LPAREN,
    ACTIONS(17175), 1,
      anon_sym_LBRACK,
    ACTIONS(17177), 1,
      anon_sym_LBRACE,
    STATE(3517), 1,
      sym_field_path,
    STATE(13222), 1,
      sym_attribute,
    STATE(16100), 1,
      sym_indexing_operator_path,
    STATE(18397), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [627940] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13223), 1,
      sym_attribute,
    STATE(19171), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627970] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13224), 1,
      sym_attribute,
    STATE(18895), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [628000] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9022), 1,
      anon_sym_COLON2,
    STATE(13225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9024), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [628024] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9036), 1,
      anon_sym_COLON2,
    STATE(13226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [628048] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12175), 1,
      anon_sym_LPAREN,
    ACTIONS(12177), 1,
      anon_sym_LBRACK,
    ACTIONS(16747), 1,
      anon_sym_PIPE,
    STATE(10374), 1,
      sym_variant_declaration,
    STATE(10684), 1,
      sym__constructor_name,
    STATE(11510), 1,
      sym_constructor_declaration,
    STATE(13227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12179), 2,
      anon_sym_true,
      anon_sym_false,
  [628084] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      anon_sym_COLON2,
    STATE(13228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [628108] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8978), 1,
      anon_sym_COLON2,
    STATE(13229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8980), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [628132] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9018), 1,
      anon_sym_COLON2,
    STATE(13230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [628156] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13231), 1,
      sym_attribute,
    STATE(19202), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [628186] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13232), 1,
      sym_attribute,
    STATE(18647), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [628216] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13233), 1,
      sym_attribute,
    STATE(19420), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [628246] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13234), 1,
      sym_attribute,
    STATE(17992), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [628276] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(17179), 1,
      anon_sym_LPAREN,
    ACTIONS(17181), 1,
      anon_sym_LBRACK,
    STATE(10609), 1,
      sym_constructor_declaration,
    STATE(11177), 1,
      sym__constructor_name,
    STATE(13235), 1,
      sym_attribute,
    STATE(13476), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17183), 2,
      anon_sym_true,
      anon_sym_false,
  [628312] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(17185), 1,
      anon_sym_LPAREN,
    ACTIONS(17187), 1,
      anon_sym_LBRACK,
    STATE(10609), 1,
      sym_constructor_declaration,
    STATE(11460), 1,
      sym__constructor_name,
    STATE(13236), 1,
      sym_attribute,
    STATE(13416), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17189), 2,
      anon_sym_true,
      anon_sym_false,
  [628348] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(17191), 1,
      sym__lowercase_identifier,
    ACTIONS(17193), 1,
      anon_sym_LPAREN,
    ACTIONS(17195), 1,
      anon_sym_LBRACK,
    ACTIONS(17197), 1,
      anon_sym_LBRACE,
    STATE(4790), 1,
      sym_field_path,
    STATE(13237), 1,
      sym_attribute,
    STATE(15949), 1,
      sym_indexing_operator_path,
    STATE(20056), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [628386] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13238), 1,
      sym_attribute,
    STATE(19536), 1,
      sym_escape_sequence,
    STATE(19784), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [628416] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13239), 1,
      sym_attribute,
    STATE(19536), 1,
      sym_escape_sequence,
    STATE(19622), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [628446] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17199), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [628468] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4977), 1,
      anon_sym_COLON2,
    STATE(13241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4975), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [628492] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(17201), 1,
      anon_sym_LPAREN,
    ACTIONS(17203), 1,
      anon_sym_LBRACK,
    STATE(10609), 1,
      sym_constructor_declaration,
    STATE(11798), 1,
      sym__constructor_name,
    STATE(13242), 1,
      sym_attribute,
    STATE(13532), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17205), 2,
      anon_sym_true,
      anon_sym_false,
  [628528] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(17207), 1,
      sym__lowercase_identifier,
    ACTIONS(17209), 1,
      anon_sym_LPAREN,
    ACTIONS(17211), 1,
      anon_sym_LBRACK,
    ACTIONS(17213), 1,
      anon_sym_LBRACE,
    STATE(6092), 1,
      sym_field_path,
    STATE(13243), 1,
      sym_attribute,
    STATE(16076), 1,
      sym_indexing_operator_path,
    STATE(18277), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [628566] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13244), 1,
      sym_attribute,
    STATE(17615), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [628596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16821), 1,
      anon_sym_DASH_GT,
    STATE(13245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12211), 8,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [628620] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8982), 1,
      anon_sym_COLON2,
    STATE(13246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8984), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [628644] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(17215), 1,
      sym__lowercase_identifier,
    ACTIONS(17217), 1,
      anon_sym_LPAREN,
    ACTIONS(17219), 1,
      anon_sym_LBRACK,
    ACTIONS(17221), 1,
      anon_sym_LBRACE,
    STATE(5805), 1,
      sym_field_path,
    STATE(13247), 1,
      sym_attribute,
    STATE(16153), 1,
      sym_indexing_operator_path,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [628682] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(17223), 1,
      sym__lowercase_identifier,
    ACTIONS(17225), 1,
      anon_sym_LPAREN,
    ACTIONS(17227), 1,
      anon_sym_LBRACK,
    ACTIONS(17229), 1,
      anon_sym_LBRACE,
    STATE(6022), 1,
      sym_field_path,
    STATE(13248), 1,
      sym_attribute,
    STATE(16043), 1,
      sym_indexing_operator_path,
    STATE(18077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [628720] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11223), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [628742] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13250), 1,
      sym_attribute,
    STATE(18342), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [628772] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13251), 1,
      sym_attribute,
    STATE(18097), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [628802] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(17231), 1,
      sym__lowercase_identifier,
    ACTIONS(17233), 1,
      anon_sym_LPAREN,
    ACTIONS(17235), 1,
      anon_sym_LBRACK,
    ACTIONS(17237), 1,
      anon_sym_LBRACE,
    STATE(6323), 1,
      sym_field_path,
    STATE(13252), 1,
      sym_attribute,
    STATE(15922), 1,
      sym_indexing_operator_path,
    STATE(18807), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [628840] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13253), 1,
      sym_attribute,
    STATE(18817), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [628870] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13254), 1,
      sym_attribute,
    STATE(17571), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [628900] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(17239), 1,
      sym__lowercase_identifier,
    ACTIONS(17241), 1,
      anon_sym_LPAREN,
    ACTIONS(17243), 1,
      anon_sym_LBRACK,
    ACTIONS(17245), 1,
      anon_sym_LBRACE,
    STATE(4677), 1,
      sym_field_path,
    STATE(13255), 1,
      sym_attribute,
    STATE(16127), 1,
      sym_indexing_operator_path,
    STATE(18514), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [628938] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12169), 1,
      anon_sym_LPAREN,
    ACTIONS(12171), 1,
      anon_sym_LBRACK,
    ACTIONS(16775), 1,
      anon_sym_PIPE,
    STATE(10374), 1,
      sym_variant_declaration,
    STATE(10820), 1,
      sym__constructor_name,
    STATE(11468), 1,
      sym_constructor_declaration,
    STATE(13256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12173), 2,
      anon_sym_true,
      anon_sym_false,
  [628974] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11101), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [628996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11101), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(11097), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [629020] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8974), 1,
      anon_sym_COLON2,
    STATE(13259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8976), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [629044] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(17247), 1,
      sym__lowercase_identifier,
    ACTIONS(17249), 1,
      anon_sym_LPAREN,
    ACTIONS(17251), 1,
      anon_sym_LBRACK,
    ACTIONS(17253), 1,
      anon_sym_LBRACE,
    STATE(7133), 1,
      sym_field_path,
    STATE(13260), 1,
      sym_attribute,
    STATE(16108), 1,
      sym_indexing_operator_path,
    STATE(18436), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629082] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(17255), 1,
      sym__lowercase_identifier,
    ACTIONS(17257), 1,
      anon_sym_LPAREN,
    ACTIONS(17259), 1,
      anon_sym_LBRACK,
    ACTIONS(17261), 1,
      anon_sym_LBRACE,
    STATE(6052), 1,
      sym_field_path,
    STATE(13261), 1,
      sym_attribute,
    STATE(16051), 1,
      sym_indexing_operator_path,
    STATE(18117), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629120] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6705), 1,
      anon_sym_LBRACK,
    ACTIONS(6715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17135), 1,
      sym__uppercase_identifier,
    ACTIONS(17263), 1,
      anon_sym_LPAREN,
    ACTIONS(17265), 1,
      anon_sym_LBRACE,
    STATE(8387), 1,
      sym__constructor_name,
    STATE(13262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [629154] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(17267), 1,
      sym__lowercase_identifier,
    ACTIONS(17269), 1,
      anon_sym_LPAREN,
    ACTIONS(17271), 1,
      anon_sym_LBRACK,
    ACTIONS(17273), 1,
      anon_sym_LBRACE,
    STATE(5678), 1,
      sym_field_path,
    STATE(13263), 1,
      sym_attribute,
    STATE(16025), 1,
      sym_indexing_operator_path,
    STATE(17936), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629192] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9030), 1,
      anon_sym_COLON2,
    STATE(13264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9032), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [629216] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13265), 1,
      sym_attribute,
    STATE(17821), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [629246] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9114), 1,
      anon_sym_COLON2,
    STATE(13266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [629270] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13267), 1,
      sym_attribute,
    STATE(19536), 1,
      sym_escape_sequence,
    STATE(19711), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [629300] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10328), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__lowercase_identifier,
    ACTIONS(10330), 5,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
  [629324] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(17049), 1,
      anon_sym_LPAREN,
    ACTIONS(17051), 1,
      anon_sym_LBRACK,
    ACTIONS(17053), 1,
      anon_sym_LBRACE,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(7201), 1,
      sym_field_path,
    STATE(13269), 1,
      sym_attribute,
    STATE(15875), 1,
      sym_indexing_operator_path,
    STATE(17428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629362] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13270), 1,
      sym_attribute,
    STATE(18580), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [629392] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13271), 1,
      sym_attribute,
    STATE(19207), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [629422] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13272), 1,
      sym_attribute,
    STATE(18061), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [629452] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11639), 1,
      anon_sym_COLON2,
    ACTIONS(17277), 1,
      anon_sym_LPAREN,
    STATE(13448), 1,
      sym_module_parameter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13273), 2,
      sym_attribute,
      aux_sym_module_binding_repeat1,
    ACTIONS(11637), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [629480] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(17280), 1,
      anon_sym_LPAREN,
    ACTIONS(17282), 1,
      anon_sym_LBRACK,
    ACTIONS(17286), 1,
      sym__uppercase_identifier,
    STATE(13274), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__attribute,
    STATE(14220), 1,
      sym__constructor_name,
    STATE(14837), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17284), 2,
      anon_sym_true,
      anon_sym_false,
  [629516] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17288), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [629538] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      aux_sym_character_content_token2,
    STATE(13276), 1,
      sym_attribute,
    STATE(17660), 1,
      sym_character_content,
    STATE(19536), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16791), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16795), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [629568] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(16805), 1,
      sym_indexing_operator,
    ACTIONS(17290), 1,
      sym__lowercase_identifier,
    ACTIONS(17292), 1,
      anon_sym_LPAREN,
    ACTIONS(17294), 1,
      anon_sym_LBRACK,
    ACTIONS(17296), 1,
      anon_sym_LBRACE,
    STATE(2896), 1,
      sym_field_path,
    STATE(13277), 1,
      sym_attribute,
    STATE(16133), 1,
      sym_indexing_operator_path,
    STATE(18552), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629606] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17298), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(13278), 1,
      sym_attribute,
    STATE(13334), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12201), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [629633] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    ACTIONS(14453), 1,
      anon_sym_POUND,
    ACTIONS(17300), 1,
      anon_sym_SEMI,
    ACTIONS(17302), 1,
      anon_sym_GT,
    STATE(12120), 1,
      sym_type_constructor_path,
    STATE(13279), 1,
      sym_attribute,
    STATE(15121), 1,
      aux_sym_object_type_repeat1,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629668] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17304), 1,
      anon_sym_EQ,
    ACTIONS(17306), 1,
      anon_sym_RPAREN,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    STATE(13280), 1,
      sym_attribute,
    STATE(16536), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629703] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9946), 1,
      anon_sym_LBRACK,
    ACTIONS(9948), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17310), 1,
      sym__lowercase_identifier,
    ACTIONS(17312), 1,
      anon_sym_LPAREN,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    STATE(13281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11001), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [629736] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17316), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13282), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12183), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [629761] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11151), 1,
      anon_sym_LBRACK,
    ACTIONS(11153), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11155), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17319), 1,
      sym__lowercase_identifier,
    ACTIONS(17321), 1,
      anon_sym_LPAREN,
    STATE(13283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10779), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [629794] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    ACTIONS(14453), 1,
      anon_sym_POUND,
    ACTIONS(17323), 1,
      anon_sym_SEMI,
    ACTIONS(17325), 1,
      anon_sym_GT,
    STATE(12120), 1,
      sym_type_constructor_path,
    STATE(13284), 1,
      sym_attribute,
    STATE(15629), 1,
      aux_sym_object_type_repeat1,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629829] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17327), 1,
      sym__lowercase_identifier,
    ACTIONS(17329), 1,
      anon_sym_LPAREN,
    STATE(13285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12482), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [629862] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7773), 1,
      anon_sym_POUND,
    STATE(13286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      sym_hash_operator,
  [629885] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17329), 1,
      anon_sym_LPAREN,
    ACTIONS(17331), 1,
      sym__lowercase_identifier,
    STATE(13287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12482), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [629918] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17333), 1,
      anon_sym_and,
    STATE(13288), 1,
      sym_attribute,
    STATE(13298), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13126), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [629943] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    ACTIONS(14453), 1,
      anon_sym_POUND,
    ACTIONS(17335), 1,
      anon_sym_SEMI,
    ACTIONS(17337), 1,
      anon_sym_GT,
    STATE(12120), 1,
      sym_type_constructor_path,
    STATE(13289), 1,
      sym_attribute,
    STATE(15940), 1,
      aux_sym_object_type_repeat1,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629978] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7864), 1,
      anon_sym_POUND,
    STATE(13290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      sym_hash_operator,
  [630001] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11656), 8,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [630022] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11181), 1,
      anon_sym_LBRACK,
    ACTIONS(11183), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11185), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17339), 1,
      sym__lowercase_identifier,
    ACTIONS(17341), 1,
      anon_sym_LPAREN,
    STATE(13292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10723), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [630055] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    ACTIONS(14453), 1,
      anon_sym_POUND,
    ACTIONS(17343), 1,
      anon_sym_SEMI,
    ACTIONS(17345), 1,
      anon_sym_GT,
    STATE(12120), 1,
      sym_type_constructor_path,
    STATE(13293), 1,
      sym_attribute,
    STATE(15477), 1,
      aux_sym_object_type_repeat1,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630090] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    ACTIONS(10602), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17347), 1,
      sym__lowercase_identifier,
    ACTIONS(17349), 1,
      anon_sym_LPAREN,
    STATE(13294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8911), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [630123] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17357), 1,
      sym__right_quoted_string_delimiter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17354), 2,
      sym__null,
      aux_sym_string_content_token2,
    STATE(13295), 2,
      sym_attribute,
      aux_sym_quoted_string_content_repeat1,
    ACTIONS(17351), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [630148] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    ACTIONS(14453), 1,
      anon_sym_POUND,
    ACTIONS(17359), 1,
      anon_sym_SEMI,
    ACTIONS(17361), 1,
      anon_sym_GT,
    STATE(12120), 1,
      sym_type_constructor_path,
    STATE(13296), 1,
      sym_attribute,
    STATE(15642), 1,
      aux_sym_object_type_repeat1,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630183] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11131), 1,
      anon_sym_LBRACK,
    ACTIONS(11133), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11135), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17363), 1,
      sym__lowercase_identifier,
    ACTIONS(17365), 1,
      anon_sym_LPAREN,
    STATE(13297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10591), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [630216] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17333), 1,
      anon_sym_and,
    STATE(13298), 1,
      sym_attribute,
    STATE(13300), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12942), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [630241] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17329), 1,
      anon_sym_LPAREN,
    ACTIONS(17367), 1,
      sym__lowercase_identifier,
    STATE(13299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12482), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [630274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17369), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13300), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11771), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [630297] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17329), 1,
      anon_sym_LPAREN,
    ACTIONS(17372), 1,
      sym__lowercase_identifier,
    STATE(13301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12482), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [630330] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12019), 1,
      anon_sym_in,
    ACTIONS(16726), 1,
      sym__lowercase_identifier,
    ACTIONS(16728), 1,
      anon_sym_POUND,
    STATE(13302), 1,
      sym_attribute,
    STATE(13386), 1,
      sym_type_constructor_path,
    STATE(16557), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12017), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
  [630363] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17374), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [630384] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17376), 1,
      anon_sym_STAR,
    STATE(13304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10225), 7,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [630407] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17329), 1,
      anon_sym_LPAREN,
    ACTIONS(17378), 1,
      sym__lowercase_identifier,
    STATE(13305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12482), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [630440] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    ACTIONS(14453), 1,
      anon_sym_POUND,
    ACTIONS(17380), 1,
      anon_sym_SEMI,
    ACTIONS(17382), 1,
      anon_sym_GT,
    STATE(12120), 1,
      sym_type_constructor_path,
    STATE(13306), 1,
      sym_attribute,
    STATE(15492), 1,
      aux_sym_object_type_repeat1,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630475] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9298), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9300), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10709), 1,
      anon_sym_LBRACK,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17384), 1,
      sym__lowercase_identifier,
    ACTIONS(17386), 1,
      anon_sym_LPAREN,
    STATE(13307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9303), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [630508] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10717), 1,
      anon_sym_LBRACK,
    ACTIONS(10719), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10721), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17388), 1,
      sym__lowercase_identifier,
    ACTIONS(17390), 1,
      anon_sym_LPAREN,
    STATE(13308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9012), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [630541] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    ACTIONS(14453), 1,
      anon_sym_POUND,
    ACTIONS(17392), 1,
      anon_sym_SEMI,
    ACTIONS(17394), 1,
      anon_sym_GT,
    STATE(12120), 1,
      sym_type_constructor_path,
    STATE(13309), 1,
      sym_attribute,
    STATE(14973), 1,
      aux_sym_object_type_repeat1,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630576] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9738), 1,
      anon_sym_LBRACK,
    ACTIONS(9740), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9742), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17396), 1,
      sym__lowercase_identifier,
    ACTIONS(17398), 1,
      anon_sym_LPAREN,
    STATE(13310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12513), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [630609] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10524), 1,
      anon_sym_LBRACK,
    ACTIONS(10526), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10528), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17400), 1,
      sym__lowercase_identifier,
    ACTIONS(17402), 1,
      anon_sym_LPAREN,
    STATE(13311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13000), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [630642] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17404), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [630663] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    ACTIONS(14453), 1,
      anon_sym_POUND,
    ACTIONS(17406), 1,
      anon_sym_SEMI,
    ACTIONS(17408), 1,
      anon_sym_GT,
    STATE(12120), 1,
      sym_type_constructor_path,
    STATE(13313), 1,
      sym_attribute,
    STATE(16124), 1,
      aux_sym_object_type_repeat1,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630698] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10758), 1,
      anon_sym_LBRACK,
    ACTIONS(10760), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10762), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17410), 1,
      sym__lowercase_identifier,
    ACTIONS(17412), 1,
      anon_sym_LPAREN,
    STATE(13314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12777), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [630731] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10750), 1,
      anon_sym_LBRACK,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17414), 1,
      sym__lowercase_identifier,
    ACTIONS(17416), 1,
      anon_sym_LPAREN,
    STATE(13315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9854), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [630764] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10037), 1,
      anon_sym_LBRACK,
    ACTIONS(10039), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10041), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17418), 1,
      sym__lowercase_identifier,
    ACTIONS(17420), 1,
      anon_sym_LPAREN,
    STATE(13316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10771), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [630797] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10662), 1,
      anon_sym_LBRACK,
    ACTIONS(10664), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10666), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17422), 1,
      sym__lowercase_identifier,
    ACTIONS(17424), 1,
      anon_sym_LPAREN,
    STATE(13317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9394), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [630830] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    ACTIONS(14453), 1,
      anon_sym_POUND,
    ACTIONS(17426), 1,
      anon_sym_SEMI,
    ACTIONS(17428), 1,
      anon_sym_GT,
    STATE(12120), 1,
      sym_type_constructor_path,
    STATE(13318), 1,
      sym_attribute,
    STATE(15764), 1,
      aux_sym_object_type_repeat1,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630865] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10592), 1,
      anon_sym_LBRACK,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17430), 1,
      sym__lowercase_identifier,
    ACTIONS(17432), 1,
      anon_sym_LPAREN,
    STATE(13319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9560), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [630898] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_POUND,
    STATE(13320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 3,
      anon_sym_DOT,
      anon_sym_with,
      sym_hash_operator,
    ACTIONS(7866), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [630923] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11107), 1,
      anon_sym_LBRACK,
    ACTIONS(11109), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11111), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17434), 1,
      sym__lowercase_identifier,
    ACTIONS(17436), 1,
      anon_sym_LPAREN,
    STATE(13321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13475), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [630956] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11079), 1,
      anon_sym_LBRACK,
    ACTIONS(11081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17438), 1,
      sym__lowercase_identifier,
    ACTIONS(17440), 1,
      anon_sym_LPAREN,
    STATE(13322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10502), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [630989] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10546), 1,
      anon_sym_LBRACK,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17442), 1,
      sym__lowercase_identifier,
    ACTIONS(17444), 1,
      anon_sym_LPAREN,
    STATE(13323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9618), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [631022] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    ACTIONS(14453), 1,
      anon_sym_POUND,
    ACTIONS(17446), 1,
      anon_sym_SEMI,
    ACTIONS(17448), 1,
      anon_sym_GT,
    STATE(12120), 1,
      sym_type_constructor_path,
    STATE(13324), 1,
      sym_attribute,
    STATE(15169), 1,
      aux_sym_object_type_repeat1,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631057] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    ACTIONS(14453), 1,
      anon_sym_POUND,
    ACTIONS(17450), 1,
      anon_sym_SEMI,
    ACTIONS(17452), 1,
      anon_sym_GT,
    STATE(12120), 1,
      sym_type_constructor_path,
    STATE(13325), 1,
      sym_attribute,
    STATE(15389), 1,
      aux_sym_object_type_repeat1,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631092] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    ACTIONS(14453), 1,
      anon_sym_POUND,
    ACTIONS(17454), 1,
      anon_sym_SEMI,
    ACTIONS(17456), 1,
      anon_sym_GT,
    STATE(12120), 1,
      sym_type_constructor_path,
    STATE(13326), 1,
      sym_attribute,
    STATE(15049), 1,
      aux_sym_object_type_repeat1,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631127] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    ACTIONS(14453), 1,
      anon_sym_POUND,
    ACTIONS(17458), 1,
      anon_sym_SEMI,
    ACTIONS(17460), 1,
      anon_sym_GT,
    STATE(12120), 1,
      sym_type_constructor_path,
    STATE(13327), 1,
      sym_attribute,
    STATE(15589), 1,
      aux_sym_object_type_repeat1,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631162] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    ACTIONS(14453), 1,
      anon_sym_POUND,
    ACTIONS(17462), 1,
      anon_sym_SEMI,
    ACTIONS(17464), 1,
      anon_sym_GT,
    STATE(12120), 1,
      sym_type_constructor_path,
    STATE(13328), 1,
      sym_attribute,
    STATE(16116), 1,
      aux_sym_object_type_repeat1,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631197] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    ACTIONS(14453), 1,
      anon_sym_POUND,
    ACTIONS(17466), 1,
      anon_sym_SEMI,
    ACTIONS(17468), 1,
      anon_sym_GT,
    STATE(12120), 1,
      sym_type_constructor_path,
    STATE(13329), 1,
      sym_attribute,
    STATE(15859), 1,
      aux_sym_object_type_repeat1,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631232] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7619), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17329), 1,
      anon_sym_LPAREN,
    ACTIONS(17470), 1,
      sym__lowercase_identifier,
    STATE(13330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12482), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [631265] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17298), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(13331), 1,
      sym_attribute,
    STATE(13333), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12195), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [631292] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    ACTIONS(14453), 1,
      anon_sym_POUND,
    ACTIONS(17472), 1,
      anon_sym_SEMI,
    ACTIONS(17474), 1,
      anon_sym_GT,
    STATE(12120), 1,
      sym_type_constructor_path,
    STATE(13332), 1,
      sym_attribute,
    STATE(15972), 1,
      aux_sym_object_type_repeat1,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631327] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17298), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(13282), 1,
      aux_sym_type_binding_repeat1,
    STATE(13333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12201), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [631354] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17298), 1,
      anon_sym_constraint,
    STATE(9199), 1,
      sym_type_constraint,
    STATE(13282), 1,
      aux_sym_type_binding_repeat1,
    STATE(13334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12205), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [631381] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    ACTIONS(14453), 1,
      anon_sym_POUND,
    ACTIONS(17476), 1,
      anon_sym_SEMI,
    ACTIONS(17478), 1,
      anon_sym_GT,
    STATE(12120), 1,
      sym_type_constructor_path,
    STATE(13335), 1,
      sym_attribute,
    STATE(15274), 1,
      aux_sym_object_type_repeat1,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631416] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11039), 1,
      anon_sym_LBRACK,
    ACTIONS(11041), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11043), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17480), 1,
      sym__lowercase_identifier,
    ACTIONS(17482), 1,
      anon_sym_LPAREN,
    STATE(13336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10039), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [631449] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    ACTIONS(14453), 1,
      anon_sym_POUND,
    ACTIONS(17484), 1,
      anon_sym_SEMI,
    ACTIONS(17486), 1,
      anon_sym_GT,
    STATE(12120), 1,
      sym_type_constructor_path,
    STATE(13337), 1,
      sym_attribute,
    STATE(16322), 1,
      aux_sym_object_type_repeat1,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631484] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17488), 1,
      sym__right_quoted_string_delimiter,
    STATE(13295), 1,
      aux_sym_quoted_string_content_repeat1,
    STATE(13338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17035), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17033), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [631511] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17490), 1,
      anon_sym_EQ,
    ACTIONS(17492), 1,
      anon_sym_RPAREN,
    STATE(13339), 1,
      sym_attribute,
    STATE(17205), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631546] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    ACTIONS(14453), 1,
      anon_sym_POUND,
    ACTIONS(17494), 1,
      anon_sym_SEMI,
    ACTIONS(17496), 1,
      anon_sym_GT,
    STATE(12120), 1,
      sym_type_constructor_path,
    STATE(13340), 1,
      sym_attribute,
    STATE(16274), 1,
      aux_sym_object_type_repeat1,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631581] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17498), 1,
      anon_sym_EQ,
    ACTIONS(17500), 1,
      anon_sym_RPAREN,
    STATE(13341), 1,
      sym_attribute,
    STATE(17106), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631616] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11061), 1,
      anon_sym_LBRACK,
    ACTIONS(11063), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11065), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17502), 1,
      sym__lowercase_identifier,
    ACTIONS(17504), 1,
      anon_sym_LPAREN,
    STATE(13342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9982), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [631649] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_POUND,
    STATE(13343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 3,
      anon_sym_DOT,
      anon_sym_with,
      sym_hash_operator,
    ACTIONS(7775), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [631674] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9990), 1,
      anon_sym_LBRACK,
    ACTIONS(9992), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9994), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17506), 1,
      sym__lowercase_identifier,
    ACTIONS(17508), 1,
      anon_sym_LPAREN,
    STATE(13344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11624), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [631707] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17510), 1,
      anon_sym_EQ,
    ACTIONS(17512), 1,
      anon_sym_RPAREN,
    STATE(13345), 1,
      sym_attribute,
    STATE(16973), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631742] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    ACTIONS(14453), 1,
      anon_sym_POUND,
    ACTIONS(17514), 1,
      anon_sym_SEMI,
    ACTIONS(17516), 1,
      anon_sym_GT,
    STATE(12120), 1,
      sym_type_constructor_path,
    STATE(13346), 1,
      sym_attribute,
    STATE(15367), 1,
      aux_sym_object_type_repeat1,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631777] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9232), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10650), 1,
      anon_sym_LBRACK,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17518), 1,
      sym__lowercase_identifier,
    ACTIONS(17520), 1,
      anon_sym_LPAREN,
    STATE(13347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9343), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [631810] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    ACTIONS(14453), 1,
      anon_sym_POUND,
    ACTIONS(17522), 1,
      anon_sym_SEMI,
    ACTIONS(17524), 1,
      anon_sym_GT,
    STATE(12120), 1,
      sym_type_constructor_path,
    STATE(13348), 1,
      sym_attribute,
    STATE(15791), 1,
      aux_sym_object_type_repeat1,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631845] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    ACTIONS(14453), 1,
      anon_sym_POUND,
    ACTIONS(17526), 1,
      anon_sym_SEMI,
    ACTIONS(17528), 1,
      anon_sym_GT,
    STATE(12120), 1,
      sym_type_constructor_path,
    STATE(13349), 1,
      sym_attribute,
    STATE(14971), 1,
      aux_sym_object_type_repeat1,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631880] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17530), 1,
      anon_sym_EQ,
    ACTIONS(17532), 1,
      anon_sym_RPAREN,
    STATE(13350), 1,
      sym_attribute,
    STATE(16702), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631915] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17534), 1,
      anon_sym_EQ,
    ACTIONS(17536), 1,
      anon_sym_RPAREN,
    STATE(13351), 1,
      sym_attribute,
    STATE(16728), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631950] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17540), 1,
      anon_sym__,
    ACTIONS(17542), 1,
      anon_sym_RBRACE,
    STATE(13352), 1,
      sym_attribute,
    STATE(14035), 1,
      sym_field_path,
    STATE(16445), 1,
      sym_field_binding_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631982] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17544), 1,
      anon_sym_RPAREN,
    STATE(13353), 1,
      sym_attribute,
    STATE(17953), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632014] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17546), 1,
      anon_sym_RPAREN,
    STATE(13354), 1,
      sym_attribute,
    STATE(17622), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632046] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(17548), 1,
      sym__lowercase_identifier,
    ACTIONS(17550), 1,
      anon_sym_type,
    ACTIONS(17552), 1,
      anon_sym_LBRACK,
    ACTIONS(17554), 1,
      anon_sym_virtual,
    STATE(11943), 1,
      sym_class_binding,
    STATE(13355), 1,
      sym_attribute,
    STATE(14788), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632078] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17556), 1,
      anon_sym__,
    ACTIONS(17558), 1,
      anon_sym_RBRACE,
    STATE(13356), 1,
      sym_attribute,
    STATE(14035), 1,
      sym_field_path,
    STATE(16445), 1,
      sym_field_binding_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632110] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17560), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_PIPE,
    ACTIONS(17564), 1,
      anon_sym_RBRACK,
    ACTIONS(17566), 1,
      anon_sym_SEMI,
    ACTIONS(17568), 1,
      anon_sym_as,
    ACTIONS(17570), 1,
      anon_sym_COLON_COLON,
    STATE(13357), 1,
      sym_attribute,
    STATE(16079), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632142] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17572), 1,
      anon_sym__,
    ACTIONS(17574), 1,
      anon_sym_RBRACE,
    STATE(13358), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(17386), 1,
      sym_field_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632174] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17576), 1,
      anon_sym_RPAREN,
    STATE(13359), 1,
      sym_attribute,
    STATE(18786), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632206] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17578), 1,
      anon_sym_COMMA,
    ACTIONS(17580), 1,
      anon_sym_PIPE,
    ACTIONS(17582), 1,
      anon_sym_RBRACK,
    ACTIONS(17584), 1,
      anon_sym_SEMI,
    ACTIONS(17586), 1,
      anon_sym_COLON_COLON,
    STATE(13360), 1,
      sym_attribute,
    STATE(16017), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632238] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17588), 1,
      anon_sym_RPAREN,
    STATE(13361), 1,
      sym_attribute,
    STATE(17892), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12051), 1,
      anon_sym_COLON2,
    STATE(13362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12049), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [632292] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17590), 1,
      anon_sym_DASH_GT,
    ACTIONS(17592), 1,
      anon_sym_when,
    STATE(13363), 1,
      sym_attribute,
    STATE(17678), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632324] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(16893), 1,
      anon_sym_LPAREN,
    ACTIONS(16895), 1,
      anon_sym_LBRACK,
    STATE(10703), 1,
      sym_constructor_declaration,
    STATE(11815), 1,
      sym__constructor_name,
    STATE(13364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16897), 2,
      anon_sym_true,
      anon_sym_false,
  [632354] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4977), 1,
      anon_sym_PIPE,
    ACTIONS(17594), 1,
      anon_sym_DOT_DOT,
    STATE(13365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4975), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [632378] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17596), 1,
      anon_sym_RPAREN,
    STATE(13366), 1,
      sym_attribute,
    STATE(18362), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632410] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(17598), 1,
      anon_sym_rec,
    ACTIONS(17600), 1,
      anon_sym_type,
    STATE(12373), 1,
      sym_module_binding,
    STATE(13367), 1,
      sym_attribute,
    STATE(14554), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17602), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [632440] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17604), 1,
      anon_sym_RPAREN,
    STATE(13368), 1,
      sym_attribute,
    STATE(17629), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11295), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11297), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [632494] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11771), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [632514] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    STATE(13371), 1,
      sym_attribute,
    STATE(20304), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632546] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17608), 1,
      anon_sym_RPAREN,
    STATE(13372), 1,
      sym_attribute,
    STATE(18368), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632578] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17610), 1,
      anon_sym__,
    ACTIONS(17612), 1,
      anon_sym_RBRACE,
    STATE(13373), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(17386), 1,
      sym_field_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632610] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(17614), 1,
      anon_sym_DASH_GT,
    STATE(13374), 1,
      sym_attribute,
    STATE(18687), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632642] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(17616), 1,
      anon_sym_DASH_GT,
    STATE(13375), 1,
      sym_attribute,
    STATE(17840), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632674] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(17618), 1,
      anon_sym_DASH_GT,
    STATE(13376), 1,
      sym_attribute,
    STATE(19248), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632706] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17620), 1,
      anon_sym_RPAREN,
    STATE(13377), 1,
      sym_attribute,
    STATE(18082), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632738] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(17622), 1,
      anon_sym_DASH_GT,
    STATE(13378), 1,
      sym_attribute,
    STATE(17657), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632770] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(17624), 1,
      anon_sym__,
    STATE(13379), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(15877), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [632800] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17626), 1,
      anon_sym__,
    ACTIONS(17628), 1,
      anon_sym_RBRACE,
    STATE(13380), 1,
      sym_attribute,
    STATE(14035), 1,
      sym_field_path,
    STATE(16445), 1,
      sym_field_binding_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632832] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17630), 1,
      anon_sym_RPAREN,
    STATE(13381), 1,
      sym_attribute,
    STATE(19339), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11405), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11407), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [632886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11411), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [632908] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17632), 1,
      anon_sym__,
    ACTIONS(17634), 1,
      anon_sym_RBRACE,
    STATE(13384), 1,
      sym_attribute,
    STATE(14035), 1,
      sym_field_path,
    STATE(16445), 1,
      sym_field_binding_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11419), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [632962] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11421), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11423), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [632984] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(13387), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(15828), 1,
      sym_field_pattern,
    STATE(19987), 1,
      sym__quoted_string,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633016] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17636), 1,
      anon_sym_RPAREN,
    STATE(13388), 1,
      sym_attribute,
    STATE(17448), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633048] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(13389), 1,
      sym_attribute,
    STATE(14035), 1,
      sym_field_path,
    STATE(15861), 1,
      sym_field_binding_pattern,
    STATE(19706), 1,
      sym__quoted_string,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633080] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(17638), 1,
      anon_sym_DASH_GT,
    STATE(13390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12295), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
  [633104] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7980), 1,
      anon_sym_PIPE,
    ACTIONS(8046), 1,
      anon_sym_DOT,
    STATE(13391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [633128] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(17640), 1,
      anon_sym_DASH_GT,
    STATE(13392), 1,
      sym_attribute,
    STATE(18706), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633160] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11375), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11377), 1,
      anon_sym_in,
    ACTIONS(16726), 1,
      sym__lowercase_identifier,
    ACTIONS(16728), 1,
      anon_sym_POUND,
    STATE(13386), 1,
      sym_type_constructor_path,
    STATE(13393), 1,
      sym_attribute,
    STATE(16557), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633192] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17642), 1,
      anon_sym_RPAREN,
    STATE(13394), 1,
      sym_attribute,
    STATE(18402), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633224] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(17648), 1,
      anon_sym_AMP,
    STATE(13395), 1,
      sym_attribute,
    STATE(14098), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17644), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [633252] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(13396), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(15523), 1,
      sym_field_pattern,
    STATE(17597), 1,
      sym__quoted_string,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633284] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17536), 1,
      anon_sym_RPAREN,
    STATE(13397), 1,
      sym_attribute,
    STATE(18111), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633316] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17280), 1,
      anon_sym_LPAREN,
    ACTIONS(17282), 1,
      anon_sym_LBRACK,
    ACTIONS(17286), 1,
      sym__uppercase_identifier,
    STATE(13398), 1,
      sym_attribute,
    STATE(14220), 1,
      sym__constructor_name,
    STATE(14829), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17284), 2,
      anon_sym_true,
      anon_sym_false,
  [633346] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17650), 1,
      anon_sym_RPAREN,
    STATE(13399), 1,
      sym_attribute,
    STATE(18088), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633378] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(17652), 1,
      anon_sym_DASH_GT,
    STATE(13400), 1,
      sym_attribute,
    STATE(18875), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633410] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    ACTIONS(14453), 1,
      anon_sym_POUND,
    STATE(12120), 1,
      sym_type_constructor_path,
    STATE(13401), 1,
      sym_attribute,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12017), 2,
      anon_sym_DASH_GT,
      anon_sym_STAR,
  [633440] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17654), 1,
      anon_sym_RPAREN,
    STATE(13402), 1,
      sym_attribute,
    STATE(18408), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633472] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17656), 1,
      anon_sym__,
    ACTIONS(17658), 1,
      anon_sym_RBRACE,
    STATE(13403), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(17386), 1,
      sym_field_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633504] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(17624), 1,
      anon_sym__,
    STATE(13404), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(15895), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [633534] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17660), 1,
      anon_sym_RPAREN,
    STATE(13405), 1,
      sym_attribute,
    STATE(17575), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633566] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(17662), 1,
      anon_sym_DASH_GT,
    STATE(13406), 1,
      sym_attribute,
    STATE(19079), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633598] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17664), 1,
      anon_sym__,
    ACTIONS(17666), 1,
      anon_sym_RBRACE,
    STATE(13407), 1,
      sym_attribute,
    STATE(14035), 1,
      sym_field_path,
    STATE(16445), 1,
      sym_field_binding_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633630] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    ACTIONS(14453), 1,
      anon_sym_POUND,
    STATE(12120), 1,
      sym_type_constructor_path,
    STATE(13408), 1,
      sym_attribute,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17668), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [633660] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8944), 1,
      anon_sym_PIPE,
    STATE(13409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8946), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [633682] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17670), 1,
      anon_sym__,
    ACTIONS(17672), 1,
      anon_sym_RBRACE,
    STATE(13410), 1,
      sym_attribute,
    STATE(14035), 1,
      sym_field_path,
    STATE(16445), 1,
      sym_field_binding_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633714] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17674), 1,
      anon_sym_RPAREN,
    STATE(13411), 1,
      sym_attribute,
    STATE(18038), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633746] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(17676), 1,
      anon_sym_DASH_GT,
    STATE(13412), 1,
      sym_attribute,
    STATE(18340), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633778] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17678), 1,
      anon_sym_RPAREN,
    STATE(13413), 1,
      sym_attribute,
    STATE(18042), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633810] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17680), 1,
      anon_sym__,
    ACTIONS(17682), 1,
      anon_sym_RBRACE,
    STATE(13414), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(17386), 1,
      sym_field_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633842] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17684), 1,
      anon_sym_RPAREN,
    STATE(13415), 1,
      sym_attribute,
    STATE(17899), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633874] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(17185), 1,
      anon_sym_LPAREN,
    ACTIONS(17187), 1,
      anon_sym_LBRACK,
    STATE(10703), 1,
      sym_constructor_declaration,
    STATE(11460), 1,
      sym__constructor_name,
    STATE(13416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17189), 2,
      anon_sym_true,
      anon_sym_false,
  [633904] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17686), 1,
      anon_sym_RPAREN,
    STATE(13417), 1,
      sym_attribute,
    STATE(17676), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633936] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17688), 1,
      anon_sym_RPAREN,
    STATE(13418), 1,
      sym_attribute,
    STATE(18248), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633968] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17690), 1,
      anon_sym__,
    ACTIONS(17692), 1,
      anon_sym_RBRACE,
    STATE(13419), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(17386), 1,
      sym_field_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11335), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11337), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [634022] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17694), 1,
      anon_sym_RPAREN,
    STATE(13421), 1,
      sym_attribute,
    STATE(18441), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634054] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8056), 1,
      anon_sym_PIPE,
    STATE(13422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [634076] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17578), 1,
      anon_sym_COMMA,
    ACTIONS(17580), 1,
      anon_sym_PIPE,
    ACTIONS(17586), 1,
      anon_sym_COLON_COLON,
    STATE(13423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16785), 3,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [634104] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11525), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11527), 1,
      anon_sym_in,
    ACTIONS(16726), 1,
      sym__lowercase_identifier,
    ACTIONS(16728), 1,
      anon_sym_POUND,
    STATE(13386), 1,
      sym_type_constructor_path,
    STATE(13424), 1,
      sym_attribute,
    STATE(16557), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634136] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(17696), 1,
      anon_sym_DASH_GT,
    STATE(13425), 1,
      sym_attribute,
    STATE(18497), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634168] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17698), 1,
      anon_sym__,
    ACTIONS(17700), 1,
      anon_sym_RBRACE,
    STATE(13426), 1,
      sym_attribute,
    STATE(14035), 1,
      sym_field_path,
    STATE(16445), 1,
      sym_field_binding_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634200] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17702), 1,
      anon_sym_RPAREN,
    STATE(13427), 1,
      sym_attribute,
    STATE(19024), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634232] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17532), 1,
      anon_sym_RPAREN,
    STATE(13428), 1,
      sym_attribute,
    STATE(17836), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634264] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17704), 1,
      anon_sym__,
    ACTIONS(17706), 1,
      anon_sym_RBRACE,
    STATE(13429), 1,
      sym_attribute,
    STATE(14035), 1,
      sym_field_path,
    STATE(16445), 1,
      sym_field_binding_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634296] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17708), 1,
      anon_sym_RPAREN,
    STATE(13430), 1,
      sym_attribute,
    STATE(18447), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634328] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(17710), 1,
      anon_sym_DASH_GT,
    STATE(13431), 1,
      sym_attribute,
    STATE(19694), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634360] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17712), 1,
      anon_sym_RPAREN,
    STATE(13432), 1,
      sym_attribute,
    STATE(17683), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634392] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17714), 1,
      anon_sym__,
    ACTIONS(17716), 1,
      anon_sym_RBRACE,
    STATE(13433), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(17386), 1,
      sym_field_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11323), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11325), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [634446] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17718), 1,
      anon_sym_RPAREN,
    STATE(13435), 1,
      sym_attribute,
    STATE(18808), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634478] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17720), 1,
      anon_sym_RPAREN,
    STATE(13436), 1,
      sym_attribute,
    STATE(18810), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634510] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11731), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [634530] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17578), 1,
      anon_sym_COMMA,
    ACTIONS(17580), 1,
      anon_sym_PIPE,
    ACTIONS(17586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17722), 1,
      anon_sym_RBRACK,
    ACTIONS(17724), 1,
      anon_sym_SEMI,
    STATE(13438), 1,
      sym_attribute,
    STATE(15434), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634562] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17730), 1,
      anon_sym_SEMI,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17736), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13439), 1,
      sym_attribute,
    STATE(15439), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634594] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17500), 1,
      anon_sym_RPAREN,
    STATE(13440), 1,
      sym_attribute,
    STATE(20120), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634626] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17578), 1,
      anon_sym_COMMA,
    ACTIONS(17580), 1,
      anon_sym_PIPE,
    ACTIONS(17586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17738), 1,
      anon_sym_RBRACK,
    ACTIONS(17740), 1,
      anon_sym_SEMI,
    STATE(13441), 1,
      sym_attribute,
    STATE(16325), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634658] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17742), 1,
      anon_sym_SEMI,
    ACTIONS(17744), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13442), 1,
      sym_attribute,
    STATE(14932), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634690] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11097), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [634710] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17746), 1,
      anon_sym_DASH_GT,
    ACTIONS(17748), 1,
      anon_sym_with,
    STATE(13444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13305), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [634734] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17750), 1,
      anon_sym_RPAREN,
    STATE(13445), 1,
      sym_attribute,
    STATE(18048), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634766] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8956), 1,
      anon_sym_PIPE,
    STATE(13446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8958), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [634788] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17752), 1,
      anon_sym_RPAREN,
    STATE(13447), 1,
      sym_attribute,
    STATE(18991), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12006), 1,
      anon_sym_COLON2,
    STATE(13448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12004), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [634842] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17578), 1,
      anon_sym_COMMA,
    ACTIONS(17580), 1,
      anon_sym_PIPE,
    ACTIONS(17586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17754), 1,
      anon_sym_RBRACK,
    ACTIONS(17756), 1,
      anon_sym_SEMI,
    STATE(13449), 1,
      sym_attribute,
    STATE(16036), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634874] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17758), 1,
      anon_sym_SEMI,
    ACTIONS(17760), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13450), 1,
      sym_attribute,
    STATE(16083), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634906] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17762), 1,
      anon_sym_RPAREN,
    STATE(13451), 1,
      sym_attribute,
    STATE(19009), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634938] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17764), 1,
      anon_sym_RPAREN,
    STATE(13452), 1,
      sym_attribute,
    STATE(19713), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634970] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17766), 1,
      anon_sym__,
    ACTIONS(17768), 1,
      anon_sym_RBRACE,
    STATE(13453), 1,
      sym_attribute,
    STATE(14035), 1,
      sym_field_path,
    STATE(16445), 1,
      sym_field_binding_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635002] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12101), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12103), 1,
      anon_sym_in,
    ACTIONS(16726), 1,
      sym__lowercase_identifier,
    ACTIONS(16728), 1,
      anon_sym_POUND,
    STATE(13386), 1,
      sym_type_constructor_path,
    STATE(13454), 1,
      sym_attribute,
    STATE(16557), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635034] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12337), 1,
      anon_sym_LPAREN,
    ACTIONS(12339), 1,
      anon_sym_LBRACK,
    STATE(10325), 1,
      sym_constructor_declaration,
    STATE(10974), 1,
      sym__constructor_name,
    STATE(13455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12341), 2,
      anon_sym_true,
      anon_sym_false,
  [635064] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17770), 1,
      anon_sym_RPAREN,
    ACTIONS(17772), 1,
      anon_sym_COMMA,
    ACTIONS(17774), 1,
      anon_sym_PIPE,
    ACTIONS(17776), 1,
      anon_sym_as,
    ACTIONS(17778), 1,
      anon_sym_COLON_COLON,
    STATE(13456), 1,
      sym_attribute,
    STATE(19682), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635096] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17560), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_PIPE,
    ACTIONS(17568), 1,
      anon_sym_as,
    ACTIONS(17570), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17780), 1,
      anon_sym_RBRACK,
    ACTIONS(17782), 1,
      anon_sym_SEMI,
    STATE(13457), 1,
      sym_attribute,
    STATE(16152), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635128] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17784), 1,
      anon_sym_COMMA,
    ACTIONS(17786), 1,
      anon_sym_PIPE,
    ACTIONS(17788), 1,
      anon_sym_SEMI,
    ACTIONS(17790), 1,
      anon_sym_as,
    ACTIONS(17792), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17794), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13458), 1,
      sym_attribute,
    STATE(16252), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635160] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(17796), 1,
      sym__lowercase_identifier,
    ACTIONS(17798), 1,
      anon_sym_type,
    ACTIONS(17800), 1,
      anon_sym_LBRACK,
    ACTIONS(17802), 1,
      anon_sym_virtual,
    STATE(12127), 1,
      sym_class_binding,
    STATE(13459), 1,
      sym_attribute,
    STATE(14733), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635192] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17804), 1,
      anon_sym_RPAREN,
    STATE(13460), 1,
      sym_attribute,
    STATE(17506), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635224] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17772), 1,
      anon_sym_COMMA,
    ACTIONS(17774), 1,
      anon_sym_PIPE,
    ACTIONS(17776), 1,
      anon_sym_as,
    ACTIONS(17778), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17806), 1,
      anon_sym_RPAREN,
    STATE(13461), 1,
      sym_attribute,
    STATE(18156), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635256] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(17808), 1,
      anon_sym_DASH_GT,
    STATE(13462), 1,
      sym_attribute,
    STATE(18256), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11315), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11317), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [635310] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17810), 1,
      anon_sym__,
    ACTIONS(17812), 1,
      anon_sym_RBRACE,
    STATE(13464), 1,
      sym_attribute,
    STATE(14035), 1,
      sym_field_path,
    STATE(16445), 1,
      sym_field_binding_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635342] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17814), 1,
      anon_sym__,
    ACTIONS(17816), 1,
      anon_sym_RBRACE,
    STATE(13465), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(17386), 1,
      sym_field_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11249), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11251), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [635396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11253), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11255), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [635418] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17818), 1,
      anon_sym_RPAREN,
    STATE(13468), 1,
      sym_attribute,
    STATE(18480), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11257), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11259), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [635472] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17820), 1,
      anon_sym_RPAREN,
    STATE(13470), 1,
      sym_attribute,
    STATE(17455), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11962), 1,
      anon_sym_COLON2,
    STATE(13471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11960), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [635526] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17822), 1,
      anon_sym__,
    ACTIONS(17824), 1,
      anon_sym_RBRACE,
    STATE(13472), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(17386), 1,
      sym_field_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635558] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17826), 1,
      anon_sym_RPAREN,
    STATE(13473), 1,
      sym_attribute,
    STATE(17515), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635590] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17828), 1,
      anon_sym_RPAREN,
    STATE(13474), 1,
      sym_attribute,
    STATE(18122), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11261), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11263), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [635644] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(17179), 1,
      anon_sym_LPAREN,
    ACTIONS(17181), 1,
      anon_sym_LBRACK,
    STATE(10703), 1,
      sym_constructor_declaration,
    STATE(11177), 1,
      sym__constructor_name,
    STATE(13476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17183), 2,
      anon_sym_true,
      anon_sym_false,
  [635674] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17830), 1,
      anon_sym_RPAREN,
    STATE(13477), 1,
      sym_attribute,
    STATE(17568), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635706] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17492), 1,
      anon_sym_RPAREN,
    STATE(13478), 1,
      sym_attribute,
    STATE(18482), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635738] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(17832), 1,
      anon_sym_DASH_GT,
    STATE(13479), 1,
      sym_attribute,
    STATE(17766), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635770] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17578), 1,
      anon_sym_COMMA,
    ACTIONS(17580), 1,
      anon_sym_PIPE,
    ACTIONS(17586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17834), 1,
      anon_sym_RBRACK,
    ACTIONS(17836), 1,
      anon_sym_SEMI,
    STATE(13480), 1,
      sym_attribute,
    STATE(15534), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635802] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17838), 1,
      anon_sym__,
    ACTIONS(17840), 1,
      anon_sym_RBRACE,
    STATE(13481), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(17386), 1,
      sym_field_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635834] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17842), 1,
      anon_sym_RPAREN,
    STATE(13482), 1,
      sym_attribute,
    STATE(18486), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635866] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17844), 1,
      anon_sym__,
    ACTIONS(17846), 1,
      anon_sym_RBRACE,
    STATE(13483), 1,
      sym_attribute,
    STATE(14035), 1,
      sym_field_path,
    STATE(16445), 1,
      sym_field_binding_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635898] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(13484), 1,
      sym_attribute,
    STATE(14035), 1,
      sym_field_path,
    STATE(15140), 1,
      sym_field_binding_pattern,
    STATE(20149), 1,
      sym__quoted_string,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635930] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(17624), 1,
      anon_sym__,
    STATE(13485), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(15736), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [635960] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17848), 1,
      anon_sym_SEMI,
    ACTIONS(17850), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13486), 1,
      sym_attribute,
    STATE(15546), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635992] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17852), 1,
      anon_sym_RPAREN,
    STATE(13487), 1,
      sym_attribute,
    STATE(17999), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636024] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11808), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [636044] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11529), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11531), 1,
      anon_sym_in,
    ACTIONS(16726), 1,
      sym__lowercase_identifier,
    ACTIONS(16728), 1,
      anon_sym_POUND,
    STATE(13386), 1,
      sym_type_constructor_path,
    STATE(13489), 1,
      sym_attribute,
    STATE(16557), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636076] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17854), 1,
      anon_sym_RPAREN,
    STATE(13490), 1,
      sym_attribute,
    STATE(18843), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636108] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 7,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [636128] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17578), 1,
      anon_sym_COMMA,
    ACTIONS(17580), 1,
      anon_sym_PIPE,
    ACTIONS(17586), 1,
      anon_sym_COLON_COLON,
    STATE(13492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16765), 3,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [636156] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17746), 1,
      anon_sym_DASH_GT,
    ACTIONS(17748), 1,
      anon_sym_with,
    STATE(13493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13203), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [636180] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17560), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_PIPE,
    ACTIONS(17568), 1,
      anon_sym_as,
    ACTIONS(17570), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17856), 1,
      anon_sym_RBRACK,
    ACTIONS(17858), 1,
      anon_sym_SEMI,
    STATE(13494), 1,
      sym_attribute,
    STATE(15447), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636212] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17784), 1,
      anon_sym_COMMA,
    ACTIONS(17786), 1,
      anon_sym_PIPE,
    ACTIONS(17790), 1,
      anon_sym_as,
    ACTIONS(17792), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17860), 1,
      anon_sym_SEMI,
    ACTIONS(17862), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13495), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636244] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17578), 1,
      anon_sym_COMMA,
    ACTIONS(17580), 1,
      anon_sym_PIPE,
    ACTIONS(17586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17864), 1,
      anon_sym_RBRACK,
    ACTIONS(17866), 1,
      anon_sym_SEMI,
    STATE(13496), 1,
      sym_attribute,
    STATE(16032), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636276] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17868), 1,
      anon_sym_RPAREN,
    STATE(13497), 1,
      sym_attribute,
    STATE(19751), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636308] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17870), 1,
      anon_sym_RPAREN,
    STATE(13498), 1,
      sym_attribute,
    STATE(17730), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636340] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17872), 1,
      anon_sym_RPAREN,
    STATE(13499), 1,
      sym_attribute,
    STATE(18128), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636372] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17874), 1,
      anon_sym_RPAREN,
    STATE(13500), 1,
      sym_attribute,
    STATE(18282), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636404] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(17876), 1,
      anon_sym_DASH_GT,
    STATE(13501), 1,
      sym_attribute,
    STATE(19795), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636436] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(13502), 1,
      sym_attribute,
    STATE(14035), 1,
      sym_field_path,
    STATE(16145), 1,
      sym_field_binding_pattern,
    STATE(19190), 1,
      sym__quoted_string,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636468] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17878), 1,
      anon_sym_RPAREN,
    STATE(13503), 1,
      sym_attribute,
    STATE(18519), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636500] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(13504), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(15936), 1,
      sym_field_pattern,
    STATE(19704), 1,
      sym__quoted_string,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636532] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(17880), 1,
      anon_sym_DASH_GT,
    STATE(13505), 1,
      sym_attribute,
    STATE(19519), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636564] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(13506), 1,
      sym_attribute,
    STATE(14035), 1,
      sym_field_path,
    STATE(16130), 1,
      sym_field_binding_pattern,
    STATE(17597), 1,
      sym__quoted_string,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636596] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(17882), 1,
      anon_sym_DASH_GT,
    STATE(13507), 1,
      sym_attribute,
    STATE(20117), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636628] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17638), 1,
      anon_sym_DASH_GT,
    STATE(13508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12211), 6,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [636650] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(17624), 1,
      anon_sym__,
    STATE(13509), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(15795), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [636680] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12039), 1,
      anon_sym_LPAREN,
    ACTIONS(12041), 1,
      anon_sym_LBRACK,
    STATE(10289), 1,
      sym__constructor_name,
    STATE(10325), 1,
      sym_constructor_declaration,
    STATE(13510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12043), 2,
      anon_sym_true,
      anon_sym_false,
  [636710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11351), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11353), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [636732] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17772), 1,
      anon_sym_COMMA,
    ACTIONS(17774), 1,
      anon_sym_PIPE,
    ACTIONS(17776), 1,
      anon_sym_as,
    ACTIONS(17778), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17884), 1,
      anon_sym_RPAREN,
    STATE(13512), 1,
      sym_attribute,
    STATE(19080), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636764] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17886), 1,
      anon_sym_SEMI,
    ACTIONS(17888), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13513), 1,
      sym_attribute,
    STATE(16046), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636796] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17890), 1,
      anon_sym_RPAREN,
    STATE(13514), 1,
      sym_attribute,
    STATE(18525), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636828] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17892), 1,
      anon_sym__,
    ACTIONS(17894), 1,
      anon_sym_RBRACE,
    STATE(13515), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(17386), 1,
      sym_field_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636860] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11741), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [636880] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17896), 1,
      anon_sym_RPAREN,
    STATE(13517), 1,
      sym_attribute,
    STATE(18444), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636912] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17898), 1,
      anon_sym_RPAREN,
    STATE(13518), 1,
      sym_attribute,
    STATE(17737), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636944] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      anon_sym_PIPE,
    STATE(13519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [636966] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(17900), 1,
      anon_sym_DASH_GT,
    STATE(13520), 1,
      sym_attribute,
    STATE(19994), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636998] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17902), 1,
      anon_sym_RPAREN,
    STATE(13521), 1,
      sym_attribute,
    STATE(17522), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637030] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11219), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [637050] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17570), 1,
      anon_sym_COLON_COLON,
    STATE(13523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [637072] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17560), 1,
      anon_sym_COMMA,
    ACTIONS(17570), 1,
      anon_sym_COLON_COLON,
    STATE(13524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 5,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [637096] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17904), 1,
      anon_sym__,
    ACTIONS(17906), 1,
      anon_sym_RBRACE,
    STATE(13525), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(17386), 1,
      sym_field_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637128] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17570), 1,
      anon_sym_COLON_COLON,
    STATE(13526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [637150] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(17908), 1,
      anon_sym_DASH_GT,
    STATE(13527), 1,
      sym_attribute,
    STATE(18562), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637182] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17910), 1,
      anon_sym_RPAREN,
    STATE(13528), 1,
      sym_attribute,
    STATE(18557), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637214] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16714), 1,
      anon_sym_STAR,
    STATE(13529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10225), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_GT,
  [637236] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12323), 1,
      anon_sym_LPAREN,
    ACTIONS(12325), 1,
      anon_sym_LBRACK,
    STATE(10325), 1,
      sym_constructor_declaration,
    STATE(10936), 1,
      sym__constructor_name,
    STATE(13530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12327), 2,
      anon_sym_true,
      anon_sym_false,
  [637266] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17912), 1,
      anon_sym_RPAREN,
    STATE(13531), 1,
      sym_attribute,
    STATE(18855), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637298] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(17201), 1,
      anon_sym_LPAREN,
    ACTIONS(17203), 1,
      anon_sym_LBRACK,
    STATE(10703), 1,
      sym_constructor_declaration,
    STATE(11798), 1,
      sym__constructor_name,
    STATE(13532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17205), 2,
      anon_sym_true,
      anon_sym_false,
  [637328] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(17914), 1,
      anon_sym_DASH_GT,
    STATE(13533), 1,
      sym_attribute,
    STATE(19600), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637360] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17916), 1,
      anon_sym_RBRACK,
    ACTIONS(17918), 1,
      anon_sym_when,
    STATE(13534), 1,
      sym_attribute,
    STATE(19282), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637392] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(17624), 1,
      anon_sym__,
    STATE(13535), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(16102), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [637422] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17920), 1,
      anon_sym_RPAREN,
    STATE(13536), 1,
      sym_attribute,
    STATE(18964), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637454] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17784), 1,
      anon_sym_COMMA,
    ACTIONS(17786), 1,
      anon_sym_PIPE,
    ACTIONS(17790), 1,
      anon_sym_as,
    ACTIONS(17792), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17922), 1,
      anon_sym_SEMI,
    ACTIONS(17924), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13537), 1,
      sym_attribute,
    STATE(15293), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637486] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(17926), 1,
      anon_sym_DASH_GT,
    STATE(13538), 1,
      sym_attribute,
    STATE(19708), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637518] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17586), 1,
      anon_sym_COLON_COLON,
    STATE(13539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16730), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [637540] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17560), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_PIPE,
    ACTIONS(17568), 1,
      anon_sym_as,
    ACTIONS(17570), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17928), 1,
      anon_sym_RBRACK,
    ACTIONS(17930), 1,
      anon_sym_SEMI,
    STATE(13540), 1,
      sym_attribute,
    STATE(15592), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637572] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17306), 1,
      anon_sym_RPAREN,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    STATE(13541), 1,
      sym_attribute,
    STATE(18660), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637604] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17932), 1,
      anon_sym_RPAREN,
    STATE(13542), 1,
      sym_attribute,
    STATE(18288), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637636] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17934), 1,
      anon_sym__,
    ACTIONS(17936), 1,
      anon_sym_RBRACE,
    STATE(13543), 1,
      sym_attribute,
    STATE(14035), 1,
      sym_field_path,
    STATE(16445), 1,
      sym_field_binding_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637668] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    STATE(13544), 1,
      sym_attribute,
    STATE(18075), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11101), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(11097), 3,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [637694] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(17624), 1,
      anon_sym__,
    STATE(13545), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(15862), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [637724] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(17938), 1,
      anon_sym_DASH_GT,
    STATE(13546), 1,
      sym_attribute,
    STATE(17733), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637756] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(13547), 1,
      sym_attribute,
    STATE(14035), 1,
      sym_field_path,
    STATE(15544), 1,
      sym_field_binding_pattern,
    STATE(19773), 1,
      sym__quoted_string,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11279), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11281), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [637810] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12097), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12099), 1,
      anon_sym_in,
    ACTIONS(16726), 1,
      sym__lowercase_identifier,
    ACTIONS(16728), 1,
      anon_sym_POUND,
    STATE(13386), 1,
      sym_type_constructor_path,
    STATE(13549), 1,
      sym_attribute,
    STATE(16557), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637842] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7980), 1,
      anon_sym_PIPE,
    ACTIONS(7984), 1,
      anon_sym_DOT,
    STATE(13550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [637866] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(13551), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(16276), 1,
      sym_field_pattern,
    STATE(17712), 1,
      sym__quoted_string,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11283), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11285), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [637920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11287), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11289), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [637942] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17940), 1,
      anon_sym__,
    ACTIONS(17942), 1,
      anon_sym_RBRACE,
    STATE(13554), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(17386), 1,
      sym_field_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637974] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(17944), 1,
      anon_sym_DASH_GT,
    STATE(13555), 1,
      sym_attribute,
    STATE(17557), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638006] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17784), 1,
      anon_sym_COMMA,
    ACTIONS(17786), 1,
      anon_sym_PIPE,
    ACTIONS(17790), 1,
      anon_sym_as,
    ACTIONS(17792), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17946), 1,
      anon_sym_SEMI,
    ACTIONS(17948), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13556), 1,
      sym_attribute,
    STATE(15616), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11291), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11293), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [638060] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17578), 1,
      anon_sym_COMMA,
    ACTIONS(17580), 1,
      anon_sym_PIPE,
    ACTIONS(17586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17950), 1,
      anon_sym_RBRACK,
    ACTIONS(17952), 1,
      anon_sym_SEMI,
    STATE(13558), 1,
      sym_attribute,
    STATE(14996), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638092] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17954), 1,
      anon_sym_RPAREN,
    STATE(13559), 1,
      sym_attribute,
    STATE(17751), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638124] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17956), 1,
      anon_sym__,
    ACTIONS(17958), 1,
      anon_sym_RBRACE,
    STATE(13560), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(17386), 1,
      sym_field_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638156] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17960), 1,
      anon_sym_RPAREN,
    STATE(13561), 1,
      sym_attribute,
    STATE(18595), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638188] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17962), 1,
      anon_sym_RPAREN,
    STATE(13562), 1,
      sym_attribute,
    STATE(18998), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638220] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(17648), 1,
      anon_sym_AMP,
    STATE(13563), 1,
      sym_attribute,
    STATE(14062), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17964), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [638248] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(17966), 1,
      anon_sym_DASH_GT,
    STATE(13564), 1,
      sym_attribute,
    STATE(19049), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638280] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(17624), 1,
      anon_sym__,
    STATE(13565), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(16150), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [638310] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17968), 1,
      anon_sym_RPAREN,
    STATE(13566), 1,
      sym_attribute,
    STATE(17784), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638342] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17970), 1,
      anon_sym_SEMI,
    ACTIONS(17972), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13567), 1,
      sym_attribute,
    STATE(15040), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638374] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12145), 1,
      anon_sym_LPAREN,
    ACTIONS(12147), 1,
      anon_sym_LBRACK,
    STATE(10325), 1,
      sym_constructor_declaration,
    STATE(10731), 1,
      sym__constructor_name,
    STATE(13568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12149), 2,
      anon_sym_true,
      anon_sym_false,
  [638404] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17974), 1,
      anon_sym_RPAREN,
    STATE(13569), 1,
      sym_attribute,
    STATE(19839), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638436] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17976), 1,
      anon_sym_RPAREN,
    STATE(13570), 1,
      sym_attribute,
    STATE(18601), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638468] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 7,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [638488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11389), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11391), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [638510] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(17978), 1,
      anon_sym_DASH_GT,
    STATE(13573), 1,
      sym_attribute,
    STATE(20132), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638542] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(17638), 1,
      anon_sym_DASH_GT,
    STATE(13574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12283), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
  [638566] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17980), 1,
      anon_sym__,
    ACTIONS(17982), 1,
      anon_sym_RBRACE,
    STATE(13575), 1,
      sym_attribute,
    STATE(14035), 1,
      sym_field_path,
    STATE(16445), 1,
      sym_field_binding_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638598] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8024), 1,
      anon_sym_PIPE,
    STATE(13576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [638620] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17984), 1,
      anon_sym_RPAREN,
    STATE(13577), 1,
      sym_attribute,
    STATE(18162), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638652] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17986), 1,
      anon_sym_RPAREN,
    STATE(13578), 1,
      sym_attribute,
    STATE(19315), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638684] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(17988), 1,
      anon_sym__,
    ACTIONS(17990), 1,
      anon_sym_RBRACE,
    STATE(13579), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(17386), 1,
      sym_field_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638716] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16274), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13580), 1,
      sym_attribute,
    STATE(14123), 1,
      aux_sym_expression_item_repeat1,
    STATE(16070), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11765), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(16546), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [638744] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7972), 1,
      anon_sym_PIPE,
    STATE(13581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [638766] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11319), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11321), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [638788] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(17992), 1,
      anon_sym_rec,
    ACTIONS(17994), 1,
      anon_sym_type,
    STATE(12054), 1,
      sym_module_binding,
    STATE(13583), 1,
      sym_attribute,
    STATE(14657), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17996), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [638818] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17998), 1,
      anon_sym_RPAREN,
    STATE(13584), 1,
      sym_attribute,
    STATE(18781), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638850] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18000), 1,
      anon_sym_RPAREN,
    STATE(13585), 1,
      sym_attribute,
    STATE(18006), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638882] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17772), 1,
      anon_sym_COMMA,
    ACTIONS(17774), 1,
      anon_sym_PIPE,
    ACTIONS(17776), 1,
      anon_sym_as,
    ACTIONS(17778), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18002), 1,
      anon_sym_RPAREN,
    STATE(13586), 1,
      sym_attribute,
    STATE(19310), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638914] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7976), 1,
      anon_sym_PIPE,
    STATE(13587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [638936] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18004), 1,
      anon_sym_RPAREN,
    STATE(13588), 1,
      sym_attribute,
    STATE(17791), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638968] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(18006), 1,
      anon_sym_DASH_GT,
    STATE(13589), 1,
      sym_attribute,
    STATE(17947), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639000] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17560), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_PIPE,
    ACTIONS(17568), 1,
      anon_sym_as,
    ACTIONS(17570), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18008), 1,
      anon_sym_RBRACK,
    ACTIONS(18010), 1,
      anon_sym_SEMI,
    STATE(13590), 1,
      sym_attribute,
    STATE(15053), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639032] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18012), 1,
      anon_sym_RPAREN,
    STATE(13591), 1,
      sym_attribute,
    STATE(18244), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639064] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17784), 1,
      anon_sym_COMMA,
    ACTIONS(17786), 1,
      anon_sym_PIPE,
    ACTIONS(17790), 1,
      anon_sym_as,
    ACTIONS(17792), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18014), 1,
      anon_sym_SEMI,
    ACTIONS(18016), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13592), 1,
      sym_attribute,
    STATE(15078), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639096] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18018), 1,
      anon_sym_RPAREN,
    STATE(13593), 1,
      sym_attribute,
    STATE(18633), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639128] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(16815), 1,
      anon_sym_LPAREN,
    ACTIONS(16817), 1,
      anon_sym_LBRACK,
    STATE(10703), 1,
      sym_constructor_declaration,
    STATE(11806), 1,
      sym__constructor_name,
    STATE(13594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16819), 2,
      anon_sym_true,
      anon_sym_false,
  [639158] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18020), 1,
      anon_sym_RPAREN,
    STATE(13595), 1,
      sym_attribute,
    STATE(17546), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639190] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(18022), 1,
      anon_sym_DASH_GT,
    STATE(13596), 1,
      sym_attribute,
    STATE(17669), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639222] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(13597), 1,
      sym_attribute,
    STATE(14035), 1,
      sym_field_path,
    STATE(15324), 1,
      sym_field_binding_pattern,
    STATE(17869), 1,
      sym__quoted_string,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11339), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11341), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [639276] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11802), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [639296] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(18024), 1,
      anon_sym_DASH_GT,
    STATE(13600), 1,
      sym_attribute,
    STATE(17995), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639328] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18026), 1,
      anon_sym_RPAREN,
    STATE(13601), 1,
      sym_attribute,
    STATE(18168), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639360] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(18028), 1,
      anon_sym_DASH_GT,
    STATE(13602), 1,
      sym_attribute,
    STATE(20128), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639392] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17578), 1,
      anon_sym_COMMA,
    ACTIONS(17586), 1,
      anon_sym_COLON_COLON,
    STATE(13603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16757), 5,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [639416] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18030), 1,
      anon_sym_RPAREN,
    STATE(13604), 1,
      sym_attribute,
    STATE(18639), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639448] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12936), 1,
      anon_sym_LPAREN,
    ACTIONS(12938), 1,
      anon_sym_LBRACK,
    STATE(10325), 1,
      sym_constructor_declaration,
    STATE(11273), 1,
      sym__constructor_name,
    STATE(13605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12940), 2,
      anon_sym_true,
      anon_sym_false,
  [639478] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18032), 1,
      anon_sym_COLON2,
    STATE(13606), 1,
      sym_attribute,
    STATE(16451), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 5,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [639502] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(17624), 1,
      anon_sym__,
    STATE(13607), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(15429), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [639532] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7992), 1,
      anon_sym_PIPE,
    STATE(13608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [639554] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11968), 1,
      anon_sym_LPAREN,
    ACTIONS(11970), 1,
      anon_sym_LBRACK,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    STATE(10268), 1,
      sym__constructor_name,
    STATE(10325), 1,
      sym_constructor_declaration,
    STATE(13609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11972), 2,
      anon_sym_true,
      anon_sym_false,
  [639584] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(18034), 1,
      anon_sym_DASH_GT,
    STATE(13610), 1,
      sym_attribute,
    STATE(17998), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11363), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11365), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [639638] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18036), 1,
      anon_sym_RPAREN,
    STATE(13612), 1,
      sym_attribute,
    STATE(19880), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18040), 3,
      sym__right_quoted_string_delimiter,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(18038), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [639692] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(13614), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(15318), 1,
      sym_field_pattern,
    STATE(18479), 1,
      sym__quoted_string,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639724] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(18042), 1,
      anon_sym__,
    ACTIONS(18044), 1,
      anon_sym_RBRACE,
    STATE(13615), 1,
      sym_attribute,
    STATE(14035), 1,
      sym_field_path,
    STATE(16445), 1,
      sym_field_binding_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639756] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_as,
    ACTIONS(17638), 1,
      anon_sym_DASH_GT,
    STATE(13616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12252), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
  [639780] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(18046), 1,
      anon_sym_DASH_GT,
    STATE(13617), 1,
      sym_attribute,
    STATE(18962), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639812] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(13618), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(15805), 1,
      sym_field_pattern,
    STATE(17584), 1,
      sym__quoted_string,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639844] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18048), 1,
      anon_sym_RPAREN,
    STATE(13619), 1,
      sym_attribute,
    STATE(18491), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639876] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(13620), 1,
      sym_attribute,
    STATE(14035), 1,
      sym_field_path,
    STATE(15810), 1,
      sym_field_binding_pattern,
    STATE(17584), 1,
      sym__quoted_string,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11327), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11329), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [639930] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18050), 1,
      anon_sym_RPAREN,
    STATE(13622), 1,
      sym_attribute,
    STATE(18382), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639962] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17746), 1,
      anon_sym_DASH_GT,
    ACTIONS(17748), 1,
      anon_sym_with,
    STATE(13623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13301), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [639986] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(18052), 1,
      anon_sym__,
    ACTIONS(18054), 1,
      anon_sym_RBRACE,
    STATE(13624), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(17386), 1,
      sym_field_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640018] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(17624), 1,
      anon_sym__,
    STATE(13625), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(15745), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [640048] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18056), 1,
      anon_sym_RPAREN,
    STATE(13626), 1,
      sym_attribute,
    STATE(18080), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640080] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18058), 1,
      anon_sym_RPAREN,
    STATE(13627), 1,
      sym_attribute,
    STATE(18322), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640112] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18060), 1,
      anon_sym_RPAREN,
    STATE(13628), 1,
      sym_attribute,
    STATE(18671), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640144] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(17624), 1,
      anon_sym__,
    STATE(13629), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(15081), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [640174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11355), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11357), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [640196] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18062), 1,
      anon_sym_RPAREN,
    STATE(13631), 1,
      sym_attribute,
    STATE(18830), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640228] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_when,
    ACTIONS(18064), 1,
      anon_sym_DASH_GT,
    STATE(13632), 1,
      sym_attribute,
    STATE(19479), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640260] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8042), 1,
      anon_sym_PIPE,
    STATE(13633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [640282] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(17798), 1,
      anon_sym_type,
    ACTIONS(18066), 1,
      sym__lowercase_identifier,
    ACTIONS(18068), 1,
      anon_sym_LBRACK,
    ACTIONS(18070), 1,
      anon_sym_virtual,
    STATE(12620), 1,
      sym_class_binding,
    STATE(13634), 1,
      sym_attribute,
    STATE(14737), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640314] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18072), 1,
      anon_sym_RPAREN,
    STATE(13635), 1,
      sym_attribute,
    STATE(18676), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640346] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17772), 1,
      anon_sym_COMMA,
    ACTIONS(17774), 1,
      anon_sym_PIPE,
    ACTIONS(17776), 1,
      anon_sym_as,
    ACTIONS(17778), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18074), 1,
      anon_sym_RPAREN,
    STATE(13636), 1,
      sym_attribute,
    STATE(18231), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640378] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18076), 1,
      anon_sym_RPAREN,
    STATE(13637), 1,
      sym_attribute,
    STATE(17946), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640410] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18078), 1,
      anon_sym_RPAREN,
    STATE(13638), 1,
      sym_attribute,
    STATE(18242), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640442] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17560), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_PIPE,
    ACTIONS(17568), 1,
      anon_sym_as,
    ACTIONS(17570), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18080), 1,
      anon_sym_RBRACK,
    ACTIONS(18082), 1,
      anon_sym_SEMI,
    STATE(13639), 1,
      sym_attribute,
    STATE(15203), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640474] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18084), 1,
      anon_sym_RPAREN,
    STATE(13640), 1,
      sym_attribute,
    STATE(17838), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640506] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7063), 1,
      anon_sym_PIPE,
    ACTIONS(17594), 1,
      anon_sym_DOT_DOT,
    STATE(13641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7059), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [640530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11331), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11333), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [640552] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12109), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12111), 1,
      anon_sym_in,
    ACTIONS(16726), 1,
      sym__lowercase_identifier,
    ACTIONS(16728), 1,
      anon_sym_POUND,
    STATE(13386), 1,
      sym_type_constructor_path,
    STATE(13643), 1,
      sym_attribute,
    STATE(16557), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640584] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17512), 1,
      anon_sym_RPAREN,
    STATE(13644), 1,
      sym_attribute,
    STATE(20256), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640616] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18086), 1,
      anon_sym_RPAREN,
    STATE(13645), 1,
      sym_attribute,
    STATE(18202), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640648] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17578), 1,
      anon_sym_COMMA,
    ACTIONS(17580), 1,
      anon_sym_PIPE,
    ACTIONS(17586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18088), 1,
      anon_sym_RBRACK,
    ACTIONS(18090), 1,
      anon_sym_SEMI,
    STATE(13646), 1,
      sym_attribute,
    STATE(16307), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640680] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17746), 1,
      anon_sym_DASH_GT,
    ACTIONS(17748), 1,
      anon_sym_with,
    STATE(13647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13172), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [640704] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18092), 1,
      anon_sym_RPAREN,
    STATE(13648), 1,
      sym_attribute,
    STATE(20094), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640736] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18094), 1,
      anon_sym_SEMI,
    ACTIONS(18096), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13649), 1,
      sym_attribute,
    STATE(16310), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640768] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12175), 1,
      anon_sym_LPAREN,
    ACTIONS(12177), 1,
      anon_sym_LBRACK,
    STATE(10325), 1,
      sym_constructor_declaration,
    STATE(10684), 1,
      sym__constructor_name,
    STATE(13650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12179), 2,
      anon_sym_true,
      anon_sym_false,
  [640798] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(17624), 1,
      anon_sym__,
    STATE(13651), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(16284), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [640828] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(17624), 1,
      anon_sym__,
    STATE(13652), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(15489), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [640858] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17538), 1,
      sym__lowercase_identifier,
    ACTIONS(18098), 1,
      anon_sym__,
    ACTIONS(18100), 1,
      anon_sym_RBRACE,
    STATE(13653), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(17386), 1,
      sym_field_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640890] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18102), 1,
      anon_sym_RPAREN,
    STATE(13654), 1,
      sym_attribute,
    STATE(18708), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640922] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18104), 1,
      anon_sym_RPAREN,
    STATE(13655), 1,
      sym_attribute,
    STATE(17845), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640954] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(17624), 1,
      anon_sym__,
    STATE(13656), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(16286), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [640984] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(13657), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(16115), 1,
      sym_field_pattern,
    STATE(19388), 1,
      sym__quoted_string,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641016] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18106), 1,
      anon_sym_RPAREN,
    STATE(13658), 1,
      sym_attribute,
    STATE(18832), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641048] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11702), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [641068] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11391), 1,
      anon_sym_RPAREN,
    ACTIONS(18108), 1,
      anon_sym_COLON2,
    STATE(13660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [641092] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18110), 1,
      anon_sym_RPAREN,
    STATE(13661), 1,
      sym_attribute,
    STATE(18713), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641124] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18112), 1,
      anon_sym_RPAREN,
    STATE(13662), 1,
      sym_attribute,
    STATE(18328), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641156] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17772), 1,
      anon_sym_COMMA,
    ACTIONS(17774), 1,
      anon_sym_PIPE,
    ACTIONS(17776), 1,
      anon_sym_as,
    ACTIONS(17778), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18114), 1,
      anon_sym_RPAREN,
    STATE(13663), 1,
      sym_attribute,
    STATE(19196), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641188] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    STATE(13664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [641210] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(13665), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(15997), 1,
      sym_field_pattern,
    STATE(18498), 1,
      sym__quoted_string,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641242] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17784), 1,
      anon_sym_COMMA,
    ACTIONS(17786), 1,
      anon_sym_PIPE,
    ACTIONS(17790), 1,
      anon_sym_as,
    ACTIONS(17792), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18116), 1,
      anon_sym_SEMI,
    ACTIONS(18118), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13666), 1,
      sym_attribute,
    STATE(16088), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641274] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      sym__uppercase_identifier,
    ACTIONS(12169), 1,
      anon_sym_LPAREN,
    ACTIONS(12171), 1,
      anon_sym_LBRACK,
    STATE(10325), 1,
      sym_constructor_declaration,
    STATE(10820), 1,
      sym__constructor_name,
    STATE(13667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12173), 2,
      anon_sym_true,
      anon_sym_false,
  [641304] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16274), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13668), 1,
      sym_attribute,
    STATE(14093), 1,
      aux_sym_expression_item_repeat1,
    STATE(16070), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12459), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(18120), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [641332] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18122), 1,
      anon_sym_RPAREN,
    STATE(13669), 1,
      sym_attribute,
    STATE(18208), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641364] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18124), 1,
      anon_sym_SEMI,
    ACTIONS(18126), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13670), 1,
      sym_attribute,
    STATE(15809), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641396] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18128), 1,
      anon_sym_RPAREN,
    STATE(13671), 1,
      sym_attribute,
    STATE(20126), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641428] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14879), 1,
      anon_sym_BANG,
    ACTIONS(17624), 1,
      anon_sym__,
    STATE(13672), 1,
      sym_attribute,
    STATE(14059), 1,
      sym_type_variable,
    STATE(15320), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14877), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [641458] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(17772), 1,
      anon_sym_COMMA,
    ACTIONS(17774), 1,
      anon_sym_PIPE,
    ACTIONS(17776), 1,
      anon_sym_as,
    ACTIONS(17778), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18130), 1,
      anon_sym_RPAREN,
    STATE(13673), 1,
      sym_attribute,
    STATE(20274), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11359), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11361), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [641512] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18132), 1,
      anon_sym_rec,
    ACTIONS(18134), 1,
      anon_sym_type,
    STATE(12070), 1,
      sym_module_binding,
    STATE(13675), 1,
      sym_attribute,
    STATE(14907), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18136), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [641542] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18138), 1,
      anon_sym_RPAREN,
    STATE(13676), 1,
      sym_attribute,
    STATE(18745), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641574] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17560), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_PIPE,
    ACTIONS(17568), 1,
      anon_sym_as,
    ACTIONS(17570), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18140), 1,
      anon_sym_RBRACK,
    ACTIONS(18142), 1,
      anon_sym_SEMI,
    STATE(13677), 1,
      sym_attribute,
    STATE(16335), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641606] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17784), 1,
      anon_sym_COMMA,
    ACTIONS(17786), 1,
      anon_sym_PIPE,
    ACTIONS(17790), 1,
      anon_sym_as,
    ACTIONS(17792), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18144), 1,
      anon_sym_SEMI,
    ACTIONS(18146), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13678), 1,
      sym_attribute,
    STATE(15308), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641638] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(17550), 1,
      anon_sym_type,
    ACTIONS(18148), 1,
      sym__lowercase_identifier,
    ACTIONS(18150), 1,
      anon_sym_LBRACK,
    ACTIONS(18152), 1,
      anon_sym_virtual,
    STATE(11972), 1,
      sym_class_binding,
    STATE(13679), 1,
      sym_attribute,
    STATE(14882), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641670] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18154), 1,
      anon_sym_rec,
    ACTIONS(18156), 1,
      anon_sym_type,
    STATE(12683), 1,
      sym_module_binding,
    STATE(13680), 1,
      sym_attribute,
    STATE(14896), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18158), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [641700] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17586), 1,
      anon_sym_COLON_COLON,
    STATE(13681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16753), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [641722] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18160), 1,
      anon_sym_RPAREN,
    STATE(13682), 1,
      sym_attribute,
    STATE(18750), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641754] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(18162), 1,
      anon_sym_RPAREN,
    STATE(13683), 1,
      sym_attribute,
    STATE(18563), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641786] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18164), 1,
      anon_sym_RBRACE,
    STATE(13684), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641815] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18166), 1,
      anon_sym_RBRACE,
    STATE(13685), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641844] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18168), 1,
      anon_sym_RBRACE,
    STATE(13686), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641873] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17560), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_PIPE,
    ACTIONS(17568), 1,
      anon_sym_as,
    ACTIONS(17570), 1,
      anon_sym_COLON_COLON,
    STATE(13687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18170), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [641900] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18172), 1,
      anon_sym_RBRACE,
    STATE(13688), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641929] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18174), 1,
      anon_sym_RBRACE,
    STATE(13689), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641958] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18176), 1,
      anon_sym_RBRACE,
    STATE(13690), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641987] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18178), 1,
      sym__lowercase_identifier,
    STATE(6533), 1,
      sym_class_path,
    STATE(13691), 1,
      sym_attribute,
    STATE(14861), 1,
      sym__attribute,
    STATE(18225), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642016] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7956), 1,
      anon_sym_PIPE,
    STATE(13692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [642037] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18180), 1,
      anon_sym_RBRACE,
    STATE(13693), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642066] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17560), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_PIPE,
    ACTIONS(17568), 1,
      anon_sym_as,
    ACTIONS(17570), 1,
      anon_sym_COLON_COLON,
    STATE(13694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18182), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [642093] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18184), 1,
      anon_sym_RBRACE,
    STATE(13695), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642122] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18186), 1,
      anon_sym_RBRACE,
    STATE(13696), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642151] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18188), 1,
      anon_sym_RBRACE,
    STATE(13697), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642180] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18190), 1,
      anon_sym_RBRACE,
    STATE(13698), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642209] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18192), 1,
      sym__lowercase_identifier,
    STATE(9439), 1,
      sym_class_path,
    STATE(13699), 1,
      sym_attribute,
    STATE(14905), 1,
      sym__attribute,
    STATE(18265), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642238] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18194), 1,
      anon_sym_RBRACE,
    STATE(13700), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642267] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18196), 1,
      sym__lowercase_identifier,
    STATE(4256), 1,
      sym_class_path,
    STATE(13701), 1,
      sym_attribute,
    STATE(14698), 1,
      sym__attribute,
    STATE(19160), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642296] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18198), 1,
      anon_sym_RBRACE,
    STATE(13702), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642325] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7996), 1,
      anon_sym_PIPE,
    STATE(13703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [642346] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18200), 1,
      anon_sym_rec,
    STATE(13704), 1,
      sym_attribute,
    STATE(14852), 1,
      sym__attribute,
    STATE(16126), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18202), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [642373] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18204), 1,
      anon_sym_RBRACE,
    STATE(13705), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642402] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18206), 1,
      anon_sym_RBRACE,
    STATE(13706), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642431] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18208), 1,
      anon_sym_RBRACE,
    STATE(13707), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642460] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8048), 1,
      anon_sym_PIPE,
    STATE(13708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [642481] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18210), 1,
      sym__lowercase_identifier,
    STATE(6572), 1,
      sym_class_path,
    STATE(13709), 1,
      sym_attribute,
    STATE(14274), 1,
      sym__attribute,
    STATE(18305), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642510] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8114), 1,
      anon_sym_PIPE,
    STATE(13710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [642531] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11944), 1,
      anon_sym_RPAREN,
    STATE(13711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11341), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [642552] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16488), 1,
      anon_sym_PIPE,
    STATE(13712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16486), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [642573] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18212), 1,
      anon_sym_RBRACE,
    STATE(13713), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642602] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16466), 1,
      anon_sym_PIPE,
    STATE(13714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16464), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [642623] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18214), 1,
      sym__lowercase_identifier,
    STATE(5258), 1,
      sym_class_path,
    STATE(13715), 1,
      sym_attribute,
    STATE(14917), 1,
      sym__attribute,
    STATE(19797), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642652] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18216), 1,
      anon_sym_RBRACE,
    STATE(13716), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642681] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18218), 1,
      anon_sym_RBRACE,
    STATE(13717), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642710] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18220), 1,
      anon_sym_RBRACE,
    STATE(13718), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642739] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18222), 1,
      sym__lowercase_identifier,
    STATE(6620), 1,
      sym_class_path,
    STATE(13719), 1,
      sym_attribute,
    STATE(14718), 1,
      sym__attribute,
    STATE(18345), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642768] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18224), 1,
      anon_sym_RBRACE,
    STATE(13720), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642797] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18226), 1,
      anon_sym_RBRACE,
    STATE(13721), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642826] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18228), 1,
      anon_sym_RBRACE,
    STATE(13722), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642855] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18230), 1,
      sym__lowercase_identifier,
    ACTIONS(18232), 1,
      anon_sym_LBRACK,
    ACTIONS(18234), 1,
      anon_sym_virtual,
    STATE(12061), 1,
      sym_class_type_binding,
    STATE(13723), 1,
      sym_attribute,
    STATE(14475), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642884] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18236), 1,
      anon_sym_RBRACE,
    STATE(13724), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642913] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18238), 1,
      anon_sym_RBRACE,
    STATE(13725), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642942] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18240), 1,
      sym__lowercase_identifier,
    STATE(6782), 1,
      sym_class_path,
    STATE(13726), 1,
      sym_attribute,
    STATE(14656), 1,
      sym__attribute,
    STATE(19181), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642971] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18242), 1,
      sym__lowercase_identifier,
    STATE(3820), 1,
      sym_class_path,
    STATE(13727), 1,
      sym_attribute,
    STATE(14572), 1,
      sym__attribute,
    STATE(18385), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643000] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18244), 1,
      anon_sym_RBRACE,
    STATE(13728), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643029] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18246), 1,
      anon_sym_RBRACE,
    STATE(13729), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643058] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18248), 1,
      anon_sym_RBRACE,
    STATE(13730), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643087] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18250), 1,
      anon_sym_RBRACE,
    STATE(13731), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643116] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18252), 1,
      sym__lowercase_identifier,
    STATE(6106), 1,
      sym_class_path,
    STATE(13732), 1,
      sym_attribute,
    STATE(14448), 1,
      sym__attribute,
    STATE(18425), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643145] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18254), 1,
      anon_sym_RBRACE,
    STATE(13733), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643174] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18256), 1,
      anon_sym_RBRACE,
    STATE(13734), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643203] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18258), 1,
      anon_sym_RBRACE,
    STATE(13735), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643232] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18260), 1,
      anon_sym_RBRACE,
    STATE(13736), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643261] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18262), 1,
      sym__lowercase_identifier,
    STATE(3873), 1,
      sym_class_path,
    STATE(13737), 1,
      sym_attribute,
    STATE(14675), 1,
      sym__attribute,
    STATE(18463), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643290] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18264), 1,
      anon_sym_RBRACE,
    STATE(13738), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643319] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18268), 1,
      anon_sym_PIPE,
    ACTIONS(18270), 1,
      anon_sym_RBRACK,
    STATE(13739), 1,
      sym_attribute,
    STATE(16162), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643348] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9094), 1,
      anon_sym_COLON2,
    ACTIONS(17778), 1,
      anon_sym_COLON_COLON,
    STATE(13740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
  [643371] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9098), 1,
      anon_sym_COLON2,
    ACTIONS(17772), 1,
      anon_sym_COMMA,
    ACTIONS(17778), 1,
      anon_sym_COLON_COLON,
    STATE(13741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_as,
  [643396] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18272), 1,
      anon_sym_RBRACE,
    STATE(13742), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643425] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9110), 1,
      anon_sym_COLON2,
    ACTIONS(17778), 1,
      anon_sym_COLON_COLON,
    STATE(13743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
  [643448] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18274), 1,
      anon_sym_RBRACE,
    STATE(13744), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643477] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18276), 1,
      anon_sym_RBRACE,
    STATE(13745), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643506] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18278), 1,
      anon_sym_RBRACE,
    STATE(13746), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643535] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18280), 1,
      sym__lowercase_identifier,
    STATE(6831), 1,
      sym_class_path,
    STATE(13747), 1,
      sym_attribute,
    STATE(14911), 1,
      sym__attribute,
    STATE(17650), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643564] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18282), 1,
      anon_sym_RBRACE,
    STATE(13748), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643593] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18284), 1,
      anon_sym_RBRACE,
    STATE(13749), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643622] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18286), 1,
      anon_sym_RBRACE,
    STATE(13750), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643651] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18288), 1,
      anon_sym_RBRACE,
    STATE(13751), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643680] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18290), 1,
      anon_sym_RBRACE,
    STATE(13752), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643709] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18292), 1,
      anon_sym_RBRACE,
    STATE(13753), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643738] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18294), 1,
      sym__lowercase_identifier,
    STATE(7565), 1,
      sym_class_path,
    STATE(13754), 1,
      sym_attribute,
    STATE(14334), 1,
      sym__attribute,
    STATE(18502), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643767] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18296), 1,
      anon_sym_RBRACE,
    STATE(13755), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643796] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18298), 1,
      anon_sym_RBRACE,
    STATE(13756), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643825] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18300), 1,
      anon_sym_RBRACE,
    STATE(13757), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643854] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18302), 1,
      anon_sym_RBRACE,
    STATE(13758), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643883] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18304), 1,
      anon_sym_RBRACE,
    STATE(13759), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643912] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18306), 1,
      anon_sym_RBRACE,
    STATE(13760), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643941] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18308), 1,
      sym__lowercase_identifier,
    STATE(4749), 1,
      sym_class_path,
    STATE(13761), 1,
      sym_attribute,
    STATE(14447), 1,
      sym__attribute,
    STATE(18540), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643970] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18310), 1,
      anon_sym_RBRACE,
    STATE(13762), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643999] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18312), 1,
      anon_sym_RBRACE,
    STATE(13763), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644028] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18314), 1,
      anon_sym_RBRACE,
    STATE(13764), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644057] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18316), 1,
      anon_sym_RBRACE,
    STATE(13765), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644086] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18318), 1,
      sym__lowercase_identifier,
    STATE(3119), 1,
      sym_class_path,
    STATE(13766), 1,
      sym_attribute,
    STATE(14512), 1,
      sym__attribute,
    STATE(18578), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644115] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11297), 1,
      anon_sym_RPAREN,
    STATE(13767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [644136] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18320), 1,
      anon_sym_RBRACE,
    STATE(13768), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644165] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18322), 1,
      sym__lowercase_identifier,
    STATE(6853), 1,
      sym_class_path,
    STATE(13769), 1,
      sym_attribute,
    STATE(14491), 1,
      sym__attribute,
    STATE(19569), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644194] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18324), 1,
      anon_sym_RBRACE,
    STATE(13770), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644223] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18326), 1,
      anon_sym_RBRACE,
    STATE(13771), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644252] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18328), 1,
      anon_sym_RBRACE,
    STATE(13772), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644281] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18330), 1,
      anon_sym_RBRACE,
    STATE(13773), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644310] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18332), 1,
      sym__lowercase_identifier,
    STATE(6614), 1,
      sym_class_path,
    STATE(13774), 1,
      sym_attribute,
    STATE(14627), 1,
      sym__attribute,
    STATE(18616), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644339] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18334), 1,
      anon_sym_RBRACE,
    STATE(13775), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644368] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18336), 1,
      anon_sym_RBRACE,
    STATE(13776), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644397] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18338), 1,
      anon_sym_RBRACE,
    STATE(13777), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644426] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18340), 1,
      anon_sym_RBRACE,
    STATE(13778), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644455] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18342), 1,
      sym__lowercase_identifier,
    STATE(5874), 1,
      sym_class_path,
    STATE(13779), 1,
      sym_attribute,
    STATE(14742), 1,
      sym__attribute,
    STATE(18654), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644484] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18344), 1,
      anon_sym_RBRACE,
    STATE(13780), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644513] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18346), 1,
      anon_sym_RBRACE,
    STATE(13781), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644542] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18348), 1,
      anon_sym_RBRACE,
    STATE(13782), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644571] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18350), 1,
      anon_sym_RBRACE,
    STATE(13783), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644600] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18352), 1,
      anon_sym_RBRACE,
    STATE(13784), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644629] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18354), 1,
      sym__lowercase_identifier,
    STATE(3212), 1,
      sym_class_path,
    STATE(13785), 1,
      sym_attribute,
    STATE(14890), 1,
      sym__attribute,
    STATE(18691), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644658] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7599), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12526), 1,
      anon_sym_and,
    STATE(13786), 1,
      sym_attribute,
    STATE(13880), 1,
      aux_sym_expression_item_repeat1,
    STATE(14810), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12524), 2,
      anon_sym_in,
      sym_let_and_operator,
  [644685] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18356), 1,
      anon_sym_RBRACE,
    STATE(13787), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644714] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18358), 1,
      anon_sym_RBRACE,
    STATE(13788), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644743] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18360), 1,
      anon_sym_RBRACE,
    STATE(13789), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644772] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18362), 1,
      anon_sym_RBRACE,
    STATE(13790), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644801] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18364), 1,
      sym__lowercase_identifier,
    STATE(5556), 1,
      sym_class_path,
    STATE(13791), 1,
      sym_attribute,
    STATE(14276), 1,
      sym__attribute,
    STATE(18728), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644830] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18366), 1,
      anon_sym_RBRACE,
    STATE(13792), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644859] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18368), 1,
      anon_sym_RBRACE,
    STATE(13793), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644888] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18370), 1,
      anon_sym_RBRACE,
    STATE(13794), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644917] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18372), 1,
      anon_sym_RBRACE,
    STATE(13795), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644946] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18374), 1,
      anon_sym_RBRACE,
    STATE(13796), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644975] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18376), 1,
      anon_sym_RBRACE,
    STATE(13797), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645004] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18378), 1,
      sym__lowercase_identifier,
    STATE(5203), 1,
      sym_class_path,
    STATE(13798), 1,
      sym_attribute,
    STATE(14313), 1,
      sym__attribute,
    STATE(18764), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645033] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18380), 1,
      anon_sym_RBRACE,
    STATE(13799), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645062] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18382), 1,
      anon_sym_RBRACE,
    STATE(13800), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645091] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18384), 1,
      anon_sym_RBRACE,
    STATE(13801), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645120] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    STATE(13802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16765), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [645147] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16476), 1,
      anon_sym_PIPE,
    STATE(13803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16474), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [645168] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18386), 1,
      anon_sym_RBRACE,
    STATE(13804), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645197] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18388), 1,
      anon_sym_RBRACE,
    STATE(13805), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645226] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18390), 1,
      anon_sym_RBRACE,
    STATE(13806), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645255] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16568), 1,
      anon_sym_PIPE,
    STATE(13807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16566), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [645276] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18392), 1,
      anon_sym_RBRACE,
    STATE(13808), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645305] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16472), 1,
      anon_sym_PIPE,
    STATE(13809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16470), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [645326] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18394), 1,
      sym__lowercase_identifier,
    STATE(3601), 1,
      sym_class_path,
    STATE(13810), 1,
      sym_attribute,
    STATE(14374), 1,
      sym__attribute,
    STATE(18799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645355] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18396), 1,
      sym__lowercase_identifier,
    STATE(4246), 1,
      sym_class_path,
    STATE(13811), 1,
      sym_attribute,
    STATE(14505), 1,
      sym__attribute,
    STATE(19594), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645384] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18398), 1,
      anon_sym_RBRACE,
    STATE(13812), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645413] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(16060), 1,
      sym__lowercase_identifier,
    ACTIONS(18400), 1,
      anon_sym_LPAREN,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(13813), 1,
      sym_attribute,
    STATE(14511), 1,
      sym__attribute,
    STATE(16501), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645442] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18402), 1,
      anon_sym_RBRACE,
    STATE(13814), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645471] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18404), 1,
      anon_sym_RBRACE,
    STATE(13815), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645500] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18406), 1,
      anon_sym_RBRACE,
    STATE(13816), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645529] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18408), 1,
      sym__lowercase_identifier,
    STATE(3666), 1,
      sym_class_path,
    STATE(13817), 1,
      sym_attribute,
    STATE(14419), 1,
      sym__attribute,
    STATE(18822), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645558] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(16060), 1,
      sym__lowercase_identifier,
    ACTIONS(18400), 1,
      anon_sym_LPAREN,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(13818), 1,
      sym_attribute,
    STATE(14256), 1,
      sym__attribute,
    STATE(16836), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645587] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18410), 1,
      sym__lowercase_identifier,
    STATE(7239), 1,
      sym_class_path,
    STATE(13819), 1,
      sym_attribute,
    STATE(14681), 1,
      sym__attribute,
    STATE(17419), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645616] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18412), 1,
      anon_sym_RBRACE,
    STATE(13820), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645645] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18414), 1,
      anon_sym_RBRACE,
    STATE(13821), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645674] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18416), 1,
      anon_sym_RBRACE,
    STATE(13822), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645703] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18418), 1,
      anon_sym_RBRACE,
    STATE(13823), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645732] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18420), 1,
      anon_sym_RBRACE,
    STATE(13824), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645761] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18422), 1,
      anon_sym_RBRACE,
    STATE(13825), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645790] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18424), 1,
      anon_sym_RBRACE,
    STATE(13826), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645819] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18426), 1,
      anon_sym_RBRACE,
    STATE(13827), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645848] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17578), 1,
      anon_sym_COMMA,
    ACTIONS(17580), 1,
      anon_sym_PIPE,
    ACTIONS(17586), 1,
      anon_sym_COLON_COLON,
    STATE(13828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18428), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [645875] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17560), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_PIPE,
    ACTIONS(17568), 1,
      anon_sym_as,
    ACTIONS(17570), 1,
      anon_sym_COLON_COLON,
    STATE(13829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18430), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [645902] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18432), 1,
      sym__lowercase_identifier,
    STATE(4877), 1,
      sym_class_path,
    STATE(13830), 1,
      sym_attribute,
    STATE(14461), 1,
      sym__attribute,
    STATE(17542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645931] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18434), 1,
      sym__lowercase_identifier,
    STATE(7307), 1,
      sym_class_path,
    STATE(13831), 1,
      sym_attribute,
    STATE(14467), 1,
      sym__attribute,
    STATE(17921), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645960] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18436), 1,
      anon_sym_RBRACE,
    STATE(13832), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645989] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18438), 1,
      anon_sym_RBRACE,
    STATE(13833), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646018] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18440), 1,
      anon_sym_RBRACE,
    STATE(13834), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646047] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18442), 1,
      anon_sym_RBRACE,
    STATE(13835), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646076] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18444), 1,
      anon_sym_RBRACE,
    STATE(13836), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646105] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18446), 1,
      anon_sym_RBRACE,
    STATE(13837), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646134] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18448), 1,
      anon_sym_RBRACE,
    STATE(13838), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646163] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7599), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12707), 1,
      anon_sym_and,
    STATE(13839), 1,
      sym_attribute,
    STATE(13903), 1,
      aux_sym_expression_item_repeat1,
    STATE(14810), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12705), 2,
      anon_sym_in,
      sym_let_and_operator,
  [646190] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18450), 1,
      sym__lowercase_identifier,
    STATE(6358), 1,
      sym_class_path,
    STATE(13840), 1,
      sym_attribute,
    STATE(14342), 1,
      sym__attribute,
    STATE(17544), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646219] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9420), 1,
      anon_sym_PIPE,
    STATE(13841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [646240] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18452), 1,
      anon_sym_RBRACE,
    STATE(13842), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646269] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7063), 1,
      anon_sym_PIPE,
    STATE(13843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7059), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [646290] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18454), 1,
      anon_sym_RBRACE,
    STATE(13844), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646319] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18456), 1,
      anon_sym_RBRACE,
    STATE(13845), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646348] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    STATE(13846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16785), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [646375] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18458), 1,
      anon_sym_RBRACE,
    STATE(13847), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646404] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16691), 1,
      anon_sym_PIPE,
    STATE(13848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16689), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [646425] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18460), 1,
      anon_sym_RBRACE,
    STATE(13849), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646454] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18268), 1,
      anon_sym_PIPE,
    ACTIONS(18462), 1,
      anon_sym_RBRACK,
    STATE(13850), 1,
      sym_attribute,
    STATE(15042), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646483] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16732), 1,
      anon_sym_PIPE,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    STATE(13851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16730), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [646506] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16761), 1,
      anon_sym_PIPE,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    STATE(13852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16757), 3,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [646531] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16643), 1,
      anon_sym_PIPE,
    STATE(13853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16641), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [646552] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16755), 1,
      anon_sym_PIPE,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    STATE(13854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16753), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [646575] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16374), 1,
      anon_sym_PIPE,
    STATE(13855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16372), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [646596] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4977), 1,
      anon_sym_PIPE,
    STATE(13856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4975), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [646617] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18464), 1,
      anon_sym_RBRACE,
    STATE(13857), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646646] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9114), 1,
      anon_sym_PIPE,
    STATE(13858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [646667] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18466), 1,
      sym__lowercase_identifier,
    STATE(3292), 1,
      sym_class_path,
    STATE(13859), 1,
      sym_attribute,
    STATE(14624), 1,
      sym__attribute,
    STATE(17704), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646696] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9046), 1,
      anon_sym_PIPE,
    STATE(13860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [646717] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9120), 1,
      anon_sym_PIPE,
    STATE(13861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [646738] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9026), 1,
      anon_sym_PIPE,
    STATE(13862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [646759] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18468), 1,
      anon_sym_RBRACE,
    STATE(13863), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646788] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18470), 1,
      anon_sym_RBRACE,
    STATE(13864), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646817] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18472), 1,
      anon_sym_RBRACE,
    STATE(13865), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646846] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18474), 1,
      anon_sym_RBRACE,
    STATE(13866), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646875] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18476), 1,
      anon_sym_RBRACE,
    STATE(13867), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646904] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18400), 1,
      anon_sym_LPAREN,
    ACTIONS(18478), 1,
      sym__lowercase_identifier,
    STATE(13868), 1,
      sym_attribute,
    STATE(14924), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20232), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [646931] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18480), 1,
      anon_sym_DASH_GT,
    STATE(13869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12211), 5,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_GT,
  [646952] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18482), 1,
      anon_sym_RBRACE,
    STATE(13870), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646981] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18484), 1,
      sym__lowercase_identifier,
    STATE(7752), 1,
      sym_class_path,
    STATE(13871), 1,
      sym_attribute,
    STATE(14762), 1,
      sym__attribute,
    STATE(18320), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647010] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18486), 1,
      anon_sym_RBRACE,
    STATE(13872), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647039] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18488), 1,
      anon_sym_RBRACE,
    STATE(13873), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647068] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18490), 1,
      anon_sym_RBRACE,
    STATE(13874), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647097] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18492), 1,
      anon_sym_RBRACE,
    STATE(13875), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647126] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18494), 1,
      anon_sym_RBRACE,
    STATE(13876), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647155] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18496), 1,
      anon_sym_RBRACE,
    STATE(13877), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647184] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18498), 1,
      sym__lowercase_identifier,
    STATE(4104), 1,
      sym_class_path,
    STATE(13878), 1,
      sym_attribute,
    STATE(14255), 1,
      sym__attribute,
    STATE(17758), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647213] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18500), 1,
      anon_sym_RBRACE,
    STATE(13879), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647242] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11708), 1,
      anon_sym_and,
    ACTIONS(18502), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14810), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11706), 2,
      anon_sym_in,
      sym_let_and_operator,
    STATE(13880), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
  [647267] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18505), 1,
      anon_sym_RBRACE,
    STATE(13881), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647296] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18507), 1,
      sym__lowercase_identifier,
    STATE(6805), 1,
      sym_class_path,
    STATE(13882), 1,
      sym_attribute,
    STATE(14548), 1,
      sym__attribute,
    STATE(18742), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647325] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18509), 1,
      anon_sym_RBRACE,
    STATE(13883), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647354] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18511), 1,
      sym__lowercase_identifier,
    ACTIONS(18513), 1,
      anon_sym_BANG,
    STATE(12357), 1,
      sym__instance_variable_name,
    STATE(13884), 1,
      sym_attribute,
    STATE(14200), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18515), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [647381] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18517), 1,
      anon_sym_RBRACE,
    STATE(13885), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647410] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18519), 1,
      anon_sym_RBRACE,
    STATE(13886), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647439] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    ACTIONS(14453), 1,
      anon_sym_POUND,
    ACTIONS(18521), 1,
      anon_sym_DASH_GT,
    STATE(12120), 1,
      sym_type_constructor_path,
    STATE(13887), 1,
      sym_attribute,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647468] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9458), 1,
      anon_sym_PIPE,
    STATE(13888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [647489] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9478), 1,
      anon_sym_PIPE,
    STATE(13889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [647510] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8986), 1,
      anon_sym_PIPE,
    STATE(13890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [647531] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8998), 1,
      anon_sym_PIPE,
    STATE(13891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9000), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [647552] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18523), 1,
      sym__lowercase_identifier,
    STATE(7019), 1,
      sym_class_path,
    STATE(13892), 1,
      sym_attribute,
    STATE(14316), 1,
      sym__attribute,
    STATE(17812), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647581] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9002), 1,
      anon_sym_PIPE,
    STATE(13893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [647602] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9050), 1,
      anon_sym_PIPE,
    STATE(13894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [647623] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9054), 1,
      anon_sym_PIPE,
    STATE(13895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [647644] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    STATE(13896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18525), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [647671] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18527), 1,
      anon_sym_RBRACE,
    STATE(13897), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647700] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18529), 1,
      anon_sym_RBRACE,
    STATE(13898), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647729] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18531), 1,
      anon_sym_RBRACE,
    STATE(13899), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647758] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18533), 1,
      anon_sym_RBRACE,
    STATE(13900), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647787] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17784), 1,
      anon_sym_COMMA,
    ACTIONS(17786), 1,
      anon_sym_PIPE,
    ACTIONS(17790), 1,
      anon_sym_as,
    ACTIONS(17792), 1,
      anon_sym_COLON_COLON,
    STATE(13901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18170), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [647814] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18535), 1,
      sym__lowercase_identifier,
    STATE(6415), 1,
      sym_class_path,
    STATE(13902), 1,
      sym_attribute,
    STATE(14380), 1,
      sym__attribute,
    STATE(17866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647843] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7599), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12580), 1,
      anon_sym_and,
    STATE(13880), 1,
      aux_sym_expression_item_repeat1,
    STATE(13903), 1,
      sym_attribute,
    STATE(14810), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12578), 2,
      anon_sym_in,
      sym_let_and_operator,
  [647870] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7599), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12612), 1,
      anon_sym_and,
    STATE(13904), 1,
      sym_attribute,
    STATE(13951), 1,
      aux_sym_expression_item_repeat1,
    STATE(14810), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12610), 2,
      anon_sym_in,
      sym_let_and_operator,
  [647897] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16430), 1,
      anon_sym_PIPE,
    STATE(13905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16428), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [647918] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    STATE(13906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18537), 4,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_AMP,
  [647941] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9062), 1,
      anon_sym_PIPE,
    STATE(13907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [647962] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18539), 1,
      anon_sym_RBRACE,
    STATE(13908), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647991] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18541), 1,
      anon_sym_RBRACE,
    STATE(13909), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648020] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18543), 1,
      anon_sym_RBRACE,
    STATE(13910), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648049] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_PIPE,
    STATE(13911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7791), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [648070] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18545), 1,
      anon_sym_RBRACE,
    STATE(13912), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648099] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7896), 1,
      anon_sym_PIPE,
    STATE(13913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [648120] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18547), 1,
      sym__lowercase_identifier,
    STATE(3387), 1,
      sym_class_path,
    STATE(13914), 1,
      sym_attribute,
    STATE(14435), 1,
      sym__attribute,
    STATE(17920), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648149] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18549), 1,
      anon_sym_RBRACE,
    STATE(13915), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648178] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18551), 1,
      anon_sym_RBRACE,
    STATE(13916), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648207] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18553), 1,
      anon_sym_RBRACE,
    STATE(13917), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648236] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9510), 1,
      anon_sym_PIPE,
    STATE(13918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [648257] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18555), 1,
      anon_sym_RBRACE,
    STATE(13919), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648286] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18557), 1,
      anon_sym_RBRACE,
    STATE(13920), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648315] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9514), 1,
      anon_sym_PIPE,
    STATE(13921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [648336] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9518), 1,
      anon_sym_PIPE,
    STATE(13922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [648357] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9482), 1,
      anon_sym_PIPE,
    STATE(13923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [648378] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18559), 1,
      sym__lowercase_identifier,
    STATE(3957), 1,
      sym_class_path,
    STATE(13924), 1,
      sym_attribute,
    STATE(14483), 1,
      sym__attribute,
    STATE(17974), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648407] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9486), 1,
      anon_sym_PIPE,
    STATE(13925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [648428] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9074), 1,
      anon_sym_PIPE,
    STATE(13926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [648449] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9014), 1,
      anon_sym_PIPE,
    STATE(13927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [648470] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      anon_sym_PIPE,
    STATE(13928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [648491] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9086), 1,
      anon_sym_PIPE,
    STATE(13929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [648512] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9090), 1,
      anon_sym_PIPE,
    STATE(13930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [648533] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9102), 1,
      anon_sym_PIPE,
    STATE(13931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [648554] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18561), 1,
      anon_sym_RBRACE,
    STATE(13932), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648583] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18563), 1,
      anon_sym_RBRACE,
    STATE(13933), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648612] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9078), 1,
      anon_sym_PIPE,
    STATE(13934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [648633] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18565), 1,
      anon_sym_RBRACE,
    STATE(13935), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648662] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18567), 1,
      anon_sym_RBRACE,
    STATE(13936), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648691] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18569), 1,
      anon_sym_RBRACE,
    STATE(13937), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648720] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18571), 1,
      anon_sym_RBRACE,
    STATE(13938), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648749] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9094), 1,
      anon_sym_PIPE,
    ACTIONS(17792), 1,
      anon_sym_COLON_COLON,
    STATE(13939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [648772] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18573), 1,
      sym__lowercase_identifier,
    STATE(9138), 1,
      sym_class_path,
    STATE(13940), 1,
      sym_attribute,
    STATE(14533), 1,
      sym__attribute,
    STATE(19944), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648801] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9098), 1,
      anon_sym_PIPE,
    ACTIONS(17784), 1,
      anon_sym_COMMA,
    ACTIONS(17792), 1,
      anon_sym_COLON_COLON,
    STATE(13941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 3,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [648826] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9106), 1,
      anon_sym_PIPE,
    STATE(13942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [648847] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9110), 1,
      anon_sym_PIPE,
    ACTIONS(17792), 1,
      anon_sym_COLON_COLON,
    STATE(13943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [648870] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9082), 1,
      anon_sym_PIPE,
    STATE(13944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [648891] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9124), 1,
      anon_sym_PIPE,
    STATE(13945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [648912] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18575), 1,
      anon_sym_RBRACE,
    STATE(13946), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648941] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(16060), 1,
      sym__lowercase_identifier,
    ACTIONS(18400), 1,
      anon_sym_LPAREN,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(13947), 1,
      sym_attribute,
    STATE(14661), 1,
      sym__attribute,
    STATE(17257), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648970] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9006), 1,
      anon_sym_PIPE,
    STATE(13948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [648991] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18577), 1,
      anon_sym_RBRACE,
    STATE(13949), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649020] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7599), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13046), 1,
      anon_sym_and,
    STATE(13950), 1,
      sym_attribute,
    STATE(13968), 1,
      aux_sym_expression_item_repeat1,
    STATE(14810), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13044), 2,
      anon_sym_in,
      sym_let_and_operator,
  [649047] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7599), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13050), 1,
      anon_sym_and,
    STATE(13880), 1,
      aux_sym_expression_item_repeat1,
    STATE(13951), 1,
      sym_attribute,
    STATE(14810), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13048), 2,
      anon_sym_in,
      sym_let_and_operator,
  [649074] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18579), 1,
      anon_sym_RBRACE,
    STATE(13952), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649103] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18581), 1,
      anon_sym_and,
    STATE(13953), 1,
      sym_attribute,
    STATE(13955), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12942), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [649126] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18583), 1,
      anon_sym_RBRACE,
    STATE(13954), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649155] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18585), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13955), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11771), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [649176] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18588), 1,
      sym__lowercase_identifier,
    STATE(5712), 1,
      sym_class_path,
    STATE(13956), 1,
      sym_attribute,
    STATE(14578), 1,
      sym__attribute,
    STATE(18024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649205] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9454), 1,
      anon_sym_PIPE,
    STATE(13957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649226] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9462), 1,
      anon_sym_PIPE,
    STATE(13958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649247] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9466), 1,
      anon_sym_PIPE,
    STATE(13959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649268] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9470), 1,
      anon_sym_PIPE,
    STATE(13960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649289] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9474), 1,
      anon_sym_PIPE,
    STATE(13961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649310] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9022), 1,
      anon_sym_PIPE,
    STATE(13962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9024), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649331] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9036), 1,
      anon_sym_PIPE,
    STATE(13963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649352] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      anon_sym_PIPE,
    STATE(13964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649373] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8978), 1,
      anon_sym_PIPE,
    STATE(13965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8980), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649394] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9018), 1,
      anon_sym_PIPE,
    STATE(13966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649415] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18590), 1,
      anon_sym_RBRACE,
    STATE(13967), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649444] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7599), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12970), 1,
      anon_sym_and,
    STATE(13880), 1,
      aux_sym_expression_item_repeat1,
    STATE(13968), 1,
      sym_attribute,
    STATE(14810), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12968), 2,
      anon_sym_in,
      sym_let_and_operator,
  [649471] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7599), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12974), 1,
      anon_sym_and,
    STATE(13969), 1,
      sym_attribute,
    STATE(13973), 1,
      aux_sym_expression_item_repeat1,
    STATE(14810), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12972), 2,
      anon_sym_in,
      sym_let_and_operator,
  [649498] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18592), 1,
      anon_sym_RBRACE,
    STATE(13970), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649527] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18594), 1,
      anon_sym_RBRACE,
    STATE(13971), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649556] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18596), 1,
      anon_sym_RBRACE,
    STATE(13972), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649585] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7599), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13122), 1,
      anon_sym_and,
    STATE(13880), 1,
      aux_sym_expression_item_repeat1,
    STATE(13973), 1,
      sym_attribute,
    STATE(14810), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13120), 2,
      anon_sym_in,
      sym_let_and_operator,
  [649612] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7599), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13086), 1,
      anon_sym_and,
    STATE(13974), 1,
      sym_attribute,
    STATE(13975), 1,
      aux_sym_expression_item_repeat1,
    STATE(14810), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13084), 2,
      anon_sym_in,
      sym_let_and_operator,
  [649639] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7599), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12453), 1,
      anon_sym_and,
    STATE(13880), 1,
      aux_sym_expression_item_repeat1,
    STATE(13975), 1,
      sym_attribute,
    STATE(14810), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12451), 2,
      anon_sym_in,
      sym_let_and_operator,
  [649666] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18598), 1,
      sym__lowercase_identifier,
    STATE(5087), 1,
      sym_class_path,
    STATE(13976), 1,
      sym_attribute,
    STATE(14629), 1,
      sym__attribute,
    STATE(18065), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649695] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7904), 1,
      anon_sym_PIPE,
    STATE(13977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649716] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9532), 1,
      anon_sym_PIPE,
    STATE(13978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649737] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18600), 1,
      sym__lowercase_identifier,
    STATE(7130), 1,
      sym_class_path,
    STATE(13979), 1,
      sym_attribute,
    STATE(14343), 1,
      sym__attribute,
    STATE(18946), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649766] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9536), 1,
      anon_sym_PIPE,
    STATE(13980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649787] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9540), 1,
      anon_sym_PIPE,
    STATE(13981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9542), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649808] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9544), 1,
      anon_sym_PIPE,
    STATE(13982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649829] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8970), 1,
      anon_sym_PIPE,
    STATE(13983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8972), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649850] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8974), 1,
      anon_sym_PIPE,
    STATE(13984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8976), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649871] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8982), 1,
      anon_sym_PIPE,
    STATE(13985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8984), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649892] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18602), 1,
      anon_sym_RBRACE,
    STATE(13986), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649921] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9030), 1,
      anon_sym_PIPE,
    STATE(13987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9032), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649942] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7908), 1,
      anon_sym_PIPE,
    STATE(13988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649963] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7916), 1,
      anon_sym_PIPE,
    STATE(13989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649984] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7920), 1,
      anon_sym_PIPE,
    STATE(13990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [650005] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7952), 1,
      anon_sym_PIPE,
    STATE(13991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [650026] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18604), 1,
      anon_sym_RBRACE,
    STATE(13992), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650055] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18606), 1,
      anon_sym_RBRACE,
    STATE(13993), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650084] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18608), 1,
      anon_sym_RBRACE,
    STATE(13994), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650113] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18610), 1,
      sym__lowercase_identifier,
    STATE(5348), 1,
      sym_class_path,
    STATE(13995), 1,
      sym_attribute,
    STATE(14690), 1,
      sym__attribute,
    STATE(18105), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650142] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17578), 1,
      anon_sym_COMMA,
    ACTIONS(17580), 1,
      anon_sym_PIPE,
    ACTIONS(17586), 1,
      anon_sym_COLON_COLON,
    STATE(13996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18525), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [650169] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9590), 1,
      anon_sym_PIPE,
    STATE(13997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9592), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [650190] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18612), 1,
      anon_sym_RBRACE,
    STATE(13998), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650219] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8990), 1,
      anon_sym_PIPE,
    STATE(13999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [650240] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18614), 1,
      anon_sym_RBRACE,
    STATE(14000), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650269] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18616), 1,
      anon_sym_RBRACE,
    STATE(14001), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650298] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18618), 1,
      anon_sym_RBRACE,
    STATE(14002), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650327] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9594), 1,
      anon_sym_PIPE,
    STATE(14003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9596), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [650348] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8994), 1,
      anon_sym_PIPE,
    STATE(14004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [650369] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18620), 1,
      sym__lowercase_identifier,
    STATE(6013), 1,
      sym_class_path,
    STATE(14005), 1,
      sym_attribute,
    STATE(14744), 1,
      sym__attribute,
    STATE(18145), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650398] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18622), 1,
      anon_sym_RBRACE,
    STATE(14006), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650427] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18624), 1,
      sym__lowercase_identifier,
    ACTIONS(18626), 1,
      anon_sym_LBRACK,
    ACTIONS(18628), 1,
      anon_sym_virtual,
    STATE(11711), 1,
      sym_class_type_binding,
    STATE(14007), 1,
      sym_attribute,
    STATE(14669), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650456] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18581), 1,
      anon_sym_and,
    STATE(13953), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(14008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13126), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [650479] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18400), 1,
      anon_sym_LPAREN,
    ACTIONS(18478), 1,
      sym__lowercase_identifier,
    STATE(14009), 1,
      sym_attribute,
    STATE(14542), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(18177), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [650506] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18630), 1,
      anon_sym_RBRACE,
    STATE(14010), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650535] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18632), 1,
      anon_sym_RBRACE,
    STATE(14011), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650564] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18634), 1,
      anon_sym_RBRACE,
    STATE(14012), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650593] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18400), 1,
      anon_sym_LPAREN,
    ACTIONS(18478), 1,
      sym__lowercase_identifier,
    STATE(14013), 1,
      sym_attribute,
    STATE(14901), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20210), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [650620] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18636), 1,
      anon_sym_RBRACE,
    STATE(14014), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650649] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(17578), 1,
      anon_sym_COMMA,
    ACTIONS(17580), 1,
      anon_sym_PIPE,
    ACTIONS(17586), 1,
      anon_sym_COLON_COLON,
    STATE(14015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18638), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [650676] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18640), 1,
      sym__lowercase_identifier,
    STATE(6491), 1,
      sym_class_path,
    STATE(14016), 1,
      sym_attribute,
    STATE(14804), 1,
      sym__attribute,
    STATE(18185), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650705] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    ACTIONS(18400), 1,
      anon_sym_LPAREN,
    ACTIONS(18478), 1,
      sym__lowercase_identifier,
    STATE(14017), 1,
      sym_attribute,
    STATE(14922), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20229), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [650732] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    ACTIONS(18642), 1,
      anon_sym_RBRACE,
    STATE(14018), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650761] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18511), 1,
      sym__lowercase_identifier,
    STATE(12277), 1,
      sym__instance_variable_name,
    STATE(14019), 1,
      sym_attribute,
    STATE(14390), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18515), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [650785] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18646), 1,
      anon_sym_SEMI,
    ACTIONS(18648), 1,
      anon_sym_GT_RBRACE,
    STATE(14020), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(15910), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650811] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18650), 1,
      anon_sym_type,
    ACTIONS(18652), 1,
      anon_sym_module,
    STATE(14021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10713), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [650833] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18654), 1,
      anon_sym_SEMI,
    ACTIONS(18656), 1,
      anon_sym_GT_RBRACE,
    STATE(14022), 1,
      sym_attribute,
    STATE(15220), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650859] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18658), 1,
      anon_sym_SEMI,
    ACTIONS(18660), 1,
      anon_sym_GT_RBRACE,
    STATE(14023), 1,
      sym_attribute,
    STATE(15257), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650885] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(18662), 1,
      anon_sym_LPAREN,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(10537), 1,
      sym_constructor_path,
    STATE(14024), 1,
      sym_attribute,
    STATE(17624), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650911] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14025), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16323), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650937] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11035), 1,
      sym__lowercase_identifier,
    ACTIONS(18664), 1,
      anon_sym_POUND,
    STATE(10107), 1,
      sym_type_constructor_path,
    STATE(14026), 1,
      sym_attribute,
    STATE(16868), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650963] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18666), 1,
      anon_sym_SEMI,
    ACTIONS(18668), 1,
      anon_sym_GT_RBRACE,
    STATE(14027), 1,
      sym_attribute,
    STATE(15128), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650989] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18670), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(16070), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11706), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(14028), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
  [651011] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18673), 1,
      anon_sym_SEMI,
    ACTIONS(18675), 1,
      anon_sym_GT_RBRACE,
    STATE(14029), 1,
      sym_attribute,
    STATE(15300), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651037] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14030), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651063] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18677), 1,
      anon_sym_SEMI,
    ACTIONS(18679), 1,
      anon_sym_GT_RBRACE,
    STATE(14031), 1,
      sym_attribute,
    STATE(15787), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651089] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16274), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14028), 1,
      aux_sym_expression_item_repeat1,
    STATE(14032), 1,
      sym_attribute,
    STATE(16070), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12769), 2,
      anon_sym_and,
      anon_sym_in,
  [651113] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14033), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(15050), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651139] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18681), 1,
      sym__lowercase_identifier,
    ACTIONS(18685), 1,
      anon_sym_BANG,
    STATE(14034), 1,
      sym_attribute,
    STATE(14348), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18683), 2,
      anon_sym_private,
      anon_sym_virtual,
  [651163] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18687), 1,
      anon_sym_EQ,
    ACTIONS(18689), 1,
      anon_sym_COLON2,
    STATE(14035), 1,
      sym_attribute,
    STATE(15228), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18691), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [651187] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18693), 1,
      anon_sym_SEMI,
    ACTIONS(18695), 1,
      anon_sym_GT_RBRACE,
    STATE(14036), 1,
      sym_attribute,
    STATE(15823), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651213] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18697), 1,
      anon_sym_type,
    ACTIONS(18699), 1,
      anon_sym_module,
    STATE(14037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13288), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [651235] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18701), 1,
      anon_sym_RPAREN,
    STATE(14038), 1,
      sym_attribute,
    STATE(15797), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651261] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18703), 1,
      anon_sym_SEMI,
    ACTIONS(18705), 1,
      anon_sym_GT_RBRACE,
    STATE(14039), 1,
      sym_attribute,
    STATE(15239), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651287] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    STATE(14040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18268), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [651309] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14041), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(15170), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651335] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18707), 1,
      anon_sym_RPAREN,
    STATE(14042), 1,
      sym_attribute,
    STATE(15059), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651361] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14043), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(16276), 1,
      sym_field_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651387] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14044), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(15275), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651413] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18709), 1,
      anon_sym_RPAREN,
    STATE(14045), 1,
      sym_attribute,
    STATE(15225), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651439] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18511), 1,
      sym__lowercase_identifier,
    STATE(14046), 1,
      sym_attribute,
    STATE(14225), 1,
      aux_sym_instance_variable_specification_repeat1,
    STATE(17342), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18515), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [651463] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11051), 1,
      sym__lowercase_identifier,
    ACTIONS(18711), 1,
      anon_sym_POUND,
    STATE(11011), 1,
      sym_type_constructor_path,
    STATE(14047), 1,
      sym_attribute,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651489] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14048), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(15391), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651515] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9178), 1,
      sym__uppercase_identifier,
    ACTIONS(18713), 1,
      anon_sym_LPAREN,
    STATE(8768), 1,
      sym__constructor_name,
    STATE(10490), 1,
      sym_constructor_path,
    STATE(14049), 1,
      sym_attribute,
    STATE(19638), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651541] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14050), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(15493), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651567] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12095), 1,
      sym__lowercase_identifier,
    ACTIONS(18715), 1,
      anon_sym_POUND,
    STATE(13025), 1,
      sym_type_constructor_path,
    STATE(14051), 1,
      sym_attribute,
    STATE(16880), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651593] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9178), 1,
      sym__uppercase_identifier,
    ACTIONS(18713), 1,
      anon_sym_LPAREN,
    STATE(8768), 1,
      sym__constructor_name,
    STATE(10537), 1,
      sym_constructor_path,
    STATE(14052), 1,
      sym_attribute,
    STATE(19638), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651619] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14053), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(15591), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651645] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    STATE(14054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18717), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [651667] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    ACTIONS(18719), 1,
      anon_sym_POUND,
    STATE(12128), 1,
      sym_type_constructor_path,
    STATE(14055), 1,
      sym_attribute,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651693] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14056), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(17386), 1,
      sym_field_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651719] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18721), 1,
      anon_sym_SEMI,
    ACTIONS(18723), 1,
      anon_sym_GT_RBRACE,
    STATE(14057), 1,
      sym_attribute,
    STATE(15348), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651745] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14058), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(15765), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651771] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(14059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18725), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [651789] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9178), 1,
      sym__uppercase_identifier,
    ACTIONS(18713), 1,
      anon_sym_LPAREN,
    STATE(8768), 1,
      sym__constructor_name,
    STATE(10428), 1,
      sym_constructor_path,
    STATE(14060), 1,
      sym_attribute,
    STATE(19638), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651815] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14035), 1,
      sym_field_path,
    STATE(14061), 1,
      sym_attribute,
    STATE(15140), 1,
      sym_field_binding_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651841] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17648), 1,
      anon_sym_AMP,
    STATE(14062), 1,
      sym_attribute,
    STATE(14064), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18727), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [651863] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(18731), 1,
      anon_sym__,
    STATE(14063), 1,
      sym_attribute,
    STATE(14158), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18729), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [651887] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18733), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14064), 2,
      sym_attribute,
      aux_sym_tag_specification_repeat1,
    ACTIONS(18537), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [651907] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14065), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(15860), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651933] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18736), 1,
      anon_sym_RPAREN,
    STATE(14066), 1,
      sym_attribute,
    STATE(16178), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651959] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14035), 1,
      sym_field_path,
    STATE(14067), 1,
      sym_attribute,
    STATE(16445), 1,
      sym_field_binding_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651985] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18738), 1,
      anon_sym_RPAREN,
    STATE(14068), 1,
      sym_attribute,
    STATE(15241), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652011] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14069), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(15828), 1,
      sym_field_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652037] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14070), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(15973), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652063] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11073), 1,
      sym__lowercase_identifier,
    ACTIONS(18740), 1,
      anon_sym_POUND,
    STATE(10727), 1,
      sym_type_constructor_path,
    STATE(14071), 1,
      sym_attribute,
    STATE(16503), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652089] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(18662), 1,
      anon_sym_LPAREN,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(10428), 1,
      sym_constructor_path,
    STATE(14072), 1,
      sym_attribute,
    STATE(17624), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652115] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14073), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16120), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652141] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14074), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(14974), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652167] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11147), 1,
      sym__lowercase_identifier,
    ACTIONS(18742), 1,
      anon_sym_POUND,
    STATE(10638), 1,
      sym_type_constructor_path,
    STATE(14075), 1,
      sym_attribute,
    STATE(16888), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652193] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14076), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16277), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652219] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18744), 1,
      anon_sym_SEMI,
    ACTIONS(18746), 1,
      anon_sym_GT_RBRACE,
    STATE(14077), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(15987), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652245] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18748), 1,
      anon_sym_SEMI,
    ACTIONS(18750), 1,
      anon_sym_GT_RBRACE,
    STATE(14078), 1,
      sym_attribute,
    STATE(15578), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652271] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18752), 1,
      anon_sym_RBRACK,
    STATE(14079), 1,
      sym_attribute,
    STATE(15558), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652297] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14080), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16163), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652323] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14081), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(15495), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652349] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16274), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14028), 1,
      aux_sym_expression_item_repeat1,
    STATE(14082), 1,
      sym_attribute,
    STATE(16070), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12976), 2,
      anon_sym_and,
      anon_sym_in,
  [652373] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18754), 1,
      anon_sym_SEMI,
    ACTIONS(18756), 1,
      anon_sym_GT_RBRACE,
    STATE(14083), 1,
      sym_attribute,
    STATE(15454), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652399] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14084), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(15133), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652425] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14085), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(15318), 1,
      sym_field_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652451] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14086), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16147), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652477] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14035), 1,
      sym_field_path,
    STATE(14087), 1,
      sym_attribute,
    STATE(15324), 1,
      sym_field_binding_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652503] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18758), 1,
      anon_sym_RPAREN,
    STATE(14088), 1,
      sym_attribute,
    STATE(15261), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652529] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14089), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(15259), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652555] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18760), 1,
      anon_sym_RPAREN,
    STATE(14090), 1,
      sym_attribute,
    STATE(14955), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652581] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14091), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(15539), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652607] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18762), 1,
      anon_sym_SEMI,
    ACTIONS(18764), 1,
      anon_sym_GT_RBRACE,
    STATE(14092), 1,
      sym_attribute,
    STATE(15779), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652633] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16274), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14028), 1,
      aux_sym_expression_item_repeat1,
    STATE(14093), 1,
      sym_attribute,
    STATE(16070), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13007), 2,
      anon_sym_and,
      anon_sym_in,
  [652657] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    STATE(14094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16276), 3,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [652679] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14095), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(15885), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652705] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12107), 1,
      sym__lowercase_identifier,
    ACTIONS(18766), 1,
      anon_sym_POUND,
    STATE(12582), 1,
      sym_type_constructor_path,
    STATE(14096), 1,
      sym_attribute,
    STATE(16901), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652731] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14097), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(14981), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652757] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17648), 1,
      anon_sym_AMP,
    STATE(14064), 1,
      aux_sym_tag_specification_repeat1,
    STATE(14098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17964), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [652779] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18768), 1,
      anon_sym_RPAREN,
    STATE(14099), 1,
      sym_attribute,
    STATE(15096), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652805] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14100), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(15176), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652831] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18770), 1,
      anon_sym_RPAREN,
    STATE(14101), 1,
      sym_attribute,
    STATE(15023), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652857] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14102), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(14985), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652883] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16274), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14028), 1,
      aux_sym_expression_item_repeat1,
    STATE(14103), 1,
      sym_attribute,
    STATE(16070), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11765), 2,
      anon_sym_and,
      anon_sym_in,
  [652907] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18772), 1,
      anon_sym_SEMI,
    ACTIONS(18774), 1,
      anon_sym_GT_RBRACE,
    STATE(14104), 1,
      sym_attribute,
    STATE(15120), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652933] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18776), 1,
      anon_sym_SEMI,
    ACTIONS(18778), 1,
      anon_sym_GT_RBRACE,
    STATE(14105), 1,
      sym_attribute,
    STATE(15557), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652959] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14106), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(15336), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652985] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14035), 1,
      sym_field_path,
    STATE(14107), 1,
      sym_attribute,
    STATE(15861), 1,
      sym_field_binding_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653011] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11103), 1,
      sym__lowercase_identifier,
    ACTIONS(18780), 1,
      anon_sym_POUND,
    STATE(13434), 1,
      sym_type_constructor_path,
    STATE(14108), 1,
      sym_attribute,
    STATE(16557), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653037] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(18782), 1,
      anon_sym_RPAREN,
    STATE(14109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653063] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(18784), 1,
      anon_sym_RPAREN,
    STATE(14110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653089] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18786), 1,
      anon_sym_RPAREN,
    STATE(14111), 1,
      sym_attribute,
    STATE(15540), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653115] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(18788), 1,
      anon_sym_RPAREN,
    STATE(14112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653141] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14113), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(15499), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653167] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9178), 1,
      sym__uppercase_identifier,
    ACTIONS(18662), 1,
      anon_sym_LPAREN,
    STATE(8768), 1,
      sym__constructor_name,
    STATE(10428), 1,
      sym_constructor_path,
    STATE(14114), 1,
      sym_attribute,
    STATE(20305), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653193] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17772), 1,
      anon_sym_COMMA,
    ACTIONS(17774), 1,
      anon_sym_PIPE,
    ACTIONS(17776), 1,
      anon_sym_as,
    ACTIONS(17778), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18790), 1,
      anon_sym_RPAREN,
    STATE(14115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653219] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11075), 1,
      sym__lowercase_identifier,
    ACTIONS(18792), 1,
      anon_sym_POUND,
    STATE(10514), 1,
      sym_type_constructor_path,
    STATE(14116), 1,
      sym_attribute,
    STATE(16752), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653245] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14117), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(15757), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653271] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(14118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18794), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [653289] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18796), 1,
      anon_sym_RPAREN,
    STATE(14119), 1,
      sym_attribute,
    STATE(15282), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653315] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18798), 1,
      anon_sym_SEMI,
    ACTIONS(18800), 1,
      anon_sym_GT_RBRACE,
    STATE(14120), 1,
      sym_attribute,
    STATE(15744), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653341] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18802), 1,
      anon_sym_SEMI,
    ACTIONS(18804), 1,
      anon_sym_GT_RBRACE,
    STATE(14121), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16263), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653367] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14122), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(15879), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653393] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16274), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14028), 1,
      aux_sym_expression_item_repeat1,
    STATE(14123), 1,
      sym_attribute,
    STATE(16070), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12459), 2,
      anon_sym_and,
      anon_sym_in,
  [653417] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14124), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16060), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653443] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18806), 1,
      anon_sym_SEMI,
    ACTIONS(18808), 1,
      anon_sym_GT_RBRACE,
    STATE(14125), 1,
      sym_attribute,
    STATE(15844), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653469] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14126), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16331), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653495] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12159), 1,
      sym__lowercase_identifier,
    ACTIONS(18810), 1,
      anon_sym_POUND,
    STATE(9644), 1,
      sym_type_constructor_path,
    STATE(14127), 1,
      sym_attribute,
    STATE(16915), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653521] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14128), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(15011), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653547] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17772), 1,
      anon_sym_COMMA,
    ACTIONS(17774), 1,
      anon_sym_PIPE,
    ACTIONS(17776), 1,
      anon_sym_as,
    ACTIONS(17778), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18812), 1,
      anon_sym_RPAREN,
    STATE(14129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653573] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18814), 1,
      anon_sym_RPAREN,
    STATE(14130), 1,
      sym_attribute,
    STATE(15931), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653599] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18511), 1,
      sym__lowercase_identifier,
    STATE(12354), 1,
      sym__instance_variable_name,
    STATE(14019), 1,
      aux_sym_instance_variable_specification_repeat1,
    STATE(14131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18515), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [653623] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14132), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(15094), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653649] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18816), 1,
      anon_sym_SEMI,
    ACTIONS(18818), 1,
      anon_sym_GT_RBRACE,
    STATE(14133), 1,
      sym_attribute,
    STATE(15886), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653675] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14134), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(15173), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653701] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11091), 1,
      sym__lowercase_identifier,
    ACTIONS(18820), 1,
      anon_sym_POUND,
    STATE(9251), 1,
      sym_type_constructor_path,
    STATE(14135), 1,
      sym_attribute,
    STATE(16708), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653727] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18822), 1,
      anon_sym_SEMI,
    ACTIONS(18824), 1,
      anon_sym_GT_RBRACE,
    STATE(14136), 1,
      sym_attribute,
    STATE(15650), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653753] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18826), 1,
      anon_sym_RPAREN,
    STATE(14137), 1,
      sym_attribute,
    STATE(15123), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653779] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18828), 1,
      anon_sym_SEMI,
    ACTIONS(18830), 1,
      anon_sym_GT_RBRACE,
    STATE(14138), 1,
      sym_attribute,
    STATE(15461), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653805] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14139), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(15801), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653831] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18697), 1,
      anon_sym_type,
    ACTIONS(18699), 1,
      anon_sym_module,
    STATE(14140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13370), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [653853] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18832), 1,
      anon_sym_RBRACK,
    STATE(14141), 1,
      sym_attribute,
    STATE(15951), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653879] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14142), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(15249), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653905] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16274), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14028), 1,
      aux_sym_expression_item_repeat1,
    STATE(14143), 1,
      sym_attribute,
    STATE(16070), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12783), 2,
      anon_sym_and,
      anon_sym_in,
  [653929] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18834), 1,
      anon_sym_RPAREN,
    STATE(14144), 1,
      sym_attribute,
    STATE(15305), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653955] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14145), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(15997), 1,
      sym_field_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653981] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18836), 1,
      anon_sym_RBRACK,
    STATE(14146), 1,
      sym_attribute,
    STATE(15979), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654007] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14035), 1,
      sym_field_path,
    STATE(14147), 1,
      sym_attribute,
    STATE(16145), 1,
      sym_field_binding_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654033] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9178), 1,
      sym__uppercase_identifier,
    ACTIONS(18662), 1,
      anon_sym_LPAREN,
    STATE(8768), 1,
      sym__constructor_name,
    STATE(10537), 1,
      sym_constructor_path,
    STATE(14148), 1,
      sym_attribute,
    STATE(20305), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654059] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(18838), 1,
      anon_sym_RPAREN,
    STATE(14149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654085] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12091), 1,
      sym__lowercase_identifier,
    ACTIONS(18840), 1,
      anon_sym_POUND,
    STATE(9057), 1,
      sym_type_constructor_path,
    STATE(14150), 1,
      sym_attribute,
    STATE(16926), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654111] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18842), 1,
      anon_sym_SEMI,
    ACTIONS(18844), 1,
      anon_sym_GT_RBRACE,
    STATE(14151), 1,
      sym_attribute,
    STATE(14990), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654137] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17772), 1,
      anon_sym_COMMA,
    ACTIONS(17774), 1,
      anon_sym_PIPE,
    ACTIONS(17776), 1,
      anon_sym_as,
    ACTIONS(17778), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18846), 1,
      anon_sym_RPAREN,
    STATE(14152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654163] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18848), 1,
      anon_sym_type,
    ACTIONS(18850), 1,
      anon_sym_module,
    STATE(14153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9296), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [654185] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18852), 1,
      anon_sym_SEMI,
    ACTIONS(18854), 1,
      anon_sym_GT_RBRACE,
    STATE(14154), 1,
      sym_attribute,
    STATE(15302), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654211] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14155), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(15805), 1,
      sym_field_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654237] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17772), 1,
      anon_sym_COMMA,
    ACTIONS(17774), 1,
      anon_sym_PIPE,
    ACTIONS(17776), 1,
      anon_sym_as,
    ACTIONS(17778), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18856), 1,
      anon_sym_RPAREN,
    STATE(14156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654263] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(14157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18858), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [654281] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(14158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18860), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [654299] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18862), 1,
      sym__lowercase_identifier,
    ACTIONS(18864), 1,
      anon_sym_LPAREN,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    STATE(10333), 1,
      sym_parenthesized_operator,
    STATE(12232), 1,
      sym__value_name,
    STATE(14159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654325] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11177), 1,
      sym__lowercase_identifier,
    ACTIONS(18868), 1,
      anon_sym_POUND,
    STATE(10728), 1,
      sym_type_constructor_path,
    STATE(14160), 1,
      sym_attribute,
    STATE(16778), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654351] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18870), 1,
      anon_sym_SEMI,
    ACTIONS(18872), 1,
      anon_sym_GT_RBRACE,
    STATE(14161), 1,
      sym_attribute,
    STATE(15827), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654377] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(18874), 1,
      anon_sym_RPAREN,
    STATE(14162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654403] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14163), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(15523), 1,
      sym_field_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654429] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14035), 1,
      sym_field_path,
    STATE(14164), 1,
      sym_attribute,
    STATE(15810), 1,
      sym_field_binding_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654455] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17772), 1,
      anon_sym_COMMA,
    ACTIONS(17774), 1,
      anon_sym_PIPE,
    ACTIONS(17776), 1,
      anon_sym_as,
    ACTIONS(17778), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18876), 1,
      anon_sym_RPAREN,
    STATE(14165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654481] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11213), 1,
      sym__lowercase_identifier,
    ACTIONS(18878), 1,
      anon_sym_POUND,
    STATE(9865), 1,
      sym_type_constructor_path,
    STATE(14166), 1,
      sym_attribute,
    STATE(16793), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654507] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18880), 1,
      anon_sym_SEMI,
    ACTIONS(18882), 1,
      anon_sym_GT_RBRACE,
    STATE(14167), 1,
      sym_attribute,
    STATE(15468), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654533] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11171), 1,
      sym__lowercase_identifier,
    ACTIONS(18884), 1,
      anon_sym_POUND,
    STATE(9239), 1,
      sym_type_constructor_path,
    STATE(14168), 1,
      sym_attribute,
    STATE(16764), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654559] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18886), 1,
      anon_sym_SEMI,
    ACTIONS(18888), 1,
      anon_sym_GT_RBRACE,
    STATE(14169), 1,
      sym_attribute,
    STATE(15066), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654585] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18890), 1,
      anon_sym_SEMI,
    ACTIONS(18892), 1,
      anon_sym_GT_RBRACE,
    STATE(14170), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16259), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654611] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18894), 1,
      anon_sym_SEMI,
    ACTIONS(18896), 1,
      anon_sym_GT_RBRACE,
    STATE(14171), 1,
      sym_attribute,
    STATE(15012), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654637] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18898), 1,
      anon_sym_RPAREN,
    STATE(14172), 1,
      sym_attribute,
    STATE(15326), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654663] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14173), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(16129), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654689] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18900), 1,
      anon_sym_type,
    ACTIONS(18902), 1,
      anon_sym_module,
    STATE(14174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9296), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [654711] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18904), 1,
      anon_sym_RBRACK,
    STATE(14175), 1,
      sym_attribute,
    STATE(16193), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654737] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18906), 1,
      anon_sym_SEMI,
    ACTIONS(18908), 1,
      anon_sym_GT_RBRACE,
    STATE(14176), 1,
      sym_attribute,
    STATE(15808), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654763] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9144), 1,
      sym__uppercase_identifier,
    ACTIONS(18910), 1,
      anon_sym_LPAREN,
    STATE(13116), 1,
      sym__constructor_name,
    STATE(14177), 1,
      sym_attribute,
    STATE(17298), 1,
      sym_constructor_path,
    STATE(19923), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654789] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12105), 1,
      sym__lowercase_identifier,
    ACTIONS(18912), 1,
      anon_sym_POUND,
    STATE(8934), 1,
      sym_type_constructor_path,
    STATE(14178), 1,
      sym_attribute,
    STATE(16934), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654815] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18914), 1,
      anon_sym_RPAREN,
    STATE(14179), 1,
      sym_attribute,
    STATE(15150), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654841] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18270), 1,
      anon_sym_RBRACK,
    STATE(14180), 1,
      sym_attribute,
    STATE(16162), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654867] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18916), 1,
      anon_sym_type,
    ACTIONS(18918), 1,
      anon_sym_module,
    STATE(14181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9296), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [654889] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(18920), 1,
      anon_sym_RPAREN,
    STATE(14182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654915] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18480), 1,
      anon_sym_DASH_GT,
    ACTIONS(18922), 1,
      anon_sym_as,
    STATE(14183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12582), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [654937] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14035), 1,
      sym_field_path,
    STATE(14184), 1,
      sym_attribute,
    STATE(15544), 1,
      sym_field_binding_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654963] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17772), 1,
      anon_sym_COMMA,
    ACTIONS(17774), 1,
      anon_sym_PIPE,
    ACTIONS(17776), 1,
      anon_sym_as,
    ACTIONS(17778), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18924), 1,
      anon_sym_RPAREN,
    STATE(14185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654989] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11127), 1,
      sym__lowercase_identifier,
    ACTIONS(18926), 1,
      anon_sym_POUND,
    STATE(10714), 1,
      sym_type_constructor_path,
    STATE(14186), 1,
      sym_attribute,
    STATE(16726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655015] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18928), 1,
      anon_sym_SEMI,
    ACTIONS(18930), 1,
      anon_sym_GT_RBRACE,
    STATE(14187), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(15921), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655041] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18932), 1,
      anon_sym_type,
    ACTIONS(18934), 1,
      anon_sym_module,
    STATE(14188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9296), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [655063] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18936), 1,
      anon_sym_SEMI,
    ACTIONS(18938), 1,
      anon_sym_GT_RBRACE,
    STATE(14189), 1,
      sym_attribute,
    STATE(15442), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655089] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14190), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(15481), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655115] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18940), 1,
      anon_sym_RBRACK,
    STATE(14191), 1,
      sym_attribute,
    STATE(14943), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655141] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18942), 1,
      anon_sym_SEMI,
    ACTIONS(18944), 1,
      anon_sym_GT_RBRACE,
    STATE(14192), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16055), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655167] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12193), 1,
      sym__lowercase_identifier,
    ACTIONS(18946), 1,
      anon_sym_POUND,
    STATE(9378), 1,
      sym_type_constructor_path,
    STATE(14193), 1,
      sym_attribute,
    STATE(16844), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655193] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18948), 1,
      anon_sym_SEMI,
    ACTIONS(18950), 1,
      anon_sym_GT_RBRACE,
    STATE(14194), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16303), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655219] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18650), 1,
      anon_sym_type,
    ACTIONS(18652), 1,
      anon_sym_module,
    STATE(14195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9296), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [655241] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9178), 1,
      sym__uppercase_identifier,
    ACTIONS(18662), 1,
      anon_sym_LPAREN,
    STATE(8768), 1,
      sym__constructor_name,
    STATE(10490), 1,
      sym_constructor_path,
    STATE(14196), 1,
      sym_attribute,
    STATE(20305), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655267] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18480), 1,
      anon_sym_DASH_GT,
    ACTIONS(18922), 1,
      anon_sym_as,
    STATE(14197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16276), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [655289] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18952), 1,
      anon_sym_RPAREN,
    STATE(14198), 1,
      sym_attribute,
    STATE(15349), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655315] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9144), 1,
      sym__uppercase_identifier,
    ACTIONS(18910), 1,
      anon_sym_LPAREN,
    STATE(13116), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_attribute,
    STATE(16842), 1,
      sym_constructor_path,
    STATE(19923), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655341] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18511), 1,
      sym__lowercase_identifier,
    STATE(12354), 1,
      sym__instance_variable_name,
    STATE(14200), 1,
      sym_attribute,
    STATE(14390), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18515), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [655365] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14201), 1,
      sym_attribute,
    STATE(14246), 1,
      sym_field_path,
    STATE(15936), 1,
      sym_field_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655391] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18954), 1,
      anon_sym_RPAREN,
    STATE(14202), 1,
      sym_attribute,
    STATE(14986), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655417] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14203), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(15640), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655443] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18956), 1,
      anon_sym_SEMI,
    ACTIONS(18958), 1,
      anon_sym_GT_RBRACE,
    STATE(14204), 1,
      sym_attribute,
    STATE(15621), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655469] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18960), 1,
      anon_sym_SEMI,
    ACTIONS(18962), 1,
      anon_sym_GT_RBRACE,
    STATE(14205), 1,
      sym_attribute,
    STATE(15006), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655495] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18964), 1,
      anon_sym_RBRACK,
    STATE(14206), 1,
      sym_attribute,
    STATE(14989), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655521] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12131), 1,
      sym__lowercase_identifier,
    ACTIONS(18966), 1,
      anon_sym_POUND,
    STATE(12738), 1,
      sym_type_constructor_path,
    STATE(14207), 1,
      sym_attribute,
    STATE(16947), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655547] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18968), 1,
      anon_sym_SEMI,
    ACTIONS(18970), 1,
      anon_sym_GT_RBRACE,
    STATE(14208), 1,
      sym_attribute,
    STATE(15143), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655573] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18480), 1,
      anon_sym_DASH_GT,
    ACTIONS(18922), 1,
      anon_sym_as,
    STATE(14209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14629), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [655595] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18480), 1,
      anon_sym_DASH_GT,
    ACTIONS(18922), 1,
      anon_sym_as,
    STATE(14210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14635), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [655617] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18972), 1,
      anon_sym_SEMI,
    ACTIONS(18974), 1,
      anon_sym_GT_RBRACE,
    STATE(14211), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16061), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655643] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18462), 1,
      anon_sym_RBRACK,
    STATE(14212), 1,
      sym_attribute,
    STATE(15042), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655669] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18976), 1,
      anon_sym_RPAREN,
    STATE(14213), 1,
      sym_attribute,
    STATE(15370), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655695] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18978), 1,
      anon_sym_EQ,
    ACTIONS(18980), 1,
      anon_sym_of,
    ACTIONS(18982), 1,
      anon_sym_COLON2,
    STATE(14214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12491), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [655719] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(18984), 1,
      anon_sym_RPAREN,
    STATE(14215), 1,
      sym_attribute,
    STATE(15182), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655745] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14216), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(15127), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655771] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9144), 1,
      sym__uppercase_identifier,
    ACTIONS(18910), 1,
      anon_sym_LPAREN,
    STATE(13116), 1,
      sym__constructor_name,
    STATE(14217), 1,
      sym_attribute,
    STATE(16970), 1,
      sym_constructor_path,
    STATE(19923), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655797] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 5,
      anon_sym_EQ,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [655815] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(18986), 1,
      anon_sym_SEMI,
    ACTIONS(18988), 1,
      anon_sym_GT_RBRACE,
    STATE(14219), 1,
      sym_attribute,
    STATE(15445), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655841] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18990), 1,
      anon_sym_EQ,
    ACTIONS(18992), 1,
      anon_sym_of,
    ACTIONS(18994), 1,
      anon_sym_COLON2,
    STATE(14220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12501), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [655865] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(18996), 1,
      anon_sym_RPAREN,
    STATE(14221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655891] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14222), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(14975), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655917] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11057), 1,
      sym__lowercase_identifier,
    ACTIONS(18998), 1,
      anon_sym_POUND,
    STATE(10054), 1,
      sym_type_constructor_path,
    STATE(14223), 1,
      sym_attribute,
    STATE(16853), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655943] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(14224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19000), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [655961] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18511), 1,
      sym__lowercase_identifier,
    STATE(14225), 1,
      sym_attribute,
    STATE(14390), 1,
      aux_sym_instance_variable_specification_repeat1,
    STATE(17230), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18515), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [655985] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(19002), 1,
      anon_sym_RPAREN,
    STATE(14226), 1,
      sym_attribute,
    STATE(14935), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656011] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14035), 1,
      sym_field_path,
    STATE(14227), 1,
      sym_attribute,
    STATE(16130), 1,
      sym_field_binding_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656037] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19004), 1,
      anon_sym_SEMI,
    ACTIONS(19006), 1,
      anon_sym_GT_RBRACE,
    STATE(14228), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16257), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656063] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    ACTIONS(19008), 1,
      anon_sym_RPAREN,
    STATE(14229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656089] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17772), 1,
      anon_sym_COMMA,
    ACTIONS(17774), 1,
      anon_sym_PIPE,
    ACTIONS(17776), 1,
      anon_sym_as,
    ACTIONS(17778), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19010), 1,
      anon_sym_RPAREN,
    STATE(14230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656115] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18848), 1,
      anon_sym_type,
    ACTIONS(18850), 1,
      anon_sym_module,
    STATE(14231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14008), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [656137] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    STATE(14232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13305), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [656159] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14233), 1,
      sym_attribute,
    STATE(14240), 1,
      sym_field_path,
    STATE(15368), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656185] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    STATE(14234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13172), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [656207] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11175), 1,
      sym__lowercase_identifier,
    ACTIONS(19016), 1,
      anon_sym_POUND,
    STATE(9594), 1,
      sym_type_constructor_path,
    STATE(14235), 1,
      sym_attribute,
    STATE(16470), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656233] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18900), 1,
      anon_sym_type,
    ACTIONS(18902), 1,
      anon_sym_module,
    STATE(14236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11067), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [656255] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19018), 1,
      anon_sym_SEMI,
    ACTIONS(19020), 1,
      anon_sym_GT_RBRACE,
    STATE(14237), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16294), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656281] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18916), 1,
      anon_sym_type,
    ACTIONS(18918), 1,
      anon_sym_module,
    STATE(14238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10565), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [656303] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18932), 1,
      anon_sym_type,
    ACTIONS(18934), 1,
      anon_sym_module,
    STATE(14239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10570), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [656325] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18689), 1,
      anon_sym_COLON2,
    ACTIONS(19022), 1,
      anon_sym_EQ,
    STATE(14240), 1,
      sym_attribute,
    STATE(15796), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19024), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [656349] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    STATE(14241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13203), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [656371] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(14242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19026), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [656389] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19028), 1,
      anon_sym_SEMI,
    ACTIONS(19030), 1,
      anon_sym_GT_RBRACE,
    STATE(14243), 1,
      sym_attribute,
    STATE(15135), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656415] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14240), 1,
      sym_field_path,
    STATE(14244), 1,
      sym_attribute,
    STATE(15643), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656441] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19032), 1,
      anon_sym_EQ,
    ACTIONS(19034), 1,
      anon_sym_of,
    ACTIONS(19036), 1,
      anon_sym_COLON2,
    STATE(14245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12511), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [656465] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18689), 1,
      anon_sym_COLON2,
    ACTIONS(19038), 1,
      anon_sym_EQ,
    STATE(14246), 1,
      sym_attribute,
    STATE(15623), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19040), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [656489] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7946), 1,
      sym__uppercase_identifier,
    ACTIONS(18662), 1,
      anon_sym_LPAREN,
    STATE(6776), 1,
      sym__constructor_name,
    STATE(10490), 1,
      sym_constructor_path,
    STATE(14247), 1,
      sym_attribute,
    STATE(17624), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656515] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19042), 1,
      anon_sym_SEMI,
    ACTIONS(19044), 1,
      anon_sym_GT_RBRACE,
    STATE(14248), 1,
      sym_attribute,
    STATE(15802), 1,
      sym_instance_variable_expression,
    STATE(15887), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656541] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14246), 1,
      sym_field_path,
    STATE(14249), 1,
      sym_attribute,
    STATE(16115), 1,
      sym_field_pattern,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656567] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(19046), 1,
      anon_sym_RPAREN,
    STATE(14250), 1,
      sym_attribute,
    STATE(15212), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656593] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(17275), 1,
      sym__lowercase_identifier,
    STATE(14240), 1,
      sym_field_path,
    STATE(14251), 1,
      sym_attribute,
    STATE(15942), 1,
      sym_field_expression,
    STATE(20262), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656619] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(12181), 1,
      sym__lowercase_identifier,
    ACTIONS(19048), 1,
      anon_sym_POUND,
    STATE(11619), 1,
      sym_type_constructor_path,
    STATE(14252), 1,
      sym_attribute,
    STATE(16829), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656645] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17548), 1,
      sym__lowercase_identifier,
    ACTIONS(17552), 1,
      anon_sym_LBRACK,
    ACTIONS(17554), 1,
      anon_sym_virtual,
    STATE(11560), 1,
      sym_class_binding,
    STATE(14253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656668] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19050), 1,
      anon_sym_COLON_GT,
    ACTIONS(19052), 1,
      anon_sym_RPAREN,
    STATE(14254), 1,
      sym_attribute,
    STATE(16493), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656691] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18498), 1,
      sym__lowercase_identifier,
    STATE(4113), 1,
      sym_class_path,
    STATE(14255), 1,
      sym_attribute,
    STATE(17758), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656714] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16060), 1,
      sym__lowercase_identifier,
    ACTIONS(18400), 1,
      anon_sym_LPAREN,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(14256), 1,
      sym_attribute,
    STATE(17369), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656737] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19054), 1,
      anon_sym_COLON_GT,
    ACTIONS(19056), 1,
      anon_sym_RPAREN,
    STATE(14257), 1,
      sym_attribute,
    STATE(16581), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656760] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19058), 1,
      sym__lowercase_identifier,
    STATE(10214), 1,
      sym_class_type_path,
    STATE(14258), 1,
      sym_attribute,
    STATE(16714), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656783] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19060), 1,
      sym__lowercase_identifier,
    STATE(14259), 1,
      sym_attribute,
    STATE(17286), 1,
      sym_extended_module_path,
    STATE(17416), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656806] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14045), 1,
      anon_sym_in,
    ACTIONS(19062), 1,
      anon_sym_and,
    ACTIONS(19064), 1,
      sym_let_and_operator,
    STATE(14260), 1,
      sym_attribute,
    STATE(14761), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656829] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19058), 1,
      sym__lowercase_identifier,
    STATE(10048), 1,
      sym_class_type_path,
    STATE(14261), 1,
      sym_attribute,
    STATE(16714), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656852] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19058), 1,
      sym__lowercase_identifier,
    STATE(10154), 1,
      sym_class_type_path,
    STATE(14262), 1,
      sym_attribute,
    STATE(16714), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656875] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16474), 1,
      anon_sym_COMMA,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    STATE(14263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656898] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19066), 1,
      sym__lowercase_identifier,
    STATE(10626), 1,
      sym_class_type_path,
    STATE(14264), 1,
      sym_attribute,
    STATE(16596), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656921] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16566), 1,
      anon_sym_COMMA,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    STATE(14265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656944] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18400), 1,
      anon_sym_LPAREN,
    ACTIONS(18478), 1,
      sym__lowercase_identifier,
    STATE(14266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12952), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [656965] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19068), 1,
      anon_sym_GT_RBRACE,
    STATE(14267), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656988] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19070), 1,
      anon_sym_GT_RBRACE,
    STATE(14268), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657011] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19074), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_GT,
    STATE(14269), 1,
      sym_attribute,
    STATE(14300), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657034] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19074), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_GT,
    STATE(14270), 1,
      sym_attribute,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657057] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19078), 1,
      anon_sym_COLON_GT,
    ACTIONS(19080), 1,
      anon_sym_RPAREN,
    STATE(14271), 1,
      sym_attribute,
    STATE(16736), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657080] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19082), 1,
      anon_sym_GT_RBRACE,
    STATE(14272), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657103] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16470), 1,
      anon_sym_COMMA,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    STATE(14273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657126] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18210), 1,
      sym__lowercase_identifier,
    STATE(6581), 1,
      sym_class_path,
    STATE(14274), 1,
      sym_attribute,
    STATE(18305), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657149] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(14275), 1,
      sym_attribute,
    STATE(16439), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19084), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [657170] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18364), 1,
      sym__lowercase_identifier,
    STATE(5570), 1,
      sym_class_path,
    STATE(14276), 1,
      sym_attribute,
    STATE(18728), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657193] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19086), 1,
      anon_sym_GT_RBRACE,
    STATE(14277), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657216] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19088), 1,
      anon_sym_DOT,
    STATE(14278), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657239] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19090), 1,
      sym__lowercase_identifier,
    STATE(5642), 1,
      sym_type_constructor_path,
    STATE(14279), 1,
      sym_attribute,
    STATE(16675), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657262] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19092), 1,
      anon_sym_DOT,
    STATE(14280), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657285] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19094), 1,
      anon_sym_COLON_GT,
    ACTIONS(19096), 1,
      anon_sym_RPAREN,
    STATE(14281), 1,
      sym_attribute,
    STATE(16457), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657308] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19098), 1,
      anon_sym_DOT,
    STATE(14282), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657331] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19100), 1,
      sym__lowercase_identifier,
    STATE(11705), 1,
      sym_class_type_path,
    STATE(14283), 1,
      sym_attribute,
    STATE(16683), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657354] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19102), 1,
      anon_sym_COLON_GT,
    ACTIONS(19104), 1,
      anon_sym_RPAREN,
    STATE(14284), 1,
      sym_attribute,
    STATE(16559), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657377] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(19106), 1,
      sym__lowercase_identifier,
    STATE(7226), 1,
      sym_class_path,
    STATE(14285), 1,
      sym_attribute,
    STATE(17487), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657400] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19108), 1,
      anon_sym_DOT,
    STATE(14286), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657423] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19110), 1,
      anon_sym_DOT,
    STATE(14287), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657446] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19112), 1,
      anon_sym_DOT,
    STATE(14288), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657469] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9826), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19114), 1,
      anon_sym_GT,
    STATE(14289), 1,
      sym_attribute,
    STATE(14298), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657492] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18573), 1,
      sym__lowercase_identifier,
    STATE(9872), 1,
      sym_class_path,
    STATE(14290), 1,
      sym_attribute,
    STATE(19944), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657515] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19116), 1,
      anon_sym_DOT,
    STATE(14291), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657538] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14045), 1,
      anon_sym_in,
    ACTIONS(19062), 1,
      anon_sym_and,
    ACTIONS(19064), 1,
      sym_let_and_operator,
    STATE(14292), 1,
      sym_attribute,
    STATE(14773), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657561] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19118), 1,
      sym__lowercase_identifier,
    ACTIONS(19120), 1,
      anon_sym_LPAREN,
    STATE(5543), 1,
      sym__value_name,
    STATE(5651), 1,
      sym_parenthesized_operator,
    STATE(14293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657584] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19122), 1,
      anon_sym_GT_RBRACE,
    STATE(14294), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657607] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19124), 1,
      anon_sym_DOT,
    STATE(14295), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657630] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19126), 1,
      anon_sym_GT_RBRACE,
    STATE(14296), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657653] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19128), 1,
      anon_sym_RBRACK,
    ACTIONS(19130), 1,
      anon_sym_GT,
    STATE(14297), 1,
      sym_attribute,
    STATE(14307), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657676] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19128), 1,
      anon_sym_RBRACK,
    ACTIONS(19130), 1,
      anon_sym_GT,
    STATE(14298), 1,
      sym_attribute,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657699] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18280), 1,
      sym__lowercase_identifier,
    STATE(7702), 1,
      sym_class_path,
    STATE(14299), 1,
      sym_attribute,
    STATE(17650), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657722] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19132), 1,
      anon_sym_RBRACK,
    ACTIONS(19134), 1,
      anon_sym_GT,
    STATE(14300), 1,
      sym_attribute,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657745] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19132), 1,
      anon_sym_RBRACK,
    STATE(14301), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657768] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19136), 1,
      anon_sym_GT_RBRACE,
    STATE(14302), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657791] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(14303), 1,
      sym_attribute,
    STATE(16487), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19138), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [657812] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19140), 1,
      anon_sym_DOT,
    STATE(14304), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657835] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9852), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19142), 1,
      anon_sym_GT,
    STATE(14305), 1,
      sym_attribute,
    STATE(14378), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657858] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19144), 1,
      anon_sym_GT_RBRACE,
    STATE(14306), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657881] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19146), 1,
      anon_sym_RBRACK,
    ACTIONS(19148), 1,
      anon_sym_GT,
    STATE(14307), 1,
      sym_attribute,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657904] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19146), 1,
      anon_sym_RBRACK,
    STATE(14308), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657927] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19150), 1,
      anon_sym_GT_RBRACE,
    STATE(14309), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657950] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19152), 1,
      anon_sym_COLON_GT,
    ACTIONS(19154), 1,
      anon_sym_RPAREN,
    STATE(14310), 1,
      sym_attribute,
    STATE(16578), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657973] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19156), 1,
      anon_sym_RBRACK,
    STATE(14311), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657996] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19158), 1,
      sym__lowercase_identifier,
    ACTIONS(19160), 1,
      anon_sym_LPAREN,
    STATE(5566), 1,
      sym_parenthesized_operator,
    STATE(5657), 1,
      sym__value_name,
    STATE(14312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658019] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18378), 1,
      sym__lowercase_identifier,
    STATE(5123), 1,
      sym_class_path,
    STATE(14313), 1,
      sym_attribute,
    STATE(18764), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658042] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19162), 1,
      anon_sym_RBRACK,
    STATE(14314), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658065] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(19106), 1,
      sym__lowercase_identifier,
    STATE(7235), 1,
      sym_class_path,
    STATE(14315), 1,
      sym_attribute,
    STATE(17487), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658088] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18523), 1,
      sym__lowercase_identifier,
    STATE(7026), 1,
      sym_class_path,
    STATE(14316), 1,
      sym_attribute,
    STATE(17812), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658111] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19164), 1,
      anon_sym_RBRACK,
    STATE(14317), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658134] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19166), 1,
      sym__lowercase_identifier,
    STATE(10037), 1,
      sym_class_type_path,
    STATE(14318), 1,
      sym_attribute,
    STATE(16731), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658157] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19166), 1,
      sym__lowercase_identifier,
    STATE(10104), 1,
      sym_class_type_path,
    STATE(14319), 1,
      sym_attribute,
    STATE(16731), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658180] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19166), 1,
      sym__lowercase_identifier,
    STATE(10130), 1,
      sym_class_type_path,
    STATE(14320), 1,
      sym_attribute,
    STATE(16731), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658203] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19168), 1,
      anon_sym_GT_RBRACE,
    STATE(14321), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658226] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19170), 1,
      anon_sym_RBRACK,
    ACTIONS(19172), 1,
      anon_sym_GT,
    STATE(14322), 1,
      sym_attribute,
    STATE(14385), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658249] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19170), 1,
      anon_sym_RBRACK,
    ACTIONS(19172), 1,
      anon_sym_GT,
    STATE(14323), 1,
      sym_attribute,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658272] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(17746), 1,
      anon_sym_DASH_GT,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(14324), 1,
      sym_attribute,
    STATE(14540), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658295] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19174), 1,
      anon_sym_RBRACK,
    STATE(14325), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658318] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19176), 1,
      anon_sym_RBRACK,
    STATE(14326), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658341] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19178), 1,
      sym__lowercase_identifier,
    ACTIONS(19180), 1,
      anon_sym_LPAREN,
    STATE(5480), 1,
      sym__value_name,
    STATE(5516), 1,
      sym_parenthesized_operator,
    STATE(14327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658364] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(14328), 1,
      sym_attribute,
    STATE(16522), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19182), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [658385] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(17746), 1,
      anon_sym_DASH_GT,
    STATE(9179), 1,
      aux_sym_module_binding_repeat1,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(14329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658408] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19184), 1,
      sym__lowercase_identifier,
    STATE(14330), 1,
      sym_attribute,
    STATE(14403), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18683), 2,
      anon_sym_private,
      anon_sym_virtual,
  [658429] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19186), 1,
      anon_sym_COLON_GT,
    ACTIONS(19188), 1,
      anon_sym_RPAREN,
    STATE(14331), 1,
      sym_attribute,
    STATE(16641), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658452] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19190), 1,
      anon_sym_GT_RBRACE,
    STATE(14332), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658475] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19192), 1,
      anon_sym_GT_RBRACE,
    STATE(14333), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658498] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18294), 1,
      sym__lowercase_identifier,
    STATE(7581), 1,
      sym_class_path,
    STATE(14334), 1,
      sym_attribute,
    STATE(18502), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658521] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19194), 1,
      anon_sym_GT_RBRACE,
    STATE(14335), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658544] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19196), 1,
      sym__lowercase_identifier,
    STATE(7835), 1,
      sym_type_constructor_path,
    STATE(14336), 1,
      sym_attribute,
    STATE(16694), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658567] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19198), 1,
      anon_sym_COLON_GT,
    ACTIONS(19200), 1,
      anon_sym_RPAREN,
    STATE(14337), 1,
      sym_attribute,
    STATE(16545), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658590] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(19202), 1,
      sym__lowercase_identifier,
    STATE(14338), 1,
      sym_attribute,
    STATE(16403), 1,
      sym_extended_module_path,
    STATE(17209), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658613] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19204), 1,
      anon_sym_DOT,
    STATE(14339), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658636] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19206), 1,
      sym__lowercase_identifier,
    ACTIONS(19208), 1,
      anon_sym_RBRACE,
    ACTIONS(19210), 1,
      anon_sym_mutable,
    STATE(14340), 1,
      sym_attribute,
    STATE(16411), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658659] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19212), 1,
      sym__lowercase_identifier,
    STATE(9273), 1,
      sym_class_type_path,
    STATE(14341), 1,
      sym_attribute,
    STATE(16701), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658682] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18450), 1,
      sym__lowercase_identifier,
    STATE(6365), 1,
      sym_class_path,
    STATE(14342), 1,
      sym_attribute,
    STATE(17544), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658705] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18600), 1,
      sym__lowercase_identifier,
    STATE(6695), 1,
      sym_class_path,
    STATE(14343), 1,
      sym_attribute,
    STATE(18946), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658728] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19214), 1,
      anon_sym_GT_RBRACE,
    STATE(14344), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658751] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19216), 1,
      anon_sym_DOT,
    STATE(14345), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658774] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19218), 1,
      anon_sym_DOT,
    STATE(14346), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658797] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(14347), 1,
      sym_attribute,
    STATE(16552), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19220), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [658818] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19184), 1,
      sym__lowercase_identifier,
    STATE(14348), 1,
      sym_attribute,
    STATE(14414), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18683), 2,
      anon_sym_private,
      anon_sym_virtual,
  [658839] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10061), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19222), 1,
      anon_sym_GT,
    STATE(14349), 1,
      sym_attribute,
    STATE(14466), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658862] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19224), 1,
      sym__lowercase_identifier,
    STATE(10769), 1,
      sym_class_type_path,
    STATE(14350), 1,
      sym_attribute,
    STATE(16385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658885] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9856), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19226), 1,
      anon_sym_GT,
    STATE(14351), 1,
      sym_attribute,
    STATE(14362), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658908] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(13379), 1,
      anon_sym_DASH_GT,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(14352), 1,
      sym_attribute,
    STATE(14410), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658931] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19228), 1,
      sym__lowercase_identifier,
    STATE(9263), 1,
      sym_class_type_path,
    STATE(14353), 1,
      sym_attribute,
    STATE(16570), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658954] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19230), 1,
      anon_sym_RBRACK,
    ACTIONS(19232), 1,
      anon_sym_GT,
    STATE(14354), 1,
      sym_attribute,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658977] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18484), 1,
      sym__lowercase_identifier,
    STATE(8274), 1,
      sym_class_path,
    STATE(14355), 1,
      sym_attribute,
    STATE(18320), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659000] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19228), 1,
      sym__lowercase_identifier,
    STATE(9232), 1,
      sym_class_type_path,
    STATE(14356), 1,
      sym_attribute,
    STATE(16570), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659023] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19228), 1,
      sym__lowercase_identifier,
    STATE(9272), 1,
      sym_class_type_path,
    STATE(14357), 1,
      sym_attribute,
    STATE(16570), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659046] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19234), 1,
      anon_sym_GT_RBRACE,
    STATE(14358), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659069] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19236), 1,
      anon_sym_DOT,
    STATE(14359), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659092] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19238), 1,
      anon_sym_DOT,
    STATE(14360), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659115] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19240), 1,
      anon_sym_RBRACK,
    ACTIONS(19242), 1,
      anon_sym_GT,
    STATE(14361), 1,
      sym_attribute,
    STATE(14370), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659138] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19240), 1,
      anon_sym_RBRACK,
    ACTIONS(19242), 1,
      anon_sym_GT,
    STATE(14362), 1,
      sym_attribute,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659161] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19244), 1,
      anon_sym_GT_RBRACE,
    STATE(14363), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659184] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(14364), 1,
      sym_attribute,
    STATE(16576), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19246), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [659205] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19250), 1,
      anon_sym_with,
    ACTIONS(19252), 1,
      sym_hash_operator,
    STATE(14365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659228] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19254), 1,
      anon_sym_GT_RBRACE,
    STATE(14366), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659251] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19256), 1,
      anon_sym_GT_RBRACE,
    STATE(14367), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659274] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19258), 1,
      anon_sym_RBRACK,
    ACTIONS(19260), 1,
      anon_sym_GT,
    STATE(14368), 1,
      sym_attribute,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659297] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19230), 1,
      anon_sym_RBRACK,
    STATE(14369), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659320] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19262), 1,
      anon_sym_RBRACK,
    ACTIONS(19264), 1,
      anon_sym_GT,
    STATE(14370), 1,
      sym_attribute,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659343] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19262), 1,
      anon_sym_RBRACK,
    STATE(14371), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659366] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19266), 1,
      anon_sym_COLON_GT,
    ACTIONS(19268), 1,
      anon_sym_RPAREN,
    STATE(14372), 1,
      sym_attribute,
    STATE(16946), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659389] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19270), 1,
      anon_sym_RBRACK,
    STATE(14373), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659412] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18394), 1,
      sym__lowercase_identifier,
    STATE(3616), 1,
      sym_class_path,
    STATE(14374), 1,
      sym_attribute,
    STATE(18799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659435] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19272), 1,
      anon_sym_RBRACK,
    STATE(14375), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659458] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(14376), 1,
      sym_attribute,
    STATE(16600), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19274), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [659479] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19276), 1,
      anon_sym_RBRACK,
    ACTIONS(19278), 1,
      anon_sym_GT,
    STATE(14377), 1,
      sym_attribute,
    STATE(14418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659502] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19276), 1,
      anon_sym_RBRACK,
    ACTIONS(19278), 1,
      anon_sym_GT,
    STATE(14378), 1,
      sym_attribute,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659525] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19258), 1,
      anon_sym_RBRACK,
    STATE(14379), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659548] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18535), 1,
      sym__lowercase_identifier,
    STATE(6422), 1,
      sym_class_path,
    STATE(14380), 1,
      sym_attribute,
    STATE(17866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659571] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19280), 1,
      sym__lowercase_identifier,
    STATE(13027), 1,
      sym_class_type_path,
    STATE(14381), 1,
      sym_attribute,
    STATE(16744), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659594] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19282), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19285), 2,
      anon_sym_RBRACK,
      anon_sym_GT,
    STATE(14382), 2,
      sym_attribute,
      aux_sym_polymorphic_variant_type_repeat1,
  [659613] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19280), 1,
      sym__lowercase_identifier,
    STATE(13023), 1,
      sym_class_type_path,
    STATE(14383), 1,
      sym_attribute,
    STATE(16744), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659636] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19280), 1,
      sym__lowercase_identifier,
    STATE(13028), 1,
      sym_class_type_path,
    STATE(14384), 1,
      sym_attribute,
    STATE(16744), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659659] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19287), 1,
      anon_sym_RBRACK,
    ACTIONS(19289), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659682] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19287), 1,
      anon_sym_RBRACK,
    STATE(14386), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659705] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11123), 1,
      anon_sym_in,
    ACTIONS(16274), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14028), 1,
      aux_sym_expression_item_repeat1,
    STATE(14387), 1,
      sym_attribute,
    STATE(16070), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659728] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19291), 1,
      anon_sym_DOT,
    STATE(14388), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659751] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19206), 1,
      sym__lowercase_identifier,
    ACTIONS(19210), 1,
      anon_sym_mutable,
    ACTIONS(19293), 1,
      anon_sym_RBRACE,
    STATE(14389), 1,
      sym_attribute,
    STATE(16411), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659774] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19295), 1,
      sym__lowercase_identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19297), 2,
      anon_sym_mutable,
      anon_sym_virtual,
    STATE(14390), 2,
      sym_attribute,
      aux_sym_instance_variable_specification_repeat1,
  [659793] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19300), 1,
      anon_sym_COLON_GT,
    ACTIONS(19302), 1,
      anon_sym_RPAREN,
    STATE(14391), 1,
      sym_attribute,
    STATE(16710), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659816] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18484), 1,
      sym__lowercase_identifier,
    STATE(8282), 1,
      sym_class_path,
    STATE(14392), 1,
      sym_attribute,
    STATE(18320), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659839] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18400), 1,
      anon_sym_LPAREN,
    ACTIONS(18478), 1,
      sym__lowercase_identifier,
    STATE(14393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12878), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [659860] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13274), 1,
      anon_sym_in,
    ACTIONS(16274), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14028), 1,
      aux_sym_expression_item_repeat1,
    STATE(14394), 1,
      sym_attribute,
    STATE(16070), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659883] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19304), 1,
      anon_sym_GT_RBRACE,
    STATE(14395), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659906] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(14396), 1,
      sym_attribute,
    STATE(16624), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19306), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [659927] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19308), 1,
      sym__lowercase_identifier,
    STATE(8451), 1,
      sym_type_constructor_path,
    STATE(14397), 1,
      sym_attribute,
    STATE(16739), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659950] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18400), 1,
      anon_sym_LPAREN,
    ACTIONS(18862), 1,
      sym__lowercase_identifier,
    STATE(10333), 1,
      sym_parenthesized_operator,
    STATE(13169), 1,
      sym__value_name,
    STATE(14398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659973] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19310), 1,
      anon_sym_COLON_GT,
    ACTIONS(19312), 1,
      anon_sym_RPAREN,
    STATE(14399), 1,
      sym_attribute,
    STATE(16636), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659996] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19314), 1,
      anon_sym_RBRACK,
    STATE(14400), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660019] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19058), 1,
      sym__lowercase_identifier,
    STATE(10177), 1,
      sym_class_type_path,
    STATE(14401), 1,
      sym_attribute,
    STATE(16714), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660042] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19316), 1,
      anon_sym_GT_RBRACE,
    STATE(14402), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660065] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19318), 1,
      sym__lowercase_identifier,
    STATE(14403), 1,
      sym_attribute,
    STATE(14414), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18683), 2,
      anon_sym_private,
      anon_sym_virtual,
  [660086] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19320), 1,
      anon_sym_GT_RBRACE,
    STATE(14404), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660109] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19322), 1,
      anon_sym_RBRACK,
    ACTIONS(19324), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660132] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(14406), 1,
      sym_attribute,
    STATE(16648), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19326), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [660153] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9896), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19328), 1,
      anon_sym_GT,
    STATE(14407), 1,
      sym_attribute,
    STATE(14417), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660176] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19330), 1,
      anon_sym_RBRACK,
    STATE(14408), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660199] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19332), 1,
      anon_sym_GT_RBRACE,
    STATE(14409), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660222] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(19334), 1,
      anon_sym_DASH_GT,
    STATE(9179), 1,
      aux_sym_module_binding_repeat1,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(14410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660245] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19336), 1,
      anon_sym_GT_RBRACE,
    STATE(14411), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660268] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19338), 1,
      anon_sym_GT_RBRACE,
    STATE(14412), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660291] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19340), 1,
      anon_sym_GT_RBRACE,
    STATE(14413), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660314] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19342), 1,
      sym__lowercase_identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19344), 2,
      anon_sym_private,
      anon_sym_virtual,
    STATE(14414), 2,
      sym_attribute,
      aux_sym_method_specification_repeat1,
  [660333] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16689), 1,
      anon_sym_COMMA,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    STATE(14415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660356] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19347), 1,
      anon_sym_RBRACK,
    ACTIONS(19349), 1,
      anon_sym_GT,
    STATE(14416), 1,
      sym_attribute,
    STATE(14424), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660379] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19347), 1,
      anon_sym_RBRACK,
    ACTIONS(19349), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660402] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19351), 1,
      anon_sym_RBRACK,
    ACTIONS(19353), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660425] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18408), 1,
      sym__lowercase_identifier,
    STATE(3680), 1,
      sym_class_path,
    STATE(14419), 1,
      sym_attribute,
    STATE(18822), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660448] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19355), 1,
      anon_sym_GT_RBRACE,
    STATE(14420), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660471] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(14421), 1,
      sym_attribute,
    STATE(16671), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19357), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [660492] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19351), 1,
      anon_sym_RBRACK,
    STATE(14422), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660515] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19359), 1,
      anon_sym_GT_RBRACE,
    STATE(14423), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660538] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19361), 1,
      anon_sym_RBRACK,
    ACTIONS(19363), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660561] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19361), 1,
      anon_sym_RBRACK,
    STATE(14425), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660584] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19365), 1,
      anon_sym_DOT,
    STATE(14426), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660607] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19322), 1,
      anon_sym_RBRACK,
    STATE(14427), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660630] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19367), 1,
      anon_sym_RBRACK,
    STATE(14428), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660653] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19369), 1,
      anon_sym_COLON_GT,
    ACTIONS(19371), 1,
      anon_sym_RPAREN,
    STATE(14429), 1,
      sym_attribute,
    STATE(16777), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660676] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19373), 1,
      anon_sym_RBRACK,
    STATE(14430), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660699] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19375), 1,
      anon_sym_RBRACK,
    STATE(14431), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660722] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16372), 1,
      anon_sym_COMMA,
    ACTIONS(16734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16767), 1,
      anon_sym_PIPE,
    ACTIONS(16771), 1,
      anon_sym_as,
    STATE(14432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660745] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(14433), 1,
      sym_attribute,
    STATE(16688), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19377), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [660766] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19379), 1,
      anon_sym_GT_RBRACE,
    STATE(14434), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660789] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18547), 1,
      sym__lowercase_identifier,
    STATE(3395), 1,
      sym_class_path,
    STATE(14435), 1,
      sym_attribute,
    STATE(17920), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660812] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19381), 1,
      sym__lowercase_identifier,
    STATE(10778), 1,
      sym_class_type_path,
    STATE(14436), 1,
      sym_attribute,
    STATE(16757), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660835] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19381), 1,
      sym__lowercase_identifier,
    STATE(10633), 1,
      sym_class_type_path,
    STATE(14437), 1,
      sym_attribute,
    STATE(16757), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660858] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19383), 1,
      anon_sym_GT_RBRACE,
    STATE(14438), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660881] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19381), 1,
      sym__lowercase_identifier,
    STATE(10675), 1,
      sym_class_type_path,
    STATE(14439), 1,
      sym_attribute,
    STATE(16757), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660904] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19385), 1,
      anon_sym_GT_RBRACE,
    STATE(14440), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660927] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19387), 1,
      anon_sym_GT_RBRACE,
    STATE(14441), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660950] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19389), 1,
      sym__lowercase_identifier,
    STATE(5448), 1,
      sym_type_constructor_path,
    STATE(14442), 1,
      sym_attribute,
    STATE(16535), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660973] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19391), 1,
      anon_sym_RBRACK,
    STATE(14443), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660996] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18573), 1,
      sym__lowercase_identifier,
    STATE(9883), 1,
      sym_class_path,
    STATE(14444), 1,
      sym_attribute,
    STATE(19944), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661019] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19393), 1,
      anon_sym_GT_RBRACE,
    STATE(14445), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661042] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19395), 1,
      anon_sym_GT_RBRACE,
    STATE(14446), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661065] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18308), 1,
      sym__lowercase_identifier,
    STATE(4759), 1,
      sym_class_path,
    STATE(14447), 1,
      sym_attribute,
    STATE(18540), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661088] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18252), 1,
      sym__lowercase_identifier,
    STATE(5813), 1,
      sym_class_path,
    STATE(14448), 1,
      sym_attribute,
    STATE(18425), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661111] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19397), 1,
      anon_sym_COLON_GT,
    ACTIONS(19399), 1,
      anon_sym_RPAREN,
    STATE(14449), 1,
      sym_attribute,
    STATE(16721), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661134] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19401), 1,
      anon_sym_COLON_GT,
    ACTIONS(19403), 1,
      anon_sym_RPAREN,
    STATE(14450), 1,
      sym_attribute,
    STATE(16784), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661157] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19405), 1,
      anon_sym_RBRACK,
    ACTIONS(19407), 1,
      anon_sym_GT,
    STATE(14368), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661180] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19166), 1,
      sym__lowercase_identifier,
    STATE(10014), 1,
      sym_class_type_path,
    STATE(14452), 1,
      sym_attribute,
    STATE(16731), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661203] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19409), 1,
      anon_sym_RBRACK,
    STATE(14453), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661226] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19411), 1,
      sym__lowercase_identifier,
    STATE(10868), 1,
      sym_class_type_path,
    STATE(14454), 1,
      sym_attribute,
    STATE(16517), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661249] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19413), 1,
      anon_sym_COLON_GT,
    ACTIONS(19415), 1,
      anon_sym_RPAREN,
    STATE(14455), 1,
      sym_attribute,
    STATE(17415), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661272] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19417), 1,
      anon_sym_GT_RBRACE,
    STATE(14456), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661295] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9922), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19419), 1,
      anon_sym_GT,
    STATE(14457), 1,
      sym_attribute,
    STATE(14464), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661318] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19421), 1,
      anon_sym_COLON_GT,
    ACTIONS(19423), 1,
      anon_sym_RPAREN,
    STATE(14458), 1,
      sym_attribute,
    STATE(17282), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661341] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19425), 1,
      anon_sym_RBRACK,
    ACTIONS(19427), 1,
      anon_sym_GT,
    STATE(14459), 1,
      sym_attribute,
    STATE(14564), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661364] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19429), 1,
      sym__lowercase_identifier,
    STATE(9315), 1,
      sym_class_type_path,
    STATE(14460), 1,
      sym_attribute,
    STATE(16483), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661387] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18432), 1,
      sym__lowercase_identifier,
    STATE(4864), 1,
      sym_class_path,
    STATE(14461), 1,
      sym_attribute,
    STATE(17542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661410] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19431), 1,
      anon_sym_GT_RBRACE,
    STATE(14462), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661433] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19433), 1,
      anon_sym_RBRACK,
    ACTIONS(19435), 1,
      anon_sym_GT,
    STATE(14463), 1,
      sym_attribute,
    STATE(14472), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661456] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19433), 1,
      anon_sym_RBRACK,
    ACTIONS(19435), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661479] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19437), 1,
      sym__lowercase_identifier,
    STATE(9580), 1,
      sym_class_type_path,
    STATE(14465), 1,
      sym_attribute,
    STATE(17294), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661502] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19425), 1,
      anon_sym_RBRACK,
    ACTIONS(19427), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661525] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18434), 1,
      sym__lowercase_identifier,
    STATE(7195), 1,
      sym_class_path,
    STATE(14467), 1,
      sym_attribute,
    STATE(17921), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661548] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19439), 1,
      anon_sym_DOT,
    STATE(14468), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661571] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19441), 1,
      anon_sym_GT_RBRACE,
    STATE(14469), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661594] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10006), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19443), 1,
      anon_sym_GT,
    STATE(14470), 1,
      sym_attribute,
    STATE(14887), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661617] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19445), 1,
      anon_sym_COLON_GT,
    ACTIONS(19447), 1,
      anon_sym_RPAREN,
    STATE(14471), 1,
      sym_attribute,
    STATE(16854), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661640] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19449), 1,
      anon_sym_RBRACK,
    ACTIONS(19451), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661663] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19449), 1,
      anon_sym_RBRACK,
    STATE(14473), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661686] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19453), 1,
      sym__lowercase_identifier,
    STATE(13469), 1,
      sym_class_type_path,
    STATE(14474), 1,
      sym_attribute,
    STATE(16665), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661709] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18230), 1,
      sym__lowercase_identifier,
    ACTIONS(18232), 1,
      anon_sym_LBRACK,
    ACTIONS(18234), 1,
      anon_sym_virtual,
    STATE(11803), 1,
      sym_class_type_binding,
    STATE(14475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661732] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19455), 1,
      anon_sym_RBRACK,
    STATE(14476), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661755] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19453), 1,
      sym__lowercase_identifier,
    STATE(13582), 1,
      sym_class_type_path,
    STATE(14477), 1,
      sym_attribute,
    STATE(16665), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661778] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19453), 1,
      sym__lowercase_identifier,
    STATE(13511), 1,
      sym_class_type_path,
    STATE(14478), 1,
      sym_attribute,
    STATE(16665), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661801] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19457), 1,
      anon_sym_GT_RBRACE,
    STATE(14479), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661824] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19459), 1,
      anon_sym_RBRACK,
    STATE(14480), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661847] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19461), 1,
      anon_sym_DOT,
    STATE(14481), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661870] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19463), 1,
      anon_sym_DOT,
    STATE(14482), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661893] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18559), 1,
      sym__lowercase_identifier,
    STATE(3968), 1,
      sym_class_path,
    STATE(14483), 1,
      sym_attribute,
    STATE(17974), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661916] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19465), 1,
      sym__lowercase_identifier,
    STATE(12512), 1,
      sym_class_type_path,
    STATE(14484), 1,
      sym_attribute,
    STATE(16768), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661939] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19465), 1,
      sym__lowercase_identifier,
    STATE(12581), 1,
      sym_class_type_path,
    STATE(14485), 1,
      sym_attribute,
    STATE(16768), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661962] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19465), 1,
      sym__lowercase_identifier,
    STATE(12612), 1,
      sym_class_type_path,
    STATE(14486), 1,
      sym_attribute,
    STATE(16768), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661985] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19467), 1,
      anon_sym_RBRACK,
    STATE(14487), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662008] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19469), 1,
      anon_sym_GT_RBRACE,
    STATE(14488), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662031] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19471), 1,
      anon_sym_GT_RBRACE,
    STATE(14489), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662054] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(14490), 1,
      sym_attribute,
    STATE(16352), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19473), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [662075] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18322), 1,
      sym__lowercase_identifier,
    STATE(6865), 1,
      sym_class_path,
    STATE(14491), 1,
      sym_attribute,
    STATE(19569), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662098] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19475), 1,
      anon_sym_COLON_GT,
    ACTIONS(19477), 1,
      anon_sym_RPAREN,
    STATE(14492), 1,
      sym_attribute,
    STATE(16396), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662121] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13683), 1,
      anon_sym_in,
    ACTIONS(19062), 1,
      anon_sym_and,
    ACTIONS(19064), 1,
      sym_let_and_operator,
    STATE(14493), 1,
      sym_attribute,
    STATE(14773), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662144] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19224), 1,
      sym__lowercase_identifier,
    STATE(10673), 1,
      sym_class_type_path,
    STATE(14494), 1,
      sym_attribute,
    STATE(16385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662167] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19479), 1,
      anon_sym_COLON_GT,
    ACTIONS(19481), 1,
      anon_sym_RPAREN,
    STATE(14495), 1,
      sym_attribute,
    STATE(16795), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662190] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19483), 1,
      sym__lowercase_identifier,
    ACTIONS(19485), 1,
      anon_sym_LPAREN,
    STATE(13913), 1,
      sym_parenthesized_operator,
    STATE(13942), 1,
      sym__value_name,
    STATE(14496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662213] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19487), 1,
      anon_sym_GT_RBRACE,
    STATE(14497), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662236] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19489), 1,
      anon_sym_GT_RBRACE,
    STATE(14498), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662259] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19280), 1,
      sym__lowercase_identifier,
    STATE(13046), 1,
      sym_class_type_path,
    STATE(14499), 1,
      sym_attribute,
    STATE(16744), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662282] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19491), 1,
      sym__lowercase_identifier,
    STATE(9559), 1,
      sym_class_type_path,
    STATE(14500), 1,
      sym_attribute,
    STATE(17303), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662305] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19493), 1,
      anon_sym_RBRACK,
    STATE(14501), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662328] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19491), 1,
      sym__lowercase_identifier,
    STATE(9593), 1,
      sym_class_type_path,
    STATE(14502), 1,
      sym_attribute,
    STATE(17303), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662351] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19495), 1,
      anon_sym_GT_RBRACE,
    STATE(14503), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662374] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8128), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    STATE(14504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 2,
      anon_sym_with,
      sym_hash_operator,
  [662395] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18396), 1,
      sym__lowercase_identifier,
    STATE(4416), 1,
      sym_class_path,
    STATE(14505), 1,
      sym_attribute,
    STATE(19594), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662418] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19497), 1,
      anon_sym_GT_RBRACE,
    STATE(14506), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662441] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10067), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19499), 1,
      anon_sym_GT,
    STATE(14507), 1,
      sym_attribute,
    STATE(14556), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662464] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11073), 1,
      sym__lowercase_identifier,
    STATE(12991), 1,
      sym_type_constructor_path,
    STATE(14508), 1,
      sym_attribute,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662487] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9928), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19501), 1,
      anon_sym_GT,
    STATE(14509), 1,
      sym_attribute,
    STATE(14518), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662510] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13233), 1,
      anon_sym_in,
    ACTIONS(16274), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14028), 1,
      aux_sym_expression_item_repeat1,
    STATE(14510), 1,
      sym_attribute,
    STATE(16070), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662533] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16060), 1,
      sym__lowercase_identifier,
    ACTIONS(18400), 1,
      anon_sym_LPAREN,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(14511), 1,
      sym_attribute,
    STATE(17046), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662556] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18318), 1,
      sym__lowercase_identifier,
    STATE(3129), 1,
      sym_class_path,
    STATE(14512), 1,
      sym_attribute,
    STATE(18578), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662579] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19503), 1,
      anon_sym_COLON_GT,
    ACTIONS(19505), 1,
      anon_sym_RPAREN,
    STATE(14513), 1,
      sym_attribute,
    STATE(16935), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662602] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19507), 1,
      anon_sym_GT_RBRACE,
    STATE(14514), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662625] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19509), 1,
      anon_sym_GT_RBRACE,
    STATE(14515), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662648] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19411), 1,
      sym__lowercase_identifier,
    STATE(10755), 1,
      sym_class_type_path,
    STATE(14516), 1,
      sym_attribute,
    STATE(16517), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662671] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19511), 1,
      anon_sym_RBRACK,
    ACTIONS(19513), 1,
      anon_sym_GT,
    STATE(14517), 1,
      sym_attribute,
    STATE(14523), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662694] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19511), 1,
      anon_sym_RBRACK,
    ACTIONS(19513), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662717] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19405), 1,
      anon_sym_RBRACK,
    ACTIONS(19407), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662740] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(19515), 1,
      anon_sym_DASH_GT,
    STATE(9179), 1,
      aux_sym_module_binding_repeat1,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(14520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662763] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19517), 1,
      anon_sym_GT_RBRACE,
    STATE(14521), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662786] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18148), 1,
      sym__lowercase_identifier,
    ACTIONS(18150), 1,
      anon_sym_LBRACK,
    ACTIONS(18152), 1,
      anon_sym_virtual,
    STATE(11560), 1,
      sym_class_binding,
    STATE(14522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662809] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19519), 1,
      anon_sym_RBRACK,
    ACTIONS(19521), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662832] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(19523), 1,
      anon_sym_DASH_GT,
    STATE(9179), 1,
      aux_sym_module_binding_repeat1,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(14524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662855] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19519), 1,
      anon_sym_RBRACK,
    STATE(14525), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662878] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19525), 1,
      anon_sym_GT_RBRACE,
    STATE(14526), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662901] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19527), 1,
      anon_sym_GT_RBRACE,
    STATE(14527), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662924] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19529), 1,
      anon_sym_RBRACK,
    STATE(14528), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662947] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19531), 1,
      sym__lowercase_identifier,
    STATE(7496), 1,
      sym_type_constructor_path,
    STATE(14529), 1,
      sym_attribute,
    STATE(16607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662970] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19533), 1,
      anon_sym_GT_RBRACE,
    STATE(14530), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662993] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19535), 1,
      anon_sym_GT_RBRACE,
    STATE(14531), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663016] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19537), 1,
      anon_sym_RBRACK,
    STATE(14532), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663039] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18573), 1,
      sym__lowercase_identifier,
    STATE(9183), 1,
      sym_class_path,
    STATE(14533), 1,
      sym_attribute,
    STATE(19944), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663062] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19539), 1,
      sym__lowercase_identifier,
    STATE(9615), 1,
      sym_class_type_path,
    STATE(14534), 1,
      sym_attribute,
    STATE(16785), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663085] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19541), 1,
      anon_sym_DOT,
    STATE(14535), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663108] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19539), 1,
      sym__lowercase_identifier,
    STATE(9643), 1,
      sym_class_type_path,
    STATE(14536), 1,
      sym_attribute,
    STATE(16785), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663131] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19539), 1,
      sym__lowercase_identifier,
    STATE(9648), 1,
      sym_class_type_path,
    STATE(14537), 1,
      sym_attribute,
    STATE(16785), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663154] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19543), 1,
      anon_sym_EQ,
    ACTIONS(19545), 1,
      anon_sym_RPAREN,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(14538), 1,
      sym_attribute,
    STATE(16951), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663177] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(13379), 1,
      anon_sym_DASH_GT,
    STATE(9179), 1,
      aux_sym_module_binding_repeat1,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(14539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663200] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(19549), 1,
      anon_sym_DASH_GT,
    STATE(9179), 1,
      aux_sym_module_binding_repeat1,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(14540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663223] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19551), 1,
      anon_sym_COLON_GT,
    ACTIONS(19553), 1,
      anon_sym_RPAREN,
    STATE(14541), 1,
      sym_attribute,
    STATE(17212), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663246] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18400), 1,
      anon_sym_LPAREN,
    ACTIONS(18478), 1,
      sym__lowercase_identifier,
    STATE(14542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20300), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [663267] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19555), 1,
      anon_sym_COLON_GT,
    ACTIONS(19557), 1,
      anon_sym_RPAREN,
    STATE(14543), 1,
      sym_attribute,
    STATE(17036), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663290] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19559), 1,
      anon_sym_COLON_GT,
    ACTIONS(19561), 1,
      anon_sym_RPAREN,
    STATE(14544), 1,
      sym_attribute,
    STATE(16889), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663313] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19563), 1,
      anon_sym_COLON_GT,
    ACTIONS(19565), 1,
      anon_sym_RPAREN,
    STATE(14545), 1,
      sym_attribute,
    STATE(17366), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663336] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19381), 1,
      sym__lowercase_identifier,
    STATE(10613), 1,
      sym_class_type_path,
    STATE(14546), 1,
      sym_attribute,
    STATE(16757), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12165), 1,
      anon_sym_and,
    STATE(14547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12163), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [663378] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18507), 1,
      sym__lowercase_identifier,
    STATE(6969), 1,
      sym_class_path,
    STATE(14548), 1,
      sym_attribute,
    STATE(18742), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663401] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19567), 1,
      sym__lowercase_identifier,
    STATE(9821), 1,
      sym_class_type_path,
    STATE(14549), 1,
      sym_attribute,
    STATE(16619), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663424] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19411), 1,
      sym__lowercase_identifier,
    STATE(10686), 1,
      sym_class_type_path,
    STATE(14550), 1,
      sym_attribute,
    STATE(16517), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663447] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19569), 1,
      sym__lowercase_identifier,
    STATE(5418), 1,
      sym_type_constructor_path,
    STATE(14551), 1,
      sym_attribute,
    STATE(16365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663470] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9934), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19571), 1,
      anon_sym_GT,
    STATE(14552), 1,
      sym_attribute,
    STATE(14562), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663493] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19573), 1,
      sym__lowercase_identifier,
    STATE(10259), 1,
      sym_class_type_path,
    STATE(14553), 1,
      sym_attribute,
    STATE(16546), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663516] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19575), 1,
      anon_sym_rec,
    STATE(12204), 1,
      sym_module_binding,
    STATE(14554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17602), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [663537] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19577), 1,
      anon_sym_RBRACK,
    ACTIONS(19579), 1,
      anon_sym_GT,
    STATE(14555), 1,
      sym_attribute,
    STATE(14601), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663560] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19577), 1,
      anon_sym_RBRACK,
    ACTIONS(19579), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663583] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19581), 1,
      anon_sym_GT_RBRACE,
    STATE(14557), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663606] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19573), 1,
      sym__lowercase_identifier,
    STATE(10513), 1,
      sym_class_type_path,
    STATE(14558), 1,
      sym_attribute,
    STATE(16546), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663629] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19573), 1,
      sym__lowercase_identifier,
    STATE(10568), 1,
      sym_class_type_path,
    STATE(14559), 1,
      sym_attribute,
    STATE(16546), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663652] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19411), 1,
      sym__lowercase_identifier,
    STATE(10831), 1,
      sym_class_type_path,
    STATE(14560), 1,
      sym_attribute,
    STATE(16517), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663675] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19583), 1,
      anon_sym_RBRACK,
    ACTIONS(19585), 1,
      anon_sym_GT,
    STATE(14561), 1,
      sym_attribute,
    STATE(14569), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663698] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19583), 1,
      anon_sym_RBRACK,
    ACTIONS(19585), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663721] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18450), 1,
      sym__lowercase_identifier,
    STATE(7363), 1,
      sym_class_path,
    STATE(14563), 1,
      sym_attribute,
    STATE(17544), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663744] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19587), 1,
      anon_sym_RBRACK,
    ACTIONS(19589), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663767] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19591), 1,
      anon_sym_DOT,
    STATE(14565), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663790] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19593), 1,
      anon_sym_GT_RBRACE,
    STATE(14566), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663813] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19595), 1,
      anon_sym_GT_RBRACE,
    STATE(14567), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663836] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19597), 1,
      anon_sym_DOT,
    STATE(14568), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663859] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19599), 1,
      anon_sym_RBRACK,
    ACTIONS(19601), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663882] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19599), 1,
      anon_sym_RBRACK,
    STATE(14570), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663905] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19587), 1,
      anon_sym_RBRACK,
    STATE(14571), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663928] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18242), 1,
      sym__lowercase_identifier,
    STATE(3830), 1,
      sym_class_path,
    STATE(14572), 1,
      sym_attribute,
    STATE(18385), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663951] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19603), 1,
      anon_sym_RBRACK,
    STATE(14573), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663974] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9798), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19605), 1,
      anon_sym_GT,
    STATE(14574), 1,
      sym_attribute,
    STATE(14590), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663997] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19607), 1,
      anon_sym_RBRACK,
    STATE(14575), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664020] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19609), 1,
      sym__lowercase_identifier,
    STATE(14576), 1,
      sym_attribute,
    STATE(14871), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18683), 2,
      anon_sym_private,
      anon_sym_virtual,
  [664041] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19613), 1,
      anon_sym_of,
    STATE(14577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19611), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [664060] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18588), 1,
      sym__lowercase_identifier,
    STATE(5713), 1,
      sym_class_path,
    STATE(14578), 1,
      sym_attribute,
    STATE(18024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664083] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19615), 1,
      sym__lowercase_identifier,
    STATE(9011), 1,
      sym_class_type_path,
    STATE(14579), 1,
      sym_attribute,
    STATE(16801), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664106] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19615), 1,
      sym__lowercase_identifier,
    STATE(9055), 1,
      sym_class_type_path,
    STATE(14580), 1,
      sym_attribute,
    STATE(16801), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664129] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19615), 1,
      sym__lowercase_identifier,
    STATE(9075), 1,
      sym_class_type_path,
    STATE(14581), 1,
      sym_attribute,
    STATE(16801), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664152] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(19617), 1,
      sym__lowercase_identifier,
    STATE(7210), 1,
      sym_class_path,
    STATE(14582), 1,
      sym_attribute,
    STATE(17596), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664175] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19619), 1,
      anon_sym_COLON_GT,
    ACTIONS(19621), 1,
      anon_sym_RPAREN,
    STATE(14583), 1,
      sym_attribute,
    STATE(16917), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664198] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19623), 1,
      anon_sym_GT_RBRACE,
    STATE(14584), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664221] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19625), 1,
      sym__lowercase_identifier,
    STATE(9722), 1,
      sym_class_type_path,
    STATE(14585), 1,
      sym_attribute,
    STATE(16434), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664244] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19627), 1,
      anon_sym_DOT,
    STATE(14586), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664267] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19629), 1,
      anon_sym_COLON_GT,
    ACTIONS(19631), 1,
      anon_sym_RPAREN,
    STATE(14587), 1,
      sym_attribute,
    STATE(17364), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664290] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(18729), 1,
      anon_sym_BANG,
    ACTIONS(18731), 1,
      anon_sym__,
    STATE(14158), 1,
      sym_type_variable,
    STATE(14588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664313] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19633), 1,
      anon_sym_RBRACK,
    ACTIONS(19635), 1,
      anon_sym_GT,
    STATE(14589), 1,
      sym_attribute,
    STATE(14599), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664336] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19633), 1,
      anon_sym_RBRACK,
    ACTIONS(19635), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664359] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11163), 1,
      anon_sym_in,
    ACTIONS(16274), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14028), 1,
      aux_sym_expression_item_repeat1,
    STATE(14591), 1,
      sym_attribute,
    STATE(16070), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664382] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19491), 1,
      sym__lowercase_identifier,
    STATE(9544), 1,
      sym_class_type_path,
    STATE(14592), 1,
      sym_attribute,
    STATE(17303), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664405] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19637), 1,
      anon_sym_COLON_GT,
    ACTIONS(19639), 1,
      anon_sym_RPAREN,
    STATE(14593), 1,
      sym_attribute,
    STATE(16978), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664428] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9838), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19641), 1,
      anon_sym_GT,
    STATE(14594), 1,
      sym_attribute,
    STATE(14828), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664451] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19643), 1,
      anon_sym_GT_RBRACE,
    STATE(14595), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664474] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19645), 1,
      sym__lowercase_identifier,
    STATE(14596), 1,
      sym_attribute,
    STATE(17286), 1,
      sym_extended_module_path,
    STATE(19061), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664497] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19465), 1,
      sym__lowercase_identifier,
    STATE(12572), 1,
      sym_class_type_path,
    STATE(14597), 1,
      sym_attribute,
    STATE(16768), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664520] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19567), 1,
      sym__lowercase_identifier,
    STATE(9853), 1,
      sym_class_type_path,
    STATE(14598), 1,
      sym_attribute,
    STATE(16619), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664543] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19647), 1,
      anon_sym_RBRACK,
    ACTIONS(19649), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664566] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19647), 1,
      anon_sym_RBRACK,
    STATE(14600), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664589] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19651), 1,
      anon_sym_RBRACK,
    ACTIONS(19653), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664612] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19651), 1,
      anon_sym_RBRACK,
    STATE(14602), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664635] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19655), 1,
      anon_sym_GT_RBRACE,
    STATE(14603), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664658] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19657), 1,
      anon_sym_GT_RBRACE,
    STATE(14604), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664681] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9962), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19659), 1,
      anon_sym_GT,
    STATE(14605), 1,
      sym_attribute,
    STATE(14614), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664704] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19661), 1,
      anon_sym_RBRACK,
    STATE(14606), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664727] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19663), 1,
      anon_sym_RBRACK,
    STATE(14607), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664750] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19665), 1,
      anon_sym_GT_RBRACE,
    STATE(14608), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664773] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19667), 1,
      anon_sym_RBRACK,
    STATE(14609), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664796] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19669), 1,
      anon_sym_GT_RBRACE,
    STATE(14610), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664819] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19567), 1,
      sym__lowercase_identifier,
    STATE(9864), 1,
      sym_class_type_path,
    STATE(14611), 1,
      sym_attribute,
    STATE(16619), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664842] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(19617), 1,
      sym__lowercase_identifier,
    STATE(7224), 1,
      sym_class_path,
    STATE(14612), 1,
      sym_attribute,
    STATE(17596), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664865] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19671), 1,
      anon_sym_RBRACK,
    ACTIONS(19673), 1,
      anon_sym_GT,
    STATE(14613), 1,
      sym_attribute,
    STATE(14619), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664888] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19671), 1,
      anon_sym_RBRACK,
    ACTIONS(19673), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664911] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19224), 1,
      sym__lowercase_identifier,
    STATE(10830), 1,
      sym_class_type_path,
    STATE(14615), 1,
      sym_attribute,
    STATE(16385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664934] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19675), 1,
      anon_sym_DOT,
    STATE(14616), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664957] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19677), 1,
      anon_sym_GT_RBRACE,
    STATE(14617), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664980] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19567), 1,
      sym__lowercase_identifier,
    STATE(9874), 1,
      sym_class_type_path,
    STATE(14618), 1,
      sym_attribute,
    STATE(16619), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665003] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19679), 1,
      anon_sym_RBRACK,
    ACTIONS(19681), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665026] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19679), 1,
      anon_sym_RBRACK,
    STATE(14620), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665049] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19224), 1,
      sym__lowercase_identifier,
    STATE(10812), 1,
      sym_class_type_path,
    STATE(14621), 1,
      sym_attribute,
    STATE(16385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665072] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    STATE(14622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12582), 2,
      anon_sym_COLON_GT,
      anon_sym_EQ,
  [665093] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19683), 1,
      anon_sym_RBRACK,
    STATE(14623), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665116] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18466), 1,
      sym__lowercase_identifier,
    STATE(3300), 1,
      sym_class_path,
    STATE(14624), 1,
      sym_attribute,
    STATE(17704), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665139] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19685), 1,
      anon_sym_RBRACK,
    STATE(14625), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665162] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19687), 1,
      anon_sym_RBRACK,
    STATE(14626), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665185] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18332), 1,
      sym__lowercase_identifier,
    STATE(6437), 1,
      sym_class_path,
    STATE(14627), 1,
      sym_attribute,
    STATE(18616), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665208] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19100), 1,
      sym__lowercase_identifier,
    STATE(11603), 1,
      sym_class_type_path,
    STATE(14628), 1,
      sym_attribute,
    STATE(16683), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665231] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18598), 1,
      sym__lowercase_identifier,
    STATE(5099), 1,
      sym_class_path,
    STATE(14629), 1,
      sym_attribute,
    STATE(18065), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665254] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19689), 1,
      sym__lowercase_identifier,
    STATE(8910), 1,
      sym_class_type_path,
    STATE(14630), 1,
      sym_attribute,
    STATE(16817), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665277] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19689), 1,
      sym__lowercase_identifier,
    STATE(8933), 1,
      sym_class_type_path,
    STATE(14631), 1,
      sym_attribute,
    STATE(16817), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665300] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19689), 1,
      sym__lowercase_identifier,
    STATE(8944), 1,
      sym_class_type_path,
    STATE(14632), 1,
      sym_attribute,
    STATE(16817), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665323] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18066), 1,
      sym__lowercase_identifier,
    ACTIONS(18068), 1,
      anon_sym_LBRACK,
    ACTIONS(18070), 1,
      anon_sym_virtual,
    STATE(11560), 1,
      sym_class_binding,
    STATE(14633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665346] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19100), 1,
      sym__lowercase_identifier,
    STATE(11618), 1,
      sym_class_type_path,
    STATE(14634), 1,
      sym_attribute,
    STATE(16683), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665369] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19100), 1,
      sym__lowercase_identifier,
    STATE(11651), 1,
      sym_class_type_path,
    STATE(14635), 1,
      sym_attribute,
    STATE(16683), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665392] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19691), 1,
      anon_sym_DOT,
    STATE(14636), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665415] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(14637), 1,
      sym_attribute,
    STATE(17319), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19693), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [665436] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19695), 1,
      anon_sym_RBRACK,
    STATE(14638), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665459] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19697), 1,
      anon_sym_DOT,
    STATE(14639), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19699), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8803), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
    STATE(14640), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
  [665501] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19702), 1,
      anon_sym_DOT,
    STATE(14641), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665524] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19704), 1,
      anon_sym_DOT,
    STATE(14642), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665547] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19706), 1,
      anon_sym_COLON_GT,
    ACTIONS(19708), 1,
      anon_sym_RPAREN,
    STATE(14643), 1,
      sym_attribute,
    STATE(17064), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665570] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14029), 1,
      anon_sym_in,
    ACTIONS(19062), 1,
      anon_sym_and,
    ACTIONS(19064), 1,
      sym_let_and_operator,
    STATE(14292), 1,
      aux_sym_value_definition_repeat1,
    STATE(14644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665593] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19437), 1,
      sym__lowercase_identifier,
    STATE(12113), 1,
      sym_class_type_path,
    STATE(14645), 1,
      sym_attribute,
    STATE(17294), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665616] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19710), 1,
      sym__lowercase_identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19713), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(14646), 2,
      sym_attribute,
      aux_sym__abstract_type_repeat1,
  [665635] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    STATE(14647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14629), 2,
      anon_sym_COLON_GT,
      anon_sym_EQ,
  [665656] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19539), 1,
      sym__lowercase_identifier,
    STATE(9601), 1,
      sym_class_type_path,
    STATE(14648), 1,
      sym_attribute,
    STATE(16785), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665679] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    STATE(14649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14635), 2,
      anon_sym_COLON_GT,
      anon_sym_EQ,
  [665700] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19715), 1,
      anon_sym_GT_RBRACE,
    STATE(14650), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665723] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19206), 1,
      sym__lowercase_identifier,
    ACTIONS(19210), 1,
      anon_sym_mutable,
    ACTIONS(19717), 1,
      anon_sym_RBRACE,
    STATE(14651), 1,
      sym_attribute,
    STATE(16411), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665746] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19719), 1,
      anon_sym_GT,
    STATE(14652), 1,
      sym_attribute,
    STATE(14671), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665769] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19721), 1,
      anon_sym_COLON_GT,
    ACTIONS(19723), 1,
      anon_sym_RPAREN,
    STATE(14653), 1,
      sym_attribute,
    STATE(16386), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665792] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19437), 1,
      sym__lowercase_identifier,
    STATE(9722), 1,
      sym_class_type_path,
    STATE(14654), 1,
      sym_attribute,
    STATE(17294), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665815] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11073), 1,
      sym__lowercase_identifier,
    STATE(14655), 1,
      sym_attribute,
    STATE(15005), 1,
      sym_type_constructor_path,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665838] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18240), 1,
      sym__lowercase_identifier,
    STATE(6800), 1,
      sym_class_path,
    STATE(14656), 1,
      sym_attribute,
    STATE(19181), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665861] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19725), 1,
      anon_sym_rec,
    STATE(12055), 1,
      sym_module_binding,
    STATE(14657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17996), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [665882] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(19202), 1,
      sym__lowercase_identifier,
    STATE(14658), 1,
      sym_attribute,
    STATE(16403), 1,
      sym_extended_module_path,
    STATE(16539), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665905] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(13176), 1,
      anon_sym_DASH_GT,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(14659), 1,
      sym_attribute,
    STATE(14668), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665928] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(13176), 1,
      anon_sym_DASH_GT,
    STATE(9179), 1,
      aux_sym_module_binding_repeat1,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(14660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665951] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16060), 1,
      sym__lowercase_identifier,
    ACTIONS(18400), 1,
      anon_sym_LPAREN,
    STATE(6997), 1,
      sym_parenthesized_operator,
    STATE(14661), 1,
      sym_attribute,
    STATE(17264), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665974] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19727), 1,
      anon_sym_GT_RBRACE,
    STATE(14662), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665997] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19066), 1,
      sym__lowercase_identifier,
    STATE(10712), 1,
      sym_class_type_path,
    STATE(14663), 1,
      sym_attribute,
    STATE(16596), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666020] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19729), 1,
      sym__lowercase_identifier,
    STATE(7704), 1,
      sym_type_constructor_path,
    STATE(14664), 1,
      sym_attribute,
    STATE(17250), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666043] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19066), 1,
      sym__lowercase_identifier,
    STATE(10706), 1,
      sym_class_type_path,
    STATE(14665), 1,
      sym_attribute,
    STATE(16596), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666066] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19066), 1,
      sym__lowercase_identifier,
    STATE(10702), 1,
      sym_class_type_path,
    STATE(14666), 1,
      sym_attribute,
    STATE(16596), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666089] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(19731), 1,
      anon_sym_DASH_GT,
    STATE(9179), 1,
      aux_sym_module_binding_repeat1,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(14667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666112] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(19733), 1,
      anon_sym_DASH_GT,
    STATE(9179), 1,
      aux_sym_module_binding_repeat1,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(14668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666135] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18624), 1,
      sym__lowercase_identifier,
    ACTIONS(18626), 1,
      anon_sym_LBRACK,
    ACTIONS(18628), 1,
      anon_sym_virtual,
    STATE(11692), 1,
      sym_class_type_binding,
    STATE(14669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666158] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19735), 1,
      anon_sym_RBRACK,
    ACTIONS(19737), 1,
      anon_sym_GT,
    STATE(14670), 1,
      sym_attribute,
    STATE(14679), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666181] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19735), 1,
      anon_sym_RBRACK,
    ACTIONS(19737), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666204] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19739), 1,
      anon_sym_with,
    STATE(14672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666227] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19741), 1,
      anon_sym_DOT,
    STATE(14673), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666250] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18230), 1,
      sym__lowercase_identifier,
    ACTIONS(18232), 1,
      anon_sym_LBRACK,
    ACTIONS(18234), 1,
      anon_sym_virtual,
    STATE(11568), 1,
      sym_class_type_binding,
    STATE(14674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666273] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18262), 1,
      sym__lowercase_identifier,
    STATE(3884), 1,
      sym_class_path,
    STATE(14675), 1,
      sym_attribute,
    STATE(18463), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666296] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19743), 1,
      anon_sym_GT_RBRACE,
    STATE(14676), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666319] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19437), 1,
      sym__lowercase_identifier,
    STATE(12115), 1,
      sym_class_type_path,
    STATE(14677), 1,
      sym_attribute,
    STATE(17294), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666342] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18624), 1,
      sym__lowercase_identifier,
    ACTIONS(18626), 1,
      anon_sym_LBRACK,
    ACTIONS(18628), 1,
      anon_sym_virtual,
    STATE(11568), 1,
      sym_class_type_binding,
    STATE(14678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666365] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19745), 1,
      anon_sym_RBRACK,
    ACTIONS(19747), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666388] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19745), 1,
      anon_sym_RBRACK,
    STATE(14680), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666411] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18410), 1,
      sym__lowercase_identifier,
    STATE(7251), 1,
      sym_class_path,
    STATE(14681), 1,
      sym_attribute,
    STATE(17419), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666434] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19749), 1,
      anon_sym_GT_RBRACE,
    STATE(14682), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666457] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19751), 1,
      anon_sym_RBRACK,
    STATE(14683), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666480] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11073), 1,
      sym__lowercase_identifier,
    STATE(14684), 1,
      sym_attribute,
    STATE(15553), 1,
      sym_type_constructor_path,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666503] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19753), 1,
      sym__lowercase_identifier,
    STATE(5672), 1,
      sym_type_constructor_path,
    STATE(14685), 1,
      sym_attribute,
    STATE(16632), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666526] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19755), 1,
      sym__lowercase_identifier,
    STATE(11000), 1,
      sym_class_type_path,
    STATE(14686), 1,
      sym_attribute,
    STATE(16642), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666549] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19757), 1,
      anon_sym_COLON_GT,
    ACTIONS(19759), 1,
      anon_sym_RPAREN,
    STATE(14687), 1,
      sym_attribute,
    STATE(17343), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666572] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19761), 1,
      anon_sym_RBRACK,
    STATE(14688), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666595] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19491), 1,
      sym__lowercase_identifier,
    STATE(9619), 1,
      sym_class_type_path,
    STATE(14689), 1,
      sym_attribute,
    STATE(17303), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666618] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18610), 1,
      sym__lowercase_identifier,
    STATE(5286), 1,
      sym_class_path,
    STATE(14690), 1,
      sym_attribute,
    STATE(18105), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666641] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19755), 1,
      sym__lowercase_identifier,
    STATE(10990), 1,
      sym_class_type_path,
    STATE(14691), 1,
      sym_attribute,
    STATE(16642), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666664] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19763), 1,
      sym__lowercase_identifier,
    STATE(12776), 1,
      sym_class_type_path,
    STATE(14692), 1,
      sym_attribute,
    STATE(16834), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666687] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19763), 1,
      sym__lowercase_identifier,
    STATE(12733), 1,
      sym_class_type_path,
    STATE(14693), 1,
      sym_attribute,
    STATE(16834), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666710] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19763), 1,
      sym__lowercase_identifier,
    STATE(12763), 1,
      sym_class_type_path,
    STATE(14694), 1,
      sym_attribute,
    STATE(16834), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666733] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19437), 1,
      sym__lowercase_identifier,
    STATE(12378), 1,
      sym_class_type_path,
    STATE(14695), 1,
      sym_attribute,
    STATE(17294), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12153), 1,
      anon_sym_and,
    STATE(14696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12151), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [666775] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13284), 1,
      anon_sym_in,
    ACTIONS(16274), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14028), 1,
      aux_sym_expression_item_repeat1,
    STATE(14697), 1,
      sym_attribute,
    STATE(16070), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666798] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18196), 1,
      sym__lowercase_identifier,
    STATE(4255), 1,
      sym_class_path,
    STATE(14698), 1,
      sym_attribute,
    STATE(19160), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666821] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19765), 1,
      sym__lowercase_identifier,
    ACTIONS(19767), 1,
      anon_sym_LPAREN,
    STATE(5412), 1,
      sym_parenthesized_operator,
    STATE(5514), 1,
      sym__value_name,
    STATE(14699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666844] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19769), 1,
      sym__lowercase_identifier,
    STATE(14700), 1,
      sym_attribute,
    STATE(17286), 1,
      sym_extended_module_path,
    STATE(18387), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666867] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19755), 1,
      sym__lowercase_identifier,
    STATE(11010), 1,
      sym_class_type_path,
    STATE(14701), 1,
      sym_attribute,
    STATE(16642), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666890] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19771), 1,
      anon_sym_DOT,
    STATE(14702), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666913] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(19773), 1,
      anon_sym_DASH_GT,
    STATE(9179), 1,
      aux_sym_module_binding_repeat1,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(14703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666936] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19775), 1,
      anon_sym_COLON_GT,
    ACTIONS(19777), 1,
      anon_sym_RPAREN,
    STATE(14704), 1,
      sym_attribute,
    STATE(17198), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666959] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19779), 1,
      anon_sym_DOT,
    STATE(14705), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666982] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18280), 1,
      sym__lowercase_identifier,
    STATE(7640), 1,
      sym_class_path,
    STATE(14706), 1,
      sym_attribute,
    STATE(17650), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667005] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19615), 1,
      sym__lowercase_identifier,
    STATE(8975), 1,
      sym_class_type_path,
    STATE(14707), 1,
      sym_attribute,
    STATE(16801), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667028] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19781), 1,
      anon_sym_RBRACK,
    STATE(14708), 1,
      sym_attribute,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667051] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19783), 1,
      sym__lowercase_identifier,
    STATE(14646), 1,
      aux_sym__abstract_type_repeat1,
    STATE(14709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19785), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [667072] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19755), 1,
      sym__lowercase_identifier,
    STATE(11017), 1,
      sym_class_type_path,
    STATE(14710), 1,
      sym_attribute,
    STATE(16642), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667095] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9832), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19787), 1,
      anon_sym_GT,
    STATE(14711), 1,
      sym_attribute,
    STATE(14730), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667118] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19789), 1,
      sym__lowercase_identifier,
    STATE(9993), 1,
      sym_type_constructor_path,
    STATE(14712), 1,
      sym_attribute,
    STATE(16413), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667141] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19791), 1,
      anon_sym_RBRACK,
    ACTIONS(19793), 1,
      aux_sym_tag_token1,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14713), 2,
      sym_attribute,
      aux_sym_polymorphic_variant_type_repeat2,
  [667162] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19796), 1,
      anon_sym_with,
    STATE(14714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667185] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    ACTIONS(19798), 1,
      anon_sym_EQ,
    ACTIONS(19800), 1,
      anon_sym_RPAREN,
    STATE(14715), 1,
      sym_attribute,
    STATE(16560), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667208] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19802), 1,
      anon_sym_GT_RBRACE,
    STATE(14716), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667231] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19485), 1,
      anon_sym_LPAREN,
    ACTIONS(19804), 1,
      sym__lowercase_identifier,
    STATE(14717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13853), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [667252] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18222), 1,
      sym__lowercase_identifier,
    STATE(6631), 1,
      sym_class_path,
    STATE(14718), 1,
      sym_attribute,
    STATE(18345), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667275] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9978), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19806), 1,
      anon_sym_GT,
    STATE(14719), 1,
      sym_attribute,
    STATE(14729), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667298] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19808), 1,
      anon_sym_GT_RBRACE,
    STATE(14720), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667321] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19429), 1,
      sym__lowercase_identifier,
    STATE(9246), 1,
      sym_class_type_path,
    STATE(14721), 1,
      sym_attribute,
    STATE(16483), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667344] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11073), 1,
      sym__lowercase_identifier,
    STATE(14722), 1,
      sym_attribute,
    STATE(15944), 1,
      sym_type_constructor_path,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667367] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19810), 1,
      anon_sym_DOT,
    STATE(14723), 1,
      sym_attribute,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667390] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19812), 1,
      anon_sym_DOT,
    ACTIONS(19814), 1,
      aux_sym_type_variable_token1,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14724), 2,
      sym_attribute,
      aux_sym_constructor_declaration_repeat1,
  [667411] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19817), 1,
      anon_sym_GT_RBRACE,
    STATE(14725), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667434] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18400), 1,
      anon_sym_LPAREN,
    ACTIONS(18478), 1,
      sym__lowercase_identifier,
    STATE(14726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12841), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [667455] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19819), 1,
      anon_sym_RBRACK,
    ACTIONS(19821), 1,
      anon_sym_GT,
    STATE(14727), 1,
      sym_attribute,
    STATE(14745), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667478] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19823), 1,
      anon_sym_RBRACK,
    ACTIONS(19825), 1,
      anon_sym_GT,
    STATE(14728), 1,
      sym_attribute,
    STATE(14734), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667501] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19823), 1,
      anon_sym_RBRACK,
    ACTIONS(19825), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667524] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19819), 1,
      anon_sym_RBRACK,
    ACTIONS(19821), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667547] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19827), 1,
      anon_sym_GT_RBRACE,
    STATE(14731), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667570] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19829), 1,
      anon_sym_with,
    STATE(14732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667593] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17796), 1,
      sym__lowercase_identifier,
    ACTIONS(17800), 1,
      anon_sym_LBRACK,
    ACTIONS(17802), 1,
      anon_sym_virtual,
    STATE(12454), 1,
      sym_class_binding,
    STATE(14733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667616] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19831), 1,
      anon_sym_RBRACK,
    ACTIONS(19833), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667639] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19831), 1,
      anon_sym_RBRACK,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14735), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667662] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19835), 1,
      anon_sym_COLON_GT,
    ACTIONS(19837), 1,
      anon_sym_RPAREN,
    STATE(14736), 1,
      sym_attribute,
    STATE(16350), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667685] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18066), 1,
      sym__lowercase_identifier,
    ACTIONS(18068), 1,
      anon_sym_LBRACK,
    ACTIONS(18070), 1,
      anon_sym_virtual,
    STATE(12547), 1,
      sym_class_binding,
    STATE(14737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667708] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19841), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19839), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(14738), 2,
      sym_attribute,
      aux_sym__type_params_repeat1,
  [667727] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11073), 1,
      sym__lowercase_identifier,
    STATE(14739), 1,
      sym_attribute,
    STATE(16186), 1,
      sym_type_constructor_path,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667750] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19844), 1,
      anon_sym_GT_RBRACE,
    STATE(14740), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667773] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19846), 1,
      anon_sym_RBRACK,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14741), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667796] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18342), 1,
      sym__lowercase_identifier,
    STATE(5882), 1,
      sym_class_path,
    STATE(14742), 1,
      sym_attribute,
    STATE(18654), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667819] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19848), 1,
      anon_sym_RBRACK,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14743), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667842] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18620), 1,
      sym__lowercase_identifier,
    STATE(6020), 1,
      sym_class_path,
    STATE(14744), 1,
      sym_attribute,
    STATE(18145), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667865] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19850), 1,
      anon_sym_RBRACK,
    ACTIONS(19852), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667888] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19850), 1,
      anon_sym_RBRACK,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14746), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667911] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19437), 1,
      sym__lowercase_identifier,
    STATE(12125), 1,
      sym_class_type_path,
    STATE(14747), 1,
      sym_attribute,
    STATE(17294), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667934] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19854), 1,
      anon_sym_with,
    STATE(14748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667957] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19856), 1,
      anon_sym_COLON_GT,
    ACTIONS(19858), 1,
      anon_sym_RPAREN,
    STATE(14749), 1,
      sym_attribute,
    STATE(16553), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667980] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19429), 1,
      sym__lowercase_identifier,
    STATE(9350), 1,
      sym_class_type_path,
    STATE(14750), 1,
      sym_attribute,
    STATE(16483), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668003] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11073), 1,
      sym__lowercase_identifier,
    STATE(14751), 1,
      sym_attribute,
    STATE(14942), 1,
      sym_type_constructor_path,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668026] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19860), 1,
      anon_sym_RBRACK,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14752), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668049] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(14753), 1,
      sym_attribute,
    STATE(16659), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19862), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [668070] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19864), 1,
      anon_sym_COLON_GT,
    ACTIONS(19866), 1,
      anon_sym_RPAREN,
    STATE(14754), 1,
      sym_attribute,
    STATE(17245), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668093] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19868), 1,
      anon_sym_with,
    STATE(14755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668116] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11073), 1,
      sym__lowercase_identifier,
    STATE(14756), 1,
      sym_attribute,
    STATE(15847), 1,
      sym_type_constructor_path,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668139] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19870), 1,
      anon_sym_RBRACK,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14757), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668162] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19689), 1,
      sym__lowercase_identifier,
    STATE(9175), 1,
      sym_class_type_path,
    STATE(14758), 1,
      sym_attribute,
    STATE(16817), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668185] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11103), 1,
      sym__lowercase_identifier,
    STATE(13862), 1,
      sym_type_constructor_path,
    STATE(14759), 1,
      sym_attribute,
    STATE(16557), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668208] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9930), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19872), 1,
      anon_sym_GT,
    STATE(14323), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668231] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13715), 1,
      anon_sym_in,
    ACTIONS(19062), 1,
      anon_sym_and,
    ACTIONS(19064), 1,
      sym_let_and_operator,
    STATE(14761), 1,
      sym_attribute,
    STATE(14773), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668254] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18484), 1,
      sym__lowercase_identifier,
    STATE(7889), 1,
      sym_class_path,
    STATE(14762), 1,
      sym_attribute,
    STATE(18320), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668277] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19874), 1,
      anon_sym_with,
    STATE(14763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668300] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19206), 1,
      sym__lowercase_identifier,
    ACTIONS(19210), 1,
      anon_sym_mutable,
    ACTIONS(19876), 1,
      anon_sym_RBRACE,
    STATE(14764), 1,
      sym_attribute,
    STATE(16411), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668323] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19878), 1,
      anon_sym_with,
    STATE(14765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668346] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19212), 1,
      sym__lowercase_identifier,
    STATE(9385), 1,
      sym_class_type_path,
    STATE(14766), 1,
      sym_attribute,
    STATE(16701), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668369] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19212), 1,
      sym__lowercase_identifier,
    STATE(9363), 1,
      sym_class_type_path,
    STATE(14767), 1,
      sym_attribute,
    STATE(16701), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668392] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19212), 1,
      sym__lowercase_identifier,
    STATE(9346), 1,
      sym_class_type_path,
    STATE(14768), 1,
      sym_attribute,
    STATE(16701), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668415] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19880), 1,
      anon_sym_with,
    STATE(14769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668438] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10014), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19882), 1,
      anon_sym_GT,
    STATE(14770), 1,
      sym_attribute,
    STATE(14785), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668461] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19884), 1,
      anon_sym_COLON_GT,
    ACTIONS(19886), 1,
      anon_sym_RPAREN,
    STATE(14771), 1,
      sym_attribute,
    STATE(16427), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668484] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19888), 1,
      anon_sym_DOT,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14772), 1,
      sym_attribute,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668507] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13729), 1,
      anon_sym_in,
    ACTIONS(19890), 1,
      anon_sym_and,
    ACTIONS(19893), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14773), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
  [668528] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19896), 1,
      anon_sym_with,
    STATE(14774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668551] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19898), 1,
      anon_sym_DOT,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14775), 1,
      sym_attribute,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668574] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19900), 1,
      anon_sym_DOT,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14776), 1,
      sym_attribute,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668597] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19902), 1,
      anon_sym_RBRACK,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14777), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668620] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19904), 1,
      anon_sym_GT_RBRACE,
    STATE(14778), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668643] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19906), 1,
      anon_sym_with,
    STATE(14779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668666] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19908), 1,
      anon_sym_GT_RBRACE,
    STATE(14780), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668689] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(11682), 1,
      sym__lowercase_identifier,
    STATE(12991), 1,
      sym_type_constructor_path,
    STATE(14781), 1,
      sym_attribute,
    STATE(17286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668712] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18450), 1,
      sym__lowercase_identifier,
    STATE(7599), 1,
      sym_class_path,
    STATE(14782), 1,
      sym_attribute,
    STATE(17544), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668735] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19910), 1,
      anon_sym_with,
    STATE(14783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668758] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19912), 1,
      anon_sym_RBRACK,
    ACTIONS(19914), 1,
      anon_sym_GT,
    STATE(14784), 1,
      sym_attribute,
    STATE(14795), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668781] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19912), 1,
      anon_sym_RBRACK,
    ACTIONS(19914), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668804] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19916), 1,
      anon_sym_with,
    STATE(14786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668827] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19918), 1,
      anon_sym_COLON_GT,
    ACTIONS(19920), 1,
      anon_sym_RPAREN,
    STATE(14787), 1,
      sym_attribute,
    STATE(16816), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668850] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17548), 1,
      sym__lowercase_identifier,
    ACTIONS(17552), 1,
      anon_sym_LBRACK,
    ACTIONS(17554), 1,
      anon_sym_virtual,
    STATE(11753), 1,
      sym_class_binding,
    STATE(14788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668873] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19922), 1,
      anon_sym_with,
    STATE(14789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668896] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19429), 1,
      sym__lowercase_identifier,
    STATE(9268), 1,
      sym_class_type_path,
    STATE(14790), 1,
      sym_attribute,
    STATE(16483), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668919] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19924), 1,
      anon_sym_GT_RBRACE,
    STATE(14791), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668942] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19926), 1,
      anon_sym_with,
    STATE(14792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668965] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(19928), 1,
      anon_sym_GT_RBRACE,
    STATE(14793), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668988] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19930), 1,
      anon_sym_with,
    STATE(14794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669011] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19932), 1,
      anon_sym_RBRACK,
    ACTIONS(19934), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669034] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19932), 1,
      anon_sym_RBRACK,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14796), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669057] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18400), 1,
      anon_sym_LPAREN,
    ACTIONS(19936), 1,
      sym__lowercase_identifier,
    STATE(13169), 1,
      sym__value_name,
    STATE(13571), 1,
      sym_parenthesized_operator,
    STATE(14797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669080] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19938), 1,
      anon_sym_with,
    STATE(14798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669103] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19940), 1,
      anon_sym_with,
    STATE(14799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669126] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19942), 1,
      anon_sym_RBRACK,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14800), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669149] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19944), 1,
      sym__lowercase_identifier,
    STATE(7358), 1,
      sym_type_constructor_path,
    STATE(14801), 1,
      sym_attribute,
    STATE(16658), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669172] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19946), 1,
      anon_sym_with,
    STATE(14802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669195] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(19948), 1,
      anon_sym_RBRACK,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14803), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669218] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18640), 1,
      sym__lowercase_identifier,
    STATE(6499), 1,
      sym_class_path,
    STATE(14804), 1,
      sym_attribute,
    STATE(18185), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669241] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19950), 1,
      anon_sym_with,
    STATE(14805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669264] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19952), 1,
      anon_sym_COLON_GT,
    ACTIONS(19954), 1,
      anon_sym_RPAREN,
    STATE(14806), 1,
      sym_attribute,
    STATE(17345), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669287] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19573), 1,
      sym__lowercase_identifier,
    STATE(10439), 1,
      sym_class_type_path,
    STATE(14807), 1,
      sym_attribute,
    STATE(16546), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669310] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19956), 1,
      anon_sym_with,
    STATE(14808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669333] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19958), 1,
      anon_sym_RBRACK,
    ACTIONS(19960), 1,
      anon_sym_GT,
    STATE(14405), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12115), 1,
      anon_sym_and,
    STATE(14810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12113), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [669375] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19962), 1,
      anon_sym_with,
    STATE(14811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669398] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19964), 1,
      anon_sym_with,
    STATE(14812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669421] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19966), 1,
      anon_sym_COLON_GT,
    ACTIONS(19968), 1,
      anon_sym_RPAREN,
    STATE(14813), 1,
      sym_attribute,
    STATE(17304), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669444] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19970), 1,
      anon_sym_with,
    STATE(14814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669467] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(19972), 1,
      anon_sym_COLON_GT,
    ACTIONS(19974), 1,
      anon_sym_RPAREN,
    STATE(14815), 1,
      sym_attribute,
    STATE(16369), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669490] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19976), 1,
      aux_sym_attribute_id_token1,
    STATE(14816), 1,
      sym_attribute,
    STATE(14886), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8852), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [669511] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19763), 1,
      sym__lowercase_identifier,
    STATE(12755), 1,
      sym_class_type_path,
    STATE(14817), 1,
      sym_attribute,
    STATE(16834), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669534] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19978), 1,
      anon_sym_with,
    STATE(14818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669557] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17796), 1,
      sym__lowercase_identifier,
    ACTIONS(17800), 1,
      anon_sym_LBRACK,
    ACTIONS(17802), 1,
      anon_sym_virtual,
    STATE(11560), 1,
      sym_class_binding,
    STATE(14819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669580] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19980), 1,
      anon_sym_with,
    STATE(14820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669603] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19982), 1,
      anon_sym_with,
    STATE(14821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669626] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19984), 1,
      anon_sym_with,
    STATE(14822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669649] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13715), 1,
      anon_sym_in,
    ACTIONS(19062), 1,
      anon_sym_and,
    ACTIONS(19064), 1,
      sym_let_and_operator,
    STATE(14493), 1,
      aux_sym_value_definition_repeat1,
    STATE(14823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669672] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    ACTIONS(19986), 1,
      anon_sym_EQ,
    ACTIONS(19988), 1,
      anon_sym_RPAREN,
    STATE(14824), 1,
      sym_attribute,
    STATE(17277), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669695] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10016), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19990), 1,
      anon_sym_GT,
    STATE(14825), 1,
      sym_attribute,
    STATE(14840), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669718] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19992), 1,
      anon_sym_with,
    STATE(14826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669741] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19453), 1,
      sym__lowercase_identifier,
    STATE(13385), 1,
      sym_class_type_path,
    STATE(14827), 1,
      sym_attribute,
    STATE(16665), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669764] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19958), 1,
      anon_sym_RBRACK,
    ACTIONS(19960), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669787] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13233), 1,
      anon_sym_in,
    ACTIONS(16274), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14394), 1,
      aux_sym_expression_item_repeat1,
    STATE(14829), 1,
      sym_attribute,
    STATE(16070), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669810] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19994), 1,
      anon_sym_with,
    STATE(14830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669833] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19996), 1,
      anon_sym_DOT,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14831), 1,
      sym_attribute,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669856] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19998), 1,
      anon_sym_DOT,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14832), 1,
      sym_attribute,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669879] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(20000), 1,
      anon_sym_with,
    STATE(14833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669902] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(20002), 1,
      anon_sym_GT_RBRACE,
    STATE(14834), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669925] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(20004), 1,
      anon_sym_with,
    STATE(14835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669948] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9984), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(20006), 1,
      anon_sym_GT,
    STATE(14270), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669971] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13183), 1,
      anon_sym_in,
    ACTIONS(16274), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14510), 1,
      aux_sym_expression_item_repeat1,
    STATE(14837), 1,
      sym_attribute,
    STATE(16070), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669994] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(20008), 1,
      anon_sym_RBRACK,
    ACTIONS(20010), 1,
      anon_sym_GT,
    STATE(14838), 1,
      sym_attribute,
    STATE(14848), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670017] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(20012), 1,
      anon_sym_with,
    STATE(14839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670040] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(20008), 1,
      anon_sym_RBRACK,
    ACTIONS(20010), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670063] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(20014), 1,
      anon_sym_GT_RBRACE,
    STATE(14841), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670086] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(20016), 1,
      anon_sym_with,
    STATE(14842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670109] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(20018), 1,
      sym__lowercase_identifier,
    STATE(14843), 1,
      sym_attribute,
    STATE(17286), 1,
      sym_extended_module_path,
    STATE(19206), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670132] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19625), 1,
      sym__lowercase_identifier,
    STATE(9580), 1,
      sym_class_type_path,
    STATE(14844), 1,
      sym_attribute,
    STATE(16434), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670155] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(20020), 1,
      anon_sym_GT_RBRACE,
    STATE(14845), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670178] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(20022), 1,
      anon_sym_with,
    STATE(14846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670201] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(20024), 1,
      anon_sym_with,
    STATE(14847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670224] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(20026), 1,
      anon_sym_RBRACK,
    ACTIONS(20028), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670247] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(20026), 1,
      anon_sym_RBRACK,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14849), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670270] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(20030), 1,
      anon_sym_with,
    STATE(14850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670293] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20032), 1,
      anon_sym_DOT,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14851), 1,
      sym_attribute,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670316] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20034), 1,
      anon_sym_rec,
    STATE(14852), 1,
      sym_attribute,
    STATE(14936), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18202), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [670337] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(20036), 1,
      anon_sym_COLON_GT,
    ACTIONS(20038), 1,
      anon_sym_RPAREN,
    STATE(14853), 1,
      sym_attribute,
    STATE(16860), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670360] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(20040), 1,
      anon_sym_with,
    STATE(14854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670383] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(20042), 1,
      anon_sym_RBRACK,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14855), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670406] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20044), 1,
      anon_sym_DOT,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14856), 1,
      sym_attribute,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670429] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(20046), 1,
      anon_sym_with,
    STATE(14857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670452] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(19228), 1,
      sym__lowercase_identifier,
    STATE(9292), 1,
      sym_class_type_path,
    STATE(14858), 1,
      sym_attribute,
    STATE(16570), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670475] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(20048), 1,
      anon_sym_RBRACK,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14859), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670498] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20050), 1,
      sym__lowercase_identifier,
    ACTIONS(20052), 1,
      anon_sym_LPAREN,
    STATE(8761), 1,
      sym__value_name,
    STATE(8803), 1,
      sym_parenthesized_operator,
    STATE(14860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670521] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18178), 1,
      sym__lowercase_identifier,
    STATE(6541), 1,
      sym_class_path,
    STATE(14861), 1,
      sym_attribute,
    STATE(18225), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670544] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(20054), 1,
      anon_sym_with,
    STATE(14862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(20056), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12017), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    STATE(14863), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
  [670586] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(20059), 1,
      anon_sym_GT_RBRACE,
    STATE(14864), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670609] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(20061), 1,
      anon_sym_with,
    STATE(14865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670632] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(20063), 1,
      anon_sym_GT,
    STATE(14866), 1,
      sym_attribute,
    STATE(14884), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670655] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20065), 1,
      anon_sym_DOT,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14867), 1,
      sym_attribute,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670678] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(20067), 1,
      anon_sym_GT_RBRACE,
    STATE(14868), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670701] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(20069), 1,
      anon_sym_with,
    STATE(14869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670724] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9932), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(20071), 1,
      anon_sym_GT,
    STATE(14519), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670747] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20073), 1,
      sym__lowercase_identifier,
    STATE(14414), 1,
      aux_sym_method_specification_repeat1,
    STATE(14871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18683), 2,
      anon_sym_private,
      anon_sym_virtual,
  [670768] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(20075), 1,
      anon_sym_COLON_GT,
    ACTIONS(20077), 1,
      anon_sym_RPAREN,
    STATE(14872), 1,
      sym_attribute,
    STATE(17377), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670791] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(14873), 1,
      sym_attribute,
    STATE(16393), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20079), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [670812] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(14874), 1,
      sym_attribute,
    STATE(17371), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20081), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [670833] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(20083), 1,
      anon_sym_GT_RBRACE,
    STATE(14875), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670856] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20085), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18717), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(14876), 2,
      sym_attribute,
      aux_sym_instantiated_class_type_repeat1,
  [670875] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    STATE(14877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13301), 2,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [670896] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20088), 1,
      anon_sym_DOT,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14878), 1,
      sym_attribute,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670919] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_COLON2,
    ACTIONS(20090), 1,
      anon_sym_COLON_GT,
    ACTIONS(20092), 1,
      anon_sym_RPAREN,
    STATE(14879), 1,
      sym_attribute,
    STATE(17225), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670942] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(20094), 1,
      anon_sym_RBRACK,
    ACTIONS(20096), 1,
      anon_sym_GT,
    STATE(14354), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670965] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(19202), 1,
      sym__lowercase_identifier,
    STATE(14881), 1,
      sym_attribute,
    STATE(16403), 1,
      sym_extended_module_path,
    STATE(17176), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670988] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18148), 1,
      sym__lowercase_identifier,
    ACTIONS(18150), 1,
      anon_sym_LBRACK,
    ACTIONS(18152), 1,
      anon_sym_virtual,
    STATE(11779), 1,
      sym_class_binding,
    STATE(14882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671011] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(20098), 1,
      anon_sym_RBRACK,
    ACTIONS(20100), 1,
      anon_sym_GT,
    STATE(14883), 1,
      sym_attribute,
    STATE(14895), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671034] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(20098), 1,
      anon_sym_RBRACK,
    ACTIONS(20100), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671057] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(20102), 1,
      anon_sym_GT_RBRACE,
    STATE(14885), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671080] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19976), 1,
      aux_sym_attribute_id_token1,
    STATE(14640), 1,
      aux_sym_attribute_id_repeat1,
    STATE(14886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8779), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [671101] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(20094), 1,
      anon_sym_RBRACK,
    ACTIONS(20096), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671124] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(20104), 1,
      anon_sym_GT_RBRACE,
    STATE(14888), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671147] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(20106), 1,
      anon_sym_GT_RBRACE,
    STATE(14889), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671170] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18354), 1,
      sym__lowercase_identifier,
    STATE(3221), 1,
      sym_class_path,
    STATE(14890), 1,
      sym_attribute,
    STATE(18691), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671193] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(20108), 1,
      anon_sym_GT_RBRACE,
    STATE(14891), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671216] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16933), 1,
      anon_sym_STAR,
    STATE(14863), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(14892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13259), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [671237] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20110), 1,
      anon_sym_DOT,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14893), 1,
      sym_attribute,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671260] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    ACTIONS(20112), 1,
      anon_sym_GT_RBRACE,
    STATE(14894), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671283] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(20114), 1,
      anon_sym_RBRACK,
    ACTIONS(20116), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671306] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20118), 1,
      anon_sym_rec,
    STATE(12490), 1,
      sym_module_binding,
    STATE(14896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18158), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [671327] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(14897), 1,
      sym_attribute,
    STATE(14900), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671350] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    STATE(9179), 1,
      aux_sym_module_binding_repeat1,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(14898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671373] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(20114), 1,
      anon_sym_RBRACK,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14899), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671396] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(20120), 1,
      anon_sym_DASH_GT,
    STATE(9179), 1,
      aux_sym_module_binding_repeat1,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(14900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671419] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18400), 1,
      anon_sym_LPAREN,
    ACTIONS(18478), 1,
      sym__lowercase_identifier,
    STATE(14901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20215), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [671440] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    ACTIONS(20122), 1,
      sym__lowercase_identifier,
    STATE(8786), 1,
      sym_type_constructor_path,
    STATE(14902), 1,
      sym_attribute,
    STATE(16588), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671463] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20124), 1,
      anon_sym_DOT,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14903), 1,
      sym_attribute,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671486] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    ACTIONS(20126), 1,
      anon_sym_EQ,
    ACTIONS(20128), 1,
      anon_sym_RPAREN,
    STATE(14904), 1,
      sym_attribute,
    STATE(16448), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671509] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18192), 1,
      sym__lowercase_identifier,
    STATE(9449), 1,
      sym_class_path,
    STATE(14905), 1,
      sym_attribute,
    STATE(18265), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671532] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20130), 1,
      anon_sym_DOT,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14906), 1,
      sym_attribute,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671555] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20132), 1,
      anon_sym_rec,
    STATE(12071), 1,
      sym_module_binding,
    STATE(14907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18136), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [671576] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(13317), 1,
      anon_sym_DASH_GT,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(14908), 1,
      sym_attribute,
    STATE(14912), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671599] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(13317), 1,
      anon_sym_DASH_GT,
    STATE(9179), 1,
      aux_sym_module_binding_repeat1,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(14909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671622] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(20134), 1,
      anon_sym_RBRACK,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14910), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671645] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18280), 1,
      sym__lowercase_identifier,
    STATE(7111), 1,
      sym_class_path,
    STATE(14911), 1,
      sym_attribute,
    STATE(17650), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671668] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(20136), 1,
      anon_sym_DASH_GT,
    STATE(9179), 1,
      aux_sym_module_binding_repeat1,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(14912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671691] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    ACTIONS(20138), 1,
      anon_sym_EQ,
    ACTIONS(20140), 1,
      anon_sym_RPAREN,
    STATE(14913), 1,
      sym_attribute,
    STATE(16555), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671714] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(20142), 1,
      anon_sym_RBRACK,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14914), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671737] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(14915), 1,
      sym_attribute,
    STATE(17408), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20144), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [671758] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(19202), 1,
      sym__lowercase_identifier,
    STATE(14916), 1,
      sym_attribute,
    STATE(16403), 1,
      sym_extended_module_path,
    STATE(17405), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671781] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(18214), 1,
      sym__lowercase_identifier,
    STATE(5124), 1,
      sym_class_path,
    STATE(14917), 1,
      sym_attribute,
    STATE(19797), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671804] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(14340), 1,
      anon_sym_DASH_GT,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(14918), 1,
      sym_attribute,
    STATE(14921), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671827] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(14340), 1,
      anon_sym_DASH_GT,
    STATE(9179), 1,
      aux_sym_module_binding_repeat1,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(14919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671850] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20146), 1,
      anon_sym_DOT,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14920), 1,
      sym_attribute,
    STATE(17202), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671873] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    ACTIONS(20148), 1,
      anon_sym_DASH_GT,
    STATE(9179), 1,
      aux_sym_module_binding_repeat1,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(14921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671896] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18400), 1,
      anon_sym_LPAREN,
    ACTIONS(18478), 1,
      sym__lowercase_identifier,
    STATE(14922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20231), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [671917] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    ACTIONS(20150), 1,
      anon_sym_EQ,
    ACTIONS(20152), 1,
      anon_sym_RPAREN,
    STATE(14923), 1,
      sym_attribute,
    STATE(16453), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671940] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18400), 1,
      anon_sym_LPAREN,
    ACTIONS(18478), 1,
      sym__lowercase_identifier,
    STATE(14924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20233), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [671961] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PERCENT,
    STATE(14925), 1,
      sym_attribute,
    STATE(17413), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20154), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [671982] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(19202), 1,
      sym__lowercase_identifier,
    STATE(14926), 1,
      sym_attribute,
    STATE(16403), 1,
      sym_extended_module_path,
    STATE(17414), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672005] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12238), 1,
      sym__uppercase_identifier,
    ACTIONS(19202), 1,
      sym__lowercase_identifier,
    STATE(14927), 1,
      sym_attribute,
    STATE(16403), 1,
      sym_extended_module_path,
    STATE(16949), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672028] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    ACTIONS(20156), 1,
      anon_sym_RBRACK,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14928), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672051] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20158), 1,
      anon_sym_LPAREN,
    ACTIONS(20160), 1,
      anon_sym_LBRACK,
    ACTIONS(20162), 1,
      anon_sym_LBRACE,
    STATE(14929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672071] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19230), 1,
      anon_sym_RBRACK,
    STATE(14930), 1,
      sym_attribute,
    STATE(15114), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672091] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(20164), 1,
      anon_sym_RPAREN,
    STATE(14931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672111] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20166), 1,
      anon_sym_SEMI,
    STATE(14932), 1,
      sym_attribute,
    STATE(15559), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672131] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19146), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672151] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19146), 1,
      anon_sym_RBRACK,
    STATE(14934), 1,
      sym_attribute,
    STATE(14949), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672171] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(20168), 1,
      anon_sym_RPAREN,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(14935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672191] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14887), 1,
      anon_sym_in,
    ACTIONS(20170), 1,
      anon_sym_and,
    STATE(14936), 1,
      sym_attribute,
    STATE(14999), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672211] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14602), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14937), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672231] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18272), 1,
      anon_sym_RBRACE,
    ACTIONS(20172), 1,
      anon_sym_SEMI,
    STATE(14938), 1,
      sym_attribute,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672251] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20174), 1,
      anon_sym_RPAREN,
    STATE(14939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672271] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20176), 1,
      anon_sym_RPAREN,
    STATE(14940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672291] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19320), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20178), 1,
      anon_sym_SEMI,
    STATE(14941), 1,
      sym_attribute,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672311] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9971), 1,
      sym__type_equation,
    STATE(14942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20180), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [672329] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(20182), 1,
      anon_sym_RBRACK,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(14943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672349] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18472), 1,
      anon_sym_RBRACE,
    ACTIONS(20184), 1,
      anon_sym_SEMI,
    STATE(14944), 1,
      sym_attribute,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672369] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20186), 1,
      sym__lowercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    STATE(14945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672389] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14625), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14946), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672409] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18474), 1,
      anon_sym_RBRACE,
    ACTIONS(20190), 1,
      anon_sym_SEMI,
    STATE(14947), 1,
      sym_attribute,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672429] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14928), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14948), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672449] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19156), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672469] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20192), 1,
      anon_sym_RPAREN,
    STATE(14950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672489] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3289), 1,
      anon_sym_RBRACK,
    ACTIONS(20194), 1,
      anon_sym_SEMI,
    STATE(14951), 1,
      sym_attribute,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672509] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18360), 1,
      anon_sym_RBRACE,
    ACTIONS(20196), 1,
      anon_sym_SEMI,
    STATE(14952), 1,
      sym_attribute,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672529] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3351), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20198), 1,
      anon_sym_SEMI,
    STATE(14953), 1,
      sym_attribute,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672549] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(20200), 1,
      anon_sym_RPAREN,
    STATE(14954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672569] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(20202), 1,
      anon_sym_RPAREN,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(14955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672589] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20204), 1,
      anon_sym_SEMI,
    ACTIONS(20207), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14956), 2,
      sym_attribute,
      aux_sym_record_binding_pattern_repeat1,
  [672607] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19170), 1,
      anon_sym_RBRACK,
    STATE(14957), 1,
      sym_attribute,
    STATE(15095), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672627] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20209), 1,
      anon_sym_RPAREN,
    STATE(14958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672647] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19164), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672667] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(20211), 1,
      anon_sym_RPAREN,
    STATE(14960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672687] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18198), 1,
      anon_sym_RBRACE,
    ACTIONS(20213), 1,
      anon_sym_SEMI,
    STATE(14961), 1,
      sym_attribute,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672707] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19276), 1,
      anon_sym_RBRACK,
    STATE(14962), 1,
      sym_attribute,
    STATE(15033), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672727] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19276), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672747] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20215), 1,
      anon_sym_EQ,
    STATE(14964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672767] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13), 1,
      sym_attribute_id,
    STATE(14965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [672785] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19170), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672805] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19359), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20219), 1,
      anon_sym_SEMI,
    STATE(14967), 1,
      sym_attribute,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672825] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19405), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672845] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20221), 1,
      anon_sym_RPAREN,
    STATE(14969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672865] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20223), 1,
      aux_sym_quoted_extension_token1,
    STATE(14970), 1,
      sym_attribute,
    STATE(19803), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672885] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11495), 1,
      anon_sym_GT,
    ACTIONS(20225), 1,
      anon_sym_SEMI,
    STATE(14971), 1,
      sym_attribute,
    STATE(14988), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672905] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11370), 1,
      sym_module_binding,
    STATE(14972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17602), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [672923] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11535), 1,
      anon_sym_GT,
    ACTIONS(20227), 1,
      anon_sym_SEMI,
    STATE(14973), 1,
      sym_attribute,
    STATE(14988), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672943] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18482), 1,
      anon_sym_RBRACE,
    ACTIONS(20229), 1,
      anon_sym_SEMI,
    STATE(14974), 1,
      sym_attribute,
    STATE(15105), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672963] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18366), 1,
      anon_sym_RBRACE,
    ACTIONS(20231), 1,
      anon_sym_SEMI,
    STATE(14975), 1,
      sym_attribute,
    STATE(15055), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672983] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20233), 1,
      anon_sym_EQ,
    STATE(14976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673003] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5), 1,
      sym_attribute_id,
    STATE(14977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [673021] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(20235), 1,
      anon_sym_RPAREN,
    STATE(14978), 1,
      sym_attribute,
    STATE(19858), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673041] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(14979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20237), 3,
      anon_sym_private,
      anon_sym_virtual,
      sym__lowercase_identifier,
  [673057] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20239), 1,
      anon_sym_RPAREN,
    STATE(14980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673077] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18274), 1,
      anon_sym_RBRACE,
    ACTIONS(20241), 1,
      anon_sym_SEMI,
    STATE(14981), 1,
      sym_attribute,
    STATE(15028), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673097] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20243), 1,
      anon_sym_SEMI,
    ACTIONS(20245), 1,
      anon_sym_RBRACE,
    STATE(14982), 1,
      sym_attribute,
    STATE(14997), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673117] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3291), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20247), 1,
      anon_sym_SEMI,
    STATE(14983), 1,
      sym_attribute,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673137] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18368), 1,
      anon_sym_RBRACE,
    ACTIONS(20249), 1,
      anon_sym_SEMI,
    STATE(14984), 1,
      sym_attribute,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673157] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18486), 1,
      anon_sym_RBRACE,
    ACTIONS(20251), 1,
      anon_sym_SEMI,
    STATE(14985), 1,
      sym_attribute,
    STATE(15084), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673177] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(20253), 1,
      anon_sym_RPAREN,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(14986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673197] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14379), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14987), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673217] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17668), 1,
      anon_sym_GT,
    ACTIONS(20255), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14988), 2,
      sym_attribute,
      aux_sym_object_type_repeat1,
  [673235] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(20258), 1,
      anon_sym_RBRACK,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(14989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673255] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20260), 1,
      anon_sym_SEMI,
    ACTIONS(20262), 1,
      anon_sym_GT_RBRACE,
    STATE(14990), 1,
      sym_attribute,
    STATE(15002), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673275] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14777), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14991), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673295] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14326), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14992), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673315] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(20264), 1,
      sym__lowercase_identifier,
    STATE(14993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673335] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(20266), 1,
      sym__lowercase_identifier,
    STATE(14994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673355] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3457), 1,
      anon_sym_RBRACK,
    ACTIONS(20268), 1,
      anon_sym_SEMI,
    STATE(14995), 1,
      sym_attribute,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673375] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7988), 1,
      anon_sym_RBRACK,
    ACTIONS(20270), 1,
      anon_sym_SEMI,
    STATE(14996), 1,
      sym_attribute,
    STATE(16066), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673395] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18370), 1,
      anon_sym_RBRACE,
    ACTIONS(20272), 1,
      anon_sym_SEMI,
    STATE(14997), 1,
      sym_attribute,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673415] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3459), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20274), 1,
      anon_sym_SEMI,
    STATE(14998), 1,
      sym_attribute,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673435] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14893), 1,
      anon_sym_in,
    ACTIONS(20170), 1,
      anon_sym_and,
    STATE(14999), 1,
      sym_attribute,
    STATE(15219), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673455] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20276), 1,
      anon_sym_SEMI,
    ACTIONS(20278), 1,
      anon_sym_RBRACE,
    STATE(15000), 1,
      sym_attribute,
    STATE(15027), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673475] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19208), 1,
      anon_sym_RBRACE,
    ACTIONS(20280), 1,
      anon_sym_SEMI,
    STATE(15001), 1,
      sym_attribute,
    STATE(15607), 1,
      aux_sym_record_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673495] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19316), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20282), 1,
      anon_sym_SEMI,
    STATE(15002), 1,
      sym_attribute,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673515] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(20284), 1,
      anon_sym_RPAREN,
    STATE(15003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673535] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(14), 1,
      sym_attribute_id,
    STATE(15004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [673553] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13058), 1,
      sym__type_equation,
    STATE(15005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20286), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [673571] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20288), 1,
      anon_sym_SEMI,
    ACTIONS(20290), 1,
      anon_sym_GT_RBRACE,
    STATE(15006), 1,
      sym_attribute,
    STATE(15035), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673591] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20292), 1,
      aux_sym_quoted_extension_token1,
    STATE(15007), 1,
      sym_attribute,
    STATE(17665), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673611] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(20294), 1,
      anon_sym_RPAREN,
    STATE(15008), 1,
      sym_attribute,
    STATE(17813), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673631] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20296), 1,
      anon_sym_RPAREN,
    STATE(15009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673651] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20298), 1,
      anon_sym_SEMI,
    ACTIONS(20301), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15010), 2,
      sym_attribute,
      aux_sym_record_expression_repeat1,
  [673669] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18372), 1,
      anon_sym_RBRACE,
    ACTIONS(20303), 1,
      anon_sym_SEMI,
    STATE(15011), 1,
      sym_attribute,
    STATE(15024), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673689] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20305), 1,
      anon_sym_SEMI,
    ACTIONS(20307), 1,
      anon_sym_GT_RBRACE,
    STATE(15012), 1,
      sym_attribute,
    STATE(15382), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673709] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20309), 1,
      anon_sym_EQ,
    STATE(15013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673729] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(20311), 1,
      sym__lowercase_identifier,
    STATE(15014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673749] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20313), 1,
      anon_sym_RPAREN,
    STATE(15015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673769] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3707), 1,
      anon_sym_RBRACK,
    ACTIONS(20315), 1,
      anon_sym_SEMI,
    STATE(15016), 1,
      sym_attribute,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673789] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20317), 1,
      anon_sym_RPAREN,
    STATE(15017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673809] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(20319), 1,
      sym__lowercase_identifier,
    STATE(15018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673829] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9856), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    STATE(15019), 1,
      sym_attribute,
    STATE(15046), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673849] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20321), 1,
      anon_sym_RPAREN,
    STATE(15020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673869] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20323), 1,
      anon_sym_RPAREN,
    STATE(15021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673889] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17454), 1,
      anon_sym_SEMI,
    ACTIONS(17456), 1,
      anon_sym_GT,
    STATE(15022), 1,
      sym_attribute,
    STATE(15049), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673909] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(20325), 1,
      anon_sym_RPAREN,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673929] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18374), 1,
      anon_sym_RBRACE,
    ACTIONS(20327), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673949] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14571), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15025), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673969] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(20329), 1,
      anon_sym_RPAREN,
    STATE(15026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673989] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18488), 1,
      anon_sym_RBRACE,
    ACTIONS(20331), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674009] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18276), 1,
      anon_sym_RBRACE,
    ACTIONS(20333), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674029] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14606), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15029), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674049] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14638), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15030), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674069] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17716), 1,
      anon_sym_RBRACE,
    ACTIONS(20335), 1,
      anon_sym_SEMI,
    STATE(15031), 1,
      sym_attribute,
    STATE(16279), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674089] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3709), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20337), 1,
      anon_sym_SEMI,
    STATE(15032), 1,
      sym_attribute,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674109] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19351), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674129] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19351), 1,
      anon_sym_RBRACK,
    STATE(15034), 1,
      sym_attribute,
    STATE(15069), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674149] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19234), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20339), 1,
      anon_sym_SEMI,
    STATE(15035), 1,
      sym_attribute,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674169] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(20341), 1,
      anon_sym_RPAREN,
    STATE(15036), 1,
      sym_attribute,
    STATE(19466), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674189] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20343), 1,
      anon_sym_COMMA,
    ACTIONS(20345), 1,
      anon_sym_RBRACK,
    STATE(14738), 1,
      aux_sym__type_params_repeat1,
    STATE(15037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674209] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15), 1,
      sym_attribute_id,
    STATE(15038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [674227] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      anon_sym_RPAREN,
    STATE(15039), 1,
      sym_attribute,
    STATE(19007), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674247] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7990), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20349), 1,
      anon_sym_SEMI,
    STATE(15040), 1,
      sym_attribute,
    STATE(15559), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674267] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20351), 1,
      anon_sym_RPAREN,
    STATE(15041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674287] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(20353), 1,
      anon_sym_RBRACK,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674307] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20355), 1,
      aux_sym_quoted_extension_token1,
    STATE(15043), 1,
      sym_attribute,
    STATE(18865), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674327] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(20357), 1,
      anon_sym_RPAREN,
    STATE(15044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674347] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19240), 1,
      anon_sym_RBRACK,
    STATE(15045), 1,
      sym_attribute,
    STATE(15067), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674367] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19240), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674387] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20359), 1,
      anon_sym_RPAREN,
    STATE(15047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674407] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20361), 1,
      anon_sym_RPAREN,
    STATE(15048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674427] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11623), 1,
      anon_sym_GT,
    ACTIONS(20363), 1,
      anon_sym_SEMI,
    STATE(14988), 1,
      aux_sym_object_type_repeat1,
    STATE(15049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674447] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18490), 1,
      anon_sym_RBRACE,
    ACTIONS(20365), 1,
      anon_sym_SEMI,
    STATE(15050), 1,
      sym_attribute,
    STATE(15073), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674467] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(20367), 1,
      anon_sym_RPAREN,
    STATE(15051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674487] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20369), 1,
      anon_sym_EQ,
    STATE(15052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674507] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8548), 1,
      anon_sym_RBRACK,
    ACTIONS(20371), 1,
      anon_sym_SEMI,
    STATE(15053), 1,
      sym_attribute,
    STATE(15092), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674527] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3665), 1,
      anon_sym_RBRACK,
    ACTIONS(20373), 1,
      anon_sym_SEMI,
    STATE(15054), 1,
      sym_attribute,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674547] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18380), 1,
      anon_sym_RBRACE,
    ACTIONS(20375), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674567] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17846), 1,
      anon_sym_RBRACE,
    ACTIONS(20377), 1,
      anon_sym_SEMI,
    STATE(14956), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(15056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674587] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20379), 1,
      anon_sym_SEMI,
    ACTIONS(20381), 1,
      anon_sym_RBRACE,
    STATE(15057), 1,
      sym_attribute,
    STATE(15079), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674607] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(20383), 1,
      sym__lowercase_identifier,
    STATE(15058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674627] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(20385), 1,
      anon_sym_RPAREN,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674647] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14422), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15060), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674667] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(20387), 1,
      anon_sym_RPAREN,
    STATE(15061), 1,
      sym_attribute,
    STATE(19134), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674687] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20389), 1,
      anon_sym_RPAREN,
    STATE(15062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674707] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(20391), 1,
      anon_sym_RPAREN,
    STATE(15063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674727] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14431), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15064), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674747] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14443), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15065), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674767] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20393), 1,
      anon_sym_SEMI,
    ACTIONS(20395), 1,
      anon_sym_GT_RBRACE,
    STATE(15066), 1,
      sym_attribute,
    STATE(15090), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674787] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19262), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674807] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19262), 1,
      anon_sym_RBRACK,
    STATE(15068), 1,
      sym_attribute,
    STATE(15077), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674827] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19375), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674847] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20397), 1,
      sym__lowercase_identifier,
    ACTIONS(20399), 1,
      anon_sym_LPAREN,
    STATE(7490), 1,
      sym__simple_value_pattern,
    STATE(15070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674867] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20401), 1,
      anon_sym_RPAREN,
    STATE(15071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674887] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3469), 1,
      anon_sym_RBRACK,
    ACTIONS(20403), 1,
      anon_sym_SEMI,
    STATE(15072), 1,
      sym_attribute,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674907] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18492), 1,
      anon_sym_RBRACE,
    ACTIONS(20405), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674927] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20407), 1,
      anon_sym_SEMI,
    ACTIONS(20409), 1,
      anon_sym_RBRACE,
    STATE(15074), 1,
      sym_attribute,
    STATE(15631), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674947] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16), 1,
      sym_attribute_id,
    STATE(15075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [674965] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20411), 1,
      aux_sym_quoted_extension_token1,
    STATE(15076), 1,
      sym_attribute,
    STATE(18760), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674985] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19270), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675005] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8556), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20413), 1,
      anon_sym_SEMI,
    STATE(15078), 1,
      sym_attribute,
    STATE(15561), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675025] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18382), 1,
      anon_sym_RBRACE,
    ACTIONS(20415), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675045] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19206), 1,
      sym__lowercase_identifier,
    ACTIONS(19210), 1,
      anon_sym_mutable,
    STATE(15080), 1,
      sym_attribute,
    STATE(16411), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675065] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20343), 1,
      anon_sym_COMMA,
    ACTIONS(20345), 1,
      anon_sym_RBRACK,
    STATE(15081), 1,
      sym_attribute,
    STATE(15863), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675085] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20417), 1,
      anon_sym_EQ,
    STATE(15082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675105] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20419), 1,
      anon_sym_EQ,
    STATE(15083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675125] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_RBRACE,
    ACTIONS(20421), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675145] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19385), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20423), 1,
      anon_sym_SEMI,
    STATE(15085), 1,
      sym_attribute,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675165] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3471), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20425), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      sym_attribute,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675185] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20427), 1,
      anon_sym_RPAREN,
    STATE(15087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675205] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      sym__lowercase_identifier,
    STATE(15088), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__instance_variable_name,
    STATE(16810), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675225] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(20429), 1,
      anon_sym_RPAREN,
    STATE(15089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675245] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19387), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20431), 1,
      anon_sym_SEMI,
    STATE(15090), 1,
      sym_attribute,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675265] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20433), 1,
      anon_sym_RPAREN,
    STATE(15091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675285] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18170), 1,
      anon_sym_RBRACK,
    ACTIONS(20435), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15092), 2,
      sym_attribute,
      aux_sym_list_binding_pattern_repeat1,
  [675303] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20438), 1,
      anon_sym_RPAREN,
    STATE(15093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675323] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18386), 1,
      anon_sym_RBRACE,
    ACTIONS(20440), 1,
      anon_sym_SEMI,
    STATE(15094), 1,
      sym_attribute,
    STATE(15110), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675343] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19287), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675363] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(20442), 1,
      anon_sym_RPAREN,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675383] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19287), 1,
      anon_sym_RBRACK,
    STATE(15097), 1,
      sym_attribute,
    STATE(15126), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675403] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14600), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15098), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675423] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10006), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    STATE(15099), 1,
      sym_attribute,
    STATE(15762), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675443] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20444), 1,
      anon_sym_SEMI,
    ACTIONS(20446), 1,
      anon_sym_RBRACE,
    STATE(15100), 1,
      sym_attribute,
    STATE(15134), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675463] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20448), 1,
      anon_sym_RPAREN,
    STATE(15101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675483] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14607), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15102), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675503] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14609), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15103), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675523] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(20450), 1,
      sym__lowercase_identifier,
    STATE(15104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675543] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18496), 1,
      anon_sym_RBRACE,
    ACTIONS(20452), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675563] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20454), 1,
      anon_sym_RPAREN,
    STATE(15106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675583] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(20456), 1,
      anon_sym_RPAREN,
    STATE(15107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675603] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(20458), 1,
      anon_sym_RPAREN,
    STATE(15108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675623] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17), 1,
      sym_attribute_id,
    STATE(15109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [675641] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18388), 1,
      anon_sym_RBRACE,
    ACTIONS(20460), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675661] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19425), 1,
      anon_sym_RBRACK,
    STATE(15111), 1,
      sym_attribute,
    STATE(15271), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675681] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19425), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675701] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20462), 1,
      aux_sym_quoted_extension_token1,
    STATE(15113), 1,
      sym_attribute,
    STATE(19936), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675721] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19409), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675741] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20464), 1,
      anon_sym_SEMI,
    ACTIONS(20466), 1,
      anon_sym_RBRACE,
    STATE(15115), 1,
      sym_attribute,
    STATE(15179), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675761] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19258), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675781] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3383), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20468), 1,
      anon_sym_SEMI,
    STATE(15117), 1,
      sym_attribute,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675801] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20470), 1,
      anon_sym_EQ,
    STATE(15118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675821] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20472), 1,
      anon_sym_RPAREN,
    STATE(15119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675841] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20474), 1,
      anon_sym_SEMI,
    ACTIONS(20476), 1,
      anon_sym_GT_RBRACE,
    STATE(15120), 1,
      sym_attribute,
    STATE(15166), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675861] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11267), 1,
      anon_sym_GT,
    ACTIONS(20478), 1,
      anon_sym_SEMI,
    STATE(14988), 1,
      aux_sym_object_type_repeat1,
    STATE(15121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675881] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20480), 1,
      anon_sym_EQ,
    STATE(15122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675901] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(20482), 1,
      anon_sym_RPAREN,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675921] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19206), 1,
      sym__lowercase_identifier,
    ACTIONS(19210), 1,
      anon_sym_mutable,
    STATE(15124), 1,
      sym_attribute,
    STATE(15897), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675941] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14746), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15125), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675961] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19314), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675981] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18282), 1,
      anon_sym_RBRACE,
    ACTIONS(20484), 1,
      anon_sym_SEMI,
    STATE(15127), 1,
      sym_attribute,
    STATE(15304), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676001] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20486), 1,
      anon_sym_SEMI,
    ACTIONS(20488), 1,
      anon_sym_GT_RBRACE,
    STATE(15128), 1,
      sym_attribute,
    STATE(15206), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676021] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14752), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15129), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676041] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14757), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15130), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676061] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20490), 1,
      anon_sym_SEMI,
    ACTIONS(20492), 1,
      anon_sym_RBRACE,
    STATE(15131), 1,
      sym_attribute,
    STATE(15148), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676081] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3371), 1,
      anon_sym_RBRACK,
    ACTIONS(20494), 1,
      anon_sym_SEMI,
    STATE(15132), 1,
      sym_attribute,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676101] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18204), 1,
      anon_sym_RBRACE,
    ACTIONS(20496), 1,
      anon_sym_SEMI,
    STATE(15133), 1,
      sym_attribute,
    STATE(15278), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676121] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18284), 1,
      anon_sym_RBRACE,
    ACTIONS(20498), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676141] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20500), 1,
      anon_sym_SEMI,
    ACTIONS(20502), 1,
      anon_sym_GT_RBRACE,
    STATE(15135), 1,
      sym_attribute,
    STATE(15157), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676161] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(18), 1,
      sym_attribute_id,
    STATE(15136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [676179] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20504), 1,
      aux_sym_quoted_extension_token1,
    STATE(15137), 1,
      sym_attribute,
    STATE(19526), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676199] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3721), 1,
      anon_sym_RBRACK,
    ACTIONS(20506), 1,
      anon_sym_SEMI,
    STATE(15138), 1,
      sym_attribute,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676219] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20508), 1,
      anon_sym_SEMI,
    ACTIONS(20510), 1,
      anon_sym_RBRACE,
    STATE(15139), 1,
      sym_attribute,
    STATE(15156), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676239] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20512), 1,
      anon_sym_SEMI,
    ACTIONS(20514), 1,
      anon_sym_RBRACE,
    STATE(15140), 1,
      sym_attribute,
    STATE(15218), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676259] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9896), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    STATE(15141), 1,
      sym_attribute,
    STATE(15164), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676279] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3373), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20516), 1,
      anon_sym_SEMI,
    STATE(15142), 1,
      sym_attribute,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676299] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20518), 1,
      anon_sym_SEMI,
    ACTIONS(20520), 1,
      anon_sym_GT_RBRACE,
    STATE(15143), 1,
      sym_attribute,
    STATE(15165), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676319] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17446), 1,
      anon_sym_SEMI,
    ACTIONS(17448), 1,
      anon_sym_GT,
    STATE(15144), 1,
      sym_attribute,
    STATE(15169), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676339] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12101), 1,
      sym_module_binding,
    STATE(15145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17602), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [676357] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17522), 1,
      anon_sym_SEMI,
    ACTIONS(17524), 1,
      anon_sym_GT,
    STATE(15146), 1,
      sym_attribute,
    STATE(15791), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676377] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3481), 1,
      anon_sym_RBRACK,
    ACTIONS(20522), 1,
      anon_sym_SEMI,
    STATE(15147), 1,
      sym_attribute,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676397] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18505), 1,
      anon_sym_RBRACE,
    ACTIONS(20524), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676417] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8201), 1,
      sym_attribute_id,
    STATE(15149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20526), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [676435] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(20528), 1,
      anon_sym_RPAREN,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676455] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3723), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20530), 1,
      anon_sym_SEMI,
    STATE(15151), 1,
      sym_attribute,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676475] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14899), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15152), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676495] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3313), 1,
      anon_sym_RBRACK,
    ACTIONS(20532), 1,
      anon_sym_SEMI,
    STATE(15153), 1,
      sym_attribute,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676515] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14910), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15154), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676535] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14914), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15155), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676555] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18398), 1,
      anon_sym_RBRACE,
    ACTIONS(20534), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676575] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19340), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20536), 1,
      anon_sym_SEMI,
    STATE(15157), 1,
      sym_attribute,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676595] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3483), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20538), 1,
      anon_sym_SEMI,
    STATE(15158), 1,
      sym_attribute,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676615] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20540), 1,
      anon_sym_RPAREN,
    STATE(15159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676635] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3277), 1,
      anon_sym_RBRACK,
    ACTIONS(20542), 1,
      anon_sym_SEMI,
    STATE(15160), 1,
      sym_attribute,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676655] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(19), 1,
      sym_attribute_id,
    STATE(15161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [676673] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(20544), 1,
      anon_sym_RPAREN,
    STATE(15162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676693] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19347), 1,
      anon_sym_RBRACK,
    STATE(15163), 1,
      sym_attribute,
    STATE(15180), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676713] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19347), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676733] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19471), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20546), 1,
      anon_sym_SEMI,
    STATE(15165), 1,
      sym_attribute,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676753] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19495), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20548), 1,
      anon_sym_SEMI,
    STATE(15166), 1,
      sym_attribute,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676773] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20550), 1,
      anon_sym_RPAREN,
    STATE(15167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676793] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20552), 1,
      aux_sym_quoted_extension_token1,
    STATE(15168), 1,
      sym_attribute,
    STATE(17663), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676813] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11427), 1,
      anon_sym_GT,
    ACTIONS(20554), 1,
      anon_sym_SEMI,
    STATE(14988), 1,
      aux_sym_object_type_repeat1,
    STATE(15169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676833] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18509), 1,
      anon_sym_RBRACE,
    ACTIONS(20556), 1,
      anon_sym_SEMI,
    STATE(15170), 1,
      sym_attribute,
    STATE(15191), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676853] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20558), 1,
      anon_sym_RPAREN,
    STATE(15171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676873] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12017), 1,
      anon_sym_DASH_GT,
    ACTIONS(20560), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15172), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
  [676891] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18402), 1,
      anon_sym_RBRACE,
    ACTIONS(20563), 1,
      anon_sym_SEMI,
    STATE(15173), 1,
      sym_attribute,
    STATE(15188), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676911] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(20565), 1,
      sym__lowercase_identifier,
    STATE(15174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676931] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(20567), 1,
      sym__lowercase_identifier,
    STATE(15175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676951] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18286), 1,
      anon_sym_RBRACE,
    ACTIONS(20569), 1,
      anon_sym_SEMI,
    STATE(15176), 1,
      sym_attribute,
    STATE(15200), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676971] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20571), 1,
      anon_sym_RPAREN,
    STATE(15177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676991] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(20573), 1,
      anon_sym_RPAREN,
    STATE(15178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677011] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18226), 1,
      anon_sym_RBRACE,
    ACTIONS(20575), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677031] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19361), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677051] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19361), 1,
      anon_sym_RBRACK,
    STATE(15181), 1,
      sym_attribute,
    STATE(15192), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677071] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(20577), 1,
      anon_sym_RPAREN,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677091] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(20579), 1,
      sym__lowercase_identifier,
    STATE(15183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677111] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14308), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15184), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677131] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20581), 1,
      anon_sym_RPAREN,
    STATE(15185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677151] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20583), 1,
      anon_sym_RPAREN,
    STATE(15186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677171] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20585), 1,
      anon_sym_RPAREN,
    STATE(15187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677191] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18404), 1,
      anon_sym_RBRACE,
    ACTIONS(20587), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677211] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14311), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15189), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677231] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14314), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15190), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677251] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18517), 1,
      anon_sym_RBRACE,
    ACTIONS(20589), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677271] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19367), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677291] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(20591), 1,
      sym__lowercase_identifier,
    STATE(15193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677311] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(20), 1,
      sym_attribute_id,
    STATE(15194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [677329] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20593), 1,
      anon_sym_RPAREN,
    STATE(15195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677349] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15196), 1,
      sym_attribute,
    STATE(15456), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [677367] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20597), 1,
      aux_sym_quoted_extension_token1,
    STATE(15197), 1,
      sym_attribute,
    STATE(18743), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677387] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20599), 1,
      anon_sym_EQ,
    STATE(15198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677407] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3315), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20601), 1,
      anon_sym_SEMI,
    STATE(15199), 1,
      sym_attribute,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677427] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18288), 1,
      anon_sym_RBRACE,
    ACTIONS(20603), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677447] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20343), 1,
      anon_sym_COMMA,
    ACTIONS(20605), 1,
      anon_sym_RBRACK,
    STATE(14738), 1,
      aux_sym__type_params_repeat1,
    STATE(15201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677467] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20607), 1,
      aux_sym_quoted_extension_token1,
    STATE(15202), 1,
      sym_attribute,
    STATE(18125), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677487] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8540), 1,
      anon_sym_RBRACK,
    ACTIONS(20609), 1,
      anon_sym_SEMI,
    STATE(15092), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677507] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(20611), 1,
      anon_sym_RPAREN,
    STATE(15204), 1,
      sym_attribute,
    STATE(20152), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677527] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3915), 1,
      anon_sym_RBRACK,
    ACTIONS(20613), 1,
      anon_sym_SEMI,
    STATE(15205), 1,
      sym_attribute,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677547] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19533), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20615), 1,
      anon_sym_SEMI,
    STATE(15206), 1,
      sym_attribute,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677567] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18292), 1,
      anon_sym_RBRACE,
    ACTIONS(20617), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677587] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(44), 1,
      sym_attribute_id,
    STATE(15208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [677605] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20619), 1,
      sym__lowercase_identifier,
    ACTIONS(20621), 1,
      anon_sym_LPAREN,
    STATE(7902), 1,
      sym__simple_value_pattern,
    STATE(15209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677625] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(20623), 1,
      sym__lowercase_identifier,
    STATE(15210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677645] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20625), 1,
      anon_sym_SEMI,
    ACTIONS(20627), 1,
      anon_sym_RBRACE,
    STATE(15211), 1,
      sym_attribute,
    STATE(15224), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677665] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(20629), 1,
      anon_sym_RPAREN,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677685] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20631), 1,
      anon_sym_RPAREN,
    STATE(15213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20633), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [677703] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14371), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15214), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677723] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14373), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15215), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677743] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14375), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15216), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677763] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(21), 1,
      sym_attribute_id,
    STATE(15217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [677781] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17666), 1,
      anon_sym_RBRACE,
    ACTIONS(20635), 1,
      anon_sym_SEMI,
    STATE(14956), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(15218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677801] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14093), 1,
      anon_sym_in,
    ACTIONS(20637), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15219), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
  [677819] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      anon_sym_SEMI,
    ACTIONS(20642), 1,
      anon_sym_GT_RBRACE,
    STATE(15220), 1,
      sym_attribute,
    STATE(15237), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677839] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20644), 1,
      aux_sym_quoted_extension_token1,
    STATE(15221), 1,
      sym_attribute,
    STATE(19914), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677859] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3493), 1,
      anon_sym_RBRACK,
    ACTIONS(20646), 1,
      anon_sym_SEMI,
    STATE(15222), 1,
      sym_attribute,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677879] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14893), 1,
      anon_sym_in,
    ACTIONS(20170), 1,
      anon_sym_and,
    STATE(15223), 1,
      sym_attribute,
    STATE(15547), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677899] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18412), 1,
      anon_sym_RBRACE,
    ACTIONS(20648), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677919] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(20650), 1,
      anon_sym_RPAREN,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677939] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20652), 1,
      anon_sym_RPAREN,
    STATE(15226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677959] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14425), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15227), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677979] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20654), 1,
      anon_sym_EQ,
    STATE(15228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20656), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [677997] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3495), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20658), 1,
      anon_sym_SEMI,
    STATE(15229), 1,
      sym_attribute,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678017] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(20660), 1,
      anon_sym_RPAREN,
    STATE(15230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678037] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14428), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15231), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678057] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14430), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15232), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678077] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(22), 1,
      sym_attribute_id,
    STATE(15233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [678095] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20662), 1,
      anon_sym_SEMI,
    ACTIONS(20664), 1,
      anon_sym_RBRACE,
    STATE(15234), 1,
      sym_attribute,
    STATE(15254), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678115] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20666), 1,
      anon_sym_RPAREN,
    STATE(15235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678135] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20668), 1,
      aux_sym_quoted_extension_token1,
    STATE(15236), 1,
      sym_attribute,
    STATE(17617), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678155] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19525), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20670), 1,
      anon_sym_SEMI,
    STATE(15237), 1,
      sym_attribute,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678175] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20672), 1,
      anon_sym_SEMI,
    ACTIONS(20674), 1,
      anon_sym_RBRACE,
    STATE(15238), 1,
      sym_attribute,
    STATE(15371), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678195] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20676), 1,
      anon_sym_SEMI,
    ACTIONS(20678), 1,
      anon_sym_GT_RBRACE,
    STATE(15239), 1,
      sym_attribute,
    STATE(15260), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678215] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10971), 1,
      sym_attribute_id,
    STATE(15240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20680), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [678233] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(20682), 1,
      anon_sym_RPAREN,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678253] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14473), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15242), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678273] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3733), 1,
      anon_sym_RBRACK,
    ACTIONS(20684), 1,
      anon_sym_SEMI,
    STATE(15243), 1,
      sym_attribute,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678293] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20686), 1,
      anon_sym_RPAREN,
    STATE(15244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678313] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14476), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15245), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678333] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14480), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15246), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678353] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(23), 1,
      sym_attribute_id,
    STATE(15247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [678371] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9922), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    STATE(15248), 1,
      sym_attribute,
    STATE(15269), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678391] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18414), 1,
      anon_sym_RBRACE,
    ACTIONS(20688), 1,
      anon_sym_SEMI,
    STATE(15249), 1,
      sym_attribute,
    STATE(15270), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678411] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20690), 1,
      anon_sym_RPAREN,
    STATE(15250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678431] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20692), 1,
      aux_sym_quoted_extension_token1,
    STATE(15251), 1,
      sym_attribute,
    STATE(17908), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678451] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17476), 1,
      anon_sym_SEMI,
    ACTIONS(17478), 1,
      anon_sym_GT,
    STATE(15252), 1,
      sym_attribute,
    STATE(15274), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678471] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(20694), 1,
      anon_sym_RPAREN,
    STATE(15253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678491] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18527), 1,
      anon_sym_RBRACE,
    ACTIONS(20696), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678511] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(20698), 1,
      sym__lowercase_identifier,
    STATE(15255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678531] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3735), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20700), 1,
      anon_sym_SEMI,
    STATE(15256), 1,
      sym_attribute,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678551] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20702), 1,
      anon_sym_SEMI,
    ACTIONS(20704), 1,
      anon_sym_GT_RBRACE,
    STATE(15257), 1,
      sym_attribute,
    STATE(15412), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678571] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20706), 1,
      anon_sym_RPAREN,
    STATE(15258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678591] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18228), 1,
      anon_sym_RBRACE,
    ACTIONS(20708), 1,
      anon_sym_SEMI,
    STATE(15259), 1,
      sym_attribute,
    STATE(15313), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678611] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19431), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20710), 1,
      anon_sym_SEMI,
    STATE(15260), 1,
      sym_attribute,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678631] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(20712), 1,
      anon_sym_RPAREN,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678651] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14525), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15262), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678671] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20714), 1,
      anon_sym_RPAREN,
    STATE(15263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678691] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14528), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15264), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678711] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14532), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15265), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678731] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(20716), 1,
      anon_sym_RPAREN,
    STATE(15266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678751] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(25), 1,
      sym_attribute_id,
    STATE(15267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [678769] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19433), 1,
      anon_sym_RBRACK,
    STATE(15268), 1,
      sym_attribute,
    STATE(15287), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678789] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19433), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678809] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18416), 1,
      anon_sym_RBRACE,
    ACTIONS(20718), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678829] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19587), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678849] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20720), 1,
      aux_sym_quoted_extension_token1,
    STATE(15272), 1,
      sym_attribute,
    STATE(18207), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678869] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18180), 1,
      anon_sym_RBRACE,
    ACTIONS(20722), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678889] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11507), 1,
      anon_sym_GT,
    ACTIONS(20724), 1,
      anon_sym_SEMI,
    STATE(14988), 1,
      aux_sym_object_type_repeat1,
    STATE(15274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678909] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18529), 1,
      anon_sym_RBRACE,
    ACTIONS(20726), 1,
      anon_sym_SEMI,
    STATE(15275), 1,
      sym_attribute,
    STATE(15297), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678929] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19587), 1,
      anon_sym_RBRACK,
    STATE(15276), 1,
      sym_attribute,
    STATE(15341), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678949] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20728), 1,
      anon_sym_SEMI,
    ACTIONS(20730), 1,
      anon_sym_RBRACE,
    STATE(15277), 1,
      sym_attribute,
    STATE(15314), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678969] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18206), 1,
      anon_sym_RBRACE,
    ACTIONS(20732), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678989] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19258), 1,
      anon_sym_RBRACK,
    STATE(15279), 1,
      sym_attribute,
    STATE(15760), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679009] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20734), 1,
      anon_sym_SEMI,
    ACTIONS(20736), 1,
      anon_sym_RBRACE,
    STATE(15280), 1,
      sym_attribute,
    STATE(15328), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679029] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(20738), 1,
      sym__lowercase_identifier,
    STATE(15281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679049] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(20740), 1,
      anon_sym_RPAREN,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679069] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14570), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15283), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679089] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20742), 1,
      anon_sym_RPAREN,
    STATE(15284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679109] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(20744), 1,
      anon_sym_RPAREN,
    STATE(15285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679129] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3905), 1,
      anon_sym_RBRACK,
    ACTIONS(20746), 1,
      anon_sym_SEMI,
    STATE(15286), 1,
      sym_attribute,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679149] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19449), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679169] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19449), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      sym_attribute,
    STATE(15299), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679189] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14573), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15289), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679209] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14575), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15290), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679229] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20748), 1,
      sym__lowercase_identifier,
    ACTIONS(20750), 1,
      anon_sym_LPAREN,
    STATE(10046), 1,
      sym__simple_value_pattern,
    STATE(15291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679249] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(26), 1,
      sym_attribute_id,
    STATE(15292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [679267] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8586), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20752), 1,
      anon_sym_SEMI,
    STATE(15293), 1,
      sym_attribute,
    STATE(15561), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679287] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20754), 1,
      anon_sym_RPAREN,
    STATE(15294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679307] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20756), 1,
      aux_sym_quoted_extension_token1,
    STATE(15295), 1,
      sym_attribute,
    STATE(18518), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679327] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3671), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20758), 1,
      anon_sym_SEMI,
    STATE(15296), 1,
      sym_attribute,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679347] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18531), 1,
      anon_sym_RBRACE,
    ACTIONS(20760), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679367] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20762), 1,
      anon_sym_RPAREN,
    STATE(15298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679387] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19455), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679407] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20764), 1,
      anon_sym_SEMI,
    ACTIONS(20766), 1,
      anon_sym_GT_RBRACE,
    STATE(15300), 1,
      sym_attribute,
    STATE(15338), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679427] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(20768), 1,
      sym__lowercase_identifier,
    STATE(15301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679447] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20770), 1,
      anon_sym_SEMI,
    ACTIONS(20772), 1,
      anon_sym_GT_RBRACE,
    STATE(15302), 1,
      sym_attribute,
    STATE(15325), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679467] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(20774), 1,
      sym__lowercase_identifier,
    STATE(15303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679487] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18296), 1,
      anon_sym_RBRACE,
    ACTIONS(20776), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679507] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(20778), 1,
      anon_sym_RPAREN,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679527] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20780), 1,
      anon_sym_RPAREN,
    STATE(15306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679547] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14620), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15307), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679567] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8604), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20782), 1,
      anon_sym_SEMI,
    STATE(15308), 1,
      sym_attribute,
    STATE(15561), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679587] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14623), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15309), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679607] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14626), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15310), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679627] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(27), 1,
      sym_attribute_id,
    STATE(15311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [679645] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3385), 1,
      anon_sym_RBRACK,
    ACTIONS(20784), 1,
      anon_sym_SEMI,
    STATE(15312), 1,
      sym_attribute,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679665] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18236), 1,
      anon_sym_RBRACE,
    ACTIONS(20786), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679685] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18298), 1,
      anon_sym_RBRACE,
    ACTIONS(20788), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679705] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20790), 1,
      aux_sym_quoted_extension_token1,
    STATE(15315), 1,
      sym_attribute,
    STATE(18849), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679725] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3641), 1,
      anon_sym_RBRACK,
    ACTIONS(20792), 1,
      anon_sym_SEMI,
    STATE(15316), 1,
      sym_attribute,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679745] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19457), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20794), 1,
      anon_sym_SEMI,
    STATE(15317), 1,
      sym_attribute,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679765] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20796), 1,
      anon_sym_SEMI,
    ACTIONS(20798), 1,
      anon_sym_RBRACE,
    STATE(15318), 1,
      sym_attribute,
    STATE(15436), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679785] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3387), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20800), 1,
      anon_sym_SEMI,
    STATE(15319), 1,
      sym_attribute,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679805] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20343), 1,
      anon_sym_COMMA,
    ACTIONS(20802), 1,
      anon_sym_RBRACK,
    STATE(15320), 1,
      sym_attribute,
    STATE(15792), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679825] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9798), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    STATE(15321), 1,
      sym_attribute,
    STATE(15361), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679845] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(20804), 1,
      sym__lowercase_identifier,
    STATE(15322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679865] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17514), 1,
      anon_sym_SEMI,
    ACTIONS(17516), 1,
      anon_sym_GT,
    STATE(15323), 1,
      sym_attribute,
    STATE(15367), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679885] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20806), 1,
      anon_sym_SEMI,
    ACTIONS(20808), 1,
      anon_sym_RBRACE,
    STATE(15324), 1,
      sym_attribute,
    STATE(15450), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679905] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19655), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20810), 1,
      anon_sym_SEMI,
    STATE(15325), 1,
      sym_attribute,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679925] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(20812), 1,
      anon_sym_RPAREN,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679945] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14680), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15327), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679965] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18420), 1,
      anon_sym_RBRACE,
    ACTIONS(20814), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679985] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14683), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15329), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680005] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14688), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15330), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680025] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20816), 1,
      anon_sym_EQ,
    STATE(15331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680045] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(28), 1,
      sym_attribute_id,
    STATE(15332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [680063] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3643), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20818), 1,
      anon_sym_SEMI,
    STATE(15333), 1,
      sym_attribute,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680083] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20820), 1,
      anon_sym_RPAREN,
    STATE(15334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680103] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20822), 1,
      aux_sym_quoted_extension_token1,
    STATE(15335), 1,
      sym_attribute,
    STATE(19216), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680123] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18300), 1,
      anon_sym_RBRACE,
    ACTIONS(20824), 1,
      anon_sym_SEMI,
    STATE(15336), 1,
      sym_attribute,
    STATE(15373), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680143] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3279), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20826), 1,
      anon_sym_SEMI,
    STATE(15337), 1,
      sym_attribute,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680163] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19623), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20828), 1,
      anon_sym_SEMI,
    STATE(15338), 1,
      sym_attribute,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680183] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9838), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    STATE(15339), 1,
      sym_attribute,
    STATE(15816), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680203] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20830), 1,
      anon_sym_SEMI,
    ACTIONS(20832), 1,
      anon_sym_RBRACE,
    STATE(15340), 1,
      sym_attribute,
    STATE(15365), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680223] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19661), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680243] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20834), 1,
      anon_sym_RPAREN,
    STATE(15342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680263] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(20836), 1,
      anon_sym_RPAREN,
    STATE(15343), 1,
      sym_attribute,
    STATE(19482), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680283] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20838), 1,
      anon_sym_RPAREN,
    STATE(15344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680303] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18268), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [680319] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3517), 1,
      anon_sym_RBRACK,
    ACTIONS(20840), 1,
      anon_sym_SEMI,
    STATE(15346), 1,
      sym_attribute,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680339] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20842), 1,
      anon_sym_RPAREN,
    STATE(15347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680359] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20844), 1,
      anon_sym_SEMI,
    ACTIONS(20846), 1,
      anon_sym_GT_RBRACE,
    STATE(15348), 1,
      sym_attribute,
    STATE(15376), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680379] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(20848), 1,
      anon_sym_RPAREN,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680399] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14735), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15350), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680419] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14741), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15351), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680439] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14743), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15352), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680459] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(20850), 1,
      sym__lowercase_identifier,
    STATE(15353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680479] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(29), 1,
      sym_attribute_id,
    STATE(15354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [680497] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10067), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    STATE(15355), 1,
      sym_attribute,
    STATE(15471), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680517] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20852), 1,
      aux_sym_quoted_extension_token1,
    STATE(15356), 1,
      sym_attribute,
    STATE(19428), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680537] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(20854), 1,
      anon_sym_RPAREN,
    STATE(15357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680557] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3745), 1,
      anon_sym_RBRACK,
    ACTIONS(20856), 1,
      anon_sym_SEMI,
    STATE(15358), 1,
      sym_attribute,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680577] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19633), 1,
      anon_sym_RBRACK,
    STATE(15359), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680597] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9928), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    STATE(15360), 1,
      sym_attribute,
    STATE(15385), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680617] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19633), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680637] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17450), 1,
      anon_sym_SEMI,
    ACTIONS(17452), 1,
      anon_sym_GT,
    STATE(15362), 1,
      sym_attribute,
    STATE(15389), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680657] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20858), 1,
      anon_sym_RPAREN,
    STATE(15363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680677] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18166), 1,
      anon_sym_RBRACE,
    ACTIONS(20860), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680697] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18539), 1,
      anon_sym_RBRACE,
    ACTIONS(20862), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680717] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17343), 1,
      anon_sym_SEMI,
    ACTIONS(17345), 1,
      anon_sym_GT,
    STATE(15366), 1,
      sym_attribute,
    STATE(15477), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680737] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11650), 1,
      anon_sym_GT,
    ACTIONS(20864), 1,
      anon_sym_SEMI,
    STATE(14988), 1,
      aux_sym_object_type_repeat1,
    STATE(15367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680757] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18422), 1,
      anon_sym_RBRACE,
    ACTIONS(20866), 1,
      anon_sym_SEMI,
    STATE(15368), 1,
      sym_attribute,
    STATE(15425), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680777] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3747), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20868), 1,
      anon_sym_SEMI,
    STATE(15369), 1,
      sym_attribute,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680797] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(20870), 1,
      anon_sym_RPAREN,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680817] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18541), 1,
      anon_sym_RBRACE,
    ACTIONS(20872), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680837] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14796), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15372), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680857] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18302), 1,
      anon_sym_RBRACE,
    ACTIONS(20874), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680877] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14800), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15374), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680897] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14803), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15375), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680917] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19507), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20876), 1,
      anon_sym_SEMI,
    STATE(15376), 1,
      sym_attribute,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680937] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(30), 1,
      sym_attribute_id,
    STATE(15377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [680955] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20878), 1,
      anon_sym_SEMI,
    ACTIONS(20880), 1,
      anon_sym_RBRACE,
    STATE(15207), 1,
      aux_sym_record_expression_repeat1,
    STATE(15378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680975] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20882), 1,
      aux_sym_quoted_extension_token1,
    STATE(15379), 1,
      sym_attribute,
    STATE(19743), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680995] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3519), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20884), 1,
      anon_sym_SEMI,
    STATE(15380), 1,
      sym_attribute,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681015] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20886), 1,
      anon_sym_RPAREN,
    STATE(15381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681035] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19383), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20888), 1,
      anon_sym_SEMI,
    STATE(15382), 1,
      sym_attribute,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681055] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(20890), 1,
      anon_sym_RPAREN,
    STATE(15383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681075] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19511), 1,
      anon_sym_RBRACK,
    STATE(15384), 1,
      sym_attribute,
    STATE(15403), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681095] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19511), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      aux_sym_attribute_id_token1,
    STATE(15386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8803), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [681133] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20892), 1,
      anon_sym_RPAREN,
    ACTIONS(20894), 1,
      anon_sym_COLON2,
    STATE(15387), 1,
      sym_attribute,
    STATE(19463), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681153] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20896), 1,
      anon_sym_SEMI,
    ACTIONS(20899), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15388), 2,
      sym_attribute,
      aux_sym_object_copy_expression_repeat1,
  [681171] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11563), 1,
      anon_sym_GT,
    ACTIONS(20901), 1,
      anon_sym_SEMI,
    STATE(14988), 1,
      aux_sym_object_type_repeat1,
    STATE(15389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681191] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(20903), 1,
      sym__lowercase_identifier,
    STATE(15390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681211] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18543), 1,
      anon_sym_RBRACE,
    ACTIONS(20905), 1,
      anon_sym_SEMI,
    STATE(15391), 1,
      sym_attribute,
    STATE(15410), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681231] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(14520), 1,
      aux_sym_module_binding_repeat1,
    STATE(15392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681251] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14849), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15393), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681271] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6), 1,
      sym_attribute_id,
    STATE(15394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [681289] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14855), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15395), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681309] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14859), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15396), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681329] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(20907), 1,
      sym__lowercase_identifier,
    STATE(15397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681349] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(31), 1,
      sym_attribute_id,
    STATE(15398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [681367] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20909), 1,
      anon_sym_RPAREN,
    STATE(15399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681387] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20911), 1,
      aux_sym_quoted_extension_token1,
    STATE(15400), 1,
      sym_attribute,
    STATE(20115), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681407] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(20913), 1,
      anon_sym_RPAREN,
    STATE(15401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681427] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20915), 1,
      anon_sym_SEMI,
    ACTIONS(20917), 1,
      anon_sym_RBRACE,
    STATE(15402), 1,
      sym_attribute,
    STATE(15790), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681447] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19519), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681467] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19519), 1,
      anon_sym_RBRACK,
    STATE(15404), 1,
      sym_attribute,
    STATE(15414), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681487] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(20919), 1,
      anon_sym_RPAREN,
    STATE(15405), 1,
      sym_attribute,
    STATE(19556), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681507] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20921), 1,
      anon_sym_RPAREN,
    STATE(15406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681527] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(20923), 1,
      anon_sym_RPAREN,
    STATE(15407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681547] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18174), 1,
      anon_sym_RBRACE,
    ACTIONS(20925), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681567] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20927), 1,
      anon_sym_RPAREN,
    STATE(15409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681587] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18164), 1,
      anon_sym_RBRACE,
    ACTIONS(20929), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681607] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19647), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681627] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19527), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20931), 1,
      anon_sym_SEMI,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681647] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(32), 1,
      sym_attribute_id,
    STATE(15413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [681665] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19529), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681685] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20933), 1,
      aux_sym_quoted_extension_token1,
    STATE(15415), 1,
      sym_attribute,
    STATE(17930), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681705] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7), 1,
      sym_attribute_id,
    STATE(15416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [681723] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19647), 1,
      anon_sym_RBRACK,
    STATE(15417), 1,
      sym_attribute,
    STATE(15431), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681743] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18184), 1,
      anon_sym_RBRACE,
    ACTIONS(20935), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681763] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20937), 1,
      anon_sym_RPAREN,
    STATE(15419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681783] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20939), 1,
      anon_sym_SEMI,
    ACTIONS(20941), 1,
      anon_sym_RBRACE,
    STATE(15364), 1,
      aux_sym_record_expression_repeat1,
    STATE(15420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681803] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20943), 1,
      anon_sym_SEMI,
    ACTIONS(20945), 1,
      anon_sym_RBRACE,
    STATE(15421), 1,
      sym_attribute,
    STATE(15497), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681823] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(20947), 1,
      anon_sym_RPAREN,
    STATE(15422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681843] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(33), 1,
      sym_attribute_id,
    STATE(15423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [681861] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(20949), 1,
      anon_sym_RPAREN,
    STATE(15424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681881] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18424), 1,
      anon_sym_RBRACE,
    ACTIONS(20951), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681901] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20953), 1,
      aux_sym_quoted_extension_token1,
    STATE(15426), 1,
      sym_attribute,
    STATE(19753), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681921] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20955), 1,
      aux_sym_quoted_extension_token1,
    STATE(15427), 1,
      sym_attribute,
    STATE(18243), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681941] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20894), 1,
      anon_sym_COLON2,
    ACTIONS(20957), 1,
      anon_sym_RPAREN,
    STATE(15428), 1,
      sym_attribute,
    STATE(18412), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681961] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20343), 1,
      anon_sym_COMMA,
    ACTIONS(20959), 1,
      anon_sym_RBRACK,
    STATE(15429), 1,
      sym_attribute,
    STATE(15485), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681981] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(20961), 1,
      anon_sym_RPAREN,
    STATE(15430), 1,
      sym_attribute,
    STATE(18422), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682001] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19663), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682021] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19715), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20963), 1,
      anon_sym_SEMI,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682041] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20965), 1,
      anon_sym_SEMI,
    ACTIONS(20967), 1,
      anon_sym_RBRACE,
    STATE(15433), 1,
      sym_attribute,
    STATE(15464), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682061] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8280), 1,
      anon_sym_RBRACK,
    ACTIONS(20969), 1,
      anon_sym_SEMI,
    STATE(15434), 1,
      sym_attribute,
    STATE(16066), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682081] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(34), 1,
      sym_attribute_id,
    STATE(15435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [682099] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17692), 1,
      anon_sym_RBRACE,
    ACTIONS(20971), 1,
      anon_sym_SEMI,
    STATE(15436), 1,
      sym_attribute,
    STATE(16279), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682119] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20973), 1,
      aux_sym_quoted_extension_token1,
    STATE(15437), 1,
      sym_attribute,
    STATE(18885), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682139] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(43), 1,
      sym_attribute_id,
    STATE(15438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [682157] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20975), 1,
      anon_sym_SEMI,
    STATE(15439), 1,
      sym_attribute,
    STATE(15559), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682177] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20979), 1,
      anon_sym_LBRACK,
    STATE(15440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20977), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [682195] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12121), 1,
      anon_sym_DQUOTE,
    STATE(9887), 1,
      aux_sym_external_repeat1,
    STATE(10982), 1,
      sym_string,
    STATE(15441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682215] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20981), 1,
      anon_sym_SEMI,
    ACTIONS(20983), 1,
      anon_sym_GT_RBRACE,
    STATE(15442), 1,
      sym_attribute,
    STATE(15482), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682235] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20985), 1,
      anon_sym_LPAREN,
    ACTIONS(20987), 1,
      anon_sym_LBRACK,
    ACTIONS(20989), 1,
      anon_sym_LBRACE,
    STATE(15443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682255] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(20991), 1,
      sym__lowercase_identifier,
    STATE(15444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682275] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20993), 1,
      anon_sym_SEMI,
    ACTIONS(20995), 1,
      anon_sym_GT_RBRACE,
    STATE(15445), 1,
      sym_attribute,
    STATE(15813), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682295] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20997), 1,
      anon_sym_SEMI,
    ACTIONS(20999), 1,
      anon_sym_RBRACE,
    STATE(15446), 1,
      sym_attribute,
    STATE(15469), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682315] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8608), 1,
      anon_sym_RBRACK,
    ACTIONS(21001), 1,
      anon_sym_SEMI,
    STATE(15092), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682335] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(35), 1,
      sym_attribute_id,
    STATE(15448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [682353] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19206), 1,
      sym__lowercase_identifier,
    ACTIONS(19210), 1,
      anon_sym_mutable,
    STATE(15449), 1,
      sym_attribute,
    STATE(15840), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682373] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17706), 1,
      anon_sym_RBRACE,
    ACTIONS(21003), 1,
      anon_sym_SEMI,
    STATE(14956), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(15450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682393] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21005), 1,
      aux_sym_quoted_extension_token1,
    STATE(15451), 1,
      sym_attribute,
    STATE(19292), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682413] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8614), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21007), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      sym_attribute,
    STATE(15561), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682433] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21011), 1,
      anon_sym_LBRACK,
    STATE(15453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21009), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [682451] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21013), 1,
      anon_sym_SEMI,
    ACTIONS(21015), 1,
      anon_sym_GT_RBRACE,
    STATE(15454), 1,
      sym_attribute,
    STATE(15480), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682471] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21017), 1,
      anon_sym_EQ,
    STATE(15455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682491] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21019), 1,
      aux_sym_quoted_extension_token1,
    STATE(15456), 1,
      sym_attribute,
    STATE(17945), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682511] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3397), 1,
      anon_sym_RBRACK,
    ACTIONS(21021), 1,
      anon_sym_SEMI,
    STATE(15457), 1,
      sym_attribute,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682531] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(36), 1,
      sym_attribute_id,
    STATE(15458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [682549] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21023), 1,
      anon_sym_RPAREN,
    STATE(15459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682569] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3757), 1,
      anon_sym_RBRACK,
    ACTIONS(21025), 1,
      anon_sym_SEMI,
    STATE(15460), 1,
      sym_attribute,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682589] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21027), 1,
      anon_sym_SEMI,
    ACTIONS(21029), 1,
      anon_sym_GT_RBRACE,
    STATE(15461), 1,
      sym_attribute,
    STATE(15509), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682609] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21031), 1,
      aux_sym_quoted_extension_token1,
    STATE(15462), 1,
      sym_attribute,
    STATE(18041), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682629] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9934), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    STATE(15463), 1,
      sym_attribute,
    STATE(15488), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682649] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18310), 1,
      anon_sym_RBRACE,
    ACTIONS(21033), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682669] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16066), 1,
      sym__uppercase_identifier,
    ACTIONS(18662), 1,
      anon_sym_LPAREN,
    STATE(6809), 1,
      sym__constructor_name,
    STATE(15465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682689] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(21035), 1,
      anon_sym_RPAREN,
    STATE(15466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682709] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17380), 1,
      anon_sym_SEMI,
    ACTIONS(17382), 1,
      anon_sym_GT,
    STATE(15467), 1,
      sym_attribute,
    STATE(15492), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682729] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21037), 1,
      anon_sym_SEMI,
    ACTIONS(21039), 1,
      anon_sym_GT_RBRACE,
    STATE(15432), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682749] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18549), 1,
      anon_sym_RBRACE,
    ACTIONS(21041), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682769] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19577), 1,
      anon_sym_RBRACK,
    STATE(15470), 1,
      sym_attribute,
    STATE(15554), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682789] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19577), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682809] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17494), 1,
      anon_sym_SEMI,
    ACTIONS(17496), 1,
      anon_sym_GT,
    STATE(15472), 1,
      sym_attribute,
    STATE(16274), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682829] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3759), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21043), 1,
      anon_sym_SEMI,
    STATE(15473), 1,
      sym_attribute,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682849] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3399), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21045), 1,
      anon_sym_SEMI,
    STATE(15474), 1,
      sym_attribute,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682869] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(37), 1,
      sym_attribute_id,
    STATE(15475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [682887] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21047), 1,
      anon_sym_LPAREN,
    ACTIONS(21049), 1,
      anon_sym_LBRACK,
    ACTIONS(21051), 1,
      anon_sym_LBRACE,
    STATE(15476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682907] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11499), 1,
      anon_sym_GT,
    ACTIONS(21053), 1,
      anon_sym_SEMI,
    STATE(14988), 1,
      aux_sym_object_type_repeat1,
    STATE(15477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682927] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21055), 1,
      aux_sym_quoted_extension_token1,
    STATE(15478), 1,
      sym_attribute,
    STATE(18695), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682947] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3325), 1,
      anon_sym_RBRACK,
    ACTIONS(21057), 1,
      anon_sym_SEMI,
    STATE(15479), 1,
      sym_attribute,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682967] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19581), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21059), 1,
      anon_sym_SEMI,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682987] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18551), 1,
      anon_sym_RBRACE,
    ACTIONS(21061), 1,
      anon_sym_SEMI,
    STATE(15481), 1,
      sym_attribute,
    STATE(15574), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683007] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19749), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21063), 1,
      anon_sym_SEMI,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683027] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(21065), 1,
      anon_sym_type,
    STATE(15483), 1,
      sym_attribute,
    STATE(15905), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683047] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21067), 1,
      anon_sym_RPAREN,
    STATE(15484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683067] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20343), 1,
      anon_sym_COMMA,
    ACTIONS(21069), 1,
      anon_sym_RBRACK,
    STATE(14738), 1,
      aux_sym__type_params_repeat1,
    STATE(15485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683087] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(21071), 1,
      anon_sym_RPAREN,
    STATE(15486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683107] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19583), 1,
      anon_sym_RBRACK,
    STATE(15487), 1,
      sym_attribute,
    STATE(15505), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683127] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19583), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683147] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20343), 1,
      anon_sym_COMMA,
    ACTIONS(21069), 1,
      anon_sym_RBRACK,
    STATE(15489), 1,
      sym_attribute,
    STATE(15529), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683167] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20894), 1,
      anon_sym_COLON2,
    ACTIONS(21073), 1,
      anon_sym_RPAREN,
    STATE(15490), 1,
      sym_attribute,
    STATE(18873), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683187] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(38), 1,
      sym_attribute_id,
    STATE(15491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [683205] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11631), 1,
      anon_sym_GT,
    ACTIONS(21075), 1,
      anon_sym_SEMI,
    STATE(14988), 1,
      aux_sym_object_type_repeat1,
    STATE(15492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683225] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18553), 1,
      anon_sym_RBRACE,
    ACTIONS(21077), 1,
      anon_sym_SEMI,
    STATE(15493), 1,
      sym_attribute,
    STATE(15513), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683245] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21079), 1,
      aux_sym_quoted_extension_token1,
    STATE(15494), 1,
      sym_attribute,
    STATE(17659), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683265] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18186), 1,
      anon_sym_RBRACE,
    ACTIONS(21081), 1,
      anon_sym_SEMI,
    STATE(15495), 1,
      sym_attribute,
    STATE(15588), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683285] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21083), 1,
      anon_sym_RPAREN,
    STATE(15496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683305] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18244), 1,
      anon_sym_RBRACE,
    ACTIONS(21085), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683325] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(11211), 1,
      anon_sym_DOT,
    ACTIONS(21087), 1,
      anon_sym_RPAREN,
    STATE(15498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683345] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18312), 1,
      anon_sym_RBRACE,
    ACTIONS(21089), 1,
      anon_sym_SEMI,
    STATE(15499), 1,
      sym_attribute,
    STATE(15531), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683365] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(21091), 1,
      sym__lowercase_identifier,
    STATE(15500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683385] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21093), 1,
      anon_sym_RPAREN,
    STATE(15501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683405] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(39), 1,
      sym_attribute_id,
    STATE(15502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [683423] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(21095), 1,
      anon_sym_RPAREN,
    STATE(15503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683443] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3327), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21097), 1,
      anon_sym_SEMI,
    STATE(15504), 1,
      sym_attribute,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683463] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19599), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683483] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19599), 1,
      anon_sym_RBRACK,
    STATE(15506), 1,
      sym_attribute,
    STATE(15514), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683503] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21099), 1,
      aux_sym_quoted_extension_token1,
    STATE(15507), 1,
      sym_attribute,
    STATE(18391), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683523] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(21101), 1,
      sym__lowercase_identifier,
    STATE(15508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683543] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19908), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21103), 1,
      anon_sym_SEMI,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683563] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21105), 1,
      anon_sym_RPAREN,
    STATE(15510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683583] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21107), 1,
      anon_sym_EQ,
    STATE(15511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683603] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11275), 1,
      anon_sym_STAR,
    ACTIONS(13259), 1,
      anon_sym_DASH_GT,
    STATE(15172), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(15512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683623] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18555), 1,
      anon_sym_RBRACE,
    ACTIONS(21109), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683643] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19603), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683663] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(40), 1,
      sym_attribute_id,
    STATE(15515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [683681] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(21111), 1,
      anon_sym_RPAREN,
    STATE(15516), 1,
      sym_attribute,
    STATE(18954), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683701] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13096), 1,
      sym_attribute_id,
    STATE(15517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21113), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [683719] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(21115), 1,
      sym__lowercase_identifier,
    STATE(15518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683739] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21117), 1,
      aux_sym_quoted_extension_token1,
    STATE(15519), 1,
      sym_attribute,
    STATE(19646), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683759] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21119), 1,
      anon_sym_EQ,
    STATE(15520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683779] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21121), 1,
      anon_sym_RPAREN,
    STATE(15521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683799] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(21123), 1,
      sym__lowercase_identifier,
    STATE(15522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683819] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21125), 1,
      anon_sym_SEMI,
    ACTIONS(21127), 1,
      anon_sym_RBRACE,
    STATE(15523), 1,
      sym_attribute,
    STATE(16075), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683839] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21129), 1,
      anon_sym_RPAREN,
    STATE(15524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683859] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13331), 1,
      sym__type_equation,
    STATE(15525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21131), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [683877] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(21133), 1,
      sym__lowercase_identifier,
    STATE(15526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683897] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(41), 1,
      sym_attribute_id,
    STATE(15527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [683915] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(11211), 1,
      anon_sym_DOT,
    ACTIONS(21135), 1,
      anon_sym_RPAREN,
    STATE(15528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683935] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20343), 1,
      anon_sym_COMMA,
    ACTIONS(21137), 1,
      anon_sym_RBRACK,
    STATE(14738), 1,
      aux_sym__type_params_repeat1,
    STATE(15529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683955] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21139), 1,
      aux_sym_quoted_extension_token1,
    STATE(15530), 1,
      sym_attribute,
    STATE(20072), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683975] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18314), 1,
      anon_sym_RBRACE,
    ACTIONS(21141), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683995] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(21143), 1,
      anon_sym_RPAREN,
    STATE(15532), 1,
      sym_attribute,
    STATE(18612), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684015] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21145), 1,
      anon_sym_EQ,
    STATE(15533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684035] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8006), 1,
      anon_sym_RBRACK,
    ACTIONS(21147), 1,
      anon_sym_SEMI,
    STATE(15534), 1,
      sym_attribute,
    STATE(16066), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684055] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21149), 1,
      anon_sym_RPAREN,
    STATE(15535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684075] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12163), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [684091] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18100), 1,
      anon_sym_RBRACE,
    ACTIONS(21151), 1,
      anon_sym_SEMI,
    STATE(15537), 1,
      sym_attribute,
    STATE(16279), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684111] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(42), 1,
      sym_attribute_id,
    STATE(15538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [684129] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18246), 1,
      anon_sym_RBRACE,
    ACTIONS(21153), 1,
      anon_sym_SEMI,
    STATE(15539), 1,
      sym_attribute,
    STATE(15625), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684149] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(21155), 1,
      anon_sym_RPAREN,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684169] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21157), 1,
      aux_sym_quoted_extension_token1,
    STATE(15541), 1,
      sym_attribute,
    STATE(17820), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684189] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14386), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15542), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684209] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(14524), 1,
      aux_sym_module_binding_repeat1,
    STATE(15543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684229] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21159), 1,
      anon_sym_SEMI,
    ACTIONS(21161), 1,
      anon_sym_RBRACE,
    STATE(15544), 1,
      sym_attribute,
    STATE(16161), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684249] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20343), 1,
      anon_sym_COMMA,
    ACTIONS(21163), 1,
      anon_sym_RPAREN,
    STATE(14738), 1,
      aux_sym__type_params_repeat1,
    STATE(15545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684269] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8012), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21165), 1,
      anon_sym_SEMI,
    STATE(15546), 1,
      sym_attribute,
    STATE(15559), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684289] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14914), 1,
      anon_sym_in,
    ACTIONS(20170), 1,
      anon_sym_and,
    STATE(15219), 1,
      aux_sym_module_definition_repeat1,
    STATE(15547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684309] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21167), 1,
      anon_sym_SEMI,
    ACTIONS(21169), 1,
      anon_sym_RBRACE,
    STATE(15548), 1,
      sym_attribute,
    STATE(15573), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684329] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21171), 1,
      anon_sym_RPAREN,
    STATE(15549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684349] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21173), 1,
      anon_sym_RPAREN,
    STATE(15550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684369] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(21175), 1,
      anon_sym_RPAREN,
    STATE(15551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684389] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(88), 1,
      sym_attribute_id,
    STATE(15552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [684407] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13278), 1,
      sym__type_equation,
    STATE(15553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21131), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [684425] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19651), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684445] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19651), 1,
      anon_sym_RBRACK,
    STATE(15555), 1,
      sym_attribute,
    STATE(15610), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684465] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21177), 1,
      aux_sym_quoted_extension_token1,
    STATE(15556), 1,
      sym_attribute,
    STATE(19920), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684485] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21179), 1,
      anon_sym_SEMI,
    ACTIONS(21181), 1,
      anon_sym_GT_RBRACE,
    STATE(15557), 1,
      sym_attribute,
    STATE(15579), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684505] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(21183), 1,
      anon_sym_RBRACK,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684525] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18525), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21185), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15559), 2,
      sym_attribute,
      aux_sym_list_pattern_repeat1,
  [684543] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21188), 1,
      anon_sym_SEMI,
    ACTIONS(21190), 1,
      anon_sym_RBRACE,
    STATE(15560), 1,
      sym_attribute,
    STATE(15620), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684563] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18170), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21192), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15561), 2,
      sym_attribute,
      aux_sym_list_binding_pattern_repeat1,
  [684581] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3769), 1,
      anon_sym_RBRACK,
    ACTIONS(21195), 1,
      anon_sym_SEMI,
    STATE(15562), 1,
      sym_attribute,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684601] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21197), 1,
      anon_sym_EQ,
    STATE(15563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684621] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2), 1,
      sym_attribute_id,
    STATE(15564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [684639] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21199), 1,
      anon_sym_RPAREN,
    STATE(15565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684659] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9962), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    STATE(15566), 1,
      sym_attribute,
    STATE(15586), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684679] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21201), 1,
      aux_sym_quoted_extension_token1,
    STATE(15567), 1,
      sym_attribute,
    STATE(18095), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684699] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14400), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15568), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684719] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12270), 1,
      anon_sym_RPAREN,
    STATE(15569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21203), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [684737] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17458), 1,
      anon_sym_SEMI,
    ACTIONS(17460), 1,
      anon_sym_GT,
    STATE(15570), 1,
      sym_attribute,
    STATE(15589), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684757] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3917), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21205), 1,
      anon_sym_SEMI,
    STATE(15571), 1,
      sym_attribute,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684777] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21207), 1,
      anon_sym_EQ,
    STATE(15572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684797] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_RBRACE,
    ACTIONS(21209), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684817] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18561), 1,
      anon_sym_RBRACE,
    ACTIONS(21211), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684837] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14408), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15575), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684857] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3771), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21213), 1,
      anon_sym_SEMI,
    STATE(15576), 1,
      sym_attribute,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684877] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(45), 1,
      sym_attribute_id,
    STATE(15577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [684895] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21215), 1,
      anon_sym_SEMI,
    ACTIONS(21217), 1,
      anon_sym_GT_RBRACE,
    STATE(15578), 1,
      sym_attribute,
    STATE(15628), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684915] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19669), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21219), 1,
      anon_sym_SEMI,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684935] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21221), 1,
      aux_sym_quoted_extension_token1,
    STATE(15580), 1,
      sym_attribute,
    STATE(18915), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684955] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21223), 1,
      anon_sym_RPAREN,
    STATE(15581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684975] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21225), 1,
      anon_sym_RPAREN,
    STATE(15582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684995] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21227), 1,
      anon_sym_SEMI,
    ACTIONS(21229), 1,
      anon_sym_RBRACE,
    STATE(15583), 1,
      sym_attribute,
    STATE(16155), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685015] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(21231), 1,
      anon_sym_RPAREN,
    STATE(15584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685035] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19671), 1,
      anon_sym_RBRACK,
    STATE(15585), 1,
      sym_attribute,
    STATE(15601), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685055] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19671), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685075] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19781), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685095] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18188), 1,
      anon_sym_RBRACE,
    ACTIONS(21233), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685115] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11309), 1,
      anon_sym_GT,
    ACTIONS(21235), 1,
      anon_sym_SEMI,
    STATE(14988), 1,
      aux_sym_object_type_repeat1,
    STATE(15589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685135] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(46), 1,
      sym_attribute_id,
    STATE(15590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [685153] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18565), 1,
      anon_sym_RBRACE,
    ACTIONS(21237), 1,
      anon_sym_SEMI,
    STATE(15591), 1,
      sym_attribute,
    STATE(15609), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685173] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8558), 1,
      anon_sym_RBRACK,
    ACTIONS(21239), 1,
      anon_sym_SEMI,
    STATE(15092), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685193] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21241), 1,
      aux_sym_quoted_extension_token1,
    STATE(15593), 1,
      sym_attribute,
    STATE(19949), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685213] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(21243), 1,
      sym__lowercase_identifier,
    STATE(15594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685233] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21245), 1,
      sym__lowercase_identifier,
    ACTIONS(21247), 1,
      anon_sym_LPAREN,
    STATE(7489), 1,
      sym__simple_value_pattern,
    STATE(15595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685253] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(21249), 1,
      sym__lowercase_identifier,
    STATE(15596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685273] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21251), 1,
      anon_sym_RPAREN,
    STATE(15597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685293] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(21253), 1,
      anon_sym_RPAREN,
    STATE(15598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685313] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(47), 1,
      sym_attribute_id,
    STATE(15599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [685331] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18044), 1,
      anon_sym_RBRACE,
    ACTIONS(21255), 1,
      anon_sym_SEMI,
    STATE(14956), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(15600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685351] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19679), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685371] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19679), 1,
      anon_sym_RBRACK,
    STATE(15602), 1,
      sym_attribute,
    STATE(15611), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685391] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21257), 1,
      aux_sym_quoted_extension_token1,
    STATE(15603), 1,
      sym_attribute,
    STATE(17585), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685411] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21259), 1,
      anon_sym_RPAREN,
    STATE(15604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685431] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3655), 1,
      anon_sym_RBRACK,
    ACTIONS(21261), 1,
      anon_sym_SEMI,
    STATE(15605), 1,
      sym_attribute,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685451] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21263), 1,
      anon_sym_RPAREN,
    STATE(15606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685471] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21265), 1,
      anon_sym_SEMI,
    ACTIONS(21268), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15607), 2,
      sym_attribute,
      aux_sym_record_declaration_repeat1,
  [685489] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14501), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15608), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685509] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18567), 1,
      anon_sym_RBRACE,
    ACTIONS(21270), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685529] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19685), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685549] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19683), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685569] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(48), 1,
      sym_attribute_id,
    STATE(15612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [685587] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9832), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    STATE(15613), 1,
      sym_attribute,
    STATE(15638), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685607] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21272), 1,
      anon_sym_SEMI,
    ACTIONS(21274), 1,
      anon_sym_RBRACE,
    STATE(15614), 1,
      sym_attribute,
    STATE(15633), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685627] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21276), 1,
      aux_sym_quoted_extension_token1,
    STATE(15615), 1,
      sym_attribute,
    STATE(17844), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685647] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8560), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21278), 1,
      anon_sym_SEMI,
    STATE(15561), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685667] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17359), 1,
      anon_sym_SEMI,
    ACTIONS(17361), 1,
      anon_sym_GT,
    STATE(15617), 1,
      sym_attribute,
    STATE(15642), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685687] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17906), 1,
      anon_sym_RBRACE,
    ACTIONS(21280), 1,
      anon_sym_SEMI,
    STATE(15618), 1,
      sym_attribute,
    STATE(16279), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685707] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21282), 1,
      anon_sym_SEMI,
    ACTIONS(21284), 1,
      anon_sym_RBRACE,
    STATE(15619), 1,
      sym_attribute,
    STATE(15811), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685727] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18436), 1,
      anon_sym_RBRACE,
    ACTIONS(21286), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685747] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21288), 1,
      anon_sym_SEMI,
    ACTIONS(21290), 1,
      anon_sym_GT_RBRACE,
    STATE(15621), 1,
      sym_attribute,
    STATE(15739), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685767] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3657), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21292), 1,
      anon_sym_SEMI,
    STATE(15622), 1,
      sym_attribute,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685787] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21294), 1,
      anon_sym_EQ,
    STATE(15623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21296), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [685805] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(49), 1,
      sym_attribute_id,
    STATE(15624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [685823] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18248), 1,
      anon_sym_RBRACE,
    ACTIONS(21298), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685843] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21300), 1,
      aux_sym_quoted_extension_token1,
    STATE(15626), 1,
      sym_attribute,
    STATE(18092), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685863] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3409), 1,
      anon_sym_RBRACK,
    ACTIONS(21302), 1,
      anon_sym_SEMI,
    STATE(15627), 1,
      sym_attribute,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685883] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19808), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21304), 1,
      anon_sym_SEMI,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685903] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11575), 1,
      anon_sym_GT,
    ACTIONS(21306), 1,
      anon_sym_SEMI,
    STATE(14988), 1,
      aux_sym_object_type_repeat1,
    STATE(15629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685923] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(21308), 1,
      anon_sym_RPAREN,
    STATE(15630), 1,
      sym_attribute,
    STATE(20071), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685943] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18438), 1,
      anon_sym_RBRACE,
    ACTIONS(21310), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685963] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21312), 1,
      anon_sym_RPAREN,
    STATE(15632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685983] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_RBRACE,
    ACTIONS(21314), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686003] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(50), 1,
      sym_attribute_id,
    STATE(15634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686021] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21316), 1,
      aux_sym_quoted_extension_token1,
    STATE(15635), 1,
      sym_attribute,
    STATE(18372), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686041] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(21318), 1,
      anon_sym_RPAREN,
    STATE(15636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686061] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19819), 1,
      anon_sym_RBRACK,
    STATE(15637), 1,
      sym_attribute,
    STATE(15740), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686081] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19819), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686101] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12151), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [686117] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18168), 1,
      anon_sym_RBRACE,
    ACTIONS(21320), 1,
      anon_sym_SEMI,
    STATE(15418), 1,
      aux_sym_record_expression_repeat1,
    STATE(15640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686137] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15949), 1,
      anon_sym_RBRACK,
    ACTIONS(21322), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15641), 2,
      sym_attribute,
      aux_sym_list_expression_repeat1,
  [686155] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11467), 1,
      anon_sym_GT,
    ACTIONS(21325), 1,
      anon_sym_SEMI,
    STATE(14988), 1,
      aux_sym_object_type_repeat1,
    STATE(15642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686175] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18442), 1,
      anon_sym_RBRACE,
    ACTIONS(21327), 1,
      anon_sym_SEMI,
    STATE(15643), 1,
      sym_attribute,
    STATE(15750), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686195] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21329), 1,
      anon_sym_SEMI,
    ACTIONS(21331), 1,
      anon_sym_RBRACE,
    STATE(15644), 1,
      sym_attribute,
    STATE(15732), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686215] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3411), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21333), 1,
      anon_sym_SEMI,
    STATE(15645), 1,
      sym_attribute,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686235] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(51), 1,
      sym_attribute_id,
    STATE(15646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686253] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21335), 1,
      sym__lowercase_identifier,
    ACTIONS(21337), 1,
      anon_sym_LPAREN,
    STATE(7675), 1,
      sym__simple_value_pattern,
    STATE(15647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686273] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21339), 1,
      aux_sym_quoted_extension_token1,
    STATE(15648), 1,
      sym_attribute,
    STATE(18611), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686293] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(21341), 1,
      anon_sym_type,
    STATE(15649), 1,
      sym_attribute,
    STATE(15943), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686313] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21343), 1,
      anon_sym_SEMI,
    ACTIONS(21345), 1,
      anon_sym_GT_RBRACE,
    STATE(15650), 1,
      sym_attribute,
    STATE(15747), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686333] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(52), 1,
      sym_attribute_id,
    STATE(15651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686351] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21347), 1,
      aux_sym_quoted_extension_token1,
    STATE(15652), 1,
      sym_attribute,
    STATE(18755), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686371] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(53), 1,
      sym_attribute_id,
    STATE(15653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686389] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21349), 1,
      aux_sym_quoted_extension_token1,
    STATE(15654), 1,
      sym_attribute,
    STATE(18882), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686409] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(54), 1,
      sym_attribute_id,
    STATE(15655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686427] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21351), 1,
      aux_sym_quoted_extension_token1,
    STATE(15656), 1,
      sym_attribute,
    STATE(18942), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686447] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(55), 1,
      sym_attribute_id,
    STATE(15657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686465] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21353), 1,
      aux_sym_quoted_extension_token1,
    STATE(15658), 1,
      sym_attribute,
    STATE(18976), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686485] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(56), 1,
      sym_attribute_id,
    STATE(15659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686503] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3781), 1,
      anon_sym_RBRACK,
    ACTIONS(21355), 1,
      anon_sym_SEMI,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    STATE(15660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686523] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21357), 1,
      aux_sym_quoted_extension_token1,
    STATE(15661), 1,
      sym_attribute,
    STATE(18999), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686543] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(57), 1,
      sym_attribute_id,
    STATE(15662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686561] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21359), 1,
      anon_sym_RPAREN,
    STATE(15663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686581] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21361), 1,
      aux_sym_quoted_extension_token1,
    STATE(15664), 1,
      sym_attribute,
    STATE(19021), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686601] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(58), 1,
      sym_attribute_id,
    STATE(15665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686619] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21363), 1,
      aux_sym_quoted_extension_token1,
    STATE(15666), 1,
      sym_attribute,
    STATE(19044), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686639] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(59), 1,
      sym_attribute_id,
    STATE(15667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686657] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10098), 1,
      sym__type_equation,
    STATE(15668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21365), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [686675] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21367), 1,
      aux_sym_quoted_extension_token1,
    STATE(15669), 1,
      sym_attribute,
    STATE(19065), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686695] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(60), 1,
      sym_attribute_id,
    STATE(15670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686713] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    STATE(15671), 1,
      sym_attribute,
    STATE(15758), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686733] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21369), 1,
      aux_sym_quoted_extension_token1,
    STATE(15672), 1,
      sym_attribute,
    STATE(19087), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686753] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(61), 1,
      sym_attribute_id,
    STATE(15673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686771] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(21371), 1,
      anon_sym_RPAREN,
    STATE(15674), 1,
      sym_attribute,
    STATE(20249), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686791] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21373), 1,
      aux_sym_quoted_extension_token1,
    STATE(15675), 1,
      sym_attribute,
    STATE(19112), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686811] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(62), 1,
      sym_attribute_id,
    STATE(15676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686829] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21375), 1,
      aux_sym_quoted_extension_token1,
    STATE(15677), 1,
      sym_attribute,
    STATE(19148), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686849] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(63), 1,
      sym_attribute_id,
    STATE(15678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686867] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21377), 1,
      aux_sym_quoted_extension_token1,
    STATE(15679), 1,
      sym_attribute,
    STATE(19184), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686887] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(64), 1,
      sym_attribute_id,
    STATE(15680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686905] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17426), 1,
      anon_sym_SEMI,
    ACTIONS(17428), 1,
      anon_sym_GT,
    STATE(15681), 1,
      sym_attribute,
    STATE(15764), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686925] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21379), 1,
      aux_sym_quoted_extension_token1,
    STATE(15682), 1,
      sym_attribute,
    STATE(19211), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686945] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(65), 1,
      sym_attribute_id,
    STATE(15683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686963] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21381), 1,
      aux_sym_quoted_extension_token1,
    STATE(15684), 1,
      sym_attribute,
    STATE(19233), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686983] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(66), 1,
      sym_attribute_id,
    STATE(15685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687001] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21383), 1,
      aux_sym_quoted_extension_token1,
    STATE(15686), 1,
      sym_attribute,
    STATE(19241), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687021] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(67), 1,
      sym_attribute_id,
    STATE(15687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687039] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21385), 1,
      aux_sym_quoted_extension_token1,
    STATE(15688), 1,
      sym_attribute,
    STATE(19261), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687059] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(68), 1,
      sym_attribute_id,
    STATE(15689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687077] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21387), 1,
      aux_sym_quoted_extension_token1,
    STATE(15690), 1,
      sym_attribute,
    STATE(19265), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687097] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(69), 1,
      sym_attribute_id,
    STATE(15691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687115] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21389), 1,
      aux_sym_quoted_extension_token1,
    STATE(15692), 1,
      sym_attribute,
    STATE(19272), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687135] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(70), 1,
      sym_attribute_id,
    STATE(15693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687153] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21391), 1,
      aux_sym_quoted_extension_token1,
    STATE(15694), 1,
      sym_attribute,
    STATE(19280), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687173] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(71), 1,
      sym_attribute_id,
    STATE(15695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687191] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21393), 1,
      aux_sym_quoted_extension_token1,
    STATE(15696), 1,
      sym_attribute,
    STATE(19287), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687211] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(72), 1,
      sym_attribute_id,
    STATE(15697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687229] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21395), 1,
      aux_sym_quoted_extension_token1,
    STATE(15698), 1,
      sym_attribute,
    STATE(19294), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687249] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(73), 1,
      sym_attribute_id,
    STATE(15699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687267] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21397), 1,
      aux_sym_quoted_extension_token1,
    STATE(15700), 1,
      sym_attribute,
    STATE(19302), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687287] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(74), 1,
      sym_attribute_id,
    STATE(15701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687305] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21399), 1,
      aux_sym_quoted_extension_token1,
    STATE(15702), 1,
      sym_attribute,
    STATE(19306), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687325] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(75), 1,
      sym_attribute_id,
    STATE(15703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687343] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21401), 1,
      aux_sym_quoted_extension_token1,
    STATE(15704), 1,
      sym_attribute,
    STATE(19320), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687363] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(76), 1,
      sym_attribute_id,
    STATE(15705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687381] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21403), 1,
      aux_sym_quoted_extension_token1,
    STATE(15706), 1,
      sym_attribute,
    STATE(19325), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687401] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(77), 1,
      sym_attribute_id,
    STATE(15707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687419] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21405), 1,
      aux_sym_quoted_extension_token1,
    STATE(15708), 1,
      sym_attribute,
    STATE(19336), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687439] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(78), 1,
      sym_attribute_id,
    STATE(15709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687457] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21407), 1,
      aux_sym_quoted_extension_token1,
    STATE(15710), 1,
      sym_attribute,
    STATE(19348), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687477] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(79), 1,
      sym_attribute_id,
    STATE(15711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687495] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21409), 1,
      aux_sym_quoted_extension_token1,
    STATE(15712), 1,
      sym_attribute,
    STATE(19352), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687515] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(80), 1,
      sym_attribute_id,
    STATE(15713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687533] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21411), 1,
      aux_sym_quoted_extension_token1,
    STATE(15714), 1,
      sym_attribute,
    STATE(19374), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687553] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(81), 1,
      sym_attribute_id,
    STATE(15715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687571] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21413), 1,
      aux_sym_quoted_extension_token1,
    STATE(15716), 1,
      sym_attribute,
    STATE(19381), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687591] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(82), 1,
      sym_attribute_id,
    STATE(15717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687609] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21415), 1,
      aux_sym_quoted_extension_token1,
    STATE(15718), 1,
      sym_attribute,
    STATE(19387), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687629] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(83), 1,
      sym_attribute_id,
    STATE(15719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687647] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21417), 1,
      aux_sym_quoted_extension_token1,
    STATE(15720), 1,
      sym_attribute,
    STATE(19400), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687667] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(84), 1,
      sym_attribute_id,
    STATE(15721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687685] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21419), 1,
      aux_sym_quoted_extension_token1,
    STATE(15722), 1,
      sym_attribute,
    STATE(19406), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687705] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(85), 1,
      sym_attribute_id,
    STATE(15723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687723] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21421), 1,
      aux_sym_quoted_extension_token1,
    STATE(15724), 1,
      sym_attribute,
    STATE(19419), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687743] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(86), 1,
      sym_attribute_id,
    STATE(15725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687761] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21423), 1,
      aux_sym_quoted_extension_token1,
    STATE(15726), 1,
      sym_attribute,
    STATE(19430), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687781] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(87), 1,
      sym_attribute_id,
    STATE(15727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687799] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21425), 1,
      aux_sym_quoted_extension_token1,
    STATE(15728), 1,
      sym_attribute,
    STATE(19442), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687819] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9970), 1,
      sym__type_equation,
    STATE(15729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20180), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [687837] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21427), 1,
      aux_sym_quoted_extension_token1,
    STATE(15730), 1,
      sym_attribute,
    STATE(19449), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687857] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(21429), 1,
      sym__lowercase_identifier,
    STATE(15731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687877] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      anon_sym_RBRACE,
    ACTIONS(21431), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687897] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(21433), 1,
      anon_sym_RPAREN,
    STATE(15733), 1,
      sym_attribute,
    STATE(20121), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687917] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21435), 1,
      anon_sym_RPAREN,
    STATE(15734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687937] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(21437), 1,
      anon_sym_RPAREN,
    STATE(15735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687957] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20343), 1,
      anon_sym_COMMA,
    ACTIONS(21439), 1,
      anon_sym_RPAREN,
    STATE(15545), 1,
      aux_sym__type_params_repeat1,
    STATE(15736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687977] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3783), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21441), 1,
      anon_sym_SEMI,
    STATE(15737), 1,
      sym_attribute,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687997] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19717), 1,
      anon_sym_RBRACE,
    ACTIONS(21443), 1,
      anon_sym_SEMI,
    STATE(15607), 1,
      aux_sym_record_declaration_repeat1,
    STATE(15738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688017] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20014), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21445), 1,
      anon_sym_SEMI,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688037] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19850), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688057] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15426), 1,
      sym_attribute_id,
    STATE(15741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [688075] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19850), 1,
      anon_sym_RBRACK,
    STATE(15742), 1,
      sym_attribute,
    STATE(15759), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688095] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(21447), 1,
      anon_sym_RPAREN,
    STATE(15743), 1,
      sym_attribute,
    STATE(19675), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688115] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21449), 1,
      anon_sym_SEMI,
    ACTIONS(21451), 1,
      anon_sym_GT_RBRACE,
    STATE(14941), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688135] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20343), 1,
      anon_sym_COMMA,
    ACTIONS(21453), 1,
      anon_sym_RBRACK,
    STATE(15037), 1,
      aux_sym__type_params_repeat1,
    STATE(15745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688155] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3621), 1,
      anon_sym_RBRACK,
    ACTIONS(21455), 1,
      anon_sym_SEMI,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    STATE(15746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688175] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19727), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21457), 1,
      anon_sym_SEMI,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688195] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21459), 1,
      anon_sym_RPAREN,
    STATE(15748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688215] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(21461), 1,
      anon_sym_RPAREN,
    STATE(15749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688235] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18444), 1,
      anon_sym_RBRACE,
    ACTIONS(21463), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688255] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21465), 1,
      anon_sym_RPAREN,
    STATE(15751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688275] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21467), 1,
      anon_sym_RPAREN,
    STATE(15752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688295] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(21469), 1,
      anon_sym_RPAREN,
    STATE(15753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688315] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11370), 1,
      sym_module_binding,
    STATE(15754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17996), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [688333] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19735), 1,
      anon_sym_RBRACK,
    STATE(15755), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688353] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11980), 1,
      sym_module_binding,
    STATE(15756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17996), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [688371] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18324), 1,
      anon_sym_RBRACE,
    ACTIONS(21471), 1,
      anon_sym_SEMI,
    STATE(15757), 1,
      sym_attribute,
    STATE(15781), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688391] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19735), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688411] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19860), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688431] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19902), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688451] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(20094), 1,
      anon_sym_RBRACK,
    STATE(15761), 1,
      sym_attribute,
    STATE(16326), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688471] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(20094), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688491] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21473), 1,
      anon_sym_SEMI,
    ACTIONS(21475), 1,
      anon_sym_RBRACE,
    STATE(15763), 1,
      sym_attribute,
    STATE(15865), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688511] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11387), 1,
      anon_sym_GT,
    ACTIONS(21477), 1,
      anon_sym_SEMI,
    STATE(14988), 1,
      aux_sym_object_type_repeat1,
    STATE(15764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688531] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18577), 1,
      anon_sym_RBRACE,
    ACTIONS(21479), 1,
      anon_sym_SEMI,
    STATE(15765), 1,
      sym_attribute,
    STATE(15785), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688551] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19322), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688571] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21481), 1,
      anon_sym_LPAREN,
    ACTIONS(21483), 1,
      anon_sym_LBRACK,
    ACTIONS(21485), 1,
      anon_sym_LBRACE,
    STATE(15767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688591] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9930), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    STATE(14966), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688611] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(21487), 1,
      sym__lowercase_identifier,
    STATE(15769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688631] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15202), 1,
      sym_attribute_id,
    STATE(15770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [688649] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21489), 1,
      anon_sym_RPAREN,
    STATE(15771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688669] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(21491), 1,
      sym__lowercase_identifier,
    STATE(15772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688689] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21493), 1,
      anon_sym_RPAREN,
    STATE(15773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688709] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(21495), 1,
      anon_sym_RPAREN,
    STATE(15774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688729] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17526), 1,
      anon_sym_SEMI,
    ACTIONS(17528), 1,
      anon_sym_GT,
    STATE(14971), 1,
      aux_sym_object_type_repeat1,
    STATE(15775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688749] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(21497), 1,
      anon_sym_RPAREN,
    STATE(15776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688769] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19745), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688789] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19745), 1,
      anon_sym_RBRACK,
    STATE(15778), 1,
      sym_attribute,
    STATE(15786), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688809] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21499), 1,
      anon_sym_SEMI,
    ACTIONS(21501), 1,
      anon_sym_GT_RBRACE,
    STATE(15779), 1,
      sym_attribute,
    STATE(15946), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688829] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12566), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [688845] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18326), 1,
      anon_sym_RBRACE,
    ACTIONS(21503), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688865] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21505), 1,
      anon_sym_RPAREN,
    STATE(15782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688885] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10651), 1,
      sym_attribute_id,
    STATE(15783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21507), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [688903] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21509), 1,
      anon_sym_LPAREN,
    ACTIONS(21511), 1,
      anon_sym_LBRACK,
    ACTIONS(21513), 1,
      anon_sym_LBRACE,
    STATE(15784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688923] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18579), 1,
      anon_sym_RBRACE,
    ACTIONS(21515), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688943] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19751), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688963] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21517), 1,
      anon_sym_SEMI,
    ACTIONS(21519), 1,
      anon_sym_GT_RBRACE,
    STATE(15787), 1,
      sym_attribute,
    STATE(16027), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688983] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21521), 1,
      anon_sym_SEMI,
    ACTIONS(21523), 1,
      anon_sym_RBRACE,
    STATE(15788), 1,
      sym_attribute,
    STATE(15825), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689003] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12582), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [689019] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18448), 1,
      anon_sym_RBRACE,
    ACTIONS(21525), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689039] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11599), 1,
      anon_sym_GT,
    ACTIONS(21527), 1,
      anon_sym_SEMI,
    STATE(14988), 1,
      aux_sym_object_type_repeat1,
    STATE(15791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689059] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20343), 1,
      anon_sym_COMMA,
    ACTIONS(21529), 1,
      anon_sym_RBRACK,
    STATE(14738), 1,
      aux_sym__type_params_repeat1,
    STATE(15792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689079] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15949), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21531), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15793), 2,
      sym_attribute,
      aux_sym_list_expression_repeat1,
  [689097] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(17916), 1,
      anon_sym_RBRACK,
    STATE(15794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689117] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20343), 1,
      anon_sym_COMMA,
    ACTIONS(21529), 1,
      anon_sym_RBRACK,
    STATE(15201), 1,
      aux_sym__type_params_repeat1,
    STATE(15795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689137] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21534), 1,
      anon_sym_EQ,
    STATE(15796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21536), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [689155] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(21538), 1,
      anon_sym_RPAREN,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689175] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3623), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21540), 1,
      anon_sym_SEMI,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    STATE(15798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689195] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13731), 1,
      anon_sym_and,
    STATE(15799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13729), 2,
      anon_sym_in,
      sym_let_and_operator,
  [689213] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21542), 1,
      anon_sym__,
    STATE(14242), 1,
      sym_type_variable,
    STATE(15800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689233] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18330), 1,
      anon_sym_RBRACE,
    ACTIONS(21544), 1,
      anon_sym_SEMI,
    STATE(14984), 1,
      aux_sym_record_expression_repeat1,
    STATE(15801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689253] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21546), 1,
      anon_sym_SEMI,
    ACTIONS(21548), 1,
      anon_sym_GT_RBRACE,
    STATE(15802), 1,
      sym_attribute,
    STATE(15807), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689273] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3301), 1,
      anon_sym_RBRACK,
    ACTIONS(21550), 1,
      anon_sym_SEMI,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    STATE(15803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689293] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19958), 1,
      anon_sym_RBRACK,
    STATE(15766), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689313] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21552), 1,
      anon_sym_SEMI,
    ACTIONS(21554), 1,
      anon_sym_RBRACE,
    STATE(15805), 1,
      sym_attribute,
    STATE(16040), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689333] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(21556), 1,
      anon_sym_RPAREN,
    STATE(15806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689353] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19190), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21558), 1,
      anon_sym_SEMI,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689373] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21560), 1,
      anon_sym_SEMI,
    ACTIONS(21562), 1,
      anon_sym_GT_RBRACE,
    STATE(15808), 1,
      sym_attribute,
    STATE(15856), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689393] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8176), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21564), 1,
      anon_sym_SEMI,
    STATE(15559), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689413] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21566), 1,
      anon_sym_SEMI,
    ACTIONS(21568), 1,
      anon_sym_RBRACE,
    STATE(15810), 1,
      sym_attribute,
    STATE(16081), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689433] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18212), 1,
      anon_sym_RBRACE,
    ACTIONS(21570), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689453] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(14703), 1,
      aux_sym_module_binding_repeat1,
    STATE(15812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689473] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19928), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21572), 1,
      anon_sym_SEMI,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689493] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12121), 1,
      anon_sym_DQUOTE,
    STATE(9811), 1,
      aux_sym_external_repeat1,
    STATE(10982), 1,
      sym_string,
    STATE(15814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689513] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21574), 1,
      anon_sym_EQ,
    STATE(15815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689533] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19958), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689553] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21576), 1,
      anon_sym_SEMI,
    ACTIONS(21578), 1,
      anon_sym_RBRACE,
    STATE(15817), 1,
      sym_attribute,
    STATE(15837), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689573] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21580), 1,
      anon_sym_SEMI,
    ACTIONS(21582), 1,
      anon_sym_RBRACE,
    STATE(15818), 1,
      sym_attribute,
    STATE(15841), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689593] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21584), 3,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym__lowercase_identifier,
  [689609] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3337), 1,
      anon_sym_RBRACK,
    ACTIONS(21586), 1,
      anon_sym_SEMI,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    STATE(15820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689629] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15821), 1,
      sym_attribute,
    STATE(15874), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [689647] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(21588), 1,
      anon_sym_RPAREN,
    STATE(15822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689667] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21590), 1,
      anon_sym_SEMI,
    ACTIONS(21592), 1,
      anon_sym_GT_RBRACE,
    STATE(15823), 1,
      sym_attribute,
    STATE(15857), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689687] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14427), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15824), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689707] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18254), 1,
      anon_sym_RBRACE,
    ACTIONS(21594), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689727] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19322), 1,
      anon_sym_RBRACK,
    STATE(15587), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689747] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21596), 1,
      anon_sym_SEMI,
    ACTIONS(21598), 1,
      anon_sym_GT_RBRACE,
    STATE(15827), 1,
      sym_attribute,
    STATE(15849), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689767] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21600), 1,
      anon_sym_SEMI,
    ACTIONS(21602), 1,
      anon_sym_RBRACE,
    STATE(15031), 1,
      aux_sym_record_pattern_repeat1,
    STATE(15828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689787] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3421), 1,
      anon_sym_RBRACK,
    ACTIONS(21604), 1,
      anon_sym_SEMI,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    STATE(15829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689807] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21606), 1,
      anon_sym_LPAREN,
    ACTIONS(21608), 1,
      anon_sym_LBRACK,
    ACTIONS(21610), 1,
      anon_sym_LBRACE,
    STATE(15830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689827] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21612), 1,
      anon_sym_SEMI,
    ACTIONS(21614), 1,
      anon_sym_RBRACE,
    STATE(15831), 1,
      sym_attribute,
    STATE(15888), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689847] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3339), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21616), 1,
      anon_sym_SEMI,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    STATE(15832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689867] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3793), 1,
      anon_sym_RBRACK,
    ACTIONS(21618), 1,
      anon_sym_SEMI,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    STATE(15833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689887] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3877), 1,
      anon_sym_RBRACK,
    ACTIONS(21620), 1,
      anon_sym_SEMI,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    STATE(15834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689907] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(21622), 1,
      anon_sym_RPAREN,
    STATE(15835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689927] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9978), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    STATE(15836), 1,
      sym_attribute,
    STATE(15855), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689947] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18334), 1,
      anon_sym_RBRACE,
    ACTIONS(21624), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689967] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21626), 1,
      anon_sym_LPAREN,
    ACTIONS(21628), 1,
      anon_sym_LBRACK,
    ACTIONS(21630), 1,
      anon_sym_LBRACE,
    STATE(15838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689987] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17466), 1,
      anon_sym_SEMI,
    ACTIONS(17468), 1,
      anon_sym_GT,
    STATE(15839), 1,
      sym_attribute,
    STATE(15859), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690007] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21632), 1,
      anon_sym_SEMI,
    ACTIONS(21634), 1,
      anon_sym_RBRACE,
    STATE(15001), 1,
      aux_sym_record_declaration_repeat1,
    STATE(15840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690027] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18590), 1,
      anon_sym_RBRACE,
    ACTIONS(21636), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690047] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9984), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    STATE(15842), 1,
      sym_attribute,
    STATE(16121), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690067] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21638), 1,
      anon_sym_SEMI,
    ACTIONS(21640), 1,
      anon_sym_RBRACE,
    STATE(15843), 1,
      sym_attribute,
    STATE(16142), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690087] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21642), 1,
      anon_sym_SEMI,
    ACTIONS(21644), 1,
      anon_sym_GT_RBRACE,
    STATE(15844), 1,
      sym_attribute,
    STATE(15904), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690107] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3423), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21646), 1,
      anon_sym_SEMI,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    STATE(15845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690127] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3795), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21648), 1,
      anon_sym_SEMI,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    STATE(15846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690147] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10089), 1,
      sym__type_equation,
    STATE(15847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21365), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [690165] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21650), 1,
      anon_sym_RPAREN,
    STATE(15848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690185] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19817), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21652), 1,
      anon_sym_SEMI,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690205] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17406), 1,
      anon_sym_SEMI,
    ACTIONS(17408), 1,
      anon_sym_GT,
    STATE(15850), 1,
      sym_attribute,
    STATE(16124), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690225] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21654), 1,
      anon_sym_RPAREN,
    STATE(15851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690245] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8), 1,
      sym_attribute_id,
    STATE(15852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [690263] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(21656), 1,
      anon_sym_RPAREN,
    STATE(15853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690283] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19823), 1,
      anon_sym_RBRACK,
    STATE(15854), 1,
      sym_attribute,
    STATE(15871), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690303] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19823), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690323] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19150), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21658), 1,
      anon_sym_SEMI,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690343] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19068), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21660), 1,
      anon_sym_SEMI,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690363] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15858), 1,
      sym_attribute,
    STATE(16097), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [690381] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11439), 1,
      anon_sym_GT,
    ACTIONS(21662), 1,
      anon_sym_SEMI,
    STATE(14988), 1,
      aux_sym_object_type_repeat1,
    STATE(15859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690401] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18592), 1,
      anon_sym_RBRACE,
    ACTIONS(21664), 1,
      anon_sym_SEMI,
    STATE(15860), 1,
      sym_attribute,
    STATE(15878), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690421] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21666), 1,
      anon_sym_SEMI,
    ACTIONS(21668), 1,
      anon_sym_RBRACE,
    STATE(15056), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(15861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690441] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19839), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [690457] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20343), 1,
      anon_sym_COMMA,
    ACTIONS(21670), 1,
      anon_sym_RBRACK,
    STATE(14738), 1,
      aux_sym__type_params_repeat1,
    STATE(15863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690477] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9), 1,
      sym_attribute_id,
    STATE(15864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [690495] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18452), 1,
      anon_sym_RBRACE,
    ACTIONS(21672), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690515] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21674), 1,
      anon_sym_LPAREN,
    ACTIONS(21676), 1,
      anon_sym_LBRACK,
    ACTIONS(21678), 1,
      anon_sym_LBRACE,
    STATE(15866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690535] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(21680), 1,
      sym__lowercase_identifier,
    STATE(15867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690555] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21682), 1,
      anon_sym_RPAREN,
    STATE(15868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690575] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(21684), 1,
      anon_sym_RPAREN,
    STATE(15869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690595] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21686), 1,
      anon_sym_RPAREN,
    STATE(15870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690615] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19831), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690635] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19831), 1,
      anon_sym_RBRACK,
    STATE(15872), 1,
      sym_attribute,
    STATE(15883), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690655] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3673), 1,
      anon_sym_RBRACK,
    ACTIONS(21688), 1,
      anon_sym_SEMI,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    STATE(15873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690675] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21690), 1,
      aux_sym_quoted_extension_token1,
    STATE(15874), 1,
      sym_attribute,
    STATE(17731), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690695] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21692), 1,
      anon_sym_LPAREN,
    ACTIONS(21694), 1,
      anon_sym_LBRACK,
    ACTIONS(21696), 1,
      anon_sym_LBRACE,
    STATE(15875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690715] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21698), 1,
      anon_sym_RPAREN,
    STATE(15876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690735] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20343), 1,
      anon_sym_COMMA,
    ACTIONS(21700), 1,
      anon_sym_RBRACK,
    STATE(15877), 1,
      sym_attribute,
    STATE(15894), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690755] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18594), 1,
      anon_sym_RBRACE,
    ACTIONS(21702), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690775] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18336), 1,
      anon_sym_RBRACE,
    ACTIONS(21704), 1,
      anon_sym_SEMI,
    STATE(15879), 1,
      sym_attribute,
    STATE(15907), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690795] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    STATE(15880), 1,
      sym_attribute,
    STATE(15925), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690815] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21706), 1,
      anon_sym_RPAREN,
    STATE(15881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690835] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17335), 1,
      anon_sym_SEMI,
    ACTIONS(17337), 1,
      anon_sym_GT,
    STATE(15882), 1,
      sym_attribute,
    STATE(15940), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690855] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19846), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690875] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(21708), 1,
      sym__lowercase_identifier,
    STATE(15884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690895] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18256), 1,
      anon_sym_RBRACE,
    ACTIONS(21710), 1,
      anon_sym_SEMI,
    STATE(15885), 1,
      sym_attribute,
    STATE(16003), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690915] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21712), 1,
      anon_sym_SEMI,
    ACTIONS(21714), 1,
      anon_sym_GT_RBRACE,
    STATE(15317), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690935] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21716), 1,
      anon_sym_EQ,
    STATE(15887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21718), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
  [690953] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18454), 1,
      anon_sym_RBRACE,
    ACTIONS(21720), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690973] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3879), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21722), 1,
      anon_sym_SEMI,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    STATE(15889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690993] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17147), 1,
      sym__uppercase_identifier,
    ACTIONS(18713), 1,
      anon_sym_LPAREN,
    STATE(8745), 1,
      sym__constructor_name,
    STATE(15890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691013] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3675), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21724), 1,
      anon_sym_SEMI,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    STATE(15891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691033] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15892), 1,
      sym_attribute,
    STATE(16319), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [691051] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21726), 1,
      anon_sym_EQ,
    STATE(15893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691071] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20343), 1,
      anon_sym_COMMA,
    ACTIONS(21728), 1,
      anon_sym_RBRACK,
    STATE(14738), 1,
      aux_sym__type_params_repeat1,
    STATE(15894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691091] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20343), 1,
      anon_sym_COMMA,
    ACTIONS(21728), 1,
      anon_sym_RBRACK,
    STATE(15895), 1,
      sym_attribute,
    STATE(15916), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691111] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(21730), 1,
      sym__lowercase_identifier,
    STATE(15896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691131] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21732), 1,
      anon_sym_SEMI,
    ACTIONS(21734), 1,
      anon_sym_RBRACE,
    STATE(15738), 1,
      aux_sym_record_declaration_repeat1,
    STATE(15897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691151] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21736), 1,
      anon_sym_LPAREN,
    ACTIONS(21738), 1,
      anon_sym_LBRACK,
    ACTIONS(21740), 1,
      anon_sym_LBRACE,
    STATE(15898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691171] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10698), 1,
      sym_attribute_id,
    STATE(15899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21742), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [691189] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21744), 1,
      anon_sym_LPAREN,
    ACTIONS(21746), 1,
      anon_sym_LBRACK,
    ACTIONS(21748), 1,
      anon_sym_LBRACE,
    STATE(15900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691209] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13071), 1,
      sym__type_equation,
    STATE(15901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20286), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [691227] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21750), 1,
      anon_sym_RPAREN,
    STATE(15902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691247] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(14970), 1,
      sym_attribute_id,
    STATE(15903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [691265] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20083), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21752), 1,
      anon_sym_SEMI,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691285] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10796), 1,
      anon_sym_DOT,
    STATE(15905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21754), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [691303] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3303), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21756), 1,
      anon_sym_SEMI,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    STATE(15906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691323] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18338), 1,
      anon_sym_RBRACE,
    ACTIONS(21758), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691343] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(21760), 1,
      anon_sym_RPAREN,
    STATE(15908), 1,
      sym_attribute,
    STATE(18618), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691363] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21762), 1,
      anon_sym_LPAREN,
    ACTIONS(21764), 1,
      anon_sym_LBRACK,
    ACTIONS(21766), 1,
      anon_sym_LBRACE,
    STATE(15909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691383] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21768), 1,
      anon_sym_SEMI,
    ACTIONS(21770), 1,
      anon_sym_GT_RBRACE,
    STATE(15910), 1,
      sym_attribute,
    STATE(16258), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691403] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21772), 1,
      anon_sym_SEMI,
    ACTIONS(21774), 1,
      anon_sym_RBRACE,
    STATE(15911), 1,
      sym_attribute,
    STATE(15941), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691423] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21776), 1,
      anon_sym_RPAREN,
    STATE(15912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691443] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21778), 1,
      anon_sym_LPAREN,
    ACTIONS(21780), 1,
      anon_sym_LBRACK,
    ACTIONS(21782), 1,
      anon_sym_LBRACE,
    STATE(15913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691463] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15007), 1,
      sym_attribute_id,
    STATE(15914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [691481] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10561), 1,
      sym__type_equation,
    STATE(15915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21784), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [691499] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20343), 1,
      anon_sym_COMMA,
    ACTIONS(21786), 1,
      anon_sym_RBRACK,
    STATE(14738), 1,
      aux_sym__type_params_repeat1,
    STATE(15916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691519] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4), 1,
      sym_attribute_id,
    STATE(15917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [691537] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(21788), 1,
      anon_sym_RPAREN,
    STATE(15918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691557] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(20098), 1,
      anon_sym_RBRACK,
    STATE(15919), 1,
      sym_attribute,
    STATE(15980), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691577] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21790), 1,
      anon_sym_LPAREN,
    ACTIONS(21792), 1,
      anon_sym_LBRACK,
    ACTIONS(21794), 1,
      anon_sym_LBRACE,
    STATE(15920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691597] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21796), 1,
      anon_sym_SEMI,
    ACTIONS(21798), 1,
      anon_sym_GT_RBRACE,
    STATE(15921), 1,
      sym_attribute,
    STATE(15954), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691617] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21800), 1,
      anon_sym_LPAREN,
    ACTIONS(21802), 1,
      anon_sym_LBRACK,
    ACTIONS(21804), 1,
      anon_sym_LBRACE,
    STATE(15922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691637] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15043), 1,
      sym_attribute_id,
    STATE(15923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [691655] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21806), 1,
      anon_sym_EQ,
    STATE(15924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691675] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(20098), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691695] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21808), 1,
      anon_sym_LPAREN,
    ACTIONS(21810), 1,
      anon_sym_LBRACK,
    ACTIONS(21812), 1,
      anon_sym_LBRACE,
    STATE(15926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691715] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11720), 1,
      sym_attribute_id,
    STATE(15927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21814), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [691733] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      anon_sym_LPAREN,
    ACTIONS(21818), 1,
      anon_sym_LBRACK,
    ACTIONS(21820), 1,
      anon_sym_LBRACE,
    STATE(15928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691753] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15076), 1,
      sym_attribute_id,
    STATE(15929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [691771] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3869), 1,
      anon_sym_RBRACK,
    ACTIONS(21822), 1,
      anon_sym_SEMI,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    STATE(15930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691791] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(21824), 1,
      anon_sym_RPAREN,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691811] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13268), 1,
      sym_attribute_id,
    STATE(15932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21826), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [691829] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10014), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    STATE(15933), 1,
      sym_attribute,
    STATE(15966), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691849] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14369), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15934), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691869] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21828), 1,
      anon_sym_LPAREN,
    ACTIONS(21830), 1,
      anon_sym_LBRACK,
    ACTIONS(21832), 1,
      anon_sym_LBRACE,
    STATE(15935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691889] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21834), 1,
      anon_sym_SEMI,
    ACTIONS(21836), 1,
      anon_sym_RBRACE,
    STATE(15537), 1,
      aux_sym_record_pattern_repeat1,
    STATE(15936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691909] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17472), 1,
      anon_sym_SEMI,
    ACTIONS(17474), 1,
      anon_sym_GT,
    STATE(15937), 1,
      sym_attribute,
    STATE(15972), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691929] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21838), 1,
      anon_sym_LPAREN,
    ACTIONS(21840), 1,
      anon_sym_LBRACK,
    ACTIONS(21842), 1,
      anon_sym_LBRACE,
    STATE(15938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691949] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15113), 1,
      sym_attribute_id,
    STATE(15939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [691967] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11583), 1,
      anon_sym_GT,
    ACTIONS(21844), 1,
      anon_sym_SEMI,
    STATE(14988), 1,
      aux_sym_object_type_repeat1,
    STATE(15940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691987] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      anon_sym_RBRACE,
    ACTIONS(21846), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692007] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18456), 1,
      anon_sym_RBRACE,
    ACTIONS(21848), 1,
      anon_sym_SEMI,
    STATE(15942), 1,
      sym_attribute,
    STATE(15998), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692027] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10796), 1,
      anon_sym_DOT,
    STATE(15943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21850), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [692045] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10562), 1,
      sym__type_equation,
    STATE(15944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21784), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [692063] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3871), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21852), 1,
      anon_sym_SEMI,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    STATE(15945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692083] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20102), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21854), 1,
      anon_sym_SEMI,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692103] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21856), 1,
      anon_sym_LPAREN,
    ACTIONS(21858), 1,
      anon_sym_LBRACK,
    ACTIONS(21860), 1,
      anon_sym_LBRACE,
    STATE(15947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692123] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21862), 1,
      sym__lowercase_identifier,
    ACTIONS(21864), 1,
      anon_sym_LPAREN,
    STATE(8712), 1,
      sym__simple_value_pattern,
    STATE(15948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692143] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21866), 1,
      anon_sym_LPAREN,
    ACTIONS(21868), 1,
      anon_sym_LBRACK,
    ACTIONS(21870), 1,
      anon_sym_LBRACE,
    STATE(15949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692163] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15137), 1,
      sym_attribute_id,
    STATE(15950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [692181] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(21872), 1,
      anon_sym_RBRACK,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692201] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21874), 1,
      anon_sym_EQ,
    STATE(15952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692221] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14453), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15953), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692241] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19904), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21876), 1,
      anon_sym_SEMI,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692261] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(21878), 1,
      sym__lowercase_identifier,
    STATE(15955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692281] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21880), 1,
      anon_sym_LPAREN,
    ACTIONS(21882), 1,
      anon_sym_LBRACK,
    ACTIONS(21884), 1,
      anon_sym_LBRACE,
    STATE(15956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692301] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21886), 1,
      anon_sym_RPAREN,
    STATE(15957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692321] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21888), 1,
      anon_sym_LPAREN,
    ACTIONS(21890), 1,
      anon_sym_LBRACK,
    ACTIONS(21892), 1,
      anon_sym_LBRACE,
    STATE(15958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692341] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15168), 1,
      sym_attribute_id,
    STATE(15959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [692359] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21894), 1,
      anon_sym_EQ,
    STATE(15960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692379] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21896), 1,
      anon_sym_RPAREN,
    STATE(15961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692399] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14487), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15962), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692419] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(21898), 1,
      anon_sym_RPAREN,
    STATE(15963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692439] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19912), 1,
      anon_sym_RBRACK,
    STATE(15964), 1,
      sym_attribute,
    STATE(15994), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692459] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21900), 1,
      anon_sym_LPAREN,
    ACTIONS(21902), 1,
      anon_sym_LBRACK,
    ACTIONS(21904), 1,
      anon_sym_LBRACE,
    STATE(15965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692479] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19912), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692499] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21906), 1,
      anon_sym_LPAREN,
    ACTIONS(21908), 1,
      anon_sym_LBRACK,
    ACTIONS(21910), 1,
      anon_sym_LBRACE,
    STATE(15967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692519] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15197), 1,
      sym_attribute_id,
    STATE(15968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [692537] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(21912), 1,
      sym__lowercase_identifier,
    STATE(15969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692557] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(21914), 1,
      anon_sym_RPAREN,
    STATE(15970), 1,
      sym_attribute,
    STATE(18893), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692577] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21916), 1,
      anon_sym_RPAREN,
    STATE(15971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692597] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11479), 1,
      anon_sym_GT,
    ACTIONS(21918), 1,
      anon_sym_SEMI,
    STATE(14988), 1,
      aux_sym_object_type_repeat1,
    STATE(15972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692617] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18604), 1,
      anon_sym_RBRACE,
    ACTIONS(21920), 1,
      anon_sym_SEMI,
    STATE(15973), 1,
      sym_attribute,
    STATE(16005), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692637] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21922), 1,
      anon_sym_LPAREN,
    ACTIONS(21924), 1,
      anon_sym_LBRACK,
    ACTIONS(21926), 1,
      anon_sym_LBRACE,
    STATE(15974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692657] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(21928), 1,
      anon_sym_RPAREN,
    STATE(15975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692677] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21930), 1,
      anon_sym_LPAREN,
    ACTIONS(21932), 1,
      anon_sym_LBRACK,
    ACTIONS(21934), 1,
      anon_sym_LBRACE,
    STATE(15976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692697] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15221), 1,
      sym_attribute_id,
    STATE(15977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [692715] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21936), 1,
      anon_sym_SEMI,
    ACTIONS(21938), 1,
      anon_sym_RBRACE,
    STATE(15978), 1,
      sym_attribute,
    STATE(16016), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692735] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(21940), 1,
      anon_sym_RBRACK,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692755] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(20114), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692775] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(20114), 1,
      anon_sym_RBRACK,
    STATE(15981), 1,
      sym_attribute,
    STATE(16004), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692795] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19285), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [692811] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21942), 1,
      anon_sym_LPAREN,
    ACTIONS(21944), 1,
      anon_sym_LBRACK,
    ACTIONS(21946), 1,
      anon_sym_LBRACE,
    STATE(15983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692831] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21948), 1,
      anon_sym_LPAREN,
    ACTIONS(21950), 1,
      anon_sym_LBRACK,
    ACTIONS(21952), 1,
      anon_sym_LBRACE,
    STATE(15984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692851] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15236), 1,
      sym_attribute_id,
    STATE(15985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [692869] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(21954), 1,
      sym__lowercase_identifier,
    STATE(15986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692889] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21956), 1,
      anon_sym_SEMI,
    ACTIONS(21958), 1,
      anon_sym_GT_RBRACE,
    STATE(15987), 1,
      sym_attribute,
    STATE(16048), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692909] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21960), 1,
      anon_sym_LPAREN,
    ACTIONS(21962), 1,
      anon_sym_LBRACK,
    ACTIONS(21964), 1,
      anon_sym_LBRACE,
    STATE(15988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692929] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21966), 1,
      anon_sym_RPAREN,
    STATE(15989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692949] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21968), 1,
      anon_sym_LPAREN,
    ACTIONS(21970), 1,
      anon_sym_LBRACK,
    ACTIONS(21972), 1,
      anon_sym_LBRACE,
    STATE(15990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692969] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15251), 1,
      sym_attribute_id,
    STATE(15991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [692987] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(21974), 1,
      anon_sym_RPAREN,
    STATE(15992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693007] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20894), 1,
      anon_sym_COLON2,
    ACTIONS(21976), 1,
      anon_sym_RPAREN,
    STATE(15993), 1,
      sym_attribute,
    STATE(18828), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693027] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19932), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693047] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21978), 1,
      anon_sym_RPAREN,
    STATE(15995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693067] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19932), 1,
      anon_sym_RBRACK,
    STATE(15996), 1,
      sym_attribute,
    STATE(16010), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693087] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21980), 1,
      anon_sym_SEMI,
    ACTIONS(21982), 1,
      anon_sym_RBRACE,
    STATE(15997), 1,
      sym_attribute,
    STATE(16329), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693107] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18458), 1,
      anon_sym_RBRACE,
    ACTIONS(21984), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(15998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693127] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21986), 1,
      anon_sym_LPAREN,
    ACTIONS(21988), 1,
      anon_sym_LBRACK,
    ACTIONS(21990), 1,
      anon_sym_LBRACE,
    STATE(15999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693147] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21992), 1,
      anon_sym_LPAREN,
    ACTIONS(21994), 1,
      anon_sym_LBRACK,
    ACTIONS(21996), 1,
      anon_sym_LBRACE,
    STATE(16000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693167] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15272), 1,
      sym_attribute_id,
    STATE(16001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [693185] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(21998), 1,
      anon_sym_RPAREN,
    STATE(16002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693205] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18258), 1,
      anon_sym_RBRACE,
    ACTIONS(22000), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(16003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693225] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(20134), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693245] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18606), 1,
      anon_sym_RBRACE,
    ACTIONS(22002), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(16005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693265] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22004), 1,
      anon_sym_LPAREN,
    ACTIONS(22006), 1,
      anon_sym_LBRACK,
    ACTIONS(22008), 1,
      anon_sym_LBRACE,
    STATE(16006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693285] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22010), 1,
      anon_sym_LPAREN,
    ACTIONS(22012), 1,
      anon_sym_LBRACK,
    ACTIONS(22014), 1,
      anon_sym_LBRACE,
    STATE(16007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693305] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15295), 1,
      sym_attribute_id,
    STATE(16008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [693323] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(14936), 1,
      sym_module_binding,
    STATE(16009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18202), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [693341] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19942), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693361] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3433), 1,
      anon_sym_RBRACK,
    ACTIONS(22016), 1,
      anon_sym_SEMI,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    STATE(16011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693381] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22018), 1,
      anon_sym_LPAREN,
    ACTIONS(22020), 1,
      anon_sym_LBRACK,
    ACTIONS(22022), 1,
      anon_sym_LBRACE,
    STATE(16012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693401] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22024), 1,
      anon_sym_LPAREN,
    ACTIONS(22026), 1,
      anon_sym_LBRACK,
    ACTIONS(22028), 1,
      anon_sym_LBRACE,
    STATE(16013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693421] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15315), 1,
      sym_attribute_id,
    STATE(16014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [693439] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16015), 1,
      sym_attribute,
    STATE(17336), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18202), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [693457] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18344), 1,
      anon_sym_RBRACE,
    ACTIONS(22030), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(16016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693477] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8122), 1,
      anon_sym_RBRACK,
    ACTIONS(22032), 1,
      anon_sym_SEMI,
    STATE(16017), 1,
      sym_attribute,
    STATE(16066), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693497] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22034), 1,
      anon_sym_LPAREN,
    ACTIONS(22036), 1,
      anon_sym_LBRACK,
    ACTIONS(22038), 1,
      anon_sym_LBRACE,
    STATE(16018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693517] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22040), 1,
      anon_sym_LPAREN,
    ACTIONS(22042), 1,
      anon_sym_LBRACK,
    ACTIONS(22044), 1,
      anon_sym_LBRACE,
    STATE(16019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693537] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15335), 1,
      sym_attribute_id,
    STATE(16020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [693555] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17117), 1,
      sym__uppercase_identifier,
    ACTIONS(18910), 1,
      anon_sym_LPAREN,
    STATE(13099), 1,
      sym__constructor_name,
    STATE(16021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693575] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(22046), 1,
      anon_sym_RPAREN,
    STATE(16022), 1,
      sym_attribute,
    STATE(18891), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693595] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20894), 1,
      anon_sym_COLON2,
    ACTIONS(22048), 1,
      anon_sym_RPAREN,
    STATE(16023), 1,
      sym_attribute,
    STATE(17592), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693615] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22050), 1,
      anon_sym_LPAREN,
    ACTIONS(22052), 1,
      anon_sym_LBRACK,
    ACTIONS(22054), 1,
      anon_sym_LBRACE,
    STATE(16024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693635] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22056), 1,
      anon_sym_LPAREN,
    ACTIONS(22058), 1,
      anon_sym_LBRACK,
    ACTIONS(22060), 1,
      anon_sym_LBRACE,
    STATE(16025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693655] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15356), 1,
      sym_attribute_id,
    STATE(16026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [693673] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19244), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22062), 1,
      anon_sym_SEMI,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693693] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(22064), 1,
      anon_sym_RPAREN,
    STATE(16028), 1,
      sym_attribute,
    STATE(17627), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693713] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22066), 1,
      anon_sym_SEMI,
    ACTIONS(22068), 1,
      anon_sym_RBRACE,
    STATE(16029), 1,
      sym_attribute,
    STATE(16248), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693733] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3435), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22070), 1,
      anon_sym_SEMI,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    STATE(16030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693753] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22072), 1,
      anon_sym_LPAREN,
    ACTIONS(22074), 1,
      anon_sym_LBRACK,
    ACTIONS(22076), 1,
      anon_sym_LBRACE,
    STATE(16031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693773] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8194), 1,
      anon_sym_RBRACK,
    ACTIONS(22078), 1,
      anon_sym_SEMI,
    STATE(16032), 1,
      sym_attribute,
    STATE(16066), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693793] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22080), 1,
      anon_sym_LPAREN,
    ACTIONS(22082), 1,
      anon_sym_LBRACK,
    ACTIONS(22084), 1,
      anon_sym_LBRACE,
    STATE(16033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693813] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15379), 1,
      sym_attribute_id,
    STATE(16034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [693831] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(24), 1,
      sym_attribute_id,
    STATE(16035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [693849] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7960), 1,
      anon_sym_RBRACK,
    ACTIONS(22086), 1,
      anon_sym_SEMI,
    STATE(16036), 1,
      sym_attribute,
    STATE(16066), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693869] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22088), 1,
      anon_sym_LPAREN,
    ACTIONS(22090), 1,
      anon_sym_LBRACK,
    ACTIONS(22092), 1,
      anon_sym_LBRACE,
    STATE(16037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693889] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22094), 1,
      anon_sym_LPAREN,
    ACTIONS(22096), 1,
      anon_sym_LBRACK,
    ACTIONS(22098), 1,
      anon_sym_LBRACE,
    STATE(16038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693909] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15400), 1,
      sym_attribute_id,
    STATE(16039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [693927] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17824), 1,
      anon_sym_RBRACE,
    ACTIONS(22100), 1,
      anon_sym_SEMI,
    STATE(16040), 1,
      sym_attribute,
    STATE(16279), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693947] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(22102), 1,
      anon_sym_RPAREN,
    STATE(16041), 1,
      sym_attribute,
    STATE(19035), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693967] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22104), 1,
      anon_sym_LPAREN,
    ACTIONS(22106), 1,
      anon_sym_LBRACK,
    ACTIONS(22108), 1,
      anon_sym_LBRACE,
    STATE(16042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693987] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22110), 1,
      anon_sym_LPAREN,
    ACTIONS(22112), 1,
      anon_sym_LBRACK,
    ACTIONS(22114), 1,
      anon_sym_LBRACE,
    STATE(16043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694007] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15415), 1,
      sym_attribute_id,
    STATE(16044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [694025] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(22116), 1,
      anon_sym_RPAREN,
    STATE(16045), 1,
      sym_attribute,
    STATE(17912), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694045] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8196), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22118), 1,
      anon_sym_SEMI,
    STATE(15559), 1,
      aux_sym_list_pattern_repeat1,
    STATE(16046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694065] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22120), 1,
      anon_sym_SEMI,
    ACTIONS(22122), 1,
      anon_sym_RBRACE,
    STATE(15273), 1,
      aux_sym_record_expression_repeat1,
    STATE(16047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694085] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19126), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22124), 1,
      anon_sym_SEMI,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694105] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3629), 1,
      anon_sym_RBRACK,
    ACTIONS(22126), 1,
      anon_sym_SEMI,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    STATE(16049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694125] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22128), 1,
      anon_sym_LPAREN,
    ACTIONS(22130), 1,
      anon_sym_LBRACK,
    ACTIONS(22132), 1,
      anon_sym_LBRACE,
    STATE(16050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694145] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22134), 1,
      anon_sym_LPAREN,
    ACTIONS(22136), 1,
      anon_sym_LBRACK,
    ACTIONS(22138), 1,
      anon_sym_LBRACE,
    STATE(16051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694165] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15427), 1,
      sym_attribute_id,
    STATE(16052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [694183] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22140), 1,
      anon_sym_SEMI,
    ACTIONS(22142), 1,
      anon_sym_RBRACE,
    STATE(16053), 1,
      sym_attribute,
    STATE(16085), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694203] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(22144), 1,
      anon_sym_RPAREN,
    STATE(16054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694223] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22146), 1,
      anon_sym_SEMI,
    ACTIONS(22148), 1,
      anon_sym_GT_RBRACE,
    STATE(16055), 1,
      sym_attribute,
    STATE(16273), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694243] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22150), 1,
      anon_sym_LPAREN,
    ACTIONS(22152), 1,
      anon_sym_LBRACK,
    ACTIONS(22154), 1,
      anon_sym_LBRACE,
    STATE(16056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694263] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22156), 1,
      anon_sym_LPAREN,
    ACTIONS(22158), 1,
      anon_sym_LBRACK,
    ACTIONS(22160), 1,
      anon_sym_LBRACE,
    STATE(16057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694283] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15437), 1,
      sym_attribute_id,
    STATE(16058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [694301] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3613), 1,
      anon_sym_RBRACK,
    ACTIONS(22162), 1,
      anon_sym_SEMI,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    STATE(16059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694321] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18346), 1,
      anon_sym_RBRACE,
    ACTIONS(22164), 1,
      anon_sym_SEMI,
    STATE(16060), 1,
      sym_attribute,
    STATE(16112), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694341] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22166), 1,
      anon_sym_SEMI,
    ACTIONS(22168), 1,
      anon_sym_GT_RBRACE,
    STATE(16061), 1,
      sym_attribute,
    STATE(16098), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694361] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22170), 1,
      anon_sym_LPAREN,
    ACTIONS(22172), 1,
      anon_sym_LBRACK,
    ACTIONS(22174), 1,
      anon_sym_LBRACE,
    STATE(16062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694381] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22176), 1,
      anon_sym_LPAREN,
    ACTIONS(22178), 1,
      anon_sym_LBRACK,
    ACTIONS(22180), 1,
      anon_sym_LBRACE,
    STATE(16063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694401] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15451), 1,
      sym_attribute_id,
    STATE(16064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [694419] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22182), 1,
      anon_sym_SEMI,
    ACTIONS(22184), 1,
      anon_sym_RBRACE,
    STATE(14961), 1,
      aux_sym_record_expression_repeat1,
    STATE(16065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694439] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18525), 1,
      anon_sym_RBRACK,
    ACTIONS(22186), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16066), 2,
      sym_attribute,
      aux_sym_list_pattern_repeat1,
  [694457] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22189), 1,
      anon_sym_LPAREN,
    ACTIONS(22191), 1,
      anon_sym_LBRACK,
    ACTIONS(22193), 1,
      anon_sym_LBRACE,
    STATE(16067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694477] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22195), 1,
      anon_sym_LPAREN,
    ACTIONS(22197), 1,
      anon_sym_LBRACK,
    ACTIONS(22199), 1,
      anon_sym_LBRACE,
    STATE(16068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694497] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15462), 1,
      sym_attribute_id,
    STATE(16069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [694515] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12113), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [694531] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9852), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    STATE(14963), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694551] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3885), 1,
      anon_sym_RBRACK,
    ACTIONS(22201), 1,
      anon_sym_SEMI,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    STATE(16072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694571] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10), 1,
      sym_attribute_id,
    STATE(16073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [694589] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22203), 1,
      anon_sym_LPAREN,
    ACTIONS(22205), 1,
      anon_sym_LBRACK,
    ACTIONS(22207), 1,
      anon_sym_LBRACE,
    STATE(16074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694609] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17682), 1,
      anon_sym_RBRACE,
    ACTIONS(22209), 1,
      anon_sym_SEMI,
    STATE(16075), 1,
      sym_attribute,
    STATE(16279), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694629] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22211), 1,
      anon_sym_LPAREN,
    ACTIONS(22213), 1,
      anon_sym_LBRACK,
    ACTIONS(22215), 1,
      anon_sym_LBRACE,
    STATE(16076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694649] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15478), 1,
      sym_attribute_id,
    STATE(16077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [694667] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10016), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    STATE(16078), 1,
      sym_attribute,
    STATE(16111), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694687] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8596), 1,
      anon_sym_RBRACK,
    ACTIONS(22217), 1,
      anon_sym_SEMI,
    STATE(15092), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(16079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694707] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10061), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    STATE(15112), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694727] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17936), 1,
      anon_sym_RBRACE,
    ACTIONS(22219), 1,
      anon_sym_SEMI,
    STATE(14956), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(16081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694747] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17462), 1,
      anon_sym_SEMI,
    ACTIONS(17464), 1,
      anon_sym_GT,
    STATE(16082), 1,
      sym_attribute,
    STATE(16116), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694767] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7962), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22221), 1,
      anon_sym_SEMI,
    STATE(15559), 1,
      aux_sym_list_pattern_repeat1,
    STATE(16083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694787] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22223), 1,
      anon_sym_LPAREN,
    ACTIONS(22225), 1,
      anon_sym_LBRACK,
    ACTIONS(22227), 1,
      anon_sym_LBRACE,
    STATE(16084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694807] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18612), 1,
      anon_sym_RBRACE,
    ACTIONS(22229), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(16085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694827] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22231), 1,
      anon_sym_LPAREN,
    ACTIONS(22233), 1,
      anon_sym_LBRACK,
    ACTIONS(22235), 1,
      anon_sym_LBRACE,
    STATE(16086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694847] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15494), 1,
      sym_attribute_id,
    STATE(16087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [694865] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8580), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22237), 1,
      anon_sym_SEMI,
    STATE(15561), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(16088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694885] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11), 1,
      sym_attribute_id,
    STATE(16089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [694903] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19405), 1,
      anon_sym_RBRACK,
    STATE(15116), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694923] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3887), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22239), 1,
      anon_sym_SEMI,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    STATE(16091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694943] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22241), 1,
      anon_sym_LPAREN,
    ACTIONS(22243), 1,
      anon_sym_LBRACK,
    ACTIONS(22245), 1,
      anon_sym_LBRACE,
    STATE(16092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694963] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(22247), 1,
      sym__lowercase_identifier,
    STATE(16093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694983] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22249), 1,
      anon_sym_LPAREN,
    ACTIONS(22251), 1,
      anon_sym_LBRACK,
    ACTIONS(22253), 1,
      anon_sym_LBRACE,
    STATE(16094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695003] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15507), 1,
      sym_attribute_id,
    STATE(16095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [695021] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(22255), 1,
      anon_sym_RPAREN,
    STATE(16096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695041] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22257), 1,
      aux_sym_quoted_extension_token1,
    STATE(16097), 1,
      sym_attribute,
    STATE(20272), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695061] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20002), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22259), 1,
      anon_sym_SEMI,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695081] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22261), 1,
      anon_sym_LPAREN,
    ACTIONS(22263), 1,
      anon_sym_LBRACK,
    ACTIONS(22265), 1,
      anon_sym_LBRACE,
    STATE(16099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695101] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22267), 1,
      anon_sym_LPAREN,
    ACTIONS(22269), 1,
      anon_sym_LBRACK,
    ACTIONS(22271), 1,
      anon_sym_LBRACE,
    STATE(16100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695121] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15519), 1,
      sym_attribute_id,
    STATE(16101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [695139] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20343), 1,
      anon_sym_COMMA,
    ACTIONS(22273), 1,
      anon_sym_RBRACK,
    STATE(16102), 1,
      sym_attribute,
    STATE(16148), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695159] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(22275), 1,
      anon_sym_RPAREN,
    STATE(16103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695179] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(22277), 1,
      anon_sym_RPAREN,
    STATE(16104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695199] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(22279), 1,
      anon_sym_RPAREN,
    STATE(16105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695219] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22281), 1,
      anon_sym_LPAREN,
    ACTIONS(22283), 1,
      anon_sym_LBRACK,
    ACTIONS(22285), 1,
      anon_sym_LBRACE,
    STATE(16106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695239] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(22287), 1,
      anon_sym_RPAREN,
    STATE(16107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695259] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22289), 1,
      anon_sym_LPAREN,
    ACTIONS(22291), 1,
      anon_sym_LBRACK,
    ACTIONS(22293), 1,
      anon_sym_LBRACE,
    STATE(16108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695279] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15530), 1,
      sym_attribute_id,
    STATE(16109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [695297] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(20008), 1,
      anon_sym_RBRACK,
    STATE(16110), 1,
      sym_attribute,
    STATE(16138), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695317] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(20008), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695337] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18348), 1,
      anon_sym_RBRACE,
    ACTIONS(22295), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(16112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695357] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(22297), 1,
      anon_sym_RPAREN,
    STATE(16113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695377] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19074), 1,
      anon_sym_RBRACK,
    STATE(16114), 1,
      sym_attribute,
    STATE(16311), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695397] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22299), 1,
      anon_sym_SEMI,
    ACTIONS(22301), 1,
      anon_sym_RBRACE,
    STATE(16115), 1,
      sym_attribute,
    STATE(16309), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695417] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11515), 1,
      anon_sym_GT,
    ACTIONS(22303), 1,
      anon_sym_SEMI,
    STATE(14988), 1,
      aux_sym_object_type_repeat1,
    STATE(16116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695437] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22305), 1,
      anon_sym_LPAREN,
    ACTIONS(22307), 1,
      anon_sym_LBRACK,
    ACTIONS(22309), 1,
      anon_sym_LBRACE,
    STATE(16117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695457] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22311), 1,
      anon_sym_LPAREN,
    ACTIONS(22313), 1,
      anon_sym_LBRACK,
    ACTIONS(22315), 1,
      anon_sym_LBRACE,
    STATE(16118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695477] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15541), 1,
      sym_attribute_id,
    STATE(16119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [695495] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18614), 1,
      anon_sym_RBRACE,
    ACTIONS(22317), 1,
      anon_sym_SEMI,
    STATE(16120), 1,
      sym_attribute,
    STATE(16149), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695515] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19074), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695535] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14708), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16122), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695555] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17392), 1,
      anon_sym_SEMI,
    ACTIONS(17394), 1,
      anon_sym_GT,
    STATE(14973), 1,
      aux_sym_object_type_repeat1,
    STATE(16123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695575] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11603), 1,
      anon_sym_GT,
    ACTIONS(22319), 1,
      anon_sym_SEMI,
    STATE(14988), 1,
      aux_sym_object_type_repeat1,
    STATE(16124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695595] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22321), 1,
      anon_sym_LPAREN,
    ACTIONS(22323), 1,
      anon_sym_LBRACK,
    ACTIONS(22325), 1,
      anon_sym_LBRACE,
    STATE(16125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695615] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14972), 1,
      anon_sym_in,
    ACTIONS(20170), 1,
      anon_sym_and,
    STATE(16126), 1,
      sym_attribute,
    STATE(16158), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695635] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22327), 1,
      anon_sym_LPAREN,
    ACTIONS(22329), 1,
      anon_sym_LBRACK,
    ACTIONS(22331), 1,
      anon_sym_LBRACE,
    STATE(16127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695655] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15556), 1,
      sym_attribute_id,
    STATE(16128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [695673] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18464), 1,
      anon_sym_RBRACE,
    ACTIONS(22333), 1,
      anon_sym_SEMI,
    STATE(14947), 1,
      aux_sym_record_expression_repeat1,
    STATE(16129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695693] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22335), 1,
      anon_sym_SEMI,
    ACTIONS(22337), 1,
      anon_sym_RBRACE,
    STATE(15600), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(16130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695713] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(22339), 1,
      sym__lowercase_identifier,
    STATE(16131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695733] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22341), 1,
      anon_sym_LPAREN,
    ACTIONS(22343), 1,
      anon_sym_LBRACK,
    ACTIONS(22345), 1,
      anon_sym_LBRACE,
    STATE(16132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695753] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22347), 1,
      anon_sym_LPAREN,
    ACTIONS(22349), 1,
      anon_sym_LBRACK,
    ACTIONS(22351), 1,
      anon_sym_LBRACE,
    STATE(16133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695773] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15567), 1,
      sym_attribute_id,
    STATE(16134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [695791] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(22353), 1,
      anon_sym_RPAREN,
    STATE(16135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695811] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(22355), 1,
      anon_sym_RPAREN,
    STATE(16136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695831] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17300), 1,
      anon_sym_SEMI,
    ACTIONS(17302), 1,
      anon_sym_GT,
    STATE(15121), 1,
      aux_sym_object_type_repeat1,
    STATE(16137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695851] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(20026), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695871] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(20026), 1,
      anon_sym_RBRACK,
    STATE(16139), 1,
      sym_attribute,
    STATE(16156), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695891] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(22357), 1,
      anon_sym_EQ,
    STATE(16140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695911] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22359), 1,
      anon_sym_LPAREN,
    ACTIONS(22361), 1,
      anon_sym_LBRACK,
    ACTIONS(22363), 1,
      anon_sym_LBRACE,
    STATE(16141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695931] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_RBRACE,
    ACTIONS(22365), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(16142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695951] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22367), 1,
      anon_sym_LPAREN,
    ACTIONS(22369), 1,
      anon_sym_LBRACK,
    ACTIONS(22371), 1,
      anon_sym_LBRACE,
    STATE(16143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695971] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15580), 1,
      sym_attribute_id,
    STATE(16144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [695989] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22373), 1,
      anon_sym_SEMI,
    ACTIONS(22375), 1,
      anon_sym_RBRACE,
    STATE(16145), 1,
      sym_attribute,
    STATE(16207), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696009] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(22377), 1,
      anon_sym_RPAREN,
    STATE(16146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696029] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18216), 1,
      anon_sym_RBRACE,
    ACTIONS(22379), 1,
      anon_sym_SEMI,
    STATE(16147), 1,
      sym_attribute,
    STATE(16318), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696049] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20343), 1,
      anon_sym_COMMA,
    ACTIONS(22381), 1,
      anon_sym_RBRACK,
    STATE(14738), 1,
      aux_sym__type_params_repeat1,
    STATE(16148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696069] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18616), 1,
      anon_sym_RBRACE,
    ACTIONS(22383), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(16149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696089] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20343), 1,
      anon_sym_COMMA,
    ACTIONS(22381), 1,
      anon_sym_RBRACK,
    STATE(16150), 1,
      sym_attribute,
    STATE(16170), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696109] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22385), 1,
      anon_sym_LPAREN,
    ACTIONS(22387), 1,
      anon_sym_LBRACK,
    ACTIONS(22389), 1,
      anon_sym_LBRACE,
    STATE(16151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696129] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8552), 1,
      anon_sym_RBRACK,
    ACTIONS(22391), 1,
      anon_sym_SEMI,
    STATE(15092), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(16152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696149] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22393), 1,
      anon_sym_LPAREN,
    ACTIONS(22395), 1,
      anon_sym_LBRACK,
    ACTIONS(22397), 1,
      anon_sym_LBRACE,
    STATE(16153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696169] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15593), 1,
      sym_attribute_id,
    STATE(16154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696187] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18264), 1,
      anon_sym_RBRACE,
    ACTIONS(22399), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(16155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696207] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(20042), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696227] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22401), 1,
      anon_sym_LPAREN,
    ACTIONS(22403), 1,
      anon_sym_LBRACK,
    ACTIONS(22405), 1,
      anon_sym_LBRACE,
    STATE(16157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696247] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14887), 1,
      anon_sym_in,
    ACTIONS(20170), 1,
      anon_sym_and,
    STATE(15219), 1,
      aux_sym_module_definition_repeat1,
    STATE(16158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696267] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22407), 1,
      anon_sym_LPAREN,
    ACTIONS(22409), 1,
      anon_sym_LBRACK,
    ACTIONS(22411), 1,
      anon_sym_LBRACE,
    STATE(16159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696287] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15603), 1,
      sym_attribute_id,
    STATE(16160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696305] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17634), 1,
      anon_sym_RBRACE,
    ACTIONS(22413), 1,
      anon_sym_SEMI,
    STATE(14956), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(16161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696325] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(22415), 1,
      anon_sym_RBRACK,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696345] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18172), 1,
      anon_sym_RBRACE,
    ACTIONS(22417), 1,
      anon_sym_SEMI,
    STATE(15408), 1,
      aux_sym_record_expression_repeat1,
    STATE(16163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696365] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3631), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22419), 1,
      anon_sym_SEMI,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    STATE(16164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696385] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22421), 1,
      anon_sym_SEMI,
    ACTIONS(22423), 1,
      anon_sym_RBRACE,
    STATE(14938), 1,
      aux_sym_record_expression_repeat1,
    STATE(16165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696405] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22425), 1,
      anon_sym_LPAREN,
    ACTIONS(22427), 1,
      anon_sym_LBRACK,
    ACTIONS(22429), 1,
      anon_sym_LBRACE,
    STATE(16166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696425] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9966), 1,
      sym__type_equation,
    STATE(16167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22431), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [696443] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22433), 1,
      anon_sym_LPAREN,
    ACTIONS(22435), 1,
      anon_sym_LBRACK,
    ACTIONS(22437), 1,
      anon_sym_LBRACE,
    STATE(16168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696463] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15615), 1,
      sym_attribute_id,
    STATE(16169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696481] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20343), 1,
      anon_sym_COMMA,
    ACTIONS(22439), 1,
      anon_sym_RBRACK,
    STATE(14738), 1,
      aux_sym__type_params_repeat1,
    STATE(16170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696501] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(22441), 1,
      anon_sym_RPAREN,
    STATE(16171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696521] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(22443), 1,
      anon_sym_EQ,
    STATE(16172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696541] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(22445), 1,
      anon_sym_RPAREN,
    STATE(16173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696561] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22447), 1,
      anon_sym_LPAREN,
    ACTIONS(22449), 1,
      anon_sym_LBRACK,
    ACTIONS(22451), 1,
      anon_sym_LBRACE,
    STATE(16174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696581] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(22453), 1,
      sym__lowercase_identifier,
    STATE(16175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696601] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22455), 1,
      anon_sym_LPAREN,
    ACTIONS(22457), 1,
      anon_sym_LBRACK,
    ACTIONS(22459), 1,
      anon_sym_LBRACE,
    STATE(16176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696621] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15626), 1,
      sym_attribute_id,
    STATE(16177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696639] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(22461), 1,
      anon_sym_RPAREN,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696659] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3601), 1,
      anon_sym_RBRACK,
    ACTIONS(22463), 1,
      anon_sym_SEMI,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    STATE(16179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696679] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14301), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16180), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696699] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12204), 1,
      sym_module_binding,
    STATE(16181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17602), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [696717] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22465), 1,
      anon_sym_LPAREN,
    ACTIONS(22467), 1,
      anon_sym_LBRACK,
    ACTIONS(22469), 1,
      anon_sym_LBRACE,
    STATE(16182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696737] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22471), 1,
      anon_sym_SEMI,
    ACTIONS(22473), 1,
      anon_sym_RBRACE,
    STATE(16183), 1,
      sym_attribute,
    STATE(16290), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696757] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22475), 1,
      anon_sym_LPAREN,
    ACTIONS(22477), 1,
      anon_sym_LBRACK,
    ACTIONS(22479), 1,
      anon_sym_LBRACE,
    STATE(16184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696777] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15635), 1,
      sym_attribute_id,
    STATE(16185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696795] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9967), 1,
      sym__type_equation,
    STATE(16186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22431), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [696813] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22481), 1,
      anon_sym_LPAREN,
    ACTIONS(22483), 1,
      anon_sym_LBRACK,
    ACTIONS(22485), 1,
      anon_sym_LBRACE,
    STATE(16187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696833] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22487), 1,
      anon_sym_LPAREN,
    ACTIONS(22489), 1,
      anon_sym_LBRACK,
    ACTIONS(22491), 1,
      anon_sym_LBRACE,
    STATE(16188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696853] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15648), 1,
      sym_attribute_id,
    STATE(16189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696871] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9932), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    STATE(14968), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696891] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3615), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22493), 1,
      anon_sym_SEMI,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    STATE(16191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696911] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22495), 1,
      anon_sym_LPAREN,
    ACTIONS(22497), 1,
      anon_sym_LBRACK,
    ACTIONS(22499), 1,
      anon_sym_LBRACE,
    STATE(16192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696931] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_COMMA,
    ACTIONS(22501), 1,
      anon_sym_RBRACK,
    STATE(14876), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696951] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15652), 1,
      sym_attribute_id,
    STATE(16194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696969] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(22503), 1,
      anon_sym_EQ,
    STATE(16195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696989] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17323), 1,
      anon_sym_SEMI,
    ACTIONS(17325), 1,
      anon_sym_GT,
    STATE(15629), 1,
      aux_sym_object_type_repeat1,
    STATE(16196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697009] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22505), 1,
      anon_sym_SEMI,
    ACTIONS(22507), 1,
      anon_sym_RBRACE,
    STATE(16197), 1,
      sym_attribute,
    STATE(16266), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697029] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22509), 1,
      anon_sym_LPAREN,
    ACTIONS(22511), 1,
      anon_sym_LBRACK,
    ACTIONS(22513), 1,
      anon_sym_LBRACE,
    STATE(16198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697049] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14317), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16199), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697069] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15654), 1,
      sym_attribute_id,
    STATE(16200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697087] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22515), 1,
      anon_sym_LPAREN,
    ACTIONS(22517), 1,
      anon_sym_LBRACK,
    ACTIONS(22519), 1,
      anon_sym_LBRACE,
    STATE(16201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697107] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15656), 1,
      sym_attribute_id,
    STATE(16202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697125] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22521), 1,
      anon_sym_LPAREN,
    ACTIONS(22523), 1,
      anon_sym_LBRACK,
    ACTIONS(22525), 1,
      anon_sym_LBRACE,
    STATE(16203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697145] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15658), 1,
      sym_attribute_id,
    STATE(16204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697163] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22527), 1,
      anon_sym_LPAREN,
    ACTIONS(22529), 1,
      anon_sym_LBRACK,
    ACTIONS(22531), 1,
      anon_sym_LBRACE,
    STATE(16205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697183] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15661), 1,
      sym_attribute_id,
    STATE(16206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697201] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_RBRACE,
    ACTIONS(22533), 1,
      anon_sym_SEMI,
    STATE(14956), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(16207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697221] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15664), 1,
      sym_attribute_id,
    STATE(16208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697239] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22535), 1,
      anon_sym_LPAREN,
    ACTIONS(22537), 1,
      anon_sym_LBRACK,
    ACTIONS(22539), 1,
      anon_sym_LBRACE,
    STATE(16209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697259] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15666), 1,
      sym_attribute_id,
    STATE(16210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697277] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22541), 1,
      anon_sym_LPAREN,
    ACTIONS(22543), 1,
      anon_sym_LBRACK,
    ACTIONS(22545), 1,
      anon_sym_LBRACE,
    STATE(16211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697297] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15669), 1,
      sym_attribute_id,
    STATE(16212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697315] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22547), 1,
      anon_sym_LPAREN,
    ACTIONS(22549), 1,
      anon_sym_LBRACK,
    ACTIONS(22551), 1,
      anon_sym_LBRACE,
    STATE(16213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697335] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15672), 1,
      sym_attribute_id,
    STATE(16214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697353] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22553), 1,
      anon_sym_LPAREN,
    ACTIONS(22555), 1,
      anon_sym_LBRACK,
    ACTIONS(22557), 1,
      anon_sym_LBRACE,
    STATE(16215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697373] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15675), 1,
      sym_attribute_id,
    STATE(16216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697391] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22559), 1,
      anon_sym_LPAREN,
    ACTIONS(22561), 1,
      anon_sym_LBRACK,
    ACTIONS(22563), 1,
      anon_sym_LBRACE,
    STATE(16217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697411] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15677), 1,
      sym_attribute_id,
    STATE(16218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697429] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22565), 1,
      anon_sym_LPAREN,
    ACTIONS(22567), 1,
      anon_sym_LBRACK,
    ACTIONS(22569), 1,
      anon_sym_LBRACE,
    STATE(16219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697449] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15679), 1,
      sym_attribute_id,
    STATE(16220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697467] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22571), 1,
      anon_sym_LPAREN,
    ACTIONS(22573), 1,
      anon_sym_LBRACK,
    ACTIONS(22575), 1,
      anon_sym_LBRACE,
    STATE(16221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697487] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15682), 1,
      sym_attribute_id,
    STATE(16222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697505] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22577), 1,
      anon_sym_LPAREN,
    ACTIONS(22579), 1,
      anon_sym_LBRACK,
    ACTIONS(22581), 1,
      anon_sym_LBRACE,
    STATE(16223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697525] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15684), 1,
      sym_attribute_id,
    STATE(16224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697543] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15686), 1,
      sym_attribute_id,
    STATE(16225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697561] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15688), 1,
      sym_attribute_id,
    STATE(16226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697579] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15690), 1,
      sym_attribute_id,
    STATE(16227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697597] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15692), 1,
      sym_attribute_id,
    STATE(16228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697615] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15694), 1,
      sym_attribute_id,
    STATE(16229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697633] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15696), 1,
      sym_attribute_id,
    STATE(16230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697651] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15698), 1,
      sym_attribute_id,
    STATE(16231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697669] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15700), 1,
      sym_attribute_id,
    STATE(16232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697687] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15702), 1,
      sym_attribute_id,
    STATE(16233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697705] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15704), 1,
      sym_attribute_id,
    STATE(16234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697723] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15706), 1,
      sym_attribute_id,
    STATE(16235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697741] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15708), 1,
      sym_attribute_id,
    STATE(16236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697759] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15710), 1,
      sym_attribute_id,
    STATE(16237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697777] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15712), 1,
      sym_attribute_id,
    STATE(16238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697795] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15714), 1,
      sym_attribute_id,
    STATE(16239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697813] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15716), 1,
      sym_attribute_id,
    STATE(16240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697831] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15718), 1,
      sym_attribute_id,
    STATE(16241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697849] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15720), 1,
      sym_attribute_id,
    STATE(16242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697867] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15722), 1,
      sym_attribute_id,
    STATE(16243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697885] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15724), 1,
      sym_attribute_id,
    STATE(16244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697903] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15726), 1,
      sym_attribute_id,
    STATE(16245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697921] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15728), 1,
      sym_attribute_id,
    STATE(16246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697939] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15730), 1,
      sym_attribute_id,
    STATE(16247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20595), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697957] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18622), 1,
      anon_sym_RBRACE,
    ACTIONS(22583), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(16248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697977] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12055), 1,
      sym_module_binding,
    STATE(16249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17996), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [697995] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22585), 1,
      anon_sym_SEMI,
    ACTIONS(22587), 1,
      anon_sym_RBRACE,
    STATE(16250), 1,
      sym_attribute,
    STATE(16282), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698015] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11727), 1,
      anon_sym_LPAREN,
    STATE(9591), 1,
      sym_module_parameter,
    STATE(14667), 1,
      aux_sym_module_binding_repeat1,
    STATE(16251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698035] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8568), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22589), 1,
      anon_sym_SEMI,
    STATE(15561), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(16252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698055] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(22591), 1,
      anon_sym_EQ,
    STATE(16253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698075] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      aux_sym_tag_token1,
    STATE(14325), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16254), 1,
      sym_attribute,
    STATE(17301), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698095] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15223), 1,
      sym_module_binding,
    STATE(16255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18202), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [698113] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(22593), 1,
      anon_sym_EQ,
    STATE(16256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698133] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22595), 1,
      anon_sym_SEMI,
    ACTIONS(22597), 1,
      anon_sym_GT_RBRACE,
    STATE(16257), 1,
      sym_attribute,
    STATE(16272), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698153] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19192), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22599), 1,
      anon_sym_SEMI,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698173] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22601), 1,
      anon_sym_SEMI,
    ACTIONS(22603), 1,
      anon_sym_GT_RBRACE,
    STATE(16259), 1,
      sym_attribute,
    STATE(16296), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698193] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3603), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22605), 1,
      anon_sym_SEMI,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    STATE(16260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698213] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(22607), 1,
      anon_sym_RPAREN,
    STATE(16261), 1,
      sym_attribute,
    STATE(18187), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698233] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22609), 3,
      anon_sym_mutable,
      anon_sym_virtual,
      sym__lowercase_identifier,
  [698249] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22611), 1,
      anon_sym_SEMI,
    ACTIONS(22613), 1,
      anon_sym_GT_RBRACE,
    STATE(16263), 1,
      sym_attribute,
    STATE(16316), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698269] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3901), 1,
      anon_sym_RBRACK,
    ACTIONS(22615), 1,
      anon_sym_SEMI,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    STATE(16264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698289] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(22617), 1,
      sym__lowercase_identifier,
    STATE(16265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698309] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18630), 1,
      anon_sym_RBRACE,
    ACTIONS(22619), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(16266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698329] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3689), 1,
      anon_sym_RBRACK,
    ACTIONS(22621), 1,
      anon_sym_SEMI,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    STATE(16267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698349] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3903), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22623), 1,
      anon_sym_SEMI,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    STATE(16268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698369] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(22625), 1,
      anon_sym_RPAREN,
    STATE(16269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698389] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9826), 1,
      anon_sym_RBRACK,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    STATE(16270), 1,
      sym_attribute,
    STATE(16314), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698409] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(22627), 1,
      anon_sym_RPAREN,
    STATE(16271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698429] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20106), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22629), 1,
      anon_sym_SEMI,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698449] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20104), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22631), 1,
      anon_sym_SEMI,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698469] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11455), 1,
      anon_sym_GT,
    ACTIONS(22633), 1,
      anon_sym_SEMI,
    STATE(14988), 1,
      aux_sym_object_type_repeat1,
    STATE(16274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698489] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(22635), 1,
      anon_sym_RPAREN,
    STATE(16275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698509] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22637), 1,
      anon_sym_SEMI,
    ACTIONS(22639), 1,
      anon_sym_RBRACE,
    STATE(15618), 1,
      aux_sym_record_pattern_repeat1,
    STATE(16276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698529] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18632), 1,
      anon_sym_RBRACE,
    ACTIONS(22641), 1,
      anon_sym_SEMI,
    STATE(16277), 1,
      sym_attribute,
    STATE(16291), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698549] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17484), 1,
      anon_sym_SEMI,
    ACTIONS(17486), 1,
      anon_sym_GT,
    STATE(16278), 1,
      sym_attribute,
    STATE(16322), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698569] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22643), 1,
      anon_sym_SEMI,
    ACTIONS(22646), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16279), 2,
      sym_attribute,
      aux_sym_record_pattern_repeat1,
  [698587] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3445), 1,
      anon_sym_RBRACK,
    ACTIONS(22648), 1,
      anon_sym_SEMI,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    STATE(16280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698607] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(22650), 1,
      anon_sym_RPAREN,
    STATE(16281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698627] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18468), 1,
      anon_sym_RBRACE,
    ACTIONS(22652), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(16282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698647] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(22654), 1,
      anon_sym_type,
    STATE(15943), 1,
      sym_module_path,
    STATE(16283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698667] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20343), 1,
      anon_sym_COMMA,
    ACTIONS(22656), 1,
      anon_sym_RBRACK,
    STATE(16284), 1,
      sym_attribute,
    STATE(16285), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698687] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20343), 1,
      anon_sym_COMMA,
    ACTIONS(22658), 1,
      anon_sym_RBRACK,
    STATE(14738), 1,
      aux_sym__type_params_repeat1,
    STATE(16285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698707] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20343), 1,
      anon_sym_COMMA,
    ACTIONS(22658), 1,
      anon_sym_RBRACK,
    STATE(16286), 1,
      sym_attribute,
    STATE(16287), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698727] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20343), 1,
      anon_sym_COMMA,
    ACTIONS(22660), 1,
      anon_sym_RBRACK,
    STATE(14738), 1,
      aux_sym__type_params_repeat1,
    STATE(16287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698747] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(22662), 1,
      sym__lowercase_identifier,
    STATE(16288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698767] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(22664), 1,
      anon_sym_RPAREN,
    STATE(16289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698787] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18356), 1,
      anon_sym_RBRACE,
    ACTIONS(22666), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(16290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698807] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18634), 1,
      anon_sym_RBRACE,
    ACTIONS(22668), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(16291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698827] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20894), 1,
      anon_sym_COLON2,
    ACTIONS(22670), 1,
      anon_sym_RPAREN,
    STATE(16292), 1,
      sym_attribute,
    STATE(20077), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698847] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3691), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22672), 1,
      anon_sym_SEMI,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    STATE(16293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698867] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22674), 1,
      anon_sym_SEMI,
    ACTIONS(22676), 1,
      anon_sym_GT_RBRACE,
    STATE(14967), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698887] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3447), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22678), 1,
      anon_sym_SEMI,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    STATE(16295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698907] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19122), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22680), 1,
      anon_sym_SEMI,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698927] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11370), 1,
      sym_module_binding,
    STATE(16297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18158), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [698945] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12675), 1,
      sym_module_binding,
    STATE(16298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18158), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [698963] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(22682), 1,
      anon_sym_RPAREN,
    STATE(16299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698983] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(22684), 1,
      anon_sym_RPAREN,
    STATE(16300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699003] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(22686), 1,
      anon_sym_RPAREN,
    STATE(16301), 1,
      sym_attribute,
    STATE(17637), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699023] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(22688), 1,
      anon_sym_RPAREN,
    STATE(16302), 1,
      sym_attribute,
    STATE(17982), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699043] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22690), 1,
      anon_sym_SEMI,
    ACTIONS(22692), 1,
      anon_sym_GT_RBRACE,
    STATE(15085), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699063] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(22694), 1,
      anon_sym_RPAREN,
    STATE(16304), 1,
      sym_attribute,
    STATE(18844), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699083] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(22696), 1,
      anon_sym_RPAREN,
    STATE(16305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699103] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12), 1,
      sym_attribute_id,
    STATE(16306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [699121] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7900), 1,
      anon_sym_RBRACK,
    ACTIONS(22698), 1,
      anon_sym_SEMI,
    STATE(16066), 1,
      aux_sym_list_pattern_repeat1,
    STATE(16307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699141] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17147), 1,
      sym__uppercase_identifier,
    ACTIONS(18662), 1,
      anon_sym_LPAREN,
    STATE(8745), 1,
      sym__constructor_name,
    STATE(16308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699161] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18054), 1,
      anon_sym_RBRACE,
    ACTIONS(22700), 1,
      anon_sym_SEMI,
    STATE(16279), 1,
      aux_sym_record_pattern_repeat1,
    STATE(16309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699181] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7902), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22702), 1,
      anon_sym_SEMI,
    STATE(15559), 1,
      aux_sym_list_pattern_repeat1,
    STATE(16310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699201] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19132), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699221] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_DASH_GT,
    ACTIONS(19014), 1,
      anon_sym_with,
    ACTIONS(22704), 1,
      anon_sym_RPAREN,
    STATE(16312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699241] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19128), 1,
      anon_sym_RBRACK,
    STATE(14933), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699261] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19128), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699281] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11370), 1,
      sym_module_binding,
    STATE(16315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18136), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [699299] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19214), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22706), 1,
      anon_sym_SEMI,
    STATE(15388), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699319] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12068), 1,
      sym_module_binding,
    STATE(16317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18136), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [699337] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18218), 1,
      anon_sym_RBRACE,
    ACTIONS(22708), 1,
      anon_sym_SEMI,
    STATE(15010), 1,
      aux_sym_record_expression_repeat1,
    STATE(16318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699357] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22710), 1,
      aux_sym_quoted_extension_token1,
    STATE(16319), 1,
      sym_attribute,
    STATE(17796), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699377] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19132), 1,
      anon_sym_RBRACK,
    STATE(14959), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699397] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12071), 1,
      sym_module_binding,
    STATE(16321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18136), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [699415] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11579), 1,
      anon_sym_GT,
    ACTIONS(22712), 1,
      anon_sym_SEMI,
    STATE(14988), 1,
      aux_sym_object_type_repeat1,
    STATE(16322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699435] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18470), 1,
      anon_sym_RBRACE,
    ACTIONS(22714), 1,
      anon_sym_SEMI,
    STATE(14944), 1,
      aux_sym_record_expression_repeat1,
    STATE(16323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699455] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(22716), 1,
      anon_sym_type,
    STATE(15943), 1,
      sym_module_path,
    STATE(16324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699475] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      anon_sym_RBRACK,
    ACTIONS(22718), 1,
      anon_sym_SEMI,
    STATE(16066), 1,
      aux_sym_list_pattern_repeat1,
    STATE(16325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699495] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19072), 1,
      anon_sym_PIPE,
    ACTIONS(19230), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699515] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(22720), 1,
      anon_sym_RPAREN,
    STATE(16327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699535] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(22722), 1,
      anon_sym_RPAREN,
    STATE(16328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699555] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17816), 1,
      anon_sym_RBRACE,
    ACTIONS(22724), 1,
      anon_sym_SEMI,
    STATE(16279), 1,
      aux_sym_record_pattern_repeat1,
    STATE(16329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699575] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(22726), 1,
      anon_sym_EQ,
    STATE(16330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699595] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18358), 1,
      anon_sym_RBRACE,
    ACTIONS(22728), 1,
      anon_sym_SEMI,
    STATE(14952), 1,
      aux_sym_record_expression_repeat1,
    STATE(16331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699615] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(20188), 1,
      sym_indexing_operator,
    ACTIONS(22730), 1,
      sym__lowercase_identifier,
    STATE(16332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699635] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12490), 1,
      sym_module_binding,
    STATE(16333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18158), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [699653] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3349), 1,
      anon_sym_RBRACK,
    ACTIONS(22732), 1,
      anon_sym_SEMI,
    STATE(15641), 1,
      aux_sym_list_expression_repeat1,
    STATE(16334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699673] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8576), 1,
      anon_sym_RBRACK,
    ACTIONS(22734), 1,
      anon_sym_SEMI,
    STATE(15092), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(16335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699693] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    ACTIONS(22736), 1,
      anon_sym_RPAREN,
    STATE(16336), 1,
      sym_attribute,
    STATE(18118), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699713] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(22738), 1,
      anon_sym_RPAREN,
    STATE(16337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699733] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(22740), 1,
      anon_sym_type,
    STATE(15943), 1,
      sym_module_path,
    STATE(16338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699753] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      sym__uppercase_identifier,
    ACTIONS(22742), 1,
      anon_sym_type,
    STATE(15943), 1,
      sym_module_path,
    STATE(16339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699773] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(3), 1,
      sym_attribute_id,
    STATE(16340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20217), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [699791] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22744), 1,
      anon_sym_RPAREN,
    ACTIONS(22746), 1,
      anon_sym_SEMI,
    STATE(16341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699808] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(22748), 1,
      sym__lowercase_identifier,
    STATE(16342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699825] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22750), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [699840] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(22752), 1,
      sym__lowercase_identifier,
    STATE(16344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699857] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22754), 1,
      anon_sym_then,
    STATE(8073), 1,
      sym_then_clause,
    STATE(16345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699874] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22756), 1,
      anon_sym_SEMI,
    ACTIONS(22758), 1,
      anon_sym_RBRACE,
    STATE(16346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699891] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22760), 1,
      anon_sym_RPAREN,
    ACTIONS(22762), 1,
      anon_sym_LT_DASH,
    STATE(16347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699908] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22764), 1,
      anon_sym_RPAREN,
    ACTIONS(22766), 1,
      anon_sym_LT_DASH,
    STATE(16348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699925] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22768), 1,
      anon_sym_do,
    STATE(10499), 1,
      sym_do_clause,
    STATE(16349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699942] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22770), 1,
      anon_sym_COLON_GT,
    ACTIONS(22772), 1,
      anon_sym_RPAREN,
    STATE(16350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699959] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(22774), 1,
      anon_sym_DOT,
    STATE(16351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699976] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22776), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [699991] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22778), 1,
      anon_sym_then,
    STATE(11775), 1,
      sym_then_clause,
    STATE(16353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700008] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9984), 1,
      anon_sym_RBRACK,
    ACTIONS(18268), 1,
      anon_sym_PIPE,
    STATE(16354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700025] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22780), 1,
      anon_sym_then,
    STATE(10508), 1,
      sym_then_clause,
    STATE(16355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700042] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22782), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [700057] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22784), 1,
      anon_sym_then,
    STATE(10915), 1,
      sym_then_clause,
    STATE(16357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700074] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22784), 1,
      anon_sym_then,
    STATE(10967), 1,
      sym_then_clause,
    STATE(16358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700091] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22786), 1,
      anon_sym_then,
    STATE(11998), 1,
      sym_then_clause,
    STATE(16359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700108] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22786), 1,
      anon_sym_then,
    STATE(12028), 1,
      sym_then_clause,
    STATE(16360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700125] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22788), 1,
      anon_sym_then,
    STATE(10064), 1,
      sym_then_clause,
    STATE(16361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700142] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22790), 1,
      sym__lowercase_identifier,
    ACTIONS(22792), 1,
      anon_sym_LPAREN,
    STATE(16362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700159] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22784), 1,
      anon_sym_then,
    STATE(10951), 1,
      sym_then_clause,
    STATE(16363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700176] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22784), 1,
      anon_sym_then,
    STATE(10932), 1,
      sym_then_clause,
    STATE(16364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700193] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(22794), 1,
      anon_sym_DOT,
    STATE(16365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700210] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22796), 1,
      aux_sym_type_variable_token1,
    STATE(12926), 1,
      sym_type_variable,
    STATE(16366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700227] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22798), 1,
      anon_sym_then,
    STATE(12041), 1,
      sym_then_clause,
    STATE(16367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700244] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(22800), 1,
      sym__lowercase_identifier,
    STATE(16368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700261] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22802), 1,
      anon_sym_COLON_GT,
    ACTIONS(22804), 1,
      anon_sym_RPAREN,
    STATE(16369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700278] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22806), 1,
      anon_sym_SEMI,
    ACTIONS(22808), 1,
      anon_sym_RBRACE,
    STATE(16370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700295] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      anon_sym_RBRACK,
    ACTIONS(18268), 1,
      anon_sym_PIPE,
    STATE(16371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700312] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22754), 1,
      anon_sym_then,
    STATE(8117), 1,
      sym_then_clause,
    STATE(16372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700329] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22810), 1,
      anon_sym_COLON_GT,
    ACTIONS(22812), 1,
      anon_sym_RPAREN,
    STATE(16373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700346] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16374), 1,
      sym_attribute,
    STATE(17597), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700363] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22814), 1,
      anon_sym_then,
    STATE(8357), 1,
      sym_then_clause,
    STATE(16375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700380] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22816), 1,
      anon_sym_then,
    STATE(8160), 1,
      sym_then_clause,
    STATE(16376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700397] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16377), 1,
      sym_attribute,
    STATE(18120), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700414] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22818), 1,
      sym__lowercase_identifier,
    ACTIONS(22820), 1,
      anon_sym_LPAREN,
    STATE(16378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700431] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22822), 1,
      anon_sym_do,
    STATE(8146), 1,
      sym_do_clause,
    STATE(16379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700448] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18478), 1,
      sym__lowercase_identifier,
    STATE(14715), 1,
      sym__simple_value_pattern,
    STATE(16380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700465] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(22824), 1,
      anon_sym_DOT,
    STATE(16381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700482] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22826), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [700497] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(22828), 1,
      sym__lowercase_identifier,
    STATE(16383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700514] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8679), 1,
      anon_sym_COLON_GT,
    ACTIONS(8681), 1,
      anon_sym_EQ,
    STATE(16384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700531] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(22830), 1,
      anon_sym_DOT,
    STATE(16385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700548] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22832), 1,
      anon_sym_COLON_GT,
    ACTIONS(22834), 1,
      anon_sym_RPAREN,
    STATE(16386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700565] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22836), 1,
      sym__lowercase_identifier,
    ACTIONS(22838), 1,
      anon_sym_LPAREN,
    STATE(16387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700582] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22840), 1,
      anon_sym_RPAREN,
    ACTIONS(22842), 1,
      anon_sym_SEMI,
    STATE(16388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700599] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22840), 1,
      anon_sym_RBRACK,
    ACTIONS(22844), 1,
      anon_sym_SEMI,
    STATE(16389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700616] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22840), 1,
      anon_sym_RBRACE,
    ACTIONS(22846), 1,
      anon_sym_SEMI,
    STATE(16390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700633] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22848), 1,
      anon_sym_then,
    STATE(11130), 1,
      sym_then_clause,
    STATE(16391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700650] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(22850), 1,
      sym__lowercase_identifier,
    STATE(16392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700667] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22852), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [700682] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21806), 1,
      anon_sym_EQ,
    ACTIONS(22854), 1,
      anon_sym_COLON_GT,
    STATE(16394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700699] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(22856), 1,
      sym__lowercase_identifier,
    STATE(16395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700716] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22858), 1,
      anon_sym_COLON_GT,
    ACTIONS(22860), 1,
      anon_sym_RPAREN,
    STATE(16396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700733] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16397), 1,
      sym_attribute,
    STATE(17645), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700750] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(22862), 1,
      sym__lowercase_identifier,
    STATE(16398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700767] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17628), 1,
      anon_sym_RBRACE,
    ACTIONS(22864), 1,
      anon_sym_SEMI,
    STATE(16399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700784] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22866), 1,
      anon_sym_RPAREN,
    ACTIONS(22868), 1,
      anon_sym_LT_DASH,
    STATE(16400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700801] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22870), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [700816] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22872), 1,
      anon_sym_RPAREN,
    ACTIONS(22874), 1,
      anon_sym_LT_DASH,
    STATE(16402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700833] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(22876), 1,
      anon_sym_DOT,
    STATE(16403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700850] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(22878), 1,
      sym__lowercase_identifier,
    STATE(16404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700867] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22880), 1,
      anon_sym_RPAREN,
    ACTIONS(22882), 1,
      anon_sym_LT_DASH,
    STATE(16405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700884] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17480), 1,
      sym__lowercase_identifier,
    STATE(16406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700901] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22884), 1,
      anon_sym_RPAREN,
    ACTIONS(22886), 1,
      anon_sym_LT_DASH,
    STATE(16407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700918] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22788), 1,
      anon_sym_then,
    STATE(10007), 1,
      sym_then_clause,
    STATE(16408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700935] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22888), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [700950] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16410), 1,
      sym_attribute,
    STATE(18058), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700967] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21268), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [700982] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22890), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [700997] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(22892), 1,
      anon_sym_DOT,
    STATE(16413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701014] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22894), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [701029] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22896), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [701044] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22898), 1,
      anon_sym_RPAREN,
    ACTIONS(22900), 1,
      anon_sym_LT_DASH,
    STATE(16416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701061] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(22453), 1,
      sym__lowercase_identifier,
    STATE(16417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701078] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22814), 1,
      anon_sym_then,
    STATE(8359), 1,
      sym_then_clause,
    STATE(16418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701095] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(22902), 1,
      sym__lowercase_identifier,
    STATE(16419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701112] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22904), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [701127] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22906), 1,
      sym__lowercase_identifier,
    ACTIONS(22908), 1,
      anon_sym_LPAREN,
    STATE(16421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701144] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22910), 1,
      anon_sym_RPAREN,
    ACTIONS(22912), 1,
      anon_sym_LT_DASH,
    STATE(16422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701161] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16423), 1,
      sym_attribute,
    STATE(19773), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701178] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22914), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [701193] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16425), 1,
      sym_attribute,
    STATE(18968), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701210] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22916), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [701225] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22918), 1,
      anon_sym_COLON_GT,
    ACTIONS(22920), 1,
      anon_sym_RPAREN,
    STATE(16427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701242] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18478), 1,
      sym__lowercase_identifier,
    STATE(14923), 1,
      sym__simple_value_pattern,
    STATE(16428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701259] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(22922), 1,
      anon_sym_DOT,
    STATE(16429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701276] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22924), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [701291] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8687), 1,
      anon_sym_COLON_GT,
    ACTIONS(8689), 1,
      anon_sym_EQ,
    STATE(16431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701308] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(22926), 1,
      sym__lowercase_identifier,
    STATE(16432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701325] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16433), 1,
      sym_attribute,
    STATE(18597), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701342] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(22928), 1,
      anon_sym_DOT,
    STATE(16434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701359] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22930), 1,
      anon_sym_RPAREN,
    ACTIONS(22932), 1,
      anon_sym_SEMI,
    STATE(16435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701376] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22930), 1,
      anon_sym_RBRACK,
    ACTIONS(22934), 1,
      anon_sym_SEMI,
    STATE(16436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701393] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22930), 1,
      anon_sym_RBRACE,
    ACTIONS(22936), 1,
      anon_sym_SEMI,
    STATE(16437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701410] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(22938), 1,
      sym__lowercase_identifier,
    STATE(16438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701427] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22940), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [701442] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22443), 1,
      anon_sym_EQ,
    ACTIONS(22942), 1,
      anon_sym_COLON_GT,
    STATE(16440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701459] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(22944), 1,
      sym__lowercase_identifier,
    STATE(16441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701476] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22946), 1,
      anon_sym_RPAREN,
    ACTIONS(22948), 1,
      anon_sym_LT_DASH,
    STATE(16442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701493] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16443), 1,
      sym_attribute,
    STATE(18137), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701510] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(22950), 1,
      anon_sym_DOT,
    STATE(16444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701527] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20207), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [701542] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22952), 1,
      anon_sym_RPAREN,
    ACTIONS(22954), 1,
      anon_sym_LT_DASH,
    STATE(16446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701559] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22956), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [701574] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22958), 1,
      anon_sym_EQ,
    ACTIONS(22960), 1,
      anon_sym_RPAREN,
    STATE(16448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701591] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22778), 1,
      anon_sym_then,
    STATE(11768), 1,
      sym_then_clause,
    STATE(16449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701608] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22788), 1,
      anon_sym_then,
    STATE(10112), 1,
      sym_then_clause,
    STATE(16450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701625] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22962), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [701640] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22964), 1,
      sym__lowercase_identifier,
    ACTIONS(22966), 1,
      anon_sym_LPAREN,
    STATE(16452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701657] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22968), 1,
      anon_sym_EQ,
    ACTIONS(22970), 1,
      anon_sym_RPAREN,
    STATE(16453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701674] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22593), 1,
      anon_sym_EQ,
    ACTIONS(22972), 1,
      anon_sym_COLON_GT,
    STATE(16454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701691] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(22974), 1,
      anon_sym_DOT,
    STATE(16455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701708] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16714), 1,
      anon_sym_STAR,
    ACTIONS(22976), 1,
      anon_sym_DASH_GT,
    STATE(16456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701725] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22978), 1,
      anon_sym_COLON_GT,
    ACTIONS(22980), 1,
      anon_sym_RPAREN,
    STATE(16457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701742] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17612), 1,
      anon_sym_RBRACE,
    ACTIONS(22982), 1,
      anon_sym_SEMI,
    STATE(16458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701759] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9826), 1,
      anon_sym_RBRACK,
    ACTIONS(18268), 1,
      anon_sym_PIPE,
    STATE(16459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701776] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22984), 1,
      anon_sym_RPAREN,
    ACTIONS(22986), 1,
      anon_sym_LT_DASH,
    STATE(16460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701793] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22988), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [701808] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17434), 1,
      sym__lowercase_identifier,
    STATE(16462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701825] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17812), 1,
      anon_sym_RBRACE,
    ACTIONS(22990), 1,
      anon_sym_SEMI,
    STATE(16463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701842] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(22992), 1,
      sym__lowercase_identifier,
    STATE(16464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701859] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22994), 1,
      anon_sym_then,
    STATE(8161), 1,
      sym_then_clause,
    STATE(16465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701876] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(22996), 1,
      anon_sym_DASH_GT,
    STATE(16466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701893] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(22998), 1,
      sym__lowercase_identifier,
    STATE(16467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701910] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23000), 1,
      anon_sym_then,
    STATE(12032), 1,
      sym_then_clause,
    STATE(16468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701927] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23002), 1,
      anon_sym_RPAREN,
    ACTIONS(23004), 1,
      anon_sym_LT_DASH,
    STATE(16469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701944] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23006), 1,
      anon_sym_DOT,
    STATE(16470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701961] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(23008), 1,
      sym__lowercase_identifier,
    STATE(16471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701978] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(23010), 1,
      sym__lowercase_identifier,
    STATE(16472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701995] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23012), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [702010] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17396), 1,
      sym__lowercase_identifier,
    STATE(16474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702027] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(23014), 1,
      sym__lowercase_identifier,
    STATE(16475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702044] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23016), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [702059] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23018), 1,
      anon_sym_then,
    STATE(8014), 1,
      sym_then_clause,
    STATE(16477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702076] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16478), 1,
      sym_attribute,
    STATE(17584), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702093] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16479), 1,
      sym_attribute,
    STATE(18098), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702110] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18478), 1,
      sym__lowercase_identifier,
    STATE(14538), 1,
      sym__simple_value_pattern,
    STATE(16480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702127] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23020), 1,
      anon_sym_DOT,
    STATE(16481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702144] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23022), 1,
      anon_sym_RPAREN,
    ACTIONS(23024), 1,
      anon_sym_LT_DASH,
    STATE(16482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702161] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23026), 1,
      anon_sym_DOT,
    STATE(16483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702178] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23028), 1,
      anon_sym_RPAREN,
    ACTIONS(23030), 1,
      anon_sym_SEMI,
    STATE(16484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702195] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23028), 1,
      anon_sym_RBRACK,
    ACTIONS(23032), 1,
      anon_sym_SEMI,
    STATE(16485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702212] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23028), 1,
      anon_sym_RBRACE,
    ACTIONS(23034), 1,
      anon_sym_SEMI,
    STATE(16486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702229] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23036), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [702244] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16488), 1,
      sym_attribute,
    STATE(18560), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702261] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23038), 1,
      sym__lowercase_identifier,
    ACTIONS(23040), 1,
      anon_sym_LPAREN,
    STATE(16489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702278] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23042), 1,
      sym__lowercase_identifier,
    ACTIONS(23044), 1,
      anon_sym_LPAREN,
    STATE(16490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702295] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23046), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [702310] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23048), 1,
      anon_sym_then,
    STATE(12318), 1,
      sym_then_clause,
    STATE(16492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702327] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23050), 1,
      anon_sym_COLON_GT,
    ACTIONS(23052), 1,
      anon_sym_RPAREN,
    STATE(16493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702344] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23054), 1,
      anon_sym_RPAREN,
    ACTIONS(23056), 1,
      anon_sym_LT_DASH,
    STATE(16494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702361] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23048), 1,
      anon_sym_then,
    STATE(12319), 1,
      sym_then_clause,
    STATE(16495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702378] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23058), 1,
      anon_sym_DOT,
    STATE(16496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702395] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16714), 1,
      anon_sym_STAR,
    ACTIONS(23060), 1,
      anon_sym_DASH_GT,
    STATE(16497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702412] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23062), 1,
      anon_sym_SEMI,
    ACTIONS(23064), 1,
      anon_sym_RBRACE,
    STATE(16498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702429] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23066), 1,
      anon_sym_SEMI,
    ACTIONS(23068), 1,
      anon_sym_RBRACE,
    STATE(16499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702446] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22768), 1,
      anon_sym_do,
    STATE(10558), 1,
      sym_do_clause,
    STATE(16500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702463] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23070), 1,
      anon_sym_COLON2,
    STATE(16501), 1,
      sym_attribute,
    STATE(18838), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702480] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(23072), 1,
      sym__lowercase_identifier,
    STATE(16502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702497] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23074), 1,
      anon_sym_DOT,
    STATE(16503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702514] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23076), 1,
      sym__lowercase_identifier,
    ACTIONS(23078), 1,
      anon_sym_LBRACK,
    STATE(16504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702531] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23080), 1,
      anon_sym_then,
    STATE(11801), 1,
      sym_then_clause,
    STATE(16505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702548] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22822), 1,
      anon_sym_do,
    STATE(8048), 1,
      sym_do_clause,
    STATE(16506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702565] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23082), 1,
      anon_sym_RPAREN,
    ACTIONS(23084), 1,
      anon_sym_LT_DASH,
    STATE(16507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702582] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(23086), 1,
      sym__lowercase_identifier,
    STATE(16508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702599] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22798), 1,
      anon_sym_then,
    STATE(12057), 1,
      sym_then_clause,
    STATE(16509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702616] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22822), 1,
      anon_sym_do,
    STATE(8071), 1,
      sym_do_clause,
    STATE(16510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702633] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23088), 1,
      anon_sym_then,
    STATE(8342), 1,
      sym_then_clause,
    STATE(16511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702650] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23090), 1,
      sym__lowercase_identifier,
    ACTIONS(23092), 1,
      anon_sym_LPAREN,
    STATE(16512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702667] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16513), 1,
      sym_attribute,
    STATE(17869), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702684] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16514), 1,
      sym_attribute,
    STATE(20230), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702701] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18478), 1,
      sym__lowercase_identifier,
    STATE(14904), 1,
      sym__simple_value_pattern,
    STATE(16515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702718] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23094), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [702733] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23096), 1,
      anon_sym_DOT,
    STATE(16517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702750] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23098), 1,
      anon_sym_then,
    STATE(12302), 1,
      sym_then_clause,
    STATE(16518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702767] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23100), 1,
      anon_sym_RPAREN,
    ACTIONS(23102), 1,
      anon_sym_SEMI,
    STATE(16519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702784] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23100), 1,
      anon_sym_RBRACK,
    ACTIONS(23104), 1,
      anon_sym_SEMI,
    STATE(16520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702801] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23100), 1,
      anon_sym_RBRACE,
    ACTIONS(23106), 1,
      anon_sym_SEMI,
    STATE(16521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702818] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23108), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [702833] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23110), 1,
      anon_sym_DOT,
    STATE(16523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702850] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [702865] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23114), 1,
      anon_sym_RPAREN,
    ACTIONS(23116), 1,
      anon_sym_LT_DASH,
    STATE(16525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702882] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20301), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [702897] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16527), 1,
      sym_attribute,
    STATE(19564), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702914] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(23118), 1,
      sym__lowercase_identifier,
    STATE(16528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702931] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23120), 1,
      sym__lowercase_identifier,
    ACTIONS(23122), 1,
      anon_sym_LPAREN,
    STATE(16529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702948] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23124), 1,
      anon_sym_RPAREN,
    ACTIONS(23126), 1,
      anon_sym_LT_DASH,
    STATE(16530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702965] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23128), 1,
      anon_sym_DOT,
    STATE(16531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702982] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23130), 1,
      anon_sym_RPAREN,
    ACTIONS(23132), 1,
      anon_sym_LT_DASH,
    STATE(16532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702999] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23134), 1,
      sym__lowercase_identifier,
    ACTIONS(23136), 1,
      anon_sym_LPAREN,
    STATE(16533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703016] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23048), 1,
      anon_sym_then,
    STATE(12431), 1,
      sym_then_clause,
    STATE(16534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703033] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23138), 1,
      anon_sym_DOT,
    STATE(16535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703050] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23140), 1,
      anon_sym_EQ,
    ACTIONS(23142), 1,
      anon_sym_RPAREN,
    STATE(16536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703067] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23144), 1,
      anon_sym_RPAREN,
    ACTIONS(23146), 1,
      anon_sym_LT_DASH,
    STATE(16537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703084] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23148), 1,
      sym__lowercase_identifier,
    ACTIONS(23150), 1,
      anon_sym_LPAREN,
    STATE(16538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703101] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23152), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [703116] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22816), 1,
      anon_sym_then,
    STATE(8247), 1,
      sym_then_clause,
    STATE(16540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703133] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23154), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [703148] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16542), 1,
      sym_attribute,
    STATE(19190), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703165] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23156), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [703180] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16544), 1,
      sym_attribute,
    STATE(18608), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703197] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23158), 1,
      anon_sym_COLON_GT,
    ACTIONS(23160), 1,
      anon_sym_RPAREN,
    STATE(16545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703214] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23162), 1,
      anon_sym_DOT,
    STATE(16546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703231] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9856), 1,
      anon_sym_RBRACK,
    ACTIONS(18268), 1,
      anon_sym_PIPE,
    STATE(16547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703248] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23164), 1,
      anon_sym_do,
    STATE(7980), 1,
      sym_do_clause,
    STATE(16548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703265] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5357), 1,
      anon_sym_COLON_COLON,
    ACTIONS(23166), 1,
      anon_sym_RPAREN,
    STATE(16549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703282] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22744), 1,
      anon_sym_RBRACK,
    ACTIONS(23168), 1,
      anon_sym_SEMI,
    STATE(16550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703299] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22744), 1,
      anon_sym_RBRACE,
    ACTIONS(23170), 1,
      anon_sym_SEMI,
    STATE(16551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703316] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23172), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [703331] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23174), 1,
      anon_sym_COLON_GT,
    ACTIONS(23176), 1,
      anon_sym_RPAREN,
    STATE(16553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703348] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16554), 1,
      sym_attribute,
    STATE(20081), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703365] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23178), 1,
      anon_sym_EQ,
    ACTIONS(23180), 1,
      anon_sym_RPAREN,
    STATE(16555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703382] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(23182), 1,
      sym__lowercase_identifier,
    STATE(16556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703399] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23184), 1,
      anon_sym_DOT,
    STATE(16557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703416] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23186), 1,
      sym__lowercase_identifier,
    ACTIONS(23188), 1,
      anon_sym_LPAREN,
    STATE(16558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703433] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23190), 1,
      anon_sym_COLON_GT,
    ACTIONS(23192), 1,
      anon_sym_RPAREN,
    STATE(16559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703450] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23194), 1,
      anon_sym_EQ,
    ACTIONS(23196), 1,
      anon_sym_RPAREN,
    STATE(16560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703467] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16714), 1,
      anon_sym_STAR,
    ACTIONS(23198), 1,
      anon_sym_DASH_GT,
    STATE(16561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703484] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    STATE(15528), 1,
      sym_extended_module_path,
    STATE(16562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703501] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22994), 1,
      anon_sym_then,
    STATE(8184), 1,
      sym_then_clause,
    STATE(16563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703518] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(23200), 1,
      sym__lowercase_identifier,
    STATE(16564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703535] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23202), 1,
      sym__lowercase_identifier,
    ACTIONS(23204), 1,
      anon_sym_LPAREN,
    STATE(16565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703552] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17942), 1,
      anon_sym_RBRACE,
    ACTIONS(23206), 1,
      anon_sym_SEMI,
    STATE(16566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703569] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16567), 1,
      sym_attribute,
    STATE(19706), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703586] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16568), 1,
      sym_attribute,
    STATE(20088), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703603] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(23208), 1,
      sym__lowercase_identifier,
    STATE(16569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703620] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23210), 1,
      anon_sym_DOT,
    STATE(16570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703637] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23212), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [703652] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(23214), 1,
      sym__lowercase_identifier,
    STATE(16572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703669] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23216), 1,
      anon_sym_RPAREN,
    ACTIONS(23218), 1,
      anon_sym_SEMI,
    STATE(16573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703686] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23216), 1,
      anon_sym_RBRACK,
    ACTIONS(23220), 1,
      anon_sym_SEMI,
    STATE(16574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703703] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23216), 1,
      anon_sym_RBRACE,
    ACTIONS(23222), 1,
      anon_sym_SEMI,
    STATE(16575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703720] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23224), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [703735] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23226), 1,
      anon_sym_RPAREN,
    ACTIONS(23228), 1,
      anon_sym_LT_DASH,
    STATE(16577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703752] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23230), 1,
      anon_sym_COLON_GT,
    ACTIONS(23232), 1,
      anon_sym_RPAREN,
    STATE(16578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703769] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23234), 1,
      anon_sym_then,
    STATE(9527), 1,
      sym_then_clause,
    STATE(16579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703786] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16580), 1,
      sym_attribute,
    STATE(17787), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703803] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23236), 1,
      anon_sym_COLON_GT,
    ACTIONS(23238), 1,
      anon_sym_RPAREN,
    STATE(16581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703820] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16714), 1,
      anon_sym_STAR,
    ACTIONS(23240), 1,
      anon_sym_DASH_GT,
    STATE(16582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703837] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23242), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [703852] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23244), 1,
      anon_sym_RPAREN,
    ACTIONS(23246), 1,
      anon_sym_LT_DASH,
    STATE(16584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703869] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9852), 1,
      anon_sym_RBRACK,
    ACTIONS(18268), 1,
      anon_sym_PIPE,
    STATE(16585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703886] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17990), 1,
      anon_sym_RBRACE,
    ACTIONS(23248), 1,
      anon_sym_SEMI,
    STATE(16586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703903] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17700), 1,
      anon_sym_RBRACE,
    ACTIONS(23250), 1,
      anon_sym_SEMI,
    STATE(16587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703920] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23252), 1,
      anon_sym_DOT,
    STATE(16588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703937] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17502), 1,
      sym__lowercase_identifier,
    STATE(16589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703954] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22754), 1,
      anon_sym_then,
    STATE(8019), 1,
      sym_then_clause,
    STATE(16590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703971] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23254), 1,
      anon_sym_RPAREN,
    ACTIONS(23256), 1,
      anon_sym_LT_DASH,
    STATE(16591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703988] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23258), 1,
      anon_sym_RPAREN,
    ACTIONS(23260), 1,
      anon_sym_LT_DASH,
    STATE(16592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704005] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16593), 1,
      sym_attribute,
    STATE(19252), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704022] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23262), 1,
      anon_sym_COLON_GT,
    ACTIONS(23264), 1,
      anon_sym_RPAREN,
    STATE(16594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704039] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23000), 1,
      anon_sym_then,
    STATE(11920), 1,
      sym_then_clause,
    STATE(16595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704056] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23266), 1,
      anon_sym_DOT,
    STATE(16596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704073] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23268), 1,
      anon_sym_RPAREN,
    ACTIONS(23270), 1,
      anon_sym_SEMI,
    STATE(16597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704090] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23268), 1,
      anon_sym_RBRACK,
    ACTIONS(23272), 1,
      anon_sym_SEMI,
    STATE(16598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704107] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23268), 1,
      anon_sym_RBRACE,
    ACTIONS(23274), 1,
      anon_sym_SEMI,
    STATE(16599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704124] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23276), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [704139] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23278), 1,
      anon_sym_DOT,
    STATE(16601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704156] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23280), 1,
      anon_sym_RPAREN,
    ACTIONS(23282), 1,
      anon_sym_LT_DASH,
    STATE(16602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704173] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(23284), 1,
      sym__lowercase_identifier,
    STATE(16603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704190] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17327), 1,
      sym__lowercase_identifier,
    STATE(16604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704207] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16605), 1,
      sym_attribute,
    STATE(19530), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704224] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17768), 1,
      anon_sym_RBRACE,
    ACTIONS(23286), 1,
      anon_sym_SEMI,
    STATE(16606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704241] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23288), 1,
      anon_sym_DOT,
    STATE(16607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704258] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23290), 1,
      anon_sym_RPAREN,
    ACTIONS(23292), 1,
      anon_sym_LT_DASH,
    STATE(16608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704275] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23294), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [704290] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23296), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [704305] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16714), 1,
      anon_sym_STAR,
    ACTIONS(23298), 1,
      anon_sym_DASH_GT,
    STATE(16611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704322] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23300), 1,
      anon_sym_SEMI,
    ACTIONS(23302), 1,
      anon_sym_RBRACE,
    STATE(16612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704339] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23018), 1,
      anon_sym_then,
    STATE(8043), 1,
      sym_then_clause,
    STATE(16613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704356] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23304), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [704371] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22994), 1,
      anon_sym_then,
    STATE(8162), 1,
      sym_then_clause,
    STATE(16615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704388] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23306), 1,
      sym__lowercase_identifier,
    ACTIONS(23308), 1,
      anon_sym_LBRACK,
    STATE(16616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704405] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16617), 1,
      sym_attribute,
    STATE(20020), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704422] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(23310), 1,
      sym__lowercase_identifier,
    STATE(16618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704439] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23312), 1,
      anon_sym_DOT,
    STATE(16619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704456] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23314), 1,
      anon_sym_SEMI,
    ACTIONS(23316), 1,
      anon_sym_RBRACE,
    STATE(16620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704473] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23318), 1,
      anon_sym_RPAREN,
    ACTIONS(23320), 1,
      anon_sym_SEMI,
    STATE(16621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704490] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23318), 1,
      anon_sym_RBRACK,
    ACTIONS(23322), 1,
      anon_sym_SEMI,
    STATE(16622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704507] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23318), 1,
      anon_sym_RBRACE,
    ACTIONS(23324), 1,
      anon_sym_SEMI,
    STATE(16623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704524] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23326), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [704539] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(23328), 1,
      sym__lowercase_identifier,
    STATE(16625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704556] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(23330), 1,
      sym__lowercase_identifier,
    STATE(16626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704573] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16627), 1,
      sym_attribute,
    STATE(20103), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704590] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23332), 1,
      anon_sym_DOT,
    STATE(16628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704607] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23334), 1,
      anon_sym_do,
    STATE(7956), 1,
      sym_do_clause,
    STATE(16629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704624] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23000), 1,
      anon_sym_then,
    STATE(11811), 1,
      sym_then_clause,
    STATE(16630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704641] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23336), 1,
      anon_sym_RPAREN,
    ACTIONS(23338), 1,
      anon_sym_LT_DASH,
    STATE(16631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704658] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23340), 1,
      anon_sym_DOT,
    STATE(16632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704675] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23342), 1,
      sym__lowercase_identifier,
    ACTIONS(23344), 1,
      anon_sym_LPAREN,
    STATE(16633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704692] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23346), 1,
      sym__lowercase_identifier,
    ACTIONS(23348), 1,
      anon_sym_LPAREN,
    STATE(16634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704709] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22814), 1,
      anon_sym_then,
    STATE(8349), 1,
      sym_then_clause,
    STATE(16635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704726] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23350), 1,
      anon_sym_COLON_GT,
    ACTIONS(23352), 1,
      anon_sym_RPAREN,
    STATE(16636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704743] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22816), 1,
      anon_sym_then,
    STATE(8173), 1,
      sym_then_clause,
    STATE(16637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704760] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9896), 1,
      anon_sym_RBRACK,
    ACTIONS(18268), 1,
      anon_sym_PIPE,
    STATE(16638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704777] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12266), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [704792] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16640), 1,
      sym_attribute,
    STATE(17925), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704809] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23354), 1,
      anon_sym_COLON_GT,
    ACTIONS(23356), 1,
      anon_sym_RPAREN,
    STATE(16641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704826] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23358), 1,
      anon_sym_DOT,
    STATE(16642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704843] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23360), 1,
      anon_sym_RPAREN,
    ACTIONS(23362), 1,
      anon_sym_LT_DASH,
    STATE(16643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704860] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23364), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [704875] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23366), 1,
      anon_sym_RPAREN,
    ACTIONS(23368), 1,
      anon_sym_SEMI,
    STATE(16645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704892] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23366), 1,
      anon_sym_RBRACK,
    ACTIONS(23370), 1,
      anon_sym_SEMI,
    STATE(16646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704909] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23366), 1,
      anon_sym_RBRACE,
    ACTIONS(23372), 1,
      anon_sym_SEMI,
    STATE(16647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704926] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23374), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [704941] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23376), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [704956] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23334), 1,
      anon_sym_do,
    STATE(7968), 1,
      sym_do_clause,
    STATE(16650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704973] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16651), 1,
      sym_attribute,
    STATE(18824), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704990] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(23378), 1,
      sym__lowercase_identifier,
    STATE(16652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705007] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(23380), 1,
      sym__lowercase_identifier,
    STATE(16653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705024] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23080), 1,
      anon_sym_then,
    STATE(11793), 1,
      sym_then_clause,
    STATE(16654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705041] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17658), 1,
      anon_sym_RBRACE,
    ACTIONS(23382), 1,
      anon_sym_SEMI,
    STATE(16655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705058] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23234), 1,
      anon_sym_then,
    STATE(9708), 1,
      sym_then_clause,
    STATE(16656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705075] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23164), 1,
      anon_sym_do,
    STATE(8158), 1,
      sym_do_clause,
    STATE(16657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705092] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23384), 1,
      anon_sym_DOT,
    STATE(16658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705109] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23386), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [705124] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(23388), 1,
      sym__lowercase_identifier,
    STATE(16660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705141] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22994), 1,
      anon_sym_then,
    STATE(8200), 1,
      sym_then_clause,
    STATE(16661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705158] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23390), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [705173] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23392), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [705188] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16664), 1,
      sym_attribute,
    STATE(17814), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705205] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23394), 1,
      anon_sym_DOT,
    STATE(16665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705222] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23396), 1,
      anon_sym_RPAREN,
    ACTIONS(23398), 1,
      anon_sym_LT_DASH,
    STATE(16666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705239] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23400), 1,
      anon_sym_RPAREN,
    ACTIONS(23402), 1,
      anon_sym_LT_DASH,
    STATE(16667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705256] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23404), 1,
      anon_sym_RPAREN,
    ACTIONS(23406), 1,
      anon_sym_SEMI,
    STATE(16668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705273] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23404), 1,
      anon_sym_RBRACK,
    ACTIONS(23408), 1,
      anon_sym_SEMI,
    STATE(16669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705290] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23404), 1,
      anon_sym_RBRACE,
    ACTIONS(23410), 1,
      anon_sym_SEMI,
    STATE(16670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705307] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23412), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [705322] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17442), 1,
      sym__lowercase_identifier,
    STATE(16672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705339] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23414), 1,
      sym__lowercase_identifier,
    ACTIONS(23416), 1,
      anon_sym_LPAREN,
    STATE(16673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705356] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16674), 1,
      sym_attribute,
    STATE(18101), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705373] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23418), 1,
      anon_sym_DOT,
    STATE(16675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705390] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23420), 1,
      anon_sym_RPAREN,
    ACTIONS(23422), 1,
      anon_sym_LT_DASH,
    STATE(16676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705407] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19783), 1,
      sym__lowercase_identifier,
    STATE(14709), 1,
      aux_sym__abstract_type_repeat1,
    STATE(16677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705424] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23424), 1,
      anon_sym_RPAREN,
    ACTIONS(23426), 1,
      anon_sym_LT_DASH,
    STATE(16678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705441] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17430), 1,
      sym__lowercase_identifier,
    STATE(16679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705458] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23428), 1,
      anon_sym_then,
    STATE(12455), 1,
      sym_then_clause,
    STATE(16680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705475] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16681), 1,
      sym_attribute,
    STATE(18901), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705492] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23430), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [705507] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23432), 1,
      anon_sym_DOT,
    STATE(16683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705524] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(23434), 1,
      sym__lowercase_identifier,
    STATE(16684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705541] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23436), 1,
      anon_sym_RPAREN,
    ACTIONS(23438), 1,
      anon_sym_SEMI,
    STATE(16685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705558] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23436), 1,
      anon_sym_RBRACK,
    ACTIONS(23440), 1,
      anon_sym_SEMI,
    STATE(16686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705575] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23436), 1,
      anon_sym_RBRACE,
    ACTIONS(23442), 1,
      anon_sym_SEMI,
    STATE(16687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705592] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23444), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [705607] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23048), 1,
      anon_sym_then,
    STATE(12434), 1,
      sym_then_clause,
    STATE(16689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705624] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23446), 1,
      sym__lowercase_identifier,
    ACTIONS(23448), 1,
      sym__uppercase_identifier,
    STATE(16690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705641] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16691), 1,
      sym_attribute,
    STATE(19095), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705658] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23450), 1,
      sym__uppercase_identifier,
    STATE(13203), 1,
      sym_extended_module_path,
    STATE(16692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705675] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23452), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [705690] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23454), 1,
      anon_sym_DOT,
    STATE(16694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705707] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23456), 1,
      anon_sym_then,
    STATE(9345), 1,
      sym_then_clause,
    STATE(16695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705724] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(23458), 1,
      anon_sym_RPAREN,
    STATE(16696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705741] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23460), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [705756] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16698), 1,
      sym_attribute,
    STATE(20213), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705773] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17518), 1,
      sym__lowercase_identifier,
    STATE(16699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705790] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23462), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [705805] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23464), 1,
      anon_sym_DOT,
    STATE(16701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705822] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23466), 1,
      anon_sym_EQ,
    ACTIONS(23468), 1,
      anon_sym_RPAREN,
    STATE(16702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705839] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23470), 1,
      anon_sym_RPAREN,
    ACTIONS(23472), 1,
      anon_sym_SEMI,
    STATE(16703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705856] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23470), 1,
      anon_sym_RBRACK,
    ACTIONS(23474), 1,
      anon_sym_SEMI,
    STATE(16704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705873] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23470), 1,
      anon_sym_RBRACE,
    ACTIONS(23476), 1,
      anon_sym_SEMI,
    STATE(16705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705890] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16706), 1,
      sym_attribute,
    STATE(17463), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705907] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23478), 1,
      anon_sym_DOT,
    STATE(16707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705924] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23480), 1,
      anon_sym_DOT,
    STATE(16708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705941] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23482), 1,
      sym__lowercase_identifier,
    ACTIONS(23484), 1,
      anon_sym_LBRACK,
    STATE(16709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705958] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23486), 1,
      anon_sym_COLON_GT,
    ACTIONS(23488), 1,
      anon_sym_RPAREN,
    STATE(16710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705975] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23428), 1,
      anon_sym_then,
    STATE(12145), 1,
      sym_then_clause,
    STATE(16711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705992] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23490), 1,
      anon_sym_DOT,
    STATE(16712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706009] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16713), 1,
      sym_attribute,
    STATE(17675), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706026] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23492), 1,
      anon_sym_DOT,
    STATE(16714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706043] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23494), 1,
      sym__lowercase_identifier,
    ACTIONS(23496), 1,
      anon_sym_LPAREN,
    STATE(16715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706060] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23498), 1,
      anon_sym_RPAREN,
    ACTIONS(23500), 1,
      anon_sym_SEMI,
    STATE(16716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706077] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23498), 1,
      anon_sym_RBRACK,
    ACTIONS(23502), 1,
      anon_sym_SEMI,
    STATE(16717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706094] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23498), 1,
      anon_sym_RBRACE,
    ACTIONS(23504), 1,
      anon_sym_SEMI,
    STATE(16718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706111] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23506), 1,
      sym__lowercase_identifier,
    ACTIONS(23508), 1,
      anon_sym_LPAREN,
    STATE(16719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706128] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23510), 1,
      anon_sym_RPAREN,
    ACTIONS(23512), 1,
      anon_sym_LT_DASH,
    STATE(16720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706145] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23514), 1,
      anon_sym_COLON_GT,
    ACTIONS(23516), 1,
      anon_sym_RPAREN,
    STATE(16721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706162] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23518), 2,
      anon_sym_to,
      anon_sym_downto,
  [706177] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16723), 1,
      sym_attribute,
    STATE(17755), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706194] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9922), 1,
      anon_sym_RBRACK,
    ACTIONS(18268), 1,
      anon_sym_PIPE,
    STATE(16724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706211] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23098), 1,
      anon_sym_then,
    STATE(12327), 1,
      sym_then_clause,
    STATE(16725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706228] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23520), 1,
      anon_sym_DOT,
    STATE(16726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706245] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(23522), 1,
      sym__lowercase_identifier,
    STATE(16727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706262] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23524), 1,
      anon_sym_EQ,
    ACTIONS(23526), 1,
      anon_sym_RPAREN,
    STATE(16728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706279] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16729), 1,
      sym_attribute,
    STATE(17964), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706296] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17840), 1,
      anon_sym_RBRACE,
    ACTIONS(23528), 1,
      anon_sym_SEMI,
    STATE(16730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706313] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23530), 1,
      anon_sym_DOT,
    STATE(16731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706330] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(23532), 1,
      sym__lowercase_identifier,
    STATE(16732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706347] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23534), 1,
      anon_sym_RPAREN,
    ACTIONS(23536), 1,
      anon_sym_SEMI,
    STATE(16733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706364] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23534), 1,
      anon_sym_RBRACK,
    ACTIONS(23538), 1,
      anon_sym_SEMI,
    STATE(16734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706381] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23534), 1,
      anon_sym_RBRACE,
    ACTIONS(23540), 1,
      anon_sym_SEMI,
    STATE(16735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706398] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23542), 1,
      anon_sym_COLON_GT,
    ACTIONS(23544), 1,
      anon_sym_RPAREN,
    STATE(16736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706415] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23546), 1,
      sym__lowercase_identifier,
    ACTIONS(23548), 1,
      anon_sym_LPAREN,
    STATE(16737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706432] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16738), 1,
      sym_attribute,
    STATE(18047), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706449] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23550), 1,
      anon_sym_DOT,
    STATE(16739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706466] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23552), 1,
      anon_sym_RPAREN,
    ACTIONS(23554), 1,
      anon_sym_LT_DASH,
    STATE(16740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706483] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(23556), 1,
      sym__lowercase_identifier,
    STATE(16741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706500] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16742), 1,
      sym_attribute,
    STATE(18271), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706517] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23558), 1,
      anon_sym_RPAREN,
    ACTIONS(23560), 1,
      anon_sym_LT_DASH,
    STATE(16743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706534] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23562), 1,
      anon_sym_DOT,
    STATE(16744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706551] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23564), 1,
      anon_sym_RPAREN,
    ACTIONS(23566), 1,
      anon_sym_SEMI,
    STATE(16745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706568] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23564), 1,
      anon_sym_RBRACK,
    ACTIONS(23568), 1,
      anon_sym_SEMI,
    STATE(16746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706585] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23564), 1,
      anon_sym_RBRACE,
    ACTIONS(23570), 1,
      anon_sym_SEMI,
    STATE(16747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706602] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23572), 1,
      anon_sym_RPAREN,
    ACTIONS(23574), 1,
      anon_sym_LT_DASH,
    STATE(16748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706619] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16749), 1,
      sym_attribute,
    STATE(18361), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706636] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23576), 1,
      anon_sym_RPAREN,
    ACTIONS(23578), 1,
      anon_sym_LT_DASH,
    STATE(16750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706653] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(23580), 1,
      sym__lowercase_identifier,
    STATE(16751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706670] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23582), 1,
      anon_sym_DOT,
    STATE(16752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706687] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(23584), 1,
      sym__lowercase_identifier,
    STATE(16753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706704] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17672), 1,
      anon_sym_RBRACE,
    ACTIONS(23586), 1,
      anon_sym_SEMI,
    STATE(16754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706721] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16755), 1,
      sym_attribute,
    STATE(18581), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706738] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [706753] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23590), 1,
      anon_sym_DOT,
    STATE(16757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706770] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23592), 1,
      anon_sym_RPAREN,
    ACTIONS(23594), 1,
      anon_sym_SEMI,
    STATE(16758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706787] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23592), 1,
      anon_sym_RBRACK,
    ACTIONS(23596), 1,
      anon_sym_SEMI,
    STATE(16759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706804] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23592), 1,
      anon_sym_RBRACE,
    ACTIONS(23598), 1,
      anon_sym_SEMI,
    STATE(16760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706821] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23600), 1,
      anon_sym_RPAREN,
    ACTIONS(23602), 1,
      anon_sym_LT_DASH,
    STATE(16761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706838] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16762), 1,
      sym_attribute,
    STATE(18670), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706855] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23604), 1,
      anon_sym_then,
    STATE(12062), 1,
      sym_then_clause,
    STATE(16763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706872] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23606), 1,
      anon_sym_DOT,
    STATE(16764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706889] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16714), 1,
      anon_sym_STAR,
    ACTIONS(23608), 1,
      anon_sym_DASH_GT,
    STATE(16765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706906] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23610), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [706921] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16767), 1,
      sym_attribute,
    STATE(20307), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706938] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23612), 1,
      anon_sym_DOT,
    STATE(16768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706955] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23614), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [706970] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23616), 1,
      anon_sym_SEMI,
    ACTIONS(23618), 1,
      anon_sym_RBRACE,
    STATE(16770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706987] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23620), 1,
      anon_sym_RPAREN,
    ACTIONS(23622), 1,
      anon_sym_SEMI,
    STATE(16771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707004] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23620), 1,
      anon_sym_RBRACK,
    ACTIONS(23624), 1,
      anon_sym_SEMI,
    STATE(16772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707021] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23620), 1,
      anon_sym_RBRACE,
    ACTIONS(23626), 1,
      anon_sym_SEMI,
    STATE(16773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707038] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17363), 1,
      sym__lowercase_identifier,
    STATE(16774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707055] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16775), 1,
      sym_attribute,
    STATE(19116), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707072] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22848), 1,
      anon_sym_then,
    STATE(11171), 1,
      sym_then_clause,
    STATE(16776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707089] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23628), 1,
      anon_sym_COLON_GT,
    ACTIONS(23630), 1,
      anon_sym_RPAREN,
    STATE(16777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707106] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23632), 1,
      anon_sym_DOT,
    STATE(16778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707123] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16714), 1,
      anon_sym_STAR,
    ACTIONS(23634), 1,
      anon_sym_DASH_GT,
    STATE(16779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707140] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23636), 1,
      anon_sym_DOT,
    STATE(16780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707157] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16781), 1,
      sym_attribute,
    STATE(19257), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707174] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23638), 1,
      anon_sym_RPAREN,
    ACTIONS(23640), 1,
      anon_sym_LT_DASH,
    STATE(16782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707191] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(23642), 1,
      sym__lowercase_identifier,
    STATE(16783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707208] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23644), 1,
      anon_sym_COLON_GT,
    ACTIONS(23646), 1,
      anon_sym_RPAREN,
    STATE(16784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707225] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23648), 1,
      anon_sym_DOT,
    STATE(16785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707242] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23604), 1,
      anon_sym_then,
    STATE(11865), 1,
      sym_then_clause,
    STATE(16786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707259] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23650), 1,
      anon_sym_RPAREN,
    ACTIONS(23652), 1,
      anon_sym_SEMI,
    STATE(16787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707276] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23650), 1,
      anon_sym_RBRACK,
    ACTIONS(23654), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707293] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23650), 1,
      anon_sym_RBRACE,
    ACTIONS(23656), 1,
      anon_sym_SEMI,
    STATE(16789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707310] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16790), 1,
      sym_attribute,
    STATE(19308), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707327] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23658), 1,
      sym__lowercase_identifier,
    ACTIONS(23660), 1,
      anon_sym_LPAREN,
    STATE(16791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707344] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10067), 1,
      anon_sym_RBRACK,
    ACTIONS(18268), 1,
      anon_sym_PIPE,
    STATE(16792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707361] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23662), 1,
      anon_sym_DOT,
    STATE(16793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707378] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23664), 1,
      anon_sym_RPAREN,
    ACTIONS(23666), 1,
      anon_sym_LT_DASH,
    STATE(16794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707395] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23668), 1,
      anon_sym_COLON_GT,
    ACTIONS(23670), 1,
      anon_sym_RPAREN,
    STATE(16795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707412] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16714), 1,
      anon_sym_STAR,
    ACTIONS(23672), 1,
      anon_sym_DASH_GT,
    STATE(16796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707429] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9928), 1,
      anon_sym_RBRACK,
    ACTIONS(18268), 1,
      anon_sym_PIPE,
    STATE(16797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707446] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23674), 1,
      anon_sym_SEMI,
    ACTIONS(23676), 1,
      anon_sym_RBRACE,
    STATE(16798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707463] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16799), 1,
      sym_attribute,
    STATE(19497), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707480] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16800), 1,
      sym_attribute,
    STATE(17484), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707497] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23678), 1,
      anon_sym_DOT,
    STATE(16801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707514] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23680), 1,
      anon_sym_RPAREN,
    ACTIONS(23682), 1,
      anon_sym_LT_DASH,
    STATE(16802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707531] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23684), 1,
      anon_sym_RPAREN,
    ACTIONS(23686), 1,
      anon_sym_SEMI,
    STATE(16803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707548] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23684), 1,
      anon_sym_RBRACK,
    ACTIONS(23688), 1,
      anon_sym_SEMI,
    STATE(16804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707565] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23684), 1,
      anon_sym_RBRACE,
    ACTIONS(23690), 1,
      anon_sym_SEMI,
    STATE(16805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707582] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23692), 1,
      anon_sym_RPAREN,
    ACTIONS(23694), 1,
      anon_sym_LT_DASH,
    STATE(16806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707599] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17646), 1,
      anon_sym_as,
    ACTIONS(23696), 1,
      anon_sym_DASH_GT,
    STATE(16807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707616] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23698), 1,
      anon_sym_then,
    STATE(11660), 1,
      sym_then_clause,
    STATE(16808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707633] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16809), 1,
      sym_attribute,
    STATE(19588), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707650] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20899), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
  [707665] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(23700), 1,
      sym__lowercase_identifier,
    STATE(16811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707682] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23702), 1,
      anon_sym_DOT,
    STATE(16812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707699] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23704), 1,
      anon_sym_SEMI,
    ACTIONS(23706), 1,
      anon_sym_RBRACE,
    STATE(16813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707716] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23708), 1,
      anon_sym_RPAREN,
    ACTIONS(23710), 1,
      anon_sym_LT_DASH,
    STATE(16814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707733] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16815), 1,
      sym_attribute,
    STATE(19811), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707750] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23712), 1,
      anon_sym_COLON_GT,
    ACTIONS(23714), 1,
      anon_sym_RPAREN,
    STATE(16816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707767] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23716), 1,
      anon_sym_DOT,
    STATE(16817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707784] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23718), 1,
      anon_sym_RPAREN,
    ACTIONS(23720), 1,
      anon_sym_LT_DASH,
    STATE(16818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707801] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(23722), 1,
      sym__lowercase_identifier,
    STATE(16819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707818] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22768), 1,
      anon_sym_do,
    STATE(10300), 1,
      sym_do_clause,
    STATE(16820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707835] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23724), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [707850] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23018), 1,
      anon_sym_then,
    STATE(8126), 1,
      sym_then_clause,
    STATE(16822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707867] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23726), 1,
      anon_sym_RPAREN,
    ACTIONS(23728), 1,
      anon_sym_SEMI,
    STATE(16823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707884] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23726), 1,
      anon_sym_RBRACK,
    ACTIONS(23730), 1,
      anon_sym_SEMI,
    STATE(16824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707901] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23726), 1,
      anon_sym_RBRACE,
    ACTIONS(23732), 1,
      anon_sym_SEMI,
    STATE(16825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707918] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22814), 1,
      anon_sym_then,
    STATE(8354), 1,
      sym_then_clause,
    STATE(16826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707935] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16827), 1,
      sym_attribute,
    STATE(19900), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707952] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23734), 1,
      anon_sym_RPAREN,
    ACTIONS(23736), 1,
      anon_sym_LT_DASH,
    STATE(16828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707969] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23738), 1,
      anon_sym_DOT,
    STATE(16829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707986] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23740), 1,
      anon_sym_RPAREN,
    ACTIONS(23742), 1,
      anon_sym_LT_DASH,
    STATE(16830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708003] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23456), 1,
      anon_sym_then,
    STATE(9226), 1,
      sym_then_clause,
    STATE(16831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708020] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16832), 1,
      sym_attribute,
    STATE(20143), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708037] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23000), 1,
      anon_sym_then,
    STATE(11901), 1,
      sym_then_clause,
    STATE(16833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708054] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23744), 1,
      anon_sym_DOT,
    STATE(16834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708071] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23698), 1,
      anon_sym_then,
    STATE(11738), 1,
      sym_then_clause,
    STATE(16835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708088] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23746), 1,
      anon_sym_COLON2,
    STATE(11606), 1,
      sym__polymorphic_typed,
    STATE(16836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708105] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10061), 1,
      anon_sym_RBRACK,
    ACTIONS(18268), 1,
      anon_sym_PIPE,
    STATE(16837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708122] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23748), 1,
      anon_sym_RPAREN,
    ACTIONS(23750), 1,
      anon_sym_SEMI,
    STATE(16838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708139] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23748), 1,
      anon_sym_RBRACK,
    ACTIONS(23752), 1,
      anon_sym_SEMI,
    STATE(16839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708156] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23748), 1,
      anon_sym_RBRACE,
    ACTIONS(23754), 1,
      anon_sym_SEMI,
    STATE(16840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708173] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(23756), 1,
      sym__lowercase_identifier,
    STATE(16841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708190] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11269), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [708205] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16843), 1,
      sym_attribute,
    STATE(20235), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708222] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23758), 1,
      anon_sym_DOT,
    STATE(16844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708239] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16845), 1,
      sym_attribute,
    STATE(17701), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708256] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23760), 1,
      anon_sym_RPAREN,
    ACTIONS(23762), 1,
      anon_sym_LT_DASH,
    STATE(16846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708273] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23764), 1,
      anon_sym_RPAREN,
    ACTIONS(23766), 1,
      anon_sym_SEMI,
    STATE(16847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708290] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23764), 1,
      anon_sym_RBRACK,
    ACTIONS(23768), 1,
      anon_sym_SEMI,
    STATE(16848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708307] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23764), 1,
      anon_sym_RBRACE,
    ACTIONS(23770), 1,
      anon_sym_SEMI,
    STATE(16849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708324] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16850), 1,
      sym_attribute,
    STATE(19697), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708341] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16851), 1,
      sym_attribute,
    STATE(19535), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708358] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23098), 1,
      anon_sym_then,
    STATE(12296), 1,
      sym_then_clause,
    STATE(16852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708375] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23772), 1,
      anon_sym_DOT,
    STATE(16853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708392] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23774), 1,
      anon_sym_COLON_GT,
    ACTIONS(23776), 1,
      anon_sym_RPAREN,
    STATE(16854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708409] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23778), 1,
      sym__lowercase_identifier,
    ACTIONS(23780), 1,
      anon_sym_LPAREN,
    STATE(16855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708426] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23782), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [708441] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16857), 1,
      sym_attribute,
    STATE(19504), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708458] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22768), 1,
      anon_sym_do,
    STATE(10362), 1,
      sym_do_clause,
    STATE(16858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708475] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23784), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [708490] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23786), 1,
      anon_sym_COLON_GT,
    ACTIONS(23788), 1,
      anon_sym_RPAREN,
    STATE(16860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708507] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23790), 1,
      anon_sym_RPAREN,
    ACTIONS(23792), 1,
      anon_sym_SEMI,
    STATE(16861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708524] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23790), 1,
      anon_sym_RBRACK,
    ACTIONS(23794), 1,
      anon_sym_SEMI,
    STATE(16862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708541] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23790), 1,
      anon_sym_RBRACE,
    ACTIONS(23796), 1,
      anon_sym_SEMI,
    STATE(16863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708558] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23798), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [708573] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16865), 1,
      sym_attribute,
    STATE(20034), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708590] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23800), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [708605] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23164), 1,
      anon_sym_do,
    STATE(8132), 1,
      sym_do_clause,
    STATE(16867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708622] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23802), 1,
      anon_sym_DOT,
    STATE(16868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708639] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(23804), 1,
      sym__lowercase_identifier,
    STATE(16869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708656] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(23806), 1,
      sym__lowercase_identifier,
    STATE(16870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708673] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23808), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [708688] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16872), 1,
      sym_attribute,
    STATE(20261), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708705] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23810), 1,
      anon_sym_RPAREN,
    ACTIONS(23812), 1,
      anon_sym_SEMI,
    STATE(16873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708722] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23810), 1,
      anon_sym_RBRACK,
    ACTIONS(23814), 1,
      anon_sym_SEMI,
    STATE(16874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708739] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23810), 1,
      anon_sym_RBRACE,
    ACTIONS(23816), 1,
      anon_sym_SEMI,
    STATE(16875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708756] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17388), 1,
      sym__lowercase_identifier,
    STATE(16876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708773] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16877), 1,
      sym_attribute,
    STATE(17856), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708790] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23818), 1,
      anon_sym_DOT,
    STATE(16878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708807] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23820), 2,
      anon_sym_to,
      anon_sym_downto,
  [708822] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23822), 1,
      anon_sym_DOT,
    STATE(16880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708839] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23098), 1,
      anon_sym_then,
    STATE(12229), 1,
      sym_then_clause,
    STATE(16881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708856] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16882), 1,
      sym_attribute,
    STATE(19618), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708873] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23824), 1,
      sym__lowercase_identifier,
    ACTIONS(23826), 1,
      anon_sym_LPAREN,
    STATE(16883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708890] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23828), 1,
      anon_sym_RPAREN,
    ACTIONS(23830), 1,
      anon_sym_SEMI,
    STATE(16884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708907] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23828), 1,
      anon_sym_RBRACK,
    ACTIONS(23832), 1,
      anon_sym_SEMI,
    STATE(16885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708924] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23828), 1,
      anon_sym_RBRACE,
    ACTIONS(23834), 1,
      anon_sym_SEMI,
    STATE(16886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708941] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16887), 1,
      sym_attribute,
    STATE(19916), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708958] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23836), 1,
      anon_sym_DOT,
    STATE(16888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708975] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23838), 1,
      anon_sym_COLON_GT,
    ACTIONS(23840), 1,
      anon_sym_RPAREN,
    STATE(16889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708992] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23842), 1,
      anon_sym_RPAREN,
    ACTIONS(23844), 1,
      anon_sym_LT_DASH,
    STATE(16890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709009] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9934), 1,
      anon_sym_RBRACK,
    ACTIONS(18268), 1,
      anon_sym_PIPE,
    STATE(16891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709026] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11273), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [709041] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16893), 1,
      sym_attribute,
    STATE(19002), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709058] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23846), 1,
      anon_sym_RPAREN,
    ACTIONS(23848), 1,
      anon_sym_SEMI,
    STATE(16894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709075] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23846), 1,
      anon_sym_RBRACK,
    ACTIONS(23850), 1,
      anon_sym_SEMI,
    STATE(16895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709092] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23846), 1,
      anon_sym_RBRACE,
    ACTIONS(23852), 1,
      anon_sym_SEMI,
    STATE(16896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709109] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16897), 1,
      sym_attribute,
    STATE(17441), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709126] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23854), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [709141] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23428), 1,
      anon_sym_then,
    STATE(12472), 1,
      sym_then_clause,
    STATE(16899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709158] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23856), 1,
      anon_sym_RPAREN,
    ACTIONS(23858), 1,
      anon_sym_LT_DASH,
    STATE(16900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709175] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23860), 1,
      anon_sym_DOT,
    STATE(16901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709192] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(23862), 1,
      sym__lowercase_identifier,
    STATE(16902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709209] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(23864), 1,
      sym__lowercase_identifier,
    STATE(16903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709226] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23866), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [709241] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23868), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [709256] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16906), 1,
      sym_attribute,
    STATE(19048), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709273] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(23870), 1,
      sym__lowercase_identifier,
    STATE(16907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709290] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17400), 1,
      sym__lowercase_identifier,
    STATE(16908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709307] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23872), 1,
      anon_sym_RPAREN,
    ACTIONS(23874), 1,
      anon_sym_SEMI,
    STATE(16909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709324] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23872), 1,
      anon_sym_RBRACK,
    ACTIONS(23876), 1,
      anon_sym_SEMI,
    STATE(16910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709341] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23872), 1,
      anon_sym_RBRACE,
    ACTIONS(23878), 1,
      anon_sym_SEMI,
    STATE(16911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709358] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23880), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [709373] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16913), 1,
      sym_attribute,
    STATE(19730), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709390] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22816), 1,
      anon_sym_then,
    STATE(8246), 1,
      sym_then_clause,
    STATE(16914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709407] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23882), 1,
      anon_sym_DOT,
    STATE(16915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709424] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(23884), 1,
      sym__lowercase_identifier,
    STATE(16916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709441] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23886), 1,
      anon_sym_COLON_GT,
    ACTIONS(23888), 1,
      anon_sym_RPAREN,
    STATE(16917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709458] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23890), 1,
      anon_sym_RPAREN,
    ACTIONS(23892), 1,
      anon_sym_LT_DASH,
    STATE(16918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709475] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16919), 1,
      sym_attribute,
    STATE(17753), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709492] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12242), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [709507] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23894), 1,
      anon_sym_RPAREN,
    ACTIONS(23896), 1,
      anon_sym_SEMI,
    STATE(16921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709524] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23894), 1,
      anon_sym_RBRACK,
    ACTIONS(23898), 1,
      anon_sym_SEMI,
    STATE(16922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709541] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23894), 1,
      anon_sym_RBRACE,
    ACTIONS(23900), 1,
      anon_sym_SEMI,
    STATE(16923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709558] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16924), 1,
      sym_attribute,
    STATE(17963), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709575] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23902), 1,
      anon_sym_RPAREN,
    ACTIONS(23904), 1,
      anon_sym_LT_DASH,
    STATE(16925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709592] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23906), 1,
      anon_sym_DOT,
    STATE(16926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709609] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23908), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [709624] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23910), 1,
      sym__lowercase_identifier,
    ACTIONS(23912), 1,
      anon_sym_LPAREN,
    STATE(16928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709641] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16929), 1,
      sym_attribute,
    STATE(18587), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709658] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23914), 1,
      anon_sym_RPAREN,
    ACTIONS(23916), 1,
      anon_sym_SEMI,
    STATE(16930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709675] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23914), 1,
      anon_sym_RBRACK,
    ACTIONS(23918), 1,
      anon_sym_SEMI,
    STATE(16931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709692] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23914), 1,
      anon_sym_RBRACE,
    ACTIONS(23920), 1,
      anon_sym_SEMI,
    STATE(16932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709709] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16933), 1,
      sym_attribute,
    STATE(19073), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709726] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23922), 1,
      anon_sym_DOT,
    STATE(16934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709743] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23924), 1,
      anon_sym_COLON_GT,
    ACTIONS(23926), 1,
      anon_sym_RPAREN,
    STATE(16935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709760] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(23928), 1,
      sym__lowercase_identifier,
    STATE(16936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709777] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23930), 1,
      anon_sym_RPAREN,
    ACTIONS(23932), 1,
      anon_sym_LT_DASH,
    STATE(16937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709794] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16938), 1,
      sym_attribute,
    STATE(19771), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709811] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23934), 1,
      anon_sym_RPAREN,
    ACTIONS(23936), 1,
      anon_sym_LT_DASH,
    STATE(16939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709828] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22778), 1,
      anon_sym_then,
    STATE(11756), 1,
      sym_then_clause,
    STATE(16940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709845] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23938), 1,
      anon_sym_RPAREN,
    ACTIONS(23940), 1,
      anon_sym_SEMI,
    STATE(16941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709862] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23938), 1,
      anon_sym_RBRACK,
    ACTIONS(23942), 1,
      anon_sym_SEMI,
    STATE(16942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709879] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23938), 1,
      anon_sym_RBRACE,
    ACTIONS(23944), 1,
      anon_sym_SEMI,
    STATE(16943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709896] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(23946), 1,
      sym__lowercase_identifier,
    STATE(16944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709913] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16945), 1,
      sym_attribute,
    STATE(19860), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709930] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23948), 1,
      anon_sym_COLON_GT,
    ACTIONS(23950), 1,
      anon_sym_RPAREN,
    STATE(16946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709947] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23952), 1,
      anon_sym_DOT,
    STATE(16947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709964] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(23954), 1,
      sym__lowercase_identifier,
    STATE(16948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709981] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23956), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [709996] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23958), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [710011] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23960), 1,
      anon_sym_EQ,
    ACTIONS(23962), 1,
      anon_sym_RPAREN,
    STATE(16951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710028] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16952), 1,
      sym_attribute,
    STATE(20204), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710045] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16714), 1,
      anon_sym_STAR,
    ACTIONS(23964), 1,
      anon_sym_DASH_GT,
    STATE(16953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710062] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23966), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [710077] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17894), 1,
      anon_sym_RBRACE,
    ACTIONS(23968), 1,
      anon_sym_SEMI,
    STATE(16955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710094] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23970), 1,
      anon_sym_RPAREN,
    ACTIONS(23972), 1,
      anon_sym_SEMI,
    STATE(16956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710111] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23970), 1,
      anon_sym_RBRACK,
    ACTIONS(23974), 1,
      anon_sym_SEMI,
    STATE(16957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710128] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23970), 1,
      anon_sym_RBRACE,
    ACTIONS(23976), 1,
      anon_sym_SEMI,
    STATE(16958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710145] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16959), 1,
      sym_attribute,
    STATE(20303), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710162] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17438), 1,
      sym__lowercase_identifier,
    STATE(16960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710179] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16961), 1,
      sym_attribute,
    STATE(18284), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710196] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17542), 1,
      anon_sym_RBRACE,
    ACTIONS(23978), 1,
      anon_sym_SEMI,
    STATE(16962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710213] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(23980), 1,
      anon_sym_DOT,
    STATE(16963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710230] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23982), 1,
      anon_sym_RPAREN,
    ACTIONS(23984), 1,
      anon_sym_SEMI,
    STATE(16964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710247] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23982), 1,
      anon_sym_RBRACK,
    ACTIONS(23986), 1,
      anon_sym_SEMI,
    STATE(16965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710264] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23982), 1,
      anon_sym_RBRACE,
    ACTIONS(23988), 1,
      anon_sym_SEMI,
    STATE(16966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710281] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16967), 1,
      sym_attribute,
    STATE(18903), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710298] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22778), 1,
      anon_sym_then,
    STATE(11827), 1,
      sym_then_clause,
    STATE(16968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710315] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23990), 1,
      anon_sym_RPAREN,
    ACTIONS(23992), 1,
      anon_sym_LT_DASH,
    STATE(16969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710332] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11299), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [710347] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16971), 1,
      sym_attribute,
    STATE(17520), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710364] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23994), 1,
      sym__lowercase_identifier,
    ACTIONS(23996), 1,
      anon_sym_LPAREN,
    STATE(16972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710381] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23998), 1,
      anon_sym_EQ,
    ACTIONS(24000), 1,
      anon_sym_RPAREN,
    STATE(16973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710398] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24002), 1,
      anon_sym_RPAREN,
    ACTIONS(24004), 1,
      anon_sym_SEMI,
    STATE(16974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710415] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24002), 1,
      anon_sym_RBRACK,
    ACTIONS(24006), 1,
      anon_sym_SEMI,
    STATE(16975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710432] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24002), 1,
      anon_sym_RBRACE,
    ACTIONS(24008), 1,
      anon_sym_SEMI,
    STATE(16976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710449] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16977), 1,
      sym_attribute,
    STATE(17725), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710466] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24010), 1,
      anon_sym_COLON_GT,
    ACTIONS(24012), 1,
      anon_sym_RPAREN,
    STATE(16978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710483] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(24014), 1,
      sym__lowercase_identifier,
    STATE(16979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710500] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9962), 1,
      anon_sym_RBRACK,
    ACTIONS(18268), 1,
      anon_sym_PIPE,
    STATE(16980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710517] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24016), 1,
      anon_sym_RPAREN,
    ACTIONS(24018), 1,
      anon_sym_LT_DASH,
    STATE(16981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710534] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16982), 1,
      sym_attribute,
    STATE(18258), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710551] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24020), 1,
      sym__lowercase_identifier,
    ACTIONS(24022), 1,
      sym__uppercase_identifier,
    STATE(16983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710568] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24024), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [710583] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24026), 1,
      anon_sym_RPAREN,
    ACTIONS(24028), 1,
      anon_sym_SEMI,
    STATE(16985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710600] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24026), 1,
      anon_sym_RBRACK,
    ACTIONS(24030), 1,
      anon_sym_SEMI,
    STATE(16986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710617] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24026), 1,
      anon_sym_RBRACE,
    ACTIONS(24032), 1,
      anon_sym_SEMI,
    STATE(16987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710634] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(24034), 1,
      anon_sym_DOT,
    STATE(16988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710651] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16989), 1,
      sym_attribute,
    STATE(18521), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710668] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(24036), 1,
      sym__lowercase_identifier,
    STATE(16990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710685] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(16991), 1,
      sym_attribute,
    STATE(19022), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710702] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24038), 1,
      anon_sym_RPAREN,
    ACTIONS(24040), 1,
      anon_sym_SEMI,
    STATE(16992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710719] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24038), 1,
      anon_sym_RBRACK,
    ACTIONS(24042), 1,
      anon_sym_SEMI,
    STATE(16993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710736] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24038), 1,
      anon_sym_RBRACE,
    ACTIONS(24044), 1,
      anon_sym_SEMI,
    STATE(16994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710753] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(16995), 1,
      sym_attribute,
    STATE(19224), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710770] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22780), 1,
      anon_sym_then,
    STATE(10536), 1,
      sym_then_clause,
    STATE(16996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710787] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23698), 1,
      anon_sym_then,
    STATE(11750), 1,
      sym_then_clause,
    STATE(16997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710804] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(24046), 1,
      sym__lowercase_identifier,
    STATE(16998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710821] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16714), 1,
      anon_sym_STAR,
    ACTIONS(24048), 1,
      anon_sym_DASH_GT,
    STATE(16999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710838] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17000), 1,
      sym_attribute,
    STATE(20245), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710855] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24050), 1,
      anon_sym_SEMI,
    ACTIONS(24052), 1,
      anon_sym_RBRACE,
    STATE(17001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710872] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23604), 1,
      anon_sym_then,
    STATE(12072), 1,
      sym_then_clause,
    STATE(17002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710889] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24054), 1,
      anon_sym_RPAREN,
    ACTIONS(24056), 1,
      anon_sym_SEMI,
    STATE(17003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710906] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24054), 1,
      anon_sym_RBRACK,
    ACTIONS(24058), 1,
      anon_sym_SEMI,
    STATE(17004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710923] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24054), 1,
      anon_sym_RBRACE,
    ACTIONS(24060), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710940] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(17006), 1,
      sym_attribute,
    STATE(17447), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710957] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24062), 1,
      anon_sym_RPAREN,
    ACTIONS(24064), 1,
      anon_sym_LT_DASH,
    STATE(17007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710974] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(24066), 1,
      sym__lowercase_identifier,
    STATE(17008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710991] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24068), 1,
      sym__lowercase_identifier,
    ACTIONS(24070), 1,
      anon_sym_LPAREN,
    STATE(17009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711008] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17010), 1,
      sym_attribute,
    STATE(17646), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711025] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24072), 1,
      anon_sym_RPAREN,
    ACTIONS(24074), 1,
      anon_sym_LT_DASH,
    STATE(17011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711042] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24076), 1,
      anon_sym_SEMI,
    ACTIONS(24078), 1,
      anon_sym_RBRACE,
    STATE(17012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711059] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24080), 1,
      anon_sym_RPAREN,
    ACTIONS(24082), 1,
      anon_sym_SEMI,
    STATE(17013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711076] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24080), 1,
      anon_sym_RBRACK,
    ACTIONS(24084), 1,
      anon_sym_SEMI,
    STATE(17014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711093] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24080), 1,
      anon_sym_RBRACE,
    ACTIONS(24086), 1,
      anon_sym_SEMI,
    STATE(17015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711110] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24088), 1,
      anon_sym_RPAREN,
    ACTIONS(24090), 1,
      anon_sym_LT_DASH,
    STATE(17016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711127] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24092), 1,
      anon_sym_RPAREN,
    ACTIONS(24094), 1,
      anon_sym_LT_DASH,
    STATE(17017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711144] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17018), 1,
      sym_attribute,
    STATE(17888), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711161] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24096), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [711176] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24098), 1,
      anon_sym_then,
    STATE(12086), 1,
      sym_then_clause,
    STATE(17020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711193] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24100), 1,
      anon_sym_RPAREN,
    ACTIONS(24102), 1,
      anon_sym_SEMI,
    STATE(17021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711210] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24100), 1,
      anon_sym_RBRACK,
    ACTIONS(24104), 1,
      anon_sym_SEMI,
    STATE(17022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711227] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24100), 1,
      anon_sym_RBRACE,
    ACTIONS(24106), 1,
      anon_sym_SEMI,
    STATE(17023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711244] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24108), 1,
      anon_sym_RPAREN,
    ACTIONS(24110), 1,
      anon_sym_LT_DASH,
    STATE(17024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711261] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24112), 1,
      anon_sym_RPAREN,
    ACTIONS(24114), 1,
      anon_sym_LT_DASH,
    STATE(17025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711278] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [711293] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17027), 1,
      sym_attribute,
    STATE(18154), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711310] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24118), 1,
      anon_sym_RPAREN,
    ACTIONS(24120), 1,
      anon_sym_SEMI,
    STATE(17028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711327] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24118), 1,
      anon_sym_RBRACK,
    ACTIONS(24122), 1,
      anon_sym_SEMI,
    STATE(17029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711344] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24118), 1,
      anon_sym_RBRACE,
    ACTIONS(24124), 1,
      anon_sym_SEMI,
    STATE(17030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711361] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24126), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [711376] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17384), 1,
      sym__lowercase_identifier,
    STATE(17032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711393] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24098), 1,
      anon_sym_then,
    STATE(12356), 1,
      sym_then_clause,
    STATE(17033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711410] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17034), 1,
      sym_attribute,
    STATE(18429), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711427] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(24128), 1,
      sym__lowercase_identifier,
    STATE(17035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711444] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24130), 1,
      anon_sym_COLON_GT,
    ACTIONS(24132), 1,
      anon_sym_RPAREN,
    STATE(17036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711461] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24134), 1,
      anon_sym_RPAREN,
    ACTIONS(24136), 1,
      anon_sym_SEMI,
    STATE(17037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711478] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24134), 1,
      anon_sym_RBRACK,
    ACTIONS(24138), 1,
      anon_sym_SEMI,
    STATE(17038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711495] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24134), 1,
      anon_sym_RBRACE,
    ACTIONS(24140), 1,
      anon_sym_SEMI,
    STATE(17039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711512] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(24142), 1,
      anon_sym_DOT,
    STATE(17040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711529] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23164), 1,
      anon_sym_do,
    STATE(8046), 1,
      sym_do_clause,
    STATE(17041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711546] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24144), 1,
      anon_sym_RPAREN,
    ACTIONS(24146), 1,
      anon_sym_LT_DASH,
    STATE(17042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711563] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24098), 1,
      anon_sym_then,
    STATE(12325), 1,
      sym_then_clause,
    STATE(17043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711580] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9798), 1,
      anon_sym_RBRACK,
    ACTIONS(18268), 1,
      anon_sym_PIPE,
    STATE(17044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711597] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17045), 1,
      sym_attribute,
    STATE(18646), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711614] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23070), 1,
      anon_sym_COLON2,
    STATE(17046), 1,
      sym_attribute,
    STATE(20254), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711631] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24148), 1,
      anon_sym_RPAREN,
    ACTIONS(24150), 1,
      anon_sym_SEMI,
    STATE(17047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711648] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24148), 1,
      anon_sym_RBRACK,
    ACTIONS(24152), 1,
      anon_sym_SEMI,
    STATE(17048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711665] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24148), 1,
      anon_sym_RBRACE,
    ACTIONS(24154), 1,
      anon_sym_SEMI,
    STATE(17049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711682] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24156), 1,
      anon_sym_RPAREN,
    ACTIONS(24158), 1,
      anon_sym_LT_DASH,
    STATE(17050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711699] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17051), 1,
      sym_attribute,
    STATE(18773), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711716] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24160), 1,
      sym__lowercase_identifier,
    ACTIONS(24162), 1,
      anon_sym_LPAREN,
    STATE(17052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711733] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24164), 1,
      anon_sym_RPAREN,
    ACTIONS(24166), 1,
      anon_sym_SEMI,
    STATE(17053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711750] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24164), 1,
      anon_sym_RBRACK,
    ACTIONS(24168), 1,
      anon_sym_SEMI,
    STATE(17054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711767] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24164), 1,
      anon_sym_RBRACE,
    ACTIONS(24170), 1,
      anon_sym_SEMI,
    STATE(17055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711784] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24172), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [711799] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24174), 1,
      anon_sym_RPAREN,
    ACTIONS(24176), 1,
      anon_sym_LT_DASH,
    STATE(17057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711816] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17058), 1,
      sym_attribute,
    STATE(18890), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711833] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24178), 1,
      anon_sym_RPAREN,
    ACTIONS(24180), 1,
      anon_sym_SEMI,
    STATE(17059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711850] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24178), 1,
      anon_sym_RBRACK,
    ACTIONS(24182), 1,
      anon_sym_SEMI,
    STATE(17060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711867] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24178), 1,
      anon_sym_RBRACE,
    ACTIONS(24184), 1,
      anon_sym_SEMI,
    STATE(17061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711884] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18032), 1,
      anon_sym_COLON2,
    STATE(16409), 1,
      sym__polymorphic_typed,
    STATE(17062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711901] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24186), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [711916] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24188), 1,
      anon_sym_COLON_GT,
    ACTIONS(24190), 1,
      anon_sym_RPAREN,
    STATE(17064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711933] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17065), 1,
      sym_attribute,
    STATE(18950), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711950] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24192), 1,
      anon_sym_RPAREN,
    ACTIONS(24194), 1,
      anon_sym_SEMI,
    STATE(17066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711967] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24192), 1,
      anon_sym_RBRACK,
    ACTIONS(24196), 1,
      anon_sym_SEMI,
    STATE(17067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711984] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24192), 1,
      anon_sym_RBRACE,
    ACTIONS(24198), 1,
      anon_sym_SEMI,
    STATE(17068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712001] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24200), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [712016] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17070), 1,
      sym_attribute,
    STATE(18978), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712033] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24202), 1,
      anon_sym_RPAREN,
    ACTIONS(24204), 1,
      anon_sym_SEMI,
    STATE(17071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712050] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24202), 1,
      anon_sym_RBRACK,
    ACTIONS(24206), 1,
      anon_sym_SEMI,
    STATE(17072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712067] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24202), 1,
      anon_sym_RBRACE,
    ACTIONS(24208), 1,
      anon_sym_SEMI,
    STATE(17073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712084] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17074), 1,
      sym_attribute,
    STATE(19000), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712101] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24210), 1,
      anon_sym_RPAREN,
    ACTIONS(24212), 1,
      anon_sym_SEMI,
    STATE(17075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712118] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24210), 1,
      anon_sym_RBRACK,
    ACTIONS(24214), 1,
      anon_sym_SEMI,
    STATE(17076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712135] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24210), 1,
      anon_sym_RBRACE,
    ACTIONS(24216), 1,
      anon_sym_SEMI,
    STATE(17077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712152] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17078), 1,
      sym_attribute,
    STATE(19023), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712169] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24218), 1,
      anon_sym_RPAREN,
    ACTIONS(24220), 1,
      anon_sym_SEMI,
    STATE(17079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712186] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24218), 1,
      anon_sym_RBRACK,
    ACTIONS(24222), 1,
      anon_sym_SEMI,
    STATE(17080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712203] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24218), 1,
      anon_sym_RBRACE,
    ACTIONS(24224), 1,
      anon_sym_SEMI,
    STATE(17081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712220] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      anon_sym_RBRACK,
    ACTIONS(18268), 1,
      anon_sym_PIPE,
    STATE(17082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712237] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24226), 1,
      anon_sym_RPAREN,
    ACTIONS(24228), 1,
      anon_sym_LT_DASH,
    STATE(17083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712254] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17084), 1,
      sym_attribute,
    STATE(19045), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712271] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24230), 1,
      anon_sym_RPAREN,
    ACTIONS(24232), 1,
      anon_sym_SEMI,
    STATE(17085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712288] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24230), 1,
      anon_sym_RBRACK,
    ACTIONS(24234), 1,
      anon_sym_SEMI,
    STATE(17086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712305] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24230), 1,
      anon_sym_RBRACE,
    ACTIONS(24236), 1,
      anon_sym_SEMI,
    STATE(17087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712322] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24238), 1,
      anon_sym_RPAREN,
    ACTIONS(24240), 1,
      anon_sym_LT_DASH,
    STATE(17088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712339] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17089), 1,
      sym_attribute,
    STATE(19066), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712356] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24242), 1,
      anon_sym_RPAREN,
    ACTIONS(24244), 1,
      anon_sym_SEMI,
    STATE(17090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712373] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24242), 1,
      anon_sym_RBRACK,
    ACTIONS(24246), 1,
      anon_sym_SEMI,
    STATE(17091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712390] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24242), 1,
      anon_sym_RBRACE,
    ACTIONS(24248), 1,
      anon_sym_SEMI,
    STATE(17092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712407] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24250), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [712422] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17094), 1,
      sym_attribute,
    STATE(19088), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712439] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24252), 1,
      anon_sym_RPAREN,
    ACTIONS(24254), 1,
      anon_sym_SEMI,
    STATE(17095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712456] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24252), 1,
      anon_sym_RBRACK,
    ACTIONS(24256), 1,
      anon_sym_SEMI,
    STATE(17096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712473] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24252), 1,
      anon_sym_RBRACE,
    ACTIONS(24258), 1,
      anon_sym_SEMI,
    STATE(17097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712490] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17098), 1,
      sym_attribute,
    STATE(19113), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712507] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24260), 1,
      anon_sym_RPAREN,
    ACTIONS(24262), 1,
      anon_sym_SEMI,
    STATE(17099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712524] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24260), 1,
      anon_sym_RBRACK,
    ACTIONS(24264), 1,
      anon_sym_SEMI,
    STATE(17100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712541] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24260), 1,
      anon_sym_RBRACE,
    ACTIONS(24266), 1,
      anon_sym_SEMI,
    STATE(17101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712558] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17102), 1,
      sym_attribute,
    STATE(19150), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712575] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24268), 1,
      anon_sym_RPAREN,
    ACTIONS(24270), 1,
      anon_sym_SEMI,
    STATE(17103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712592] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24268), 1,
      anon_sym_RBRACK,
    ACTIONS(24272), 1,
      anon_sym_SEMI,
    STATE(17104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712609] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24268), 1,
      anon_sym_RBRACE,
    ACTIONS(24274), 1,
      anon_sym_SEMI,
    STATE(17105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712626] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24276), 1,
      anon_sym_EQ,
    ACTIONS(24278), 1,
      anon_sym_RPAREN,
    STATE(17106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712643] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17107), 1,
      sym_attribute,
    STATE(19185), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712660] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24280), 1,
      anon_sym_RPAREN,
    ACTIONS(24282), 1,
      anon_sym_SEMI,
    STATE(17108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712677] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24280), 1,
      anon_sym_RBRACK,
    ACTIONS(24284), 1,
      anon_sym_SEMI,
    STATE(17109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712694] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24280), 1,
      anon_sym_RBRACE,
    ACTIONS(24286), 1,
      anon_sym_SEMI,
    STATE(17110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712711] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24288), 1,
      anon_sym_RPAREN,
    ACTIONS(24290), 1,
      anon_sym_LT_DASH,
    STATE(17111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712728] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17112), 1,
      sym_attribute,
    STATE(19213), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712745] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24292), 1,
      anon_sym_RPAREN,
    ACTIONS(24294), 1,
      anon_sym_SEMI,
    STATE(17113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712762] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24292), 1,
      anon_sym_RBRACK,
    ACTIONS(24296), 1,
      anon_sym_SEMI,
    STATE(17114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712779] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24292), 1,
      anon_sym_RBRACE,
    ACTIONS(24298), 1,
      anon_sym_SEMI,
    STATE(17115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712796] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24300), 1,
      anon_sym_RPAREN,
    ACTIONS(24302), 1,
      anon_sym_LT_DASH,
    STATE(17116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712813] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17117), 1,
      sym_attribute,
    STATE(19235), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712830] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24304), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [712845] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17119), 1,
      sym_attribute,
    STATE(19247), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712862] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17120), 1,
      sym_attribute,
    STATE(19262), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712879] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24306), 1,
      sym__lowercase_identifier,
    ACTIONS(24308), 1,
      anon_sym_LPAREN,
    STATE(17121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712896] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17122), 1,
      sym_attribute,
    STATE(19266), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712913] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17123), 1,
      sym_attribute,
    STATE(19274), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712930] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17124), 1,
      sym_attribute,
    STATE(19281), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712947] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24310), 1,
      anon_sym_RPAREN,
    ACTIONS(24312), 1,
      anon_sym_LT_DASH,
    STATE(17125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712964] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17126), 1,
      sym_attribute,
    STATE(19291), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712981] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24314), 1,
      anon_sym_RPAREN,
    ACTIONS(24316), 1,
      anon_sym_LT_DASH,
    STATE(17127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712998] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17128), 1,
      sym_attribute,
    STATE(19295), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713015] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17129), 1,
      sym_attribute,
    STATE(19303), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713032] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24318), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [713047] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17131), 1,
      sym_attribute,
    STATE(19307), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713064] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9838), 1,
      anon_sym_RBRACK,
    ACTIONS(18268), 1,
      anon_sym_PIPE,
    STATE(17132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713081] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17133), 1,
      sym_attribute,
    STATE(19321), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713098] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17134), 1,
      sym_attribute,
    STATE(19328), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713115] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17135), 1,
      sym_attribute,
    STATE(19341), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713132] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17136), 1,
      sym_attribute,
    STATE(19349), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713149] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24320), 1,
      anon_sym_RPAREN,
    ACTIONS(24322), 1,
      anon_sym_LT_DASH,
    STATE(17137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713166] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17138), 1,
      sym_attribute,
    STATE(19361), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713183] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24324), 1,
      anon_sym_RPAREN,
    ACTIONS(24326), 1,
      anon_sym_LT_DASH,
    STATE(17139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713200] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17140), 1,
      sym_attribute,
    STATE(19376), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713217] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24328), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [713232] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17142), 1,
      sym_attribute,
    STATE(19382), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713249] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17143), 1,
      sym_attribute,
    STATE(19390), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713266] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24330), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [713281] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17145), 1,
      sym_attribute,
    STATE(19401), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713298] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17146), 1,
      sym_attribute,
    STATE(19409), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713315] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17147), 1,
      sym_attribute,
    STATE(19425), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713332] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24332), 1,
      anon_sym_RPAREN,
    ACTIONS(24334), 1,
      anon_sym_LT_DASH,
    STATE(17148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713349] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17149), 1,
      sym_attribute,
    STATE(19434), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713366] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24336), 1,
      anon_sym_RPAREN,
    ACTIONS(24338), 1,
      anon_sym_LT_DASH,
    STATE(17150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713383] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17151), 1,
      sym_attribute,
    STATE(19445), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713400] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17152), 1,
      sym_attribute,
    STATE(19450), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713417] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24340), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [713432] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24342), 1,
      anon_sym_RPAREN,
    STATE(17154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713449] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24344), 1,
      anon_sym_RPAREN,
    ACTIONS(24346), 1,
      anon_sym_LT_DASH,
    STATE(17155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713466] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24348), 1,
      anon_sym_RPAREN,
    ACTIONS(24350), 1,
      anon_sym_LT_DASH,
    STATE(17156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713483] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22754), 1,
      anon_sym_then,
    STATE(8074), 1,
      sym_then_clause,
    STATE(17157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713500] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(24352), 1,
      sym__lowercase_identifier,
    STATE(17158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713517] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24354), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [713532] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8683), 1,
      anon_sym_COLON_GT,
    ACTIONS(8685), 1,
      anon_sym_EQ,
    STATE(17160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713549] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24356), 1,
      anon_sym_RPAREN,
    ACTIONS(24358), 1,
      anon_sym_LT_DASH,
    STATE(17161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713566] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24360), 1,
      anon_sym_RPAREN,
    ACTIONS(24362), 1,
      anon_sym_LT_DASH,
    STATE(17162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713583] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24364), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [713598] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(24366), 1,
      sym__lowercase_identifier,
    STATE(17164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713615] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24368), 1,
      anon_sym_RPAREN,
    ACTIONS(24370), 1,
      anon_sym_LT_DASH,
    STATE(17165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713632] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24372), 1,
      anon_sym_RPAREN,
    ACTIONS(24374), 1,
      anon_sym_LT_DASH,
    STATE(17166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713649] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24376), 1,
      anon_sym_RPAREN,
    ACTIONS(24378), 1,
      anon_sym_LT_DASH,
    STATE(17167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713666] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24380), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [713681] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(24382), 1,
      sym__lowercase_identifier,
    STATE(17169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713698] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24384), 1,
      anon_sym_RPAREN,
    ACTIONS(24386), 1,
      anon_sym_LT_DASH,
    STATE(17170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713715] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24388), 1,
      anon_sym_RPAREN,
    ACTIONS(24390), 1,
      anon_sym_LT_DASH,
    STATE(17171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713732] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24392), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [713747] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24394), 1,
      anon_sym_RPAREN,
    ACTIONS(24396), 1,
      anon_sym_LT_DASH,
    STATE(17173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713764] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24398), 2,
      anon_sym_to,
      anon_sym_downto,
  [713779] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23080), 1,
      anon_sym_then,
    STATE(11922), 1,
      sym_then_clause,
    STATE(17175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713796] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24400), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [713811] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24402), 2,
      anon_sym_to,
      anon_sym_downto,
  [713826] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24404), 1,
      anon_sym_RPAREN,
    ACTIONS(24406), 1,
      anon_sym_LT_DASH,
    STATE(17178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713843] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24408), 1,
      anon_sym_RPAREN,
    ACTIONS(24410), 1,
      anon_sym_LT_DASH,
    STATE(17179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713860] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24412), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [713875] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24414), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [713890] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16714), 1,
      anon_sym_STAR,
    ACTIONS(24416), 1,
      anon_sym_DASH_GT,
    STATE(17182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713907] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24418), 1,
      anon_sym_RPAREN,
    ACTIONS(24420), 1,
      anon_sym_SEMI,
    STATE(17183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713924] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24422), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [713939] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17339), 1,
      sym__lowercase_identifier,
    STATE(17185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713956] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10314), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24424), 1,
      anon_sym_RPAREN,
    STATE(17186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713973] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24418), 1,
      anon_sym_RBRACK,
    ACTIONS(24426), 1,
      anon_sym_SEMI,
    STATE(17187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713990] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(17188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12279), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [714005] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24418), 1,
      anon_sym_RBRACE,
    ACTIONS(24428), 1,
      anon_sym_SEMI,
    STATE(17189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714022] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24430), 1,
      anon_sym_RPAREN,
    ACTIONS(24432), 1,
      anon_sym_LT_DASH,
    STATE(17190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714039] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(24434), 1,
      anon_sym_DOT,
    STATE(17191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714056] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24436), 1,
      anon_sym_RPAREN,
    ACTIONS(24438), 1,
      anon_sym_LT_DASH,
    STATE(17192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714073] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24440), 1,
      anon_sym_RPAREN,
    STATE(17193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714090] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24442), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [714105] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23080), 1,
      anon_sym_then,
    STATE(11913), 1,
      sym_then_clause,
    STATE(17195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714122] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24444), 1,
      sym__lowercase_identifier,
    ACTIONS(24446), 1,
      anon_sym_LPAREN,
    STATE(17196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714139] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24448), 1,
      anon_sym_RPAREN,
    ACTIONS(24450), 1,
      anon_sym_LT_DASH,
    STATE(17197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714156] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24452), 1,
      anon_sym_COLON_GT,
    ACTIONS(24454), 1,
      anon_sym_RPAREN,
    STATE(17198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714173] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24456), 1,
      anon_sym_RPAREN,
    ACTIONS(24458), 1,
      anon_sym_LT_DASH,
    STATE(17199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714190] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9978), 1,
      anon_sym_RBRACK,
    ACTIONS(18268), 1,
      anon_sym_PIPE,
    STATE(17200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714207] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24460), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [714222] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11739), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
  [714237] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24462), 1,
      sym__lowercase_identifier,
    ACTIONS(24464), 1,
      anon_sym_LBRACK,
    STATE(17203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714254] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24466), 2,
      anon_sym_to,
      anon_sym_downto,
  [714269] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24468), 1,
      anon_sym_EQ,
    ACTIONS(24470), 1,
      anon_sym_RPAREN,
    STATE(17205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714286] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24472), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [714301] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(24474), 1,
      sym__lowercase_identifier,
    STATE(17207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714318] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24476), 2,
      anon_sym_to,
      anon_sym_downto,
  [714333] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24478), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [714348] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    STATE(8879), 1,
      sym_extended_module_path,
    STATE(17210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714365] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10314), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24480), 1,
      anon_sym_RPAREN,
    STATE(17211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714382] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24482), 1,
      anon_sym_COLON_GT,
    ACTIONS(24484), 1,
      anon_sym_RPAREN,
    STATE(17212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714399] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24486), 1,
      anon_sym_RPAREN,
    STATE(17213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714416] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(24488), 1,
      sym__lowercase_identifier,
    STATE(17214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714433] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24490), 1,
      anon_sym_RPAREN,
    ACTIONS(24492), 1,
      anon_sym_LT_DASH,
    STATE(17215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714450] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24494), 1,
      anon_sym_RPAREN,
    ACTIONS(24496), 1,
      anon_sym_LT_DASH,
    STATE(17216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714467] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24498), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [714482] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(24500), 1,
      sym__lowercase_identifier,
    STATE(17218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714499] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24502), 2,
      anon_sym_to,
      anon_sym_downto,
  [714514] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24504), 1,
      anon_sym_RPAREN,
    ACTIONS(24506), 1,
      anon_sym_LT_DASH,
    STATE(17220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714531] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24508), 2,
      anon_sym_to,
      anon_sym_downto,
  [714546] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18478), 1,
      sym__lowercase_identifier,
    STATE(14824), 1,
      sym__simple_value_pattern,
    STATE(17222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714563] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10314), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24510), 1,
      anon_sym_RPAREN,
    STATE(17223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714580] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23234), 1,
      anon_sym_then,
    STATE(9690), 1,
      sym_then_clause,
    STATE(17224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714597] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24512), 1,
      anon_sym_COLON_GT,
    ACTIONS(24514), 1,
      anon_sym_RPAREN,
    STATE(17225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714614] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9710), 1,
      anon_sym_RPAREN,
    STATE(17226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714631] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24516), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [714646] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18032), 1,
      anon_sym_COLON2,
    STATE(17069), 1,
      sym__polymorphic_typed,
    STATE(17228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714663] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24518), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [714678] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24520), 1,
      anon_sym_COLON2,
    STATE(13007), 1,
      sym__typed,
    STATE(17230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714695] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24522), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [714710] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17414), 1,
      sym__lowercase_identifier,
    STATE(17232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714727] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24524), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [714742] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9628), 1,
      anon_sym_RPAREN,
    ACTIONS(10314), 1,
      anon_sym_COLON_COLON,
    STATE(17234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714759] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24526), 1,
      anon_sym_RPAREN,
    STATE(17235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714776] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24528), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [714791] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10167), 1,
      anon_sym_RPAREN,
    ACTIONS(24530), 1,
      aux_sym_number_token1,
    STATE(17237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714808] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(24532), 1,
      sym__lowercase_identifier,
    STATE(17238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714825] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(24534), 1,
      anon_sym_DOT,
    STATE(17239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714842] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9632), 1,
      anon_sym_RPAREN,
    ACTIONS(10314), 1,
      anon_sym_COLON_COLON,
    STATE(17240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714859] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9636), 1,
      anon_sym_RPAREN,
    STATE(17241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714876] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23234), 1,
      anon_sym_then,
    STATE(9445), 1,
      sym_then_clause,
    STATE(17242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714893] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24536), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [714908] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24538), 1,
      sym__lowercase_identifier,
    ACTIONS(24540), 1,
      anon_sym_LPAREN,
    STATE(17244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714925] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24542), 1,
      anon_sym_COLON_GT,
    ACTIONS(24544), 1,
      anon_sym_RPAREN,
    STATE(17245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714942] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17418), 1,
      sym__lowercase_identifier,
    STATE(17246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714959] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10014), 1,
      anon_sym_RBRACK,
    ACTIONS(18268), 1,
      anon_sym_PIPE,
    STATE(17247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714976] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(24546), 1,
      anon_sym_DOT,
    STATE(17248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714993] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10006), 1,
      anon_sym_RBRACK,
    ACTIONS(18268), 1,
      anon_sym_PIPE,
    STATE(17249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715010] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(24548), 1,
      anon_sym_DOT,
    STATE(17250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715027] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10314), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24550), 1,
      anon_sym_RPAREN,
    STATE(17251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715044] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24552), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [715059] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24554), 1,
      anon_sym_RPAREN,
    ACTIONS(24556), 1,
      anon_sym_LT_DASH,
    STATE(17253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715076] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17347), 1,
      sym__lowercase_identifier,
    STATE(17254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715093] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(24558), 1,
      sym__lowercase_identifier,
    STATE(17255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715110] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(24560), 1,
      anon_sym_DOT,
    STATE(17256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715127] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24562), 1,
      anon_sym_COLON2,
    STATE(11606), 1,
      sym__polymorphic_typed,
    STATE(17257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715144] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7647), 1,
      sym__uppercase_identifier,
    STATE(15498), 1,
      sym_extended_module_path,
    STATE(17258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715161] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(24564), 1,
      sym__lowercase_identifier,
    STATE(17259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715178] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20816), 1,
      anon_sym_EQ,
    ACTIONS(24566), 1,
      anon_sym_COLON_GT,
    STATE(17260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715195] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24568), 1,
      anon_sym_COLON2,
    STATE(13021), 1,
      sym__polymorphic_typed,
    STATE(17261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715212] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(24570), 1,
      sym__lowercase_identifier,
    STATE(17262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715229] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    STATE(17263), 1,
      sym_attribute,
    STATE(19755), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715246] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24562), 1,
      anon_sym_COLON2,
    STATE(11690), 1,
      sym__polymorphic_typed,
    STATE(17264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715263] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24572), 1,
      anon_sym_RPAREN,
    ACTIONS(24574), 1,
      anon_sym_LT_DASH,
    STATE(17265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715280] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24576), 1,
      anon_sym_RPAREN,
    ACTIONS(24578), 1,
      anon_sym_LT_DASH,
    STATE(17266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715297] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22780), 1,
      anon_sym_then,
    STATE(10528), 1,
      sym_then_clause,
    STATE(17267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715314] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23088), 1,
      anon_sym_then,
    STATE(8408), 1,
      sym_then_clause,
    STATE(17268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715331] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23334), 1,
      anon_sym_do,
    STATE(7975), 1,
      sym_do_clause,
    STATE(17269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715348] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24580), 1,
      anon_sym_SEMI,
    ACTIONS(24582), 1,
      anon_sym_RBRACE,
    STATE(17270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715365] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17271), 1,
      sym_attribute,
    STATE(20149), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715382] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22848), 1,
      anon_sym_then,
    STATE(11444), 1,
      sym_then_clause,
    STATE(17272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715399] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24584), 1,
      anon_sym_RPAREN,
    ACTIONS(24586), 1,
      anon_sym_LT_DASH,
    STATE(17273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715416] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24588), 1,
      sym__lowercase_identifier,
    ACTIONS(24590), 1,
      anon_sym_LPAREN,
    STATE(17274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715433] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23456), 1,
      anon_sym_then,
    STATE(9364), 1,
      sym_then_clause,
    STATE(17275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715450] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24592), 1,
      sym__lowercase_identifier,
    ACTIONS(24594), 1,
      anon_sym_LPAREN,
    STATE(17276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715467] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24596), 1,
      anon_sym_EQ,
    ACTIONS(24598), 1,
      anon_sym_RPAREN,
    STATE(17277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715484] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24600), 1,
      anon_sym_open,
    STATE(17278), 1,
      sym_attribute,
    STATE(17980), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715501] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(24602), 1,
      sym__lowercase_identifier,
    STATE(17279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715518] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24604), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [715533] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(24606), 1,
      anon_sym_DOT,
    STATE(17281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715550] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24608), 1,
      anon_sym_COLON_GT,
    ACTIONS(24610), 1,
      anon_sym_RPAREN,
    STATE(17282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715567] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7950), 1,
      sym__left_quoted_string_delimiter,
    STATE(17283), 1,
      sym_attribute,
    STATE(17621), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715584] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24612), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [715599] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17310), 1,
      sym__lowercase_identifier,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    STATE(17285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715616] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(24614), 1,
      anon_sym_DOT,
    STATE(17286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715633] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24616), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [715648] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24098), 1,
      anon_sym_then,
    STATE(12162), 1,
      sym_then_clause,
    STATE(17288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715665] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18478), 1,
      sym__lowercase_identifier,
    STATE(14913), 1,
      sym__simple_value_pattern,
    STATE(17289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715682] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24600), 1,
      anon_sym_open,
    STATE(17290), 1,
      sym_attribute,
    STATE(19016), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715699] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24618), 1,
      anon_sym_SEMI,
    ACTIONS(24620), 1,
      anon_sym_RBRACE,
    STATE(17291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715716] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(24622), 1,
      anon_sym_DOT,
    STATE(17292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715733] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(24624), 1,
      anon_sym_DOT,
    STATE(17293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715750] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(24626), 1,
      anon_sym_DOT,
    STATE(17294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715767] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8620), 1,
      anon_sym_COLON_GT,
    ACTIONS(8622), 1,
      anon_sym_EQ,
    STATE(17295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715784] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24628), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [715799] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23456), 1,
      anon_sym_then,
    STATE(9302), 1,
      sym_then_clause,
    STATE(17297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715816] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(17298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11445), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [715831] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24630), 1,
      sym__lowercase_identifier,
    ACTIONS(24632), 1,
      anon_sym_LPAREN,
    STATE(17299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715848] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(24634), 1,
      sym__lowercase_identifier,
    STATE(17300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715865] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24636), 2,
      anon_sym_RBRACK,
      aux_sym_tag_token1,
  [715880] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24638), 1,
      sym__lowercase_identifier,
    ACTIONS(24640), 1,
      anon_sym_LPAREN,
    STATE(17302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715897] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(24642), 1,
      anon_sym_DOT,
    STATE(17303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715914] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24644), 1,
      anon_sym_COLON_GT,
    ACTIONS(24646), 1,
      anon_sym_RPAREN,
    STATE(17304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715931] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10016), 1,
      anon_sym_RBRACK,
    ACTIONS(18268), 1,
      anon_sym_PIPE,
    STATE(17305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715948] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24648), 1,
      anon_sym_RPAREN,
    ACTIONS(24650), 1,
      anon_sym_SEMI,
    STATE(17306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715965] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24648), 1,
      anon_sym_RBRACK,
    ACTIONS(24652), 1,
      anon_sym_SEMI,
    STATE(17307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715982] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24648), 1,
      anon_sym_RBRACE,
    ACTIONS(24654), 1,
      anon_sym_SEMI,
    STATE(17308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715999] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24656), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [716014] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24658), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [716029] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24660), 1,
      sym__lowercase_identifier,
    ACTIONS(24662), 1,
      anon_sym_LBRACK,
    STATE(17311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716046] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24664), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [716061] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16714), 1,
      anon_sym_STAR,
    ACTIONS(24666), 1,
      anon_sym_DASH_GT,
    STATE(17313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716078] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [716093] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(24670), 1,
      sym__lowercase_identifier,
    STATE(17315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716110] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24672), 1,
      anon_sym_RPAREN,
    ACTIONS(24674), 1,
      anon_sym_LT_DASH,
    STATE(17316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716127] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(24676), 1,
      sym__lowercase_identifier,
    STATE(17317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716144] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    STATE(12926), 1,
      sym_type_variable,
    STATE(17318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716161] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24678), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [716176] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24680), 2,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
  [716191] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21145), 1,
      anon_sym_EQ,
    ACTIONS(24682), 1,
      anon_sym_COLON_GT,
    STATE(17321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716208] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24684), 1,
      anon_sym_RPAREN,
    ACTIONS(24686), 1,
      anon_sym_LT_DASH,
    STATE(17322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716225] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(24688), 1,
      sym__lowercase_identifier,
    STATE(17323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716242] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19547), 1,
      anon_sym_COLON2,
    STATE(17324), 1,
      sym_attribute,
    STATE(19375), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716259] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24690), 1,
      anon_sym_RPAREN,
    ACTIONS(24692), 1,
      anon_sym_LT_DASH,
    STATE(17325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716276] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24694), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [716291] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24696), 1,
      anon_sym_RPAREN,
    ACTIONS(24698), 1,
      anon_sym_LT_DASH,
    STATE(17327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716308] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(24700), 1,
      anon_sym_DOT,
    STATE(17328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716325] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24702), 1,
      anon_sym_RPAREN,
    ACTIONS(24704), 1,
      anon_sym_LT_DASH,
    STATE(17329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716342] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24706), 1,
      anon_sym_RPAREN,
    ACTIONS(24708), 1,
      anon_sym_LT_DASH,
    STATE(17330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716359] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22848), 1,
      anon_sym_then,
    STATE(11092), 1,
      sym_then_clause,
    STATE(17331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716376] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      aux_sym_type_variable_token1,
    STATE(8101), 1,
      sym_type_variable,
    STATE(17332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716393] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(24710), 1,
      sym__lowercase_identifier,
    STATE(17333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716410] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17958), 1,
      anon_sym_RBRACE,
    ACTIONS(24712), 1,
      anon_sym_SEMI,
    STATE(17334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716427] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24714), 1,
      sym__lowercase_identifier,
    ACTIONS(24716), 1,
      anon_sym_LPAREN,
    STATE(17335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716444] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14093), 2,
      anon_sym_and,
      anon_sym_in,
  [716459] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24718), 1,
      anon_sym_RPAREN,
    ACTIONS(24720), 1,
      anon_sym_LT_DASH,
    STATE(17337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716476] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8624), 1,
      anon_sym_COLON_GT,
    ACTIONS(8626), 1,
      anon_sym_EQ,
    STATE(17338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716493] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22786), 1,
      anon_sym_then,
    STATE(11955), 1,
      sym_then_clause,
    STATE(17339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716510] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22798), 1,
      anon_sym_then,
    STATE(11887), 1,
      sym_then_clause,
    STATE(17340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716527] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17982), 1,
      anon_sym_RBRACE,
    ACTIONS(24722), 1,
      anon_sym_SEMI,
    STATE(17341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716544] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24520), 1,
      anon_sym_COLON2,
    STATE(13006), 1,
      sym__typed,
    STATE(17342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716561] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24724), 1,
      anon_sym_COLON_GT,
    ACTIONS(24726), 1,
      anon_sym_RPAREN,
    STATE(17343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716578] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24728), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [716593] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24730), 1,
      anon_sym_COLON_GT,
    ACTIONS(24732), 1,
      anon_sym_RPAREN,
    STATE(17345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716610] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16714), 1,
      anon_sym_STAR,
    ACTIONS(24734), 1,
      anon_sym_DASH_GT,
    STATE(17346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716627] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24736), 1,
      sym__lowercase_identifier,
    ACTIONS(24738), 1,
      anon_sym_LPAREN,
    STATE(17347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716644] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9832), 1,
      anon_sym_RBRACK,
    ACTIONS(18268), 1,
      anon_sym_PIPE,
    STATE(17348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716661] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24740), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [716676] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9932), 1,
      anon_sym_RBRACK,
    ACTIONS(18268), 1,
      anon_sym_PIPE,
    STATE(17350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716693] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24568), 1,
      anon_sym_COLON2,
    STATE(13009), 1,
      sym__polymorphic_typed,
    STATE(17351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716710] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24742), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [716725] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17410), 1,
      sym__lowercase_identifier,
    STATE(17353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716742] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17506), 1,
      sym__lowercase_identifier,
    STATE(17354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716759] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24744), 1,
      anon_sym_RPAREN,
    ACTIONS(24746), 1,
      anon_sym_LT_DASH,
    STATE(17355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716776] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23018), 1,
      anon_sym_then,
    STATE(8106), 1,
      sym_then_clause,
    STATE(17356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716793] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_COLON2,
    STATE(17357), 1,
      sym_attribute,
    STATE(18075), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716810] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(24748), 1,
      sym__lowercase_identifier,
    STATE(17358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716827] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23604), 1,
      anon_sym_then,
    STATE(12023), 1,
      sym_then_clause,
    STATE(17359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716844] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(24750), 1,
      sym__lowercase_identifier,
    STATE(17360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716861] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17668), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [716876] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(24752), 1,
      sym__lowercase_identifier,
    STATE(17362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716893] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24754), 1,
      sym__lowercase_identifier,
    ACTIONS(24756), 1,
      anon_sym_LPAREN,
    STATE(17363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716910] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24758), 1,
      anon_sym_COLON_GT,
    ACTIONS(24760), 1,
      anon_sym_RPAREN,
    STATE(17364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716927] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24762), 1,
      anon_sym_RPAREN,
    ACTIONS(24764), 1,
      anon_sym_LT_DASH,
    STATE(17365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716944] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24766), 1,
      anon_sym_COLON_GT,
    ACTIONS(24768), 1,
      anon_sym_RPAREN,
    STATE(17366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716961] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24770), 1,
      anon_sym_RPAREN,
    ACTIONS(24772), 1,
      anon_sym_LT_DASH,
    STATE(17367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716978] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24774), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [716993] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23746), 1,
      anon_sym_COLON2,
    STATE(11690), 1,
      sym__polymorphic_typed,
    STATE(17369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717010] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22798), 1,
      anon_sym_then,
    STATE(11894), 1,
      sym_then_clause,
    STATE(17370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717027] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24776), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [717042] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16714), 1,
      anon_sym_STAR,
    ACTIONS(24778), 1,
      anon_sym_DASH_GT,
    STATE(17372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717059] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24780), 1,
      sym__lowercase_identifier,
    ACTIONS(24782), 1,
      anon_sym_LBRACK,
    STATE(17373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717076] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(24784), 1,
      anon_sym_DOT,
    STATE(17374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717093] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24600), 1,
      anon_sym_open,
    STATE(17375), 1,
      sym_attribute,
    STATE(19129), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717110] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24786), 1,
      sym__lowercase_identifier,
    ACTIONS(24788), 1,
      anon_sym_LPAREN,
    STATE(17376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717127] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24790), 1,
      anon_sym_COLON_GT,
    ACTIONS(24792), 1,
      anon_sym_RPAREN,
    STATE(17377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717144] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23088), 1,
      anon_sym_then,
    STATE(8401), 1,
      sym_then_clause,
    STATE(17378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717161] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(24794), 1,
      sym__lowercase_identifier,
    STATE(17379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717178] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17319), 1,
      sym__lowercase_identifier,
    STATE(17380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717195] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17574), 1,
      anon_sym_RBRACE,
    ACTIONS(24796), 1,
      anon_sym_SEMI,
    STATE(17381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717212] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(24798), 1,
      sym__lowercase_identifier,
    STATE(17382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717229] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11209), 1,
      anon_sym_LPAREN,
    ACTIONS(24800), 1,
      anon_sym_DOT,
    STATE(17383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717246] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    ACTIONS(24802), 1,
      sym__lowercase_identifier,
    STATE(17384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717263] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24804), 1,
      anon_sym_RPAREN,
    ACTIONS(24806), 1,
      anon_sym_LT_DASH,
    STATE(17385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717280] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22646), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [717295] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9930), 1,
      anon_sym_RBRACK,
    ACTIONS(18268), 1,
      anon_sym_PIPE,
    STATE(17387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717312] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(24808), 1,
      sym__lowercase_identifier,
    STATE(17388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717329] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22780), 1,
      anon_sym_then,
    STATE(10242), 1,
      sym_then_clause,
    STATE(17389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717346] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23428), 1,
      anon_sym_then,
    STATE(12312), 1,
      sym_then_clause,
    STATE(17390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717363] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22822), 1,
      anon_sym_do,
    STATE(8094), 1,
      sym_do_clause,
    STATE(17391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717380] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24810), 1,
      anon_sym_SEMI,
    ACTIONS(24812), 1,
      anon_sym_RBRACE,
    STATE(17392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717397] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24814), 1,
      anon_sym_RPAREN,
    ACTIONS(24816), 1,
      anon_sym_LT_DASH,
    STATE(17393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717414] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24818), 1,
      sym__lowercase_identifier,
    ACTIONS(24820), 1,
      anon_sym_LPAREN,
    STATE(17394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717431] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24822), 1,
      anon_sym_SEMI,
    ACTIONS(24824), 1,
      anon_sym_RBRACE,
    STATE(17395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717448] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24826), 1,
      aux_sym_type_variable_token1,
    STATE(8101), 1,
      sym_type_variable,
    STATE(17396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717465] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24828), 1,
      anon_sym_RPAREN,
    ACTIONS(24830), 1,
      anon_sym_LT_DASH,
    STATE(17397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717482] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24832), 1,
      anon_sym_RPAREN,
    ACTIONS(24834), 1,
      anon_sym_LT_DASH,
    STATE(17398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717499] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23698), 1,
      anon_sym_then,
    STATE(11677), 1,
      sym_then_clause,
    STATE(17399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717516] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24836), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [717531] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24838), 1,
      anon_sym_RPAREN,
    ACTIONS(24840), 1,
      anon_sym_LT_DASH,
    STATE(17401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717548] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22786), 1,
      anon_sym_then,
    STATE(11995), 1,
      sym_then_clause,
    STATE(17402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717565] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22788), 1,
      anon_sym_then,
    STATE(10126), 1,
      sym_then_clause,
    STATE(17403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717582] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24842), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [717597] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24844), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [717612] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23088), 1,
      anon_sym_then,
    STATE(8383), 1,
      sym_then_clause,
    STATE(17406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717629] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    ACTIONS(17422), 1,
      sym__lowercase_identifier,
    STATE(17407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717646] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24846), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [717661] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24848), 1,
      anon_sym_RPAREN,
    ACTIONS(24850), 1,
      anon_sym_LT_DASH,
    STATE(17409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717678] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23334), 1,
      anon_sym_do,
    STATE(7727), 1,
      sym_do_clause,
    STATE(17410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717695] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16714), 1,
      anon_sym_STAR,
    ACTIONS(24852), 1,
      anon_sym_DASH_GT,
    STATE(17411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717712] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24854), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [717727] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24856), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [717742] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24858), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [717757] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24860), 1,
      anon_sym_COLON_GT,
    ACTIONS(24862), 1,
      anon_sym_RPAREN,
    STATE(17415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717774] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24864), 1,
      anon_sym_PLUS_EQ,
    STATE(17416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717788] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8858), 1,
      anon_sym_DASH_GT,
    STATE(17417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717802] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24866), 1,
      anon_sym_with,
    STATE(17418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717816] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24868), 1,
      anon_sym_DOT,
    STATE(17419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717830] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24870), 1,
      anon_sym_RPAREN,
    STATE(17420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717844] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6751), 1,
      anon_sym_end,
    STATE(17421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717858] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24872), 1,
      anon_sym_RBRACK,
    STATE(17422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717872] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24874), 1,
      anon_sym_RPAREN,
    STATE(17423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717886] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24876), 1,
      anon_sym_RBRACK,
    STATE(17424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717900] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24878), 1,
      anon_sym_RBRACE,
    STATE(17425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717914] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24880), 1,
      anon_sym_RBRACE,
    STATE(17426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717928] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24882), 1,
      anon_sym_RPAREN,
    STATE(17427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717942] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24884), 1,
      anon_sym_DOT,
    STATE(17428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717956] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24886), 1,
      anon_sym_LT_DASH,
    STATE(17429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717970] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8824), 1,
      anon_sym_DASH_GT,
    STATE(17430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717984] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24888), 1,
      anon_sym_with,
    STATE(17431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717998] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24890), 1,
      anon_sym_RPAREN,
    STATE(17432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718012] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24892), 1,
      anon_sym_with,
    STATE(17433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718026] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24894), 1,
      anon_sym_RPAREN,
    STATE(17434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718040] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24896), 1,
      anon_sym_RBRACE,
    STATE(17435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718054] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24898), 1,
      anon_sym_RPAREN,
    STATE(17436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718068] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24900), 1,
      anon_sym_DOT,
    STATE(17437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718082] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19477), 1,
      anon_sym_end,
    STATE(17438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718096] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24902), 1,
      aux_sym_number_token1,
    STATE(17439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718110] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24904), 1,
      anon_sym_SQUOTE2,
    STATE(17440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718124] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24906), 1,
      anon_sym_RPAREN,
    STATE(17441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718138] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3163), 1,
      anon_sym_RPAREN,
    STATE(17442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718152] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24908), 1,
      anon_sym_in,
    STATE(17443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718166] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24910), 1,
      anon_sym_RPAREN,
    STATE(17444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718180] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16504), 1,
      anon_sym_RPAREN,
    STATE(17445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718194] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24912), 1,
      anon_sym_in,
    STATE(17446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718208] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24914), 1,
      anon_sym_RPAREN,
    STATE(17447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718222] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17820), 1,
      anon_sym_RPAREN,
    STATE(17448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718236] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11431), 1,
      anon_sym_GT,
    STATE(17449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718250] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24916), 1,
      anon_sym_RPAREN,
    STATE(17450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718264] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24918), 1,
      anon_sym_RPAREN,
    STATE(17451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718278] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24920), 1,
      anon_sym_RBRACK,
    STATE(17452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718292] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24922), 1,
      anon_sym_RBRACE,
    STATE(17453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718306] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24924), 1,
      anon_sym_RPAREN,
    STATE(17454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718320] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24926), 1,
      anon_sym_RPAREN,
    STATE(17455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718334] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24928), 1,
      anon_sym_RPAREN,
    STATE(17456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718348] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24928), 1,
      anon_sym_RBRACK,
    STATE(17457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718362] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24928), 1,
      anon_sym_RBRACE,
    STATE(17458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718376] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24930), 1,
      anon_sym_in,
    STATE(17459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718390] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24932), 1,
      anon_sym_in,
    STATE(17460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718404] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24934), 1,
      anon_sym_LT_DASH,
    STATE(17461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718418] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24936), 1,
      anon_sym_RPAREN,
    STATE(17462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718432] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24938), 1,
      anon_sym_RPAREN,
    STATE(17463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718446] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24940), 1,
      anon_sym_RPAREN,
    STATE(17464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718460] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24942), 1,
      anon_sym_RBRACK,
    STATE(17465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718474] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24944), 1,
      anon_sym_RBRACE,
    STATE(17466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718488] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24946), 1,
      anon_sym_RPAREN,
    STATE(17467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718502] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24948), 1,
      anon_sym_in,
    STATE(17468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718516] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11611), 1,
      anon_sym_GT,
    STATE(17469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718530] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24950), 1,
      anon_sym_RBRACE,
    STATE(17470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718544] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24952), 1,
      anon_sym_in,
    STATE(17471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718558] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24954), 1,
      anon_sym_GT,
    STATE(17472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718572] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24956), 1,
      anon_sym_RPAREN,
    STATE(17473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718586] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24958), 1,
      anon_sym_in,
    STATE(17474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718600] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24960), 1,
      anon_sym_DASH_GT,
    STATE(17475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718614] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24962), 1,
      anon_sym_DOT,
    STATE(17476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718628] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24964), 1,
      anon_sym_RBRACK,
    STATE(17477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718642] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24966), 1,
      sym__lowercase_identifier,
    STATE(17478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718656] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24968), 1,
      anon_sym_in,
    STATE(17479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718670] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20983), 1,
      anon_sym_GT_RBRACE,
    STATE(17480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718684] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24970), 1,
      anon_sym_RPAREN,
    STATE(17481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718698] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24972), 1,
      anon_sym_RPAREN,
    STATE(17482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718712] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24974), 1,
      anon_sym_in,
    STATE(17483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718726] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24976), 1,
      anon_sym_RBRACE,
    STATE(17484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718740] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24978), 1,
      anon_sym_with,
    STATE(17485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718754] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24980), 1,
      anon_sym_with,
    STATE(17486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718768] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24982), 1,
      anon_sym_DOT,
    STATE(17487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718782] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24984), 1,
      anon_sym_DQUOTE,
    STATE(17488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718796] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24986), 1,
      anon_sym_RPAREN,
    STATE(17489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718810] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24988), 1,
      anon_sym_end,
    STATE(17490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718824] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24990), 1,
      anon_sym_RBRACE,
    STATE(17491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718838] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24992), 1,
      anon_sym_RBRACE,
    STATE(17492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718852] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24994), 1,
      anon_sym_RPAREN,
    STATE(17493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718866] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24996), 1,
      anon_sym_with,
    STATE(17494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718880] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24998), 1,
      anon_sym_RBRACE,
    STATE(17495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718894] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25000), 1,
      anon_sym_with,
    STATE(17496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718908] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25002), 1,
      anon_sym_LT_DASH,
    STATE(17497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718922] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3189), 1,
      anon_sym_RPAREN,
    STATE(17498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718936] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25004), 1,
      anon_sym_with,
    STATE(17499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718950] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25006), 1,
      anon_sym_with,
    STATE(17500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718964] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25008), 1,
      anon_sym_RPAREN,
    STATE(17501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718978] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25010), 1,
      anon_sym_RPAREN,
    STATE(17502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718992] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25012), 1,
      anon_sym_in,
    STATE(17503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719006] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25014), 1,
      anon_sym_DOT,
    STATE(17504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719020] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25016), 1,
      anon_sym_in,
    STATE(17505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719034] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18020), 1,
      anon_sym_RPAREN,
    STATE(17506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719048] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25018), 1,
      anon_sym_end,
    STATE(17507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719062] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19723), 1,
      anon_sym_end,
    STATE(17508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719076] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25020), 1,
      anon_sym_RBRACE,
    STATE(17509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719090] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25022), 1,
      anon_sym_in,
    STATE(17510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719104] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25024), 1,
      anon_sym_in,
    STATE(17511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719118] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25026), 1,
      anon_sym_DASH_GT,
    STATE(17512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719132] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25028), 1,
      anon_sym_DASH_GT,
    STATE(17513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719146] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25030), 1,
      anon_sym_DASH_GT,
    STATE(17514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719160] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17902), 1,
      anon_sym_RPAREN,
    STATE(17515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719174] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13819), 1,
      anon_sym_end,
    STATE(17516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719188] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25032), 1,
      anon_sym_DASH_GT,
    STATE(17517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719202] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25034), 1,
      aux_sym_number_token1,
    STATE(17518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719216] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14631), 1,
      anon_sym_DASH_GT,
    STATE(17519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719230] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25036), 1,
      anon_sym_RBRACE,
    STATE(17520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719244] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25038), 1,
      ts_builtin_sym_end,
    STATE(17521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719258] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25040), 1,
      anon_sym_RPAREN,
    STATE(17522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719272] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25042), 1,
      anon_sym_RPAREN,
    STATE(17523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719286] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25042), 1,
      anon_sym_RBRACK,
    STATE(17524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719300] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25042), 1,
      anon_sym_RBRACE,
    STATE(17525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719314] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25044), 1,
      anon_sym_in,
    STATE(17526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719328] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25046), 1,
      anon_sym_RPAREN,
    STATE(17527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719342] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16550), 1,
      anon_sym_RPAREN,
    STATE(17528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719356] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13211), 1,
      anon_sym_DASH_GT,
    STATE(17529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719370] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25048), 1,
      anon_sym_DASH_GT,
    STATE(17530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719384] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25050), 1,
      anon_sym_DASH_GT,
    STATE(17531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719398] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25052), 1,
      anon_sym_RBRACE,
    STATE(17532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719412] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25054), 1,
      anon_sym_DOT,
    STATE(17533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719426] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8862), 1,
      anon_sym_DASH_GT,
    STATE(17534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719440] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25056), 1,
      anon_sym_DASH_GT,
    STATE(17535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719454] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25058), 1,
      anon_sym_in,
    STATE(17536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719468] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25060), 1,
      anon_sym_in,
    STATE(17537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719482] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25062), 1,
      anon_sym_with,
    STATE(17538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719496] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25064), 1,
      anon_sym_in,
    STATE(17539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719510] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25066), 1,
      anon_sym_with,
    STATE(17540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719524] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25068), 1,
      anon_sym_with,
    STATE(17541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719538] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25070), 1,
      anon_sym_DOT,
    STATE(17542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719552] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25072), 1,
      anon_sym_LT_DASH,
    STATE(17543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719566] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25074), 1,
      anon_sym_DOT,
    STATE(17544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719580] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25076), 1,
      anon_sym_RPAREN,
    STATE(17545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719594] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25078), 1,
      anon_sym_RPAREN,
    STATE(17546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719608] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25080), 1,
      anon_sym_RPAREN,
    STATE(17547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719622] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24530), 1,
      aux_sym_number_token1,
    STATE(17548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719636] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25082), 1,
      anon_sym_in,
    STATE(17549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719650] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25084), 1,
      anon_sym_RPAREN,
    STATE(17550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719664] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21562), 1,
      anon_sym_GT_RBRACE,
    STATE(17551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719678] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25086), 1,
      anon_sym_in,
    STATE(17552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719692] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25088), 1,
      anon_sym_with,
    STATE(17553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719706] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25090), 1,
      anon_sym_with,
    STATE(17554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719720] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25092), 1,
      anon_sym_in,
    STATE(17555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719734] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25084), 1,
      anon_sym_RBRACK,
    STATE(17556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719748] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25094), 1,
      anon_sym_DASH_GT,
    STATE(17557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719762] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25096), 1,
      anon_sym_DOT,
    STATE(17558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719776] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25084), 1,
      anon_sym_RBRACE,
    STATE(17559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719790] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25098), 1,
      anon_sym_RBRACE,
    STATE(17560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719804] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25100), 1,
      anon_sym_RPAREN,
    STATE(17561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719818] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25102), 1,
      sym_indexing_operator,
    STATE(17562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719832] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25104), 1,
      anon_sym_in,
    STATE(17563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719846] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25106), 1,
      anon_sym_RPAREN,
    STATE(17564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719860] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20262), 1,
      anon_sym_GT_RBRACE,
    STATE(17565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719874] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25108), 1,
      sym__right_quoted_string_delimiter,
    STATE(17566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719888] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25110), 1,
      anon_sym_in,
    STATE(17567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719902] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17660), 1,
      anon_sym_RPAREN,
    STATE(17568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719916] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19302), 1,
      anon_sym_end,
    STATE(17569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719930] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25112), 1,
      sym__lowercase_identifier,
    STATE(17570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719944] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25114), 1,
      anon_sym_SQUOTE2,
    STATE(17571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719958] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25116), 1,
      anon_sym_DQUOTE,
    STATE(17572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719972] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16821), 1,
      anon_sym_DASH_GT,
    STATE(17573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719986] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25118), 1,
      anon_sym_RBRACK,
    STATE(17574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720000] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25120), 1,
      anon_sym_RPAREN,
    STATE(17575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720014] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25122), 1,
      anon_sym_RPAREN,
    STATE(17576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720028] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25122), 1,
      anon_sym_RBRACK,
    STATE(17577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720042] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25122), 1,
      anon_sym_RBRACE,
    STATE(17578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720056] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25124), 1,
      sym__lowercase_identifier,
    STATE(17579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720070] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25126), 1,
      anon_sym_RPAREN,
    STATE(17580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720084] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25128), 1,
      anon_sym_SQUOTE2,
    STATE(17581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720098] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25130), 1,
      anon_sym_RBRACE,
    STATE(17582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720112] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25132), 1,
      anon_sym_RBRACK,
    STATE(17583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720126] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25134), 1,
      anon_sym_RBRACE,
    STATE(17584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720140] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25136), 1,
      anon_sym_RBRACE,
    STATE(17585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720154] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25138), 1,
      anon_sym_DASH_GT,
    STATE(17586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720168] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25140), 1,
      anon_sym_DOT,
    STATE(17587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720182] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19080), 1,
      anon_sym_end,
    STATE(17588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720196] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25142), 1,
      anon_sym_LT_DASH,
    STATE(17589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720210] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13187), 1,
      anon_sym_DASH_GT,
    STATE(17590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720224] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25144), 1,
      anon_sym_in,
    STATE(17591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720238] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25146), 1,
      anon_sym_RPAREN,
    STATE(17592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720252] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25148), 1,
      anon_sym_RPAREN,
    STATE(17593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720266] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25150), 1,
      anon_sym_with,
    STATE(17594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720280] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25152), 1,
      anon_sym_with,
    STATE(17595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720294] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25154), 1,
      anon_sym_DOT,
    STATE(17596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720308] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25156), 1,
      anon_sym_RBRACE,
    STATE(17597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720322] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3219), 1,
      anon_sym_RPAREN,
    STATE(17598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720336] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20678), 1,
      anon_sym_GT_RBRACE,
    STATE(17599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720350] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25158), 1,
      anon_sym_SQUOTE2,
    STATE(17600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720364] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19399), 1,
      anon_sym_end,
    STATE(17601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720378] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25160), 1,
      anon_sym_SQUOTE2,
    STATE(17602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720392] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25162), 1,
      anon_sym_DQUOTE,
    STATE(17603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720406] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25164), 1,
      anon_sym_DQUOTE,
    STATE(17604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720420] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25166), 1,
      anon_sym_DQUOTE,
    STATE(17605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720434] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22603), 1,
      anon_sym_GT_RBRACE,
    STATE(17606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720448] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25168), 1,
      anon_sym_with,
    STATE(17607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720462] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25170), 1,
      anon_sym_with,
    STATE(17608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720476] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25172), 1,
      anon_sym_done,
    STATE(17609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720490] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25174), 1,
      sym__lowercase_identifier,
    STATE(17610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720504] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25176), 1,
      anon_sym_with,
    STATE(17611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720518] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25178), 1,
      anon_sym_DOT,
    STATE(17612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720532] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25180), 1,
      anon_sym_RPAREN,
    STATE(17613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720546] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19096), 1,
      anon_sym_end,
    STATE(17614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720560] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25182), 1,
      anon_sym_SQUOTE2,
    STATE(17615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720574] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25184), 1,
      anon_sym_RBRACK,
    STATE(17616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720588] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25186), 1,
      anon_sym_RBRACE,
    STATE(17617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720602] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25188), 1,
      anon_sym_DQUOTE,
    STATE(17618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720616] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25190), 1,
      anon_sym_RPAREN,
    STATE(17619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720630] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25192), 1,
      anon_sym_RPAREN,
    STATE(17620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720644] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25194), 1,
      anon_sym_RBRACE,
    STATE(17621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720658] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17604), 1,
      anon_sym_RPAREN,
    STATE(17622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720672] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25196), 1,
      sym__lowercase_identifier,
    STATE(17623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720686] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25198), 1,
      anon_sym_DOT,
    STATE(17624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720700] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25200), 1,
      anon_sym_RBRACE,
    STATE(17625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720714] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8888), 1,
      anon_sym_DASH_GT,
    STATE(17626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720728] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25202), 1,
      anon_sym_RPAREN,
    STATE(17627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720742] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25204), 1,
      anon_sym_DASH_GT,
    STATE(17628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720756] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25206), 1,
      anon_sym_RPAREN,
    STATE(17629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720770] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25208), 1,
      anon_sym_RPAREN,
    STATE(17630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720784] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25208), 1,
      anon_sym_RBRACK,
    STATE(17631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720798] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25208), 1,
      anon_sym_RBRACE,
    STATE(17632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720812] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25210), 1,
      anon_sym_RBRACE,
    STATE(17633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720826] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5025), 1,
      anon_sym_end,
    STATE(17634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720840] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25212), 1,
      anon_sym_RPAREN,
    STATE(17635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720854] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25214), 1,
      anon_sym_DASH_GT,
    STATE(17636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720868] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25216), 1,
      anon_sym_RPAREN,
    STATE(17637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720882] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25218), 1,
      anon_sym_DASH_GT,
    STATE(17638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720896] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17478), 1,
      anon_sym_GT,
    STATE(17639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720910] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25220), 1,
      sym__lowercase_identifier,
    STATE(17640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720924] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25222), 1,
      anon_sym_DOT,
    STATE(17641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720938] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25224), 1,
      anon_sym_RBRACK,
    STATE(17642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720952] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25226), 1,
      anon_sym_end,
    STATE(17643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720966] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25228), 1,
      anon_sym_RBRACK,
    STATE(17644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720980] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25230), 1,
      anon_sym_RPAREN,
    STATE(17645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720994] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25232), 1,
      anon_sym_RBRACE,
    STATE(17646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721008] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25234), 1,
      anon_sym_RBRACK,
    STATE(17647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721022] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25236), 1,
      anon_sym_with,
    STATE(17648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721036] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25238), 1,
      anon_sym_with,
    STATE(17649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721050] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25240), 1,
      anon_sym_DOT,
    STATE(17650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721064] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8769), 1,
      anon_sym_DASH_GT,
    STATE(17651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721078] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25242), 1,
      anon_sym_DASH_GT,
    STATE(17652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721092] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20704), 1,
      anon_sym_GT_RBRACE,
    STATE(17653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721106] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16570), 1,
      anon_sym_RPAREN,
    STATE(17654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721120] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25244), 1,
      anon_sym_RBRACE,
    STATE(17655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721134] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19403), 1,
      anon_sym_end,
    STATE(17656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721148] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25246), 1,
      anon_sym_DASH_GT,
    STATE(17657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721162] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25248), 1,
      anon_sym_RBRACK,
    STATE(17658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721176] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25250), 1,
      anon_sym_RBRACE,
    STATE(17659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721190] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25252), 1,
      anon_sym_SQUOTE2,
    STATE(17660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721204] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25254), 1,
      anon_sym_with,
    STATE(17661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721218] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25256), 1,
      anon_sym_with,
    STATE(17662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721232] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25258), 1,
      anon_sym_RBRACE,
    STATE(17663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721246] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25260), 1,
      anon_sym_RPAREN,
    STATE(17664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721260] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25262), 1,
      anon_sym_RBRACE,
    STATE(17665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721274] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25264), 1,
      anon_sym_DOT,
    STATE(17666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721288] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25266), 1,
      anon_sym_RPAREN,
    STATE(17667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721302] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25268), 1,
      anon_sym_RBRACK,
    STATE(17668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721316] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25270), 1,
      anon_sym_DASH_GT,
    STATE(17669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721330] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25272), 1,
      anon_sym_end,
    STATE(17670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721344] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25274), 1,
      anon_sym_DQUOTE,
    STATE(17671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721358] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25276), 1,
      anon_sym_RPAREN,
    STATE(17672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721372] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25278), 1,
      anon_sym_RPAREN,
    STATE(17673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721386] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25280), 1,
      anon_sym_RBRACK,
    STATE(17674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721400] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25282), 1,
      anon_sym_RBRACE,
    STATE(17675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721414] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17712), 1,
      anon_sym_RPAREN,
    STATE(17676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721428] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16432), 1,
      anon_sym_RPAREN,
    STATE(17677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721442] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25284), 1,
      anon_sym_DASH_GT,
    STATE(17678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721456] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25286), 1,
      anon_sym_EQ,
    STATE(17679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721470] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25288), 1,
      anon_sym_DASH_GT,
    STATE(17680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721484] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25290), 1,
      sym__lowercase_identifier,
    STATE(17681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721498] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25292), 1,
      anon_sym_RPAREN,
    STATE(17682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721512] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25294), 1,
      anon_sym_RPAREN,
    STATE(17683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721526] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25296), 1,
      anon_sym_RPAREN,
    STATE(17684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721540] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25296), 1,
      anon_sym_RBRACK,
    STATE(17685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721554] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25296), 1,
      anon_sym_RBRACE,
    STATE(17686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721568] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25298), 1,
      anon_sym_RPAREN,
    STATE(17687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721582] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25300), 1,
      anon_sym_RPAREN,
    STATE(17688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721596] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2449), 1,
      anon_sym_RPAREN,
    STATE(17689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721610] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25302), 1,
      anon_sym_RBRACK,
    STATE(17690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721624] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25304), 1,
      anon_sym_RPAREN,
    STATE(17691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721638] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25306), 1,
      anon_sym_RBRACK,
    STATE(17692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721652] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25308), 1,
      anon_sym_RBRACE,
    STATE(17693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721666] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25310), 1,
      anon_sym_RBRACE,
    STATE(17694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721680] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25312), 1,
      anon_sym_DOT,
    STATE(17695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721694] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25314), 1,
      anon_sym_RPAREN,
    STATE(17696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721708] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25316), 1,
      anon_sym_in,
    STATE(17697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721722] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25318), 1,
      anon_sym_RPAREN,
    STATE(17698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721736] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25320), 1,
      anon_sym_RPAREN,
    STATE(17699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721750] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25322), 1,
      anon_sym_DASH_GT,
    STATE(17700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721764] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25324), 1,
      anon_sym_RBRACE,
    STATE(17701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721778] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25326), 1,
      anon_sym_with,
    STATE(17702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721792] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25328), 1,
      anon_sym_with,
    STATE(17703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721806] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25330), 1,
      anon_sym_DOT,
    STATE(17704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721820] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10167), 1,
      anon_sym_RPAREN,
    STATE(17705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721834] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17486), 1,
      anon_sym_GT,
    STATE(17706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721848] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25332), 1,
      anon_sym_DASH_GT,
    STATE(17707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721862] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25334), 1,
      anon_sym_DOT,
    STATE(17708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721876] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_DASH_GT,
    STATE(17709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721890] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25336), 1,
      anon_sym_RPAREN,
    STATE(17710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721904] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25338), 1,
      aux_sym_number_token1,
    STATE(17711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721918] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25340), 1,
      anon_sym_RBRACE,
    STATE(17712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721932] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25342), 1,
      anon_sym_RPAREN,
    STATE(17713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721946] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25344), 1,
      anon_sym_RPAREN,
    STATE(17714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721960] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25346), 1,
      anon_sym_with,
    STATE(17715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721974] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25348), 1,
      anon_sym_with,
    STATE(17716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721988] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25350), 1,
      anon_sym_RBRACK,
    STATE(17717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722002] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25352), 1,
      anon_sym_RBRACE,
    STATE(17718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722016] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25354), 1,
      anon_sym_RBRACK,
    STATE(17719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722030] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25356), 1,
      anon_sym_DOT,
    STATE(17720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722044] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25358), 1,
      anon_sym_LT_DASH,
    STATE(17721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722058] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25360), 1,
      sym__lowercase_identifier,
    STATE(17722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722072] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25362), 1,
      anon_sym_RPAREN,
    STATE(17723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722086] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25364), 1,
      anon_sym_RPAREN,
    STATE(17724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722100] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25366), 1,
      anon_sym_RPAREN,
    STATE(17725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722114] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25368), 1,
      anon_sym_RBRACE,
    STATE(17726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722128] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25370), 1,
      anon_sym_RPAREN,
    STATE(17727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722142] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25372), 1,
      anon_sym_RPAREN,
    STATE(17728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722156] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25374), 1,
      anon_sym_RBRACK,
    STATE(17729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722170] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17898), 1,
      anon_sym_RPAREN,
    STATE(17730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722184] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25376), 1,
      anon_sym_RBRACE,
    STATE(17731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722198] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25378), 1,
      anon_sym_in,
    STATE(17732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722212] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25380), 1,
      anon_sym_DASH_GT,
    STATE(17733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722226] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8884), 1,
      anon_sym_DASH_GT,
    STATE(17734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722240] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25382), 1,
      sym__lowercase_identifier,
    STATE(17735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722254] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25384), 1,
      anon_sym_RPAREN,
    STATE(17736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722268] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25386), 1,
      anon_sym_RPAREN,
    STATE(17737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722282] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25388), 1,
      anon_sym_RPAREN,
    STATE(17738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722296] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25388), 1,
      anon_sym_RBRACK,
    STATE(17739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722310] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25388), 1,
      anon_sym_RBRACE,
    STATE(17740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722324] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25390), 1,
      anon_sym_in,
    STATE(17741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722338] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25392), 1,
      anon_sym_RPAREN,
    STATE(17742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722352] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25394), 1,
      anon_sym_RPAREN,
    STATE(17743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722366] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11539), 1,
      anon_sym_GT,
    STATE(17744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722380] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25396), 1,
      anon_sym_RBRACE,
    STATE(17745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722394] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11511), 1,
      anon_sym_GT,
    STATE(17746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722408] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16402), 1,
      anon_sym_RPAREN,
    STATE(17747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722422] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16496), 1,
      anon_sym_RPAREN,
    STATE(17748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722436] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25398), 1,
      anon_sym_DOT,
    STATE(17749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722450] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25400), 1,
      anon_sym_end,
    STATE(17750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722464] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25402), 1,
      anon_sym_RPAREN,
    STATE(17751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722478] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21644), 1,
      anon_sym_GT_RBRACE,
    STATE(17752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722492] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25404), 1,
      anon_sym_RBRACE,
    STATE(17753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722506] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25406), 1,
      anon_sym_RBRACE,
    STATE(17754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722520] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25408), 1,
      anon_sym_RPAREN,
    STATE(17755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722534] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25410), 1,
      anon_sym_with,
    STATE(17756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722548] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25412), 1,
      anon_sym_with,
    STATE(17757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722562] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25414), 1,
      anon_sym_DOT,
    STATE(17758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722576] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25416), 1,
      anon_sym_RPAREN,
    STATE(17759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722590] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25418), 1,
      anon_sym_in,
    STATE(17760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722604] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25420), 1,
      anon_sym_RBRACK,
    STATE(17761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722618] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25422), 1,
      anon_sym_RBRACE,
    STATE(17762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722632] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25424), 1,
      anon_sym_RPAREN,
    STATE(17763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722646] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25426), 1,
      anon_sym_RBRACK,
    STATE(17764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722660] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25428), 1,
      anon_sym_LT_DASH,
    STATE(17765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722674] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25430), 1,
      anon_sym_DASH_GT,
    STATE(17766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722688] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3161), 1,
      anon_sym_RPAREN,
    STATE(17767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722702] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25432), 1,
      anon_sym_GT,
    STATE(17768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722716] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25434), 1,
      anon_sym_with,
    STATE(17769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722730] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25436), 1,
      anon_sym_with,
    STATE(17770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722744] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25438), 1,
      anon_sym_RPAREN,
    STATE(17771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722758] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25440), 1,
      anon_sym_RPAREN,
    STATE(17772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722772] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25442), 1,
      anon_sym_DASH_GT,
    STATE(17773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722786] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25444), 1,
      anon_sym_DOT,
    STATE(17774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722800] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25446), 1,
      anon_sym_RPAREN,
    STATE(17775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722814] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25448), 1,
      anon_sym_RBRACK,
    STATE(17776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722828] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25450), 1,
      anon_sym_RBRACE,
    STATE(17777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722842] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25452), 1,
      anon_sym_RPAREN,
    STATE(17778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722856] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25454), 1,
      anon_sym_in,
    STATE(17779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722870] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25456), 1,
      anon_sym_in,
    STATE(17780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722884] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25458), 1,
      anon_sym_in,
    STATE(17781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722898] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25460), 1,
      anon_sym_DASH_GT,
    STATE(17782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722912] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25462), 1,
      anon_sym_RPAREN,
    STATE(17783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722926] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18004), 1,
      anon_sym_RPAREN,
    STATE(17784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722940] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25464), 1,
      anon_sym_DASH_GT,
    STATE(17785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722954] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25466), 1,
      anon_sym_end,
    STATE(17786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722968] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25468), 1,
      anon_sym_RPAREN,
    STATE(17787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722982] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25470), 1,
      anon_sym_RBRACK,
    STATE(17788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722996] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25472), 1,
      anon_sym_RPAREN,
    STATE(17789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723010] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25474), 1,
      anon_sym_RPAREN,
    STATE(17790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723024] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25476), 1,
      anon_sym_RPAREN,
    STATE(17791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723038] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25478), 1,
      anon_sym_RPAREN,
    STATE(17792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723052] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25478), 1,
      anon_sym_RBRACK,
    STATE(17793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723066] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25478), 1,
      anon_sym_RBRACE,
    STATE(17794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723080] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25480), 1,
      anon_sym_in,
    STATE(17795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723094] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25482), 1,
      anon_sym_RBRACE,
    STATE(17796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723108] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25484), 1,
      anon_sym_in,
    STATE(17797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723122] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16645), 1,
      anon_sym_RPAREN,
    STATE(17798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723136] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25486), 1,
      anon_sym_RBRACK,
    STATE(17799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723150] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25488), 1,
      anon_sym_RPAREN,
    STATE(17800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723164] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25490), 1,
      anon_sym_RPAREN,
    STATE(17801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723178] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25492), 1,
      anon_sym_RBRACE,
    STATE(17802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723192] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25494), 1,
      anon_sym_DOT,
    STATE(17803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723206] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25496), 1,
      anon_sym_RBRACE,
    STATE(17804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723220] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25498), 1,
      anon_sym_RPAREN,
    STATE(17805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723234] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25500), 1,
      anon_sym_RBRACE,
    STATE(17806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723248] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25502), 1,
      anon_sym_DASH_GT,
    STATE(17807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723262] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25504), 1,
      anon_sym_DASH_GT,
    STATE(17808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723276] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25506), 1,
      anon_sym_COMMA,
    STATE(17809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723290] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25508), 1,
      anon_sym_with,
    STATE(17810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723304] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25510), 1,
      anon_sym_with,
    STATE(17811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723318] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25512), 1,
      anon_sym_DOT,
    STATE(17812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723332] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25514), 1,
      anon_sym_RPAREN,
    STATE(17813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723346] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25516), 1,
      anon_sym_RBRACE,
    STATE(17814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723360] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23618), 1,
      anon_sym_RBRACE,
    STATE(17815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723374] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20395), 1,
      anon_sym_GT_RBRACE,
    STATE(17816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723388] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25518), 1,
      anon_sym_end,
    STATE(17817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723402] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25520), 1,
      anon_sym_DASH_GT,
    STATE(17818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723416] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19371), 1,
      anon_sym_end,
    STATE(17819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723430] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25522), 1,
      anon_sym_RBRACE,
    STATE(17820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723444] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25524), 1,
      anon_sym_SQUOTE2,
    STATE(17821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723458] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3227), 1,
      anon_sym_RPAREN,
    STATE(17822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723472] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25526), 1,
      anon_sym_with,
    STATE(17823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723486] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25528), 1,
      anon_sym_with,
    STATE(17824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723500] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25530), 1,
      anon_sym_DQUOTE,
    STATE(17825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723514] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16398), 1,
      anon_sym_RPAREN,
    STATE(17826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723528] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25532), 1,
      anon_sym_end,
    STATE(17827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723542] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25534), 1,
      anon_sym_DOT,
    STATE(17828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723556] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25536), 1,
      anon_sym_COMMA,
    STATE(17829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723570] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25538), 1,
      anon_sym_RPAREN,
    STATE(17830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723584] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25540), 1,
      anon_sym_RPAREN,
    STATE(17831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723598] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25542), 1,
      anon_sym_LT_DASH,
    STATE(17832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723612] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25544), 1,
      anon_sym_RPAREN,
    STATE(17833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723626] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25546), 1,
      sym__lowercase_identifier,
    STATE(17834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723640] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25548), 1,
      anon_sym_DASH_GT,
    STATE(17835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723654] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23468), 1,
      anon_sym_RPAREN,
    STATE(17836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723668] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25550), 1,
      anon_sym_RPAREN,
    STATE(17837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723682] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18104), 1,
      anon_sym_RPAREN,
    STATE(17838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723696] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25552), 1,
      anon_sym_RBRACK,
    STATE(17839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723710] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25554), 1,
      anon_sym_DASH_GT,
    STATE(17840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723724] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25556), 1,
      anon_sym_in,
    STATE(17841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723738] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25558), 1,
      anon_sym_in,
    STATE(17842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723752] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25560), 1,
      anon_sym_in,
    STATE(17843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723766] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25562), 1,
      anon_sym_RBRACE,
    STATE(17844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723780] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25564), 1,
      anon_sym_RPAREN,
    STATE(17845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723794] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25566), 1,
      anon_sym_RPAREN,
    STATE(17846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723808] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25566), 1,
      anon_sym_RBRACK,
    STATE(17847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723822] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25566), 1,
      anon_sym_RBRACE,
    STATE(17848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723836] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25568), 1,
      anon_sym_RPAREN,
    STATE(17849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723850] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25570), 1,
      anon_sym_DASH_GT,
    STATE(17850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723864] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25572), 1,
      anon_sym_LT_DASH,
    STATE(17851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723878] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25574), 1,
      anon_sym_GT,
    STATE(17852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723892] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25576), 1,
      anon_sym_RBRACK,
    STATE(17853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723906] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25578), 1,
      anon_sym_RPAREN,
    STATE(17854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723920] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25580), 1,
      anon_sym_in,
    STATE(17855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723934] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25582), 1,
      anon_sym_RPAREN,
    STATE(17856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723948] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25584), 1,
      anon_sym_DOT,
    STATE(17857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723962] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25586), 1,
      anon_sym_DASH_GT,
    STATE(17858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723976] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25588), 1,
      anon_sym_DOT,
    STATE(17859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723990] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25590), 1,
      anon_sym_RPAREN,
    STATE(17860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724004] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8699), 1,
      anon_sym_DASH_GT,
    STATE(17861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724018] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25592), 1,
      anon_sym_RBRACK,
    STATE(17862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724032] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3157), 1,
      anon_sym_RPAREN,
    STATE(17863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724046] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25594), 1,
      anon_sym_with,
    STATE(17864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724060] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25596), 1,
      anon_sym_with,
    STATE(17865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724074] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25598), 1,
      anon_sym_DOT,
    STATE(17866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724088] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25600), 1,
      anon_sym_RBRACE,
    STATE(17867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724102] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25602), 1,
      anon_sym_LT_DASH,
    STATE(17868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724116] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25604), 1,
      anon_sym_RBRACE,
    STATE(17869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724130] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25606), 1,
      anon_sym_RPAREN,
    STATE(17870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724144] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25608), 1,
      anon_sym_RBRACE,
    STATE(17871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724158] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25610), 1,
      anon_sym_DOT,
    STATE(17872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724172] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6721), 1,
      anon_sym_end,
    STATE(17873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724186] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25612), 1,
      anon_sym_DOT,
    STATE(17874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724200] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25614), 1,
      anon_sym_RPAREN,
    STATE(17875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724214] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25616), 1,
      anon_sym_RPAREN,
    STATE(17876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724228] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25618), 1,
      anon_sym_with,
    STATE(17877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724242] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25620), 1,
      anon_sym_with,
    STATE(17878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724256] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25622), 1,
      anon_sym_RBRACK,
    STATE(17879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724270] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25624), 1,
      anon_sym_end,
    STATE(17880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724284] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25626), 1,
      anon_sym_RBRACE,
    STATE(17881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724298] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25628), 1,
      anon_sym_DOT,
    STATE(17882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724312] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19974), 1,
      anon_sym_end,
    STATE(17883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724326] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25630), 1,
      anon_sym_LT_DASH,
    STATE(17884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724340] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3203), 1,
      anon_sym_RPAREN,
    STATE(17885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724354] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20846), 1,
      anon_sym_GT_RBRACE,
    STATE(17886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724368] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25632), 1,
      anon_sym_RPAREN,
    STATE(17887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724382] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25634), 1,
      anon_sym_RBRACE,
    STATE(17888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724396] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19481), 1,
      anon_sym_end,
    STATE(17889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724410] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16510), 1,
      anon_sym_RPAREN,
    STATE(17890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724424] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25636), 1,
      anon_sym_SQUOTE2,
    STATE(17891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724438] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17684), 1,
      anon_sym_RPAREN,
    STATE(17892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724452] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25638), 1,
      anon_sym_DQUOTE,
    STATE(17893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724466] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25640), 1,
      anon_sym_DASH_GT,
    STATE(17894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724480] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25642), 1,
      anon_sym_RPAREN,
    STATE(17895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724494] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25644), 1,
      anon_sym_with,
    STATE(17896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724508] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25646), 1,
      sym__lowercase_identifier,
    STATE(17897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724522] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25648), 1,
      anon_sym_RPAREN,
    STATE(17898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724536] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25650), 1,
      anon_sym_RPAREN,
    STATE(17899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724550] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25652), 1,
      anon_sym_RPAREN,
    STATE(17900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724564] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25652), 1,
      anon_sym_RBRACK,
    STATE(17901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724578] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25652), 1,
      anon_sym_RBRACE,
    STATE(17902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724592] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25654), 1,
      anon_sym_RPAREN,
    STATE(17903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724606] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25656), 1,
      anon_sym_RPAREN,
    STATE(17904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724620] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11237), 1,
      anon_sym_GT,
    STATE(17905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724634] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25658), 1,
      anon_sym_with,
    STATE(17906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724648] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25660), 1,
      anon_sym_RBRACK,
    STATE(17907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724662] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25662), 1,
      anon_sym_RBRACE,
    STATE(17908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724676] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25664), 1,
      anon_sym_RPAREN,
    STATE(17909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724690] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25666), 1,
      aux_sym_number_token1,
    STATE(17910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724704] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25668), 1,
      anon_sym_DOT,
    STATE(17911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724718] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25670), 1,
      anon_sym_RPAREN,
    STATE(17912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724732] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25672), 1,
      anon_sym_DASH_GT,
    STATE(17913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724746] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25674), 1,
      anon_sym_in,
    STATE(17914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724760] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23676), 1,
      anon_sym_RBRACE,
    STATE(17915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724774] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25676), 1,
      anon_sym_with,
    STATE(17916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724788] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17345), 1,
      anon_sym_GT,
    STATE(17917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724802] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25678), 1,
      anon_sym_with,
    STATE(17918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724816] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25680), 1,
      anon_sym_with,
    STATE(17919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724830] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25682), 1,
      anon_sym_DOT,
    STATE(17920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724844] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25684), 1,
      anon_sym_DOT,
    STATE(17921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724858] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25686), 1,
      anon_sym_RPAREN,
    STATE(17922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724872] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25688), 1,
      anon_sym_RBRACK,
    STATE(17923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724886] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17452), 1,
      anon_sym_GT,
    STATE(17924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724900] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25690), 1,
      anon_sym_RBRACE,
    STATE(17925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724914] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25692), 1,
      anon_sym_RPAREN,
    STATE(17926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724928] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25694), 1,
      anon_sym_RBRACK,
    STATE(17927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724942] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25696), 1,
      anon_sym_in,
    STATE(17928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724956] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25698), 1,
      anon_sym_RBRACE,
    STATE(17929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724970] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25700), 1,
      anon_sym_RBRACE,
    STATE(17930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724984] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25702), 1,
      anon_sym_with,
    STATE(17931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724998] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25704), 1,
      anon_sym_with,
    STATE(17932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725012] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25706), 1,
      anon_sym_RPAREN,
    STATE(17933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725026] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25708), 1,
      anon_sym_with,
    STATE(17934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725040] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8836), 1,
      anon_sym_DASH_GT,
    STATE(17935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725054] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25710), 1,
      anon_sym_DOT,
    STATE(17936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725068] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25712), 1,
      anon_sym_RBRACK,
    STATE(17937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725082] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25714), 1,
      anon_sym_in,
    STATE(17938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725096] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25716), 1,
      anon_sym_RPAREN,
    STATE(17939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725110] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25718), 1,
      anon_sym_RPAREN,
    STATE(17940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725124] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25720), 1,
      anon_sym_RPAREN,
    STATE(17941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725138] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25722), 1,
      anon_sym_in,
    STATE(17942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725152] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16602), 1,
      anon_sym_RPAREN,
    STATE(17943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725166] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25724), 1,
      anon_sym_RBRACE,
    STATE(17944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725180] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25726), 1,
      anon_sym_RBRACE,
    STATE(17945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725194] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17544), 1,
      anon_sym_RPAREN,
    STATE(17946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725208] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25728), 1,
      anon_sym_DASH_GT,
    STATE(17947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725222] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25730), 1,
      anon_sym_DASH_GT,
    STATE(17948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725236] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25732), 1,
      anon_sym_RPAREN,
    STATE(17949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725250] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25734), 1,
      sym__lowercase_identifier,
    STATE(17950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725264] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23706), 1,
      anon_sym_RBRACE,
    STATE(17951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725278] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25736), 1,
      anon_sym_RPAREN,
    STATE(17952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725292] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25738), 1,
      anon_sym_RPAREN,
    STATE(17953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725306] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25740), 1,
      anon_sym_RPAREN,
    STATE(17954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725320] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25740), 1,
      anon_sym_RBRACK,
    STATE(17955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725334] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25740), 1,
      anon_sym_RBRACE,
    STATE(17956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725348] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25742), 1,
      anon_sym_RBRACK,
    STATE(17957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725362] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25744), 1,
      anon_sym_RBRACE,
    STATE(17958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725376] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25746), 1,
      anon_sym_DASH_GT,
    STATE(17959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725390] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25748), 1,
      anon_sym_RPAREN,
    STATE(17960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725404] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25750), 1,
      anon_sym_end,
    STATE(17961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725418] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8872), 1,
      anon_sym_DASH_GT,
    STATE(17962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725432] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25752), 1,
      anon_sym_RPAREN,
    STATE(17963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725446] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25754), 1,
      anon_sym_RBRACE,
    STATE(17964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725460] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25756), 1,
      anon_sym_DOT,
    STATE(17965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725474] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25758), 1,
      anon_sym_DOT,
    STATE(17966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725488] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16440), 1,
      anon_sym_RPAREN,
    STATE(17967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725502] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25760), 1,
      anon_sym_RPAREN,
    STATE(17968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725516] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25762), 1,
      anon_sym_in,
    STATE(17969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725530] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25764), 1,
      anon_sym_RBRACK,
    STATE(17970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725544] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25766), 1,
      anon_sym_RPAREN,
    STATE(17971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725558] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25768), 1,
      anon_sym_with,
    STATE(17972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725572] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25770), 1,
      anon_sym_with,
    STATE(17973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725586] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25772), 1,
      anon_sym_DOT,
    STATE(17974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725600] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25774), 1,
      anon_sym_RBRACE,
    STATE(17975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725614] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25776), 1,
      anon_sym_DASH_GT,
    STATE(17976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725628] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25778), 1,
      anon_sym_GT,
    STATE(17977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725642] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25780), 1,
      anon_sym_RPAREN,
    STATE(17978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725656] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25782), 1,
      anon_sym_RPAREN,
    STATE(17979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725670] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25784), 1,
      anon_sym_in,
    STATE(17980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725684] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25786), 1,
      anon_sym_with,
    STATE(17981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725698] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25788), 1,
      anon_sym_RPAREN,
    STATE(17982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725712] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25790), 1,
      anon_sym_with,
    STATE(17983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725726] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25792), 1,
      anon_sym_in,
    STATE(17984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725740] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25794), 1,
      anon_sym_with,
    STATE(17985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725754] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25796), 1,
      anon_sym_with,
    STATE(17986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725768] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25798), 1,
      anon_sym_RPAREN,
    STATE(17987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725782] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25800), 1,
      anon_sym_in,
    STATE(17988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725796] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25802), 1,
      anon_sym_DOT,
    STATE(17989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725810] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25804), 1,
      anon_sym_DOT,
    STATE(17990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725824] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22808), 1,
      anon_sym_RBRACE,
    STATE(17991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725838] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25806), 1,
      anon_sym_SQUOTE2,
    STATE(17992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725852] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25808), 1,
      anon_sym_LT_DASH,
    STATE(17993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725866] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25810), 1,
      anon_sym_DASH_GT,
    STATE(17994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725880] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25812), 1,
      anon_sym_DASH_GT,
    STATE(17995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725894] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25814), 1,
      anon_sym_RPAREN,
    STATE(17996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725908] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25816), 1,
      anon_sym_LT_DASH,
    STATE(17997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725922] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25818), 1,
      anon_sym_DASH_GT,
    STATE(17998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725936] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18000), 1,
      anon_sym_RPAREN,
    STATE(17999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725950] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3181), 1,
      anon_sym_RPAREN,
    STATE(18000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725964] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25820), 1,
      anon_sym_in,
    STATE(18001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725978] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25822), 1,
      anon_sym_RPAREN,
    STATE(18002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725992] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25824), 1,
      anon_sym_RBRACK,
    STATE(18003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726006] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25826), 1,
      anon_sym_RBRACE,
    STATE(18004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726020] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25828), 1,
      anon_sym_RPAREN,
    STATE(18005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726034] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25830), 1,
      anon_sym_RPAREN,
    STATE(18006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726048] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25832), 1,
      anon_sym_RPAREN,
    STATE(18007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726062] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25832), 1,
      anon_sym_RBRACK,
    STATE(18008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726076] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25832), 1,
      anon_sym_RBRACE,
    STATE(18009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726090] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25834), 1,
      anon_sym_in,
    STATE(18010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726104] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25836), 1,
      anon_sym_in,
    STATE(18011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726118] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25838), 1,
      anon_sym_in,
    STATE(18012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726132] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25840), 1,
      anon_sym_in,
    STATE(18013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726146] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25842), 1,
      anon_sym_RPAREN,
    STATE(18014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726160] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25844), 1,
      anon_sym_LT_DASH,
    STATE(18015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726174] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25846), 1,
      anon_sym_RPAREN,
    STATE(18016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726188] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25848), 1,
      anon_sym_in,
    STATE(18017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726202] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25850), 1,
      anon_sym_DOT,
    STATE(18018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726216] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25852), 1,
      anon_sym_COLON2,
    STATE(18019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726230] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25854), 1,
      anon_sym_RPAREN,
    STATE(18020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726244] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25856), 1,
      anon_sym_RBRACE,
    STATE(18021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726258] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25858), 1,
      anon_sym_with,
    STATE(18022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726272] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25860), 1,
      anon_sym_with,
    STATE(18023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726286] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25862), 1,
      anon_sym_DOT,
    STATE(18024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726300] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25864), 1,
      anon_sym_in,
    STATE(18025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726314] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25866), 1,
      anon_sym_in,
    STATE(18026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726328] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25868), 1,
      anon_sym_DASH_GT,
    STATE(18027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726342] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20307), 1,
      anon_sym_GT_RBRACE,
    STATE(18028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726356] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25870), 1,
      anon_sym_done,
    STATE(18029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726370] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25872), 1,
      anon_sym_in,
    STATE(18030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726384] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25874), 1,
      anon_sym_RBRACE,
    STATE(18031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726398] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25876), 1,
      anon_sym_with,
    STATE(18032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726412] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25878), 1,
      anon_sym_with,
    STATE(18033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726426] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11571), 1,
      anon_sym_GT,
    STATE(18034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726440] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25880), 1,
      anon_sym_in,
    STATE(18035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726454] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21592), 1,
      anon_sym_GT_RBRACE,
    STATE(18036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726468] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25882), 1,
      anon_sym_DOT,
    STATE(18037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726482] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18056), 1,
      anon_sym_RPAREN,
    STATE(18038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726496] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11619), 1,
      anon_sym_GT,
    STATE(18039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726510] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25884), 1,
      anon_sym_RBRACK,
    STATE(18040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726524] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25886), 1,
      anon_sym_RBRACE,
    STATE(18041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726538] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17750), 1,
      anon_sym_RPAREN,
    STATE(18042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726552] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19052), 1,
      anon_sym_end,
    STATE(18043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726566] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25888), 1,
      anon_sym_SQUOTE2,
    STATE(18044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726580] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25890), 1,
      anon_sym_RPAREN,
    STATE(18045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726594] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25892), 1,
      anon_sym_RBRACE,
    STATE(18046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726608] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25894), 1,
      anon_sym_RPAREN,
    STATE(18047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726622] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25896), 1,
      anon_sym_RPAREN,
    STATE(18048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726636] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25898), 1,
      anon_sym_RPAREN,
    STATE(18049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726650] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25898), 1,
      anon_sym_RBRACK,
    STATE(18050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726664] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25898), 1,
      anon_sym_RBRACE,
    STATE(18051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726678] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25900), 1,
      anon_sym_RPAREN,
    STATE(18052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726692] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25902), 1,
      anon_sym_DQUOTE,
    STATE(18053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726706] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20520), 1,
      anon_sym_GT_RBRACE,
    STATE(18054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726720] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25904), 1,
      anon_sym_RBRACK,
    STATE(18055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726734] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25906), 1,
      anon_sym_RBRACE,
    STATE(18056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726748] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25908), 1,
      anon_sym_RPAREN,
    STATE(18057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726762] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25910), 1,
      anon_sym_RBRACE,
    STATE(18058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726776] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25912), 1,
      anon_sym_DOT,
    STATE(18059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726790] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19447), 1,
      anon_sym_end,
    STATE(18060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726804] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25914), 1,
      anon_sym_SQUOTE2,
    STATE(18061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726818] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25916), 1,
      anon_sym_GT,
    STATE(18062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726832] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25918), 1,
      anon_sym_with,
    STATE(18063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726846] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25920), 1,
      anon_sym_with,
    STATE(18064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726860] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25922), 1,
      anon_sym_DOT,
    STATE(18065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726874] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25924), 1,
      anon_sym_DQUOTE,
    STATE(18066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726888] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25926), 1,
      anon_sym_in,
    STATE(18067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726902] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25928), 1,
      anon_sym_end,
    STATE(18068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726916] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25930), 1,
      anon_sym_RBRACE,
    STATE(18069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726930] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25932), 1,
      sym__lowercase_identifier,
    STATE(18070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726944] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22692), 1,
      anon_sym_GT_RBRACE,
    STATE(18071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726958] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25934), 1,
      anon_sym_with,
    STATE(18072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726972] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25936), 1,
      anon_sym_with,
    STATE(18073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726986] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19415), 1,
      anon_sym_end,
    STATE(18074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727000] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25938), 1,
      anon_sym_RPAREN,
    STATE(18075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727014] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25940), 1,
      anon_sym_RPAREN,
    STATE(18076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727028] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25942), 1,
      anon_sym_DOT,
    STATE(18077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727042] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25944), 1,
      sym__lowercase_identifier,
    STATE(18078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727056] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25946), 1,
      anon_sym_in,
    STATE(18079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727070] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25948), 1,
      anon_sym_RPAREN,
    STATE(18080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727084] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25950), 1,
      anon_sym_RPAREN,
    STATE(18081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727098] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17650), 1,
      anon_sym_RPAREN,
    STATE(18082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727112] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25952), 1,
      sym__lowercase_identifier,
    STATE(18083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727126] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25950), 1,
      anon_sym_RBRACK,
    STATE(18084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727140] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25950), 1,
      anon_sym_RBRACE,
    STATE(18085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727154] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25954), 1,
      anon_sym_DASH_GT,
    STATE(18086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727168] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25956), 1,
      anon_sym_RBRACK,
    STATE(18087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727182] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25958), 1,
      anon_sym_RPAREN,
    STATE(18088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727196] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25960), 1,
      anon_sym_RPAREN,
    STATE(18089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727210] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25960), 1,
      anon_sym_RBRACK,
    STATE(18090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727224] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25960), 1,
      anon_sym_RBRACE,
    STATE(18091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727238] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25962), 1,
      anon_sym_RBRACE,
    STATE(18092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727252] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25964), 1,
      anon_sym_RBRACK,
    STATE(18093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727266] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17302), 1,
      anon_sym_GT,
    STATE(18094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727280] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25966), 1,
      anon_sym_RBRACE,
    STATE(18095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727294] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25968), 1,
      anon_sym_EQ,
    STATE(18096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727308] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25970), 1,
      anon_sym_SQUOTE2,
    STATE(18097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727322] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25972), 1,
      anon_sym_RBRACE,
    STATE(18098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727336] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25974), 1,
      anon_sym_DOT,
    STATE(18099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727350] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25976), 1,
      anon_sym_DQUOTE,
    STATE(18100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727364] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25978), 1,
      anon_sym_RPAREN,
    STATE(18101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727378] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25980), 1,
      anon_sym_RPAREN,
    STATE(18102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727392] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25982), 1,
      anon_sym_with,
    STATE(18103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727406] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25984), 1,
      anon_sym_with,
    STATE(18104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727420] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25986), 1,
      anon_sym_DOT,
    STATE(18105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727434] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25988), 1,
      anon_sym_RPAREN,
    STATE(18106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727448] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25990), 1,
      anon_sym_RBRACK,
    STATE(18107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727462] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25992), 1,
      anon_sym_RBRACE,
    STATE(18108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727476] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25994), 1,
      anon_sym_RPAREN,
    STATE(18109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727490] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8705), 1,
      anon_sym_DASH_GT,
    STATE(18110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727504] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23526), 1,
      anon_sym_RPAREN,
    STATE(18111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727518] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25996), 1,
      anon_sym_with,
    STATE(18112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727532] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25998), 1,
      anon_sym_with,
    STATE(18113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727546] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26000), 1,
      anon_sym_RBRACK,
    STATE(18114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727560] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26002), 1,
      anon_sym_RPAREN,
    STATE(18115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727574] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26004), 1,
      anon_sym_DASH_GT,
    STATE(18116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727588] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26006), 1,
      anon_sym_DOT,
    STATE(18117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727602] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26008), 1,
      anon_sym_RPAREN,
    STATE(18118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727616] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8848), 1,
      anon_sym_DASH_GT,
    STATE(18119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727630] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26010), 1,
      anon_sym_RBRACE,
    STATE(18120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727644] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26012), 1,
      anon_sym_GT,
    STATE(18121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727658] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17872), 1,
      anon_sym_RPAREN,
    STATE(18122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727672] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26014), 1,
      anon_sym_RBRACE,
    STATE(18123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727686] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26016), 1,
      anon_sym_in,
    STATE(18124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727700] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26018), 1,
      anon_sym_RBRACE,
    STATE(18125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727714] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_DASH_GT,
    STATE(18126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727728] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26020), 1,
      anon_sym_LT_DASH,
    STATE(18127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727742] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26022), 1,
      anon_sym_RPAREN,
    STATE(18128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727756] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26024), 1,
      anon_sym_RPAREN,
    STATE(18129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727770] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26024), 1,
      anon_sym_RBRACK,
    STATE(18130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727784] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26024), 1,
      anon_sym_RBRACE,
    STATE(18131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727798] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3183), 1,
      anon_sym_RPAREN,
    STATE(18132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727812] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26026), 1,
      anon_sym_in,
    STATE(18133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727826] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26028), 1,
      anon_sym_RPAREN,
    STATE(18134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727840] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19154), 1,
      anon_sym_end,
    STATE(18135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727854] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26030), 1,
      anon_sym_RPAREN,
    STATE(18136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727868] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26032), 1,
      anon_sym_RPAREN,
    STATE(18137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727882] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26034), 1,
      anon_sym_in,
    STATE(18138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727896] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26036), 1,
      anon_sym_DOT,
    STATE(18139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727910] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26038), 1,
      anon_sym_RPAREN,
    STATE(18140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727924] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26040), 1,
      anon_sym_in,
    STATE(18141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727938] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26042), 1,
      anon_sym_in,
    STATE(18142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727952] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26044), 1,
      anon_sym_with,
    STATE(18143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727966] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26046), 1,
      anon_sym_with,
    STATE(18144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727980] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26048), 1,
      anon_sym_DOT,
    STATE(18145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727994] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26050), 1,
      anon_sym_LT_DASH,
    STATE(18146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728008] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26052), 1,
      anon_sym_RPAREN,
    STATE(18147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728022] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26054), 1,
      anon_sym_end,
    STATE(18148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728036] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26056), 1,
      sym__lowercase_identifier,
    STATE(18149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728050] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26058), 1,
      anon_sym_RPAREN,
    STATE(18150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728064] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26060), 1,
      anon_sym_in,
    STATE(18151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728078] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26062), 1,
      anon_sym_with,
    STATE(18152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728092] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26064), 1,
      anon_sym_with,
    STATE(18153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728106] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26066), 1,
      anon_sym_RBRACE,
    STATE(18154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728120] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16366), 1,
      anon_sym_RPAREN,
    STATE(18155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728134] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26068), 1,
      anon_sym_RPAREN,
    STATE(18156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728148] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26070), 1,
      anon_sym_DOT,
    STATE(18157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728162] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26072), 1,
      anon_sym_RBRACK,
    STATE(18158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728176] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26074), 1,
      anon_sym_RBRACE,
    STATE(18159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728190] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26076), 1,
      anon_sym_RPAREN,
    STATE(18160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728204] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3153), 1,
      anon_sym_RPAREN,
    STATE(18161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728218] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18026), 1,
      anon_sym_RPAREN,
    STATE(18162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728232] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26078), 1,
      anon_sym_DASH_GT,
    STATE(18163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728246] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26080), 1,
      anon_sym_in,
    STATE(18164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728260] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26082), 1,
      anon_sym_SQUOTE2,
    STATE(18165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728274] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26084), 1,
      anon_sym_RPAREN,
    STATE(18166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728288] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26086), 1,
      anon_sym_RBRACE,
    STATE(18167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728302] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26088), 1,
      anon_sym_RPAREN,
    STATE(18168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728316] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26090), 1,
      anon_sym_RPAREN,
    STATE(18169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728330] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26090), 1,
      anon_sym_RBRACK,
    STATE(18170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728344] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26090), 1,
      anon_sym_RBRACE,
    STATE(18171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728358] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15850), 1,
      anon_sym_DASH_GT,
    STATE(18172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728372] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26092), 1,
      sym__lowercase_identifier,
    STATE(18173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728386] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26094), 1,
      anon_sym_in,
    STATE(18174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728400] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26096), 1,
      anon_sym_DOT,
    STATE(18175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728414] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26098), 1,
      anon_sym_DASH_GT,
    STATE(18176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728428] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26100), 1,
      anon_sym_EQ,
    STATE(18177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728442] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26102), 1,
      anon_sym_RPAREN,
    STATE(18178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728456] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26104), 1,
      anon_sym_DOT,
    STATE(18179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728470] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26106), 1,
      anon_sym_LT_DASH,
    STATE(18180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728484] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3209), 1,
      anon_sym_RPAREN,
    STATE(18181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728498] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6721), 1,
      anon_sym_RPAREN,
    STATE(18182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728512] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26108), 1,
      anon_sym_with,
    STATE(18183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728526] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26110), 1,
      anon_sym_with,
    STATE(18184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728540] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26112), 1,
      anon_sym_DOT,
    STATE(18185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728554] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26114), 1,
      anon_sym_in,
    STATE(18186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728568] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26116), 1,
      anon_sym_RPAREN,
    STATE(18187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728582] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21015), 1,
      anon_sym_GT_RBRACE,
    STATE(18188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728596] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26118), 1,
      anon_sym_in,
    STATE(18189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728610] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26120), 1,
      anon_sym_RPAREN,
    STATE(18190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728624] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19561), 1,
      anon_sym_end,
    STATE(18191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728638] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26122), 1,
      anon_sym_with,
    STATE(18192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728652] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26124), 1,
      anon_sym_with,
    STATE(18193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728666] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26126), 1,
      anon_sym_SQUOTE2,
    STATE(18194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728680] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26128), 1,
      anon_sym_DQUOTE,
    STATE(18195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728694] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26130), 1,
      anon_sym_in,
    STATE(18196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728708] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26132), 1,
      anon_sym_DOT,
    STATE(18197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728722] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23064), 1,
      anon_sym_RBRACE,
    STATE(18198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728736] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26134), 1,
      anon_sym_RPAREN,
    STATE(18199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728750] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23068), 1,
      anon_sym_RBRACE,
    STATE(18200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728764] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26136), 1,
      anon_sym_RBRACK,
    STATE(18201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728778] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18122), 1,
      anon_sym_RPAREN,
    STATE(18202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728792] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26138), 1,
      sym__lowercase_identifier,
    STATE(18203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728806] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26140), 1,
      anon_sym_in,
    STATE(18204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728820] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16610), 1,
      anon_sym_RPAREN,
    STATE(18205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728834] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26142), 1,
      anon_sym_RBRACK,
    STATE(18206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728848] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26144), 1,
      anon_sym_RBRACE,
    STATE(18207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728862] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26146), 1,
      anon_sym_RPAREN,
    STATE(18208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728876] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26148), 1,
      anon_sym_RPAREN,
    STATE(18209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728890] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26148), 1,
      anon_sym_RBRACK,
    STATE(18210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728904] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26148), 1,
      anon_sym_RBRACE,
    STATE(18211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728918] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26150), 1,
      anon_sym_RBRACE,
    STATE(18212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728932] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8868), 1,
      anon_sym_DASH_GT,
    STATE(18213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728946] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26152), 1,
      sym__lowercase_identifier,
    STATE(18214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728960] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26154), 1,
      anon_sym_RBRACE,
    STATE(18215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728974] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26156), 1,
      anon_sym_RPAREN,
    STATE(18216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728988] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26158), 1,
      anon_sym_DQUOTE,
    STATE(18217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729002] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26160), 1,
      anon_sym_RPAREN,
    STATE(18218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729016] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26162), 1,
      anon_sym_DOT,
    STATE(18219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729030] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26164), 1,
      sym__lowercase_identifier,
    STATE(18220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729044] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26166), 1,
      anon_sym_RBRACE,
    STATE(18221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729058] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26168), 1,
      anon_sym_RPAREN,
    STATE(18222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729072] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26170), 1,
      anon_sym_with,
    STATE(18223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729086] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26172), 1,
      anon_sym_with,
    STATE(18224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729100] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26174), 1,
      anon_sym_DOT,
    STATE(18225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729114] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26176), 1,
      anon_sym_in,
    STATE(18226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729128] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26178), 1,
      anon_sym_GT,
    STATE(18227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729142] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26180), 1,
      anon_sym_in,
    STATE(18228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729156] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17382), 1,
      anon_sym_GT,
    STATE(18229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729170] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26182), 1,
      anon_sym_RBRACK,
    STATE(18230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729184] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26184), 1,
      anon_sym_RPAREN,
    STATE(18231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729198] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26186), 1,
      anon_sym_with,
    STATE(18232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729212] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26188), 1,
      anon_sym_with,
    STATE(18233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729226] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26190), 1,
      anon_sym_RPAREN,
    STATE(18234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729240] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26192), 1,
      anon_sym_RBRACK,
    STATE(18235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729254] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26194), 1,
      anon_sym_RBRACE,
    STATE(18236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729268] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26196), 1,
      anon_sym_DOT,
    STATE(18237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729282] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26198), 1,
      anon_sym_end,
    STATE(18238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729296] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26200), 1,
      anon_sym_GT,
    STATE(18239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729310] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26202), 1,
      anon_sym_DQUOTE,
    STATE(18240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729324] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26204), 1,
      anon_sym_RPAREN,
    STATE(18241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729338] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17688), 1,
      anon_sym_RPAREN,
    STATE(18242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729352] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26206), 1,
      anon_sym_RBRACE,
    STATE(18243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729366] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18050), 1,
      anon_sym_RPAREN,
    STATE(18244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729380] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8701), 1,
      anon_sym_DASH_GT,
    STATE(18245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729394] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26208), 1,
      anon_sym_end,
    STATE(18246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729408] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26210), 1,
      anon_sym_DQUOTE,
    STATE(18247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729422] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26212), 1,
      anon_sym_RPAREN,
    STATE(18248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729436] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26214), 1,
      anon_sym_RPAREN,
    STATE(18249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729450] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26214), 1,
      anon_sym_RBRACK,
    STATE(18250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729464] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26214), 1,
      anon_sym_RBRACE,
    STATE(18251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729478] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26216), 1,
      anon_sym_RPAREN,
    STATE(18252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729492] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26218), 1,
      anon_sym_RBRACE,
    STATE(18253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729506] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8751), 1,
      anon_sym_DASH_GT,
    STATE(18254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729520] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26220), 1,
      anon_sym_RPAREN,
    STATE(18255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729534] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26222), 1,
      anon_sym_DASH_GT,
    STATE(18256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729548] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26224), 1,
      anon_sym_RPAREN,
    STATE(18257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729562] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26226), 1,
      anon_sym_RBRACE,
    STATE(18258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729576] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26228), 1,
      anon_sym_DOT,
    STATE(18259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729590] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26230), 1,
      anon_sym_RBRACE,
    STATE(18260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729604] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26232), 1,
      anon_sym_DOT,
    STATE(18261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729618] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16362), 1,
      anon_sym_RPAREN,
    STATE(18262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729632] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26234), 1,
      anon_sym_with,
    STATE(18263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729646] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26236), 1,
      anon_sym_with,
    STATE(18264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729660] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26238), 1,
      anon_sym_DOT,
    STATE(18265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729674] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26240), 1,
      anon_sym_end,
    STATE(18266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729688] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26242), 1,
      anon_sym_RBRACK,
    STATE(18267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729702] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4917), 1,
      anon_sym_end,
    STATE(18268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729716] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8735), 1,
      anon_sym_DASH_GT,
    STATE(18269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729730] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26244), 1,
      anon_sym_LT_DASH,
    STATE(18270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729744] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26246), 1,
      anon_sym_RBRACE,
    STATE(18271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729758] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26248), 1,
      anon_sym_with,
    STATE(18272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729772] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26250), 1,
      anon_sym_with,
    STATE(18273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729786] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16582), 1,
      anon_sym_RPAREN,
    STATE(18274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729800] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26252), 1,
      anon_sym_RPAREN,
    STATE(18275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729814] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26254), 1,
      anon_sym_DOT,
    STATE(18276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729828] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26256), 1,
      anon_sym_DOT,
    STATE(18277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729842] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26258), 1,
      anon_sym_RPAREN,
    STATE(18278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729856] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26260), 1,
      anon_sym_DOT,
    STATE(18279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729870] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26262), 1,
      anon_sym_RBRACE,
    STATE(18280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729884] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26264), 1,
      anon_sym_RBRACE,
    STATE(18281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729898] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17932), 1,
      anon_sym_RPAREN,
    STATE(18282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729912] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26266), 1,
      anon_sym_LT_DASH,
    STATE(18283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729926] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26268), 1,
      anon_sym_RBRACE,
    STATE(18284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729940] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3217), 1,
      anon_sym_RPAREN,
    STATE(18285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729954] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26270), 1,
      anon_sym_RPAREN,
    STATE(18286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729968] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16370), 1,
      anon_sym_RPAREN,
    STATE(18287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729982] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26272), 1,
      anon_sym_RPAREN,
    STATE(18288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729996] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26274), 1,
      anon_sym_RPAREN,
    STATE(18289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730010] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26274), 1,
      anon_sym_RBRACK,
    STATE(18290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730024] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26274), 1,
      anon_sym_RBRACE,
    STATE(18291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730038] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26276), 1,
      anon_sym_in,
    STATE(18292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730052] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26278), 1,
      aux_sym_number_token1,
    STATE(18293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730066] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26280), 1,
      anon_sym_in,
    STATE(18294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730080] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26282), 1,
      anon_sym_DASH_GT,
    STATE(18295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730094] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26284), 1,
      anon_sym_in,
    STATE(18296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730108] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26286), 1,
      anon_sym_RPAREN,
    STATE(18297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730122] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26288), 1,
      anon_sym_DASH_GT,
    STATE(18298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730136] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26290), 1,
      anon_sym_DOT,
    STATE(18299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730150] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26292), 1,
      anon_sym_RPAREN,
    STATE(18300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730164] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26294), 1,
      anon_sym_DASH_GT,
    STATE(18301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730178] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26296), 1,
      anon_sym_RPAREN,
    STATE(18302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730192] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26298), 1,
      anon_sym_with,
    STATE(18303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730206] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26300), 1,
      anon_sym_with,
    STATE(18304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730220] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26302), 1,
      anon_sym_DOT,
    STATE(18305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730234] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26304), 1,
      anon_sym_DASH_GT,
    STATE(18306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730248] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26306), 1,
      anon_sym_with,
    STATE(18307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730262] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26308), 1,
      anon_sym_in,
    STATE(18308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730276] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26310), 1,
      anon_sym_in,
    STATE(18309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730290] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22676), 1,
      anon_sym_GT_RBRACE,
    STATE(18310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730304] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26312), 1,
      anon_sym_in,
    STATE(18311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730318] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26314), 1,
      anon_sym_with,
    STATE(18312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730332] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26316), 1,
      anon_sym_with,
    STATE(18313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730346] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_end,
    STATE(18314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730360] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26318), 1,
      anon_sym_RPAREN,
    STATE(18315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730374] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26320), 1,
      anon_sym_RBRACK,
    STATE(18316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730388] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26322), 1,
      anon_sym_DOT,
    STATE(18317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730402] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26324), 1,
      anon_sym_RBRACE,
    STATE(18318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730416] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26326), 1,
      anon_sym_with,
    STATE(18319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730430] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26328), 1,
      anon_sym_DOT,
    STATE(18320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730444] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26330), 1,
      anon_sym_RBRACE,
    STATE(18321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730458] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18112), 1,
      anon_sym_RPAREN,
    STATE(18322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730472] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26332), 1,
      anon_sym_RBRACE,
    STATE(18323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730486] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26334), 1,
      anon_sym_RPAREN,
    STATE(18324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730500] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26336), 1,
      anon_sym_RPAREN,
    STATE(18325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730514] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26338), 1,
      anon_sym_DASH_GT,
    STATE(18326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730528] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26340), 1,
      anon_sym_RPAREN,
    STATE(18327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730542] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26342), 1,
      anon_sym_RPAREN,
    STATE(18328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730556] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26344), 1,
      anon_sym_RPAREN,
    STATE(18329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730570] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26344), 1,
      anon_sym_RBRACK,
    STATE(18330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730584] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26344), 1,
      anon_sym_RBRACE,
    STATE(18331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730598] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26346), 1,
      anon_sym_SQUOTE2,
    STATE(18332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730612] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26348), 1,
      anon_sym_DASH_GT,
    STATE(18333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730626] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26350), 1,
      anon_sym_DQUOTE,
    STATE(18334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730640] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26352), 1,
      anon_sym_end,
    STATE(18335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730654] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21029), 1,
      anon_sym_GT_RBRACE,
    STATE(18336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730668] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26354), 1,
      anon_sym_LT_DASH,
    STATE(18337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730682] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20642), 1,
      anon_sym_GT_RBRACE,
    STATE(18338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730696] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26356), 1,
      anon_sym_DOT,
    STATE(18339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730710] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26358), 1,
      anon_sym_DASH_GT,
    STATE(18340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730724] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19505), 1,
      anon_sym_end,
    STATE(18341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730738] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26360), 1,
      anon_sym_SQUOTE2,
    STATE(18342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730752] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26362), 1,
      anon_sym_with,
    STATE(18343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730766] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26364), 1,
      anon_sym_with,
    STATE(18344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730780] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26366), 1,
      anon_sym_DOT,
    STATE(18345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730794] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11646), 1,
      anon_sym_GT,
    STATE(18346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730808] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26368), 1,
      anon_sym_in,
    STATE(18347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730822] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26370), 1,
      anon_sym_RPAREN,
    STATE(18348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730836] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26372), 1,
      anon_sym_DQUOTE,
    STATE(18349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730850] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3119), 1,
      anon_sym_RPAREN,
    STATE(18350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730864] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26374), 1,
      sym__lowercase_identifier,
    STATE(18351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730878] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26376), 1,
      anon_sym_with,
    STATE(18352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730892] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26378), 1,
      anon_sym_with,
    STATE(18353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730906] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26380), 1,
      anon_sym_RBRACK,
    STATE(18354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730920] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26382), 1,
      anon_sym_RBRACK,
    STATE(18355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730934] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26384), 1,
      anon_sym_RBRACE,
    STATE(18356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730948] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26386), 1,
      anon_sym_DOT,
    STATE(18357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730962] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26388), 1,
      anon_sym_DASH_GT,
    STATE(18358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730976] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26390), 1,
      anon_sym_RPAREN,
    STATE(18359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730990] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26392), 1,
      anon_sym_RPAREN,
    STATE(18360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731004] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26394), 1,
      anon_sym_RPAREN,
    STATE(18361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731018] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17608), 1,
      anon_sym_RPAREN,
    STATE(18362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731032] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26396), 1,
      anon_sym_RPAREN,
    STATE(18363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731046] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26398), 1,
      anon_sym_of,
    STATE(18364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731060] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26400), 1,
      anon_sym_RBRACK,
    STATE(18365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731074] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26402), 1,
      anon_sym_RBRACE,
    STATE(18366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731088] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26404), 1,
      anon_sym_RPAREN,
    STATE(18367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731102] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26406), 1,
      anon_sym_RPAREN,
    STATE(18368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731116] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26408), 1,
      anon_sym_RPAREN,
    STATE(18369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731130] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26408), 1,
      anon_sym_RBRACK,
    STATE(18370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731144] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26408), 1,
      anon_sym_RBRACE,
    STATE(18371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731158] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26410), 1,
      anon_sym_RBRACE,
    STATE(18372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731172] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26412), 1,
      anon_sym_DASH_GT,
    STATE(18373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731186] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26414), 1,
      anon_sym_end,
    STATE(18374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731200] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8767), 1,
      anon_sym_DASH_GT,
    STATE(18375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731214] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26416), 1,
      anon_sym_GT,
    STATE(18376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731228] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21770), 1,
      anon_sym_GT_RBRACE,
    STATE(18377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731242] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26418), 1,
      sym__lowercase_identifier,
    STATE(18378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731256] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26420), 1,
      anon_sym_DOT,
    STATE(18379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731270] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26422), 1,
      anon_sym_in,
    STATE(18380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731284] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26424), 1,
      anon_sym_RPAREN,
    STATE(18381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731298] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26426), 1,
      anon_sym_RPAREN,
    STATE(18382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731312] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26428), 1,
      anon_sym_with,
    STATE(18383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731326] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26430), 1,
      anon_sym_with,
    STATE(18384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731340] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26432), 1,
      anon_sym_DOT,
    STATE(18385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731354] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26434), 1,
      anon_sym_RBRACK,
    STATE(18386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731368] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26436), 1,
      anon_sym_PLUS_EQ,
    STATE(18387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731382] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26438), 1,
      anon_sym_RPAREN,
    STATE(18388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731396] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26440), 1,
      anon_sym_RPAREN,
    STATE(18389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731410] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26442), 1,
      anon_sym_RPAREN,
    STATE(18390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731424] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26444), 1,
      anon_sym_RBRACE,
    STATE(18391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731438] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26446), 1,
      anon_sym_with,
    STATE(18392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731452] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26448), 1,
      anon_sym_with,
    STATE(18393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731466] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26450), 1,
      anon_sym_DASH_GT,
    STATE(18394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731480] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26452), 1,
      anon_sym_with,
    STATE(18395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731494] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26454), 1,
      anon_sym_DASH_GT,
    STATE(18396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731508] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26456), 1,
      anon_sym_DOT,
    STATE(18397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731522] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26458), 1,
      anon_sym_done,
    STATE(18398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731536] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26460), 1,
      anon_sym_with,
    STATE(18399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731550] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26462), 1,
      sym__lowercase_identifier,
    STATE(18400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731564] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8711), 1,
      anon_sym_DASH_GT,
    STATE(18401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731578] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17654), 1,
      anon_sym_RPAREN,
    STATE(18402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731592] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26464), 1,
      anon_sym_RBRACK,
    STATE(18403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731606] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26466), 1,
      anon_sym_RBRACE,
    STATE(18404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731620] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26468), 1,
      anon_sym_DOT_DOT,
    STATE(18405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731634] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26470), 1,
      anon_sym_DOT,
    STATE(18406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731648] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26472), 1,
      sym__uppercase_identifier,
    STATE(18407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731662] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26474), 1,
      anon_sym_RPAREN,
    STATE(18408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731676] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26476), 1,
      anon_sym_RPAREN,
    STATE(18409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731690] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26476), 1,
      anon_sym_RBRACK,
    STATE(18410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731704] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26476), 1,
      anon_sym_RBRACE,
    STATE(18411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731718] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26478), 1,
      anon_sym_RPAREN,
    STATE(18412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731732] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26480), 1,
      anon_sym_RPAREN,
    STATE(18413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731746] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26482), 1,
      anon_sym_in,
    STATE(18414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731760] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26480), 1,
      anon_sym_RBRACK,
    STATE(18415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731774] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26480), 1,
      anon_sym_RBRACE,
    STATE(18416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731788] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26484), 1,
      anon_sym_in,
    STATE(18417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731802] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19858), 1,
      anon_sym_end,
    STATE(18418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731816] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26486), 1,
      anon_sym_DOT,
    STATE(18419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731830] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16554), 1,
      anon_sym_RPAREN,
    STATE(18420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731844] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26488), 1,
      anon_sym_end,
    STATE(18421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731858] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26490), 1,
      anon_sym_RPAREN,
    STATE(18422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731872] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26492), 1,
      anon_sym_with,
    STATE(18423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731886] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26494), 1,
      anon_sym_with,
    STATE(18424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731900] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26496), 1,
      anon_sym_DOT,
    STATE(18425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731914] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26498), 1,
      anon_sym_of,
    STATE(18426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731928] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26500), 1,
      anon_sym_RPAREN,
    STATE(18427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731942] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26502), 1,
      anon_sym_RBRACK,
    STATE(18428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731956] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26504), 1,
      anon_sym_RBRACE,
    STATE(18429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731970] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16350), 1,
      anon_sym_RPAREN,
    STATE(18430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731984] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5015), 1,
      anon_sym_end,
    STATE(18431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731998] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26506), 1,
      anon_sym_with,
    STATE(18432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732012] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26508), 1,
      anon_sym_with,
    STATE(18433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732026] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26510), 1,
      anon_sym_DASH_GT,
    STATE(18434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732040] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26512), 1,
      anon_sym_RPAREN,
    STATE(18435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732054] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26514), 1,
      anon_sym_DOT,
    STATE(18436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732068] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26516), 1,
      anon_sym_DASH_GT,
    STATE(18437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732082] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26518), 1,
      sym__lowercase_identifier,
    STATE(18438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732096] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26520), 1,
      anon_sym_RPAREN,
    STATE(18439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732110] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26522), 1,
      anon_sym_LT_DASH,
    STATE(18440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732124] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17708), 1,
      anon_sym_RPAREN,
    STATE(18441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732138] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26524), 1,
      anon_sym_RPAREN,
    STATE(18442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732152] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26526), 1,
      anon_sym_LT_DASH,
    STATE(18443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732166] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18048), 1,
      anon_sym_RPAREN,
    STATE(18444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732180] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26528), 1,
      anon_sym_RPAREN,
    STATE(18445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732194] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26530), 1,
      anon_sym_in,
    STATE(18446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732208] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26532), 1,
      anon_sym_RPAREN,
    STATE(18447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732222] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26534), 1,
      anon_sym_RPAREN,
    STATE(18448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732236] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26534), 1,
      anon_sym_RBRACK,
    STATE(18449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732250] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26534), 1,
      anon_sym_RBRACE,
    STATE(18450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732264] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26536), 1,
      anon_sym_in,
    STATE(18451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732278] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26538), 1,
      aux_sym_number_token1,
    STATE(18452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732292] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26540), 1,
      anon_sym_in,
    STATE(18453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732306] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26542), 1,
      anon_sym_in,
    STATE(18454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732320] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26544), 1,
      anon_sym_end,
    STATE(18455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732334] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8810), 1,
      anon_sym_DASH_GT,
    STATE(18456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732348] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26546), 1,
      anon_sym_DOT,
    STATE(18457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732362] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26548), 1,
      anon_sym_in,
    STATE(18458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732376] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26550), 1,
      anon_sym_DASH_GT,
    STATE(18459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732390] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26552), 1,
      anon_sym_in,
    STATE(18460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732404] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26554), 1,
      anon_sym_with,
    STATE(18461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732418] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26556), 1,
      anon_sym_with,
    STATE(18462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732432] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26558), 1,
      anon_sym_DOT,
    STATE(18463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732446] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26560), 1,
      anon_sym_in,
    STATE(18464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732460] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26562), 1,
      anon_sym_RPAREN,
    STATE(18465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732474] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26564), 1,
      anon_sym_RBRACK,
    STATE(18466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732488] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26566), 1,
      anon_sym_in,
    STATE(18467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732502] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26568), 1,
      anon_sym_end,
    STATE(18468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732516] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26570), 1,
      anon_sym_RPAREN,
    STATE(18469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732530] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26572), 1,
      anon_sym_with,
    STATE(18470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732544] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26574), 1,
      anon_sym_with,
    STATE(18471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732558] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26576), 1,
      anon_sym_RPAREN,
    STATE(18472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732572] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26578), 1,
      anon_sym_RBRACE,
    STATE(18473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732586] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26580), 1,
      anon_sym_RBRACK,
    STATE(18474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732600] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26582), 1,
      anon_sym_DOT,
    STATE(18475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732614] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26584), 1,
      anon_sym_RPAREN,
    STATE(18476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732628] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26586), 1,
      anon_sym_SQUOTE2,
    STATE(18477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732642] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26588), 1,
      anon_sym_DQUOTE,
    STATE(18478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732656] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26590), 1,
      anon_sym_RBRACE,
    STATE(18479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732670] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17842), 1,
      anon_sym_RPAREN,
    STATE(18480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732684] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26592), 1,
      anon_sym_RBRACE,
    STATE(18481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732698] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24470), 1,
      anon_sym_RPAREN,
    STATE(18482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732712] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26594), 1,
      anon_sym_RPAREN,
    STATE(18483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732726] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6731), 1,
      anon_sym_RPAREN,
    STATE(18484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732740] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26596), 1,
      anon_sym_RPAREN,
    STATE(18485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732754] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26598), 1,
      anon_sym_RPAREN,
    STATE(18486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732768] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26600), 1,
      anon_sym_RPAREN,
    STATE(18487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732782] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26600), 1,
      anon_sym_RBRACK,
    STATE(18488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732796] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26600), 1,
      anon_sym_RBRACE,
    STATE(18489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732810] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21039), 1,
      anon_sym_GT_RBRACE,
    STATE(18490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732824] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26602), 1,
      anon_sym_RPAREN,
    STATE(18491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732838] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26604), 1,
      anon_sym_RPAREN,
    STATE(18492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732852] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26606), 1,
      anon_sym_RPAREN,
    STATE(18493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732866] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26608), 1,
      anon_sym_RPAREN,
    STATE(18494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732880] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21181), 1,
      anon_sym_GT_RBRACE,
    STATE(18495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732894] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26610), 1,
      anon_sym_DOT,
    STATE(18496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732908] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26612), 1,
      anon_sym_DASH_GT,
    STATE(18497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732922] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26614), 1,
      anon_sym_RBRACE,
    STATE(18498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732936] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19639), 1,
      anon_sym_end,
    STATE(18499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732950] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26616), 1,
      anon_sym_with,
    STATE(18500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732964] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26618), 1,
      anon_sym_with,
    STATE(18501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732978] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26620), 1,
      anon_sym_DOT,
    STATE(18502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732992] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26622), 1,
      anon_sym_SQUOTE2,
    STATE(18503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733006] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26606), 1,
      anon_sym_RBRACK,
    STATE(18504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733020] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26624), 1,
      anon_sym_DQUOTE,
    STATE(18505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733034] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26606), 1,
      anon_sym_RBRACE,
    STATE(18506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733048] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26626), 1,
      anon_sym_RPAREN,
    STATE(18507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733062] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26628), 1,
      anon_sym_RPAREN,
    STATE(18508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733076] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26630), 1,
      anon_sym_with,
    STATE(18509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733090] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26632), 1,
      anon_sym_with,
    STATE(18510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733104] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26634), 1,
      sym__lowercase_identifier,
    STATE(18511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733118] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26636), 1,
      anon_sym_RBRACK,
    STATE(18512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733132] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26638), 1,
      anon_sym_RBRACK,
    STATE(18513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733146] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26640), 1,
      anon_sym_DOT,
    STATE(18514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733160] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19056), 1,
      anon_sym_end,
    STATE(18515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733174] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26642), 1,
      anon_sym_RBRACK,
    STATE(18516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733188] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26644), 1,
      anon_sym_RBRACE,
    STATE(18517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733202] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26646), 1,
      anon_sym_RBRACE,
    STATE(18518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733216] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17890), 1,
      anon_sym_RPAREN,
    STATE(18519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733230] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11305), 1,
      anon_sym_GT,
    STATE(18520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733244] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26648), 1,
      anon_sym_RPAREN,
    STATE(18521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733258] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5035), 1,
      anon_sym_end,
    STATE(18522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733272] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26650), 1,
      anon_sym_RBRACE,
    STATE(18523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733286] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26652), 1,
      anon_sym_RPAREN,
    STATE(18524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733300] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26654), 1,
      anon_sym_RPAREN,
    STATE(18525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733314] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26656), 1,
      anon_sym_RPAREN,
    STATE(18526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733328] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26656), 1,
      anon_sym_RBRACK,
    STATE(18527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733342] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26656), 1,
      anon_sym_RBRACE,
    STATE(18528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733356] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26658), 1,
      aux_sym_number_token1,
    STATE(18529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733370] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26660), 1,
      anon_sym_in,
    STATE(18530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733384] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26662), 1,
      anon_sym_in,
    STATE(18531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733398] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26664), 1,
      anon_sym_RBRACK,
    STATE(18532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733412] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26666), 1,
      anon_sym_in,
    STATE(18533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733426] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26668), 1,
      anon_sym_DOT,
    STATE(18534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733440] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8733), 1,
      anon_sym_DASH_GT,
    STATE(18535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733454] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26670), 1,
      anon_sym_RPAREN,
    STATE(18536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733468] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17460), 1,
      anon_sym_GT,
    STATE(18537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733482] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26672), 1,
      anon_sym_with,
    STATE(18538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733496] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26674), 1,
      anon_sym_with,
    STATE(18539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733510] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26676), 1,
      anon_sym_DOT,
    STATE(18540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733524] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26678), 1,
      anon_sym_end,
    STATE(18541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733538] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26680), 1,
      anon_sym_in,
    STATE(18542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733552] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26682), 1,
      anon_sym_RPAREN,
    STATE(18543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733566] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26684), 1,
      anon_sym_DASH_GT,
    STATE(18544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733580] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12532), 1,
      anon_sym_DASH_GT,
    STATE(18545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733594] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26686), 1,
      anon_sym_RPAREN,
    STATE(18546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733608] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26688), 1,
      anon_sym_with,
    STATE(18547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733622] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26690), 1,
      anon_sym_with,
    STATE(18548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733636] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3117), 1,
      anon_sym_RPAREN,
    STATE(18549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733650] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26692), 1,
      anon_sym_RPAREN,
    STATE(18550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733664] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      anon_sym_DASH_GT,
    STATE(18551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733678] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26694), 1,
      anon_sym_DOT,
    STATE(18552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733692] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26696), 1,
      anon_sym_RPAREN,
    STATE(18553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733706] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26698), 1,
      anon_sym_in,
    STATE(18554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733720] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26700), 1,
      anon_sym_RBRACK,
    STATE(18555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733734] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26702), 1,
      anon_sym_DOT_DOT,
    STATE(18556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733748] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18162), 1,
      anon_sym_RPAREN,
    STATE(18557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733762] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26704), 1,
      anon_sym_RBRACE,
    STATE(18558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733776] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26706), 1,
      anon_sym_RPAREN,
    STATE(18559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733790] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26708), 1,
      anon_sym_RPAREN,
    STATE(18560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733804] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26710), 1,
      anon_sym_RPAREN,
    STATE(18561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733818] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26712), 1,
      anon_sym_DASH_GT,
    STATE(18562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733832] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26714), 1,
      anon_sym_RPAREN,
    STATE(18563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733846] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26716), 1,
      anon_sym_RPAREN,
    STATE(18564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733860] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26716), 1,
      anon_sym_RBRACK,
    STATE(18565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733874] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26716), 1,
      anon_sym_RBRACE,
    STATE(18566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733888] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26718), 1,
      anon_sym_RBRACK,
    STATE(18567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733902] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26720), 1,
      anon_sym_in,
    STATE(18568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733916] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26722), 1,
      sym__lowercase_identifier,
    STATE(18569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733930] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26724), 1,
      anon_sym_in,
    STATE(18570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733944] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26726), 1,
      anon_sym_in,
    STATE(18571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733958] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26728), 1,
      anon_sym_DOT,
    STATE(18572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733972] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26730), 1,
      anon_sym_RBRACE,
    STATE(18573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733986] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26732), 1,
      anon_sym_end,
    STATE(18574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734000] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26734), 1,
      anon_sym_RBRACE,
    STATE(18575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734014] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26736), 1,
      anon_sym_with,
    STATE(18576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734028] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26738), 1,
      anon_sym_with,
    STATE(18577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734042] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26740), 1,
      anon_sym_DOT,
    STATE(18578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734056] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26742), 1,
      anon_sym_RPAREN,
    STATE(18579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734070] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26744), 1,
      anon_sym_SQUOTE2,
    STATE(18580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734084] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26746), 1,
      anon_sym_RBRACE,
    STATE(18581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734098] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16422), 1,
      anon_sym_RPAREN,
    STATE(18582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734112] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26748), 1,
      anon_sym_RBRACE,
    STATE(18583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734126] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26750), 1,
      anon_sym_DASH_GT,
    STATE(18584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734140] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26752), 1,
      anon_sym_with,
    STATE(18585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734154] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26754), 1,
      anon_sym_with,
    STATE(18586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734168] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26756), 1,
      anon_sym_RBRACE,
    STATE(18587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734182] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26758), 1,
      anon_sym_in,
    STATE(18588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734196] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26760), 1,
      anon_sym_RBRACE,
    STATE(18589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734210] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26762), 1,
      anon_sym_DOT,
    STATE(18590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734224] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12352), 1,
      anon_sym_DASH_GT,
    STATE(18591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734238] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26764), 1,
      anon_sym_in,
    STATE(18592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734252] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26766), 1,
      anon_sym_DQUOTE,
    STATE(18593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734266] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16516), 1,
      anon_sym_RPAREN,
    STATE(18594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734280] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17976), 1,
      anon_sym_RPAREN,
    STATE(18595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734294] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26768), 1,
      anon_sym_COLON2,
    STATE(18596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734308] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26770), 1,
      anon_sym_RBRACE,
    STATE(18597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734322] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26772), 1,
      anon_sym_DASH_GT,
    STATE(18598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734336] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26774), 1,
      anon_sym_DASH_GT,
    STATE(18599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734350] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26776), 1,
      anon_sym_RPAREN,
    STATE(18600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734364] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26778), 1,
      anon_sym_RPAREN,
    STATE(18601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734378] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26780), 1,
      anon_sym_RPAREN,
    STATE(18602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734392] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26780), 1,
      anon_sym_RBRACK,
    STATE(18603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734406] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26780), 1,
      anon_sym_RBRACE,
    STATE(18604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734420] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26782), 1,
      anon_sym_SQUOTE2,
    STATE(18605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734434] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26784), 1,
      anon_sym_DQUOTE,
    STATE(18606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734448] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26786), 1,
      anon_sym_DASH_GT,
    STATE(18607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734462] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26788), 1,
      anon_sym_RBRACE,
    STATE(18608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734476] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26790), 1,
      anon_sym_RBRACK,
    STATE(18609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734490] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26792), 1,
      anon_sym_DOT,
    STATE(18610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734504] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26794), 1,
      anon_sym_RBRACE,
    STATE(18611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734518] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26796), 1,
      anon_sym_RPAREN,
    STATE(18612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734532] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26798), 1,
      anon_sym_DASH_GT,
    STATE(18613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734546] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26800), 1,
      anon_sym_with,
    STATE(18614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734560] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26802), 1,
      anon_sym_with,
    STATE(18615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734574] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26804), 1,
      anon_sym_DOT,
    STATE(18616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734588] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26806), 1,
      anon_sym_DASH_GT,
    STATE(18617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734602] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26808), 1,
      anon_sym_RPAREN,
    STATE(18618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734616] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24052), 1,
      anon_sym_RBRACE,
    STATE(18619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734630] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26810), 1,
      anon_sym_RBRACE,
    STATE(18620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734644] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21548), 1,
      anon_sym_GT_RBRACE,
    STATE(18621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734658] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26812), 1,
      anon_sym_RPAREN,
    STATE(18622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734672] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26814), 1,
      anon_sym_with,
    STATE(18623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734686] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26816), 1,
      anon_sym_with,
    STATE(18624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734700] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26818), 1,
      anon_sym_RPAREN,
    STATE(18625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734714] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26820), 1,
      anon_sym_RBRACK,
    STATE(18626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734728] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26822), 1,
      anon_sym_RBRACE,
    STATE(18627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734742] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26824), 1,
      anon_sym_DOT,
    STATE(18628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734756] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26826), 1,
      anon_sym_RPAREN,
    STATE(18629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734770] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26828), 1,
      sym__lowercase_identifier,
    STATE(18630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734784] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26830), 1,
      anon_sym_RPAREN,
    STATE(18631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734798] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8719), 1,
      anon_sym_DASH_GT,
    STATE(18632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734812] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18030), 1,
      anon_sym_RPAREN,
    STATE(18633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734826] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26832), 1,
      anon_sym_RPAREN,
    STATE(18634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734840] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20290), 1,
      anon_sym_GT_RBRACE,
    STATE(18635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734854] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26834), 1,
      sym__lowercase_identifier,
    STATE(18636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734868] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26836), 1,
      anon_sym_RPAREN,
    STATE(18637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734882] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20766), 1,
      anon_sym_GT_RBRACE,
    STATE(18638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734896] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26838), 1,
      anon_sym_RPAREN,
    STATE(18639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734910] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26840), 1,
      anon_sym_RPAREN,
    STATE(18640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734924] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26840), 1,
      anon_sym_RBRACK,
    STATE(18641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734938] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26840), 1,
      anon_sym_RBRACE,
    STATE(18642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734952] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11595), 1,
      anon_sym_GT,
    STATE(18643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734966] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19200), 1,
      anon_sym_end,
    STATE(18644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734980] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19557), 1,
      anon_sym_end,
    STATE(18645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734994] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26842), 1,
      anon_sym_RBRACE,
    STATE(18646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735008] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26844), 1,
      anon_sym_SQUOTE2,
    STATE(18647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735022] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26846), 1,
      anon_sym_DOT,
    STATE(18648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735036] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26848), 1,
      anon_sym_DASH_GT,
    STATE(18649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735050] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26850), 1,
      anon_sym_DQUOTE,
    STATE(18650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735064] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26852), 1,
      anon_sym_SQUOTE2,
    STATE(18651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735078] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26854), 1,
      anon_sym_with,
    STATE(18652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735092] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26856), 1,
      anon_sym_with,
    STATE(18653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735106] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26858), 1,
      anon_sym_DOT,
    STATE(18654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735120] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11313), 1,
      anon_sym_GT,
    STATE(18655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735134] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26860), 1,
      anon_sym_DOT,
    STATE(18656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735148] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24078), 1,
      anon_sym_RBRACE,
    STATE(18657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735162] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26862), 1,
      anon_sym_RPAREN,
    STATE(18658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735176] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26864), 1,
      anon_sym_DQUOTE,
    STATE(18659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735190] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23142), 1,
      anon_sym_RPAREN,
    STATE(18660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735204] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26866), 1,
      anon_sym_with,
    STATE(18661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735218] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26868), 1,
      anon_sym_with,
    STATE(18662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735232] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26870), 1,
      sym__lowercase_identifier,
    STATE(18663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735246] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26872), 1,
      anon_sym_RBRACK,
    STATE(18664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735260] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26874), 1,
      anon_sym_RPAREN,
    STATE(18665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735274] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26876), 1,
      anon_sym_DOT,
    STATE(18666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735288] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26878), 1,
      anon_sym_RBRACK,
    STATE(18667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735302] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26880), 1,
      anon_sym_DOT,
    STATE(18668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735316] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26882), 1,
      anon_sym_DASH_GT,
    STATE(18669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735330] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26884), 1,
      anon_sym_RPAREN,
    STATE(18670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735344] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18072), 1,
      anon_sym_RPAREN,
    STATE(18671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735358] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26886), 1,
      anon_sym_RPAREN,
    STATE(18672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735372] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26888), 1,
      anon_sym_RBRACK,
    STATE(18673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735386] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26890), 1,
      anon_sym_RBRACE,
    STATE(18674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735400] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26892), 1,
      anon_sym_RPAREN,
    STATE(18675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735414] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26894), 1,
      anon_sym_RPAREN,
    STATE(18676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735428] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26896), 1,
      anon_sym_RPAREN,
    STATE(18677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735442] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26896), 1,
      anon_sym_RBRACK,
    STATE(18678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735456] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26896), 1,
      anon_sym_RBRACE,
    STATE(18679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735470] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6741), 1,
      anon_sym_end,
    STATE(18680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735484] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26898), 1,
      aux_sym_number_token1,
    STATE(18681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735498] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26900), 1,
      anon_sym_DOT,
    STATE(18682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735512] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26902), 1,
      anon_sym_GT,
    STATE(18683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735526] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26904), 1,
      anon_sym_DASH_GT,
    STATE(18684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735540] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26906), 1,
      anon_sym_DOT,
    STATE(18685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735554] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26908), 1,
      anon_sym_RPAREN,
    STATE(18686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735568] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26910), 1,
      anon_sym_DASH_GT,
    STATE(18687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735582] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26912), 1,
      anon_sym_GT,
    STATE(18688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735596] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26914), 1,
      anon_sym_with,
    STATE(18689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735610] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26916), 1,
      anon_sym_with,
    STATE(18690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735624] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26918), 1,
      anon_sym_DOT,
    STATE(18691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735638] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26920), 1,
      sym__lowercase_identifier,
    STATE(18692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735652] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26922), 1,
      anon_sym_RBRACE,
    STATE(18693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735666] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21519), 1,
      anon_sym_GT_RBRACE,
    STATE(18694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735680] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26924), 1,
      anon_sym_RBRACE,
    STATE(18695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735694] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3151), 1,
      anon_sym_RPAREN,
    STATE(18696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735708] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26926), 1,
      anon_sym_RPAREN,
    STATE(18697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735722] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26928), 1,
      anon_sym_with,
    STATE(18698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735736] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26930), 1,
      anon_sym_with,
    STATE(18699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735750] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26932), 1,
      anon_sym_DOT_DOT,
    STATE(18700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735764] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26934), 1,
      anon_sym_DOT,
    STATE(18701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735778] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19553), 1,
      anon_sym_end,
    STATE(18702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735792] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26936), 1,
      anon_sym_DOT,
    STATE(18703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735806] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26938), 1,
      anon_sym_DASH_GT,
    STATE(18704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735820] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26940), 1,
      anon_sym_DASH_GT,
    STATE(18705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735834] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26942), 1,
      anon_sym_DASH_GT,
    STATE(18706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735848] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26944), 1,
      anon_sym_DASH_GT,
    STATE(18707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735862] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_RPAREN,
    STATE(18708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735876] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26946), 1,
      anon_sym_RPAREN,
    STATE(18709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735890] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26948), 1,
      anon_sym_with,
    STATE(18710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735904] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26950), 1,
      anon_sym_RPAREN,
    STATE(18711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735918] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26952), 1,
      anon_sym_in,
    STATE(18712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735932] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26954), 1,
      anon_sym_RPAREN,
    STATE(18713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735946] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26956), 1,
      anon_sym_RPAREN,
    STATE(18714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735960] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26956), 1,
      anon_sym_RBRACK,
    STATE(18715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735974] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26956), 1,
      anon_sym_RBRACE,
    STATE(18716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735988] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26958), 1,
      anon_sym_in,
    STATE(18717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736002] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26960), 1,
      anon_sym_in,
    STATE(18718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736016] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26962), 1,
      anon_sym_RBRACE,
    STATE(18719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736030] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26964), 1,
      anon_sym_RBRACE,
    STATE(18720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736044] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26966), 1,
      anon_sym_in,
    STATE(18721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736058] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26968), 1,
      anon_sym_DOT,
    STATE(18722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736072] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26970), 1,
      anon_sym_RBRACE,
    STATE(18723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736086] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26972), 1,
      anon_sym_RPAREN,
    STATE(18724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736100] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26974), 1,
      anon_sym_DASH_GT,
    STATE(18725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736114] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26976), 1,
      anon_sym_with,
    STATE(18726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736128] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26978), 1,
      anon_sym_with,
    STATE(18727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736142] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26980), 1,
      anon_sym_DOT,
    STATE(18728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736156] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26982), 1,
      anon_sym_RPAREN,
    STATE(18729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736170] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26984), 1,
      anon_sym_RBRACK,
    STATE(18730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736184] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26986), 1,
      anon_sym_RPAREN,
    STATE(18731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736198] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26988), 1,
      anon_sym_RPAREN,
    STATE(18732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736212] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20092), 1,
      anon_sym_end,
    STATE(18733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736226] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26990), 1,
      anon_sym_DASH_GT,
    STATE(18734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736240] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26992), 1,
      anon_sym_with,
    STATE(18735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736254] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26994), 1,
      anon_sym_with,
    STATE(18736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736268] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26996), 1,
      anon_sym_RPAREN,
    STATE(18737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736282] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26998), 1,
      anon_sym_SQUOTE2,
    STATE(18738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736296] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27000), 1,
      anon_sym_DQUOTE,
    STATE(18739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736310] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27002), 1,
      anon_sym_DOT,
    STATE(18740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736324] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27004), 1,
      anon_sym_with,
    STATE(18741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736338] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27006), 1,
      anon_sym_DOT,
    STATE(18742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736352] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27008), 1,
      anon_sym_RBRACE,
    STATE(18743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736366] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17408), 1,
      anon_sym_GT,
    STATE(18744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736380] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18160), 1,
      anon_sym_RPAREN,
    STATE(18745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736394] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27010), 1,
      anon_sym_LT_DASH,
    STATE(18746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736408] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3207), 1,
      anon_sym_RPAREN,
    STATE(18747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736422] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27012), 1,
      anon_sym_RPAREN,
    STATE(18748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736436] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27014), 1,
      anon_sym_RPAREN,
    STATE(18749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736450] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27016), 1,
      anon_sym_RPAREN,
    STATE(18750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736464] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27018), 1,
      anon_sym_RPAREN,
    STATE(18751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736478] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27018), 1,
      anon_sym_RBRACK,
    STATE(18752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736492] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27018), 1,
      anon_sym_RBRACE,
    STATE(18753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736506] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27020), 1,
      anon_sym_RBRACK,
    STATE(18754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736520] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27022), 1,
      anon_sym_RBRACE,
    STATE(18755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736534] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27024), 1,
      anon_sym_in,
    STATE(18756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736548] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27026), 1,
      anon_sym_in,
    STATE(18757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736562] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27028), 1,
      anon_sym_in,
    STATE(18758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736576] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27030), 1,
      anon_sym_RBRACK,
    STATE(18759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736590] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27032), 1,
      anon_sym_RBRACE,
    STATE(18760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736604] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8723), 1,
      anon_sym_DASH_GT,
    STATE(18761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736618] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27034), 1,
      anon_sym_with,
    STATE(18762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736632] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27036), 1,
      anon_sym_with,
    STATE(18763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736646] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27038), 1,
      anon_sym_DOT,
    STATE(18764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736660] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11587), 1,
      anon_sym_GT,
    STATE(18765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736674] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27040), 1,
      anon_sym_LT_DASH,
    STATE(18766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736688] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27042), 1,
      anon_sym_in,
    STATE(18767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736702] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27044), 1,
      anon_sym_RPAREN,
    STATE(18768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736716] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27046), 1,
      anon_sym_in,
    STATE(18769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736730] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27048), 1,
      sym__lowercase_identifier,
    STATE(18770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736744] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27050), 1,
      anon_sym_with,
    STATE(18771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736758] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27052), 1,
      anon_sym_with,
    STATE(18772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736772] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27054), 1,
      anon_sym_RBRACE,
    STATE(18773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736786] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27056), 1,
      anon_sym_LT_DASH,
    STATE(18774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736800] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27058), 1,
      anon_sym_DASH_GT,
    STATE(18775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736814] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27060), 1,
      anon_sym_DOT,
    STATE(18776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736828] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3123), 1,
      anon_sym_RPAREN,
    STATE(18777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736842] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27062), 1,
      anon_sym_RPAREN,
    STATE(18778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736856] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27064), 1,
      sym__lowercase_identifier,
    STATE(18779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736870] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27066), 1,
      sym__lowercase_identifier,
    STATE(18780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736884] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17576), 1,
      anon_sym_RPAREN,
    STATE(18781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736898] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27068), 1,
      anon_sym_RBRACK,
    STATE(18782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736912] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27070), 1,
      anon_sym_RBRACE,
    STATE(18783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736926] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27072), 1,
      anon_sym_RBRACE,
    STATE(18784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736940] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27074), 1,
      anon_sym_in,
    STATE(18785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736954] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27076), 1,
      anon_sym_RPAREN,
    STATE(18786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736968] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27078), 1,
      anon_sym_RPAREN,
    STATE(18787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736982] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27078), 1,
      anon_sym_RBRACK,
    STATE(18788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736996] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27078), 1,
      anon_sym_RBRACE,
    STATE(18789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737010] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27080), 1,
      anon_sym_with,
    STATE(18790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737024] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27082), 1,
      anon_sym_LT_DASH,
    STATE(18791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737038] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27084), 1,
      anon_sym_SQUOTE2,
    STATE(18792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737052] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27086), 1,
      anon_sym_with,
    STATE(18793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737066] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27088), 1,
      anon_sym_RPAREN,
    STATE(18794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737080] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26286), 1,
      anon_sym_RBRACK,
    STATE(18795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737094] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27090), 1,
      anon_sym_RPAREN,
    STATE(18796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737108] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27092), 1,
      anon_sym_with,
    STATE(18797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737122] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27094), 1,
      anon_sym_with,
    STATE(18798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737136] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27096), 1,
      anon_sym_DOT,
    STATE(18799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737150] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27098), 1,
      anon_sym_with,
    STATE(18800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737164] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27100), 1,
      anon_sym_in,
    STATE(18801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737178] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27102), 1,
      anon_sym_with,
    STATE(18802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737192] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27104), 1,
      anon_sym_with,
    STATE(18803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737206] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27106), 1,
      anon_sym_DOT,
    STATE(18804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737220] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27108), 1,
      anon_sym_in,
    STATE(18805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737234] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17456), 1,
      anon_sym_GT,
    STATE(18806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737248] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27110), 1,
      anon_sym_DOT,
    STATE(18807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737262] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17720), 1,
      anon_sym_RPAREN,
    STATE(18808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737276] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21345), 1,
      anon_sym_GT_RBRACE,
    STATE(18809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737290] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27112), 1,
      anon_sym_RPAREN,
    STATE(18810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737304] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27114), 1,
      anon_sym_RPAREN,
    STATE(18811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737318] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27114), 1,
      anon_sym_RBRACK,
    STATE(18812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737332] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27114), 1,
      anon_sym_RBRACE,
    STATE(18813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737346] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27116), 1,
      anon_sym_PIPE,
    STATE(18814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737360] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27118), 1,
      anon_sym_RPAREN,
    STATE(18815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737374] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19708), 1,
      anon_sym_end,
    STATE(18816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737388] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27120), 1,
      anon_sym_SQUOTE2,
    STATE(18817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737402] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3121), 1,
      anon_sym_RPAREN,
    STATE(18818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737416] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27122), 1,
      anon_sym_DQUOTE,
    STATE(18819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737430] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27124), 1,
      anon_sym_with,
    STATE(18820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737444] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27126), 1,
      anon_sym_with,
    STATE(18821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737458] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27128), 1,
      anon_sym_DOT,
    STATE(18822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737472] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27130), 1,
      anon_sym_RBRACK,
    STATE(18823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737486] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27132), 1,
      anon_sym_RPAREN,
    STATE(18824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737500] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27134), 1,
      anon_sym_with,
    STATE(18825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737514] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27136), 1,
      anon_sym_with,
    STATE(18826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737528] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27138), 1,
      anon_sym_RPAREN,
    STATE(18827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737542] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27140), 1,
      anon_sym_RPAREN,
    STATE(18828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737556] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27142), 1,
      anon_sym_DASH_GT,
    STATE(18829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737570] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18106), 1,
      anon_sym_RPAREN,
    STATE(18830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737584] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27144), 1,
      anon_sym_RBRACK,
    STATE(18831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737598] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27146), 1,
      anon_sym_RPAREN,
    STATE(18832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737612] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27148), 1,
      anon_sym_RPAREN,
    STATE(18833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737626] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27148), 1,
      anon_sym_RBRACK,
    STATE(18834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737640] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27148), 1,
      anon_sym_RBRACE,
    STATE(18835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737654] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27150), 1,
      anon_sym_in,
    STATE(18836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737668] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27152), 1,
      sym__lowercase_identifier,
    STATE(18837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737682] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27154), 1,
      anon_sym_EQ,
    STATE(18838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737696] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27156), 1,
      anon_sym_RPAREN,
    STATE(18839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737710] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27158), 1,
      anon_sym_RBRACK,
    STATE(18840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737724] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27160), 1,
      anon_sym_in,
    STATE(18841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737738] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27162), 1,
      anon_sym_DASH_GT,
    STATE(18842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737752] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17912), 1,
      anon_sym_RPAREN,
    STATE(18843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737766] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27164), 1,
      anon_sym_RPAREN,
    STATE(18844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737780] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27166), 1,
      anon_sym_RPAREN,
    STATE(18845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737794] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27166), 1,
      anon_sym_RBRACK,
    STATE(18846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737808] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27166), 1,
      anon_sym_RBRACE,
    STATE(18847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737822] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17516), 1,
      anon_sym_GT,
    STATE(18848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737836] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27168), 1,
      anon_sym_RBRACE,
    STATE(18849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737850] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27170), 1,
      anon_sym_RBRACE,
    STATE(18850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737864] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27172), 1,
      anon_sym_RBRACE,
    STATE(18851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737878] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27174), 1,
      anon_sym_DASH_GT,
    STATE(18852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737892] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8856), 1,
      anon_sym_DASH_GT,
    STATE(18853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737906] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27176), 1,
      anon_sym_RBRACK,
    STATE(18854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737920] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27178), 1,
      anon_sym_RPAREN,
    STATE(18855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737934] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27180), 1,
      anon_sym_RPAREN,
    STATE(18856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737948] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27182), 1,
      anon_sym_RPAREN,
    STATE(18857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737962] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27182), 1,
      anon_sym_RBRACK,
    STATE(18858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737976] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27182), 1,
      anon_sym_RBRACE,
    STATE(18859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737990] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3249), 1,
      anon_sym_RPAREN,
    STATE(18860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738004] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27180), 1,
      anon_sym_RBRACK,
    STATE(18861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738018] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27184), 1,
      anon_sym_RPAREN,
    STATE(18862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738032] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27180), 1,
      anon_sym_RBRACE,
    STATE(18863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738046] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27186), 1,
      anon_sym_RBRACK,
    STATE(18864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738060] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27188), 1,
      anon_sym_RBRACE,
    STATE(18865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738074] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23166), 1,
      anon_sym_RBRACK,
    STATE(18866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738088] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27190), 1,
      anon_sym_RPAREN,
    STATE(18867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738102] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27190), 1,
      anon_sym_RBRACK,
    STATE(18868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738116] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27190), 1,
      anon_sym_RBRACE,
    STATE(18869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738130] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27192), 1,
      anon_sym_in,
    STATE(18870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738144] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27194), 1,
      anon_sym_RBRACE,
    STATE(18871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738158] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27196), 1,
      anon_sym_SQUOTE2,
    STATE(18872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738172] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27198), 1,
      anon_sym_RPAREN,
    STATE(18873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738186] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27200), 1,
      anon_sym_RPAREN,
    STATE(18874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738200] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27202), 1,
      anon_sym_DASH_GT,
    STATE(18875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738214] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27204), 1,
      anon_sym_DOT,
    STATE(18876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738228] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27206), 1,
      anon_sym_RPAREN,
    STATE(18877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738242] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27206), 1,
      anon_sym_RBRACK,
    STATE(18878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738256] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27206), 1,
      anon_sym_RBRACE,
    STATE(18879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738270] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27208), 1,
      anon_sym_DQUOTE,
    STATE(18880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738284] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27210), 1,
      anon_sym_RBRACK,
    STATE(18881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738298] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27212), 1,
      anon_sym_RBRACE,
    STATE(18882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738312] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27214), 1,
      anon_sym_DASH_GT,
    STATE(18883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738326] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21958), 1,
      anon_sym_GT_RBRACE,
    STATE(18884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738340] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27216), 1,
      anon_sym_RBRACE,
    STATE(18885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738354] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27218), 1,
      anon_sym_end,
    STATE(18886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738368] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27220), 1,
      anon_sym_RPAREN,
    STATE(18887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738382] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27220), 1,
      anon_sym_RBRACK,
    STATE(18888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738396] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27220), 1,
      anon_sym_RBRACE,
    STATE(18889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738410] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27222), 1,
      anon_sym_RBRACE,
    STATE(18890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738424] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27224), 1,
      anon_sym_RPAREN,
    STATE(18891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738438] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19104), 1,
      anon_sym_end,
    STATE(18892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738452] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27226), 1,
      anon_sym_RPAREN,
    STATE(18893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738466] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27228), 1,
      anon_sym_DASH_GT,
    STATE(18894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738480] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27230), 1,
      anon_sym_SQUOTE2,
    STATE(18895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738494] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27232), 1,
      anon_sym_DQUOTE,
    STATE(18896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738508] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27234), 1,
      anon_sym_RPAREN,
    STATE(18897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738522] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27234), 1,
      anon_sym_RBRACK,
    STATE(18898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738536] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27234), 1,
      anon_sym_RBRACE,
    STATE(18899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738550] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27236), 1,
      anon_sym_RPAREN,
    STATE(18900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738564] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27238), 1,
      anon_sym_RBRACE,
    STATE(18901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738578] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27240), 1,
      anon_sym_RPAREN,
    STATE(18902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738592] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27242), 1,
      anon_sym_RPAREN,
    STATE(18903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738606] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16386), 1,
      anon_sym_RPAREN,
    STATE(18904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738620] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27244), 1,
      anon_sym_in,
    STATE(18905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738634] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27246), 1,
      sym__lowercase_identifier,
    STATE(18906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738648] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27248), 1,
      anon_sym_RPAREN,
    STATE(18907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738662] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27248), 1,
      anon_sym_RBRACK,
    STATE(18908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738676] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27248), 1,
      anon_sym_RBRACE,
    STATE(18909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738690] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27250), 1,
      anon_sym_RPAREN,
    STATE(18910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738704] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27252), 1,
      anon_sym_DOT,
    STATE(18911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738718] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3215), 1,
      anon_sym_RPAREN,
    STATE(18912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738732] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27254), 1,
      anon_sym_in,
    STATE(18913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738746] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27256), 1,
      anon_sym_RBRACK,
    STATE(18914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738760] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27258), 1,
      anon_sym_RBRACE,
    STATE(18915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738774] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27260), 1,
      anon_sym_DOT,
    STATE(18916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738788] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27262), 1,
      anon_sym_RPAREN,
    STATE(18917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738802] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27262), 1,
      anon_sym_RBRACK,
    STATE(18918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738816] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27262), 1,
      anon_sym_RBRACE,
    STATE(18919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738830] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27264), 1,
      anon_sym_RPAREN,
    STATE(18920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738844] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27266), 1,
      anon_sym_in,
    STATE(18921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738858] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27268), 1,
      anon_sym_RBRACE,
    STATE(18922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738872] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8785), 1,
      anon_sym_DASH_GT,
    STATE(18923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738886] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27270), 1,
      anon_sym_RPAREN,
    STATE(18924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738900] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27272), 1,
      anon_sym_GT,
    STATE(18925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738914] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27274), 1,
      anon_sym_SQUOTE2,
    STATE(18926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738928] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27276), 1,
      anon_sym_RPAREN,
    STATE(18927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738942] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27276), 1,
      anon_sym_RBRACK,
    STATE(18928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738956] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27276), 1,
      anon_sym_RBRACE,
    STATE(18929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738970] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27278), 1,
      anon_sym_SQUOTE2,
    STATE(18930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738984] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17428), 1,
      anon_sym_GT,
    STATE(18931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738998] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27280), 1,
      anon_sym_DQUOTE,
    STATE(18932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739012] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27282), 1,
      anon_sym_RBRACK,
    STATE(18933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739026] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27284), 1,
      anon_sym_RBRACE,
    STATE(18934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739040] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27286), 1,
      anon_sym_DASH_GT,
    STATE(18935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739054] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3159), 1,
      anon_sym_RPAREN,
    STATE(18936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739068] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27288), 1,
      anon_sym_RPAREN,
    STATE(18937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739082] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27288), 1,
      anon_sym_RBRACK,
    STATE(18938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739096] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27288), 1,
      anon_sym_RBRACE,
    STATE(18939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739110] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27290), 1,
      anon_sym_RBRACK,
    STATE(18940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739124] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27292), 1,
      anon_sym_with,
    STATE(18941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739138] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27294), 1,
      anon_sym_RBRACE,
    STATE(18942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739152] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27296), 1,
      anon_sym_DQUOTE,
    STATE(18943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739166] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27298), 1,
      anon_sym_RPAREN,
    STATE(18944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739180] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27300), 1,
      anon_sym_with,
    STATE(18945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739194] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27302), 1,
      anon_sym_DOT,
    STATE(18946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739208] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27304), 1,
      anon_sym_RPAREN,
    STATE(18947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739222] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27304), 1,
      anon_sym_RBRACK,
    STATE(18948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739236] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27304), 1,
      anon_sym_RBRACE,
    STATE(18949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739250] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27306), 1,
      anon_sym_RBRACE,
    STATE(18950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739264] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27308), 1,
      anon_sym_end,
    STATE(18951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739278] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27310), 1,
      anon_sym_RPAREN,
    STATE(18952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739292] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27312), 1,
      anon_sym_RPAREN,
    STATE(18953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739306] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27314), 1,
      anon_sym_RPAREN,
    STATE(18954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739320] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26286), 1,
      anon_sym_RBRACE,
    STATE(18955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739334] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8876), 1,
      anon_sym_DASH_GT,
    STATE(18956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739348] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27316), 1,
      anon_sym_RPAREN,
    STATE(18957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739362] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27316), 1,
      anon_sym_RBRACK,
    STATE(18958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739376] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27316), 1,
      anon_sym_RBRACE,
    STATE(18959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739390] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27318), 1,
      anon_sym_DASH_GT,
    STATE(18960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739404] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27320), 1,
      anon_sym_RPAREN,
    STATE(18961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739418] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27322), 1,
      anon_sym_DASH_GT,
    STATE(18962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739432] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27324), 1,
      anon_sym_DQUOTE,
    STATE(18963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739446] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17954), 1,
      anon_sym_RPAREN,
    STATE(18964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739460] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27326), 1,
      anon_sym_in,
    STATE(18965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739474] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3135), 1,
      anon_sym_RPAREN,
    STATE(18966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739488] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27328), 1,
      anon_sym_RPAREN,
    STATE(18967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739502] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27330), 1,
      anon_sym_RBRACE,
    STATE(18968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739516] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27332), 1,
      sym__lowercase_identifier,
    STATE(18969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739530] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27334), 1,
      anon_sym_RBRACE,
    STATE(18970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739544] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27336), 1,
      anon_sym_RPAREN,
    STATE(18971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739558] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27338), 1,
      anon_sym_SQUOTE2,
    STATE(18972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739572] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27340), 1,
      anon_sym_DQUOTE,
    STATE(18973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739586] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27342), 1,
      anon_sym_RPAREN,
    STATE(18974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739600] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27344), 1,
      anon_sym_RBRACK,
    STATE(18975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739614] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27346), 1,
      anon_sym_RBRACE,
    STATE(18976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739628] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27348), 1,
      anon_sym_with,
    STATE(18977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739642] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27350), 1,
      anon_sym_RBRACE,
    STATE(18978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739656] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27352), 1,
      anon_sym_RBRACK,
    STATE(18979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739670] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27354), 1,
      anon_sym_with,
    STATE(18980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739684] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27356), 1,
      anon_sym_RPAREN,
    STATE(18981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739698] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27358), 1,
      anon_sym_RBRACE,
    STATE(18982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739712] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27360), 1,
      anon_sym_RBRACK,
    STATE(18983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739726] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27362), 1,
      anon_sym_RPAREN,
    STATE(18984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739740] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27364), 1,
      anon_sym_in,
    STATE(18985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739754] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27366), 1,
      anon_sym_RPAREN,
    STATE(18986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739768] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27368), 1,
      anon_sym_DOT,
    STATE(18987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739782] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3177), 1,
      anon_sym_RPAREN,
    STATE(18988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739796] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2449), 1,
      anon_sym_end,
    STATE(18989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739810] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27370), 1,
      anon_sym_RPAREN,
    STATE(18990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739824] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27372), 1,
      anon_sym_RPAREN,
    STATE(18991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739838] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27374), 1,
      anon_sym_in,
    STATE(18992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739852] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27376), 1,
      anon_sym_RBRACE,
    STATE(18993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739866] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27378), 1,
      anon_sym_SQUOTE2,
    STATE(18994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739880] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27380), 1,
      anon_sym_RPAREN,
    STATE(18995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739894] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27382), 1,
      anon_sym_DQUOTE,
    STATE(18996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739908] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27384), 1,
      anon_sym_RBRACK,
    STATE(18997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739922] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27386), 1,
      anon_sym_RPAREN,
    STATE(18998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739936] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27388), 1,
      anon_sym_RBRACE,
    STATE(18999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739950] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27390), 1,
      anon_sym_RBRACE,
    STATE(19000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739964] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27392), 1,
      anon_sym_DASH_GT,
    STATE(19001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739978] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27394), 1,
      anon_sym_RBRACE,
    STATE(19002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739992] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27396), 1,
      anon_sym_RPAREN,
    STATE(19003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740006] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27398), 1,
      anon_sym_DASH_GT,
    STATE(19004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740020] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16620), 1,
      anon_sym_RPAREN,
    STATE(19005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740034] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27400), 1,
      anon_sym_RPAREN,
    STATE(19006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740048] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27402), 1,
      anon_sym_RPAREN,
    STATE(19007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740062] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8795), 1,
      anon_sym_DASH_GT,
    STATE(19008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740076] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17702), 1,
      anon_sym_RPAREN,
    STATE(19009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740090] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27404), 1,
      anon_sym_end,
    STATE(19010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740104] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3197), 1,
      anon_sym_RPAREN,
    STATE(19011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740118] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27406), 1,
      anon_sym_RPAREN,
    STATE(19012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740132] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27408), 1,
      anon_sym_RPAREN,
    STATE(19013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740146] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27410), 1,
      anon_sym_RPAREN,
    STATE(19014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740160] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27412), 1,
      anon_sym_RBRACE,
    STATE(19015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740174] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27414), 1,
      anon_sym_in,
    STATE(19016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740188] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27416), 1,
      anon_sym_SQUOTE2,
    STATE(19017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740202] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27418), 1,
      anon_sym_DQUOTE,
    STATE(19018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740216] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27420), 1,
      anon_sym_RBRACK,
    STATE(19019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740230] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27422), 1,
      anon_sym_RBRACK,
    STATE(19020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740244] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27424), 1,
      anon_sym_RBRACE,
    STATE(19021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740258] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27426), 1,
      anon_sym_RBRACE,
    STATE(19022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740272] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27428), 1,
      anon_sym_RBRACE,
    STATE(19023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740286] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27430), 1,
      anon_sym_RPAREN,
    STATE(19024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740300] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27432), 1,
      anon_sym_RPAREN,
    STATE(19025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740314] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27434), 1,
      anon_sym_RPAREN,
    STATE(19026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740328] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27432), 1,
      anon_sym_RBRACK,
    STATE(19027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740342] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27432), 1,
      anon_sym_RBRACE,
    STATE(19028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740356] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27436), 1,
      anon_sym_RPAREN,
    STATE(19029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740370] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27438), 1,
      sym__lowercase_identifier,
    STATE(19030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740384] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16482), 1,
      anon_sym_RPAREN,
    STATE(19031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740398] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27440), 1,
      anon_sym_end,
    STATE(19032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740412] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3211), 1,
      anon_sym_RPAREN,
    STATE(19033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740426] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27442), 1,
      anon_sym_RPAREN,
    STATE(19034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740440] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27444), 1,
      anon_sym_RPAREN,
    STATE(19035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740454] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27446), 1,
      anon_sym_RBRACE,
    STATE(19036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740468] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8753), 1,
      anon_sym_DASH_GT,
    STATE(19037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740482] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27448), 1,
      anon_sym_SQUOTE2,
    STATE(19038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740496] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27450), 1,
      anon_sym_DQUOTE,
    STATE(19039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740510] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27452), 1,
      anon_sym_PLUS_EQ,
    STATE(19040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740524] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27454), 1,
      anon_sym_RBRACE,
    STATE(19041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740538] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24550), 1,
      anon_sym_RBRACK,
    STATE(19042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740552] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27456), 1,
      anon_sym_RBRACK,
    STATE(19043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740566] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27458), 1,
      anon_sym_RBRACE,
    STATE(19044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740580] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27460), 1,
      anon_sym_RBRACE,
    STATE(19045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740594] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27462), 1,
      anon_sym_LT_DASH,
    STATE(19046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740608] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27464), 1,
      anon_sym_RPAREN,
    STATE(19047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740622] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27466), 1,
      anon_sym_RBRACE,
    STATE(19048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740636] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27468), 1,
      anon_sym_DASH_GT,
    STATE(19049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740650] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27470), 1,
      anon_sym_RPAREN,
    STATE(19050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740664] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16635), 1,
      anon_sym_RPAREN,
    STATE(19051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740678] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11635), 1,
      anon_sym_GT,
    STATE(19052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740692] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27472), 1,
      anon_sym_in,
    STATE(19053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740706] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3225), 1,
      anon_sym_RPAREN,
    STATE(19054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740720] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27474), 1,
      anon_sym_end,
    STATE(19055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740734] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27476), 1,
      anon_sym_RPAREN,
    STATE(19056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740748] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27478), 1,
      anon_sym_in,
    STATE(19057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740762] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27480), 1,
      anon_sym_RBRACE,
    STATE(19058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740776] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16526), 1,
      anon_sym_RPAREN,
    STATE(19059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740790] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27482), 1,
      anon_sym_RBRACE,
    STATE(19060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740804] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27484), 1,
      anon_sym_PLUS_EQ,
    STATE(19061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740818] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27486), 1,
      anon_sym_SQUOTE2,
    STATE(19062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740832] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27488), 1,
      anon_sym_DQUOTE,
    STATE(19063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740846] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27490), 1,
      anon_sym_RBRACK,
    STATE(19064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740860] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27492), 1,
      anon_sym_RBRACE,
    STATE(19065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740874] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27494), 1,
      anon_sym_RBRACE,
    STATE(19066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740888] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27496), 1,
      anon_sym_DASH_GT,
    STATE(19067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740902] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27498), 1,
      anon_sym_RPAREN,
    STATE(19068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740916] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27500), 1,
      anon_sym_in,
    STATE(19069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740930] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27502), 1,
      anon_sym_of,
    STATE(19070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740944] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27504), 1,
      anon_sym_RPAREN,
    STATE(19071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740958] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27506), 1,
      anon_sym_EQ,
    STATE(19072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740972] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27508), 1,
      anon_sym_RPAREN,
    STATE(19073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740986] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27510), 1,
      anon_sym_DASH_GT,
    STATE(19074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741000] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3247), 1,
      anon_sym_RPAREN,
    STATE(19075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741014] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27512), 1,
      anon_sym_EQ,
    STATE(19076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741028] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27514), 1,
      anon_sym_in,
    STATE(19077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741042] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27516), 1,
      anon_sym_RPAREN,
    STATE(19078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741056] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27518), 1,
      anon_sym_DASH_GT,
    STATE(19079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741070] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27520), 1,
      anon_sym_RPAREN,
    STATE(19080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741084] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27522), 1,
      anon_sym_RBRACE,
    STATE(19081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741098] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27524), 1,
      anon_sym_SQUOTE2,
    STATE(19082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741112] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27526), 1,
      anon_sym_DQUOTE,
    STATE(19083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741126] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27528), 1,
      anon_sym_with,
    STATE(19084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741140] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27530), 1,
      anon_sym_DASH_GT,
    STATE(19085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741154] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27532), 1,
      anon_sym_RBRACK,
    STATE(19086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741168] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27534), 1,
      anon_sym_RBRACE,
    STATE(19087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741182] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27536), 1,
      anon_sym_RBRACE,
    STATE(19088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741196] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27538), 1,
      sym__lowercase_identifier,
    STATE(19089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741210] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27540), 1,
      anon_sym_RPAREN,
    STATE(19090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741224] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27542), 1,
      anon_sym_RBRACK,
    STATE(19091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741238] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27544), 1,
      anon_sym_RBRACE,
    STATE(19092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741252] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27546), 1,
      anon_sym_RPAREN,
    STATE(19093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741266] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27548), 1,
      anon_sym_RPAREN,
    STATE(19094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741280] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27550), 1,
      anon_sym_RPAREN,
    STATE(19095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741294] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27552), 1,
      anon_sym_RPAREN,
    STATE(19096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741308] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3245), 1,
      anon_sym_RPAREN,
    STATE(19097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741322] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27554), 1,
      anon_sym_RPAREN,
    STATE(19098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741336] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27556), 1,
      anon_sym_end,
    STATE(19099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741350] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27558), 1,
      anon_sym_EQ,
    STATE(19100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741364] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27560), 1,
      anon_sym_RPAREN,
    STATE(19101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741378] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3137), 1,
      anon_sym_RPAREN,
    STATE(19102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741392] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27562), 1,
      anon_sym_RPAREN,
    STATE(19103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741406] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27564), 1,
      anon_sym_RBRACK,
    STATE(19104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741420] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27566), 1,
      anon_sym_RBRACE,
    STATE(19105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741434] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11395), 1,
      anon_sym_GT,
    STATE(19106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741448] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27568), 1,
      anon_sym_SQUOTE2,
    STATE(19107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741462] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27570), 1,
      anon_sym_DQUOTE,
    STATE(19108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741476] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27572), 1,
      anon_sym_PIPE,
    STATE(19109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741490] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27574), 1,
      anon_sym_RBRACK,
    STATE(19110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741504] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27576), 1,
      sym__lowercase_identifier,
    STATE(19111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741518] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27578), 1,
      anon_sym_RBRACE,
    STATE(19112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741532] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27580), 1,
      anon_sym_RBRACE,
    STATE(19113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741546] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5089), 1,
      anon_sym_end,
    STATE(19114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741560] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27582), 1,
      anon_sym_RPAREN,
    STATE(19115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741574] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27584), 1,
      anon_sym_RPAREN,
    STATE(19116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741588] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27586), 1,
      anon_sym_RPAREN,
    STATE(19117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741602] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27588), 1,
      anon_sym_RBRACK,
    STATE(19118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741616] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27590), 1,
      anon_sym_RBRACE,
    STATE(19119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741630] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27592), 1,
      anon_sym_RPAREN,
    STATE(19120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741644] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27594), 1,
      anon_sym_RBRACE,
    STATE(19121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741658] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27596), 1,
      anon_sym_RPAREN,
    STATE(19122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741672] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27598), 1,
      anon_sym_GT,
    STATE(19123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741686] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27600), 1,
      anon_sym_RPAREN,
    STATE(19124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741700] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27602), 1,
      anon_sym_RPAREN,
    STATE(19125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741714] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27604), 1,
      anon_sym_RPAREN,
    STATE(19126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741728] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27606), 1,
      anon_sym_DASH_GT,
    STATE(19127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741742] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27608), 1,
      sym__lowercase_identifier,
    STATE(19128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741756] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27610), 1,
      anon_sym_in,
    STATE(19129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741770] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27612), 1,
      anon_sym_COLON2,
    STATE(19130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741784] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3165), 1,
      anon_sym_RPAREN,
    STATE(19131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741798] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27614), 1,
      anon_sym_DOT,
    STATE(19132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741812] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27616), 1,
      anon_sym_RPAREN,
    STATE(19133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741826] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27618), 1,
      anon_sym_RPAREN,
    STATE(19134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741840] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27620), 1,
      anon_sym_DOT_DOT,
    STATE(19135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741854] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27622), 1,
      anon_sym_DOT_DOT,
    STATE(19136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741868] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27624), 1,
      anon_sym_DOT_DOT,
    STATE(19137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741882] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27626), 1,
      anon_sym_RBRACK,
    STATE(19138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741896] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27628), 1,
      anon_sym_RBRACE,
    STATE(19139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741910] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27630), 1,
      anon_sym_RPAREN,
    STATE(19140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741924] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27632), 1,
      anon_sym_SQUOTE2,
    STATE(19141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741938] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27634), 1,
      anon_sym_in,
    STATE(19142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741952] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27636), 1,
      aux_sym_number_token1,
    STATE(19143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741966] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27638), 1,
      anon_sym_DQUOTE,
    STATE(19144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741980] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27640), 1,
      anon_sym_DOT,
    STATE(19145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741994] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27642), 1,
      anon_sym_RBRACK,
    STATE(19146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742008] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27644), 1,
      anon_sym_EQ,
    STATE(19147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742022] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27646), 1,
      anon_sym_RBRACE,
    STATE(19148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742036] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27648), 1,
      anon_sym_RPAREN,
    STATE(19149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742050] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27650), 1,
      anon_sym_RBRACE,
    STATE(19150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742064] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27652), 1,
      anon_sym_RBRACK,
    STATE(19151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742078] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27654), 1,
      anon_sym_RPAREN,
    STATE(19152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742092] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27656), 1,
      anon_sym_EQ,
    STATE(19153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742106] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27658), 1,
      anon_sym_GT,
    STATE(19154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742120] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27660), 1,
      anon_sym_EQ,
    STATE(19155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742134] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27662), 1,
      anon_sym_RPAREN,
    STATE(19156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742148] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27664), 1,
      anon_sym_end,
    STATE(19157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742162] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27666), 1,
      anon_sym_RBRACE,
    STATE(19158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742176] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27668), 1,
      anon_sym_RPAREN,
    STATE(19159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742190] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27670), 1,
      anon_sym_DOT,
    STATE(19160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742204] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3185), 1,
      anon_sym_RPAREN,
    STATE(19161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742218] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27672), 1,
      anon_sym_RPAREN,
    STATE(19162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742232] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27674), 1,
      anon_sym_DASH_GT,
    STATE(19163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742246] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27676), 1,
      anon_sym_RBRACE,
    STATE(19164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742260] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27678), 1,
      anon_sym_DASH_GT,
    STATE(19165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742274] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27680), 1,
      anon_sym_LT_DASH,
    STATE(19166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742288] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27682), 1,
      anon_sym_in,
    STATE(19167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742302] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27684), 1,
      anon_sym_LT_DASH,
    STATE(19168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742316] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27686), 1,
      anon_sym_RPAREN,
    STATE(19169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742330] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27688), 1,
      anon_sym_with,
    STATE(19170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742344] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27690), 1,
      anon_sym_SQUOTE2,
    STATE(19171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742358] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27692), 1,
      anon_sym_RPAREN,
    STATE(19172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742372] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27694), 1,
      anon_sym_RPAREN,
    STATE(19173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742386] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27696), 1,
      anon_sym_DQUOTE,
    STATE(19174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742400] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3231), 1,
      anon_sym_RPAREN,
    STATE(19175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742414] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27698), 1,
      anon_sym_in,
    STATE(19176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742428] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27700), 1,
      anon_sym_in,
    STATE(19177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742442] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27702), 1,
      anon_sym_in,
    STATE(19178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742456] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27704), 1,
      anon_sym_DASH_GT,
    STATE(19179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742470] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27706), 1,
      anon_sym_with,
    STATE(19180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742484] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27708), 1,
      anon_sym_DOT,
    STATE(19181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742498] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27710), 1,
      anon_sym_in,
    STATE(19182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742512] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27712), 1,
      anon_sym_RBRACK,
    STATE(19183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742526] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27714), 1,
      anon_sym_RBRACE,
    STATE(19184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742540] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27716), 1,
      anon_sym_RBRACE,
    STATE(19185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742554] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27718), 1,
      anon_sym_RPAREN,
    STATE(19186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742568] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27720), 1,
      anon_sym_RPAREN,
    STATE(19187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742582] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27722), 1,
      anon_sym_RPAREN,
    STATE(19188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742596] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27724), 1,
      anon_sym_RPAREN,
    STATE(19189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742610] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27726), 1,
      anon_sym_RBRACE,
    STATE(19190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742624] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27728), 1,
      anon_sym_RPAREN,
    STATE(19191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742638] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27730), 1,
      anon_sym_RBRACE,
    STATE(19192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742652] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27732), 1,
      anon_sym_PLUS_EQ,
    STATE(19193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742666] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8743), 1,
      anon_sym_DASH_GT,
    STATE(19194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742680] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24342), 1,
      anon_sym_RBRACK,
    STATE(19195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742694] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27734), 1,
      anon_sym_RPAREN,
    STATE(19196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742708] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3195), 1,
      anon_sym_RPAREN,
    STATE(19197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742722] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27736), 1,
      anon_sym_RPAREN,
    STATE(19198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742736] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27738), 1,
      anon_sym_DASH_GT,
    STATE(19199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742750] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27740), 1,
      anon_sym_RPAREN,
    STATE(19200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742764] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27742), 1,
      anon_sym_RBRACE,
    STATE(19201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742778] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27744), 1,
      anon_sym_SQUOTE2,
    STATE(19202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742792] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21598), 1,
      anon_sym_GT_RBRACE,
    STATE(19203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742806] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27746), 1,
      anon_sym_DQUOTE,
    STATE(19204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742820] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19777), 1,
      anon_sym_end,
    STATE(19205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742834] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27748), 1,
      anon_sym_PLUS_EQ,
    STATE(19206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742848] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27750), 1,
      anon_sym_SQUOTE2,
    STATE(19207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742862] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27752), 1,
      anon_sym_DQUOTE,
    STATE(19208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742876] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27754), 1,
      anon_sym_RBRACK,
    STATE(19209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742890] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27756), 1,
      anon_sym_RPAREN,
    STATE(19210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742904] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27758), 1,
      anon_sym_RBRACE,
    STATE(19211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742918] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27760), 1,
      sym__lowercase_identifier,
    STATE(19212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742932] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27762), 1,
      anon_sym_RBRACE,
    STATE(19213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742946] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27764), 1,
      anon_sym_DASH_GT,
    STATE(19214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742960] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27766), 1,
      anon_sym_RBRACK,
    STATE(19215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742974] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27768), 1,
      anon_sym_RBRACE,
    STATE(19216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742988] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27770), 1,
      anon_sym_RPAREN,
    STATE(19217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743002] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17394), 1,
      anon_sym_GT,
    STATE(19218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743016] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21714), 1,
      anon_sym_GT_RBRACE,
    STATE(19219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743030] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27772), 1,
      anon_sym_in,
    STATE(19220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743044] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27774), 1,
      anon_sym_RPAREN,
    STATE(19221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743058] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7621), 1,
      anon_sym_RBRACK,
    STATE(19222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743072] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27776), 1,
      anon_sym_in,
    STATE(19223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743086] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27778), 1,
      anon_sym_RPAREN,
    STATE(19224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743100] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27780), 1,
      anon_sym_RPAREN,
    STATE(19225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743114] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27782), 1,
      anon_sym_PIPE,
    STATE(19226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743128] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17468), 1,
      anon_sym_GT,
    STATE(19227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743142] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27784), 1,
      sym__lowercase_identifier,
    STATE(19228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743156] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27786), 1,
      anon_sym_DASH_GT,
    STATE(19229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743170] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27788), 1,
      anon_sym_in,
    STATE(19230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743184] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27790), 1,
      anon_sym_DQUOTE,
    STATE(19231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743198] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27792), 1,
      anon_sym_RBRACK,
    STATE(19232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743212] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27794), 1,
      anon_sym_RBRACE,
    STATE(19233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743226] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27796), 1,
      anon_sym_with,
    STATE(19234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743240] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27798), 1,
      anon_sym_RBRACE,
    STATE(19235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743254] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8775), 1,
      anon_sym_DASH_GT,
    STATE(19236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743268] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27800), 1,
      anon_sym_RPAREN,
    STATE(19237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743282] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27802), 1,
      anon_sym_RPAREN,
    STATE(19238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743296] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27804), 1,
      anon_sym_RBRACK,
    STATE(19239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743310] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27806), 1,
      anon_sym_COLON2,
    STATE(19240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743324] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27808), 1,
      anon_sym_RBRACE,
    STATE(19241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743338] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27810), 1,
      anon_sym_with,
    STATE(19242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743352] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27812), 1,
      anon_sym_DOT_DOT,
    STATE(19243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743366] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27814), 1,
      anon_sym_DOT_DOT,
    STATE(19244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743380] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27816), 1,
      anon_sym_DOT_DOT,
    STATE(19245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743394] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27818), 1,
      anon_sym_RBRACK,
    STATE(19246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743408] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27820), 1,
      anon_sym_RBRACE,
    STATE(19247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743422] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27822), 1,
      anon_sym_DASH_GT,
    STATE(19248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743436] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27824), 1,
      anon_sym_RBRACE,
    STATE(19249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743450] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27826), 1,
      anon_sym_RPAREN,
    STATE(19250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743464] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27828), 1,
      anon_sym_RPAREN,
    STATE(19251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743478] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27830), 1,
      anon_sym_RBRACE,
    STATE(19252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743492] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27832), 1,
      anon_sym_end,
    STATE(19253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743506] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27834), 1,
      anon_sym_DOT,
    STATE(19254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743520] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27836), 1,
      anon_sym_in,
    STATE(19255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743534] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27838), 1,
      anon_sym_in,
    STATE(19256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743548] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27840), 1,
      anon_sym_RBRACE,
    STATE(19257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743562] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16665), 1,
      anon_sym_RPAREN,
    STATE(19258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743576] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27842), 1,
      anon_sym_DASH_GT,
    STATE(19259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743590] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27844), 1,
      anon_sym_RBRACK,
    STATE(19260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743604] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27846), 1,
      anon_sym_RBRACE,
    STATE(19261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743618] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27848), 1,
      anon_sym_RBRACE,
    STATE(19262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743632] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27850), 1,
      anon_sym_RBRACK,
    STATE(19263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743646] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27852), 1,
      anon_sym_RBRACK,
    STATE(19264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743660] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27854), 1,
      anon_sym_RBRACE,
    STATE(19265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743674] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27856), 1,
      anon_sym_RBRACE,
    STATE(19266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743688] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27858), 1,
      anon_sym_in,
    STATE(19267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743702] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27860), 1,
      ts_builtin_sym_end,
    STATE(19268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743716] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15098), 1,
      anon_sym_DASH_GT,
    STATE(19269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743730] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24424), 1,
      anon_sym_RBRACK,
    STATE(19270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743744] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27862), 1,
      anon_sym_RBRACK,
    STATE(19271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743758] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27864), 1,
      anon_sym_RBRACE,
    STATE(19272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743772] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8960), 1,
      anon_sym_DASH_GT,
    STATE(19273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743786] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27866), 1,
      anon_sym_RBRACE,
    STATE(19274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743800] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16478), 1,
      anon_sym_RPAREN,
    STATE(19275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743814] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27868), 1,
      anon_sym_RBRACK,
    STATE(19276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743828] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27870), 1,
      anon_sym_DASH_GT,
    STATE(19277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743842] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27872), 1,
      anon_sym_EQ,
    STATE(19278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743856] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27874), 1,
      sym__lowercase_identifier,
    STATE(19279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743870] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27876), 1,
      anon_sym_RBRACE,
    STATE(19280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743884] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27878), 1,
      anon_sym_RBRACE,
    STATE(19281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743898] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27880), 1,
      anon_sym_RBRACK,
    STATE(19282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743912] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27882), 1,
      anon_sym_RPAREN,
    STATE(19283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743926] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27884), 1,
      anon_sym_RBRACK,
    STATE(19284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743940] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27886), 1,
      anon_sym_RBRACE,
    STATE(19285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743954] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27888), 1,
      anon_sym_RBRACK,
    STATE(19286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743968] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27890), 1,
      anon_sym_RBRACE,
    STATE(19287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743982] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27892), 1,
      anon_sym_RPAREN,
    STATE(19288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743996] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27894), 1,
      anon_sym_DOT,
    STATE(19289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744010] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27896), 1,
      anon_sym_RPAREN,
    STATE(19290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744024] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27898), 1,
      anon_sym_RBRACE,
    STATE(19291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744038] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27900), 1,
      anon_sym_RBRACE,
    STATE(19292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744052] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27902), 1,
      anon_sym_RBRACK,
    STATE(19293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744066] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27904), 1,
      anon_sym_RBRACE,
    STATE(19294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744080] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27906), 1,
      anon_sym_RBRACE,
    STATE(19295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744094] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27908), 1,
      anon_sym_RPAREN,
    STATE(19296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744108] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27910), 1,
      anon_sym_RBRACK,
    STATE(19297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744122] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11443), 1,
      anon_sym_GT,
    STATE(19298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744136] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27912), 1,
      anon_sym_PIPE,
    STATE(19299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744150] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27914), 1,
      anon_sym_in,
    STATE(19300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744164] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27916), 1,
      sym__lowercase_identifier,
    STATE(19301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744178] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27918), 1,
      anon_sym_RBRACE,
    STATE(19302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744192] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27920), 1,
      anon_sym_RBRACE,
    STATE(19303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744206] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27922), 1,
      anon_sym_RPAREN,
    STATE(19304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744220] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27924), 1,
      anon_sym_RBRACK,
    STATE(19305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744234] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27926), 1,
      anon_sym_RBRACE,
    STATE(19306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744248] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27928), 1,
      anon_sym_RBRACE,
    STATE(19307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744262] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27930), 1,
      anon_sym_RPAREN,
    STATE(19308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744276] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27932), 1,
      anon_sym_RPAREN,
    STATE(19309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744290] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27934), 1,
      anon_sym_RPAREN,
    STATE(19310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744304] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27936), 1,
      anon_sym_RBRACK,
    STATE(19311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744318] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27938), 1,
      anon_sym_RBRACK,
    STATE(19312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744332] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27940), 1,
      anon_sym_COLON2,
    STATE(19313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744346] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27942), 1,
      anon_sym_RBRACE,
    STATE(19314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744360] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17630), 1,
      anon_sym_RPAREN,
    STATE(19315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744374] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27944), 1,
      anon_sym_DOT_DOT,
    STATE(19316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744388] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27946), 1,
      anon_sym_DOT_DOT,
    STATE(19317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744402] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27948), 1,
      anon_sym_DOT_DOT,
    STATE(19318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744416] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27950), 1,
      anon_sym_RPAREN,
    STATE(19319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744430] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27952), 1,
      anon_sym_RBRACE,
    STATE(19320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744444] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27954), 1,
      anon_sym_RBRACE,
    STATE(19321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744458] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27956), 1,
      anon_sym_GT,
    STATE(19322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744472] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27958), 1,
      anon_sym_DOT,
    STATE(19323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744486] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27960), 1,
      anon_sym_RBRACK,
    STATE(19324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744500] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27962), 1,
      anon_sym_RBRACE,
    STATE(19325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744514] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27964), 1,
      anon_sym_RBRACK,
    STATE(19326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744528] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4917), 1,
      anon_sym_RPAREN,
    STATE(19327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744542] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27966), 1,
      anon_sym_RBRACE,
    STATE(19328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744556] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_GT,
    STATE(19329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744570] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27968), 1,
      anon_sym_RPAREN,
    STATE(19330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744584] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19621), 1,
      anon_sym_end,
    STATE(19331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744598] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27970), 1,
      anon_sym_RBRACE,
    STATE(19332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744612] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27972), 1,
      anon_sym_RPAREN,
    STATE(19333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744626] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27974), 1,
      anon_sym_RBRACK,
    STATE(19334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744640] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27976), 1,
      anon_sym_RBRACK,
    STATE(19335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744654] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27978), 1,
      anon_sym_RBRACE,
    STATE(19336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744668] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27980), 1,
      anon_sym_DOT,
    STATE(19337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744682] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27982), 1,
      anon_sym_RPAREN,
    STATE(19338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744696] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27984), 1,
      anon_sym_RPAREN,
    STATE(19339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744710] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24440), 1,
      anon_sym_RBRACK,
    STATE(19340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744724] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27986), 1,
      anon_sym_RBRACE,
    STATE(19341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744738] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27988), 1,
      anon_sym_RPAREN,
    STATE(19342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744752] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27990), 1,
      sym__lowercase_identifier,
    STATE(19343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744766] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27992), 1,
      sym__lowercase_identifier,
    STATE(19344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744780] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27988), 1,
      anon_sym_RBRACK,
    STATE(19345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744794] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27988), 1,
      anon_sym_RBRACE,
    STATE(19346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744808] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27994), 1,
      anon_sym_RBRACK,
    STATE(19347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744822] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27996), 1,
      anon_sym_RBRACE,
    STATE(19348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744836] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27998), 1,
      anon_sym_RBRACE,
    STATE(19349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744850] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28000), 1,
      anon_sym_RBRACE,
    STATE(19350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744864] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28002), 1,
      anon_sym_RBRACK,
    STATE(19351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744878] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28004), 1,
      anon_sym_RBRACE,
    STATE(19352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744892] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8771), 1,
      anon_sym_DASH_GT,
    STATE(19353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744906] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28006), 1,
      anon_sym_LT_DASH,
    STATE(19354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744920] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28008), 1,
      anon_sym_RPAREN,
    STATE(19355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744934] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28010), 1,
      anon_sym_in,
    STATE(19356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744948] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28012), 1,
      anon_sym_RPAREN,
    STATE(19357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744962] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28014), 1,
      anon_sym_PIPE,
    STATE(19358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744976] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28016), 1,
      anon_sym_RPAREN,
    STATE(19359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744990] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28018), 1,
      sym__lowercase_identifier,
    STATE(19360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745004] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28020), 1,
      anon_sym_RBRACE,
    STATE(19361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745018] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28022), 1,
      anon_sym_in,
    STATE(19362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745032] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28024), 1,
      anon_sym_RPAREN,
    STATE(19363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745046] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28026), 1,
      anon_sym_RBRACK,
    STATE(19364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745060] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28028), 1,
      anon_sym_in,
    STATE(19365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745074] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28030), 1,
      anon_sym_COLON2,
    STATE(19366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745088] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28032), 1,
      anon_sym_DOT_DOT,
    STATE(19367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745102] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28034), 1,
      anon_sym_DOT_DOT,
    STATE(19368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745116] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28036), 1,
      anon_sym_DOT_DOT,
    STATE(19369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745130] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28038), 1,
      anon_sym_in,
    STATE(19370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745144] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8826), 1,
      anon_sym_DASH_GT,
    STATE(19371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745158] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28040), 1,
      anon_sym_DOT,
    STATE(19372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745172] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24486), 1,
      anon_sym_RBRACK,
    STATE(19373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745186] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28042), 1,
      anon_sym_RBRACE,
    STATE(19374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745200] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28044), 1,
      anon_sym_RPAREN,
    STATE(19375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745214] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28046), 1,
      anon_sym_RBRACE,
    STATE(19376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745228] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28048), 1,
      anon_sym_RPAREN,
    STATE(19377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745242] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28050), 1,
      anon_sym_in,
    STATE(19378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745256] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28052), 1,
      anon_sym_RBRACK,
    STATE(19379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745270] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28054), 1,
      anon_sym_RBRACK,
    STATE(19380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745284] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28056), 1,
      anon_sym_RBRACE,
    STATE(19381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745298] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28058), 1,
      anon_sym_RBRACE,
    STATE(19382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745312] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28060), 1,
      anon_sym_RPAREN,
    STATE(19383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745326] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28062), 1,
      anon_sym_in,
    STATE(19384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745340] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28064), 1,
      anon_sym_RBRACK,
    STATE(19385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745354] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28066), 1,
      anon_sym_RBRACE,
    STATE(19386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745368] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28068), 1,
      anon_sym_RBRACE,
    STATE(19387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745382] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28070), 1,
      anon_sym_RBRACE,
    STATE(19388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745396] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28072), 1,
      anon_sym_PIPE,
    STATE(19389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745410] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28074), 1,
      anon_sym_RBRACE,
    STATE(19390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745424] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28076), 1,
      sym__lowercase_identifier,
    STATE(19391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745438] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28078), 1,
      anon_sym_end,
    STATE(19392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745452] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28080), 1,
      anon_sym_DOT_DOT,
    STATE(19393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745466] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28082), 1,
      anon_sym_DOT_DOT,
    STATE(19394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745480] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28084), 1,
      anon_sym_DOT_DOT,
    STATE(19395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745494] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28086), 1,
      anon_sym_RPAREN,
    STATE(19396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745508] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28088), 1,
      anon_sym_RPAREN,
    STATE(19397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745522] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9710), 1,
      anon_sym_RBRACK,
    STATE(19398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745536] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28090), 1,
      anon_sym_RBRACK,
    STATE(19399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745550] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28092), 1,
      anon_sym_RBRACE,
    STATE(19400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745564] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28094), 1,
      anon_sym_RBRACE,
    STATE(19401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745578] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20038), 1,
      anon_sym_end,
    STATE(19402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745592] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28096), 1,
      anon_sym_RPAREN,
    STATE(19403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745606] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28098), 1,
      anon_sym_DASH_GT,
    STATE(19404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745620] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28100), 1,
      anon_sym_RBRACK,
    STATE(19405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745634] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28102), 1,
      anon_sym_RBRACE,
    STATE(19406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745648] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28104), 1,
      anon_sym_LT_DASH,
    STATE(19407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745662] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21798), 1,
      anon_sym_GT_RBRACE,
    STATE(19408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745676] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28106), 1,
      anon_sym_RBRACE,
    STATE(19409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745690] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28108), 1,
      anon_sym_DASH_GT,
    STATE(19410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745704] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28110), 1,
      anon_sym_PIPE,
    STATE(19411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745718] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19866), 1,
      anon_sym_end,
    STATE(19412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745732] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28112), 1,
      sym__lowercase_identifier,
    STATE(19413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745746] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28114), 1,
      anon_sym_RBRACK,
    STATE(19414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745760] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28116), 1,
      anon_sym_DOT_DOT,
    STATE(19415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745774] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28118), 1,
      anon_sym_DOT_DOT,
    STATE(19416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745788] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28120), 1,
      anon_sym_DOT_DOT,
    STATE(19417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745802] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24480), 1,
      anon_sym_RBRACK,
    STATE(19418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745816] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28122), 1,
      anon_sym_RBRACE,
    STATE(19419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745830] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28124), 1,
      anon_sym_SQUOTE2,
    STATE(19420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745844] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28126), 1,
      anon_sym_DQUOTE,
    STATE(19421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745858] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28128), 1,
      anon_sym_RBRACE,
    STATE(19422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745872] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3179), 1,
      anon_sym_RPAREN,
    STATE(19423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745886] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28130), 1,
      sym__lowercase_identifier,
    STATE(19424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745900] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28132), 1,
      anon_sym_RBRACE,
    STATE(19425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745914] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8715), 1,
      anon_sym_DASH_GT,
    STATE(19426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745928] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28134), 1,
      anon_sym_RBRACK,
    STATE(19427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745942] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28136), 1,
      anon_sym_RBRACE,
    STATE(19428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745956] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28138), 1,
      anon_sym_RBRACK,
    STATE(19429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745970] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28140), 1,
      anon_sym_RBRACE,
    STATE(19430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745984] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28142), 1,
      anon_sym_PIPE,
    STATE(19431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745998] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28144), 1,
      anon_sym_RBRACK,
    STATE(19432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746012] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28146), 1,
      sym__lowercase_identifier,
    STATE(19433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746026] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28148), 1,
      anon_sym_RBRACE,
    STATE(19434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746040] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28150), 1,
      anon_sym_DOT_DOT,
    STATE(19435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746054] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28152), 1,
      anon_sym_DOT_DOT,
    STATE(19436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746068] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28154), 1,
      anon_sym_DOT_DOT,
    STATE(19437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746082] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24510), 1,
      anon_sym_RBRACK,
    STATE(19438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746096] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13357), 1,
      anon_sym_DASH_GT,
    STATE(19439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746110] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28156), 1,
      anon_sym_LT_DASH,
    STATE(19440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746124] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28158), 1,
      anon_sym_RBRACK,
    STATE(19441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746138] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28160), 1,
      anon_sym_RBRACE,
    STATE(19442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746152] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3191), 1,
      anon_sym_RPAREN,
    STATE(19443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746166] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28162), 1,
      anon_sym_RPAREN,
    STATE(19444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746180] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28164), 1,
      anon_sym_RBRACE,
    STATE(19445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746194] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28166), 1,
      anon_sym_RPAREN,
    STATE(19446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746208] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28168), 1,
      anon_sym_RBRACK,
    STATE(19447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746222] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      anon_sym_GT,
    STATE(19448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746236] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28170), 1,
      anon_sym_RBRACE,
    STATE(19449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746250] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28172), 1,
      anon_sym_RBRACE,
    STATE(19450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746264] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28174), 1,
      anon_sym_PIPE,
    STATE(19451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746278] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6751), 1,
      anon_sym_RPAREN,
    STATE(19452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746292] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28176), 1,
      sym__lowercase_identifier,
    STATE(19453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746306] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28178), 1,
      anon_sym_RPAREN,
    STATE(19454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746320] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28180), 1,
      anon_sym_DOT_DOT,
    STATE(19455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746334] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28182), 1,
      anon_sym_DOT_DOT,
    STATE(19456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746348] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28184), 1,
      anon_sym_DOT_DOT,
    STATE(19457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746362] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24526), 1,
      anon_sym_RBRACK,
    STATE(19458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746376] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16669), 1,
      anon_sym_RPAREN,
    STATE(19459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746390] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28186), 1,
      anon_sym_RBRACK,
    STATE(19460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746404] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28188), 1,
      anon_sym_RPAREN,
    STATE(19461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746418] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28190), 1,
      anon_sym_DOT,
    STATE(19462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746432] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28192), 1,
      anon_sym_RPAREN,
    STATE(19463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746446] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8816), 1,
      anon_sym_DASH_GT,
    STATE(19464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746460] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28194), 1,
      anon_sym_RBRACE,
    STATE(19465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746474] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28196), 1,
      anon_sym_RPAREN,
    STATE(19466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746488] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28198), 1,
      anon_sym_RPAREN,
    STATE(19467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746502] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28200), 1,
      anon_sym_RPAREN,
    STATE(19468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746516] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28202), 1,
      anon_sym_LT_DASH,
    STATE(19469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746530] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28204), 1,
      anon_sym_PIPE,
    STATE(19470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746544] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3229), 1,
      anon_sym_RPAREN,
    STATE(19471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746558] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28206), 1,
      sym__lowercase_identifier,
    STATE(19472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746572] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28208), 1,
      anon_sym_DOT,
    STATE(19473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746586] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28210), 1,
      anon_sym_DOT_DOT,
    STATE(19474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746600] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28212), 1,
      anon_sym_DOT_DOT,
    STATE(19475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746614] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28214), 1,
      anon_sym_DOT_DOT,
    STATE(19476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746628] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9628), 1,
      anon_sym_RBRACK,
    STATE(19477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746642] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28216), 1,
      anon_sym_DASH_GT,
    STATE(19478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746656] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28218), 1,
      anon_sym_DASH_GT,
    STATE(19479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746670] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28220), 1,
      anon_sym_DASH_GT,
    STATE(19480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746684] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28222), 1,
      anon_sym_in,
    STATE(19481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746698] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28224), 1,
      anon_sym_RPAREN,
    STATE(19482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746712] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28226), 1,
      anon_sym_type,
    STATE(19483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746726] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28228), 1,
      anon_sym_RBRACE,
    STATE(19484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746740] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28230), 1,
      anon_sym_end,
    STATE(19485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746754] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28232), 1,
      anon_sym_in,
    STATE(19486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746768] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28234), 1,
      anon_sym_RPAREN,
    STATE(19487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746782] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28236), 1,
      anon_sym_PIPE,
    STATE(19488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746796] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28238), 1,
      anon_sym_RPAREN,
    STATE(19489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746810] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28240), 1,
      sym__lowercase_identifier,
    STATE(19490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746824] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8757), 1,
      anon_sym_DASH_GT,
    STATE(19491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746838] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28242), 1,
      anon_sym_DOT_DOT,
    STATE(19492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746852] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28244), 1,
      anon_sym_DOT_DOT,
    STATE(19493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746866] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28246), 1,
      anon_sym_DOT_DOT,
    STATE(19494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746880] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9632), 1,
      anon_sym_RBRACK,
    STATE(19495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746894] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28248), 1,
      anon_sym_in,
    STATE(19496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746908] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28250), 1,
      anon_sym_RBRACE,
    STATE(19497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746922] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16671), 1,
      anon_sym_RPAREN,
    STATE(19498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746936] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28252), 1,
      anon_sym_in,
    STATE(19499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746950] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28254), 1,
      anon_sym_in,
    STATE(19500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746964] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28256), 1,
      anon_sym_DOT,
    STATE(19501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746978] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6703), 1,
      anon_sym_end,
    STATE(19502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746992] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16608), 1,
      anon_sym_RPAREN,
    STATE(19503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747006] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28258), 1,
      anon_sym_RBRACE,
    STATE(19504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747020] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16679), 1,
      anon_sym_RPAREN,
    STATE(19505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747034] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28260), 1,
      anon_sym_PIPE,
    STATE(19506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747048] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28262), 1,
      anon_sym_in,
    STATE(19507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747062] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28264), 1,
      sym__lowercase_identifier,
    STATE(19508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747076] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28266), 1,
      anon_sym_in,
    STATE(19509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747090] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28268), 1,
      anon_sym_DOT_DOT,
    STATE(19510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747104] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28270), 1,
      anon_sym_DOT_DOT,
    STATE(19511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747118] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28272), 1,
      anon_sym_DOT_DOT,
    STATE(19512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747132] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9636), 1,
      anon_sym_RBRACK,
    STATE(19513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747146] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11654), 1,
      anon_sym_GT,
    STATE(19514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747160] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28274), 1,
      anon_sym_RBRACE,
    STATE(19515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747174] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23458), 1,
      anon_sym_RBRACK,
    STATE(19516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747188] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28276), 1,
      aux_sym_number_token1,
    STATE(19517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747202] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28278), 1,
      anon_sym_RBRACK,
    STATE(19518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747216] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28280), 1,
      anon_sym_DASH_GT,
    STATE(19519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747230] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23302), 1,
      anon_sym_RBRACE,
    STATE(19520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747244] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28282), 1,
      anon_sym_RBRACE,
    STATE(19521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747258] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28284), 1,
      anon_sym_RBRACE,
    STATE(19522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747272] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28286), 1,
      anon_sym_PIPE,
    STATE(19523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747286] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28288), 1,
      anon_sym_DOT,
    STATE(19524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747300] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28290), 1,
      sym__lowercase_identifier,
    STATE(19525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747314] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28292), 1,
      anon_sym_RBRACE,
    STATE(19526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747328] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28294), 1,
      anon_sym_DOT_DOT,
    STATE(19527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747342] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28296), 1,
      anon_sym_DOT_DOT,
    STATE(19528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747356] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28298), 1,
      anon_sym_DOT_DOT,
    STATE(19529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747370] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28300), 1,
      anon_sym_RPAREN,
    STATE(19530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747384] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28302), 1,
      anon_sym_RBRACE,
    STATE(19531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747398] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28304), 1,
      anon_sym_DASH_GT,
    STATE(19532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747412] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28306), 1,
      anon_sym_with,
    STATE(19533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747426] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28308), 1,
      anon_sym_RPAREN,
    STATE(19534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747440] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28310), 1,
      anon_sym_RPAREN,
    STATE(19535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747454] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28312), 1,
      anon_sym_SQUOTE2,
    STATE(19536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747468] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28314), 1,
      anon_sym_RBRACK,
    STATE(19537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747482] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28316), 1,
      anon_sym_RBRACE,
    STATE(19538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747496] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28318), 1,
      anon_sym_PIPE,
    STATE(19539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747510] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28320), 1,
      anon_sym_RPAREN,
    STATE(19540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747524] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28322), 1,
      sym__lowercase_identifier,
    STATE(19541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747538] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28324), 1,
      anon_sym_DOT,
    STATE(19542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747552] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28326), 1,
      anon_sym_DOT_DOT,
    STATE(19543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747566] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28328), 1,
      anon_sym_DOT_DOT,
    STATE(19544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747580] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28330), 1,
      anon_sym_DOT_DOT,
    STATE(19545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747594] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28332), 1,
      anon_sym_DOT,
    STATE(19546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747608] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28334), 1,
      anon_sym_RBRACK,
    STATE(19547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747622] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28336), 1,
      anon_sym_RBRACE,
    STATE(19548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747636] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28338), 1,
      anon_sym_RPAREN,
    STATE(19549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747650] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28340), 1,
      anon_sym_DASH_GT,
    STATE(19550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747664] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28342), 1,
      anon_sym_RPAREN,
    STATE(19551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747678] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28344), 1,
      anon_sym_LT_DASH,
    STATE(19552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747692] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28346), 1,
      anon_sym_RPAREN,
    STATE(19553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747706] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28348), 1,
      anon_sym_DOT,
    STATE(19554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747720] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28350), 1,
      anon_sym_PIPE,
    STATE(19555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747734] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28352), 1,
      anon_sym_RPAREN,
    STATE(19556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747748] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28354), 1,
      sym__lowercase_identifier,
    STATE(19557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747762] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28356), 1,
      anon_sym_RPAREN,
    STATE(19558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747776] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28358), 1,
      anon_sym_DOT_DOT,
    STATE(19559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747790] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28360), 1,
      anon_sym_DOT_DOT,
    STATE(19560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747804] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28362), 1,
      anon_sym_DOT_DOT,
    STATE(19561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747818] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28364), 1,
      anon_sym_end,
    STATE(19562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747832] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28366), 1,
      anon_sym_GT,
    STATE(19563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747846] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28368), 1,
      anon_sym_RPAREN,
    STATE(19564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747860] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_GT,
    STATE(19565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747874] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24582), 1,
      anon_sym_RBRACE,
    STATE(19566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747888] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28370), 1,
      anon_sym_with,
    STATE(19567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747902] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20476), 1,
      anon_sym_GT_RBRACE,
    STATE(19568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747916] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28372), 1,
      anon_sym_DOT,
    STATE(19569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747930] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18480), 1,
      anon_sym_DASH_GT,
    STATE(19570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747944] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28374), 1,
      anon_sym_PIPE,
    STATE(19571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747958] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11483), 1,
      anon_sym_GT,
    STATE(19572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747972] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28376), 1,
      sym__lowercase_identifier,
    STATE(19573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747986] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28378), 1,
      anon_sym_RPAREN,
    STATE(19574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748000] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28380), 1,
      anon_sym_DOT_DOT,
    STATE(19575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748014] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28382), 1,
      anon_sym_DOT_DOT,
    STATE(19576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748028] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28384), 1,
      anon_sym_DOT_DOT,
    STATE(19577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748042] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28386), 1,
      anon_sym_RPAREN,
    STATE(19578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748056] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28388), 1,
      anon_sym_in,
    STATE(19579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748070] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6741), 1,
      anon_sym_RPAREN,
    STATE(19580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748084] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6703), 1,
      anon_sym_RPAREN,
    STATE(19581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748098] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28390), 1,
      anon_sym_with,
    STATE(19582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748112] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21290), 1,
      anon_sym_GT_RBRACE,
    STATE(19583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748126] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28392), 1,
      anon_sym_in,
    STATE(19584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748140] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28394), 1,
      anon_sym_in,
    STATE(19585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748154] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28396), 1,
      anon_sym_DASH_GT,
    STATE(19586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748168] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28398), 1,
      anon_sym_PIPE,
    STATE(19587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748182] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28400), 1,
      anon_sym_RPAREN,
    STATE(19588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748196] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28402), 1,
      sym__lowercase_identifier,
    STATE(19589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748210] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28404), 1,
      anon_sym_with,
    STATE(19590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748224] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28406), 1,
      anon_sym_DOT_DOT,
    STATE(19591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748238] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28408), 1,
      anon_sym_DOT_DOT,
    STATE(19592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748252] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28410), 1,
      anon_sym_DOT_DOT,
    STATE(19593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748266] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28412), 1,
      anon_sym_DOT,
    STATE(19594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748280] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28414), 1,
      anon_sym_RPAREN,
    STATE(19595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748294] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28416), 1,
      anon_sym_RBRACK,
    STATE(19596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748308] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28418), 1,
      anon_sym_RBRACE,
    STATE(19597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748322] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19423), 1,
      anon_sym_end,
    STATE(19598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748336] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28420), 1,
      anon_sym_RPAREN,
    STATE(19599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748350] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28422), 1,
      anon_sym_DASH_GT,
    STATE(19600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748364] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28424), 1,
      anon_sym_DOT,
    STATE(19601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748378] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28426), 1,
      anon_sym_SQUOTE2,
    STATE(19602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748392] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28428), 1,
      anon_sym_PIPE,
    STATE(19603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748406] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28430), 1,
      anon_sym_GT,
    STATE(19604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748420] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28432), 1,
      sym__lowercase_identifier,
    STATE(19605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748434] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28434), 1,
      anon_sym_RPAREN,
    STATE(19606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748448] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28436), 1,
      anon_sym_DOT_DOT,
    STATE(19607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748462] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28438), 1,
      anon_sym_DOT_DOT,
    STATE(19608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748476] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28440), 1,
      anon_sym_DOT_DOT,
    STATE(19609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748490] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20995), 1,
      anon_sym_GT_RBRACE,
    STATE(19610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748504] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28442), 1,
      anon_sym_DQUOTE,
    STATE(19611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748518] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28444), 1,
      anon_sym_RBRACK,
    STATE(19612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748532] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16342), 1,
      anon_sym_SQUOTE2,
    STATE(19613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748546] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19631), 1,
      anon_sym_end,
    STATE(19614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748560] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28446), 1,
      anon_sym_RPAREN,
    STATE(19615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748574] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23316), 1,
      anon_sym_RBRACE,
    STATE(19616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748588] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28448), 1,
      anon_sym_SQUOTE2,
    STATE(19617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748602] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28450), 1,
      anon_sym_RBRACE,
    STATE(19618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748616] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28452), 1,
      anon_sym_PIPE,
    STATE(19619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748630] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28454), 1,
      anon_sym_RPAREN,
    STATE(19620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748644] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28456), 1,
      sym__lowercase_identifier,
    STATE(19621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748658] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28458), 1,
      anon_sym_SQUOTE2,
    STATE(19622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748672] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28460), 1,
      anon_sym_DOT_DOT,
    STATE(19623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748686] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28462), 1,
      anon_sym_DOT_DOT,
    STATE(19624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748700] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28464), 1,
      anon_sym_DOT_DOT,
    STATE(19625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748714] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28466), 1,
      anon_sym_DQUOTE,
    STATE(19626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748728] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28468), 1,
      anon_sym_in,
    STATE(19627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748742] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28470), 1,
      anon_sym_in,
    STATE(19628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748756] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28472), 1,
      sym__lowercase_identifier,
    STATE(19629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748770] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28474), 1,
      sym__lowercase_identifier,
    STATE(19630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748784] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5079), 1,
      anon_sym_end,
    STATE(19631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748798] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19886), 1,
      anon_sym_end,
    STATE(19632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748812] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28476), 1,
      anon_sym_in,
    STATE(19633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748826] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28478), 1,
      anon_sym_in,
    STATE(19634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748840] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28480), 1,
      anon_sym_PIPE,
    STATE(19635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748854] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28482), 1,
      sym__lowercase_identifier,
    STATE(19636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748868] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28484), 1,
      sym__lowercase_identifier,
    STATE(19637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748882] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28486), 1,
      anon_sym_DOT,
    STATE(19638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748896] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28488), 1,
      anon_sym_DOT_DOT,
    STATE(19639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748910] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28490), 1,
      anon_sym_DOT_DOT,
    STATE(19640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748924] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28492), 1,
      anon_sym_DOT_DOT,
    STATE(19641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748938] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28494), 1,
      anon_sym_RBRACK,
    STATE(19642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748952] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28496), 1,
      anon_sym_with,
    STATE(19643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748966] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28498), 1,
      sym__lowercase_identifier,
    STATE(19644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748980] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13839), 1,
      anon_sym_DASH_GT,
    STATE(19645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748994] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28500), 1,
      anon_sym_RBRACE,
    STATE(19646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749008] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28502), 1,
      anon_sym_in,
    STATE(19647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749022] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16626), 1,
      anon_sym_RPAREN,
    STATE(19648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749036] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28504), 1,
      anon_sym_with,
    STATE(19649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749050] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28506), 1,
      anon_sym_RPAREN,
    STATE(19650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749064] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28508), 1,
      anon_sym_PIPE,
    STATE(19651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749078] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28510), 1,
      anon_sym_in,
    STATE(19652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749092] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28512), 1,
      sym__lowercase_identifier,
    STATE(19653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749106] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28514), 1,
      anon_sym_RBRACK,
    STATE(19654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749120] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28516), 1,
      anon_sym_DOT_DOT,
    STATE(19655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749134] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28518), 1,
      anon_sym_DOT_DOT,
    STATE(19656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749148] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28520), 1,
      anon_sym_DOT_DOT,
    STATE(19657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749162] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28522), 1,
      anon_sym_DOT,
    STATE(19658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749176] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28524), 1,
      anon_sym_RBRACE,
    STATE(19659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749190] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28526), 1,
      anon_sym_RBRACE,
    STATE(19660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749204] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28528), 1,
      anon_sym_SQUOTE2,
    STATE(19661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749218] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28530), 1,
      anon_sym_RBRACK,
    STATE(19662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749232] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28532), 1,
      anon_sym_LT_DASH,
    STATE(19663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749246] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28534), 1,
      anon_sym_RPAREN,
    STATE(19664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749260] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28536), 1,
      anon_sym_end,
    STATE(19665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749274] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17524), 1,
      anon_sym_GT,
    STATE(19666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749288] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28538), 1,
      anon_sym_PIPE,
    STATE(19667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749302] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28540), 1,
      anon_sym_RPAREN,
    STATE(19668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749316] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28542), 1,
      sym__lowercase_identifier,
    STATE(19669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749330] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24620), 1,
      anon_sym_RBRACE,
    STATE(19670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749344] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28544), 1,
      anon_sym_DOT_DOT,
    STATE(19671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749358] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28546), 1,
      anon_sym_DOT_DOT,
    STATE(19672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749372] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28548), 1,
      anon_sym_DOT_DOT,
    STATE(19673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749386] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28550), 1,
      anon_sym_DASH_GT,
    STATE(19674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749400] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28552), 1,
      anon_sym_RPAREN,
    STATE(19675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749414] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28554), 1,
      anon_sym_in,
    STATE(19676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749428] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28556), 1,
      anon_sym_in,
    STATE(19677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749442] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8822), 1,
      anon_sym_DASH_GT,
    STATE(19678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749456] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28558), 1,
      anon_sym_in,
    STATE(19679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749470] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28560), 1,
      anon_sym_RPAREN,
    STATE(19680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749484] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28562), 1,
      anon_sym_DOT,
    STATE(19681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749498] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28564), 1,
      anon_sym_RPAREN,
    STATE(19682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749512] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28566), 1,
      anon_sym_end,
    STATE(19683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749526] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28568), 1,
      sym__lowercase_identifier,
    STATE(19684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749540] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28570), 1,
      anon_sym_in,
    STATE(19685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749554] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28572), 1,
      anon_sym_DOT_DOT,
    STATE(19686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749568] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28574), 1,
      anon_sym_DOT_DOT,
    STATE(19687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749582] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28576), 1,
      anon_sym_DOT_DOT,
    STATE(19688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749596] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28578), 1,
      anon_sym_DQUOTE,
    STATE(19689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749610] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28580), 1,
      anon_sym_in,
    STATE(19690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749624] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28582), 1,
      anon_sym_RBRACK,
    STATE(19691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749638] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28584), 1,
      anon_sym_DQUOTE,
    STATE(19692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749652] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28586), 1,
      anon_sym_DOT,
    STATE(19693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749666] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28588), 1,
      anon_sym_DASH_GT,
    STATE(19694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749680] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28590), 1,
      anon_sym_in,
    STATE(19695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749694] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28592), 1,
      anon_sym_DASH_GT,
    STATE(19696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749708] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28594), 1,
      anon_sym_RPAREN,
    STATE(19697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749722] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28596), 1,
      anon_sym_with,
    STATE(19698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749736] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28598), 1,
      sym__lowercase_identifier,
    STATE(19699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749750] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28600), 1,
      anon_sym_RBRACE,
    STATE(19700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749764] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28602), 1,
      anon_sym_DOT_DOT,
    STATE(19701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749778] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28604), 1,
      anon_sym_DOT_DOT,
    STATE(19702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749792] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28606), 1,
      anon_sym_DOT_DOT,
    STATE(19703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749806] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28608), 1,
      anon_sym_RBRACE,
    STATE(19704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749820] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28610), 1,
      sym__uppercase_identifier,
    STATE(19705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749834] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28612), 1,
      anon_sym_RBRACE,
    STATE(19706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749848] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22148), 1,
      anon_sym_GT_RBRACE,
    STATE(19707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749862] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28614), 1,
      anon_sym_DASH_GT,
    STATE(19708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749876] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28616), 1,
      anon_sym_RPAREN,
    STATE(19709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749890] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19954), 1,
      anon_sym_end,
    STATE(19710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749904] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28618), 1,
      anon_sym_SQUOTE2,
    STATE(19711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749918] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28620), 1,
      anon_sym_COMMA,
    STATE(19712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749932] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17868), 1,
      anon_sym_RPAREN,
    STATE(19713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749946] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28622), 1,
      sym__lowercase_identifier,
    STATE(19714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749960] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28624), 1,
      anon_sym_DOT,
    STATE(19715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749974] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28626), 1,
      anon_sym_DOT_DOT,
    STATE(19716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749988] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28628), 1,
      anon_sym_DOT_DOT,
    STATE(19717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750002] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28630), 1,
      anon_sym_DOT_DOT,
    STATE(19718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750016] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28632), 1,
      anon_sym_RBRACK,
    STATE(19719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750030] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28634), 1,
      anon_sym_DQUOTE,
    STATE(19720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750044] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28636), 1,
      anon_sym_in,
    STATE(19721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750058] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10314), 1,
      anon_sym_COLON_COLON,
    STATE(19722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750072] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28638), 1,
      anon_sym_DASH_GT,
    STATE(19723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750086] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22168), 1,
      anon_sym_GT_RBRACE,
    STATE(19724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750100] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28640), 1,
      anon_sym_GT,
    STATE(19725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750114] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19968), 1,
      anon_sym_end,
    STATE(19726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750128] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28642), 1,
      anon_sym_DASH_GT,
    STATE(19727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750142] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28644), 1,
      anon_sym_SQUOTE2,
    STATE(19728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750156] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28646), 1,
      sym__lowercase_identifier,
    STATE(19729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750170] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28648), 1,
      anon_sym_RPAREN,
    STATE(19730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750184] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28650), 1,
      anon_sym_DOT_DOT,
    STATE(19731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750198] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28652), 1,
      anon_sym_DOT_DOT,
    STATE(19732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750212] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28654), 1,
      anon_sym_DOT_DOT,
    STATE(19733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750226] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18866), 1,
      sym__uppercase_identifier,
    STATE(19734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750240] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28656), 1,
      anon_sym_DQUOTE,
    STATE(19735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750254] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12215), 1,
      anon_sym_DASH_GT,
    STATE(19736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750268] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28658), 1,
      sym__lowercase_identifier,
    STATE(19737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750282] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28660), 1,
      anon_sym_RPAREN,
    STATE(19738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750296] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28662), 1,
      sym__lowercase_identifier,
    STATE(19739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750310] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28664), 1,
      anon_sym_end,
    STATE(19740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750324] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28666), 1,
      anon_sym_RBRACK,
    STATE(19741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750338] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28668), 1,
      anon_sym_LT_DASH,
    STATE(19742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750352] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28670), 1,
      anon_sym_RBRACE,
    STATE(19743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750366] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28672), 1,
      sym__lowercase_identifier,
    STATE(19744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750380] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28674), 1,
      anon_sym_RBRACK,
    STATE(19745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750394] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28676), 1,
      anon_sym_DOT_DOT,
    STATE(19746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750408] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28678), 1,
      anon_sym_DOT_DOT,
    STATE(19747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750422] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28680), 1,
      anon_sym_DOT_DOT,
    STATE(19748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750436] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28682), 1,
      anon_sym_end,
    STATE(19749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750450] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28684), 1,
      anon_sym_type,
    STATE(19750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750464] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28686), 1,
      anon_sym_RPAREN,
    STATE(19751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750478] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28688), 1,
      anon_sym_with,
    STATE(19752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750492] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28690), 1,
      anon_sym_RBRACE,
    STATE(19753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750506] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28692), 1,
      anon_sym_with,
    STATE(19754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750520] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28694), 1,
      anon_sym_RPAREN,
    STATE(19755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750534] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28696), 1,
      anon_sym_RPAREN,
    STATE(19756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750548] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28698), 1,
      sym__lowercase_identifier,
    STATE(19757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750562] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28700), 1,
      anon_sym_RPAREN,
    STATE(19758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750576] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28702), 1,
      sym__lowercase_identifier,
    STATE(19759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750590] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28704), 1,
      anon_sym_DOT,
    STATE(19760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750604] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28706), 1,
      anon_sym_DOT_DOT,
    STATE(19761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750618] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28708), 1,
      anon_sym_DOT_DOT,
    STATE(19762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750632] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28710), 1,
      anon_sym_DOT_DOT,
    STATE(19763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750646] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28696), 1,
      anon_sym_RBRACK,
    STATE(19764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750660] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28696), 1,
      anon_sym_RBRACE,
    STATE(19765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750674] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22613), 1,
      anon_sym_GT_RBRACE,
    STATE(19766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750688] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17464), 1,
      anon_sym_GT,
    STATE(19767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750702] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28712), 1,
      anon_sym_RPAREN,
    STATE(19768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750716] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28714), 1,
      anon_sym_with,
    STATE(19769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750730] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28716), 1,
      anon_sym_RBRACK,
    STATE(19770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750744] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28718), 1,
      anon_sym_RBRACE,
    STATE(19771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750758] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28720), 1,
      anon_sym_RPAREN,
    STATE(19772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750772] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28722), 1,
      anon_sym_RBRACE,
    STATE(19773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750786] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28724), 1,
      sym__lowercase_identifier,
    STATE(19774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750800] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16600), 1,
      anon_sym_RPAREN,
    STATE(19775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750814] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28726), 1,
      anon_sym_DOT_DOT,
    STATE(19776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750828] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28728), 1,
      anon_sym_DOT_DOT,
    STATE(19777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750842] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28730), 1,
      anon_sym_DOT_DOT,
    STATE(19778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750856] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28732), 1,
      anon_sym_RBRACE,
    STATE(19779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750870] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28734), 1,
      anon_sym_RBRACE,
    STATE(19780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750884] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28736), 1,
      anon_sym_DASH_GT,
    STATE(19781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750898] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8844), 1,
      anon_sym_DASH_GT,
    STATE(19782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750912] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19188), 1,
      anon_sym_end,
    STATE(19783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750926] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28738), 1,
      anon_sym_SQUOTE2,
    STATE(19784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750940] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28740), 1,
      anon_sym_EQ,
    STATE(19785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750954] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28742), 1,
      anon_sym_DASH_GT,
    STATE(19786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750968] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28744), 1,
      anon_sym_RPAREN,
    STATE(19787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750982] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28746), 1,
      anon_sym_LT_DASH,
    STATE(19788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750996] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28748), 1,
      sym__lowercase_identifier,
    STATE(19789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751010] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28750), 1,
      anon_sym_RBRACK,
    STATE(19790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751024] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28752), 1,
      anon_sym_DOT_DOT,
    STATE(19791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751038] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28754), 1,
      anon_sym_DOT_DOT,
    STATE(19792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751052] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28756), 1,
      anon_sym_DOT_DOT,
    STATE(19793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751066] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28758), 1,
      anon_sym_RBRACE,
    STATE(19794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751080] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28760), 1,
      anon_sym_DASH_GT,
    STATE(19795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751094] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28762), 1,
      anon_sym_RBRACK,
    STATE(19796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751108] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28764), 1,
      anon_sym_DOT,
    STATE(19797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751122] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28766), 1,
      anon_sym_RPAREN,
    STATE(19798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751136] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3213), 1,
      anon_sym_RPAREN,
    STATE(19799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751150] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28768), 1,
      anon_sym_DASH_GT,
    STATE(19800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751164] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28770), 1,
      anon_sym_end,
    STATE(19801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751178] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16308), 1,
      anon_sym_DASH_GT,
    STATE(19802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751192] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28772), 1,
      anon_sym_RBRACE,
    STATE(19803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751206] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28774), 1,
      sym__lowercase_identifier,
    STATE(19804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751220] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28776), 1,
      anon_sym_in,
    STATE(19805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751234] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28778), 1,
      anon_sym_DOT_DOT,
    STATE(19806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751248] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28780), 1,
      anon_sym_DOT_DOT,
    STATE(19807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751262] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28782), 1,
      anon_sym_DOT_DOT,
    STATE(19808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751276] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28784), 1,
      anon_sym_in,
    STATE(19809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751290] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28786), 1,
      anon_sym_RPAREN,
    STATE(19810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751304] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28788), 1,
      anon_sym_RBRACE,
    STATE(19811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751318] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16540), 1,
      anon_sym_RPAREN,
    STATE(19812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751332] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28790), 1,
      anon_sym_LT_DASH,
    STATE(19813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751346] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28792), 1,
      anon_sym_RPAREN,
    STATE(19814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751360] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28794), 1,
      anon_sym_DQUOTE,
    STATE(19815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751374] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28796), 1,
      sym__lowercase_identifier,
    STATE(19816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751388] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28798), 1,
      anon_sym_DASH_GT,
    STATE(19817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751402] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28800), 1,
      anon_sym_RBRACE,
    STATE(19818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751416] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28802), 1,
      sym__lowercase_identifier,
    STATE(19819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751430] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20502), 1,
      anon_sym_GT_RBRACE,
    STATE(19820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751444] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28804), 1,
      anon_sym_DOT_DOT,
    STATE(19821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751458] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28806), 1,
      anon_sym_DOT_DOT,
    STATE(19822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751472] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28808), 1,
      anon_sym_DOT_DOT,
    STATE(19823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751486] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28810), 1,
      anon_sym_RPAREN,
    STATE(19824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751500] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28812), 1,
      anon_sym_RBRACK,
    STATE(19825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751514] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28814), 1,
      anon_sym_RBRACE,
    STATE(19826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751528] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28816), 1,
      anon_sym_RPAREN,
    STATE(19827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751542] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6731), 1,
      anon_sym_end,
    STATE(19828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751556] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28818), 1,
      aux_sym_number_token1,
    STATE(19829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751570] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28820), 1,
      anon_sym_RPAREN,
    STATE(19830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751584] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28822), 1,
      anon_sym_in,
    STATE(19831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751598] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28824), 1,
      anon_sym_DASH_GT,
    STATE(19832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751612] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28826), 1,
      anon_sym_RBRACK,
    STATE(19833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751626] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28828), 1,
      sym__lowercase_identifier,
    STATE(19834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751640] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28830), 1,
      anon_sym_in,
    STATE(19835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751654] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28832), 1,
      anon_sym_DOT_DOT,
    STATE(19836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751668] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28834), 1,
      anon_sym_DOT_DOT,
    STATE(19837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751682] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28836), 1,
      anon_sym_DOT_DOT,
    STATE(19838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751696] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18036), 1,
      anon_sym_RPAREN,
    STATE(19839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751710] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28838), 1,
      anon_sym_in,
    STATE(19840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751724] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19312), 1,
      anon_sym_end,
    STATE(19841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751738] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28840), 1,
      anon_sym_PLUS_EQ,
    STATE(19842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751752] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28842), 1,
      anon_sym_RPAREN,
    STATE(19843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751766] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28844), 1,
      anon_sym_DASH_GT,
    STATE(19844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751780] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28846), 1,
      anon_sym_SQUOTE2,
    STATE(19845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751794] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28848), 1,
      anon_sym_RPAREN,
    STATE(19846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751808] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28850), 1,
      anon_sym_in,
    STATE(19847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751822] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28852), 1,
      anon_sym_RPAREN,
    STATE(19848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751836] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28854), 1,
      sym__lowercase_identifier,
    STATE(19849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751850] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28856), 1,
      anon_sym_DQUOTE,
    STATE(19850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751864] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28858), 1,
      anon_sym_DOT_DOT,
    STATE(19851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751878] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28860), 1,
      anon_sym_DOT_DOT,
    STATE(19852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751892] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28862), 1,
      anon_sym_DOT_DOT,
    STATE(19853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751906] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28864), 1,
      anon_sym_DASH_GT,
    STATE(19854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751920] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28866), 1,
      anon_sym_LT_DASH,
    STATE(19855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751934] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28868), 1,
      anon_sym_RPAREN,
    STATE(19856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751948] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28870), 1,
      anon_sym_RBRACK,
    STATE(19857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751962] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28872), 1,
      anon_sym_RPAREN,
    STATE(19858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751976] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28874), 1,
      anon_sym_RBRACE,
    STATE(19859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751990] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28876), 1,
      anon_sym_RPAREN,
    STATE(19860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752004] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28878), 1,
      anon_sym_RPAREN,
    STATE(19861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752018] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17638), 1,
      anon_sym_DASH_GT,
    STATE(19862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752032] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28880), 1,
      anon_sym_in,
    STATE(19863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752046] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28882), 1,
      sym__lowercase_identifier,
    STATE(19864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752060] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28884), 1,
      anon_sym_RPAREN,
    STATE(19865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752074] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28886), 1,
      anon_sym_DOT_DOT,
    STATE(19866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752088] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28888), 1,
      anon_sym_DOT_DOT,
    STATE(19867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752102] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28890), 1,
      anon_sym_DOT_DOT,
    STATE(19868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752116] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28892), 1,
      anon_sym_RBRACK,
    STATE(19869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752130] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28894), 1,
      anon_sym_RPAREN,
    STATE(19870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752144] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28896), 1,
      anon_sym_RBRACK,
    STATE(19871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752158] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28898), 1,
      anon_sym_RBRACE,
    STATE(19872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752172] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28900), 1,
      anon_sym_RBRACE,
    STATE(19873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752186] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28902), 1,
      anon_sym_RPAREN,
    STATE(19874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752200] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28904), 1,
      anon_sym_DOT,
    STATE(19875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752214] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28906), 1,
      anon_sym_RPAREN,
    STATE(19876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752228] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16606), 1,
      anon_sym_RPAREN,
    STATE(19877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752242] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28908), 1,
      anon_sym_RPAREN,
    STATE(19878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752256] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28910), 1,
      sym__lowercase_identifier,
    STATE(19879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752270] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28912), 1,
      anon_sym_RPAREN,
    STATE(19880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752284] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28914), 1,
      anon_sym_DOT_DOT,
    STATE(19881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752298] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28916), 1,
      anon_sym_DOT_DOT,
    STATE(19882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752312] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28918), 1,
      anon_sym_DOT_DOT,
    STATE(19883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752326] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3221), 1,
      anon_sym_RPAREN,
    STATE(19884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752340] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11523), 1,
      anon_sym_GT,
    STATE(19885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752354] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28920), 1,
      anon_sym_RPAREN,
    STATE(19886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752368] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28920), 1,
      anon_sym_RBRACK,
    STATE(19887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752382] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28920), 1,
      anon_sym_RBRACE,
    STATE(19888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752396] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28922), 1,
      sym__lowercase_identifier,
    STATE(19889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752410] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28924), 1,
      sym__lowercase_identifier,
    STATE(19890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752424] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28926), 1,
      anon_sym_DOT,
    STATE(19891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752438] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28928), 1,
      anon_sym_RPAREN,
    STATE(19892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752452] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28930), 1,
      anon_sym_RPAREN,
    STATE(19893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752466] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28932), 1,
      sym__lowercase_identifier,
    STATE(19894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752480] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28934), 1,
      anon_sym_RBRACK,
    STATE(19895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752494] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28936), 1,
      anon_sym_DOT_DOT,
    STATE(19896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752508] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28938), 1,
      anon_sym_DOT_DOT,
    STATE(19897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752522] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28940), 1,
      anon_sym_DOT_DOT,
    STATE(19898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752536] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28942), 1,
      anon_sym_RPAREN,
    STATE(19899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752550] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28944), 1,
      anon_sym_RPAREN,
    STATE(19900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752564] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28946), 1,
      anon_sym_RPAREN,
    STATE(19901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752578] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28948), 1,
      anon_sym_RBRACK,
    STATE(19902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752592] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21217), 1,
      anon_sym_GT_RBRACE,
    STATE(19903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752606] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28950), 1,
      anon_sym_RBRACE,
    STATE(19904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752620] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28952), 1,
      anon_sym_RPAREN,
    STATE(19905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752634] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28954), 1,
      anon_sym_RPAREN,
    STATE(19906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752648] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19759), 1,
      anon_sym_end,
    STATE(19907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752662] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28956), 1,
      anon_sym_SQUOTE2,
    STATE(19908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752676] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28958), 1,
      sym__lowercase_identifier,
    STATE(19909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752690] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28960), 1,
      anon_sym_DQUOTE,
    STATE(19910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752704] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28962), 1,
      anon_sym_DOT_DOT,
    STATE(19911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752718] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28964), 1,
      anon_sym_DOT_DOT,
    STATE(19912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752732] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28966), 1,
      anon_sym_DOT_DOT,
    STATE(19913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752746] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28968), 1,
      anon_sym_RBRACE,
    STATE(19914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752760] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28970), 1,
      anon_sym_GT,
    STATE(19915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752774] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28972), 1,
      anon_sym_RPAREN,
    STATE(19916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752788] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28974), 1,
      sym__lowercase_identifier,
    STATE(19917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752802] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28976), 1,
      anon_sym_RBRACE,
    STATE(19918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752816] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28978), 1,
      anon_sym_RPAREN,
    STATE(19919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752830] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28980), 1,
      anon_sym_RBRACE,
    STATE(19920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752844] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28982), 1,
      anon_sym_RBRACE,
    STATE(19921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752858] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28984), 1,
      anon_sym_RBRACK,
    STATE(19922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752872] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28986), 1,
      anon_sym_DOT,
    STATE(19923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752886] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17916), 1,
      anon_sym_RBRACK,
    STATE(19924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752900] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28988), 1,
      anon_sym_DOT_DOT,
    STATE(19925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752914] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28990), 1,
      anon_sym_DOT_DOT,
    STATE(19926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752928] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28992), 1,
      anon_sym_DOT_DOT,
    STATE(19927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752942] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28994), 1,
      anon_sym_DASH_GT,
    STATE(19928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752956] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28996), 1,
      anon_sym_RPAREN,
    STATE(19929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752970] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28998), 1,
      anon_sym_RPAREN,
    STATE(19930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752984] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29000), 1,
      anon_sym_with,
    STATE(19931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752998] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29002), 1,
      anon_sym_DASH_GT,
    STATE(19932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753012] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8818), 1,
      anon_sym_DASH_GT,
    STATE(19933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753026] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29004), 1,
      anon_sym_RBRACK,
    STATE(19934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753040] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29006), 1,
      anon_sym_RBRACK,
    STATE(19935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753054] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29008), 1,
      anon_sym_RBRACE,
    STATE(19936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753068] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29010), 1,
      anon_sym_RBRACE,
    STATE(19937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753082] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29012), 1,
      anon_sym_RPAREN,
    STATE(19938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753096] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29014), 1,
      anon_sym_DOT_DOT,
    STATE(19939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753110] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29016), 1,
      anon_sym_DOT_DOT,
    STATE(19940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753124] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29018), 1,
      anon_sym_DOT_DOT,
    STATE(19941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753138] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20488), 1,
      anon_sym_GT_RBRACE,
    STATE(19942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753152] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29020), 1,
      anon_sym_with,
    STATE(19943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753166] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29022), 1,
      anon_sym_DOT,
    STATE(19944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753180] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29024), 1,
      anon_sym_LT_DASH,
    STATE(19945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753194] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29026), 1,
      anon_sym_RBRACE,
    STATE(19946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753208] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11503), 1,
      anon_sym_GT,
    STATE(19947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753222] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29028), 1,
      anon_sym_RPAREN,
    STATE(19948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753236] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29030), 1,
      anon_sym_RBRACE,
    STATE(19949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753250] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29032), 1,
      anon_sym_RBRACE,
    STATE(19950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753264] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29034), 1,
      anon_sym_LT_DASH,
    STATE(19951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753278] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3201), 1,
      anon_sym_RPAREN,
    STATE(19952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753292] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29036), 1,
      anon_sym_DOT_DOT,
    STATE(19953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753306] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29038), 1,
      anon_sym_DOT_DOT,
    STATE(19954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753320] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29040), 1,
      anon_sym_DOT_DOT,
    STATE(19955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753334] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17361), 1,
      anon_sym_GT,
    STATE(19956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753348] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29042), 1,
      anon_sym_RPAREN,
    STATE(19957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753362] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17448), 1,
      anon_sym_GT,
    STATE(19958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753376] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29044), 1,
      anon_sym_RPAREN,
    STATE(19959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753390] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29046), 1,
      anon_sym_in,
    STATE(19960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753404] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29048), 1,
      anon_sym_LT_DASH,
    STATE(19961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753418] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29050), 1,
      anon_sym_RPAREN,
    STATE(19962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753432] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29052), 1,
      anon_sym_done,
    STATE(19963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753446] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29054), 1,
      anon_sym_RPAREN,
    STATE(19964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753460] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29056), 1,
      anon_sym_RPAREN,
    STATE(19965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753474] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29058), 1,
      anon_sym_SQUOTE2,
    STATE(19966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753488] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29060), 1,
      anon_sym_DOT_DOT,
    STATE(19967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753502] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29062), 1,
      anon_sym_DOT_DOT,
    STATE(19968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753516] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29064), 1,
      anon_sym_DOT_DOT,
    STATE(19969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753530] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29066), 1,
      anon_sym_in,
    STATE(19970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753544] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29068), 1,
      anon_sym_in,
    STATE(19971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753558] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29070), 1,
      anon_sym_in,
    STATE(19972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753572] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29072), 1,
      anon_sym_in,
    STATE(19973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753586] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29074), 1,
      anon_sym_in,
    STATE(19974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753600] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4963), 1,
      anon_sym_end,
    STATE(19975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753614] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17325), 1,
      anon_sym_GT,
    STATE(19976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753628] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29076), 1,
      aux_sym_number_token1,
    STATE(19977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753642] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    STATE(19978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753656] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29078), 1,
      anon_sym_DOT_DOT,
    STATE(19979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753670] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29080), 1,
      anon_sym_DOT_DOT,
    STATE(19980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753684] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29082), 1,
      anon_sym_DOT_DOT,
    STATE(19981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753698] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29084), 1,
      anon_sym_in,
    STATE(19982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753712] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29086), 1,
      anon_sym_in,
    STATE(19983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753726] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29088), 1,
      anon_sym_DOT,
    STATE(19984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753740] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29090), 1,
      anon_sym_GT,
    STATE(19985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753754] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29092), 1,
      anon_sym_RBRACK,
    STATE(19986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753768] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29094), 1,
      anon_sym_RBRACE,
    STATE(19987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753782] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      sym__uppercase_identifier,
    STATE(19988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753796] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29096), 1,
      anon_sym_RPAREN,
    STATE(19989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753810] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29098), 1,
      anon_sym_RPAREN,
    STATE(19990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753824] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29100), 1,
      anon_sym_DOT_DOT,
    STATE(19991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753838] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29102), 1,
      anon_sym_DOT_DOT,
    STATE(19992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753852] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29104), 1,
      anon_sym_DOT_DOT,
    STATE(19993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753866] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29106), 1,
      anon_sym_DASH_GT,
    STATE(19994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753880] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29108), 1,
      anon_sym_with,
    STATE(19995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753894] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29110), 1,
      anon_sym_DOT_DOT,
    STATE(19996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753908] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29112), 1,
      anon_sym_DOT_DOT,
    STATE(19997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753922] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29114), 1,
      anon_sym_DOT_DOT,
    STATE(19998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753936] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29116), 1,
      anon_sym_DASH_GT,
    STATE(19999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753950] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29118), 1,
      anon_sym_in,
    STATE(20000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753964] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29120), 1,
      anon_sym_DOT_DOT,
    STATE(20001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753978] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29122), 1,
      anon_sym_DOT_DOT,
    STATE(20002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753992] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29124), 1,
      anon_sym_DOT_DOT,
    STATE(20003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754006] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29126), 1,
      anon_sym_with,
    STATE(20004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754020] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29128), 1,
      anon_sym_end,
    STATE(20005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754034] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29130), 1,
      anon_sym_DOT_DOT,
    STATE(20006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754048] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29132), 1,
      anon_sym_DOT_DOT,
    STATE(20007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754062] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29134), 1,
      anon_sym_DOT_DOT,
    STATE(20008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754076] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29136), 1,
      anon_sym_in,
    STATE(20009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754090] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29138), 1,
      anon_sym_in,
    STATE(20010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754104] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29140), 1,
      anon_sym_DOT_DOT,
    STATE(20011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754118] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29142), 1,
      anon_sym_DOT_DOT,
    STATE(20012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754132] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29144), 1,
      anon_sym_DOT_DOT,
    STATE(20013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754146] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29146), 1,
      anon_sym_in,
    STATE(20014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754160] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29148), 1,
      anon_sym_DASH_GT,
    STATE(20015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754174] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29150), 1,
      anon_sym_DOT_DOT,
    STATE(20016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754188] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29152), 1,
      anon_sym_DOT_DOT,
    STATE(20017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754202] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29154), 1,
      anon_sym_DOT_DOT,
    STATE(20018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754216] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29156), 1,
      anon_sym_DASH_GT,
    STATE(20019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754230] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29158), 1,
      anon_sym_RBRACE,
    STATE(20020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754244] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29160), 1,
      anon_sym_DOT_DOT,
    STATE(20021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754258] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29162), 1,
      anon_sym_DOT_DOT,
    STATE(20022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754272] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29164), 1,
      anon_sym_DOT_DOT,
    STATE(20023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754286] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29166), 1,
      anon_sym_in,
    STATE(20024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754300] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16584), 1,
      anon_sym_RPAREN,
    STATE(20025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754314] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29168), 1,
      anon_sym_DOT_DOT,
    STATE(20026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754328] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29170), 1,
      anon_sym_DOT_DOT,
    STATE(20027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754342] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29172), 1,
      anon_sym_DOT_DOT,
    STATE(20028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754356] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29174), 1,
      anon_sym_RBRACE,
    STATE(20029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754370] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29176), 1,
      anon_sym_RPAREN,
    STATE(20030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754384] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29178), 1,
      anon_sym_DOT_DOT,
    STATE(20031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754398] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29180), 1,
      anon_sym_DOT_DOT,
    STATE(20032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754412] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29182), 1,
      anon_sym_DOT_DOT,
    STATE(20033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754426] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29184), 1,
      anon_sym_RPAREN,
    STATE(20034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754440] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11345), 1,
      anon_sym_GT,
    STATE(20035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754454] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29186), 1,
      anon_sym_DOT_DOT,
    STATE(20036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754468] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29188), 1,
      anon_sym_DOT_DOT,
    STATE(20037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754482] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29190), 1,
      anon_sym_DOT_DOT,
    STATE(20038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754496] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8890), 1,
      anon_sym_DASH_GT,
    STATE(20039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754510] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29192), 1,
      sym__lowercase_identifier,
    STATE(20040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754524] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29194), 1,
      anon_sym_DOT_DOT,
    STATE(20041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754538] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29196), 1,
      anon_sym_DOT_DOT,
    STATE(20042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754552] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29198), 1,
      anon_sym_DOT_DOT,
    STATE(20043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754566] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20772), 1,
      anon_sym_GT_RBRACE,
    STATE(20044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754580] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29200), 1,
      anon_sym_RPAREN,
    STATE(20045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754594] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29202), 1,
      anon_sym_DOT_DOT,
    STATE(20046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754608] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29204), 1,
      anon_sym_DOT_DOT,
    STATE(20047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754622] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29206), 1,
      anon_sym_DOT_DOT,
    STATE(20048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754636] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19565), 1,
      anon_sym_end,
    STATE(20049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754650] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29208), 1,
      anon_sym_SQUOTE2,
    STATE(20050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754664] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29210), 1,
      anon_sym_DOT_DOT,
    STATE(20051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754678] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29212), 1,
      anon_sym_DOT_DOT,
    STATE(20052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754692] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29214), 1,
      anon_sym_DOT_DOT,
    STATE(20053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754706] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3193), 1,
      anon_sym_RPAREN,
    STATE(20054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754720] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29216), 1,
      anon_sym_DQUOTE,
    STATE(20055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754734] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29218), 1,
      anon_sym_DOT,
    STATE(20056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754748] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29220), 1,
      anon_sym_in,
    STATE(20057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754762] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29222), 1,
      anon_sym_DASH_GT,
    STATE(20058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754776] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29224), 1,
      anon_sym_in,
    STATE(20059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754790] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29226), 1,
      anon_sym_RBRACK,
    STATE(20060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754804] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29228), 1,
      sym__lowercase_identifier,
    STATE(20061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754818] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29230), 1,
      anon_sym_RBRACE,
    STATE(20062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754832] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29232), 1,
      anon_sym_RPAREN,
    STATE(20063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754846] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29234), 1,
      anon_sym_RBRACK,
    STATE(20064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754860] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29236), 1,
      anon_sym_RBRACE,
    STATE(20065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754874] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29238), 1,
      anon_sym_RBRACK,
    STATE(20066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754888] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29240), 1,
      anon_sym_RPAREN,
    STATE(20067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754902] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29242), 1,
      anon_sym_DOT,
    STATE(20068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754916] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29244), 1,
      anon_sym_DASH_GT,
    STATE(20069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754930] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29246), 1,
      anon_sym_DASH_GT,
    STATE(20070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754944] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29248), 1,
      anon_sym_RPAREN,
    STATE(20071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754958] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29250), 1,
      anon_sym_RBRACE,
    STATE(20072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754972] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29252), 1,
      anon_sym_RPAREN,
    STATE(20073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754986] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29254), 1,
      anon_sym_RPAREN,
    STATE(20074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755000] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29256), 1,
      anon_sym_DASH_GT,
    STATE(20075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755014] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29258), 1,
      anon_sym_RPAREN,
    STATE(20076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755028] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29260), 1,
      anon_sym_RPAREN,
    STATE(20077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755042] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8870), 1,
      anon_sym_DASH_GT,
    STATE(20078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755056] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29262), 1,
      anon_sym_PLUS_EQ,
    STATE(20079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755070] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29264), 1,
      anon_sym_LT_DASH,
    STATE(20080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755084] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29266), 1,
      anon_sym_RPAREN,
    STATE(20081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755098] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29268), 1,
      anon_sym_end,
    STATE(20082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755112] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11471), 1,
      anon_sym_GT,
    STATE(20083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755126] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29270), 1,
      anon_sym_type,
    STATE(20084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755140] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29272), 1,
      anon_sym_RPAREN,
    STATE(20085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755154] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29274), 1,
      sym_indexing_operator,
    STATE(20086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755168] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29276), 1,
      anon_sym_RBRACK,
    STATE(20087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755182] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29278), 1,
      anon_sym_RBRACE,
    STATE(20088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755196] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29280), 1,
      anon_sym_end,
    STATE(20089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755210] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8834), 1,
      anon_sym_DASH_GT,
    STATE(20090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755224] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29282), 1,
      anon_sym_RPAREN,
    STATE(20091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755238] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29284), 1,
      anon_sym_LT_DASH,
    STATE(20092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755252] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8745), 1,
      anon_sym_DASH_GT,
    STATE(20093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755266] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18128), 1,
      anon_sym_RPAREN,
    STATE(20094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755280] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29286), 1,
      anon_sym_RBRACK,
    STATE(20095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755294] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3139), 1,
      anon_sym_RPAREN,
    STATE(20096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755308] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29288), 1,
      anon_sym_RBRACE,
    STATE(20097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755322] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29290), 1,
      anon_sym_RPAREN,
    STATE(20098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755336] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29292), 1,
      sym__lowercase_identifier,
    STATE(20099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755350] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22597), 1,
      anon_sym_GT_RBRACE,
    STATE(20100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755364] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29294), 1,
      anon_sym_RPAREN,
    STATE(20101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755378] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20077), 1,
      anon_sym_end,
    STATE(20102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755392] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29296), 1,
      anon_sym_RPAREN,
    STATE(20103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755406] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29298), 1,
      anon_sym_RPAREN,
    STATE(20104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755420] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29300), 1,
      sym__lowercase_identifier,
    STATE(20105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755434] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29302), 1,
      anon_sym_SQUOTE2,
    STATE(20106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755448] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29304), 1,
      anon_sym_DQUOTE,
    STATE(20107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755462] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3243), 1,
      anon_sym_RPAREN,
    STATE(20108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755476] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29306), 1,
      sym__lowercase_identifier,
    STATE(20109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755490] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29308), 1,
      anon_sym_RBRACK,
    STATE(20110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755504] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29310), 1,
      sym__lowercase_identifier,
    STATE(20111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755518] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29312), 1,
      sym__lowercase_identifier,
    STATE(20112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755532] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29314), 1,
      anon_sym_RBRACE,
    STATE(20113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755546] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29316), 1,
      anon_sym_RBRACK,
    STATE(20114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755560] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29318), 1,
      anon_sym_RBRACE,
    STATE(20115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755574] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29320), 1,
      anon_sym_RPAREN,
    STATE(20116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755588] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29322), 1,
      anon_sym_DASH_GT,
    STATE(20117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755602] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29324), 1,
      sym_indexing_operator,
    STATE(20118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755616] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29326), 1,
      anon_sym_DASH_GT,
    STATE(20119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755630] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24278), 1,
      anon_sym_RPAREN,
    STATE(20120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755644] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29328), 1,
      anon_sym_RPAREN,
    STATE(20121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755658] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29330), 1,
      anon_sym_DOT,
    STATE(20122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755672] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29332), 1,
      anon_sym_RPAREN,
    STATE(20123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755686] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29334), 1,
      sym__lowercase_identifier,
    STATE(20124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755700] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29336), 1,
      anon_sym_GT,
    STATE(20125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755714] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29338), 1,
      anon_sym_RPAREN,
    STATE(20126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755728] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8892), 1,
      anon_sym_DASH_GT,
    STATE(20127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755742] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29340), 1,
      anon_sym_DASH_GT,
    STATE(20128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755756] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29342), 1,
      anon_sym_RPAREN,
    STATE(20129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755770] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29344), 1,
      anon_sym_DASH_GT,
    STATE(20130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755784] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29346), 1,
      anon_sym_RPAREN,
    STATE(20131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755798] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29348), 1,
      anon_sym_DASH_GT,
    STATE(20132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755812] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29350), 1,
      sym_indexing_operator,
    STATE(20133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755826] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13272), 1,
      anon_sym_DASH_GT,
    STATE(20134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755840] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29346), 1,
      anon_sym_RBRACK,
    STATE(20135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755854] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29346), 1,
      anon_sym_RBRACE,
    STATE(20136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755868] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29352), 1,
      sym__lowercase_identifier,
    STATE(20137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755882] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29354), 1,
      anon_sym_RBRACE,
    STATE(20138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755896] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29356), 1,
      anon_sym_end,
    STATE(20139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755910] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29358), 1,
      anon_sym_end,
    STATE(20140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755924] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29360), 1,
      anon_sym_DASH_GT,
    STATE(20141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755938] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29362), 1,
      anon_sym_end,
    STATE(20142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755952] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29364), 1,
      anon_sym_RBRACE,
    STATE(20143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755966] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16548), 1,
      anon_sym_RPAREN,
    STATE(20144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755980] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29366), 1,
      sym_indexing_operator,
    STATE(20145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755994] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29368), 1,
      anon_sym_RPAREN,
    STATE(20146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756008] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8950), 1,
      anon_sym_DASH_GT,
    STATE(20147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756022] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29370), 1,
      sym__lowercase_identifier,
    STATE(20148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756036] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29372), 1,
      anon_sym_RBRACE,
    STATE(20149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756050] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29374), 1,
      anon_sym_end,
    STATE(20150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756064] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29376), 1,
      anon_sym_end,
    STATE(20151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756078] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29378), 1,
      anon_sym_RPAREN,
    STATE(20152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756092] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29380), 1,
      sym_indexing_operator,
    STATE(20153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756106] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29382), 1,
      sym_indexing_operator,
    STATE(20154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756120] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29384), 1,
      sym_indexing_operator,
    STATE(20155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756134] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29386), 1,
      sym_indexing_operator,
    STATE(20156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756148] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29388), 1,
      sym_indexing_operator,
    STATE(20157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756162] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29390), 1,
      sym_indexing_operator,
    STATE(20158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756176] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29392), 1,
      sym_indexing_operator,
    STATE(20159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756190] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29394), 1,
      sym_indexing_operator,
    STATE(20160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756204] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29396), 1,
      sym_indexing_operator,
    STATE(20161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756218] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29398), 1,
      sym_indexing_operator,
    STATE(20162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756232] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29400), 1,
      sym_indexing_operator,
    STATE(20163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756246] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29402), 1,
      sym_indexing_operator,
    STATE(20164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756260] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29404), 1,
      sym_indexing_operator,
    STATE(20165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756274] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29406), 1,
      sym_indexing_operator,
    STATE(20166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756288] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29408), 1,
      sym_indexing_operator,
    STATE(20167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756302] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29410), 1,
      sym_indexing_operator,
    STATE(20168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756316] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29412), 1,
      sym_indexing_operator,
    STATE(20169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756330] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29414), 1,
      sym_indexing_operator,
    STATE(20170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756344] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29416), 1,
      sym_indexing_operator,
    STATE(20171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756358] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29418), 1,
      sym_indexing_operator,
    STATE(20172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756372] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29420), 1,
      sym_indexing_operator,
    STATE(20173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756386] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29422), 1,
      sym_indexing_operator,
    STATE(20174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756400] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29424), 1,
      sym_indexing_operator,
    STATE(20175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756414] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29426), 1,
      sym_indexing_operator,
    STATE(20176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756428] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29428), 1,
      sym_indexing_operator,
    STATE(20177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756442] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29430), 1,
      sym_indexing_operator,
    STATE(20178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756456] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29432), 1,
      sym_indexing_operator,
    STATE(20179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756470] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29434), 1,
      sym_indexing_operator,
    STATE(20180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756484] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29436), 1,
      sym_indexing_operator,
    STATE(20181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756498] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29438), 1,
      sym_indexing_operator,
    STATE(20182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756512] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29440), 1,
      sym_indexing_operator,
    STATE(20183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756526] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29442), 1,
      sym_indexing_operator,
    STATE(20184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756540] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29444), 1,
      sym_indexing_operator,
    STATE(20185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756554] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29446), 1,
      sym_indexing_operator,
    STATE(20186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756568] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29448), 1,
      sym_indexing_operator,
    STATE(20187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756582] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29450), 1,
      sym_indexing_operator,
    STATE(20188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756596] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29452), 1,
      sym_indexing_operator,
    STATE(20189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756610] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29454), 1,
      sym_indexing_operator,
    STATE(20190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756624] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29456), 1,
      sym_indexing_operator,
    STATE(20191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756638] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29458), 1,
      sym_indexing_operator,
    STATE(20192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756652] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29460), 1,
      sym_indexing_operator,
    STATE(20193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756666] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29462), 1,
      sym_indexing_operator,
    STATE(20194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756680] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29464), 1,
      sym_indexing_operator,
    STATE(20195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756694] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29466), 1,
      sym_indexing_operator,
    STATE(20196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756708] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29468), 1,
      sym_indexing_operator,
    STATE(20197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756722] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29470), 1,
      sym_indexing_operator,
    STATE(20198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756736] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29472), 1,
      sym_indexing_operator,
    STATE(20199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756750] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29474), 1,
      sym_indexing_operator,
    STATE(20200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756764] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29476), 1,
      sym_indexing_operator,
    STATE(20201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756778] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29478), 1,
      sym_indexing_operator,
    STATE(20202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756792] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29480), 1,
      sym_indexing_operator,
    STATE(20203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756806] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29482), 1,
      anon_sym_RBRACE,
    STATE(20204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756820] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16657), 1,
      anon_sym_RPAREN,
    STATE(20205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756834] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29484), 1,
      anon_sym_DASH_GT,
    STATE(20206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756848] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8964), 1,
      anon_sym_DASH_GT,
    STATE(20207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756862] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17337), 1,
      anon_sym_GT,
    STATE(20208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756876] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29486), 1,
      anon_sym_DASH_GT,
    STATE(20209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756890] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29488), 1,
      anon_sym_EQ,
    STATE(20210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756904] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29490), 1,
      anon_sym_RPAREN,
    STATE(20211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756918] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17528), 1,
      anon_sym_GT,
    STATE(20212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756932] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29492), 1,
      anon_sym_RBRACE,
    STATE(20213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756946] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24812), 1,
      anon_sym_RBRACE,
    STATE(20214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756960] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29494), 1,
      anon_sym_EQ,
    STATE(20215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756974] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29496), 1,
      anon_sym_RPAREN,
    STATE(20216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756988] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29498), 1,
      anon_sym_RPAREN,
    STATE(20217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757002] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16651), 1,
      anon_sym_RPAREN,
    STATE(20218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757016] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21501), 1,
      anon_sym_GT_RBRACE,
    STATE(20219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757030] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29500), 1,
      anon_sym_RBRACK,
    STATE(20220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757044] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29502), 1,
      anon_sym_RBRACE,
    STATE(20221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757058] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29504), 1,
      anon_sym_in,
    STATE(20222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757072] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29506), 1,
      anon_sym_RPAREN,
    STATE(20223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757086] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16633), 1,
      anon_sym_RPAREN,
    STATE(20224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757100] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29508), 1,
      anon_sym_RPAREN,
    STATE(20225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757114] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19837), 1,
      anon_sym_end,
    STATE(20226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757128] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29510), 1,
      anon_sym_SQUOTE2,
    STATE(20227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757142] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29512), 1,
      anon_sym_DQUOTE,
    STATE(20228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757156] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29514), 1,
      anon_sym_EQ,
    STATE(20229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757170] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29516), 1,
      anon_sym_RBRACE,
    STATE(20230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757184] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29518), 1,
      anon_sym_EQ,
    STATE(20231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757198] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29520), 1,
      anon_sym_EQ,
    STATE(20232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757212] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29522), 1,
      anon_sym_EQ,
    STATE(20233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757226] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29524), 1,
      anon_sym_in,
    STATE(20234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757240] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29526), 1,
      anon_sym_RPAREN,
    STATE(20235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757254] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29528), 1,
      anon_sym_RPAREN,
    STATE(20236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757268] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29530), 1,
      anon_sym_RPAREN,
    STATE(20237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757282] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24824), 1,
      anon_sym_RBRACE,
    STATE(20238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757296] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29532), 1,
      anon_sym_DASH_GT,
    STATE(20239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757310] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29534), 1,
      sym__lowercase_identifier,
    STATE(20240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757324] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29536), 1,
      anon_sym_RBRACK,
    STATE(20241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757338] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29538), 1,
      sym__lowercase_identifier,
    STATE(20242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757352] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29540), 1,
      anon_sym_RBRACE,
    STATE(20243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757366] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29542), 1,
      anon_sym_in,
    STATE(20244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757380] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29544), 1,
      anon_sym_RBRACE,
    STATE(20245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757394] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29546), 1,
      anon_sym_RPAREN,
    STATE(20246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757408] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16598), 1,
      anon_sym_RPAREN,
    STATE(20247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757422] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29548), 1,
      anon_sym_DOT,
    STATE(20248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757436] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29550), 1,
      anon_sym_RPAREN,
    STATE(20249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757450] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29552), 1,
      anon_sym_RPAREN,
    STATE(20250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757464] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29554), 1,
      anon_sym_with,
    STATE(20251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757478] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29556), 1,
      anon_sym_RBRACK,
    STATE(20252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757492] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29558), 1,
      anon_sym_RPAREN,
    STATE(20253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757506] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29560), 1,
      anon_sym_EQ,
    STATE(20254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757520] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29562), 1,
      anon_sym_RBRACE,
    STATE(20255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757534] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24000), 1,
      anon_sym_RPAREN,
    STATE(20256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757548] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8793), 1,
      anon_sym_DASH_GT,
    STATE(20257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757562] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29564), 1,
      anon_sym_RPAREN,
    STATE(20258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757576] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29566), 1,
      anon_sym_RPAREN,
    STATE(20259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757590] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21451), 1,
      anon_sym_GT_RBRACE,
    STATE(20260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757604] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29568), 1,
      anon_sym_RBRACE,
    STATE(20261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757618] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29570), 1,
      anon_sym_DOT,
    STATE(20262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757632] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29572), 1,
      anon_sym_RPAREN,
    STATE(20263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757646] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29574), 1,
      anon_sym_DOT,
    STATE(20264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757660] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29576), 1,
      anon_sym_DASH_GT,
    STATE(20265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757674] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19920), 1,
      anon_sym_end,
    STATE(20266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757688] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29578), 1,
      anon_sym_in,
    STATE(20267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757702] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29580), 1,
      anon_sym_DASH_GT,
    STATE(20268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757716] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29582), 1,
      anon_sym_DOT,
    STATE(20269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757730] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5357), 1,
      anon_sym_COLON_COLON,
    STATE(20270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757744] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29584), 1,
      anon_sym_RBRACK,
    STATE(20271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757758] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29586), 1,
      anon_sym_RBRACE,
    STATE(20272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757772] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29588), 1,
      sym__lowercase_identifier,
    STATE(20273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757786] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29590), 1,
      anon_sym_RPAREN,
    STATE(20274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757800] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16508), 1,
      anon_sym_RPAREN,
    STATE(20275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757814] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29592), 1,
      anon_sym_LT_DASH,
    STATE(20276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757828] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29594), 1,
      anon_sym_DASH_GT,
    STATE(20277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757842] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3223), 1,
      anon_sym_RPAREN,
    STATE(20278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757856] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29596), 1,
      anon_sym_RBRACE,
    STATE(20279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757870] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29598), 1,
      anon_sym_LT_DASH,
    STATE(20280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757884] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29600), 1,
      anon_sym_RBRACK,
    STATE(20281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757898] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29602), 1,
      anon_sym_RPAREN,
    STATE(20282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757912] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29604), 1,
      anon_sym_SQUOTE2,
    STATE(20283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757926] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29606), 1,
      anon_sym_in,
    STATE(20284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757940] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29608), 1,
      anon_sym_in,
    STATE(20285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757954] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29610), 1,
      anon_sym_in,
    STATE(20286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757968] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29612), 1,
      anon_sym_RPAREN,
    STATE(20287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757982] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29614), 1,
      anon_sym_DQUOTE,
    STATE(20288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757996] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29616), 1,
      anon_sym_RPAREN,
    STATE(20289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758010] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29618), 1,
      anon_sym_DASH_GT,
    STATE(20290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758024] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_DASH_GT,
    STATE(20291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758038] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29620), 1,
      anon_sym_in,
    STATE(20292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758052] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29622), 1,
      anon_sym_GT,
    STATE(20293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758066] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29624), 1,
      anon_sym_with,
    STATE(20294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758080] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29626), 1,
      anon_sym_in,
    STATE(20295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758094] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22758), 1,
      anon_sym_RBRACE,
    STATE(20296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758108] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2455), 1,
      anon_sym_COLON_COLON,
    STATE(20297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758122] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29628), 1,
      anon_sym_in,
    STATE(20298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758136] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29630), 1,
      anon_sym_DASH_GT,
    STATE(20299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758150] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29632), 1,
      anon_sym_EQ,
    STATE(20300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758164] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29634), 1,
      anon_sym_with,
    STATE(20301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758178] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29636), 1,
      anon_sym_RBRACE,
    STATE(20302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758192] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29638), 1,
      anon_sym_RPAREN,
    STATE(20303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758206] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29640), 1,
      anon_sym_DASH_GT,
    STATE(20304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758220] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29642), 1,
      anon_sym_DOT,
    STATE(20305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758234] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29644), 1,
      anon_sym_RPAREN,
    STATE(20306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758248] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29646), 1,
      anon_sym_RBRACE,
    STATE(20307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758262] = 1,
    ACTIONS(29648), 1,
      ts_builtin_sym_end,
  [758266] = 1,
    ACTIONS(29650), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2894)] = 0,
  [SMALL_STATE(2895)] = 135,
  [SMALL_STATE(2896)] = 270,
  [SMALL_STATE(2897)] = 345,
  [SMALL_STATE(2898)] = 480,
  [SMALL_STATE(2899)] = 615,
  [SMALL_STATE(2900)] = 750,
  [SMALL_STATE(2901)] = 825,
  [SMALL_STATE(2902)] = 900,
  [SMALL_STATE(2903)] = 975,
  [SMALL_STATE(2904)] = 1050,
  [SMALL_STATE(2905)] = 1125,
  [SMALL_STATE(2906)] = 1200,
  [SMALL_STATE(2907)] = 1335,
  [SMALL_STATE(2908)] = 1410,
  [SMALL_STATE(2909)] = 1487,
  [SMALL_STATE(2910)] = 1622,
  [SMALL_STATE(2911)] = 1699,
  [SMALL_STATE(2912)] = 1834,
  [SMALL_STATE(2913)] = 1969,
  [SMALL_STATE(2914)] = 2104,
  [SMALL_STATE(2915)] = 2239,
  [SMALL_STATE(2916)] = 2374,
  [SMALL_STATE(2917)] = 2509,
  [SMALL_STATE(2918)] = 2644,
  [SMALL_STATE(2919)] = 2719,
  [SMALL_STATE(2920)] = 2854,
  [SMALL_STATE(2921)] = 2977,
  [SMALL_STATE(2922)] = 3112,
  [SMALL_STATE(2923)] = 3247,
  [SMALL_STATE(2924)] = 3324,
  [SMALL_STATE(2925)] = 3399,
  [SMALL_STATE(2926)] = 3534,
  [SMALL_STATE(2927)] = 3609,
  [SMALL_STATE(2928)] = 3684,
  [SMALL_STATE(2929)] = 3759,
  [SMALL_STATE(2930)] = 3834,
  [SMALL_STATE(2931)] = 3909,
  [SMALL_STATE(2932)] = 3984,
  [SMALL_STATE(2933)] = 4061,
  [SMALL_STATE(2934)] = 4196,
  [SMALL_STATE(2935)] = 4271,
  [SMALL_STATE(2936)] = 4346,
  [SMALL_STATE(2937)] = 4420,
  [SMALL_STATE(2938)] = 4494,
  [SMALL_STATE(2939)] = 4568,
  [SMALL_STATE(2940)] = 4700,
  [SMALL_STATE(2941)] = 4832,
  [SMALL_STATE(2942)] = 4964,
  [SMALL_STATE(2943)] = 5038,
  [SMALL_STATE(2944)] = 5112,
  [SMALL_STATE(2945)] = 5186,
  [SMALL_STATE(2946)] = 5260,
  [SMALL_STATE(2947)] = 5334,
  [SMALL_STATE(2948)] = 5466,
  [SMALL_STATE(2949)] = 5540,
  [SMALL_STATE(2950)] = 5672,
  [SMALL_STATE(2951)] = 5804,
  [SMALL_STATE(2952)] = 5936,
  [SMALL_STATE(2953)] = 6068,
  [SMALL_STATE(2954)] = 6200,
  [SMALL_STATE(2955)] = 6274,
  [SMALL_STATE(2956)] = 6348,
  [SMALL_STATE(2957)] = 6480,
  [SMALL_STATE(2958)] = 6554,
  [SMALL_STATE(2959)] = 6628,
  [SMALL_STATE(2960)] = 6702,
  [SMALL_STATE(2961)] = 6776,
  [SMALL_STATE(2962)] = 6908,
  [SMALL_STATE(2963)] = 6982,
  [SMALL_STATE(2964)] = 7056,
  [SMALL_STATE(2965)] = 7188,
  [SMALL_STATE(2966)] = 7320,
  [SMALL_STATE(2967)] = 7394,
  [SMALL_STATE(2968)] = 7468,
  [SMALL_STATE(2969)] = 7542,
  [SMALL_STATE(2970)] = 7674,
  [SMALL_STATE(2971)] = 7806,
  [SMALL_STATE(2972)] = 7938,
  [SMALL_STATE(2973)] = 8070,
  [SMALL_STATE(2974)] = 8202,
  [SMALL_STATE(2975)] = 8276,
  [SMALL_STATE(2976)] = 8408,
  [SMALL_STATE(2977)] = 8482,
  [SMALL_STATE(2978)] = 8612,
  [SMALL_STATE(2979)] = 8744,
  [SMALL_STATE(2980)] = 8818,
  [SMALL_STATE(2981)] = 8892,
  [SMALL_STATE(2982)] = 9024,
  [SMALL_STATE(2983)] = 9156,
  [SMALL_STATE(2984)] = 9288,
  [SMALL_STATE(2985)] = 9420,
  [SMALL_STATE(2986)] = 9552,
  [SMALL_STATE(2987)] = 9684,
  [SMALL_STATE(2988)] = 9758,
  [SMALL_STATE(2989)] = 9890,
  [SMALL_STATE(2990)] = 10022,
  [SMALL_STATE(2991)] = 10154,
  [SMALL_STATE(2992)] = 10228,
  [SMALL_STATE(2993)] = 10302,
  [SMALL_STATE(2994)] = 10378,
  [SMALL_STATE(2995)] = 10510,
  [SMALL_STATE(2996)] = 10642,
  [SMALL_STATE(2997)] = 10774,
  [SMALL_STATE(2998)] = 10906,
  [SMALL_STATE(2999)] = 11038,
  [SMALL_STATE(3000)] = 11170,
  [SMALL_STATE(3001)] = 11302,
  [SMALL_STATE(3002)] = 11434,
  [SMALL_STATE(3003)] = 11508,
  [SMALL_STATE(3004)] = 11640,
  [SMALL_STATE(3005)] = 11772,
  [SMALL_STATE(3006)] = 11846,
  [SMALL_STATE(3007)] = 11978,
  [SMALL_STATE(3008)] = 12108,
  [SMALL_STATE(3009)] = 12240,
  [SMALL_STATE(3010)] = 12372,
  [SMALL_STATE(3011)] = 12504,
  [SMALL_STATE(3012)] = 12636,
  [SMALL_STATE(3013)] = 12710,
  [SMALL_STATE(3014)] = 12784,
  [SMALL_STATE(3015)] = 12916,
  [SMALL_STATE(3016)] = 13048,
  [SMALL_STATE(3017)] = 13178,
  [SMALL_STATE(3018)] = 13252,
  [SMALL_STATE(3019)] = 13326,
  [SMALL_STATE(3020)] = 13458,
  [SMALL_STATE(3021)] = 13532,
  [SMALL_STATE(3022)] = 13664,
  [SMALL_STATE(3023)] = 13738,
  [SMALL_STATE(3024)] = 13870,
  [SMALL_STATE(3025)] = 14002,
  [SMALL_STATE(3026)] = 14134,
  [SMALL_STATE(3027)] = 14266,
  [SMALL_STATE(3028)] = 14398,
  [SMALL_STATE(3029)] = 14530,
  [SMALL_STATE(3030)] = 14660,
  [SMALL_STATE(3031)] = 14792,
  [SMALL_STATE(3032)] = 14924,
  [SMALL_STATE(3033)] = 15056,
  [SMALL_STATE(3034)] = 15188,
  [SMALL_STATE(3035)] = 15320,
  [SMALL_STATE(3036)] = 15452,
  [SMALL_STATE(3037)] = 15584,
  [SMALL_STATE(3038)] = 15716,
  [SMALL_STATE(3039)] = 15848,
  [SMALL_STATE(3040)] = 15978,
  [SMALL_STATE(3041)] = 16110,
  [SMALL_STATE(3042)] = 16242,
  [SMALL_STATE(3043)] = 16374,
  [SMALL_STATE(3044)] = 16506,
  [SMALL_STATE(3045)] = 16580,
  [SMALL_STATE(3046)] = 16654,
  [SMALL_STATE(3047)] = 16786,
  [SMALL_STATE(3048)] = 16918,
  [SMALL_STATE(3049)] = 17048,
  [SMALL_STATE(3050)] = 17180,
  [SMALL_STATE(3051)] = 17312,
  [SMALL_STATE(3052)] = 17444,
  [SMALL_STATE(3053)] = 17576,
  [SMALL_STATE(3054)] = 17708,
  [SMALL_STATE(3055)] = 17838,
  [SMALL_STATE(3056)] = 17970,
  [SMALL_STATE(3057)] = 18102,
  [SMALL_STATE(3058)] = 18176,
  [SMALL_STATE(3059)] = 18308,
  [SMALL_STATE(3060)] = 18440,
  [SMALL_STATE(3061)] = 18570,
  [SMALL_STATE(3062)] = 18644,
  [SMALL_STATE(3063)] = 18776,
  [SMALL_STATE(3064)] = 18850,
  [SMALL_STATE(3065)] = 18982,
  [SMALL_STATE(3066)] = 19114,
  [SMALL_STATE(3067)] = 19244,
  [SMALL_STATE(3068)] = 19320,
  [SMALL_STATE(3069)] = 19452,
  [SMALL_STATE(3070)] = 19526,
  [SMALL_STATE(3071)] = 19658,
  [SMALL_STATE(3072)] = 19732,
  [SMALL_STATE(3073)] = 19862,
  [SMALL_STATE(3074)] = 19994,
  [SMALL_STATE(3075)] = 20126,
  [SMALL_STATE(3076)] = 20258,
  [SMALL_STATE(3077)] = 20390,
  [SMALL_STATE(3078)] = 20464,
  [SMALL_STATE(3079)] = 20594,
  [SMALL_STATE(3080)] = 20670,
  [SMALL_STATE(3081)] = 20802,
  [SMALL_STATE(3082)] = 20934,
  [SMALL_STATE(3083)] = 21010,
  [SMALL_STATE(3084)] = 21084,
  [SMALL_STATE(3085)] = 21216,
  [SMALL_STATE(3086)] = 21290,
  [SMALL_STATE(3087)] = 21420,
  [SMALL_STATE(3088)] = 21494,
  [SMALL_STATE(3089)] = 21626,
  [SMALL_STATE(3090)] = 21756,
  [SMALL_STATE(3091)] = 21830,
  [SMALL_STATE(3092)] = 21960,
  [SMALL_STATE(3093)] = 22036,
  [SMALL_STATE(3094)] = 22110,
  [SMALL_STATE(3095)] = 22240,
  [SMALL_STATE(3096)] = 22316,
  [SMALL_STATE(3097)] = 22390,
  [SMALL_STATE(3098)] = 22520,
  [SMALL_STATE(3099)] = 22652,
  [SMALL_STATE(3100)] = 22782,
  [SMALL_STATE(3101)] = 22914,
  [SMALL_STATE(3102)] = 23044,
  [SMALL_STATE(3103)] = 23120,
  [SMALL_STATE(3104)] = 23250,
  [SMALL_STATE(3105)] = 23382,
  [SMALL_STATE(3106)] = 23512,
  [SMALL_STATE(3107)] = 23588,
  [SMALL_STATE(3108)] = 23718,
  [SMALL_STATE(3109)] = 23850,
  [SMALL_STATE(3110)] = 23980,
  [SMALL_STATE(3111)] = 24054,
  [SMALL_STATE(3112)] = 24184,
  [SMALL_STATE(3113)] = 24258,
  [SMALL_STATE(3114)] = 24390,
  [SMALL_STATE(3115)] = 24520,
  [SMALL_STATE(3116)] = 24594,
  [SMALL_STATE(3117)] = 24668,
  [SMALL_STATE(3118)] = 24742,
  [SMALL_STATE(3119)] = 24872,
  [SMALL_STATE(3120)] = 24946,
  [SMALL_STATE(3121)] = 25020,
  [SMALL_STATE(3122)] = 25094,
  [SMALL_STATE(3123)] = 25174,
  [SMALL_STATE(3124)] = 25306,
  [SMALL_STATE(3125)] = 25436,
  [SMALL_STATE(3126)] = 25510,
  [SMALL_STATE(3127)] = 25584,
  [SMALL_STATE(3128)] = 25658,
  [SMALL_STATE(3129)] = 25732,
  [SMALL_STATE(3130)] = 25806,
  [SMALL_STATE(3131)] = 25880,
  [SMALL_STATE(3132)] = 26010,
  [SMALL_STATE(3133)] = 26084,
  [SMALL_STATE(3134)] = 26216,
  [SMALL_STATE(3135)] = 26290,
  [SMALL_STATE(3136)] = 26366,
  [SMALL_STATE(3137)] = 26498,
  [SMALL_STATE(3138)] = 26628,
  [SMALL_STATE(3139)] = 26702,
  [SMALL_STATE(3140)] = 26776,
  [SMALL_STATE(3141)] = 26850,
  [SMALL_STATE(3142)] = 26924,
  [SMALL_STATE(3143)] = 26998,
  [SMALL_STATE(3144)] = 27130,
  [SMALL_STATE(3145)] = 27260,
  [SMALL_STATE(3146)] = 27334,
  [SMALL_STATE(3147)] = 27408,
  [SMALL_STATE(3148)] = 27482,
  [SMALL_STATE(3149)] = 27556,
  [SMALL_STATE(3150)] = 27630,
  [SMALL_STATE(3151)] = 27704,
  [SMALL_STATE(3152)] = 27778,
  [SMALL_STATE(3153)] = 27910,
  [SMALL_STATE(3154)] = 28040,
  [SMALL_STATE(3155)] = 28114,
  [SMALL_STATE(3156)] = 28188,
  [SMALL_STATE(3157)] = 28262,
  [SMALL_STATE(3158)] = 28342,
  [SMALL_STATE(3159)] = 28474,
  [SMALL_STATE(3160)] = 28606,
  [SMALL_STATE(3161)] = 28738,
  [SMALL_STATE(3162)] = 28812,
  [SMALL_STATE(3163)] = 28942,
  [SMALL_STATE(3164)] = 29016,
  [SMALL_STATE(3165)] = 29090,
  [SMALL_STATE(3166)] = 29164,
  [SMALL_STATE(3167)] = 29238,
  [SMALL_STATE(3168)] = 29312,
  [SMALL_STATE(3169)] = 29386,
  [SMALL_STATE(3170)] = 29462,
  [SMALL_STATE(3171)] = 29592,
  [SMALL_STATE(3172)] = 29724,
  [SMALL_STATE(3173)] = 29798,
  [SMALL_STATE(3174)] = 29872,
  [SMALL_STATE(3175)] = 30002,
  [SMALL_STATE(3176)] = 30076,
  [SMALL_STATE(3177)] = 30208,
  [SMALL_STATE(3178)] = 30338,
  [SMALL_STATE(3179)] = 30470,
  [SMALL_STATE(3180)] = 30544,
  [SMALL_STATE(3181)] = 30618,
  [SMALL_STATE(3182)] = 30748,
  [SMALL_STATE(3183)] = 30822,
  [SMALL_STATE(3184)] = 30952,
  [SMALL_STATE(3185)] = 31084,
  [SMALL_STATE(3186)] = 31214,
  [SMALL_STATE(3187)] = 31288,
  [SMALL_STATE(3188)] = 31362,
  [SMALL_STATE(3189)] = 31436,
  [SMALL_STATE(3190)] = 31512,
  [SMALL_STATE(3191)] = 31642,
  [SMALL_STATE(3192)] = 31716,
  [SMALL_STATE(3193)] = 31792,
  [SMALL_STATE(3194)] = 31866,
  [SMALL_STATE(3195)] = 31996,
  [SMALL_STATE(3196)] = 32070,
  [SMALL_STATE(3197)] = 32144,
  [SMALL_STATE(3198)] = 32220,
  [SMALL_STATE(3199)] = 32294,
  [SMALL_STATE(3200)] = 32368,
  [SMALL_STATE(3201)] = 32498,
  [SMALL_STATE(3202)] = 32572,
  [SMALL_STATE(3203)] = 32646,
  [SMALL_STATE(3204)] = 32720,
  [SMALL_STATE(3205)] = 32850,
  [SMALL_STATE(3206)] = 32924,
  [SMALL_STATE(3207)] = 32998,
  [SMALL_STATE(3208)] = 33128,
  [SMALL_STATE(3209)] = 33258,
  [SMALL_STATE(3210)] = 33332,
  [SMALL_STATE(3211)] = 33406,
  [SMALL_STATE(3212)] = 33480,
  [SMALL_STATE(3213)] = 33554,
  [SMALL_STATE(3214)] = 33628,
  [SMALL_STATE(3215)] = 33760,
  [SMALL_STATE(3216)] = 33834,
  [SMALL_STATE(3217)] = 33914,
  [SMALL_STATE(3218)] = 33988,
  [SMALL_STATE(3219)] = 34062,
  [SMALL_STATE(3220)] = 34136,
  [SMALL_STATE(3221)] = 34210,
  [SMALL_STATE(3222)] = 34284,
  [SMALL_STATE(3223)] = 34358,
  [SMALL_STATE(3224)] = 34490,
  [SMALL_STATE(3225)] = 34564,
  [SMALL_STATE(3226)] = 34640,
  [SMALL_STATE(3227)] = 34772,
  [SMALL_STATE(3228)] = 34846,
  [SMALL_STATE(3229)] = 34920,
  [SMALL_STATE(3230)] = 34994,
  [SMALL_STATE(3231)] = 35068,
  [SMALL_STATE(3232)] = 35142,
  [SMALL_STATE(3233)] = 35216,
  [SMALL_STATE(3234)] = 35290,
  [SMALL_STATE(3235)] = 35364,
  [SMALL_STATE(3236)] = 35438,
  [SMALL_STATE(3237)] = 35512,
  [SMALL_STATE(3238)] = 35586,
  [SMALL_STATE(3239)] = 35660,
  [SMALL_STATE(3240)] = 35734,
  [SMALL_STATE(3241)] = 35808,
  [SMALL_STATE(3242)] = 35882,
  [SMALL_STATE(3243)] = 35962,
  [SMALL_STATE(3244)] = 36036,
  [SMALL_STATE(3245)] = 36110,
  [SMALL_STATE(3246)] = 36184,
  [SMALL_STATE(3247)] = 36258,
  [SMALL_STATE(3248)] = 36332,
  [SMALL_STATE(3249)] = 36406,
  [SMALL_STATE(3250)] = 36480,
  [SMALL_STATE(3251)] = 36612,
  [SMALL_STATE(3252)] = 36744,
  [SMALL_STATE(3253)] = 36818,
  [SMALL_STATE(3254)] = 36892,
  [SMALL_STATE(3255)] = 36966,
  [SMALL_STATE(3256)] = 37098,
  [SMALL_STATE(3257)] = 37230,
  [SMALL_STATE(3258)] = 37304,
  [SMALL_STATE(3259)] = 37378,
  [SMALL_STATE(3260)] = 37452,
  [SMALL_STATE(3261)] = 37526,
  [SMALL_STATE(3262)] = 37600,
  [SMALL_STATE(3263)] = 37674,
  [SMALL_STATE(3264)] = 37748,
  [SMALL_STATE(3265)] = 37822,
  [SMALL_STATE(3266)] = 37896,
  [SMALL_STATE(3267)] = 37970,
  [SMALL_STATE(3268)] = 38044,
  [SMALL_STATE(3269)] = 38118,
  [SMALL_STATE(3270)] = 38192,
  [SMALL_STATE(3271)] = 38266,
  [SMALL_STATE(3272)] = 38340,
  [SMALL_STATE(3273)] = 38414,
  [SMALL_STATE(3274)] = 38488,
  [SMALL_STATE(3275)] = 38562,
  [SMALL_STATE(3276)] = 38636,
  [SMALL_STATE(3277)] = 38710,
  [SMALL_STATE(3278)] = 38784,
  [SMALL_STATE(3279)] = 38858,
  [SMALL_STATE(3280)] = 38932,
  [SMALL_STATE(3281)] = 39006,
  [SMALL_STATE(3282)] = 39080,
  [SMALL_STATE(3283)] = 39153,
  [SMALL_STATE(3284)] = 39226,
  [SMALL_STATE(3285)] = 39355,
  [SMALL_STATE(3286)] = 39428,
  [SMALL_STATE(3287)] = 39501,
  [SMALL_STATE(3288)] = 39574,
  [SMALL_STATE(3289)] = 39703,
  [SMALL_STATE(3290)] = 39776,
  [SMALL_STATE(3291)] = 39849,
  [SMALL_STATE(3292)] = 39922,
  [SMALL_STATE(3293)] = 39995,
  [SMALL_STATE(3294)] = 40068,
  [SMALL_STATE(3295)] = 40141,
  [SMALL_STATE(3296)] = 40214,
  [SMALL_STATE(3297)] = 40287,
  [SMALL_STATE(3298)] = 40360,
  [SMALL_STATE(3299)] = 40433,
  [SMALL_STATE(3300)] = 40506,
  [SMALL_STATE(3301)] = 40579,
  [SMALL_STATE(3302)] = 40652,
  [SMALL_STATE(3303)] = 40725,
  [SMALL_STATE(3304)] = 40800,
  [SMALL_STATE(3305)] = 40873,
  [SMALL_STATE(3306)] = 40946,
  [SMALL_STATE(3307)] = 41019,
  [SMALL_STATE(3308)] = 41092,
  [SMALL_STATE(3309)] = 41165,
  [SMALL_STATE(3310)] = 41238,
  [SMALL_STATE(3311)] = 41311,
  [SMALL_STATE(3312)] = 41384,
  [SMALL_STATE(3313)] = 41457,
  [SMALL_STATE(3314)] = 41530,
  [SMALL_STATE(3315)] = 41603,
  [SMALL_STATE(3316)] = 41676,
  [SMALL_STATE(3317)] = 41749,
  [SMALL_STATE(3318)] = 41822,
  [SMALL_STATE(3319)] = 41895,
  [SMALL_STATE(3320)] = 41968,
  [SMALL_STATE(3321)] = 42041,
  [SMALL_STATE(3322)] = 42114,
  [SMALL_STATE(3323)] = 42187,
  [SMALL_STATE(3324)] = 42260,
  [SMALL_STATE(3325)] = 42333,
  [SMALL_STATE(3326)] = 42406,
  [SMALL_STATE(3327)] = 42479,
  [SMALL_STATE(3328)] = 42552,
  [SMALL_STATE(3329)] = 42625,
  [SMALL_STATE(3330)] = 42698,
  [SMALL_STATE(3331)] = 42771,
  [SMALL_STATE(3332)] = 42844,
  [SMALL_STATE(3333)] = 42917,
  [SMALL_STATE(3334)] = 42990,
  [SMALL_STATE(3335)] = 43063,
  [SMALL_STATE(3336)] = 43136,
  [SMALL_STATE(3337)] = 43209,
  [SMALL_STATE(3338)] = 43282,
  [SMALL_STATE(3339)] = 43361,
  [SMALL_STATE(3340)] = 43502,
  [SMALL_STATE(3341)] = 43575,
  [SMALL_STATE(3342)] = 43648,
  [SMALL_STATE(3343)] = 43727,
  [SMALL_STATE(3344)] = 43800,
  [SMALL_STATE(3345)] = 43873,
  [SMALL_STATE(3346)] = 43948,
  [SMALL_STATE(3347)] = 44021,
  [SMALL_STATE(3348)] = 44094,
  [SMALL_STATE(3349)] = 44167,
  [SMALL_STATE(3350)] = 44240,
  [SMALL_STATE(3351)] = 44313,
  [SMALL_STATE(3352)] = 44386,
  [SMALL_STATE(3353)] = 44459,
  [SMALL_STATE(3354)] = 44534,
  [SMALL_STATE(3355)] = 44607,
  [SMALL_STATE(3356)] = 44680,
  [SMALL_STATE(3357)] = 44753,
  [SMALL_STATE(3358)] = 44826,
  [SMALL_STATE(3359)] = 44901,
  [SMALL_STATE(3360)] = 44974,
  [SMALL_STATE(3361)] = 45047,
  [SMALL_STATE(3362)] = 45120,
  [SMALL_STATE(3363)] = 45193,
  [SMALL_STATE(3364)] = 45266,
  [SMALL_STATE(3365)] = 45339,
  [SMALL_STATE(3366)] = 45412,
  [SMALL_STATE(3367)] = 45485,
  [SMALL_STATE(3368)] = 45558,
  [SMALL_STATE(3369)] = 45631,
  [SMALL_STATE(3370)] = 45760,
  [SMALL_STATE(3371)] = 45833,
  [SMALL_STATE(3372)] = 45906,
  [SMALL_STATE(3373)] = 45981,
  [SMALL_STATE(3374)] = 46054,
  [SMALL_STATE(3375)] = 46127,
  [SMALL_STATE(3376)] = 46256,
  [SMALL_STATE(3377)] = 46385,
  [SMALL_STATE(3378)] = 46458,
  [SMALL_STATE(3379)] = 46531,
  [SMALL_STATE(3380)] = 46660,
  [SMALL_STATE(3381)] = 46789,
  [SMALL_STATE(3382)] = 46862,
  [SMALL_STATE(3383)] = 46935,
  [SMALL_STATE(3384)] = 47064,
  [SMALL_STATE(3385)] = 47137,
  [SMALL_STATE(3386)] = 47210,
  [SMALL_STATE(3387)] = 47283,
  [SMALL_STATE(3388)] = 47356,
  [SMALL_STATE(3389)] = 47429,
  [SMALL_STATE(3390)] = 47502,
  [SMALL_STATE(3391)] = 47575,
  [SMALL_STATE(3392)] = 47648,
  [SMALL_STATE(3393)] = 47721,
  [SMALL_STATE(3394)] = 47794,
  [SMALL_STATE(3395)] = 47867,
  [SMALL_STATE(3396)] = 47940,
  [SMALL_STATE(3397)] = 48013,
  [SMALL_STATE(3398)] = 48086,
  [SMALL_STATE(3399)] = 48161,
  [SMALL_STATE(3400)] = 48234,
  [SMALL_STATE(3401)] = 48307,
  [SMALL_STATE(3402)] = 48380,
  [SMALL_STATE(3403)] = 48453,
  [SMALL_STATE(3404)] = 48526,
  [SMALL_STATE(3405)] = 48599,
  [SMALL_STATE(3406)] = 48672,
  [SMALL_STATE(3407)] = 48745,
  [SMALL_STATE(3408)] = 48818,
  [SMALL_STATE(3409)] = 48891,
  [SMALL_STATE(3410)] = 48964,
  [SMALL_STATE(3411)] = 49037,
  [SMALL_STATE(3412)] = 49110,
  [SMALL_STATE(3413)] = 49183,
  [SMALL_STATE(3414)] = 49256,
  [SMALL_STATE(3415)] = 49329,
  [SMALL_STATE(3416)] = 49402,
  [SMALL_STATE(3417)] = 49475,
  [SMALL_STATE(3418)] = 49548,
  [SMALL_STATE(3419)] = 49621,
  [SMALL_STATE(3420)] = 49694,
  [SMALL_STATE(3421)] = 49767,
  [SMALL_STATE(3422)] = 49846,
  [SMALL_STATE(3423)] = 49919,
  [SMALL_STATE(3424)] = 49992,
  [SMALL_STATE(3425)] = 50065,
  [SMALL_STATE(3426)] = 50138,
  [SMALL_STATE(3427)] = 50211,
  [SMALL_STATE(3428)] = 50284,
  [SMALL_STATE(3429)] = 50357,
  [SMALL_STATE(3430)] = 50430,
  [SMALL_STATE(3431)] = 50503,
  [SMALL_STATE(3432)] = 50582,
  [SMALL_STATE(3433)] = 50655,
  [SMALL_STATE(3434)] = 50728,
  [SMALL_STATE(3435)] = 50801,
  [SMALL_STATE(3436)] = 50874,
  [SMALL_STATE(3437)] = 50947,
  [SMALL_STATE(3438)] = 51020,
  [SMALL_STATE(3439)] = 51093,
  [SMALL_STATE(3440)] = 51166,
  [SMALL_STATE(3441)] = 51239,
  [SMALL_STATE(3442)] = 51368,
  [SMALL_STATE(3443)] = 51497,
  [SMALL_STATE(3444)] = 51626,
  [SMALL_STATE(3445)] = 51755,
  [SMALL_STATE(3446)] = 51884,
  [SMALL_STATE(3447)] = 52013,
  [SMALL_STATE(3448)] = 52086,
  [SMALL_STATE(3449)] = 52159,
  [SMALL_STATE(3450)] = 52290,
  [SMALL_STATE(3451)] = 52421,
  [SMALL_STATE(3452)] = 52494,
  [SMALL_STATE(3453)] = 52567,
  [SMALL_STATE(3454)] = 52696,
  [SMALL_STATE(3455)] = 52769,
  [SMALL_STATE(3456)] = 52842,
  [SMALL_STATE(3457)] = 52971,
  [SMALL_STATE(3458)] = 53044,
  [SMALL_STATE(3459)] = 53117,
  [SMALL_STATE(3460)] = 53190,
  [SMALL_STATE(3461)] = 53263,
  [SMALL_STATE(3462)] = 53336,
  [SMALL_STATE(3463)] = 53409,
  [SMALL_STATE(3464)] = 53482,
  [SMALL_STATE(3465)] = 53555,
  [SMALL_STATE(3466)] = 53628,
  [SMALL_STATE(3467)] = 53759,
  [SMALL_STATE(3468)] = 53890,
  [SMALL_STATE(3469)] = 53963,
  [SMALL_STATE(3470)] = 54038,
  [SMALL_STATE(3471)] = 54113,
  [SMALL_STATE(3472)] = 54186,
  [SMALL_STATE(3473)] = 54259,
  [SMALL_STATE(3474)] = 54332,
  [SMALL_STATE(3475)] = 54405,
  [SMALL_STATE(3476)] = 54478,
  [SMALL_STATE(3477)] = 54551,
  [SMALL_STATE(3478)] = 54624,
  [SMALL_STATE(3479)] = 54697,
  [SMALL_STATE(3480)] = 54770,
  [SMALL_STATE(3481)] = 54845,
  [SMALL_STATE(3482)] = 54920,
  [SMALL_STATE(3483)] = 55049,
  [SMALL_STATE(3484)] = 55122,
  [SMALL_STATE(3485)] = 55251,
  [SMALL_STATE(3486)] = 55380,
  [SMALL_STATE(3487)] = 55509,
  [SMALL_STATE(3488)] = 55638,
  [SMALL_STATE(3489)] = 55767,
  [SMALL_STATE(3490)] = 55896,
  [SMALL_STATE(3491)] = 55971,
  [SMALL_STATE(3492)] = 56044,
  [SMALL_STATE(3493)] = 56117,
  [SMALL_STATE(3494)] = 56192,
  [SMALL_STATE(3495)] = 56265,
  [SMALL_STATE(3496)] = 56338,
  [SMALL_STATE(3497)] = 56411,
  [SMALL_STATE(3498)] = 56484,
  [SMALL_STATE(3499)] = 56557,
  [SMALL_STATE(3500)] = 56630,
  [SMALL_STATE(3501)] = 56703,
  [SMALL_STATE(3502)] = 56776,
  [SMALL_STATE(3503)] = 56849,
  [SMALL_STATE(3504)] = 56922,
  [SMALL_STATE(3505)] = 56995,
  [SMALL_STATE(3506)] = 57068,
  [SMALL_STATE(3507)] = 57141,
  [SMALL_STATE(3508)] = 57214,
  [SMALL_STATE(3509)] = 57287,
  [SMALL_STATE(3510)] = 57360,
  [SMALL_STATE(3511)] = 57433,
  [SMALL_STATE(3512)] = 57506,
  [SMALL_STATE(3513)] = 57579,
  [SMALL_STATE(3514)] = 57652,
  [SMALL_STATE(3515)] = 57725,
  [SMALL_STATE(3516)] = 57798,
  [SMALL_STATE(3517)] = 57871,
  [SMALL_STATE(3518)] = 57944,
  [SMALL_STATE(3519)] = 58017,
  [SMALL_STATE(3520)] = 58090,
  [SMALL_STATE(3521)] = 58163,
  [SMALL_STATE(3522)] = 58236,
  [SMALL_STATE(3523)] = 58309,
  [SMALL_STATE(3524)] = 58382,
  [SMALL_STATE(3525)] = 58455,
  [SMALL_STATE(3526)] = 58528,
  [SMALL_STATE(3527)] = 58601,
  [SMALL_STATE(3528)] = 58730,
  [SMALL_STATE(3529)] = 58803,
  [SMALL_STATE(3530)] = 58876,
  [SMALL_STATE(3531)] = 58949,
  [SMALL_STATE(3532)] = 59022,
  [SMALL_STATE(3533)] = 59095,
  [SMALL_STATE(3534)] = 59170,
  [SMALL_STATE(3535)] = 59243,
  [SMALL_STATE(3536)] = 59316,
  [SMALL_STATE(3537)] = 59389,
  [SMALL_STATE(3538)] = 59462,
  [SMALL_STATE(3539)] = 59535,
  [SMALL_STATE(3540)] = 59608,
  [SMALL_STATE(3541)] = 59683,
  [SMALL_STATE(3542)] = 59756,
  [SMALL_STATE(3543)] = 59829,
  [SMALL_STATE(3544)] = 59902,
  [SMALL_STATE(3545)] = 59975,
  [SMALL_STATE(3546)] = 60104,
  [SMALL_STATE(3547)] = 60233,
  [SMALL_STATE(3548)] = 60362,
  [SMALL_STATE(3549)] = 60435,
  [SMALL_STATE(3550)] = 60508,
  [SMALL_STATE(3551)] = 60581,
  [SMALL_STATE(3552)] = 60710,
  [SMALL_STATE(3553)] = 60851,
  [SMALL_STATE(3554)] = 60980,
  [SMALL_STATE(3555)] = 61109,
  [SMALL_STATE(3556)] = 61250,
  [SMALL_STATE(3557)] = 61379,
  [SMALL_STATE(3558)] = 61508,
  [SMALL_STATE(3559)] = 61649,
  [SMALL_STATE(3560)] = 61778,
  [SMALL_STATE(3561)] = 61907,
  [SMALL_STATE(3562)] = 62048,
  [SMALL_STATE(3563)] = 62177,
  [SMALL_STATE(3564)] = 62306,
  [SMALL_STATE(3565)] = 62447,
  [SMALL_STATE(3566)] = 62576,
  [SMALL_STATE(3567)] = 62705,
  [SMALL_STATE(3568)] = 62834,
  [SMALL_STATE(3569)] = 62963,
  [SMALL_STATE(3570)] = 63092,
  [SMALL_STATE(3571)] = 63221,
  [SMALL_STATE(3572)] = 63350,
  [SMALL_STATE(3573)] = 63479,
  [SMALL_STATE(3574)] = 63608,
  [SMALL_STATE(3575)] = 63737,
  [SMALL_STATE(3576)] = 63866,
  [SMALL_STATE(3577)] = 63995,
  [SMALL_STATE(3578)] = 64124,
  [SMALL_STATE(3579)] = 64253,
  [SMALL_STATE(3580)] = 64382,
  [SMALL_STATE(3581)] = 64511,
  [SMALL_STATE(3582)] = 64640,
  [SMALL_STATE(3583)] = 64769,
  [SMALL_STATE(3584)] = 64898,
  [SMALL_STATE(3585)] = 65027,
  [SMALL_STATE(3586)] = 65156,
  [SMALL_STATE(3587)] = 65285,
  [SMALL_STATE(3588)] = 65414,
  [SMALL_STATE(3589)] = 65543,
  [SMALL_STATE(3590)] = 65672,
  [SMALL_STATE(3591)] = 65801,
  [SMALL_STATE(3592)] = 65930,
  [SMALL_STATE(3593)] = 66059,
  [SMALL_STATE(3594)] = 66188,
  [SMALL_STATE(3595)] = 66317,
  [SMALL_STATE(3596)] = 66446,
  [SMALL_STATE(3597)] = 66519,
  [SMALL_STATE(3598)] = 66592,
  [SMALL_STATE(3599)] = 66721,
  [SMALL_STATE(3600)] = 66794,
  [SMALL_STATE(3601)] = 66923,
  [SMALL_STATE(3602)] = 66996,
  [SMALL_STATE(3603)] = 67069,
  [SMALL_STATE(3604)] = 67198,
  [SMALL_STATE(3605)] = 67271,
  [SMALL_STATE(3606)] = 67350,
  [SMALL_STATE(3607)] = 67479,
  [SMALL_STATE(3608)] = 67608,
  [SMALL_STATE(3609)] = 67737,
  [SMALL_STATE(3610)] = 67810,
  [SMALL_STATE(3611)] = 67883,
  [SMALL_STATE(3612)] = 67956,
  [SMALL_STATE(3613)] = 68085,
  [SMALL_STATE(3614)] = 68158,
  [SMALL_STATE(3615)] = 68231,
  [SMALL_STATE(3616)] = 68360,
  [SMALL_STATE(3617)] = 68433,
  [SMALL_STATE(3618)] = 68506,
  [SMALL_STATE(3619)] = 68635,
  [SMALL_STATE(3620)] = 68708,
  [SMALL_STATE(3621)] = 68837,
  [SMALL_STATE(3622)] = 68912,
  [SMALL_STATE(3623)] = 68985,
  [SMALL_STATE(3624)] = 69114,
  [SMALL_STATE(3625)] = 69243,
  [SMALL_STATE(3626)] = 69316,
  [SMALL_STATE(3627)] = 69389,
  [SMALL_STATE(3628)] = 69518,
  [SMALL_STATE(3629)] = 69591,
  [SMALL_STATE(3630)] = 69664,
  [SMALL_STATE(3631)] = 69793,
  [SMALL_STATE(3632)] = 69866,
  [SMALL_STATE(3633)] = 69939,
  [SMALL_STATE(3634)] = 70068,
  [SMALL_STATE(3635)] = 70141,
  [SMALL_STATE(3636)] = 70214,
  [SMALL_STATE(3637)] = 70343,
  [SMALL_STATE(3638)] = 70416,
  [SMALL_STATE(3639)] = 70545,
  [SMALL_STATE(3640)] = 70618,
  [SMALL_STATE(3641)] = 70691,
  [SMALL_STATE(3642)] = 70820,
  [SMALL_STATE(3643)] = 70893,
  [SMALL_STATE(3644)] = 70966,
  [SMALL_STATE(3645)] = 71095,
  [SMALL_STATE(3646)] = 71168,
  [SMALL_STATE(3647)] = 71241,
  [SMALL_STATE(3648)] = 71370,
  [SMALL_STATE(3649)] = 71449,
  [SMALL_STATE(3650)] = 71578,
  [SMALL_STATE(3651)] = 71651,
  [SMALL_STATE(3652)] = 71780,
  [SMALL_STATE(3653)] = 71853,
  [SMALL_STATE(3654)] = 71926,
  [SMALL_STATE(3655)] = 71999,
  [SMALL_STATE(3656)] = 72128,
  [SMALL_STATE(3657)] = 72257,
  [SMALL_STATE(3658)] = 72386,
  [SMALL_STATE(3659)] = 72459,
  [SMALL_STATE(3660)] = 72588,
  [SMALL_STATE(3661)] = 72661,
  [SMALL_STATE(3662)] = 72734,
  [SMALL_STATE(3663)] = 72863,
  [SMALL_STATE(3664)] = 72936,
  [SMALL_STATE(3665)] = 73065,
  [SMALL_STATE(3666)] = 73138,
  [SMALL_STATE(3667)] = 73211,
  [SMALL_STATE(3668)] = 73340,
  [SMALL_STATE(3669)] = 73413,
  [SMALL_STATE(3670)] = 73486,
  [SMALL_STATE(3671)] = 73615,
  [SMALL_STATE(3672)] = 73694,
  [SMALL_STATE(3673)] = 73823,
  [SMALL_STATE(3674)] = 73952,
  [SMALL_STATE(3675)] = 74025,
  [SMALL_STATE(3676)] = 74098,
  [SMALL_STATE(3677)] = 74171,
  [SMALL_STATE(3678)] = 74300,
  [SMALL_STATE(3679)] = 74373,
  [SMALL_STATE(3680)] = 74502,
  [SMALL_STATE(3681)] = 74575,
  [SMALL_STATE(3682)] = 74648,
  [SMALL_STATE(3683)] = 74777,
  [SMALL_STATE(3684)] = 74850,
  [SMALL_STATE(3685)] = 74979,
  [SMALL_STATE(3686)] = 75054,
  [SMALL_STATE(3687)] = 75127,
  [SMALL_STATE(3688)] = 75256,
  [SMALL_STATE(3689)] = 75329,
  [SMALL_STATE(3690)] = 75402,
  [SMALL_STATE(3691)] = 75531,
  [SMALL_STATE(3692)] = 75604,
  [SMALL_STATE(3693)] = 75677,
  [SMALL_STATE(3694)] = 75750,
  [SMALL_STATE(3695)] = 75879,
  [SMALL_STATE(3696)] = 75952,
  [SMALL_STATE(3697)] = 76081,
  [SMALL_STATE(3698)] = 76154,
  [SMALL_STATE(3699)] = 76227,
  [SMALL_STATE(3700)] = 76356,
  [SMALL_STATE(3701)] = 76429,
  [SMALL_STATE(3702)] = 76558,
  [SMALL_STATE(3703)] = 76631,
  [SMALL_STATE(3704)] = 76704,
  [SMALL_STATE(3705)] = 76777,
  [SMALL_STATE(3706)] = 76906,
  [SMALL_STATE(3707)] = 76979,
  [SMALL_STATE(3708)] = 77108,
  [SMALL_STATE(3709)] = 77181,
  [SMALL_STATE(3710)] = 77254,
  [SMALL_STATE(3711)] = 77333,
  [SMALL_STATE(3712)] = 77462,
  [SMALL_STATE(3713)] = 77591,
  [SMALL_STATE(3714)] = 77664,
  [SMALL_STATE(3715)] = 77737,
  [SMALL_STATE(3716)] = 77811,
  [SMALL_STATE(3717)] = 77883,
  [SMALL_STATE(3718)] = 77961,
  [SMALL_STATE(3719)] = 78033,
  [SMALL_STATE(3720)] = 78105,
  [SMALL_STATE(3721)] = 78177,
  [SMALL_STATE(3722)] = 78301,
  [SMALL_STATE(3723)] = 78425,
  [SMALL_STATE(3724)] = 78497,
  [SMALL_STATE(3725)] = 78621,
  [SMALL_STATE(3726)] = 78693,
  [SMALL_STATE(3727)] = 78817,
  [SMALL_STATE(3728)] = 78941,
  [SMALL_STATE(3729)] = 79065,
  [SMALL_STATE(3730)] = 79189,
  [SMALL_STATE(3731)] = 79263,
  [SMALL_STATE(3732)] = 79335,
  [SMALL_STATE(3733)] = 79459,
  [SMALL_STATE(3734)] = 79531,
  [SMALL_STATE(3735)] = 79603,
  [SMALL_STATE(3736)] = 79675,
  [SMALL_STATE(3737)] = 79747,
  [SMALL_STATE(3738)] = 79819,
  [SMALL_STATE(3739)] = 79891,
  [SMALL_STATE(3740)] = 80015,
  [SMALL_STATE(3741)] = 80087,
  [SMALL_STATE(3742)] = 80159,
  [SMALL_STATE(3743)] = 80231,
  [SMALL_STATE(3744)] = 80355,
  [SMALL_STATE(3745)] = 80427,
  [SMALL_STATE(3746)] = 80551,
  [SMALL_STATE(3747)] = 80623,
  [SMALL_STATE(3748)] = 80747,
  [SMALL_STATE(3749)] = 80819,
  [SMALL_STATE(3750)] = 80891,
  [SMALL_STATE(3751)] = 80963,
  [SMALL_STATE(3752)] = 81035,
  [SMALL_STATE(3753)] = 81107,
  [SMALL_STATE(3754)] = 81231,
  [SMALL_STATE(3755)] = 81355,
  [SMALL_STATE(3756)] = 81429,
  [SMALL_STATE(3757)] = 81501,
  [SMALL_STATE(3758)] = 81573,
  [SMALL_STATE(3759)] = 81645,
  [SMALL_STATE(3760)] = 81769,
  [SMALL_STATE(3761)] = 81841,
  [SMALL_STATE(3762)] = 81913,
  [SMALL_STATE(3763)] = 82037,
  [SMALL_STATE(3764)] = 82161,
  [SMALL_STATE(3765)] = 82233,
  [SMALL_STATE(3766)] = 82357,
  [SMALL_STATE(3767)] = 82481,
  [SMALL_STATE(3768)] = 82605,
  [SMALL_STATE(3769)] = 82677,
  [SMALL_STATE(3770)] = 82749,
  [SMALL_STATE(3771)] = 82873,
  [SMALL_STATE(3772)] = 82997,
  [SMALL_STATE(3773)] = 83121,
  [SMALL_STATE(3774)] = 83245,
  [SMALL_STATE(3775)] = 83317,
  [SMALL_STATE(3776)] = 83391,
  [SMALL_STATE(3777)] = 83463,
  [SMALL_STATE(3778)] = 83587,
  [SMALL_STATE(3779)] = 83659,
  [SMALL_STATE(3780)] = 83733,
  [SMALL_STATE(3781)] = 83805,
  [SMALL_STATE(3782)] = 83877,
  [SMALL_STATE(3783)] = 83949,
  [SMALL_STATE(3784)] = 84073,
  [SMALL_STATE(3785)] = 84145,
  [SMALL_STATE(3786)] = 84217,
  [SMALL_STATE(3787)] = 84341,
  [SMALL_STATE(3788)] = 84465,
  [SMALL_STATE(3789)] = 84589,
  [SMALL_STATE(3790)] = 84713,
  [SMALL_STATE(3791)] = 84785,
  [SMALL_STATE(3792)] = 84909,
  [SMALL_STATE(3793)] = 84981,
  [SMALL_STATE(3794)] = 85053,
  [SMALL_STATE(3795)] = 85125,
  [SMALL_STATE(3796)] = 85197,
  [SMALL_STATE(3797)] = 85269,
  [SMALL_STATE(3798)] = 85393,
  [SMALL_STATE(3799)] = 85517,
  [SMALL_STATE(3800)] = 85589,
  [SMALL_STATE(3801)] = 85661,
  [SMALL_STATE(3802)] = 85733,
  [SMALL_STATE(3803)] = 85805,
  [SMALL_STATE(3804)] = 85929,
  [SMALL_STATE(3805)] = 86001,
  [SMALL_STATE(3806)] = 86073,
  [SMALL_STATE(3807)] = 86145,
  [SMALL_STATE(3808)] = 86269,
  [SMALL_STATE(3809)] = 86393,
  [SMALL_STATE(3810)] = 86517,
  [SMALL_STATE(3811)] = 86589,
  [SMALL_STATE(3812)] = 86663,
  [SMALL_STATE(3813)] = 86787,
  [SMALL_STATE(3814)] = 86911,
  [SMALL_STATE(3815)] = 86983,
  [SMALL_STATE(3816)] = 87055,
  [SMALL_STATE(3817)] = 87127,
  [SMALL_STATE(3818)] = 87199,
  [SMALL_STATE(3819)] = 87271,
  [SMALL_STATE(3820)] = 87343,
  [SMALL_STATE(3821)] = 87415,
  [SMALL_STATE(3822)] = 87487,
  [SMALL_STATE(3823)] = 87559,
  [SMALL_STATE(3824)] = 87683,
  [SMALL_STATE(3825)] = 87755,
  [SMALL_STATE(3826)] = 87827,
  [SMALL_STATE(3827)] = 87899,
  [SMALL_STATE(3828)] = 87971,
  [SMALL_STATE(3829)] = 88043,
  [SMALL_STATE(3830)] = 88115,
  [SMALL_STATE(3831)] = 88187,
  [SMALL_STATE(3832)] = 88259,
  [SMALL_STATE(3833)] = 88383,
  [SMALL_STATE(3834)] = 88455,
  [SMALL_STATE(3835)] = 88529,
  [SMALL_STATE(3836)] = 88601,
  [SMALL_STATE(3837)] = 88673,
  [SMALL_STATE(3838)] = 88745,
  [SMALL_STATE(3839)] = 88817,
  [SMALL_STATE(3840)] = 88889,
  [SMALL_STATE(3841)] = 88961,
  [SMALL_STATE(3842)] = 89033,
  [SMALL_STATE(3843)] = 89105,
  [SMALL_STATE(3844)] = 89177,
  [SMALL_STATE(3845)] = 89249,
  [SMALL_STATE(3846)] = 89321,
  [SMALL_STATE(3847)] = 89393,
  [SMALL_STATE(3848)] = 89465,
  [SMALL_STATE(3849)] = 89537,
  [SMALL_STATE(3850)] = 89609,
  [SMALL_STATE(3851)] = 89733,
  [SMALL_STATE(3852)] = 89807,
  [SMALL_STATE(3853)] = 89881,
  [SMALL_STATE(3854)] = 89953,
  [SMALL_STATE(3855)] = 90025,
  [SMALL_STATE(3856)] = 90097,
  [SMALL_STATE(3857)] = 90169,
  [SMALL_STATE(3858)] = 90241,
  [SMALL_STATE(3859)] = 90313,
  [SMALL_STATE(3860)] = 90437,
  [SMALL_STATE(3861)] = 90509,
  [SMALL_STATE(3862)] = 90581,
  [SMALL_STATE(3863)] = 90705,
  [SMALL_STATE(3864)] = 90777,
  [SMALL_STATE(3865)] = 90849,
  [SMALL_STATE(3866)] = 90921,
  [SMALL_STATE(3867)] = 90995,
  [SMALL_STATE(3868)] = 91119,
  [SMALL_STATE(3869)] = 91191,
  [SMALL_STATE(3870)] = 91263,
  [SMALL_STATE(3871)] = 91335,
  [SMALL_STATE(3872)] = 91407,
  [SMALL_STATE(3873)] = 91479,
  [SMALL_STATE(3874)] = 91551,
  [SMALL_STATE(3875)] = 91623,
  [SMALL_STATE(3876)] = 91695,
  [SMALL_STATE(3877)] = 91767,
  [SMALL_STATE(3878)] = 91845,
  [SMALL_STATE(3879)] = 91969,
  [SMALL_STATE(3880)] = 92041,
  [SMALL_STATE(3881)] = 92113,
  [SMALL_STATE(3882)] = 92185,
  [SMALL_STATE(3883)] = 92257,
  [SMALL_STATE(3884)] = 92329,
  [SMALL_STATE(3885)] = 92401,
  [SMALL_STATE(3886)] = 92473,
  [SMALL_STATE(3887)] = 92597,
  [SMALL_STATE(3888)] = 92669,
  [SMALL_STATE(3889)] = 92743,
  [SMALL_STATE(3890)] = 92815,
  [SMALL_STATE(3891)] = 92887,
  [SMALL_STATE(3892)] = 92959,
  [SMALL_STATE(3893)] = 93031,
  [SMALL_STATE(3894)] = 93103,
  [SMALL_STATE(3895)] = 93175,
  [SMALL_STATE(3896)] = 93247,
  [SMALL_STATE(3897)] = 93319,
  [SMALL_STATE(3898)] = 93391,
  [SMALL_STATE(3899)] = 93463,
  [SMALL_STATE(3900)] = 93535,
  [SMALL_STATE(3901)] = 93607,
  [SMALL_STATE(3902)] = 93679,
  [SMALL_STATE(3903)] = 93751,
  [SMALL_STATE(3904)] = 93823,
  [SMALL_STATE(3905)] = 93895,
  [SMALL_STATE(3906)] = 93967,
  [SMALL_STATE(3907)] = 94045,
  [SMALL_STATE(3908)] = 94117,
  [SMALL_STATE(3909)] = 94189,
  [SMALL_STATE(3910)] = 94313,
  [SMALL_STATE(3911)] = 94385,
  [SMALL_STATE(3912)] = 94457,
  [SMALL_STATE(3913)] = 94529,
  [SMALL_STATE(3914)] = 94601,
  [SMALL_STATE(3915)] = 94725,
  [SMALL_STATE(3916)] = 94849,
  [SMALL_STATE(3917)] = 94921,
  [SMALL_STATE(3918)] = 94993,
  [SMALL_STATE(3919)] = 95067,
  [SMALL_STATE(3920)] = 95139,
  [SMALL_STATE(3921)] = 95211,
  [SMALL_STATE(3922)] = 95283,
  [SMALL_STATE(3923)] = 95355,
  [SMALL_STATE(3924)] = 95427,
  [SMALL_STATE(3925)] = 95505,
  [SMALL_STATE(3926)] = 95577,
  [SMALL_STATE(3927)] = 95649,
  [SMALL_STATE(3928)] = 95721,
  [SMALL_STATE(3929)] = 95845,
  [SMALL_STATE(3930)] = 95969,
  [SMALL_STATE(3931)] = 96041,
  [SMALL_STATE(3932)] = 96113,
  [SMALL_STATE(3933)] = 96185,
  [SMALL_STATE(3934)] = 96257,
  [SMALL_STATE(3935)] = 96329,
  [SMALL_STATE(3936)] = 96406,
  [SMALL_STATE(3937)] = 96477,
  [SMALL_STATE(3938)] = 96548,
  [SMALL_STATE(3939)] = 96619,
  [SMALL_STATE(3940)] = 96690,
  [SMALL_STATE(3941)] = 96761,
  [SMALL_STATE(3942)] = 96832,
  [SMALL_STATE(3943)] = 96953,
  [SMALL_STATE(3944)] = 97024,
  [SMALL_STATE(3945)] = 97145,
  [SMALL_STATE(3946)] = 97218,
  [SMALL_STATE(3947)] = 97339,
  [SMALL_STATE(3948)] = 97460,
  [SMALL_STATE(3949)] = 97531,
  [SMALL_STATE(3950)] = 97652,
  [SMALL_STATE(3951)] = 97723,
  [SMALL_STATE(3952)] = 97794,
  [SMALL_STATE(3953)] = 97865,
  [SMALL_STATE(3954)] = 97986,
  [SMALL_STATE(3955)] = 98057,
  [SMALL_STATE(3956)] = 98128,
  [SMALL_STATE(3957)] = 98199,
  [SMALL_STATE(3958)] = 98270,
  [SMALL_STATE(3959)] = 98341,
  [SMALL_STATE(3960)] = 98412,
  [SMALL_STATE(3961)] = 98533,
  [SMALL_STATE(3962)] = 98654,
  [SMALL_STATE(3963)] = 98725,
  [SMALL_STATE(3964)] = 98796,
  [SMALL_STATE(3965)] = 98867,
  [SMALL_STATE(3966)] = 98938,
  [SMALL_STATE(3967)] = 99009,
  [SMALL_STATE(3968)] = 99080,
  [SMALL_STATE(3969)] = 99151,
  [SMALL_STATE(3970)] = 99222,
  [SMALL_STATE(3971)] = 99295,
  [SMALL_STATE(3972)] = 99366,
  [SMALL_STATE(3973)] = 99439,
  [SMALL_STATE(3974)] = 99510,
  [SMALL_STATE(3975)] = 99631,
  [SMALL_STATE(3976)] = 99702,
  [SMALL_STATE(3977)] = 99773,
  [SMALL_STATE(3978)] = 99844,
  [SMALL_STATE(3979)] = 99915,
  [SMALL_STATE(3980)] = 99986,
  [SMALL_STATE(3981)] = 100057,
  [SMALL_STATE(3982)] = 100128,
  [SMALL_STATE(3983)] = 100199,
  [SMALL_STATE(3984)] = 100270,
  [SMALL_STATE(3985)] = 100341,
  [SMALL_STATE(3986)] = 100462,
  [SMALL_STATE(3987)] = 100533,
  [SMALL_STATE(3988)] = 100604,
  [SMALL_STATE(3989)] = 100675,
  [SMALL_STATE(3990)] = 100746,
  [SMALL_STATE(3991)] = 100817,
  [SMALL_STATE(3992)] = 100888,
  [SMALL_STATE(3993)] = 100959,
  [SMALL_STATE(3994)] = 101030,
  [SMALL_STATE(3995)] = 101101,
  [SMALL_STATE(3996)] = 101222,
  [SMALL_STATE(3997)] = 101343,
  [SMALL_STATE(3998)] = 101414,
  [SMALL_STATE(3999)] = 101485,
  [SMALL_STATE(4000)] = 101556,
  [SMALL_STATE(4001)] = 101627,
  [SMALL_STATE(4002)] = 101698,
  [SMALL_STATE(4003)] = 101769,
  [SMALL_STATE(4004)] = 101840,
  [SMALL_STATE(4005)] = 101961,
  [SMALL_STATE(4006)] = 102032,
  [SMALL_STATE(4007)] = 102153,
  [SMALL_STATE(4008)] = 102274,
  [SMALL_STATE(4009)] = 102395,
  [SMALL_STATE(4010)] = 102466,
  [SMALL_STATE(4011)] = 102537,
  [SMALL_STATE(4012)] = 102672,
  [SMALL_STATE(4013)] = 102793,
  [SMALL_STATE(4014)] = 102864,
  [SMALL_STATE(4015)] = 102985,
  [SMALL_STATE(4016)] = 103058,
  [SMALL_STATE(4017)] = 103179,
  [SMALL_STATE(4018)] = 103256,
  [SMALL_STATE(4019)] = 103377,
  [SMALL_STATE(4020)] = 103450,
  [SMALL_STATE(4021)] = 103571,
  [SMALL_STATE(4022)] = 103692,
  [SMALL_STATE(4023)] = 103813,
  [SMALL_STATE(4024)] = 103934,
  [SMALL_STATE(4025)] = 104055,
  [SMALL_STATE(4026)] = 104126,
  [SMALL_STATE(4027)] = 104197,
  [SMALL_STATE(4028)] = 104318,
  [SMALL_STATE(4029)] = 104439,
  [SMALL_STATE(4030)] = 104510,
  [SMALL_STATE(4031)] = 104631,
  [SMALL_STATE(4032)] = 104702,
  [SMALL_STATE(4033)] = 104823,
  [SMALL_STATE(4034)] = 104894,
  [SMALL_STATE(4035)] = 105015,
  [SMALL_STATE(4036)] = 105086,
  [SMALL_STATE(4037)] = 105157,
  [SMALL_STATE(4038)] = 105228,
  [SMALL_STATE(4039)] = 105349,
  [SMALL_STATE(4040)] = 105470,
  [SMALL_STATE(4041)] = 105541,
  [SMALL_STATE(4042)] = 105612,
  [SMALL_STATE(4043)] = 105683,
  [SMALL_STATE(4044)] = 105754,
  [SMALL_STATE(4045)] = 105825,
  [SMALL_STATE(4046)] = 105896,
  [SMALL_STATE(4047)] = 106017,
  [SMALL_STATE(4048)] = 106088,
  [SMALL_STATE(4049)] = 106159,
  [SMALL_STATE(4050)] = 106230,
  [SMALL_STATE(4051)] = 106301,
  [SMALL_STATE(4052)] = 106372,
  [SMALL_STATE(4053)] = 106443,
  [SMALL_STATE(4054)] = 106514,
  [SMALL_STATE(4055)] = 106585,
  [SMALL_STATE(4056)] = 106706,
  [SMALL_STATE(4057)] = 106777,
  [SMALL_STATE(4058)] = 106850,
  [SMALL_STATE(4059)] = 106921,
  [SMALL_STATE(4060)] = 106992,
  [SMALL_STATE(4061)] = 107063,
  [SMALL_STATE(4062)] = 107134,
  [SMALL_STATE(4063)] = 107205,
  [SMALL_STATE(4064)] = 107278,
  [SMALL_STATE(4065)] = 107349,
  [SMALL_STATE(4066)] = 107470,
  [SMALL_STATE(4067)] = 107541,
  [SMALL_STATE(4068)] = 107612,
  [SMALL_STATE(4069)] = 107683,
  [SMALL_STATE(4070)] = 107818,
  [SMALL_STATE(4071)] = 107889,
  [SMALL_STATE(4072)] = 107960,
  [SMALL_STATE(4073)] = 108031,
  [SMALL_STATE(4074)] = 108102,
  [SMALL_STATE(4075)] = 108173,
  [SMALL_STATE(4076)] = 108244,
  [SMALL_STATE(4077)] = 108365,
  [SMALL_STATE(4078)] = 108436,
  [SMALL_STATE(4079)] = 108507,
  [SMALL_STATE(4080)] = 108580,
  [SMALL_STATE(4081)] = 108701,
  [SMALL_STATE(4082)] = 108772,
  [SMALL_STATE(4083)] = 108843,
  [SMALL_STATE(4084)] = 108914,
  [SMALL_STATE(4085)] = 108985,
  [SMALL_STATE(4086)] = 109056,
  [SMALL_STATE(4087)] = 109129,
  [SMALL_STATE(4088)] = 109200,
  [SMALL_STATE(4089)] = 109271,
  [SMALL_STATE(4090)] = 109342,
  [SMALL_STATE(4091)] = 109413,
  [SMALL_STATE(4092)] = 109484,
  [SMALL_STATE(4093)] = 109555,
  [SMALL_STATE(4094)] = 109628,
  [SMALL_STATE(4095)] = 109699,
  [SMALL_STATE(4096)] = 109820,
  [SMALL_STATE(4097)] = 109891,
  [SMALL_STATE(4098)] = 109962,
  [SMALL_STATE(4099)] = 110033,
  [SMALL_STATE(4100)] = 110104,
  [SMALL_STATE(4101)] = 110175,
  [SMALL_STATE(4102)] = 110246,
  [SMALL_STATE(4103)] = 110317,
  [SMALL_STATE(4104)] = 110388,
  [SMALL_STATE(4105)] = 110459,
  [SMALL_STATE(4106)] = 110530,
  [SMALL_STATE(4107)] = 110601,
  [SMALL_STATE(4108)] = 110722,
  [SMALL_STATE(4109)] = 110793,
  [SMALL_STATE(4110)] = 110864,
  [SMALL_STATE(4111)] = 110935,
  [SMALL_STATE(4112)] = 111008,
  [SMALL_STATE(4113)] = 111079,
  [SMALL_STATE(4114)] = 111150,
  [SMALL_STATE(4115)] = 111221,
  [SMALL_STATE(4116)] = 111292,
  [SMALL_STATE(4117)] = 111365,
  [SMALL_STATE(4118)] = 111436,
  [SMALL_STATE(4119)] = 111507,
  [SMALL_STATE(4120)] = 111578,
  [SMALL_STATE(4121)] = 111649,
  [SMALL_STATE(4122)] = 111720,
  [SMALL_STATE(4123)] = 111791,
  [SMALL_STATE(4124)] = 111862,
  [SMALL_STATE(4125)] = 111933,
  [SMALL_STATE(4126)] = 112004,
  [SMALL_STATE(4127)] = 112075,
  [SMALL_STATE(4128)] = 112196,
  [SMALL_STATE(4129)] = 112267,
  [SMALL_STATE(4130)] = 112338,
  [SMALL_STATE(4131)] = 112459,
  [SMALL_STATE(4132)] = 112530,
  [SMALL_STATE(4133)] = 112601,
  [SMALL_STATE(4134)] = 112674,
  [SMALL_STATE(4135)] = 112747,
  [SMALL_STATE(4136)] = 112818,
  [SMALL_STATE(4137)] = 112889,
  [SMALL_STATE(4138)] = 112960,
  [SMALL_STATE(4139)] = 113031,
  [SMALL_STATE(4140)] = 113102,
  [SMALL_STATE(4141)] = 113173,
  [SMALL_STATE(4142)] = 113244,
  [SMALL_STATE(4143)] = 113315,
  [SMALL_STATE(4144)] = 113386,
  [SMALL_STATE(4145)] = 113457,
  [SMALL_STATE(4146)] = 113578,
  [SMALL_STATE(4147)] = 113649,
  [SMALL_STATE(4148)] = 113726,
  [SMALL_STATE(4149)] = 113797,
  [SMALL_STATE(4150)] = 113918,
  [SMALL_STATE(4151)] = 113989,
  [SMALL_STATE(4152)] = 114066,
  [SMALL_STATE(4153)] = 114137,
  [SMALL_STATE(4154)] = 114208,
  [SMALL_STATE(4155)] = 114278,
  [SMALL_STATE(4156)] = 114348,
  [SMALL_STATE(4157)] = 114418,
  [SMALL_STATE(4158)] = 114490,
  [SMALL_STATE(4159)] = 114608,
  [SMALL_STATE(4160)] = 114726,
  [SMALL_STATE(4161)] = 114844,
  [SMALL_STATE(4162)] = 114914,
  [SMALL_STATE(4163)] = 114984,
  [SMALL_STATE(4164)] = 115102,
  [SMALL_STATE(4165)] = 115220,
  [SMALL_STATE(4166)] = 115338,
  [SMALL_STATE(4167)] = 115408,
  [SMALL_STATE(4168)] = 115526,
  [SMALL_STATE(4169)] = 115596,
  [SMALL_STATE(4170)] = 115714,
  [SMALL_STATE(4171)] = 115832,
  [SMALL_STATE(4172)] = 115950,
  [SMALL_STATE(4173)] = 116068,
  [SMALL_STATE(4174)] = 116186,
  [SMALL_STATE(4175)] = 116256,
  [SMALL_STATE(4176)] = 116326,
  [SMALL_STATE(4177)] = 116396,
  [SMALL_STATE(4178)] = 116514,
  [SMALL_STATE(4179)] = 116584,
  [SMALL_STATE(4180)] = 116702,
  [SMALL_STATE(4181)] = 116820,
  [SMALL_STATE(4182)] = 116938,
  [SMALL_STATE(4183)] = 117056,
  [SMALL_STATE(4184)] = 117174,
  [SMALL_STATE(4185)] = 117292,
  [SMALL_STATE(4186)] = 117362,
  [SMALL_STATE(4187)] = 117480,
  [SMALL_STATE(4188)] = 117598,
  [SMALL_STATE(4189)] = 117716,
  [SMALL_STATE(4190)] = 117834,
  [SMALL_STATE(4191)] = 117904,
  [SMALL_STATE(4192)] = 118022,
  [SMALL_STATE(4193)] = 118092,
  [SMALL_STATE(4194)] = 118210,
  [SMALL_STATE(4195)] = 118328,
  [SMALL_STATE(4196)] = 118446,
  [SMALL_STATE(4197)] = 118516,
  [SMALL_STATE(4198)] = 118586,
  [SMALL_STATE(4199)] = 118656,
  [SMALL_STATE(4200)] = 118726,
  [SMALL_STATE(4201)] = 118796,
  [SMALL_STATE(4202)] = 118914,
  [SMALL_STATE(4203)] = 119032,
  [SMALL_STATE(4204)] = 119102,
  [SMALL_STATE(4205)] = 119172,
  [SMALL_STATE(4206)] = 119242,
  [SMALL_STATE(4207)] = 119312,
  [SMALL_STATE(4208)] = 119430,
  [SMALL_STATE(4209)] = 119506,
  [SMALL_STATE(4210)] = 119576,
  [SMALL_STATE(4211)] = 119646,
  [SMALL_STATE(4212)] = 119716,
  [SMALL_STATE(4213)] = 119786,
  [SMALL_STATE(4214)] = 119856,
  [SMALL_STATE(4215)] = 119974,
  [SMALL_STATE(4216)] = 120092,
  [SMALL_STATE(4217)] = 120162,
  [SMALL_STATE(4218)] = 120280,
  [SMALL_STATE(4219)] = 120398,
  [SMALL_STATE(4220)] = 120470,
  [SMALL_STATE(4221)] = 120540,
  [SMALL_STATE(4222)] = 120658,
  [SMALL_STATE(4223)] = 120728,
  [SMALL_STATE(4224)] = 120798,
  [SMALL_STATE(4225)] = 120916,
  [SMALL_STATE(4226)] = 121034,
  [SMALL_STATE(4227)] = 121106,
  [SMALL_STATE(4228)] = 121176,
  [SMALL_STATE(4229)] = 121246,
  [SMALL_STATE(4230)] = 121316,
  [SMALL_STATE(4231)] = 121386,
  [SMALL_STATE(4232)] = 121504,
  [SMALL_STATE(4233)] = 121622,
  [SMALL_STATE(4234)] = 121692,
  [SMALL_STATE(4235)] = 121810,
  [SMALL_STATE(4236)] = 121928,
  [SMALL_STATE(4237)] = 121998,
  [SMALL_STATE(4238)] = 122068,
  [SMALL_STATE(4239)] = 122186,
  [SMALL_STATE(4240)] = 122304,
  [SMALL_STATE(4241)] = 122374,
  [SMALL_STATE(4242)] = 122444,
  [SMALL_STATE(4243)] = 122562,
  [SMALL_STATE(4244)] = 122632,
  [SMALL_STATE(4245)] = 122702,
  [SMALL_STATE(4246)] = 122772,
  [SMALL_STATE(4247)] = 122842,
  [SMALL_STATE(4248)] = 122912,
  [SMALL_STATE(4249)] = 123030,
  [SMALL_STATE(4250)] = 123148,
  [SMALL_STATE(4251)] = 123218,
  [SMALL_STATE(4252)] = 123336,
  [SMALL_STATE(4253)] = 123454,
  [SMALL_STATE(4254)] = 123524,
  [SMALL_STATE(4255)] = 123642,
  [SMALL_STATE(4256)] = 123712,
  [SMALL_STATE(4257)] = 123782,
  [SMALL_STATE(4258)] = 123852,
  [SMALL_STATE(4259)] = 123970,
  [SMALL_STATE(4260)] = 124040,
  [SMALL_STATE(4261)] = 124158,
  [SMALL_STATE(4262)] = 124276,
  [SMALL_STATE(4263)] = 124394,
  [SMALL_STATE(4264)] = 124464,
  [SMALL_STATE(4265)] = 124534,
  [SMALL_STATE(4266)] = 124604,
  [SMALL_STATE(4267)] = 124674,
  [SMALL_STATE(4268)] = 124744,
  [SMALL_STATE(4269)] = 124814,
  [SMALL_STATE(4270)] = 124884,
  [SMALL_STATE(4271)] = 124954,
  [SMALL_STATE(4272)] = 125072,
  [SMALL_STATE(4273)] = 125142,
  [SMALL_STATE(4274)] = 125260,
  [SMALL_STATE(4275)] = 125378,
  [SMALL_STATE(4276)] = 125496,
  [SMALL_STATE(4277)] = 125614,
  [SMALL_STATE(4278)] = 125690,
  [SMALL_STATE(4279)] = 125808,
  [SMALL_STATE(4280)] = 125926,
  [SMALL_STATE(4281)] = 125996,
  [SMALL_STATE(4282)] = 126066,
  [SMALL_STATE(4283)] = 126136,
  [SMALL_STATE(4284)] = 126254,
  [SMALL_STATE(4285)] = 126326,
  [SMALL_STATE(4286)] = 126396,
  [SMALL_STATE(4287)] = 126466,
  [SMALL_STATE(4288)] = 126584,
  [SMALL_STATE(4289)] = 126654,
  [SMALL_STATE(4290)] = 126724,
  [SMALL_STATE(4291)] = 126842,
  [SMALL_STATE(4292)] = 126960,
  [SMALL_STATE(4293)] = 127078,
  [SMALL_STATE(4294)] = 127148,
  [SMALL_STATE(4295)] = 127266,
  [SMALL_STATE(4296)] = 127338,
  [SMALL_STATE(4297)] = 127408,
  [SMALL_STATE(4298)] = 127526,
  [SMALL_STATE(4299)] = 127644,
  [SMALL_STATE(4300)] = 127762,
  [SMALL_STATE(4301)] = 127832,
  [SMALL_STATE(4302)] = 127950,
  [SMALL_STATE(4303)] = 128020,
  [SMALL_STATE(4304)] = 128138,
  [SMALL_STATE(4305)] = 128208,
  [SMALL_STATE(4306)] = 128326,
  [SMALL_STATE(4307)] = 128444,
  [SMALL_STATE(4308)] = 128514,
  [SMALL_STATE(4309)] = 128590,
  [SMALL_STATE(4310)] = 128708,
  [SMALL_STATE(4311)] = 128826,
  [SMALL_STATE(4312)] = 128944,
  [SMALL_STATE(4313)] = 129062,
  [SMALL_STATE(4314)] = 129180,
  [SMALL_STATE(4315)] = 129298,
  [SMALL_STATE(4316)] = 129368,
  [SMALL_STATE(4317)] = 129438,
  [SMALL_STATE(4318)] = 129508,
  [SMALL_STATE(4319)] = 129578,
  [SMALL_STATE(4320)] = 129648,
  [SMALL_STATE(4321)] = 129718,
  [SMALL_STATE(4322)] = 129836,
  [SMALL_STATE(4323)] = 129906,
  [SMALL_STATE(4324)] = 129976,
  [SMALL_STATE(4325)] = 130046,
  [SMALL_STATE(4326)] = 130116,
  [SMALL_STATE(4327)] = 130186,
  [SMALL_STATE(4328)] = 130256,
  [SMALL_STATE(4329)] = 130326,
  [SMALL_STATE(4330)] = 130396,
  [SMALL_STATE(4331)] = 130466,
  [SMALL_STATE(4332)] = 130536,
  [SMALL_STATE(4333)] = 130654,
  [SMALL_STATE(4334)] = 130724,
  [SMALL_STATE(4335)] = 130794,
  [SMALL_STATE(4336)] = 130912,
  [SMALL_STATE(4337)] = 131030,
  [SMALL_STATE(4338)] = 131148,
  [SMALL_STATE(4339)] = 131218,
  [SMALL_STATE(4340)] = 131288,
  [SMALL_STATE(4341)] = 131406,
  [SMALL_STATE(4342)] = 131482,
  [SMALL_STATE(4343)] = 131552,
  [SMALL_STATE(4344)] = 131670,
  [SMALL_STATE(4345)] = 131788,
  [SMALL_STATE(4346)] = 131906,
  [SMALL_STATE(4347)] = 132024,
  [SMALL_STATE(4348)] = 132142,
  [SMALL_STATE(4349)] = 132260,
  [SMALL_STATE(4350)] = 132330,
  [SMALL_STATE(4351)] = 132400,
  [SMALL_STATE(4352)] = 132518,
  [SMALL_STATE(4353)] = 132636,
  [SMALL_STATE(4354)] = 132754,
  [SMALL_STATE(4355)] = 132872,
  [SMALL_STATE(4356)] = 132990,
  [SMALL_STATE(4357)] = 133108,
  [SMALL_STATE(4358)] = 133226,
  [SMALL_STATE(4359)] = 133344,
  [SMALL_STATE(4360)] = 133462,
  [SMALL_STATE(4361)] = 133580,
  [SMALL_STATE(4362)] = 133698,
  [SMALL_STATE(4363)] = 133816,
  [SMALL_STATE(4364)] = 133886,
  [SMALL_STATE(4365)] = 133956,
  [SMALL_STATE(4366)] = 134026,
  [SMALL_STATE(4367)] = 134096,
  [SMALL_STATE(4368)] = 134166,
  [SMALL_STATE(4369)] = 134284,
  [SMALL_STATE(4370)] = 134354,
  [SMALL_STATE(4371)] = 134424,
  [SMALL_STATE(4372)] = 134494,
  [SMALL_STATE(4373)] = 134564,
  [SMALL_STATE(4374)] = 134634,
  [SMALL_STATE(4375)] = 134704,
  [SMALL_STATE(4376)] = 134774,
  [SMALL_STATE(4377)] = 134892,
  [SMALL_STATE(4378)] = 135010,
  [SMALL_STATE(4379)] = 135080,
  [SMALL_STATE(4380)] = 135198,
  [SMALL_STATE(4381)] = 135316,
  [SMALL_STATE(4382)] = 135434,
  [SMALL_STATE(4383)] = 135552,
  [SMALL_STATE(4384)] = 135670,
  [SMALL_STATE(4385)] = 135740,
  [SMALL_STATE(4386)] = 135810,
  [SMALL_STATE(4387)] = 135880,
  [SMALL_STATE(4388)] = 135950,
  [SMALL_STATE(4389)] = 136020,
  [SMALL_STATE(4390)] = 136090,
  [SMALL_STATE(4391)] = 136160,
  [SMALL_STATE(4392)] = 136230,
  [SMALL_STATE(4393)] = 136348,
  [SMALL_STATE(4394)] = 136418,
  [SMALL_STATE(4395)] = 136536,
  [SMALL_STATE(4396)] = 136654,
  [SMALL_STATE(4397)] = 136724,
  [SMALL_STATE(4398)] = 136794,
  [SMALL_STATE(4399)] = 136864,
  [SMALL_STATE(4400)] = 136934,
  [SMALL_STATE(4401)] = 137052,
  [SMALL_STATE(4402)] = 137170,
  [SMALL_STATE(4403)] = 137288,
  [SMALL_STATE(4404)] = 137358,
  [SMALL_STATE(4405)] = 137476,
  [SMALL_STATE(4406)] = 137594,
  [SMALL_STATE(4407)] = 137712,
  [SMALL_STATE(4408)] = 137830,
  [SMALL_STATE(4409)] = 137948,
  [SMALL_STATE(4410)] = 138018,
  [SMALL_STATE(4411)] = 138136,
  [SMALL_STATE(4412)] = 138254,
  [SMALL_STATE(4413)] = 138372,
  [SMALL_STATE(4414)] = 138490,
  [SMALL_STATE(4415)] = 138608,
  [SMALL_STATE(4416)] = 138680,
  [SMALL_STATE(4417)] = 138750,
  [SMALL_STATE(4418)] = 138820,
  [SMALL_STATE(4419)] = 138890,
  [SMALL_STATE(4420)] = 139008,
  [SMALL_STATE(4421)] = 139078,
  [SMALL_STATE(4422)] = 139148,
  [SMALL_STATE(4423)] = 139218,
  [SMALL_STATE(4424)] = 139290,
  [SMALL_STATE(4425)] = 139360,
  [SMALL_STATE(4426)] = 139432,
  [SMALL_STATE(4427)] = 139502,
  [SMALL_STATE(4428)] = 139572,
  [SMALL_STATE(4429)] = 139642,
  [SMALL_STATE(4430)] = 139712,
  [SMALL_STATE(4431)] = 139782,
  [SMALL_STATE(4432)] = 139900,
  [SMALL_STATE(4433)] = 140018,
  [SMALL_STATE(4434)] = 140136,
  [SMALL_STATE(4435)] = 140254,
  [SMALL_STATE(4436)] = 140372,
  [SMALL_STATE(4437)] = 140490,
  [SMALL_STATE(4438)] = 140560,
  [SMALL_STATE(4439)] = 140630,
  [SMALL_STATE(4440)] = 140700,
  [SMALL_STATE(4441)] = 140770,
  [SMALL_STATE(4442)] = 140840,
  [SMALL_STATE(4443)] = 140958,
  [SMALL_STATE(4444)] = 141076,
  [SMALL_STATE(4445)] = 141205,
  [SMALL_STATE(4446)] = 141334,
  [SMALL_STATE(4447)] = 141463,
  [SMALL_STATE(4448)] = 141592,
  [SMALL_STATE(4449)] = 141721,
  [SMALL_STATE(4450)] = 141790,
  [SMALL_STATE(4451)] = 141919,
  [SMALL_STATE(4452)] = 142048,
  [SMALL_STATE(4453)] = 142177,
  [SMALL_STATE(4454)] = 142306,
  [SMALL_STATE(4455)] = 142435,
  [SMALL_STATE(4456)] = 142564,
  [SMALL_STATE(4457)] = 142693,
  [SMALL_STATE(4458)] = 142822,
  [SMALL_STATE(4459)] = 142951,
  [SMALL_STATE(4460)] = 143020,
  [SMALL_STATE(4461)] = 143149,
  [SMALL_STATE(4462)] = 143278,
  [SMALL_STATE(4463)] = 143407,
  [SMALL_STATE(4464)] = 143536,
  [SMALL_STATE(4465)] = 143605,
  [SMALL_STATE(4466)] = 143734,
  [SMALL_STATE(4467)] = 143863,
  [SMALL_STATE(4468)] = 143992,
  [SMALL_STATE(4469)] = 144121,
  [SMALL_STATE(4470)] = 144250,
  [SMALL_STATE(4471)] = 144379,
  [SMALL_STATE(4472)] = 144508,
  [SMALL_STATE(4473)] = 144637,
  [SMALL_STATE(4474)] = 144766,
  [SMALL_STATE(4475)] = 144895,
  [SMALL_STATE(4476)] = 145024,
  [SMALL_STATE(4477)] = 145153,
  [SMALL_STATE(4478)] = 145282,
  [SMALL_STATE(4479)] = 145351,
  [SMALL_STATE(4480)] = 145480,
  [SMALL_STATE(4481)] = 145609,
  [SMALL_STATE(4482)] = 145738,
  [SMALL_STATE(4483)] = 145867,
  [SMALL_STATE(4484)] = 145996,
  [SMALL_STATE(4485)] = 146125,
  [SMALL_STATE(4486)] = 146254,
  [SMALL_STATE(4487)] = 146383,
  [SMALL_STATE(4488)] = 146512,
  [SMALL_STATE(4489)] = 146641,
  [SMALL_STATE(4490)] = 146770,
  [SMALL_STATE(4491)] = 146899,
  [SMALL_STATE(4492)] = 146970,
  [SMALL_STATE(4493)] = 147099,
  [SMALL_STATE(4494)] = 147228,
  [SMALL_STATE(4495)] = 147357,
  [SMALL_STATE(4496)] = 147486,
  [SMALL_STATE(4497)] = 147615,
  [SMALL_STATE(4498)] = 147744,
  [SMALL_STATE(4499)] = 147873,
  [SMALL_STATE(4500)] = 148002,
  [SMALL_STATE(4501)] = 148131,
  [SMALL_STATE(4502)] = 148260,
  [SMALL_STATE(4503)] = 148389,
  [SMALL_STATE(4504)] = 148518,
  [SMALL_STATE(4505)] = 148647,
  [SMALL_STATE(4506)] = 148776,
  [SMALL_STATE(4507)] = 148905,
  [SMALL_STATE(4508)] = 149034,
  [SMALL_STATE(4509)] = 149163,
  [SMALL_STATE(4510)] = 149234,
  [SMALL_STATE(4511)] = 149363,
  [SMALL_STATE(4512)] = 149492,
  [SMALL_STATE(4513)] = 149621,
  [SMALL_STATE(4514)] = 149747,
  [SMALL_STATE(4515)] = 149873,
  [SMALL_STATE(4516)] = 149999,
  [SMALL_STATE(4517)] = 150125,
  [SMALL_STATE(4518)] = 150251,
  [SMALL_STATE(4519)] = 150377,
  [SMALL_STATE(4520)] = 150503,
  [SMALL_STATE(4521)] = 150629,
  [SMALL_STATE(4522)] = 150755,
  [SMALL_STATE(4523)] = 150881,
  [SMALL_STATE(4524)] = 150949,
  [SMALL_STATE(4525)] = 151075,
  [SMALL_STATE(4526)] = 151201,
  [SMALL_STATE(4527)] = 151327,
  [SMALL_STATE(4528)] = 151453,
  [SMALL_STATE(4529)] = 151579,
  [SMALL_STATE(4530)] = 151705,
  [SMALL_STATE(4531)] = 151831,
  [SMALL_STATE(4532)] = 151957,
  [SMALL_STATE(4533)] = 152083,
  [SMALL_STATE(4534)] = 152209,
  [SMALL_STATE(4535)] = 152335,
  [SMALL_STATE(4536)] = 152405,
  [SMALL_STATE(4537)] = 152473,
  [SMALL_STATE(4538)] = 152599,
  [SMALL_STATE(4539)] = 152725,
  [SMALL_STATE(4540)] = 152851,
  [SMALL_STATE(4541)] = 152977,
  [SMALL_STATE(4542)] = 153103,
  [SMALL_STATE(4543)] = 153229,
  [SMALL_STATE(4544)] = 153355,
  [SMALL_STATE(4545)] = 153481,
  [SMALL_STATE(4546)] = 153607,
  [SMALL_STATE(4547)] = 153733,
  [SMALL_STATE(4548)] = 153859,
  [SMALL_STATE(4549)] = 153985,
  [SMALL_STATE(4550)] = 154111,
  [SMALL_STATE(4551)] = 154237,
  [SMALL_STATE(4552)] = 154363,
  [SMALL_STATE(4553)] = 154489,
  [SMALL_STATE(4554)] = 154615,
  [SMALL_STATE(4555)] = 154741,
  [SMALL_STATE(4556)] = 154867,
  [SMALL_STATE(4557)] = 154935,
  [SMALL_STATE(4558)] = 155061,
  [SMALL_STATE(4559)] = 155131,
  [SMALL_STATE(4560)] = 155257,
  [SMALL_STATE(4561)] = 155383,
  [SMALL_STATE(4562)] = 155509,
  [SMALL_STATE(4563)] = 155635,
  [SMALL_STATE(4564)] = 155761,
  [SMALL_STATE(4565)] = 155887,
  [SMALL_STATE(4566)] = 156013,
  [SMALL_STATE(4567)] = 156139,
  [SMALL_STATE(4568)] = 156265,
  [SMALL_STATE(4569)] = 156391,
  [SMALL_STATE(4570)] = 156459,
  [SMALL_STATE(4571)] = 156585,
  [SMALL_STATE(4572)] = 156711,
  [SMALL_STATE(4573)] = 156837,
  [SMALL_STATE(4574)] = 156963,
  [SMALL_STATE(4575)] = 157089,
  [SMALL_STATE(4576)] = 157215,
  [SMALL_STATE(4577)] = 157341,
  [SMALL_STATE(4578)] = 157467,
  [SMALL_STATE(4579)] = 157593,
  [SMALL_STATE(4580)] = 157719,
  [SMALL_STATE(4581)] = 157845,
  [SMALL_STATE(4582)] = 157968,
  [SMALL_STATE(4583)] = 158091,
  [SMALL_STATE(4584)] = 158214,
  [SMALL_STATE(4585)] = 158337,
  [SMALL_STATE(4586)] = 158460,
  [SMALL_STATE(4587)] = 158583,
  [SMALL_STATE(4588)] = 158706,
  [SMALL_STATE(4589)] = 158829,
  [SMALL_STATE(4590)] = 158952,
  [SMALL_STATE(4591)] = 159073,
  [SMALL_STATE(4592)] = 159196,
  [SMALL_STATE(4593)] = 159319,
  [SMALL_STATE(4594)] = 159442,
  [SMALL_STATE(4595)] = 159565,
  [SMALL_STATE(4596)] = 159688,
  [SMALL_STATE(4597)] = 159809,
  [SMALL_STATE(4598)] = 159932,
  [SMALL_STATE(4599)] = 160047,
  [SMALL_STATE(4600)] = 160168,
  [SMALL_STATE(4601)] = 160289,
  [SMALL_STATE(4602)] = 160412,
  [SMALL_STATE(4603)] = 160535,
  [SMALL_STATE(4604)] = 160658,
  [SMALL_STATE(4605)] = 160781,
  [SMALL_STATE(4606)] = 160904,
  [SMALL_STATE(4607)] = 160971,
  [SMALL_STATE(4608)] = 161094,
  [SMALL_STATE(4609)] = 161217,
  [SMALL_STATE(4610)] = 161340,
  [SMALL_STATE(4611)] = 161407,
  [SMALL_STATE(4612)] = 161530,
  [SMALL_STATE(4613)] = 161653,
  [SMALL_STATE(4614)] = 161776,
  [SMALL_STATE(4615)] = 161899,
  [SMALL_STATE(4616)] = 162022,
  [SMALL_STATE(4617)] = 162145,
  [SMALL_STATE(4618)] = 162268,
  [SMALL_STATE(4619)] = 162391,
  [SMALL_STATE(4620)] = 162514,
  [SMALL_STATE(4621)] = 162635,
  [SMALL_STATE(4622)] = 162702,
  [SMALL_STATE(4623)] = 162825,
  [SMALL_STATE(4624)] = 162948,
  [SMALL_STATE(4625)] = 163071,
  [SMALL_STATE(4626)] = 163194,
  [SMALL_STATE(4627)] = 163261,
  [SMALL_STATE(4628)] = 163379,
  [SMALL_STATE(4629)] = 163497,
  [SMALL_STATE(4630)] = 163615,
  [SMALL_STATE(4631)] = 163733,
  [SMALL_STATE(4632)] = 163851,
  [SMALL_STATE(4633)] = 163969,
  [SMALL_STATE(4634)] = 164087,
  [SMALL_STATE(4635)] = 164205,
  [SMALL_STATE(4636)] = 164323,
  [SMALL_STATE(4637)] = 164441,
  [SMALL_STATE(4638)] = 164559,
  [SMALL_STATE(4639)] = 164677,
  [SMALL_STATE(4640)] = 164795,
  [SMALL_STATE(4641)] = 164913,
  [SMALL_STATE(4642)] = 165031,
  [SMALL_STATE(4643)] = 165149,
  [SMALL_STATE(4644)] = 165217,
  [SMALL_STATE(4645)] = 165335,
  [SMALL_STATE(4646)] = 165453,
  [SMALL_STATE(4647)] = 165571,
  [SMALL_STATE(4648)] = 165689,
  [SMALL_STATE(4649)] = 165807,
  [SMALL_STATE(4650)] = 165925,
  [SMALL_STATE(4651)] = 165993,
  [SMALL_STATE(4652)] = 166111,
  [SMALL_STATE(4653)] = 166229,
  [SMALL_STATE(4654)] = 166347,
  [SMALL_STATE(4655)] = 166465,
  [SMALL_STATE(4656)] = 166583,
  [SMALL_STATE(4657)] = 166701,
  [SMALL_STATE(4658)] = 166819,
  [SMALL_STATE(4659)] = 166937,
  [SMALL_STATE(4660)] = 167055,
  [SMALL_STATE(4661)] = 167173,
  [SMALL_STATE(4662)] = 167291,
  [SMALL_STATE(4663)] = 167409,
  [SMALL_STATE(4664)] = 167527,
  [SMALL_STATE(4665)] = 167645,
  [SMALL_STATE(4666)] = 167763,
  [SMALL_STATE(4667)] = 167881,
  [SMALL_STATE(4668)] = 167999,
  [SMALL_STATE(4669)] = 168117,
  [SMALL_STATE(4670)] = 168187,
  [SMALL_STATE(4671)] = 168305,
  [SMALL_STATE(4672)] = 168423,
  [SMALL_STATE(4673)] = 168541,
  [SMALL_STATE(4674)] = 168659,
  [SMALL_STATE(4675)] = 168777,
  [SMALL_STATE(4676)] = 168895,
  [SMALL_STATE(4677)] = 169013,
  [SMALL_STATE(4678)] = 169079,
  [SMALL_STATE(4679)] = 169197,
  [SMALL_STATE(4680)] = 169263,
  [SMALL_STATE(4681)] = 169329,
  [SMALL_STATE(4682)] = 169395,
  [SMALL_STATE(4683)] = 169461,
  [SMALL_STATE(4684)] = 169579,
  [SMALL_STATE(4685)] = 169645,
  [SMALL_STATE(4686)] = 169713,
  [SMALL_STATE(4687)] = 169831,
  [SMALL_STATE(4688)] = 169949,
  [SMALL_STATE(4689)] = 170067,
  [SMALL_STATE(4690)] = 170185,
  [SMALL_STATE(4691)] = 170303,
  [SMALL_STATE(4692)] = 170421,
  [SMALL_STATE(4693)] = 170487,
  [SMALL_STATE(4694)] = 170553,
  [SMALL_STATE(4695)] = 170671,
  [SMALL_STATE(4696)] = 170789,
  [SMALL_STATE(4697)] = 170907,
  [SMALL_STATE(4698)] = 171025,
  [SMALL_STATE(4699)] = 171143,
  [SMALL_STATE(4700)] = 171261,
  [SMALL_STATE(4701)] = 171379,
  [SMALL_STATE(4702)] = 171497,
  [SMALL_STATE(4703)] = 171615,
  [SMALL_STATE(4704)] = 171733,
  [SMALL_STATE(4705)] = 171851,
  [SMALL_STATE(4706)] = 171969,
  [SMALL_STATE(4707)] = 172087,
  [SMALL_STATE(4708)] = 172205,
  [SMALL_STATE(4709)] = 172323,
  [SMALL_STATE(4710)] = 172393,
  [SMALL_STATE(4711)] = 172511,
  [SMALL_STATE(4712)] = 172629,
  [SMALL_STATE(4713)] = 172747,
  [SMALL_STATE(4714)] = 172865,
  [SMALL_STATE(4715)] = 172983,
  [SMALL_STATE(4716)] = 173101,
  [SMALL_STATE(4717)] = 173219,
  [SMALL_STATE(4718)] = 173337,
  [SMALL_STATE(4719)] = 173455,
  [SMALL_STATE(4720)] = 173573,
  [SMALL_STATE(4721)] = 173691,
  [SMALL_STATE(4722)] = 173809,
  [SMALL_STATE(4723)] = 173927,
  [SMALL_STATE(4724)] = 174045,
  [SMALL_STATE(4725)] = 174163,
  [SMALL_STATE(4726)] = 174281,
  [SMALL_STATE(4727)] = 174399,
  [SMALL_STATE(4728)] = 174517,
  [SMALL_STATE(4729)] = 174635,
  [SMALL_STATE(4730)] = 174753,
  [SMALL_STATE(4731)] = 174871,
  [SMALL_STATE(4732)] = 174989,
  [SMALL_STATE(4733)] = 175055,
  [SMALL_STATE(4734)] = 175120,
  [SMALL_STATE(4735)] = 175185,
  [SMALL_STATE(4736)] = 175300,
  [SMALL_STATE(4737)] = 175415,
  [SMALL_STATE(4738)] = 175530,
  [SMALL_STATE(4739)] = 175645,
  [SMALL_STATE(4740)] = 175712,
  [SMALL_STATE(4741)] = 175827,
  [SMALL_STATE(4742)] = 175942,
  [SMALL_STATE(4743)] = 176057,
  [SMALL_STATE(4744)] = 176172,
  [SMALL_STATE(4745)] = 176287,
  [SMALL_STATE(4746)] = 176352,
  [SMALL_STATE(4747)] = 176467,
  [SMALL_STATE(4748)] = 176532,
  [SMALL_STATE(4749)] = 176597,
  [SMALL_STATE(4750)] = 176662,
  [SMALL_STATE(4751)] = 176777,
  [SMALL_STATE(4752)] = 176842,
  [SMALL_STATE(4753)] = 176907,
  [SMALL_STATE(4754)] = 176978,
  [SMALL_STATE(4755)] = 177093,
  [SMALL_STATE(4756)] = 177158,
  [SMALL_STATE(4757)] = 177223,
  [SMALL_STATE(4758)] = 177288,
  [SMALL_STATE(4759)] = 177353,
  [SMALL_STATE(4760)] = 177418,
  [SMALL_STATE(4761)] = 177483,
  [SMALL_STATE(4762)] = 177598,
  [SMALL_STATE(4763)] = 177663,
  [SMALL_STATE(4764)] = 177730,
  [SMALL_STATE(4765)] = 177795,
  [SMALL_STATE(4766)] = 177860,
  [SMALL_STATE(4767)] = 177975,
  [SMALL_STATE(4768)] = 178040,
  [SMALL_STATE(4769)] = 178105,
  [SMALL_STATE(4770)] = 178170,
  [SMALL_STATE(4771)] = 178235,
  [SMALL_STATE(4772)] = 178300,
  [SMALL_STATE(4773)] = 178365,
  [SMALL_STATE(4774)] = 178430,
  [SMALL_STATE(4775)] = 178545,
  [SMALL_STATE(4776)] = 178610,
  [SMALL_STATE(4777)] = 178675,
  [SMALL_STATE(4778)] = 178740,
  [SMALL_STATE(4779)] = 178805,
  [SMALL_STATE(4780)] = 178870,
  [SMALL_STATE(4781)] = 178935,
  [SMALL_STATE(4782)] = 179000,
  [SMALL_STATE(4783)] = 179115,
  [SMALL_STATE(4784)] = 179186,
  [SMALL_STATE(4785)] = 179253,
  [SMALL_STATE(4786)] = 179318,
  [SMALL_STATE(4787)] = 179383,
  [SMALL_STATE(4788)] = 179448,
  [SMALL_STATE(4789)] = 179563,
  [SMALL_STATE(4790)] = 179628,
  [SMALL_STATE(4791)] = 179693,
  [SMALL_STATE(4792)] = 179758,
  [SMALL_STATE(4793)] = 179873,
  [SMALL_STATE(4794)] = 179988,
  [SMALL_STATE(4795)] = 180053,
  [SMALL_STATE(4796)] = 180168,
  [SMALL_STATE(4797)] = 180283,
  [SMALL_STATE(4798)] = 180398,
  [SMALL_STATE(4799)] = 180463,
  [SMALL_STATE(4800)] = 180578,
  [SMALL_STATE(4801)] = 180643,
  [SMALL_STATE(4802)] = 180708,
  [SMALL_STATE(4803)] = 180823,
  [SMALL_STATE(4804)] = 180938,
  [SMALL_STATE(4805)] = 181003,
  [SMALL_STATE(4806)] = 181118,
  [SMALL_STATE(4807)] = 181233,
  [SMALL_STATE(4808)] = 181298,
  [SMALL_STATE(4809)] = 181363,
  [SMALL_STATE(4810)] = 181478,
  [SMALL_STATE(4811)] = 181543,
  [SMALL_STATE(4812)] = 181608,
  [SMALL_STATE(4813)] = 181723,
  [SMALL_STATE(4814)] = 181788,
  [SMALL_STATE(4815)] = 181853,
  [SMALL_STATE(4816)] = 181968,
  [SMALL_STATE(4817)] = 182033,
  [SMALL_STATE(4818)] = 182098,
  [SMALL_STATE(4819)] = 182163,
  [SMALL_STATE(4820)] = 182228,
  [SMALL_STATE(4821)] = 182293,
  [SMALL_STATE(4822)] = 182408,
  [SMALL_STATE(4823)] = 182523,
  [SMALL_STATE(4824)] = 182590,
  [SMALL_STATE(4825)] = 182705,
  [SMALL_STATE(4826)] = 182770,
  [SMALL_STATE(4827)] = 182885,
  [SMALL_STATE(4828)] = 183000,
  [SMALL_STATE(4829)] = 183067,
  [SMALL_STATE(4830)] = 183182,
  [SMALL_STATE(4831)] = 183297,
  [SMALL_STATE(4832)] = 183412,
  [SMALL_STATE(4833)] = 183527,
  [SMALL_STATE(4834)] = 183642,
  [SMALL_STATE(4835)] = 183707,
  [SMALL_STATE(4836)] = 183772,
  [SMALL_STATE(4837)] = 183887,
  [SMALL_STATE(4838)] = 183952,
  [SMALL_STATE(4839)] = 184017,
  [SMALL_STATE(4840)] = 184082,
  [SMALL_STATE(4841)] = 184147,
  [SMALL_STATE(4842)] = 184212,
  [SMALL_STATE(4843)] = 184277,
  [SMALL_STATE(4844)] = 184342,
  [SMALL_STATE(4845)] = 184407,
  [SMALL_STATE(4846)] = 184472,
  [SMALL_STATE(4847)] = 184537,
  [SMALL_STATE(4848)] = 184602,
  [SMALL_STATE(4849)] = 184717,
  [SMALL_STATE(4850)] = 184782,
  [SMALL_STATE(4851)] = 184847,
  [SMALL_STATE(4852)] = 184912,
  [SMALL_STATE(4853)] = 184977,
  [SMALL_STATE(4854)] = 185042,
  [SMALL_STATE(4855)] = 185157,
  [SMALL_STATE(4856)] = 185224,
  [SMALL_STATE(4857)] = 185289,
  [SMALL_STATE(4858)] = 185354,
  [SMALL_STATE(4859)] = 185469,
  [SMALL_STATE(4860)] = 185534,
  [SMALL_STATE(4861)] = 185649,
  [SMALL_STATE(4862)] = 185714,
  [SMALL_STATE(4863)] = 185829,
  [SMALL_STATE(4864)] = 185894,
  [SMALL_STATE(4865)] = 185958,
  [SMALL_STATE(4866)] = 186022,
  [SMALL_STATE(4867)] = 186086,
  [SMALL_STATE(4868)] = 186150,
  [SMALL_STATE(4869)] = 186214,
  [SMALL_STATE(4870)] = 186326,
  [SMALL_STATE(4871)] = 186390,
  [SMALL_STATE(4872)] = 186454,
  [SMALL_STATE(4873)] = 186518,
  [SMALL_STATE(4874)] = 186582,
  [SMALL_STATE(4875)] = 186646,
  [SMALL_STATE(4876)] = 186710,
  [SMALL_STATE(4877)] = 186774,
  [SMALL_STATE(4878)] = 186838,
  [SMALL_STATE(4879)] = 186904,
  [SMALL_STATE(4880)] = 186968,
  [SMALL_STATE(4881)] = 187032,
  [SMALL_STATE(4882)] = 187096,
  [SMALL_STATE(4883)] = 187160,
  [SMALL_STATE(4884)] = 187224,
  [SMALL_STATE(4885)] = 187288,
  [SMALL_STATE(4886)] = 187352,
  [SMALL_STATE(4887)] = 187416,
  [SMALL_STATE(4888)] = 187480,
  [SMALL_STATE(4889)] = 187544,
  [SMALL_STATE(4890)] = 187610,
  [SMALL_STATE(4891)] = 187674,
  [SMALL_STATE(4892)] = 187740,
  [SMALL_STATE(4893)] = 187804,
  [SMALL_STATE(4894)] = 187916,
  [SMALL_STATE(4895)] = 187980,
  [SMALL_STATE(4896)] = 188044,
  [SMALL_STATE(4897)] = 188108,
  [SMALL_STATE(4898)] = 188172,
  [SMALL_STATE(4899)] = 188236,
  [SMALL_STATE(4900)] = 188348,
  [SMALL_STATE(4901)] = 188412,
  [SMALL_STATE(4902)] = 188476,
  [SMALL_STATE(4903)] = 188540,
  [SMALL_STATE(4904)] = 188604,
  [SMALL_STATE(4905)] = 188668,
  [SMALL_STATE(4906)] = 188732,
  [SMALL_STATE(4907)] = 188796,
  [SMALL_STATE(4908)] = 188860,
  [SMALL_STATE(4909)] = 188930,
  [SMALL_STATE(4910)] = 188994,
  [SMALL_STATE(4911)] = 189058,
  [SMALL_STATE(4912)] = 189122,
  [SMALL_STATE(4913)] = 189186,
  [SMALL_STATE(4914)] = 189250,
  [SMALL_STATE(4915)] = 189314,
  [SMALL_STATE(4916)] = 189378,
  [SMALL_STATE(4917)] = 189490,
  [SMALL_STATE(4918)] = 189554,
  [SMALL_STATE(4919)] = 189618,
  [SMALL_STATE(4920)] = 189682,
  [SMALL_STATE(4921)] = 189746,
  [SMALL_STATE(4922)] = 189810,
  [SMALL_STATE(4923)] = 189874,
  [SMALL_STATE(4924)] = 189940,
  [SMALL_STATE(4925)] = 190004,
  [SMALL_STATE(4926)] = 190068,
  [SMALL_STATE(4927)] = 190132,
  [SMALL_STATE(4928)] = 190196,
  [SMALL_STATE(4929)] = 190260,
  [SMALL_STATE(4930)] = 190324,
  [SMALL_STATE(4931)] = 190388,
  [SMALL_STATE(4932)] = 190452,
  [SMALL_STATE(4933)] = 190516,
  [SMALL_STATE(4934)] = 190580,
  [SMALL_STATE(4935)] = 190644,
  [SMALL_STATE(4936)] = 190708,
  [SMALL_STATE(4937)] = 190772,
  [SMALL_STATE(4938)] = 190884,
  [SMALL_STATE(4939)] = 190948,
  [SMALL_STATE(4940)] = 191012,
  [SMALL_STATE(4941)] = 191076,
  [SMALL_STATE(4942)] = 191140,
  [SMALL_STATE(4943)] = 191204,
  [SMALL_STATE(4944)] = 191268,
  [SMALL_STATE(4945)] = 191332,
  [SMALL_STATE(4946)] = 191398,
  [SMALL_STATE(4947)] = 191462,
  [SMALL_STATE(4948)] = 191532,
  [SMALL_STATE(4949)] = 191596,
  [SMALL_STATE(4950)] = 191708,
  [SMALL_STATE(4951)] = 191772,
  [SMALL_STATE(4952)] = 191836,
  [SMALL_STATE(4953)] = 191900,
  [SMALL_STATE(4954)] = 191963,
  [SMALL_STATE(4955)] = 192072,
  [SMALL_STATE(4956)] = 192135,
  [SMALL_STATE(4957)] = 192246,
  [SMALL_STATE(4958)] = 192355,
  [SMALL_STATE(4959)] = 192418,
  [SMALL_STATE(4960)] = 192481,
  [SMALL_STATE(4961)] = 192544,
  [SMALL_STATE(4962)] = 192607,
  [SMALL_STATE(4963)] = 192716,
  [SMALL_STATE(4964)] = 192779,
  [SMALL_STATE(4965)] = 192842,
  [SMALL_STATE(4966)] = 192951,
  [SMALL_STATE(4967)] = 193020,
  [SMALL_STATE(4968)] = 193083,
  [SMALL_STATE(4969)] = 193192,
  [SMALL_STATE(4970)] = 193255,
  [SMALL_STATE(4971)] = 193364,
  [SMALL_STATE(4972)] = 193473,
  [SMALL_STATE(4973)] = 193582,
  [SMALL_STATE(4974)] = 193691,
  [SMALL_STATE(4975)] = 193760,
  [SMALL_STATE(4976)] = 193869,
  [SMALL_STATE(4977)] = 193934,
  [SMALL_STATE(4978)] = 194043,
  [SMALL_STATE(4979)] = 194106,
  [SMALL_STATE(4980)] = 194215,
  [SMALL_STATE(4981)] = 194278,
  [SMALL_STATE(4982)] = 194387,
  [SMALL_STATE(4983)] = 194496,
  [SMALL_STATE(4984)] = 194605,
  [SMALL_STATE(4985)] = 194668,
  [SMALL_STATE(4986)] = 194777,
  [SMALL_STATE(4987)] = 194840,
  [SMALL_STATE(4988)] = 194949,
  [SMALL_STATE(4989)] = 195012,
  [SMALL_STATE(4990)] = 195075,
  [SMALL_STATE(4991)] = 195184,
  [SMALL_STATE(4992)] = 195247,
  [SMALL_STATE(4993)] = 195310,
  [SMALL_STATE(4994)] = 195373,
  [SMALL_STATE(4995)] = 195482,
  [SMALL_STATE(4996)] = 195545,
  [SMALL_STATE(4997)] = 195608,
  [SMALL_STATE(4998)] = 195717,
  [SMALL_STATE(4999)] = 195780,
  [SMALL_STATE(5000)] = 195843,
  [SMALL_STATE(5001)] = 195906,
  [SMALL_STATE(5002)] = 195969,
  [SMALL_STATE(5003)] = 196032,
  [SMALL_STATE(5004)] = 196141,
  [SMALL_STATE(5005)] = 196204,
  [SMALL_STATE(5006)] = 196267,
  [SMALL_STATE(5007)] = 196376,
  [SMALL_STATE(5008)] = 196439,
  [SMALL_STATE(5009)] = 196548,
  [SMALL_STATE(5010)] = 196611,
  [SMALL_STATE(5011)] = 196674,
  [SMALL_STATE(5012)] = 196783,
  [SMALL_STATE(5013)] = 196892,
  [SMALL_STATE(5014)] = 196955,
  [SMALL_STATE(5015)] = 197064,
  [SMALL_STATE(5016)] = 197127,
  [SMALL_STATE(5017)] = 197236,
  [SMALL_STATE(5018)] = 197345,
  [SMALL_STATE(5019)] = 197408,
  [SMALL_STATE(5020)] = 197517,
  [SMALL_STATE(5021)] = 197580,
  [SMALL_STATE(5022)] = 197689,
  [SMALL_STATE(5023)] = 197798,
  [SMALL_STATE(5024)] = 197861,
  [SMALL_STATE(5025)] = 197924,
  [SMALL_STATE(5026)] = 197987,
  [SMALL_STATE(5027)] = 198096,
  [SMALL_STATE(5028)] = 198159,
  [SMALL_STATE(5029)] = 198222,
  [SMALL_STATE(5030)] = 198285,
  [SMALL_STATE(5031)] = 198348,
  [SMALL_STATE(5032)] = 198413,
  [SMALL_STATE(5033)] = 198522,
  [SMALL_STATE(5034)] = 198585,
  [SMALL_STATE(5035)] = 198650,
  [SMALL_STATE(5036)] = 198759,
  [SMALL_STATE(5037)] = 198822,
  [SMALL_STATE(5038)] = 198931,
  [SMALL_STATE(5039)] = 198994,
  [SMALL_STATE(5040)] = 199057,
  [SMALL_STATE(5041)] = 199120,
  [SMALL_STATE(5042)] = 199229,
  [SMALL_STATE(5043)] = 199338,
  [SMALL_STATE(5044)] = 199401,
  [SMALL_STATE(5045)] = 199464,
  [SMALL_STATE(5046)] = 199573,
  [SMALL_STATE(5047)] = 199682,
  [SMALL_STATE(5048)] = 199791,
  [SMALL_STATE(5049)] = 199900,
  [SMALL_STATE(5050)] = 199963,
  [SMALL_STATE(5051)] = 200026,
  [SMALL_STATE(5052)] = 200091,
  [SMALL_STATE(5053)] = 200154,
  [SMALL_STATE(5054)] = 200263,
  [SMALL_STATE(5055)] = 200372,
  [SMALL_STATE(5056)] = 200481,
  [SMALL_STATE(5057)] = 200590,
  [SMALL_STATE(5058)] = 200653,
  [SMALL_STATE(5059)] = 200716,
  [SMALL_STATE(5060)] = 200827,
  [SMALL_STATE(5061)] = 200936,
  [SMALL_STATE(5062)] = 201047,
  [SMALL_STATE(5063)] = 201156,
  [SMALL_STATE(5064)] = 201219,
  [SMALL_STATE(5065)] = 201282,
  [SMALL_STATE(5066)] = 201391,
  [SMALL_STATE(5067)] = 201456,
  [SMALL_STATE(5068)] = 201565,
  [SMALL_STATE(5069)] = 201628,
  [SMALL_STATE(5070)] = 201737,
  [SMALL_STATE(5071)] = 201800,
  [SMALL_STATE(5072)] = 201863,
  [SMALL_STATE(5073)] = 201972,
  [SMALL_STATE(5074)] = 202035,
  [SMALL_STATE(5075)] = 202098,
  [SMALL_STATE(5076)] = 202161,
  [SMALL_STATE(5077)] = 202224,
  [SMALL_STATE(5078)] = 202289,
  [SMALL_STATE(5079)] = 202352,
  [SMALL_STATE(5080)] = 202415,
  [SMALL_STATE(5081)] = 202478,
  [SMALL_STATE(5082)] = 202541,
  [SMALL_STATE(5083)] = 202604,
  [SMALL_STATE(5084)] = 202667,
  [SMALL_STATE(5085)] = 202730,
  [SMALL_STATE(5086)] = 202793,
  [SMALL_STATE(5087)] = 202902,
  [SMALL_STATE(5088)] = 202965,
  [SMALL_STATE(5089)] = 203028,
  [SMALL_STATE(5090)] = 203091,
  [SMALL_STATE(5091)] = 203154,
  [SMALL_STATE(5092)] = 203217,
  [SMALL_STATE(5093)] = 203282,
  [SMALL_STATE(5094)] = 203345,
  [SMALL_STATE(5095)] = 203408,
  [SMALL_STATE(5096)] = 203471,
  [SMALL_STATE(5097)] = 203534,
  [SMALL_STATE(5098)] = 203597,
  [SMALL_STATE(5099)] = 203660,
  [SMALL_STATE(5100)] = 203723,
  [SMALL_STATE(5101)] = 203786,
  [SMALL_STATE(5102)] = 203849,
  [SMALL_STATE(5103)] = 203914,
  [SMALL_STATE(5104)] = 203979,
  [SMALL_STATE(5105)] = 204041,
  [SMALL_STATE(5106)] = 204103,
  [SMALL_STATE(5107)] = 204165,
  [SMALL_STATE(5108)] = 204227,
  [SMALL_STATE(5109)] = 204289,
  [SMALL_STATE(5110)] = 204351,
  [SMALL_STATE(5111)] = 204413,
  [SMALL_STATE(5112)] = 204477,
  [SMALL_STATE(5113)] = 204539,
  [SMALL_STATE(5114)] = 204601,
  [SMALL_STATE(5115)] = 204663,
  [SMALL_STATE(5116)] = 204725,
  [SMALL_STATE(5117)] = 204787,
  [SMALL_STATE(5118)] = 204849,
  [SMALL_STATE(5119)] = 204911,
  [SMALL_STATE(5120)] = 204973,
  [SMALL_STATE(5121)] = 205035,
  [SMALL_STATE(5122)] = 205097,
  [SMALL_STATE(5123)] = 205159,
  [SMALL_STATE(5124)] = 205221,
  [SMALL_STATE(5125)] = 205283,
  [SMALL_STATE(5126)] = 205345,
  [SMALL_STATE(5127)] = 205409,
  [SMALL_STATE(5128)] = 205471,
  [SMALL_STATE(5129)] = 205533,
  [SMALL_STATE(5130)] = 205595,
  [SMALL_STATE(5131)] = 205663,
  [SMALL_STATE(5132)] = 205725,
  [SMALL_STATE(5133)] = 205787,
  [SMALL_STATE(5134)] = 205855,
  [SMALL_STATE(5135)] = 205917,
  [SMALL_STATE(5136)] = 205979,
  [SMALL_STATE(5137)] = 206041,
  [SMALL_STATE(5138)] = 206103,
  [SMALL_STATE(5139)] = 206165,
  [SMALL_STATE(5140)] = 206227,
  [SMALL_STATE(5141)] = 206289,
  [SMALL_STATE(5142)] = 206353,
  [SMALL_STATE(5143)] = 206415,
  [SMALL_STATE(5144)] = 206477,
  [SMALL_STATE(5145)] = 206541,
  [SMALL_STATE(5146)] = 206603,
  [SMALL_STATE(5147)] = 206665,
  [SMALL_STATE(5148)] = 206727,
  [SMALL_STATE(5149)] = 206789,
  [SMALL_STATE(5150)] = 206853,
  [SMALL_STATE(5151)] = 206915,
  [SMALL_STATE(5152)] = 206977,
  [SMALL_STATE(5153)] = 207039,
  [SMALL_STATE(5154)] = 207101,
  [SMALL_STATE(5155)] = 207163,
  [SMALL_STATE(5156)] = 207225,
  [SMALL_STATE(5157)] = 207287,
  [SMALL_STATE(5158)] = 207349,
  [SMALL_STATE(5159)] = 207411,
  [SMALL_STATE(5160)] = 207473,
  [SMALL_STATE(5161)] = 207535,
  [SMALL_STATE(5162)] = 207597,
  [SMALL_STATE(5163)] = 207659,
  [SMALL_STATE(5164)] = 207721,
  [SMALL_STATE(5165)] = 207783,
  [SMALL_STATE(5166)] = 207845,
  [SMALL_STATE(5167)] = 207907,
  [SMALL_STATE(5168)] = 207971,
  [SMALL_STATE(5169)] = 208033,
  [SMALL_STATE(5170)] = 208095,
  [SMALL_STATE(5171)] = 208157,
  [SMALL_STATE(5172)] = 208219,
  [SMALL_STATE(5173)] = 208287,
  [SMALL_STATE(5174)] = 208349,
  [SMALL_STATE(5175)] = 208411,
  [SMALL_STATE(5176)] = 208475,
  [SMALL_STATE(5177)] = 208537,
  [SMALL_STATE(5178)] = 208599,
  [SMALL_STATE(5179)] = 208663,
  [SMALL_STATE(5180)] = 208727,
  [SMALL_STATE(5181)] = 208789,
  [SMALL_STATE(5182)] = 208857,
  [SMALL_STATE(5183)] = 208919,
  [SMALL_STATE(5184)] = 208981,
  [SMALL_STATE(5185)] = 209043,
  [SMALL_STATE(5186)] = 209107,
  [SMALL_STATE(5187)] = 209169,
  [SMALL_STATE(5188)] = 209231,
  [SMALL_STATE(5189)] = 209293,
  [SMALL_STATE(5190)] = 209355,
  [SMALL_STATE(5191)] = 209417,
  [SMALL_STATE(5192)] = 209479,
  [SMALL_STATE(5193)] = 209541,
  [SMALL_STATE(5194)] = 209605,
  [SMALL_STATE(5195)] = 209667,
  [SMALL_STATE(5196)] = 209729,
  [SMALL_STATE(5197)] = 209791,
  [SMALL_STATE(5198)] = 209853,
  [SMALL_STATE(5199)] = 209915,
  [SMALL_STATE(5200)] = 209977,
  [SMALL_STATE(5201)] = 210039,
  [SMALL_STATE(5202)] = 210101,
  [SMALL_STATE(5203)] = 210163,
  [SMALL_STATE(5204)] = 210225,
  [SMALL_STATE(5205)] = 210287,
  [SMALL_STATE(5206)] = 210349,
  [SMALL_STATE(5207)] = 210411,
  [SMALL_STATE(5208)] = 210473,
  [SMALL_STATE(5209)] = 210535,
  [SMALL_STATE(5210)] = 210597,
  [SMALL_STATE(5211)] = 210661,
  [SMALL_STATE(5212)] = 210723,
  [SMALL_STATE(5213)] = 210785,
  [SMALL_STATE(5214)] = 210849,
  [SMALL_STATE(5215)] = 210911,
  [SMALL_STATE(5216)] = 210973,
  [SMALL_STATE(5217)] = 211035,
  [SMALL_STATE(5218)] = 211097,
  [SMALL_STATE(5219)] = 211159,
  [SMALL_STATE(5220)] = 211221,
  [SMALL_STATE(5221)] = 211285,
  [SMALL_STATE(5222)] = 211347,
  [SMALL_STATE(5223)] = 211409,
  [SMALL_STATE(5224)] = 211471,
  [SMALL_STATE(5225)] = 211533,
  [SMALL_STATE(5226)] = 211595,
  [SMALL_STATE(5227)] = 211657,
  [SMALL_STATE(5228)] = 211719,
  [SMALL_STATE(5229)] = 211781,
  [SMALL_STATE(5230)] = 211843,
  [SMALL_STATE(5231)] = 211905,
  [SMALL_STATE(5232)] = 211967,
  [SMALL_STATE(5233)] = 212029,
  [SMALL_STATE(5234)] = 212091,
  [SMALL_STATE(5235)] = 212153,
  [SMALL_STATE(5236)] = 212215,
  [SMALL_STATE(5237)] = 212277,
  [SMALL_STATE(5238)] = 212339,
  [SMALL_STATE(5239)] = 212401,
  [SMALL_STATE(5240)] = 212463,
  [SMALL_STATE(5241)] = 212525,
  [SMALL_STATE(5242)] = 212587,
  [SMALL_STATE(5243)] = 212649,
  [SMALL_STATE(5244)] = 212711,
  [SMALL_STATE(5245)] = 212773,
  [SMALL_STATE(5246)] = 212835,
  [SMALL_STATE(5247)] = 212897,
  [SMALL_STATE(5248)] = 212959,
  [SMALL_STATE(5249)] = 213021,
  [SMALL_STATE(5250)] = 213083,
  [SMALL_STATE(5251)] = 213145,
  [SMALL_STATE(5252)] = 213207,
  [SMALL_STATE(5253)] = 213269,
  [SMALL_STATE(5254)] = 213331,
  [SMALL_STATE(5255)] = 213393,
  [SMALL_STATE(5256)] = 213455,
  [SMALL_STATE(5257)] = 213517,
  [SMALL_STATE(5258)] = 213579,
  [SMALL_STATE(5259)] = 213641,
  [SMALL_STATE(5260)] = 213703,
  [SMALL_STATE(5261)] = 213765,
  [SMALL_STATE(5262)] = 213827,
  [SMALL_STATE(5263)] = 213889,
  [SMALL_STATE(5264)] = 213951,
  [SMALL_STATE(5265)] = 214013,
  [SMALL_STATE(5266)] = 214075,
  [SMALL_STATE(5267)] = 214137,
  [SMALL_STATE(5268)] = 214199,
  [SMALL_STATE(5269)] = 214261,
  [SMALL_STATE(5270)] = 214322,
  [SMALL_STATE(5271)] = 214383,
  [SMALL_STATE(5272)] = 214444,
  [SMALL_STATE(5273)] = 214505,
  [SMALL_STATE(5274)] = 214566,
  [SMALL_STATE(5275)] = 214629,
  [SMALL_STATE(5276)] = 214690,
  [SMALL_STATE(5277)] = 214751,
  [SMALL_STATE(5278)] = 214812,
  [SMALL_STATE(5279)] = 214873,
  [SMALL_STATE(5280)] = 214936,
  [SMALL_STATE(5281)] = 214997,
  [SMALL_STATE(5282)] = 215058,
  [SMALL_STATE(5283)] = 215119,
  [SMALL_STATE(5284)] = 215180,
  [SMALL_STATE(5285)] = 215241,
  [SMALL_STATE(5286)] = 215302,
  [SMALL_STATE(5287)] = 215363,
  [SMALL_STATE(5288)] = 215424,
  [SMALL_STATE(5289)] = 215485,
  [SMALL_STATE(5290)] = 215546,
  [SMALL_STATE(5291)] = 215607,
  [SMALL_STATE(5292)] = 215668,
  [SMALL_STATE(5293)] = 215729,
  [SMALL_STATE(5294)] = 215790,
  [SMALL_STATE(5295)] = 215853,
  [SMALL_STATE(5296)] = 215914,
  [SMALL_STATE(5297)] = 215975,
  [SMALL_STATE(5298)] = 216036,
  [SMALL_STATE(5299)] = 216097,
  [SMALL_STATE(5300)] = 216158,
  [SMALL_STATE(5301)] = 216219,
  [SMALL_STATE(5302)] = 216280,
  [SMALL_STATE(5303)] = 216341,
  [SMALL_STATE(5304)] = 216402,
  [SMALL_STATE(5305)] = 216463,
  [SMALL_STATE(5306)] = 216524,
  [SMALL_STATE(5307)] = 216585,
  [SMALL_STATE(5308)] = 216646,
  [SMALL_STATE(5309)] = 216707,
  [SMALL_STATE(5310)] = 216770,
  [SMALL_STATE(5311)] = 216831,
  [SMALL_STATE(5312)] = 216892,
  [SMALL_STATE(5313)] = 216953,
  [SMALL_STATE(5314)] = 217014,
  [SMALL_STATE(5315)] = 217075,
  [SMALL_STATE(5316)] = 217138,
  [SMALL_STATE(5317)] = 217199,
  [SMALL_STATE(5318)] = 217260,
  [SMALL_STATE(5319)] = 217321,
  [SMALL_STATE(5320)] = 217382,
  [SMALL_STATE(5321)] = 217445,
  [SMALL_STATE(5322)] = 217506,
  [SMALL_STATE(5323)] = 217567,
  [SMALL_STATE(5324)] = 217628,
  [SMALL_STATE(5325)] = 217695,
  [SMALL_STATE(5326)] = 217756,
  [SMALL_STATE(5327)] = 217817,
  [SMALL_STATE(5328)] = 217880,
  [SMALL_STATE(5329)] = 217941,
  [SMALL_STATE(5330)] = 218002,
  [SMALL_STATE(5331)] = 218063,
  [SMALL_STATE(5332)] = 218124,
  [SMALL_STATE(5333)] = 218185,
  [SMALL_STATE(5334)] = 218246,
  [SMALL_STATE(5335)] = 218307,
  [SMALL_STATE(5336)] = 218368,
  [SMALL_STATE(5337)] = 218429,
  [SMALL_STATE(5338)] = 218496,
  [SMALL_STATE(5339)] = 218557,
  [SMALL_STATE(5340)] = 218618,
  [SMALL_STATE(5341)] = 218679,
  [SMALL_STATE(5342)] = 218740,
  [SMALL_STATE(5343)] = 218801,
  [SMALL_STATE(5344)] = 218862,
  [SMALL_STATE(5345)] = 218923,
  [SMALL_STATE(5346)] = 218984,
  [SMALL_STATE(5347)] = 219045,
  [SMALL_STATE(5348)] = 219106,
  [SMALL_STATE(5349)] = 219167,
  [SMALL_STATE(5350)] = 219228,
  [SMALL_STATE(5351)] = 219289,
  [SMALL_STATE(5352)] = 219350,
  [SMALL_STATE(5353)] = 219411,
  [SMALL_STATE(5354)] = 219472,
  [SMALL_STATE(5355)] = 219533,
  [SMALL_STATE(5356)] = 219594,
  [SMALL_STATE(5357)] = 219657,
  [SMALL_STATE(5358)] = 219718,
  [SMALL_STATE(5359)] = 219779,
  [SMALL_STATE(5360)] = 219840,
  [SMALL_STATE(5361)] = 219901,
  [SMALL_STATE(5362)] = 219962,
  [SMALL_STATE(5363)] = 220025,
  [SMALL_STATE(5364)] = 220086,
  [SMALL_STATE(5365)] = 220147,
  [SMALL_STATE(5366)] = 220208,
  [SMALL_STATE(5367)] = 220269,
  [SMALL_STATE(5368)] = 220330,
  [SMALL_STATE(5369)] = 220391,
  [SMALL_STATE(5370)] = 220452,
  [SMALL_STATE(5371)] = 220515,
  [SMALL_STATE(5372)] = 220576,
  [SMALL_STATE(5373)] = 220637,
  [SMALL_STATE(5374)] = 220698,
  [SMALL_STATE(5375)] = 220759,
  [SMALL_STATE(5376)] = 220820,
  [SMALL_STATE(5377)] = 220881,
  [SMALL_STATE(5378)] = 220942,
  [SMALL_STATE(5379)] = 221005,
  [SMALL_STATE(5380)] = 221066,
  [SMALL_STATE(5381)] = 221127,
  [SMALL_STATE(5382)] = 221188,
  [SMALL_STATE(5383)] = 221248,
  [SMALL_STATE(5384)] = 221308,
  [SMALL_STATE(5385)] = 221368,
  [SMALL_STATE(5386)] = 221428,
  [SMALL_STATE(5387)] = 221488,
  [SMALL_STATE(5388)] = 221548,
  [SMALL_STATE(5389)] = 221608,
  [SMALL_STATE(5390)] = 221668,
  [SMALL_STATE(5391)] = 221728,
  [SMALL_STATE(5392)] = 221788,
  [SMALL_STATE(5393)] = 221848,
  [SMALL_STATE(5394)] = 221908,
  [SMALL_STATE(5395)] = 221968,
  [SMALL_STATE(5396)] = 222028,
  [SMALL_STATE(5397)] = 222088,
  [SMALL_STATE(5398)] = 222148,
  [SMALL_STATE(5399)] = 222208,
  [SMALL_STATE(5400)] = 222268,
  [SMALL_STATE(5401)] = 222328,
  [SMALL_STATE(5402)] = 222388,
  [SMALL_STATE(5403)] = 222448,
  [SMALL_STATE(5404)] = 222508,
  [SMALL_STATE(5405)] = 222568,
  [SMALL_STATE(5406)] = 222630,
  [SMALL_STATE(5407)] = 222690,
  [SMALL_STATE(5408)] = 222752,
  [SMALL_STATE(5409)] = 222812,
  [SMALL_STATE(5410)] = 222872,
  [SMALL_STATE(5411)] = 222932,
  [SMALL_STATE(5412)] = 222992,
  [SMALL_STATE(5413)] = 223052,
  [SMALL_STATE(5414)] = 223112,
  [SMALL_STATE(5415)] = 223172,
  [SMALL_STATE(5416)] = 223232,
  [SMALL_STATE(5417)] = 223292,
  [SMALL_STATE(5418)] = 223352,
  [SMALL_STATE(5419)] = 223412,
  [SMALL_STATE(5420)] = 223472,
  [SMALL_STATE(5421)] = 223532,
  [SMALL_STATE(5422)] = 223592,
  [SMALL_STATE(5423)] = 223652,
  [SMALL_STATE(5424)] = 223714,
  [SMALL_STATE(5425)] = 223774,
  [SMALL_STATE(5426)] = 223834,
  [SMALL_STATE(5427)] = 223894,
  [SMALL_STATE(5428)] = 223954,
  [SMALL_STATE(5429)] = 224014,
  [SMALL_STATE(5430)] = 224074,
  [SMALL_STATE(5431)] = 224134,
  [SMALL_STATE(5432)] = 224194,
  [SMALL_STATE(5433)] = 224254,
  [SMALL_STATE(5434)] = 224314,
  [SMALL_STATE(5435)] = 224376,
  [SMALL_STATE(5436)] = 224436,
  [SMALL_STATE(5437)] = 224496,
  [SMALL_STATE(5438)] = 224556,
  [SMALL_STATE(5439)] = 224616,
  [SMALL_STATE(5440)] = 224676,
  [SMALL_STATE(5441)] = 224736,
  [SMALL_STATE(5442)] = 224796,
  [SMALL_STATE(5443)] = 224856,
  [SMALL_STATE(5444)] = 224916,
  [SMALL_STATE(5445)] = 224976,
  [SMALL_STATE(5446)] = 225036,
  [SMALL_STATE(5447)] = 225096,
  [SMALL_STATE(5448)] = 225156,
  [SMALL_STATE(5449)] = 225216,
  [SMALL_STATE(5450)] = 225276,
  [SMALL_STATE(5451)] = 225336,
  [SMALL_STATE(5452)] = 225396,
  [SMALL_STATE(5453)] = 225456,
  [SMALL_STATE(5454)] = 225516,
  [SMALL_STATE(5455)] = 225576,
  [SMALL_STATE(5456)] = 225636,
  [SMALL_STATE(5457)] = 225696,
  [SMALL_STATE(5458)] = 225756,
  [SMALL_STATE(5459)] = 225816,
  [SMALL_STATE(5460)] = 225876,
  [SMALL_STATE(5461)] = 225936,
  [SMALL_STATE(5462)] = 225996,
  [SMALL_STATE(5463)] = 226056,
  [SMALL_STATE(5464)] = 226116,
  [SMALL_STATE(5465)] = 226176,
  [SMALL_STATE(5466)] = 226236,
  [SMALL_STATE(5467)] = 226296,
  [SMALL_STATE(5468)] = 226356,
  [SMALL_STATE(5469)] = 226418,
  [SMALL_STATE(5470)] = 226478,
  [SMALL_STATE(5471)] = 226538,
  [SMALL_STATE(5472)] = 226598,
  [SMALL_STATE(5473)] = 226658,
  [SMALL_STATE(5474)] = 226720,
  [SMALL_STATE(5475)] = 226780,
  [SMALL_STATE(5476)] = 226844,
  [SMALL_STATE(5477)] = 226904,
  [SMALL_STATE(5478)] = 226964,
  [SMALL_STATE(5479)] = 227024,
  [SMALL_STATE(5480)] = 227084,
  [SMALL_STATE(5481)] = 227144,
  [SMALL_STATE(5482)] = 227204,
  [SMALL_STATE(5483)] = 227266,
  [SMALL_STATE(5484)] = 227326,
  [SMALL_STATE(5485)] = 227386,
  [SMALL_STATE(5486)] = 227446,
  [SMALL_STATE(5487)] = 227506,
  [SMALL_STATE(5488)] = 227566,
  [SMALL_STATE(5489)] = 227626,
  [SMALL_STATE(5490)] = 227686,
  [SMALL_STATE(5491)] = 227746,
  [SMALL_STATE(5492)] = 227808,
  [SMALL_STATE(5493)] = 227868,
  [SMALL_STATE(5494)] = 227928,
  [SMALL_STATE(5495)] = 227988,
  [SMALL_STATE(5496)] = 228048,
  [SMALL_STATE(5497)] = 228108,
  [SMALL_STATE(5498)] = 228168,
  [SMALL_STATE(5499)] = 228228,
  [SMALL_STATE(5500)] = 228288,
  [SMALL_STATE(5501)] = 228348,
  [SMALL_STATE(5502)] = 228408,
  [SMALL_STATE(5503)] = 228468,
  [SMALL_STATE(5504)] = 228528,
  [SMALL_STATE(5505)] = 228588,
  [SMALL_STATE(5506)] = 228648,
  [SMALL_STATE(5507)] = 228708,
  [SMALL_STATE(5508)] = 228768,
  [SMALL_STATE(5509)] = 228828,
  [SMALL_STATE(5510)] = 228888,
  [SMALL_STATE(5511)] = 228948,
  [SMALL_STATE(5512)] = 229010,
  [SMALL_STATE(5513)] = 229074,
  [SMALL_STATE(5514)] = 229134,
  [SMALL_STATE(5515)] = 229194,
  [SMALL_STATE(5516)] = 229256,
  [SMALL_STATE(5517)] = 229316,
  [SMALL_STATE(5518)] = 229376,
  [SMALL_STATE(5519)] = 229436,
  [SMALL_STATE(5520)] = 229496,
  [SMALL_STATE(5521)] = 229556,
  [SMALL_STATE(5522)] = 229616,
  [SMALL_STATE(5523)] = 229676,
  [SMALL_STATE(5524)] = 229736,
  [SMALL_STATE(5525)] = 229796,
  [SMALL_STATE(5526)] = 229855,
  [SMALL_STATE(5527)] = 229914,
  [SMALL_STATE(5528)] = 229973,
  [SMALL_STATE(5529)] = 230032,
  [SMALL_STATE(5530)] = 230091,
  [SMALL_STATE(5531)] = 230150,
  [SMALL_STATE(5532)] = 230209,
  [SMALL_STATE(5533)] = 230268,
  [SMALL_STATE(5534)] = 230327,
  [SMALL_STATE(5535)] = 230386,
  [SMALL_STATE(5536)] = 230445,
  [SMALL_STATE(5537)] = 230504,
  [SMALL_STATE(5538)] = 230563,
  [SMALL_STATE(5539)] = 230622,
  [SMALL_STATE(5540)] = 230681,
  [SMALL_STATE(5541)] = 230740,
  [SMALL_STATE(5542)] = 230801,
  [SMALL_STATE(5543)] = 230864,
  [SMALL_STATE(5544)] = 230923,
  [SMALL_STATE(5545)] = 230984,
  [SMALL_STATE(5546)] = 231043,
  [SMALL_STATE(5547)] = 231102,
  [SMALL_STATE(5548)] = 231161,
  [SMALL_STATE(5549)] = 231220,
  [SMALL_STATE(5550)] = 231279,
  [SMALL_STATE(5551)] = 231340,
  [SMALL_STATE(5552)] = 231399,
  [SMALL_STATE(5553)] = 231458,
  [SMALL_STATE(5554)] = 231517,
  [SMALL_STATE(5555)] = 231576,
  [SMALL_STATE(5556)] = 231635,
  [SMALL_STATE(5557)] = 231694,
  [SMALL_STATE(5558)] = 231753,
  [SMALL_STATE(5559)] = 231812,
  [SMALL_STATE(5560)] = 231871,
  [SMALL_STATE(5561)] = 231936,
  [SMALL_STATE(5562)] = 231995,
  [SMALL_STATE(5563)] = 232054,
  [SMALL_STATE(5564)] = 232113,
  [SMALL_STATE(5565)] = 232172,
  [SMALL_STATE(5566)] = 232231,
  [SMALL_STATE(5567)] = 232290,
  [SMALL_STATE(5568)] = 232349,
  [SMALL_STATE(5569)] = 232408,
  [SMALL_STATE(5570)] = 232467,
  [SMALL_STATE(5571)] = 232526,
  [SMALL_STATE(5572)] = 232585,
  [SMALL_STATE(5573)] = 232644,
  [SMALL_STATE(5574)] = 232703,
  [SMALL_STATE(5575)] = 232762,
  [SMALL_STATE(5576)] = 232821,
  [SMALL_STATE(5577)] = 232882,
  [SMALL_STATE(5578)] = 232941,
  [SMALL_STATE(5579)] = 233000,
  [SMALL_STATE(5580)] = 233059,
  [SMALL_STATE(5581)] = 233118,
  [SMALL_STATE(5582)] = 233177,
  [SMALL_STATE(5583)] = 233236,
  [SMALL_STATE(5584)] = 233295,
  [SMALL_STATE(5585)] = 233354,
  [SMALL_STATE(5586)] = 233413,
  [SMALL_STATE(5587)] = 233472,
  [SMALL_STATE(5588)] = 233531,
  [SMALL_STATE(5589)] = 233590,
  [SMALL_STATE(5590)] = 233649,
  [SMALL_STATE(5591)] = 233708,
  [SMALL_STATE(5592)] = 233767,
  [SMALL_STATE(5593)] = 233826,
  [SMALL_STATE(5594)] = 233885,
  [SMALL_STATE(5595)] = 233944,
  [SMALL_STATE(5596)] = 234003,
  [SMALL_STATE(5597)] = 234062,
  [SMALL_STATE(5598)] = 234121,
  [SMALL_STATE(5599)] = 234180,
  [SMALL_STATE(5600)] = 234245,
  [SMALL_STATE(5601)] = 234304,
  [SMALL_STATE(5602)] = 234363,
  [SMALL_STATE(5603)] = 234422,
  [SMALL_STATE(5604)] = 234481,
  [SMALL_STATE(5605)] = 234540,
  [SMALL_STATE(5606)] = 234599,
  [SMALL_STATE(5607)] = 234658,
  [SMALL_STATE(5608)] = 234717,
  [SMALL_STATE(5609)] = 234776,
  [SMALL_STATE(5610)] = 234835,
  [SMALL_STATE(5611)] = 234894,
  [SMALL_STATE(5612)] = 234953,
  [SMALL_STATE(5613)] = 235012,
  [SMALL_STATE(5614)] = 235071,
  [SMALL_STATE(5615)] = 235130,
  [SMALL_STATE(5616)] = 235189,
  [SMALL_STATE(5617)] = 235248,
  [SMALL_STATE(5618)] = 235307,
  [SMALL_STATE(5619)] = 235366,
  [SMALL_STATE(5620)] = 235425,
  [SMALL_STATE(5621)] = 235484,
  [SMALL_STATE(5622)] = 235543,
  [SMALL_STATE(5623)] = 235602,
  [SMALL_STATE(5624)] = 235661,
  [SMALL_STATE(5625)] = 235720,
  [SMALL_STATE(5626)] = 235779,
  [SMALL_STATE(5627)] = 235838,
  [SMALL_STATE(5628)] = 235897,
  [SMALL_STATE(5629)] = 235956,
  [SMALL_STATE(5630)] = 236015,
  [SMALL_STATE(5631)] = 236074,
  [SMALL_STATE(5632)] = 236133,
  [SMALL_STATE(5633)] = 236194,
  [SMALL_STATE(5634)] = 236253,
  [SMALL_STATE(5635)] = 236312,
  [SMALL_STATE(5636)] = 236371,
  [SMALL_STATE(5637)] = 236430,
  [SMALL_STATE(5638)] = 236489,
  [SMALL_STATE(5639)] = 236548,
  [SMALL_STATE(5640)] = 236607,
  [SMALL_STATE(5641)] = 236666,
  [SMALL_STATE(5642)] = 236725,
  [SMALL_STATE(5643)] = 236784,
  [SMALL_STATE(5644)] = 236843,
  [SMALL_STATE(5645)] = 236902,
  [SMALL_STATE(5646)] = 236961,
  [SMALL_STATE(5647)] = 237020,
  [SMALL_STATE(5648)] = 237079,
  [SMALL_STATE(5649)] = 237138,
  [SMALL_STATE(5650)] = 237197,
  [SMALL_STATE(5651)] = 237260,
  [SMALL_STATE(5652)] = 237319,
  [SMALL_STATE(5653)] = 237378,
  [SMALL_STATE(5654)] = 237437,
  [SMALL_STATE(5655)] = 237496,
  [SMALL_STATE(5656)] = 237557,
  [SMALL_STATE(5657)] = 237616,
  [SMALL_STATE(5658)] = 237675,
  [SMALL_STATE(5659)] = 237734,
  [SMALL_STATE(5660)] = 237793,
  [SMALL_STATE(5661)] = 237852,
  [SMALL_STATE(5662)] = 237911,
  [SMALL_STATE(5663)] = 237970,
  [SMALL_STATE(5664)] = 238029,
  [SMALL_STATE(5665)] = 238088,
  [SMALL_STATE(5666)] = 238147,
  [SMALL_STATE(5667)] = 238206,
  [SMALL_STATE(5668)] = 238265,
  [SMALL_STATE(5669)] = 238324,
  [SMALL_STATE(5670)] = 238383,
  [SMALL_STATE(5671)] = 238442,
  [SMALL_STATE(5672)] = 238501,
  [SMALL_STATE(5673)] = 238560,
  [SMALL_STATE(5674)] = 238619,
  [SMALL_STATE(5675)] = 238678,
  [SMALL_STATE(5676)] = 238739,
  [SMALL_STATE(5677)] = 238798,
  [SMALL_STATE(5678)] = 238857,
  [SMALL_STATE(5679)] = 238916,
  [SMALL_STATE(5680)] = 238977,
  [SMALL_STATE(5681)] = 239036,
  [SMALL_STATE(5682)] = 239095,
  [SMALL_STATE(5683)] = 239154,
  [SMALL_STATE(5684)] = 239213,
  [SMALL_STATE(5685)] = 239272,
  [SMALL_STATE(5686)] = 239331,
  [SMALL_STATE(5687)] = 239390,
  [SMALL_STATE(5688)] = 239451,
  [SMALL_STATE(5689)] = 239510,
  [SMALL_STATE(5690)] = 239569,
  [SMALL_STATE(5691)] = 239628,
  [SMALL_STATE(5692)] = 239687,
  [SMALL_STATE(5693)] = 239746,
  [SMALL_STATE(5694)] = 239805,
  [SMALL_STATE(5695)] = 239864,
  [SMALL_STATE(5696)] = 239923,
  [SMALL_STATE(5697)] = 239982,
  [SMALL_STATE(5698)] = 240041,
  [SMALL_STATE(5699)] = 240100,
  [SMALL_STATE(5700)] = 240159,
  [SMALL_STATE(5701)] = 240218,
  [SMALL_STATE(5702)] = 240277,
  [SMALL_STATE(5703)] = 240336,
  [SMALL_STATE(5704)] = 240395,
  [SMALL_STATE(5705)] = 240454,
  [SMALL_STATE(5706)] = 240515,
  [SMALL_STATE(5707)] = 240574,
  [SMALL_STATE(5708)] = 240633,
  [SMALL_STATE(5709)] = 240694,
  [SMALL_STATE(5710)] = 240753,
  [SMALL_STATE(5711)] = 240812,
  [SMALL_STATE(5712)] = 240871,
  [SMALL_STATE(5713)] = 240929,
  [SMALL_STATE(5714)] = 240987,
  [SMALL_STATE(5715)] = 241045,
  [SMALL_STATE(5716)] = 241103,
  [SMALL_STATE(5717)] = 241161,
  [SMALL_STATE(5718)] = 241221,
  [SMALL_STATE(5719)] = 241279,
  [SMALL_STATE(5720)] = 241339,
  [SMALL_STATE(5721)] = 241437,
  [SMALL_STATE(5722)] = 241495,
  [SMALL_STATE(5723)] = 241553,
  [SMALL_STATE(5724)] = 241651,
  [SMALL_STATE(5725)] = 241711,
  [SMALL_STATE(5726)] = 241769,
  [SMALL_STATE(5727)] = 241827,
  [SMALL_STATE(5728)] = 241885,
  [SMALL_STATE(5729)] = 241943,
  [SMALL_STATE(5730)] = 242001,
  [SMALL_STATE(5731)] = 242059,
  [SMALL_STATE(5732)] = 242117,
  [SMALL_STATE(5733)] = 242175,
  [SMALL_STATE(5734)] = 242233,
  [SMALL_STATE(5735)] = 242291,
  [SMALL_STATE(5736)] = 242349,
  [SMALL_STATE(5737)] = 242407,
  [SMALL_STATE(5738)] = 242465,
  [SMALL_STATE(5739)] = 242523,
  [SMALL_STATE(5740)] = 242581,
  [SMALL_STATE(5741)] = 242639,
  [SMALL_STATE(5742)] = 242697,
  [SMALL_STATE(5743)] = 242755,
  [SMALL_STATE(5744)] = 242813,
  [SMALL_STATE(5745)] = 242871,
  [SMALL_STATE(5746)] = 242929,
  [SMALL_STATE(5747)] = 242987,
  [SMALL_STATE(5748)] = 243085,
  [SMALL_STATE(5749)] = 243149,
  [SMALL_STATE(5750)] = 243207,
  [SMALL_STATE(5751)] = 243265,
  [SMALL_STATE(5752)] = 243323,
  [SMALL_STATE(5753)] = 243381,
  [SMALL_STATE(5754)] = 243479,
  [SMALL_STATE(5755)] = 243537,
  [SMALL_STATE(5756)] = 243595,
  [SMALL_STATE(5757)] = 243653,
  [SMALL_STATE(5758)] = 243711,
  [SMALL_STATE(5759)] = 243771,
  [SMALL_STATE(5760)] = 243829,
  [SMALL_STATE(5761)] = 243887,
  [SMALL_STATE(5762)] = 243985,
  [SMALL_STATE(5763)] = 244043,
  [SMALL_STATE(5764)] = 244101,
  [SMALL_STATE(5765)] = 244159,
  [SMALL_STATE(5766)] = 244257,
  [SMALL_STATE(5767)] = 244315,
  [SMALL_STATE(5768)] = 244373,
  [SMALL_STATE(5769)] = 244431,
  [SMALL_STATE(5770)] = 244489,
  [SMALL_STATE(5771)] = 244547,
  [SMALL_STATE(5772)] = 244605,
  [SMALL_STATE(5773)] = 244663,
  [SMALL_STATE(5774)] = 244721,
  [SMALL_STATE(5775)] = 244779,
  [SMALL_STATE(5776)] = 244837,
  [SMALL_STATE(5777)] = 244897,
  [SMALL_STATE(5778)] = 244955,
  [SMALL_STATE(5779)] = 245015,
  [SMALL_STATE(5780)] = 245113,
  [SMALL_STATE(5781)] = 245171,
  [SMALL_STATE(5782)] = 245269,
  [SMALL_STATE(5783)] = 245333,
  [SMALL_STATE(5784)] = 245391,
  [SMALL_STATE(5785)] = 245449,
  [SMALL_STATE(5786)] = 245507,
  [SMALL_STATE(5787)] = 245565,
  [SMALL_STATE(5788)] = 245623,
  [SMALL_STATE(5789)] = 245721,
  [SMALL_STATE(5790)] = 245779,
  [SMALL_STATE(5791)] = 245837,
  [SMALL_STATE(5792)] = 245895,
  [SMALL_STATE(5793)] = 245953,
  [SMALL_STATE(5794)] = 246011,
  [SMALL_STATE(5795)] = 246069,
  [SMALL_STATE(5796)] = 246127,
  [SMALL_STATE(5797)] = 246185,
  [SMALL_STATE(5798)] = 246243,
  [SMALL_STATE(5799)] = 246301,
  [SMALL_STATE(5800)] = 246359,
  [SMALL_STATE(5801)] = 246417,
  [SMALL_STATE(5802)] = 246475,
  [SMALL_STATE(5803)] = 246533,
  [SMALL_STATE(5804)] = 246591,
  [SMALL_STATE(5805)] = 246649,
  [SMALL_STATE(5806)] = 246707,
  [SMALL_STATE(5807)] = 246765,
  [SMALL_STATE(5808)] = 246822,
  [SMALL_STATE(5809)] = 246879,
  [SMALL_STATE(5810)] = 246936,
  [SMALL_STATE(5811)] = 246993,
  [SMALL_STATE(5812)] = 247050,
  [SMALL_STATE(5813)] = 247107,
  [SMALL_STATE(5814)] = 247164,
  [SMALL_STATE(5815)] = 247221,
  [SMALL_STATE(5816)] = 247278,
  [SMALL_STATE(5817)] = 247335,
  [SMALL_STATE(5818)] = 247394,
  [SMALL_STATE(5819)] = 247451,
  [SMALL_STATE(5820)] = 247508,
  [SMALL_STATE(5821)] = 247565,
  [SMALL_STATE(5822)] = 247622,
  [SMALL_STATE(5823)] = 247679,
  [SMALL_STATE(5824)] = 247736,
  [SMALL_STATE(5825)] = 247793,
  [SMALL_STATE(5826)] = 247850,
  [SMALL_STATE(5827)] = 247907,
  [SMALL_STATE(5828)] = 247964,
  [SMALL_STATE(5829)] = 248021,
  [SMALL_STATE(5830)] = 248078,
  [SMALL_STATE(5831)] = 248135,
  [SMALL_STATE(5832)] = 248192,
  [SMALL_STATE(5833)] = 248249,
  [SMALL_STATE(5834)] = 248306,
  [SMALL_STATE(5835)] = 248363,
  [SMALL_STATE(5836)] = 248420,
  [SMALL_STATE(5837)] = 248477,
  [SMALL_STATE(5838)] = 248534,
  [SMALL_STATE(5839)] = 248591,
  [SMALL_STATE(5840)] = 248648,
  [SMALL_STATE(5841)] = 248705,
  [SMALL_STATE(5842)] = 248762,
  [SMALL_STATE(5843)] = 248819,
  [SMALL_STATE(5844)] = 248876,
  [SMALL_STATE(5845)] = 248933,
  [SMALL_STATE(5846)] = 248990,
  [SMALL_STATE(5847)] = 249047,
  [SMALL_STATE(5848)] = 249104,
  [SMALL_STATE(5849)] = 249161,
  [SMALL_STATE(5850)] = 249218,
  [SMALL_STATE(5851)] = 249275,
  [SMALL_STATE(5852)] = 249332,
  [SMALL_STATE(5853)] = 249389,
  [SMALL_STATE(5854)] = 249446,
  [SMALL_STATE(5855)] = 249503,
  [SMALL_STATE(5856)] = 249560,
  [SMALL_STATE(5857)] = 249617,
  [SMALL_STATE(5858)] = 249674,
  [SMALL_STATE(5859)] = 249731,
  [SMALL_STATE(5860)] = 249788,
  [SMALL_STATE(5861)] = 249845,
  [SMALL_STATE(5862)] = 249902,
  [SMALL_STATE(5863)] = 249959,
  [SMALL_STATE(5864)] = 250016,
  [SMALL_STATE(5865)] = 250073,
  [SMALL_STATE(5866)] = 250130,
  [SMALL_STATE(5867)] = 250187,
  [SMALL_STATE(5868)] = 250244,
  [SMALL_STATE(5869)] = 250301,
  [SMALL_STATE(5870)] = 250358,
  [SMALL_STATE(5871)] = 250415,
  [SMALL_STATE(5872)] = 250472,
  [SMALL_STATE(5873)] = 250529,
  [SMALL_STATE(5874)] = 250586,
  [SMALL_STATE(5875)] = 250643,
  [SMALL_STATE(5876)] = 250700,
  [SMALL_STATE(5877)] = 250757,
  [SMALL_STATE(5878)] = 250820,
  [SMALL_STATE(5879)] = 250877,
  [SMALL_STATE(5880)] = 250934,
  [SMALL_STATE(5881)] = 250991,
  [SMALL_STATE(5882)] = 251048,
  [SMALL_STATE(5883)] = 251105,
  [SMALL_STATE(5884)] = 251162,
  [SMALL_STATE(5885)] = 251219,
  [SMALL_STATE(5886)] = 251278,
  [SMALL_STATE(5887)] = 251335,
  [SMALL_STATE(5888)] = 251392,
  [SMALL_STATE(5889)] = 251449,
  [SMALL_STATE(5890)] = 251506,
  [SMALL_STATE(5891)] = 251563,
  [SMALL_STATE(5892)] = 251620,
  [SMALL_STATE(5893)] = 251677,
  [SMALL_STATE(5894)] = 251734,
  [SMALL_STATE(5895)] = 251791,
  [SMALL_STATE(5896)] = 251848,
  [SMALL_STATE(5897)] = 251905,
  [SMALL_STATE(5898)] = 251962,
  [SMALL_STATE(5899)] = 252019,
  [SMALL_STATE(5900)] = 252076,
  [SMALL_STATE(5901)] = 252133,
  [SMALL_STATE(5902)] = 252196,
  [SMALL_STATE(5903)] = 252253,
  [SMALL_STATE(5904)] = 252310,
  [SMALL_STATE(5905)] = 252367,
  [SMALL_STATE(5906)] = 252424,
  [SMALL_STATE(5907)] = 252481,
  [SMALL_STATE(5908)] = 252538,
  [SMALL_STATE(5909)] = 252595,
  [SMALL_STATE(5910)] = 252652,
  [SMALL_STATE(5911)] = 252711,
  [SMALL_STATE(5912)] = 252768,
  [SMALL_STATE(5913)] = 252825,
  [SMALL_STATE(5914)] = 252882,
  [SMALL_STATE(5915)] = 252939,
  [SMALL_STATE(5916)] = 252998,
  [SMALL_STATE(5917)] = 253055,
  [SMALL_STATE(5918)] = 253112,
  [SMALL_STATE(5919)] = 253169,
  [SMALL_STATE(5920)] = 253226,
  [SMALL_STATE(5921)] = 253283,
  [SMALL_STATE(5922)] = 253340,
  [SMALL_STATE(5923)] = 253397,
  [SMALL_STATE(5924)] = 253454,
  [SMALL_STATE(5925)] = 253513,
  [SMALL_STATE(5926)] = 253570,
  [SMALL_STATE(5927)] = 253627,
  [SMALL_STATE(5928)] = 253684,
  [SMALL_STATE(5929)] = 253741,
  [SMALL_STATE(5930)] = 253798,
  [SMALL_STATE(5931)] = 253855,
  [SMALL_STATE(5932)] = 253912,
  [SMALL_STATE(5933)] = 253969,
  [SMALL_STATE(5934)] = 254026,
  [SMALL_STATE(5935)] = 254083,
  [SMALL_STATE(5936)] = 254140,
  [SMALL_STATE(5937)] = 254197,
  [SMALL_STATE(5938)] = 254254,
  [SMALL_STATE(5939)] = 254311,
  [SMALL_STATE(5940)] = 254368,
  [SMALL_STATE(5941)] = 254425,
  [SMALL_STATE(5942)] = 254482,
  [SMALL_STATE(5943)] = 254539,
  [SMALL_STATE(5944)] = 254596,
  [SMALL_STATE(5945)] = 254655,
  [SMALL_STATE(5946)] = 254712,
  [SMALL_STATE(5947)] = 254769,
  [SMALL_STATE(5948)] = 254826,
  [SMALL_STATE(5949)] = 254883,
  [SMALL_STATE(5950)] = 254940,
  [SMALL_STATE(5951)] = 254999,
  [SMALL_STATE(5952)] = 255056,
  [SMALL_STATE(5953)] = 255113,
  [SMALL_STATE(5954)] = 255170,
  [SMALL_STATE(5955)] = 255227,
  [SMALL_STATE(5956)] = 255284,
  [SMALL_STATE(5957)] = 255341,
  [SMALL_STATE(5958)] = 255398,
  [SMALL_STATE(5959)] = 255455,
  [SMALL_STATE(5960)] = 255512,
  [SMALL_STATE(5961)] = 255569,
  [SMALL_STATE(5962)] = 255626,
  [SMALL_STATE(5963)] = 255683,
  [SMALL_STATE(5964)] = 255742,
  [SMALL_STATE(5965)] = 255799,
  [SMALL_STATE(5966)] = 255856,
  [SMALL_STATE(5967)] = 255913,
  [SMALL_STATE(5968)] = 255970,
  [SMALL_STATE(5969)] = 256027,
  [SMALL_STATE(5970)] = 256086,
  [SMALL_STATE(5971)] = 256143,
  [SMALL_STATE(5972)] = 256200,
  [SMALL_STATE(5973)] = 256257,
  [SMALL_STATE(5974)] = 256314,
  [SMALL_STATE(5975)] = 256371,
  [SMALL_STATE(5976)] = 256428,
  [SMALL_STATE(5977)] = 256485,
  [SMALL_STATE(5978)] = 256542,
  [SMALL_STATE(5979)] = 256599,
  [SMALL_STATE(5980)] = 256656,
  [SMALL_STATE(5981)] = 256713,
  [SMALL_STATE(5982)] = 256770,
  [SMALL_STATE(5983)] = 256827,
  [SMALL_STATE(5984)] = 256884,
  [SMALL_STATE(5985)] = 256941,
  [SMALL_STATE(5986)] = 256998,
  [SMALL_STATE(5987)] = 257057,
  [SMALL_STATE(5988)] = 257116,
  [SMALL_STATE(5989)] = 257179,
  [SMALL_STATE(5990)] = 257242,
  [SMALL_STATE(5991)] = 257299,
  [SMALL_STATE(5992)] = 257356,
  [SMALL_STATE(5993)] = 257413,
  [SMALL_STATE(5994)] = 257470,
  [SMALL_STATE(5995)] = 257527,
  [SMALL_STATE(5996)] = 257584,
  [SMALL_STATE(5997)] = 257641,
  [SMALL_STATE(5998)] = 257700,
  [SMALL_STATE(5999)] = 257757,
  [SMALL_STATE(6000)] = 257814,
  [SMALL_STATE(6001)] = 257873,
  [SMALL_STATE(6002)] = 257936,
  [SMALL_STATE(6003)] = 257995,
  [SMALL_STATE(6004)] = 258054,
  [SMALL_STATE(6005)] = 258113,
  [SMALL_STATE(6006)] = 258172,
  [SMALL_STATE(6007)] = 258235,
  [SMALL_STATE(6008)] = 258292,
  [SMALL_STATE(6009)] = 258351,
  [SMALL_STATE(6010)] = 258410,
  [SMALL_STATE(6011)] = 258467,
  [SMALL_STATE(6012)] = 258524,
  [SMALL_STATE(6013)] = 258581,
  [SMALL_STATE(6014)] = 258638,
  [SMALL_STATE(6015)] = 258695,
  [SMALL_STATE(6016)] = 258752,
  [SMALL_STATE(6017)] = 258809,
  [SMALL_STATE(6018)] = 258866,
  [SMALL_STATE(6019)] = 258923,
  [SMALL_STATE(6020)] = 258980,
  [SMALL_STATE(6021)] = 259037,
  [SMALL_STATE(6022)] = 259094,
  [SMALL_STATE(6023)] = 259151,
  [SMALL_STATE(6024)] = 259208,
  [SMALL_STATE(6025)] = 259267,
  [SMALL_STATE(6026)] = 259324,
  [SMALL_STATE(6027)] = 259381,
  [SMALL_STATE(6028)] = 259438,
  [SMALL_STATE(6029)] = 259495,
  [SMALL_STATE(6030)] = 259552,
  [SMALL_STATE(6031)] = 259609,
  [SMALL_STATE(6032)] = 259666,
  [SMALL_STATE(6033)] = 259723,
  [SMALL_STATE(6034)] = 259780,
  [SMALL_STATE(6035)] = 259837,
  [SMALL_STATE(6036)] = 259894,
  [SMALL_STATE(6037)] = 259951,
  [SMALL_STATE(6038)] = 260008,
  [SMALL_STATE(6039)] = 260065,
  [SMALL_STATE(6040)] = 260122,
  [SMALL_STATE(6041)] = 260179,
  [SMALL_STATE(6042)] = 260236,
  [SMALL_STATE(6043)] = 260293,
  [SMALL_STATE(6044)] = 260350,
  [SMALL_STATE(6045)] = 260407,
  [SMALL_STATE(6046)] = 260464,
  [SMALL_STATE(6047)] = 260521,
  [SMALL_STATE(6048)] = 260578,
  [SMALL_STATE(6049)] = 260635,
  [SMALL_STATE(6050)] = 260692,
  [SMALL_STATE(6051)] = 260749,
  [SMALL_STATE(6052)] = 260806,
  [SMALL_STATE(6053)] = 260863,
  [SMALL_STATE(6054)] = 260920,
  [SMALL_STATE(6055)] = 260977,
  [SMALL_STATE(6056)] = 261034,
  [SMALL_STATE(6057)] = 261091,
  [SMALL_STATE(6058)] = 261148,
  [SMALL_STATE(6059)] = 261205,
  [SMALL_STATE(6060)] = 261262,
  [SMALL_STATE(6061)] = 261319,
  [SMALL_STATE(6062)] = 261376,
  [SMALL_STATE(6063)] = 261433,
  [SMALL_STATE(6064)] = 261490,
  [SMALL_STATE(6065)] = 261549,
  [SMALL_STATE(6066)] = 261606,
  [SMALL_STATE(6067)] = 261663,
  [SMALL_STATE(6068)] = 261720,
  [SMALL_STATE(6069)] = 261777,
  [SMALL_STATE(6070)] = 261834,
  [SMALL_STATE(6071)] = 261891,
  [SMALL_STATE(6072)] = 261948,
  [SMALL_STATE(6073)] = 262005,
  [SMALL_STATE(6074)] = 262062,
  [SMALL_STATE(6075)] = 262119,
  [SMALL_STATE(6076)] = 262176,
  [SMALL_STATE(6077)] = 262233,
  [SMALL_STATE(6078)] = 262290,
  [SMALL_STATE(6079)] = 262347,
  [SMALL_STATE(6080)] = 262404,
  [SMALL_STATE(6081)] = 262461,
  [SMALL_STATE(6082)] = 262518,
  [SMALL_STATE(6083)] = 262575,
  [SMALL_STATE(6084)] = 262632,
  [SMALL_STATE(6085)] = 262689,
  [SMALL_STATE(6086)] = 262746,
  [SMALL_STATE(6087)] = 262803,
  [SMALL_STATE(6088)] = 262860,
  [SMALL_STATE(6089)] = 262917,
  [SMALL_STATE(6090)] = 262976,
  [SMALL_STATE(6091)] = 263035,
  [SMALL_STATE(6092)] = 263092,
  [SMALL_STATE(6093)] = 263149,
  [SMALL_STATE(6094)] = 263206,
  [SMALL_STATE(6095)] = 263263,
  [SMALL_STATE(6096)] = 263320,
  [SMALL_STATE(6097)] = 263377,
  [SMALL_STATE(6098)] = 263434,
  [SMALL_STATE(6099)] = 263491,
  [SMALL_STATE(6100)] = 263548,
  [SMALL_STATE(6101)] = 263605,
  [SMALL_STATE(6102)] = 263662,
  [SMALL_STATE(6103)] = 263719,
  [SMALL_STATE(6104)] = 263776,
  [SMALL_STATE(6105)] = 263833,
  [SMALL_STATE(6106)] = 263890,
  [SMALL_STATE(6107)] = 263947,
  [SMALL_STATE(6108)] = 264004,
  [SMALL_STATE(6109)] = 264061,
  [SMALL_STATE(6110)] = 264117,
  [SMALL_STATE(6111)] = 264173,
  [SMALL_STATE(6112)] = 264229,
  [SMALL_STATE(6113)] = 264285,
  [SMALL_STATE(6114)] = 264343,
  [SMALL_STATE(6115)] = 264399,
  [SMALL_STATE(6116)] = 264455,
  [SMALL_STATE(6117)] = 264511,
  [SMALL_STATE(6118)] = 264567,
  [SMALL_STATE(6119)] = 264623,
  [SMALL_STATE(6120)] = 264679,
  [SMALL_STATE(6121)] = 264735,
  [SMALL_STATE(6122)] = 264791,
  [SMALL_STATE(6123)] = 264847,
  [SMALL_STATE(6124)] = 264903,
  [SMALL_STATE(6125)] = 264959,
  [SMALL_STATE(6126)] = 265015,
  [SMALL_STATE(6127)] = 265071,
  [SMALL_STATE(6128)] = 265127,
  [SMALL_STATE(6129)] = 265183,
  [SMALL_STATE(6130)] = 265245,
  [SMALL_STATE(6131)] = 265301,
  [SMALL_STATE(6132)] = 265357,
  [SMALL_STATE(6133)] = 265413,
  [SMALL_STATE(6134)] = 265469,
  [SMALL_STATE(6135)] = 265525,
  [SMALL_STATE(6136)] = 265581,
  [SMALL_STATE(6137)] = 265637,
  [SMALL_STATE(6138)] = 265693,
  [SMALL_STATE(6139)] = 265749,
  [SMALL_STATE(6140)] = 265805,
  [SMALL_STATE(6141)] = 265861,
  [SMALL_STATE(6142)] = 265917,
  [SMALL_STATE(6143)] = 265973,
  [SMALL_STATE(6144)] = 266029,
  [SMALL_STATE(6145)] = 266085,
  [SMALL_STATE(6146)] = 266141,
  [SMALL_STATE(6147)] = 266197,
  [SMALL_STATE(6148)] = 266253,
  [SMALL_STATE(6149)] = 266309,
  [SMALL_STATE(6150)] = 266365,
  [SMALL_STATE(6151)] = 266421,
  [SMALL_STATE(6152)] = 266477,
  [SMALL_STATE(6153)] = 266533,
  [SMALL_STATE(6154)] = 266589,
  [SMALL_STATE(6155)] = 266645,
  [SMALL_STATE(6156)] = 266701,
  [SMALL_STATE(6157)] = 266757,
  [SMALL_STATE(6158)] = 266813,
  [SMALL_STATE(6159)] = 266869,
  [SMALL_STATE(6160)] = 266925,
  [SMALL_STATE(6161)] = 266981,
  [SMALL_STATE(6162)] = 267037,
  [SMALL_STATE(6163)] = 267093,
  [SMALL_STATE(6164)] = 267149,
  [SMALL_STATE(6165)] = 267205,
  [SMALL_STATE(6166)] = 267261,
  [SMALL_STATE(6167)] = 267319,
  [SMALL_STATE(6168)] = 267375,
  [SMALL_STATE(6169)] = 267431,
  [SMALL_STATE(6170)] = 267487,
  [SMALL_STATE(6171)] = 267543,
  [SMALL_STATE(6172)] = 267599,
  [SMALL_STATE(6173)] = 267655,
  [SMALL_STATE(6174)] = 267711,
  [SMALL_STATE(6175)] = 267767,
  [SMALL_STATE(6176)] = 267823,
  [SMALL_STATE(6177)] = 267879,
  [SMALL_STATE(6178)] = 267937,
  [SMALL_STATE(6179)] = 267993,
  [SMALL_STATE(6180)] = 268049,
  [SMALL_STATE(6181)] = 268105,
  [SMALL_STATE(6182)] = 268161,
  [SMALL_STATE(6183)] = 268217,
  [SMALL_STATE(6184)] = 268273,
  [SMALL_STATE(6185)] = 268331,
  [SMALL_STATE(6186)] = 268387,
  [SMALL_STATE(6187)] = 268443,
  [SMALL_STATE(6188)] = 268505,
  [SMALL_STATE(6189)] = 268561,
  [SMALL_STATE(6190)] = 268617,
  [SMALL_STATE(6191)] = 268673,
  [SMALL_STATE(6192)] = 268731,
  [SMALL_STATE(6193)] = 268787,
  [SMALL_STATE(6194)] = 268843,
  [SMALL_STATE(6195)] = 268899,
  [SMALL_STATE(6196)] = 268955,
  [SMALL_STATE(6197)] = 269011,
  [SMALL_STATE(6198)] = 269067,
  [SMALL_STATE(6199)] = 269123,
  [SMALL_STATE(6200)] = 269179,
  [SMALL_STATE(6201)] = 269237,
  [SMALL_STATE(6202)] = 269293,
  [SMALL_STATE(6203)] = 269349,
  [SMALL_STATE(6204)] = 269405,
  [SMALL_STATE(6205)] = 269461,
  [SMALL_STATE(6206)] = 269517,
  [SMALL_STATE(6207)] = 269573,
  [SMALL_STATE(6208)] = 269629,
  [SMALL_STATE(6209)] = 269685,
  [SMALL_STATE(6210)] = 269741,
  [SMALL_STATE(6211)] = 269797,
  [SMALL_STATE(6212)] = 269855,
  [SMALL_STATE(6213)] = 269911,
  [SMALL_STATE(6214)] = 269967,
  [SMALL_STATE(6215)] = 270023,
  [SMALL_STATE(6216)] = 270079,
  [SMALL_STATE(6217)] = 270135,
  [SMALL_STATE(6218)] = 270191,
  [SMALL_STATE(6219)] = 270247,
  [SMALL_STATE(6220)] = 270303,
  [SMALL_STATE(6221)] = 270361,
  [SMALL_STATE(6222)] = 270417,
  [SMALL_STATE(6223)] = 270473,
  [SMALL_STATE(6224)] = 270529,
  [SMALL_STATE(6225)] = 270585,
  [SMALL_STATE(6226)] = 270641,
  [SMALL_STATE(6227)] = 270697,
  [SMALL_STATE(6228)] = 270755,
  [SMALL_STATE(6229)] = 270811,
  [SMALL_STATE(6230)] = 270867,
  [SMALL_STATE(6231)] = 270923,
  [SMALL_STATE(6232)] = 270979,
  [SMALL_STATE(6233)] = 271035,
  [SMALL_STATE(6234)] = 271091,
  [SMALL_STATE(6235)] = 271147,
  [SMALL_STATE(6236)] = 271203,
  [SMALL_STATE(6237)] = 271259,
  [SMALL_STATE(6238)] = 271315,
  [SMALL_STATE(6239)] = 271371,
  [SMALL_STATE(6240)] = 271427,
  [SMALL_STATE(6241)] = 271485,
  [SMALL_STATE(6242)] = 271541,
  [SMALL_STATE(6243)] = 271597,
  [SMALL_STATE(6244)] = 271653,
  [SMALL_STATE(6245)] = 271709,
  [SMALL_STATE(6246)] = 271765,
  [SMALL_STATE(6247)] = 271821,
  [SMALL_STATE(6248)] = 271877,
  [SMALL_STATE(6249)] = 271933,
  [SMALL_STATE(6250)] = 271989,
  [SMALL_STATE(6251)] = 272045,
  [SMALL_STATE(6252)] = 272103,
  [SMALL_STATE(6253)] = 272159,
  [SMALL_STATE(6254)] = 272215,
  [SMALL_STATE(6255)] = 272271,
  [SMALL_STATE(6256)] = 272327,
  [SMALL_STATE(6257)] = 272385,
  [SMALL_STATE(6258)] = 272441,
  [SMALL_STATE(6259)] = 272497,
  [SMALL_STATE(6260)] = 272553,
  [SMALL_STATE(6261)] = 272609,
  [SMALL_STATE(6262)] = 272667,
  [SMALL_STATE(6263)] = 272723,
  [SMALL_STATE(6264)] = 272779,
  [SMALL_STATE(6265)] = 272835,
  [SMALL_STATE(6266)] = 272891,
  [SMALL_STATE(6267)] = 272947,
  [SMALL_STATE(6268)] = 273005,
  [SMALL_STATE(6269)] = 273061,
  [SMALL_STATE(6270)] = 273117,
  [SMALL_STATE(6271)] = 273173,
  [SMALL_STATE(6272)] = 273229,
  [SMALL_STATE(6273)] = 273285,
  [SMALL_STATE(6274)] = 273341,
  [SMALL_STATE(6275)] = 273397,
  [SMALL_STATE(6276)] = 273453,
  [SMALL_STATE(6277)] = 273509,
  [SMALL_STATE(6278)] = 273565,
  [SMALL_STATE(6279)] = 273621,
  [SMALL_STATE(6280)] = 273677,
  [SMALL_STATE(6281)] = 273735,
  [SMALL_STATE(6282)] = 273791,
  [SMALL_STATE(6283)] = 273847,
  [SMALL_STATE(6284)] = 273903,
  [SMALL_STATE(6285)] = 273959,
  [SMALL_STATE(6286)] = 274015,
  [SMALL_STATE(6287)] = 274073,
  [SMALL_STATE(6288)] = 274129,
  [SMALL_STATE(6289)] = 274185,
  [SMALL_STATE(6290)] = 274241,
  [SMALL_STATE(6291)] = 274297,
  [SMALL_STATE(6292)] = 274353,
  [SMALL_STATE(6293)] = 274409,
  [SMALL_STATE(6294)] = 274465,
  [SMALL_STATE(6295)] = 274521,
  [SMALL_STATE(6296)] = 274577,
  [SMALL_STATE(6297)] = 274633,
  [SMALL_STATE(6298)] = 274689,
  [SMALL_STATE(6299)] = 274747,
  [SMALL_STATE(6300)] = 274803,
  [SMALL_STATE(6301)] = 274859,
  [SMALL_STATE(6302)] = 274915,
  [SMALL_STATE(6303)] = 274971,
  [SMALL_STATE(6304)] = 275027,
  [SMALL_STATE(6305)] = 275083,
  [SMALL_STATE(6306)] = 275139,
  [SMALL_STATE(6307)] = 275195,
  [SMALL_STATE(6308)] = 275251,
  [SMALL_STATE(6309)] = 275307,
  [SMALL_STATE(6310)] = 275363,
  [SMALL_STATE(6311)] = 275419,
  [SMALL_STATE(6312)] = 275475,
  [SMALL_STATE(6313)] = 275531,
  [SMALL_STATE(6314)] = 275587,
  [SMALL_STATE(6315)] = 275643,
  [SMALL_STATE(6316)] = 275699,
  [SMALL_STATE(6317)] = 275755,
  [SMALL_STATE(6318)] = 275811,
  [SMALL_STATE(6319)] = 275867,
  [SMALL_STATE(6320)] = 275923,
  [SMALL_STATE(6321)] = 275979,
  [SMALL_STATE(6322)] = 276035,
  [SMALL_STATE(6323)] = 276143,
  [SMALL_STATE(6324)] = 276199,
  [SMALL_STATE(6325)] = 276307,
  [SMALL_STATE(6326)] = 276363,
  [SMALL_STATE(6327)] = 276419,
  [SMALL_STATE(6328)] = 276475,
  [SMALL_STATE(6329)] = 276531,
  [SMALL_STATE(6330)] = 276639,
  [SMALL_STATE(6331)] = 276695,
  [SMALL_STATE(6332)] = 276751,
  [SMALL_STATE(6333)] = 276807,
  [SMALL_STATE(6334)] = 276869,
  [SMALL_STATE(6335)] = 276925,
  [SMALL_STATE(6336)] = 277033,
  [SMALL_STATE(6337)] = 277141,
  [SMALL_STATE(6338)] = 277203,
  [SMALL_STATE(6339)] = 277259,
  [SMALL_STATE(6340)] = 277315,
  [SMALL_STATE(6341)] = 277371,
  [SMALL_STATE(6342)] = 277427,
  [SMALL_STATE(6343)] = 277483,
  [SMALL_STATE(6344)] = 277539,
  [SMALL_STATE(6345)] = 277595,
  [SMALL_STATE(6346)] = 277703,
  [SMALL_STATE(6347)] = 277759,
  [SMALL_STATE(6348)] = 277867,
  [SMALL_STATE(6349)] = 277923,
  [SMALL_STATE(6350)] = 277979,
  [SMALL_STATE(6351)] = 278035,
  [SMALL_STATE(6352)] = 278091,
  [SMALL_STATE(6353)] = 278147,
  [SMALL_STATE(6354)] = 278203,
  [SMALL_STATE(6355)] = 278259,
  [SMALL_STATE(6356)] = 278315,
  [SMALL_STATE(6357)] = 278371,
  [SMALL_STATE(6358)] = 278427,
  [SMALL_STATE(6359)] = 278483,
  [SMALL_STATE(6360)] = 278539,
  [SMALL_STATE(6361)] = 278595,
  [SMALL_STATE(6362)] = 278651,
  [SMALL_STATE(6363)] = 278707,
  [SMALL_STATE(6364)] = 278763,
  [SMALL_STATE(6365)] = 278819,
  [SMALL_STATE(6366)] = 278875,
  [SMALL_STATE(6367)] = 278931,
  [SMALL_STATE(6368)] = 278987,
  [SMALL_STATE(6369)] = 279043,
  [SMALL_STATE(6370)] = 279101,
  [SMALL_STATE(6371)] = 279157,
  [SMALL_STATE(6372)] = 279213,
  [SMALL_STATE(6373)] = 279269,
  [SMALL_STATE(6374)] = 279325,
  [SMALL_STATE(6375)] = 279381,
  [SMALL_STATE(6376)] = 279437,
  [SMALL_STATE(6377)] = 279493,
  [SMALL_STATE(6378)] = 279549,
  [SMALL_STATE(6379)] = 279605,
  [SMALL_STATE(6380)] = 279661,
  [SMALL_STATE(6381)] = 279717,
  [SMALL_STATE(6382)] = 279773,
  [SMALL_STATE(6383)] = 279829,
  [SMALL_STATE(6384)] = 279885,
  [SMALL_STATE(6385)] = 279941,
  [SMALL_STATE(6386)] = 279997,
  [SMALL_STATE(6387)] = 280053,
  [SMALL_STATE(6388)] = 280109,
  [SMALL_STATE(6389)] = 280165,
  [SMALL_STATE(6390)] = 280221,
  [SMALL_STATE(6391)] = 280277,
  [SMALL_STATE(6392)] = 280333,
  [SMALL_STATE(6393)] = 280389,
  [SMALL_STATE(6394)] = 280445,
  [SMALL_STATE(6395)] = 280501,
  [SMALL_STATE(6396)] = 280557,
  [SMALL_STATE(6397)] = 280615,
  [SMALL_STATE(6398)] = 280673,
  [SMALL_STATE(6399)] = 280729,
  [SMALL_STATE(6400)] = 280785,
  [SMALL_STATE(6401)] = 280893,
  [SMALL_STATE(6402)] = 280949,
  [SMALL_STATE(6403)] = 281005,
  [SMALL_STATE(6404)] = 281061,
  [SMALL_STATE(6405)] = 281117,
  [SMALL_STATE(6406)] = 281173,
  [SMALL_STATE(6407)] = 281229,
  [SMALL_STATE(6408)] = 281285,
  [SMALL_STATE(6409)] = 281341,
  [SMALL_STATE(6410)] = 281397,
  [SMALL_STATE(6411)] = 281453,
  [SMALL_STATE(6412)] = 281509,
  [SMALL_STATE(6413)] = 281565,
  [SMALL_STATE(6414)] = 281621,
  [SMALL_STATE(6415)] = 281677,
  [SMALL_STATE(6416)] = 281733,
  [SMALL_STATE(6417)] = 281789,
  [SMALL_STATE(6418)] = 281845,
  [SMALL_STATE(6419)] = 281901,
  [SMALL_STATE(6420)] = 281957,
  [SMALL_STATE(6421)] = 282013,
  [SMALL_STATE(6422)] = 282069,
  [SMALL_STATE(6423)] = 282125,
  [SMALL_STATE(6424)] = 282181,
  [SMALL_STATE(6425)] = 282237,
  [SMALL_STATE(6426)] = 282295,
  [SMALL_STATE(6427)] = 282351,
  [SMALL_STATE(6428)] = 282407,
  [SMALL_STATE(6429)] = 282463,
  [SMALL_STATE(6430)] = 282519,
  [SMALL_STATE(6431)] = 282575,
  [SMALL_STATE(6432)] = 282631,
  [SMALL_STATE(6433)] = 282687,
  [SMALL_STATE(6434)] = 282743,
  [SMALL_STATE(6435)] = 282799,
  [SMALL_STATE(6436)] = 282855,
  [SMALL_STATE(6437)] = 282911,
  [SMALL_STATE(6438)] = 282967,
  [SMALL_STATE(6439)] = 283023,
  [SMALL_STATE(6440)] = 283079,
  [SMALL_STATE(6441)] = 283135,
  [SMALL_STATE(6442)] = 283191,
  [SMALL_STATE(6443)] = 283247,
  [SMALL_STATE(6444)] = 283303,
  [SMALL_STATE(6445)] = 283359,
  [SMALL_STATE(6446)] = 283415,
  [SMALL_STATE(6447)] = 283471,
  [SMALL_STATE(6448)] = 283527,
  [SMALL_STATE(6449)] = 283589,
  [SMALL_STATE(6450)] = 283645,
  [SMALL_STATE(6451)] = 283701,
  [SMALL_STATE(6452)] = 283757,
  [SMALL_STATE(6453)] = 283819,
  [SMALL_STATE(6454)] = 283877,
  [SMALL_STATE(6455)] = 283933,
  [SMALL_STATE(6456)] = 283989,
  [SMALL_STATE(6457)] = 284045,
  [SMALL_STATE(6458)] = 284101,
  [SMALL_STATE(6459)] = 284157,
  [SMALL_STATE(6460)] = 284213,
  [SMALL_STATE(6461)] = 284269,
  [SMALL_STATE(6462)] = 284325,
  [SMALL_STATE(6463)] = 284381,
  [SMALL_STATE(6464)] = 284437,
  [SMALL_STATE(6465)] = 284493,
  [SMALL_STATE(6466)] = 284551,
  [SMALL_STATE(6467)] = 284609,
  [SMALL_STATE(6468)] = 284667,
  [SMALL_STATE(6469)] = 284725,
  [SMALL_STATE(6470)] = 284783,
  [SMALL_STATE(6471)] = 284839,
  [SMALL_STATE(6472)] = 284897,
  [SMALL_STATE(6473)] = 284953,
  [SMALL_STATE(6474)] = 285009,
  [SMALL_STATE(6475)] = 285065,
  [SMALL_STATE(6476)] = 285123,
  [SMALL_STATE(6477)] = 285179,
  [SMALL_STATE(6478)] = 285235,
  [SMALL_STATE(6479)] = 285291,
  [SMALL_STATE(6480)] = 285347,
  [SMALL_STATE(6481)] = 285403,
  [SMALL_STATE(6482)] = 285459,
  [SMALL_STATE(6483)] = 285517,
  [SMALL_STATE(6484)] = 285573,
  [SMALL_STATE(6485)] = 285629,
  [SMALL_STATE(6486)] = 285685,
  [SMALL_STATE(6487)] = 285741,
  [SMALL_STATE(6488)] = 285799,
  [SMALL_STATE(6489)] = 285855,
  [SMALL_STATE(6490)] = 285911,
  [SMALL_STATE(6491)] = 285967,
  [SMALL_STATE(6492)] = 286023,
  [SMALL_STATE(6493)] = 286079,
  [SMALL_STATE(6494)] = 286135,
  [SMALL_STATE(6495)] = 286191,
  [SMALL_STATE(6496)] = 286247,
  [SMALL_STATE(6497)] = 286303,
  [SMALL_STATE(6498)] = 286359,
  [SMALL_STATE(6499)] = 286415,
  [SMALL_STATE(6500)] = 286471,
  [SMALL_STATE(6501)] = 286527,
  [SMALL_STATE(6502)] = 286583,
  [SMALL_STATE(6503)] = 286641,
  [SMALL_STATE(6504)] = 286699,
  [SMALL_STATE(6505)] = 286755,
  [SMALL_STATE(6506)] = 286811,
  [SMALL_STATE(6507)] = 286867,
  [SMALL_STATE(6508)] = 286923,
  [SMALL_STATE(6509)] = 286979,
  [SMALL_STATE(6510)] = 287035,
  [SMALL_STATE(6511)] = 287091,
  [SMALL_STATE(6512)] = 287147,
  [SMALL_STATE(6513)] = 287203,
  [SMALL_STATE(6514)] = 287259,
  [SMALL_STATE(6515)] = 287315,
  [SMALL_STATE(6516)] = 287371,
  [SMALL_STATE(6517)] = 287427,
  [SMALL_STATE(6518)] = 287483,
  [SMALL_STATE(6519)] = 287539,
  [SMALL_STATE(6520)] = 287595,
  [SMALL_STATE(6521)] = 287651,
  [SMALL_STATE(6522)] = 287707,
  [SMALL_STATE(6523)] = 287763,
  [SMALL_STATE(6524)] = 287819,
  [SMALL_STATE(6525)] = 287875,
  [SMALL_STATE(6526)] = 287931,
  [SMALL_STATE(6527)] = 287987,
  [SMALL_STATE(6528)] = 288043,
  [SMALL_STATE(6529)] = 288099,
  [SMALL_STATE(6530)] = 288155,
  [SMALL_STATE(6531)] = 288211,
  [SMALL_STATE(6532)] = 288267,
  [SMALL_STATE(6533)] = 288323,
  [SMALL_STATE(6534)] = 288379,
  [SMALL_STATE(6535)] = 288435,
  [SMALL_STATE(6536)] = 288491,
  [SMALL_STATE(6537)] = 288547,
  [SMALL_STATE(6538)] = 288603,
  [SMALL_STATE(6539)] = 288659,
  [SMALL_STATE(6540)] = 288715,
  [SMALL_STATE(6541)] = 288771,
  [SMALL_STATE(6542)] = 288827,
  [SMALL_STATE(6543)] = 288883,
  [SMALL_STATE(6544)] = 288939,
  [SMALL_STATE(6545)] = 288995,
  [SMALL_STATE(6546)] = 289053,
  [SMALL_STATE(6547)] = 289109,
  [SMALL_STATE(6548)] = 289165,
  [SMALL_STATE(6549)] = 289221,
  [SMALL_STATE(6550)] = 289277,
  [SMALL_STATE(6551)] = 289333,
  [SMALL_STATE(6552)] = 289389,
  [SMALL_STATE(6553)] = 289445,
  [SMALL_STATE(6554)] = 289501,
  [SMALL_STATE(6555)] = 289557,
  [SMALL_STATE(6556)] = 289613,
  [SMALL_STATE(6557)] = 289669,
  [SMALL_STATE(6558)] = 289725,
  [SMALL_STATE(6559)] = 289781,
  [SMALL_STATE(6560)] = 289837,
  [SMALL_STATE(6561)] = 289893,
  [SMALL_STATE(6562)] = 289951,
  [SMALL_STATE(6563)] = 290007,
  [SMALL_STATE(6564)] = 290063,
  [SMALL_STATE(6565)] = 290119,
  [SMALL_STATE(6566)] = 290175,
  [SMALL_STATE(6567)] = 290231,
  [SMALL_STATE(6568)] = 290287,
  [SMALL_STATE(6569)] = 290343,
  [SMALL_STATE(6570)] = 290399,
  [SMALL_STATE(6571)] = 290455,
  [SMALL_STATE(6572)] = 290511,
  [SMALL_STATE(6573)] = 290567,
  [SMALL_STATE(6574)] = 290623,
  [SMALL_STATE(6575)] = 290679,
  [SMALL_STATE(6576)] = 290735,
  [SMALL_STATE(6577)] = 290797,
  [SMALL_STATE(6578)] = 290853,
  [SMALL_STATE(6579)] = 290909,
  [SMALL_STATE(6580)] = 290965,
  [SMALL_STATE(6581)] = 291021,
  [SMALL_STATE(6582)] = 291077,
  [SMALL_STATE(6583)] = 291133,
  [SMALL_STATE(6584)] = 291189,
  [SMALL_STATE(6585)] = 291245,
  [SMALL_STATE(6586)] = 291303,
  [SMALL_STATE(6587)] = 291359,
  [SMALL_STATE(6588)] = 291415,
  [SMALL_STATE(6589)] = 291471,
  [SMALL_STATE(6590)] = 291527,
  [SMALL_STATE(6591)] = 291583,
  [SMALL_STATE(6592)] = 291639,
  [SMALL_STATE(6593)] = 291695,
  [SMALL_STATE(6594)] = 291751,
  [SMALL_STATE(6595)] = 291807,
  [SMALL_STATE(6596)] = 291863,
  [SMALL_STATE(6597)] = 291919,
  [SMALL_STATE(6598)] = 291975,
  [SMALL_STATE(6599)] = 292031,
  [SMALL_STATE(6600)] = 292087,
  [SMALL_STATE(6601)] = 292143,
  [SMALL_STATE(6602)] = 292199,
  [SMALL_STATE(6603)] = 292255,
  [SMALL_STATE(6604)] = 292311,
  [SMALL_STATE(6605)] = 292373,
  [SMALL_STATE(6606)] = 292429,
  [SMALL_STATE(6607)] = 292485,
  [SMALL_STATE(6608)] = 292541,
  [SMALL_STATE(6609)] = 292597,
  [SMALL_STATE(6610)] = 292653,
  [SMALL_STATE(6611)] = 292709,
  [SMALL_STATE(6612)] = 292765,
  [SMALL_STATE(6613)] = 292821,
  [SMALL_STATE(6614)] = 292877,
  [SMALL_STATE(6615)] = 292933,
  [SMALL_STATE(6616)] = 292989,
  [SMALL_STATE(6617)] = 293045,
  [SMALL_STATE(6618)] = 293101,
  [SMALL_STATE(6619)] = 293157,
  [SMALL_STATE(6620)] = 293213,
  [SMALL_STATE(6621)] = 293269,
  [SMALL_STATE(6622)] = 293325,
  [SMALL_STATE(6623)] = 293381,
  [SMALL_STATE(6624)] = 293443,
  [SMALL_STATE(6625)] = 293499,
  [SMALL_STATE(6626)] = 293555,
  [SMALL_STATE(6627)] = 293611,
  [SMALL_STATE(6628)] = 293667,
  [SMALL_STATE(6629)] = 293723,
  [SMALL_STATE(6630)] = 293779,
  [SMALL_STATE(6631)] = 293835,
  [SMALL_STATE(6632)] = 293891,
  [SMALL_STATE(6633)] = 293947,
  [SMALL_STATE(6634)] = 294003,
  [SMALL_STATE(6635)] = 294059,
  [SMALL_STATE(6636)] = 294117,
  [SMALL_STATE(6637)] = 294173,
  [SMALL_STATE(6638)] = 294229,
  [SMALL_STATE(6639)] = 294285,
  [SMALL_STATE(6640)] = 294341,
  [SMALL_STATE(6641)] = 294397,
  [SMALL_STATE(6642)] = 294453,
  [SMALL_STATE(6643)] = 294509,
  [SMALL_STATE(6644)] = 294565,
  [SMALL_STATE(6645)] = 294621,
  [SMALL_STATE(6646)] = 294677,
  [SMALL_STATE(6647)] = 294733,
  [SMALL_STATE(6648)] = 294789,
  [SMALL_STATE(6649)] = 294845,
  [SMALL_STATE(6650)] = 294901,
  [SMALL_STATE(6651)] = 294957,
  [SMALL_STATE(6652)] = 295013,
  [SMALL_STATE(6653)] = 295069,
  [SMALL_STATE(6654)] = 295125,
  [SMALL_STATE(6655)] = 295181,
  [SMALL_STATE(6656)] = 295243,
  [SMALL_STATE(6657)] = 295305,
  [SMALL_STATE(6658)] = 295361,
  [SMALL_STATE(6659)] = 295417,
  [SMALL_STATE(6660)] = 295473,
  [SMALL_STATE(6661)] = 295529,
  [SMALL_STATE(6662)] = 295585,
  [SMALL_STATE(6663)] = 295641,
  [SMALL_STATE(6664)] = 295697,
  [SMALL_STATE(6665)] = 295753,
  [SMALL_STATE(6666)] = 295809,
  [SMALL_STATE(6667)] = 295865,
  [SMALL_STATE(6668)] = 295921,
  [SMALL_STATE(6669)] = 295983,
  [SMALL_STATE(6670)] = 296039,
  [SMALL_STATE(6671)] = 296095,
  [SMALL_STATE(6672)] = 296151,
  [SMALL_STATE(6673)] = 296207,
  [SMALL_STATE(6674)] = 296263,
  [SMALL_STATE(6675)] = 296319,
  [SMALL_STATE(6676)] = 296375,
  [SMALL_STATE(6677)] = 296437,
  [SMALL_STATE(6678)] = 296493,
  [SMALL_STATE(6679)] = 296549,
  [SMALL_STATE(6680)] = 296605,
  [SMALL_STATE(6681)] = 296661,
  [SMALL_STATE(6682)] = 296717,
  [SMALL_STATE(6683)] = 296773,
  [SMALL_STATE(6684)] = 296829,
  [SMALL_STATE(6685)] = 296885,
  [SMALL_STATE(6686)] = 296941,
  [SMALL_STATE(6687)] = 296997,
  [SMALL_STATE(6688)] = 297053,
  [SMALL_STATE(6689)] = 297109,
  [SMALL_STATE(6690)] = 297165,
  [SMALL_STATE(6691)] = 297221,
  [SMALL_STATE(6692)] = 297283,
  [SMALL_STATE(6693)] = 297339,
  [SMALL_STATE(6694)] = 297394,
  [SMALL_STATE(6695)] = 297449,
  [SMALL_STATE(6696)] = 297504,
  [SMALL_STATE(6697)] = 297559,
  [SMALL_STATE(6698)] = 297614,
  [SMALL_STATE(6699)] = 297671,
  [SMALL_STATE(6700)] = 297726,
  [SMALL_STATE(6701)] = 297781,
  [SMALL_STATE(6702)] = 297836,
  [SMALL_STATE(6703)] = 297891,
  [SMALL_STATE(6704)] = 297946,
  [SMALL_STATE(6705)] = 298001,
  [SMALL_STATE(6706)] = 298058,
  [SMALL_STATE(6707)] = 298113,
  [SMALL_STATE(6708)] = 298168,
  [SMALL_STATE(6709)] = 298223,
  [SMALL_STATE(6710)] = 298278,
  [SMALL_STATE(6711)] = 298333,
  [SMALL_STATE(6712)] = 298388,
  [SMALL_STATE(6713)] = 298445,
  [SMALL_STATE(6714)] = 298500,
  [SMALL_STATE(6715)] = 298555,
  [SMALL_STATE(6716)] = 298610,
  [SMALL_STATE(6717)] = 298665,
  [SMALL_STATE(6718)] = 298720,
  [SMALL_STATE(6719)] = 298775,
  [SMALL_STATE(6720)] = 298830,
  [SMALL_STATE(6721)] = 298885,
  [SMALL_STATE(6722)] = 298940,
  [SMALL_STATE(6723)] = 298995,
  [SMALL_STATE(6724)] = 299050,
  [SMALL_STATE(6725)] = 299105,
  [SMALL_STATE(6726)] = 299160,
  [SMALL_STATE(6727)] = 299215,
  [SMALL_STATE(6728)] = 299270,
  [SMALL_STATE(6729)] = 299325,
  [SMALL_STATE(6730)] = 299380,
  [SMALL_STATE(6731)] = 299435,
  [SMALL_STATE(6732)] = 299490,
  [SMALL_STATE(6733)] = 299547,
  [SMALL_STATE(6734)] = 299602,
  [SMALL_STATE(6735)] = 299657,
  [SMALL_STATE(6736)] = 299712,
  [SMALL_STATE(6737)] = 299767,
  [SMALL_STATE(6738)] = 299822,
  [SMALL_STATE(6739)] = 299877,
  [SMALL_STATE(6740)] = 299932,
  [SMALL_STATE(6741)] = 299987,
  [SMALL_STATE(6742)] = 300042,
  [SMALL_STATE(6743)] = 300097,
  [SMALL_STATE(6744)] = 300152,
  [SMALL_STATE(6745)] = 300207,
  [SMALL_STATE(6746)] = 300262,
  [SMALL_STATE(6747)] = 300317,
  [SMALL_STATE(6748)] = 300372,
  [SMALL_STATE(6749)] = 300427,
  [SMALL_STATE(6750)] = 300482,
  [SMALL_STATE(6751)] = 300537,
  [SMALL_STATE(6752)] = 300592,
  [SMALL_STATE(6753)] = 300647,
  [SMALL_STATE(6754)] = 300702,
  [SMALL_STATE(6755)] = 300757,
  [SMALL_STATE(6756)] = 300812,
  [SMALL_STATE(6757)] = 300873,
  [SMALL_STATE(6758)] = 300928,
  [SMALL_STATE(6759)] = 300985,
  [SMALL_STATE(6760)] = 301040,
  [SMALL_STATE(6761)] = 301095,
  [SMALL_STATE(6762)] = 301150,
  [SMALL_STATE(6763)] = 301205,
  [SMALL_STATE(6764)] = 301260,
  [SMALL_STATE(6765)] = 301315,
  [SMALL_STATE(6766)] = 301370,
  [SMALL_STATE(6767)] = 301425,
  [SMALL_STATE(6768)] = 301480,
  [SMALL_STATE(6769)] = 301535,
  [SMALL_STATE(6770)] = 301590,
  [SMALL_STATE(6771)] = 301645,
  [SMALL_STATE(6772)] = 301700,
  [SMALL_STATE(6773)] = 301755,
  [SMALL_STATE(6774)] = 301812,
  [SMALL_STATE(6775)] = 301869,
  [SMALL_STATE(6776)] = 301924,
  [SMALL_STATE(6777)] = 301979,
  [SMALL_STATE(6778)] = 302034,
  [SMALL_STATE(6779)] = 302089,
  [SMALL_STATE(6780)] = 302144,
  [SMALL_STATE(6781)] = 302199,
  [SMALL_STATE(6782)] = 302254,
  [SMALL_STATE(6783)] = 302309,
  [SMALL_STATE(6784)] = 302364,
  [SMALL_STATE(6785)] = 302419,
  [SMALL_STATE(6786)] = 302474,
  [SMALL_STATE(6787)] = 302535,
  [SMALL_STATE(6788)] = 302590,
  [SMALL_STATE(6789)] = 302645,
  [SMALL_STATE(6790)] = 302700,
  [SMALL_STATE(6791)] = 302755,
  [SMALL_STATE(6792)] = 302810,
  [SMALL_STATE(6793)] = 302865,
  [SMALL_STATE(6794)] = 302920,
  [SMALL_STATE(6795)] = 302975,
  [SMALL_STATE(6796)] = 303030,
  [SMALL_STATE(6797)] = 303085,
  [SMALL_STATE(6798)] = 303140,
  [SMALL_STATE(6799)] = 303195,
  [SMALL_STATE(6800)] = 303250,
  [SMALL_STATE(6801)] = 303305,
  [SMALL_STATE(6802)] = 303360,
  [SMALL_STATE(6803)] = 303415,
  [SMALL_STATE(6804)] = 303472,
  [SMALL_STATE(6805)] = 303577,
  [SMALL_STATE(6806)] = 303632,
  [SMALL_STATE(6807)] = 303689,
  [SMALL_STATE(6808)] = 303744,
  [SMALL_STATE(6809)] = 303799,
  [SMALL_STATE(6810)] = 303854,
  [SMALL_STATE(6811)] = 303959,
  [SMALL_STATE(6812)] = 304014,
  [SMALL_STATE(6813)] = 304069,
  [SMALL_STATE(6814)] = 304124,
  [SMALL_STATE(6815)] = 304179,
  [SMALL_STATE(6816)] = 304234,
  [SMALL_STATE(6817)] = 304289,
  [SMALL_STATE(6818)] = 304344,
  [SMALL_STATE(6819)] = 304399,
  [SMALL_STATE(6820)] = 304454,
  [SMALL_STATE(6821)] = 304509,
  [SMALL_STATE(6822)] = 304564,
  [SMALL_STATE(6823)] = 304619,
  [SMALL_STATE(6824)] = 304674,
  [SMALL_STATE(6825)] = 304729,
  [SMALL_STATE(6826)] = 304784,
  [SMALL_STATE(6827)] = 304839,
  [SMALL_STATE(6828)] = 304894,
  [SMALL_STATE(6829)] = 304949,
  [SMALL_STATE(6830)] = 305010,
  [SMALL_STATE(6831)] = 305065,
  [SMALL_STATE(6832)] = 305120,
  [SMALL_STATE(6833)] = 305175,
  [SMALL_STATE(6834)] = 305230,
  [SMALL_STATE(6835)] = 305285,
  [SMALL_STATE(6836)] = 305340,
  [SMALL_STATE(6837)] = 305395,
  [SMALL_STATE(6838)] = 305450,
  [SMALL_STATE(6839)] = 305505,
  [SMALL_STATE(6840)] = 305560,
  [SMALL_STATE(6841)] = 305615,
  [SMALL_STATE(6842)] = 305670,
  [SMALL_STATE(6843)] = 305725,
  [SMALL_STATE(6844)] = 305780,
  [SMALL_STATE(6845)] = 305835,
  [SMALL_STATE(6846)] = 305890,
  [SMALL_STATE(6847)] = 305945,
  [SMALL_STATE(6848)] = 306000,
  [SMALL_STATE(6849)] = 306055,
  [SMALL_STATE(6850)] = 306110,
  [SMALL_STATE(6851)] = 306165,
  [SMALL_STATE(6852)] = 306220,
  [SMALL_STATE(6853)] = 306275,
  [SMALL_STATE(6854)] = 306330,
  [SMALL_STATE(6855)] = 306385,
  [SMALL_STATE(6856)] = 306440,
  [SMALL_STATE(6857)] = 306495,
  [SMALL_STATE(6858)] = 306556,
  [SMALL_STATE(6859)] = 306611,
  [SMALL_STATE(6860)] = 306666,
  [SMALL_STATE(6861)] = 306721,
  [SMALL_STATE(6862)] = 306776,
  [SMALL_STATE(6863)] = 306831,
  [SMALL_STATE(6864)] = 306886,
  [SMALL_STATE(6865)] = 306941,
  [SMALL_STATE(6866)] = 306996,
  [SMALL_STATE(6867)] = 307051,
  [SMALL_STATE(6868)] = 307106,
  [SMALL_STATE(6869)] = 307161,
  [SMALL_STATE(6870)] = 307216,
  [SMALL_STATE(6871)] = 307273,
  [SMALL_STATE(6872)] = 307328,
  [SMALL_STATE(6873)] = 307383,
  [SMALL_STATE(6874)] = 307438,
  [SMALL_STATE(6875)] = 307493,
  [SMALL_STATE(6876)] = 307548,
  [SMALL_STATE(6877)] = 307603,
  [SMALL_STATE(6878)] = 307658,
  [SMALL_STATE(6879)] = 307713,
  [SMALL_STATE(6880)] = 307768,
  [SMALL_STATE(6881)] = 307823,
  [SMALL_STATE(6882)] = 307878,
  [SMALL_STATE(6883)] = 307933,
  [SMALL_STATE(6884)] = 307988,
  [SMALL_STATE(6885)] = 308043,
  [SMALL_STATE(6886)] = 308098,
  [SMALL_STATE(6887)] = 308153,
  [SMALL_STATE(6888)] = 308258,
  [SMALL_STATE(6889)] = 308313,
  [SMALL_STATE(6890)] = 308368,
  [SMALL_STATE(6891)] = 308423,
  [SMALL_STATE(6892)] = 308478,
  [SMALL_STATE(6893)] = 308533,
  [SMALL_STATE(6894)] = 308588,
  [SMALL_STATE(6895)] = 308693,
  [SMALL_STATE(6896)] = 308748,
  [SMALL_STATE(6897)] = 308803,
  [SMALL_STATE(6898)] = 308858,
  [SMALL_STATE(6899)] = 308913,
  [SMALL_STATE(6900)] = 308968,
  [SMALL_STATE(6901)] = 309023,
  [SMALL_STATE(6902)] = 309078,
  [SMALL_STATE(6903)] = 309133,
  [SMALL_STATE(6904)] = 309188,
  [SMALL_STATE(6905)] = 309243,
  [SMALL_STATE(6906)] = 309298,
  [SMALL_STATE(6907)] = 309353,
  [SMALL_STATE(6908)] = 309408,
  [SMALL_STATE(6909)] = 309463,
  [SMALL_STATE(6910)] = 309518,
  [SMALL_STATE(6911)] = 309575,
  [SMALL_STATE(6912)] = 309630,
  [SMALL_STATE(6913)] = 309685,
  [SMALL_STATE(6914)] = 309740,
  [SMALL_STATE(6915)] = 309795,
  [SMALL_STATE(6916)] = 309850,
  [SMALL_STATE(6917)] = 309905,
  [SMALL_STATE(6918)] = 309960,
  [SMALL_STATE(6919)] = 310015,
  [SMALL_STATE(6920)] = 310070,
  [SMALL_STATE(6921)] = 310175,
  [SMALL_STATE(6922)] = 310230,
  [SMALL_STATE(6923)] = 310285,
  [SMALL_STATE(6924)] = 310340,
  [SMALL_STATE(6925)] = 310445,
  [SMALL_STATE(6926)] = 310502,
  [SMALL_STATE(6927)] = 310557,
  [SMALL_STATE(6928)] = 310612,
  [SMALL_STATE(6929)] = 310667,
  [SMALL_STATE(6930)] = 310722,
  [SMALL_STATE(6931)] = 310777,
  [SMALL_STATE(6932)] = 310832,
  [SMALL_STATE(6933)] = 310887,
  [SMALL_STATE(6934)] = 310942,
  [SMALL_STATE(6935)] = 310997,
  [SMALL_STATE(6936)] = 311052,
  [SMALL_STATE(6937)] = 311107,
  [SMALL_STATE(6938)] = 311162,
  [SMALL_STATE(6939)] = 311267,
  [SMALL_STATE(6940)] = 311324,
  [SMALL_STATE(6941)] = 311379,
  [SMALL_STATE(6942)] = 311434,
  [SMALL_STATE(6943)] = 311489,
  [SMALL_STATE(6944)] = 311544,
  [SMALL_STATE(6945)] = 311599,
  [SMALL_STATE(6946)] = 311656,
  [SMALL_STATE(6947)] = 311711,
  [SMALL_STATE(6948)] = 311766,
  [SMALL_STATE(6949)] = 311821,
  [SMALL_STATE(6950)] = 311876,
  [SMALL_STATE(6951)] = 311931,
  [SMALL_STATE(6952)] = 311986,
  [SMALL_STATE(6953)] = 312047,
  [SMALL_STATE(6954)] = 312102,
  [SMALL_STATE(6955)] = 312157,
  [SMALL_STATE(6956)] = 312212,
  [SMALL_STATE(6957)] = 312267,
  [SMALL_STATE(6958)] = 312324,
  [SMALL_STATE(6959)] = 312379,
  [SMALL_STATE(6960)] = 312434,
  [SMALL_STATE(6961)] = 312489,
  [SMALL_STATE(6962)] = 312544,
  [SMALL_STATE(6963)] = 312599,
  [SMALL_STATE(6964)] = 312654,
  [SMALL_STATE(6965)] = 312709,
  [SMALL_STATE(6966)] = 312764,
  [SMALL_STATE(6967)] = 312819,
  [SMALL_STATE(6968)] = 312874,
  [SMALL_STATE(6969)] = 312929,
  [SMALL_STATE(6970)] = 312984,
  [SMALL_STATE(6971)] = 313039,
  [SMALL_STATE(6972)] = 313094,
  [SMALL_STATE(6973)] = 313149,
  [SMALL_STATE(6974)] = 313206,
  [SMALL_STATE(6975)] = 313261,
  [SMALL_STATE(6976)] = 313316,
  [SMALL_STATE(6977)] = 313371,
  [SMALL_STATE(6978)] = 313426,
  [SMALL_STATE(6979)] = 313483,
  [SMALL_STATE(6980)] = 313538,
  [SMALL_STATE(6981)] = 313593,
  [SMALL_STATE(6982)] = 313648,
  [SMALL_STATE(6983)] = 313703,
  [SMALL_STATE(6984)] = 313758,
  [SMALL_STATE(6985)] = 313813,
  [SMALL_STATE(6986)] = 313870,
  [SMALL_STATE(6987)] = 313925,
  [SMALL_STATE(6988)] = 313980,
  [SMALL_STATE(6989)] = 314035,
  [SMALL_STATE(6990)] = 314090,
  [SMALL_STATE(6991)] = 314145,
  [SMALL_STATE(6992)] = 314200,
  [SMALL_STATE(6993)] = 314255,
  [SMALL_STATE(6994)] = 314310,
  [SMALL_STATE(6995)] = 314365,
  [SMALL_STATE(6996)] = 314420,
  [SMALL_STATE(6997)] = 314475,
  [SMALL_STATE(6998)] = 314530,
  [SMALL_STATE(6999)] = 314587,
  [SMALL_STATE(7000)] = 314642,
  [SMALL_STATE(7001)] = 314697,
  [SMALL_STATE(7002)] = 314752,
  [SMALL_STATE(7003)] = 314807,
  [SMALL_STATE(7004)] = 314862,
  [SMALL_STATE(7005)] = 314917,
  [SMALL_STATE(7006)] = 314972,
  [SMALL_STATE(7007)] = 315027,
  [SMALL_STATE(7008)] = 315082,
  [SMALL_STATE(7009)] = 315139,
  [SMALL_STATE(7010)] = 315194,
  [SMALL_STATE(7011)] = 315249,
  [SMALL_STATE(7012)] = 315304,
  [SMALL_STATE(7013)] = 315361,
  [SMALL_STATE(7014)] = 315416,
  [SMALL_STATE(7015)] = 315471,
  [SMALL_STATE(7016)] = 315526,
  [SMALL_STATE(7017)] = 315581,
  [SMALL_STATE(7018)] = 315636,
  [SMALL_STATE(7019)] = 315691,
  [SMALL_STATE(7020)] = 315746,
  [SMALL_STATE(7021)] = 315801,
  [SMALL_STATE(7022)] = 315856,
  [SMALL_STATE(7023)] = 315911,
  [SMALL_STATE(7024)] = 315966,
  [SMALL_STATE(7025)] = 316021,
  [SMALL_STATE(7026)] = 316076,
  [SMALL_STATE(7027)] = 316131,
  [SMALL_STATE(7028)] = 316186,
  [SMALL_STATE(7029)] = 316241,
  [SMALL_STATE(7030)] = 316298,
  [SMALL_STATE(7031)] = 316353,
  [SMALL_STATE(7032)] = 316408,
  [SMALL_STATE(7033)] = 316463,
  [SMALL_STATE(7034)] = 316518,
  [SMALL_STATE(7035)] = 316573,
  [SMALL_STATE(7036)] = 316628,
  [SMALL_STATE(7037)] = 316683,
  [SMALL_STATE(7038)] = 316738,
  [SMALL_STATE(7039)] = 316793,
  [SMALL_STATE(7040)] = 316848,
  [SMALL_STATE(7041)] = 316903,
  [SMALL_STATE(7042)] = 316958,
  [SMALL_STATE(7043)] = 317013,
  [SMALL_STATE(7044)] = 317068,
  [SMALL_STATE(7045)] = 317123,
  [SMALL_STATE(7046)] = 317178,
  [SMALL_STATE(7047)] = 317233,
  [SMALL_STATE(7048)] = 317288,
  [SMALL_STATE(7049)] = 317343,
  [SMALL_STATE(7050)] = 317398,
  [SMALL_STATE(7051)] = 317453,
  [SMALL_STATE(7052)] = 317508,
  [SMALL_STATE(7053)] = 317569,
  [SMALL_STATE(7054)] = 317624,
  [SMALL_STATE(7055)] = 317679,
  [SMALL_STATE(7056)] = 317734,
  [SMALL_STATE(7057)] = 317789,
  [SMALL_STATE(7058)] = 317844,
  [SMALL_STATE(7059)] = 317899,
  [SMALL_STATE(7060)] = 317954,
  [SMALL_STATE(7061)] = 318009,
  [SMALL_STATE(7062)] = 318070,
  [SMALL_STATE(7063)] = 318125,
  [SMALL_STATE(7064)] = 318180,
  [SMALL_STATE(7065)] = 318235,
  [SMALL_STATE(7066)] = 318290,
  [SMALL_STATE(7067)] = 318345,
  [SMALL_STATE(7068)] = 318400,
  [SMALL_STATE(7069)] = 318455,
  [SMALL_STATE(7070)] = 318510,
  [SMALL_STATE(7071)] = 318565,
  [SMALL_STATE(7072)] = 318620,
  [SMALL_STATE(7073)] = 318675,
  [SMALL_STATE(7074)] = 318730,
  [SMALL_STATE(7075)] = 318785,
  [SMALL_STATE(7076)] = 318840,
  [SMALL_STATE(7077)] = 318895,
  [SMALL_STATE(7078)] = 318950,
  [SMALL_STATE(7079)] = 319005,
  [SMALL_STATE(7080)] = 319062,
  [SMALL_STATE(7081)] = 319117,
  [SMALL_STATE(7082)] = 319174,
  [SMALL_STATE(7083)] = 319229,
  [SMALL_STATE(7084)] = 319290,
  [SMALL_STATE(7085)] = 319345,
  [SMALL_STATE(7086)] = 319400,
  [SMALL_STATE(7087)] = 319455,
  [SMALL_STATE(7088)] = 319510,
  [SMALL_STATE(7089)] = 319565,
  [SMALL_STATE(7090)] = 319626,
  [SMALL_STATE(7091)] = 319681,
  [SMALL_STATE(7092)] = 319742,
  [SMALL_STATE(7093)] = 319797,
  [SMALL_STATE(7094)] = 319852,
  [SMALL_STATE(7095)] = 319907,
  [SMALL_STATE(7096)] = 319968,
  [SMALL_STATE(7097)] = 320023,
  [SMALL_STATE(7098)] = 320078,
  [SMALL_STATE(7099)] = 320133,
  [SMALL_STATE(7100)] = 320188,
  [SMALL_STATE(7101)] = 320243,
  [SMALL_STATE(7102)] = 320298,
  [SMALL_STATE(7103)] = 320353,
  [SMALL_STATE(7104)] = 320408,
  [SMALL_STATE(7105)] = 320463,
  [SMALL_STATE(7106)] = 320518,
  [SMALL_STATE(7107)] = 320573,
  [SMALL_STATE(7108)] = 320628,
  [SMALL_STATE(7109)] = 320683,
  [SMALL_STATE(7110)] = 320788,
  [SMALL_STATE(7111)] = 320843,
  [SMALL_STATE(7112)] = 320898,
  [SMALL_STATE(7113)] = 320953,
  [SMALL_STATE(7114)] = 321008,
  [SMALL_STATE(7115)] = 321063,
  [SMALL_STATE(7116)] = 321118,
  [SMALL_STATE(7117)] = 321173,
  [SMALL_STATE(7118)] = 321228,
  [SMALL_STATE(7119)] = 321283,
  [SMALL_STATE(7120)] = 321338,
  [SMALL_STATE(7121)] = 321393,
  [SMALL_STATE(7122)] = 321448,
  [SMALL_STATE(7123)] = 321503,
  [SMALL_STATE(7124)] = 321558,
  [SMALL_STATE(7125)] = 321615,
  [SMALL_STATE(7126)] = 321670,
  [SMALL_STATE(7127)] = 321725,
  [SMALL_STATE(7128)] = 321780,
  [SMALL_STATE(7129)] = 321835,
  [SMALL_STATE(7130)] = 321890,
  [SMALL_STATE(7131)] = 321945,
  [SMALL_STATE(7132)] = 322000,
  [SMALL_STATE(7133)] = 322055,
  [SMALL_STATE(7134)] = 322110,
  [SMALL_STATE(7135)] = 322165,
  [SMALL_STATE(7136)] = 322226,
  [SMALL_STATE(7137)] = 322281,
  [SMALL_STATE(7138)] = 322336,
  [SMALL_STATE(7139)] = 322391,
  [SMALL_STATE(7140)] = 322446,
  [SMALL_STATE(7141)] = 322501,
  [SMALL_STATE(7142)] = 322556,
  [SMALL_STATE(7143)] = 322611,
  [SMALL_STATE(7144)] = 322666,
  [SMALL_STATE(7145)] = 322723,
  [SMALL_STATE(7146)] = 322780,
  [SMALL_STATE(7147)] = 322835,
  [SMALL_STATE(7148)] = 322890,
  [SMALL_STATE(7149)] = 322945,
  [SMALL_STATE(7150)] = 323000,
  [SMALL_STATE(7151)] = 323055,
  [SMALL_STATE(7152)] = 323110,
  [SMALL_STATE(7153)] = 323165,
  [SMALL_STATE(7154)] = 323220,
  [SMALL_STATE(7155)] = 323275,
  [SMALL_STATE(7156)] = 323330,
  [SMALL_STATE(7157)] = 323385,
  [SMALL_STATE(7158)] = 323440,
  [SMALL_STATE(7159)] = 323494,
  [SMALL_STATE(7160)] = 323548,
  [SMALL_STATE(7161)] = 323604,
  [SMALL_STATE(7162)] = 323658,
  [SMALL_STATE(7163)] = 323712,
  [SMALL_STATE(7164)] = 323768,
  [SMALL_STATE(7165)] = 323822,
  [SMALL_STATE(7166)] = 323876,
  [SMALL_STATE(7167)] = 323930,
  [SMALL_STATE(7168)] = 323984,
  [SMALL_STATE(7169)] = 324038,
  [SMALL_STATE(7170)] = 324092,
  [SMALL_STATE(7171)] = 324146,
  [SMALL_STATE(7172)] = 324200,
  [SMALL_STATE(7173)] = 324254,
  [SMALL_STATE(7174)] = 324308,
  [SMALL_STATE(7175)] = 324364,
  [SMALL_STATE(7176)] = 324420,
  [SMALL_STATE(7177)] = 324474,
  [SMALL_STATE(7178)] = 324528,
  [SMALL_STATE(7179)] = 324582,
  [SMALL_STATE(7180)] = 324636,
  [SMALL_STATE(7181)] = 324690,
  [SMALL_STATE(7182)] = 324744,
  [SMALL_STATE(7183)] = 324798,
  [SMALL_STATE(7184)] = 324852,
  [SMALL_STATE(7185)] = 324908,
  [SMALL_STATE(7186)] = 324962,
  [SMALL_STATE(7187)] = 325018,
  [SMALL_STATE(7188)] = 325072,
  [SMALL_STATE(7189)] = 325126,
  [SMALL_STATE(7190)] = 325180,
  [SMALL_STATE(7191)] = 325234,
  [SMALL_STATE(7192)] = 325288,
  [SMALL_STATE(7193)] = 325342,
  [SMALL_STATE(7194)] = 325396,
  [SMALL_STATE(7195)] = 325450,
  [SMALL_STATE(7196)] = 325504,
  [SMALL_STATE(7197)] = 325558,
  [SMALL_STATE(7198)] = 325612,
  [SMALL_STATE(7199)] = 325666,
  [SMALL_STATE(7200)] = 325720,
  [SMALL_STATE(7201)] = 325774,
  [SMALL_STATE(7202)] = 325828,
  [SMALL_STATE(7203)] = 325882,
  [SMALL_STATE(7204)] = 325936,
  [SMALL_STATE(7205)] = 325990,
  [SMALL_STATE(7206)] = 326044,
  [SMALL_STATE(7207)] = 326098,
  [SMALL_STATE(7208)] = 326152,
  [SMALL_STATE(7209)] = 326206,
  [SMALL_STATE(7210)] = 326260,
  [SMALL_STATE(7211)] = 326314,
  [SMALL_STATE(7212)] = 326368,
  [SMALL_STATE(7213)] = 326422,
  [SMALL_STATE(7214)] = 326476,
  [SMALL_STATE(7215)] = 326530,
  [SMALL_STATE(7216)] = 326584,
  [SMALL_STATE(7217)] = 326638,
  [SMALL_STATE(7218)] = 326692,
  [SMALL_STATE(7219)] = 326746,
  [SMALL_STATE(7220)] = 326802,
  [SMALL_STATE(7221)] = 326856,
  [SMALL_STATE(7222)] = 326910,
  [SMALL_STATE(7223)] = 326964,
  [SMALL_STATE(7224)] = 327018,
  [SMALL_STATE(7225)] = 327072,
  [SMALL_STATE(7226)] = 327126,
  [SMALL_STATE(7227)] = 327180,
  [SMALL_STATE(7228)] = 327234,
  [SMALL_STATE(7229)] = 327288,
  [SMALL_STATE(7230)] = 327342,
  [SMALL_STATE(7231)] = 327396,
  [SMALL_STATE(7232)] = 327452,
  [SMALL_STATE(7233)] = 327508,
  [SMALL_STATE(7234)] = 327562,
  [SMALL_STATE(7235)] = 327616,
  [SMALL_STATE(7236)] = 327670,
  [SMALL_STATE(7237)] = 327724,
  [SMALL_STATE(7238)] = 327778,
  [SMALL_STATE(7239)] = 327832,
  [SMALL_STATE(7240)] = 327886,
  [SMALL_STATE(7241)] = 327940,
  [SMALL_STATE(7242)] = 327994,
  [SMALL_STATE(7243)] = 328048,
  [SMALL_STATE(7244)] = 328102,
  [SMALL_STATE(7245)] = 328156,
  [SMALL_STATE(7246)] = 328210,
  [SMALL_STATE(7247)] = 328264,
  [SMALL_STATE(7248)] = 328318,
  [SMALL_STATE(7249)] = 328372,
  [SMALL_STATE(7250)] = 328426,
  [SMALL_STATE(7251)] = 328480,
  [SMALL_STATE(7252)] = 328534,
  [SMALL_STATE(7253)] = 328588,
  [SMALL_STATE(7254)] = 328642,
  [SMALL_STATE(7255)] = 328696,
  [SMALL_STATE(7256)] = 328750,
  [SMALL_STATE(7257)] = 328804,
  [SMALL_STATE(7258)] = 328860,
  [SMALL_STATE(7259)] = 328914,
  [SMALL_STATE(7260)] = 328968,
  [SMALL_STATE(7261)] = 329022,
  [SMALL_STATE(7262)] = 329076,
  [SMALL_STATE(7263)] = 329130,
  [SMALL_STATE(7264)] = 329184,
  [SMALL_STATE(7265)] = 329238,
  [SMALL_STATE(7266)] = 329292,
  [SMALL_STATE(7267)] = 329346,
  [SMALL_STATE(7268)] = 329400,
  [SMALL_STATE(7269)] = 329456,
  [SMALL_STATE(7270)] = 329510,
  [SMALL_STATE(7271)] = 329564,
  [SMALL_STATE(7272)] = 329618,
  [SMALL_STATE(7273)] = 329672,
  [SMALL_STATE(7274)] = 329726,
  [SMALL_STATE(7275)] = 329780,
  [SMALL_STATE(7276)] = 329834,
  [SMALL_STATE(7277)] = 329888,
  [SMALL_STATE(7278)] = 329942,
  [SMALL_STATE(7279)] = 329996,
  [SMALL_STATE(7280)] = 330050,
  [SMALL_STATE(7281)] = 330104,
  [SMALL_STATE(7282)] = 330158,
  [SMALL_STATE(7283)] = 330212,
  [SMALL_STATE(7284)] = 330266,
  [SMALL_STATE(7285)] = 330320,
  [SMALL_STATE(7286)] = 330374,
  [SMALL_STATE(7287)] = 330428,
  [SMALL_STATE(7288)] = 330482,
  [SMALL_STATE(7289)] = 330536,
  [SMALL_STATE(7290)] = 330590,
  [SMALL_STATE(7291)] = 330644,
  [SMALL_STATE(7292)] = 330698,
  [SMALL_STATE(7293)] = 330752,
  [SMALL_STATE(7294)] = 330806,
  [SMALL_STATE(7295)] = 330860,
  [SMALL_STATE(7296)] = 330914,
  [SMALL_STATE(7297)] = 330970,
  [SMALL_STATE(7298)] = 331026,
  [SMALL_STATE(7299)] = 331080,
  [SMALL_STATE(7300)] = 331134,
  [SMALL_STATE(7301)] = 331188,
  [SMALL_STATE(7302)] = 331242,
  [SMALL_STATE(7303)] = 331298,
  [SMALL_STATE(7304)] = 331352,
  [SMALL_STATE(7305)] = 331406,
  [SMALL_STATE(7306)] = 331460,
  [SMALL_STATE(7307)] = 331514,
  [SMALL_STATE(7308)] = 331568,
  [SMALL_STATE(7309)] = 331622,
  [SMALL_STATE(7310)] = 331676,
  [SMALL_STATE(7311)] = 331730,
  [SMALL_STATE(7312)] = 331784,
  [SMALL_STATE(7313)] = 331840,
  [SMALL_STATE(7314)] = 331894,
  [SMALL_STATE(7315)] = 331948,
  [SMALL_STATE(7316)] = 332002,
  [SMALL_STATE(7317)] = 332056,
  [SMALL_STATE(7318)] = 332110,
  [SMALL_STATE(7319)] = 332164,
  [SMALL_STATE(7320)] = 332218,
  [SMALL_STATE(7321)] = 332272,
  [SMALL_STATE(7322)] = 332326,
  [SMALL_STATE(7323)] = 332380,
  [SMALL_STATE(7324)] = 332434,
  [SMALL_STATE(7325)] = 332488,
  [SMALL_STATE(7326)] = 332542,
  [SMALL_STATE(7327)] = 332596,
  [SMALL_STATE(7328)] = 332650,
  [SMALL_STATE(7329)] = 332706,
  [SMALL_STATE(7330)] = 332760,
  [SMALL_STATE(7331)] = 332814,
  [SMALL_STATE(7332)] = 332868,
  [SMALL_STATE(7333)] = 332922,
  [SMALL_STATE(7334)] = 332976,
  [SMALL_STATE(7335)] = 333030,
  [SMALL_STATE(7336)] = 333084,
  [SMALL_STATE(7337)] = 333138,
  [SMALL_STATE(7338)] = 333192,
  [SMALL_STATE(7339)] = 333246,
  [SMALL_STATE(7340)] = 333299,
  [SMALL_STATE(7341)] = 333352,
  [SMALL_STATE(7342)] = 333405,
  [SMALL_STATE(7343)] = 333458,
  [SMALL_STATE(7344)] = 333513,
  [SMALL_STATE(7345)] = 333566,
  [SMALL_STATE(7346)] = 333619,
  [SMALL_STATE(7347)] = 333674,
  [SMALL_STATE(7348)] = 333727,
  [SMALL_STATE(7349)] = 333780,
  [SMALL_STATE(7350)] = 333833,
  [SMALL_STATE(7351)] = 333886,
  [SMALL_STATE(7352)] = 333939,
  [SMALL_STATE(7353)] = 333992,
  [SMALL_STATE(7354)] = 334045,
  [SMALL_STATE(7355)] = 334098,
  [SMALL_STATE(7356)] = 334151,
  [SMALL_STATE(7357)] = 334204,
  [SMALL_STATE(7358)] = 334257,
  [SMALL_STATE(7359)] = 334310,
  [SMALL_STATE(7360)] = 334363,
  [SMALL_STATE(7361)] = 334416,
  [SMALL_STATE(7362)] = 334469,
  [SMALL_STATE(7363)] = 334522,
  [SMALL_STATE(7364)] = 334575,
  [SMALL_STATE(7365)] = 334628,
  [SMALL_STATE(7366)] = 334681,
  [SMALL_STATE(7367)] = 334734,
  [SMALL_STATE(7368)] = 334787,
  [SMALL_STATE(7369)] = 334842,
  [SMALL_STATE(7370)] = 334895,
  [SMALL_STATE(7371)] = 334948,
  [SMALL_STATE(7372)] = 335001,
  [SMALL_STATE(7373)] = 335054,
  [SMALL_STATE(7374)] = 335107,
  [SMALL_STATE(7375)] = 335160,
  [SMALL_STATE(7376)] = 335213,
  [SMALL_STATE(7377)] = 335266,
  [SMALL_STATE(7378)] = 335319,
  [SMALL_STATE(7379)] = 335372,
  [SMALL_STATE(7380)] = 335427,
  [SMALL_STATE(7381)] = 335482,
  [SMALL_STATE(7382)] = 335535,
  [SMALL_STATE(7383)] = 335588,
  [SMALL_STATE(7384)] = 335641,
  [SMALL_STATE(7385)] = 335694,
  [SMALL_STATE(7386)] = 335747,
  [SMALL_STATE(7387)] = 335800,
  [SMALL_STATE(7388)] = 335853,
  [SMALL_STATE(7389)] = 335906,
  [SMALL_STATE(7390)] = 335959,
  [SMALL_STATE(7391)] = 336012,
  [SMALL_STATE(7392)] = 336065,
  [SMALL_STATE(7393)] = 336118,
  [SMALL_STATE(7394)] = 336171,
  [SMALL_STATE(7395)] = 336224,
  [SMALL_STATE(7396)] = 336277,
  [SMALL_STATE(7397)] = 336330,
  [SMALL_STATE(7398)] = 336385,
  [SMALL_STATE(7399)] = 336438,
  [SMALL_STATE(7400)] = 336491,
  [SMALL_STATE(7401)] = 336544,
  [SMALL_STATE(7402)] = 336597,
  [SMALL_STATE(7403)] = 336650,
  [SMALL_STATE(7404)] = 336703,
  [SMALL_STATE(7405)] = 336756,
  [SMALL_STATE(7406)] = 336809,
  [SMALL_STATE(7407)] = 336862,
  [SMALL_STATE(7408)] = 336915,
  [SMALL_STATE(7409)] = 336968,
  [SMALL_STATE(7410)] = 337021,
  [SMALL_STATE(7411)] = 337074,
  [SMALL_STATE(7412)] = 337127,
  [SMALL_STATE(7413)] = 337180,
  [SMALL_STATE(7414)] = 337233,
  [SMALL_STATE(7415)] = 337288,
  [SMALL_STATE(7416)] = 337341,
  [SMALL_STATE(7417)] = 337394,
  [SMALL_STATE(7418)] = 337447,
  [SMALL_STATE(7419)] = 337500,
  [SMALL_STATE(7420)] = 337553,
  [SMALL_STATE(7421)] = 337606,
  [SMALL_STATE(7422)] = 337659,
  [SMALL_STATE(7423)] = 337712,
  [SMALL_STATE(7424)] = 337765,
  [SMALL_STATE(7425)] = 337818,
  [SMALL_STATE(7426)] = 337871,
  [SMALL_STATE(7427)] = 337924,
  [SMALL_STATE(7428)] = 337983,
  [SMALL_STATE(7429)] = 338036,
  [SMALL_STATE(7430)] = 338089,
  [SMALL_STATE(7431)] = 338142,
  [SMALL_STATE(7432)] = 338195,
  [SMALL_STATE(7433)] = 338248,
  [SMALL_STATE(7434)] = 338301,
  [SMALL_STATE(7435)] = 338354,
  [SMALL_STATE(7436)] = 338407,
  [SMALL_STATE(7437)] = 338460,
  [SMALL_STATE(7438)] = 338513,
  [SMALL_STATE(7439)] = 338566,
  [SMALL_STATE(7440)] = 338619,
  [SMALL_STATE(7441)] = 338672,
  [SMALL_STATE(7442)] = 338725,
  [SMALL_STATE(7443)] = 338778,
  [SMALL_STATE(7444)] = 338831,
  [SMALL_STATE(7445)] = 338884,
  [SMALL_STATE(7446)] = 338937,
  [SMALL_STATE(7447)] = 338990,
  [SMALL_STATE(7448)] = 339043,
  [SMALL_STATE(7449)] = 339096,
  [SMALL_STATE(7450)] = 339149,
  [SMALL_STATE(7451)] = 339202,
  [SMALL_STATE(7452)] = 339257,
  [SMALL_STATE(7453)] = 339310,
  [SMALL_STATE(7454)] = 339363,
  [SMALL_STATE(7455)] = 339416,
  [SMALL_STATE(7456)] = 339469,
  [SMALL_STATE(7457)] = 339522,
  [SMALL_STATE(7458)] = 339575,
  [SMALL_STATE(7459)] = 339628,
  [SMALL_STATE(7460)] = 339681,
  [SMALL_STATE(7461)] = 339734,
  [SMALL_STATE(7462)] = 339787,
  [SMALL_STATE(7463)] = 339846,
  [SMALL_STATE(7464)] = 339905,
  [SMALL_STATE(7465)] = 339958,
  [SMALL_STATE(7466)] = 340011,
  [SMALL_STATE(7467)] = 340064,
  [SMALL_STATE(7468)] = 340119,
  [SMALL_STATE(7469)] = 340172,
  [SMALL_STATE(7470)] = 340225,
  [SMALL_STATE(7471)] = 340278,
  [SMALL_STATE(7472)] = 340331,
  [SMALL_STATE(7473)] = 340390,
  [SMALL_STATE(7474)] = 340443,
  [SMALL_STATE(7475)] = 340496,
  [SMALL_STATE(7476)] = 340549,
  [SMALL_STATE(7477)] = 340602,
  [SMALL_STATE(7478)] = 340657,
  [SMALL_STATE(7479)] = 340716,
  [SMALL_STATE(7480)] = 340775,
  [SMALL_STATE(7481)] = 340828,
  [SMALL_STATE(7482)] = 340881,
  [SMALL_STATE(7483)] = 340934,
  [SMALL_STATE(7484)] = 340987,
  [SMALL_STATE(7485)] = 341040,
  [SMALL_STATE(7486)] = 341093,
  [SMALL_STATE(7487)] = 341146,
  [SMALL_STATE(7488)] = 341199,
  [SMALL_STATE(7489)] = 341252,
  [SMALL_STATE(7490)] = 341305,
  [SMALL_STATE(7491)] = 341358,
  [SMALL_STATE(7492)] = 341411,
  [SMALL_STATE(7493)] = 341464,
  [SMALL_STATE(7494)] = 341517,
  [SMALL_STATE(7495)] = 341570,
  [SMALL_STATE(7496)] = 341623,
  [SMALL_STATE(7497)] = 341676,
  [SMALL_STATE(7498)] = 341729,
  [SMALL_STATE(7499)] = 341782,
  [SMALL_STATE(7500)] = 341837,
  [SMALL_STATE(7501)] = 341890,
  [SMALL_STATE(7502)] = 341943,
  [SMALL_STATE(7503)] = 341996,
  [SMALL_STATE(7504)] = 342049,
  [SMALL_STATE(7505)] = 342102,
  [SMALL_STATE(7506)] = 342155,
  [SMALL_STATE(7507)] = 342208,
  [SMALL_STATE(7508)] = 342261,
  [SMALL_STATE(7509)] = 342314,
  [SMALL_STATE(7510)] = 342367,
  [SMALL_STATE(7511)] = 342420,
  [SMALL_STATE(7512)] = 342479,
  [SMALL_STATE(7513)] = 342538,
  [SMALL_STATE(7514)] = 342591,
  [SMALL_STATE(7515)] = 342644,
  [SMALL_STATE(7516)] = 342697,
  [SMALL_STATE(7517)] = 342750,
  [SMALL_STATE(7518)] = 342803,
  [SMALL_STATE(7519)] = 342856,
  [SMALL_STATE(7520)] = 342909,
  [SMALL_STATE(7521)] = 342962,
  [SMALL_STATE(7522)] = 343015,
  [SMALL_STATE(7523)] = 343068,
  [SMALL_STATE(7524)] = 343121,
  [SMALL_STATE(7525)] = 343174,
  [SMALL_STATE(7526)] = 343227,
  [SMALL_STATE(7527)] = 343280,
  [SMALL_STATE(7528)] = 343333,
  [SMALL_STATE(7529)] = 343388,
  [SMALL_STATE(7530)] = 343441,
  [SMALL_STATE(7531)] = 343494,
  [SMALL_STATE(7532)] = 343547,
  [SMALL_STATE(7533)] = 343600,
  [SMALL_STATE(7534)] = 343653,
  [SMALL_STATE(7535)] = 343706,
  [SMALL_STATE(7536)] = 343759,
  [SMALL_STATE(7537)] = 343812,
  [SMALL_STATE(7538)] = 343865,
  [SMALL_STATE(7539)] = 343918,
  [SMALL_STATE(7540)] = 343971,
  [SMALL_STATE(7541)] = 344024,
  [SMALL_STATE(7542)] = 344077,
  [SMALL_STATE(7543)] = 344130,
  [SMALL_STATE(7544)] = 344183,
  [SMALL_STATE(7545)] = 344236,
  [SMALL_STATE(7546)] = 344289,
  [SMALL_STATE(7547)] = 344342,
  [SMALL_STATE(7548)] = 344395,
  [SMALL_STATE(7549)] = 344448,
  [SMALL_STATE(7550)] = 344501,
  [SMALL_STATE(7551)] = 344554,
  [SMALL_STATE(7552)] = 344607,
  [SMALL_STATE(7553)] = 344660,
  [SMALL_STATE(7554)] = 344713,
  [SMALL_STATE(7555)] = 344766,
  [SMALL_STATE(7556)] = 344819,
  [SMALL_STATE(7557)] = 344872,
  [SMALL_STATE(7558)] = 344925,
  [SMALL_STATE(7559)] = 344978,
  [SMALL_STATE(7560)] = 345031,
  [SMALL_STATE(7561)] = 345084,
  [SMALL_STATE(7562)] = 345137,
  [SMALL_STATE(7563)] = 345190,
  [SMALL_STATE(7564)] = 345243,
  [SMALL_STATE(7565)] = 345296,
  [SMALL_STATE(7566)] = 345349,
  [SMALL_STATE(7567)] = 345402,
  [SMALL_STATE(7568)] = 345455,
  [SMALL_STATE(7569)] = 345508,
  [SMALL_STATE(7570)] = 345561,
  [SMALL_STATE(7571)] = 345614,
  [SMALL_STATE(7572)] = 345667,
  [SMALL_STATE(7573)] = 345720,
  [SMALL_STATE(7574)] = 345773,
  [SMALL_STATE(7575)] = 345826,
  [SMALL_STATE(7576)] = 345879,
  [SMALL_STATE(7577)] = 345932,
  [SMALL_STATE(7578)] = 345985,
  [SMALL_STATE(7579)] = 346038,
  [SMALL_STATE(7580)] = 346091,
  [SMALL_STATE(7581)] = 346144,
  [SMALL_STATE(7582)] = 346197,
  [SMALL_STATE(7583)] = 346250,
  [SMALL_STATE(7584)] = 346303,
  [SMALL_STATE(7585)] = 346356,
  [SMALL_STATE(7586)] = 346409,
  [SMALL_STATE(7587)] = 346462,
  [SMALL_STATE(7588)] = 346515,
  [SMALL_STATE(7589)] = 346568,
  [SMALL_STATE(7590)] = 346621,
  [SMALL_STATE(7591)] = 346674,
  [SMALL_STATE(7592)] = 346729,
  [SMALL_STATE(7593)] = 346782,
  [SMALL_STATE(7594)] = 346835,
  [SMALL_STATE(7595)] = 346888,
  [SMALL_STATE(7596)] = 346941,
  [SMALL_STATE(7597)] = 346994,
  [SMALL_STATE(7598)] = 347047,
  [SMALL_STATE(7599)] = 347100,
  [SMALL_STATE(7600)] = 347153,
  [SMALL_STATE(7601)] = 347206,
  [SMALL_STATE(7602)] = 347259,
  [SMALL_STATE(7603)] = 347312,
  [SMALL_STATE(7604)] = 347365,
  [SMALL_STATE(7605)] = 347417,
  [SMALL_STATE(7606)] = 347469,
  [SMALL_STATE(7607)] = 347521,
  [SMALL_STATE(7608)] = 347573,
  [SMALL_STATE(7609)] = 347625,
  [SMALL_STATE(7610)] = 347677,
  [SMALL_STATE(7611)] = 347777,
  [SMALL_STATE(7612)] = 347829,
  [SMALL_STATE(7613)] = 347881,
  [SMALL_STATE(7614)] = 347933,
  [SMALL_STATE(7615)] = 347985,
  [SMALL_STATE(7616)] = 348085,
  [SMALL_STATE(7617)] = 348185,
  [SMALL_STATE(7618)] = 348285,
  [SMALL_STATE(7619)] = 348337,
  [SMALL_STATE(7620)] = 348389,
  [SMALL_STATE(7621)] = 348441,
  [SMALL_STATE(7622)] = 348493,
  [SMALL_STATE(7623)] = 348593,
  [SMALL_STATE(7624)] = 348645,
  [SMALL_STATE(7625)] = 348745,
  [SMALL_STATE(7626)] = 348797,
  [SMALL_STATE(7627)] = 348849,
  [SMALL_STATE(7628)] = 348901,
  [SMALL_STATE(7629)] = 348953,
  [SMALL_STATE(7630)] = 349053,
  [SMALL_STATE(7631)] = 349105,
  [SMALL_STATE(7632)] = 349157,
  [SMALL_STATE(7633)] = 349209,
  [SMALL_STATE(7634)] = 349261,
  [SMALL_STATE(7635)] = 349313,
  [SMALL_STATE(7636)] = 349365,
  [SMALL_STATE(7637)] = 349417,
  [SMALL_STATE(7638)] = 349469,
  [SMALL_STATE(7639)] = 349521,
  [SMALL_STATE(7640)] = 349621,
  [SMALL_STATE(7641)] = 349673,
  [SMALL_STATE(7642)] = 349725,
  [SMALL_STATE(7643)] = 349777,
  [SMALL_STATE(7644)] = 349829,
  [SMALL_STATE(7645)] = 349929,
  [SMALL_STATE(7646)] = 349983,
  [SMALL_STATE(7647)] = 350035,
  [SMALL_STATE(7648)] = 350087,
  [SMALL_STATE(7649)] = 350139,
  [SMALL_STATE(7650)] = 350193,
  [SMALL_STATE(7651)] = 350245,
  [SMALL_STATE(7652)] = 350345,
  [SMALL_STATE(7653)] = 350397,
  [SMALL_STATE(7654)] = 350449,
  [SMALL_STATE(7655)] = 350549,
  [SMALL_STATE(7656)] = 350601,
  [SMALL_STATE(7657)] = 350653,
  [SMALL_STATE(7658)] = 350705,
  [SMALL_STATE(7659)] = 350757,
  [SMALL_STATE(7660)] = 350857,
  [SMALL_STATE(7661)] = 350911,
  [SMALL_STATE(7662)] = 350963,
  [SMALL_STATE(7663)] = 351015,
  [SMALL_STATE(7664)] = 351067,
  [SMALL_STATE(7665)] = 351167,
  [SMALL_STATE(7666)] = 351219,
  [SMALL_STATE(7667)] = 351319,
  [SMALL_STATE(7668)] = 351419,
  [SMALL_STATE(7669)] = 351519,
  [SMALL_STATE(7670)] = 351619,
  [SMALL_STATE(7671)] = 351671,
  [SMALL_STATE(7672)] = 351771,
  [SMALL_STATE(7673)] = 351823,
  [SMALL_STATE(7674)] = 351923,
  [SMALL_STATE(7675)] = 351975,
  [SMALL_STATE(7676)] = 352027,
  [SMALL_STATE(7677)] = 352079,
  [SMALL_STATE(7678)] = 352179,
  [SMALL_STATE(7679)] = 352279,
  [SMALL_STATE(7680)] = 352331,
  [SMALL_STATE(7681)] = 352383,
  [SMALL_STATE(7682)] = 352435,
  [SMALL_STATE(7683)] = 352487,
  [SMALL_STATE(7684)] = 352587,
  [SMALL_STATE(7685)] = 352639,
  [SMALL_STATE(7686)] = 352691,
  [SMALL_STATE(7687)] = 352743,
  [SMALL_STATE(7688)] = 352795,
  [SMALL_STATE(7689)] = 352847,
  [SMALL_STATE(7690)] = 352899,
  [SMALL_STATE(7691)] = 352951,
  [SMALL_STATE(7692)] = 353003,
  [SMALL_STATE(7693)] = 353055,
  [SMALL_STATE(7694)] = 353107,
  [SMALL_STATE(7695)] = 353159,
  [SMALL_STATE(7696)] = 353211,
  [SMALL_STATE(7697)] = 353311,
  [SMALL_STATE(7698)] = 353363,
  [SMALL_STATE(7699)] = 353415,
  [SMALL_STATE(7700)] = 353467,
  [SMALL_STATE(7701)] = 353519,
  [SMALL_STATE(7702)] = 353571,
  [SMALL_STATE(7703)] = 353623,
  [SMALL_STATE(7704)] = 353675,
  [SMALL_STATE(7705)] = 353727,
  [SMALL_STATE(7706)] = 353779,
  [SMALL_STATE(7707)] = 353879,
  [SMALL_STATE(7708)] = 353931,
  [SMALL_STATE(7709)] = 354031,
  [SMALL_STATE(7710)] = 354131,
  [SMALL_STATE(7711)] = 354183,
  [SMALL_STATE(7712)] = 354234,
  [SMALL_STATE(7713)] = 354285,
  [SMALL_STATE(7714)] = 354336,
  [SMALL_STATE(7715)] = 354387,
  [SMALL_STATE(7716)] = 354438,
  [SMALL_STATE(7717)] = 354489,
  [SMALL_STATE(7718)] = 354586,
  [SMALL_STATE(7719)] = 354683,
  [SMALL_STATE(7720)] = 354780,
  [SMALL_STATE(7721)] = 354831,
  [SMALL_STATE(7722)] = 354882,
  [SMALL_STATE(7723)] = 354933,
  [SMALL_STATE(7724)] = 354990,
  [SMALL_STATE(7725)] = 355089,
  [SMALL_STATE(7726)] = 355140,
  [SMALL_STATE(7727)] = 355191,
  [SMALL_STATE(7728)] = 355242,
  [SMALL_STATE(7729)] = 355339,
  [SMALL_STATE(7730)] = 355436,
  [SMALL_STATE(7731)] = 355487,
  [SMALL_STATE(7732)] = 355538,
  [SMALL_STATE(7733)] = 355589,
  [SMALL_STATE(7734)] = 355640,
  [SMALL_STATE(7735)] = 355691,
  [SMALL_STATE(7736)] = 355788,
  [SMALL_STATE(7737)] = 355885,
  [SMALL_STATE(7738)] = 355936,
  [SMALL_STATE(7739)] = 355987,
  [SMALL_STATE(7740)] = 356038,
  [SMALL_STATE(7741)] = 356135,
  [SMALL_STATE(7742)] = 356232,
  [SMALL_STATE(7743)] = 356329,
  [SMALL_STATE(7744)] = 356426,
  [SMALL_STATE(7745)] = 356477,
  [SMALL_STATE(7746)] = 356574,
  [SMALL_STATE(7747)] = 356671,
  [SMALL_STATE(7748)] = 356722,
  [SMALL_STATE(7749)] = 356773,
  [SMALL_STATE(7750)] = 356824,
  [SMALL_STATE(7751)] = 356921,
  [SMALL_STATE(7752)] = 357018,
  [SMALL_STATE(7753)] = 357069,
  [SMALL_STATE(7754)] = 357120,
  [SMALL_STATE(7755)] = 357217,
  [SMALL_STATE(7756)] = 357314,
  [SMALL_STATE(7757)] = 357365,
  [SMALL_STATE(7758)] = 357462,
  [SMALL_STATE(7759)] = 357559,
  [SMALL_STATE(7760)] = 357656,
  [SMALL_STATE(7761)] = 357707,
  [SMALL_STATE(7762)] = 357758,
  [SMALL_STATE(7763)] = 357855,
  [SMALL_STATE(7764)] = 357952,
  [SMALL_STATE(7765)] = 358003,
  [SMALL_STATE(7766)] = 358096,
  [SMALL_STATE(7767)] = 358193,
  [SMALL_STATE(7768)] = 358290,
  [SMALL_STATE(7769)] = 358341,
  [SMALL_STATE(7770)] = 358438,
  [SMALL_STATE(7771)] = 358535,
  [SMALL_STATE(7772)] = 358586,
  [SMALL_STATE(7773)] = 358637,
  [SMALL_STATE(7774)] = 358734,
  [SMALL_STATE(7775)] = 358785,
  [SMALL_STATE(7776)] = 358882,
  [SMALL_STATE(7777)] = 358979,
  [SMALL_STATE(7778)] = 359030,
  [SMALL_STATE(7779)] = 359127,
  [SMALL_STATE(7780)] = 359178,
  [SMALL_STATE(7781)] = 359229,
  [SMALL_STATE(7782)] = 359326,
  [SMALL_STATE(7783)] = 359423,
  [SMALL_STATE(7784)] = 359474,
  [SMALL_STATE(7785)] = 359571,
  [SMALL_STATE(7786)] = 359622,
  [SMALL_STATE(7787)] = 359673,
  [SMALL_STATE(7788)] = 359724,
  [SMALL_STATE(7789)] = 359821,
  [SMALL_STATE(7790)] = 359872,
  [SMALL_STATE(7791)] = 359923,
  [SMALL_STATE(7792)] = 359974,
  [SMALL_STATE(7793)] = 360025,
  [SMALL_STATE(7794)] = 360076,
  [SMALL_STATE(7795)] = 360127,
  [SMALL_STATE(7796)] = 360178,
  [SMALL_STATE(7797)] = 360229,
  [SMALL_STATE(7798)] = 360280,
  [SMALL_STATE(7799)] = 360377,
  [SMALL_STATE(7800)] = 360428,
  [SMALL_STATE(7801)] = 360483,
  [SMALL_STATE(7802)] = 360576,
  [SMALL_STATE(7803)] = 360627,
  [SMALL_STATE(7804)] = 360678,
  [SMALL_STATE(7805)] = 360729,
  [SMALL_STATE(7806)] = 360780,
  [SMALL_STATE(7807)] = 360831,
  [SMALL_STATE(7808)] = 360882,
  [SMALL_STATE(7809)] = 360933,
  [SMALL_STATE(7810)] = 360984,
  [SMALL_STATE(7811)] = 361035,
  [SMALL_STATE(7812)] = 361132,
  [SMALL_STATE(7813)] = 361183,
  [SMALL_STATE(7814)] = 361238,
  [SMALL_STATE(7815)] = 361289,
  [SMALL_STATE(7816)] = 361340,
  [SMALL_STATE(7817)] = 361437,
  [SMALL_STATE(7818)] = 361488,
  [SMALL_STATE(7819)] = 361585,
  [SMALL_STATE(7820)] = 361636,
  [SMALL_STATE(7821)] = 361729,
  [SMALL_STATE(7822)] = 361780,
  [SMALL_STATE(7823)] = 361877,
  [SMALL_STATE(7824)] = 361970,
  [SMALL_STATE(7825)] = 362021,
  [SMALL_STATE(7826)] = 362072,
  [SMALL_STATE(7827)] = 362123,
  [SMALL_STATE(7828)] = 362174,
  [SMALL_STATE(7829)] = 362225,
  [SMALL_STATE(7830)] = 362276,
  [SMALL_STATE(7831)] = 362327,
  [SMALL_STATE(7832)] = 362378,
  [SMALL_STATE(7833)] = 362429,
  [SMALL_STATE(7834)] = 362480,
  [SMALL_STATE(7835)] = 362531,
  [SMALL_STATE(7836)] = 362582,
  [SMALL_STATE(7837)] = 362633,
  [SMALL_STATE(7838)] = 362684,
  [SMALL_STATE(7839)] = 362735,
  [SMALL_STATE(7840)] = 362786,
  [SMALL_STATE(7841)] = 362837,
  [SMALL_STATE(7842)] = 362888,
  [SMALL_STATE(7843)] = 362985,
  [SMALL_STATE(7844)] = 363036,
  [SMALL_STATE(7845)] = 363087,
  [SMALL_STATE(7846)] = 363180,
  [SMALL_STATE(7847)] = 363259,
  [SMALL_STATE(7848)] = 363310,
  [SMALL_STATE(7849)] = 363361,
  [SMALL_STATE(7850)] = 363412,
  [SMALL_STATE(7851)] = 363463,
  [SMALL_STATE(7852)] = 363514,
  [SMALL_STATE(7853)] = 363565,
  [SMALL_STATE(7854)] = 363616,
  [SMALL_STATE(7855)] = 363667,
  [SMALL_STATE(7856)] = 363718,
  [SMALL_STATE(7857)] = 363815,
  [SMALL_STATE(7858)] = 363866,
  [SMALL_STATE(7859)] = 363917,
  [SMALL_STATE(7860)] = 363968,
  [SMALL_STATE(7861)] = 364019,
  [SMALL_STATE(7862)] = 364112,
  [SMALL_STATE(7863)] = 364209,
  [SMALL_STATE(7864)] = 364302,
  [SMALL_STATE(7865)] = 364399,
  [SMALL_STATE(7866)] = 364450,
  [SMALL_STATE(7867)] = 364547,
  [SMALL_STATE(7868)] = 364644,
  [SMALL_STATE(7869)] = 364695,
  [SMALL_STATE(7870)] = 364792,
  [SMALL_STATE(7871)] = 364891,
  [SMALL_STATE(7872)] = 364942,
  [SMALL_STATE(7873)] = 365039,
  [SMALL_STATE(7874)] = 365136,
  [SMALL_STATE(7875)] = 365233,
  [SMALL_STATE(7876)] = 365330,
  [SMALL_STATE(7877)] = 365423,
  [SMALL_STATE(7878)] = 365474,
  [SMALL_STATE(7879)] = 365525,
  [SMALL_STATE(7880)] = 365622,
  [SMALL_STATE(7881)] = 365673,
  [SMALL_STATE(7882)] = 365724,
  [SMALL_STATE(7883)] = 365775,
  [SMALL_STATE(7884)] = 365872,
  [SMALL_STATE(7885)] = 365965,
  [SMALL_STATE(7886)] = 366016,
  [SMALL_STATE(7887)] = 366115,
  [SMALL_STATE(7888)] = 366166,
  [SMALL_STATE(7889)] = 366217,
  [SMALL_STATE(7890)] = 366268,
  [SMALL_STATE(7891)] = 366361,
  [SMALL_STATE(7892)] = 366412,
  [SMALL_STATE(7893)] = 366463,
  [SMALL_STATE(7894)] = 366542,
  [SMALL_STATE(7895)] = 366639,
  [SMALL_STATE(7896)] = 366732,
  [SMALL_STATE(7897)] = 366829,
  [SMALL_STATE(7898)] = 366926,
  [SMALL_STATE(7899)] = 366977,
  [SMALL_STATE(7900)] = 367074,
  [SMALL_STATE(7901)] = 367125,
  [SMALL_STATE(7902)] = 367222,
  [SMALL_STATE(7903)] = 367273,
  [SMALL_STATE(7904)] = 367324,
  [SMALL_STATE(7905)] = 367375,
  [SMALL_STATE(7906)] = 367426,
  [SMALL_STATE(7907)] = 367479,
  [SMALL_STATE(7908)] = 367532,
  [SMALL_STATE(7909)] = 367583,
  [SMALL_STATE(7910)] = 367634,
  [SMALL_STATE(7911)] = 367685,
  [SMALL_STATE(7912)] = 367736,
  [SMALL_STATE(7913)] = 367787,
  [SMALL_STATE(7914)] = 367838,
  [SMALL_STATE(7915)] = 367889,
  [SMALL_STATE(7916)] = 367940,
  [SMALL_STATE(7917)] = 368033,
  [SMALL_STATE(7918)] = 368084,
  [SMALL_STATE(7919)] = 368135,
  [SMALL_STATE(7920)] = 368228,
  [SMALL_STATE(7921)] = 368281,
  [SMALL_STATE(7922)] = 368380,
  [SMALL_STATE(7923)] = 368431,
  [SMALL_STATE(7924)] = 368482,
  [SMALL_STATE(7925)] = 368575,
  [SMALL_STATE(7926)] = 368668,
  [SMALL_STATE(7927)] = 368719,
  [SMALL_STATE(7928)] = 368812,
  [SMALL_STATE(7929)] = 368863,
  [SMALL_STATE(7930)] = 368914,
  [SMALL_STATE(7931)] = 369011,
  [SMALL_STATE(7932)] = 369108,
  [SMALL_STATE(7933)] = 369207,
  [SMALL_STATE(7934)] = 369258,
  [SMALL_STATE(7935)] = 369351,
  [SMALL_STATE(7936)] = 369402,
  [SMALL_STATE(7937)] = 369453,
  [SMALL_STATE(7938)] = 369504,
  [SMALL_STATE(7939)] = 369555,
  [SMALL_STATE(7940)] = 369606,
  [SMALL_STATE(7941)] = 369657,
  [SMALL_STATE(7942)] = 369708,
  [SMALL_STATE(7943)] = 369759,
  [SMALL_STATE(7944)] = 369852,
  [SMALL_STATE(7945)] = 369903,
  [SMALL_STATE(7946)] = 369954,
  [SMALL_STATE(7947)] = 370047,
  [SMALL_STATE(7948)] = 370144,
  [SMALL_STATE(7949)] = 370195,
  [SMALL_STATE(7950)] = 370252,
  [SMALL_STATE(7951)] = 370303,
  [SMALL_STATE(7952)] = 370396,
  [SMALL_STATE(7953)] = 370493,
  [SMALL_STATE(7954)] = 370590,
  [SMALL_STATE(7955)] = 370641,
  [SMALL_STATE(7956)] = 370692,
  [SMALL_STATE(7957)] = 370743,
  [SMALL_STATE(7958)] = 370840,
  [SMALL_STATE(7959)] = 370891,
  [SMALL_STATE(7960)] = 370944,
  [SMALL_STATE(7961)] = 370995,
  [SMALL_STATE(7962)] = 371094,
  [SMALL_STATE(7963)] = 371145,
  [SMALL_STATE(7964)] = 371196,
  [SMALL_STATE(7965)] = 371293,
  [SMALL_STATE(7966)] = 371390,
  [SMALL_STATE(7967)] = 371487,
  [SMALL_STATE(7968)] = 371538,
  [SMALL_STATE(7969)] = 371589,
  [SMALL_STATE(7970)] = 371640,
  [SMALL_STATE(7971)] = 371691,
  [SMALL_STATE(7972)] = 371742,
  [SMALL_STATE(7973)] = 371793,
  [SMALL_STATE(7974)] = 371890,
  [SMALL_STATE(7975)] = 371987,
  [SMALL_STATE(7976)] = 372038,
  [SMALL_STATE(7977)] = 372089,
  [SMALL_STATE(7978)] = 372140,
  [SMALL_STATE(7979)] = 372191,
  [SMALL_STATE(7980)] = 372285,
  [SMALL_STATE(7981)] = 372335,
  [SMALL_STATE(7982)] = 372385,
  [SMALL_STATE(7983)] = 372451,
  [SMALL_STATE(7984)] = 372545,
  [SMALL_STATE(7985)] = 372639,
  [SMALL_STATE(7986)] = 372733,
  [SMALL_STATE(7987)] = 372783,
  [SMALL_STATE(7988)] = 372837,
  [SMALL_STATE(7989)] = 372891,
  [SMALL_STATE(7990)] = 372943,
  [SMALL_STATE(7991)] = 373037,
  [SMALL_STATE(7992)] = 373131,
  [SMALL_STATE(7993)] = 373225,
  [SMALL_STATE(7994)] = 373279,
  [SMALL_STATE(7995)] = 373333,
  [SMALL_STATE(7996)] = 373385,
  [SMALL_STATE(7997)] = 373435,
  [SMALL_STATE(7998)] = 373489,
  [SMALL_STATE(7999)] = 373583,
  [SMALL_STATE(8000)] = 373677,
  [SMALL_STATE(8001)] = 373771,
  [SMALL_STATE(8002)] = 373825,
  [SMALL_STATE(8003)] = 373919,
  [SMALL_STATE(8004)] = 373969,
  [SMALL_STATE(8005)] = 374037,
  [SMALL_STATE(8006)] = 374109,
  [SMALL_STATE(8007)] = 374165,
  [SMALL_STATE(8008)] = 374215,
  [SMALL_STATE(8009)] = 374265,
  [SMALL_STATE(8010)] = 374319,
  [SMALL_STATE(8011)] = 374413,
  [SMALL_STATE(8012)] = 374507,
  [SMALL_STATE(8013)] = 374561,
  [SMALL_STATE(8014)] = 374655,
  [SMALL_STATE(8015)] = 374709,
  [SMALL_STATE(8016)] = 374803,
  [SMALL_STATE(8017)] = 374897,
  [SMALL_STATE(8018)] = 374991,
  [SMALL_STATE(8019)] = 375043,
  [SMALL_STATE(8020)] = 375097,
  [SMALL_STATE(8021)] = 375191,
  [SMALL_STATE(8022)] = 375285,
  [SMALL_STATE(8023)] = 375379,
  [SMALL_STATE(8024)] = 375429,
  [SMALL_STATE(8025)] = 375501,
  [SMALL_STATE(8026)] = 375595,
  [SMALL_STATE(8027)] = 375689,
  [SMALL_STATE(8028)] = 375783,
  [SMALL_STATE(8029)] = 375877,
  [SMALL_STATE(8030)] = 375971,
  [SMALL_STATE(8031)] = 376021,
  [SMALL_STATE(8032)] = 376115,
  [SMALL_STATE(8033)] = 376209,
  [SMALL_STATE(8034)] = 376303,
  [SMALL_STATE(8035)] = 376397,
  [SMALL_STATE(8036)] = 376491,
  [SMALL_STATE(8037)] = 376585,
  [SMALL_STATE(8038)] = 376679,
  [SMALL_STATE(8039)] = 376729,
  [SMALL_STATE(8040)] = 376823,
  [SMALL_STATE(8041)] = 376917,
  [SMALL_STATE(8042)] = 377011,
  [SMALL_STATE(8043)] = 377063,
  [SMALL_STATE(8044)] = 377117,
  [SMALL_STATE(8045)] = 377211,
  [SMALL_STATE(8046)] = 377305,
  [SMALL_STATE(8047)] = 377355,
  [SMALL_STATE(8048)] = 377449,
  [SMALL_STATE(8049)] = 377499,
  [SMALL_STATE(8050)] = 377593,
  [SMALL_STATE(8051)] = 377687,
  [SMALL_STATE(8052)] = 377737,
  [SMALL_STATE(8053)] = 377831,
  [SMALL_STATE(8054)] = 377883,
  [SMALL_STATE(8055)] = 377933,
  [SMALL_STATE(8056)] = 377983,
  [SMALL_STATE(8057)] = 378033,
  [SMALL_STATE(8058)] = 378127,
  [SMALL_STATE(8059)] = 378221,
  [SMALL_STATE(8060)] = 378315,
  [SMALL_STATE(8061)] = 378365,
  [SMALL_STATE(8062)] = 378459,
  [SMALL_STATE(8063)] = 378553,
  [SMALL_STATE(8064)] = 378647,
  [SMALL_STATE(8065)] = 378741,
  [SMALL_STATE(8066)] = 378835,
  [SMALL_STATE(8067)] = 378929,
  [SMALL_STATE(8068)] = 378979,
  [SMALL_STATE(8069)] = 379029,
  [SMALL_STATE(8070)] = 379097,
  [SMALL_STATE(8071)] = 379147,
  [SMALL_STATE(8072)] = 379197,
  [SMALL_STATE(8073)] = 379247,
  [SMALL_STATE(8074)] = 379301,
  [SMALL_STATE(8075)] = 379355,
  [SMALL_STATE(8076)] = 379427,
  [SMALL_STATE(8077)] = 379477,
  [SMALL_STATE(8078)] = 379527,
  [SMALL_STATE(8079)] = 379595,
  [SMALL_STATE(8080)] = 379645,
  [SMALL_STATE(8081)] = 379695,
  [SMALL_STATE(8082)] = 379755,
  [SMALL_STATE(8083)] = 379809,
  [SMALL_STATE(8084)] = 379863,
  [SMALL_STATE(8085)] = 379925,
  [SMALL_STATE(8086)] = 379987,
  [SMALL_STATE(8087)] = 380053,
  [SMALL_STATE(8088)] = 380121,
  [SMALL_STATE(8089)] = 380193,
  [SMALL_STATE(8090)] = 380249,
  [SMALL_STATE(8091)] = 380299,
  [SMALL_STATE(8092)] = 380349,
  [SMALL_STATE(8093)] = 380399,
  [SMALL_STATE(8094)] = 380449,
  [SMALL_STATE(8095)] = 380499,
  [SMALL_STATE(8096)] = 380551,
  [SMALL_STATE(8097)] = 380601,
  [SMALL_STATE(8098)] = 380695,
  [SMALL_STATE(8099)] = 380745,
  [SMALL_STATE(8100)] = 380839,
  [SMALL_STATE(8101)] = 380911,
  [SMALL_STATE(8102)] = 380961,
  [SMALL_STATE(8103)] = 381055,
  [SMALL_STATE(8104)] = 381149,
  [SMALL_STATE(8105)] = 381243,
  [SMALL_STATE(8106)] = 381317,
  [SMALL_STATE(8107)] = 381371,
  [SMALL_STATE(8108)] = 381421,
  [SMALL_STATE(8109)] = 381493,
  [SMALL_STATE(8110)] = 381543,
  [SMALL_STATE(8111)] = 381615,
  [SMALL_STATE(8112)] = 381665,
  [SMALL_STATE(8113)] = 381715,
  [SMALL_STATE(8114)] = 381765,
  [SMALL_STATE(8115)] = 381859,
  [SMALL_STATE(8116)] = 381933,
  [SMALL_STATE(8117)] = 381983,
  [SMALL_STATE(8118)] = 382037,
  [SMALL_STATE(8119)] = 382131,
  [SMALL_STATE(8120)] = 382183,
  [SMALL_STATE(8121)] = 382233,
  [SMALL_STATE(8122)] = 382283,
  [SMALL_STATE(8123)] = 382377,
  [SMALL_STATE(8124)] = 382427,
  [SMALL_STATE(8125)] = 382477,
  [SMALL_STATE(8126)] = 382527,
  [SMALL_STATE(8127)] = 382581,
  [SMALL_STATE(8128)] = 382641,
  [SMALL_STATE(8129)] = 382735,
  [SMALL_STATE(8130)] = 382829,
  [SMALL_STATE(8131)] = 382879,
  [SMALL_STATE(8132)] = 382973,
  [SMALL_STATE(8133)] = 383023,
  [SMALL_STATE(8134)] = 383095,
  [SMALL_STATE(8135)] = 383145,
  [SMALL_STATE(8136)] = 383195,
  [SMALL_STATE(8137)] = 383245,
  [SMALL_STATE(8138)] = 383295,
  [SMALL_STATE(8139)] = 383389,
  [SMALL_STATE(8140)] = 383439,
  [SMALL_STATE(8141)] = 383533,
  [SMALL_STATE(8142)] = 383583,
  [SMALL_STATE(8143)] = 383677,
  [SMALL_STATE(8144)] = 383727,
  [SMALL_STATE(8145)] = 383777,
  [SMALL_STATE(8146)] = 383827,
  [SMALL_STATE(8147)] = 383877,
  [SMALL_STATE(8148)] = 383927,
  [SMALL_STATE(8149)] = 383981,
  [SMALL_STATE(8150)] = 384031,
  [SMALL_STATE(8151)] = 384081,
  [SMALL_STATE(8152)] = 384131,
  [SMALL_STATE(8153)] = 384225,
  [SMALL_STATE(8154)] = 384319,
  [SMALL_STATE(8155)] = 384413,
  [SMALL_STATE(8156)] = 384467,
  [SMALL_STATE(8157)] = 384529,
  [SMALL_STATE(8158)] = 384591,
  [SMALL_STATE(8159)] = 384641,
  [SMALL_STATE(8160)] = 384694,
  [SMALL_STATE(8161)] = 384747,
  [SMALL_STATE(8162)] = 384800,
  [SMALL_STATE(8163)] = 384853,
  [SMALL_STATE(8164)] = 384906,
  [SMALL_STATE(8165)] = 384957,
  [SMALL_STATE(8166)] = 385028,
  [SMALL_STATE(8167)] = 385077,
  [SMALL_STATE(8168)] = 385148,
  [SMALL_STATE(8169)] = 385219,
  [SMALL_STATE(8170)] = 385270,
  [SMALL_STATE(8171)] = 385337,
  [SMALL_STATE(8172)] = 385396,
  [SMALL_STATE(8173)] = 385449,
  [SMALL_STATE(8174)] = 385502,
  [SMALL_STATE(8175)] = 385555,
  [SMALL_STATE(8176)] = 385608,
  [SMALL_STATE(8177)] = 385669,
  [SMALL_STATE(8178)] = 385730,
  [SMALL_STATE(8179)] = 385783,
  [SMALL_STATE(8180)] = 385874,
  [SMALL_STATE(8181)] = 385927,
  [SMALL_STATE(8182)] = 385992,
  [SMALL_STATE(8183)] = 386053,
  [SMALL_STATE(8184)] = 386120,
  [SMALL_STATE(8185)] = 386173,
  [SMALL_STATE(8186)] = 386244,
  [SMALL_STATE(8187)] = 386295,
  [SMALL_STATE(8188)] = 386350,
  [SMALL_STATE(8189)] = 386421,
  [SMALL_STATE(8190)] = 386474,
  [SMALL_STATE(8191)] = 386525,
  [SMALL_STATE(8192)] = 386592,
  [SMALL_STATE(8193)] = 386643,
  [SMALL_STATE(8194)] = 386696,
  [SMALL_STATE(8195)] = 386749,
  [SMALL_STATE(8196)] = 386820,
  [SMALL_STATE(8197)] = 386881,
  [SMALL_STATE(8198)] = 386934,
  [SMALL_STATE(8199)] = 387025,
  [SMALL_STATE(8200)] = 387076,
  [SMALL_STATE(8201)] = 387129,
  [SMALL_STATE(8202)] = 387178,
  [SMALL_STATE(8203)] = 387237,
  [SMALL_STATE(8204)] = 387290,
  [SMALL_STATE(8205)] = 387343,
  [SMALL_STATE(8206)] = 387414,
  [SMALL_STATE(8207)] = 387485,
  [SMALL_STATE(8208)] = 387558,
  [SMALL_STATE(8209)] = 387611,
  [SMALL_STATE(8210)] = 387676,
  [SMALL_STATE(8211)] = 387749,
  [SMALL_STATE(8212)] = 387816,
  [SMALL_STATE(8213)] = 387887,
  [SMALL_STATE(8214)] = 387954,
  [SMALL_STATE(8215)] = 388005,
  [SMALL_STATE(8216)] = 388058,
  [SMALL_STATE(8217)] = 388117,
  [SMALL_STATE(8218)] = 388190,
  [SMALL_STATE(8219)] = 388243,
  [SMALL_STATE(8220)] = 388314,
  [SMALL_STATE(8221)] = 388385,
  [SMALL_STATE(8222)] = 388438,
  [SMALL_STATE(8223)] = 388489,
  [SMALL_STATE(8224)] = 388580,
  [SMALL_STATE(8225)] = 388633,
  [SMALL_STATE(8226)] = 388706,
  [SMALL_STATE(8227)] = 388767,
  [SMALL_STATE(8228)] = 388828,
  [SMALL_STATE(8229)] = 388881,
  [SMALL_STATE(8230)] = 388934,
  [SMALL_STATE(8231)] = 389001,
  [SMALL_STATE(8232)] = 389056,
  [SMALL_STATE(8233)] = 389109,
  [SMALL_STATE(8234)] = 389168,
  [SMALL_STATE(8235)] = 389233,
  [SMALL_STATE(8236)] = 389286,
  [SMALL_STATE(8237)] = 389339,
  [SMALL_STATE(8238)] = 389406,
  [SMALL_STATE(8239)] = 389459,
  [SMALL_STATE(8240)] = 389508,
  [SMALL_STATE(8241)] = 389569,
  [SMALL_STATE(8242)] = 389630,
  [SMALL_STATE(8243)] = 389695,
  [SMALL_STATE(8244)] = 389762,
  [SMALL_STATE(8245)] = 389833,
  [SMALL_STATE(8246)] = 389904,
  [SMALL_STATE(8247)] = 389957,
  [SMALL_STATE(8248)] = 390010,
  [SMALL_STATE(8249)] = 390065,
  [SMALL_STATE(8250)] = 390136,
  [SMALL_STATE(8251)] = 390191,
  [SMALL_STATE(8252)] = 390282,
  [SMALL_STATE(8253)] = 390333,
  [SMALL_STATE(8254)] = 390383,
  [SMALL_STATE(8255)] = 390435,
  [SMALL_STATE(8256)] = 390487,
  [SMALL_STATE(8257)] = 390539,
  [SMALL_STATE(8258)] = 390599,
  [SMALL_STATE(8259)] = 390647,
  [SMALL_STATE(8260)] = 390707,
  [SMALL_STATE(8261)] = 390771,
  [SMALL_STATE(8262)] = 390843,
  [SMALL_STATE(8263)] = 390909,
  [SMALL_STATE(8264)] = 390979,
  [SMALL_STATE(8265)] = 391033,
  [SMALL_STATE(8266)] = 391103,
  [SMALL_STATE(8267)] = 391173,
  [SMALL_STATE(8268)] = 391257,
  [SMALL_STATE(8269)] = 391327,
  [SMALL_STATE(8270)] = 391411,
  [SMALL_STATE(8271)] = 391495,
  [SMALL_STATE(8272)] = 391545,
  [SMALL_STATE(8273)] = 391617,
  [SMALL_STATE(8274)] = 391665,
  [SMALL_STATE(8275)] = 391713,
  [SMALL_STATE(8276)] = 391761,
  [SMALL_STATE(8277)] = 391845,
  [SMALL_STATE(8278)] = 391895,
  [SMALL_STATE(8279)] = 391979,
  [SMALL_STATE(8280)] = 392051,
  [SMALL_STATE(8281)] = 392103,
  [SMALL_STATE(8282)] = 392187,
  [SMALL_STATE(8283)] = 392235,
  [SMALL_STATE(8284)] = 392283,
  [SMALL_STATE(8285)] = 392333,
  [SMALL_STATE(8286)] = 392399,
  [SMALL_STATE(8287)] = 392457,
  [SMALL_STATE(8288)] = 392507,
  [SMALL_STATE(8289)] = 392559,
  [SMALL_STATE(8290)] = 392611,
  [SMALL_STATE(8291)] = 392663,
  [SMALL_STATE(8292)] = 392723,
  [SMALL_STATE(8293)] = 392783,
  [SMALL_STATE(8294)] = 392847,
  [SMALL_STATE(8295)] = 392895,
  [SMALL_STATE(8296)] = 392961,
  [SMALL_STATE(8297)] = 393027,
  [SMALL_STATE(8298)] = 393097,
  [SMALL_STATE(8299)] = 393155,
  [SMALL_STATE(8300)] = 393209,
  [SMALL_STATE(8301)] = 393279,
  [SMALL_STATE(8302)] = 393363,
  [SMALL_STATE(8303)] = 393413,
  [SMALL_STATE(8304)] = 393465,
  [SMALL_STATE(8305)] = 393517,
  [SMALL_STATE(8306)] = 393567,
  [SMALL_STATE(8307)] = 393649,
  [SMALL_STATE(8308)] = 393701,
  [SMALL_STATE(8309)] = 393785,
  [SMALL_STATE(8310)] = 393837,
  [SMALL_STATE(8311)] = 393895,
  [SMALL_STATE(8312)] = 393967,
  [SMALL_STATE(8313)] = 394049,
  [SMALL_STATE(8314)] = 394101,
  [SMALL_STATE(8315)] = 394151,
  [SMALL_STATE(8316)] = 394198,
  [SMALL_STATE(8317)] = 394251,
  [SMALL_STATE(8318)] = 394336,
  [SMALL_STATE(8319)] = 394421,
  [SMALL_STATE(8320)] = 394506,
  [SMALL_STATE(8321)] = 394591,
  [SMALL_STATE(8322)] = 394650,
  [SMALL_STATE(8323)] = 394709,
  [SMALL_STATE(8324)] = 394772,
  [SMALL_STATE(8325)] = 394837,
  [SMALL_STATE(8326)] = 394896,
  [SMALL_STATE(8327)] = 394965,
  [SMALL_STATE(8328)] = 395050,
  [SMALL_STATE(8329)] = 395135,
  [SMALL_STATE(8330)] = 395220,
  [SMALL_STATE(8331)] = 395273,
  [SMALL_STATE(8332)] = 395342,
  [SMALL_STATE(8333)] = 395427,
  [SMALL_STATE(8334)] = 395498,
  [SMALL_STATE(8335)] = 395583,
  [SMALL_STATE(8336)] = 395652,
  [SMALL_STATE(8337)] = 395737,
  [SMALL_STATE(8338)] = 395786,
  [SMALL_STATE(8339)] = 395857,
  [SMALL_STATE(8340)] = 395942,
  [SMALL_STATE(8341)] = 395991,
  [SMALL_STATE(8342)] = 396076,
  [SMALL_STATE(8343)] = 396127,
  [SMALL_STATE(8344)] = 396212,
  [SMALL_STATE(8345)] = 396297,
  [SMALL_STATE(8346)] = 396382,
  [SMALL_STATE(8347)] = 396433,
  [SMALL_STATE(8348)] = 396480,
  [SMALL_STATE(8349)] = 396565,
  [SMALL_STATE(8350)] = 396616,
  [SMALL_STATE(8351)] = 396701,
  [SMALL_STATE(8352)] = 396766,
  [SMALL_STATE(8353)] = 396817,
  [SMALL_STATE(8354)] = 396864,
  [SMALL_STATE(8355)] = 396915,
  [SMALL_STATE(8356)] = 397000,
  [SMALL_STATE(8357)] = 397049,
  [SMALL_STATE(8358)] = 397100,
  [SMALL_STATE(8359)] = 397185,
  [SMALL_STATE(8360)] = 397236,
  [SMALL_STATE(8361)] = 397321,
  [SMALL_STATE(8362)] = 397406,
  [SMALL_STATE(8363)] = 397457,
  [SMALL_STATE(8364)] = 397514,
  [SMALL_STATE(8365)] = 397573,
  [SMALL_STATE(8366)] = 397642,
  [SMALL_STATE(8367)] = 397727,
  [SMALL_STATE(8368)] = 397778,
  [SMALL_STATE(8369)] = 397827,
  [SMALL_STATE(8370)] = 397912,
  [SMALL_STATE(8371)] = 397997,
  [SMALL_STATE(8372)] = 398082,
  [SMALL_STATE(8373)] = 398167,
  [SMALL_STATE(8374)] = 398214,
  [SMALL_STATE(8375)] = 398299,
  [SMALL_STATE(8376)] = 398370,
  [SMALL_STATE(8377)] = 398455,
  [SMALL_STATE(8378)] = 398540,
  [SMALL_STATE(8379)] = 398625,
  [SMALL_STATE(8380)] = 398674,
  [SMALL_STATE(8381)] = 398759,
  [SMALL_STATE(8382)] = 398844,
  [SMALL_STATE(8383)] = 398929,
  [SMALL_STATE(8384)] = 398980,
  [SMALL_STATE(8385)] = 399065,
  [SMALL_STATE(8386)] = 399150,
  [SMALL_STATE(8387)] = 399219,
  [SMALL_STATE(8388)] = 399266,
  [SMALL_STATE(8389)] = 399315,
  [SMALL_STATE(8390)] = 399378,
  [SMALL_STATE(8391)] = 399463,
  [SMALL_STATE(8392)] = 399548,
  [SMALL_STATE(8393)] = 399633,
  [SMALL_STATE(8394)] = 399718,
  [SMALL_STATE(8395)] = 399803,
  [SMALL_STATE(8396)] = 399888,
  [SMALL_STATE(8397)] = 399935,
  [SMALL_STATE(8398)] = 400000,
  [SMALL_STATE(8399)] = 400085,
  [SMALL_STATE(8400)] = 400170,
  [SMALL_STATE(8401)] = 400219,
  [SMALL_STATE(8402)] = 400270,
  [SMALL_STATE(8403)] = 400321,
  [SMALL_STATE(8404)] = 400386,
  [SMALL_STATE(8405)] = 400443,
  [SMALL_STATE(8406)] = 400492,
  [SMALL_STATE(8407)] = 400577,
  [SMALL_STATE(8408)] = 400628,
  [SMALL_STATE(8409)] = 400679,
  [SMALL_STATE(8410)] = 400748,
  [SMALL_STATE(8411)] = 400805,
  [SMALL_STATE(8412)] = 400852,
  [SMALL_STATE(8413)] = 400903,
  [SMALL_STATE(8414)] = 400952,
  [SMALL_STATE(8415)] = 401003,
  [SMALL_STATE(8416)] = 401074,
  [SMALL_STATE(8417)] = 401159,
  [SMALL_STATE(8418)] = 401210,
  [SMALL_STATE(8419)] = 401295,
  [SMALL_STATE(8420)] = 401380,
  [SMALL_STATE(8421)] = 401465,
  [SMALL_STATE(8422)] = 401516,
  [SMALL_STATE(8423)] = 401563,
  [SMALL_STATE(8424)] = 401648,
  [SMALL_STATE(8425)] = 401699,
  [SMALL_STATE(8426)] = 401746,
  [SMALL_STATE(8427)] = 401831,
  [SMALL_STATE(8428)] = 401916,
  [SMALL_STATE(8429)] = 402001,
  [SMALL_STATE(8430)] = 402086,
  [SMALL_STATE(8431)] = 402171,
  [SMALL_STATE(8432)] = 402222,
  [SMALL_STATE(8433)] = 402291,
  [SMALL_STATE(8434)] = 402376,
  [SMALL_STATE(8435)] = 402445,
  [SMALL_STATE(8436)] = 402527,
  [SMALL_STATE(8437)] = 402573,
  [SMALL_STATE(8438)] = 402655,
  [SMALL_STATE(8439)] = 402737,
  [SMALL_STATE(8440)] = 402819,
  [SMALL_STATE(8441)] = 402901,
  [SMALL_STATE(8442)] = 402951,
  [SMALL_STATE(8443)] = 403033,
  [SMALL_STATE(8444)] = 403115,
  [SMALL_STATE(8445)] = 403197,
  [SMALL_STATE(8446)] = 403279,
  [SMALL_STATE(8447)] = 403325,
  [SMALL_STATE(8448)] = 403375,
  [SMALL_STATE(8449)] = 403421,
  [SMALL_STATE(8450)] = 403467,
  [SMALL_STATE(8451)] = 403549,
  [SMALL_STATE(8452)] = 403595,
  [SMALL_STATE(8453)] = 403641,
  [SMALL_STATE(8454)] = 403723,
  [SMALL_STATE(8455)] = 403773,
  [SMALL_STATE(8456)] = 403855,
  [SMALL_STATE(8457)] = 403937,
  [SMALL_STATE(8458)] = 404019,
  [SMALL_STATE(8459)] = 404065,
  [SMALL_STATE(8460)] = 404147,
  [SMALL_STATE(8461)] = 404229,
  [SMALL_STATE(8462)] = 404311,
  [SMALL_STATE(8463)] = 404393,
  [SMALL_STATE(8464)] = 404439,
  [SMALL_STATE(8465)] = 404521,
  [SMALL_STATE(8466)] = 404603,
  [SMALL_STATE(8467)] = 404685,
  [SMALL_STATE(8468)] = 404767,
  [SMALL_STATE(8469)] = 404849,
  [SMALL_STATE(8470)] = 404895,
  [SMALL_STATE(8471)] = 404941,
  [SMALL_STATE(8472)] = 405023,
  [SMALL_STATE(8473)] = 405069,
  [SMALL_STATE(8474)] = 405115,
  [SMALL_STATE(8475)] = 405161,
  [SMALL_STATE(8476)] = 405243,
  [SMALL_STATE(8477)] = 405325,
  [SMALL_STATE(8478)] = 405407,
  [SMALL_STATE(8479)] = 405453,
  [SMALL_STATE(8480)] = 405535,
  [SMALL_STATE(8481)] = 405617,
  [SMALL_STATE(8482)] = 405665,
  [SMALL_STATE(8483)] = 405715,
  [SMALL_STATE(8484)] = 405797,
  [SMALL_STATE(8485)] = 405843,
  [SMALL_STATE(8486)] = 405925,
  [SMALL_STATE(8487)] = 406007,
  [SMALL_STATE(8488)] = 406089,
  [SMALL_STATE(8489)] = 406171,
  [SMALL_STATE(8490)] = 406253,
  [SMALL_STATE(8491)] = 406335,
  [SMALL_STATE(8492)] = 406417,
  [SMALL_STATE(8493)] = 406499,
  [SMALL_STATE(8494)] = 406581,
  [SMALL_STATE(8495)] = 406663,
  [SMALL_STATE(8496)] = 406745,
  [SMALL_STATE(8497)] = 406827,
  [SMALL_STATE(8498)] = 406891,
  [SMALL_STATE(8499)] = 406973,
  [SMALL_STATE(8500)] = 407019,
  [SMALL_STATE(8501)] = 407101,
  [SMALL_STATE(8502)] = 407183,
  [SMALL_STATE(8503)] = 407265,
  [SMALL_STATE(8504)] = 407321,
  [SMALL_STATE(8505)] = 407371,
  [SMALL_STATE(8506)] = 407453,
  [SMALL_STATE(8507)] = 407535,
  [SMALL_STATE(8508)] = 407581,
  [SMALL_STATE(8509)] = 407663,
  [SMALL_STATE(8510)] = 407713,
  [SMALL_STATE(8511)] = 407795,
  [SMALL_STATE(8512)] = 407853,
  [SMALL_STATE(8513)] = 407911,
  [SMALL_STATE(8514)] = 407957,
  [SMALL_STATE(8515)] = 408019,
  [SMALL_STATE(8516)] = 408101,
  [SMALL_STATE(8517)] = 408149,
  [SMALL_STATE(8518)] = 408213,
  [SMALL_STATE(8519)] = 408281,
  [SMALL_STATE(8520)] = 408363,
  [SMALL_STATE(8521)] = 408415,
  [SMALL_STATE(8522)] = 408483,
  [SMALL_STATE(8523)] = 408565,
  [SMALL_STATE(8524)] = 408615,
  [SMALL_STATE(8525)] = 408663,
  [SMALL_STATE(8526)] = 408745,
  [SMALL_STATE(8527)] = 408827,
  [SMALL_STATE(8528)] = 408895,
  [SMALL_STATE(8529)] = 408977,
  [SMALL_STATE(8530)] = 409059,
  [SMALL_STATE(8531)] = 409141,
  [SMALL_STATE(8532)] = 409187,
  [SMALL_STATE(8533)] = 409269,
  [SMALL_STATE(8534)] = 409351,
  [SMALL_STATE(8535)] = 409433,
  [SMALL_STATE(8536)] = 409515,
  [SMALL_STATE(8537)] = 409597,
  [SMALL_STATE(8538)] = 409679,
  [SMALL_STATE(8539)] = 409761,
  [SMALL_STATE(8540)] = 409843,
  [SMALL_STATE(8541)] = 409925,
  [SMALL_STATE(8542)] = 409995,
  [SMALL_STATE(8543)] = 410077,
  [SMALL_STATE(8544)] = 410123,
  [SMALL_STATE(8545)] = 410205,
  [SMALL_STATE(8546)] = 410287,
  [SMALL_STATE(8547)] = 410333,
  [SMALL_STATE(8548)] = 410415,
  [SMALL_STATE(8549)] = 410461,
  [SMALL_STATE(8550)] = 410543,
  [SMALL_STATE(8551)] = 410589,
  [SMALL_STATE(8552)] = 410671,
  [SMALL_STATE(8553)] = 410717,
  [SMALL_STATE(8554)] = 410799,
  [SMALL_STATE(8555)] = 410845,
  [SMALL_STATE(8556)] = 410891,
  [SMALL_STATE(8557)] = 410973,
  [SMALL_STATE(8558)] = 411055,
  [SMALL_STATE(8559)] = 411137,
  [SMALL_STATE(8560)] = 411219,
  [SMALL_STATE(8561)] = 411265,
  [SMALL_STATE(8562)] = 411313,
  [SMALL_STATE(8563)] = 411395,
  [SMALL_STATE(8564)] = 411441,
  [SMALL_STATE(8565)] = 411487,
  [SMALL_STATE(8566)] = 411569,
  [SMALL_STATE(8567)] = 411615,
  [SMALL_STATE(8568)] = 411697,
  [SMALL_STATE(8569)] = 411779,
  [SMALL_STATE(8570)] = 411861,
  [SMALL_STATE(8571)] = 411943,
  [SMALL_STATE(8572)] = 412025,
  [SMALL_STATE(8573)] = 412071,
  [SMALL_STATE(8574)] = 412117,
  [SMALL_STATE(8575)] = 412199,
  [SMALL_STATE(8576)] = 412281,
  [SMALL_STATE(8577)] = 412327,
  [SMALL_STATE(8578)] = 412409,
  [SMALL_STATE(8579)] = 412455,
  [SMALL_STATE(8580)] = 412501,
  [SMALL_STATE(8581)] = 412583,
  [SMALL_STATE(8582)] = 412665,
  [SMALL_STATE(8583)] = 412747,
  [SMALL_STATE(8584)] = 412793,
  [SMALL_STATE(8585)] = 412875,
  [SMALL_STATE(8586)] = 412957,
  [SMALL_STATE(8587)] = 413039,
  [SMALL_STATE(8588)] = 413087,
  [SMALL_STATE(8589)] = 413169,
  [SMALL_STATE(8590)] = 413251,
  [SMALL_STATE(8591)] = 413333,
  [SMALL_STATE(8592)] = 413415,
  [SMALL_STATE(8593)] = 413497,
  [SMALL_STATE(8594)] = 413579,
  [SMALL_STATE(8595)] = 413625,
  [SMALL_STATE(8596)] = 413707,
  [SMALL_STATE(8597)] = 413789,
  [SMALL_STATE(8598)] = 413835,
  [SMALL_STATE(8599)] = 413917,
  [SMALL_STATE(8600)] = 413999,
  [SMALL_STATE(8601)] = 414081,
  [SMALL_STATE(8602)] = 414131,
  [SMALL_STATE(8603)] = 414213,
  [SMALL_STATE(8604)] = 414259,
  [SMALL_STATE(8605)] = 414341,
  [SMALL_STATE(8606)] = 414423,
  [SMALL_STATE(8607)] = 414505,
  [SMALL_STATE(8608)] = 414587,
  [SMALL_STATE(8609)] = 414633,
  [SMALL_STATE(8610)] = 414679,
  [SMALL_STATE(8611)] = 414725,
  [SMALL_STATE(8612)] = 414771,
  [SMALL_STATE(8613)] = 414853,
  [SMALL_STATE(8614)] = 414935,
  [SMALL_STATE(8615)] = 415017,
  [SMALL_STATE(8616)] = 415099,
  [SMALL_STATE(8617)] = 415181,
  [SMALL_STATE(8618)] = 415263,
  [SMALL_STATE(8619)] = 415345,
  [SMALL_STATE(8620)] = 415427,
  [SMALL_STATE(8621)] = 415509,
  [SMALL_STATE(8622)] = 415555,
  [SMALL_STATE(8623)] = 415637,
  [SMALL_STATE(8624)] = 415719,
  [SMALL_STATE(8625)] = 415801,
  [SMALL_STATE(8626)] = 415883,
  [SMALL_STATE(8627)] = 415965,
  [SMALL_STATE(8628)] = 416029,
  [SMALL_STATE(8629)] = 416111,
  [SMALL_STATE(8630)] = 416157,
  [SMALL_STATE(8631)] = 416213,
  [SMALL_STATE(8632)] = 416263,
  [SMALL_STATE(8633)] = 416345,
  [SMALL_STATE(8634)] = 416395,
  [SMALL_STATE(8635)] = 416453,
  [SMALL_STATE(8636)] = 416499,
  [SMALL_STATE(8637)] = 416581,
  [SMALL_STATE(8638)] = 416663,
  [SMALL_STATE(8639)] = 416721,
  [SMALL_STATE(8640)] = 416803,
  [SMALL_STATE(8641)] = 416865,
  [SMALL_STATE(8642)] = 416929,
  [SMALL_STATE(8643)] = 416997,
  [SMALL_STATE(8644)] = 417049,
  [SMALL_STATE(8645)] = 417117,
  [SMALL_STATE(8646)] = 417199,
  [SMALL_STATE(8647)] = 417281,
  [SMALL_STATE(8648)] = 417363,
  [SMALL_STATE(8649)] = 417445,
  [SMALL_STATE(8650)] = 417491,
  [SMALL_STATE(8651)] = 417573,
  [SMALL_STATE(8652)] = 417655,
  [SMALL_STATE(8653)] = 417701,
  [SMALL_STATE(8654)] = 417783,
  [SMALL_STATE(8655)] = 417865,
  [SMALL_STATE(8656)] = 417947,
  [SMALL_STATE(8657)] = 418029,
  [SMALL_STATE(8658)] = 418111,
  [SMALL_STATE(8659)] = 418159,
  [SMALL_STATE(8660)] = 418229,
  [SMALL_STATE(8661)] = 418311,
  [SMALL_STATE(8662)] = 418357,
  [SMALL_STATE(8663)] = 418439,
  [SMALL_STATE(8664)] = 418521,
  [SMALL_STATE(8665)] = 418603,
  [SMALL_STATE(8666)] = 418649,
  [SMALL_STATE(8667)] = 418731,
  [SMALL_STATE(8668)] = 418813,
  [SMALL_STATE(8669)] = 418859,
  [SMALL_STATE(8670)] = 418941,
  [SMALL_STATE(8671)] = 418987,
  [SMALL_STATE(8672)] = 419069,
  [SMALL_STATE(8673)] = 419151,
  [SMALL_STATE(8674)] = 419233,
  [SMALL_STATE(8675)] = 419315,
  [SMALL_STATE(8676)] = 419397,
  [SMALL_STATE(8677)] = 419445,
  [SMALL_STATE(8678)] = 419527,
  [SMALL_STATE(8679)] = 419609,
  [SMALL_STATE(8680)] = 419691,
  [SMALL_STATE(8681)] = 419773,
  [SMALL_STATE(8682)] = 419819,
  [SMALL_STATE(8683)] = 419901,
  [SMALL_STATE(8684)] = 419983,
  [SMALL_STATE(8685)] = 420029,
  [SMALL_STATE(8686)] = 420075,
  [SMALL_STATE(8687)] = 420121,
  [SMALL_STATE(8688)] = 420203,
  [SMALL_STATE(8689)] = 420249,
  [SMALL_STATE(8690)] = 420331,
  [SMALL_STATE(8691)] = 420377,
  [SMALL_STATE(8692)] = 420459,
  [SMALL_STATE(8693)] = 420505,
  [SMALL_STATE(8694)] = 420553,
  [SMALL_STATE(8695)] = 420635,
  [SMALL_STATE(8696)] = 420681,
  [SMALL_STATE(8697)] = 420763,
  [SMALL_STATE(8698)] = 420845,
  [SMALL_STATE(8699)] = 420891,
  [SMALL_STATE(8700)] = 420973,
  [SMALL_STATE(8701)] = 421019,
  [SMALL_STATE(8702)] = 421101,
  [SMALL_STATE(8703)] = 421183,
  [SMALL_STATE(8704)] = 421229,
  [SMALL_STATE(8705)] = 421311,
  [SMALL_STATE(8706)] = 421357,
  [SMALL_STATE(8707)] = 421403,
  [SMALL_STATE(8708)] = 421449,
  [SMALL_STATE(8709)] = 421495,
  [SMALL_STATE(8710)] = 421541,
  [SMALL_STATE(8711)] = 421587,
  [SMALL_STATE(8712)] = 421633,
  [SMALL_STATE(8713)] = 421679,
  [SMALL_STATE(8714)] = 421761,
  [SMALL_STATE(8715)] = 421843,
  [SMALL_STATE(8716)] = 421893,
  [SMALL_STATE(8717)] = 421975,
  [SMALL_STATE(8718)] = 422057,
  [SMALL_STATE(8719)] = 422139,
  [SMALL_STATE(8720)] = 422221,
  [SMALL_STATE(8721)] = 422303,
  [SMALL_STATE(8722)] = 422385,
  [SMALL_STATE(8723)] = 422435,
  [SMALL_STATE(8724)] = 422481,
  [SMALL_STATE(8725)] = 422563,
  [SMALL_STATE(8726)] = 422645,
  [SMALL_STATE(8727)] = 422701,
  [SMALL_STATE(8728)] = 422757,
  [SMALL_STATE(8729)] = 422839,
  [SMALL_STATE(8730)] = 422921,
  [SMALL_STATE(8731)] = 423003,
  [SMALL_STATE(8732)] = 423049,
  [SMALL_STATE(8733)] = 423095,
  [SMALL_STATE(8734)] = 423141,
  [SMALL_STATE(8735)] = 423187,
  [SMALL_STATE(8736)] = 423233,
  [SMALL_STATE(8737)] = 423279,
  [SMALL_STATE(8738)] = 423361,
  [SMALL_STATE(8739)] = 423407,
  [SMALL_STATE(8740)] = 423475,
  [SMALL_STATE(8741)] = 423521,
  [SMALL_STATE(8742)] = 423567,
  [SMALL_STATE(8743)] = 423649,
  [SMALL_STATE(8744)] = 423731,
  [SMALL_STATE(8745)] = 423813,
  [SMALL_STATE(8746)] = 423858,
  [SMALL_STATE(8747)] = 423903,
  [SMALL_STATE(8748)] = 423948,
  [SMALL_STATE(8749)] = 423993,
  [SMALL_STATE(8750)] = 424038,
  [SMALL_STATE(8751)] = 424089,
  [SMALL_STATE(8752)] = 424134,
  [SMALL_STATE(8753)] = 424179,
  [SMALL_STATE(8754)] = 424230,
  [SMALL_STATE(8755)] = 424275,
  [SMALL_STATE(8756)] = 424320,
  [SMALL_STATE(8757)] = 424365,
  [SMALL_STATE(8758)] = 424442,
  [SMALL_STATE(8759)] = 424487,
  [SMALL_STATE(8760)] = 424534,
  [SMALL_STATE(8761)] = 424583,
  [SMALL_STATE(8762)] = 424628,
  [SMALL_STATE(8763)] = 424675,
  [SMALL_STATE(8764)] = 424720,
  [SMALL_STATE(8765)] = 424765,
  [SMALL_STATE(8766)] = 424810,
  [SMALL_STATE(8767)] = 424855,
  [SMALL_STATE(8768)] = 424924,
  [SMALL_STATE(8769)] = 424969,
  [SMALL_STATE(8770)] = 425014,
  [SMALL_STATE(8771)] = 425059,
  [SMALL_STATE(8772)] = 425104,
  [SMALL_STATE(8773)] = 425149,
  [SMALL_STATE(8774)] = 425194,
  [SMALL_STATE(8775)] = 425239,
  [SMALL_STATE(8776)] = 425284,
  [SMALL_STATE(8777)] = 425329,
  [SMALL_STATE(8778)] = 425374,
  [SMALL_STATE(8779)] = 425419,
  [SMALL_STATE(8780)] = 425464,
  [SMALL_STATE(8781)] = 425509,
  [SMALL_STATE(8782)] = 425554,
  [SMALL_STATE(8783)] = 425599,
  [SMALL_STATE(8784)] = 425644,
  [SMALL_STATE(8785)] = 425689,
  [SMALL_STATE(8786)] = 425734,
  [SMALL_STATE(8787)] = 425779,
  [SMALL_STATE(8788)] = 425824,
  [SMALL_STATE(8789)] = 425869,
  [SMALL_STATE(8790)] = 425914,
  [SMALL_STATE(8791)] = 425959,
  [SMALL_STATE(8792)] = 426004,
  [SMALL_STATE(8793)] = 426049,
  [SMALL_STATE(8794)] = 426094,
  [SMALL_STATE(8795)] = 426139,
  [SMALL_STATE(8796)] = 426184,
  [SMALL_STATE(8797)] = 426235,
  [SMALL_STATE(8798)] = 426286,
  [SMALL_STATE(8799)] = 426331,
  [SMALL_STATE(8800)] = 426376,
  [SMALL_STATE(8801)] = 426421,
  [SMALL_STATE(8802)] = 426490,
  [SMALL_STATE(8803)] = 426535,
  [SMALL_STATE(8804)] = 426580,
  [SMALL_STATE(8805)] = 426625,
  [SMALL_STATE(8806)] = 426670,
  [SMALL_STATE(8807)] = 426715,
  [SMALL_STATE(8808)] = 426760,
  [SMALL_STATE(8809)] = 426805,
  [SMALL_STATE(8810)] = 426850,
  [SMALL_STATE(8811)] = 426895,
  [SMALL_STATE(8812)] = 426940,
  [SMALL_STATE(8813)] = 426985,
  [SMALL_STATE(8814)] = 427062,
  [SMALL_STATE(8815)] = 427107,
  [SMALL_STATE(8816)] = 427152,
  [SMALL_STATE(8817)] = 427206,
  [SMALL_STATE(8818)] = 427278,
  [SMALL_STATE(8819)] = 427332,
  [SMALL_STATE(8820)] = 427392,
  [SMALL_STATE(8821)] = 427446,
  [SMALL_STATE(8822)] = 427520,
  [SMALL_STATE(8823)] = 427580,
  [SMALL_STATE(8824)] = 427654,
  [SMALL_STATE(8825)] = 427708,
  [SMALL_STATE(8826)] = 427780,
  [SMALL_STATE(8827)] = 427834,
  [SMALL_STATE(8828)] = 427888,
  [SMALL_STATE(8829)] = 427932,
  [SMALL_STATE(8830)] = 428006,
  [SMALL_STATE(8831)] = 428066,
  [SMALL_STATE(8832)] = 428138,
  [SMALL_STATE(8833)] = 428215,
  [SMALL_STATE(8834)] = 428292,
  [SMALL_STATE(8835)] = 428345,
  [SMALL_STATE(8836)] = 428422,
  [SMALL_STATE(8837)] = 428499,
  [SMALL_STATE(8838)] = 428576,
  [SMALL_STATE(8839)] = 428647,
  [SMALL_STATE(8840)] = 428724,
  [SMALL_STATE(8841)] = 428777,
  [SMALL_STATE(8842)] = 428822,
  [SMALL_STATE(8843)] = 428879,
  [SMALL_STATE(8844)] = 428956,
  [SMALL_STATE(8845)] = 429013,
  [SMALL_STATE(8846)] = 429072,
  [SMALL_STATE(8847)] = 429125,
  [SMALL_STATE(8848)] = 429202,
  [SMALL_STATE(8849)] = 429261,
  [SMALL_STATE(8850)] = 429338,
  [SMALL_STATE(8851)] = 429415,
  [SMALL_STATE(8852)] = 429492,
  [SMALL_STATE(8853)] = 429569,
  [SMALL_STATE(8854)] = 429628,
  [SMALL_STATE(8855)] = 429681,
  [SMALL_STATE(8856)] = 429758,
  [SMALL_STATE(8857)] = 429803,
  [SMALL_STATE(8858)] = 429880,
  [SMALL_STATE(8859)] = 429957,
  [SMALL_STATE(8860)] = 430034,
  [SMALL_STATE(8861)] = 430111,
  [SMALL_STATE(8862)] = 430188,
  [SMALL_STATE(8863)] = 430231,
  [SMALL_STATE(8864)] = 430308,
  [SMALL_STATE(8865)] = 430385,
  [SMALL_STATE(8866)] = 430430,
  [SMALL_STATE(8867)] = 430507,
  [SMALL_STATE(8868)] = 430584,
  [SMALL_STATE(8869)] = 430661,
  [SMALL_STATE(8870)] = 430732,
  [SMALL_STATE(8871)] = 430809,
  [SMALL_STATE(8872)] = 430886,
  [SMALL_STATE(8873)] = 430957,
  [SMALL_STATE(8874)] = 431034,
  [SMALL_STATE(8875)] = 431077,
  [SMALL_STATE(8876)] = 431154,
  [SMALL_STATE(8877)] = 431231,
  [SMALL_STATE(8878)] = 431308,
  [SMALL_STATE(8879)] = 431361,
  [SMALL_STATE(8880)] = 431408,
  [SMALL_STATE(8881)] = 431485,
  [SMALL_STATE(8882)] = 431562,
  [SMALL_STATE(8883)] = 431639,
  [SMALL_STATE(8884)] = 431716,
  [SMALL_STATE(8885)] = 431793,
  [SMALL_STATE(8886)] = 431870,
  [SMALL_STATE(8887)] = 431947,
  [SMALL_STATE(8888)] = 432024,
  [SMALL_STATE(8889)] = 432095,
  [SMALL_STATE(8890)] = 432172,
  [SMALL_STATE(8891)] = 432249,
  [SMALL_STATE(8892)] = 432308,
  [SMALL_STATE(8893)] = 432353,
  [SMALL_STATE(8894)] = 432396,
  [SMALL_STATE(8895)] = 432455,
  [SMALL_STATE(8896)] = 432498,
  [SMALL_STATE(8897)] = 432541,
  [SMALL_STATE(8898)] = 432612,
  [SMALL_STATE(8899)] = 432683,
  [SMALL_STATE(8900)] = 432740,
  [SMALL_STATE(8901)] = 432812,
  [SMALL_STATE(8902)] = 432884,
  [SMALL_STATE(8903)] = 432956,
  [SMALL_STATE(8904)] = 433028,
  [SMALL_STATE(8905)] = 433076,
  [SMALL_STATE(8906)] = 433148,
  [SMALL_STATE(8907)] = 433220,
  [SMALL_STATE(8908)] = 433292,
  [SMALL_STATE(8909)] = 433334,
  [SMALL_STATE(8910)] = 433376,
  [SMALL_STATE(8911)] = 433418,
  [SMALL_STATE(8912)] = 433460,
  [SMALL_STATE(8913)] = 433532,
  [SMALL_STATE(8914)] = 433604,
  [SMALL_STATE(8915)] = 433646,
  [SMALL_STATE(8916)] = 433704,
  [SMALL_STATE(8917)] = 433746,
  [SMALL_STATE(8918)] = 433788,
  [SMALL_STATE(8919)] = 433830,
  [SMALL_STATE(8920)] = 433872,
  [SMALL_STATE(8921)] = 433914,
  [SMALL_STATE(8922)] = 433972,
  [SMALL_STATE(8923)] = 434014,
  [SMALL_STATE(8924)] = 434056,
  [SMALL_STATE(8925)] = 434128,
  [SMALL_STATE(8926)] = 434200,
  [SMALL_STATE(8927)] = 434272,
  [SMALL_STATE(8928)] = 434314,
  [SMALL_STATE(8929)] = 434386,
  [SMALL_STATE(8930)] = 434428,
  [SMALL_STATE(8931)] = 434500,
  [SMALL_STATE(8932)] = 434542,
  [SMALL_STATE(8933)] = 434614,
  [SMALL_STATE(8934)] = 434656,
  [SMALL_STATE(8935)] = 434698,
  [SMALL_STATE(8936)] = 434740,
  [SMALL_STATE(8937)] = 434782,
  [SMALL_STATE(8938)] = 434824,
  [SMALL_STATE(8939)] = 434866,
  [SMALL_STATE(8940)] = 434908,
  [SMALL_STATE(8941)] = 434980,
  [SMALL_STATE(8942)] = 435024,
  [SMALL_STATE(8943)] = 435096,
  [SMALL_STATE(8944)] = 435168,
  [SMALL_STATE(8945)] = 435210,
  [SMALL_STATE(8946)] = 435252,
  [SMALL_STATE(8947)] = 435294,
  [SMALL_STATE(8948)] = 435366,
  [SMALL_STATE(8949)] = 435408,
  [SMALL_STATE(8950)] = 435480,
  [SMALL_STATE(8951)] = 435552,
  [SMALL_STATE(8952)] = 435624,
  [SMALL_STATE(8953)] = 435696,
  [SMALL_STATE(8954)] = 435768,
  [SMALL_STATE(8955)] = 435826,
  [SMALL_STATE(8956)] = 435868,
  [SMALL_STATE(8957)] = 435936,
  [SMALL_STATE(8958)] = 435978,
  [SMALL_STATE(8959)] = 436020,
  [SMALL_STATE(8960)] = 436092,
  [SMALL_STATE(8961)] = 436134,
  [SMALL_STATE(8962)] = 436176,
  [SMALL_STATE(8963)] = 436228,
  [SMALL_STATE(8964)] = 436270,
  [SMALL_STATE(8965)] = 436322,
  [SMALL_STATE(8966)] = 436394,
  [SMALL_STATE(8967)] = 436446,
  [SMALL_STATE(8968)] = 436488,
  [SMALL_STATE(8969)] = 436560,
  [SMALL_STATE(8970)] = 436632,
  [SMALL_STATE(8971)] = 436704,
  [SMALL_STATE(8972)] = 436746,
  [SMALL_STATE(8973)] = 436818,
  [SMALL_STATE(8974)] = 436860,
  [SMALL_STATE(8975)] = 436932,
  [SMALL_STATE(8976)] = 436974,
  [SMALL_STATE(8977)] = 437046,
  [SMALL_STATE(8978)] = 437088,
  [SMALL_STATE(8979)] = 437130,
  [SMALL_STATE(8980)] = 437202,
  [SMALL_STATE(8981)] = 437274,
  [SMALL_STATE(8982)] = 437346,
  [SMALL_STATE(8983)] = 437418,
  [SMALL_STATE(8984)] = 437460,
  [SMALL_STATE(8985)] = 437502,
  [SMALL_STATE(8986)] = 437574,
  [SMALL_STATE(8987)] = 437646,
  [SMALL_STATE(8988)] = 437704,
  [SMALL_STATE(8989)] = 437776,
  [SMALL_STATE(8990)] = 437818,
  [SMALL_STATE(8991)] = 437890,
  [SMALL_STATE(8992)] = 437932,
  [SMALL_STATE(8993)] = 438004,
  [SMALL_STATE(8994)] = 438062,
  [SMALL_STATE(8995)] = 438104,
  [SMALL_STATE(8996)] = 438176,
  [SMALL_STATE(8997)] = 438218,
  [SMALL_STATE(8998)] = 438290,
  [SMALL_STATE(8999)] = 438332,
  [SMALL_STATE(9000)] = 438374,
  [SMALL_STATE(9001)] = 438446,
  [SMALL_STATE(9002)] = 438488,
  [SMALL_STATE(9003)] = 438560,
  [SMALL_STATE(9004)] = 438602,
  [SMALL_STATE(9005)] = 438674,
  [SMALL_STATE(9006)] = 438716,
  [SMALL_STATE(9007)] = 438788,
  [SMALL_STATE(9008)] = 438860,
  [SMALL_STATE(9009)] = 438932,
  [SMALL_STATE(9010)] = 438974,
  [SMALL_STATE(9011)] = 439016,
  [SMALL_STATE(9012)] = 439058,
  [SMALL_STATE(9013)] = 439100,
  [SMALL_STATE(9014)] = 439172,
  [SMALL_STATE(9015)] = 439244,
  [SMALL_STATE(9016)] = 439316,
  [SMALL_STATE(9017)] = 439388,
  [SMALL_STATE(9018)] = 439430,
  [SMALL_STATE(9019)] = 439502,
  [SMALL_STATE(9020)] = 439574,
  [SMALL_STATE(9021)] = 439646,
  [SMALL_STATE(9022)] = 439688,
  [SMALL_STATE(9023)] = 439760,
  [SMALL_STATE(9024)] = 439832,
  [SMALL_STATE(9025)] = 439904,
  [SMALL_STATE(9026)] = 439976,
  [SMALL_STATE(9027)] = 440048,
  [SMALL_STATE(9028)] = 440100,
  [SMALL_STATE(9029)] = 440142,
  [SMALL_STATE(9030)] = 440184,
  [SMALL_STATE(9031)] = 440226,
  [SMALL_STATE(9032)] = 440270,
  [SMALL_STATE(9033)] = 440338,
  [SMALL_STATE(9034)] = 440380,
  [SMALL_STATE(9035)] = 440452,
  [SMALL_STATE(9036)] = 440494,
  [SMALL_STATE(9037)] = 440566,
  [SMALL_STATE(9038)] = 440624,
  [SMALL_STATE(9039)] = 440682,
  [SMALL_STATE(9040)] = 440734,
  [SMALL_STATE(9041)] = 440806,
  [SMALL_STATE(9042)] = 440848,
  [SMALL_STATE(9043)] = 440920,
  [SMALL_STATE(9044)] = 440992,
  [SMALL_STATE(9045)] = 441064,
  [SMALL_STATE(9046)] = 441136,
  [SMALL_STATE(9047)] = 441180,
  [SMALL_STATE(9048)] = 441252,
  [SMALL_STATE(9049)] = 441294,
  [SMALL_STATE(9050)] = 441336,
  [SMALL_STATE(9051)] = 441408,
  [SMALL_STATE(9052)] = 441450,
  [SMALL_STATE(9053)] = 441522,
  [SMALL_STATE(9054)] = 441594,
  [SMALL_STATE(9055)] = 441636,
  [SMALL_STATE(9056)] = 441678,
  [SMALL_STATE(9057)] = 441750,
  [SMALL_STATE(9058)] = 441792,
  [SMALL_STATE(9059)] = 441834,
  [SMALL_STATE(9060)] = 441876,
  [SMALL_STATE(9061)] = 441948,
  [SMALL_STATE(9062)] = 441990,
  [SMALL_STATE(9063)] = 442058,
  [SMALL_STATE(9064)] = 442130,
  [SMALL_STATE(9065)] = 442202,
  [SMALL_STATE(9066)] = 442254,
  [SMALL_STATE(9067)] = 442310,
  [SMALL_STATE(9068)] = 442382,
  [SMALL_STATE(9069)] = 442440,
  [SMALL_STATE(9070)] = 442498,
  [SMALL_STATE(9071)] = 442570,
  [SMALL_STATE(9072)] = 442612,
  [SMALL_STATE(9073)] = 442654,
  [SMALL_STATE(9074)] = 442726,
  [SMALL_STATE(9075)] = 442798,
  [SMALL_STATE(9076)] = 442840,
  [SMALL_STATE(9077)] = 442882,
  [SMALL_STATE(9078)] = 442924,
  [SMALL_STATE(9079)] = 442966,
  [SMALL_STATE(9080)] = 443038,
  [SMALL_STATE(9081)] = 443090,
  [SMALL_STATE(9082)] = 443162,
  [SMALL_STATE(9083)] = 443234,
  [SMALL_STATE(9084)] = 443276,
  [SMALL_STATE(9085)] = 443348,
  [SMALL_STATE(9086)] = 443420,
  [SMALL_STATE(9087)] = 443492,
  [SMALL_STATE(9088)] = 443534,
  [SMALL_STATE(9089)] = 443606,
  [SMALL_STATE(9090)] = 443648,
  [SMALL_STATE(9091)] = 443720,
  [SMALL_STATE(9092)] = 443762,
  [SMALL_STATE(9093)] = 443834,
  [SMALL_STATE(9094)] = 443906,
  [SMALL_STATE(9095)] = 443978,
  [SMALL_STATE(9096)] = 444050,
  [SMALL_STATE(9097)] = 444092,
  [SMALL_STATE(9098)] = 444164,
  [SMALL_STATE(9099)] = 444236,
  [SMALL_STATE(9100)] = 444284,
  [SMALL_STATE(9101)] = 444356,
  [SMALL_STATE(9102)] = 444398,
  [SMALL_STATE(9103)] = 444470,
  [SMALL_STATE(9104)] = 444512,
  [SMALL_STATE(9105)] = 444554,
  [SMALL_STATE(9106)] = 444596,
  [SMALL_STATE(9107)] = 444668,
  [SMALL_STATE(9108)] = 444710,
  [SMALL_STATE(9109)] = 444782,
  [SMALL_STATE(9110)] = 444824,
  [SMALL_STATE(9111)] = 444896,
  [SMALL_STATE(9112)] = 444968,
  [SMALL_STATE(9113)] = 445010,
  [SMALL_STATE(9114)] = 445082,
  [SMALL_STATE(9115)] = 445124,
  [SMALL_STATE(9116)] = 445182,
  [SMALL_STATE(9117)] = 445240,
  [SMALL_STATE(9118)] = 445312,
  [SMALL_STATE(9119)] = 445384,
  [SMALL_STATE(9120)] = 445456,
  [SMALL_STATE(9121)] = 445498,
  [SMALL_STATE(9122)] = 445556,
  [SMALL_STATE(9123)] = 445628,
  [SMALL_STATE(9124)] = 445700,
  [SMALL_STATE(9125)] = 445772,
  [SMALL_STATE(9126)] = 445814,
  [SMALL_STATE(9127)] = 445856,
  [SMALL_STATE(9128)] = 445898,
  [SMALL_STATE(9129)] = 445940,
  [SMALL_STATE(9130)] = 446012,
  [SMALL_STATE(9131)] = 446068,
  [SMALL_STATE(9132)] = 446110,
  [SMALL_STATE(9133)] = 446182,
  [SMALL_STATE(9134)] = 446254,
  [SMALL_STATE(9135)] = 446296,
  [SMALL_STATE(9136)] = 446338,
  [SMALL_STATE(9137)] = 446380,
  [SMALL_STATE(9138)] = 446452,
  [SMALL_STATE(9139)] = 446494,
  [SMALL_STATE(9140)] = 446536,
  [SMALL_STATE(9141)] = 446578,
  [SMALL_STATE(9142)] = 446650,
  [SMALL_STATE(9143)] = 446722,
  [SMALL_STATE(9144)] = 446794,
  [SMALL_STATE(9145)] = 446866,
  [SMALL_STATE(9146)] = 446938,
  [SMALL_STATE(9147)] = 447010,
  [SMALL_STATE(9148)] = 447082,
  [SMALL_STATE(9149)] = 447134,
  [SMALL_STATE(9150)] = 447206,
  [SMALL_STATE(9151)] = 447278,
  [SMALL_STATE(9152)] = 447320,
  [SMALL_STATE(9153)] = 447362,
  [SMALL_STATE(9154)] = 447434,
  [SMALL_STATE(9155)] = 447506,
  [SMALL_STATE(9156)] = 447548,
  [SMALL_STATE(9157)] = 447620,
  [SMALL_STATE(9158)] = 447692,
  [SMALL_STATE(9159)] = 447764,
  [SMALL_STATE(9160)] = 447836,
  [SMALL_STATE(9161)] = 447908,
  [SMALL_STATE(9162)] = 447980,
  [SMALL_STATE(9163)] = 448052,
  [SMALL_STATE(9164)] = 448124,
  [SMALL_STATE(9165)] = 448166,
  [SMALL_STATE(9166)] = 448208,
  [SMALL_STATE(9167)] = 448280,
  [SMALL_STATE(9168)] = 448322,
  [SMALL_STATE(9169)] = 448364,
  [SMALL_STATE(9170)] = 448436,
  [SMALL_STATE(9171)] = 448478,
  [SMALL_STATE(9172)] = 448550,
  [SMALL_STATE(9173)] = 448592,
  [SMALL_STATE(9174)] = 448634,
  [SMALL_STATE(9175)] = 448676,
  [SMALL_STATE(9176)] = 448718,
  [SMALL_STATE(9177)] = 448760,
  [SMALL_STATE(9178)] = 448832,
  [SMALL_STATE(9179)] = 448874,
  [SMALL_STATE(9180)] = 448920,
  [SMALL_STATE(9181)] = 448992,
  [SMALL_STATE(9182)] = 449034,
  [SMALL_STATE(9183)] = 449106,
  [SMALL_STATE(9184)] = 449148,
  [SMALL_STATE(9185)] = 449190,
  [SMALL_STATE(9186)] = 449232,
  [SMALL_STATE(9187)] = 449304,
  [SMALL_STATE(9188)] = 449346,
  [SMALL_STATE(9189)] = 449388,
  [SMALL_STATE(9190)] = 449432,
  [SMALL_STATE(9191)] = 449504,
  [SMALL_STATE(9192)] = 449576,
  [SMALL_STATE(9193)] = 449618,
  [SMALL_STATE(9194)] = 449690,
  [SMALL_STATE(9195)] = 449732,
  [SMALL_STATE(9196)] = 449776,
  [SMALL_STATE(9197)] = 449818,
  [SMALL_STATE(9198)] = 449860,
  [SMALL_STATE(9199)] = 449902,
  [SMALL_STATE(9200)] = 449944,
  [SMALL_STATE(9201)] = 449986,
  [SMALL_STATE(9202)] = 450028,
  [SMALL_STATE(9203)] = 450100,
  [SMALL_STATE(9204)] = 450142,
  [SMALL_STATE(9205)] = 450184,
  [SMALL_STATE(9206)] = 450226,
  [SMALL_STATE(9207)] = 450268,
  [SMALL_STATE(9208)] = 450310,
  [SMALL_STATE(9209)] = 450352,
  [SMALL_STATE(9210)] = 450394,
  [SMALL_STATE(9211)] = 450436,
  [SMALL_STATE(9212)] = 450478,
  [SMALL_STATE(9213)] = 450520,
  [SMALL_STATE(9214)] = 450592,
  [SMALL_STATE(9215)] = 450664,
  [SMALL_STATE(9216)] = 450706,
  [SMALL_STATE(9217)] = 450748,
  [SMALL_STATE(9218)] = 450790,
  [SMALL_STATE(9219)] = 450838,
  [SMALL_STATE(9220)] = 450886,
  [SMALL_STATE(9221)] = 450934,
  [SMALL_STATE(9222)] = 450982,
  [SMALL_STATE(9223)] = 451054,
  [SMALL_STATE(9224)] = 451110,
  [SMALL_STATE(9225)] = 451155,
  [SMALL_STATE(9226)] = 451196,
  [SMALL_STATE(9227)] = 451241,
  [SMALL_STATE(9228)] = 451298,
  [SMALL_STATE(9229)] = 451367,
  [SMALL_STATE(9230)] = 451408,
  [SMALL_STATE(9231)] = 451449,
  [SMALL_STATE(9232)] = 451512,
  [SMALL_STATE(9233)] = 451553,
  [SMALL_STATE(9234)] = 451594,
  [SMALL_STATE(9235)] = 451635,
  [SMALL_STATE(9236)] = 451676,
  [SMALL_STATE(9237)] = 451717,
  [SMALL_STATE(9238)] = 451758,
  [SMALL_STATE(9239)] = 451799,
  [SMALL_STATE(9240)] = 451840,
  [SMALL_STATE(9241)] = 451885,
  [SMALL_STATE(9242)] = 451940,
  [SMALL_STATE(9243)] = 451991,
  [SMALL_STATE(9244)] = 452050,
  [SMALL_STATE(9245)] = 452091,
  [SMALL_STATE(9246)] = 452160,
  [SMALL_STATE(9247)] = 452201,
  [SMALL_STATE(9248)] = 452242,
  [SMALL_STATE(9249)] = 452283,
  [SMALL_STATE(9250)] = 452324,
  [SMALL_STATE(9251)] = 452381,
  [SMALL_STATE(9252)] = 452422,
  [SMALL_STATE(9253)] = 452463,
  [SMALL_STATE(9254)] = 452504,
  [SMALL_STATE(9255)] = 452547,
  [SMALL_STATE(9256)] = 452604,
  [SMALL_STATE(9257)] = 452645,
  [SMALL_STATE(9258)] = 452686,
  [SMALL_STATE(9259)] = 452727,
  [SMALL_STATE(9260)] = 452768,
  [SMALL_STATE(9261)] = 452809,
  [SMALL_STATE(9262)] = 452850,
  [SMALL_STATE(9263)] = 452891,
  [SMALL_STATE(9264)] = 452932,
  [SMALL_STATE(9265)] = 452973,
  [SMALL_STATE(9266)] = 453014,
  [SMALL_STATE(9267)] = 453055,
  [SMALL_STATE(9268)] = 453112,
  [SMALL_STATE(9269)] = 453153,
  [SMALL_STATE(9270)] = 453194,
  [SMALL_STATE(9271)] = 453235,
  [SMALL_STATE(9272)] = 453276,
  [SMALL_STATE(9273)] = 453317,
  [SMALL_STATE(9274)] = 453358,
  [SMALL_STATE(9275)] = 453399,
  [SMALL_STATE(9276)] = 453440,
  [SMALL_STATE(9277)] = 453481,
  [SMALL_STATE(9278)] = 453550,
  [SMALL_STATE(9279)] = 453591,
  [SMALL_STATE(9280)] = 453652,
  [SMALL_STATE(9281)] = 453721,
  [SMALL_STATE(9282)] = 453762,
  [SMALL_STATE(9283)] = 453803,
  [SMALL_STATE(9284)] = 453864,
  [SMALL_STATE(9285)] = 453905,
  [SMALL_STATE(9286)] = 453946,
  [SMALL_STATE(9287)] = 453987,
  [SMALL_STATE(9288)] = 454046,
  [SMALL_STATE(9289)] = 454087,
  [SMALL_STATE(9290)] = 454128,
  [SMALL_STATE(9291)] = 454169,
  [SMALL_STATE(9292)] = 454210,
  [SMALL_STATE(9293)] = 454251,
  [SMALL_STATE(9294)] = 454308,
  [SMALL_STATE(9295)] = 454349,
  [SMALL_STATE(9296)] = 454390,
  [SMALL_STATE(9297)] = 454431,
  [SMALL_STATE(9298)] = 454488,
  [SMALL_STATE(9299)] = 454529,
  [SMALL_STATE(9300)] = 454570,
  [SMALL_STATE(9301)] = 454611,
  [SMALL_STATE(9302)] = 454652,
  [SMALL_STATE(9303)] = 454697,
  [SMALL_STATE(9304)] = 454738,
  [SMALL_STATE(9305)] = 454795,
  [SMALL_STATE(9306)] = 454858,
  [SMALL_STATE(9307)] = 454899,
  [SMALL_STATE(9308)] = 454940,
  [SMALL_STATE(9309)] = 454981,
  [SMALL_STATE(9310)] = 455038,
  [SMALL_STATE(9311)] = 455095,
  [SMALL_STATE(9312)] = 455136,
  [SMALL_STATE(9313)] = 455181,
  [SMALL_STATE(9314)] = 455226,
  [SMALL_STATE(9315)] = 455269,
  [SMALL_STATE(9316)] = 455310,
  [SMALL_STATE(9317)] = 455371,
  [SMALL_STATE(9318)] = 455416,
  [SMALL_STATE(9319)] = 455459,
  [SMALL_STATE(9320)] = 455530,
  [SMALL_STATE(9321)] = 455571,
  [SMALL_STATE(9322)] = 455640,
  [SMALL_STATE(9323)] = 455691,
  [SMALL_STATE(9324)] = 455732,
  [SMALL_STATE(9325)] = 455801,
  [SMALL_STATE(9326)] = 455844,
  [SMALL_STATE(9327)] = 455885,
  [SMALL_STATE(9328)] = 455926,
  [SMALL_STATE(9329)] = 455983,
  [SMALL_STATE(9330)] = 456048,
  [SMALL_STATE(9331)] = 456089,
  [SMALL_STATE(9332)] = 456146,
  [SMALL_STATE(9333)] = 456187,
  [SMALL_STATE(9334)] = 456228,
  [SMALL_STATE(9335)] = 456269,
  [SMALL_STATE(9336)] = 456310,
  [SMALL_STATE(9337)] = 456351,
  [SMALL_STATE(9338)] = 456392,
  [SMALL_STATE(9339)] = 456435,
  [SMALL_STATE(9340)] = 456478,
  [SMALL_STATE(9341)] = 456519,
  [SMALL_STATE(9342)] = 456588,
  [SMALL_STATE(9343)] = 456629,
  [SMALL_STATE(9344)] = 456670,
  [SMALL_STATE(9345)] = 456711,
  [SMALL_STATE(9346)] = 456756,
  [SMALL_STATE(9347)] = 456797,
  [SMALL_STATE(9348)] = 456854,
  [SMALL_STATE(9349)] = 456895,
  [SMALL_STATE(9350)] = 456936,
  [SMALL_STATE(9351)] = 456977,
  [SMALL_STATE(9352)] = 457018,
  [SMALL_STATE(9353)] = 457059,
  [SMALL_STATE(9354)] = 457100,
  [SMALL_STATE(9355)] = 457141,
  [SMALL_STATE(9356)] = 457182,
  [SMALL_STATE(9357)] = 457237,
  [SMALL_STATE(9358)] = 457280,
  [SMALL_STATE(9359)] = 457321,
  [SMALL_STATE(9360)] = 457390,
  [SMALL_STATE(9361)] = 457449,
  [SMALL_STATE(9362)] = 457490,
  [SMALL_STATE(9363)] = 457531,
  [SMALL_STATE(9364)] = 457572,
  [SMALL_STATE(9365)] = 457617,
  [SMALL_STATE(9366)] = 457658,
  [SMALL_STATE(9367)] = 457709,
  [SMALL_STATE(9368)] = 457778,
  [SMALL_STATE(9369)] = 457823,
  [SMALL_STATE(9370)] = 457864,
  [SMALL_STATE(9371)] = 457905,
  [SMALL_STATE(9372)] = 457946,
  [SMALL_STATE(9373)] = 458003,
  [SMALL_STATE(9374)] = 458044,
  [SMALL_STATE(9375)] = 458101,
  [SMALL_STATE(9376)] = 458142,
  [SMALL_STATE(9377)] = 458211,
  [SMALL_STATE(9378)] = 458252,
  [SMALL_STATE(9379)] = 458293,
  [SMALL_STATE(9380)] = 458344,
  [SMALL_STATE(9381)] = 458385,
  [SMALL_STATE(9382)] = 458426,
  [SMALL_STATE(9383)] = 458483,
  [SMALL_STATE(9384)] = 458540,
  [SMALL_STATE(9385)] = 458585,
  [SMALL_STATE(9386)] = 458626,
  [SMALL_STATE(9387)] = 458679,
  [SMALL_STATE(9388)] = 458720,
  [SMALL_STATE(9389)] = 458777,
  [SMALL_STATE(9390)] = 458818,
  [SMALL_STATE(9391)] = 458871,
  [SMALL_STATE(9392)] = 458928,
  [SMALL_STATE(9393)] = 458969,
  [SMALL_STATE(9394)] = 459010,
  [SMALL_STATE(9395)] = 459051,
  [SMALL_STATE(9396)] = 459108,
  [SMALL_STATE(9397)] = 459169,
  [SMALL_STATE(9398)] = 459228,
  [SMALL_STATE(9399)] = 459291,
  [SMALL_STATE(9400)] = 459332,
  [SMALL_STATE(9401)] = 459379,
  [SMALL_STATE(9402)] = 459442,
  [SMALL_STATE(9403)] = 459483,
  [SMALL_STATE(9404)] = 459524,
  [SMALL_STATE(9405)] = 459565,
  [SMALL_STATE(9406)] = 459624,
  [SMALL_STATE(9407)] = 459683,
  [SMALL_STATE(9408)] = 459724,
  [SMALL_STATE(9409)] = 459782,
  [SMALL_STATE(9410)] = 459850,
  [SMALL_STATE(9411)] = 459918,
  [SMALL_STATE(9412)] = 459986,
  [SMALL_STATE(9413)] = 460054,
  [SMALL_STATE(9414)] = 460100,
  [SMALL_STATE(9415)] = 460146,
  [SMALL_STATE(9416)] = 460214,
  [SMALL_STATE(9417)] = 460282,
  [SMALL_STATE(9418)] = 460350,
  [SMALL_STATE(9419)] = 460418,
  [SMALL_STATE(9420)] = 460458,
  [SMALL_STATE(9421)] = 460526,
  [SMALL_STATE(9422)] = 460582,
  [SMALL_STATE(9423)] = 460638,
  [SMALL_STATE(9424)] = 460706,
  [SMALL_STATE(9425)] = 460774,
  [SMALL_STATE(9426)] = 460842,
  [SMALL_STATE(9427)] = 460910,
  [SMALL_STATE(9428)] = 460978,
  [SMALL_STATE(9429)] = 461046,
  [SMALL_STATE(9430)] = 461114,
  [SMALL_STATE(9431)] = 461182,
  [SMALL_STATE(9432)] = 461222,
  [SMALL_STATE(9433)] = 461262,
  [SMALL_STATE(9434)] = 461330,
  [SMALL_STATE(9435)] = 461386,
  [SMALL_STATE(9436)] = 461442,
  [SMALL_STATE(9437)] = 461482,
  [SMALL_STATE(9438)] = 461538,
  [SMALL_STATE(9439)] = 461578,
  [SMALL_STATE(9440)] = 461618,
  [SMALL_STATE(9441)] = 461658,
  [SMALL_STATE(9442)] = 461698,
  [SMALL_STATE(9443)] = 461738,
  [SMALL_STATE(9444)] = 461780,
  [SMALL_STATE(9445)] = 461820,
  [SMALL_STATE(9446)] = 461864,
  [SMALL_STATE(9447)] = 461904,
  [SMALL_STATE(9448)] = 461960,
  [SMALL_STATE(9449)] = 462000,
  [SMALL_STATE(9450)] = 462040,
  [SMALL_STATE(9451)] = 462080,
  [SMALL_STATE(9452)] = 462120,
  [SMALL_STATE(9453)] = 462160,
  [SMALL_STATE(9454)] = 462202,
  [SMALL_STATE(9455)] = 462242,
  [SMALL_STATE(9456)] = 462310,
  [SMALL_STATE(9457)] = 462350,
  [SMALL_STATE(9458)] = 462390,
  [SMALL_STATE(9459)] = 462430,
  [SMALL_STATE(9460)] = 462470,
  [SMALL_STATE(9461)] = 462510,
  [SMALL_STATE(9462)] = 462552,
  [SMALL_STATE(9463)] = 462592,
  [SMALL_STATE(9464)] = 462632,
  [SMALL_STATE(9465)] = 462672,
  [SMALL_STATE(9466)] = 462712,
  [SMALL_STATE(9467)] = 462752,
  [SMALL_STATE(9468)] = 462792,
  [SMALL_STATE(9469)] = 462832,
  [SMALL_STATE(9470)] = 462872,
  [SMALL_STATE(9471)] = 462912,
  [SMALL_STATE(9472)] = 462952,
  [SMALL_STATE(9473)] = 462992,
  [SMALL_STATE(9474)] = 463032,
  [SMALL_STATE(9475)] = 463072,
  [SMALL_STATE(9476)] = 463112,
  [SMALL_STATE(9477)] = 463180,
  [SMALL_STATE(9478)] = 463220,
  [SMALL_STATE(9479)] = 463260,
  [SMALL_STATE(9480)] = 463300,
  [SMALL_STATE(9481)] = 463340,
  [SMALL_STATE(9482)] = 463380,
  [SMALL_STATE(9483)] = 463420,
  [SMALL_STATE(9484)] = 463460,
  [SMALL_STATE(9485)] = 463502,
  [SMALL_STATE(9486)] = 463542,
  [SMALL_STATE(9487)] = 463582,
  [SMALL_STATE(9488)] = 463640,
  [SMALL_STATE(9489)] = 463690,
  [SMALL_STATE(9490)] = 463754,
  [SMALL_STATE(9491)] = 463798,
  [SMALL_STATE(9492)] = 463842,
  [SMALL_STATE(9493)] = 463894,
  [SMALL_STATE(9494)] = 463946,
  [SMALL_STATE(9495)] = 464002,
  [SMALL_STATE(9496)] = 464060,
  [SMALL_STATE(9497)] = 464122,
  [SMALL_STATE(9498)] = 464168,
  [SMALL_STATE(9499)] = 464230,
  [SMALL_STATE(9500)] = 464292,
  [SMALL_STATE(9501)] = 464350,
  [SMALL_STATE(9502)] = 464390,
  [SMALL_STATE(9503)] = 464458,
  [SMALL_STATE(9504)] = 464526,
  [SMALL_STATE(9505)] = 464566,
  [SMALL_STATE(9506)] = 464606,
  [SMALL_STATE(9507)] = 464646,
  [SMALL_STATE(9508)] = 464714,
  [SMALL_STATE(9509)] = 464754,
  [SMALL_STATE(9510)] = 464794,
  [SMALL_STATE(9511)] = 464834,
  [SMALL_STATE(9512)] = 464884,
  [SMALL_STATE(9513)] = 464952,
  [SMALL_STATE(9514)] = 464992,
  [SMALL_STATE(9515)] = 465032,
  [SMALL_STATE(9516)] = 465072,
  [SMALL_STATE(9517)] = 465112,
  [SMALL_STATE(9518)] = 465152,
  [SMALL_STATE(9519)] = 465192,
  [SMALL_STATE(9520)] = 465232,
  [SMALL_STATE(9521)] = 465272,
  [SMALL_STATE(9522)] = 465322,
  [SMALL_STATE(9523)] = 465362,
  [SMALL_STATE(9524)] = 465402,
  [SMALL_STATE(9525)] = 465448,
  [SMALL_STATE(9526)] = 465488,
  [SMALL_STATE(9527)] = 465528,
  [SMALL_STATE(9528)] = 465572,
  [SMALL_STATE(9529)] = 465618,
  [SMALL_STATE(9530)] = 465674,
  [SMALL_STATE(9531)] = 465742,
  [SMALL_STATE(9532)] = 465784,
  [SMALL_STATE(9533)] = 465834,
  [SMALL_STATE(9534)] = 465874,
  [SMALL_STATE(9535)] = 465930,
  [SMALL_STATE(9536)] = 465986,
  [SMALL_STATE(9537)] = 466054,
  [SMALL_STATE(9538)] = 466110,
  [SMALL_STATE(9539)] = 466150,
  [SMALL_STATE(9540)] = 466218,
  [SMALL_STATE(9541)] = 466258,
  [SMALL_STATE(9542)] = 466298,
  [SMALL_STATE(9543)] = 466338,
  [SMALL_STATE(9544)] = 466406,
  [SMALL_STATE(9545)] = 466446,
  [SMALL_STATE(9546)] = 466486,
  [SMALL_STATE(9547)] = 466532,
  [SMALL_STATE(9548)] = 466578,
  [SMALL_STATE(9549)] = 466624,
  [SMALL_STATE(9550)] = 466692,
  [SMALL_STATE(9551)] = 466760,
  [SMALL_STATE(9552)] = 466828,
  [SMALL_STATE(9553)] = 466884,
  [SMALL_STATE(9554)] = 466952,
  [SMALL_STATE(9555)] = 467020,
  [SMALL_STATE(9556)] = 467088,
  [SMALL_STATE(9557)] = 467156,
  [SMALL_STATE(9558)] = 467196,
  [SMALL_STATE(9559)] = 467236,
  [SMALL_STATE(9560)] = 467276,
  [SMALL_STATE(9561)] = 467316,
  [SMALL_STATE(9562)] = 467356,
  [SMALL_STATE(9563)] = 467424,
  [SMALL_STATE(9564)] = 467492,
  [SMALL_STATE(9565)] = 467560,
  [SMALL_STATE(9566)] = 467628,
  [SMALL_STATE(9567)] = 467696,
  [SMALL_STATE(9568)] = 467764,
  [SMALL_STATE(9569)] = 467832,
  [SMALL_STATE(9570)] = 467900,
  [SMALL_STATE(9571)] = 467952,
  [SMALL_STATE(9572)] = 468016,
  [SMALL_STATE(9573)] = 468084,
  [SMALL_STATE(9574)] = 468124,
  [SMALL_STATE(9575)] = 468164,
  [SMALL_STATE(9576)] = 468204,
  [SMALL_STATE(9577)] = 468244,
  [SMALL_STATE(9578)] = 468284,
  [SMALL_STATE(9579)] = 468352,
  [SMALL_STATE(9580)] = 468392,
  [SMALL_STATE(9581)] = 468432,
  [SMALL_STATE(9582)] = 468478,
  [SMALL_STATE(9583)] = 468534,
  [SMALL_STATE(9584)] = 468602,
  [SMALL_STATE(9585)] = 468642,
  [SMALL_STATE(9586)] = 468682,
  [SMALL_STATE(9587)] = 468750,
  [SMALL_STATE(9588)] = 468790,
  [SMALL_STATE(9589)] = 468844,
  [SMALL_STATE(9590)] = 468912,
  [SMALL_STATE(9591)] = 468980,
  [SMALL_STATE(9592)] = 469020,
  [SMALL_STATE(9593)] = 469066,
  [SMALL_STATE(9594)] = 469106,
  [SMALL_STATE(9595)] = 469146,
  [SMALL_STATE(9596)] = 469186,
  [SMALL_STATE(9597)] = 469254,
  [SMALL_STATE(9598)] = 469294,
  [SMALL_STATE(9599)] = 469334,
  [SMALL_STATE(9600)] = 469374,
  [SMALL_STATE(9601)] = 469414,
  [SMALL_STATE(9602)] = 469454,
  [SMALL_STATE(9603)] = 469494,
  [SMALL_STATE(9604)] = 469562,
  [SMALL_STATE(9605)] = 469630,
  [SMALL_STATE(9606)] = 469698,
  [SMALL_STATE(9607)] = 469764,
  [SMALL_STATE(9608)] = 469832,
  [SMALL_STATE(9609)] = 469900,
  [SMALL_STATE(9610)] = 469968,
  [SMALL_STATE(9611)] = 470014,
  [SMALL_STATE(9612)] = 470082,
  [SMALL_STATE(9613)] = 470150,
  [SMALL_STATE(9614)] = 470190,
  [SMALL_STATE(9615)] = 470230,
  [SMALL_STATE(9616)] = 470270,
  [SMALL_STATE(9617)] = 470338,
  [SMALL_STATE(9618)] = 470406,
  [SMALL_STATE(9619)] = 470446,
  [SMALL_STATE(9620)] = 470486,
  [SMALL_STATE(9621)] = 470554,
  [SMALL_STATE(9622)] = 470594,
  [SMALL_STATE(9623)] = 470634,
  [SMALL_STATE(9624)] = 470680,
  [SMALL_STATE(9625)] = 470748,
  [SMALL_STATE(9626)] = 470816,
  [SMALL_STATE(9627)] = 470884,
  [SMALL_STATE(9628)] = 470928,
  [SMALL_STATE(9629)] = 470972,
  [SMALL_STATE(9630)] = 471016,
  [SMALL_STATE(9631)] = 471060,
  [SMALL_STATE(9632)] = 471102,
  [SMALL_STATE(9633)] = 471170,
  [SMALL_STATE(9634)] = 471238,
  [SMALL_STATE(9635)] = 471278,
  [SMALL_STATE(9636)] = 471318,
  [SMALL_STATE(9637)] = 471386,
  [SMALL_STATE(9638)] = 471426,
  [SMALL_STATE(9639)] = 471466,
  [SMALL_STATE(9640)] = 471534,
  [SMALL_STATE(9641)] = 471602,
  [SMALL_STATE(9642)] = 471642,
  [SMALL_STATE(9643)] = 471682,
  [SMALL_STATE(9644)] = 471722,
  [SMALL_STATE(9645)] = 471762,
  [SMALL_STATE(9646)] = 471802,
  [SMALL_STATE(9647)] = 471842,
  [SMALL_STATE(9648)] = 471882,
  [SMALL_STATE(9649)] = 471922,
  [SMALL_STATE(9650)] = 471962,
  [SMALL_STATE(9651)] = 472002,
  [SMALL_STATE(9652)] = 472042,
  [SMALL_STATE(9653)] = 472092,
  [SMALL_STATE(9654)] = 472132,
  [SMALL_STATE(9655)] = 472178,
  [SMALL_STATE(9656)] = 472218,
  [SMALL_STATE(9657)] = 472258,
  [SMALL_STATE(9658)] = 472298,
  [SMALL_STATE(9659)] = 472366,
  [SMALL_STATE(9660)] = 472416,
  [SMALL_STATE(9661)] = 472456,
  [SMALL_STATE(9662)] = 472496,
  [SMALL_STATE(9663)] = 472536,
  [SMALL_STATE(9664)] = 472604,
  [SMALL_STATE(9665)] = 472672,
  [SMALL_STATE(9666)] = 472712,
  [SMALL_STATE(9667)] = 472752,
  [SMALL_STATE(9668)] = 472792,
  [SMALL_STATE(9669)] = 472832,
  [SMALL_STATE(9670)] = 472872,
  [SMALL_STATE(9671)] = 472940,
  [SMALL_STATE(9672)] = 472994,
  [SMALL_STATE(9673)] = 473034,
  [SMALL_STATE(9674)] = 473074,
  [SMALL_STATE(9675)] = 473114,
  [SMALL_STATE(9676)] = 473154,
  [SMALL_STATE(9677)] = 473194,
  [SMALL_STATE(9678)] = 473262,
  [SMALL_STATE(9679)] = 473320,
  [SMALL_STATE(9680)] = 473370,
  [SMALL_STATE(9681)] = 473414,
  [SMALL_STATE(9682)] = 473458,
  [SMALL_STATE(9683)] = 473510,
  [SMALL_STATE(9684)] = 473562,
  [SMALL_STATE(9685)] = 473618,
  [SMALL_STATE(9686)] = 473676,
  [SMALL_STATE(9687)] = 473738,
  [SMALL_STATE(9688)] = 473784,
  [SMALL_STATE(9689)] = 473846,
  [SMALL_STATE(9690)] = 473886,
  [SMALL_STATE(9691)] = 473930,
  [SMALL_STATE(9692)] = 473992,
  [SMALL_STATE(9693)] = 474032,
  [SMALL_STATE(9694)] = 474100,
  [SMALL_STATE(9695)] = 474142,
  [SMALL_STATE(9696)] = 474182,
  [SMALL_STATE(9697)] = 474224,
  [SMALL_STATE(9698)] = 474264,
  [SMALL_STATE(9699)] = 474304,
  [SMALL_STATE(9700)] = 474344,
  [SMALL_STATE(9701)] = 474384,
  [SMALL_STATE(9702)] = 474424,
  [SMALL_STATE(9703)] = 474464,
  [SMALL_STATE(9704)] = 474504,
  [SMALL_STATE(9705)] = 474544,
  [SMALL_STATE(9706)] = 474612,
  [SMALL_STATE(9707)] = 474680,
  [SMALL_STATE(9708)] = 474748,
  [SMALL_STATE(9709)] = 474792,
  [SMALL_STATE(9710)] = 474854,
  [SMALL_STATE(9711)] = 474896,
  [SMALL_STATE(9712)] = 474936,
  [SMALL_STATE(9713)] = 474976,
  [SMALL_STATE(9714)] = 475016,
  [SMALL_STATE(9715)] = 475056,
  [SMALL_STATE(9716)] = 475096,
  [SMALL_STATE(9717)] = 475136,
  [SMALL_STATE(9718)] = 475176,
  [SMALL_STATE(9719)] = 475216,
  [SMALL_STATE(9720)] = 475284,
  [SMALL_STATE(9721)] = 475352,
  [SMALL_STATE(9722)] = 475408,
  [SMALL_STATE(9723)] = 475448,
  [SMALL_STATE(9724)] = 475488,
  [SMALL_STATE(9725)] = 475556,
  [SMALL_STATE(9726)] = 475608,
  [SMALL_STATE(9727)] = 475650,
  [SMALL_STATE(9728)] = 475704,
  [SMALL_STATE(9729)] = 475746,
  [SMALL_STATE(9730)] = 475802,
  [SMALL_STATE(9731)] = 475870,
  [SMALL_STATE(9732)] = 475938,
  [SMALL_STATE(9733)] = 475978,
  [SMALL_STATE(9734)] = 476046,
  [SMALL_STATE(9735)] = 476096,
  [SMALL_STATE(9736)] = 476164,
  [SMALL_STATE(9737)] = 476204,
  [SMALL_STATE(9738)] = 476244,
  [SMALL_STATE(9739)] = 476307,
  [SMALL_STATE(9740)] = 476370,
  [SMALL_STATE(9741)] = 476419,
  [SMALL_STATE(9742)] = 476482,
  [SMALL_STATE(9743)] = 476539,
  [SMALL_STATE(9744)] = 476602,
  [SMALL_STATE(9745)] = 476651,
  [SMALL_STATE(9746)] = 476694,
  [SMALL_STATE(9747)] = 476737,
  [SMALL_STATE(9748)] = 476788,
  [SMALL_STATE(9749)] = 476839,
  [SMALL_STATE(9750)] = 476894,
  [SMALL_STATE(9751)] = 476951,
  [SMALL_STATE(9752)] = 477012,
  [SMALL_STATE(9753)] = 477057,
  [SMALL_STATE(9754)] = 477118,
  [SMALL_STATE(9755)] = 477181,
  [SMALL_STATE(9756)] = 477244,
  [SMALL_STATE(9757)] = 477299,
  [SMALL_STATE(9758)] = 477348,
  [SMALL_STATE(9759)] = 477411,
  [SMALL_STATE(9760)] = 477474,
  [SMALL_STATE(9761)] = 477523,
  [SMALL_STATE(9762)] = 477578,
  [SMALL_STATE(9763)] = 477633,
  [SMALL_STATE(9764)] = 477672,
  [SMALL_STATE(9765)] = 477713,
  [SMALL_STATE(9766)] = 477762,
  [SMALL_STATE(9767)] = 477811,
  [SMALL_STATE(9768)] = 477856,
  [SMALL_STATE(9769)] = 477895,
  [SMALL_STATE(9770)] = 477934,
  [SMALL_STATE(9771)] = 477973,
  [SMALL_STATE(9772)] = 478026,
  [SMALL_STATE(9773)] = 478089,
  [SMALL_STATE(9774)] = 478152,
  [SMALL_STATE(9775)] = 478215,
  [SMALL_STATE(9776)] = 478278,
  [SMALL_STATE(9777)] = 478341,
  [SMALL_STATE(9778)] = 478404,
  [SMALL_STATE(9779)] = 478467,
  [SMALL_STATE(9780)] = 478528,
  [SMALL_STATE(9781)] = 478591,
  [SMALL_STATE(9782)] = 478640,
  [SMALL_STATE(9783)] = 478703,
  [SMALL_STATE(9784)] = 478758,
  [SMALL_STATE(9785)] = 478821,
  [SMALL_STATE(9786)] = 478884,
  [SMALL_STATE(9787)] = 478947,
  [SMALL_STATE(9788)] = 479010,
  [SMALL_STATE(9789)] = 479073,
  [SMALL_STATE(9790)] = 479136,
  [SMALL_STATE(9791)] = 479185,
  [SMALL_STATE(9792)] = 479234,
  [SMALL_STATE(9793)] = 479297,
  [SMALL_STATE(9794)] = 479352,
  [SMALL_STATE(9795)] = 479407,
  [SMALL_STATE(9796)] = 479470,
  [SMALL_STATE(9797)] = 479533,
  [SMALL_STATE(9798)] = 479596,
  [SMALL_STATE(9799)] = 479659,
  [SMALL_STATE(9800)] = 479722,
  [SMALL_STATE(9801)] = 479785,
  [SMALL_STATE(9802)] = 479848,
  [SMALL_STATE(9803)] = 479911,
  [SMALL_STATE(9804)] = 479974,
  [SMALL_STATE(9805)] = 480037,
  [SMALL_STATE(9806)] = 480086,
  [SMALL_STATE(9807)] = 480149,
  [SMALL_STATE(9808)] = 480188,
  [SMALL_STATE(9809)] = 480227,
  [SMALL_STATE(9810)] = 480266,
  [SMALL_STATE(9811)] = 480305,
  [SMALL_STATE(9812)] = 480356,
  [SMALL_STATE(9813)] = 480411,
  [SMALL_STATE(9814)] = 480474,
  [SMALL_STATE(9815)] = 480537,
  [SMALL_STATE(9816)] = 480592,
  [SMALL_STATE(9817)] = 480649,
  [SMALL_STATE(9818)] = 480688,
  [SMALL_STATE(9819)] = 480751,
  [SMALL_STATE(9820)] = 480808,
  [SMALL_STATE(9821)] = 480847,
  [SMALL_STATE(9822)] = 480886,
  [SMALL_STATE(9823)] = 480925,
  [SMALL_STATE(9824)] = 480988,
  [SMALL_STATE(9825)] = 481043,
  [SMALL_STATE(9826)] = 481098,
  [SMALL_STATE(9827)] = 481161,
  [SMALL_STATE(9828)] = 481224,
  [SMALL_STATE(9829)] = 481279,
  [SMALL_STATE(9830)] = 481320,
  [SMALL_STATE(9831)] = 481383,
  [SMALL_STATE(9832)] = 481446,
  [SMALL_STATE(9833)] = 481509,
  [SMALL_STATE(9834)] = 481572,
  [SMALL_STATE(9835)] = 481635,
  [SMALL_STATE(9836)] = 481698,
  [SMALL_STATE(9837)] = 481753,
  [SMALL_STATE(9838)] = 481816,
  [SMALL_STATE(9839)] = 481871,
  [SMALL_STATE(9840)] = 481926,
  [SMALL_STATE(9841)] = 481981,
  [SMALL_STATE(9842)] = 482044,
  [SMALL_STATE(9843)] = 482107,
  [SMALL_STATE(9844)] = 482170,
  [SMALL_STATE(9845)] = 482209,
  [SMALL_STATE(9846)] = 482264,
  [SMALL_STATE(9847)] = 482327,
  [SMALL_STATE(9848)] = 482380,
  [SMALL_STATE(9849)] = 482443,
  [SMALL_STATE(9850)] = 482506,
  [SMALL_STATE(9851)] = 482569,
  [SMALL_STATE(9852)] = 482632,
  [SMALL_STATE(9853)] = 482671,
  [SMALL_STATE(9854)] = 482710,
  [SMALL_STATE(9855)] = 482749,
  [SMALL_STATE(9856)] = 482788,
  [SMALL_STATE(9857)] = 482827,
  [SMALL_STATE(9858)] = 482866,
  [SMALL_STATE(9859)] = 482905,
  [SMALL_STATE(9860)] = 482968,
  [SMALL_STATE(9861)] = 483007,
  [SMALL_STATE(9862)] = 483046,
  [SMALL_STATE(9863)] = 483085,
  [SMALL_STATE(9864)] = 483124,
  [SMALL_STATE(9865)] = 483163,
  [SMALL_STATE(9866)] = 483202,
  [SMALL_STATE(9867)] = 483257,
  [SMALL_STATE(9868)] = 483296,
  [SMALL_STATE(9869)] = 483335,
  [SMALL_STATE(9870)] = 483376,
  [SMALL_STATE(9871)] = 483415,
  [SMALL_STATE(9872)] = 483454,
  [SMALL_STATE(9873)] = 483493,
  [SMALL_STATE(9874)] = 483534,
  [SMALL_STATE(9875)] = 483573,
  [SMALL_STATE(9876)] = 483612,
  [SMALL_STATE(9877)] = 483651,
  [SMALL_STATE(9878)] = 483690,
  [SMALL_STATE(9879)] = 483753,
  [SMALL_STATE(9880)] = 483804,
  [SMALL_STATE(9881)] = 483843,
  [SMALL_STATE(9882)] = 483884,
  [SMALL_STATE(9883)] = 483939,
  [SMALL_STATE(9884)] = 483978,
  [SMALL_STATE(9885)] = 484041,
  [SMALL_STATE(9886)] = 484104,
  [SMALL_STATE(9887)] = 484167,
  [SMALL_STATE(9888)] = 484218,
  [SMALL_STATE(9889)] = 484281,
  [SMALL_STATE(9890)] = 484344,
  [SMALL_STATE(9891)] = 484407,
  [SMALL_STATE(9892)] = 484470,
  [SMALL_STATE(9893)] = 484533,
  [SMALL_STATE(9894)] = 484596,
  [SMALL_STATE(9895)] = 484659,
  [SMALL_STATE(9896)] = 484722,
  [SMALL_STATE(9897)] = 484785,
  [SMALL_STATE(9898)] = 484824,
  [SMALL_STATE(9899)] = 484887,
  [SMALL_STATE(9900)] = 484926,
  [SMALL_STATE(9901)] = 484989,
  [SMALL_STATE(9902)] = 485052,
  [SMALL_STATE(9903)] = 485091,
  [SMALL_STATE(9904)] = 485130,
  [SMALL_STATE(9905)] = 485175,
  [SMALL_STATE(9906)] = 485214,
  [SMALL_STATE(9907)] = 485277,
  [SMALL_STATE(9908)] = 485340,
  [SMALL_STATE(9909)] = 485403,
  [SMALL_STATE(9910)] = 485442,
  [SMALL_STATE(9911)] = 485491,
  [SMALL_STATE(9912)] = 485540,
  [SMALL_STATE(9913)] = 485589,
  [SMALL_STATE(9914)] = 485628,
  [SMALL_STATE(9915)] = 485691,
  [SMALL_STATE(9916)] = 485732,
  [SMALL_STATE(9917)] = 485795,
  [SMALL_STATE(9918)] = 485858,
  [SMALL_STATE(9919)] = 485921,
  [SMALL_STATE(9920)] = 485984,
  [SMALL_STATE(9921)] = 486047,
  [SMALL_STATE(9922)] = 486110,
  [SMALL_STATE(9923)] = 486173,
  [SMALL_STATE(9924)] = 486236,
  [SMALL_STATE(9925)] = 486275,
  [SMALL_STATE(9926)] = 486314,
  [SMALL_STATE(9927)] = 486377,
  [SMALL_STATE(9928)] = 486440,
  [SMALL_STATE(9929)] = 486489,
  [SMALL_STATE(9930)] = 486530,
  [SMALL_STATE(9931)] = 486593,
  [SMALL_STATE(9932)] = 486642,
  [SMALL_STATE(9933)] = 486691,
  [SMALL_STATE(9934)] = 486754,
  [SMALL_STATE(9935)] = 486803,
  [SMALL_STATE(9936)] = 486866,
  [SMALL_STATE(9937)] = 486929,
  [SMALL_STATE(9938)] = 486980,
  [SMALL_STATE(9939)] = 487035,
  [SMALL_STATE(9940)] = 487098,
  [SMALL_STATE(9941)] = 487149,
  [SMALL_STATE(9942)] = 487212,
  [SMALL_STATE(9943)] = 487251,
  [SMALL_STATE(9944)] = 487294,
  [SMALL_STATE(9945)] = 487337,
  [SMALL_STATE(9946)] = 487376,
  [SMALL_STATE(9947)] = 487439,
  [SMALL_STATE(9948)] = 487502,
  [SMALL_STATE(9949)] = 487565,
  [SMALL_STATE(9950)] = 487628,
  [SMALL_STATE(9951)] = 487691,
  [SMALL_STATE(9952)] = 487754,
  [SMALL_STATE(9953)] = 487817,
  [SMALL_STATE(9954)] = 487880,
  [SMALL_STATE(9955)] = 487919,
  [SMALL_STATE(9956)] = 487982,
  [SMALL_STATE(9957)] = 488045,
  [SMALL_STATE(9958)] = 488108,
  [SMALL_STATE(9959)] = 488171,
  [SMALL_STATE(9960)] = 488234,
  [SMALL_STATE(9961)] = 488297,
  [SMALL_STATE(9962)] = 488360,
  [SMALL_STATE(9963)] = 488423,
  [SMALL_STATE(9964)] = 488462,
  [SMALL_STATE(9965)] = 488525,
  [SMALL_STATE(9966)] = 488564,
  [SMALL_STATE(9967)] = 488609,
  [SMALL_STATE(9968)] = 488654,
  [SMALL_STATE(9969)] = 488699,
  [SMALL_STATE(9970)] = 488744,
  [SMALL_STATE(9971)] = 488789,
  [SMALL_STATE(9972)] = 488834,
  [SMALL_STATE(9973)] = 488879,
  [SMALL_STATE(9974)] = 488924,
  [SMALL_STATE(9975)] = 488979,
  [SMALL_STATE(9976)] = 489018,
  [SMALL_STATE(9977)] = 489056,
  [SMALL_STATE(9978)] = 489096,
  [SMALL_STATE(9979)] = 489134,
  [SMALL_STATE(9980)] = 489174,
  [SMALL_STATE(9981)] = 489226,
  [SMALL_STATE(9982)] = 489266,
  [SMALL_STATE(9983)] = 489304,
  [SMALL_STATE(9984)] = 489370,
  [SMALL_STATE(9985)] = 489410,
  [SMALL_STATE(9986)] = 489452,
  [SMALL_STATE(9987)] = 489490,
  [SMALL_STATE(9988)] = 489528,
  [SMALL_STATE(9989)] = 489576,
  [SMALL_STATE(9990)] = 489624,
  [SMALL_STATE(9991)] = 489690,
  [SMALL_STATE(9992)] = 489728,
  [SMALL_STATE(9993)] = 489776,
  [SMALL_STATE(9994)] = 489814,
  [SMALL_STATE(9995)] = 489852,
  [SMALL_STATE(9996)] = 489890,
  [SMALL_STATE(9997)] = 489928,
  [SMALL_STATE(9998)] = 489994,
  [SMALL_STATE(9999)] = 490032,
  [SMALL_STATE(10000)] = 490070,
  [SMALL_STATE(10001)] = 490108,
  [SMALL_STATE(10002)] = 490146,
  [SMALL_STATE(10003)] = 490194,
  [SMALL_STATE(10004)] = 490232,
  [SMALL_STATE(10005)] = 490298,
  [SMALL_STATE(10006)] = 490346,
  [SMALL_STATE(10007)] = 490394,
  [SMALL_STATE(10008)] = 490436,
  [SMALL_STATE(10009)] = 490474,
  [SMALL_STATE(10010)] = 490514,
  [SMALL_STATE(10011)] = 490552,
  [SMALL_STATE(10012)] = 490590,
  [SMALL_STATE(10013)] = 490628,
  [SMALL_STATE(10014)] = 490694,
  [SMALL_STATE(10015)] = 490732,
  [SMALL_STATE(10016)] = 490798,
  [SMALL_STATE(10017)] = 490836,
  [SMALL_STATE(10018)] = 490874,
  [SMALL_STATE(10019)] = 490922,
  [SMALL_STATE(10020)] = 490970,
  [SMALL_STATE(10021)] = 491012,
  [SMALL_STATE(10022)] = 491050,
  [SMALL_STATE(10023)] = 491088,
  [SMALL_STATE(10024)] = 491126,
  [SMALL_STATE(10025)] = 491192,
  [SMALL_STATE(10026)] = 491258,
  [SMALL_STATE(10027)] = 491306,
  [SMALL_STATE(10028)] = 491344,
  [SMALL_STATE(10029)] = 491392,
  [SMALL_STATE(10030)] = 491458,
  [SMALL_STATE(10031)] = 491496,
  [SMALL_STATE(10032)] = 491562,
  [SMALL_STATE(10033)] = 491600,
  [SMALL_STATE(10034)] = 491638,
  [SMALL_STATE(10035)] = 491704,
  [SMALL_STATE(10036)] = 491746,
  [SMALL_STATE(10037)] = 491812,
  [SMALL_STATE(10038)] = 491850,
  [SMALL_STATE(10039)] = 491888,
  [SMALL_STATE(10040)] = 491926,
  [SMALL_STATE(10041)] = 491992,
  [SMALL_STATE(10042)] = 492032,
  [SMALL_STATE(10043)] = 492070,
  [SMALL_STATE(10044)] = 492108,
  [SMALL_STATE(10045)] = 492174,
  [SMALL_STATE(10046)] = 492212,
  [SMALL_STATE(10047)] = 492250,
  [SMALL_STATE(10048)] = 492288,
  [SMALL_STATE(10049)] = 492326,
  [SMALL_STATE(10050)] = 492364,
  [SMALL_STATE(10051)] = 492406,
  [SMALL_STATE(10052)] = 492446,
  [SMALL_STATE(10053)] = 492512,
  [SMALL_STATE(10054)] = 492578,
  [SMALL_STATE(10055)] = 492616,
  [SMALL_STATE(10056)] = 492664,
  [SMALL_STATE(10057)] = 492708,
  [SMALL_STATE(10058)] = 492774,
  [SMALL_STATE(10059)] = 492812,
  [SMALL_STATE(10060)] = 492850,
  [SMALL_STATE(10061)] = 492888,
  [SMALL_STATE(10062)] = 492954,
  [SMALL_STATE(10063)] = 492992,
  [SMALL_STATE(10064)] = 493032,
  [SMALL_STATE(10065)] = 493074,
  [SMALL_STATE(10066)] = 493112,
  [SMALL_STATE(10067)] = 493150,
  [SMALL_STATE(10068)] = 493198,
  [SMALL_STATE(10069)] = 493264,
  [SMALL_STATE(10070)] = 493330,
  [SMALL_STATE(10071)] = 493368,
  [SMALL_STATE(10072)] = 493406,
  [SMALL_STATE(10073)] = 493444,
  [SMALL_STATE(10074)] = 493482,
  [SMALL_STATE(10075)] = 493520,
  [SMALL_STATE(10076)] = 493574,
  [SMALL_STATE(10077)] = 493628,
  [SMALL_STATE(10078)] = 493666,
  [SMALL_STATE(10079)] = 493704,
  [SMALL_STATE(10080)] = 493746,
  [SMALL_STATE(10081)] = 493800,
  [SMALL_STATE(10082)] = 493838,
  [SMALL_STATE(10083)] = 493878,
  [SMALL_STATE(10084)] = 493916,
  [SMALL_STATE(10085)] = 493954,
  [SMALL_STATE(10086)] = 493992,
  [SMALL_STATE(10087)] = 494030,
  [SMALL_STATE(10088)] = 494068,
  [SMALL_STATE(10089)] = 494116,
  [SMALL_STATE(10090)] = 494160,
  [SMALL_STATE(10091)] = 494202,
  [SMALL_STATE(10092)] = 494240,
  [SMALL_STATE(10093)] = 494306,
  [SMALL_STATE(10094)] = 494350,
  [SMALL_STATE(10095)] = 494404,
  [SMALL_STATE(10096)] = 494442,
  [SMALL_STATE(10097)] = 494486,
  [SMALL_STATE(10098)] = 494524,
  [SMALL_STATE(10099)] = 494568,
  [SMALL_STATE(10100)] = 494606,
  [SMALL_STATE(10101)] = 494660,
  [SMALL_STATE(10102)] = 494708,
  [SMALL_STATE(10103)] = 494746,
  [SMALL_STATE(10104)] = 494784,
  [SMALL_STATE(10105)] = 494822,
  [SMALL_STATE(10106)] = 494888,
  [SMALL_STATE(10107)] = 494940,
  [SMALL_STATE(10108)] = 494978,
  [SMALL_STATE(10109)] = 495020,
  [SMALL_STATE(10110)] = 495058,
  [SMALL_STATE(10111)] = 495100,
  [SMALL_STATE(10112)] = 495138,
  [SMALL_STATE(10113)] = 495180,
  [SMALL_STATE(10114)] = 495218,
  [SMALL_STATE(10115)] = 495284,
  [SMALL_STATE(10116)] = 495340,
  [SMALL_STATE(10117)] = 495388,
  [SMALL_STATE(10118)] = 495430,
  [SMALL_STATE(10119)] = 495472,
  [SMALL_STATE(10120)] = 495522,
  [SMALL_STATE(10121)] = 495572,
  [SMALL_STATE(10122)] = 495626,
  [SMALL_STATE(10123)] = 495682,
  [SMALL_STATE(10124)] = 495742,
  [SMALL_STATE(10125)] = 495786,
  [SMALL_STATE(10126)] = 495846,
  [SMALL_STATE(10127)] = 495888,
  [SMALL_STATE(10128)] = 495948,
  [SMALL_STATE(10129)] = 496002,
  [SMALL_STATE(10130)] = 496040,
  [SMALL_STATE(10131)] = 496078,
  [SMALL_STATE(10132)] = 496116,
  [SMALL_STATE(10133)] = 496164,
  [SMALL_STATE(10134)] = 496202,
  [SMALL_STATE(10135)] = 496240,
  [SMALL_STATE(10136)] = 496278,
  [SMALL_STATE(10137)] = 496330,
  [SMALL_STATE(10138)] = 496380,
  [SMALL_STATE(10139)] = 496432,
  [SMALL_STATE(10140)] = 496470,
  [SMALL_STATE(10141)] = 496508,
  [SMALL_STATE(10142)] = 496546,
  [SMALL_STATE(10143)] = 496584,
  [SMALL_STATE(10144)] = 496636,
  [SMALL_STATE(10145)] = 496686,
  [SMALL_STATE(10146)] = 496738,
  [SMALL_STATE(10147)] = 496776,
  [SMALL_STATE(10148)] = 496814,
  [SMALL_STATE(10149)] = 496852,
  [SMALL_STATE(10150)] = 496904,
  [SMALL_STATE(10151)] = 496942,
  [SMALL_STATE(10152)] = 496980,
  [SMALL_STATE(10153)] = 497022,
  [SMALL_STATE(10154)] = 497070,
  [SMALL_STATE(10155)] = 497108,
  [SMALL_STATE(10156)] = 497146,
  [SMALL_STATE(10157)] = 497184,
  [SMALL_STATE(10158)] = 497232,
  [SMALL_STATE(10159)] = 497270,
  [SMALL_STATE(10160)] = 497336,
  [SMALL_STATE(10161)] = 497374,
  [SMALL_STATE(10162)] = 497412,
  [SMALL_STATE(10163)] = 497450,
  [SMALL_STATE(10164)] = 497488,
  [SMALL_STATE(10165)] = 497526,
  [SMALL_STATE(10166)] = 497564,
  [SMALL_STATE(10167)] = 497602,
  [SMALL_STATE(10168)] = 497640,
  [SMALL_STATE(10169)] = 497680,
  [SMALL_STATE(10170)] = 497718,
  [SMALL_STATE(10171)] = 497756,
  [SMALL_STATE(10172)] = 497794,
  [SMALL_STATE(10173)] = 497832,
  [SMALL_STATE(10174)] = 497870,
  [SMALL_STATE(10175)] = 497908,
  [SMALL_STATE(10176)] = 497950,
  [SMALL_STATE(10177)] = 497992,
  [SMALL_STATE(10178)] = 498030,
  [SMALL_STATE(10179)] = 498078,
  [SMALL_STATE(10180)] = 498116,
  [SMALL_STATE(10181)] = 498158,
  [SMALL_STATE(10182)] = 498206,
  [SMALL_STATE(10183)] = 498248,
  [SMALL_STATE(10184)] = 498296,
  [SMALL_STATE(10185)] = 498334,
  [SMALL_STATE(10186)] = 498394,
  [SMALL_STATE(10187)] = 498442,
  [SMALL_STATE(10188)] = 498480,
  [SMALL_STATE(10189)] = 498518,
  [SMALL_STATE(10190)] = 498556,
  [SMALL_STATE(10191)] = 498594,
  [SMALL_STATE(10192)] = 498660,
  [SMALL_STATE(10193)] = 498698,
  [SMALL_STATE(10194)] = 498736,
  [SMALL_STATE(10195)] = 498784,
  [SMALL_STATE(10196)] = 498832,
  [SMALL_STATE(10197)] = 498880,
  [SMALL_STATE(10198)] = 498928,
  [SMALL_STATE(10199)] = 498966,
  [SMALL_STATE(10200)] = 499004,
  [SMALL_STATE(10201)] = 499042,
  [SMALL_STATE(10202)] = 499080,
  [SMALL_STATE(10203)] = 499122,
  [SMALL_STATE(10204)] = 499160,
  [SMALL_STATE(10205)] = 499198,
  [SMALL_STATE(10206)] = 499236,
  [SMALL_STATE(10207)] = 499274,
  [SMALL_STATE(10208)] = 499322,
  [SMALL_STATE(10209)] = 499360,
  [SMALL_STATE(10210)] = 499402,
  [SMALL_STATE(10211)] = 499444,
  [SMALL_STATE(10212)] = 499486,
  [SMALL_STATE(10213)] = 499528,
  [SMALL_STATE(10214)] = 499568,
  [SMALL_STATE(10215)] = 499606,
  [SMALL_STATE(10216)] = 499648,
  [SMALL_STATE(10217)] = 499686,
  [SMALL_STATE(10218)] = 499752,
  [SMALL_STATE(10219)] = 499814,
  [SMALL_STATE(10220)] = 499852,
  [SMALL_STATE(10221)] = 499889,
  [SMALL_STATE(10222)] = 499932,
  [SMALL_STATE(10223)] = 499975,
  [SMALL_STATE(10224)] = 500018,
  [SMALL_STATE(10225)] = 500059,
  [SMALL_STATE(10226)] = 500100,
  [SMALL_STATE(10227)] = 500149,
  [SMALL_STATE(10228)] = 500186,
  [SMALL_STATE(10229)] = 500229,
  [SMALL_STATE(10230)] = 500278,
  [SMALL_STATE(10231)] = 500331,
  [SMALL_STATE(10232)] = 500368,
  [SMALL_STATE(10233)] = 500423,
  [SMALL_STATE(10234)] = 500482,
  [SMALL_STATE(10235)] = 500525,
  [SMALL_STATE(10236)] = 500568,
  [SMALL_STATE(10237)] = 500631,
  [SMALL_STATE(10238)] = 500694,
  [SMALL_STATE(10239)] = 500747,
  [SMALL_STATE(10240)] = 500806,
  [SMALL_STATE(10241)] = 500843,
  [SMALL_STATE(10242)] = 500880,
  [SMALL_STATE(10243)] = 500921,
  [SMALL_STATE(10244)] = 500984,
  [SMALL_STATE(10245)] = 501021,
  [SMALL_STATE(10246)] = 501058,
  [SMALL_STATE(10247)] = 501121,
  [SMALL_STATE(10248)] = 501184,
  [SMALL_STATE(10249)] = 501227,
  [SMALL_STATE(10250)] = 501270,
  [SMALL_STATE(10251)] = 501313,
  [SMALL_STATE(10252)] = 501356,
  [SMALL_STATE(10253)] = 501399,
  [SMALL_STATE(10254)] = 501436,
  [SMALL_STATE(10255)] = 501495,
  [SMALL_STATE(10256)] = 501558,
  [SMALL_STATE(10257)] = 501595,
  [SMALL_STATE(10258)] = 501658,
  [SMALL_STATE(10259)] = 501721,
  [SMALL_STATE(10260)] = 501758,
  [SMALL_STATE(10261)] = 501801,
  [SMALL_STATE(10262)] = 501848,
  [SMALL_STATE(10263)] = 501911,
  [SMALL_STATE(10264)] = 501954,
  [SMALL_STATE(10265)] = 502017,
  [SMALL_STATE(10266)] = 502080,
  [SMALL_STATE(10267)] = 502117,
  [SMALL_STATE(10268)] = 502160,
  [SMALL_STATE(10269)] = 502203,
  [SMALL_STATE(10270)] = 502246,
  [SMALL_STATE(10271)] = 502289,
  [SMALL_STATE(10272)] = 502330,
  [SMALL_STATE(10273)] = 502373,
  [SMALL_STATE(10274)] = 502436,
  [SMALL_STATE(10275)] = 502473,
  [SMALL_STATE(10276)] = 502512,
  [SMALL_STATE(10277)] = 502555,
  [SMALL_STATE(10278)] = 502616,
  [SMALL_STATE(10279)] = 502679,
  [SMALL_STATE(10280)] = 502722,
  [SMALL_STATE(10281)] = 502759,
  [SMALL_STATE(10282)] = 502802,
  [SMALL_STATE(10283)] = 502845,
  [SMALL_STATE(10284)] = 502892,
  [SMALL_STATE(10285)] = 502935,
  [SMALL_STATE(10286)] = 502982,
  [SMALL_STATE(10287)] = 503019,
  [SMALL_STATE(10288)] = 503056,
  [SMALL_STATE(10289)] = 503099,
  [SMALL_STATE(10290)] = 503142,
  [SMALL_STATE(10291)] = 503185,
  [SMALL_STATE(10292)] = 503248,
  [SMALL_STATE(10293)] = 503295,
  [SMALL_STATE(10294)] = 503342,
  [SMALL_STATE(10295)] = 503405,
  [SMALL_STATE(10296)] = 503448,
  [SMALL_STATE(10297)] = 503485,
  [SMALL_STATE(10298)] = 503540,
  [SMALL_STATE(10299)] = 503579,
  [SMALL_STATE(10300)] = 503622,
  [SMALL_STATE(10301)] = 503659,
  [SMALL_STATE(10302)] = 503706,
  [SMALL_STATE(10303)] = 503747,
  [SMALL_STATE(10304)] = 503788,
  [SMALL_STATE(10305)] = 503837,
  [SMALL_STATE(10306)] = 503886,
  [SMALL_STATE(10307)] = 503923,
  [SMALL_STATE(10308)] = 503976,
  [SMALL_STATE(10309)] = 504039,
  [SMALL_STATE(10310)] = 504094,
  [SMALL_STATE(10311)] = 504157,
  [SMALL_STATE(10312)] = 504216,
  [SMALL_STATE(10313)] = 504259,
  [SMALL_STATE(10314)] = 504318,
  [SMALL_STATE(10315)] = 504377,
  [SMALL_STATE(10316)] = 504414,
  [SMALL_STATE(10317)] = 504455,
  [SMALL_STATE(10318)] = 504518,
  [SMALL_STATE(10319)] = 504557,
  [SMALL_STATE(10320)] = 504604,
  [SMALL_STATE(10321)] = 504643,
  [SMALL_STATE(10322)] = 504690,
  [SMALL_STATE(10323)] = 504731,
  [SMALL_STATE(10324)] = 504794,
  [SMALL_STATE(10325)] = 504837,
  [SMALL_STATE(10326)] = 504874,
  [SMALL_STATE(10327)] = 504921,
  [SMALL_STATE(10328)] = 504962,
  [SMALL_STATE(10329)] = 504999,
  [SMALL_STATE(10330)] = 505042,
  [SMALL_STATE(10331)] = 505105,
  [SMALL_STATE(10332)] = 505142,
  [SMALL_STATE(10333)] = 505179,
  [SMALL_STATE(10334)] = 505216,
  [SMALL_STATE(10335)] = 505253,
  [SMALL_STATE(10336)] = 505290,
  [SMALL_STATE(10337)] = 505331,
  [SMALL_STATE(10338)] = 505394,
  [SMALL_STATE(10339)] = 505453,
  [SMALL_STATE(10340)] = 505490,
  [SMALL_STATE(10341)] = 505527,
  [SMALL_STATE(10342)] = 505564,
  [SMALL_STATE(10343)] = 505607,
  [SMALL_STATE(10344)] = 505670,
  [SMALL_STATE(10345)] = 505711,
  [SMALL_STATE(10346)] = 505754,
  [SMALL_STATE(10347)] = 505793,
  [SMALL_STATE(10348)] = 505836,
  [SMALL_STATE(10349)] = 505879,
  [SMALL_STATE(10350)] = 505922,
  [SMALL_STATE(10351)] = 505965,
  [SMALL_STATE(10352)] = 506008,
  [SMALL_STATE(10353)] = 506051,
  [SMALL_STATE(10354)] = 506094,
  [SMALL_STATE(10355)] = 506131,
  [SMALL_STATE(10356)] = 506174,
  [SMALL_STATE(10357)] = 506211,
  [SMALL_STATE(10358)] = 506258,
  [SMALL_STATE(10359)] = 506295,
  [SMALL_STATE(10360)] = 506338,
  [SMALL_STATE(10361)] = 506381,
  [SMALL_STATE(10362)] = 506424,
  [SMALL_STATE(10363)] = 506461,
  [SMALL_STATE(10364)] = 506508,
  [SMALL_STATE(10365)] = 506551,
  [SMALL_STATE(10366)] = 506614,
  [SMALL_STATE(10367)] = 506651,
  [SMALL_STATE(10368)] = 506714,
  [SMALL_STATE(10369)] = 506777,
  [SMALL_STATE(10370)] = 506824,
  [SMALL_STATE(10371)] = 506871,
  [SMALL_STATE(10372)] = 506924,
  [SMALL_STATE(10373)] = 506961,
  [SMALL_STATE(10374)] = 507004,
  [SMALL_STATE(10375)] = 507047,
  [SMALL_STATE(10376)] = 507084,
  [SMALL_STATE(10377)] = 507127,
  [SMALL_STATE(10378)] = 507170,
  [SMALL_STATE(10379)] = 507213,
  [SMALL_STATE(10380)] = 507250,
  [SMALL_STATE(10381)] = 507313,
  [SMALL_STATE(10382)] = 507356,
  [SMALL_STATE(10383)] = 507419,
  [SMALL_STATE(10384)] = 507466,
  [SMALL_STATE(10385)] = 507513,
  [SMALL_STATE(10386)] = 507556,
  [SMALL_STATE(10387)] = 507599,
  [SMALL_STATE(10388)] = 507636,
  [SMALL_STATE(10389)] = 507673,
  [SMALL_STATE(10390)] = 507726,
  [SMALL_STATE(10391)] = 507779,
  [SMALL_STATE(10392)] = 507816,
  [SMALL_STATE(10393)] = 507855,
  [SMALL_STATE(10394)] = 507898,
  [SMALL_STATE(10395)] = 507945,
  [SMALL_STATE(10396)] = 507988,
  [SMALL_STATE(10397)] = 508031,
  [SMALL_STATE(10398)] = 508074,
  [SMALL_STATE(10399)] = 508137,
  [SMALL_STATE(10400)] = 508174,
  [SMALL_STATE(10401)] = 508211,
  [SMALL_STATE(10402)] = 508258,
  [SMALL_STATE(10403)] = 508295,
  [SMALL_STATE(10404)] = 508358,
  [SMALL_STATE(10405)] = 508395,
  [SMALL_STATE(10406)] = 508458,
  [SMALL_STATE(10407)] = 508521,
  [SMALL_STATE(10408)] = 508562,
  [SMALL_STATE(10409)] = 508605,
  [SMALL_STATE(10410)] = 508666,
  [SMALL_STATE(10411)] = 508707,
  [SMALL_STATE(10412)] = 508770,
  [SMALL_STATE(10413)] = 508813,
  [SMALL_STATE(10414)] = 508854,
  [SMALL_STATE(10415)] = 508897,
  [SMALL_STATE(10416)] = 508940,
  [SMALL_STATE(10417)] = 508983,
  [SMALL_STATE(10418)] = 509020,
  [SMALL_STATE(10419)] = 509063,
  [SMALL_STATE(10420)] = 509106,
  [SMALL_STATE(10421)] = 509143,
  [SMALL_STATE(10422)] = 509180,
  [SMALL_STATE(10423)] = 509223,
  [SMALL_STATE(10424)] = 509266,
  [SMALL_STATE(10425)] = 509305,
  [SMALL_STATE(10426)] = 509342,
  [SMALL_STATE(10427)] = 509405,
  [SMALL_STATE(10428)] = 509448,
  [SMALL_STATE(10429)] = 509485,
  [SMALL_STATE(10430)] = 509522,
  [SMALL_STATE(10431)] = 509565,
  [SMALL_STATE(10432)] = 509608,
  [SMALL_STATE(10433)] = 509651,
  [SMALL_STATE(10434)] = 509694,
  [SMALL_STATE(10435)] = 509737,
  [SMALL_STATE(10436)] = 509774,
  [SMALL_STATE(10437)] = 509811,
  [SMALL_STATE(10438)] = 509874,
  [SMALL_STATE(10439)] = 509911,
  [SMALL_STATE(10440)] = 509948,
  [SMALL_STATE(10441)] = 509985,
  [SMALL_STATE(10442)] = 510048,
  [SMALL_STATE(10443)] = 510101,
  [SMALL_STATE(10444)] = 510150,
  [SMALL_STATE(10445)] = 510195,
  [SMALL_STATE(10446)] = 510244,
  [SMALL_STATE(10447)] = 510281,
  [SMALL_STATE(10448)] = 510330,
  [SMALL_STATE(10449)] = 510373,
  [SMALL_STATE(10450)] = 510422,
  [SMALL_STATE(10451)] = 510467,
  [SMALL_STATE(10452)] = 510516,
  [SMALL_STATE(10453)] = 510565,
  [SMALL_STATE(10454)] = 510614,
  [SMALL_STATE(10455)] = 510663,
  [SMALL_STATE(10456)] = 510706,
  [SMALL_STATE(10457)] = 510755,
  [SMALL_STATE(10458)] = 510804,
  [SMALL_STATE(10459)] = 510853,
  [SMALL_STATE(10460)] = 510902,
  [SMALL_STATE(10461)] = 510951,
  [SMALL_STATE(10462)] = 511000,
  [SMALL_STATE(10463)] = 511049,
  [SMALL_STATE(10464)] = 511098,
  [SMALL_STATE(10465)] = 511151,
  [SMALL_STATE(10466)] = 511188,
  [SMALL_STATE(10467)] = 511237,
  [SMALL_STATE(10468)] = 511286,
  [SMALL_STATE(10469)] = 511335,
  [SMALL_STATE(10470)] = 511378,
  [SMALL_STATE(10471)] = 511427,
  [SMALL_STATE(10472)] = 511470,
  [SMALL_STATE(10473)] = 511519,
  [SMALL_STATE(10474)] = 511568,
  [SMALL_STATE(10475)] = 511617,
  [SMALL_STATE(10476)] = 511666,
  [SMALL_STATE(10477)] = 511715,
  [SMALL_STATE(10478)] = 511764,
  [SMALL_STATE(10479)] = 511813,
  [SMALL_STATE(10480)] = 511862,
  [SMALL_STATE(10481)] = 511925,
  [SMALL_STATE(10482)] = 511974,
  [SMALL_STATE(10483)] = 512023,
  [SMALL_STATE(10484)] = 512072,
  [SMALL_STATE(10485)] = 512121,
  [SMALL_STATE(10486)] = 512164,
  [SMALL_STATE(10487)] = 512213,
  [SMALL_STATE(10488)] = 512254,
  [SMALL_STATE(10489)] = 512293,
  [SMALL_STATE(10490)] = 512336,
  [SMALL_STATE(10491)] = 512373,
  [SMALL_STATE(10492)] = 512410,
  [SMALL_STATE(10493)] = 512447,
  [SMALL_STATE(10494)] = 512490,
  [SMALL_STATE(10495)] = 512531,
  [SMALL_STATE(10496)] = 512570,
  [SMALL_STATE(10497)] = 512613,
  [SMALL_STATE(10498)] = 512660,
  [SMALL_STATE(10499)] = 512703,
  [SMALL_STATE(10500)] = 512740,
  [SMALL_STATE(10501)] = 512783,
  [SMALL_STATE(10502)] = 512826,
  [SMALL_STATE(10503)] = 512863,
  [SMALL_STATE(10504)] = 512904,
  [SMALL_STATE(10505)] = 512947,
  [SMALL_STATE(10506)] = 512990,
  [SMALL_STATE(10507)] = 513053,
  [SMALL_STATE(10508)] = 513092,
  [SMALL_STATE(10509)] = 513133,
  [SMALL_STATE(10510)] = 513196,
  [SMALL_STATE(10511)] = 513239,
  [SMALL_STATE(10512)] = 513278,
  [SMALL_STATE(10513)] = 513315,
  [SMALL_STATE(10514)] = 513352,
  [SMALL_STATE(10515)] = 513389,
  [SMALL_STATE(10516)] = 513426,
  [SMALL_STATE(10517)] = 513463,
  [SMALL_STATE(10518)] = 513500,
  [SMALL_STATE(10519)] = 513537,
  [SMALL_STATE(10520)] = 513600,
  [SMALL_STATE(10521)] = 513651,
  [SMALL_STATE(10522)] = 513688,
  [SMALL_STATE(10523)] = 513731,
  [SMALL_STATE(10524)] = 513794,
  [SMALL_STATE(10525)] = 513837,
  [SMALL_STATE(10526)] = 513874,
  [SMALL_STATE(10527)] = 513911,
  [SMALL_STATE(10528)] = 513954,
  [SMALL_STATE(10529)] = 513995,
  [SMALL_STATE(10530)] = 514036,
  [SMALL_STATE(10531)] = 514079,
  [SMALL_STATE(10532)] = 514122,
  [SMALL_STATE(10533)] = 514165,
  [SMALL_STATE(10534)] = 514202,
  [SMALL_STATE(10535)] = 514245,
  [SMALL_STATE(10536)] = 514286,
  [SMALL_STATE(10537)] = 514327,
  [SMALL_STATE(10538)] = 514364,
  [SMALL_STATE(10539)] = 514405,
  [SMALL_STATE(10540)] = 514448,
  [SMALL_STATE(10541)] = 514491,
  [SMALL_STATE(10542)] = 514534,
  [SMALL_STATE(10543)] = 514577,
  [SMALL_STATE(10544)] = 514640,
  [SMALL_STATE(10545)] = 514683,
  [SMALL_STATE(10546)] = 514726,
  [SMALL_STATE(10547)] = 514789,
  [SMALL_STATE(10548)] = 514836,
  [SMALL_STATE(10549)] = 514879,
  [SMALL_STATE(10550)] = 514922,
  [SMALL_STATE(10551)] = 514965,
  [SMALL_STATE(10552)] = 515004,
  [SMALL_STATE(10553)] = 515047,
  [SMALL_STATE(10554)] = 515090,
  [SMALL_STATE(10555)] = 515133,
  [SMALL_STATE(10556)] = 515174,
  [SMALL_STATE(10557)] = 515211,
  [SMALL_STATE(10558)] = 515274,
  [SMALL_STATE(10559)] = 515311,
  [SMALL_STATE(10560)] = 515360,
  [SMALL_STATE(10561)] = 515403,
  [SMALL_STATE(10562)] = 515446,
  [SMALL_STATE(10563)] = 515489,
  [SMALL_STATE(10564)] = 515532,
  [SMALL_STATE(10565)] = 515575,
  [SMALL_STATE(10566)] = 515616,
  [SMALL_STATE(10567)] = 515659,
  [SMALL_STATE(10568)] = 515722,
  [SMALL_STATE(10569)] = 515759,
  [SMALL_STATE(10570)] = 515796,
  [SMALL_STATE(10571)] = 515837,
  [SMALL_STATE(10572)] = 515874,
  [SMALL_STATE(10573)] = 515923,
  [SMALL_STATE(10574)] = 515978,
  [SMALL_STATE(10575)] = 516025,
  [SMALL_STATE(10576)] = 516085,
  [SMALL_STATE(10577)] = 516131,
  [SMALL_STATE(10578)] = 516167,
  [SMALL_STATE(10579)] = 516203,
  [SMALL_STATE(10580)] = 516245,
  [SMALL_STATE(10581)] = 516305,
  [SMALL_STATE(10582)] = 516365,
  [SMALL_STATE(10583)] = 516401,
  [SMALL_STATE(10584)] = 516447,
  [SMALL_STATE(10585)] = 516507,
  [SMALL_STATE(10586)] = 516567,
  [SMALL_STATE(10587)] = 516627,
  [SMALL_STATE(10588)] = 516667,
  [SMALL_STATE(10589)] = 516703,
  [SMALL_STATE(10590)] = 516741,
  [SMALL_STATE(10591)] = 516787,
  [SMALL_STATE(10592)] = 516823,
  [SMALL_STATE(10593)] = 516869,
  [SMALL_STATE(10594)] = 516905,
  [SMALL_STATE(10595)] = 516941,
  [SMALL_STATE(10596)] = 516977,
  [SMALL_STATE(10597)] = 517013,
  [SMALL_STATE(10598)] = 517073,
  [SMALL_STATE(10599)] = 517133,
  [SMALL_STATE(10600)] = 517169,
  [SMALL_STATE(10601)] = 517229,
  [SMALL_STATE(10602)] = 517275,
  [SMALL_STATE(10603)] = 517335,
  [SMALL_STATE(10604)] = 517395,
  [SMALL_STATE(10605)] = 517431,
  [SMALL_STATE(10606)] = 517491,
  [SMALL_STATE(10607)] = 517527,
  [SMALL_STATE(10608)] = 517563,
  [SMALL_STATE(10609)] = 517599,
  [SMALL_STATE(10610)] = 517641,
  [SMALL_STATE(10611)] = 517677,
  [SMALL_STATE(10612)] = 517713,
  [SMALL_STATE(10613)] = 517773,
  [SMALL_STATE(10614)] = 517809,
  [SMALL_STATE(10615)] = 517855,
  [SMALL_STATE(10616)] = 517895,
  [SMALL_STATE(10617)] = 517931,
  [SMALL_STATE(10618)] = 517977,
  [SMALL_STATE(10619)] = 518037,
  [SMALL_STATE(10620)] = 518097,
  [SMALL_STATE(10621)] = 518133,
  [SMALL_STATE(10622)] = 518193,
  [SMALL_STATE(10623)] = 518229,
  [SMALL_STATE(10624)] = 518265,
  [SMALL_STATE(10625)] = 518305,
  [SMALL_STATE(10626)] = 518359,
  [SMALL_STATE(10627)] = 518395,
  [SMALL_STATE(10628)] = 518431,
  [SMALL_STATE(10629)] = 518467,
  [SMALL_STATE(10630)] = 518513,
  [SMALL_STATE(10631)] = 518573,
  [SMALL_STATE(10632)] = 518609,
  [SMALL_STATE(10633)] = 518645,
  [SMALL_STATE(10634)] = 518681,
  [SMALL_STATE(10635)] = 518721,
  [SMALL_STATE(10636)] = 518757,
  [SMALL_STATE(10637)] = 518797,
  [SMALL_STATE(10638)] = 518833,
  [SMALL_STATE(10639)] = 518869,
  [SMALL_STATE(10640)] = 518929,
  [SMALL_STATE(10641)] = 518989,
  [SMALL_STATE(10642)] = 519029,
  [SMALL_STATE(10643)] = 519077,
  [SMALL_STATE(10644)] = 519113,
  [SMALL_STATE(10645)] = 519149,
  [SMALL_STATE(10646)] = 519195,
  [SMALL_STATE(10647)] = 519231,
  [SMALL_STATE(10648)] = 519267,
  [SMALL_STATE(10649)] = 519303,
  [SMALL_STATE(10650)] = 519339,
  [SMALL_STATE(10651)] = 519375,
  [SMALL_STATE(10652)] = 519411,
  [SMALL_STATE(10653)] = 519457,
  [SMALL_STATE(10654)] = 519493,
  [SMALL_STATE(10655)] = 519539,
  [SMALL_STATE(10656)] = 519585,
  [SMALL_STATE(10657)] = 519645,
  [SMALL_STATE(10658)] = 519705,
  [SMALL_STATE(10659)] = 519751,
  [SMALL_STATE(10660)] = 519787,
  [SMALL_STATE(10661)] = 519823,
  [SMALL_STATE(10662)] = 519859,
  [SMALL_STATE(10663)] = 519895,
  [SMALL_STATE(10664)] = 519943,
  [SMALL_STATE(10665)] = 519989,
  [SMALL_STATE(10666)] = 520041,
  [SMALL_STATE(10667)] = 520101,
  [SMALL_STATE(10668)] = 520161,
  [SMALL_STATE(10669)] = 520207,
  [SMALL_STATE(10670)] = 520243,
  [SMALL_STATE(10671)] = 520285,
  [SMALL_STATE(10672)] = 520339,
  [SMALL_STATE(10673)] = 520385,
  [SMALL_STATE(10674)] = 520421,
  [SMALL_STATE(10675)] = 520467,
  [SMALL_STATE(10676)] = 520503,
  [SMALL_STATE(10677)] = 520539,
  [SMALL_STATE(10678)] = 520581,
  [SMALL_STATE(10679)] = 520621,
  [SMALL_STATE(10680)] = 520663,
  [SMALL_STATE(10681)] = 520709,
  [SMALL_STATE(10682)] = 520751,
  [SMALL_STATE(10683)] = 520811,
  [SMALL_STATE(10684)] = 520847,
  [SMALL_STATE(10685)] = 520889,
  [SMALL_STATE(10686)] = 520935,
  [SMALL_STATE(10687)] = 520971,
  [SMALL_STATE(10688)] = 521017,
  [SMALL_STATE(10689)] = 521053,
  [SMALL_STATE(10690)] = 521099,
  [SMALL_STATE(10691)] = 521145,
  [SMALL_STATE(10692)] = 521187,
  [SMALL_STATE(10693)] = 521223,
  [SMALL_STATE(10694)] = 521259,
  [SMALL_STATE(10695)] = 521317,
  [SMALL_STATE(10696)] = 521359,
  [SMALL_STATE(10697)] = 521407,
  [SMALL_STATE(10698)] = 521465,
  [SMALL_STATE(10699)] = 521501,
  [SMALL_STATE(10700)] = 521549,
  [SMALL_STATE(10701)] = 521589,
  [SMALL_STATE(10702)] = 521625,
  [SMALL_STATE(10703)] = 521661,
  [SMALL_STATE(10704)] = 521703,
  [SMALL_STATE(10705)] = 521739,
  [SMALL_STATE(10706)] = 521775,
  [SMALL_STATE(10707)] = 521811,
  [SMALL_STATE(10708)] = 521871,
  [SMALL_STATE(10709)] = 521917,
  [SMALL_STATE(10710)] = 521977,
  [SMALL_STATE(10711)] = 522037,
  [SMALL_STATE(10712)] = 522097,
  [SMALL_STATE(10713)] = 522133,
  [SMALL_STATE(10714)] = 522173,
  [SMALL_STATE(10715)] = 522209,
  [SMALL_STATE(10716)] = 522269,
  [SMALL_STATE(10717)] = 522309,
  [SMALL_STATE(10718)] = 522345,
  [SMALL_STATE(10719)] = 522387,
  [SMALL_STATE(10720)] = 522423,
  [SMALL_STATE(10721)] = 522465,
  [SMALL_STATE(10722)] = 522505,
  [SMALL_STATE(10723)] = 522541,
  [SMALL_STATE(10724)] = 522577,
  [SMALL_STATE(10725)] = 522623,
  [SMALL_STATE(10726)] = 522669,
  [SMALL_STATE(10727)] = 522709,
  [SMALL_STATE(10728)] = 522745,
  [SMALL_STATE(10729)] = 522781,
  [SMALL_STATE(10730)] = 522817,
  [SMALL_STATE(10731)] = 522859,
  [SMALL_STATE(10732)] = 522901,
  [SMALL_STATE(10733)] = 522961,
  [SMALL_STATE(10734)] = 522997,
  [SMALL_STATE(10735)] = 523043,
  [SMALL_STATE(10736)] = 523081,
  [SMALL_STATE(10737)] = 523117,
  [SMALL_STATE(10738)] = 523157,
  [SMALL_STATE(10739)] = 523217,
  [SMALL_STATE(10740)] = 523259,
  [SMALL_STATE(10741)] = 523295,
  [SMALL_STATE(10742)] = 523331,
  [SMALL_STATE(10743)] = 523369,
  [SMALL_STATE(10744)] = 523415,
  [SMALL_STATE(10745)] = 523451,
  [SMALL_STATE(10746)] = 523487,
  [SMALL_STATE(10747)] = 523547,
  [SMALL_STATE(10748)] = 523583,
  [SMALL_STATE(10749)] = 523619,
  [SMALL_STATE(10750)] = 523679,
  [SMALL_STATE(10751)] = 523715,
  [SMALL_STATE(10752)] = 523751,
  [SMALL_STATE(10753)] = 523811,
  [SMALL_STATE(10754)] = 523857,
  [SMALL_STATE(10755)] = 523897,
  [SMALL_STATE(10756)] = 523933,
  [SMALL_STATE(10757)] = 523971,
  [SMALL_STATE(10758)] = 524007,
  [SMALL_STATE(10759)] = 524067,
  [SMALL_STATE(10760)] = 524103,
  [SMALL_STATE(10761)] = 524145,
  [SMALL_STATE(10762)] = 524203,
  [SMALL_STATE(10763)] = 524245,
  [SMALL_STATE(10764)] = 524287,
  [SMALL_STATE(10765)] = 524329,
  [SMALL_STATE(10766)] = 524365,
  [SMALL_STATE(10767)] = 524401,
  [SMALL_STATE(10768)] = 524461,
  [SMALL_STATE(10769)] = 524499,
  [SMALL_STATE(10770)] = 524535,
  [SMALL_STATE(10771)] = 524595,
  [SMALL_STATE(10772)] = 524631,
  [SMALL_STATE(10773)] = 524691,
  [SMALL_STATE(10774)] = 524727,
  [SMALL_STATE(10775)] = 524769,
  [SMALL_STATE(10776)] = 524805,
  [SMALL_STATE(10777)] = 524841,
  [SMALL_STATE(10778)] = 524877,
  [SMALL_STATE(10779)] = 524913,
  [SMALL_STATE(10780)] = 524949,
  [SMALL_STATE(10781)] = 524985,
  [SMALL_STATE(10782)] = 525025,
  [SMALL_STATE(10783)] = 525063,
  [SMALL_STATE(10784)] = 525113,
  [SMALL_STATE(10785)] = 525151,
  [SMALL_STATE(10786)] = 525211,
  [SMALL_STATE(10787)] = 525257,
  [SMALL_STATE(10788)] = 525293,
  [SMALL_STATE(10789)] = 525333,
  [SMALL_STATE(10790)] = 525379,
  [SMALL_STATE(10791)] = 525439,
  [SMALL_STATE(10792)] = 525475,
  [SMALL_STATE(10793)] = 525517,
  [SMALL_STATE(10794)] = 525577,
  [SMALL_STATE(10795)] = 525623,
  [SMALL_STATE(10796)] = 525683,
  [SMALL_STATE(10797)] = 525725,
  [SMALL_STATE(10798)] = 525765,
  [SMALL_STATE(10799)] = 525805,
  [SMALL_STATE(10800)] = 525851,
  [SMALL_STATE(10801)] = 525891,
  [SMALL_STATE(10802)] = 525937,
  [SMALL_STATE(10803)] = 525973,
  [SMALL_STATE(10804)] = 526033,
  [SMALL_STATE(10805)] = 526069,
  [SMALL_STATE(10806)] = 526105,
  [SMALL_STATE(10807)] = 526141,
  [SMALL_STATE(10808)] = 526177,
  [SMALL_STATE(10809)] = 526237,
  [SMALL_STATE(10810)] = 526273,
  [SMALL_STATE(10811)] = 526311,
  [SMALL_STATE(10812)] = 526347,
  [SMALL_STATE(10813)] = 526383,
  [SMALL_STATE(10814)] = 526419,
  [SMALL_STATE(10815)] = 526455,
  [SMALL_STATE(10816)] = 526491,
  [SMALL_STATE(10817)] = 526527,
  [SMALL_STATE(10818)] = 526569,
  [SMALL_STATE(10819)] = 526605,
  [SMALL_STATE(10820)] = 526665,
  [SMALL_STATE(10821)] = 526707,
  [SMALL_STATE(10822)] = 526745,
  [SMALL_STATE(10823)] = 526781,
  [SMALL_STATE(10824)] = 526817,
  [SMALL_STATE(10825)] = 526853,
  [SMALL_STATE(10826)] = 526889,
  [SMALL_STATE(10827)] = 526925,
  [SMALL_STATE(10828)] = 526961,
  [SMALL_STATE(10829)] = 526997,
  [SMALL_STATE(10830)] = 527033,
  [SMALL_STATE(10831)] = 527069,
  [SMALL_STATE(10832)] = 527105,
  [SMALL_STATE(10833)] = 527141,
  [SMALL_STATE(10834)] = 527201,
  [SMALL_STATE(10835)] = 527261,
  [SMALL_STATE(10836)] = 527297,
  [SMALL_STATE(10837)] = 527343,
  [SMALL_STATE(10838)] = 527379,
  [SMALL_STATE(10839)] = 527415,
  [SMALL_STATE(10840)] = 527451,
  [SMALL_STATE(10841)] = 527497,
  [SMALL_STATE(10842)] = 527557,
  [SMALL_STATE(10843)] = 527617,
  [SMALL_STATE(10844)] = 527663,
  [SMALL_STATE(10845)] = 527723,
  [SMALL_STATE(10846)] = 527783,
  [SMALL_STATE(10847)] = 527843,
  [SMALL_STATE(10848)] = 527903,
  [SMALL_STATE(10849)] = 527943,
  [SMALL_STATE(10850)] = 527983,
  [SMALL_STATE(10851)] = 528023,
  [SMALL_STATE(10852)] = 528063,
  [SMALL_STATE(10853)] = 528123,
  [SMALL_STATE(10854)] = 528183,
  [SMALL_STATE(10855)] = 528243,
  [SMALL_STATE(10856)] = 528285,
  [SMALL_STATE(10857)] = 528345,
  [SMALL_STATE(10858)] = 528405,
  [SMALL_STATE(10859)] = 528465,
  [SMALL_STATE(10860)] = 528525,
  [SMALL_STATE(10861)] = 528585,
  [SMALL_STATE(10862)] = 528621,
  [SMALL_STATE(10863)] = 528681,
  [SMALL_STATE(10864)] = 528741,
  [SMALL_STATE(10865)] = 528801,
  [SMALL_STATE(10866)] = 528861,
  [SMALL_STATE(10867)] = 528921,
  [SMALL_STATE(10868)] = 528981,
  [SMALL_STATE(10869)] = 529017,
  [SMALL_STATE(10870)] = 529074,
  [SMALL_STATE(10871)] = 529109,
  [SMALL_STATE(10872)] = 529166,
  [SMALL_STATE(10873)] = 529201,
  [SMALL_STATE(10874)] = 529236,
  [SMALL_STATE(10875)] = 529271,
  [SMALL_STATE(10876)] = 529306,
  [SMALL_STATE(10877)] = 529363,
  [SMALL_STATE(10878)] = 529398,
  [SMALL_STATE(10879)] = 529455,
  [SMALL_STATE(10880)] = 529512,
  [SMALL_STATE(10881)] = 529569,
  [SMALL_STATE(10882)] = 529626,
  [SMALL_STATE(10883)] = 529671,
  [SMALL_STATE(10884)] = 529728,
  [SMALL_STATE(10885)] = 529767,
  [SMALL_STATE(10886)] = 529804,
  [SMALL_STATE(10887)] = 529861,
  [SMALL_STATE(10888)] = 529918,
  [SMALL_STATE(10889)] = 529975,
  [SMALL_STATE(10890)] = 530032,
  [SMALL_STATE(10891)] = 530089,
  [SMALL_STATE(10892)] = 530128,
  [SMALL_STATE(10893)] = 530185,
  [SMALL_STATE(10894)] = 530220,
  [SMALL_STATE(10895)] = 530277,
  [SMALL_STATE(10896)] = 530316,
  [SMALL_STATE(10897)] = 530353,
  [SMALL_STATE(10898)] = 530396,
  [SMALL_STATE(10899)] = 530453,
  [SMALL_STATE(10900)] = 530496,
  [SMALL_STATE(10901)] = 530539,
  [SMALL_STATE(10902)] = 530578,
  [SMALL_STATE(10903)] = 530623,
  [SMALL_STATE(10904)] = 530666,
  [SMALL_STATE(10905)] = 530705,
  [SMALL_STATE(10906)] = 530742,
  [SMALL_STATE(10907)] = 530787,
  [SMALL_STATE(10908)] = 530830,
  [SMALL_STATE(10909)] = 530873,
  [SMALL_STATE(10910)] = 530916,
  [SMALL_STATE(10911)] = 530959,
  [SMALL_STATE(10912)] = 531002,
  [SMALL_STATE(10913)] = 531045,
  [SMALL_STATE(10914)] = 531090,
  [SMALL_STATE(10915)] = 531147,
  [SMALL_STATE(10916)] = 531186,
  [SMALL_STATE(10917)] = 531225,
  [SMALL_STATE(10918)] = 531262,
  [SMALL_STATE(10919)] = 531321,
  [SMALL_STATE(10920)] = 531364,
  [SMALL_STATE(10921)] = 531407,
  [SMALL_STATE(10922)] = 531446,
  [SMALL_STATE(10923)] = 531489,
  [SMALL_STATE(10924)] = 531532,
  [SMALL_STATE(10925)] = 531575,
  [SMALL_STATE(10926)] = 531618,
  [SMALL_STATE(10927)] = 531661,
  [SMALL_STATE(10928)] = 531704,
  [SMALL_STATE(10929)] = 531747,
  [SMALL_STATE(10930)] = 531790,
  [SMALL_STATE(10931)] = 531847,
  [SMALL_STATE(10932)] = 531884,
  [SMALL_STATE(10933)] = 531923,
  [SMALL_STATE(10934)] = 531968,
  [SMALL_STATE(10935)] = 532025,
  [SMALL_STATE(10936)] = 532066,
  [SMALL_STATE(10937)] = 532107,
  [SMALL_STATE(10938)] = 532148,
  [SMALL_STATE(10939)] = 532205,
  [SMALL_STATE(10940)] = 532250,
  [SMALL_STATE(10941)] = 532303,
  [SMALL_STATE(10942)] = 532348,
  [SMALL_STATE(10943)] = 532387,
  [SMALL_STATE(10944)] = 532426,
  [SMALL_STATE(10945)] = 532473,
  [SMALL_STATE(10946)] = 532520,
  [SMALL_STATE(10947)] = 532571,
  [SMALL_STATE(10948)] = 532624,
  [SMALL_STATE(10949)] = 532681,
  [SMALL_STATE(10950)] = 532722,
  [SMALL_STATE(10951)] = 532779,
  [SMALL_STATE(10952)] = 532818,
  [SMALL_STATE(10953)] = 532875,
  [SMALL_STATE(10954)] = 532914,
  [SMALL_STATE(10955)] = 532951,
  [SMALL_STATE(10956)] = 532988,
  [SMALL_STATE(10957)] = 533045,
  [SMALL_STATE(10958)] = 533102,
  [SMALL_STATE(10959)] = 533141,
  [SMALL_STATE(10960)] = 533180,
  [SMALL_STATE(10961)] = 533219,
  [SMALL_STATE(10962)] = 533258,
  [SMALL_STATE(10963)] = 533295,
  [SMALL_STATE(10964)] = 533352,
  [SMALL_STATE(10965)] = 533391,
  [SMALL_STATE(10966)] = 533448,
  [SMALL_STATE(10967)] = 533487,
  [SMALL_STATE(10968)] = 533526,
  [SMALL_STATE(10969)] = 533565,
  [SMALL_STATE(10970)] = 533600,
  [SMALL_STATE(10971)] = 533657,
  [SMALL_STATE(10972)] = 533692,
  [SMALL_STATE(10973)] = 533727,
  [SMALL_STATE(10974)] = 533768,
  [SMALL_STATE(10975)] = 533809,
  [SMALL_STATE(10976)] = 533846,
  [SMALL_STATE(10977)] = 533903,
  [SMALL_STATE(10978)] = 533944,
  [SMALL_STATE(10979)] = 534001,
  [SMALL_STATE(10980)] = 534058,
  [SMALL_STATE(10981)] = 534093,
  [SMALL_STATE(10982)] = 534136,
  [SMALL_STATE(10983)] = 534171,
  [SMALL_STATE(10984)] = 534210,
  [SMALL_STATE(10985)] = 534255,
  [SMALL_STATE(10986)] = 534300,
  [SMALL_STATE(10987)] = 534335,
  [SMALL_STATE(10988)] = 534392,
  [SMALL_STATE(10989)] = 534427,
  [SMALL_STATE(10990)] = 534462,
  [SMALL_STATE(10991)] = 534497,
  [SMALL_STATE(10992)] = 534532,
  [SMALL_STATE(10993)] = 534577,
  [SMALL_STATE(10994)] = 534622,
  [SMALL_STATE(10995)] = 534667,
  [SMALL_STATE(10996)] = 534724,
  [SMALL_STATE(10997)] = 534781,
  [SMALL_STATE(10998)] = 534816,
  [SMALL_STATE(10999)] = 534873,
  [SMALL_STATE(11000)] = 534908,
  [SMALL_STATE(11001)] = 534943,
  [SMALL_STATE(11002)] = 534978,
  [SMALL_STATE(11003)] = 535035,
  [SMALL_STATE(11004)] = 535070,
  [SMALL_STATE(11005)] = 535105,
  [SMALL_STATE(11006)] = 535140,
  [SMALL_STATE(11007)] = 535175,
  [SMALL_STATE(11008)] = 535214,
  [SMALL_STATE(11009)] = 535271,
  [SMALL_STATE(11010)] = 535306,
  [SMALL_STATE(11011)] = 535341,
  [SMALL_STATE(11012)] = 535376,
  [SMALL_STATE(11013)] = 535411,
  [SMALL_STATE(11014)] = 535446,
  [SMALL_STATE(11015)] = 535481,
  [SMALL_STATE(11016)] = 535538,
  [SMALL_STATE(11017)] = 535595,
  [SMALL_STATE(11018)] = 535630,
  [SMALL_STATE(11019)] = 535665,
  [SMALL_STATE(11020)] = 535700,
  [SMALL_STATE(11021)] = 535735,
  [SMALL_STATE(11022)] = 535792,
  [SMALL_STATE(11023)] = 535835,
  [SMALL_STATE(11024)] = 535874,
  [SMALL_STATE(11025)] = 535913,
  [SMALL_STATE(11026)] = 535956,
  [SMALL_STATE(11027)] = 535995,
  [SMALL_STATE(11028)] = 536030,
  [SMALL_STATE(11029)] = 536087,
  [SMALL_STATE(11030)] = 536144,
  [SMALL_STATE(11031)] = 536183,
  [SMALL_STATE(11032)] = 536222,
  [SMALL_STATE(11033)] = 536259,
  [SMALL_STATE(11034)] = 536316,
  [SMALL_STATE(11035)] = 536355,
  [SMALL_STATE(11036)] = 536394,
  [SMALL_STATE(11037)] = 536431,
  [SMALL_STATE(11038)] = 536476,
  [SMALL_STATE(11039)] = 536521,
  [SMALL_STATE(11040)] = 536560,
  [SMALL_STATE(11041)] = 536605,
  [SMALL_STATE(11042)] = 536650,
  [SMALL_STATE(11043)] = 536695,
  [SMALL_STATE(11044)] = 536740,
  [SMALL_STATE(11045)] = 536779,
  [SMALL_STATE(11046)] = 536824,
  [SMALL_STATE(11047)] = 536869,
  [SMALL_STATE(11048)] = 536914,
  [SMALL_STATE(11049)] = 536959,
  [SMALL_STATE(11050)] = 537004,
  [SMALL_STATE(11051)] = 537049,
  [SMALL_STATE(11052)] = 537094,
  [SMALL_STATE(11053)] = 537139,
  [SMALL_STATE(11054)] = 537184,
  [SMALL_STATE(11055)] = 537229,
  [SMALL_STATE(11056)] = 537286,
  [SMALL_STATE(11057)] = 537321,
  [SMALL_STATE(11058)] = 537378,
  [SMALL_STATE(11059)] = 537413,
  [SMALL_STATE(11060)] = 537470,
  [SMALL_STATE(11061)] = 537527,
  [SMALL_STATE(11062)] = 537572,
  [SMALL_STATE(11063)] = 537629,
  [SMALL_STATE(11064)] = 537668,
  [SMALL_STATE(11065)] = 537725,
  [SMALL_STATE(11066)] = 537760,
  [SMALL_STATE(11067)] = 537795,
  [SMALL_STATE(11068)] = 537834,
  [SMALL_STATE(11069)] = 537891,
  [SMALL_STATE(11070)] = 537936,
  [SMALL_STATE(11071)] = 537981,
  [SMALL_STATE(11072)] = 538020,
  [SMALL_STATE(11073)] = 538063,
  [SMALL_STATE(11074)] = 538120,
  [SMALL_STATE(11075)] = 538160,
  [SMALL_STATE(11076)] = 538198,
  [SMALL_STATE(11077)] = 538236,
  [SMALL_STATE(11078)] = 538282,
  [SMALL_STATE(11079)] = 538328,
  [SMALL_STATE(11080)] = 538378,
  [SMALL_STATE(11081)] = 538430,
  [SMALL_STATE(11082)] = 538486,
  [SMALL_STATE(11083)] = 538526,
  [SMALL_STATE(11084)] = 538582,
  [SMALL_STATE(11085)] = 538636,
  [SMALL_STATE(11086)] = 538690,
  [SMALL_STATE(11087)] = 538746,
  [SMALL_STATE(11088)] = 538788,
  [SMALL_STATE(11089)] = 538842,
  [SMALL_STATE(11090)] = 538882,
  [SMALL_STATE(11091)] = 538936,
  [SMALL_STATE(11092)] = 538976,
  [SMALL_STATE(11093)] = 539014,
  [SMALL_STATE(11094)] = 539068,
  [SMALL_STATE(11095)] = 539108,
  [SMALL_STATE(11096)] = 539146,
  [SMALL_STATE(11097)] = 539200,
  [SMALL_STATE(11098)] = 539236,
  [SMALL_STATE(11099)] = 539276,
  [SMALL_STATE(11100)] = 539330,
  [SMALL_STATE(11101)] = 539384,
  [SMALL_STATE(11102)] = 539438,
  [SMALL_STATE(11103)] = 539492,
  [SMALL_STATE(11104)] = 539546,
  [SMALL_STATE(11105)] = 539600,
  [SMALL_STATE(11106)] = 539654,
  [SMALL_STATE(11107)] = 539708,
  [SMALL_STATE(11108)] = 539762,
  [SMALL_STATE(11109)] = 539816,
  [SMALL_STATE(11110)] = 539870,
  [SMALL_STATE(11111)] = 539924,
  [SMALL_STATE(11112)] = 539964,
  [SMALL_STATE(11113)] = 540018,
  [SMALL_STATE(11114)] = 540072,
  [SMALL_STATE(11115)] = 540126,
  [SMALL_STATE(11116)] = 540180,
  [SMALL_STATE(11117)] = 540234,
  [SMALL_STATE(11118)] = 540288,
  [SMALL_STATE(11119)] = 540342,
  [SMALL_STATE(11120)] = 540394,
  [SMALL_STATE(11121)] = 540438,
  [SMALL_STATE(11122)] = 540476,
  [SMALL_STATE(11123)] = 540514,
  [SMALL_STATE(11124)] = 540560,
  [SMALL_STATE(11125)] = 540606,
  [SMALL_STATE(11126)] = 540656,
  [SMALL_STATE(11127)] = 540708,
  [SMALL_STATE(11128)] = 540764,
  [SMALL_STATE(11129)] = 540804,
  [SMALL_STATE(11130)] = 540860,
  [SMALL_STATE(11131)] = 540898,
  [SMALL_STATE(11132)] = 540954,
  [SMALL_STATE(11133)] = 541008,
  [SMALL_STATE(11134)] = 541060,
  [SMALL_STATE(11135)] = 541106,
  [SMALL_STATE(11136)] = 541160,
  [SMALL_STATE(11137)] = 541214,
  [SMALL_STATE(11138)] = 541268,
  [SMALL_STATE(11139)] = 541322,
  [SMALL_STATE(11140)] = 541376,
  [SMALL_STATE(11141)] = 541430,
  [SMALL_STATE(11142)] = 541484,
  [SMALL_STATE(11143)] = 541538,
  [SMALL_STATE(11144)] = 541582,
  [SMALL_STATE(11145)] = 541626,
  [SMALL_STATE(11146)] = 541680,
  [SMALL_STATE(11147)] = 541734,
  [SMALL_STATE(11148)] = 541788,
  [SMALL_STATE(11149)] = 541842,
  [SMALL_STATE(11150)] = 541884,
  [SMALL_STATE(11151)] = 541922,
  [SMALL_STATE(11152)] = 541976,
  [SMALL_STATE(11153)] = 542030,
  [SMALL_STATE(11154)] = 542084,
  [SMALL_STATE(11155)] = 542140,
  [SMALL_STATE(11156)] = 542194,
  [SMALL_STATE(11157)] = 542248,
  [SMALL_STATE(11158)] = 542302,
  [SMALL_STATE(11159)] = 542356,
  [SMALL_STATE(11160)] = 542410,
  [SMALL_STATE(11161)] = 542464,
  [SMALL_STATE(11162)] = 542518,
  [SMALL_STATE(11163)] = 542572,
  [SMALL_STATE(11164)] = 542626,
  [SMALL_STATE(11165)] = 542680,
  [SMALL_STATE(11166)] = 542734,
  [SMALL_STATE(11167)] = 542788,
  [SMALL_STATE(11168)] = 542842,
  [SMALL_STATE(11169)] = 542896,
  [SMALL_STATE(11170)] = 542950,
  [SMALL_STATE(11171)] = 542986,
  [SMALL_STATE(11172)] = 543024,
  [SMALL_STATE(11173)] = 543078,
  [SMALL_STATE(11174)] = 543132,
  [SMALL_STATE(11175)] = 543186,
  [SMALL_STATE(11176)] = 543240,
  [SMALL_STATE(11177)] = 543280,
  [SMALL_STATE(11178)] = 543320,
  [SMALL_STATE(11179)] = 543360,
  [SMALL_STATE(11180)] = 543414,
  [SMALL_STATE(11181)] = 543468,
  [SMALL_STATE(11182)] = 543522,
  [SMALL_STATE(11183)] = 543576,
  [SMALL_STATE(11184)] = 543620,
  [SMALL_STATE(11185)] = 543674,
  [SMALL_STATE(11186)] = 543712,
  [SMALL_STATE(11187)] = 543750,
  [SMALL_STATE(11188)] = 543788,
  [SMALL_STATE(11189)] = 543826,
  [SMALL_STATE(11190)] = 543864,
  [SMALL_STATE(11191)] = 543900,
  [SMALL_STATE(11192)] = 543940,
  [SMALL_STATE(11193)] = 543994,
  [SMALL_STATE(11194)] = 544032,
  [SMALL_STATE(11195)] = 544068,
  [SMALL_STATE(11196)] = 544122,
  [SMALL_STATE(11197)] = 544176,
  [SMALL_STATE(11198)] = 544230,
  [SMALL_STATE(11199)] = 544284,
  [SMALL_STATE(11200)] = 544338,
  [SMALL_STATE(11201)] = 544392,
  [SMALL_STATE(11202)] = 544432,
  [SMALL_STATE(11203)] = 544486,
  [SMALL_STATE(11204)] = 544540,
  [SMALL_STATE(11205)] = 544594,
  [SMALL_STATE(11206)] = 544648,
  [SMALL_STATE(11207)] = 544702,
  [SMALL_STATE(11208)] = 544756,
  [SMALL_STATE(11209)] = 544810,
  [SMALL_STATE(11210)] = 544864,
  [SMALL_STATE(11211)] = 544918,
  [SMALL_STATE(11212)] = 544972,
  [SMALL_STATE(11213)] = 545026,
  [SMALL_STATE(11214)] = 545080,
  [SMALL_STATE(11215)] = 545134,
  [SMALL_STATE(11216)] = 545188,
  [SMALL_STATE(11217)] = 545242,
  [SMALL_STATE(11218)] = 545296,
  [SMALL_STATE(11219)] = 545350,
  [SMALL_STATE(11220)] = 545404,
  [SMALL_STATE(11221)] = 545458,
  [SMALL_STATE(11222)] = 545512,
  [SMALL_STATE(11223)] = 545566,
  [SMALL_STATE(11224)] = 545604,
  [SMALL_STATE(11225)] = 545658,
  [SMALL_STATE(11226)] = 545712,
  [SMALL_STATE(11227)] = 545766,
  [SMALL_STATE(11228)] = 545820,
  [SMALL_STATE(11229)] = 545874,
  [SMALL_STATE(11230)] = 545910,
  [SMALL_STATE(11231)] = 545964,
  [SMALL_STATE(11232)] = 546018,
  [SMALL_STATE(11233)] = 546054,
  [SMALL_STATE(11234)] = 546108,
  [SMALL_STATE(11235)] = 546162,
  [SMALL_STATE(11236)] = 546216,
  [SMALL_STATE(11237)] = 546270,
  [SMALL_STATE(11238)] = 546324,
  [SMALL_STATE(11239)] = 546378,
  [SMALL_STATE(11240)] = 546432,
  [SMALL_STATE(11241)] = 546486,
  [SMALL_STATE(11242)] = 546540,
  [SMALL_STATE(11243)] = 546594,
  [SMALL_STATE(11244)] = 546648,
  [SMALL_STATE(11245)] = 546702,
  [SMALL_STATE(11246)] = 546756,
  [SMALL_STATE(11247)] = 546810,
  [SMALL_STATE(11248)] = 546864,
  [SMALL_STATE(11249)] = 546918,
  [SMALL_STATE(11250)] = 546972,
  [SMALL_STATE(11251)] = 547026,
  [SMALL_STATE(11252)] = 547080,
  [SMALL_STATE(11253)] = 547120,
  [SMALL_STATE(11254)] = 547174,
  [SMALL_STATE(11255)] = 547214,
  [SMALL_STATE(11256)] = 547268,
  [SMALL_STATE(11257)] = 547302,
  [SMALL_STATE(11258)] = 547356,
  [SMALL_STATE(11259)] = 547410,
  [SMALL_STATE(11260)] = 547464,
  [SMALL_STATE(11261)] = 547518,
  [SMALL_STATE(11262)] = 547572,
  [SMALL_STATE(11263)] = 547626,
  [SMALL_STATE(11264)] = 547680,
  [SMALL_STATE(11265)] = 547734,
  [SMALL_STATE(11266)] = 547788,
  [SMALL_STATE(11267)] = 547842,
  [SMALL_STATE(11268)] = 547896,
  [SMALL_STATE(11269)] = 547950,
  [SMALL_STATE(11270)] = 548004,
  [SMALL_STATE(11271)] = 548058,
  [SMALL_STATE(11272)] = 548112,
  [SMALL_STATE(11273)] = 548152,
  [SMALL_STATE(11274)] = 548192,
  [SMALL_STATE(11275)] = 548232,
  [SMALL_STATE(11276)] = 548286,
  [SMALL_STATE(11277)] = 548340,
  [SMALL_STATE(11278)] = 548394,
  [SMALL_STATE(11279)] = 548448,
  [SMALL_STATE(11280)] = 548502,
  [SMALL_STATE(11281)] = 548556,
  [SMALL_STATE(11282)] = 548610,
  [SMALL_STATE(11283)] = 548664,
  [SMALL_STATE(11284)] = 548718,
  [SMALL_STATE(11285)] = 548772,
  [SMALL_STATE(11286)] = 548812,
  [SMALL_STATE(11287)] = 548866,
  [SMALL_STATE(11288)] = 548904,
  [SMALL_STATE(11289)] = 548958,
  [SMALL_STATE(11290)] = 549012,
  [SMALL_STATE(11291)] = 549066,
  [SMALL_STATE(11292)] = 549102,
  [SMALL_STATE(11293)] = 549156,
  [SMALL_STATE(11294)] = 549194,
  [SMALL_STATE(11295)] = 549248,
  [SMALL_STATE(11296)] = 549302,
  [SMALL_STATE(11297)] = 549356,
  [SMALL_STATE(11298)] = 549410,
  [SMALL_STATE(11299)] = 549464,
  [SMALL_STATE(11300)] = 549518,
  [SMALL_STATE(11301)] = 549572,
  [SMALL_STATE(11302)] = 549626,
  [SMALL_STATE(11303)] = 549680,
  [SMALL_STATE(11304)] = 549734,
  [SMALL_STATE(11305)] = 549774,
  [SMALL_STATE(11306)] = 549828,
  [SMALL_STATE(11307)] = 549882,
  [SMALL_STATE(11308)] = 549936,
  [SMALL_STATE(11309)] = 549990,
  [SMALL_STATE(11310)] = 550044,
  [SMALL_STATE(11311)] = 550098,
  [SMALL_STATE(11312)] = 550152,
  [SMALL_STATE(11313)] = 550206,
  [SMALL_STATE(11314)] = 550260,
  [SMALL_STATE(11315)] = 550314,
  [SMALL_STATE(11316)] = 550368,
  [SMALL_STATE(11317)] = 550422,
  [SMALL_STATE(11318)] = 550476,
  [SMALL_STATE(11319)] = 550530,
  [SMALL_STATE(11320)] = 550570,
  [SMALL_STATE(11321)] = 550608,
  [SMALL_STATE(11322)] = 550662,
  [SMALL_STATE(11323)] = 550716,
  [SMALL_STATE(11324)] = 550770,
  [SMALL_STATE(11325)] = 550824,
  [SMALL_STATE(11326)] = 550878,
  [SMALL_STATE(11327)] = 550932,
  [SMALL_STATE(11328)] = 550986,
  [SMALL_STATE(11329)] = 551040,
  [SMALL_STATE(11330)] = 551094,
  [SMALL_STATE(11331)] = 551148,
  [SMALL_STATE(11332)] = 551186,
  [SMALL_STATE(11333)] = 551240,
  [SMALL_STATE(11334)] = 551294,
  [SMALL_STATE(11335)] = 551348,
  [SMALL_STATE(11336)] = 551402,
  [SMALL_STATE(11337)] = 551456,
  [SMALL_STATE(11338)] = 551496,
  [SMALL_STATE(11339)] = 551550,
  [SMALL_STATE(11340)] = 551604,
  [SMALL_STATE(11341)] = 551658,
  [SMALL_STATE(11342)] = 551712,
  [SMALL_STATE(11343)] = 551766,
  [SMALL_STATE(11344)] = 551820,
  [SMALL_STATE(11345)] = 551874,
  [SMALL_STATE(11346)] = 551928,
  [SMALL_STATE(11347)] = 551982,
  [SMALL_STATE(11348)] = 552036,
  [SMALL_STATE(11349)] = 552090,
  [SMALL_STATE(11350)] = 552130,
  [SMALL_STATE(11351)] = 552184,
  [SMALL_STATE(11352)] = 552238,
  [SMALL_STATE(11353)] = 552292,
  [SMALL_STATE(11354)] = 552346,
  [SMALL_STATE(11355)] = 552400,
  [SMALL_STATE(11356)] = 552454,
  [SMALL_STATE(11357)] = 552492,
  [SMALL_STATE(11358)] = 552546,
  [SMALL_STATE(11359)] = 552600,
  [SMALL_STATE(11360)] = 552654,
  [SMALL_STATE(11361)] = 552708,
  [SMALL_STATE(11362)] = 552750,
  [SMALL_STATE(11363)] = 552804,
  [SMALL_STATE(11364)] = 552858,
  [SMALL_STATE(11365)] = 552912,
  [SMALL_STATE(11366)] = 552966,
  [SMALL_STATE(11367)] = 553020,
  [SMALL_STATE(11368)] = 553074,
  [SMALL_STATE(11369)] = 553128,
  [SMALL_STATE(11370)] = 553182,
  [SMALL_STATE(11371)] = 553216,
  [SMALL_STATE(11372)] = 553270,
  [SMALL_STATE(11373)] = 553324,
  [SMALL_STATE(11374)] = 553378,
  [SMALL_STATE(11375)] = 553432,
  [SMALL_STATE(11376)] = 553486,
  [SMALL_STATE(11377)] = 553526,
  [SMALL_STATE(11378)] = 553580,
  [SMALL_STATE(11379)] = 553634,
  [SMALL_STATE(11380)] = 553688,
  [SMALL_STATE(11381)] = 553742,
  [SMALL_STATE(11382)] = 553796,
  [SMALL_STATE(11383)] = 553850,
  [SMALL_STATE(11384)] = 553904,
  [SMALL_STATE(11385)] = 553958,
  [SMALL_STATE(11386)] = 554012,
  [SMALL_STATE(11387)] = 554066,
  [SMALL_STATE(11388)] = 554120,
  [SMALL_STATE(11389)] = 554174,
  [SMALL_STATE(11390)] = 554228,
  [SMALL_STATE(11391)] = 554282,
  [SMALL_STATE(11392)] = 554336,
  [SMALL_STATE(11393)] = 554390,
  [SMALL_STATE(11394)] = 554444,
  [SMALL_STATE(11395)] = 554484,
  [SMALL_STATE(11396)] = 554538,
  [SMALL_STATE(11397)] = 554592,
  [SMALL_STATE(11398)] = 554646,
  [SMALL_STATE(11399)] = 554700,
  [SMALL_STATE(11400)] = 554754,
  [SMALL_STATE(11401)] = 554808,
  [SMALL_STATE(11402)] = 554862,
  [SMALL_STATE(11403)] = 554916,
  [SMALL_STATE(11404)] = 554970,
  [SMALL_STATE(11405)] = 555006,
  [SMALL_STATE(11406)] = 555060,
  [SMALL_STATE(11407)] = 555114,
  [SMALL_STATE(11408)] = 555168,
  [SMALL_STATE(11409)] = 555222,
  [SMALL_STATE(11410)] = 555276,
  [SMALL_STATE(11411)] = 555330,
  [SMALL_STATE(11412)] = 555384,
  [SMALL_STATE(11413)] = 555438,
  [SMALL_STATE(11414)] = 555492,
  [SMALL_STATE(11415)] = 555546,
  [SMALL_STATE(11416)] = 555600,
  [SMALL_STATE(11417)] = 555654,
  [SMALL_STATE(11418)] = 555708,
  [SMALL_STATE(11419)] = 555762,
  [SMALL_STATE(11420)] = 555816,
  [SMALL_STATE(11421)] = 555870,
  [SMALL_STATE(11422)] = 555924,
  [SMALL_STATE(11423)] = 555978,
  [SMALL_STATE(11424)] = 556032,
  [SMALL_STATE(11425)] = 556086,
  [SMALL_STATE(11426)] = 556140,
  [SMALL_STATE(11427)] = 556194,
  [SMALL_STATE(11428)] = 556248,
  [SMALL_STATE(11429)] = 556302,
  [SMALL_STATE(11430)] = 556356,
  [SMALL_STATE(11431)] = 556410,
  [SMALL_STATE(11432)] = 556464,
  [SMALL_STATE(11433)] = 556518,
  [SMALL_STATE(11434)] = 556572,
  [SMALL_STATE(11435)] = 556626,
  [SMALL_STATE(11436)] = 556666,
  [SMALL_STATE(11437)] = 556724,
  [SMALL_STATE(11438)] = 556778,
  [SMALL_STATE(11439)] = 556832,
  [SMALL_STATE(11440)] = 556886,
  [SMALL_STATE(11441)] = 556940,
  [SMALL_STATE(11442)] = 556994,
  [SMALL_STATE(11443)] = 557048,
  [SMALL_STATE(11444)] = 557102,
  [SMALL_STATE(11445)] = 557140,
  [SMALL_STATE(11446)] = 557194,
  [SMALL_STATE(11447)] = 557248,
  [SMALL_STATE(11448)] = 557302,
  [SMALL_STATE(11449)] = 557356,
  [SMALL_STATE(11450)] = 557410,
  [SMALL_STATE(11451)] = 557464,
  [SMALL_STATE(11452)] = 557518,
  [SMALL_STATE(11453)] = 557552,
  [SMALL_STATE(11454)] = 557606,
  [SMALL_STATE(11455)] = 557660,
  [SMALL_STATE(11456)] = 557714,
  [SMALL_STATE(11457)] = 557768,
  [SMALL_STATE(11458)] = 557822,
  [SMALL_STATE(11459)] = 557876,
  [SMALL_STATE(11460)] = 557916,
  [SMALL_STATE(11461)] = 557956,
  [SMALL_STATE(11462)] = 558010,
  [SMALL_STATE(11463)] = 558048,
  [SMALL_STATE(11464)] = 558086,
  [SMALL_STATE(11465)] = 558122,
  [SMALL_STATE(11466)] = 558176,
  [SMALL_STATE(11467)] = 558234,
  [SMALL_STATE(11468)] = 558288,
  [SMALL_STATE(11469)] = 558326,
  [SMALL_STATE(11470)] = 558364,
  [SMALL_STATE(11471)] = 558418,
  [SMALL_STATE(11472)] = 558472,
  [SMALL_STATE(11473)] = 558516,
  [SMALL_STATE(11474)] = 558556,
  [SMALL_STATE(11475)] = 558610,
  [SMALL_STATE(11476)] = 558664,
  [SMALL_STATE(11477)] = 558718,
  [SMALL_STATE(11478)] = 558772,
  [SMALL_STATE(11479)] = 558826,
  [SMALL_STATE(11480)] = 558880,
  [SMALL_STATE(11481)] = 558934,
  [SMALL_STATE(11482)] = 558974,
  [SMALL_STATE(11483)] = 559028,
  [SMALL_STATE(11484)] = 559082,
  [SMALL_STATE(11485)] = 559136,
  [SMALL_STATE(11486)] = 559190,
  [SMALL_STATE(11487)] = 559230,
  [SMALL_STATE(11488)] = 559284,
  [SMALL_STATE(11489)] = 559324,
  [SMALL_STATE(11490)] = 559378,
  [SMALL_STATE(11491)] = 559418,
  [SMALL_STATE(11492)] = 559472,
  [SMALL_STATE(11493)] = 559526,
  [SMALL_STATE(11494)] = 559580,
  [SMALL_STATE(11495)] = 559634,
  [SMALL_STATE(11496)] = 559688,
  [SMALL_STATE(11497)] = 559742,
  [SMALL_STATE(11498)] = 559796,
  [SMALL_STATE(11499)] = 559850,
  [SMALL_STATE(11500)] = 559904,
  [SMALL_STATE(11501)] = 559948,
  [SMALL_STATE(11502)] = 560002,
  [SMALL_STATE(11503)] = 560056,
  [SMALL_STATE(11504)] = 560110,
  [SMALL_STATE(11505)] = 560164,
  [SMALL_STATE(11506)] = 560202,
  [SMALL_STATE(11507)] = 560240,
  [SMALL_STATE(11508)] = 560276,
  [SMALL_STATE(11509)] = 560318,
  [SMALL_STATE(11510)] = 560372,
  [SMALL_STATE(11511)] = 560410,
  [SMALL_STATE(11512)] = 560464,
  [SMALL_STATE(11513)] = 560518,
  [SMALL_STATE(11514)] = 560556,
  [SMALL_STATE(11515)] = 560610,
  [SMALL_STATE(11516)] = 560664,
  [SMALL_STATE(11517)] = 560718,
  [SMALL_STATE(11518)] = 560772,
  [SMALL_STATE(11519)] = 560830,
  [SMALL_STATE(11520)] = 560884,
  [SMALL_STATE(11521)] = 560938,
  [SMALL_STATE(11522)] = 560992,
  [SMALL_STATE(11523)] = 561046,
  [SMALL_STATE(11524)] = 561100,
  [SMALL_STATE(11525)] = 561154,
  [SMALL_STATE(11526)] = 561208,
  [SMALL_STATE(11527)] = 561262,
  [SMALL_STATE(11528)] = 561316,
  [SMALL_STATE(11529)] = 561370,
  [SMALL_STATE(11530)] = 561424,
  [SMALL_STATE(11531)] = 561478,
  [SMALL_STATE(11532)] = 561532,
  [SMALL_STATE(11533)] = 561586,
  [SMALL_STATE(11534)] = 561624,
  [SMALL_STATE(11535)] = 561678,
  [SMALL_STATE(11536)] = 561712,
  [SMALL_STATE(11537)] = 561752,
  [SMALL_STATE(11538)] = 561806,
  [SMALL_STATE(11539)] = 561860,
  [SMALL_STATE(11540)] = 561914,
  [SMALL_STATE(11541)] = 561968,
  [SMALL_STATE(11542)] = 562022,
  [SMALL_STATE(11543)] = 562076,
  [SMALL_STATE(11544)] = 562130,
  [SMALL_STATE(11545)] = 562170,
  [SMALL_STATE(11546)] = 562224,
  [SMALL_STATE(11547)] = 562264,
  [SMALL_STATE(11548)] = 562318,
  [SMALL_STATE(11549)] = 562372,
  [SMALL_STATE(11550)] = 562426,
  [SMALL_STATE(11551)] = 562480,
  [SMALL_STATE(11552)] = 562534,
  [SMALL_STATE(11553)] = 562588,
  [SMALL_STATE(11554)] = 562642,
  [SMALL_STATE(11555)] = 562696,
  [SMALL_STATE(11556)] = 562750,
  [SMALL_STATE(11557)] = 562804,
  [SMALL_STATE(11558)] = 562858,
  [SMALL_STATE(11559)] = 562912,
  [SMALL_STATE(11560)] = 562966,
  [SMALL_STATE(11561)] = 563000,
  [SMALL_STATE(11562)] = 563054,
  [SMALL_STATE(11563)] = 563108,
  [SMALL_STATE(11564)] = 563162,
  [SMALL_STATE(11565)] = 563202,
  [SMALL_STATE(11566)] = 563256,
  [SMALL_STATE(11567)] = 563310,
  [SMALL_STATE(11568)] = 563364,
  [SMALL_STATE(11569)] = 563398,
  [SMALL_STATE(11570)] = 563452,
  [SMALL_STATE(11571)] = 563506,
  [SMALL_STATE(11572)] = 563560,
  [SMALL_STATE(11573)] = 563614,
  [SMALL_STATE(11574)] = 563668,
  [SMALL_STATE(11575)] = 563722,
  [SMALL_STATE(11576)] = 563760,
  [SMALL_STATE(11577)] = 563798,
  [SMALL_STATE(11578)] = 563836,
  [SMALL_STATE(11579)] = 563874,
  [SMALL_STATE(11580)] = 563914,
  [SMALL_STATE(11581)] = 563954,
  [SMALL_STATE(11582)] = 563990,
  [SMALL_STATE(11583)] = 564044,
  [SMALL_STATE(11584)] = 564098,
  [SMALL_STATE(11585)] = 564136,
  [SMALL_STATE(11586)] = 564190,
  [SMALL_STATE(11587)] = 564244,
  [SMALL_STATE(11588)] = 564288,
  [SMALL_STATE(11589)] = 564342,
  [SMALL_STATE(11590)] = 564396,
  [SMALL_STATE(11591)] = 564450,
  [SMALL_STATE(11592)] = 564504,
  [SMALL_STATE(11593)] = 564558,
  [SMALL_STATE(11594)] = 564612,
  [SMALL_STATE(11595)] = 564666,
  [SMALL_STATE(11596)] = 564718,
  [SMALL_STATE(11597)] = 564762,
  [SMALL_STATE(11598)] = 564816,
  [SMALL_STATE(11599)] = 564870,
  [SMALL_STATE(11600)] = 564924,
  [SMALL_STATE(11601)] = 564961,
  [SMALL_STATE(11602)] = 564998,
  [SMALL_STATE(11603)] = 565035,
  [SMALL_STATE(11604)] = 565068,
  [SMALL_STATE(11605)] = 565101,
  [SMALL_STATE(11606)] = 565138,
  [SMALL_STATE(11607)] = 565175,
  [SMALL_STATE(11608)] = 565208,
  [SMALL_STATE(11609)] = 565241,
  [SMALL_STATE(11610)] = 565278,
  [SMALL_STATE(11611)] = 565331,
  [SMALL_STATE(11612)] = 565368,
  [SMALL_STATE(11613)] = 565407,
  [SMALL_STATE(11614)] = 565446,
  [SMALL_STATE(11615)] = 565481,
  [SMALL_STATE(11616)] = 565538,
  [SMALL_STATE(11617)] = 565571,
  [SMALL_STATE(11618)] = 565610,
  [SMALL_STATE(11619)] = 565643,
  [SMALL_STATE(11620)] = 565676,
  [SMALL_STATE(11621)] = 565709,
  [SMALL_STATE(11622)] = 565742,
  [SMALL_STATE(11623)] = 565775,
  [SMALL_STATE(11624)] = 565808,
  [SMALL_STATE(11625)] = 565841,
  [SMALL_STATE(11626)] = 565886,
  [SMALL_STATE(11627)] = 565937,
  [SMALL_STATE(11628)] = 565980,
  [SMALL_STATE(11629)] = 566023,
  [SMALL_STATE(11630)] = 566060,
  [SMALL_STATE(11631)] = 566111,
  [SMALL_STATE(11632)] = 566148,
  [SMALL_STATE(11633)] = 566183,
  [SMALL_STATE(11634)] = 566216,
  [SMALL_STATE(11635)] = 566249,
  [SMALL_STATE(11636)] = 566282,
  [SMALL_STATE(11637)] = 566321,
  [SMALL_STATE(11638)] = 566366,
  [SMALL_STATE(11639)] = 566411,
  [SMALL_STATE(11640)] = 566444,
  [SMALL_STATE(11641)] = 566493,
  [SMALL_STATE(11642)] = 566526,
  [SMALL_STATE(11643)] = 566565,
  [SMALL_STATE(11644)] = 566602,
  [SMALL_STATE(11645)] = 566645,
  [SMALL_STATE(11646)] = 566690,
  [SMALL_STATE(11647)] = 566741,
  [SMALL_STATE(11648)] = 566796,
  [SMALL_STATE(11649)] = 566835,
  [SMALL_STATE(11650)] = 566878,
  [SMALL_STATE(11651)] = 566933,
  [SMALL_STATE(11652)] = 566966,
  [SMALL_STATE(11653)] = 566999,
  [SMALL_STATE(11654)] = 567042,
  [SMALL_STATE(11655)] = 567091,
  [SMALL_STATE(11656)] = 567126,
  [SMALL_STATE(11657)] = 567165,
  [SMALL_STATE(11658)] = 567222,
  [SMALL_STATE(11659)] = 567255,
  [SMALL_STATE(11660)] = 567288,
  [SMALL_STATE(11661)] = 567325,
  [SMALL_STATE(11662)] = 567364,
  [SMALL_STATE(11663)] = 567403,
  [SMALL_STATE(11664)] = 567442,
  [SMALL_STATE(11665)] = 567485,
  [SMALL_STATE(11666)] = 567524,
  [SMALL_STATE(11667)] = 567563,
  [SMALL_STATE(11668)] = 567602,
  [SMALL_STATE(11669)] = 567639,
  [SMALL_STATE(11670)] = 567676,
  [SMALL_STATE(11671)] = 567713,
  [SMALL_STATE(11672)] = 567764,
  [SMALL_STATE(11673)] = 567801,
  [SMALL_STATE(11674)] = 567836,
  [SMALL_STATE(11675)] = 567891,
  [SMALL_STATE(11676)] = 567930,
  [SMALL_STATE(11677)] = 567985,
  [SMALL_STATE(11678)] = 568022,
  [SMALL_STATE(11679)] = 568061,
  [SMALL_STATE(11680)] = 568094,
  [SMALL_STATE(11681)] = 568149,
  [SMALL_STATE(11682)] = 568182,
  [SMALL_STATE(11683)] = 568233,
  [SMALL_STATE(11684)] = 568266,
  [SMALL_STATE(11685)] = 568317,
  [SMALL_STATE(11686)] = 568360,
  [SMALL_STATE(11687)] = 568399,
  [SMALL_STATE(11688)] = 568436,
  [SMALL_STATE(11689)] = 568493,
  [SMALL_STATE(11690)] = 568530,
  [SMALL_STATE(11691)] = 568567,
  [SMALL_STATE(11692)] = 568604,
  [SMALL_STATE(11693)] = 568641,
  [SMALL_STATE(11694)] = 568678,
  [SMALL_STATE(11695)] = 568721,
  [SMALL_STATE(11696)] = 568754,
  [SMALL_STATE(11697)] = 568805,
  [SMALL_STATE(11698)] = 568842,
  [SMALL_STATE(11699)] = 568881,
  [SMALL_STATE(11700)] = 568932,
  [SMALL_STATE(11701)] = 568965,
  [SMALL_STATE(11702)] = 569002,
  [SMALL_STATE(11703)] = 569037,
  [SMALL_STATE(11704)] = 569074,
  [SMALL_STATE(11705)] = 569111,
  [SMALL_STATE(11706)] = 569144,
  [SMALL_STATE(11707)] = 569183,
  [SMALL_STATE(11708)] = 569234,
  [SMALL_STATE(11709)] = 569271,
  [SMALL_STATE(11710)] = 569306,
  [SMALL_STATE(11711)] = 569347,
  [SMALL_STATE(11712)] = 569384,
  [SMALL_STATE(11713)] = 569421,
  [SMALL_STATE(11714)] = 569458,
  [SMALL_STATE(11715)] = 569499,
  [SMALL_STATE(11716)] = 569550,
  [SMALL_STATE(11717)] = 569591,
  [SMALL_STATE(11718)] = 569630,
  [SMALL_STATE(11719)] = 569669,
  [SMALL_STATE(11720)] = 569706,
  [SMALL_STATE(11721)] = 569739,
  [SMALL_STATE(11722)] = 569772,
  [SMALL_STATE(11723)] = 569823,
  [SMALL_STATE(11724)] = 569860,
  [SMALL_STATE(11725)] = 569903,
  [SMALL_STATE(11726)] = 569936,
  [SMALL_STATE(11727)] = 569969,
  [SMALL_STATE(11728)] = 570020,
  [SMALL_STATE(11729)] = 570063,
  [SMALL_STATE(11730)] = 570102,
  [SMALL_STATE(11731)] = 570143,
  [SMALL_STATE(11732)] = 570178,
  [SMALL_STATE(11733)] = 570229,
  [SMALL_STATE(11734)] = 570284,
  [SMALL_STATE(11735)] = 570323,
  [SMALL_STATE(11736)] = 570356,
  [SMALL_STATE(11737)] = 570389,
  [SMALL_STATE(11738)] = 570444,
  [SMALL_STATE(11739)] = 570481,
  [SMALL_STATE(11740)] = 570520,
  [SMALL_STATE(11741)] = 570559,
  [SMALL_STATE(11742)] = 570596,
  [SMALL_STATE(11743)] = 570639,
  [SMALL_STATE(11744)] = 570678,
  [SMALL_STATE(11745)] = 570715,
  [SMALL_STATE(11746)] = 570750,
  [SMALL_STATE(11747)] = 570789,
  [SMALL_STATE(11748)] = 570832,
  [SMALL_STATE(11749)] = 570867,
  [SMALL_STATE(11750)] = 570910,
  [SMALL_STATE(11751)] = 570947,
  [SMALL_STATE(11752)] = 570984,
  [SMALL_STATE(11753)] = 571019,
  [SMALL_STATE(11754)] = 571055,
  [SMALL_STATE(11755)] = 571091,
  [SMALL_STATE(11756)] = 571125,
  [SMALL_STATE(11757)] = 571161,
  [SMALL_STATE(11758)] = 571211,
  [SMALL_STATE(11759)] = 571253,
  [SMALL_STATE(11760)] = 571289,
  [SMALL_STATE(11761)] = 571325,
  [SMALL_STATE(11762)] = 571369,
  [SMALL_STATE(11763)] = 571413,
  [SMALL_STATE(11764)] = 571461,
  [SMALL_STATE(11765)] = 571511,
  [SMALL_STATE(11766)] = 571565,
  [SMALL_STATE(11767)] = 571603,
  [SMALL_STATE(11768)] = 571657,
  [SMALL_STATE(11769)] = 571693,
  [SMALL_STATE(11770)] = 571747,
  [SMALL_STATE(11771)] = 571779,
  [SMALL_STATE(11772)] = 571827,
  [SMALL_STATE(11773)] = 571875,
  [SMALL_STATE(11774)] = 571923,
  [SMALL_STATE(11775)] = 571957,
  [SMALL_STATE(11776)] = 571993,
  [SMALL_STATE(11777)] = 572047,
  [SMALL_STATE(11778)] = 572095,
  [SMALL_STATE(11779)] = 572131,
  [SMALL_STATE(11780)] = 572167,
  [SMALL_STATE(11781)] = 572203,
  [SMALL_STATE(11782)] = 572239,
  [SMALL_STATE(11783)] = 572289,
  [SMALL_STATE(11784)] = 572331,
  [SMALL_STATE(11785)] = 572367,
  [SMALL_STATE(11786)] = 572403,
  [SMALL_STATE(11787)] = 572447,
  [SMALL_STATE(11788)] = 572491,
  [SMALL_STATE(11789)] = 572539,
  [SMALL_STATE(11790)] = 572589,
  [SMALL_STATE(11791)] = 572643,
  [SMALL_STATE(11792)] = 572681,
  [SMALL_STATE(11793)] = 572735,
  [SMALL_STATE(11794)] = 572771,
  [SMALL_STATE(11795)] = 572825,
  [SMALL_STATE(11796)] = 572875,
  [SMALL_STATE(11797)] = 572931,
  [SMALL_STATE(11798)] = 572979,
  [SMALL_STATE(11799)] = 573017,
  [SMALL_STATE(11800)] = 573053,
  [SMALL_STATE(11801)] = 573087,
  [SMALL_STATE(11802)] = 573123,
  [SMALL_STATE(11803)] = 573157,
  [SMALL_STATE(11804)] = 573191,
  [SMALL_STATE(11805)] = 573225,
  [SMALL_STATE(11806)] = 573263,
  [SMALL_STATE(11807)] = 573301,
  [SMALL_STATE(11808)] = 573339,
  [SMALL_STATE(11809)] = 573373,
  [SMALL_STATE(11810)] = 573421,
  [SMALL_STATE(11811)] = 573459,
  [SMALL_STATE(11812)] = 573495,
  [SMALL_STATE(11813)] = 573549,
  [SMALL_STATE(11814)] = 573591,
  [SMALL_STATE(11815)] = 573629,
  [SMALL_STATE(11816)] = 573667,
  [SMALL_STATE(11817)] = 573705,
  [SMALL_STATE(11818)] = 573761,
  [SMALL_STATE(11819)] = 573809,
  [SMALL_STATE(11820)] = 573867,
  [SMALL_STATE(11821)] = 573903,
  [SMALL_STATE(11822)] = 573939,
  [SMALL_STATE(11823)] = 573983,
  [SMALL_STATE(11824)] = 574027,
  [SMALL_STATE(11825)] = 574075,
  [SMALL_STATE(11826)] = 574131,
  [SMALL_STATE(11827)] = 574179,
  [SMALL_STATE(11828)] = 574215,
  [SMALL_STATE(11829)] = 574251,
  [SMALL_STATE(11830)] = 574287,
  [SMALL_STATE(11831)] = 574323,
  [SMALL_STATE(11832)] = 574359,
  [SMALL_STATE(11833)] = 574393,
  [SMALL_STATE(11834)] = 574441,
  [SMALL_STATE(11835)] = 574489,
  [SMALL_STATE(11836)] = 574525,
  [SMALL_STATE(11837)] = 574561,
  [SMALL_STATE(11838)] = 574597,
  [SMALL_STATE(11839)] = 574633,
  [SMALL_STATE(11840)] = 574667,
  [SMALL_STATE(11841)] = 574717,
  [SMALL_STATE(11842)] = 574749,
  [SMALL_STATE(11843)] = 574797,
  [SMALL_STATE(11844)] = 574833,
  [SMALL_STATE(11845)] = 574869,
  [SMALL_STATE(11846)] = 574905,
  [SMALL_STATE(11847)] = 574941,
  [SMALL_STATE(11848)] = 574975,
  [SMALL_STATE(11849)] = 575023,
  [SMALL_STATE(11850)] = 575059,
  [SMALL_STATE(11851)] = 575113,
  [SMALL_STATE(11852)] = 575145,
  [SMALL_STATE(11853)] = 575193,
  [SMALL_STATE(11854)] = 575241,
  [SMALL_STATE(11855)] = 575289,
  [SMALL_STATE(11856)] = 575325,
  [SMALL_STATE(11857)] = 575361,
  [SMALL_STATE(11858)] = 575397,
  [SMALL_STATE(11859)] = 575433,
  [SMALL_STATE(11860)] = 575469,
  [SMALL_STATE(11861)] = 575503,
  [SMALL_STATE(11862)] = 575553,
  [SMALL_STATE(11863)] = 575595,
  [SMALL_STATE(11864)] = 575631,
  [SMALL_STATE(11865)] = 575679,
  [SMALL_STATE(11866)] = 575715,
  [SMALL_STATE(11867)] = 575751,
  [SMALL_STATE(11868)] = 575795,
  [SMALL_STATE(11869)] = 575839,
  [SMALL_STATE(11870)] = 575887,
  [SMALL_STATE(11871)] = 575937,
  [SMALL_STATE(11872)] = 575991,
  [SMALL_STATE(11873)] = 576041,
  [SMALL_STATE(11874)] = 576089,
  [SMALL_STATE(11875)] = 576131,
  [SMALL_STATE(11876)] = 576167,
  [SMALL_STATE(11877)] = 576205,
  [SMALL_STATE(11878)] = 576259,
  [SMALL_STATE(11879)] = 576295,
  [SMALL_STATE(11880)] = 576331,
  [SMALL_STATE(11881)] = 576375,
  [SMALL_STATE(11882)] = 576423,
  [SMALL_STATE(11883)] = 576467,
  [SMALL_STATE(11884)] = 576515,
  [SMALL_STATE(11885)] = 576565,
  [SMALL_STATE(11886)] = 576599,
  [SMALL_STATE(11887)] = 576635,
  [SMALL_STATE(11888)] = 576671,
  [SMALL_STATE(11889)] = 576719,
  [SMALL_STATE(11890)] = 576753,
  [SMALL_STATE(11891)] = 576801,
  [SMALL_STATE(11892)] = 576855,
  [SMALL_STATE(11893)] = 576903,
  [SMALL_STATE(11894)] = 576941,
  [SMALL_STATE(11895)] = 576977,
  [SMALL_STATE(11896)] = 577025,
  [SMALL_STATE(11897)] = 577079,
  [SMALL_STATE(11898)] = 577133,
  [SMALL_STATE(11899)] = 577181,
  [SMALL_STATE(11900)] = 577215,
  [SMALL_STATE(11901)] = 577269,
  [SMALL_STATE(11902)] = 577305,
  [SMALL_STATE(11903)] = 577353,
  [SMALL_STATE(11904)] = 577407,
  [SMALL_STATE(11905)] = 577461,
  [SMALL_STATE(11906)] = 577499,
  [SMALL_STATE(11907)] = 577547,
  [SMALL_STATE(11908)] = 577595,
  [SMALL_STATE(11909)] = 577649,
  [SMALL_STATE(11910)] = 577697,
  [SMALL_STATE(11911)] = 577733,
  [SMALL_STATE(11912)] = 577781,
  [SMALL_STATE(11913)] = 577837,
  [SMALL_STATE(11914)] = 577873,
  [SMALL_STATE(11915)] = 577921,
  [SMALL_STATE(11916)] = 577953,
  [SMALL_STATE(11917)] = 578001,
  [SMALL_STATE(11918)] = 578057,
  [SMALL_STATE(11919)] = 578105,
  [SMALL_STATE(11920)] = 578153,
  [SMALL_STATE(11921)] = 578189,
  [SMALL_STATE(11922)] = 578237,
  [SMALL_STATE(11923)] = 578273,
  [SMALL_STATE(11924)] = 578321,
  [SMALL_STATE(11925)] = 578369,
  [SMALL_STATE(11926)] = 578403,
  [SMALL_STATE(11927)] = 578451,
  [SMALL_STATE(11928)] = 578499,
  [SMALL_STATE(11929)] = 578535,
  [SMALL_STATE(11930)] = 578583,
  [SMALL_STATE(11931)] = 578631,
  [SMALL_STATE(11932)] = 578663,
  [SMALL_STATE(11933)] = 578711,
  [SMALL_STATE(11934)] = 578747,
  [SMALL_STATE(11935)] = 578795,
  [SMALL_STATE(11936)] = 578843,
  [SMALL_STATE(11937)] = 578877,
  [SMALL_STATE(11938)] = 578913,
  [SMALL_STATE(11939)] = 578949,
  [SMALL_STATE(11940)] = 578997,
  [SMALL_STATE(11941)] = 579045,
  [SMALL_STATE(11942)] = 579093,
  [SMALL_STATE(11943)] = 579125,
  [SMALL_STATE(11944)] = 579161,
  [SMALL_STATE(11945)] = 579209,
  [SMALL_STATE(11946)] = 579257,
  [SMALL_STATE(11947)] = 579289,
  [SMALL_STATE(11948)] = 579321,
  [SMALL_STATE(11949)] = 579357,
  [SMALL_STATE(11950)] = 579405,
  [SMALL_STATE(11951)] = 579441,
  [SMALL_STATE(11952)] = 579489,
  [SMALL_STATE(11953)] = 579537,
  [SMALL_STATE(11954)] = 579585,
  [SMALL_STATE(11955)] = 579639,
  [SMALL_STATE(11956)] = 579675,
  [SMALL_STATE(11957)] = 579723,
  [SMALL_STATE(11958)] = 579759,
  [SMALL_STATE(11959)] = 579807,
  [SMALL_STATE(11960)] = 579841,
  [SMALL_STATE(11961)] = 579889,
  [SMALL_STATE(11962)] = 579925,
  [SMALL_STATE(11963)] = 579961,
  [SMALL_STATE(11964)] = 579997,
  [SMALL_STATE(11965)] = 580033,
  [SMALL_STATE(11966)] = 580067,
  [SMALL_STATE(11967)] = 580115,
  [SMALL_STATE(11968)] = 580157,
  [SMALL_STATE(11969)] = 580205,
  [SMALL_STATE(11970)] = 580253,
  [SMALL_STATE(11971)] = 580289,
  [SMALL_STATE(11972)] = 580337,
  [SMALL_STATE(11973)] = 580373,
  [SMALL_STATE(11974)] = 580433,
  [SMALL_STATE(11975)] = 580469,
  [SMALL_STATE(11976)] = 580505,
  [SMALL_STATE(11977)] = 580537,
  [SMALL_STATE(11978)] = 580573,
  [SMALL_STATE(11979)] = 580609,
  [SMALL_STATE(11980)] = 580643,
  [SMALL_STATE(11981)] = 580679,
  [SMALL_STATE(11982)] = 580729,
  [SMALL_STATE(11983)] = 580771,
  [SMALL_STATE(11984)] = 580807,
  [SMALL_STATE(11985)] = 580843,
  [SMALL_STATE(11986)] = 580879,
  [SMALL_STATE(11987)] = 580923,
  [SMALL_STATE(11988)] = 580967,
  [SMALL_STATE(11989)] = 581015,
  [SMALL_STATE(11990)] = 581065,
  [SMALL_STATE(11991)] = 581119,
  [SMALL_STATE(11992)] = 581157,
  [SMALL_STATE(11993)] = 581211,
  [SMALL_STATE(11994)] = 581261,
  [SMALL_STATE(11995)] = 581309,
  [SMALL_STATE(11996)] = 581345,
  [SMALL_STATE(11997)] = 581399,
  [SMALL_STATE(11998)] = 581447,
  [SMALL_STATE(11999)] = 581483,
  [SMALL_STATE(12000)] = 581533,
  [SMALL_STATE(12001)] = 581593,
  [SMALL_STATE(12002)] = 581629,
  [SMALL_STATE(12003)] = 581683,
  [SMALL_STATE(12004)] = 581719,
  [SMALL_STATE(12005)] = 581761,
  [SMALL_STATE(12006)] = 581821,
  [SMALL_STATE(12007)] = 581857,
  [SMALL_STATE(12008)] = 581893,
  [SMALL_STATE(12009)] = 581927,
  [SMALL_STATE(12010)] = 581977,
  [SMALL_STATE(12011)] = 582019,
  [SMALL_STATE(12012)] = 582055,
  [SMALL_STATE(12013)] = 582091,
  [SMALL_STATE(12014)] = 582135,
  [SMALL_STATE(12015)] = 582195,
  [SMALL_STATE(12016)] = 582239,
  [SMALL_STATE(12017)] = 582287,
  [SMALL_STATE(12018)] = 582319,
  [SMALL_STATE(12019)] = 582367,
  [SMALL_STATE(12020)] = 582417,
  [SMALL_STATE(12021)] = 582471,
  [SMALL_STATE(12022)] = 582509,
  [SMALL_STATE(12023)] = 582563,
  [SMALL_STATE(12024)] = 582599,
  [SMALL_STATE(12025)] = 582653,
  [SMALL_STATE(12026)] = 582687,
  [SMALL_STATE(12027)] = 582723,
  [SMALL_STATE(12028)] = 582757,
  [SMALL_STATE(12029)] = 582793,
  [SMALL_STATE(12030)] = 582831,
  [SMALL_STATE(12031)] = 582865,
  [SMALL_STATE(12032)] = 582899,
  [SMALL_STATE(12033)] = 582935,
  [SMALL_STATE(12034)] = 582971,
  [SMALL_STATE(12035)] = 583027,
  [SMALL_STATE(12036)] = 583075,
  [SMALL_STATE(12037)] = 583133,
  [SMALL_STATE(12038)] = 583175,
  [SMALL_STATE(12039)] = 583209,
  [SMALL_STATE(12040)] = 583245,
  [SMALL_STATE(12041)] = 583295,
  [SMALL_STATE(12042)] = 583331,
  [SMALL_STATE(12043)] = 583363,
  [SMALL_STATE(12044)] = 583397,
  [SMALL_STATE(12045)] = 583453,
  [SMALL_STATE(12046)] = 583489,
  [SMALL_STATE(12047)] = 583521,
  [SMALL_STATE(12048)] = 583553,
  [SMALL_STATE(12049)] = 583587,
  [SMALL_STATE(12050)] = 583623,
  [SMALL_STATE(12051)] = 583655,
  [SMALL_STATE(12052)] = 583689,
  [SMALL_STATE(12053)] = 583737,
  [SMALL_STATE(12054)] = 583785,
  [SMALL_STATE(12055)] = 583821,
  [SMALL_STATE(12056)] = 583857,
  [SMALL_STATE(12057)] = 583889,
  [SMALL_STATE(12058)] = 583925,
  [SMALL_STATE(12059)] = 583961,
  [SMALL_STATE(12060)] = 583997,
  [SMALL_STATE(12061)] = 584033,
  [SMALL_STATE(12062)] = 584067,
  [SMALL_STATE(12063)] = 584103,
  [SMALL_STATE(12064)] = 584151,
  [SMALL_STATE(12065)] = 584187,
  [SMALL_STATE(12066)] = 584223,
  [SMALL_STATE(12067)] = 584257,
  [SMALL_STATE(12068)] = 584291,
  [SMALL_STATE(12069)] = 584327,
  [SMALL_STATE(12070)] = 584363,
  [SMALL_STATE(12071)] = 584399,
  [SMALL_STATE(12072)] = 584435,
  [SMALL_STATE(12073)] = 584471,
  [SMALL_STATE(12074)] = 584525,
  [SMALL_STATE(12075)] = 584573,
  [SMALL_STATE(12076)] = 584604,
  [SMALL_STATE(12077)] = 584645,
  [SMALL_STATE(12078)] = 584680,
  [SMALL_STATE(12079)] = 584723,
  [SMALL_STATE(12080)] = 584766,
  [SMALL_STATE(12081)] = 584813,
  [SMALL_STATE(12082)] = 584860,
  [SMALL_STATE(12083)] = 584911,
  [SMALL_STATE(12084)] = 584948,
  [SMALL_STATE(12085)] = 585003,
  [SMALL_STATE(12086)] = 585054,
  [SMALL_STATE(12087)] = 585089,
  [SMALL_STATE(12088)] = 585144,
  [SMALL_STATE(12089)] = 585199,
  [SMALL_STATE(12090)] = 585250,
  [SMALL_STATE(12091)] = 585281,
  [SMALL_STATE(12092)] = 585336,
  [SMALL_STATE(12093)] = 585377,
  [SMALL_STATE(12094)] = 585418,
  [SMALL_STATE(12095)] = 585449,
  [SMALL_STATE(12096)] = 585480,
  [SMALL_STATE(12097)] = 585535,
  [SMALL_STATE(12098)] = 585590,
  [SMALL_STATE(12099)] = 585621,
  [SMALL_STATE(12100)] = 585652,
  [SMALL_STATE(12101)] = 585707,
  [SMALL_STATE(12102)] = 585740,
  [SMALL_STATE(12103)] = 585795,
  [SMALL_STATE(12104)] = 585850,
  [SMALL_STATE(12105)] = 585905,
  [SMALL_STATE(12106)] = 585936,
  [SMALL_STATE(12107)] = 585969,
  [SMALL_STATE(12108)] = 586024,
  [SMALL_STATE(12109)] = 586059,
  [SMALL_STATE(12110)] = 586100,
  [SMALL_STATE(12111)] = 586133,
  [SMALL_STATE(12112)] = 586188,
  [SMALL_STATE(12113)] = 586243,
  [SMALL_STATE(12114)] = 586274,
  [SMALL_STATE(12115)] = 586305,
  [SMALL_STATE(12116)] = 586336,
  [SMALL_STATE(12117)] = 586389,
  [SMALL_STATE(12118)] = 586428,
  [SMALL_STATE(12119)] = 586459,
  [SMALL_STATE(12120)] = 586490,
  [SMALL_STATE(12121)] = 586521,
  [SMALL_STATE(12122)] = 586576,
  [SMALL_STATE(12123)] = 586617,
  [SMALL_STATE(12124)] = 586650,
  [SMALL_STATE(12125)] = 586681,
  [SMALL_STATE(12126)] = 586712,
  [SMALL_STATE(12127)] = 586753,
  [SMALL_STATE(12128)] = 586786,
  [SMALL_STATE(12129)] = 586817,
  [SMALL_STATE(12130)] = 586848,
  [SMALL_STATE(12131)] = 586903,
  [SMALL_STATE(12132)] = 586952,
  [SMALL_STATE(12133)] = 587007,
  [SMALL_STATE(12134)] = 587062,
  [SMALL_STATE(12135)] = 587103,
  [SMALL_STATE(12136)] = 587136,
  [SMALL_STATE(12137)] = 587191,
  [SMALL_STATE(12138)] = 587226,
  [SMALL_STATE(12139)] = 587279,
  [SMALL_STATE(12140)] = 587334,
  [SMALL_STATE(12141)] = 587369,
  [SMALL_STATE(12142)] = 587404,
  [SMALL_STATE(12143)] = 587435,
  [SMALL_STATE(12144)] = 587466,
  [SMALL_STATE(12145)] = 587497,
  [SMALL_STATE(12146)] = 587532,
  [SMALL_STATE(12147)] = 587587,
  [SMALL_STATE(12148)] = 587622,
  [SMALL_STATE(12149)] = 587657,
  [SMALL_STATE(12150)] = 587698,
  [SMALL_STATE(12151)] = 587733,
  [SMALL_STATE(12152)] = 587768,
  [SMALL_STATE(12153)] = 587803,
  [SMALL_STATE(12154)] = 587838,
  [SMALL_STATE(12155)] = 587871,
  [SMALL_STATE(12156)] = 587902,
  [SMALL_STATE(12157)] = 587945,
  [SMALL_STATE(12158)] = 587978,
  [SMALL_STATE(12159)] = 588019,
  [SMALL_STATE(12160)] = 588068,
  [SMALL_STATE(12161)] = 588111,
  [SMALL_STATE(12162)] = 588146,
  [SMALL_STATE(12163)] = 588181,
  [SMALL_STATE(12164)] = 588236,
  [SMALL_STATE(12165)] = 588283,
  [SMALL_STATE(12166)] = 588332,
  [SMALL_STATE(12167)] = 588387,
  [SMALL_STATE(12168)] = 588428,
  [SMALL_STATE(12169)] = 588481,
  [SMALL_STATE(12170)] = 588532,
  [SMALL_STATE(12171)] = 588567,
  [SMALL_STATE(12172)] = 588622,
  [SMALL_STATE(12173)] = 588655,
  [SMALL_STATE(12174)] = 588688,
  [SMALL_STATE(12175)] = 588725,
  [SMALL_STATE(12176)] = 588756,
  [SMALL_STATE(12177)] = 588811,
  [SMALL_STATE(12178)] = 588844,
  [SMALL_STATE(12179)] = 588879,
  [SMALL_STATE(12180)] = 588934,
  [SMALL_STATE(12181)] = 588975,
  [SMALL_STATE(12182)] = 589016,
  [SMALL_STATE(12183)] = 589069,
  [SMALL_STATE(12184)] = 589112,
  [SMALL_STATE(12185)] = 589155,
  [SMALL_STATE(12186)] = 589202,
  [SMALL_STATE(12187)] = 589251,
  [SMALL_STATE(12188)] = 589304,
  [SMALL_STATE(12189)] = 589345,
  [SMALL_STATE(12190)] = 589382,
  [SMALL_STATE(12191)] = 589437,
  [SMALL_STATE(12192)] = 589492,
  [SMALL_STATE(12193)] = 589547,
  [SMALL_STATE(12194)] = 589602,
  [SMALL_STATE(12195)] = 589655,
  [SMALL_STATE(12196)] = 589696,
  [SMALL_STATE(12197)] = 589729,
  [SMALL_STATE(12198)] = 589760,
  [SMALL_STATE(12199)] = 589791,
  [SMALL_STATE(12200)] = 589824,
  [SMALL_STATE(12201)] = 589877,
  [SMALL_STATE(12202)] = 589930,
  [SMALL_STATE(12203)] = 589961,
  [SMALL_STATE(12204)] = 589992,
  [SMALL_STATE(12205)] = 590025,
  [SMALL_STATE(12206)] = 590056,
  [SMALL_STATE(12207)] = 590087,
  [SMALL_STATE(12208)] = 590118,
  [SMALL_STATE(12209)] = 590159,
  [SMALL_STATE(12210)] = 590214,
  [SMALL_STATE(12211)] = 590255,
  [SMALL_STATE(12212)] = 590296,
  [SMALL_STATE(12213)] = 590327,
  [SMALL_STATE(12214)] = 590380,
  [SMALL_STATE(12215)] = 590435,
  [SMALL_STATE(12216)] = 590490,
  [SMALL_STATE(12217)] = 590545,
  [SMALL_STATE(12218)] = 590586,
  [SMALL_STATE(12219)] = 590641,
  [SMALL_STATE(12220)] = 590676,
  [SMALL_STATE(12221)] = 590731,
  [SMALL_STATE(12222)] = 590766,
  [SMALL_STATE(12223)] = 590801,
  [SMALL_STATE(12224)] = 590842,
  [SMALL_STATE(12225)] = 590897,
  [SMALL_STATE(12226)] = 590938,
  [SMALL_STATE(12227)] = 590973,
  [SMALL_STATE(12228)] = 591014,
  [SMALL_STATE(12229)] = 591047,
  [SMALL_STATE(12230)] = 591082,
  [SMALL_STATE(12231)] = 591137,
  [SMALL_STATE(12232)] = 591170,
  [SMALL_STATE(12233)] = 591201,
  [SMALL_STATE(12234)] = 591248,
  [SMALL_STATE(12235)] = 591279,
  [SMALL_STATE(12236)] = 591320,
  [SMALL_STATE(12237)] = 591367,
  [SMALL_STATE(12238)] = 591408,
  [SMALL_STATE(12239)] = 591443,
  [SMALL_STATE(12240)] = 591478,
  [SMALL_STATE(12241)] = 591521,
  [SMALL_STATE(12242)] = 591576,
  [SMALL_STATE(12243)] = 591619,
  [SMALL_STATE(12244)] = 591666,
  [SMALL_STATE(12245)] = 591713,
  [SMALL_STATE(12246)] = 591744,
  [SMALL_STATE(12247)] = 591799,
  [SMALL_STATE(12248)] = 591840,
  [SMALL_STATE(12249)] = 591873,
  [SMALL_STATE(12250)] = 591924,
  [SMALL_STATE(12251)] = 591979,
  [SMALL_STATE(12252)] = 592020,
  [SMALL_STATE(12253)] = 592069,
  [SMALL_STATE(12254)] = 592110,
  [SMALL_STATE(12255)] = 592145,
  [SMALL_STATE(12256)] = 592186,
  [SMALL_STATE(12257)] = 592221,
  [SMALL_STATE(12258)] = 592264,
  [SMALL_STATE(12259)] = 592297,
  [SMALL_STATE(12260)] = 592332,
  [SMALL_STATE(12261)] = 592387,
  [SMALL_STATE(12262)] = 592430,
  [SMALL_STATE(12263)] = 592477,
  [SMALL_STATE(12264)] = 592532,
  [SMALL_STATE(12265)] = 592573,
  [SMALL_STATE(12266)] = 592622,
  [SMALL_STATE(12267)] = 592663,
  [SMALL_STATE(12268)] = 592696,
  [SMALL_STATE(12269)] = 592727,
  [SMALL_STATE(12270)] = 592780,
  [SMALL_STATE(12271)] = 592817,
  [SMALL_STATE(12272)] = 592870,
  [SMALL_STATE(12273)] = 592911,
  [SMALL_STATE(12274)] = 592948,
  [SMALL_STATE(12275)] = 592999,
  [SMALL_STATE(12276)] = 593032,
  [SMALL_STATE(12277)] = 593085,
  [SMALL_STATE(12278)] = 593128,
  [SMALL_STATE(12279)] = 593183,
  [SMALL_STATE(12280)] = 593218,
  [SMALL_STATE(12281)] = 593273,
  [SMALL_STATE(12282)] = 593326,
  [SMALL_STATE(12283)] = 593361,
  [SMALL_STATE(12284)] = 593396,
  [SMALL_STATE(12285)] = 593437,
  [SMALL_STATE(12286)] = 593472,
  [SMALL_STATE(12287)] = 593515,
  [SMALL_STATE(12288)] = 593556,
  [SMALL_STATE(12289)] = 593597,
  [SMALL_STATE(12290)] = 593640,
  [SMALL_STATE(12291)] = 593687,
  [SMALL_STATE(12292)] = 593734,
  [SMALL_STATE(12293)] = 593785,
  [SMALL_STATE(12294)] = 593822,
  [SMALL_STATE(12295)] = 593873,
  [SMALL_STATE(12296)] = 593928,
  [SMALL_STATE(12297)] = 593963,
  [SMALL_STATE(12298)] = 594004,
  [SMALL_STATE(12299)] = 594053,
  [SMALL_STATE(12300)] = 594094,
  [SMALL_STATE(12301)] = 594125,
  [SMALL_STATE(12302)] = 594176,
  [SMALL_STATE(12303)] = 594211,
  [SMALL_STATE(12304)] = 594244,
  [SMALL_STATE(12305)] = 594299,
  [SMALL_STATE(12306)] = 594354,
  [SMALL_STATE(12307)] = 594395,
  [SMALL_STATE(12308)] = 594450,
  [SMALL_STATE(12309)] = 594491,
  [SMALL_STATE(12310)] = 594546,
  [SMALL_STATE(12311)] = 594587,
  [SMALL_STATE(12312)] = 594622,
  [SMALL_STATE(12313)] = 594657,
  [SMALL_STATE(12314)] = 594698,
  [SMALL_STATE(12315)] = 594739,
  [SMALL_STATE(12316)] = 594772,
  [SMALL_STATE(12317)] = 594827,
  [SMALL_STATE(12318)] = 594862,
  [SMALL_STATE(12319)] = 594897,
  [SMALL_STATE(12320)] = 594932,
  [SMALL_STATE(12321)] = 594985,
  [SMALL_STATE(12322)] = 595026,
  [SMALL_STATE(12323)] = 595067,
  [SMALL_STATE(12324)] = 595108,
  [SMALL_STATE(12325)] = 595163,
  [SMALL_STATE(12326)] = 595198,
  [SMALL_STATE(12327)] = 595229,
  [SMALL_STATE(12328)] = 595264,
  [SMALL_STATE(12329)] = 595295,
  [SMALL_STATE(12330)] = 595350,
  [SMALL_STATE(12331)] = 595391,
  [SMALL_STATE(12332)] = 595446,
  [SMALL_STATE(12333)] = 595501,
  [SMALL_STATE(12334)] = 595556,
  [SMALL_STATE(12335)] = 595597,
  [SMALL_STATE(12336)] = 595630,
  [SMALL_STATE(12337)] = 595681,
  [SMALL_STATE(12338)] = 595720,
  [SMALL_STATE(12339)] = 595753,
  [SMALL_STATE(12340)] = 595808,
  [SMALL_STATE(12341)] = 595863,
  [SMALL_STATE(12342)] = 595918,
  [SMALL_STATE(12343)] = 595959,
  [SMALL_STATE(12344)] = 596014,
  [SMALL_STATE(12345)] = 596069,
  [SMALL_STATE(12346)] = 596102,
  [SMALL_STATE(12347)] = 596157,
  [SMALL_STATE(12348)] = 596212,
  [SMALL_STATE(12349)] = 596253,
  [SMALL_STATE(12350)] = 596296,
  [SMALL_STATE(12351)] = 596339,
  [SMALL_STATE(12352)] = 596394,
  [SMALL_STATE(12353)] = 596435,
  [SMALL_STATE(12354)] = 596486,
  [SMALL_STATE(12355)] = 596529,
  [SMALL_STATE(12356)] = 596576,
  [SMALL_STATE(12357)] = 596611,
  [SMALL_STATE(12358)] = 596654,
  [SMALL_STATE(12359)] = 596703,
  [SMALL_STATE(12360)] = 596744,
  [SMALL_STATE(12361)] = 596799,
  [SMALL_STATE(12362)] = 596854,
  [SMALL_STATE(12363)] = 596909,
  [SMALL_STATE(12364)] = 596940,
  [SMALL_STATE(12365)] = 596995,
  [SMALL_STATE(12366)] = 597050,
  [SMALL_STATE(12367)] = 597105,
  [SMALL_STATE(12368)] = 597136,
  [SMALL_STATE(12369)] = 597191,
  [SMALL_STATE(12370)] = 597232,
  [SMALL_STATE(12371)] = 597265,
  [SMALL_STATE(12372)] = 597320,
  [SMALL_STATE(12373)] = 597353,
  [SMALL_STATE(12374)] = 597386,
  [SMALL_STATE(12375)] = 597419,
  [SMALL_STATE(12376)] = 597454,
  [SMALL_STATE(12377)] = 597509,
  [SMALL_STATE(12378)] = 597542,
  [SMALL_STATE(12379)] = 597573,
  [SMALL_STATE(12380)] = 597604,
  [SMALL_STATE(12381)] = 597639,
  [SMALL_STATE(12382)] = 597682,
  [SMALL_STATE(12383)] = 597713,
  [SMALL_STATE(12384)] = 597756,
  [SMALL_STATE(12385)] = 597803,
  [SMALL_STATE(12386)] = 597858,
  [SMALL_STATE(12387)] = 597899,
  [SMALL_STATE(12388)] = 597940,
  [SMALL_STATE(12389)] = 597995,
  [SMALL_STATE(12390)] = 598046,
  [SMALL_STATE(12391)] = 598093,
  [SMALL_STATE(12392)] = 598134,
  [SMALL_STATE(12393)] = 598189,
  [SMALL_STATE(12394)] = 598240,
  [SMALL_STATE(12395)] = 598273,
  [SMALL_STATE(12396)] = 598308,
  [SMALL_STATE(12397)] = 598343,
  [SMALL_STATE(12398)] = 598384,
  [SMALL_STATE(12399)] = 598419,
  [SMALL_STATE(12400)] = 598460,
  [SMALL_STATE(12401)] = 598497,
  [SMALL_STATE(12402)] = 598532,
  [SMALL_STATE(12403)] = 598575,
  [SMALL_STATE(12404)] = 598630,
  [SMALL_STATE(12405)] = 598661,
  [SMALL_STATE(12406)] = 598716,
  [SMALL_STATE(12407)] = 598771,
  [SMALL_STATE(12408)] = 598812,
  [SMALL_STATE(12409)] = 598855,
  [SMALL_STATE(12410)] = 598910,
  [SMALL_STATE(12411)] = 598965,
  [SMALL_STATE(12412)] = 599014,
  [SMALL_STATE(12413)] = 599055,
  [SMALL_STATE(12414)] = 599090,
  [SMALL_STATE(12415)] = 599125,
  [SMALL_STATE(12416)] = 599168,
  [SMALL_STATE(12417)] = 599211,
  [SMALL_STATE(12418)] = 599266,
  [SMALL_STATE(12419)] = 599313,
  [SMALL_STATE(12420)] = 599368,
  [SMALL_STATE(12421)] = 599417,
  [SMALL_STATE(12422)] = 599470,
  [SMALL_STATE(12423)] = 599507,
  [SMALL_STATE(12424)] = 599560,
  [SMALL_STATE(12425)] = 599613,
  [SMALL_STATE(12426)] = 599660,
  [SMALL_STATE(12427)] = 599693,
  [SMALL_STATE(12428)] = 599748,
  [SMALL_STATE(12429)] = 599781,
  [SMALL_STATE(12430)] = 599830,
  [SMALL_STATE(12431)] = 599861,
  [SMALL_STATE(12432)] = 599896,
  [SMALL_STATE(12433)] = 599951,
  [SMALL_STATE(12434)] = 599998,
  [SMALL_STATE(12435)] = 600033,
  [SMALL_STATE(12436)] = 600084,
  [SMALL_STATE(12437)] = 600119,
  [SMALL_STATE(12438)] = 600150,
  [SMALL_STATE(12439)] = 600183,
  [SMALL_STATE(12440)] = 600214,
  [SMALL_STATE(12441)] = 600263,
  [SMALL_STATE(12442)] = 600294,
  [SMALL_STATE(12443)] = 600325,
  [SMALL_STATE(12444)] = 600366,
  [SMALL_STATE(12445)] = 600399,
  [SMALL_STATE(12446)] = 600440,
  [SMALL_STATE(12447)] = 600495,
  [SMALL_STATE(12448)] = 600526,
  [SMALL_STATE(12449)] = 600581,
  [SMALL_STATE(12450)] = 600634,
  [SMALL_STATE(12451)] = 600665,
  [SMALL_STATE(12452)] = 600696,
  [SMALL_STATE(12453)] = 600749,
  [SMALL_STATE(12454)] = 600786,
  [SMALL_STATE(12455)] = 600819,
  [SMALL_STATE(12456)] = 600854,
  [SMALL_STATE(12457)] = 600907,
  [SMALL_STATE(12458)] = 600942,
  [SMALL_STATE(12459)] = 600983,
  [SMALL_STATE(12460)] = 601034,
  [SMALL_STATE(12461)] = 601085,
  [SMALL_STATE(12462)] = 601126,
  [SMALL_STATE(12463)] = 601161,
  [SMALL_STATE(12464)] = 601214,
  [SMALL_STATE(12465)] = 601255,
  [SMALL_STATE(12466)] = 601296,
  [SMALL_STATE(12467)] = 601351,
  [SMALL_STATE(12468)] = 601406,
  [SMALL_STATE(12469)] = 601443,
  [SMALL_STATE(12470)] = 601496,
  [SMALL_STATE(12471)] = 601537,
  [SMALL_STATE(12472)] = 601592,
  [SMALL_STATE(12473)] = 601627,
  [SMALL_STATE(12474)] = 601682,
  [SMALL_STATE(12475)] = 601723,
  [SMALL_STATE(12476)] = 601758,
  [SMALL_STATE(12477)] = 601793,
  [SMALL_STATE(12478)] = 601846,
  [SMALL_STATE(12479)] = 601881,
  [SMALL_STATE(12480)] = 601916,
  [SMALL_STATE(12481)] = 601949,
  [SMALL_STATE(12482)] = 601984,
  [SMALL_STATE(12483)] = 602015,
  [SMALL_STATE(12484)] = 602062,
  [SMALL_STATE(12485)] = 602103,
  [SMALL_STATE(12486)] = 602138,
  [SMALL_STATE(12487)] = 602173,
  [SMALL_STATE(12488)] = 602208,
  [SMALL_STATE(12489)] = 602249,
  [SMALL_STATE(12490)] = 602279,
  [SMALL_STATE(12491)] = 602311,
  [SMALL_STATE(12492)] = 602363,
  [SMALL_STATE(12493)] = 602411,
  [SMALL_STATE(12494)] = 602443,
  [SMALL_STATE(12495)] = 602489,
  [SMALL_STATE(12496)] = 602543,
  [SMALL_STATE(12497)] = 602591,
  [SMALL_STATE(12498)] = 602623,
  [SMALL_STATE(12499)] = 602663,
  [SMALL_STATE(12500)] = 602709,
  [SMALL_STATE(12501)] = 602755,
  [SMALL_STATE(12502)] = 602803,
  [SMALL_STATE(12503)] = 602851,
  [SMALL_STATE(12504)] = 602899,
  [SMALL_STATE(12505)] = 602947,
  [SMALL_STATE(12506)] = 602981,
  [SMALL_STATE(12507)] = 603013,
  [SMALL_STATE(12508)] = 603045,
  [SMALL_STATE(12509)] = 603093,
  [SMALL_STATE(12510)] = 603139,
  [SMALL_STATE(12511)] = 603169,
  [SMALL_STATE(12512)] = 603199,
  [SMALL_STATE(12513)] = 603229,
  [SMALL_STATE(12514)] = 603259,
  [SMALL_STATE(12515)] = 603299,
  [SMALL_STATE(12516)] = 603327,
  [SMALL_STATE(12517)] = 603367,
  [SMALL_STATE(12518)] = 603417,
  [SMALL_STATE(12519)] = 603463,
  [SMALL_STATE(12520)] = 603513,
  [SMALL_STATE(12521)] = 603559,
  [SMALL_STATE(12522)] = 603607,
  [SMALL_STATE(12523)] = 603655,
  [SMALL_STATE(12524)] = 603701,
  [SMALL_STATE(12525)] = 603749,
  [SMALL_STATE(12526)] = 603781,
  [SMALL_STATE(12527)] = 603821,
  [SMALL_STATE(12528)] = 603861,
  [SMALL_STATE(12529)] = 603895,
  [SMALL_STATE(12530)] = 603937,
  [SMALL_STATE(12531)] = 603971,
  [SMALL_STATE(12532)] = 604005,
  [SMALL_STATE(12533)] = 604045,
  [SMALL_STATE(12534)] = 604075,
  [SMALL_STATE(12535)] = 604117,
  [SMALL_STATE(12536)] = 604159,
  [SMALL_STATE(12537)] = 604205,
  [SMALL_STATE(12538)] = 604251,
  [SMALL_STATE(12539)] = 604299,
  [SMALL_STATE(12540)] = 604329,
  [SMALL_STATE(12541)] = 604359,
  [SMALL_STATE(12542)] = 604411,
  [SMALL_STATE(12543)] = 604441,
  [SMALL_STATE(12544)] = 604471,
  [SMALL_STATE(12545)] = 604521,
  [SMALL_STATE(12546)] = 604557,
  [SMALL_STATE(12547)] = 604607,
  [SMALL_STATE(12548)] = 604639,
  [SMALL_STATE(12549)] = 604669,
  [SMALL_STATE(12550)] = 604701,
  [SMALL_STATE(12551)] = 604733,
  [SMALL_STATE(12552)] = 604773,
  [SMALL_STATE(12553)] = 604821,
  [SMALL_STATE(12554)] = 604869,
  [SMALL_STATE(12555)] = 604919,
  [SMALL_STATE(12556)] = 604969,
  [SMALL_STATE(12557)] = 604999,
  [SMALL_STATE(12558)] = 605031,
  [SMALL_STATE(12559)] = 605061,
  [SMALL_STATE(12560)] = 605111,
  [SMALL_STATE(12561)] = 605163,
  [SMALL_STATE(12562)] = 605211,
  [SMALL_STATE(12563)] = 605263,
  [SMALL_STATE(12564)] = 605299,
  [SMALL_STATE(12565)] = 605335,
  [SMALL_STATE(12566)] = 605385,
  [SMALL_STATE(12567)] = 605419,
  [SMALL_STATE(12568)] = 605467,
  [SMALL_STATE(12569)] = 605495,
  [SMALL_STATE(12570)] = 605547,
  [SMALL_STATE(12571)] = 605595,
  [SMALL_STATE(12572)] = 605641,
  [SMALL_STATE(12573)] = 605671,
  [SMALL_STATE(12574)] = 605701,
  [SMALL_STATE(12575)] = 605733,
  [SMALL_STATE(12576)] = 605781,
  [SMALL_STATE(12577)] = 605827,
  [SMALL_STATE(12578)] = 605859,
  [SMALL_STATE(12579)] = 605891,
  [SMALL_STATE(12580)] = 605919,
  [SMALL_STATE(12581)] = 605949,
  [SMALL_STATE(12582)] = 605979,
  [SMALL_STATE(12583)] = 606009,
  [SMALL_STATE(12584)] = 606057,
  [SMALL_STATE(12585)] = 606105,
  [SMALL_STATE(12586)] = 606135,
  [SMALL_STATE(12587)] = 606165,
  [SMALL_STATE(12588)] = 606195,
  [SMALL_STATE(12589)] = 606243,
  [SMALL_STATE(12590)] = 606289,
  [SMALL_STATE(12591)] = 606319,
  [SMALL_STATE(12592)] = 606361,
  [SMALL_STATE(12593)] = 606409,
  [SMALL_STATE(12594)] = 606457,
  [SMALL_STATE(12595)] = 606503,
  [SMALL_STATE(12596)] = 606545,
  [SMALL_STATE(12597)] = 606591,
  [SMALL_STATE(12598)] = 606621,
  [SMALL_STATE(12599)] = 606651,
  [SMALL_STATE(12600)] = 606681,
  [SMALL_STATE(12601)] = 606711,
  [SMALL_STATE(12602)] = 606757,
  [SMALL_STATE(12603)] = 606805,
  [SMALL_STATE(12604)] = 606855,
  [SMALL_STATE(12605)] = 606893,
  [SMALL_STATE(12606)] = 606933,
  [SMALL_STATE(12607)] = 606981,
  [SMALL_STATE(12608)] = 607021,
  [SMALL_STATE(12609)] = 607061,
  [SMALL_STATE(12610)] = 607113,
  [SMALL_STATE(12611)] = 607153,
  [SMALL_STATE(12612)] = 607201,
  [SMALL_STATE(12613)] = 607231,
  [SMALL_STATE(12614)] = 607261,
  [SMALL_STATE(12615)] = 607307,
  [SMALL_STATE(12616)] = 607355,
  [SMALL_STATE(12617)] = 607403,
  [SMALL_STATE(12618)] = 607451,
  [SMALL_STATE(12619)] = 607481,
  [SMALL_STATE(12620)] = 607529,
  [SMALL_STATE(12621)] = 607561,
  [SMALL_STATE(12622)] = 607595,
  [SMALL_STATE(12623)] = 607629,
  [SMALL_STATE(12624)] = 607671,
  [SMALL_STATE(12625)] = 607713,
  [SMALL_STATE(12626)] = 607743,
  [SMALL_STATE(12627)] = 607789,
  [SMALL_STATE(12628)] = 607841,
  [SMALL_STATE(12629)] = 607889,
  [SMALL_STATE(12630)] = 607935,
  [SMALL_STATE(12631)] = 607983,
  [SMALL_STATE(12632)] = 608015,
  [SMALL_STATE(12633)] = 608067,
  [SMALL_STATE(12634)] = 608113,
  [SMALL_STATE(12635)] = 608161,
  [SMALL_STATE(12636)] = 608209,
  [SMALL_STATE(12637)] = 608239,
  [SMALL_STATE(12638)] = 608269,
  [SMALL_STATE(12639)] = 608317,
  [SMALL_STATE(12640)] = 608367,
  [SMALL_STATE(12641)] = 608413,
  [SMALL_STATE(12642)] = 608449,
  [SMALL_STATE(12643)] = 608503,
  [SMALL_STATE(12644)] = 608553,
  [SMALL_STATE(12645)] = 608593,
  [SMALL_STATE(12646)] = 608641,
  [SMALL_STATE(12647)] = 608693,
  [SMALL_STATE(12648)] = 608743,
  [SMALL_STATE(12649)] = 608789,
  [SMALL_STATE(12650)] = 608821,
  [SMALL_STATE(12651)] = 608869,
  [SMALL_STATE(12652)] = 608905,
  [SMALL_STATE(12653)] = 608953,
  [SMALL_STATE(12654)] = 609003,
  [SMALL_STATE(12655)] = 609053,
  [SMALL_STATE(12656)] = 609099,
  [SMALL_STATE(12657)] = 609145,
  [SMALL_STATE(12658)] = 609193,
  [SMALL_STATE(12659)] = 609239,
  [SMALL_STATE(12660)] = 609285,
  [SMALL_STATE(12661)] = 609333,
  [SMALL_STATE(12662)] = 609387,
  [SMALL_STATE(12663)] = 609417,
  [SMALL_STATE(12664)] = 609463,
  [SMALL_STATE(12665)] = 609493,
  [SMALL_STATE(12666)] = 609547,
  [SMALL_STATE(12667)] = 609595,
  [SMALL_STATE(12668)] = 609645,
  [SMALL_STATE(12669)] = 609693,
  [SMALL_STATE(12670)] = 609743,
  [SMALL_STATE(12671)] = 609793,
  [SMALL_STATE(12672)] = 609833,
  [SMALL_STATE(12673)] = 609865,
  [SMALL_STATE(12674)] = 609897,
  [SMALL_STATE(12675)] = 609927,
  [SMALL_STATE(12676)] = 609959,
  [SMALL_STATE(12677)] = 609991,
  [SMALL_STATE(12678)] = 610039,
  [SMALL_STATE(12679)] = 610067,
  [SMALL_STATE(12680)] = 610115,
  [SMALL_STATE(12681)] = 610149,
  [SMALL_STATE(12682)] = 610191,
  [SMALL_STATE(12683)] = 610243,
  [SMALL_STATE(12684)] = 610275,
  [SMALL_STATE(12685)] = 610323,
  [SMALL_STATE(12686)] = 610360,
  [SMALL_STATE(12687)] = 610411,
  [SMALL_STATE(12688)] = 610454,
  [SMALL_STATE(12689)] = 610487,
  [SMALL_STATE(12690)] = 610538,
  [SMALL_STATE(12691)] = 610589,
  [SMALL_STATE(12692)] = 610640,
  [SMALL_STATE(12693)] = 610683,
  [SMALL_STATE(12694)] = 610734,
  [SMALL_STATE(12695)] = 610785,
  [SMALL_STATE(12696)] = 610836,
  [SMALL_STATE(12697)] = 610867,
  [SMALL_STATE(12698)] = 610896,
  [SMALL_STATE(12699)] = 610927,
  [SMALL_STATE(12700)] = 610964,
  [SMALL_STATE(12701)] = 611015,
  [SMALL_STATE(12702)] = 611066,
  [SMALL_STATE(12703)] = 611103,
  [SMALL_STATE(12704)] = 611146,
  [SMALL_STATE(12705)] = 611183,
  [SMALL_STATE(12706)] = 611234,
  [SMALL_STATE(12707)] = 611285,
  [SMALL_STATE(12708)] = 611336,
  [SMALL_STATE(12709)] = 611364,
  [SMALL_STATE(12710)] = 611398,
  [SMALL_STATE(12711)] = 611426,
  [SMALL_STATE(12712)] = 611474,
  [SMALL_STATE(12713)] = 611502,
  [SMALL_STATE(12714)] = 611544,
  [SMALL_STATE(12715)] = 611572,
  [SMALL_STATE(12716)] = 611600,
  [SMALL_STATE(12717)] = 611628,
  [SMALL_STATE(12718)] = 611656,
  [SMALL_STATE(12719)] = 611684,
  [SMALL_STATE(12720)] = 611732,
  [SMALL_STATE(12721)] = 611760,
  [SMALL_STATE(12722)] = 611802,
  [SMALL_STATE(12723)] = 611836,
  [SMALL_STATE(12724)] = 611866,
  [SMALL_STATE(12725)] = 611912,
  [SMALL_STATE(12726)] = 611954,
  [SMALL_STATE(12727)] = 611990,
  [SMALL_STATE(12728)] = 612024,
  [SMALL_STATE(12729)] = 612070,
  [SMALL_STATE(12730)] = 612116,
  [SMALL_STATE(12731)] = 612144,
  [SMALL_STATE(12732)] = 612176,
  [SMALL_STATE(12733)] = 612224,
  [SMALL_STATE(12734)] = 612252,
  [SMALL_STATE(12735)] = 612280,
  [SMALL_STATE(12736)] = 612308,
  [SMALL_STATE(12737)] = 612342,
  [SMALL_STATE(12738)] = 612370,
  [SMALL_STATE(12739)] = 612398,
  [SMALL_STATE(12740)] = 612446,
  [SMALL_STATE(12741)] = 612484,
  [SMALL_STATE(12742)] = 612530,
  [SMALL_STATE(12743)] = 612558,
  [SMALL_STATE(12744)] = 612592,
  [SMALL_STATE(12745)] = 612620,
  [SMALL_STATE(12746)] = 612648,
  [SMALL_STATE(12747)] = 612680,
  [SMALL_STATE(12748)] = 612708,
  [SMALL_STATE(12749)] = 612756,
  [SMALL_STATE(12750)] = 612802,
  [SMALL_STATE(12751)] = 612830,
  [SMALL_STATE(12752)] = 612858,
  [SMALL_STATE(12753)] = 612886,
  [SMALL_STATE(12754)] = 612914,
  [SMALL_STATE(12755)] = 612942,
  [SMALL_STATE(12756)] = 612970,
  [SMALL_STATE(12757)] = 612998,
  [SMALL_STATE(12758)] = 613026,
  [SMALL_STATE(12759)] = 613072,
  [SMALL_STATE(12760)] = 613100,
  [SMALL_STATE(12761)] = 613128,
  [SMALL_STATE(12762)] = 613156,
  [SMALL_STATE(12763)] = 613188,
  [SMALL_STATE(12764)] = 613216,
  [SMALL_STATE(12765)] = 613244,
  [SMALL_STATE(12766)] = 613282,
  [SMALL_STATE(12767)] = 613330,
  [SMALL_STATE(12768)] = 613358,
  [SMALL_STATE(12769)] = 613392,
  [SMALL_STATE(12770)] = 613422,
  [SMALL_STATE(12771)] = 613468,
  [SMALL_STATE(12772)] = 613514,
  [SMALL_STATE(12773)] = 613540,
  [SMALL_STATE(12774)] = 613568,
  [SMALL_STATE(12775)] = 613596,
  [SMALL_STATE(12776)] = 613624,
  [SMALL_STATE(12777)] = 613652,
  [SMALL_STATE(12778)] = 613680,
  [SMALL_STATE(12779)] = 613718,
  [SMALL_STATE(12780)] = 613746,
  [SMALL_STATE(12781)] = 613780,
  [SMALL_STATE(12782)] = 613808,
  [SMALL_STATE(12783)] = 613836,
  [SMALL_STATE(12784)] = 613864,
  [SMALL_STATE(12785)] = 613898,
  [SMALL_STATE(12786)] = 613937,
  [SMALL_STATE(12787)] = 613968,
  [SMALL_STATE(12788)] = 614011,
  [SMALL_STATE(12789)] = 614050,
  [SMALL_STATE(12790)] = 614093,
  [SMALL_STATE(12791)] = 614132,
  [SMALL_STATE(12792)] = 614159,
  [SMALL_STATE(12793)] = 614188,
  [SMALL_STATE(12794)] = 614227,
  [SMALL_STATE(12795)] = 614254,
  [SMALL_STATE(12796)] = 614281,
  [SMALL_STATE(12797)] = 614312,
  [SMALL_STATE(12798)] = 614351,
  [SMALL_STATE(12799)] = 614382,
  [SMALL_STATE(12800)] = 614421,
  [SMALL_STATE(12801)] = 614452,
  [SMALL_STATE(12802)] = 614491,
  [SMALL_STATE(12803)] = 614530,
  [SMALL_STATE(12804)] = 614561,
  [SMALL_STATE(12805)] = 614592,
  [SMALL_STATE(12806)] = 614623,
  [SMALL_STATE(12807)] = 614654,
  [SMALL_STATE(12808)] = 614693,
  [SMALL_STATE(12809)] = 614724,
  [SMALL_STATE(12810)] = 614763,
  [SMALL_STATE(12811)] = 614794,
  [SMALL_STATE(12812)] = 614825,
  [SMALL_STATE(12813)] = 614856,
  [SMALL_STATE(12814)] = 614895,
  [SMALL_STATE(12815)] = 614926,
  [SMALL_STATE(12816)] = 614957,
  [SMALL_STATE(12817)] = 614988,
  [SMALL_STATE(12818)] = 615013,
  [SMALL_STATE(12819)] = 615044,
  [SMALL_STATE(12820)] = 615075,
  [SMALL_STATE(12821)] = 615106,
  [SMALL_STATE(12822)] = 615145,
  [SMALL_STATE(12823)] = 615176,
  [SMALL_STATE(12824)] = 615207,
  [SMALL_STATE(12825)] = 615234,
  [SMALL_STATE(12826)] = 615273,
  [SMALL_STATE(12827)] = 615312,
  [SMALL_STATE(12828)] = 615343,
  [SMALL_STATE(12829)] = 615374,
  [SMALL_STATE(12830)] = 615405,
  [SMALL_STATE(12831)] = 615444,
  [SMALL_STATE(12832)] = 615483,
  [SMALL_STATE(12833)] = 615522,
  [SMALL_STATE(12834)] = 615565,
  [SMALL_STATE(12835)] = 615596,
  [SMALL_STATE(12836)] = 615627,
  [SMALL_STATE(12837)] = 615666,
  [SMALL_STATE(12838)] = 615697,
  [SMALL_STATE(12839)] = 615736,
  [SMALL_STATE(12840)] = 615775,
  [SMALL_STATE(12841)] = 615814,
  [SMALL_STATE(12842)] = 615845,
  [SMALL_STATE(12843)] = 615884,
  [SMALL_STATE(12844)] = 615911,
  [SMALL_STATE(12845)] = 615950,
  [SMALL_STATE(12846)] = 615977,
  [SMALL_STATE(12847)] = 616004,
  [SMALL_STATE(12848)] = 616043,
  [SMALL_STATE(12849)] = 616074,
  [SMALL_STATE(12850)] = 616113,
  [SMALL_STATE(12851)] = 616156,
  [SMALL_STATE(12852)] = 616183,
  [SMALL_STATE(12853)] = 616212,
  [SMALL_STATE(12854)] = 616239,
  [SMALL_STATE(12855)] = 616270,
  [SMALL_STATE(12856)] = 616301,
  [SMALL_STATE(12857)] = 616340,
  [SMALL_STATE(12858)] = 616379,
  [SMALL_STATE(12859)] = 616418,
  [SMALL_STATE(12860)] = 616449,
  [SMALL_STATE(12861)] = 616488,
  [SMALL_STATE(12862)] = 616519,
  [SMALL_STATE(12863)] = 616558,
  [SMALL_STATE(12864)] = 616585,
  [SMALL_STATE(12865)] = 616628,
  [SMALL_STATE(12866)] = 616667,
  [SMALL_STATE(12867)] = 616706,
  [SMALL_STATE(12868)] = 616737,
  [SMALL_STATE(12869)] = 616768,
  [SMALL_STATE(12870)] = 616807,
  [SMALL_STATE(12871)] = 616846,
  [SMALL_STATE(12872)] = 616885,
  [SMALL_STATE(12873)] = 616924,
  [SMALL_STATE(12874)] = 616955,
  [SMALL_STATE(12875)] = 616994,
  [SMALL_STATE(12876)] = 617033,
  [SMALL_STATE(12877)] = 617076,
  [SMALL_STATE(12878)] = 617105,
  [SMALL_STATE(12879)] = 617136,
  [SMALL_STATE(12880)] = 617167,
  [SMALL_STATE(12881)] = 617206,
  [SMALL_STATE(12882)] = 617245,
  [SMALL_STATE(12883)] = 617284,
  [SMALL_STATE(12884)] = 617311,
  [SMALL_STATE(12885)] = 617350,
  [SMALL_STATE(12886)] = 617393,
  [SMALL_STATE(12887)] = 617432,
  [SMALL_STATE(12888)] = 617459,
  [SMALL_STATE(12889)] = 617498,
  [SMALL_STATE(12890)] = 617537,
  [SMALL_STATE(12891)] = 617576,
  [SMALL_STATE(12892)] = 617615,
  [SMALL_STATE(12893)] = 617654,
  [SMALL_STATE(12894)] = 617693,
  [SMALL_STATE(12895)] = 617724,
  [SMALL_STATE(12896)] = 617755,
  [SMALL_STATE(12897)] = 617782,
  [SMALL_STATE(12898)] = 617821,
  [SMALL_STATE(12899)] = 617852,
  [SMALL_STATE(12900)] = 617891,
  [SMALL_STATE(12901)] = 617930,
  [SMALL_STATE(12902)] = 617969,
  [SMALL_STATE(12903)] = 618000,
  [SMALL_STATE(12904)] = 618039,
  [SMALL_STATE(12905)] = 618078,
  [SMALL_STATE(12906)] = 618109,
  [SMALL_STATE(12907)] = 618140,
  [SMALL_STATE(12908)] = 618179,
  [SMALL_STATE(12909)] = 618210,
  [SMALL_STATE(12910)] = 618241,
  [SMALL_STATE(12911)] = 618268,
  [SMALL_STATE(12912)] = 618299,
  [SMALL_STATE(12913)] = 618326,
  [SMALL_STATE(12914)] = 618353,
  [SMALL_STATE(12915)] = 618380,
  [SMALL_STATE(12916)] = 618419,
  [SMALL_STATE(12917)] = 618450,
  [SMALL_STATE(12918)] = 618481,
  [SMALL_STATE(12919)] = 618520,
  [SMALL_STATE(12920)] = 618559,
  [SMALL_STATE(12921)] = 618588,
  [SMALL_STATE(12922)] = 618627,
  [SMALL_STATE(12923)] = 618670,
  [SMALL_STATE(12924)] = 618697,
  [SMALL_STATE(12925)] = 618736,
  [SMALL_STATE(12926)] = 618763,
  [SMALL_STATE(12927)] = 618788,
  [SMALL_STATE(12928)] = 618827,
  [SMALL_STATE(12929)] = 618854,
  [SMALL_STATE(12930)] = 618893,
  [SMALL_STATE(12931)] = 618920,
  [SMALL_STATE(12932)] = 618951,
  [SMALL_STATE(12933)] = 618982,
  [SMALL_STATE(12934)] = 619013,
  [SMALL_STATE(12935)] = 619044,
  [SMALL_STATE(12936)] = 619071,
  [SMALL_STATE(12937)] = 619102,
  [SMALL_STATE(12938)] = 619141,
  [SMALL_STATE(12939)] = 619180,
  [SMALL_STATE(12940)] = 619211,
  [SMALL_STATE(12941)] = 619242,
  [SMALL_STATE(12942)] = 619281,
  [SMALL_STATE(12943)] = 619312,
  [SMALL_STATE(12944)] = 619343,
  [SMALL_STATE(12945)] = 619370,
  [SMALL_STATE(12946)] = 619409,
  [SMALL_STATE(12947)] = 619448,
  [SMALL_STATE(12948)] = 619487,
  [SMALL_STATE(12949)] = 619518,
  [SMALL_STATE(12950)] = 619549,
  [SMALL_STATE(12951)] = 619580,
  [SMALL_STATE(12952)] = 619623,
  [SMALL_STATE(12953)] = 619650,
  [SMALL_STATE(12954)] = 619689,
  [SMALL_STATE(12955)] = 619720,
  [SMALL_STATE(12956)] = 619759,
  [SMALL_STATE(12957)] = 619798,
  [SMALL_STATE(12958)] = 619829,
  [SMALL_STATE(12959)] = 619856,
  [SMALL_STATE(12960)] = 619887,
  [SMALL_STATE(12961)] = 619914,
  [SMALL_STATE(12962)] = 619945,
  [SMALL_STATE(12963)] = 619988,
  [SMALL_STATE(12964)] = 620027,
  [SMALL_STATE(12965)] = 620066,
  [SMALL_STATE(12966)] = 620105,
  [SMALL_STATE(12967)] = 620132,
  [SMALL_STATE(12968)] = 620159,
  [SMALL_STATE(12969)] = 620190,
  [SMALL_STATE(12970)] = 620217,
  [SMALL_STATE(12971)] = 620256,
  [SMALL_STATE(12972)] = 620287,
  [SMALL_STATE(12973)] = 620326,
  [SMALL_STATE(12974)] = 620365,
  [SMALL_STATE(12975)] = 620392,
  [SMALL_STATE(12976)] = 620419,
  [SMALL_STATE(12977)] = 620446,
  [SMALL_STATE(12978)] = 620485,
  [SMALL_STATE(12979)] = 620524,
  [SMALL_STATE(12980)] = 620555,
  [SMALL_STATE(12981)] = 620590,
  [SMALL_STATE(12982)] = 620621,
  [SMALL_STATE(12983)] = 620648,
  [SMALL_STATE(12984)] = 620687,
  [SMALL_STATE(12985)] = 620726,
  [SMALL_STATE(12986)] = 620765,
  [SMALL_STATE(12987)] = 620804,
  [SMALL_STATE(12988)] = 620835,
  [SMALL_STATE(12989)] = 620866,
  [SMALL_STATE(12990)] = 620893,
  [SMALL_STATE(12991)] = 620920,
  [SMALL_STATE(12992)] = 620947,
  [SMALL_STATE(12993)] = 620978,
  [SMALL_STATE(12994)] = 621009,
  [SMALL_STATE(12995)] = 621048,
  [SMALL_STATE(12996)] = 621087,
  [SMALL_STATE(12997)] = 621113,
  [SMALL_STATE(12998)] = 621139,
  [SMALL_STATE(12999)] = 621163,
  [SMALL_STATE(13000)] = 621189,
  [SMALL_STATE(13001)] = 621215,
  [SMALL_STATE(13002)] = 621241,
  [SMALL_STATE(13003)] = 621271,
  [SMALL_STATE(13004)] = 621301,
  [SMALL_STATE(13005)] = 621325,
  [SMALL_STATE(13006)] = 621353,
  [SMALL_STATE(13007)] = 621383,
  [SMALL_STATE(13008)] = 621413,
  [SMALL_STATE(13009)] = 621443,
  [SMALL_STATE(13010)] = 621473,
  [SMALL_STATE(13011)] = 621499,
  [SMALL_STATE(13012)] = 621525,
  [SMALL_STATE(13013)] = 621551,
  [SMALL_STATE(13014)] = 621577,
  [SMALL_STATE(13015)] = 621603,
  [SMALL_STATE(13016)] = 621629,
  [SMALL_STATE(13017)] = 621655,
  [SMALL_STATE(13018)] = 621685,
  [SMALL_STATE(13019)] = 621711,
  [SMALL_STATE(13020)] = 621741,
  [SMALL_STATE(13021)] = 621765,
  [SMALL_STATE(13022)] = 621795,
  [SMALL_STATE(13023)] = 621825,
  [SMALL_STATE(13024)] = 621851,
  [SMALL_STATE(13025)] = 621877,
  [SMALL_STATE(13026)] = 621903,
  [SMALL_STATE(13027)] = 621929,
  [SMALL_STATE(13028)] = 621955,
  [SMALL_STATE(13029)] = 621981,
  [SMALL_STATE(13030)] = 622007,
  [SMALL_STATE(13031)] = 622033,
  [SMALL_STATE(13032)] = 622061,
  [SMALL_STATE(13033)] = 622087,
  [SMALL_STATE(13034)] = 622113,
  [SMALL_STATE(13035)] = 622139,
  [SMALL_STATE(13036)] = 622165,
  [SMALL_STATE(13037)] = 622195,
  [SMALL_STATE(13038)] = 622221,
  [SMALL_STATE(13039)] = 622247,
  [SMALL_STATE(13040)] = 622277,
  [SMALL_STATE(13041)] = 622307,
  [SMALL_STATE(13042)] = 622337,
  [SMALL_STATE(13043)] = 622363,
  [SMALL_STATE(13044)] = 622389,
  [SMALL_STATE(13045)] = 622415,
  [SMALL_STATE(13046)] = 622445,
  [SMALL_STATE(13047)] = 622471,
  [SMALL_STATE(13048)] = 622497,
  [SMALL_STATE(13049)] = 622523,
  [SMALL_STATE(13050)] = 622553,
  [SMALL_STATE(13051)] = 622579,
  [SMALL_STATE(13052)] = 622620,
  [SMALL_STATE(13053)] = 622647,
  [SMALL_STATE(13054)] = 622674,
  [SMALL_STATE(13055)] = 622699,
  [SMALL_STATE(13056)] = 622722,
  [SMALL_STATE(13057)] = 622745,
  [SMALL_STATE(13058)] = 622770,
  [SMALL_STATE(13059)] = 622799,
  [SMALL_STATE(13060)] = 622828,
  [SMALL_STATE(13061)] = 622855,
  [SMALL_STATE(13062)] = 622880,
  [SMALL_STATE(13063)] = 622903,
  [SMALL_STATE(13064)] = 622926,
  [SMALL_STATE(13065)] = 622967,
  [SMALL_STATE(13066)] = 622990,
  [SMALL_STATE(13067)] = 623015,
  [SMALL_STATE(13068)] = 623054,
  [SMALL_STATE(13069)] = 623077,
  [SMALL_STATE(13070)] = 623102,
  [SMALL_STATE(13071)] = 623141,
  [SMALL_STATE(13072)] = 623170,
  [SMALL_STATE(13073)] = 623197,
  [SMALL_STATE(13074)] = 623226,
  [SMALL_STATE(13075)] = 623249,
  [SMALL_STATE(13076)] = 623288,
  [SMALL_STATE(13077)] = 623329,
  [SMALL_STATE(13078)] = 623362,
  [SMALL_STATE(13079)] = 623385,
  [SMALL_STATE(13080)] = 623408,
  [SMALL_STATE(13081)] = 623431,
  [SMALL_STATE(13082)] = 623470,
  [SMALL_STATE(13083)] = 623493,
  [SMALL_STATE(13084)] = 623516,
  [SMALL_STATE(13085)] = 623555,
  [SMALL_STATE(13086)] = 623578,
  [SMALL_STATE(13087)] = 623619,
  [SMALL_STATE(13088)] = 623658,
  [SMALL_STATE(13089)] = 623697,
  [SMALL_STATE(13090)] = 623720,
  [SMALL_STATE(13091)] = 623743,
  [SMALL_STATE(13092)] = 623776,
  [SMALL_STATE(13093)] = 623815,
  [SMALL_STATE(13094)] = 623856,
  [SMALL_STATE(13095)] = 623885,
  [SMALL_STATE(13096)] = 623926,
  [SMALL_STATE(13097)] = 623949,
  [SMALL_STATE(13098)] = 623972,
  [SMALL_STATE(13099)] = 624002,
  [SMALL_STATE(13100)] = 624024,
  [SMALL_STATE(13101)] = 624062,
  [SMALL_STATE(13102)] = 624100,
  [SMALL_STATE(13103)] = 624122,
  [SMALL_STATE(13104)] = 624158,
  [SMALL_STATE(13105)] = 624188,
  [SMALL_STATE(13106)] = 624218,
  [SMALL_STATE(13107)] = 624244,
  [SMALL_STATE(13108)] = 624282,
  [SMALL_STATE(13109)] = 624316,
  [SMALL_STATE(13110)] = 624354,
  [SMALL_STATE(13111)] = 624384,
  [SMALL_STATE(13112)] = 624414,
  [SMALL_STATE(13113)] = 624452,
  [SMALL_STATE(13114)] = 624490,
  [SMALL_STATE(13115)] = 624516,
  [SMALL_STATE(13116)] = 624552,
  [SMALL_STATE(13117)] = 624574,
  [SMALL_STATE(13118)] = 624604,
  [SMALL_STATE(13119)] = 624642,
  [SMALL_STATE(13120)] = 624666,
  [SMALL_STATE(13121)] = 624696,
  [SMALL_STATE(13122)] = 624734,
  [SMALL_STATE(13123)] = 624772,
  [SMALL_STATE(13124)] = 624806,
  [SMALL_STATE(13125)] = 624842,
  [SMALL_STATE(13126)] = 624876,
  [SMALL_STATE(13127)] = 624912,
  [SMALL_STATE(13128)] = 624938,
  [SMALL_STATE(13129)] = 624968,
  [SMALL_STATE(13130)] = 624990,
  [SMALL_STATE(13131)] = 625028,
  [SMALL_STATE(13132)] = 625066,
  [SMALL_STATE(13133)] = 625100,
  [SMALL_STATE(13134)] = 625124,
  [SMALL_STATE(13135)] = 625148,
  [SMALL_STATE(13136)] = 625182,
  [SMALL_STATE(13137)] = 625212,
  [SMALL_STATE(13138)] = 625242,
  [SMALL_STATE(13139)] = 625266,
  [SMALL_STATE(13140)] = 625296,
  [SMALL_STATE(13141)] = 625320,
  [SMALL_STATE(13142)] = 625358,
  [SMALL_STATE(13143)] = 625396,
  [SMALL_STATE(13144)] = 625434,
  [SMALL_STATE(13145)] = 625468,
  [SMALL_STATE(13146)] = 625506,
  [SMALL_STATE(13147)] = 625530,
  [SMALL_STATE(13148)] = 625554,
  [SMALL_STATE(13149)] = 625592,
  [SMALL_STATE(13150)] = 625616,
  [SMALL_STATE(13151)] = 625642,
  [SMALL_STATE(13152)] = 625676,
  [SMALL_STATE(13153)] = 625712,
  [SMALL_STATE(13154)] = 625750,
  [SMALL_STATE(13155)] = 625786,
  [SMALL_STATE(13156)] = 625816,
  [SMALL_STATE(13157)] = 625854,
  [SMALL_STATE(13158)] = 625878,
  [SMALL_STATE(13159)] = 625902,
  [SMALL_STATE(13160)] = 625926,
  [SMALL_STATE(13161)] = 625956,
  [SMALL_STATE(13162)] = 625980,
  [SMALL_STATE(13163)] = 626010,
  [SMALL_STATE(13164)] = 626040,
  [SMALL_STATE(13165)] = 626070,
  [SMALL_STATE(13166)] = 626100,
  [SMALL_STATE(13167)] = 626130,
  [SMALL_STATE(13168)] = 626168,
  [SMALL_STATE(13169)] = 626202,
  [SMALL_STATE(13170)] = 626226,
  [SMALL_STATE(13171)] = 626264,
  [SMALL_STATE(13172)] = 626288,
  [SMALL_STATE(13173)] = 626322,
  [SMALL_STATE(13174)] = 626360,
  [SMALL_STATE(13175)] = 626394,
  [SMALL_STATE(13176)] = 626418,
  [SMALL_STATE(13177)] = 626448,
  [SMALL_STATE(13178)] = 626478,
  [SMALL_STATE(13179)] = 626508,
  [SMALL_STATE(13180)] = 626546,
  [SMALL_STATE(13181)] = 626570,
  [SMALL_STATE(13182)] = 626600,
  [SMALL_STATE(13183)] = 626630,
  [SMALL_STATE(13184)] = 626668,
  [SMALL_STATE(13185)] = 626706,
  [SMALL_STATE(13186)] = 626740,
  [SMALL_STATE(13187)] = 626778,
  [SMALL_STATE(13188)] = 626802,
  [SMALL_STATE(13189)] = 626836,
  [SMALL_STATE(13190)] = 626866,
  [SMALL_STATE(13191)] = 626896,
  [SMALL_STATE(13192)] = 626926,
  [SMALL_STATE(13193)] = 626960,
  [SMALL_STATE(13194)] = 626990,
  [SMALL_STATE(13195)] = 627028,
  [SMALL_STATE(13196)] = 627058,
  [SMALL_STATE(13197)] = 627092,
  [SMALL_STATE(13198)] = 627116,
  [SMALL_STATE(13199)] = 627154,
  [SMALL_STATE(13200)] = 627184,
  [SMALL_STATE(13201)] = 627222,
  [SMALL_STATE(13202)] = 627252,
  [SMALL_STATE(13203)] = 627286,
  [SMALL_STATE(13204)] = 627312,
  [SMALL_STATE(13205)] = 627342,
  [SMALL_STATE(13206)] = 627380,
  [SMALL_STATE(13207)] = 627404,
  [SMALL_STATE(13208)] = 627434,
  [SMALL_STATE(13209)] = 627468,
  [SMALL_STATE(13210)] = 627498,
  [SMALL_STATE(13211)] = 627536,
  [SMALL_STATE(13212)] = 627570,
  [SMALL_STATE(13213)] = 627608,
  [SMALL_STATE(13214)] = 627638,
  [SMALL_STATE(13215)] = 627674,
  [SMALL_STATE(13216)] = 627704,
  [SMALL_STATE(13217)] = 627734,
  [SMALL_STATE(13218)] = 627770,
  [SMALL_STATE(13219)] = 627800,
  [SMALL_STATE(13220)] = 627830,
  [SMALL_STATE(13221)] = 627864,
  [SMALL_STATE(13222)] = 627902,
  [SMALL_STATE(13223)] = 627940,
  [SMALL_STATE(13224)] = 627970,
  [SMALL_STATE(13225)] = 628000,
  [SMALL_STATE(13226)] = 628024,
  [SMALL_STATE(13227)] = 628048,
  [SMALL_STATE(13228)] = 628084,
  [SMALL_STATE(13229)] = 628108,
  [SMALL_STATE(13230)] = 628132,
  [SMALL_STATE(13231)] = 628156,
  [SMALL_STATE(13232)] = 628186,
  [SMALL_STATE(13233)] = 628216,
  [SMALL_STATE(13234)] = 628246,
  [SMALL_STATE(13235)] = 628276,
  [SMALL_STATE(13236)] = 628312,
  [SMALL_STATE(13237)] = 628348,
  [SMALL_STATE(13238)] = 628386,
  [SMALL_STATE(13239)] = 628416,
  [SMALL_STATE(13240)] = 628446,
  [SMALL_STATE(13241)] = 628468,
  [SMALL_STATE(13242)] = 628492,
  [SMALL_STATE(13243)] = 628528,
  [SMALL_STATE(13244)] = 628566,
  [SMALL_STATE(13245)] = 628596,
  [SMALL_STATE(13246)] = 628620,
  [SMALL_STATE(13247)] = 628644,
  [SMALL_STATE(13248)] = 628682,
  [SMALL_STATE(13249)] = 628720,
  [SMALL_STATE(13250)] = 628742,
  [SMALL_STATE(13251)] = 628772,
  [SMALL_STATE(13252)] = 628802,
  [SMALL_STATE(13253)] = 628840,
  [SMALL_STATE(13254)] = 628870,
  [SMALL_STATE(13255)] = 628900,
  [SMALL_STATE(13256)] = 628938,
  [SMALL_STATE(13257)] = 628974,
  [SMALL_STATE(13258)] = 628996,
  [SMALL_STATE(13259)] = 629020,
  [SMALL_STATE(13260)] = 629044,
  [SMALL_STATE(13261)] = 629082,
  [SMALL_STATE(13262)] = 629120,
  [SMALL_STATE(13263)] = 629154,
  [SMALL_STATE(13264)] = 629192,
  [SMALL_STATE(13265)] = 629216,
  [SMALL_STATE(13266)] = 629246,
  [SMALL_STATE(13267)] = 629270,
  [SMALL_STATE(13268)] = 629300,
  [SMALL_STATE(13269)] = 629324,
  [SMALL_STATE(13270)] = 629362,
  [SMALL_STATE(13271)] = 629392,
  [SMALL_STATE(13272)] = 629422,
  [SMALL_STATE(13273)] = 629452,
  [SMALL_STATE(13274)] = 629480,
  [SMALL_STATE(13275)] = 629516,
  [SMALL_STATE(13276)] = 629538,
  [SMALL_STATE(13277)] = 629568,
  [SMALL_STATE(13278)] = 629606,
  [SMALL_STATE(13279)] = 629633,
  [SMALL_STATE(13280)] = 629668,
  [SMALL_STATE(13281)] = 629703,
  [SMALL_STATE(13282)] = 629736,
  [SMALL_STATE(13283)] = 629761,
  [SMALL_STATE(13284)] = 629794,
  [SMALL_STATE(13285)] = 629829,
  [SMALL_STATE(13286)] = 629862,
  [SMALL_STATE(13287)] = 629885,
  [SMALL_STATE(13288)] = 629918,
  [SMALL_STATE(13289)] = 629943,
  [SMALL_STATE(13290)] = 629978,
  [SMALL_STATE(13291)] = 630001,
  [SMALL_STATE(13292)] = 630022,
  [SMALL_STATE(13293)] = 630055,
  [SMALL_STATE(13294)] = 630090,
  [SMALL_STATE(13295)] = 630123,
  [SMALL_STATE(13296)] = 630148,
  [SMALL_STATE(13297)] = 630183,
  [SMALL_STATE(13298)] = 630216,
  [SMALL_STATE(13299)] = 630241,
  [SMALL_STATE(13300)] = 630274,
  [SMALL_STATE(13301)] = 630297,
  [SMALL_STATE(13302)] = 630330,
  [SMALL_STATE(13303)] = 630363,
  [SMALL_STATE(13304)] = 630384,
  [SMALL_STATE(13305)] = 630407,
  [SMALL_STATE(13306)] = 630440,
  [SMALL_STATE(13307)] = 630475,
  [SMALL_STATE(13308)] = 630508,
  [SMALL_STATE(13309)] = 630541,
  [SMALL_STATE(13310)] = 630576,
  [SMALL_STATE(13311)] = 630609,
  [SMALL_STATE(13312)] = 630642,
  [SMALL_STATE(13313)] = 630663,
  [SMALL_STATE(13314)] = 630698,
  [SMALL_STATE(13315)] = 630731,
  [SMALL_STATE(13316)] = 630764,
  [SMALL_STATE(13317)] = 630797,
  [SMALL_STATE(13318)] = 630830,
  [SMALL_STATE(13319)] = 630865,
  [SMALL_STATE(13320)] = 630898,
  [SMALL_STATE(13321)] = 630923,
  [SMALL_STATE(13322)] = 630956,
  [SMALL_STATE(13323)] = 630989,
  [SMALL_STATE(13324)] = 631022,
  [SMALL_STATE(13325)] = 631057,
  [SMALL_STATE(13326)] = 631092,
  [SMALL_STATE(13327)] = 631127,
  [SMALL_STATE(13328)] = 631162,
  [SMALL_STATE(13329)] = 631197,
  [SMALL_STATE(13330)] = 631232,
  [SMALL_STATE(13331)] = 631265,
  [SMALL_STATE(13332)] = 631292,
  [SMALL_STATE(13333)] = 631327,
  [SMALL_STATE(13334)] = 631354,
  [SMALL_STATE(13335)] = 631381,
  [SMALL_STATE(13336)] = 631416,
  [SMALL_STATE(13337)] = 631449,
  [SMALL_STATE(13338)] = 631484,
  [SMALL_STATE(13339)] = 631511,
  [SMALL_STATE(13340)] = 631546,
  [SMALL_STATE(13341)] = 631581,
  [SMALL_STATE(13342)] = 631616,
  [SMALL_STATE(13343)] = 631649,
  [SMALL_STATE(13344)] = 631674,
  [SMALL_STATE(13345)] = 631707,
  [SMALL_STATE(13346)] = 631742,
  [SMALL_STATE(13347)] = 631777,
  [SMALL_STATE(13348)] = 631810,
  [SMALL_STATE(13349)] = 631845,
  [SMALL_STATE(13350)] = 631880,
  [SMALL_STATE(13351)] = 631915,
  [SMALL_STATE(13352)] = 631950,
  [SMALL_STATE(13353)] = 631982,
  [SMALL_STATE(13354)] = 632014,
  [SMALL_STATE(13355)] = 632046,
  [SMALL_STATE(13356)] = 632078,
  [SMALL_STATE(13357)] = 632110,
  [SMALL_STATE(13358)] = 632142,
  [SMALL_STATE(13359)] = 632174,
  [SMALL_STATE(13360)] = 632206,
  [SMALL_STATE(13361)] = 632238,
  [SMALL_STATE(13362)] = 632270,
  [SMALL_STATE(13363)] = 632292,
  [SMALL_STATE(13364)] = 632324,
  [SMALL_STATE(13365)] = 632354,
  [SMALL_STATE(13366)] = 632378,
  [SMALL_STATE(13367)] = 632410,
  [SMALL_STATE(13368)] = 632440,
  [SMALL_STATE(13369)] = 632472,
  [SMALL_STATE(13370)] = 632494,
  [SMALL_STATE(13371)] = 632514,
  [SMALL_STATE(13372)] = 632546,
  [SMALL_STATE(13373)] = 632578,
  [SMALL_STATE(13374)] = 632610,
  [SMALL_STATE(13375)] = 632642,
  [SMALL_STATE(13376)] = 632674,
  [SMALL_STATE(13377)] = 632706,
  [SMALL_STATE(13378)] = 632738,
  [SMALL_STATE(13379)] = 632770,
  [SMALL_STATE(13380)] = 632800,
  [SMALL_STATE(13381)] = 632832,
  [SMALL_STATE(13382)] = 632864,
  [SMALL_STATE(13383)] = 632886,
  [SMALL_STATE(13384)] = 632908,
  [SMALL_STATE(13385)] = 632940,
  [SMALL_STATE(13386)] = 632962,
  [SMALL_STATE(13387)] = 632984,
  [SMALL_STATE(13388)] = 633016,
  [SMALL_STATE(13389)] = 633048,
  [SMALL_STATE(13390)] = 633080,
  [SMALL_STATE(13391)] = 633104,
  [SMALL_STATE(13392)] = 633128,
  [SMALL_STATE(13393)] = 633160,
  [SMALL_STATE(13394)] = 633192,
  [SMALL_STATE(13395)] = 633224,
  [SMALL_STATE(13396)] = 633252,
  [SMALL_STATE(13397)] = 633284,
  [SMALL_STATE(13398)] = 633316,
  [SMALL_STATE(13399)] = 633346,
  [SMALL_STATE(13400)] = 633378,
  [SMALL_STATE(13401)] = 633410,
  [SMALL_STATE(13402)] = 633440,
  [SMALL_STATE(13403)] = 633472,
  [SMALL_STATE(13404)] = 633504,
  [SMALL_STATE(13405)] = 633534,
  [SMALL_STATE(13406)] = 633566,
  [SMALL_STATE(13407)] = 633598,
  [SMALL_STATE(13408)] = 633630,
  [SMALL_STATE(13409)] = 633660,
  [SMALL_STATE(13410)] = 633682,
  [SMALL_STATE(13411)] = 633714,
  [SMALL_STATE(13412)] = 633746,
  [SMALL_STATE(13413)] = 633778,
  [SMALL_STATE(13414)] = 633810,
  [SMALL_STATE(13415)] = 633842,
  [SMALL_STATE(13416)] = 633874,
  [SMALL_STATE(13417)] = 633904,
  [SMALL_STATE(13418)] = 633936,
  [SMALL_STATE(13419)] = 633968,
  [SMALL_STATE(13420)] = 634000,
  [SMALL_STATE(13421)] = 634022,
  [SMALL_STATE(13422)] = 634054,
  [SMALL_STATE(13423)] = 634076,
  [SMALL_STATE(13424)] = 634104,
  [SMALL_STATE(13425)] = 634136,
  [SMALL_STATE(13426)] = 634168,
  [SMALL_STATE(13427)] = 634200,
  [SMALL_STATE(13428)] = 634232,
  [SMALL_STATE(13429)] = 634264,
  [SMALL_STATE(13430)] = 634296,
  [SMALL_STATE(13431)] = 634328,
  [SMALL_STATE(13432)] = 634360,
  [SMALL_STATE(13433)] = 634392,
  [SMALL_STATE(13434)] = 634424,
  [SMALL_STATE(13435)] = 634446,
  [SMALL_STATE(13436)] = 634478,
  [SMALL_STATE(13437)] = 634510,
  [SMALL_STATE(13438)] = 634530,
  [SMALL_STATE(13439)] = 634562,
  [SMALL_STATE(13440)] = 634594,
  [SMALL_STATE(13441)] = 634626,
  [SMALL_STATE(13442)] = 634658,
  [SMALL_STATE(13443)] = 634690,
  [SMALL_STATE(13444)] = 634710,
  [SMALL_STATE(13445)] = 634734,
  [SMALL_STATE(13446)] = 634766,
  [SMALL_STATE(13447)] = 634788,
  [SMALL_STATE(13448)] = 634820,
  [SMALL_STATE(13449)] = 634842,
  [SMALL_STATE(13450)] = 634874,
  [SMALL_STATE(13451)] = 634906,
  [SMALL_STATE(13452)] = 634938,
  [SMALL_STATE(13453)] = 634970,
  [SMALL_STATE(13454)] = 635002,
  [SMALL_STATE(13455)] = 635034,
  [SMALL_STATE(13456)] = 635064,
  [SMALL_STATE(13457)] = 635096,
  [SMALL_STATE(13458)] = 635128,
  [SMALL_STATE(13459)] = 635160,
  [SMALL_STATE(13460)] = 635192,
  [SMALL_STATE(13461)] = 635224,
  [SMALL_STATE(13462)] = 635256,
  [SMALL_STATE(13463)] = 635288,
  [SMALL_STATE(13464)] = 635310,
  [SMALL_STATE(13465)] = 635342,
  [SMALL_STATE(13466)] = 635374,
  [SMALL_STATE(13467)] = 635396,
  [SMALL_STATE(13468)] = 635418,
  [SMALL_STATE(13469)] = 635450,
  [SMALL_STATE(13470)] = 635472,
  [SMALL_STATE(13471)] = 635504,
  [SMALL_STATE(13472)] = 635526,
  [SMALL_STATE(13473)] = 635558,
  [SMALL_STATE(13474)] = 635590,
  [SMALL_STATE(13475)] = 635622,
  [SMALL_STATE(13476)] = 635644,
  [SMALL_STATE(13477)] = 635674,
  [SMALL_STATE(13478)] = 635706,
  [SMALL_STATE(13479)] = 635738,
  [SMALL_STATE(13480)] = 635770,
  [SMALL_STATE(13481)] = 635802,
  [SMALL_STATE(13482)] = 635834,
  [SMALL_STATE(13483)] = 635866,
  [SMALL_STATE(13484)] = 635898,
  [SMALL_STATE(13485)] = 635930,
  [SMALL_STATE(13486)] = 635960,
  [SMALL_STATE(13487)] = 635992,
  [SMALL_STATE(13488)] = 636024,
  [SMALL_STATE(13489)] = 636044,
  [SMALL_STATE(13490)] = 636076,
  [SMALL_STATE(13491)] = 636108,
  [SMALL_STATE(13492)] = 636128,
  [SMALL_STATE(13493)] = 636156,
  [SMALL_STATE(13494)] = 636180,
  [SMALL_STATE(13495)] = 636212,
  [SMALL_STATE(13496)] = 636244,
  [SMALL_STATE(13497)] = 636276,
  [SMALL_STATE(13498)] = 636308,
  [SMALL_STATE(13499)] = 636340,
  [SMALL_STATE(13500)] = 636372,
  [SMALL_STATE(13501)] = 636404,
  [SMALL_STATE(13502)] = 636436,
  [SMALL_STATE(13503)] = 636468,
  [SMALL_STATE(13504)] = 636500,
  [SMALL_STATE(13505)] = 636532,
  [SMALL_STATE(13506)] = 636564,
  [SMALL_STATE(13507)] = 636596,
  [SMALL_STATE(13508)] = 636628,
  [SMALL_STATE(13509)] = 636650,
  [SMALL_STATE(13510)] = 636680,
  [SMALL_STATE(13511)] = 636710,
  [SMALL_STATE(13512)] = 636732,
  [SMALL_STATE(13513)] = 636764,
  [SMALL_STATE(13514)] = 636796,
  [SMALL_STATE(13515)] = 636828,
  [SMALL_STATE(13516)] = 636860,
  [SMALL_STATE(13517)] = 636880,
  [SMALL_STATE(13518)] = 636912,
  [SMALL_STATE(13519)] = 636944,
  [SMALL_STATE(13520)] = 636966,
  [SMALL_STATE(13521)] = 636998,
  [SMALL_STATE(13522)] = 637030,
  [SMALL_STATE(13523)] = 637050,
  [SMALL_STATE(13524)] = 637072,
  [SMALL_STATE(13525)] = 637096,
  [SMALL_STATE(13526)] = 637128,
  [SMALL_STATE(13527)] = 637150,
  [SMALL_STATE(13528)] = 637182,
  [SMALL_STATE(13529)] = 637214,
  [SMALL_STATE(13530)] = 637236,
  [SMALL_STATE(13531)] = 637266,
  [SMALL_STATE(13532)] = 637298,
  [SMALL_STATE(13533)] = 637328,
  [SMALL_STATE(13534)] = 637360,
  [SMALL_STATE(13535)] = 637392,
  [SMALL_STATE(13536)] = 637422,
  [SMALL_STATE(13537)] = 637454,
  [SMALL_STATE(13538)] = 637486,
  [SMALL_STATE(13539)] = 637518,
  [SMALL_STATE(13540)] = 637540,
  [SMALL_STATE(13541)] = 637572,
  [SMALL_STATE(13542)] = 637604,
  [SMALL_STATE(13543)] = 637636,
  [SMALL_STATE(13544)] = 637668,
  [SMALL_STATE(13545)] = 637694,
  [SMALL_STATE(13546)] = 637724,
  [SMALL_STATE(13547)] = 637756,
  [SMALL_STATE(13548)] = 637788,
  [SMALL_STATE(13549)] = 637810,
  [SMALL_STATE(13550)] = 637842,
  [SMALL_STATE(13551)] = 637866,
  [SMALL_STATE(13552)] = 637898,
  [SMALL_STATE(13553)] = 637920,
  [SMALL_STATE(13554)] = 637942,
  [SMALL_STATE(13555)] = 637974,
  [SMALL_STATE(13556)] = 638006,
  [SMALL_STATE(13557)] = 638038,
  [SMALL_STATE(13558)] = 638060,
  [SMALL_STATE(13559)] = 638092,
  [SMALL_STATE(13560)] = 638124,
  [SMALL_STATE(13561)] = 638156,
  [SMALL_STATE(13562)] = 638188,
  [SMALL_STATE(13563)] = 638220,
  [SMALL_STATE(13564)] = 638248,
  [SMALL_STATE(13565)] = 638280,
  [SMALL_STATE(13566)] = 638310,
  [SMALL_STATE(13567)] = 638342,
  [SMALL_STATE(13568)] = 638374,
  [SMALL_STATE(13569)] = 638404,
  [SMALL_STATE(13570)] = 638436,
  [SMALL_STATE(13571)] = 638468,
  [SMALL_STATE(13572)] = 638488,
  [SMALL_STATE(13573)] = 638510,
  [SMALL_STATE(13574)] = 638542,
  [SMALL_STATE(13575)] = 638566,
  [SMALL_STATE(13576)] = 638598,
  [SMALL_STATE(13577)] = 638620,
  [SMALL_STATE(13578)] = 638652,
  [SMALL_STATE(13579)] = 638684,
  [SMALL_STATE(13580)] = 638716,
  [SMALL_STATE(13581)] = 638744,
  [SMALL_STATE(13582)] = 638766,
  [SMALL_STATE(13583)] = 638788,
  [SMALL_STATE(13584)] = 638818,
  [SMALL_STATE(13585)] = 638850,
  [SMALL_STATE(13586)] = 638882,
  [SMALL_STATE(13587)] = 638914,
  [SMALL_STATE(13588)] = 638936,
  [SMALL_STATE(13589)] = 638968,
  [SMALL_STATE(13590)] = 639000,
  [SMALL_STATE(13591)] = 639032,
  [SMALL_STATE(13592)] = 639064,
  [SMALL_STATE(13593)] = 639096,
  [SMALL_STATE(13594)] = 639128,
  [SMALL_STATE(13595)] = 639158,
  [SMALL_STATE(13596)] = 639190,
  [SMALL_STATE(13597)] = 639222,
  [SMALL_STATE(13598)] = 639254,
  [SMALL_STATE(13599)] = 639276,
  [SMALL_STATE(13600)] = 639296,
  [SMALL_STATE(13601)] = 639328,
  [SMALL_STATE(13602)] = 639360,
  [SMALL_STATE(13603)] = 639392,
  [SMALL_STATE(13604)] = 639416,
  [SMALL_STATE(13605)] = 639448,
  [SMALL_STATE(13606)] = 639478,
  [SMALL_STATE(13607)] = 639502,
  [SMALL_STATE(13608)] = 639532,
  [SMALL_STATE(13609)] = 639554,
  [SMALL_STATE(13610)] = 639584,
  [SMALL_STATE(13611)] = 639616,
  [SMALL_STATE(13612)] = 639638,
  [SMALL_STATE(13613)] = 639670,
  [SMALL_STATE(13614)] = 639692,
  [SMALL_STATE(13615)] = 639724,
  [SMALL_STATE(13616)] = 639756,
  [SMALL_STATE(13617)] = 639780,
  [SMALL_STATE(13618)] = 639812,
  [SMALL_STATE(13619)] = 639844,
  [SMALL_STATE(13620)] = 639876,
  [SMALL_STATE(13621)] = 639908,
  [SMALL_STATE(13622)] = 639930,
  [SMALL_STATE(13623)] = 639962,
  [SMALL_STATE(13624)] = 639986,
  [SMALL_STATE(13625)] = 640018,
  [SMALL_STATE(13626)] = 640048,
  [SMALL_STATE(13627)] = 640080,
  [SMALL_STATE(13628)] = 640112,
  [SMALL_STATE(13629)] = 640144,
  [SMALL_STATE(13630)] = 640174,
  [SMALL_STATE(13631)] = 640196,
  [SMALL_STATE(13632)] = 640228,
  [SMALL_STATE(13633)] = 640260,
  [SMALL_STATE(13634)] = 640282,
  [SMALL_STATE(13635)] = 640314,
  [SMALL_STATE(13636)] = 640346,
  [SMALL_STATE(13637)] = 640378,
  [SMALL_STATE(13638)] = 640410,
  [SMALL_STATE(13639)] = 640442,
  [SMALL_STATE(13640)] = 640474,
  [SMALL_STATE(13641)] = 640506,
  [SMALL_STATE(13642)] = 640530,
  [SMALL_STATE(13643)] = 640552,
  [SMALL_STATE(13644)] = 640584,
  [SMALL_STATE(13645)] = 640616,
  [SMALL_STATE(13646)] = 640648,
  [SMALL_STATE(13647)] = 640680,
  [SMALL_STATE(13648)] = 640704,
  [SMALL_STATE(13649)] = 640736,
  [SMALL_STATE(13650)] = 640768,
  [SMALL_STATE(13651)] = 640798,
  [SMALL_STATE(13652)] = 640828,
  [SMALL_STATE(13653)] = 640858,
  [SMALL_STATE(13654)] = 640890,
  [SMALL_STATE(13655)] = 640922,
  [SMALL_STATE(13656)] = 640954,
  [SMALL_STATE(13657)] = 640984,
  [SMALL_STATE(13658)] = 641016,
  [SMALL_STATE(13659)] = 641048,
  [SMALL_STATE(13660)] = 641068,
  [SMALL_STATE(13661)] = 641092,
  [SMALL_STATE(13662)] = 641124,
  [SMALL_STATE(13663)] = 641156,
  [SMALL_STATE(13664)] = 641188,
  [SMALL_STATE(13665)] = 641210,
  [SMALL_STATE(13666)] = 641242,
  [SMALL_STATE(13667)] = 641274,
  [SMALL_STATE(13668)] = 641304,
  [SMALL_STATE(13669)] = 641332,
  [SMALL_STATE(13670)] = 641364,
  [SMALL_STATE(13671)] = 641396,
  [SMALL_STATE(13672)] = 641428,
  [SMALL_STATE(13673)] = 641458,
  [SMALL_STATE(13674)] = 641490,
  [SMALL_STATE(13675)] = 641512,
  [SMALL_STATE(13676)] = 641542,
  [SMALL_STATE(13677)] = 641574,
  [SMALL_STATE(13678)] = 641606,
  [SMALL_STATE(13679)] = 641638,
  [SMALL_STATE(13680)] = 641670,
  [SMALL_STATE(13681)] = 641700,
  [SMALL_STATE(13682)] = 641722,
  [SMALL_STATE(13683)] = 641754,
  [SMALL_STATE(13684)] = 641786,
  [SMALL_STATE(13685)] = 641815,
  [SMALL_STATE(13686)] = 641844,
  [SMALL_STATE(13687)] = 641873,
  [SMALL_STATE(13688)] = 641900,
  [SMALL_STATE(13689)] = 641929,
  [SMALL_STATE(13690)] = 641958,
  [SMALL_STATE(13691)] = 641987,
  [SMALL_STATE(13692)] = 642016,
  [SMALL_STATE(13693)] = 642037,
  [SMALL_STATE(13694)] = 642066,
  [SMALL_STATE(13695)] = 642093,
  [SMALL_STATE(13696)] = 642122,
  [SMALL_STATE(13697)] = 642151,
  [SMALL_STATE(13698)] = 642180,
  [SMALL_STATE(13699)] = 642209,
  [SMALL_STATE(13700)] = 642238,
  [SMALL_STATE(13701)] = 642267,
  [SMALL_STATE(13702)] = 642296,
  [SMALL_STATE(13703)] = 642325,
  [SMALL_STATE(13704)] = 642346,
  [SMALL_STATE(13705)] = 642373,
  [SMALL_STATE(13706)] = 642402,
  [SMALL_STATE(13707)] = 642431,
  [SMALL_STATE(13708)] = 642460,
  [SMALL_STATE(13709)] = 642481,
  [SMALL_STATE(13710)] = 642510,
  [SMALL_STATE(13711)] = 642531,
  [SMALL_STATE(13712)] = 642552,
  [SMALL_STATE(13713)] = 642573,
  [SMALL_STATE(13714)] = 642602,
  [SMALL_STATE(13715)] = 642623,
  [SMALL_STATE(13716)] = 642652,
  [SMALL_STATE(13717)] = 642681,
  [SMALL_STATE(13718)] = 642710,
  [SMALL_STATE(13719)] = 642739,
  [SMALL_STATE(13720)] = 642768,
  [SMALL_STATE(13721)] = 642797,
  [SMALL_STATE(13722)] = 642826,
  [SMALL_STATE(13723)] = 642855,
  [SMALL_STATE(13724)] = 642884,
  [SMALL_STATE(13725)] = 642913,
  [SMALL_STATE(13726)] = 642942,
  [SMALL_STATE(13727)] = 642971,
  [SMALL_STATE(13728)] = 643000,
  [SMALL_STATE(13729)] = 643029,
  [SMALL_STATE(13730)] = 643058,
  [SMALL_STATE(13731)] = 643087,
  [SMALL_STATE(13732)] = 643116,
  [SMALL_STATE(13733)] = 643145,
  [SMALL_STATE(13734)] = 643174,
  [SMALL_STATE(13735)] = 643203,
  [SMALL_STATE(13736)] = 643232,
  [SMALL_STATE(13737)] = 643261,
  [SMALL_STATE(13738)] = 643290,
  [SMALL_STATE(13739)] = 643319,
  [SMALL_STATE(13740)] = 643348,
  [SMALL_STATE(13741)] = 643371,
  [SMALL_STATE(13742)] = 643396,
  [SMALL_STATE(13743)] = 643425,
  [SMALL_STATE(13744)] = 643448,
  [SMALL_STATE(13745)] = 643477,
  [SMALL_STATE(13746)] = 643506,
  [SMALL_STATE(13747)] = 643535,
  [SMALL_STATE(13748)] = 643564,
  [SMALL_STATE(13749)] = 643593,
  [SMALL_STATE(13750)] = 643622,
  [SMALL_STATE(13751)] = 643651,
  [SMALL_STATE(13752)] = 643680,
  [SMALL_STATE(13753)] = 643709,
  [SMALL_STATE(13754)] = 643738,
  [SMALL_STATE(13755)] = 643767,
  [SMALL_STATE(13756)] = 643796,
  [SMALL_STATE(13757)] = 643825,
  [SMALL_STATE(13758)] = 643854,
  [SMALL_STATE(13759)] = 643883,
  [SMALL_STATE(13760)] = 643912,
  [SMALL_STATE(13761)] = 643941,
  [SMALL_STATE(13762)] = 643970,
  [SMALL_STATE(13763)] = 643999,
  [SMALL_STATE(13764)] = 644028,
  [SMALL_STATE(13765)] = 644057,
  [SMALL_STATE(13766)] = 644086,
  [SMALL_STATE(13767)] = 644115,
  [SMALL_STATE(13768)] = 644136,
  [SMALL_STATE(13769)] = 644165,
  [SMALL_STATE(13770)] = 644194,
  [SMALL_STATE(13771)] = 644223,
  [SMALL_STATE(13772)] = 644252,
  [SMALL_STATE(13773)] = 644281,
  [SMALL_STATE(13774)] = 644310,
  [SMALL_STATE(13775)] = 644339,
  [SMALL_STATE(13776)] = 644368,
  [SMALL_STATE(13777)] = 644397,
  [SMALL_STATE(13778)] = 644426,
  [SMALL_STATE(13779)] = 644455,
  [SMALL_STATE(13780)] = 644484,
  [SMALL_STATE(13781)] = 644513,
  [SMALL_STATE(13782)] = 644542,
  [SMALL_STATE(13783)] = 644571,
  [SMALL_STATE(13784)] = 644600,
  [SMALL_STATE(13785)] = 644629,
  [SMALL_STATE(13786)] = 644658,
  [SMALL_STATE(13787)] = 644685,
  [SMALL_STATE(13788)] = 644714,
  [SMALL_STATE(13789)] = 644743,
  [SMALL_STATE(13790)] = 644772,
  [SMALL_STATE(13791)] = 644801,
  [SMALL_STATE(13792)] = 644830,
  [SMALL_STATE(13793)] = 644859,
  [SMALL_STATE(13794)] = 644888,
  [SMALL_STATE(13795)] = 644917,
  [SMALL_STATE(13796)] = 644946,
  [SMALL_STATE(13797)] = 644975,
  [SMALL_STATE(13798)] = 645004,
  [SMALL_STATE(13799)] = 645033,
  [SMALL_STATE(13800)] = 645062,
  [SMALL_STATE(13801)] = 645091,
  [SMALL_STATE(13802)] = 645120,
  [SMALL_STATE(13803)] = 645147,
  [SMALL_STATE(13804)] = 645168,
  [SMALL_STATE(13805)] = 645197,
  [SMALL_STATE(13806)] = 645226,
  [SMALL_STATE(13807)] = 645255,
  [SMALL_STATE(13808)] = 645276,
  [SMALL_STATE(13809)] = 645305,
  [SMALL_STATE(13810)] = 645326,
  [SMALL_STATE(13811)] = 645355,
  [SMALL_STATE(13812)] = 645384,
  [SMALL_STATE(13813)] = 645413,
  [SMALL_STATE(13814)] = 645442,
  [SMALL_STATE(13815)] = 645471,
  [SMALL_STATE(13816)] = 645500,
  [SMALL_STATE(13817)] = 645529,
  [SMALL_STATE(13818)] = 645558,
  [SMALL_STATE(13819)] = 645587,
  [SMALL_STATE(13820)] = 645616,
  [SMALL_STATE(13821)] = 645645,
  [SMALL_STATE(13822)] = 645674,
  [SMALL_STATE(13823)] = 645703,
  [SMALL_STATE(13824)] = 645732,
  [SMALL_STATE(13825)] = 645761,
  [SMALL_STATE(13826)] = 645790,
  [SMALL_STATE(13827)] = 645819,
  [SMALL_STATE(13828)] = 645848,
  [SMALL_STATE(13829)] = 645875,
  [SMALL_STATE(13830)] = 645902,
  [SMALL_STATE(13831)] = 645931,
  [SMALL_STATE(13832)] = 645960,
  [SMALL_STATE(13833)] = 645989,
  [SMALL_STATE(13834)] = 646018,
  [SMALL_STATE(13835)] = 646047,
  [SMALL_STATE(13836)] = 646076,
  [SMALL_STATE(13837)] = 646105,
  [SMALL_STATE(13838)] = 646134,
  [SMALL_STATE(13839)] = 646163,
  [SMALL_STATE(13840)] = 646190,
  [SMALL_STATE(13841)] = 646219,
  [SMALL_STATE(13842)] = 646240,
  [SMALL_STATE(13843)] = 646269,
  [SMALL_STATE(13844)] = 646290,
  [SMALL_STATE(13845)] = 646319,
  [SMALL_STATE(13846)] = 646348,
  [SMALL_STATE(13847)] = 646375,
  [SMALL_STATE(13848)] = 646404,
  [SMALL_STATE(13849)] = 646425,
  [SMALL_STATE(13850)] = 646454,
  [SMALL_STATE(13851)] = 646483,
  [SMALL_STATE(13852)] = 646506,
  [SMALL_STATE(13853)] = 646531,
  [SMALL_STATE(13854)] = 646552,
  [SMALL_STATE(13855)] = 646575,
  [SMALL_STATE(13856)] = 646596,
  [SMALL_STATE(13857)] = 646617,
  [SMALL_STATE(13858)] = 646646,
  [SMALL_STATE(13859)] = 646667,
  [SMALL_STATE(13860)] = 646696,
  [SMALL_STATE(13861)] = 646717,
  [SMALL_STATE(13862)] = 646738,
  [SMALL_STATE(13863)] = 646759,
  [SMALL_STATE(13864)] = 646788,
  [SMALL_STATE(13865)] = 646817,
  [SMALL_STATE(13866)] = 646846,
  [SMALL_STATE(13867)] = 646875,
  [SMALL_STATE(13868)] = 646904,
  [SMALL_STATE(13869)] = 646931,
  [SMALL_STATE(13870)] = 646952,
  [SMALL_STATE(13871)] = 646981,
  [SMALL_STATE(13872)] = 647010,
  [SMALL_STATE(13873)] = 647039,
  [SMALL_STATE(13874)] = 647068,
  [SMALL_STATE(13875)] = 647097,
  [SMALL_STATE(13876)] = 647126,
  [SMALL_STATE(13877)] = 647155,
  [SMALL_STATE(13878)] = 647184,
  [SMALL_STATE(13879)] = 647213,
  [SMALL_STATE(13880)] = 647242,
  [SMALL_STATE(13881)] = 647267,
  [SMALL_STATE(13882)] = 647296,
  [SMALL_STATE(13883)] = 647325,
  [SMALL_STATE(13884)] = 647354,
  [SMALL_STATE(13885)] = 647381,
  [SMALL_STATE(13886)] = 647410,
  [SMALL_STATE(13887)] = 647439,
  [SMALL_STATE(13888)] = 647468,
  [SMALL_STATE(13889)] = 647489,
  [SMALL_STATE(13890)] = 647510,
  [SMALL_STATE(13891)] = 647531,
  [SMALL_STATE(13892)] = 647552,
  [SMALL_STATE(13893)] = 647581,
  [SMALL_STATE(13894)] = 647602,
  [SMALL_STATE(13895)] = 647623,
  [SMALL_STATE(13896)] = 647644,
  [SMALL_STATE(13897)] = 647671,
  [SMALL_STATE(13898)] = 647700,
  [SMALL_STATE(13899)] = 647729,
  [SMALL_STATE(13900)] = 647758,
  [SMALL_STATE(13901)] = 647787,
  [SMALL_STATE(13902)] = 647814,
  [SMALL_STATE(13903)] = 647843,
  [SMALL_STATE(13904)] = 647870,
  [SMALL_STATE(13905)] = 647897,
  [SMALL_STATE(13906)] = 647918,
  [SMALL_STATE(13907)] = 647941,
  [SMALL_STATE(13908)] = 647962,
  [SMALL_STATE(13909)] = 647991,
  [SMALL_STATE(13910)] = 648020,
  [SMALL_STATE(13911)] = 648049,
  [SMALL_STATE(13912)] = 648070,
  [SMALL_STATE(13913)] = 648099,
  [SMALL_STATE(13914)] = 648120,
  [SMALL_STATE(13915)] = 648149,
  [SMALL_STATE(13916)] = 648178,
  [SMALL_STATE(13917)] = 648207,
  [SMALL_STATE(13918)] = 648236,
  [SMALL_STATE(13919)] = 648257,
  [SMALL_STATE(13920)] = 648286,
  [SMALL_STATE(13921)] = 648315,
  [SMALL_STATE(13922)] = 648336,
  [SMALL_STATE(13923)] = 648357,
  [SMALL_STATE(13924)] = 648378,
  [SMALL_STATE(13925)] = 648407,
  [SMALL_STATE(13926)] = 648428,
  [SMALL_STATE(13927)] = 648449,
  [SMALL_STATE(13928)] = 648470,
  [SMALL_STATE(13929)] = 648491,
  [SMALL_STATE(13930)] = 648512,
  [SMALL_STATE(13931)] = 648533,
  [SMALL_STATE(13932)] = 648554,
  [SMALL_STATE(13933)] = 648583,
  [SMALL_STATE(13934)] = 648612,
  [SMALL_STATE(13935)] = 648633,
  [SMALL_STATE(13936)] = 648662,
  [SMALL_STATE(13937)] = 648691,
  [SMALL_STATE(13938)] = 648720,
  [SMALL_STATE(13939)] = 648749,
  [SMALL_STATE(13940)] = 648772,
  [SMALL_STATE(13941)] = 648801,
  [SMALL_STATE(13942)] = 648826,
  [SMALL_STATE(13943)] = 648847,
  [SMALL_STATE(13944)] = 648870,
  [SMALL_STATE(13945)] = 648891,
  [SMALL_STATE(13946)] = 648912,
  [SMALL_STATE(13947)] = 648941,
  [SMALL_STATE(13948)] = 648970,
  [SMALL_STATE(13949)] = 648991,
  [SMALL_STATE(13950)] = 649020,
  [SMALL_STATE(13951)] = 649047,
  [SMALL_STATE(13952)] = 649074,
  [SMALL_STATE(13953)] = 649103,
  [SMALL_STATE(13954)] = 649126,
  [SMALL_STATE(13955)] = 649155,
  [SMALL_STATE(13956)] = 649176,
  [SMALL_STATE(13957)] = 649205,
  [SMALL_STATE(13958)] = 649226,
  [SMALL_STATE(13959)] = 649247,
  [SMALL_STATE(13960)] = 649268,
  [SMALL_STATE(13961)] = 649289,
  [SMALL_STATE(13962)] = 649310,
  [SMALL_STATE(13963)] = 649331,
  [SMALL_STATE(13964)] = 649352,
  [SMALL_STATE(13965)] = 649373,
  [SMALL_STATE(13966)] = 649394,
  [SMALL_STATE(13967)] = 649415,
  [SMALL_STATE(13968)] = 649444,
  [SMALL_STATE(13969)] = 649471,
  [SMALL_STATE(13970)] = 649498,
  [SMALL_STATE(13971)] = 649527,
  [SMALL_STATE(13972)] = 649556,
  [SMALL_STATE(13973)] = 649585,
  [SMALL_STATE(13974)] = 649612,
  [SMALL_STATE(13975)] = 649639,
  [SMALL_STATE(13976)] = 649666,
  [SMALL_STATE(13977)] = 649695,
  [SMALL_STATE(13978)] = 649716,
  [SMALL_STATE(13979)] = 649737,
  [SMALL_STATE(13980)] = 649766,
  [SMALL_STATE(13981)] = 649787,
  [SMALL_STATE(13982)] = 649808,
  [SMALL_STATE(13983)] = 649829,
  [SMALL_STATE(13984)] = 649850,
  [SMALL_STATE(13985)] = 649871,
  [SMALL_STATE(13986)] = 649892,
  [SMALL_STATE(13987)] = 649921,
  [SMALL_STATE(13988)] = 649942,
  [SMALL_STATE(13989)] = 649963,
  [SMALL_STATE(13990)] = 649984,
  [SMALL_STATE(13991)] = 650005,
  [SMALL_STATE(13992)] = 650026,
  [SMALL_STATE(13993)] = 650055,
  [SMALL_STATE(13994)] = 650084,
  [SMALL_STATE(13995)] = 650113,
  [SMALL_STATE(13996)] = 650142,
  [SMALL_STATE(13997)] = 650169,
  [SMALL_STATE(13998)] = 650190,
  [SMALL_STATE(13999)] = 650219,
  [SMALL_STATE(14000)] = 650240,
  [SMALL_STATE(14001)] = 650269,
  [SMALL_STATE(14002)] = 650298,
  [SMALL_STATE(14003)] = 650327,
  [SMALL_STATE(14004)] = 650348,
  [SMALL_STATE(14005)] = 650369,
  [SMALL_STATE(14006)] = 650398,
  [SMALL_STATE(14007)] = 650427,
  [SMALL_STATE(14008)] = 650456,
  [SMALL_STATE(14009)] = 650479,
  [SMALL_STATE(14010)] = 650506,
  [SMALL_STATE(14011)] = 650535,
  [SMALL_STATE(14012)] = 650564,
  [SMALL_STATE(14013)] = 650593,
  [SMALL_STATE(14014)] = 650620,
  [SMALL_STATE(14015)] = 650649,
  [SMALL_STATE(14016)] = 650676,
  [SMALL_STATE(14017)] = 650705,
  [SMALL_STATE(14018)] = 650732,
  [SMALL_STATE(14019)] = 650761,
  [SMALL_STATE(14020)] = 650785,
  [SMALL_STATE(14021)] = 650811,
  [SMALL_STATE(14022)] = 650833,
  [SMALL_STATE(14023)] = 650859,
  [SMALL_STATE(14024)] = 650885,
  [SMALL_STATE(14025)] = 650911,
  [SMALL_STATE(14026)] = 650937,
  [SMALL_STATE(14027)] = 650963,
  [SMALL_STATE(14028)] = 650989,
  [SMALL_STATE(14029)] = 651011,
  [SMALL_STATE(14030)] = 651037,
  [SMALL_STATE(14031)] = 651063,
  [SMALL_STATE(14032)] = 651089,
  [SMALL_STATE(14033)] = 651113,
  [SMALL_STATE(14034)] = 651139,
  [SMALL_STATE(14035)] = 651163,
  [SMALL_STATE(14036)] = 651187,
  [SMALL_STATE(14037)] = 651213,
  [SMALL_STATE(14038)] = 651235,
  [SMALL_STATE(14039)] = 651261,
  [SMALL_STATE(14040)] = 651287,
  [SMALL_STATE(14041)] = 651309,
  [SMALL_STATE(14042)] = 651335,
  [SMALL_STATE(14043)] = 651361,
  [SMALL_STATE(14044)] = 651387,
  [SMALL_STATE(14045)] = 651413,
  [SMALL_STATE(14046)] = 651439,
  [SMALL_STATE(14047)] = 651463,
  [SMALL_STATE(14048)] = 651489,
  [SMALL_STATE(14049)] = 651515,
  [SMALL_STATE(14050)] = 651541,
  [SMALL_STATE(14051)] = 651567,
  [SMALL_STATE(14052)] = 651593,
  [SMALL_STATE(14053)] = 651619,
  [SMALL_STATE(14054)] = 651645,
  [SMALL_STATE(14055)] = 651667,
  [SMALL_STATE(14056)] = 651693,
  [SMALL_STATE(14057)] = 651719,
  [SMALL_STATE(14058)] = 651745,
  [SMALL_STATE(14059)] = 651771,
  [SMALL_STATE(14060)] = 651789,
  [SMALL_STATE(14061)] = 651815,
  [SMALL_STATE(14062)] = 651841,
  [SMALL_STATE(14063)] = 651863,
  [SMALL_STATE(14064)] = 651887,
  [SMALL_STATE(14065)] = 651907,
  [SMALL_STATE(14066)] = 651933,
  [SMALL_STATE(14067)] = 651959,
  [SMALL_STATE(14068)] = 651985,
  [SMALL_STATE(14069)] = 652011,
  [SMALL_STATE(14070)] = 652037,
  [SMALL_STATE(14071)] = 652063,
  [SMALL_STATE(14072)] = 652089,
  [SMALL_STATE(14073)] = 652115,
  [SMALL_STATE(14074)] = 652141,
  [SMALL_STATE(14075)] = 652167,
  [SMALL_STATE(14076)] = 652193,
  [SMALL_STATE(14077)] = 652219,
  [SMALL_STATE(14078)] = 652245,
  [SMALL_STATE(14079)] = 652271,
  [SMALL_STATE(14080)] = 652297,
  [SMALL_STATE(14081)] = 652323,
  [SMALL_STATE(14082)] = 652349,
  [SMALL_STATE(14083)] = 652373,
  [SMALL_STATE(14084)] = 652399,
  [SMALL_STATE(14085)] = 652425,
  [SMALL_STATE(14086)] = 652451,
  [SMALL_STATE(14087)] = 652477,
  [SMALL_STATE(14088)] = 652503,
  [SMALL_STATE(14089)] = 652529,
  [SMALL_STATE(14090)] = 652555,
  [SMALL_STATE(14091)] = 652581,
  [SMALL_STATE(14092)] = 652607,
  [SMALL_STATE(14093)] = 652633,
  [SMALL_STATE(14094)] = 652657,
  [SMALL_STATE(14095)] = 652679,
  [SMALL_STATE(14096)] = 652705,
  [SMALL_STATE(14097)] = 652731,
  [SMALL_STATE(14098)] = 652757,
  [SMALL_STATE(14099)] = 652779,
  [SMALL_STATE(14100)] = 652805,
  [SMALL_STATE(14101)] = 652831,
  [SMALL_STATE(14102)] = 652857,
  [SMALL_STATE(14103)] = 652883,
  [SMALL_STATE(14104)] = 652907,
  [SMALL_STATE(14105)] = 652933,
  [SMALL_STATE(14106)] = 652959,
  [SMALL_STATE(14107)] = 652985,
  [SMALL_STATE(14108)] = 653011,
  [SMALL_STATE(14109)] = 653037,
  [SMALL_STATE(14110)] = 653063,
  [SMALL_STATE(14111)] = 653089,
  [SMALL_STATE(14112)] = 653115,
  [SMALL_STATE(14113)] = 653141,
  [SMALL_STATE(14114)] = 653167,
  [SMALL_STATE(14115)] = 653193,
  [SMALL_STATE(14116)] = 653219,
  [SMALL_STATE(14117)] = 653245,
  [SMALL_STATE(14118)] = 653271,
  [SMALL_STATE(14119)] = 653289,
  [SMALL_STATE(14120)] = 653315,
  [SMALL_STATE(14121)] = 653341,
  [SMALL_STATE(14122)] = 653367,
  [SMALL_STATE(14123)] = 653393,
  [SMALL_STATE(14124)] = 653417,
  [SMALL_STATE(14125)] = 653443,
  [SMALL_STATE(14126)] = 653469,
  [SMALL_STATE(14127)] = 653495,
  [SMALL_STATE(14128)] = 653521,
  [SMALL_STATE(14129)] = 653547,
  [SMALL_STATE(14130)] = 653573,
  [SMALL_STATE(14131)] = 653599,
  [SMALL_STATE(14132)] = 653623,
  [SMALL_STATE(14133)] = 653649,
  [SMALL_STATE(14134)] = 653675,
  [SMALL_STATE(14135)] = 653701,
  [SMALL_STATE(14136)] = 653727,
  [SMALL_STATE(14137)] = 653753,
  [SMALL_STATE(14138)] = 653779,
  [SMALL_STATE(14139)] = 653805,
  [SMALL_STATE(14140)] = 653831,
  [SMALL_STATE(14141)] = 653853,
  [SMALL_STATE(14142)] = 653879,
  [SMALL_STATE(14143)] = 653905,
  [SMALL_STATE(14144)] = 653929,
  [SMALL_STATE(14145)] = 653955,
  [SMALL_STATE(14146)] = 653981,
  [SMALL_STATE(14147)] = 654007,
  [SMALL_STATE(14148)] = 654033,
  [SMALL_STATE(14149)] = 654059,
  [SMALL_STATE(14150)] = 654085,
  [SMALL_STATE(14151)] = 654111,
  [SMALL_STATE(14152)] = 654137,
  [SMALL_STATE(14153)] = 654163,
  [SMALL_STATE(14154)] = 654185,
  [SMALL_STATE(14155)] = 654211,
  [SMALL_STATE(14156)] = 654237,
  [SMALL_STATE(14157)] = 654263,
  [SMALL_STATE(14158)] = 654281,
  [SMALL_STATE(14159)] = 654299,
  [SMALL_STATE(14160)] = 654325,
  [SMALL_STATE(14161)] = 654351,
  [SMALL_STATE(14162)] = 654377,
  [SMALL_STATE(14163)] = 654403,
  [SMALL_STATE(14164)] = 654429,
  [SMALL_STATE(14165)] = 654455,
  [SMALL_STATE(14166)] = 654481,
  [SMALL_STATE(14167)] = 654507,
  [SMALL_STATE(14168)] = 654533,
  [SMALL_STATE(14169)] = 654559,
  [SMALL_STATE(14170)] = 654585,
  [SMALL_STATE(14171)] = 654611,
  [SMALL_STATE(14172)] = 654637,
  [SMALL_STATE(14173)] = 654663,
  [SMALL_STATE(14174)] = 654689,
  [SMALL_STATE(14175)] = 654711,
  [SMALL_STATE(14176)] = 654737,
  [SMALL_STATE(14177)] = 654763,
  [SMALL_STATE(14178)] = 654789,
  [SMALL_STATE(14179)] = 654815,
  [SMALL_STATE(14180)] = 654841,
  [SMALL_STATE(14181)] = 654867,
  [SMALL_STATE(14182)] = 654889,
  [SMALL_STATE(14183)] = 654915,
  [SMALL_STATE(14184)] = 654937,
  [SMALL_STATE(14185)] = 654963,
  [SMALL_STATE(14186)] = 654989,
  [SMALL_STATE(14187)] = 655015,
  [SMALL_STATE(14188)] = 655041,
  [SMALL_STATE(14189)] = 655063,
  [SMALL_STATE(14190)] = 655089,
  [SMALL_STATE(14191)] = 655115,
  [SMALL_STATE(14192)] = 655141,
  [SMALL_STATE(14193)] = 655167,
  [SMALL_STATE(14194)] = 655193,
  [SMALL_STATE(14195)] = 655219,
  [SMALL_STATE(14196)] = 655241,
  [SMALL_STATE(14197)] = 655267,
  [SMALL_STATE(14198)] = 655289,
  [SMALL_STATE(14199)] = 655315,
  [SMALL_STATE(14200)] = 655341,
  [SMALL_STATE(14201)] = 655365,
  [SMALL_STATE(14202)] = 655391,
  [SMALL_STATE(14203)] = 655417,
  [SMALL_STATE(14204)] = 655443,
  [SMALL_STATE(14205)] = 655469,
  [SMALL_STATE(14206)] = 655495,
  [SMALL_STATE(14207)] = 655521,
  [SMALL_STATE(14208)] = 655547,
  [SMALL_STATE(14209)] = 655573,
  [SMALL_STATE(14210)] = 655595,
  [SMALL_STATE(14211)] = 655617,
  [SMALL_STATE(14212)] = 655643,
  [SMALL_STATE(14213)] = 655669,
  [SMALL_STATE(14214)] = 655695,
  [SMALL_STATE(14215)] = 655719,
  [SMALL_STATE(14216)] = 655745,
  [SMALL_STATE(14217)] = 655771,
  [SMALL_STATE(14218)] = 655797,
  [SMALL_STATE(14219)] = 655815,
  [SMALL_STATE(14220)] = 655841,
  [SMALL_STATE(14221)] = 655865,
  [SMALL_STATE(14222)] = 655891,
  [SMALL_STATE(14223)] = 655917,
  [SMALL_STATE(14224)] = 655943,
  [SMALL_STATE(14225)] = 655961,
  [SMALL_STATE(14226)] = 655985,
  [SMALL_STATE(14227)] = 656011,
  [SMALL_STATE(14228)] = 656037,
  [SMALL_STATE(14229)] = 656063,
  [SMALL_STATE(14230)] = 656089,
  [SMALL_STATE(14231)] = 656115,
  [SMALL_STATE(14232)] = 656137,
  [SMALL_STATE(14233)] = 656159,
  [SMALL_STATE(14234)] = 656185,
  [SMALL_STATE(14235)] = 656207,
  [SMALL_STATE(14236)] = 656233,
  [SMALL_STATE(14237)] = 656255,
  [SMALL_STATE(14238)] = 656281,
  [SMALL_STATE(14239)] = 656303,
  [SMALL_STATE(14240)] = 656325,
  [SMALL_STATE(14241)] = 656349,
  [SMALL_STATE(14242)] = 656371,
  [SMALL_STATE(14243)] = 656389,
  [SMALL_STATE(14244)] = 656415,
  [SMALL_STATE(14245)] = 656441,
  [SMALL_STATE(14246)] = 656465,
  [SMALL_STATE(14247)] = 656489,
  [SMALL_STATE(14248)] = 656515,
  [SMALL_STATE(14249)] = 656541,
  [SMALL_STATE(14250)] = 656567,
  [SMALL_STATE(14251)] = 656593,
  [SMALL_STATE(14252)] = 656619,
  [SMALL_STATE(14253)] = 656645,
  [SMALL_STATE(14254)] = 656668,
  [SMALL_STATE(14255)] = 656691,
  [SMALL_STATE(14256)] = 656714,
  [SMALL_STATE(14257)] = 656737,
  [SMALL_STATE(14258)] = 656760,
  [SMALL_STATE(14259)] = 656783,
  [SMALL_STATE(14260)] = 656806,
  [SMALL_STATE(14261)] = 656829,
  [SMALL_STATE(14262)] = 656852,
  [SMALL_STATE(14263)] = 656875,
  [SMALL_STATE(14264)] = 656898,
  [SMALL_STATE(14265)] = 656921,
  [SMALL_STATE(14266)] = 656944,
  [SMALL_STATE(14267)] = 656965,
  [SMALL_STATE(14268)] = 656988,
  [SMALL_STATE(14269)] = 657011,
  [SMALL_STATE(14270)] = 657034,
  [SMALL_STATE(14271)] = 657057,
  [SMALL_STATE(14272)] = 657080,
  [SMALL_STATE(14273)] = 657103,
  [SMALL_STATE(14274)] = 657126,
  [SMALL_STATE(14275)] = 657149,
  [SMALL_STATE(14276)] = 657170,
  [SMALL_STATE(14277)] = 657193,
  [SMALL_STATE(14278)] = 657216,
  [SMALL_STATE(14279)] = 657239,
  [SMALL_STATE(14280)] = 657262,
  [SMALL_STATE(14281)] = 657285,
  [SMALL_STATE(14282)] = 657308,
  [SMALL_STATE(14283)] = 657331,
  [SMALL_STATE(14284)] = 657354,
  [SMALL_STATE(14285)] = 657377,
  [SMALL_STATE(14286)] = 657400,
  [SMALL_STATE(14287)] = 657423,
  [SMALL_STATE(14288)] = 657446,
  [SMALL_STATE(14289)] = 657469,
  [SMALL_STATE(14290)] = 657492,
  [SMALL_STATE(14291)] = 657515,
  [SMALL_STATE(14292)] = 657538,
  [SMALL_STATE(14293)] = 657561,
  [SMALL_STATE(14294)] = 657584,
  [SMALL_STATE(14295)] = 657607,
  [SMALL_STATE(14296)] = 657630,
  [SMALL_STATE(14297)] = 657653,
  [SMALL_STATE(14298)] = 657676,
  [SMALL_STATE(14299)] = 657699,
  [SMALL_STATE(14300)] = 657722,
  [SMALL_STATE(14301)] = 657745,
  [SMALL_STATE(14302)] = 657768,
  [SMALL_STATE(14303)] = 657791,
  [SMALL_STATE(14304)] = 657812,
  [SMALL_STATE(14305)] = 657835,
  [SMALL_STATE(14306)] = 657858,
  [SMALL_STATE(14307)] = 657881,
  [SMALL_STATE(14308)] = 657904,
  [SMALL_STATE(14309)] = 657927,
  [SMALL_STATE(14310)] = 657950,
  [SMALL_STATE(14311)] = 657973,
  [SMALL_STATE(14312)] = 657996,
  [SMALL_STATE(14313)] = 658019,
  [SMALL_STATE(14314)] = 658042,
  [SMALL_STATE(14315)] = 658065,
  [SMALL_STATE(14316)] = 658088,
  [SMALL_STATE(14317)] = 658111,
  [SMALL_STATE(14318)] = 658134,
  [SMALL_STATE(14319)] = 658157,
  [SMALL_STATE(14320)] = 658180,
  [SMALL_STATE(14321)] = 658203,
  [SMALL_STATE(14322)] = 658226,
  [SMALL_STATE(14323)] = 658249,
  [SMALL_STATE(14324)] = 658272,
  [SMALL_STATE(14325)] = 658295,
  [SMALL_STATE(14326)] = 658318,
  [SMALL_STATE(14327)] = 658341,
  [SMALL_STATE(14328)] = 658364,
  [SMALL_STATE(14329)] = 658385,
  [SMALL_STATE(14330)] = 658408,
  [SMALL_STATE(14331)] = 658429,
  [SMALL_STATE(14332)] = 658452,
  [SMALL_STATE(14333)] = 658475,
  [SMALL_STATE(14334)] = 658498,
  [SMALL_STATE(14335)] = 658521,
  [SMALL_STATE(14336)] = 658544,
  [SMALL_STATE(14337)] = 658567,
  [SMALL_STATE(14338)] = 658590,
  [SMALL_STATE(14339)] = 658613,
  [SMALL_STATE(14340)] = 658636,
  [SMALL_STATE(14341)] = 658659,
  [SMALL_STATE(14342)] = 658682,
  [SMALL_STATE(14343)] = 658705,
  [SMALL_STATE(14344)] = 658728,
  [SMALL_STATE(14345)] = 658751,
  [SMALL_STATE(14346)] = 658774,
  [SMALL_STATE(14347)] = 658797,
  [SMALL_STATE(14348)] = 658818,
  [SMALL_STATE(14349)] = 658839,
  [SMALL_STATE(14350)] = 658862,
  [SMALL_STATE(14351)] = 658885,
  [SMALL_STATE(14352)] = 658908,
  [SMALL_STATE(14353)] = 658931,
  [SMALL_STATE(14354)] = 658954,
  [SMALL_STATE(14355)] = 658977,
  [SMALL_STATE(14356)] = 659000,
  [SMALL_STATE(14357)] = 659023,
  [SMALL_STATE(14358)] = 659046,
  [SMALL_STATE(14359)] = 659069,
  [SMALL_STATE(14360)] = 659092,
  [SMALL_STATE(14361)] = 659115,
  [SMALL_STATE(14362)] = 659138,
  [SMALL_STATE(14363)] = 659161,
  [SMALL_STATE(14364)] = 659184,
  [SMALL_STATE(14365)] = 659205,
  [SMALL_STATE(14366)] = 659228,
  [SMALL_STATE(14367)] = 659251,
  [SMALL_STATE(14368)] = 659274,
  [SMALL_STATE(14369)] = 659297,
  [SMALL_STATE(14370)] = 659320,
  [SMALL_STATE(14371)] = 659343,
  [SMALL_STATE(14372)] = 659366,
  [SMALL_STATE(14373)] = 659389,
  [SMALL_STATE(14374)] = 659412,
  [SMALL_STATE(14375)] = 659435,
  [SMALL_STATE(14376)] = 659458,
  [SMALL_STATE(14377)] = 659479,
  [SMALL_STATE(14378)] = 659502,
  [SMALL_STATE(14379)] = 659525,
  [SMALL_STATE(14380)] = 659548,
  [SMALL_STATE(14381)] = 659571,
  [SMALL_STATE(14382)] = 659594,
  [SMALL_STATE(14383)] = 659613,
  [SMALL_STATE(14384)] = 659636,
  [SMALL_STATE(14385)] = 659659,
  [SMALL_STATE(14386)] = 659682,
  [SMALL_STATE(14387)] = 659705,
  [SMALL_STATE(14388)] = 659728,
  [SMALL_STATE(14389)] = 659751,
  [SMALL_STATE(14390)] = 659774,
  [SMALL_STATE(14391)] = 659793,
  [SMALL_STATE(14392)] = 659816,
  [SMALL_STATE(14393)] = 659839,
  [SMALL_STATE(14394)] = 659860,
  [SMALL_STATE(14395)] = 659883,
  [SMALL_STATE(14396)] = 659906,
  [SMALL_STATE(14397)] = 659927,
  [SMALL_STATE(14398)] = 659950,
  [SMALL_STATE(14399)] = 659973,
  [SMALL_STATE(14400)] = 659996,
  [SMALL_STATE(14401)] = 660019,
  [SMALL_STATE(14402)] = 660042,
  [SMALL_STATE(14403)] = 660065,
  [SMALL_STATE(14404)] = 660086,
  [SMALL_STATE(14405)] = 660109,
  [SMALL_STATE(14406)] = 660132,
  [SMALL_STATE(14407)] = 660153,
  [SMALL_STATE(14408)] = 660176,
  [SMALL_STATE(14409)] = 660199,
  [SMALL_STATE(14410)] = 660222,
  [SMALL_STATE(14411)] = 660245,
  [SMALL_STATE(14412)] = 660268,
  [SMALL_STATE(14413)] = 660291,
  [SMALL_STATE(14414)] = 660314,
  [SMALL_STATE(14415)] = 660333,
  [SMALL_STATE(14416)] = 660356,
  [SMALL_STATE(14417)] = 660379,
  [SMALL_STATE(14418)] = 660402,
  [SMALL_STATE(14419)] = 660425,
  [SMALL_STATE(14420)] = 660448,
  [SMALL_STATE(14421)] = 660471,
  [SMALL_STATE(14422)] = 660492,
  [SMALL_STATE(14423)] = 660515,
  [SMALL_STATE(14424)] = 660538,
  [SMALL_STATE(14425)] = 660561,
  [SMALL_STATE(14426)] = 660584,
  [SMALL_STATE(14427)] = 660607,
  [SMALL_STATE(14428)] = 660630,
  [SMALL_STATE(14429)] = 660653,
  [SMALL_STATE(14430)] = 660676,
  [SMALL_STATE(14431)] = 660699,
  [SMALL_STATE(14432)] = 660722,
  [SMALL_STATE(14433)] = 660745,
  [SMALL_STATE(14434)] = 660766,
  [SMALL_STATE(14435)] = 660789,
  [SMALL_STATE(14436)] = 660812,
  [SMALL_STATE(14437)] = 660835,
  [SMALL_STATE(14438)] = 660858,
  [SMALL_STATE(14439)] = 660881,
  [SMALL_STATE(14440)] = 660904,
  [SMALL_STATE(14441)] = 660927,
  [SMALL_STATE(14442)] = 660950,
  [SMALL_STATE(14443)] = 660973,
  [SMALL_STATE(14444)] = 660996,
  [SMALL_STATE(14445)] = 661019,
  [SMALL_STATE(14446)] = 661042,
  [SMALL_STATE(14447)] = 661065,
  [SMALL_STATE(14448)] = 661088,
  [SMALL_STATE(14449)] = 661111,
  [SMALL_STATE(14450)] = 661134,
  [SMALL_STATE(14451)] = 661157,
  [SMALL_STATE(14452)] = 661180,
  [SMALL_STATE(14453)] = 661203,
  [SMALL_STATE(14454)] = 661226,
  [SMALL_STATE(14455)] = 661249,
  [SMALL_STATE(14456)] = 661272,
  [SMALL_STATE(14457)] = 661295,
  [SMALL_STATE(14458)] = 661318,
  [SMALL_STATE(14459)] = 661341,
  [SMALL_STATE(14460)] = 661364,
  [SMALL_STATE(14461)] = 661387,
  [SMALL_STATE(14462)] = 661410,
  [SMALL_STATE(14463)] = 661433,
  [SMALL_STATE(14464)] = 661456,
  [SMALL_STATE(14465)] = 661479,
  [SMALL_STATE(14466)] = 661502,
  [SMALL_STATE(14467)] = 661525,
  [SMALL_STATE(14468)] = 661548,
  [SMALL_STATE(14469)] = 661571,
  [SMALL_STATE(14470)] = 661594,
  [SMALL_STATE(14471)] = 661617,
  [SMALL_STATE(14472)] = 661640,
  [SMALL_STATE(14473)] = 661663,
  [SMALL_STATE(14474)] = 661686,
  [SMALL_STATE(14475)] = 661709,
  [SMALL_STATE(14476)] = 661732,
  [SMALL_STATE(14477)] = 661755,
  [SMALL_STATE(14478)] = 661778,
  [SMALL_STATE(14479)] = 661801,
  [SMALL_STATE(14480)] = 661824,
  [SMALL_STATE(14481)] = 661847,
  [SMALL_STATE(14482)] = 661870,
  [SMALL_STATE(14483)] = 661893,
  [SMALL_STATE(14484)] = 661916,
  [SMALL_STATE(14485)] = 661939,
  [SMALL_STATE(14486)] = 661962,
  [SMALL_STATE(14487)] = 661985,
  [SMALL_STATE(14488)] = 662008,
  [SMALL_STATE(14489)] = 662031,
  [SMALL_STATE(14490)] = 662054,
  [SMALL_STATE(14491)] = 662075,
  [SMALL_STATE(14492)] = 662098,
  [SMALL_STATE(14493)] = 662121,
  [SMALL_STATE(14494)] = 662144,
  [SMALL_STATE(14495)] = 662167,
  [SMALL_STATE(14496)] = 662190,
  [SMALL_STATE(14497)] = 662213,
  [SMALL_STATE(14498)] = 662236,
  [SMALL_STATE(14499)] = 662259,
  [SMALL_STATE(14500)] = 662282,
  [SMALL_STATE(14501)] = 662305,
  [SMALL_STATE(14502)] = 662328,
  [SMALL_STATE(14503)] = 662351,
  [SMALL_STATE(14504)] = 662374,
  [SMALL_STATE(14505)] = 662395,
  [SMALL_STATE(14506)] = 662418,
  [SMALL_STATE(14507)] = 662441,
  [SMALL_STATE(14508)] = 662464,
  [SMALL_STATE(14509)] = 662487,
  [SMALL_STATE(14510)] = 662510,
  [SMALL_STATE(14511)] = 662533,
  [SMALL_STATE(14512)] = 662556,
  [SMALL_STATE(14513)] = 662579,
  [SMALL_STATE(14514)] = 662602,
  [SMALL_STATE(14515)] = 662625,
  [SMALL_STATE(14516)] = 662648,
  [SMALL_STATE(14517)] = 662671,
  [SMALL_STATE(14518)] = 662694,
  [SMALL_STATE(14519)] = 662717,
  [SMALL_STATE(14520)] = 662740,
  [SMALL_STATE(14521)] = 662763,
  [SMALL_STATE(14522)] = 662786,
  [SMALL_STATE(14523)] = 662809,
  [SMALL_STATE(14524)] = 662832,
  [SMALL_STATE(14525)] = 662855,
  [SMALL_STATE(14526)] = 662878,
  [SMALL_STATE(14527)] = 662901,
  [SMALL_STATE(14528)] = 662924,
  [SMALL_STATE(14529)] = 662947,
  [SMALL_STATE(14530)] = 662970,
  [SMALL_STATE(14531)] = 662993,
  [SMALL_STATE(14532)] = 663016,
  [SMALL_STATE(14533)] = 663039,
  [SMALL_STATE(14534)] = 663062,
  [SMALL_STATE(14535)] = 663085,
  [SMALL_STATE(14536)] = 663108,
  [SMALL_STATE(14537)] = 663131,
  [SMALL_STATE(14538)] = 663154,
  [SMALL_STATE(14539)] = 663177,
  [SMALL_STATE(14540)] = 663200,
  [SMALL_STATE(14541)] = 663223,
  [SMALL_STATE(14542)] = 663246,
  [SMALL_STATE(14543)] = 663267,
  [SMALL_STATE(14544)] = 663290,
  [SMALL_STATE(14545)] = 663313,
  [SMALL_STATE(14546)] = 663336,
  [SMALL_STATE(14547)] = 663359,
  [SMALL_STATE(14548)] = 663378,
  [SMALL_STATE(14549)] = 663401,
  [SMALL_STATE(14550)] = 663424,
  [SMALL_STATE(14551)] = 663447,
  [SMALL_STATE(14552)] = 663470,
  [SMALL_STATE(14553)] = 663493,
  [SMALL_STATE(14554)] = 663516,
  [SMALL_STATE(14555)] = 663537,
  [SMALL_STATE(14556)] = 663560,
  [SMALL_STATE(14557)] = 663583,
  [SMALL_STATE(14558)] = 663606,
  [SMALL_STATE(14559)] = 663629,
  [SMALL_STATE(14560)] = 663652,
  [SMALL_STATE(14561)] = 663675,
  [SMALL_STATE(14562)] = 663698,
  [SMALL_STATE(14563)] = 663721,
  [SMALL_STATE(14564)] = 663744,
  [SMALL_STATE(14565)] = 663767,
  [SMALL_STATE(14566)] = 663790,
  [SMALL_STATE(14567)] = 663813,
  [SMALL_STATE(14568)] = 663836,
  [SMALL_STATE(14569)] = 663859,
  [SMALL_STATE(14570)] = 663882,
  [SMALL_STATE(14571)] = 663905,
  [SMALL_STATE(14572)] = 663928,
  [SMALL_STATE(14573)] = 663951,
  [SMALL_STATE(14574)] = 663974,
  [SMALL_STATE(14575)] = 663997,
  [SMALL_STATE(14576)] = 664020,
  [SMALL_STATE(14577)] = 664041,
  [SMALL_STATE(14578)] = 664060,
  [SMALL_STATE(14579)] = 664083,
  [SMALL_STATE(14580)] = 664106,
  [SMALL_STATE(14581)] = 664129,
  [SMALL_STATE(14582)] = 664152,
  [SMALL_STATE(14583)] = 664175,
  [SMALL_STATE(14584)] = 664198,
  [SMALL_STATE(14585)] = 664221,
  [SMALL_STATE(14586)] = 664244,
  [SMALL_STATE(14587)] = 664267,
  [SMALL_STATE(14588)] = 664290,
  [SMALL_STATE(14589)] = 664313,
  [SMALL_STATE(14590)] = 664336,
  [SMALL_STATE(14591)] = 664359,
  [SMALL_STATE(14592)] = 664382,
  [SMALL_STATE(14593)] = 664405,
  [SMALL_STATE(14594)] = 664428,
  [SMALL_STATE(14595)] = 664451,
  [SMALL_STATE(14596)] = 664474,
  [SMALL_STATE(14597)] = 664497,
  [SMALL_STATE(14598)] = 664520,
  [SMALL_STATE(14599)] = 664543,
  [SMALL_STATE(14600)] = 664566,
  [SMALL_STATE(14601)] = 664589,
  [SMALL_STATE(14602)] = 664612,
  [SMALL_STATE(14603)] = 664635,
  [SMALL_STATE(14604)] = 664658,
  [SMALL_STATE(14605)] = 664681,
  [SMALL_STATE(14606)] = 664704,
  [SMALL_STATE(14607)] = 664727,
  [SMALL_STATE(14608)] = 664750,
  [SMALL_STATE(14609)] = 664773,
  [SMALL_STATE(14610)] = 664796,
  [SMALL_STATE(14611)] = 664819,
  [SMALL_STATE(14612)] = 664842,
  [SMALL_STATE(14613)] = 664865,
  [SMALL_STATE(14614)] = 664888,
  [SMALL_STATE(14615)] = 664911,
  [SMALL_STATE(14616)] = 664934,
  [SMALL_STATE(14617)] = 664957,
  [SMALL_STATE(14618)] = 664980,
  [SMALL_STATE(14619)] = 665003,
  [SMALL_STATE(14620)] = 665026,
  [SMALL_STATE(14621)] = 665049,
  [SMALL_STATE(14622)] = 665072,
  [SMALL_STATE(14623)] = 665093,
  [SMALL_STATE(14624)] = 665116,
  [SMALL_STATE(14625)] = 665139,
  [SMALL_STATE(14626)] = 665162,
  [SMALL_STATE(14627)] = 665185,
  [SMALL_STATE(14628)] = 665208,
  [SMALL_STATE(14629)] = 665231,
  [SMALL_STATE(14630)] = 665254,
  [SMALL_STATE(14631)] = 665277,
  [SMALL_STATE(14632)] = 665300,
  [SMALL_STATE(14633)] = 665323,
  [SMALL_STATE(14634)] = 665346,
  [SMALL_STATE(14635)] = 665369,
  [SMALL_STATE(14636)] = 665392,
  [SMALL_STATE(14637)] = 665415,
  [SMALL_STATE(14638)] = 665436,
  [SMALL_STATE(14639)] = 665459,
  [SMALL_STATE(14640)] = 665482,
  [SMALL_STATE(14641)] = 665501,
  [SMALL_STATE(14642)] = 665524,
  [SMALL_STATE(14643)] = 665547,
  [SMALL_STATE(14644)] = 665570,
  [SMALL_STATE(14645)] = 665593,
  [SMALL_STATE(14646)] = 665616,
  [SMALL_STATE(14647)] = 665635,
  [SMALL_STATE(14648)] = 665656,
  [SMALL_STATE(14649)] = 665679,
  [SMALL_STATE(14650)] = 665700,
  [SMALL_STATE(14651)] = 665723,
  [SMALL_STATE(14652)] = 665746,
  [SMALL_STATE(14653)] = 665769,
  [SMALL_STATE(14654)] = 665792,
  [SMALL_STATE(14655)] = 665815,
  [SMALL_STATE(14656)] = 665838,
  [SMALL_STATE(14657)] = 665861,
  [SMALL_STATE(14658)] = 665882,
  [SMALL_STATE(14659)] = 665905,
  [SMALL_STATE(14660)] = 665928,
  [SMALL_STATE(14661)] = 665951,
  [SMALL_STATE(14662)] = 665974,
  [SMALL_STATE(14663)] = 665997,
  [SMALL_STATE(14664)] = 666020,
  [SMALL_STATE(14665)] = 666043,
  [SMALL_STATE(14666)] = 666066,
  [SMALL_STATE(14667)] = 666089,
  [SMALL_STATE(14668)] = 666112,
  [SMALL_STATE(14669)] = 666135,
  [SMALL_STATE(14670)] = 666158,
  [SMALL_STATE(14671)] = 666181,
  [SMALL_STATE(14672)] = 666204,
  [SMALL_STATE(14673)] = 666227,
  [SMALL_STATE(14674)] = 666250,
  [SMALL_STATE(14675)] = 666273,
  [SMALL_STATE(14676)] = 666296,
  [SMALL_STATE(14677)] = 666319,
  [SMALL_STATE(14678)] = 666342,
  [SMALL_STATE(14679)] = 666365,
  [SMALL_STATE(14680)] = 666388,
  [SMALL_STATE(14681)] = 666411,
  [SMALL_STATE(14682)] = 666434,
  [SMALL_STATE(14683)] = 666457,
  [SMALL_STATE(14684)] = 666480,
  [SMALL_STATE(14685)] = 666503,
  [SMALL_STATE(14686)] = 666526,
  [SMALL_STATE(14687)] = 666549,
  [SMALL_STATE(14688)] = 666572,
  [SMALL_STATE(14689)] = 666595,
  [SMALL_STATE(14690)] = 666618,
  [SMALL_STATE(14691)] = 666641,
  [SMALL_STATE(14692)] = 666664,
  [SMALL_STATE(14693)] = 666687,
  [SMALL_STATE(14694)] = 666710,
  [SMALL_STATE(14695)] = 666733,
  [SMALL_STATE(14696)] = 666756,
  [SMALL_STATE(14697)] = 666775,
  [SMALL_STATE(14698)] = 666798,
  [SMALL_STATE(14699)] = 666821,
  [SMALL_STATE(14700)] = 666844,
  [SMALL_STATE(14701)] = 666867,
  [SMALL_STATE(14702)] = 666890,
  [SMALL_STATE(14703)] = 666913,
  [SMALL_STATE(14704)] = 666936,
  [SMALL_STATE(14705)] = 666959,
  [SMALL_STATE(14706)] = 666982,
  [SMALL_STATE(14707)] = 667005,
  [SMALL_STATE(14708)] = 667028,
  [SMALL_STATE(14709)] = 667051,
  [SMALL_STATE(14710)] = 667072,
  [SMALL_STATE(14711)] = 667095,
  [SMALL_STATE(14712)] = 667118,
  [SMALL_STATE(14713)] = 667141,
  [SMALL_STATE(14714)] = 667162,
  [SMALL_STATE(14715)] = 667185,
  [SMALL_STATE(14716)] = 667208,
  [SMALL_STATE(14717)] = 667231,
  [SMALL_STATE(14718)] = 667252,
  [SMALL_STATE(14719)] = 667275,
  [SMALL_STATE(14720)] = 667298,
  [SMALL_STATE(14721)] = 667321,
  [SMALL_STATE(14722)] = 667344,
  [SMALL_STATE(14723)] = 667367,
  [SMALL_STATE(14724)] = 667390,
  [SMALL_STATE(14725)] = 667411,
  [SMALL_STATE(14726)] = 667434,
  [SMALL_STATE(14727)] = 667455,
  [SMALL_STATE(14728)] = 667478,
  [SMALL_STATE(14729)] = 667501,
  [SMALL_STATE(14730)] = 667524,
  [SMALL_STATE(14731)] = 667547,
  [SMALL_STATE(14732)] = 667570,
  [SMALL_STATE(14733)] = 667593,
  [SMALL_STATE(14734)] = 667616,
  [SMALL_STATE(14735)] = 667639,
  [SMALL_STATE(14736)] = 667662,
  [SMALL_STATE(14737)] = 667685,
  [SMALL_STATE(14738)] = 667708,
  [SMALL_STATE(14739)] = 667727,
  [SMALL_STATE(14740)] = 667750,
  [SMALL_STATE(14741)] = 667773,
  [SMALL_STATE(14742)] = 667796,
  [SMALL_STATE(14743)] = 667819,
  [SMALL_STATE(14744)] = 667842,
  [SMALL_STATE(14745)] = 667865,
  [SMALL_STATE(14746)] = 667888,
  [SMALL_STATE(14747)] = 667911,
  [SMALL_STATE(14748)] = 667934,
  [SMALL_STATE(14749)] = 667957,
  [SMALL_STATE(14750)] = 667980,
  [SMALL_STATE(14751)] = 668003,
  [SMALL_STATE(14752)] = 668026,
  [SMALL_STATE(14753)] = 668049,
  [SMALL_STATE(14754)] = 668070,
  [SMALL_STATE(14755)] = 668093,
  [SMALL_STATE(14756)] = 668116,
  [SMALL_STATE(14757)] = 668139,
  [SMALL_STATE(14758)] = 668162,
  [SMALL_STATE(14759)] = 668185,
  [SMALL_STATE(14760)] = 668208,
  [SMALL_STATE(14761)] = 668231,
  [SMALL_STATE(14762)] = 668254,
  [SMALL_STATE(14763)] = 668277,
  [SMALL_STATE(14764)] = 668300,
  [SMALL_STATE(14765)] = 668323,
  [SMALL_STATE(14766)] = 668346,
  [SMALL_STATE(14767)] = 668369,
  [SMALL_STATE(14768)] = 668392,
  [SMALL_STATE(14769)] = 668415,
  [SMALL_STATE(14770)] = 668438,
  [SMALL_STATE(14771)] = 668461,
  [SMALL_STATE(14772)] = 668484,
  [SMALL_STATE(14773)] = 668507,
  [SMALL_STATE(14774)] = 668528,
  [SMALL_STATE(14775)] = 668551,
  [SMALL_STATE(14776)] = 668574,
  [SMALL_STATE(14777)] = 668597,
  [SMALL_STATE(14778)] = 668620,
  [SMALL_STATE(14779)] = 668643,
  [SMALL_STATE(14780)] = 668666,
  [SMALL_STATE(14781)] = 668689,
  [SMALL_STATE(14782)] = 668712,
  [SMALL_STATE(14783)] = 668735,
  [SMALL_STATE(14784)] = 668758,
  [SMALL_STATE(14785)] = 668781,
  [SMALL_STATE(14786)] = 668804,
  [SMALL_STATE(14787)] = 668827,
  [SMALL_STATE(14788)] = 668850,
  [SMALL_STATE(14789)] = 668873,
  [SMALL_STATE(14790)] = 668896,
  [SMALL_STATE(14791)] = 668919,
  [SMALL_STATE(14792)] = 668942,
  [SMALL_STATE(14793)] = 668965,
  [SMALL_STATE(14794)] = 668988,
  [SMALL_STATE(14795)] = 669011,
  [SMALL_STATE(14796)] = 669034,
  [SMALL_STATE(14797)] = 669057,
  [SMALL_STATE(14798)] = 669080,
  [SMALL_STATE(14799)] = 669103,
  [SMALL_STATE(14800)] = 669126,
  [SMALL_STATE(14801)] = 669149,
  [SMALL_STATE(14802)] = 669172,
  [SMALL_STATE(14803)] = 669195,
  [SMALL_STATE(14804)] = 669218,
  [SMALL_STATE(14805)] = 669241,
  [SMALL_STATE(14806)] = 669264,
  [SMALL_STATE(14807)] = 669287,
  [SMALL_STATE(14808)] = 669310,
  [SMALL_STATE(14809)] = 669333,
  [SMALL_STATE(14810)] = 669356,
  [SMALL_STATE(14811)] = 669375,
  [SMALL_STATE(14812)] = 669398,
  [SMALL_STATE(14813)] = 669421,
  [SMALL_STATE(14814)] = 669444,
  [SMALL_STATE(14815)] = 669467,
  [SMALL_STATE(14816)] = 669490,
  [SMALL_STATE(14817)] = 669511,
  [SMALL_STATE(14818)] = 669534,
  [SMALL_STATE(14819)] = 669557,
  [SMALL_STATE(14820)] = 669580,
  [SMALL_STATE(14821)] = 669603,
  [SMALL_STATE(14822)] = 669626,
  [SMALL_STATE(14823)] = 669649,
  [SMALL_STATE(14824)] = 669672,
  [SMALL_STATE(14825)] = 669695,
  [SMALL_STATE(14826)] = 669718,
  [SMALL_STATE(14827)] = 669741,
  [SMALL_STATE(14828)] = 669764,
  [SMALL_STATE(14829)] = 669787,
  [SMALL_STATE(14830)] = 669810,
  [SMALL_STATE(14831)] = 669833,
  [SMALL_STATE(14832)] = 669856,
  [SMALL_STATE(14833)] = 669879,
  [SMALL_STATE(14834)] = 669902,
  [SMALL_STATE(14835)] = 669925,
  [SMALL_STATE(14836)] = 669948,
  [SMALL_STATE(14837)] = 669971,
  [SMALL_STATE(14838)] = 669994,
  [SMALL_STATE(14839)] = 670017,
  [SMALL_STATE(14840)] = 670040,
  [SMALL_STATE(14841)] = 670063,
  [SMALL_STATE(14842)] = 670086,
  [SMALL_STATE(14843)] = 670109,
  [SMALL_STATE(14844)] = 670132,
  [SMALL_STATE(14845)] = 670155,
  [SMALL_STATE(14846)] = 670178,
  [SMALL_STATE(14847)] = 670201,
  [SMALL_STATE(14848)] = 670224,
  [SMALL_STATE(14849)] = 670247,
  [SMALL_STATE(14850)] = 670270,
  [SMALL_STATE(14851)] = 670293,
  [SMALL_STATE(14852)] = 670316,
  [SMALL_STATE(14853)] = 670337,
  [SMALL_STATE(14854)] = 670360,
  [SMALL_STATE(14855)] = 670383,
  [SMALL_STATE(14856)] = 670406,
  [SMALL_STATE(14857)] = 670429,
  [SMALL_STATE(14858)] = 670452,
  [SMALL_STATE(14859)] = 670475,
  [SMALL_STATE(14860)] = 670498,
  [SMALL_STATE(14861)] = 670521,
  [SMALL_STATE(14862)] = 670544,
  [SMALL_STATE(14863)] = 670567,
  [SMALL_STATE(14864)] = 670586,
  [SMALL_STATE(14865)] = 670609,
  [SMALL_STATE(14866)] = 670632,
  [SMALL_STATE(14867)] = 670655,
  [SMALL_STATE(14868)] = 670678,
  [SMALL_STATE(14869)] = 670701,
  [SMALL_STATE(14870)] = 670724,
  [SMALL_STATE(14871)] = 670747,
  [SMALL_STATE(14872)] = 670768,
  [SMALL_STATE(14873)] = 670791,
  [SMALL_STATE(14874)] = 670812,
  [SMALL_STATE(14875)] = 670833,
  [SMALL_STATE(14876)] = 670856,
  [SMALL_STATE(14877)] = 670875,
  [SMALL_STATE(14878)] = 670896,
  [SMALL_STATE(14879)] = 670919,
  [SMALL_STATE(14880)] = 670942,
  [SMALL_STATE(14881)] = 670965,
  [SMALL_STATE(14882)] = 670988,
  [SMALL_STATE(14883)] = 671011,
  [SMALL_STATE(14884)] = 671034,
  [SMALL_STATE(14885)] = 671057,
  [SMALL_STATE(14886)] = 671080,
  [SMALL_STATE(14887)] = 671101,
  [SMALL_STATE(14888)] = 671124,
  [SMALL_STATE(14889)] = 671147,
  [SMALL_STATE(14890)] = 671170,
  [SMALL_STATE(14891)] = 671193,
  [SMALL_STATE(14892)] = 671216,
  [SMALL_STATE(14893)] = 671237,
  [SMALL_STATE(14894)] = 671260,
  [SMALL_STATE(14895)] = 671283,
  [SMALL_STATE(14896)] = 671306,
  [SMALL_STATE(14897)] = 671327,
  [SMALL_STATE(14898)] = 671350,
  [SMALL_STATE(14899)] = 671373,
  [SMALL_STATE(14900)] = 671396,
  [SMALL_STATE(14901)] = 671419,
  [SMALL_STATE(14902)] = 671440,
  [SMALL_STATE(14903)] = 671463,
  [SMALL_STATE(14904)] = 671486,
  [SMALL_STATE(14905)] = 671509,
  [SMALL_STATE(14906)] = 671532,
  [SMALL_STATE(14907)] = 671555,
  [SMALL_STATE(14908)] = 671576,
  [SMALL_STATE(14909)] = 671599,
  [SMALL_STATE(14910)] = 671622,
  [SMALL_STATE(14911)] = 671645,
  [SMALL_STATE(14912)] = 671668,
  [SMALL_STATE(14913)] = 671691,
  [SMALL_STATE(14914)] = 671714,
  [SMALL_STATE(14915)] = 671737,
  [SMALL_STATE(14916)] = 671758,
  [SMALL_STATE(14917)] = 671781,
  [SMALL_STATE(14918)] = 671804,
  [SMALL_STATE(14919)] = 671827,
  [SMALL_STATE(14920)] = 671850,
  [SMALL_STATE(14921)] = 671873,
  [SMALL_STATE(14922)] = 671896,
  [SMALL_STATE(14923)] = 671917,
  [SMALL_STATE(14924)] = 671940,
  [SMALL_STATE(14925)] = 671961,
  [SMALL_STATE(14926)] = 671982,
  [SMALL_STATE(14927)] = 672005,
  [SMALL_STATE(14928)] = 672028,
  [SMALL_STATE(14929)] = 672051,
  [SMALL_STATE(14930)] = 672071,
  [SMALL_STATE(14931)] = 672091,
  [SMALL_STATE(14932)] = 672111,
  [SMALL_STATE(14933)] = 672131,
  [SMALL_STATE(14934)] = 672151,
  [SMALL_STATE(14935)] = 672171,
  [SMALL_STATE(14936)] = 672191,
  [SMALL_STATE(14937)] = 672211,
  [SMALL_STATE(14938)] = 672231,
  [SMALL_STATE(14939)] = 672251,
  [SMALL_STATE(14940)] = 672271,
  [SMALL_STATE(14941)] = 672291,
  [SMALL_STATE(14942)] = 672311,
  [SMALL_STATE(14943)] = 672329,
  [SMALL_STATE(14944)] = 672349,
  [SMALL_STATE(14945)] = 672369,
  [SMALL_STATE(14946)] = 672389,
  [SMALL_STATE(14947)] = 672409,
  [SMALL_STATE(14948)] = 672429,
  [SMALL_STATE(14949)] = 672449,
  [SMALL_STATE(14950)] = 672469,
  [SMALL_STATE(14951)] = 672489,
  [SMALL_STATE(14952)] = 672509,
  [SMALL_STATE(14953)] = 672529,
  [SMALL_STATE(14954)] = 672549,
  [SMALL_STATE(14955)] = 672569,
  [SMALL_STATE(14956)] = 672589,
  [SMALL_STATE(14957)] = 672607,
  [SMALL_STATE(14958)] = 672627,
  [SMALL_STATE(14959)] = 672647,
  [SMALL_STATE(14960)] = 672667,
  [SMALL_STATE(14961)] = 672687,
  [SMALL_STATE(14962)] = 672707,
  [SMALL_STATE(14963)] = 672727,
  [SMALL_STATE(14964)] = 672747,
  [SMALL_STATE(14965)] = 672767,
  [SMALL_STATE(14966)] = 672785,
  [SMALL_STATE(14967)] = 672805,
  [SMALL_STATE(14968)] = 672825,
  [SMALL_STATE(14969)] = 672845,
  [SMALL_STATE(14970)] = 672865,
  [SMALL_STATE(14971)] = 672885,
  [SMALL_STATE(14972)] = 672905,
  [SMALL_STATE(14973)] = 672923,
  [SMALL_STATE(14974)] = 672943,
  [SMALL_STATE(14975)] = 672963,
  [SMALL_STATE(14976)] = 672983,
  [SMALL_STATE(14977)] = 673003,
  [SMALL_STATE(14978)] = 673021,
  [SMALL_STATE(14979)] = 673041,
  [SMALL_STATE(14980)] = 673057,
  [SMALL_STATE(14981)] = 673077,
  [SMALL_STATE(14982)] = 673097,
  [SMALL_STATE(14983)] = 673117,
  [SMALL_STATE(14984)] = 673137,
  [SMALL_STATE(14985)] = 673157,
  [SMALL_STATE(14986)] = 673177,
  [SMALL_STATE(14987)] = 673197,
  [SMALL_STATE(14988)] = 673217,
  [SMALL_STATE(14989)] = 673235,
  [SMALL_STATE(14990)] = 673255,
  [SMALL_STATE(14991)] = 673275,
  [SMALL_STATE(14992)] = 673295,
  [SMALL_STATE(14993)] = 673315,
  [SMALL_STATE(14994)] = 673335,
  [SMALL_STATE(14995)] = 673355,
  [SMALL_STATE(14996)] = 673375,
  [SMALL_STATE(14997)] = 673395,
  [SMALL_STATE(14998)] = 673415,
  [SMALL_STATE(14999)] = 673435,
  [SMALL_STATE(15000)] = 673455,
  [SMALL_STATE(15001)] = 673475,
  [SMALL_STATE(15002)] = 673495,
  [SMALL_STATE(15003)] = 673515,
  [SMALL_STATE(15004)] = 673535,
  [SMALL_STATE(15005)] = 673553,
  [SMALL_STATE(15006)] = 673571,
  [SMALL_STATE(15007)] = 673591,
  [SMALL_STATE(15008)] = 673611,
  [SMALL_STATE(15009)] = 673631,
  [SMALL_STATE(15010)] = 673651,
  [SMALL_STATE(15011)] = 673669,
  [SMALL_STATE(15012)] = 673689,
  [SMALL_STATE(15013)] = 673709,
  [SMALL_STATE(15014)] = 673729,
  [SMALL_STATE(15015)] = 673749,
  [SMALL_STATE(15016)] = 673769,
  [SMALL_STATE(15017)] = 673789,
  [SMALL_STATE(15018)] = 673809,
  [SMALL_STATE(15019)] = 673829,
  [SMALL_STATE(15020)] = 673849,
  [SMALL_STATE(15021)] = 673869,
  [SMALL_STATE(15022)] = 673889,
  [SMALL_STATE(15023)] = 673909,
  [SMALL_STATE(15024)] = 673929,
  [SMALL_STATE(15025)] = 673949,
  [SMALL_STATE(15026)] = 673969,
  [SMALL_STATE(15027)] = 673989,
  [SMALL_STATE(15028)] = 674009,
  [SMALL_STATE(15029)] = 674029,
  [SMALL_STATE(15030)] = 674049,
  [SMALL_STATE(15031)] = 674069,
  [SMALL_STATE(15032)] = 674089,
  [SMALL_STATE(15033)] = 674109,
  [SMALL_STATE(15034)] = 674129,
  [SMALL_STATE(15035)] = 674149,
  [SMALL_STATE(15036)] = 674169,
  [SMALL_STATE(15037)] = 674189,
  [SMALL_STATE(15038)] = 674209,
  [SMALL_STATE(15039)] = 674227,
  [SMALL_STATE(15040)] = 674247,
  [SMALL_STATE(15041)] = 674267,
  [SMALL_STATE(15042)] = 674287,
  [SMALL_STATE(15043)] = 674307,
  [SMALL_STATE(15044)] = 674327,
  [SMALL_STATE(15045)] = 674347,
  [SMALL_STATE(15046)] = 674367,
  [SMALL_STATE(15047)] = 674387,
  [SMALL_STATE(15048)] = 674407,
  [SMALL_STATE(15049)] = 674427,
  [SMALL_STATE(15050)] = 674447,
  [SMALL_STATE(15051)] = 674467,
  [SMALL_STATE(15052)] = 674487,
  [SMALL_STATE(15053)] = 674507,
  [SMALL_STATE(15054)] = 674527,
  [SMALL_STATE(15055)] = 674547,
  [SMALL_STATE(15056)] = 674567,
  [SMALL_STATE(15057)] = 674587,
  [SMALL_STATE(15058)] = 674607,
  [SMALL_STATE(15059)] = 674627,
  [SMALL_STATE(15060)] = 674647,
  [SMALL_STATE(15061)] = 674667,
  [SMALL_STATE(15062)] = 674687,
  [SMALL_STATE(15063)] = 674707,
  [SMALL_STATE(15064)] = 674727,
  [SMALL_STATE(15065)] = 674747,
  [SMALL_STATE(15066)] = 674767,
  [SMALL_STATE(15067)] = 674787,
  [SMALL_STATE(15068)] = 674807,
  [SMALL_STATE(15069)] = 674827,
  [SMALL_STATE(15070)] = 674847,
  [SMALL_STATE(15071)] = 674867,
  [SMALL_STATE(15072)] = 674887,
  [SMALL_STATE(15073)] = 674907,
  [SMALL_STATE(15074)] = 674927,
  [SMALL_STATE(15075)] = 674947,
  [SMALL_STATE(15076)] = 674965,
  [SMALL_STATE(15077)] = 674985,
  [SMALL_STATE(15078)] = 675005,
  [SMALL_STATE(15079)] = 675025,
  [SMALL_STATE(15080)] = 675045,
  [SMALL_STATE(15081)] = 675065,
  [SMALL_STATE(15082)] = 675085,
  [SMALL_STATE(15083)] = 675105,
  [SMALL_STATE(15084)] = 675125,
  [SMALL_STATE(15085)] = 675145,
  [SMALL_STATE(15086)] = 675165,
  [SMALL_STATE(15087)] = 675185,
  [SMALL_STATE(15088)] = 675205,
  [SMALL_STATE(15089)] = 675225,
  [SMALL_STATE(15090)] = 675245,
  [SMALL_STATE(15091)] = 675265,
  [SMALL_STATE(15092)] = 675285,
  [SMALL_STATE(15093)] = 675303,
  [SMALL_STATE(15094)] = 675323,
  [SMALL_STATE(15095)] = 675343,
  [SMALL_STATE(15096)] = 675363,
  [SMALL_STATE(15097)] = 675383,
  [SMALL_STATE(15098)] = 675403,
  [SMALL_STATE(15099)] = 675423,
  [SMALL_STATE(15100)] = 675443,
  [SMALL_STATE(15101)] = 675463,
  [SMALL_STATE(15102)] = 675483,
  [SMALL_STATE(15103)] = 675503,
  [SMALL_STATE(15104)] = 675523,
  [SMALL_STATE(15105)] = 675543,
  [SMALL_STATE(15106)] = 675563,
  [SMALL_STATE(15107)] = 675583,
  [SMALL_STATE(15108)] = 675603,
  [SMALL_STATE(15109)] = 675623,
  [SMALL_STATE(15110)] = 675641,
  [SMALL_STATE(15111)] = 675661,
  [SMALL_STATE(15112)] = 675681,
  [SMALL_STATE(15113)] = 675701,
  [SMALL_STATE(15114)] = 675721,
  [SMALL_STATE(15115)] = 675741,
  [SMALL_STATE(15116)] = 675761,
  [SMALL_STATE(15117)] = 675781,
  [SMALL_STATE(15118)] = 675801,
  [SMALL_STATE(15119)] = 675821,
  [SMALL_STATE(15120)] = 675841,
  [SMALL_STATE(15121)] = 675861,
  [SMALL_STATE(15122)] = 675881,
  [SMALL_STATE(15123)] = 675901,
  [SMALL_STATE(15124)] = 675921,
  [SMALL_STATE(15125)] = 675941,
  [SMALL_STATE(15126)] = 675961,
  [SMALL_STATE(15127)] = 675981,
  [SMALL_STATE(15128)] = 676001,
  [SMALL_STATE(15129)] = 676021,
  [SMALL_STATE(15130)] = 676041,
  [SMALL_STATE(15131)] = 676061,
  [SMALL_STATE(15132)] = 676081,
  [SMALL_STATE(15133)] = 676101,
  [SMALL_STATE(15134)] = 676121,
  [SMALL_STATE(15135)] = 676141,
  [SMALL_STATE(15136)] = 676161,
  [SMALL_STATE(15137)] = 676179,
  [SMALL_STATE(15138)] = 676199,
  [SMALL_STATE(15139)] = 676219,
  [SMALL_STATE(15140)] = 676239,
  [SMALL_STATE(15141)] = 676259,
  [SMALL_STATE(15142)] = 676279,
  [SMALL_STATE(15143)] = 676299,
  [SMALL_STATE(15144)] = 676319,
  [SMALL_STATE(15145)] = 676339,
  [SMALL_STATE(15146)] = 676357,
  [SMALL_STATE(15147)] = 676377,
  [SMALL_STATE(15148)] = 676397,
  [SMALL_STATE(15149)] = 676417,
  [SMALL_STATE(15150)] = 676435,
  [SMALL_STATE(15151)] = 676455,
  [SMALL_STATE(15152)] = 676475,
  [SMALL_STATE(15153)] = 676495,
  [SMALL_STATE(15154)] = 676515,
  [SMALL_STATE(15155)] = 676535,
  [SMALL_STATE(15156)] = 676555,
  [SMALL_STATE(15157)] = 676575,
  [SMALL_STATE(15158)] = 676595,
  [SMALL_STATE(15159)] = 676615,
  [SMALL_STATE(15160)] = 676635,
  [SMALL_STATE(15161)] = 676655,
  [SMALL_STATE(15162)] = 676673,
  [SMALL_STATE(15163)] = 676693,
  [SMALL_STATE(15164)] = 676713,
  [SMALL_STATE(15165)] = 676733,
  [SMALL_STATE(15166)] = 676753,
  [SMALL_STATE(15167)] = 676773,
  [SMALL_STATE(15168)] = 676793,
  [SMALL_STATE(15169)] = 676813,
  [SMALL_STATE(15170)] = 676833,
  [SMALL_STATE(15171)] = 676853,
  [SMALL_STATE(15172)] = 676873,
  [SMALL_STATE(15173)] = 676891,
  [SMALL_STATE(15174)] = 676911,
  [SMALL_STATE(15175)] = 676931,
  [SMALL_STATE(15176)] = 676951,
  [SMALL_STATE(15177)] = 676971,
  [SMALL_STATE(15178)] = 676991,
  [SMALL_STATE(15179)] = 677011,
  [SMALL_STATE(15180)] = 677031,
  [SMALL_STATE(15181)] = 677051,
  [SMALL_STATE(15182)] = 677071,
  [SMALL_STATE(15183)] = 677091,
  [SMALL_STATE(15184)] = 677111,
  [SMALL_STATE(15185)] = 677131,
  [SMALL_STATE(15186)] = 677151,
  [SMALL_STATE(15187)] = 677171,
  [SMALL_STATE(15188)] = 677191,
  [SMALL_STATE(15189)] = 677211,
  [SMALL_STATE(15190)] = 677231,
  [SMALL_STATE(15191)] = 677251,
  [SMALL_STATE(15192)] = 677271,
  [SMALL_STATE(15193)] = 677291,
  [SMALL_STATE(15194)] = 677311,
  [SMALL_STATE(15195)] = 677329,
  [SMALL_STATE(15196)] = 677349,
  [SMALL_STATE(15197)] = 677367,
  [SMALL_STATE(15198)] = 677387,
  [SMALL_STATE(15199)] = 677407,
  [SMALL_STATE(15200)] = 677427,
  [SMALL_STATE(15201)] = 677447,
  [SMALL_STATE(15202)] = 677467,
  [SMALL_STATE(15203)] = 677487,
  [SMALL_STATE(15204)] = 677507,
  [SMALL_STATE(15205)] = 677527,
  [SMALL_STATE(15206)] = 677547,
  [SMALL_STATE(15207)] = 677567,
  [SMALL_STATE(15208)] = 677587,
  [SMALL_STATE(15209)] = 677605,
  [SMALL_STATE(15210)] = 677625,
  [SMALL_STATE(15211)] = 677645,
  [SMALL_STATE(15212)] = 677665,
  [SMALL_STATE(15213)] = 677685,
  [SMALL_STATE(15214)] = 677703,
  [SMALL_STATE(15215)] = 677723,
  [SMALL_STATE(15216)] = 677743,
  [SMALL_STATE(15217)] = 677763,
  [SMALL_STATE(15218)] = 677781,
  [SMALL_STATE(15219)] = 677801,
  [SMALL_STATE(15220)] = 677819,
  [SMALL_STATE(15221)] = 677839,
  [SMALL_STATE(15222)] = 677859,
  [SMALL_STATE(15223)] = 677879,
  [SMALL_STATE(15224)] = 677899,
  [SMALL_STATE(15225)] = 677919,
  [SMALL_STATE(15226)] = 677939,
  [SMALL_STATE(15227)] = 677959,
  [SMALL_STATE(15228)] = 677979,
  [SMALL_STATE(15229)] = 677997,
  [SMALL_STATE(15230)] = 678017,
  [SMALL_STATE(15231)] = 678037,
  [SMALL_STATE(15232)] = 678057,
  [SMALL_STATE(15233)] = 678077,
  [SMALL_STATE(15234)] = 678095,
  [SMALL_STATE(15235)] = 678115,
  [SMALL_STATE(15236)] = 678135,
  [SMALL_STATE(15237)] = 678155,
  [SMALL_STATE(15238)] = 678175,
  [SMALL_STATE(15239)] = 678195,
  [SMALL_STATE(15240)] = 678215,
  [SMALL_STATE(15241)] = 678233,
  [SMALL_STATE(15242)] = 678253,
  [SMALL_STATE(15243)] = 678273,
  [SMALL_STATE(15244)] = 678293,
  [SMALL_STATE(15245)] = 678313,
  [SMALL_STATE(15246)] = 678333,
  [SMALL_STATE(15247)] = 678353,
  [SMALL_STATE(15248)] = 678371,
  [SMALL_STATE(15249)] = 678391,
  [SMALL_STATE(15250)] = 678411,
  [SMALL_STATE(15251)] = 678431,
  [SMALL_STATE(15252)] = 678451,
  [SMALL_STATE(15253)] = 678471,
  [SMALL_STATE(15254)] = 678491,
  [SMALL_STATE(15255)] = 678511,
  [SMALL_STATE(15256)] = 678531,
  [SMALL_STATE(15257)] = 678551,
  [SMALL_STATE(15258)] = 678571,
  [SMALL_STATE(15259)] = 678591,
  [SMALL_STATE(15260)] = 678611,
  [SMALL_STATE(15261)] = 678631,
  [SMALL_STATE(15262)] = 678651,
  [SMALL_STATE(15263)] = 678671,
  [SMALL_STATE(15264)] = 678691,
  [SMALL_STATE(15265)] = 678711,
  [SMALL_STATE(15266)] = 678731,
  [SMALL_STATE(15267)] = 678751,
  [SMALL_STATE(15268)] = 678769,
  [SMALL_STATE(15269)] = 678789,
  [SMALL_STATE(15270)] = 678809,
  [SMALL_STATE(15271)] = 678829,
  [SMALL_STATE(15272)] = 678849,
  [SMALL_STATE(15273)] = 678869,
  [SMALL_STATE(15274)] = 678889,
  [SMALL_STATE(15275)] = 678909,
  [SMALL_STATE(15276)] = 678929,
  [SMALL_STATE(15277)] = 678949,
  [SMALL_STATE(15278)] = 678969,
  [SMALL_STATE(15279)] = 678989,
  [SMALL_STATE(15280)] = 679009,
  [SMALL_STATE(15281)] = 679029,
  [SMALL_STATE(15282)] = 679049,
  [SMALL_STATE(15283)] = 679069,
  [SMALL_STATE(15284)] = 679089,
  [SMALL_STATE(15285)] = 679109,
  [SMALL_STATE(15286)] = 679129,
  [SMALL_STATE(15287)] = 679149,
  [SMALL_STATE(15288)] = 679169,
  [SMALL_STATE(15289)] = 679189,
  [SMALL_STATE(15290)] = 679209,
  [SMALL_STATE(15291)] = 679229,
  [SMALL_STATE(15292)] = 679249,
  [SMALL_STATE(15293)] = 679267,
  [SMALL_STATE(15294)] = 679287,
  [SMALL_STATE(15295)] = 679307,
  [SMALL_STATE(15296)] = 679327,
  [SMALL_STATE(15297)] = 679347,
  [SMALL_STATE(15298)] = 679367,
  [SMALL_STATE(15299)] = 679387,
  [SMALL_STATE(15300)] = 679407,
  [SMALL_STATE(15301)] = 679427,
  [SMALL_STATE(15302)] = 679447,
  [SMALL_STATE(15303)] = 679467,
  [SMALL_STATE(15304)] = 679487,
  [SMALL_STATE(15305)] = 679507,
  [SMALL_STATE(15306)] = 679527,
  [SMALL_STATE(15307)] = 679547,
  [SMALL_STATE(15308)] = 679567,
  [SMALL_STATE(15309)] = 679587,
  [SMALL_STATE(15310)] = 679607,
  [SMALL_STATE(15311)] = 679627,
  [SMALL_STATE(15312)] = 679645,
  [SMALL_STATE(15313)] = 679665,
  [SMALL_STATE(15314)] = 679685,
  [SMALL_STATE(15315)] = 679705,
  [SMALL_STATE(15316)] = 679725,
  [SMALL_STATE(15317)] = 679745,
  [SMALL_STATE(15318)] = 679765,
  [SMALL_STATE(15319)] = 679785,
  [SMALL_STATE(15320)] = 679805,
  [SMALL_STATE(15321)] = 679825,
  [SMALL_STATE(15322)] = 679845,
  [SMALL_STATE(15323)] = 679865,
  [SMALL_STATE(15324)] = 679885,
  [SMALL_STATE(15325)] = 679905,
  [SMALL_STATE(15326)] = 679925,
  [SMALL_STATE(15327)] = 679945,
  [SMALL_STATE(15328)] = 679965,
  [SMALL_STATE(15329)] = 679985,
  [SMALL_STATE(15330)] = 680005,
  [SMALL_STATE(15331)] = 680025,
  [SMALL_STATE(15332)] = 680045,
  [SMALL_STATE(15333)] = 680063,
  [SMALL_STATE(15334)] = 680083,
  [SMALL_STATE(15335)] = 680103,
  [SMALL_STATE(15336)] = 680123,
  [SMALL_STATE(15337)] = 680143,
  [SMALL_STATE(15338)] = 680163,
  [SMALL_STATE(15339)] = 680183,
  [SMALL_STATE(15340)] = 680203,
  [SMALL_STATE(15341)] = 680223,
  [SMALL_STATE(15342)] = 680243,
  [SMALL_STATE(15343)] = 680263,
  [SMALL_STATE(15344)] = 680283,
  [SMALL_STATE(15345)] = 680303,
  [SMALL_STATE(15346)] = 680319,
  [SMALL_STATE(15347)] = 680339,
  [SMALL_STATE(15348)] = 680359,
  [SMALL_STATE(15349)] = 680379,
  [SMALL_STATE(15350)] = 680399,
  [SMALL_STATE(15351)] = 680419,
  [SMALL_STATE(15352)] = 680439,
  [SMALL_STATE(15353)] = 680459,
  [SMALL_STATE(15354)] = 680479,
  [SMALL_STATE(15355)] = 680497,
  [SMALL_STATE(15356)] = 680517,
  [SMALL_STATE(15357)] = 680537,
  [SMALL_STATE(15358)] = 680557,
  [SMALL_STATE(15359)] = 680577,
  [SMALL_STATE(15360)] = 680597,
  [SMALL_STATE(15361)] = 680617,
  [SMALL_STATE(15362)] = 680637,
  [SMALL_STATE(15363)] = 680657,
  [SMALL_STATE(15364)] = 680677,
  [SMALL_STATE(15365)] = 680697,
  [SMALL_STATE(15366)] = 680717,
  [SMALL_STATE(15367)] = 680737,
  [SMALL_STATE(15368)] = 680757,
  [SMALL_STATE(15369)] = 680777,
  [SMALL_STATE(15370)] = 680797,
  [SMALL_STATE(15371)] = 680817,
  [SMALL_STATE(15372)] = 680837,
  [SMALL_STATE(15373)] = 680857,
  [SMALL_STATE(15374)] = 680877,
  [SMALL_STATE(15375)] = 680897,
  [SMALL_STATE(15376)] = 680917,
  [SMALL_STATE(15377)] = 680937,
  [SMALL_STATE(15378)] = 680955,
  [SMALL_STATE(15379)] = 680975,
  [SMALL_STATE(15380)] = 680995,
  [SMALL_STATE(15381)] = 681015,
  [SMALL_STATE(15382)] = 681035,
  [SMALL_STATE(15383)] = 681055,
  [SMALL_STATE(15384)] = 681075,
  [SMALL_STATE(15385)] = 681095,
  [SMALL_STATE(15386)] = 681115,
  [SMALL_STATE(15387)] = 681133,
  [SMALL_STATE(15388)] = 681153,
  [SMALL_STATE(15389)] = 681171,
  [SMALL_STATE(15390)] = 681191,
  [SMALL_STATE(15391)] = 681211,
  [SMALL_STATE(15392)] = 681231,
  [SMALL_STATE(15393)] = 681251,
  [SMALL_STATE(15394)] = 681271,
  [SMALL_STATE(15395)] = 681289,
  [SMALL_STATE(15396)] = 681309,
  [SMALL_STATE(15397)] = 681329,
  [SMALL_STATE(15398)] = 681349,
  [SMALL_STATE(15399)] = 681367,
  [SMALL_STATE(15400)] = 681387,
  [SMALL_STATE(15401)] = 681407,
  [SMALL_STATE(15402)] = 681427,
  [SMALL_STATE(15403)] = 681447,
  [SMALL_STATE(15404)] = 681467,
  [SMALL_STATE(15405)] = 681487,
  [SMALL_STATE(15406)] = 681507,
  [SMALL_STATE(15407)] = 681527,
  [SMALL_STATE(15408)] = 681547,
  [SMALL_STATE(15409)] = 681567,
  [SMALL_STATE(15410)] = 681587,
  [SMALL_STATE(15411)] = 681607,
  [SMALL_STATE(15412)] = 681627,
  [SMALL_STATE(15413)] = 681647,
  [SMALL_STATE(15414)] = 681665,
  [SMALL_STATE(15415)] = 681685,
  [SMALL_STATE(15416)] = 681705,
  [SMALL_STATE(15417)] = 681723,
  [SMALL_STATE(15418)] = 681743,
  [SMALL_STATE(15419)] = 681763,
  [SMALL_STATE(15420)] = 681783,
  [SMALL_STATE(15421)] = 681803,
  [SMALL_STATE(15422)] = 681823,
  [SMALL_STATE(15423)] = 681843,
  [SMALL_STATE(15424)] = 681861,
  [SMALL_STATE(15425)] = 681881,
  [SMALL_STATE(15426)] = 681901,
  [SMALL_STATE(15427)] = 681921,
  [SMALL_STATE(15428)] = 681941,
  [SMALL_STATE(15429)] = 681961,
  [SMALL_STATE(15430)] = 681981,
  [SMALL_STATE(15431)] = 682001,
  [SMALL_STATE(15432)] = 682021,
  [SMALL_STATE(15433)] = 682041,
  [SMALL_STATE(15434)] = 682061,
  [SMALL_STATE(15435)] = 682081,
  [SMALL_STATE(15436)] = 682099,
  [SMALL_STATE(15437)] = 682119,
  [SMALL_STATE(15438)] = 682139,
  [SMALL_STATE(15439)] = 682157,
  [SMALL_STATE(15440)] = 682177,
  [SMALL_STATE(15441)] = 682195,
  [SMALL_STATE(15442)] = 682215,
  [SMALL_STATE(15443)] = 682235,
  [SMALL_STATE(15444)] = 682255,
  [SMALL_STATE(15445)] = 682275,
  [SMALL_STATE(15446)] = 682295,
  [SMALL_STATE(15447)] = 682315,
  [SMALL_STATE(15448)] = 682335,
  [SMALL_STATE(15449)] = 682353,
  [SMALL_STATE(15450)] = 682373,
  [SMALL_STATE(15451)] = 682393,
  [SMALL_STATE(15452)] = 682413,
  [SMALL_STATE(15453)] = 682433,
  [SMALL_STATE(15454)] = 682451,
  [SMALL_STATE(15455)] = 682471,
  [SMALL_STATE(15456)] = 682491,
  [SMALL_STATE(15457)] = 682511,
  [SMALL_STATE(15458)] = 682531,
  [SMALL_STATE(15459)] = 682549,
  [SMALL_STATE(15460)] = 682569,
  [SMALL_STATE(15461)] = 682589,
  [SMALL_STATE(15462)] = 682609,
  [SMALL_STATE(15463)] = 682629,
  [SMALL_STATE(15464)] = 682649,
  [SMALL_STATE(15465)] = 682669,
  [SMALL_STATE(15466)] = 682689,
  [SMALL_STATE(15467)] = 682709,
  [SMALL_STATE(15468)] = 682729,
  [SMALL_STATE(15469)] = 682749,
  [SMALL_STATE(15470)] = 682769,
  [SMALL_STATE(15471)] = 682789,
  [SMALL_STATE(15472)] = 682809,
  [SMALL_STATE(15473)] = 682829,
  [SMALL_STATE(15474)] = 682849,
  [SMALL_STATE(15475)] = 682869,
  [SMALL_STATE(15476)] = 682887,
  [SMALL_STATE(15477)] = 682907,
  [SMALL_STATE(15478)] = 682927,
  [SMALL_STATE(15479)] = 682947,
  [SMALL_STATE(15480)] = 682967,
  [SMALL_STATE(15481)] = 682987,
  [SMALL_STATE(15482)] = 683007,
  [SMALL_STATE(15483)] = 683027,
  [SMALL_STATE(15484)] = 683047,
  [SMALL_STATE(15485)] = 683067,
  [SMALL_STATE(15486)] = 683087,
  [SMALL_STATE(15487)] = 683107,
  [SMALL_STATE(15488)] = 683127,
  [SMALL_STATE(15489)] = 683147,
  [SMALL_STATE(15490)] = 683167,
  [SMALL_STATE(15491)] = 683187,
  [SMALL_STATE(15492)] = 683205,
  [SMALL_STATE(15493)] = 683225,
  [SMALL_STATE(15494)] = 683245,
  [SMALL_STATE(15495)] = 683265,
  [SMALL_STATE(15496)] = 683285,
  [SMALL_STATE(15497)] = 683305,
  [SMALL_STATE(15498)] = 683325,
  [SMALL_STATE(15499)] = 683345,
  [SMALL_STATE(15500)] = 683365,
  [SMALL_STATE(15501)] = 683385,
  [SMALL_STATE(15502)] = 683405,
  [SMALL_STATE(15503)] = 683423,
  [SMALL_STATE(15504)] = 683443,
  [SMALL_STATE(15505)] = 683463,
  [SMALL_STATE(15506)] = 683483,
  [SMALL_STATE(15507)] = 683503,
  [SMALL_STATE(15508)] = 683523,
  [SMALL_STATE(15509)] = 683543,
  [SMALL_STATE(15510)] = 683563,
  [SMALL_STATE(15511)] = 683583,
  [SMALL_STATE(15512)] = 683603,
  [SMALL_STATE(15513)] = 683623,
  [SMALL_STATE(15514)] = 683643,
  [SMALL_STATE(15515)] = 683663,
  [SMALL_STATE(15516)] = 683681,
  [SMALL_STATE(15517)] = 683701,
  [SMALL_STATE(15518)] = 683719,
  [SMALL_STATE(15519)] = 683739,
  [SMALL_STATE(15520)] = 683759,
  [SMALL_STATE(15521)] = 683779,
  [SMALL_STATE(15522)] = 683799,
  [SMALL_STATE(15523)] = 683819,
  [SMALL_STATE(15524)] = 683839,
  [SMALL_STATE(15525)] = 683859,
  [SMALL_STATE(15526)] = 683877,
  [SMALL_STATE(15527)] = 683897,
  [SMALL_STATE(15528)] = 683915,
  [SMALL_STATE(15529)] = 683935,
  [SMALL_STATE(15530)] = 683955,
  [SMALL_STATE(15531)] = 683975,
  [SMALL_STATE(15532)] = 683995,
  [SMALL_STATE(15533)] = 684015,
  [SMALL_STATE(15534)] = 684035,
  [SMALL_STATE(15535)] = 684055,
  [SMALL_STATE(15536)] = 684075,
  [SMALL_STATE(15537)] = 684091,
  [SMALL_STATE(15538)] = 684111,
  [SMALL_STATE(15539)] = 684129,
  [SMALL_STATE(15540)] = 684149,
  [SMALL_STATE(15541)] = 684169,
  [SMALL_STATE(15542)] = 684189,
  [SMALL_STATE(15543)] = 684209,
  [SMALL_STATE(15544)] = 684229,
  [SMALL_STATE(15545)] = 684249,
  [SMALL_STATE(15546)] = 684269,
  [SMALL_STATE(15547)] = 684289,
  [SMALL_STATE(15548)] = 684309,
  [SMALL_STATE(15549)] = 684329,
  [SMALL_STATE(15550)] = 684349,
  [SMALL_STATE(15551)] = 684369,
  [SMALL_STATE(15552)] = 684389,
  [SMALL_STATE(15553)] = 684407,
  [SMALL_STATE(15554)] = 684425,
  [SMALL_STATE(15555)] = 684445,
  [SMALL_STATE(15556)] = 684465,
  [SMALL_STATE(15557)] = 684485,
  [SMALL_STATE(15558)] = 684505,
  [SMALL_STATE(15559)] = 684525,
  [SMALL_STATE(15560)] = 684543,
  [SMALL_STATE(15561)] = 684563,
  [SMALL_STATE(15562)] = 684581,
  [SMALL_STATE(15563)] = 684601,
  [SMALL_STATE(15564)] = 684621,
  [SMALL_STATE(15565)] = 684639,
  [SMALL_STATE(15566)] = 684659,
  [SMALL_STATE(15567)] = 684679,
  [SMALL_STATE(15568)] = 684699,
  [SMALL_STATE(15569)] = 684719,
  [SMALL_STATE(15570)] = 684737,
  [SMALL_STATE(15571)] = 684757,
  [SMALL_STATE(15572)] = 684777,
  [SMALL_STATE(15573)] = 684797,
  [SMALL_STATE(15574)] = 684817,
  [SMALL_STATE(15575)] = 684837,
  [SMALL_STATE(15576)] = 684857,
  [SMALL_STATE(15577)] = 684877,
  [SMALL_STATE(15578)] = 684895,
  [SMALL_STATE(15579)] = 684915,
  [SMALL_STATE(15580)] = 684935,
  [SMALL_STATE(15581)] = 684955,
  [SMALL_STATE(15582)] = 684975,
  [SMALL_STATE(15583)] = 684995,
  [SMALL_STATE(15584)] = 685015,
  [SMALL_STATE(15585)] = 685035,
  [SMALL_STATE(15586)] = 685055,
  [SMALL_STATE(15587)] = 685075,
  [SMALL_STATE(15588)] = 685095,
  [SMALL_STATE(15589)] = 685115,
  [SMALL_STATE(15590)] = 685135,
  [SMALL_STATE(15591)] = 685153,
  [SMALL_STATE(15592)] = 685173,
  [SMALL_STATE(15593)] = 685193,
  [SMALL_STATE(15594)] = 685213,
  [SMALL_STATE(15595)] = 685233,
  [SMALL_STATE(15596)] = 685253,
  [SMALL_STATE(15597)] = 685273,
  [SMALL_STATE(15598)] = 685293,
  [SMALL_STATE(15599)] = 685313,
  [SMALL_STATE(15600)] = 685331,
  [SMALL_STATE(15601)] = 685351,
  [SMALL_STATE(15602)] = 685371,
  [SMALL_STATE(15603)] = 685391,
  [SMALL_STATE(15604)] = 685411,
  [SMALL_STATE(15605)] = 685431,
  [SMALL_STATE(15606)] = 685451,
  [SMALL_STATE(15607)] = 685471,
  [SMALL_STATE(15608)] = 685489,
  [SMALL_STATE(15609)] = 685509,
  [SMALL_STATE(15610)] = 685529,
  [SMALL_STATE(15611)] = 685549,
  [SMALL_STATE(15612)] = 685569,
  [SMALL_STATE(15613)] = 685587,
  [SMALL_STATE(15614)] = 685607,
  [SMALL_STATE(15615)] = 685627,
  [SMALL_STATE(15616)] = 685647,
  [SMALL_STATE(15617)] = 685667,
  [SMALL_STATE(15618)] = 685687,
  [SMALL_STATE(15619)] = 685707,
  [SMALL_STATE(15620)] = 685727,
  [SMALL_STATE(15621)] = 685747,
  [SMALL_STATE(15622)] = 685767,
  [SMALL_STATE(15623)] = 685787,
  [SMALL_STATE(15624)] = 685805,
  [SMALL_STATE(15625)] = 685823,
  [SMALL_STATE(15626)] = 685843,
  [SMALL_STATE(15627)] = 685863,
  [SMALL_STATE(15628)] = 685883,
  [SMALL_STATE(15629)] = 685903,
  [SMALL_STATE(15630)] = 685923,
  [SMALL_STATE(15631)] = 685943,
  [SMALL_STATE(15632)] = 685963,
  [SMALL_STATE(15633)] = 685983,
  [SMALL_STATE(15634)] = 686003,
  [SMALL_STATE(15635)] = 686021,
  [SMALL_STATE(15636)] = 686041,
  [SMALL_STATE(15637)] = 686061,
  [SMALL_STATE(15638)] = 686081,
  [SMALL_STATE(15639)] = 686101,
  [SMALL_STATE(15640)] = 686117,
  [SMALL_STATE(15641)] = 686137,
  [SMALL_STATE(15642)] = 686155,
  [SMALL_STATE(15643)] = 686175,
  [SMALL_STATE(15644)] = 686195,
  [SMALL_STATE(15645)] = 686215,
  [SMALL_STATE(15646)] = 686235,
  [SMALL_STATE(15647)] = 686253,
  [SMALL_STATE(15648)] = 686273,
  [SMALL_STATE(15649)] = 686293,
  [SMALL_STATE(15650)] = 686313,
  [SMALL_STATE(15651)] = 686333,
  [SMALL_STATE(15652)] = 686351,
  [SMALL_STATE(15653)] = 686371,
  [SMALL_STATE(15654)] = 686389,
  [SMALL_STATE(15655)] = 686409,
  [SMALL_STATE(15656)] = 686427,
  [SMALL_STATE(15657)] = 686447,
  [SMALL_STATE(15658)] = 686465,
  [SMALL_STATE(15659)] = 686485,
  [SMALL_STATE(15660)] = 686503,
  [SMALL_STATE(15661)] = 686523,
  [SMALL_STATE(15662)] = 686543,
  [SMALL_STATE(15663)] = 686561,
  [SMALL_STATE(15664)] = 686581,
  [SMALL_STATE(15665)] = 686601,
  [SMALL_STATE(15666)] = 686619,
  [SMALL_STATE(15667)] = 686639,
  [SMALL_STATE(15668)] = 686657,
  [SMALL_STATE(15669)] = 686675,
  [SMALL_STATE(15670)] = 686695,
  [SMALL_STATE(15671)] = 686713,
  [SMALL_STATE(15672)] = 686733,
  [SMALL_STATE(15673)] = 686753,
  [SMALL_STATE(15674)] = 686771,
  [SMALL_STATE(15675)] = 686791,
  [SMALL_STATE(15676)] = 686811,
  [SMALL_STATE(15677)] = 686829,
  [SMALL_STATE(15678)] = 686849,
  [SMALL_STATE(15679)] = 686867,
  [SMALL_STATE(15680)] = 686887,
  [SMALL_STATE(15681)] = 686905,
  [SMALL_STATE(15682)] = 686925,
  [SMALL_STATE(15683)] = 686945,
  [SMALL_STATE(15684)] = 686963,
  [SMALL_STATE(15685)] = 686983,
  [SMALL_STATE(15686)] = 687001,
  [SMALL_STATE(15687)] = 687021,
  [SMALL_STATE(15688)] = 687039,
  [SMALL_STATE(15689)] = 687059,
  [SMALL_STATE(15690)] = 687077,
  [SMALL_STATE(15691)] = 687097,
  [SMALL_STATE(15692)] = 687115,
  [SMALL_STATE(15693)] = 687135,
  [SMALL_STATE(15694)] = 687153,
  [SMALL_STATE(15695)] = 687173,
  [SMALL_STATE(15696)] = 687191,
  [SMALL_STATE(15697)] = 687211,
  [SMALL_STATE(15698)] = 687229,
  [SMALL_STATE(15699)] = 687249,
  [SMALL_STATE(15700)] = 687267,
  [SMALL_STATE(15701)] = 687287,
  [SMALL_STATE(15702)] = 687305,
  [SMALL_STATE(15703)] = 687325,
  [SMALL_STATE(15704)] = 687343,
  [SMALL_STATE(15705)] = 687363,
  [SMALL_STATE(15706)] = 687381,
  [SMALL_STATE(15707)] = 687401,
  [SMALL_STATE(15708)] = 687419,
  [SMALL_STATE(15709)] = 687439,
  [SMALL_STATE(15710)] = 687457,
  [SMALL_STATE(15711)] = 687477,
  [SMALL_STATE(15712)] = 687495,
  [SMALL_STATE(15713)] = 687515,
  [SMALL_STATE(15714)] = 687533,
  [SMALL_STATE(15715)] = 687553,
  [SMALL_STATE(15716)] = 687571,
  [SMALL_STATE(15717)] = 687591,
  [SMALL_STATE(15718)] = 687609,
  [SMALL_STATE(15719)] = 687629,
  [SMALL_STATE(15720)] = 687647,
  [SMALL_STATE(15721)] = 687667,
  [SMALL_STATE(15722)] = 687685,
  [SMALL_STATE(15723)] = 687705,
  [SMALL_STATE(15724)] = 687723,
  [SMALL_STATE(15725)] = 687743,
  [SMALL_STATE(15726)] = 687761,
  [SMALL_STATE(15727)] = 687781,
  [SMALL_STATE(15728)] = 687799,
  [SMALL_STATE(15729)] = 687819,
  [SMALL_STATE(15730)] = 687837,
  [SMALL_STATE(15731)] = 687857,
  [SMALL_STATE(15732)] = 687877,
  [SMALL_STATE(15733)] = 687897,
  [SMALL_STATE(15734)] = 687917,
  [SMALL_STATE(15735)] = 687937,
  [SMALL_STATE(15736)] = 687957,
  [SMALL_STATE(15737)] = 687977,
  [SMALL_STATE(15738)] = 687997,
  [SMALL_STATE(15739)] = 688017,
  [SMALL_STATE(15740)] = 688037,
  [SMALL_STATE(15741)] = 688057,
  [SMALL_STATE(15742)] = 688075,
  [SMALL_STATE(15743)] = 688095,
  [SMALL_STATE(15744)] = 688115,
  [SMALL_STATE(15745)] = 688135,
  [SMALL_STATE(15746)] = 688155,
  [SMALL_STATE(15747)] = 688175,
  [SMALL_STATE(15748)] = 688195,
  [SMALL_STATE(15749)] = 688215,
  [SMALL_STATE(15750)] = 688235,
  [SMALL_STATE(15751)] = 688255,
  [SMALL_STATE(15752)] = 688275,
  [SMALL_STATE(15753)] = 688295,
  [SMALL_STATE(15754)] = 688315,
  [SMALL_STATE(15755)] = 688333,
  [SMALL_STATE(15756)] = 688353,
  [SMALL_STATE(15757)] = 688371,
  [SMALL_STATE(15758)] = 688391,
  [SMALL_STATE(15759)] = 688411,
  [SMALL_STATE(15760)] = 688431,
  [SMALL_STATE(15761)] = 688451,
  [SMALL_STATE(15762)] = 688471,
  [SMALL_STATE(15763)] = 688491,
  [SMALL_STATE(15764)] = 688511,
  [SMALL_STATE(15765)] = 688531,
  [SMALL_STATE(15766)] = 688551,
  [SMALL_STATE(15767)] = 688571,
  [SMALL_STATE(15768)] = 688591,
  [SMALL_STATE(15769)] = 688611,
  [SMALL_STATE(15770)] = 688631,
  [SMALL_STATE(15771)] = 688649,
  [SMALL_STATE(15772)] = 688669,
  [SMALL_STATE(15773)] = 688689,
  [SMALL_STATE(15774)] = 688709,
  [SMALL_STATE(15775)] = 688729,
  [SMALL_STATE(15776)] = 688749,
  [SMALL_STATE(15777)] = 688769,
  [SMALL_STATE(15778)] = 688789,
  [SMALL_STATE(15779)] = 688809,
  [SMALL_STATE(15780)] = 688829,
  [SMALL_STATE(15781)] = 688845,
  [SMALL_STATE(15782)] = 688865,
  [SMALL_STATE(15783)] = 688885,
  [SMALL_STATE(15784)] = 688903,
  [SMALL_STATE(15785)] = 688923,
  [SMALL_STATE(15786)] = 688943,
  [SMALL_STATE(15787)] = 688963,
  [SMALL_STATE(15788)] = 688983,
  [SMALL_STATE(15789)] = 689003,
  [SMALL_STATE(15790)] = 689019,
  [SMALL_STATE(15791)] = 689039,
  [SMALL_STATE(15792)] = 689059,
  [SMALL_STATE(15793)] = 689079,
  [SMALL_STATE(15794)] = 689097,
  [SMALL_STATE(15795)] = 689117,
  [SMALL_STATE(15796)] = 689137,
  [SMALL_STATE(15797)] = 689155,
  [SMALL_STATE(15798)] = 689175,
  [SMALL_STATE(15799)] = 689195,
  [SMALL_STATE(15800)] = 689213,
  [SMALL_STATE(15801)] = 689233,
  [SMALL_STATE(15802)] = 689253,
  [SMALL_STATE(15803)] = 689273,
  [SMALL_STATE(15804)] = 689293,
  [SMALL_STATE(15805)] = 689313,
  [SMALL_STATE(15806)] = 689333,
  [SMALL_STATE(15807)] = 689353,
  [SMALL_STATE(15808)] = 689373,
  [SMALL_STATE(15809)] = 689393,
  [SMALL_STATE(15810)] = 689413,
  [SMALL_STATE(15811)] = 689433,
  [SMALL_STATE(15812)] = 689453,
  [SMALL_STATE(15813)] = 689473,
  [SMALL_STATE(15814)] = 689493,
  [SMALL_STATE(15815)] = 689513,
  [SMALL_STATE(15816)] = 689533,
  [SMALL_STATE(15817)] = 689553,
  [SMALL_STATE(15818)] = 689573,
  [SMALL_STATE(15819)] = 689593,
  [SMALL_STATE(15820)] = 689609,
  [SMALL_STATE(15821)] = 689629,
  [SMALL_STATE(15822)] = 689647,
  [SMALL_STATE(15823)] = 689667,
  [SMALL_STATE(15824)] = 689687,
  [SMALL_STATE(15825)] = 689707,
  [SMALL_STATE(15826)] = 689727,
  [SMALL_STATE(15827)] = 689747,
  [SMALL_STATE(15828)] = 689767,
  [SMALL_STATE(15829)] = 689787,
  [SMALL_STATE(15830)] = 689807,
  [SMALL_STATE(15831)] = 689827,
  [SMALL_STATE(15832)] = 689847,
  [SMALL_STATE(15833)] = 689867,
  [SMALL_STATE(15834)] = 689887,
  [SMALL_STATE(15835)] = 689907,
  [SMALL_STATE(15836)] = 689927,
  [SMALL_STATE(15837)] = 689947,
  [SMALL_STATE(15838)] = 689967,
  [SMALL_STATE(15839)] = 689987,
  [SMALL_STATE(15840)] = 690007,
  [SMALL_STATE(15841)] = 690027,
  [SMALL_STATE(15842)] = 690047,
  [SMALL_STATE(15843)] = 690067,
  [SMALL_STATE(15844)] = 690087,
  [SMALL_STATE(15845)] = 690107,
  [SMALL_STATE(15846)] = 690127,
  [SMALL_STATE(15847)] = 690147,
  [SMALL_STATE(15848)] = 690165,
  [SMALL_STATE(15849)] = 690185,
  [SMALL_STATE(15850)] = 690205,
  [SMALL_STATE(15851)] = 690225,
  [SMALL_STATE(15852)] = 690245,
  [SMALL_STATE(15853)] = 690263,
  [SMALL_STATE(15854)] = 690283,
  [SMALL_STATE(15855)] = 690303,
  [SMALL_STATE(15856)] = 690323,
  [SMALL_STATE(15857)] = 690343,
  [SMALL_STATE(15858)] = 690363,
  [SMALL_STATE(15859)] = 690381,
  [SMALL_STATE(15860)] = 690401,
  [SMALL_STATE(15861)] = 690421,
  [SMALL_STATE(15862)] = 690441,
  [SMALL_STATE(15863)] = 690457,
  [SMALL_STATE(15864)] = 690477,
  [SMALL_STATE(15865)] = 690495,
  [SMALL_STATE(15866)] = 690515,
  [SMALL_STATE(15867)] = 690535,
  [SMALL_STATE(15868)] = 690555,
  [SMALL_STATE(15869)] = 690575,
  [SMALL_STATE(15870)] = 690595,
  [SMALL_STATE(15871)] = 690615,
  [SMALL_STATE(15872)] = 690635,
  [SMALL_STATE(15873)] = 690655,
  [SMALL_STATE(15874)] = 690675,
  [SMALL_STATE(15875)] = 690695,
  [SMALL_STATE(15876)] = 690715,
  [SMALL_STATE(15877)] = 690735,
  [SMALL_STATE(15878)] = 690755,
  [SMALL_STATE(15879)] = 690775,
  [SMALL_STATE(15880)] = 690795,
  [SMALL_STATE(15881)] = 690815,
  [SMALL_STATE(15882)] = 690835,
  [SMALL_STATE(15883)] = 690855,
  [SMALL_STATE(15884)] = 690875,
  [SMALL_STATE(15885)] = 690895,
  [SMALL_STATE(15886)] = 690915,
  [SMALL_STATE(15887)] = 690935,
  [SMALL_STATE(15888)] = 690953,
  [SMALL_STATE(15889)] = 690973,
  [SMALL_STATE(15890)] = 690993,
  [SMALL_STATE(15891)] = 691013,
  [SMALL_STATE(15892)] = 691033,
  [SMALL_STATE(15893)] = 691051,
  [SMALL_STATE(15894)] = 691071,
  [SMALL_STATE(15895)] = 691091,
  [SMALL_STATE(15896)] = 691111,
  [SMALL_STATE(15897)] = 691131,
  [SMALL_STATE(15898)] = 691151,
  [SMALL_STATE(15899)] = 691171,
  [SMALL_STATE(15900)] = 691189,
  [SMALL_STATE(15901)] = 691209,
  [SMALL_STATE(15902)] = 691227,
  [SMALL_STATE(15903)] = 691247,
  [SMALL_STATE(15904)] = 691265,
  [SMALL_STATE(15905)] = 691285,
  [SMALL_STATE(15906)] = 691303,
  [SMALL_STATE(15907)] = 691323,
  [SMALL_STATE(15908)] = 691343,
  [SMALL_STATE(15909)] = 691363,
  [SMALL_STATE(15910)] = 691383,
  [SMALL_STATE(15911)] = 691403,
  [SMALL_STATE(15912)] = 691423,
  [SMALL_STATE(15913)] = 691443,
  [SMALL_STATE(15914)] = 691463,
  [SMALL_STATE(15915)] = 691481,
  [SMALL_STATE(15916)] = 691499,
  [SMALL_STATE(15917)] = 691519,
  [SMALL_STATE(15918)] = 691537,
  [SMALL_STATE(15919)] = 691557,
  [SMALL_STATE(15920)] = 691577,
  [SMALL_STATE(15921)] = 691597,
  [SMALL_STATE(15922)] = 691617,
  [SMALL_STATE(15923)] = 691637,
  [SMALL_STATE(15924)] = 691655,
  [SMALL_STATE(15925)] = 691675,
  [SMALL_STATE(15926)] = 691695,
  [SMALL_STATE(15927)] = 691715,
  [SMALL_STATE(15928)] = 691733,
  [SMALL_STATE(15929)] = 691753,
  [SMALL_STATE(15930)] = 691771,
  [SMALL_STATE(15931)] = 691791,
  [SMALL_STATE(15932)] = 691811,
  [SMALL_STATE(15933)] = 691829,
  [SMALL_STATE(15934)] = 691849,
  [SMALL_STATE(15935)] = 691869,
  [SMALL_STATE(15936)] = 691889,
  [SMALL_STATE(15937)] = 691909,
  [SMALL_STATE(15938)] = 691929,
  [SMALL_STATE(15939)] = 691949,
  [SMALL_STATE(15940)] = 691967,
  [SMALL_STATE(15941)] = 691987,
  [SMALL_STATE(15942)] = 692007,
  [SMALL_STATE(15943)] = 692027,
  [SMALL_STATE(15944)] = 692045,
  [SMALL_STATE(15945)] = 692063,
  [SMALL_STATE(15946)] = 692083,
  [SMALL_STATE(15947)] = 692103,
  [SMALL_STATE(15948)] = 692123,
  [SMALL_STATE(15949)] = 692143,
  [SMALL_STATE(15950)] = 692163,
  [SMALL_STATE(15951)] = 692181,
  [SMALL_STATE(15952)] = 692201,
  [SMALL_STATE(15953)] = 692221,
  [SMALL_STATE(15954)] = 692241,
  [SMALL_STATE(15955)] = 692261,
  [SMALL_STATE(15956)] = 692281,
  [SMALL_STATE(15957)] = 692301,
  [SMALL_STATE(15958)] = 692321,
  [SMALL_STATE(15959)] = 692341,
  [SMALL_STATE(15960)] = 692359,
  [SMALL_STATE(15961)] = 692379,
  [SMALL_STATE(15962)] = 692399,
  [SMALL_STATE(15963)] = 692419,
  [SMALL_STATE(15964)] = 692439,
  [SMALL_STATE(15965)] = 692459,
  [SMALL_STATE(15966)] = 692479,
  [SMALL_STATE(15967)] = 692499,
  [SMALL_STATE(15968)] = 692519,
  [SMALL_STATE(15969)] = 692537,
  [SMALL_STATE(15970)] = 692557,
  [SMALL_STATE(15971)] = 692577,
  [SMALL_STATE(15972)] = 692597,
  [SMALL_STATE(15973)] = 692617,
  [SMALL_STATE(15974)] = 692637,
  [SMALL_STATE(15975)] = 692657,
  [SMALL_STATE(15976)] = 692677,
  [SMALL_STATE(15977)] = 692697,
  [SMALL_STATE(15978)] = 692715,
  [SMALL_STATE(15979)] = 692735,
  [SMALL_STATE(15980)] = 692755,
  [SMALL_STATE(15981)] = 692775,
  [SMALL_STATE(15982)] = 692795,
  [SMALL_STATE(15983)] = 692811,
  [SMALL_STATE(15984)] = 692831,
  [SMALL_STATE(15985)] = 692851,
  [SMALL_STATE(15986)] = 692869,
  [SMALL_STATE(15987)] = 692889,
  [SMALL_STATE(15988)] = 692909,
  [SMALL_STATE(15989)] = 692929,
  [SMALL_STATE(15990)] = 692949,
  [SMALL_STATE(15991)] = 692969,
  [SMALL_STATE(15992)] = 692987,
  [SMALL_STATE(15993)] = 693007,
  [SMALL_STATE(15994)] = 693027,
  [SMALL_STATE(15995)] = 693047,
  [SMALL_STATE(15996)] = 693067,
  [SMALL_STATE(15997)] = 693087,
  [SMALL_STATE(15998)] = 693107,
  [SMALL_STATE(15999)] = 693127,
  [SMALL_STATE(16000)] = 693147,
  [SMALL_STATE(16001)] = 693167,
  [SMALL_STATE(16002)] = 693185,
  [SMALL_STATE(16003)] = 693205,
  [SMALL_STATE(16004)] = 693225,
  [SMALL_STATE(16005)] = 693245,
  [SMALL_STATE(16006)] = 693265,
  [SMALL_STATE(16007)] = 693285,
  [SMALL_STATE(16008)] = 693305,
  [SMALL_STATE(16009)] = 693323,
  [SMALL_STATE(16010)] = 693341,
  [SMALL_STATE(16011)] = 693361,
  [SMALL_STATE(16012)] = 693381,
  [SMALL_STATE(16013)] = 693401,
  [SMALL_STATE(16014)] = 693421,
  [SMALL_STATE(16015)] = 693439,
  [SMALL_STATE(16016)] = 693457,
  [SMALL_STATE(16017)] = 693477,
  [SMALL_STATE(16018)] = 693497,
  [SMALL_STATE(16019)] = 693517,
  [SMALL_STATE(16020)] = 693537,
  [SMALL_STATE(16021)] = 693555,
  [SMALL_STATE(16022)] = 693575,
  [SMALL_STATE(16023)] = 693595,
  [SMALL_STATE(16024)] = 693615,
  [SMALL_STATE(16025)] = 693635,
  [SMALL_STATE(16026)] = 693655,
  [SMALL_STATE(16027)] = 693673,
  [SMALL_STATE(16028)] = 693693,
  [SMALL_STATE(16029)] = 693713,
  [SMALL_STATE(16030)] = 693733,
  [SMALL_STATE(16031)] = 693753,
  [SMALL_STATE(16032)] = 693773,
  [SMALL_STATE(16033)] = 693793,
  [SMALL_STATE(16034)] = 693813,
  [SMALL_STATE(16035)] = 693831,
  [SMALL_STATE(16036)] = 693849,
  [SMALL_STATE(16037)] = 693869,
  [SMALL_STATE(16038)] = 693889,
  [SMALL_STATE(16039)] = 693909,
  [SMALL_STATE(16040)] = 693927,
  [SMALL_STATE(16041)] = 693947,
  [SMALL_STATE(16042)] = 693967,
  [SMALL_STATE(16043)] = 693987,
  [SMALL_STATE(16044)] = 694007,
  [SMALL_STATE(16045)] = 694025,
  [SMALL_STATE(16046)] = 694045,
  [SMALL_STATE(16047)] = 694065,
  [SMALL_STATE(16048)] = 694085,
  [SMALL_STATE(16049)] = 694105,
  [SMALL_STATE(16050)] = 694125,
  [SMALL_STATE(16051)] = 694145,
  [SMALL_STATE(16052)] = 694165,
  [SMALL_STATE(16053)] = 694183,
  [SMALL_STATE(16054)] = 694203,
  [SMALL_STATE(16055)] = 694223,
  [SMALL_STATE(16056)] = 694243,
  [SMALL_STATE(16057)] = 694263,
  [SMALL_STATE(16058)] = 694283,
  [SMALL_STATE(16059)] = 694301,
  [SMALL_STATE(16060)] = 694321,
  [SMALL_STATE(16061)] = 694341,
  [SMALL_STATE(16062)] = 694361,
  [SMALL_STATE(16063)] = 694381,
  [SMALL_STATE(16064)] = 694401,
  [SMALL_STATE(16065)] = 694419,
  [SMALL_STATE(16066)] = 694439,
  [SMALL_STATE(16067)] = 694457,
  [SMALL_STATE(16068)] = 694477,
  [SMALL_STATE(16069)] = 694497,
  [SMALL_STATE(16070)] = 694515,
  [SMALL_STATE(16071)] = 694531,
  [SMALL_STATE(16072)] = 694551,
  [SMALL_STATE(16073)] = 694571,
  [SMALL_STATE(16074)] = 694589,
  [SMALL_STATE(16075)] = 694609,
  [SMALL_STATE(16076)] = 694629,
  [SMALL_STATE(16077)] = 694649,
  [SMALL_STATE(16078)] = 694667,
  [SMALL_STATE(16079)] = 694687,
  [SMALL_STATE(16080)] = 694707,
  [SMALL_STATE(16081)] = 694727,
  [SMALL_STATE(16082)] = 694747,
  [SMALL_STATE(16083)] = 694767,
  [SMALL_STATE(16084)] = 694787,
  [SMALL_STATE(16085)] = 694807,
  [SMALL_STATE(16086)] = 694827,
  [SMALL_STATE(16087)] = 694847,
  [SMALL_STATE(16088)] = 694865,
  [SMALL_STATE(16089)] = 694885,
  [SMALL_STATE(16090)] = 694903,
  [SMALL_STATE(16091)] = 694923,
  [SMALL_STATE(16092)] = 694943,
  [SMALL_STATE(16093)] = 694963,
  [SMALL_STATE(16094)] = 694983,
  [SMALL_STATE(16095)] = 695003,
  [SMALL_STATE(16096)] = 695021,
  [SMALL_STATE(16097)] = 695041,
  [SMALL_STATE(16098)] = 695061,
  [SMALL_STATE(16099)] = 695081,
  [SMALL_STATE(16100)] = 695101,
  [SMALL_STATE(16101)] = 695121,
  [SMALL_STATE(16102)] = 695139,
  [SMALL_STATE(16103)] = 695159,
  [SMALL_STATE(16104)] = 695179,
  [SMALL_STATE(16105)] = 695199,
  [SMALL_STATE(16106)] = 695219,
  [SMALL_STATE(16107)] = 695239,
  [SMALL_STATE(16108)] = 695259,
  [SMALL_STATE(16109)] = 695279,
  [SMALL_STATE(16110)] = 695297,
  [SMALL_STATE(16111)] = 695317,
  [SMALL_STATE(16112)] = 695337,
  [SMALL_STATE(16113)] = 695357,
  [SMALL_STATE(16114)] = 695377,
  [SMALL_STATE(16115)] = 695397,
  [SMALL_STATE(16116)] = 695417,
  [SMALL_STATE(16117)] = 695437,
  [SMALL_STATE(16118)] = 695457,
  [SMALL_STATE(16119)] = 695477,
  [SMALL_STATE(16120)] = 695495,
  [SMALL_STATE(16121)] = 695515,
  [SMALL_STATE(16122)] = 695535,
  [SMALL_STATE(16123)] = 695555,
  [SMALL_STATE(16124)] = 695575,
  [SMALL_STATE(16125)] = 695595,
  [SMALL_STATE(16126)] = 695615,
  [SMALL_STATE(16127)] = 695635,
  [SMALL_STATE(16128)] = 695655,
  [SMALL_STATE(16129)] = 695673,
  [SMALL_STATE(16130)] = 695693,
  [SMALL_STATE(16131)] = 695713,
  [SMALL_STATE(16132)] = 695733,
  [SMALL_STATE(16133)] = 695753,
  [SMALL_STATE(16134)] = 695773,
  [SMALL_STATE(16135)] = 695791,
  [SMALL_STATE(16136)] = 695811,
  [SMALL_STATE(16137)] = 695831,
  [SMALL_STATE(16138)] = 695851,
  [SMALL_STATE(16139)] = 695871,
  [SMALL_STATE(16140)] = 695891,
  [SMALL_STATE(16141)] = 695911,
  [SMALL_STATE(16142)] = 695931,
  [SMALL_STATE(16143)] = 695951,
  [SMALL_STATE(16144)] = 695971,
  [SMALL_STATE(16145)] = 695989,
  [SMALL_STATE(16146)] = 696009,
  [SMALL_STATE(16147)] = 696029,
  [SMALL_STATE(16148)] = 696049,
  [SMALL_STATE(16149)] = 696069,
  [SMALL_STATE(16150)] = 696089,
  [SMALL_STATE(16151)] = 696109,
  [SMALL_STATE(16152)] = 696129,
  [SMALL_STATE(16153)] = 696149,
  [SMALL_STATE(16154)] = 696169,
  [SMALL_STATE(16155)] = 696187,
  [SMALL_STATE(16156)] = 696207,
  [SMALL_STATE(16157)] = 696227,
  [SMALL_STATE(16158)] = 696247,
  [SMALL_STATE(16159)] = 696267,
  [SMALL_STATE(16160)] = 696287,
  [SMALL_STATE(16161)] = 696305,
  [SMALL_STATE(16162)] = 696325,
  [SMALL_STATE(16163)] = 696345,
  [SMALL_STATE(16164)] = 696365,
  [SMALL_STATE(16165)] = 696385,
  [SMALL_STATE(16166)] = 696405,
  [SMALL_STATE(16167)] = 696425,
  [SMALL_STATE(16168)] = 696443,
  [SMALL_STATE(16169)] = 696463,
  [SMALL_STATE(16170)] = 696481,
  [SMALL_STATE(16171)] = 696501,
  [SMALL_STATE(16172)] = 696521,
  [SMALL_STATE(16173)] = 696541,
  [SMALL_STATE(16174)] = 696561,
  [SMALL_STATE(16175)] = 696581,
  [SMALL_STATE(16176)] = 696601,
  [SMALL_STATE(16177)] = 696621,
  [SMALL_STATE(16178)] = 696639,
  [SMALL_STATE(16179)] = 696659,
  [SMALL_STATE(16180)] = 696679,
  [SMALL_STATE(16181)] = 696699,
  [SMALL_STATE(16182)] = 696717,
  [SMALL_STATE(16183)] = 696737,
  [SMALL_STATE(16184)] = 696757,
  [SMALL_STATE(16185)] = 696777,
  [SMALL_STATE(16186)] = 696795,
  [SMALL_STATE(16187)] = 696813,
  [SMALL_STATE(16188)] = 696833,
  [SMALL_STATE(16189)] = 696853,
  [SMALL_STATE(16190)] = 696871,
  [SMALL_STATE(16191)] = 696891,
  [SMALL_STATE(16192)] = 696911,
  [SMALL_STATE(16193)] = 696931,
  [SMALL_STATE(16194)] = 696951,
  [SMALL_STATE(16195)] = 696969,
  [SMALL_STATE(16196)] = 696989,
  [SMALL_STATE(16197)] = 697009,
  [SMALL_STATE(16198)] = 697029,
  [SMALL_STATE(16199)] = 697049,
  [SMALL_STATE(16200)] = 697069,
  [SMALL_STATE(16201)] = 697087,
  [SMALL_STATE(16202)] = 697107,
  [SMALL_STATE(16203)] = 697125,
  [SMALL_STATE(16204)] = 697145,
  [SMALL_STATE(16205)] = 697163,
  [SMALL_STATE(16206)] = 697183,
  [SMALL_STATE(16207)] = 697201,
  [SMALL_STATE(16208)] = 697221,
  [SMALL_STATE(16209)] = 697239,
  [SMALL_STATE(16210)] = 697259,
  [SMALL_STATE(16211)] = 697277,
  [SMALL_STATE(16212)] = 697297,
  [SMALL_STATE(16213)] = 697315,
  [SMALL_STATE(16214)] = 697335,
  [SMALL_STATE(16215)] = 697353,
  [SMALL_STATE(16216)] = 697373,
  [SMALL_STATE(16217)] = 697391,
  [SMALL_STATE(16218)] = 697411,
  [SMALL_STATE(16219)] = 697429,
  [SMALL_STATE(16220)] = 697449,
  [SMALL_STATE(16221)] = 697467,
  [SMALL_STATE(16222)] = 697487,
  [SMALL_STATE(16223)] = 697505,
  [SMALL_STATE(16224)] = 697525,
  [SMALL_STATE(16225)] = 697543,
  [SMALL_STATE(16226)] = 697561,
  [SMALL_STATE(16227)] = 697579,
  [SMALL_STATE(16228)] = 697597,
  [SMALL_STATE(16229)] = 697615,
  [SMALL_STATE(16230)] = 697633,
  [SMALL_STATE(16231)] = 697651,
  [SMALL_STATE(16232)] = 697669,
  [SMALL_STATE(16233)] = 697687,
  [SMALL_STATE(16234)] = 697705,
  [SMALL_STATE(16235)] = 697723,
  [SMALL_STATE(16236)] = 697741,
  [SMALL_STATE(16237)] = 697759,
  [SMALL_STATE(16238)] = 697777,
  [SMALL_STATE(16239)] = 697795,
  [SMALL_STATE(16240)] = 697813,
  [SMALL_STATE(16241)] = 697831,
  [SMALL_STATE(16242)] = 697849,
  [SMALL_STATE(16243)] = 697867,
  [SMALL_STATE(16244)] = 697885,
  [SMALL_STATE(16245)] = 697903,
  [SMALL_STATE(16246)] = 697921,
  [SMALL_STATE(16247)] = 697939,
  [SMALL_STATE(16248)] = 697957,
  [SMALL_STATE(16249)] = 697977,
  [SMALL_STATE(16250)] = 697995,
  [SMALL_STATE(16251)] = 698015,
  [SMALL_STATE(16252)] = 698035,
  [SMALL_STATE(16253)] = 698055,
  [SMALL_STATE(16254)] = 698075,
  [SMALL_STATE(16255)] = 698095,
  [SMALL_STATE(16256)] = 698113,
  [SMALL_STATE(16257)] = 698133,
  [SMALL_STATE(16258)] = 698153,
  [SMALL_STATE(16259)] = 698173,
  [SMALL_STATE(16260)] = 698193,
  [SMALL_STATE(16261)] = 698213,
  [SMALL_STATE(16262)] = 698233,
  [SMALL_STATE(16263)] = 698249,
  [SMALL_STATE(16264)] = 698269,
  [SMALL_STATE(16265)] = 698289,
  [SMALL_STATE(16266)] = 698309,
  [SMALL_STATE(16267)] = 698329,
  [SMALL_STATE(16268)] = 698349,
  [SMALL_STATE(16269)] = 698369,
  [SMALL_STATE(16270)] = 698389,
  [SMALL_STATE(16271)] = 698409,
  [SMALL_STATE(16272)] = 698429,
  [SMALL_STATE(16273)] = 698449,
  [SMALL_STATE(16274)] = 698469,
  [SMALL_STATE(16275)] = 698489,
  [SMALL_STATE(16276)] = 698509,
  [SMALL_STATE(16277)] = 698529,
  [SMALL_STATE(16278)] = 698549,
  [SMALL_STATE(16279)] = 698569,
  [SMALL_STATE(16280)] = 698587,
  [SMALL_STATE(16281)] = 698607,
  [SMALL_STATE(16282)] = 698627,
  [SMALL_STATE(16283)] = 698647,
  [SMALL_STATE(16284)] = 698667,
  [SMALL_STATE(16285)] = 698687,
  [SMALL_STATE(16286)] = 698707,
  [SMALL_STATE(16287)] = 698727,
  [SMALL_STATE(16288)] = 698747,
  [SMALL_STATE(16289)] = 698767,
  [SMALL_STATE(16290)] = 698787,
  [SMALL_STATE(16291)] = 698807,
  [SMALL_STATE(16292)] = 698827,
  [SMALL_STATE(16293)] = 698847,
  [SMALL_STATE(16294)] = 698867,
  [SMALL_STATE(16295)] = 698887,
  [SMALL_STATE(16296)] = 698907,
  [SMALL_STATE(16297)] = 698927,
  [SMALL_STATE(16298)] = 698945,
  [SMALL_STATE(16299)] = 698963,
  [SMALL_STATE(16300)] = 698983,
  [SMALL_STATE(16301)] = 699003,
  [SMALL_STATE(16302)] = 699023,
  [SMALL_STATE(16303)] = 699043,
  [SMALL_STATE(16304)] = 699063,
  [SMALL_STATE(16305)] = 699083,
  [SMALL_STATE(16306)] = 699103,
  [SMALL_STATE(16307)] = 699121,
  [SMALL_STATE(16308)] = 699141,
  [SMALL_STATE(16309)] = 699161,
  [SMALL_STATE(16310)] = 699181,
  [SMALL_STATE(16311)] = 699201,
  [SMALL_STATE(16312)] = 699221,
  [SMALL_STATE(16313)] = 699241,
  [SMALL_STATE(16314)] = 699261,
  [SMALL_STATE(16315)] = 699281,
  [SMALL_STATE(16316)] = 699299,
  [SMALL_STATE(16317)] = 699319,
  [SMALL_STATE(16318)] = 699337,
  [SMALL_STATE(16319)] = 699357,
  [SMALL_STATE(16320)] = 699377,
  [SMALL_STATE(16321)] = 699397,
  [SMALL_STATE(16322)] = 699415,
  [SMALL_STATE(16323)] = 699435,
  [SMALL_STATE(16324)] = 699455,
  [SMALL_STATE(16325)] = 699475,
  [SMALL_STATE(16326)] = 699495,
  [SMALL_STATE(16327)] = 699515,
  [SMALL_STATE(16328)] = 699535,
  [SMALL_STATE(16329)] = 699555,
  [SMALL_STATE(16330)] = 699575,
  [SMALL_STATE(16331)] = 699595,
  [SMALL_STATE(16332)] = 699615,
  [SMALL_STATE(16333)] = 699635,
  [SMALL_STATE(16334)] = 699653,
  [SMALL_STATE(16335)] = 699673,
  [SMALL_STATE(16336)] = 699693,
  [SMALL_STATE(16337)] = 699713,
  [SMALL_STATE(16338)] = 699733,
  [SMALL_STATE(16339)] = 699753,
  [SMALL_STATE(16340)] = 699773,
  [SMALL_STATE(16341)] = 699791,
  [SMALL_STATE(16342)] = 699808,
  [SMALL_STATE(16343)] = 699825,
  [SMALL_STATE(16344)] = 699840,
  [SMALL_STATE(16345)] = 699857,
  [SMALL_STATE(16346)] = 699874,
  [SMALL_STATE(16347)] = 699891,
  [SMALL_STATE(16348)] = 699908,
  [SMALL_STATE(16349)] = 699925,
  [SMALL_STATE(16350)] = 699942,
  [SMALL_STATE(16351)] = 699959,
  [SMALL_STATE(16352)] = 699976,
  [SMALL_STATE(16353)] = 699991,
  [SMALL_STATE(16354)] = 700008,
  [SMALL_STATE(16355)] = 700025,
  [SMALL_STATE(16356)] = 700042,
  [SMALL_STATE(16357)] = 700057,
  [SMALL_STATE(16358)] = 700074,
  [SMALL_STATE(16359)] = 700091,
  [SMALL_STATE(16360)] = 700108,
  [SMALL_STATE(16361)] = 700125,
  [SMALL_STATE(16362)] = 700142,
  [SMALL_STATE(16363)] = 700159,
  [SMALL_STATE(16364)] = 700176,
  [SMALL_STATE(16365)] = 700193,
  [SMALL_STATE(16366)] = 700210,
  [SMALL_STATE(16367)] = 700227,
  [SMALL_STATE(16368)] = 700244,
  [SMALL_STATE(16369)] = 700261,
  [SMALL_STATE(16370)] = 700278,
  [SMALL_STATE(16371)] = 700295,
  [SMALL_STATE(16372)] = 700312,
  [SMALL_STATE(16373)] = 700329,
  [SMALL_STATE(16374)] = 700346,
  [SMALL_STATE(16375)] = 700363,
  [SMALL_STATE(16376)] = 700380,
  [SMALL_STATE(16377)] = 700397,
  [SMALL_STATE(16378)] = 700414,
  [SMALL_STATE(16379)] = 700431,
  [SMALL_STATE(16380)] = 700448,
  [SMALL_STATE(16381)] = 700465,
  [SMALL_STATE(16382)] = 700482,
  [SMALL_STATE(16383)] = 700497,
  [SMALL_STATE(16384)] = 700514,
  [SMALL_STATE(16385)] = 700531,
  [SMALL_STATE(16386)] = 700548,
  [SMALL_STATE(16387)] = 700565,
  [SMALL_STATE(16388)] = 700582,
  [SMALL_STATE(16389)] = 700599,
  [SMALL_STATE(16390)] = 700616,
  [SMALL_STATE(16391)] = 700633,
  [SMALL_STATE(16392)] = 700650,
  [SMALL_STATE(16393)] = 700667,
  [SMALL_STATE(16394)] = 700682,
  [SMALL_STATE(16395)] = 700699,
  [SMALL_STATE(16396)] = 700716,
  [SMALL_STATE(16397)] = 700733,
  [SMALL_STATE(16398)] = 700750,
  [SMALL_STATE(16399)] = 700767,
  [SMALL_STATE(16400)] = 700784,
  [SMALL_STATE(16401)] = 700801,
  [SMALL_STATE(16402)] = 700816,
  [SMALL_STATE(16403)] = 700833,
  [SMALL_STATE(16404)] = 700850,
  [SMALL_STATE(16405)] = 700867,
  [SMALL_STATE(16406)] = 700884,
  [SMALL_STATE(16407)] = 700901,
  [SMALL_STATE(16408)] = 700918,
  [SMALL_STATE(16409)] = 700935,
  [SMALL_STATE(16410)] = 700950,
  [SMALL_STATE(16411)] = 700967,
  [SMALL_STATE(16412)] = 700982,
  [SMALL_STATE(16413)] = 700997,
  [SMALL_STATE(16414)] = 701014,
  [SMALL_STATE(16415)] = 701029,
  [SMALL_STATE(16416)] = 701044,
  [SMALL_STATE(16417)] = 701061,
  [SMALL_STATE(16418)] = 701078,
  [SMALL_STATE(16419)] = 701095,
  [SMALL_STATE(16420)] = 701112,
  [SMALL_STATE(16421)] = 701127,
  [SMALL_STATE(16422)] = 701144,
  [SMALL_STATE(16423)] = 701161,
  [SMALL_STATE(16424)] = 701178,
  [SMALL_STATE(16425)] = 701193,
  [SMALL_STATE(16426)] = 701210,
  [SMALL_STATE(16427)] = 701225,
  [SMALL_STATE(16428)] = 701242,
  [SMALL_STATE(16429)] = 701259,
  [SMALL_STATE(16430)] = 701276,
  [SMALL_STATE(16431)] = 701291,
  [SMALL_STATE(16432)] = 701308,
  [SMALL_STATE(16433)] = 701325,
  [SMALL_STATE(16434)] = 701342,
  [SMALL_STATE(16435)] = 701359,
  [SMALL_STATE(16436)] = 701376,
  [SMALL_STATE(16437)] = 701393,
  [SMALL_STATE(16438)] = 701410,
  [SMALL_STATE(16439)] = 701427,
  [SMALL_STATE(16440)] = 701442,
  [SMALL_STATE(16441)] = 701459,
  [SMALL_STATE(16442)] = 701476,
  [SMALL_STATE(16443)] = 701493,
  [SMALL_STATE(16444)] = 701510,
  [SMALL_STATE(16445)] = 701527,
  [SMALL_STATE(16446)] = 701542,
  [SMALL_STATE(16447)] = 701559,
  [SMALL_STATE(16448)] = 701574,
  [SMALL_STATE(16449)] = 701591,
  [SMALL_STATE(16450)] = 701608,
  [SMALL_STATE(16451)] = 701625,
  [SMALL_STATE(16452)] = 701640,
  [SMALL_STATE(16453)] = 701657,
  [SMALL_STATE(16454)] = 701674,
  [SMALL_STATE(16455)] = 701691,
  [SMALL_STATE(16456)] = 701708,
  [SMALL_STATE(16457)] = 701725,
  [SMALL_STATE(16458)] = 701742,
  [SMALL_STATE(16459)] = 701759,
  [SMALL_STATE(16460)] = 701776,
  [SMALL_STATE(16461)] = 701793,
  [SMALL_STATE(16462)] = 701808,
  [SMALL_STATE(16463)] = 701825,
  [SMALL_STATE(16464)] = 701842,
  [SMALL_STATE(16465)] = 701859,
  [SMALL_STATE(16466)] = 701876,
  [SMALL_STATE(16467)] = 701893,
  [SMALL_STATE(16468)] = 701910,
  [SMALL_STATE(16469)] = 701927,
  [SMALL_STATE(16470)] = 701944,
  [SMALL_STATE(16471)] = 701961,
  [SMALL_STATE(16472)] = 701978,
  [SMALL_STATE(16473)] = 701995,
  [SMALL_STATE(16474)] = 702010,
  [SMALL_STATE(16475)] = 702027,
  [SMALL_STATE(16476)] = 702044,
  [SMALL_STATE(16477)] = 702059,
  [SMALL_STATE(16478)] = 702076,
  [SMALL_STATE(16479)] = 702093,
  [SMALL_STATE(16480)] = 702110,
  [SMALL_STATE(16481)] = 702127,
  [SMALL_STATE(16482)] = 702144,
  [SMALL_STATE(16483)] = 702161,
  [SMALL_STATE(16484)] = 702178,
  [SMALL_STATE(16485)] = 702195,
  [SMALL_STATE(16486)] = 702212,
  [SMALL_STATE(16487)] = 702229,
  [SMALL_STATE(16488)] = 702244,
  [SMALL_STATE(16489)] = 702261,
  [SMALL_STATE(16490)] = 702278,
  [SMALL_STATE(16491)] = 702295,
  [SMALL_STATE(16492)] = 702310,
  [SMALL_STATE(16493)] = 702327,
  [SMALL_STATE(16494)] = 702344,
  [SMALL_STATE(16495)] = 702361,
  [SMALL_STATE(16496)] = 702378,
  [SMALL_STATE(16497)] = 702395,
  [SMALL_STATE(16498)] = 702412,
  [SMALL_STATE(16499)] = 702429,
  [SMALL_STATE(16500)] = 702446,
  [SMALL_STATE(16501)] = 702463,
  [SMALL_STATE(16502)] = 702480,
  [SMALL_STATE(16503)] = 702497,
  [SMALL_STATE(16504)] = 702514,
  [SMALL_STATE(16505)] = 702531,
  [SMALL_STATE(16506)] = 702548,
  [SMALL_STATE(16507)] = 702565,
  [SMALL_STATE(16508)] = 702582,
  [SMALL_STATE(16509)] = 702599,
  [SMALL_STATE(16510)] = 702616,
  [SMALL_STATE(16511)] = 702633,
  [SMALL_STATE(16512)] = 702650,
  [SMALL_STATE(16513)] = 702667,
  [SMALL_STATE(16514)] = 702684,
  [SMALL_STATE(16515)] = 702701,
  [SMALL_STATE(16516)] = 702718,
  [SMALL_STATE(16517)] = 702733,
  [SMALL_STATE(16518)] = 702750,
  [SMALL_STATE(16519)] = 702767,
  [SMALL_STATE(16520)] = 702784,
  [SMALL_STATE(16521)] = 702801,
  [SMALL_STATE(16522)] = 702818,
  [SMALL_STATE(16523)] = 702833,
  [SMALL_STATE(16524)] = 702850,
  [SMALL_STATE(16525)] = 702865,
  [SMALL_STATE(16526)] = 702882,
  [SMALL_STATE(16527)] = 702897,
  [SMALL_STATE(16528)] = 702914,
  [SMALL_STATE(16529)] = 702931,
  [SMALL_STATE(16530)] = 702948,
  [SMALL_STATE(16531)] = 702965,
  [SMALL_STATE(16532)] = 702982,
  [SMALL_STATE(16533)] = 702999,
  [SMALL_STATE(16534)] = 703016,
  [SMALL_STATE(16535)] = 703033,
  [SMALL_STATE(16536)] = 703050,
  [SMALL_STATE(16537)] = 703067,
  [SMALL_STATE(16538)] = 703084,
  [SMALL_STATE(16539)] = 703101,
  [SMALL_STATE(16540)] = 703116,
  [SMALL_STATE(16541)] = 703133,
  [SMALL_STATE(16542)] = 703148,
  [SMALL_STATE(16543)] = 703165,
  [SMALL_STATE(16544)] = 703180,
  [SMALL_STATE(16545)] = 703197,
  [SMALL_STATE(16546)] = 703214,
  [SMALL_STATE(16547)] = 703231,
  [SMALL_STATE(16548)] = 703248,
  [SMALL_STATE(16549)] = 703265,
  [SMALL_STATE(16550)] = 703282,
  [SMALL_STATE(16551)] = 703299,
  [SMALL_STATE(16552)] = 703316,
  [SMALL_STATE(16553)] = 703331,
  [SMALL_STATE(16554)] = 703348,
  [SMALL_STATE(16555)] = 703365,
  [SMALL_STATE(16556)] = 703382,
  [SMALL_STATE(16557)] = 703399,
  [SMALL_STATE(16558)] = 703416,
  [SMALL_STATE(16559)] = 703433,
  [SMALL_STATE(16560)] = 703450,
  [SMALL_STATE(16561)] = 703467,
  [SMALL_STATE(16562)] = 703484,
  [SMALL_STATE(16563)] = 703501,
  [SMALL_STATE(16564)] = 703518,
  [SMALL_STATE(16565)] = 703535,
  [SMALL_STATE(16566)] = 703552,
  [SMALL_STATE(16567)] = 703569,
  [SMALL_STATE(16568)] = 703586,
  [SMALL_STATE(16569)] = 703603,
  [SMALL_STATE(16570)] = 703620,
  [SMALL_STATE(16571)] = 703637,
  [SMALL_STATE(16572)] = 703652,
  [SMALL_STATE(16573)] = 703669,
  [SMALL_STATE(16574)] = 703686,
  [SMALL_STATE(16575)] = 703703,
  [SMALL_STATE(16576)] = 703720,
  [SMALL_STATE(16577)] = 703735,
  [SMALL_STATE(16578)] = 703752,
  [SMALL_STATE(16579)] = 703769,
  [SMALL_STATE(16580)] = 703786,
  [SMALL_STATE(16581)] = 703803,
  [SMALL_STATE(16582)] = 703820,
  [SMALL_STATE(16583)] = 703837,
  [SMALL_STATE(16584)] = 703852,
  [SMALL_STATE(16585)] = 703869,
  [SMALL_STATE(16586)] = 703886,
  [SMALL_STATE(16587)] = 703903,
  [SMALL_STATE(16588)] = 703920,
  [SMALL_STATE(16589)] = 703937,
  [SMALL_STATE(16590)] = 703954,
  [SMALL_STATE(16591)] = 703971,
  [SMALL_STATE(16592)] = 703988,
  [SMALL_STATE(16593)] = 704005,
  [SMALL_STATE(16594)] = 704022,
  [SMALL_STATE(16595)] = 704039,
  [SMALL_STATE(16596)] = 704056,
  [SMALL_STATE(16597)] = 704073,
  [SMALL_STATE(16598)] = 704090,
  [SMALL_STATE(16599)] = 704107,
  [SMALL_STATE(16600)] = 704124,
  [SMALL_STATE(16601)] = 704139,
  [SMALL_STATE(16602)] = 704156,
  [SMALL_STATE(16603)] = 704173,
  [SMALL_STATE(16604)] = 704190,
  [SMALL_STATE(16605)] = 704207,
  [SMALL_STATE(16606)] = 704224,
  [SMALL_STATE(16607)] = 704241,
  [SMALL_STATE(16608)] = 704258,
  [SMALL_STATE(16609)] = 704275,
  [SMALL_STATE(16610)] = 704290,
  [SMALL_STATE(16611)] = 704305,
  [SMALL_STATE(16612)] = 704322,
  [SMALL_STATE(16613)] = 704339,
  [SMALL_STATE(16614)] = 704356,
  [SMALL_STATE(16615)] = 704371,
  [SMALL_STATE(16616)] = 704388,
  [SMALL_STATE(16617)] = 704405,
  [SMALL_STATE(16618)] = 704422,
  [SMALL_STATE(16619)] = 704439,
  [SMALL_STATE(16620)] = 704456,
  [SMALL_STATE(16621)] = 704473,
  [SMALL_STATE(16622)] = 704490,
  [SMALL_STATE(16623)] = 704507,
  [SMALL_STATE(16624)] = 704524,
  [SMALL_STATE(16625)] = 704539,
  [SMALL_STATE(16626)] = 704556,
  [SMALL_STATE(16627)] = 704573,
  [SMALL_STATE(16628)] = 704590,
  [SMALL_STATE(16629)] = 704607,
  [SMALL_STATE(16630)] = 704624,
  [SMALL_STATE(16631)] = 704641,
  [SMALL_STATE(16632)] = 704658,
  [SMALL_STATE(16633)] = 704675,
  [SMALL_STATE(16634)] = 704692,
  [SMALL_STATE(16635)] = 704709,
  [SMALL_STATE(16636)] = 704726,
  [SMALL_STATE(16637)] = 704743,
  [SMALL_STATE(16638)] = 704760,
  [SMALL_STATE(16639)] = 704777,
  [SMALL_STATE(16640)] = 704792,
  [SMALL_STATE(16641)] = 704809,
  [SMALL_STATE(16642)] = 704826,
  [SMALL_STATE(16643)] = 704843,
  [SMALL_STATE(16644)] = 704860,
  [SMALL_STATE(16645)] = 704875,
  [SMALL_STATE(16646)] = 704892,
  [SMALL_STATE(16647)] = 704909,
  [SMALL_STATE(16648)] = 704926,
  [SMALL_STATE(16649)] = 704941,
  [SMALL_STATE(16650)] = 704956,
  [SMALL_STATE(16651)] = 704973,
  [SMALL_STATE(16652)] = 704990,
  [SMALL_STATE(16653)] = 705007,
  [SMALL_STATE(16654)] = 705024,
  [SMALL_STATE(16655)] = 705041,
  [SMALL_STATE(16656)] = 705058,
  [SMALL_STATE(16657)] = 705075,
  [SMALL_STATE(16658)] = 705092,
  [SMALL_STATE(16659)] = 705109,
  [SMALL_STATE(16660)] = 705124,
  [SMALL_STATE(16661)] = 705141,
  [SMALL_STATE(16662)] = 705158,
  [SMALL_STATE(16663)] = 705173,
  [SMALL_STATE(16664)] = 705188,
  [SMALL_STATE(16665)] = 705205,
  [SMALL_STATE(16666)] = 705222,
  [SMALL_STATE(16667)] = 705239,
  [SMALL_STATE(16668)] = 705256,
  [SMALL_STATE(16669)] = 705273,
  [SMALL_STATE(16670)] = 705290,
  [SMALL_STATE(16671)] = 705307,
  [SMALL_STATE(16672)] = 705322,
  [SMALL_STATE(16673)] = 705339,
  [SMALL_STATE(16674)] = 705356,
  [SMALL_STATE(16675)] = 705373,
  [SMALL_STATE(16676)] = 705390,
  [SMALL_STATE(16677)] = 705407,
  [SMALL_STATE(16678)] = 705424,
  [SMALL_STATE(16679)] = 705441,
  [SMALL_STATE(16680)] = 705458,
  [SMALL_STATE(16681)] = 705475,
  [SMALL_STATE(16682)] = 705492,
  [SMALL_STATE(16683)] = 705507,
  [SMALL_STATE(16684)] = 705524,
  [SMALL_STATE(16685)] = 705541,
  [SMALL_STATE(16686)] = 705558,
  [SMALL_STATE(16687)] = 705575,
  [SMALL_STATE(16688)] = 705592,
  [SMALL_STATE(16689)] = 705607,
  [SMALL_STATE(16690)] = 705624,
  [SMALL_STATE(16691)] = 705641,
  [SMALL_STATE(16692)] = 705658,
  [SMALL_STATE(16693)] = 705675,
  [SMALL_STATE(16694)] = 705690,
  [SMALL_STATE(16695)] = 705707,
  [SMALL_STATE(16696)] = 705724,
  [SMALL_STATE(16697)] = 705741,
  [SMALL_STATE(16698)] = 705756,
  [SMALL_STATE(16699)] = 705773,
  [SMALL_STATE(16700)] = 705790,
  [SMALL_STATE(16701)] = 705805,
  [SMALL_STATE(16702)] = 705822,
  [SMALL_STATE(16703)] = 705839,
  [SMALL_STATE(16704)] = 705856,
  [SMALL_STATE(16705)] = 705873,
  [SMALL_STATE(16706)] = 705890,
  [SMALL_STATE(16707)] = 705907,
  [SMALL_STATE(16708)] = 705924,
  [SMALL_STATE(16709)] = 705941,
  [SMALL_STATE(16710)] = 705958,
  [SMALL_STATE(16711)] = 705975,
  [SMALL_STATE(16712)] = 705992,
  [SMALL_STATE(16713)] = 706009,
  [SMALL_STATE(16714)] = 706026,
  [SMALL_STATE(16715)] = 706043,
  [SMALL_STATE(16716)] = 706060,
  [SMALL_STATE(16717)] = 706077,
  [SMALL_STATE(16718)] = 706094,
  [SMALL_STATE(16719)] = 706111,
  [SMALL_STATE(16720)] = 706128,
  [SMALL_STATE(16721)] = 706145,
  [SMALL_STATE(16722)] = 706162,
  [SMALL_STATE(16723)] = 706177,
  [SMALL_STATE(16724)] = 706194,
  [SMALL_STATE(16725)] = 706211,
  [SMALL_STATE(16726)] = 706228,
  [SMALL_STATE(16727)] = 706245,
  [SMALL_STATE(16728)] = 706262,
  [SMALL_STATE(16729)] = 706279,
  [SMALL_STATE(16730)] = 706296,
  [SMALL_STATE(16731)] = 706313,
  [SMALL_STATE(16732)] = 706330,
  [SMALL_STATE(16733)] = 706347,
  [SMALL_STATE(16734)] = 706364,
  [SMALL_STATE(16735)] = 706381,
  [SMALL_STATE(16736)] = 706398,
  [SMALL_STATE(16737)] = 706415,
  [SMALL_STATE(16738)] = 706432,
  [SMALL_STATE(16739)] = 706449,
  [SMALL_STATE(16740)] = 706466,
  [SMALL_STATE(16741)] = 706483,
  [SMALL_STATE(16742)] = 706500,
  [SMALL_STATE(16743)] = 706517,
  [SMALL_STATE(16744)] = 706534,
  [SMALL_STATE(16745)] = 706551,
  [SMALL_STATE(16746)] = 706568,
  [SMALL_STATE(16747)] = 706585,
  [SMALL_STATE(16748)] = 706602,
  [SMALL_STATE(16749)] = 706619,
  [SMALL_STATE(16750)] = 706636,
  [SMALL_STATE(16751)] = 706653,
  [SMALL_STATE(16752)] = 706670,
  [SMALL_STATE(16753)] = 706687,
  [SMALL_STATE(16754)] = 706704,
  [SMALL_STATE(16755)] = 706721,
  [SMALL_STATE(16756)] = 706738,
  [SMALL_STATE(16757)] = 706753,
  [SMALL_STATE(16758)] = 706770,
  [SMALL_STATE(16759)] = 706787,
  [SMALL_STATE(16760)] = 706804,
  [SMALL_STATE(16761)] = 706821,
  [SMALL_STATE(16762)] = 706838,
  [SMALL_STATE(16763)] = 706855,
  [SMALL_STATE(16764)] = 706872,
  [SMALL_STATE(16765)] = 706889,
  [SMALL_STATE(16766)] = 706906,
  [SMALL_STATE(16767)] = 706921,
  [SMALL_STATE(16768)] = 706938,
  [SMALL_STATE(16769)] = 706955,
  [SMALL_STATE(16770)] = 706970,
  [SMALL_STATE(16771)] = 706987,
  [SMALL_STATE(16772)] = 707004,
  [SMALL_STATE(16773)] = 707021,
  [SMALL_STATE(16774)] = 707038,
  [SMALL_STATE(16775)] = 707055,
  [SMALL_STATE(16776)] = 707072,
  [SMALL_STATE(16777)] = 707089,
  [SMALL_STATE(16778)] = 707106,
  [SMALL_STATE(16779)] = 707123,
  [SMALL_STATE(16780)] = 707140,
  [SMALL_STATE(16781)] = 707157,
  [SMALL_STATE(16782)] = 707174,
  [SMALL_STATE(16783)] = 707191,
  [SMALL_STATE(16784)] = 707208,
  [SMALL_STATE(16785)] = 707225,
  [SMALL_STATE(16786)] = 707242,
  [SMALL_STATE(16787)] = 707259,
  [SMALL_STATE(16788)] = 707276,
  [SMALL_STATE(16789)] = 707293,
  [SMALL_STATE(16790)] = 707310,
  [SMALL_STATE(16791)] = 707327,
  [SMALL_STATE(16792)] = 707344,
  [SMALL_STATE(16793)] = 707361,
  [SMALL_STATE(16794)] = 707378,
  [SMALL_STATE(16795)] = 707395,
  [SMALL_STATE(16796)] = 707412,
  [SMALL_STATE(16797)] = 707429,
  [SMALL_STATE(16798)] = 707446,
  [SMALL_STATE(16799)] = 707463,
  [SMALL_STATE(16800)] = 707480,
  [SMALL_STATE(16801)] = 707497,
  [SMALL_STATE(16802)] = 707514,
  [SMALL_STATE(16803)] = 707531,
  [SMALL_STATE(16804)] = 707548,
  [SMALL_STATE(16805)] = 707565,
  [SMALL_STATE(16806)] = 707582,
  [SMALL_STATE(16807)] = 707599,
  [SMALL_STATE(16808)] = 707616,
  [SMALL_STATE(16809)] = 707633,
  [SMALL_STATE(16810)] = 707650,
  [SMALL_STATE(16811)] = 707665,
  [SMALL_STATE(16812)] = 707682,
  [SMALL_STATE(16813)] = 707699,
  [SMALL_STATE(16814)] = 707716,
  [SMALL_STATE(16815)] = 707733,
  [SMALL_STATE(16816)] = 707750,
  [SMALL_STATE(16817)] = 707767,
  [SMALL_STATE(16818)] = 707784,
  [SMALL_STATE(16819)] = 707801,
  [SMALL_STATE(16820)] = 707818,
  [SMALL_STATE(16821)] = 707835,
  [SMALL_STATE(16822)] = 707850,
  [SMALL_STATE(16823)] = 707867,
  [SMALL_STATE(16824)] = 707884,
  [SMALL_STATE(16825)] = 707901,
  [SMALL_STATE(16826)] = 707918,
  [SMALL_STATE(16827)] = 707935,
  [SMALL_STATE(16828)] = 707952,
  [SMALL_STATE(16829)] = 707969,
  [SMALL_STATE(16830)] = 707986,
  [SMALL_STATE(16831)] = 708003,
  [SMALL_STATE(16832)] = 708020,
  [SMALL_STATE(16833)] = 708037,
  [SMALL_STATE(16834)] = 708054,
  [SMALL_STATE(16835)] = 708071,
  [SMALL_STATE(16836)] = 708088,
  [SMALL_STATE(16837)] = 708105,
  [SMALL_STATE(16838)] = 708122,
  [SMALL_STATE(16839)] = 708139,
  [SMALL_STATE(16840)] = 708156,
  [SMALL_STATE(16841)] = 708173,
  [SMALL_STATE(16842)] = 708190,
  [SMALL_STATE(16843)] = 708205,
  [SMALL_STATE(16844)] = 708222,
  [SMALL_STATE(16845)] = 708239,
  [SMALL_STATE(16846)] = 708256,
  [SMALL_STATE(16847)] = 708273,
  [SMALL_STATE(16848)] = 708290,
  [SMALL_STATE(16849)] = 708307,
  [SMALL_STATE(16850)] = 708324,
  [SMALL_STATE(16851)] = 708341,
  [SMALL_STATE(16852)] = 708358,
  [SMALL_STATE(16853)] = 708375,
  [SMALL_STATE(16854)] = 708392,
  [SMALL_STATE(16855)] = 708409,
  [SMALL_STATE(16856)] = 708426,
  [SMALL_STATE(16857)] = 708441,
  [SMALL_STATE(16858)] = 708458,
  [SMALL_STATE(16859)] = 708475,
  [SMALL_STATE(16860)] = 708490,
  [SMALL_STATE(16861)] = 708507,
  [SMALL_STATE(16862)] = 708524,
  [SMALL_STATE(16863)] = 708541,
  [SMALL_STATE(16864)] = 708558,
  [SMALL_STATE(16865)] = 708573,
  [SMALL_STATE(16866)] = 708590,
  [SMALL_STATE(16867)] = 708605,
  [SMALL_STATE(16868)] = 708622,
  [SMALL_STATE(16869)] = 708639,
  [SMALL_STATE(16870)] = 708656,
  [SMALL_STATE(16871)] = 708673,
  [SMALL_STATE(16872)] = 708688,
  [SMALL_STATE(16873)] = 708705,
  [SMALL_STATE(16874)] = 708722,
  [SMALL_STATE(16875)] = 708739,
  [SMALL_STATE(16876)] = 708756,
  [SMALL_STATE(16877)] = 708773,
  [SMALL_STATE(16878)] = 708790,
  [SMALL_STATE(16879)] = 708807,
  [SMALL_STATE(16880)] = 708822,
  [SMALL_STATE(16881)] = 708839,
  [SMALL_STATE(16882)] = 708856,
  [SMALL_STATE(16883)] = 708873,
  [SMALL_STATE(16884)] = 708890,
  [SMALL_STATE(16885)] = 708907,
  [SMALL_STATE(16886)] = 708924,
  [SMALL_STATE(16887)] = 708941,
  [SMALL_STATE(16888)] = 708958,
  [SMALL_STATE(16889)] = 708975,
  [SMALL_STATE(16890)] = 708992,
  [SMALL_STATE(16891)] = 709009,
  [SMALL_STATE(16892)] = 709026,
  [SMALL_STATE(16893)] = 709041,
  [SMALL_STATE(16894)] = 709058,
  [SMALL_STATE(16895)] = 709075,
  [SMALL_STATE(16896)] = 709092,
  [SMALL_STATE(16897)] = 709109,
  [SMALL_STATE(16898)] = 709126,
  [SMALL_STATE(16899)] = 709141,
  [SMALL_STATE(16900)] = 709158,
  [SMALL_STATE(16901)] = 709175,
  [SMALL_STATE(16902)] = 709192,
  [SMALL_STATE(16903)] = 709209,
  [SMALL_STATE(16904)] = 709226,
  [SMALL_STATE(16905)] = 709241,
  [SMALL_STATE(16906)] = 709256,
  [SMALL_STATE(16907)] = 709273,
  [SMALL_STATE(16908)] = 709290,
  [SMALL_STATE(16909)] = 709307,
  [SMALL_STATE(16910)] = 709324,
  [SMALL_STATE(16911)] = 709341,
  [SMALL_STATE(16912)] = 709358,
  [SMALL_STATE(16913)] = 709373,
  [SMALL_STATE(16914)] = 709390,
  [SMALL_STATE(16915)] = 709407,
  [SMALL_STATE(16916)] = 709424,
  [SMALL_STATE(16917)] = 709441,
  [SMALL_STATE(16918)] = 709458,
  [SMALL_STATE(16919)] = 709475,
  [SMALL_STATE(16920)] = 709492,
  [SMALL_STATE(16921)] = 709507,
  [SMALL_STATE(16922)] = 709524,
  [SMALL_STATE(16923)] = 709541,
  [SMALL_STATE(16924)] = 709558,
  [SMALL_STATE(16925)] = 709575,
  [SMALL_STATE(16926)] = 709592,
  [SMALL_STATE(16927)] = 709609,
  [SMALL_STATE(16928)] = 709624,
  [SMALL_STATE(16929)] = 709641,
  [SMALL_STATE(16930)] = 709658,
  [SMALL_STATE(16931)] = 709675,
  [SMALL_STATE(16932)] = 709692,
  [SMALL_STATE(16933)] = 709709,
  [SMALL_STATE(16934)] = 709726,
  [SMALL_STATE(16935)] = 709743,
  [SMALL_STATE(16936)] = 709760,
  [SMALL_STATE(16937)] = 709777,
  [SMALL_STATE(16938)] = 709794,
  [SMALL_STATE(16939)] = 709811,
  [SMALL_STATE(16940)] = 709828,
  [SMALL_STATE(16941)] = 709845,
  [SMALL_STATE(16942)] = 709862,
  [SMALL_STATE(16943)] = 709879,
  [SMALL_STATE(16944)] = 709896,
  [SMALL_STATE(16945)] = 709913,
  [SMALL_STATE(16946)] = 709930,
  [SMALL_STATE(16947)] = 709947,
  [SMALL_STATE(16948)] = 709964,
  [SMALL_STATE(16949)] = 709981,
  [SMALL_STATE(16950)] = 709996,
  [SMALL_STATE(16951)] = 710011,
  [SMALL_STATE(16952)] = 710028,
  [SMALL_STATE(16953)] = 710045,
  [SMALL_STATE(16954)] = 710062,
  [SMALL_STATE(16955)] = 710077,
  [SMALL_STATE(16956)] = 710094,
  [SMALL_STATE(16957)] = 710111,
  [SMALL_STATE(16958)] = 710128,
  [SMALL_STATE(16959)] = 710145,
  [SMALL_STATE(16960)] = 710162,
  [SMALL_STATE(16961)] = 710179,
  [SMALL_STATE(16962)] = 710196,
  [SMALL_STATE(16963)] = 710213,
  [SMALL_STATE(16964)] = 710230,
  [SMALL_STATE(16965)] = 710247,
  [SMALL_STATE(16966)] = 710264,
  [SMALL_STATE(16967)] = 710281,
  [SMALL_STATE(16968)] = 710298,
  [SMALL_STATE(16969)] = 710315,
  [SMALL_STATE(16970)] = 710332,
  [SMALL_STATE(16971)] = 710347,
  [SMALL_STATE(16972)] = 710364,
  [SMALL_STATE(16973)] = 710381,
  [SMALL_STATE(16974)] = 710398,
  [SMALL_STATE(16975)] = 710415,
  [SMALL_STATE(16976)] = 710432,
  [SMALL_STATE(16977)] = 710449,
  [SMALL_STATE(16978)] = 710466,
  [SMALL_STATE(16979)] = 710483,
  [SMALL_STATE(16980)] = 710500,
  [SMALL_STATE(16981)] = 710517,
  [SMALL_STATE(16982)] = 710534,
  [SMALL_STATE(16983)] = 710551,
  [SMALL_STATE(16984)] = 710568,
  [SMALL_STATE(16985)] = 710583,
  [SMALL_STATE(16986)] = 710600,
  [SMALL_STATE(16987)] = 710617,
  [SMALL_STATE(16988)] = 710634,
  [SMALL_STATE(16989)] = 710651,
  [SMALL_STATE(16990)] = 710668,
  [SMALL_STATE(16991)] = 710685,
  [SMALL_STATE(16992)] = 710702,
  [SMALL_STATE(16993)] = 710719,
  [SMALL_STATE(16994)] = 710736,
  [SMALL_STATE(16995)] = 710753,
  [SMALL_STATE(16996)] = 710770,
  [SMALL_STATE(16997)] = 710787,
  [SMALL_STATE(16998)] = 710804,
  [SMALL_STATE(16999)] = 710821,
  [SMALL_STATE(17000)] = 710838,
  [SMALL_STATE(17001)] = 710855,
  [SMALL_STATE(17002)] = 710872,
  [SMALL_STATE(17003)] = 710889,
  [SMALL_STATE(17004)] = 710906,
  [SMALL_STATE(17005)] = 710923,
  [SMALL_STATE(17006)] = 710940,
  [SMALL_STATE(17007)] = 710957,
  [SMALL_STATE(17008)] = 710974,
  [SMALL_STATE(17009)] = 710991,
  [SMALL_STATE(17010)] = 711008,
  [SMALL_STATE(17011)] = 711025,
  [SMALL_STATE(17012)] = 711042,
  [SMALL_STATE(17013)] = 711059,
  [SMALL_STATE(17014)] = 711076,
  [SMALL_STATE(17015)] = 711093,
  [SMALL_STATE(17016)] = 711110,
  [SMALL_STATE(17017)] = 711127,
  [SMALL_STATE(17018)] = 711144,
  [SMALL_STATE(17019)] = 711161,
  [SMALL_STATE(17020)] = 711176,
  [SMALL_STATE(17021)] = 711193,
  [SMALL_STATE(17022)] = 711210,
  [SMALL_STATE(17023)] = 711227,
  [SMALL_STATE(17024)] = 711244,
  [SMALL_STATE(17025)] = 711261,
  [SMALL_STATE(17026)] = 711278,
  [SMALL_STATE(17027)] = 711293,
  [SMALL_STATE(17028)] = 711310,
  [SMALL_STATE(17029)] = 711327,
  [SMALL_STATE(17030)] = 711344,
  [SMALL_STATE(17031)] = 711361,
  [SMALL_STATE(17032)] = 711376,
  [SMALL_STATE(17033)] = 711393,
  [SMALL_STATE(17034)] = 711410,
  [SMALL_STATE(17035)] = 711427,
  [SMALL_STATE(17036)] = 711444,
  [SMALL_STATE(17037)] = 711461,
  [SMALL_STATE(17038)] = 711478,
  [SMALL_STATE(17039)] = 711495,
  [SMALL_STATE(17040)] = 711512,
  [SMALL_STATE(17041)] = 711529,
  [SMALL_STATE(17042)] = 711546,
  [SMALL_STATE(17043)] = 711563,
  [SMALL_STATE(17044)] = 711580,
  [SMALL_STATE(17045)] = 711597,
  [SMALL_STATE(17046)] = 711614,
  [SMALL_STATE(17047)] = 711631,
  [SMALL_STATE(17048)] = 711648,
  [SMALL_STATE(17049)] = 711665,
  [SMALL_STATE(17050)] = 711682,
  [SMALL_STATE(17051)] = 711699,
  [SMALL_STATE(17052)] = 711716,
  [SMALL_STATE(17053)] = 711733,
  [SMALL_STATE(17054)] = 711750,
  [SMALL_STATE(17055)] = 711767,
  [SMALL_STATE(17056)] = 711784,
  [SMALL_STATE(17057)] = 711799,
  [SMALL_STATE(17058)] = 711816,
  [SMALL_STATE(17059)] = 711833,
  [SMALL_STATE(17060)] = 711850,
  [SMALL_STATE(17061)] = 711867,
  [SMALL_STATE(17062)] = 711884,
  [SMALL_STATE(17063)] = 711901,
  [SMALL_STATE(17064)] = 711916,
  [SMALL_STATE(17065)] = 711933,
  [SMALL_STATE(17066)] = 711950,
  [SMALL_STATE(17067)] = 711967,
  [SMALL_STATE(17068)] = 711984,
  [SMALL_STATE(17069)] = 712001,
  [SMALL_STATE(17070)] = 712016,
  [SMALL_STATE(17071)] = 712033,
  [SMALL_STATE(17072)] = 712050,
  [SMALL_STATE(17073)] = 712067,
  [SMALL_STATE(17074)] = 712084,
  [SMALL_STATE(17075)] = 712101,
  [SMALL_STATE(17076)] = 712118,
  [SMALL_STATE(17077)] = 712135,
  [SMALL_STATE(17078)] = 712152,
  [SMALL_STATE(17079)] = 712169,
  [SMALL_STATE(17080)] = 712186,
  [SMALL_STATE(17081)] = 712203,
  [SMALL_STATE(17082)] = 712220,
  [SMALL_STATE(17083)] = 712237,
  [SMALL_STATE(17084)] = 712254,
  [SMALL_STATE(17085)] = 712271,
  [SMALL_STATE(17086)] = 712288,
  [SMALL_STATE(17087)] = 712305,
  [SMALL_STATE(17088)] = 712322,
  [SMALL_STATE(17089)] = 712339,
  [SMALL_STATE(17090)] = 712356,
  [SMALL_STATE(17091)] = 712373,
  [SMALL_STATE(17092)] = 712390,
  [SMALL_STATE(17093)] = 712407,
  [SMALL_STATE(17094)] = 712422,
  [SMALL_STATE(17095)] = 712439,
  [SMALL_STATE(17096)] = 712456,
  [SMALL_STATE(17097)] = 712473,
  [SMALL_STATE(17098)] = 712490,
  [SMALL_STATE(17099)] = 712507,
  [SMALL_STATE(17100)] = 712524,
  [SMALL_STATE(17101)] = 712541,
  [SMALL_STATE(17102)] = 712558,
  [SMALL_STATE(17103)] = 712575,
  [SMALL_STATE(17104)] = 712592,
  [SMALL_STATE(17105)] = 712609,
  [SMALL_STATE(17106)] = 712626,
  [SMALL_STATE(17107)] = 712643,
  [SMALL_STATE(17108)] = 712660,
  [SMALL_STATE(17109)] = 712677,
  [SMALL_STATE(17110)] = 712694,
  [SMALL_STATE(17111)] = 712711,
  [SMALL_STATE(17112)] = 712728,
  [SMALL_STATE(17113)] = 712745,
  [SMALL_STATE(17114)] = 712762,
  [SMALL_STATE(17115)] = 712779,
  [SMALL_STATE(17116)] = 712796,
  [SMALL_STATE(17117)] = 712813,
  [SMALL_STATE(17118)] = 712830,
  [SMALL_STATE(17119)] = 712845,
  [SMALL_STATE(17120)] = 712862,
  [SMALL_STATE(17121)] = 712879,
  [SMALL_STATE(17122)] = 712896,
  [SMALL_STATE(17123)] = 712913,
  [SMALL_STATE(17124)] = 712930,
  [SMALL_STATE(17125)] = 712947,
  [SMALL_STATE(17126)] = 712964,
  [SMALL_STATE(17127)] = 712981,
  [SMALL_STATE(17128)] = 712998,
  [SMALL_STATE(17129)] = 713015,
  [SMALL_STATE(17130)] = 713032,
  [SMALL_STATE(17131)] = 713047,
  [SMALL_STATE(17132)] = 713064,
  [SMALL_STATE(17133)] = 713081,
  [SMALL_STATE(17134)] = 713098,
  [SMALL_STATE(17135)] = 713115,
  [SMALL_STATE(17136)] = 713132,
  [SMALL_STATE(17137)] = 713149,
  [SMALL_STATE(17138)] = 713166,
  [SMALL_STATE(17139)] = 713183,
  [SMALL_STATE(17140)] = 713200,
  [SMALL_STATE(17141)] = 713217,
  [SMALL_STATE(17142)] = 713232,
  [SMALL_STATE(17143)] = 713249,
  [SMALL_STATE(17144)] = 713266,
  [SMALL_STATE(17145)] = 713281,
  [SMALL_STATE(17146)] = 713298,
  [SMALL_STATE(17147)] = 713315,
  [SMALL_STATE(17148)] = 713332,
  [SMALL_STATE(17149)] = 713349,
  [SMALL_STATE(17150)] = 713366,
  [SMALL_STATE(17151)] = 713383,
  [SMALL_STATE(17152)] = 713400,
  [SMALL_STATE(17153)] = 713417,
  [SMALL_STATE(17154)] = 713432,
  [SMALL_STATE(17155)] = 713449,
  [SMALL_STATE(17156)] = 713466,
  [SMALL_STATE(17157)] = 713483,
  [SMALL_STATE(17158)] = 713500,
  [SMALL_STATE(17159)] = 713517,
  [SMALL_STATE(17160)] = 713532,
  [SMALL_STATE(17161)] = 713549,
  [SMALL_STATE(17162)] = 713566,
  [SMALL_STATE(17163)] = 713583,
  [SMALL_STATE(17164)] = 713598,
  [SMALL_STATE(17165)] = 713615,
  [SMALL_STATE(17166)] = 713632,
  [SMALL_STATE(17167)] = 713649,
  [SMALL_STATE(17168)] = 713666,
  [SMALL_STATE(17169)] = 713681,
  [SMALL_STATE(17170)] = 713698,
  [SMALL_STATE(17171)] = 713715,
  [SMALL_STATE(17172)] = 713732,
  [SMALL_STATE(17173)] = 713747,
  [SMALL_STATE(17174)] = 713764,
  [SMALL_STATE(17175)] = 713779,
  [SMALL_STATE(17176)] = 713796,
  [SMALL_STATE(17177)] = 713811,
  [SMALL_STATE(17178)] = 713826,
  [SMALL_STATE(17179)] = 713843,
  [SMALL_STATE(17180)] = 713860,
  [SMALL_STATE(17181)] = 713875,
  [SMALL_STATE(17182)] = 713890,
  [SMALL_STATE(17183)] = 713907,
  [SMALL_STATE(17184)] = 713924,
  [SMALL_STATE(17185)] = 713939,
  [SMALL_STATE(17186)] = 713956,
  [SMALL_STATE(17187)] = 713973,
  [SMALL_STATE(17188)] = 713990,
  [SMALL_STATE(17189)] = 714005,
  [SMALL_STATE(17190)] = 714022,
  [SMALL_STATE(17191)] = 714039,
  [SMALL_STATE(17192)] = 714056,
  [SMALL_STATE(17193)] = 714073,
  [SMALL_STATE(17194)] = 714090,
  [SMALL_STATE(17195)] = 714105,
  [SMALL_STATE(17196)] = 714122,
  [SMALL_STATE(17197)] = 714139,
  [SMALL_STATE(17198)] = 714156,
  [SMALL_STATE(17199)] = 714173,
  [SMALL_STATE(17200)] = 714190,
  [SMALL_STATE(17201)] = 714207,
  [SMALL_STATE(17202)] = 714222,
  [SMALL_STATE(17203)] = 714237,
  [SMALL_STATE(17204)] = 714254,
  [SMALL_STATE(17205)] = 714269,
  [SMALL_STATE(17206)] = 714286,
  [SMALL_STATE(17207)] = 714301,
  [SMALL_STATE(17208)] = 714318,
  [SMALL_STATE(17209)] = 714333,
  [SMALL_STATE(17210)] = 714348,
  [SMALL_STATE(17211)] = 714365,
  [SMALL_STATE(17212)] = 714382,
  [SMALL_STATE(17213)] = 714399,
  [SMALL_STATE(17214)] = 714416,
  [SMALL_STATE(17215)] = 714433,
  [SMALL_STATE(17216)] = 714450,
  [SMALL_STATE(17217)] = 714467,
  [SMALL_STATE(17218)] = 714482,
  [SMALL_STATE(17219)] = 714499,
  [SMALL_STATE(17220)] = 714514,
  [SMALL_STATE(17221)] = 714531,
  [SMALL_STATE(17222)] = 714546,
  [SMALL_STATE(17223)] = 714563,
  [SMALL_STATE(17224)] = 714580,
  [SMALL_STATE(17225)] = 714597,
  [SMALL_STATE(17226)] = 714614,
  [SMALL_STATE(17227)] = 714631,
  [SMALL_STATE(17228)] = 714646,
  [SMALL_STATE(17229)] = 714663,
  [SMALL_STATE(17230)] = 714678,
  [SMALL_STATE(17231)] = 714695,
  [SMALL_STATE(17232)] = 714710,
  [SMALL_STATE(17233)] = 714727,
  [SMALL_STATE(17234)] = 714742,
  [SMALL_STATE(17235)] = 714759,
  [SMALL_STATE(17236)] = 714776,
  [SMALL_STATE(17237)] = 714791,
  [SMALL_STATE(17238)] = 714808,
  [SMALL_STATE(17239)] = 714825,
  [SMALL_STATE(17240)] = 714842,
  [SMALL_STATE(17241)] = 714859,
  [SMALL_STATE(17242)] = 714876,
  [SMALL_STATE(17243)] = 714893,
  [SMALL_STATE(17244)] = 714908,
  [SMALL_STATE(17245)] = 714925,
  [SMALL_STATE(17246)] = 714942,
  [SMALL_STATE(17247)] = 714959,
  [SMALL_STATE(17248)] = 714976,
  [SMALL_STATE(17249)] = 714993,
  [SMALL_STATE(17250)] = 715010,
  [SMALL_STATE(17251)] = 715027,
  [SMALL_STATE(17252)] = 715044,
  [SMALL_STATE(17253)] = 715059,
  [SMALL_STATE(17254)] = 715076,
  [SMALL_STATE(17255)] = 715093,
  [SMALL_STATE(17256)] = 715110,
  [SMALL_STATE(17257)] = 715127,
  [SMALL_STATE(17258)] = 715144,
  [SMALL_STATE(17259)] = 715161,
  [SMALL_STATE(17260)] = 715178,
  [SMALL_STATE(17261)] = 715195,
  [SMALL_STATE(17262)] = 715212,
  [SMALL_STATE(17263)] = 715229,
  [SMALL_STATE(17264)] = 715246,
  [SMALL_STATE(17265)] = 715263,
  [SMALL_STATE(17266)] = 715280,
  [SMALL_STATE(17267)] = 715297,
  [SMALL_STATE(17268)] = 715314,
  [SMALL_STATE(17269)] = 715331,
  [SMALL_STATE(17270)] = 715348,
  [SMALL_STATE(17271)] = 715365,
  [SMALL_STATE(17272)] = 715382,
  [SMALL_STATE(17273)] = 715399,
  [SMALL_STATE(17274)] = 715416,
  [SMALL_STATE(17275)] = 715433,
  [SMALL_STATE(17276)] = 715450,
  [SMALL_STATE(17277)] = 715467,
  [SMALL_STATE(17278)] = 715484,
  [SMALL_STATE(17279)] = 715501,
  [SMALL_STATE(17280)] = 715518,
  [SMALL_STATE(17281)] = 715533,
  [SMALL_STATE(17282)] = 715550,
  [SMALL_STATE(17283)] = 715567,
  [SMALL_STATE(17284)] = 715584,
  [SMALL_STATE(17285)] = 715599,
  [SMALL_STATE(17286)] = 715616,
  [SMALL_STATE(17287)] = 715633,
  [SMALL_STATE(17288)] = 715648,
  [SMALL_STATE(17289)] = 715665,
  [SMALL_STATE(17290)] = 715682,
  [SMALL_STATE(17291)] = 715699,
  [SMALL_STATE(17292)] = 715716,
  [SMALL_STATE(17293)] = 715733,
  [SMALL_STATE(17294)] = 715750,
  [SMALL_STATE(17295)] = 715767,
  [SMALL_STATE(17296)] = 715784,
  [SMALL_STATE(17297)] = 715799,
  [SMALL_STATE(17298)] = 715816,
  [SMALL_STATE(17299)] = 715831,
  [SMALL_STATE(17300)] = 715848,
  [SMALL_STATE(17301)] = 715865,
  [SMALL_STATE(17302)] = 715880,
  [SMALL_STATE(17303)] = 715897,
  [SMALL_STATE(17304)] = 715914,
  [SMALL_STATE(17305)] = 715931,
  [SMALL_STATE(17306)] = 715948,
  [SMALL_STATE(17307)] = 715965,
  [SMALL_STATE(17308)] = 715982,
  [SMALL_STATE(17309)] = 715999,
  [SMALL_STATE(17310)] = 716014,
  [SMALL_STATE(17311)] = 716029,
  [SMALL_STATE(17312)] = 716046,
  [SMALL_STATE(17313)] = 716061,
  [SMALL_STATE(17314)] = 716078,
  [SMALL_STATE(17315)] = 716093,
  [SMALL_STATE(17316)] = 716110,
  [SMALL_STATE(17317)] = 716127,
  [SMALL_STATE(17318)] = 716144,
  [SMALL_STATE(17319)] = 716161,
  [SMALL_STATE(17320)] = 716176,
  [SMALL_STATE(17321)] = 716191,
  [SMALL_STATE(17322)] = 716208,
  [SMALL_STATE(17323)] = 716225,
  [SMALL_STATE(17324)] = 716242,
  [SMALL_STATE(17325)] = 716259,
  [SMALL_STATE(17326)] = 716276,
  [SMALL_STATE(17327)] = 716291,
  [SMALL_STATE(17328)] = 716308,
  [SMALL_STATE(17329)] = 716325,
  [SMALL_STATE(17330)] = 716342,
  [SMALL_STATE(17331)] = 716359,
  [SMALL_STATE(17332)] = 716376,
  [SMALL_STATE(17333)] = 716393,
  [SMALL_STATE(17334)] = 716410,
  [SMALL_STATE(17335)] = 716427,
  [SMALL_STATE(17336)] = 716444,
  [SMALL_STATE(17337)] = 716459,
  [SMALL_STATE(17338)] = 716476,
  [SMALL_STATE(17339)] = 716493,
  [SMALL_STATE(17340)] = 716510,
  [SMALL_STATE(17341)] = 716527,
  [SMALL_STATE(17342)] = 716544,
  [SMALL_STATE(17343)] = 716561,
  [SMALL_STATE(17344)] = 716578,
  [SMALL_STATE(17345)] = 716593,
  [SMALL_STATE(17346)] = 716610,
  [SMALL_STATE(17347)] = 716627,
  [SMALL_STATE(17348)] = 716644,
  [SMALL_STATE(17349)] = 716661,
  [SMALL_STATE(17350)] = 716676,
  [SMALL_STATE(17351)] = 716693,
  [SMALL_STATE(17352)] = 716710,
  [SMALL_STATE(17353)] = 716725,
  [SMALL_STATE(17354)] = 716742,
  [SMALL_STATE(17355)] = 716759,
  [SMALL_STATE(17356)] = 716776,
  [SMALL_STATE(17357)] = 716793,
  [SMALL_STATE(17358)] = 716810,
  [SMALL_STATE(17359)] = 716827,
  [SMALL_STATE(17360)] = 716844,
  [SMALL_STATE(17361)] = 716861,
  [SMALL_STATE(17362)] = 716876,
  [SMALL_STATE(17363)] = 716893,
  [SMALL_STATE(17364)] = 716910,
  [SMALL_STATE(17365)] = 716927,
  [SMALL_STATE(17366)] = 716944,
  [SMALL_STATE(17367)] = 716961,
  [SMALL_STATE(17368)] = 716978,
  [SMALL_STATE(17369)] = 716993,
  [SMALL_STATE(17370)] = 717010,
  [SMALL_STATE(17371)] = 717027,
  [SMALL_STATE(17372)] = 717042,
  [SMALL_STATE(17373)] = 717059,
  [SMALL_STATE(17374)] = 717076,
  [SMALL_STATE(17375)] = 717093,
  [SMALL_STATE(17376)] = 717110,
  [SMALL_STATE(17377)] = 717127,
  [SMALL_STATE(17378)] = 717144,
  [SMALL_STATE(17379)] = 717161,
  [SMALL_STATE(17380)] = 717178,
  [SMALL_STATE(17381)] = 717195,
  [SMALL_STATE(17382)] = 717212,
  [SMALL_STATE(17383)] = 717229,
  [SMALL_STATE(17384)] = 717246,
  [SMALL_STATE(17385)] = 717263,
  [SMALL_STATE(17386)] = 717280,
  [SMALL_STATE(17387)] = 717295,
  [SMALL_STATE(17388)] = 717312,
  [SMALL_STATE(17389)] = 717329,
  [SMALL_STATE(17390)] = 717346,
  [SMALL_STATE(17391)] = 717363,
  [SMALL_STATE(17392)] = 717380,
  [SMALL_STATE(17393)] = 717397,
  [SMALL_STATE(17394)] = 717414,
  [SMALL_STATE(17395)] = 717431,
  [SMALL_STATE(17396)] = 717448,
  [SMALL_STATE(17397)] = 717465,
  [SMALL_STATE(17398)] = 717482,
  [SMALL_STATE(17399)] = 717499,
  [SMALL_STATE(17400)] = 717516,
  [SMALL_STATE(17401)] = 717531,
  [SMALL_STATE(17402)] = 717548,
  [SMALL_STATE(17403)] = 717565,
  [SMALL_STATE(17404)] = 717582,
  [SMALL_STATE(17405)] = 717597,
  [SMALL_STATE(17406)] = 717612,
  [SMALL_STATE(17407)] = 717629,
  [SMALL_STATE(17408)] = 717646,
  [SMALL_STATE(17409)] = 717661,
  [SMALL_STATE(17410)] = 717678,
  [SMALL_STATE(17411)] = 717695,
  [SMALL_STATE(17412)] = 717712,
  [SMALL_STATE(17413)] = 717727,
  [SMALL_STATE(17414)] = 717742,
  [SMALL_STATE(17415)] = 717757,
  [SMALL_STATE(17416)] = 717774,
  [SMALL_STATE(17417)] = 717788,
  [SMALL_STATE(17418)] = 717802,
  [SMALL_STATE(17419)] = 717816,
  [SMALL_STATE(17420)] = 717830,
  [SMALL_STATE(17421)] = 717844,
  [SMALL_STATE(17422)] = 717858,
  [SMALL_STATE(17423)] = 717872,
  [SMALL_STATE(17424)] = 717886,
  [SMALL_STATE(17425)] = 717900,
  [SMALL_STATE(17426)] = 717914,
  [SMALL_STATE(17427)] = 717928,
  [SMALL_STATE(17428)] = 717942,
  [SMALL_STATE(17429)] = 717956,
  [SMALL_STATE(17430)] = 717970,
  [SMALL_STATE(17431)] = 717984,
  [SMALL_STATE(17432)] = 717998,
  [SMALL_STATE(17433)] = 718012,
  [SMALL_STATE(17434)] = 718026,
  [SMALL_STATE(17435)] = 718040,
  [SMALL_STATE(17436)] = 718054,
  [SMALL_STATE(17437)] = 718068,
  [SMALL_STATE(17438)] = 718082,
  [SMALL_STATE(17439)] = 718096,
  [SMALL_STATE(17440)] = 718110,
  [SMALL_STATE(17441)] = 718124,
  [SMALL_STATE(17442)] = 718138,
  [SMALL_STATE(17443)] = 718152,
  [SMALL_STATE(17444)] = 718166,
  [SMALL_STATE(17445)] = 718180,
  [SMALL_STATE(17446)] = 718194,
  [SMALL_STATE(17447)] = 718208,
  [SMALL_STATE(17448)] = 718222,
  [SMALL_STATE(17449)] = 718236,
  [SMALL_STATE(17450)] = 718250,
  [SMALL_STATE(17451)] = 718264,
  [SMALL_STATE(17452)] = 718278,
  [SMALL_STATE(17453)] = 718292,
  [SMALL_STATE(17454)] = 718306,
  [SMALL_STATE(17455)] = 718320,
  [SMALL_STATE(17456)] = 718334,
  [SMALL_STATE(17457)] = 718348,
  [SMALL_STATE(17458)] = 718362,
  [SMALL_STATE(17459)] = 718376,
  [SMALL_STATE(17460)] = 718390,
  [SMALL_STATE(17461)] = 718404,
  [SMALL_STATE(17462)] = 718418,
  [SMALL_STATE(17463)] = 718432,
  [SMALL_STATE(17464)] = 718446,
  [SMALL_STATE(17465)] = 718460,
  [SMALL_STATE(17466)] = 718474,
  [SMALL_STATE(17467)] = 718488,
  [SMALL_STATE(17468)] = 718502,
  [SMALL_STATE(17469)] = 718516,
  [SMALL_STATE(17470)] = 718530,
  [SMALL_STATE(17471)] = 718544,
  [SMALL_STATE(17472)] = 718558,
  [SMALL_STATE(17473)] = 718572,
  [SMALL_STATE(17474)] = 718586,
  [SMALL_STATE(17475)] = 718600,
  [SMALL_STATE(17476)] = 718614,
  [SMALL_STATE(17477)] = 718628,
  [SMALL_STATE(17478)] = 718642,
  [SMALL_STATE(17479)] = 718656,
  [SMALL_STATE(17480)] = 718670,
  [SMALL_STATE(17481)] = 718684,
  [SMALL_STATE(17482)] = 718698,
  [SMALL_STATE(17483)] = 718712,
  [SMALL_STATE(17484)] = 718726,
  [SMALL_STATE(17485)] = 718740,
  [SMALL_STATE(17486)] = 718754,
  [SMALL_STATE(17487)] = 718768,
  [SMALL_STATE(17488)] = 718782,
  [SMALL_STATE(17489)] = 718796,
  [SMALL_STATE(17490)] = 718810,
  [SMALL_STATE(17491)] = 718824,
  [SMALL_STATE(17492)] = 718838,
  [SMALL_STATE(17493)] = 718852,
  [SMALL_STATE(17494)] = 718866,
  [SMALL_STATE(17495)] = 718880,
  [SMALL_STATE(17496)] = 718894,
  [SMALL_STATE(17497)] = 718908,
  [SMALL_STATE(17498)] = 718922,
  [SMALL_STATE(17499)] = 718936,
  [SMALL_STATE(17500)] = 718950,
  [SMALL_STATE(17501)] = 718964,
  [SMALL_STATE(17502)] = 718978,
  [SMALL_STATE(17503)] = 718992,
  [SMALL_STATE(17504)] = 719006,
  [SMALL_STATE(17505)] = 719020,
  [SMALL_STATE(17506)] = 719034,
  [SMALL_STATE(17507)] = 719048,
  [SMALL_STATE(17508)] = 719062,
  [SMALL_STATE(17509)] = 719076,
  [SMALL_STATE(17510)] = 719090,
  [SMALL_STATE(17511)] = 719104,
  [SMALL_STATE(17512)] = 719118,
  [SMALL_STATE(17513)] = 719132,
  [SMALL_STATE(17514)] = 719146,
  [SMALL_STATE(17515)] = 719160,
  [SMALL_STATE(17516)] = 719174,
  [SMALL_STATE(17517)] = 719188,
  [SMALL_STATE(17518)] = 719202,
  [SMALL_STATE(17519)] = 719216,
  [SMALL_STATE(17520)] = 719230,
  [SMALL_STATE(17521)] = 719244,
  [SMALL_STATE(17522)] = 719258,
  [SMALL_STATE(17523)] = 719272,
  [SMALL_STATE(17524)] = 719286,
  [SMALL_STATE(17525)] = 719300,
  [SMALL_STATE(17526)] = 719314,
  [SMALL_STATE(17527)] = 719328,
  [SMALL_STATE(17528)] = 719342,
  [SMALL_STATE(17529)] = 719356,
  [SMALL_STATE(17530)] = 719370,
  [SMALL_STATE(17531)] = 719384,
  [SMALL_STATE(17532)] = 719398,
  [SMALL_STATE(17533)] = 719412,
  [SMALL_STATE(17534)] = 719426,
  [SMALL_STATE(17535)] = 719440,
  [SMALL_STATE(17536)] = 719454,
  [SMALL_STATE(17537)] = 719468,
  [SMALL_STATE(17538)] = 719482,
  [SMALL_STATE(17539)] = 719496,
  [SMALL_STATE(17540)] = 719510,
  [SMALL_STATE(17541)] = 719524,
  [SMALL_STATE(17542)] = 719538,
  [SMALL_STATE(17543)] = 719552,
  [SMALL_STATE(17544)] = 719566,
  [SMALL_STATE(17545)] = 719580,
  [SMALL_STATE(17546)] = 719594,
  [SMALL_STATE(17547)] = 719608,
  [SMALL_STATE(17548)] = 719622,
  [SMALL_STATE(17549)] = 719636,
  [SMALL_STATE(17550)] = 719650,
  [SMALL_STATE(17551)] = 719664,
  [SMALL_STATE(17552)] = 719678,
  [SMALL_STATE(17553)] = 719692,
  [SMALL_STATE(17554)] = 719706,
  [SMALL_STATE(17555)] = 719720,
  [SMALL_STATE(17556)] = 719734,
  [SMALL_STATE(17557)] = 719748,
  [SMALL_STATE(17558)] = 719762,
  [SMALL_STATE(17559)] = 719776,
  [SMALL_STATE(17560)] = 719790,
  [SMALL_STATE(17561)] = 719804,
  [SMALL_STATE(17562)] = 719818,
  [SMALL_STATE(17563)] = 719832,
  [SMALL_STATE(17564)] = 719846,
  [SMALL_STATE(17565)] = 719860,
  [SMALL_STATE(17566)] = 719874,
  [SMALL_STATE(17567)] = 719888,
  [SMALL_STATE(17568)] = 719902,
  [SMALL_STATE(17569)] = 719916,
  [SMALL_STATE(17570)] = 719930,
  [SMALL_STATE(17571)] = 719944,
  [SMALL_STATE(17572)] = 719958,
  [SMALL_STATE(17573)] = 719972,
  [SMALL_STATE(17574)] = 719986,
  [SMALL_STATE(17575)] = 720000,
  [SMALL_STATE(17576)] = 720014,
  [SMALL_STATE(17577)] = 720028,
  [SMALL_STATE(17578)] = 720042,
  [SMALL_STATE(17579)] = 720056,
  [SMALL_STATE(17580)] = 720070,
  [SMALL_STATE(17581)] = 720084,
  [SMALL_STATE(17582)] = 720098,
  [SMALL_STATE(17583)] = 720112,
  [SMALL_STATE(17584)] = 720126,
  [SMALL_STATE(17585)] = 720140,
  [SMALL_STATE(17586)] = 720154,
  [SMALL_STATE(17587)] = 720168,
  [SMALL_STATE(17588)] = 720182,
  [SMALL_STATE(17589)] = 720196,
  [SMALL_STATE(17590)] = 720210,
  [SMALL_STATE(17591)] = 720224,
  [SMALL_STATE(17592)] = 720238,
  [SMALL_STATE(17593)] = 720252,
  [SMALL_STATE(17594)] = 720266,
  [SMALL_STATE(17595)] = 720280,
  [SMALL_STATE(17596)] = 720294,
  [SMALL_STATE(17597)] = 720308,
  [SMALL_STATE(17598)] = 720322,
  [SMALL_STATE(17599)] = 720336,
  [SMALL_STATE(17600)] = 720350,
  [SMALL_STATE(17601)] = 720364,
  [SMALL_STATE(17602)] = 720378,
  [SMALL_STATE(17603)] = 720392,
  [SMALL_STATE(17604)] = 720406,
  [SMALL_STATE(17605)] = 720420,
  [SMALL_STATE(17606)] = 720434,
  [SMALL_STATE(17607)] = 720448,
  [SMALL_STATE(17608)] = 720462,
  [SMALL_STATE(17609)] = 720476,
  [SMALL_STATE(17610)] = 720490,
  [SMALL_STATE(17611)] = 720504,
  [SMALL_STATE(17612)] = 720518,
  [SMALL_STATE(17613)] = 720532,
  [SMALL_STATE(17614)] = 720546,
  [SMALL_STATE(17615)] = 720560,
  [SMALL_STATE(17616)] = 720574,
  [SMALL_STATE(17617)] = 720588,
  [SMALL_STATE(17618)] = 720602,
  [SMALL_STATE(17619)] = 720616,
  [SMALL_STATE(17620)] = 720630,
  [SMALL_STATE(17621)] = 720644,
  [SMALL_STATE(17622)] = 720658,
  [SMALL_STATE(17623)] = 720672,
  [SMALL_STATE(17624)] = 720686,
  [SMALL_STATE(17625)] = 720700,
  [SMALL_STATE(17626)] = 720714,
  [SMALL_STATE(17627)] = 720728,
  [SMALL_STATE(17628)] = 720742,
  [SMALL_STATE(17629)] = 720756,
  [SMALL_STATE(17630)] = 720770,
  [SMALL_STATE(17631)] = 720784,
  [SMALL_STATE(17632)] = 720798,
  [SMALL_STATE(17633)] = 720812,
  [SMALL_STATE(17634)] = 720826,
  [SMALL_STATE(17635)] = 720840,
  [SMALL_STATE(17636)] = 720854,
  [SMALL_STATE(17637)] = 720868,
  [SMALL_STATE(17638)] = 720882,
  [SMALL_STATE(17639)] = 720896,
  [SMALL_STATE(17640)] = 720910,
  [SMALL_STATE(17641)] = 720924,
  [SMALL_STATE(17642)] = 720938,
  [SMALL_STATE(17643)] = 720952,
  [SMALL_STATE(17644)] = 720966,
  [SMALL_STATE(17645)] = 720980,
  [SMALL_STATE(17646)] = 720994,
  [SMALL_STATE(17647)] = 721008,
  [SMALL_STATE(17648)] = 721022,
  [SMALL_STATE(17649)] = 721036,
  [SMALL_STATE(17650)] = 721050,
  [SMALL_STATE(17651)] = 721064,
  [SMALL_STATE(17652)] = 721078,
  [SMALL_STATE(17653)] = 721092,
  [SMALL_STATE(17654)] = 721106,
  [SMALL_STATE(17655)] = 721120,
  [SMALL_STATE(17656)] = 721134,
  [SMALL_STATE(17657)] = 721148,
  [SMALL_STATE(17658)] = 721162,
  [SMALL_STATE(17659)] = 721176,
  [SMALL_STATE(17660)] = 721190,
  [SMALL_STATE(17661)] = 721204,
  [SMALL_STATE(17662)] = 721218,
  [SMALL_STATE(17663)] = 721232,
  [SMALL_STATE(17664)] = 721246,
  [SMALL_STATE(17665)] = 721260,
  [SMALL_STATE(17666)] = 721274,
  [SMALL_STATE(17667)] = 721288,
  [SMALL_STATE(17668)] = 721302,
  [SMALL_STATE(17669)] = 721316,
  [SMALL_STATE(17670)] = 721330,
  [SMALL_STATE(17671)] = 721344,
  [SMALL_STATE(17672)] = 721358,
  [SMALL_STATE(17673)] = 721372,
  [SMALL_STATE(17674)] = 721386,
  [SMALL_STATE(17675)] = 721400,
  [SMALL_STATE(17676)] = 721414,
  [SMALL_STATE(17677)] = 721428,
  [SMALL_STATE(17678)] = 721442,
  [SMALL_STATE(17679)] = 721456,
  [SMALL_STATE(17680)] = 721470,
  [SMALL_STATE(17681)] = 721484,
  [SMALL_STATE(17682)] = 721498,
  [SMALL_STATE(17683)] = 721512,
  [SMALL_STATE(17684)] = 721526,
  [SMALL_STATE(17685)] = 721540,
  [SMALL_STATE(17686)] = 721554,
  [SMALL_STATE(17687)] = 721568,
  [SMALL_STATE(17688)] = 721582,
  [SMALL_STATE(17689)] = 721596,
  [SMALL_STATE(17690)] = 721610,
  [SMALL_STATE(17691)] = 721624,
  [SMALL_STATE(17692)] = 721638,
  [SMALL_STATE(17693)] = 721652,
  [SMALL_STATE(17694)] = 721666,
  [SMALL_STATE(17695)] = 721680,
  [SMALL_STATE(17696)] = 721694,
  [SMALL_STATE(17697)] = 721708,
  [SMALL_STATE(17698)] = 721722,
  [SMALL_STATE(17699)] = 721736,
  [SMALL_STATE(17700)] = 721750,
  [SMALL_STATE(17701)] = 721764,
  [SMALL_STATE(17702)] = 721778,
  [SMALL_STATE(17703)] = 721792,
  [SMALL_STATE(17704)] = 721806,
  [SMALL_STATE(17705)] = 721820,
  [SMALL_STATE(17706)] = 721834,
  [SMALL_STATE(17707)] = 721848,
  [SMALL_STATE(17708)] = 721862,
  [SMALL_STATE(17709)] = 721876,
  [SMALL_STATE(17710)] = 721890,
  [SMALL_STATE(17711)] = 721904,
  [SMALL_STATE(17712)] = 721918,
  [SMALL_STATE(17713)] = 721932,
  [SMALL_STATE(17714)] = 721946,
  [SMALL_STATE(17715)] = 721960,
  [SMALL_STATE(17716)] = 721974,
  [SMALL_STATE(17717)] = 721988,
  [SMALL_STATE(17718)] = 722002,
  [SMALL_STATE(17719)] = 722016,
  [SMALL_STATE(17720)] = 722030,
  [SMALL_STATE(17721)] = 722044,
  [SMALL_STATE(17722)] = 722058,
  [SMALL_STATE(17723)] = 722072,
  [SMALL_STATE(17724)] = 722086,
  [SMALL_STATE(17725)] = 722100,
  [SMALL_STATE(17726)] = 722114,
  [SMALL_STATE(17727)] = 722128,
  [SMALL_STATE(17728)] = 722142,
  [SMALL_STATE(17729)] = 722156,
  [SMALL_STATE(17730)] = 722170,
  [SMALL_STATE(17731)] = 722184,
  [SMALL_STATE(17732)] = 722198,
  [SMALL_STATE(17733)] = 722212,
  [SMALL_STATE(17734)] = 722226,
  [SMALL_STATE(17735)] = 722240,
  [SMALL_STATE(17736)] = 722254,
  [SMALL_STATE(17737)] = 722268,
  [SMALL_STATE(17738)] = 722282,
  [SMALL_STATE(17739)] = 722296,
  [SMALL_STATE(17740)] = 722310,
  [SMALL_STATE(17741)] = 722324,
  [SMALL_STATE(17742)] = 722338,
  [SMALL_STATE(17743)] = 722352,
  [SMALL_STATE(17744)] = 722366,
  [SMALL_STATE(17745)] = 722380,
  [SMALL_STATE(17746)] = 722394,
  [SMALL_STATE(17747)] = 722408,
  [SMALL_STATE(17748)] = 722422,
  [SMALL_STATE(17749)] = 722436,
  [SMALL_STATE(17750)] = 722450,
  [SMALL_STATE(17751)] = 722464,
  [SMALL_STATE(17752)] = 722478,
  [SMALL_STATE(17753)] = 722492,
  [SMALL_STATE(17754)] = 722506,
  [SMALL_STATE(17755)] = 722520,
  [SMALL_STATE(17756)] = 722534,
  [SMALL_STATE(17757)] = 722548,
  [SMALL_STATE(17758)] = 722562,
  [SMALL_STATE(17759)] = 722576,
  [SMALL_STATE(17760)] = 722590,
  [SMALL_STATE(17761)] = 722604,
  [SMALL_STATE(17762)] = 722618,
  [SMALL_STATE(17763)] = 722632,
  [SMALL_STATE(17764)] = 722646,
  [SMALL_STATE(17765)] = 722660,
  [SMALL_STATE(17766)] = 722674,
  [SMALL_STATE(17767)] = 722688,
  [SMALL_STATE(17768)] = 722702,
  [SMALL_STATE(17769)] = 722716,
  [SMALL_STATE(17770)] = 722730,
  [SMALL_STATE(17771)] = 722744,
  [SMALL_STATE(17772)] = 722758,
  [SMALL_STATE(17773)] = 722772,
  [SMALL_STATE(17774)] = 722786,
  [SMALL_STATE(17775)] = 722800,
  [SMALL_STATE(17776)] = 722814,
  [SMALL_STATE(17777)] = 722828,
  [SMALL_STATE(17778)] = 722842,
  [SMALL_STATE(17779)] = 722856,
  [SMALL_STATE(17780)] = 722870,
  [SMALL_STATE(17781)] = 722884,
  [SMALL_STATE(17782)] = 722898,
  [SMALL_STATE(17783)] = 722912,
  [SMALL_STATE(17784)] = 722926,
  [SMALL_STATE(17785)] = 722940,
  [SMALL_STATE(17786)] = 722954,
  [SMALL_STATE(17787)] = 722968,
  [SMALL_STATE(17788)] = 722982,
  [SMALL_STATE(17789)] = 722996,
  [SMALL_STATE(17790)] = 723010,
  [SMALL_STATE(17791)] = 723024,
  [SMALL_STATE(17792)] = 723038,
  [SMALL_STATE(17793)] = 723052,
  [SMALL_STATE(17794)] = 723066,
  [SMALL_STATE(17795)] = 723080,
  [SMALL_STATE(17796)] = 723094,
  [SMALL_STATE(17797)] = 723108,
  [SMALL_STATE(17798)] = 723122,
  [SMALL_STATE(17799)] = 723136,
  [SMALL_STATE(17800)] = 723150,
  [SMALL_STATE(17801)] = 723164,
  [SMALL_STATE(17802)] = 723178,
  [SMALL_STATE(17803)] = 723192,
  [SMALL_STATE(17804)] = 723206,
  [SMALL_STATE(17805)] = 723220,
  [SMALL_STATE(17806)] = 723234,
  [SMALL_STATE(17807)] = 723248,
  [SMALL_STATE(17808)] = 723262,
  [SMALL_STATE(17809)] = 723276,
  [SMALL_STATE(17810)] = 723290,
  [SMALL_STATE(17811)] = 723304,
  [SMALL_STATE(17812)] = 723318,
  [SMALL_STATE(17813)] = 723332,
  [SMALL_STATE(17814)] = 723346,
  [SMALL_STATE(17815)] = 723360,
  [SMALL_STATE(17816)] = 723374,
  [SMALL_STATE(17817)] = 723388,
  [SMALL_STATE(17818)] = 723402,
  [SMALL_STATE(17819)] = 723416,
  [SMALL_STATE(17820)] = 723430,
  [SMALL_STATE(17821)] = 723444,
  [SMALL_STATE(17822)] = 723458,
  [SMALL_STATE(17823)] = 723472,
  [SMALL_STATE(17824)] = 723486,
  [SMALL_STATE(17825)] = 723500,
  [SMALL_STATE(17826)] = 723514,
  [SMALL_STATE(17827)] = 723528,
  [SMALL_STATE(17828)] = 723542,
  [SMALL_STATE(17829)] = 723556,
  [SMALL_STATE(17830)] = 723570,
  [SMALL_STATE(17831)] = 723584,
  [SMALL_STATE(17832)] = 723598,
  [SMALL_STATE(17833)] = 723612,
  [SMALL_STATE(17834)] = 723626,
  [SMALL_STATE(17835)] = 723640,
  [SMALL_STATE(17836)] = 723654,
  [SMALL_STATE(17837)] = 723668,
  [SMALL_STATE(17838)] = 723682,
  [SMALL_STATE(17839)] = 723696,
  [SMALL_STATE(17840)] = 723710,
  [SMALL_STATE(17841)] = 723724,
  [SMALL_STATE(17842)] = 723738,
  [SMALL_STATE(17843)] = 723752,
  [SMALL_STATE(17844)] = 723766,
  [SMALL_STATE(17845)] = 723780,
  [SMALL_STATE(17846)] = 723794,
  [SMALL_STATE(17847)] = 723808,
  [SMALL_STATE(17848)] = 723822,
  [SMALL_STATE(17849)] = 723836,
  [SMALL_STATE(17850)] = 723850,
  [SMALL_STATE(17851)] = 723864,
  [SMALL_STATE(17852)] = 723878,
  [SMALL_STATE(17853)] = 723892,
  [SMALL_STATE(17854)] = 723906,
  [SMALL_STATE(17855)] = 723920,
  [SMALL_STATE(17856)] = 723934,
  [SMALL_STATE(17857)] = 723948,
  [SMALL_STATE(17858)] = 723962,
  [SMALL_STATE(17859)] = 723976,
  [SMALL_STATE(17860)] = 723990,
  [SMALL_STATE(17861)] = 724004,
  [SMALL_STATE(17862)] = 724018,
  [SMALL_STATE(17863)] = 724032,
  [SMALL_STATE(17864)] = 724046,
  [SMALL_STATE(17865)] = 724060,
  [SMALL_STATE(17866)] = 724074,
  [SMALL_STATE(17867)] = 724088,
  [SMALL_STATE(17868)] = 724102,
  [SMALL_STATE(17869)] = 724116,
  [SMALL_STATE(17870)] = 724130,
  [SMALL_STATE(17871)] = 724144,
  [SMALL_STATE(17872)] = 724158,
  [SMALL_STATE(17873)] = 724172,
  [SMALL_STATE(17874)] = 724186,
  [SMALL_STATE(17875)] = 724200,
  [SMALL_STATE(17876)] = 724214,
  [SMALL_STATE(17877)] = 724228,
  [SMALL_STATE(17878)] = 724242,
  [SMALL_STATE(17879)] = 724256,
  [SMALL_STATE(17880)] = 724270,
  [SMALL_STATE(17881)] = 724284,
  [SMALL_STATE(17882)] = 724298,
  [SMALL_STATE(17883)] = 724312,
  [SMALL_STATE(17884)] = 724326,
  [SMALL_STATE(17885)] = 724340,
  [SMALL_STATE(17886)] = 724354,
  [SMALL_STATE(17887)] = 724368,
  [SMALL_STATE(17888)] = 724382,
  [SMALL_STATE(17889)] = 724396,
  [SMALL_STATE(17890)] = 724410,
  [SMALL_STATE(17891)] = 724424,
  [SMALL_STATE(17892)] = 724438,
  [SMALL_STATE(17893)] = 724452,
  [SMALL_STATE(17894)] = 724466,
  [SMALL_STATE(17895)] = 724480,
  [SMALL_STATE(17896)] = 724494,
  [SMALL_STATE(17897)] = 724508,
  [SMALL_STATE(17898)] = 724522,
  [SMALL_STATE(17899)] = 724536,
  [SMALL_STATE(17900)] = 724550,
  [SMALL_STATE(17901)] = 724564,
  [SMALL_STATE(17902)] = 724578,
  [SMALL_STATE(17903)] = 724592,
  [SMALL_STATE(17904)] = 724606,
  [SMALL_STATE(17905)] = 724620,
  [SMALL_STATE(17906)] = 724634,
  [SMALL_STATE(17907)] = 724648,
  [SMALL_STATE(17908)] = 724662,
  [SMALL_STATE(17909)] = 724676,
  [SMALL_STATE(17910)] = 724690,
  [SMALL_STATE(17911)] = 724704,
  [SMALL_STATE(17912)] = 724718,
  [SMALL_STATE(17913)] = 724732,
  [SMALL_STATE(17914)] = 724746,
  [SMALL_STATE(17915)] = 724760,
  [SMALL_STATE(17916)] = 724774,
  [SMALL_STATE(17917)] = 724788,
  [SMALL_STATE(17918)] = 724802,
  [SMALL_STATE(17919)] = 724816,
  [SMALL_STATE(17920)] = 724830,
  [SMALL_STATE(17921)] = 724844,
  [SMALL_STATE(17922)] = 724858,
  [SMALL_STATE(17923)] = 724872,
  [SMALL_STATE(17924)] = 724886,
  [SMALL_STATE(17925)] = 724900,
  [SMALL_STATE(17926)] = 724914,
  [SMALL_STATE(17927)] = 724928,
  [SMALL_STATE(17928)] = 724942,
  [SMALL_STATE(17929)] = 724956,
  [SMALL_STATE(17930)] = 724970,
  [SMALL_STATE(17931)] = 724984,
  [SMALL_STATE(17932)] = 724998,
  [SMALL_STATE(17933)] = 725012,
  [SMALL_STATE(17934)] = 725026,
  [SMALL_STATE(17935)] = 725040,
  [SMALL_STATE(17936)] = 725054,
  [SMALL_STATE(17937)] = 725068,
  [SMALL_STATE(17938)] = 725082,
  [SMALL_STATE(17939)] = 725096,
  [SMALL_STATE(17940)] = 725110,
  [SMALL_STATE(17941)] = 725124,
  [SMALL_STATE(17942)] = 725138,
  [SMALL_STATE(17943)] = 725152,
  [SMALL_STATE(17944)] = 725166,
  [SMALL_STATE(17945)] = 725180,
  [SMALL_STATE(17946)] = 725194,
  [SMALL_STATE(17947)] = 725208,
  [SMALL_STATE(17948)] = 725222,
  [SMALL_STATE(17949)] = 725236,
  [SMALL_STATE(17950)] = 725250,
  [SMALL_STATE(17951)] = 725264,
  [SMALL_STATE(17952)] = 725278,
  [SMALL_STATE(17953)] = 725292,
  [SMALL_STATE(17954)] = 725306,
  [SMALL_STATE(17955)] = 725320,
  [SMALL_STATE(17956)] = 725334,
  [SMALL_STATE(17957)] = 725348,
  [SMALL_STATE(17958)] = 725362,
  [SMALL_STATE(17959)] = 725376,
  [SMALL_STATE(17960)] = 725390,
  [SMALL_STATE(17961)] = 725404,
  [SMALL_STATE(17962)] = 725418,
  [SMALL_STATE(17963)] = 725432,
  [SMALL_STATE(17964)] = 725446,
  [SMALL_STATE(17965)] = 725460,
  [SMALL_STATE(17966)] = 725474,
  [SMALL_STATE(17967)] = 725488,
  [SMALL_STATE(17968)] = 725502,
  [SMALL_STATE(17969)] = 725516,
  [SMALL_STATE(17970)] = 725530,
  [SMALL_STATE(17971)] = 725544,
  [SMALL_STATE(17972)] = 725558,
  [SMALL_STATE(17973)] = 725572,
  [SMALL_STATE(17974)] = 725586,
  [SMALL_STATE(17975)] = 725600,
  [SMALL_STATE(17976)] = 725614,
  [SMALL_STATE(17977)] = 725628,
  [SMALL_STATE(17978)] = 725642,
  [SMALL_STATE(17979)] = 725656,
  [SMALL_STATE(17980)] = 725670,
  [SMALL_STATE(17981)] = 725684,
  [SMALL_STATE(17982)] = 725698,
  [SMALL_STATE(17983)] = 725712,
  [SMALL_STATE(17984)] = 725726,
  [SMALL_STATE(17985)] = 725740,
  [SMALL_STATE(17986)] = 725754,
  [SMALL_STATE(17987)] = 725768,
  [SMALL_STATE(17988)] = 725782,
  [SMALL_STATE(17989)] = 725796,
  [SMALL_STATE(17990)] = 725810,
  [SMALL_STATE(17991)] = 725824,
  [SMALL_STATE(17992)] = 725838,
  [SMALL_STATE(17993)] = 725852,
  [SMALL_STATE(17994)] = 725866,
  [SMALL_STATE(17995)] = 725880,
  [SMALL_STATE(17996)] = 725894,
  [SMALL_STATE(17997)] = 725908,
  [SMALL_STATE(17998)] = 725922,
  [SMALL_STATE(17999)] = 725936,
  [SMALL_STATE(18000)] = 725950,
  [SMALL_STATE(18001)] = 725964,
  [SMALL_STATE(18002)] = 725978,
  [SMALL_STATE(18003)] = 725992,
  [SMALL_STATE(18004)] = 726006,
  [SMALL_STATE(18005)] = 726020,
  [SMALL_STATE(18006)] = 726034,
  [SMALL_STATE(18007)] = 726048,
  [SMALL_STATE(18008)] = 726062,
  [SMALL_STATE(18009)] = 726076,
  [SMALL_STATE(18010)] = 726090,
  [SMALL_STATE(18011)] = 726104,
  [SMALL_STATE(18012)] = 726118,
  [SMALL_STATE(18013)] = 726132,
  [SMALL_STATE(18014)] = 726146,
  [SMALL_STATE(18015)] = 726160,
  [SMALL_STATE(18016)] = 726174,
  [SMALL_STATE(18017)] = 726188,
  [SMALL_STATE(18018)] = 726202,
  [SMALL_STATE(18019)] = 726216,
  [SMALL_STATE(18020)] = 726230,
  [SMALL_STATE(18021)] = 726244,
  [SMALL_STATE(18022)] = 726258,
  [SMALL_STATE(18023)] = 726272,
  [SMALL_STATE(18024)] = 726286,
  [SMALL_STATE(18025)] = 726300,
  [SMALL_STATE(18026)] = 726314,
  [SMALL_STATE(18027)] = 726328,
  [SMALL_STATE(18028)] = 726342,
  [SMALL_STATE(18029)] = 726356,
  [SMALL_STATE(18030)] = 726370,
  [SMALL_STATE(18031)] = 726384,
  [SMALL_STATE(18032)] = 726398,
  [SMALL_STATE(18033)] = 726412,
  [SMALL_STATE(18034)] = 726426,
  [SMALL_STATE(18035)] = 726440,
  [SMALL_STATE(18036)] = 726454,
  [SMALL_STATE(18037)] = 726468,
  [SMALL_STATE(18038)] = 726482,
  [SMALL_STATE(18039)] = 726496,
  [SMALL_STATE(18040)] = 726510,
  [SMALL_STATE(18041)] = 726524,
  [SMALL_STATE(18042)] = 726538,
  [SMALL_STATE(18043)] = 726552,
  [SMALL_STATE(18044)] = 726566,
  [SMALL_STATE(18045)] = 726580,
  [SMALL_STATE(18046)] = 726594,
  [SMALL_STATE(18047)] = 726608,
  [SMALL_STATE(18048)] = 726622,
  [SMALL_STATE(18049)] = 726636,
  [SMALL_STATE(18050)] = 726650,
  [SMALL_STATE(18051)] = 726664,
  [SMALL_STATE(18052)] = 726678,
  [SMALL_STATE(18053)] = 726692,
  [SMALL_STATE(18054)] = 726706,
  [SMALL_STATE(18055)] = 726720,
  [SMALL_STATE(18056)] = 726734,
  [SMALL_STATE(18057)] = 726748,
  [SMALL_STATE(18058)] = 726762,
  [SMALL_STATE(18059)] = 726776,
  [SMALL_STATE(18060)] = 726790,
  [SMALL_STATE(18061)] = 726804,
  [SMALL_STATE(18062)] = 726818,
  [SMALL_STATE(18063)] = 726832,
  [SMALL_STATE(18064)] = 726846,
  [SMALL_STATE(18065)] = 726860,
  [SMALL_STATE(18066)] = 726874,
  [SMALL_STATE(18067)] = 726888,
  [SMALL_STATE(18068)] = 726902,
  [SMALL_STATE(18069)] = 726916,
  [SMALL_STATE(18070)] = 726930,
  [SMALL_STATE(18071)] = 726944,
  [SMALL_STATE(18072)] = 726958,
  [SMALL_STATE(18073)] = 726972,
  [SMALL_STATE(18074)] = 726986,
  [SMALL_STATE(18075)] = 727000,
  [SMALL_STATE(18076)] = 727014,
  [SMALL_STATE(18077)] = 727028,
  [SMALL_STATE(18078)] = 727042,
  [SMALL_STATE(18079)] = 727056,
  [SMALL_STATE(18080)] = 727070,
  [SMALL_STATE(18081)] = 727084,
  [SMALL_STATE(18082)] = 727098,
  [SMALL_STATE(18083)] = 727112,
  [SMALL_STATE(18084)] = 727126,
  [SMALL_STATE(18085)] = 727140,
  [SMALL_STATE(18086)] = 727154,
  [SMALL_STATE(18087)] = 727168,
  [SMALL_STATE(18088)] = 727182,
  [SMALL_STATE(18089)] = 727196,
  [SMALL_STATE(18090)] = 727210,
  [SMALL_STATE(18091)] = 727224,
  [SMALL_STATE(18092)] = 727238,
  [SMALL_STATE(18093)] = 727252,
  [SMALL_STATE(18094)] = 727266,
  [SMALL_STATE(18095)] = 727280,
  [SMALL_STATE(18096)] = 727294,
  [SMALL_STATE(18097)] = 727308,
  [SMALL_STATE(18098)] = 727322,
  [SMALL_STATE(18099)] = 727336,
  [SMALL_STATE(18100)] = 727350,
  [SMALL_STATE(18101)] = 727364,
  [SMALL_STATE(18102)] = 727378,
  [SMALL_STATE(18103)] = 727392,
  [SMALL_STATE(18104)] = 727406,
  [SMALL_STATE(18105)] = 727420,
  [SMALL_STATE(18106)] = 727434,
  [SMALL_STATE(18107)] = 727448,
  [SMALL_STATE(18108)] = 727462,
  [SMALL_STATE(18109)] = 727476,
  [SMALL_STATE(18110)] = 727490,
  [SMALL_STATE(18111)] = 727504,
  [SMALL_STATE(18112)] = 727518,
  [SMALL_STATE(18113)] = 727532,
  [SMALL_STATE(18114)] = 727546,
  [SMALL_STATE(18115)] = 727560,
  [SMALL_STATE(18116)] = 727574,
  [SMALL_STATE(18117)] = 727588,
  [SMALL_STATE(18118)] = 727602,
  [SMALL_STATE(18119)] = 727616,
  [SMALL_STATE(18120)] = 727630,
  [SMALL_STATE(18121)] = 727644,
  [SMALL_STATE(18122)] = 727658,
  [SMALL_STATE(18123)] = 727672,
  [SMALL_STATE(18124)] = 727686,
  [SMALL_STATE(18125)] = 727700,
  [SMALL_STATE(18126)] = 727714,
  [SMALL_STATE(18127)] = 727728,
  [SMALL_STATE(18128)] = 727742,
  [SMALL_STATE(18129)] = 727756,
  [SMALL_STATE(18130)] = 727770,
  [SMALL_STATE(18131)] = 727784,
  [SMALL_STATE(18132)] = 727798,
  [SMALL_STATE(18133)] = 727812,
  [SMALL_STATE(18134)] = 727826,
  [SMALL_STATE(18135)] = 727840,
  [SMALL_STATE(18136)] = 727854,
  [SMALL_STATE(18137)] = 727868,
  [SMALL_STATE(18138)] = 727882,
  [SMALL_STATE(18139)] = 727896,
  [SMALL_STATE(18140)] = 727910,
  [SMALL_STATE(18141)] = 727924,
  [SMALL_STATE(18142)] = 727938,
  [SMALL_STATE(18143)] = 727952,
  [SMALL_STATE(18144)] = 727966,
  [SMALL_STATE(18145)] = 727980,
  [SMALL_STATE(18146)] = 727994,
  [SMALL_STATE(18147)] = 728008,
  [SMALL_STATE(18148)] = 728022,
  [SMALL_STATE(18149)] = 728036,
  [SMALL_STATE(18150)] = 728050,
  [SMALL_STATE(18151)] = 728064,
  [SMALL_STATE(18152)] = 728078,
  [SMALL_STATE(18153)] = 728092,
  [SMALL_STATE(18154)] = 728106,
  [SMALL_STATE(18155)] = 728120,
  [SMALL_STATE(18156)] = 728134,
  [SMALL_STATE(18157)] = 728148,
  [SMALL_STATE(18158)] = 728162,
  [SMALL_STATE(18159)] = 728176,
  [SMALL_STATE(18160)] = 728190,
  [SMALL_STATE(18161)] = 728204,
  [SMALL_STATE(18162)] = 728218,
  [SMALL_STATE(18163)] = 728232,
  [SMALL_STATE(18164)] = 728246,
  [SMALL_STATE(18165)] = 728260,
  [SMALL_STATE(18166)] = 728274,
  [SMALL_STATE(18167)] = 728288,
  [SMALL_STATE(18168)] = 728302,
  [SMALL_STATE(18169)] = 728316,
  [SMALL_STATE(18170)] = 728330,
  [SMALL_STATE(18171)] = 728344,
  [SMALL_STATE(18172)] = 728358,
  [SMALL_STATE(18173)] = 728372,
  [SMALL_STATE(18174)] = 728386,
  [SMALL_STATE(18175)] = 728400,
  [SMALL_STATE(18176)] = 728414,
  [SMALL_STATE(18177)] = 728428,
  [SMALL_STATE(18178)] = 728442,
  [SMALL_STATE(18179)] = 728456,
  [SMALL_STATE(18180)] = 728470,
  [SMALL_STATE(18181)] = 728484,
  [SMALL_STATE(18182)] = 728498,
  [SMALL_STATE(18183)] = 728512,
  [SMALL_STATE(18184)] = 728526,
  [SMALL_STATE(18185)] = 728540,
  [SMALL_STATE(18186)] = 728554,
  [SMALL_STATE(18187)] = 728568,
  [SMALL_STATE(18188)] = 728582,
  [SMALL_STATE(18189)] = 728596,
  [SMALL_STATE(18190)] = 728610,
  [SMALL_STATE(18191)] = 728624,
  [SMALL_STATE(18192)] = 728638,
  [SMALL_STATE(18193)] = 728652,
  [SMALL_STATE(18194)] = 728666,
  [SMALL_STATE(18195)] = 728680,
  [SMALL_STATE(18196)] = 728694,
  [SMALL_STATE(18197)] = 728708,
  [SMALL_STATE(18198)] = 728722,
  [SMALL_STATE(18199)] = 728736,
  [SMALL_STATE(18200)] = 728750,
  [SMALL_STATE(18201)] = 728764,
  [SMALL_STATE(18202)] = 728778,
  [SMALL_STATE(18203)] = 728792,
  [SMALL_STATE(18204)] = 728806,
  [SMALL_STATE(18205)] = 728820,
  [SMALL_STATE(18206)] = 728834,
  [SMALL_STATE(18207)] = 728848,
  [SMALL_STATE(18208)] = 728862,
  [SMALL_STATE(18209)] = 728876,
  [SMALL_STATE(18210)] = 728890,
  [SMALL_STATE(18211)] = 728904,
  [SMALL_STATE(18212)] = 728918,
  [SMALL_STATE(18213)] = 728932,
  [SMALL_STATE(18214)] = 728946,
  [SMALL_STATE(18215)] = 728960,
  [SMALL_STATE(18216)] = 728974,
  [SMALL_STATE(18217)] = 728988,
  [SMALL_STATE(18218)] = 729002,
  [SMALL_STATE(18219)] = 729016,
  [SMALL_STATE(18220)] = 729030,
  [SMALL_STATE(18221)] = 729044,
  [SMALL_STATE(18222)] = 729058,
  [SMALL_STATE(18223)] = 729072,
  [SMALL_STATE(18224)] = 729086,
  [SMALL_STATE(18225)] = 729100,
  [SMALL_STATE(18226)] = 729114,
  [SMALL_STATE(18227)] = 729128,
  [SMALL_STATE(18228)] = 729142,
  [SMALL_STATE(18229)] = 729156,
  [SMALL_STATE(18230)] = 729170,
  [SMALL_STATE(18231)] = 729184,
  [SMALL_STATE(18232)] = 729198,
  [SMALL_STATE(18233)] = 729212,
  [SMALL_STATE(18234)] = 729226,
  [SMALL_STATE(18235)] = 729240,
  [SMALL_STATE(18236)] = 729254,
  [SMALL_STATE(18237)] = 729268,
  [SMALL_STATE(18238)] = 729282,
  [SMALL_STATE(18239)] = 729296,
  [SMALL_STATE(18240)] = 729310,
  [SMALL_STATE(18241)] = 729324,
  [SMALL_STATE(18242)] = 729338,
  [SMALL_STATE(18243)] = 729352,
  [SMALL_STATE(18244)] = 729366,
  [SMALL_STATE(18245)] = 729380,
  [SMALL_STATE(18246)] = 729394,
  [SMALL_STATE(18247)] = 729408,
  [SMALL_STATE(18248)] = 729422,
  [SMALL_STATE(18249)] = 729436,
  [SMALL_STATE(18250)] = 729450,
  [SMALL_STATE(18251)] = 729464,
  [SMALL_STATE(18252)] = 729478,
  [SMALL_STATE(18253)] = 729492,
  [SMALL_STATE(18254)] = 729506,
  [SMALL_STATE(18255)] = 729520,
  [SMALL_STATE(18256)] = 729534,
  [SMALL_STATE(18257)] = 729548,
  [SMALL_STATE(18258)] = 729562,
  [SMALL_STATE(18259)] = 729576,
  [SMALL_STATE(18260)] = 729590,
  [SMALL_STATE(18261)] = 729604,
  [SMALL_STATE(18262)] = 729618,
  [SMALL_STATE(18263)] = 729632,
  [SMALL_STATE(18264)] = 729646,
  [SMALL_STATE(18265)] = 729660,
  [SMALL_STATE(18266)] = 729674,
  [SMALL_STATE(18267)] = 729688,
  [SMALL_STATE(18268)] = 729702,
  [SMALL_STATE(18269)] = 729716,
  [SMALL_STATE(18270)] = 729730,
  [SMALL_STATE(18271)] = 729744,
  [SMALL_STATE(18272)] = 729758,
  [SMALL_STATE(18273)] = 729772,
  [SMALL_STATE(18274)] = 729786,
  [SMALL_STATE(18275)] = 729800,
  [SMALL_STATE(18276)] = 729814,
  [SMALL_STATE(18277)] = 729828,
  [SMALL_STATE(18278)] = 729842,
  [SMALL_STATE(18279)] = 729856,
  [SMALL_STATE(18280)] = 729870,
  [SMALL_STATE(18281)] = 729884,
  [SMALL_STATE(18282)] = 729898,
  [SMALL_STATE(18283)] = 729912,
  [SMALL_STATE(18284)] = 729926,
  [SMALL_STATE(18285)] = 729940,
  [SMALL_STATE(18286)] = 729954,
  [SMALL_STATE(18287)] = 729968,
  [SMALL_STATE(18288)] = 729982,
  [SMALL_STATE(18289)] = 729996,
  [SMALL_STATE(18290)] = 730010,
  [SMALL_STATE(18291)] = 730024,
  [SMALL_STATE(18292)] = 730038,
  [SMALL_STATE(18293)] = 730052,
  [SMALL_STATE(18294)] = 730066,
  [SMALL_STATE(18295)] = 730080,
  [SMALL_STATE(18296)] = 730094,
  [SMALL_STATE(18297)] = 730108,
  [SMALL_STATE(18298)] = 730122,
  [SMALL_STATE(18299)] = 730136,
  [SMALL_STATE(18300)] = 730150,
  [SMALL_STATE(18301)] = 730164,
  [SMALL_STATE(18302)] = 730178,
  [SMALL_STATE(18303)] = 730192,
  [SMALL_STATE(18304)] = 730206,
  [SMALL_STATE(18305)] = 730220,
  [SMALL_STATE(18306)] = 730234,
  [SMALL_STATE(18307)] = 730248,
  [SMALL_STATE(18308)] = 730262,
  [SMALL_STATE(18309)] = 730276,
  [SMALL_STATE(18310)] = 730290,
  [SMALL_STATE(18311)] = 730304,
  [SMALL_STATE(18312)] = 730318,
  [SMALL_STATE(18313)] = 730332,
  [SMALL_STATE(18314)] = 730346,
  [SMALL_STATE(18315)] = 730360,
  [SMALL_STATE(18316)] = 730374,
  [SMALL_STATE(18317)] = 730388,
  [SMALL_STATE(18318)] = 730402,
  [SMALL_STATE(18319)] = 730416,
  [SMALL_STATE(18320)] = 730430,
  [SMALL_STATE(18321)] = 730444,
  [SMALL_STATE(18322)] = 730458,
  [SMALL_STATE(18323)] = 730472,
  [SMALL_STATE(18324)] = 730486,
  [SMALL_STATE(18325)] = 730500,
  [SMALL_STATE(18326)] = 730514,
  [SMALL_STATE(18327)] = 730528,
  [SMALL_STATE(18328)] = 730542,
  [SMALL_STATE(18329)] = 730556,
  [SMALL_STATE(18330)] = 730570,
  [SMALL_STATE(18331)] = 730584,
  [SMALL_STATE(18332)] = 730598,
  [SMALL_STATE(18333)] = 730612,
  [SMALL_STATE(18334)] = 730626,
  [SMALL_STATE(18335)] = 730640,
  [SMALL_STATE(18336)] = 730654,
  [SMALL_STATE(18337)] = 730668,
  [SMALL_STATE(18338)] = 730682,
  [SMALL_STATE(18339)] = 730696,
  [SMALL_STATE(18340)] = 730710,
  [SMALL_STATE(18341)] = 730724,
  [SMALL_STATE(18342)] = 730738,
  [SMALL_STATE(18343)] = 730752,
  [SMALL_STATE(18344)] = 730766,
  [SMALL_STATE(18345)] = 730780,
  [SMALL_STATE(18346)] = 730794,
  [SMALL_STATE(18347)] = 730808,
  [SMALL_STATE(18348)] = 730822,
  [SMALL_STATE(18349)] = 730836,
  [SMALL_STATE(18350)] = 730850,
  [SMALL_STATE(18351)] = 730864,
  [SMALL_STATE(18352)] = 730878,
  [SMALL_STATE(18353)] = 730892,
  [SMALL_STATE(18354)] = 730906,
  [SMALL_STATE(18355)] = 730920,
  [SMALL_STATE(18356)] = 730934,
  [SMALL_STATE(18357)] = 730948,
  [SMALL_STATE(18358)] = 730962,
  [SMALL_STATE(18359)] = 730976,
  [SMALL_STATE(18360)] = 730990,
  [SMALL_STATE(18361)] = 731004,
  [SMALL_STATE(18362)] = 731018,
  [SMALL_STATE(18363)] = 731032,
  [SMALL_STATE(18364)] = 731046,
  [SMALL_STATE(18365)] = 731060,
  [SMALL_STATE(18366)] = 731074,
  [SMALL_STATE(18367)] = 731088,
  [SMALL_STATE(18368)] = 731102,
  [SMALL_STATE(18369)] = 731116,
  [SMALL_STATE(18370)] = 731130,
  [SMALL_STATE(18371)] = 731144,
  [SMALL_STATE(18372)] = 731158,
  [SMALL_STATE(18373)] = 731172,
  [SMALL_STATE(18374)] = 731186,
  [SMALL_STATE(18375)] = 731200,
  [SMALL_STATE(18376)] = 731214,
  [SMALL_STATE(18377)] = 731228,
  [SMALL_STATE(18378)] = 731242,
  [SMALL_STATE(18379)] = 731256,
  [SMALL_STATE(18380)] = 731270,
  [SMALL_STATE(18381)] = 731284,
  [SMALL_STATE(18382)] = 731298,
  [SMALL_STATE(18383)] = 731312,
  [SMALL_STATE(18384)] = 731326,
  [SMALL_STATE(18385)] = 731340,
  [SMALL_STATE(18386)] = 731354,
  [SMALL_STATE(18387)] = 731368,
  [SMALL_STATE(18388)] = 731382,
  [SMALL_STATE(18389)] = 731396,
  [SMALL_STATE(18390)] = 731410,
  [SMALL_STATE(18391)] = 731424,
  [SMALL_STATE(18392)] = 731438,
  [SMALL_STATE(18393)] = 731452,
  [SMALL_STATE(18394)] = 731466,
  [SMALL_STATE(18395)] = 731480,
  [SMALL_STATE(18396)] = 731494,
  [SMALL_STATE(18397)] = 731508,
  [SMALL_STATE(18398)] = 731522,
  [SMALL_STATE(18399)] = 731536,
  [SMALL_STATE(18400)] = 731550,
  [SMALL_STATE(18401)] = 731564,
  [SMALL_STATE(18402)] = 731578,
  [SMALL_STATE(18403)] = 731592,
  [SMALL_STATE(18404)] = 731606,
  [SMALL_STATE(18405)] = 731620,
  [SMALL_STATE(18406)] = 731634,
  [SMALL_STATE(18407)] = 731648,
  [SMALL_STATE(18408)] = 731662,
  [SMALL_STATE(18409)] = 731676,
  [SMALL_STATE(18410)] = 731690,
  [SMALL_STATE(18411)] = 731704,
  [SMALL_STATE(18412)] = 731718,
  [SMALL_STATE(18413)] = 731732,
  [SMALL_STATE(18414)] = 731746,
  [SMALL_STATE(18415)] = 731760,
  [SMALL_STATE(18416)] = 731774,
  [SMALL_STATE(18417)] = 731788,
  [SMALL_STATE(18418)] = 731802,
  [SMALL_STATE(18419)] = 731816,
  [SMALL_STATE(18420)] = 731830,
  [SMALL_STATE(18421)] = 731844,
  [SMALL_STATE(18422)] = 731858,
  [SMALL_STATE(18423)] = 731872,
  [SMALL_STATE(18424)] = 731886,
  [SMALL_STATE(18425)] = 731900,
  [SMALL_STATE(18426)] = 731914,
  [SMALL_STATE(18427)] = 731928,
  [SMALL_STATE(18428)] = 731942,
  [SMALL_STATE(18429)] = 731956,
  [SMALL_STATE(18430)] = 731970,
  [SMALL_STATE(18431)] = 731984,
  [SMALL_STATE(18432)] = 731998,
  [SMALL_STATE(18433)] = 732012,
  [SMALL_STATE(18434)] = 732026,
  [SMALL_STATE(18435)] = 732040,
  [SMALL_STATE(18436)] = 732054,
  [SMALL_STATE(18437)] = 732068,
  [SMALL_STATE(18438)] = 732082,
  [SMALL_STATE(18439)] = 732096,
  [SMALL_STATE(18440)] = 732110,
  [SMALL_STATE(18441)] = 732124,
  [SMALL_STATE(18442)] = 732138,
  [SMALL_STATE(18443)] = 732152,
  [SMALL_STATE(18444)] = 732166,
  [SMALL_STATE(18445)] = 732180,
  [SMALL_STATE(18446)] = 732194,
  [SMALL_STATE(18447)] = 732208,
  [SMALL_STATE(18448)] = 732222,
  [SMALL_STATE(18449)] = 732236,
  [SMALL_STATE(18450)] = 732250,
  [SMALL_STATE(18451)] = 732264,
  [SMALL_STATE(18452)] = 732278,
  [SMALL_STATE(18453)] = 732292,
  [SMALL_STATE(18454)] = 732306,
  [SMALL_STATE(18455)] = 732320,
  [SMALL_STATE(18456)] = 732334,
  [SMALL_STATE(18457)] = 732348,
  [SMALL_STATE(18458)] = 732362,
  [SMALL_STATE(18459)] = 732376,
  [SMALL_STATE(18460)] = 732390,
  [SMALL_STATE(18461)] = 732404,
  [SMALL_STATE(18462)] = 732418,
  [SMALL_STATE(18463)] = 732432,
  [SMALL_STATE(18464)] = 732446,
  [SMALL_STATE(18465)] = 732460,
  [SMALL_STATE(18466)] = 732474,
  [SMALL_STATE(18467)] = 732488,
  [SMALL_STATE(18468)] = 732502,
  [SMALL_STATE(18469)] = 732516,
  [SMALL_STATE(18470)] = 732530,
  [SMALL_STATE(18471)] = 732544,
  [SMALL_STATE(18472)] = 732558,
  [SMALL_STATE(18473)] = 732572,
  [SMALL_STATE(18474)] = 732586,
  [SMALL_STATE(18475)] = 732600,
  [SMALL_STATE(18476)] = 732614,
  [SMALL_STATE(18477)] = 732628,
  [SMALL_STATE(18478)] = 732642,
  [SMALL_STATE(18479)] = 732656,
  [SMALL_STATE(18480)] = 732670,
  [SMALL_STATE(18481)] = 732684,
  [SMALL_STATE(18482)] = 732698,
  [SMALL_STATE(18483)] = 732712,
  [SMALL_STATE(18484)] = 732726,
  [SMALL_STATE(18485)] = 732740,
  [SMALL_STATE(18486)] = 732754,
  [SMALL_STATE(18487)] = 732768,
  [SMALL_STATE(18488)] = 732782,
  [SMALL_STATE(18489)] = 732796,
  [SMALL_STATE(18490)] = 732810,
  [SMALL_STATE(18491)] = 732824,
  [SMALL_STATE(18492)] = 732838,
  [SMALL_STATE(18493)] = 732852,
  [SMALL_STATE(18494)] = 732866,
  [SMALL_STATE(18495)] = 732880,
  [SMALL_STATE(18496)] = 732894,
  [SMALL_STATE(18497)] = 732908,
  [SMALL_STATE(18498)] = 732922,
  [SMALL_STATE(18499)] = 732936,
  [SMALL_STATE(18500)] = 732950,
  [SMALL_STATE(18501)] = 732964,
  [SMALL_STATE(18502)] = 732978,
  [SMALL_STATE(18503)] = 732992,
  [SMALL_STATE(18504)] = 733006,
  [SMALL_STATE(18505)] = 733020,
  [SMALL_STATE(18506)] = 733034,
  [SMALL_STATE(18507)] = 733048,
  [SMALL_STATE(18508)] = 733062,
  [SMALL_STATE(18509)] = 733076,
  [SMALL_STATE(18510)] = 733090,
  [SMALL_STATE(18511)] = 733104,
  [SMALL_STATE(18512)] = 733118,
  [SMALL_STATE(18513)] = 733132,
  [SMALL_STATE(18514)] = 733146,
  [SMALL_STATE(18515)] = 733160,
  [SMALL_STATE(18516)] = 733174,
  [SMALL_STATE(18517)] = 733188,
  [SMALL_STATE(18518)] = 733202,
  [SMALL_STATE(18519)] = 733216,
  [SMALL_STATE(18520)] = 733230,
  [SMALL_STATE(18521)] = 733244,
  [SMALL_STATE(18522)] = 733258,
  [SMALL_STATE(18523)] = 733272,
  [SMALL_STATE(18524)] = 733286,
  [SMALL_STATE(18525)] = 733300,
  [SMALL_STATE(18526)] = 733314,
  [SMALL_STATE(18527)] = 733328,
  [SMALL_STATE(18528)] = 733342,
  [SMALL_STATE(18529)] = 733356,
  [SMALL_STATE(18530)] = 733370,
  [SMALL_STATE(18531)] = 733384,
  [SMALL_STATE(18532)] = 733398,
  [SMALL_STATE(18533)] = 733412,
  [SMALL_STATE(18534)] = 733426,
  [SMALL_STATE(18535)] = 733440,
  [SMALL_STATE(18536)] = 733454,
  [SMALL_STATE(18537)] = 733468,
  [SMALL_STATE(18538)] = 733482,
  [SMALL_STATE(18539)] = 733496,
  [SMALL_STATE(18540)] = 733510,
  [SMALL_STATE(18541)] = 733524,
  [SMALL_STATE(18542)] = 733538,
  [SMALL_STATE(18543)] = 733552,
  [SMALL_STATE(18544)] = 733566,
  [SMALL_STATE(18545)] = 733580,
  [SMALL_STATE(18546)] = 733594,
  [SMALL_STATE(18547)] = 733608,
  [SMALL_STATE(18548)] = 733622,
  [SMALL_STATE(18549)] = 733636,
  [SMALL_STATE(18550)] = 733650,
  [SMALL_STATE(18551)] = 733664,
  [SMALL_STATE(18552)] = 733678,
  [SMALL_STATE(18553)] = 733692,
  [SMALL_STATE(18554)] = 733706,
  [SMALL_STATE(18555)] = 733720,
  [SMALL_STATE(18556)] = 733734,
  [SMALL_STATE(18557)] = 733748,
  [SMALL_STATE(18558)] = 733762,
  [SMALL_STATE(18559)] = 733776,
  [SMALL_STATE(18560)] = 733790,
  [SMALL_STATE(18561)] = 733804,
  [SMALL_STATE(18562)] = 733818,
  [SMALL_STATE(18563)] = 733832,
  [SMALL_STATE(18564)] = 733846,
  [SMALL_STATE(18565)] = 733860,
  [SMALL_STATE(18566)] = 733874,
  [SMALL_STATE(18567)] = 733888,
  [SMALL_STATE(18568)] = 733902,
  [SMALL_STATE(18569)] = 733916,
  [SMALL_STATE(18570)] = 733930,
  [SMALL_STATE(18571)] = 733944,
  [SMALL_STATE(18572)] = 733958,
  [SMALL_STATE(18573)] = 733972,
  [SMALL_STATE(18574)] = 733986,
  [SMALL_STATE(18575)] = 734000,
  [SMALL_STATE(18576)] = 734014,
  [SMALL_STATE(18577)] = 734028,
  [SMALL_STATE(18578)] = 734042,
  [SMALL_STATE(18579)] = 734056,
  [SMALL_STATE(18580)] = 734070,
  [SMALL_STATE(18581)] = 734084,
  [SMALL_STATE(18582)] = 734098,
  [SMALL_STATE(18583)] = 734112,
  [SMALL_STATE(18584)] = 734126,
  [SMALL_STATE(18585)] = 734140,
  [SMALL_STATE(18586)] = 734154,
  [SMALL_STATE(18587)] = 734168,
  [SMALL_STATE(18588)] = 734182,
  [SMALL_STATE(18589)] = 734196,
  [SMALL_STATE(18590)] = 734210,
  [SMALL_STATE(18591)] = 734224,
  [SMALL_STATE(18592)] = 734238,
  [SMALL_STATE(18593)] = 734252,
  [SMALL_STATE(18594)] = 734266,
  [SMALL_STATE(18595)] = 734280,
  [SMALL_STATE(18596)] = 734294,
  [SMALL_STATE(18597)] = 734308,
  [SMALL_STATE(18598)] = 734322,
  [SMALL_STATE(18599)] = 734336,
  [SMALL_STATE(18600)] = 734350,
  [SMALL_STATE(18601)] = 734364,
  [SMALL_STATE(18602)] = 734378,
  [SMALL_STATE(18603)] = 734392,
  [SMALL_STATE(18604)] = 734406,
  [SMALL_STATE(18605)] = 734420,
  [SMALL_STATE(18606)] = 734434,
  [SMALL_STATE(18607)] = 734448,
  [SMALL_STATE(18608)] = 734462,
  [SMALL_STATE(18609)] = 734476,
  [SMALL_STATE(18610)] = 734490,
  [SMALL_STATE(18611)] = 734504,
  [SMALL_STATE(18612)] = 734518,
  [SMALL_STATE(18613)] = 734532,
  [SMALL_STATE(18614)] = 734546,
  [SMALL_STATE(18615)] = 734560,
  [SMALL_STATE(18616)] = 734574,
  [SMALL_STATE(18617)] = 734588,
  [SMALL_STATE(18618)] = 734602,
  [SMALL_STATE(18619)] = 734616,
  [SMALL_STATE(18620)] = 734630,
  [SMALL_STATE(18621)] = 734644,
  [SMALL_STATE(18622)] = 734658,
  [SMALL_STATE(18623)] = 734672,
  [SMALL_STATE(18624)] = 734686,
  [SMALL_STATE(18625)] = 734700,
  [SMALL_STATE(18626)] = 734714,
  [SMALL_STATE(18627)] = 734728,
  [SMALL_STATE(18628)] = 734742,
  [SMALL_STATE(18629)] = 734756,
  [SMALL_STATE(18630)] = 734770,
  [SMALL_STATE(18631)] = 734784,
  [SMALL_STATE(18632)] = 734798,
  [SMALL_STATE(18633)] = 734812,
  [SMALL_STATE(18634)] = 734826,
  [SMALL_STATE(18635)] = 734840,
  [SMALL_STATE(18636)] = 734854,
  [SMALL_STATE(18637)] = 734868,
  [SMALL_STATE(18638)] = 734882,
  [SMALL_STATE(18639)] = 734896,
  [SMALL_STATE(18640)] = 734910,
  [SMALL_STATE(18641)] = 734924,
  [SMALL_STATE(18642)] = 734938,
  [SMALL_STATE(18643)] = 734952,
  [SMALL_STATE(18644)] = 734966,
  [SMALL_STATE(18645)] = 734980,
  [SMALL_STATE(18646)] = 734994,
  [SMALL_STATE(18647)] = 735008,
  [SMALL_STATE(18648)] = 735022,
  [SMALL_STATE(18649)] = 735036,
  [SMALL_STATE(18650)] = 735050,
  [SMALL_STATE(18651)] = 735064,
  [SMALL_STATE(18652)] = 735078,
  [SMALL_STATE(18653)] = 735092,
  [SMALL_STATE(18654)] = 735106,
  [SMALL_STATE(18655)] = 735120,
  [SMALL_STATE(18656)] = 735134,
  [SMALL_STATE(18657)] = 735148,
  [SMALL_STATE(18658)] = 735162,
  [SMALL_STATE(18659)] = 735176,
  [SMALL_STATE(18660)] = 735190,
  [SMALL_STATE(18661)] = 735204,
  [SMALL_STATE(18662)] = 735218,
  [SMALL_STATE(18663)] = 735232,
  [SMALL_STATE(18664)] = 735246,
  [SMALL_STATE(18665)] = 735260,
  [SMALL_STATE(18666)] = 735274,
  [SMALL_STATE(18667)] = 735288,
  [SMALL_STATE(18668)] = 735302,
  [SMALL_STATE(18669)] = 735316,
  [SMALL_STATE(18670)] = 735330,
  [SMALL_STATE(18671)] = 735344,
  [SMALL_STATE(18672)] = 735358,
  [SMALL_STATE(18673)] = 735372,
  [SMALL_STATE(18674)] = 735386,
  [SMALL_STATE(18675)] = 735400,
  [SMALL_STATE(18676)] = 735414,
  [SMALL_STATE(18677)] = 735428,
  [SMALL_STATE(18678)] = 735442,
  [SMALL_STATE(18679)] = 735456,
  [SMALL_STATE(18680)] = 735470,
  [SMALL_STATE(18681)] = 735484,
  [SMALL_STATE(18682)] = 735498,
  [SMALL_STATE(18683)] = 735512,
  [SMALL_STATE(18684)] = 735526,
  [SMALL_STATE(18685)] = 735540,
  [SMALL_STATE(18686)] = 735554,
  [SMALL_STATE(18687)] = 735568,
  [SMALL_STATE(18688)] = 735582,
  [SMALL_STATE(18689)] = 735596,
  [SMALL_STATE(18690)] = 735610,
  [SMALL_STATE(18691)] = 735624,
  [SMALL_STATE(18692)] = 735638,
  [SMALL_STATE(18693)] = 735652,
  [SMALL_STATE(18694)] = 735666,
  [SMALL_STATE(18695)] = 735680,
  [SMALL_STATE(18696)] = 735694,
  [SMALL_STATE(18697)] = 735708,
  [SMALL_STATE(18698)] = 735722,
  [SMALL_STATE(18699)] = 735736,
  [SMALL_STATE(18700)] = 735750,
  [SMALL_STATE(18701)] = 735764,
  [SMALL_STATE(18702)] = 735778,
  [SMALL_STATE(18703)] = 735792,
  [SMALL_STATE(18704)] = 735806,
  [SMALL_STATE(18705)] = 735820,
  [SMALL_STATE(18706)] = 735834,
  [SMALL_STATE(18707)] = 735848,
  [SMALL_STATE(18708)] = 735862,
  [SMALL_STATE(18709)] = 735876,
  [SMALL_STATE(18710)] = 735890,
  [SMALL_STATE(18711)] = 735904,
  [SMALL_STATE(18712)] = 735918,
  [SMALL_STATE(18713)] = 735932,
  [SMALL_STATE(18714)] = 735946,
  [SMALL_STATE(18715)] = 735960,
  [SMALL_STATE(18716)] = 735974,
  [SMALL_STATE(18717)] = 735988,
  [SMALL_STATE(18718)] = 736002,
  [SMALL_STATE(18719)] = 736016,
  [SMALL_STATE(18720)] = 736030,
  [SMALL_STATE(18721)] = 736044,
  [SMALL_STATE(18722)] = 736058,
  [SMALL_STATE(18723)] = 736072,
  [SMALL_STATE(18724)] = 736086,
  [SMALL_STATE(18725)] = 736100,
  [SMALL_STATE(18726)] = 736114,
  [SMALL_STATE(18727)] = 736128,
  [SMALL_STATE(18728)] = 736142,
  [SMALL_STATE(18729)] = 736156,
  [SMALL_STATE(18730)] = 736170,
  [SMALL_STATE(18731)] = 736184,
  [SMALL_STATE(18732)] = 736198,
  [SMALL_STATE(18733)] = 736212,
  [SMALL_STATE(18734)] = 736226,
  [SMALL_STATE(18735)] = 736240,
  [SMALL_STATE(18736)] = 736254,
  [SMALL_STATE(18737)] = 736268,
  [SMALL_STATE(18738)] = 736282,
  [SMALL_STATE(18739)] = 736296,
  [SMALL_STATE(18740)] = 736310,
  [SMALL_STATE(18741)] = 736324,
  [SMALL_STATE(18742)] = 736338,
  [SMALL_STATE(18743)] = 736352,
  [SMALL_STATE(18744)] = 736366,
  [SMALL_STATE(18745)] = 736380,
  [SMALL_STATE(18746)] = 736394,
  [SMALL_STATE(18747)] = 736408,
  [SMALL_STATE(18748)] = 736422,
  [SMALL_STATE(18749)] = 736436,
  [SMALL_STATE(18750)] = 736450,
  [SMALL_STATE(18751)] = 736464,
  [SMALL_STATE(18752)] = 736478,
  [SMALL_STATE(18753)] = 736492,
  [SMALL_STATE(18754)] = 736506,
  [SMALL_STATE(18755)] = 736520,
  [SMALL_STATE(18756)] = 736534,
  [SMALL_STATE(18757)] = 736548,
  [SMALL_STATE(18758)] = 736562,
  [SMALL_STATE(18759)] = 736576,
  [SMALL_STATE(18760)] = 736590,
  [SMALL_STATE(18761)] = 736604,
  [SMALL_STATE(18762)] = 736618,
  [SMALL_STATE(18763)] = 736632,
  [SMALL_STATE(18764)] = 736646,
  [SMALL_STATE(18765)] = 736660,
  [SMALL_STATE(18766)] = 736674,
  [SMALL_STATE(18767)] = 736688,
  [SMALL_STATE(18768)] = 736702,
  [SMALL_STATE(18769)] = 736716,
  [SMALL_STATE(18770)] = 736730,
  [SMALL_STATE(18771)] = 736744,
  [SMALL_STATE(18772)] = 736758,
  [SMALL_STATE(18773)] = 736772,
  [SMALL_STATE(18774)] = 736786,
  [SMALL_STATE(18775)] = 736800,
  [SMALL_STATE(18776)] = 736814,
  [SMALL_STATE(18777)] = 736828,
  [SMALL_STATE(18778)] = 736842,
  [SMALL_STATE(18779)] = 736856,
  [SMALL_STATE(18780)] = 736870,
  [SMALL_STATE(18781)] = 736884,
  [SMALL_STATE(18782)] = 736898,
  [SMALL_STATE(18783)] = 736912,
  [SMALL_STATE(18784)] = 736926,
  [SMALL_STATE(18785)] = 736940,
  [SMALL_STATE(18786)] = 736954,
  [SMALL_STATE(18787)] = 736968,
  [SMALL_STATE(18788)] = 736982,
  [SMALL_STATE(18789)] = 736996,
  [SMALL_STATE(18790)] = 737010,
  [SMALL_STATE(18791)] = 737024,
  [SMALL_STATE(18792)] = 737038,
  [SMALL_STATE(18793)] = 737052,
  [SMALL_STATE(18794)] = 737066,
  [SMALL_STATE(18795)] = 737080,
  [SMALL_STATE(18796)] = 737094,
  [SMALL_STATE(18797)] = 737108,
  [SMALL_STATE(18798)] = 737122,
  [SMALL_STATE(18799)] = 737136,
  [SMALL_STATE(18800)] = 737150,
  [SMALL_STATE(18801)] = 737164,
  [SMALL_STATE(18802)] = 737178,
  [SMALL_STATE(18803)] = 737192,
  [SMALL_STATE(18804)] = 737206,
  [SMALL_STATE(18805)] = 737220,
  [SMALL_STATE(18806)] = 737234,
  [SMALL_STATE(18807)] = 737248,
  [SMALL_STATE(18808)] = 737262,
  [SMALL_STATE(18809)] = 737276,
  [SMALL_STATE(18810)] = 737290,
  [SMALL_STATE(18811)] = 737304,
  [SMALL_STATE(18812)] = 737318,
  [SMALL_STATE(18813)] = 737332,
  [SMALL_STATE(18814)] = 737346,
  [SMALL_STATE(18815)] = 737360,
  [SMALL_STATE(18816)] = 737374,
  [SMALL_STATE(18817)] = 737388,
  [SMALL_STATE(18818)] = 737402,
  [SMALL_STATE(18819)] = 737416,
  [SMALL_STATE(18820)] = 737430,
  [SMALL_STATE(18821)] = 737444,
  [SMALL_STATE(18822)] = 737458,
  [SMALL_STATE(18823)] = 737472,
  [SMALL_STATE(18824)] = 737486,
  [SMALL_STATE(18825)] = 737500,
  [SMALL_STATE(18826)] = 737514,
  [SMALL_STATE(18827)] = 737528,
  [SMALL_STATE(18828)] = 737542,
  [SMALL_STATE(18829)] = 737556,
  [SMALL_STATE(18830)] = 737570,
  [SMALL_STATE(18831)] = 737584,
  [SMALL_STATE(18832)] = 737598,
  [SMALL_STATE(18833)] = 737612,
  [SMALL_STATE(18834)] = 737626,
  [SMALL_STATE(18835)] = 737640,
  [SMALL_STATE(18836)] = 737654,
  [SMALL_STATE(18837)] = 737668,
  [SMALL_STATE(18838)] = 737682,
  [SMALL_STATE(18839)] = 737696,
  [SMALL_STATE(18840)] = 737710,
  [SMALL_STATE(18841)] = 737724,
  [SMALL_STATE(18842)] = 737738,
  [SMALL_STATE(18843)] = 737752,
  [SMALL_STATE(18844)] = 737766,
  [SMALL_STATE(18845)] = 737780,
  [SMALL_STATE(18846)] = 737794,
  [SMALL_STATE(18847)] = 737808,
  [SMALL_STATE(18848)] = 737822,
  [SMALL_STATE(18849)] = 737836,
  [SMALL_STATE(18850)] = 737850,
  [SMALL_STATE(18851)] = 737864,
  [SMALL_STATE(18852)] = 737878,
  [SMALL_STATE(18853)] = 737892,
  [SMALL_STATE(18854)] = 737906,
  [SMALL_STATE(18855)] = 737920,
  [SMALL_STATE(18856)] = 737934,
  [SMALL_STATE(18857)] = 737948,
  [SMALL_STATE(18858)] = 737962,
  [SMALL_STATE(18859)] = 737976,
  [SMALL_STATE(18860)] = 737990,
  [SMALL_STATE(18861)] = 738004,
  [SMALL_STATE(18862)] = 738018,
  [SMALL_STATE(18863)] = 738032,
  [SMALL_STATE(18864)] = 738046,
  [SMALL_STATE(18865)] = 738060,
  [SMALL_STATE(18866)] = 738074,
  [SMALL_STATE(18867)] = 738088,
  [SMALL_STATE(18868)] = 738102,
  [SMALL_STATE(18869)] = 738116,
  [SMALL_STATE(18870)] = 738130,
  [SMALL_STATE(18871)] = 738144,
  [SMALL_STATE(18872)] = 738158,
  [SMALL_STATE(18873)] = 738172,
  [SMALL_STATE(18874)] = 738186,
  [SMALL_STATE(18875)] = 738200,
  [SMALL_STATE(18876)] = 738214,
  [SMALL_STATE(18877)] = 738228,
  [SMALL_STATE(18878)] = 738242,
  [SMALL_STATE(18879)] = 738256,
  [SMALL_STATE(18880)] = 738270,
  [SMALL_STATE(18881)] = 738284,
  [SMALL_STATE(18882)] = 738298,
  [SMALL_STATE(18883)] = 738312,
  [SMALL_STATE(18884)] = 738326,
  [SMALL_STATE(18885)] = 738340,
  [SMALL_STATE(18886)] = 738354,
  [SMALL_STATE(18887)] = 738368,
  [SMALL_STATE(18888)] = 738382,
  [SMALL_STATE(18889)] = 738396,
  [SMALL_STATE(18890)] = 738410,
  [SMALL_STATE(18891)] = 738424,
  [SMALL_STATE(18892)] = 738438,
  [SMALL_STATE(18893)] = 738452,
  [SMALL_STATE(18894)] = 738466,
  [SMALL_STATE(18895)] = 738480,
  [SMALL_STATE(18896)] = 738494,
  [SMALL_STATE(18897)] = 738508,
  [SMALL_STATE(18898)] = 738522,
  [SMALL_STATE(18899)] = 738536,
  [SMALL_STATE(18900)] = 738550,
  [SMALL_STATE(18901)] = 738564,
  [SMALL_STATE(18902)] = 738578,
  [SMALL_STATE(18903)] = 738592,
  [SMALL_STATE(18904)] = 738606,
  [SMALL_STATE(18905)] = 738620,
  [SMALL_STATE(18906)] = 738634,
  [SMALL_STATE(18907)] = 738648,
  [SMALL_STATE(18908)] = 738662,
  [SMALL_STATE(18909)] = 738676,
  [SMALL_STATE(18910)] = 738690,
  [SMALL_STATE(18911)] = 738704,
  [SMALL_STATE(18912)] = 738718,
  [SMALL_STATE(18913)] = 738732,
  [SMALL_STATE(18914)] = 738746,
  [SMALL_STATE(18915)] = 738760,
  [SMALL_STATE(18916)] = 738774,
  [SMALL_STATE(18917)] = 738788,
  [SMALL_STATE(18918)] = 738802,
  [SMALL_STATE(18919)] = 738816,
  [SMALL_STATE(18920)] = 738830,
  [SMALL_STATE(18921)] = 738844,
  [SMALL_STATE(18922)] = 738858,
  [SMALL_STATE(18923)] = 738872,
  [SMALL_STATE(18924)] = 738886,
  [SMALL_STATE(18925)] = 738900,
  [SMALL_STATE(18926)] = 738914,
  [SMALL_STATE(18927)] = 738928,
  [SMALL_STATE(18928)] = 738942,
  [SMALL_STATE(18929)] = 738956,
  [SMALL_STATE(18930)] = 738970,
  [SMALL_STATE(18931)] = 738984,
  [SMALL_STATE(18932)] = 738998,
  [SMALL_STATE(18933)] = 739012,
  [SMALL_STATE(18934)] = 739026,
  [SMALL_STATE(18935)] = 739040,
  [SMALL_STATE(18936)] = 739054,
  [SMALL_STATE(18937)] = 739068,
  [SMALL_STATE(18938)] = 739082,
  [SMALL_STATE(18939)] = 739096,
  [SMALL_STATE(18940)] = 739110,
  [SMALL_STATE(18941)] = 739124,
  [SMALL_STATE(18942)] = 739138,
  [SMALL_STATE(18943)] = 739152,
  [SMALL_STATE(18944)] = 739166,
  [SMALL_STATE(18945)] = 739180,
  [SMALL_STATE(18946)] = 739194,
  [SMALL_STATE(18947)] = 739208,
  [SMALL_STATE(18948)] = 739222,
  [SMALL_STATE(18949)] = 739236,
  [SMALL_STATE(18950)] = 739250,
  [SMALL_STATE(18951)] = 739264,
  [SMALL_STATE(18952)] = 739278,
  [SMALL_STATE(18953)] = 739292,
  [SMALL_STATE(18954)] = 739306,
  [SMALL_STATE(18955)] = 739320,
  [SMALL_STATE(18956)] = 739334,
  [SMALL_STATE(18957)] = 739348,
  [SMALL_STATE(18958)] = 739362,
  [SMALL_STATE(18959)] = 739376,
  [SMALL_STATE(18960)] = 739390,
  [SMALL_STATE(18961)] = 739404,
  [SMALL_STATE(18962)] = 739418,
  [SMALL_STATE(18963)] = 739432,
  [SMALL_STATE(18964)] = 739446,
  [SMALL_STATE(18965)] = 739460,
  [SMALL_STATE(18966)] = 739474,
  [SMALL_STATE(18967)] = 739488,
  [SMALL_STATE(18968)] = 739502,
  [SMALL_STATE(18969)] = 739516,
  [SMALL_STATE(18970)] = 739530,
  [SMALL_STATE(18971)] = 739544,
  [SMALL_STATE(18972)] = 739558,
  [SMALL_STATE(18973)] = 739572,
  [SMALL_STATE(18974)] = 739586,
  [SMALL_STATE(18975)] = 739600,
  [SMALL_STATE(18976)] = 739614,
  [SMALL_STATE(18977)] = 739628,
  [SMALL_STATE(18978)] = 739642,
  [SMALL_STATE(18979)] = 739656,
  [SMALL_STATE(18980)] = 739670,
  [SMALL_STATE(18981)] = 739684,
  [SMALL_STATE(18982)] = 739698,
  [SMALL_STATE(18983)] = 739712,
  [SMALL_STATE(18984)] = 739726,
  [SMALL_STATE(18985)] = 739740,
  [SMALL_STATE(18986)] = 739754,
  [SMALL_STATE(18987)] = 739768,
  [SMALL_STATE(18988)] = 739782,
  [SMALL_STATE(18989)] = 739796,
  [SMALL_STATE(18990)] = 739810,
  [SMALL_STATE(18991)] = 739824,
  [SMALL_STATE(18992)] = 739838,
  [SMALL_STATE(18993)] = 739852,
  [SMALL_STATE(18994)] = 739866,
  [SMALL_STATE(18995)] = 739880,
  [SMALL_STATE(18996)] = 739894,
  [SMALL_STATE(18997)] = 739908,
  [SMALL_STATE(18998)] = 739922,
  [SMALL_STATE(18999)] = 739936,
  [SMALL_STATE(19000)] = 739950,
  [SMALL_STATE(19001)] = 739964,
  [SMALL_STATE(19002)] = 739978,
  [SMALL_STATE(19003)] = 739992,
  [SMALL_STATE(19004)] = 740006,
  [SMALL_STATE(19005)] = 740020,
  [SMALL_STATE(19006)] = 740034,
  [SMALL_STATE(19007)] = 740048,
  [SMALL_STATE(19008)] = 740062,
  [SMALL_STATE(19009)] = 740076,
  [SMALL_STATE(19010)] = 740090,
  [SMALL_STATE(19011)] = 740104,
  [SMALL_STATE(19012)] = 740118,
  [SMALL_STATE(19013)] = 740132,
  [SMALL_STATE(19014)] = 740146,
  [SMALL_STATE(19015)] = 740160,
  [SMALL_STATE(19016)] = 740174,
  [SMALL_STATE(19017)] = 740188,
  [SMALL_STATE(19018)] = 740202,
  [SMALL_STATE(19019)] = 740216,
  [SMALL_STATE(19020)] = 740230,
  [SMALL_STATE(19021)] = 740244,
  [SMALL_STATE(19022)] = 740258,
  [SMALL_STATE(19023)] = 740272,
  [SMALL_STATE(19024)] = 740286,
  [SMALL_STATE(19025)] = 740300,
  [SMALL_STATE(19026)] = 740314,
  [SMALL_STATE(19027)] = 740328,
  [SMALL_STATE(19028)] = 740342,
  [SMALL_STATE(19029)] = 740356,
  [SMALL_STATE(19030)] = 740370,
  [SMALL_STATE(19031)] = 740384,
  [SMALL_STATE(19032)] = 740398,
  [SMALL_STATE(19033)] = 740412,
  [SMALL_STATE(19034)] = 740426,
  [SMALL_STATE(19035)] = 740440,
  [SMALL_STATE(19036)] = 740454,
  [SMALL_STATE(19037)] = 740468,
  [SMALL_STATE(19038)] = 740482,
  [SMALL_STATE(19039)] = 740496,
  [SMALL_STATE(19040)] = 740510,
  [SMALL_STATE(19041)] = 740524,
  [SMALL_STATE(19042)] = 740538,
  [SMALL_STATE(19043)] = 740552,
  [SMALL_STATE(19044)] = 740566,
  [SMALL_STATE(19045)] = 740580,
  [SMALL_STATE(19046)] = 740594,
  [SMALL_STATE(19047)] = 740608,
  [SMALL_STATE(19048)] = 740622,
  [SMALL_STATE(19049)] = 740636,
  [SMALL_STATE(19050)] = 740650,
  [SMALL_STATE(19051)] = 740664,
  [SMALL_STATE(19052)] = 740678,
  [SMALL_STATE(19053)] = 740692,
  [SMALL_STATE(19054)] = 740706,
  [SMALL_STATE(19055)] = 740720,
  [SMALL_STATE(19056)] = 740734,
  [SMALL_STATE(19057)] = 740748,
  [SMALL_STATE(19058)] = 740762,
  [SMALL_STATE(19059)] = 740776,
  [SMALL_STATE(19060)] = 740790,
  [SMALL_STATE(19061)] = 740804,
  [SMALL_STATE(19062)] = 740818,
  [SMALL_STATE(19063)] = 740832,
  [SMALL_STATE(19064)] = 740846,
  [SMALL_STATE(19065)] = 740860,
  [SMALL_STATE(19066)] = 740874,
  [SMALL_STATE(19067)] = 740888,
  [SMALL_STATE(19068)] = 740902,
  [SMALL_STATE(19069)] = 740916,
  [SMALL_STATE(19070)] = 740930,
  [SMALL_STATE(19071)] = 740944,
  [SMALL_STATE(19072)] = 740958,
  [SMALL_STATE(19073)] = 740972,
  [SMALL_STATE(19074)] = 740986,
  [SMALL_STATE(19075)] = 741000,
  [SMALL_STATE(19076)] = 741014,
  [SMALL_STATE(19077)] = 741028,
  [SMALL_STATE(19078)] = 741042,
  [SMALL_STATE(19079)] = 741056,
  [SMALL_STATE(19080)] = 741070,
  [SMALL_STATE(19081)] = 741084,
  [SMALL_STATE(19082)] = 741098,
  [SMALL_STATE(19083)] = 741112,
  [SMALL_STATE(19084)] = 741126,
  [SMALL_STATE(19085)] = 741140,
  [SMALL_STATE(19086)] = 741154,
  [SMALL_STATE(19087)] = 741168,
  [SMALL_STATE(19088)] = 741182,
  [SMALL_STATE(19089)] = 741196,
  [SMALL_STATE(19090)] = 741210,
  [SMALL_STATE(19091)] = 741224,
  [SMALL_STATE(19092)] = 741238,
  [SMALL_STATE(19093)] = 741252,
  [SMALL_STATE(19094)] = 741266,
  [SMALL_STATE(19095)] = 741280,
  [SMALL_STATE(19096)] = 741294,
  [SMALL_STATE(19097)] = 741308,
  [SMALL_STATE(19098)] = 741322,
  [SMALL_STATE(19099)] = 741336,
  [SMALL_STATE(19100)] = 741350,
  [SMALL_STATE(19101)] = 741364,
  [SMALL_STATE(19102)] = 741378,
  [SMALL_STATE(19103)] = 741392,
  [SMALL_STATE(19104)] = 741406,
  [SMALL_STATE(19105)] = 741420,
  [SMALL_STATE(19106)] = 741434,
  [SMALL_STATE(19107)] = 741448,
  [SMALL_STATE(19108)] = 741462,
  [SMALL_STATE(19109)] = 741476,
  [SMALL_STATE(19110)] = 741490,
  [SMALL_STATE(19111)] = 741504,
  [SMALL_STATE(19112)] = 741518,
  [SMALL_STATE(19113)] = 741532,
  [SMALL_STATE(19114)] = 741546,
  [SMALL_STATE(19115)] = 741560,
  [SMALL_STATE(19116)] = 741574,
  [SMALL_STATE(19117)] = 741588,
  [SMALL_STATE(19118)] = 741602,
  [SMALL_STATE(19119)] = 741616,
  [SMALL_STATE(19120)] = 741630,
  [SMALL_STATE(19121)] = 741644,
  [SMALL_STATE(19122)] = 741658,
  [SMALL_STATE(19123)] = 741672,
  [SMALL_STATE(19124)] = 741686,
  [SMALL_STATE(19125)] = 741700,
  [SMALL_STATE(19126)] = 741714,
  [SMALL_STATE(19127)] = 741728,
  [SMALL_STATE(19128)] = 741742,
  [SMALL_STATE(19129)] = 741756,
  [SMALL_STATE(19130)] = 741770,
  [SMALL_STATE(19131)] = 741784,
  [SMALL_STATE(19132)] = 741798,
  [SMALL_STATE(19133)] = 741812,
  [SMALL_STATE(19134)] = 741826,
  [SMALL_STATE(19135)] = 741840,
  [SMALL_STATE(19136)] = 741854,
  [SMALL_STATE(19137)] = 741868,
  [SMALL_STATE(19138)] = 741882,
  [SMALL_STATE(19139)] = 741896,
  [SMALL_STATE(19140)] = 741910,
  [SMALL_STATE(19141)] = 741924,
  [SMALL_STATE(19142)] = 741938,
  [SMALL_STATE(19143)] = 741952,
  [SMALL_STATE(19144)] = 741966,
  [SMALL_STATE(19145)] = 741980,
  [SMALL_STATE(19146)] = 741994,
  [SMALL_STATE(19147)] = 742008,
  [SMALL_STATE(19148)] = 742022,
  [SMALL_STATE(19149)] = 742036,
  [SMALL_STATE(19150)] = 742050,
  [SMALL_STATE(19151)] = 742064,
  [SMALL_STATE(19152)] = 742078,
  [SMALL_STATE(19153)] = 742092,
  [SMALL_STATE(19154)] = 742106,
  [SMALL_STATE(19155)] = 742120,
  [SMALL_STATE(19156)] = 742134,
  [SMALL_STATE(19157)] = 742148,
  [SMALL_STATE(19158)] = 742162,
  [SMALL_STATE(19159)] = 742176,
  [SMALL_STATE(19160)] = 742190,
  [SMALL_STATE(19161)] = 742204,
  [SMALL_STATE(19162)] = 742218,
  [SMALL_STATE(19163)] = 742232,
  [SMALL_STATE(19164)] = 742246,
  [SMALL_STATE(19165)] = 742260,
  [SMALL_STATE(19166)] = 742274,
  [SMALL_STATE(19167)] = 742288,
  [SMALL_STATE(19168)] = 742302,
  [SMALL_STATE(19169)] = 742316,
  [SMALL_STATE(19170)] = 742330,
  [SMALL_STATE(19171)] = 742344,
  [SMALL_STATE(19172)] = 742358,
  [SMALL_STATE(19173)] = 742372,
  [SMALL_STATE(19174)] = 742386,
  [SMALL_STATE(19175)] = 742400,
  [SMALL_STATE(19176)] = 742414,
  [SMALL_STATE(19177)] = 742428,
  [SMALL_STATE(19178)] = 742442,
  [SMALL_STATE(19179)] = 742456,
  [SMALL_STATE(19180)] = 742470,
  [SMALL_STATE(19181)] = 742484,
  [SMALL_STATE(19182)] = 742498,
  [SMALL_STATE(19183)] = 742512,
  [SMALL_STATE(19184)] = 742526,
  [SMALL_STATE(19185)] = 742540,
  [SMALL_STATE(19186)] = 742554,
  [SMALL_STATE(19187)] = 742568,
  [SMALL_STATE(19188)] = 742582,
  [SMALL_STATE(19189)] = 742596,
  [SMALL_STATE(19190)] = 742610,
  [SMALL_STATE(19191)] = 742624,
  [SMALL_STATE(19192)] = 742638,
  [SMALL_STATE(19193)] = 742652,
  [SMALL_STATE(19194)] = 742666,
  [SMALL_STATE(19195)] = 742680,
  [SMALL_STATE(19196)] = 742694,
  [SMALL_STATE(19197)] = 742708,
  [SMALL_STATE(19198)] = 742722,
  [SMALL_STATE(19199)] = 742736,
  [SMALL_STATE(19200)] = 742750,
  [SMALL_STATE(19201)] = 742764,
  [SMALL_STATE(19202)] = 742778,
  [SMALL_STATE(19203)] = 742792,
  [SMALL_STATE(19204)] = 742806,
  [SMALL_STATE(19205)] = 742820,
  [SMALL_STATE(19206)] = 742834,
  [SMALL_STATE(19207)] = 742848,
  [SMALL_STATE(19208)] = 742862,
  [SMALL_STATE(19209)] = 742876,
  [SMALL_STATE(19210)] = 742890,
  [SMALL_STATE(19211)] = 742904,
  [SMALL_STATE(19212)] = 742918,
  [SMALL_STATE(19213)] = 742932,
  [SMALL_STATE(19214)] = 742946,
  [SMALL_STATE(19215)] = 742960,
  [SMALL_STATE(19216)] = 742974,
  [SMALL_STATE(19217)] = 742988,
  [SMALL_STATE(19218)] = 743002,
  [SMALL_STATE(19219)] = 743016,
  [SMALL_STATE(19220)] = 743030,
  [SMALL_STATE(19221)] = 743044,
  [SMALL_STATE(19222)] = 743058,
  [SMALL_STATE(19223)] = 743072,
  [SMALL_STATE(19224)] = 743086,
  [SMALL_STATE(19225)] = 743100,
  [SMALL_STATE(19226)] = 743114,
  [SMALL_STATE(19227)] = 743128,
  [SMALL_STATE(19228)] = 743142,
  [SMALL_STATE(19229)] = 743156,
  [SMALL_STATE(19230)] = 743170,
  [SMALL_STATE(19231)] = 743184,
  [SMALL_STATE(19232)] = 743198,
  [SMALL_STATE(19233)] = 743212,
  [SMALL_STATE(19234)] = 743226,
  [SMALL_STATE(19235)] = 743240,
  [SMALL_STATE(19236)] = 743254,
  [SMALL_STATE(19237)] = 743268,
  [SMALL_STATE(19238)] = 743282,
  [SMALL_STATE(19239)] = 743296,
  [SMALL_STATE(19240)] = 743310,
  [SMALL_STATE(19241)] = 743324,
  [SMALL_STATE(19242)] = 743338,
  [SMALL_STATE(19243)] = 743352,
  [SMALL_STATE(19244)] = 743366,
  [SMALL_STATE(19245)] = 743380,
  [SMALL_STATE(19246)] = 743394,
  [SMALL_STATE(19247)] = 743408,
  [SMALL_STATE(19248)] = 743422,
  [SMALL_STATE(19249)] = 743436,
  [SMALL_STATE(19250)] = 743450,
  [SMALL_STATE(19251)] = 743464,
  [SMALL_STATE(19252)] = 743478,
  [SMALL_STATE(19253)] = 743492,
  [SMALL_STATE(19254)] = 743506,
  [SMALL_STATE(19255)] = 743520,
  [SMALL_STATE(19256)] = 743534,
  [SMALL_STATE(19257)] = 743548,
  [SMALL_STATE(19258)] = 743562,
  [SMALL_STATE(19259)] = 743576,
  [SMALL_STATE(19260)] = 743590,
  [SMALL_STATE(19261)] = 743604,
  [SMALL_STATE(19262)] = 743618,
  [SMALL_STATE(19263)] = 743632,
  [SMALL_STATE(19264)] = 743646,
  [SMALL_STATE(19265)] = 743660,
  [SMALL_STATE(19266)] = 743674,
  [SMALL_STATE(19267)] = 743688,
  [SMALL_STATE(19268)] = 743702,
  [SMALL_STATE(19269)] = 743716,
  [SMALL_STATE(19270)] = 743730,
  [SMALL_STATE(19271)] = 743744,
  [SMALL_STATE(19272)] = 743758,
  [SMALL_STATE(19273)] = 743772,
  [SMALL_STATE(19274)] = 743786,
  [SMALL_STATE(19275)] = 743800,
  [SMALL_STATE(19276)] = 743814,
  [SMALL_STATE(19277)] = 743828,
  [SMALL_STATE(19278)] = 743842,
  [SMALL_STATE(19279)] = 743856,
  [SMALL_STATE(19280)] = 743870,
  [SMALL_STATE(19281)] = 743884,
  [SMALL_STATE(19282)] = 743898,
  [SMALL_STATE(19283)] = 743912,
  [SMALL_STATE(19284)] = 743926,
  [SMALL_STATE(19285)] = 743940,
  [SMALL_STATE(19286)] = 743954,
  [SMALL_STATE(19287)] = 743968,
  [SMALL_STATE(19288)] = 743982,
  [SMALL_STATE(19289)] = 743996,
  [SMALL_STATE(19290)] = 744010,
  [SMALL_STATE(19291)] = 744024,
  [SMALL_STATE(19292)] = 744038,
  [SMALL_STATE(19293)] = 744052,
  [SMALL_STATE(19294)] = 744066,
  [SMALL_STATE(19295)] = 744080,
  [SMALL_STATE(19296)] = 744094,
  [SMALL_STATE(19297)] = 744108,
  [SMALL_STATE(19298)] = 744122,
  [SMALL_STATE(19299)] = 744136,
  [SMALL_STATE(19300)] = 744150,
  [SMALL_STATE(19301)] = 744164,
  [SMALL_STATE(19302)] = 744178,
  [SMALL_STATE(19303)] = 744192,
  [SMALL_STATE(19304)] = 744206,
  [SMALL_STATE(19305)] = 744220,
  [SMALL_STATE(19306)] = 744234,
  [SMALL_STATE(19307)] = 744248,
  [SMALL_STATE(19308)] = 744262,
  [SMALL_STATE(19309)] = 744276,
  [SMALL_STATE(19310)] = 744290,
  [SMALL_STATE(19311)] = 744304,
  [SMALL_STATE(19312)] = 744318,
  [SMALL_STATE(19313)] = 744332,
  [SMALL_STATE(19314)] = 744346,
  [SMALL_STATE(19315)] = 744360,
  [SMALL_STATE(19316)] = 744374,
  [SMALL_STATE(19317)] = 744388,
  [SMALL_STATE(19318)] = 744402,
  [SMALL_STATE(19319)] = 744416,
  [SMALL_STATE(19320)] = 744430,
  [SMALL_STATE(19321)] = 744444,
  [SMALL_STATE(19322)] = 744458,
  [SMALL_STATE(19323)] = 744472,
  [SMALL_STATE(19324)] = 744486,
  [SMALL_STATE(19325)] = 744500,
  [SMALL_STATE(19326)] = 744514,
  [SMALL_STATE(19327)] = 744528,
  [SMALL_STATE(19328)] = 744542,
  [SMALL_STATE(19329)] = 744556,
  [SMALL_STATE(19330)] = 744570,
  [SMALL_STATE(19331)] = 744584,
  [SMALL_STATE(19332)] = 744598,
  [SMALL_STATE(19333)] = 744612,
  [SMALL_STATE(19334)] = 744626,
  [SMALL_STATE(19335)] = 744640,
  [SMALL_STATE(19336)] = 744654,
  [SMALL_STATE(19337)] = 744668,
  [SMALL_STATE(19338)] = 744682,
  [SMALL_STATE(19339)] = 744696,
  [SMALL_STATE(19340)] = 744710,
  [SMALL_STATE(19341)] = 744724,
  [SMALL_STATE(19342)] = 744738,
  [SMALL_STATE(19343)] = 744752,
  [SMALL_STATE(19344)] = 744766,
  [SMALL_STATE(19345)] = 744780,
  [SMALL_STATE(19346)] = 744794,
  [SMALL_STATE(19347)] = 744808,
  [SMALL_STATE(19348)] = 744822,
  [SMALL_STATE(19349)] = 744836,
  [SMALL_STATE(19350)] = 744850,
  [SMALL_STATE(19351)] = 744864,
  [SMALL_STATE(19352)] = 744878,
  [SMALL_STATE(19353)] = 744892,
  [SMALL_STATE(19354)] = 744906,
  [SMALL_STATE(19355)] = 744920,
  [SMALL_STATE(19356)] = 744934,
  [SMALL_STATE(19357)] = 744948,
  [SMALL_STATE(19358)] = 744962,
  [SMALL_STATE(19359)] = 744976,
  [SMALL_STATE(19360)] = 744990,
  [SMALL_STATE(19361)] = 745004,
  [SMALL_STATE(19362)] = 745018,
  [SMALL_STATE(19363)] = 745032,
  [SMALL_STATE(19364)] = 745046,
  [SMALL_STATE(19365)] = 745060,
  [SMALL_STATE(19366)] = 745074,
  [SMALL_STATE(19367)] = 745088,
  [SMALL_STATE(19368)] = 745102,
  [SMALL_STATE(19369)] = 745116,
  [SMALL_STATE(19370)] = 745130,
  [SMALL_STATE(19371)] = 745144,
  [SMALL_STATE(19372)] = 745158,
  [SMALL_STATE(19373)] = 745172,
  [SMALL_STATE(19374)] = 745186,
  [SMALL_STATE(19375)] = 745200,
  [SMALL_STATE(19376)] = 745214,
  [SMALL_STATE(19377)] = 745228,
  [SMALL_STATE(19378)] = 745242,
  [SMALL_STATE(19379)] = 745256,
  [SMALL_STATE(19380)] = 745270,
  [SMALL_STATE(19381)] = 745284,
  [SMALL_STATE(19382)] = 745298,
  [SMALL_STATE(19383)] = 745312,
  [SMALL_STATE(19384)] = 745326,
  [SMALL_STATE(19385)] = 745340,
  [SMALL_STATE(19386)] = 745354,
  [SMALL_STATE(19387)] = 745368,
  [SMALL_STATE(19388)] = 745382,
  [SMALL_STATE(19389)] = 745396,
  [SMALL_STATE(19390)] = 745410,
  [SMALL_STATE(19391)] = 745424,
  [SMALL_STATE(19392)] = 745438,
  [SMALL_STATE(19393)] = 745452,
  [SMALL_STATE(19394)] = 745466,
  [SMALL_STATE(19395)] = 745480,
  [SMALL_STATE(19396)] = 745494,
  [SMALL_STATE(19397)] = 745508,
  [SMALL_STATE(19398)] = 745522,
  [SMALL_STATE(19399)] = 745536,
  [SMALL_STATE(19400)] = 745550,
  [SMALL_STATE(19401)] = 745564,
  [SMALL_STATE(19402)] = 745578,
  [SMALL_STATE(19403)] = 745592,
  [SMALL_STATE(19404)] = 745606,
  [SMALL_STATE(19405)] = 745620,
  [SMALL_STATE(19406)] = 745634,
  [SMALL_STATE(19407)] = 745648,
  [SMALL_STATE(19408)] = 745662,
  [SMALL_STATE(19409)] = 745676,
  [SMALL_STATE(19410)] = 745690,
  [SMALL_STATE(19411)] = 745704,
  [SMALL_STATE(19412)] = 745718,
  [SMALL_STATE(19413)] = 745732,
  [SMALL_STATE(19414)] = 745746,
  [SMALL_STATE(19415)] = 745760,
  [SMALL_STATE(19416)] = 745774,
  [SMALL_STATE(19417)] = 745788,
  [SMALL_STATE(19418)] = 745802,
  [SMALL_STATE(19419)] = 745816,
  [SMALL_STATE(19420)] = 745830,
  [SMALL_STATE(19421)] = 745844,
  [SMALL_STATE(19422)] = 745858,
  [SMALL_STATE(19423)] = 745872,
  [SMALL_STATE(19424)] = 745886,
  [SMALL_STATE(19425)] = 745900,
  [SMALL_STATE(19426)] = 745914,
  [SMALL_STATE(19427)] = 745928,
  [SMALL_STATE(19428)] = 745942,
  [SMALL_STATE(19429)] = 745956,
  [SMALL_STATE(19430)] = 745970,
  [SMALL_STATE(19431)] = 745984,
  [SMALL_STATE(19432)] = 745998,
  [SMALL_STATE(19433)] = 746012,
  [SMALL_STATE(19434)] = 746026,
  [SMALL_STATE(19435)] = 746040,
  [SMALL_STATE(19436)] = 746054,
  [SMALL_STATE(19437)] = 746068,
  [SMALL_STATE(19438)] = 746082,
  [SMALL_STATE(19439)] = 746096,
  [SMALL_STATE(19440)] = 746110,
  [SMALL_STATE(19441)] = 746124,
  [SMALL_STATE(19442)] = 746138,
  [SMALL_STATE(19443)] = 746152,
  [SMALL_STATE(19444)] = 746166,
  [SMALL_STATE(19445)] = 746180,
  [SMALL_STATE(19446)] = 746194,
  [SMALL_STATE(19447)] = 746208,
  [SMALL_STATE(19448)] = 746222,
  [SMALL_STATE(19449)] = 746236,
  [SMALL_STATE(19450)] = 746250,
  [SMALL_STATE(19451)] = 746264,
  [SMALL_STATE(19452)] = 746278,
  [SMALL_STATE(19453)] = 746292,
  [SMALL_STATE(19454)] = 746306,
  [SMALL_STATE(19455)] = 746320,
  [SMALL_STATE(19456)] = 746334,
  [SMALL_STATE(19457)] = 746348,
  [SMALL_STATE(19458)] = 746362,
  [SMALL_STATE(19459)] = 746376,
  [SMALL_STATE(19460)] = 746390,
  [SMALL_STATE(19461)] = 746404,
  [SMALL_STATE(19462)] = 746418,
  [SMALL_STATE(19463)] = 746432,
  [SMALL_STATE(19464)] = 746446,
  [SMALL_STATE(19465)] = 746460,
  [SMALL_STATE(19466)] = 746474,
  [SMALL_STATE(19467)] = 746488,
  [SMALL_STATE(19468)] = 746502,
  [SMALL_STATE(19469)] = 746516,
  [SMALL_STATE(19470)] = 746530,
  [SMALL_STATE(19471)] = 746544,
  [SMALL_STATE(19472)] = 746558,
  [SMALL_STATE(19473)] = 746572,
  [SMALL_STATE(19474)] = 746586,
  [SMALL_STATE(19475)] = 746600,
  [SMALL_STATE(19476)] = 746614,
  [SMALL_STATE(19477)] = 746628,
  [SMALL_STATE(19478)] = 746642,
  [SMALL_STATE(19479)] = 746656,
  [SMALL_STATE(19480)] = 746670,
  [SMALL_STATE(19481)] = 746684,
  [SMALL_STATE(19482)] = 746698,
  [SMALL_STATE(19483)] = 746712,
  [SMALL_STATE(19484)] = 746726,
  [SMALL_STATE(19485)] = 746740,
  [SMALL_STATE(19486)] = 746754,
  [SMALL_STATE(19487)] = 746768,
  [SMALL_STATE(19488)] = 746782,
  [SMALL_STATE(19489)] = 746796,
  [SMALL_STATE(19490)] = 746810,
  [SMALL_STATE(19491)] = 746824,
  [SMALL_STATE(19492)] = 746838,
  [SMALL_STATE(19493)] = 746852,
  [SMALL_STATE(19494)] = 746866,
  [SMALL_STATE(19495)] = 746880,
  [SMALL_STATE(19496)] = 746894,
  [SMALL_STATE(19497)] = 746908,
  [SMALL_STATE(19498)] = 746922,
  [SMALL_STATE(19499)] = 746936,
  [SMALL_STATE(19500)] = 746950,
  [SMALL_STATE(19501)] = 746964,
  [SMALL_STATE(19502)] = 746978,
  [SMALL_STATE(19503)] = 746992,
  [SMALL_STATE(19504)] = 747006,
  [SMALL_STATE(19505)] = 747020,
  [SMALL_STATE(19506)] = 747034,
  [SMALL_STATE(19507)] = 747048,
  [SMALL_STATE(19508)] = 747062,
  [SMALL_STATE(19509)] = 747076,
  [SMALL_STATE(19510)] = 747090,
  [SMALL_STATE(19511)] = 747104,
  [SMALL_STATE(19512)] = 747118,
  [SMALL_STATE(19513)] = 747132,
  [SMALL_STATE(19514)] = 747146,
  [SMALL_STATE(19515)] = 747160,
  [SMALL_STATE(19516)] = 747174,
  [SMALL_STATE(19517)] = 747188,
  [SMALL_STATE(19518)] = 747202,
  [SMALL_STATE(19519)] = 747216,
  [SMALL_STATE(19520)] = 747230,
  [SMALL_STATE(19521)] = 747244,
  [SMALL_STATE(19522)] = 747258,
  [SMALL_STATE(19523)] = 747272,
  [SMALL_STATE(19524)] = 747286,
  [SMALL_STATE(19525)] = 747300,
  [SMALL_STATE(19526)] = 747314,
  [SMALL_STATE(19527)] = 747328,
  [SMALL_STATE(19528)] = 747342,
  [SMALL_STATE(19529)] = 747356,
  [SMALL_STATE(19530)] = 747370,
  [SMALL_STATE(19531)] = 747384,
  [SMALL_STATE(19532)] = 747398,
  [SMALL_STATE(19533)] = 747412,
  [SMALL_STATE(19534)] = 747426,
  [SMALL_STATE(19535)] = 747440,
  [SMALL_STATE(19536)] = 747454,
  [SMALL_STATE(19537)] = 747468,
  [SMALL_STATE(19538)] = 747482,
  [SMALL_STATE(19539)] = 747496,
  [SMALL_STATE(19540)] = 747510,
  [SMALL_STATE(19541)] = 747524,
  [SMALL_STATE(19542)] = 747538,
  [SMALL_STATE(19543)] = 747552,
  [SMALL_STATE(19544)] = 747566,
  [SMALL_STATE(19545)] = 747580,
  [SMALL_STATE(19546)] = 747594,
  [SMALL_STATE(19547)] = 747608,
  [SMALL_STATE(19548)] = 747622,
  [SMALL_STATE(19549)] = 747636,
  [SMALL_STATE(19550)] = 747650,
  [SMALL_STATE(19551)] = 747664,
  [SMALL_STATE(19552)] = 747678,
  [SMALL_STATE(19553)] = 747692,
  [SMALL_STATE(19554)] = 747706,
  [SMALL_STATE(19555)] = 747720,
  [SMALL_STATE(19556)] = 747734,
  [SMALL_STATE(19557)] = 747748,
  [SMALL_STATE(19558)] = 747762,
  [SMALL_STATE(19559)] = 747776,
  [SMALL_STATE(19560)] = 747790,
  [SMALL_STATE(19561)] = 747804,
  [SMALL_STATE(19562)] = 747818,
  [SMALL_STATE(19563)] = 747832,
  [SMALL_STATE(19564)] = 747846,
  [SMALL_STATE(19565)] = 747860,
  [SMALL_STATE(19566)] = 747874,
  [SMALL_STATE(19567)] = 747888,
  [SMALL_STATE(19568)] = 747902,
  [SMALL_STATE(19569)] = 747916,
  [SMALL_STATE(19570)] = 747930,
  [SMALL_STATE(19571)] = 747944,
  [SMALL_STATE(19572)] = 747958,
  [SMALL_STATE(19573)] = 747972,
  [SMALL_STATE(19574)] = 747986,
  [SMALL_STATE(19575)] = 748000,
  [SMALL_STATE(19576)] = 748014,
  [SMALL_STATE(19577)] = 748028,
  [SMALL_STATE(19578)] = 748042,
  [SMALL_STATE(19579)] = 748056,
  [SMALL_STATE(19580)] = 748070,
  [SMALL_STATE(19581)] = 748084,
  [SMALL_STATE(19582)] = 748098,
  [SMALL_STATE(19583)] = 748112,
  [SMALL_STATE(19584)] = 748126,
  [SMALL_STATE(19585)] = 748140,
  [SMALL_STATE(19586)] = 748154,
  [SMALL_STATE(19587)] = 748168,
  [SMALL_STATE(19588)] = 748182,
  [SMALL_STATE(19589)] = 748196,
  [SMALL_STATE(19590)] = 748210,
  [SMALL_STATE(19591)] = 748224,
  [SMALL_STATE(19592)] = 748238,
  [SMALL_STATE(19593)] = 748252,
  [SMALL_STATE(19594)] = 748266,
  [SMALL_STATE(19595)] = 748280,
  [SMALL_STATE(19596)] = 748294,
  [SMALL_STATE(19597)] = 748308,
  [SMALL_STATE(19598)] = 748322,
  [SMALL_STATE(19599)] = 748336,
  [SMALL_STATE(19600)] = 748350,
  [SMALL_STATE(19601)] = 748364,
  [SMALL_STATE(19602)] = 748378,
  [SMALL_STATE(19603)] = 748392,
  [SMALL_STATE(19604)] = 748406,
  [SMALL_STATE(19605)] = 748420,
  [SMALL_STATE(19606)] = 748434,
  [SMALL_STATE(19607)] = 748448,
  [SMALL_STATE(19608)] = 748462,
  [SMALL_STATE(19609)] = 748476,
  [SMALL_STATE(19610)] = 748490,
  [SMALL_STATE(19611)] = 748504,
  [SMALL_STATE(19612)] = 748518,
  [SMALL_STATE(19613)] = 748532,
  [SMALL_STATE(19614)] = 748546,
  [SMALL_STATE(19615)] = 748560,
  [SMALL_STATE(19616)] = 748574,
  [SMALL_STATE(19617)] = 748588,
  [SMALL_STATE(19618)] = 748602,
  [SMALL_STATE(19619)] = 748616,
  [SMALL_STATE(19620)] = 748630,
  [SMALL_STATE(19621)] = 748644,
  [SMALL_STATE(19622)] = 748658,
  [SMALL_STATE(19623)] = 748672,
  [SMALL_STATE(19624)] = 748686,
  [SMALL_STATE(19625)] = 748700,
  [SMALL_STATE(19626)] = 748714,
  [SMALL_STATE(19627)] = 748728,
  [SMALL_STATE(19628)] = 748742,
  [SMALL_STATE(19629)] = 748756,
  [SMALL_STATE(19630)] = 748770,
  [SMALL_STATE(19631)] = 748784,
  [SMALL_STATE(19632)] = 748798,
  [SMALL_STATE(19633)] = 748812,
  [SMALL_STATE(19634)] = 748826,
  [SMALL_STATE(19635)] = 748840,
  [SMALL_STATE(19636)] = 748854,
  [SMALL_STATE(19637)] = 748868,
  [SMALL_STATE(19638)] = 748882,
  [SMALL_STATE(19639)] = 748896,
  [SMALL_STATE(19640)] = 748910,
  [SMALL_STATE(19641)] = 748924,
  [SMALL_STATE(19642)] = 748938,
  [SMALL_STATE(19643)] = 748952,
  [SMALL_STATE(19644)] = 748966,
  [SMALL_STATE(19645)] = 748980,
  [SMALL_STATE(19646)] = 748994,
  [SMALL_STATE(19647)] = 749008,
  [SMALL_STATE(19648)] = 749022,
  [SMALL_STATE(19649)] = 749036,
  [SMALL_STATE(19650)] = 749050,
  [SMALL_STATE(19651)] = 749064,
  [SMALL_STATE(19652)] = 749078,
  [SMALL_STATE(19653)] = 749092,
  [SMALL_STATE(19654)] = 749106,
  [SMALL_STATE(19655)] = 749120,
  [SMALL_STATE(19656)] = 749134,
  [SMALL_STATE(19657)] = 749148,
  [SMALL_STATE(19658)] = 749162,
  [SMALL_STATE(19659)] = 749176,
  [SMALL_STATE(19660)] = 749190,
  [SMALL_STATE(19661)] = 749204,
  [SMALL_STATE(19662)] = 749218,
  [SMALL_STATE(19663)] = 749232,
  [SMALL_STATE(19664)] = 749246,
  [SMALL_STATE(19665)] = 749260,
  [SMALL_STATE(19666)] = 749274,
  [SMALL_STATE(19667)] = 749288,
  [SMALL_STATE(19668)] = 749302,
  [SMALL_STATE(19669)] = 749316,
  [SMALL_STATE(19670)] = 749330,
  [SMALL_STATE(19671)] = 749344,
  [SMALL_STATE(19672)] = 749358,
  [SMALL_STATE(19673)] = 749372,
  [SMALL_STATE(19674)] = 749386,
  [SMALL_STATE(19675)] = 749400,
  [SMALL_STATE(19676)] = 749414,
  [SMALL_STATE(19677)] = 749428,
  [SMALL_STATE(19678)] = 749442,
  [SMALL_STATE(19679)] = 749456,
  [SMALL_STATE(19680)] = 749470,
  [SMALL_STATE(19681)] = 749484,
  [SMALL_STATE(19682)] = 749498,
  [SMALL_STATE(19683)] = 749512,
  [SMALL_STATE(19684)] = 749526,
  [SMALL_STATE(19685)] = 749540,
  [SMALL_STATE(19686)] = 749554,
  [SMALL_STATE(19687)] = 749568,
  [SMALL_STATE(19688)] = 749582,
  [SMALL_STATE(19689)] = 749596,
  [SMALL_STATE(19690)] = 749610,
  [SMALL_STATE(19691)] = 749624,
  [SMALL_STATE(19692)] = 749638,
  [SMALL_STATE(19693)] = 749652,
  [SMALL_STATE(19694)] = 749666,
  [SMALL_STATE(19695)] = 749680,
  [SMALL_STATE(19696)] = 749694,
  [SMALL_STATE(19697)] = 749708,
  [SMALL_STATE(19698)] = 749722,
  [SMALL_STATE(19699)] = 749736,
  [SMALL_STATE(19700)] = 749750,
  [SMALL_STATE(19701)] = 749764,
  [SMALL_STATE(19702)] = 749778,
  [SMALL_STATE(19703)] = 749792,
  [SMALL_STATE(19704)] = 749806,
  [SMALL_STATE(19705)] = 749820,
  [SMALL_STATE(19706)] = 749834,
  [SMALL_STATE(19707)] = 749848,
  [SMALL_STATE(19708)] = 749862,
  [SMALL_STATE(19709)] = 749876,
  [SMALL_STATE(19710)] = 749890,
  [SMALL_STATE(19711)] = 749904,
  [SMALL_STATE(19712)] = 749918,
  [SMALL_STATE(19713)] = 749932,
  [SMALL_STATE(19714)] = 749946,
  [SMALL_STATE(19715)] = 749960,
  [SMALL_STATE(19716)] = 749974,
  [SMALL_STATE(19717)] = 749988,
  [SMALL_STATE(19718)] = 750002,
  [SMALL_STATE(19719)] = 750016,
  [SMALL_STATE(19720)] = 750030,
  [SMALL_STATE(19721)] = 750044,
  [SMALL_STATE(19722)] = 750058,
  [SMALL_STATE(19723)] = 750072,
  [SMALL_STATE(19724)] = 750086,
  [SMALL_STATE(19725)] = 750100,
  [SMALL_STATE(19726)] = 750114,
  [SMALL_STATE(19727)] = 750128,
  [SMALL_STATE(19728)] = 750142,
  [SMALL_STATE(19729)] = 750156,
  [SMALL_STATE(19730)] = 750170,
  [SMALL_STATE(19731)] = 750184,
  [SMALL_STATE(19732)] = 750198,
  [SMALL_STATE(19733)] = 750212,
  [SMALL_STATE(19734)] = 750226,
  [SMALL_STATE(19735)] = 750240,
  [SMALL_STATE(19736)] = 750254,
  [SMALL_STATE(19737)] = 750268,
  [SMALL_STATE(19738)] = 750282,
  [SMALL_STATE(19739)] = 750296,
  [SMALL_STATE(19740)] = 750310,
  [SMALL_STATE(19741)] = 750324,
  [SMALL_STATE(19742)] = 750338,
  [SMALL_STATE(19743)] = 750352,
  [SMALL_STATE(19744)] = 750366,
  [SMALL_STATE(19745)] = 750380,
  [SMALL_STATE(19746)] = 750394,
  [SMALL_STATE(19747)] = 750408,
  [SMALL_STATE(19748)] = 750422,
  [SMALL_STATE(19749)] = 750436,
  [SMALL_STATE(19750)] = 750450,
  [SMALL_STATE(19751)] = 750464,
  [SMALL_STATE(19752)] = 750478,
  [SMALL_STATE(19753)] = 750492,
  [SMALL_STATE(19754)] = 750506,
  [SMALL_STATE(19755)] = 750520,
  [SMALL_STATE(19756)] = 750534,
  [SMALL_STATE(19757)] = 750548,
  [SMALL_STATE(19758)] = 750562,
  [SMALL_STATE(19759)] = 750576,
  [SMALL_STATE(19760)] = 750590,
  [SMALL_STATE(19761)] = 750604,
  [SMALL_STATE(19762)] = 750618,
  [SMALL_STATE(19763)] = 750632,
  [SMALL_STATE(19764)] = 750646,
  [SMALL_STATE(19765)] = 750660,
  [SMALL_STATE(19766)] = 750674,
  [SMALL_STATE(19767)] = 750688,
  [SMALL_STATE(19768)] = 750702,
  [SMALL_STATE(19769)] = 750716,
  [SMALL_STATE(19770)] = 750730,
  [SMALL_STATE(19771)] = 750744,
  [SMALL_STATE(19772)] = 750758,
  [SMALL_STATE(19773)] = 750772,
  [SMALL_STATE(19774)] = 750786,
  [SMALL_STATE(19775)] = 750800,
  [SMALL_STATE(19776)] = 750814,
  [SMALL_STATE(19777)] = 750828,
  [SMALL_STATE(19778)] = 750842,
  [SMALL_STATE(19779)] = 750856,
  [SMALL_STATE(19780)] = 750870,
  [SMALL_STATE(19781)] = 750884,
  [SMALL_STATE(19782)] = 750898,
  [SMALL_STATE(19783)] = 750912,
  [SMALL_STATE(19784)] = 750926,
  [SMALL_STATE(19785)] = 750940,
  [SMALL_STATE(19786)] = 750954,
  [SMALL_STATE(19787)] = 750968,
  [SMALL_STATE(19788)] = 750982,
  [SMALL_STATE(19789)] = 750996,
  [SMALL_STATE(19790)] = 751010,
  [SMALL_STATE(19791)] = 751024,
  [SMALL_STATE(19792)] = 751038,
  [SMALL_STATE(19793)] = 751052,
  [SMALL_STATE(19794)] = 751066,
  [SMALL_STATE(19795)] = 751080,
  [SMALL_STATE(19796)] = 751094,
  [SMALL_STATE(19797)] = 751108,
  [SMALL_STATE(19798)] = 751122,
  [SMALL_STATE(19799)] = 751136,
  [SMALL_STATE(19800)] = 751150,
  [SMALL_STATE(19801)] = 751164,
  [SMALL_STATE(19802)] = 751178,
  [SMALL_STATE(19803)] = 751192,
  [SMALL_STATE(19804)] = 751206,
  [SMALL_STATE(19805)] = 751220,
  [SMALL_STATE(19806)] = 751234,
  [SMALL_STATE(19807)] = 751248,
  [SMALL_STATE(19808)] = 751262,
  [SMALL_STATE(19809)] = 751276,
  [SMALL_STATE(19810)] = 751290,
  [SMALL_STATE(19811)] = 751304,
  [SMALL_STATE(19812)] = 751318,
  [SMALL_STATE(19813)] = 751332,
  [SMALL_STATE(19814)] = 751346,
  [SMALL_STATE(19815)] = 751360,
  [SMALL_STATE(19816)] = 751374,
  [SMALL_STATE(19817)] = 751388,
  [SMALL_STATE(19818)] = 751402,
  [SMALL_STATE(19819)] = 751416,
  [SMALL_STATE(19820)] = 751430,
  [SMALL_STATE(19821)] = 751444,
  [SMALL_STATE(19822)] = 751458,
  [SMALL_STATE(19823)] = 751472,
  [SMALL_STATE(19824)] = 751486,
  [SMALL_STATE(19825)] = 751500,
  [SMALL_STATE(19826)] = 751514,
  [SMALL_STATE(19827)] = 751528,
  [SMALL_STATE(19828)] = 751542,
  [SMALL_STATE(19829)] = 751556,
  [SMALL_STATE(19830)] = 751570,
  [SMALL_STATE(19831)] = 751584,
  [SMALL_STATE(19832)] = 751598,
  [SMALL_STATE(19833)] = 751612,
  [SMALL_STATE(19834)] = 751626,
  [SMALL_STATE(19835)] = 751640,
  [SMALL_STATE(19836)] = 751654,
  [SMALL_STATE(19837)] = 751668,
  [SMALL_STATE(19838)] = 751682,
  [SMALL_STATE(19839)] = 751696,
  [SMALL_STATE(19840)] = 751710,
  [SMALL_STATE(19841)] = 751724,
  [SMALL_STATE(19842)] = 751738,
  [SMALL_STATE(19843)] = 751752,
  [SMALL_STATE(19844)] = 751766,
  [SMALL_STATE(19845)] = 751780,
  [SMALL_STATE(19846)] = 751794,
  [SMALL_STATE(19847)] = 751808,
  [SMALL_STATE(19848)] = 751822,
  [SMALL_STATE(19849)] = 751836,
  [SMALL_STATE(19850)] = 751850,
  [SMALL_STATE(19851)] = 751864,
  [SMALL_STATE(19852)] = 751878,
  [SMALL_STATE(19853)] = 751892,
  [SMALL_STATE(19854)] = 751906,
  [SMALL_STATE(19855)] = 751920,
  [SMALL_STATE(19856)] = 751934,
  [SMALL_STATE(19857)] = 751948,
  [SMALL_STATE(19858)] = 751962,
  [SMALL_STATE(19859)] = 751976,
  [SMALL_STATE(19860)] = 751990,
  [SMALL_STATE(19861)] = 752004,
  [SMALL_STATE(19862)] = 752018,
  [SMALL_STATE(19863)] = 752032,
  [SMALL_STATE(19864)] = 752046,
  [SMALL_STATE(19865)] = 752060,
  [SMALL_STATE(19866)] = 752074,
  [SMALL_STATE(19867)] = 752088,
  [SMALL_STATE(19868)] = 752102,
  [SMALL_STATE(19869)] = 752116,
  [SMALL_STATE(19870)] = 752130,
  [SMALL_STATE(19871)] = 752144,
  [SMALL_STATE(19872)] = 752158,
  [SMALL_STATE(19873)] = 752172,
  [SMALL_STATE(19874)] = 752186,
  [SMALL_STATE(19875)] = 752200,
  [SMALL_STATE(19876)] = 752214,
  [SMALL_STATE(19877)] = 752228,
  [SMALL_STATE(19878)] = 752242,
  [SMALL_STATE(19879)] = 752256,
  [SMALL_STATE(19880)] = 752270,
  [SMALL_STATE(19881)] = 752284,
  [SMALL_STATE(19882)] = 752298,
  [SMALL_STATE(19883)] = 752312,
  [SMALL_STATE(19884)] = 752326,
  [SMALL_STATE(19885)] = 752340,
  [SMALL_STATE(19886)] = 752354,
  [SMALL_STATE(19887)] = 752368,
  [SMALL_STATE(19888)] = 752382,
  [SMALL_STATE(19889)] = 752396,
  [SMALL_STATE(19890)] = 752410,
  [SMALL_STATE(19891)] = 752424,
  [SMALL_STATE(19892)] = 752438,
  [SMALL_STATE(19893)] = 752452,
  [SMALL_STATE(19894)] = 752466,
  [SMALL_STATE(19895)] = 752480,
  [SMALL_STATE(19896)] = 752494,
  [SMALL_STATE(19897)] = 752508,
  [SMALL_STATE(19898)] = 752522,
  [SMALL_STATE(19899)] = 752536,
  [SMALL_STATE(19900)] = 752550,
  [SMALL_STATE(19901)] = 752564,
  [SMALL_STATE(19902)] = 752578,
  [SMALL_STATE(19903)] = 752592,
  [SMALL_STATE(19904)] = 752606,
  [SMALL_STATE(19905)] = 752620,
  [SMALL_STATE(19906)] = 752634,
  [SMALL_STATE(19907)] = 752648,
  [SMALL_STATE(19908)] = 752662,
  [SMALL_STATE(19909)] = 752676,
  [SMALL_STATE(19910)] = 752690,
  [SMALL_STATE(19911)] = 752704,
  [SMALL_STATE(19912)] = 752718,
  [SMALL_STATE(19913)] = 752732,
  [SMALL_STATE(19914)] = 752746,
  [SMALL_STATE(19915)] = 752760,
  [SMALL_STATE(19916)] = 752774,
  [SMALL_STATE(19917)] = 752788,
  [SMALL_STATE(19918)] = 752802,
  [SMALL_STATE(19919)] = 752816,
  [SMALL_STATE(19920)] = 752830,
  [SMALL_STATE(19921)] = 752844,
  [SMALL_STATE(19922)] = 752858,
  [SMALL_STATE(19923)] = 752872,
  [SMALL_STATE(19924)] = 752886,
  [SMALL_STATE(19925)] = 752900,
  [SMALL_STATE(19926)] = 752914,
  [SMALL_STATE(19927)] = 752928,
  [SMALL_STATE(19928)] = 752942,
  [SMALL_STATE(19929)] = 752956,
  [SMALL_STATE(19930)] = 752970,
  [SMALL_STATE(19931)] = 752984,
  [SMALL_STATE(19932)] = 752998,
  [SMALL_STATE(19933)] = 753012,
  [SMALL_STATE(19934)] = 753026,
  [SMALL_STATE(19935)] = 753040,
  [SMALL_STATE(19936)] = 753054,
  [SMALL_STATE(19937)] = 753068,
  [SMALL_STATE(19938)] = 753082,
  [SMALL_STATE(19939)] = 753096,
  [SMALL_STATE(19940)] = 753110,
  [SMALL_STATE(19941)] = 753124,
  [SMALL_STATE(19942)] = 753138,
  [SMALL_STATE(19943)] = 753152,
  [SMALL_STATE(19944)] = 753166,
  [SMALL_STATE(19945)] = 753180,
  [SMALL_STATE(19946)] = 753194,
  [SMALL_STATE(19947)] = 753208,
  [SMALL_STATE(19948)] = 753222,
  [SMALL_STATE(19949)] = 753236,
  [SMALL_STATE(19950)] = 753250,
  [SMALL_STATE(19951)] = 753264,
  [SMALL_STATE(19952)] = 753278,
  [SMALL_STATE(19953)] = 753292,
  [SMALL_STATE(19954)] = 753306,
  [SMALL_STATE(19955)] = 753320,
  [SMALL_STATE(19956)] = 753334,
  [SMALL_STATE(19957)] = 753348,
  [SMALL_STATE(19958)] = 753362,
  [SMALL_STATE(19959)] = 753376,
  [SMALL_STATE(19960)] = 753390,
  [SMALL_STATE(19961)] = 753404,
  [SMALL_STATE(19962)] = 753418,
  [SMALL_STATE(19963)] = 753432,
  [SMALL_STATE(19964)] = 753446,
  [SMALL_STATE(19965)] = 753460,
  [SMALL_STATE(19966)] = 753474,
  [SMALL_STATE(19967)] = 753488,
  [SMALL_STATE(19968)] = 753502,
  [SMALL_STATE(19969)] = 753516,
  [SMALL_STATE(19970)] = 753530,
  [SMALL_STATE(19971)] = 753544,
  [SMALL_STATE(19972)] = 753558,
  [SMALL_STATE(19973)] = 753572,
  [SMALL_STATE(19974)] = 753586,
  [SMALL_STATE(19975)] = 753600,
  [SMALL_STATE(19976)] = 753614,
  [SMALL_STATE(19977)] = 753628,
  [SMALL_STATE(19978)] = 753642,
  [SMALL_STATE(19979)] = 753656,
  [SMALL_STATE(19980)] = 753670,
  [SMALL_STATE(19981)] = 753684,
  [SMALL_STATE(19982)] = 753698,
  [SMALL_STATE(19983)] = 753712,
  [SMALL_STATE(19984)] = 753726,
  [SMALL_STATE(19985)] = 753740,
  [SMALL_STATE(19986)] = 753754,
  [SMALL_STATE(19987)] = 753768,
  [SMALL_STATE(19988)] = 753782,
  [SMALL_STATE(19989)] = 753796,
  [SMALL_STATE(19990)] = 753810,
  [SMALL_STATE(19991)] = 753824,
  [SMALL_STATE(19992)] = 753838,
  [SMALL_STATE(19993)] = 753852,
  [SMALL_STATE(19994)] = 753866,
  [SMALL_STATE(19995)] = 753880,
  [SMALL_STATE(19996)] = 753894,
  [SMALL_STATE(19997)] = 753908,
  [SMALL_STATE(19998)] = 753922,
  [SMALL_STATE(19999)] = 753936,
  [SMALL_STATE(20000)] = 753950,
  [SMALL_STATE(20001)] = 753964,
  [SMALL_STATE(20002)] = 753978,
  [SMALL_STATE(20003)] = 753992,
  [SMALL_STATE(20004)] = 754006,
  [SMALL_STATE(20005)] = 754020,
  [SMALL_STATE(20006)] = 754034,
  [SMALL_STATE(20007)] = 754048,
  [SMALL_STATE(20008)] = 754062,
  [SMALL_STATE(20009)] = 754076,
  [SMALL_STATE(20010)] = 754090,
  [SMALL_STATE(20011)] = 754104,
  [SMALL_STATE(20012)] = 754118,
  [SMALL_STATE(20013)] = 754132,
  [SMALL_STATE(20014)] = 754146,
  [SMALL_STATE(20015)] = 754160,
  [SMALL_STATE(20016)] = 754174,
  [SMALL_STATE(20017)] = 754188,
  [SMALL_STATE(20018)] = 754202,
  [SMALL_STATE(20019)] = 754216,
  [SMALL_STATE(20020)] = 754230,
  [SMALL_STATE(20021)] = 754244,
  [SMALL_STATE(20022)] = 754258,
  [SMALL_STATE(20023)] = 754272,
  [SMALL_STATE(20024)] = 754286,
  [SMALL_STATE(20025)] = 754300,
  [SMALL_STATE(20026)] = 754314,
  [SMALL_STATE(20027)] = 754328,
  [SMALL_STATE(20028)] = 754342,
  [SMALL_STATE(20029)] = 754356,
  [SMALL_STATE(20030)] = 754370,
  [SMALL_STATE(20031)] = 754384,
  [SMALL_STATE(20032)] = 754398,
  [SMALL_STATE(20033)] = 754412,
  [SMALL_STATE(20034)] = 754426,
  [SMALL_STATE(20035)] = 754440,
  [SMALL_STATE(20036)] = 754454,
  [SMALL_STATE(20037)] = 754468,
  [SMALL_STATE(20038)] = 754482,
  [SMALL_STATE(20039)] = 754496,
  [SMALL_STATE(20040)] = 754510,
  [SMALL_STATE(20041)] = 754524,
  [SMALL_STATE(20042)] = 754538,
  [SMALL_STATE(20043)] = 754552,
  [SMALL_STATE(20044)] = 754566,
  [SMALL_STATE(20045)] = 754580,
  [SMALL_STATE(20046)] = 754594,
  [SMALL_STATE(20047)] = 754608,
  [SMALL_STATE(20048)] = 754622,
  [SMALL_STATE(20049)] = 754636,
  [SMALL_STATE(20050)] = 754650,
  [SMALL_STATE(20051)] = 754664,
  [SMALL_STATE(20052)] = 754678,
  [SMALL_STATE(20053)] = 754692,
  [SMALL_STATE(20054)] = 754706,
  [SMALL_STATE(20055)] = 754720,
  [SMALL_STATE(20056)] = 754734,
  [SMALL_STATE(20057)] = 754748,
  [SMALL_STATE(20058)] = 754762,
  [SMALL_STATE(20059)] = 754776,
  [SMALL_STATE(20060)] = 754790,
  [SMALL_STATE(20061)] = 754804,
  [SMALL_STATE(20062)] = 754818,
  [SMALL_STATE(20063)] = 754832,
  [SMALL_STATE(20064)] = 754846,
  [SMALL_STATE(20065)] = 754860,
  [SMALL_STATE(20066)] = 754874,
  [SMALL_STATE(20067)] = 754888,
  [SMALL_STATE(20068)] = 754902,
  [SMALL_STATE(20069)] = 754916,
  [SMALL_STATE(20070)] = 754930,
  [SMALL_STATE(20071)] = 754944,
  [SMALL_STATE(20072)] = 754958,
  [SMALL_STATE(20073)] = 754972,
  [SMALL_STATE(20074)] = 754986,
  [SMALL_STATE(20075)] = 755000,
  [SMALL_STATE(20076)] = 755014,
  [SMALL_STATE(20077)] = 755028,
  [SMALL_STATE(20078)] = 755042,
  [SMALL_STATE(20079)] = 755056,
  [SMALL_STATE(20080)] = 755070,
  [SMALL_STATE(20081)] = 755084,
  [SMALL_STATE(20082)] = 755098,
  [SMALL_STATE(20083)] = 755112,
  [SMALL_STATE(20084)] = 755126,
  [SMALL_STATE(20085)] = 755140,
  [SMALL_STATE(20086)] = 755154,
  [SMALL_STATE(20087)] = 755168,
  [SMALL_STATE(20088)] = 755182,
  [SMALL_STATE(20089)] = 755196,
  [SMALL_STATE(20090)] = 755210,
  [SMALL_STATE(20091)] = 755224,
  [SMALL_STATE(20092)] = 755238,
  [SMALL_STATE(20093)] = 755252,
  [SMALL_STATE(20094)] = 755266,
  [SMALL_STATE(20095)] = 755280,
  [SMALL_STATE(20096)] = 755294,
  [SMALL_STATE(20097)] = 755308,
  [SMALL_STATE(20098)] = 755322,
  [SMALL_STATE(20099)] = 755336,
  [SMALL_STATE(20100)] = 755350,
  [SMALL_STATE(20101)] = 755364,
  [SMALL_STATE(20102)] = 755378,
  [SMALL_STATE(20103)] = 755392,
  [SMALL_STATE(20104)] = 755406,
  [SMALL_STATE(20105)] = 755420,
  [SMALL_STATE(20106)] = 755434,
  [SMALL_STATE(20107)] = 755448,
  [SMALL_STATE(20108)] = 755462,
  [SMALL_STATE(20109)] = 755476,
  [SMALL_STATE(20110)] = 755490,
  [SMALL_STATE(20111)] = 755504,
  [SMALL_STATE(20112)] = 755518,
  [SMALL_STATE(20113)] = 755532,
  [SMALL_STATE(20114)] = 755546,
  [SMALL_STATE(20115)] = 755560,
  [SMALL_STATE(20116)] = 755574,
  [SMALL_STATE(20117)] = 755588,
  [SMALL_STATE(20118)] = 755602,
  [SMALL_STATE(20119)] = 755616,
  [SMALL_STATE(20120)] = 755630,
  [SMALL_STATE(20121)] = 755644,
  [SMALL_STATE(20122)] = 755658,
  [SMALL_STATE(20123)] = 755672,
  [SMALL_STATE(20124)] = 755686,
  [SMALL_STATE(20125)] = 755700,
  [SMALL_STATE(20126)] = 755714,
  [SMALL_STATE(20127)] = 755728,
  [SMALL_STATE(20128)] = 755742,
  [SMALL_STATE(20129)] = 755756,
  [SMALL_STATE(20130)] = 755770,
  [SMALL_STATE(20131)] = 755784,
  [SMALL_STATE(20132)] = 755798,
  [SMALL_STATE(20133)] = 755812,
  [SMALL_STATE(20134)] = 755826,
  [SMALL_STATE(20135)] = 755840,
  [SMALL_STATE(20136)] = 755854,
  [SMALL_STATE(20137)] = 755868,
  [SMALL_STATE(20138)] = 755882,
  [SMALL_STATE(20139)] = 755896,
  [SMALL_STATE(20140)] = 755910,
  [SMALL_STATE(20141)] = 755924,
  [SMALL_STATE(20142)] = 755938,
  [SMALL_STATE(20143)] = 755952,
  [SMALL_STATE(20144)] = 755966,
  [SMALL_STATE(20145)] = 755980,
  [SMALL_STATE(20146)] = 755994,
  [SMALL_STATE(20147)] = 756008,
  [SMALL_STATE(20148)] = 756022,
  [SMALL_STATE(20149)] = 756036,
  [SMALL_STATE(20150)] = 756050,
  [SMALL_STATE(20151)] = 756064,
  [SMALL_STATE(20152)] = 756078,
  [SMALL_STATE(20153)] = 756092,
  [SMALL_STATE(20154)] = 756106,
  [SMALL_STATE(20155)] = 756120,
  [SMALL_STATE(20156)] = 756134,
  [SMALL_STATE(20157)] = 756148,
  [SMALL_STATE(20158)] = 756162,
  [SMALL_STATE(20159)] = 756176,
  [SMALL_STATE(20160)] = 756190,
  [SMALL_STATE(20161)] = 756204,
  [SMALL_STATE(20162)] = 756218,
  [SMALL_STATE(20163)] = 756232,
  [SMALL_STATE(20164)] = 756246,
  [SMALL_STATE(20165)] = 756260,
  [SMALL_STATE(20166)] = 756274,
  [SMALL_STATE(20167)] = 756288,
  [SMALL_STATE(20168)] = 756302,
  [SMALL_STATE(20169)] = 756316,
  [SMALL_STATE(20170)] = 756330,
  [SMALL_STATE(20171)] = 756344,
  [SMALL_STATE(20172)] = 756358,
  [SMALL_STATE(20173)] = 756372,
  [SMALL_STATE(20174)] = 756386,
  [SMALL_STATE(20175)] = 756400,
  [SMALL_STATE(20176)] = 756414,
  [SMALL_STATE(20177)] = 756428,
  [SMALL_STATE(20178)] = 756442,
  [SMALL_STATE(20179)] = 756456,
  [SMALL_STATE(20180)] = 756470,
  [SMALL_STATE(20181)] = 756484,
  [SMALL_STATE(20182)] = 756498,
  [SMALL_STATE(20183)] = 756512,
  [SMALL_STATE(20184)] = 756526,
  [SMALL_STATE(20185)] = 756540,
  [SMALL_STATE(20186)] = 756554,
  [SMALL_STATE(20187)] = 756568,
  [SMALL_STATE(20188)] = 756582,
  [SMALL_STATE(20189)] = 756596,
  [SMALL_STATE(20190)] = 756610,
  [SMALL_STATE(20191)] = 756624,
  [SMALL_STATE(20192)] = 756638,
  [SMALL_STATE(20193)] = 756652,
  [SMALL_STATE(20194)] = 756666,
  [SMALL_STATE(20195)] = 756680,
  [SMALL_STATE(20196)] = 756694,
  [SMALL_STATE(20197)] = 756708,
  [SMALL_STATE(20198)] = 756722,
  [SMALL_STATE(20199)] = 756736,
  [SMALL_STATE(20200)] = 756750,
  [SMALL_STATE(20201)] = 756764,
  [SMALL_STATE(20202)] = 756778,
  [SMALL_STATE(20203)] = 756792,
  [SMALL_STATE(20204)] = 756806,
  [SMALL_STATE(20205)] = 756820,
  [SMALL_STATE(20206)] = 756834,
  [SMALL_STATE(20207)] = 756848,
  [SMALL_STATE(20208)] = 756862,
  [SMALL_STATE(20209)] = 756876,
  [SMALL_STATE(20210)] = 756890,
  [SMALL_STATE(20211)] = 756904,
  [SMALL_STATE(20212)] = 756918,
  [SMALL_STATE(20213)] = 756932,
  [SMALL_STATE(20214)] = 756946,
  [SMALL_STATE(20215)] = 756960,
  [SMALL_STATE(20216)] = 756974,
  [SMALL_STATE(20217)] = 756988,
  [SMALL_STATE(20218)] = 757002,
  [SMALL_STATE(20219)] = 757016,
  [SMALL_STATE(20220)] = 757030,
  [SMALL_STATE(20221)] = 757044,
  [SMALL_STATE(20222)] = 757058,
  [SMALL_STATE(20223)] = 757072,
  [SMALL_STATE(20224)] = 757086,
  [SMALL_STATE(20225)] = 757100,
  [SMALL_STATE(20226)] = 757114,
  [SMALL_STATE(20227)] = 757128,
  [SMALL_STATE(20228)] = 757142,
  [SMALL_STATE(20229)] = 757156,
  [SMALL_STATE(20230)] = 757170,
  [SMALL_STATE(20231)] = 757184,
  [SMALL_STATE(20232)] = 757198,
  [SMALL_STATE(20233)] = 757212,
  [SMALL_STATE(20234)] = 757226,
  [SMALL_STATE(20235)] = 757240,
  [SMALL_STATE(20236)] = 757254,
  [SMALL_STATE(20237)] = 757268,
  [SMALL_STATE(20238)] = 757282,
  [SMALL_STATE(20239)] = 757296,
  [SMALL_STATE(20240)] = 757310,
  [SMALL_STATE(20241)] = 757324,
  [SMALL_STATE(20242)] = 757338,
  [SMALL_STATE(20243)] = 757352,
  [SMALL_STATE(20244)] = 757366,
  [SMALL_STATE(20245)] = 757380,
  [SMALL_STATE(20246)] = 757394,
  [SMALL_STATE(20247)] = 757408,
  [SMALL_STATE(20248)] = 757422,
  [SMALL_STATE(20249)] = 757436,
  [SMALL_STATE(20250)] = 757450,
  [SMALL_STATE(20251)] = 757464,
  [SMALL_STATE(20252)] = 757478,
  [SMALL_STATE(20253)] = 757492,
  [SMALL_STATE(20254)] = 757506,
  [SMALL_STATE(20255)] = 757520,
  [SMALL_STATE(20256)] = 757534,
  [SMALL_STATE(20257)] = 757548,
  [SMALL_STATE(20258)] = 757562,
  [SMALL_STATE(20259)] = 757576,
  [SMALL_STATE(20260)] = 757590,
  [SMALL_STATE(20261)] = 757604,
  [SMALL_STATE(20262)] = 757618,
  [SMALL_STATE(20263)] = 757632,
  [SMALL_STATE(20264)] = 757646,
  [SMALL_STATE(20265)] = 757660,
  [SMALL_STATE(20266)] = 757674,
  [SMALL_STATE(20267)] = 757688,
  [SMALL_STATE(20268)] = 757702,
  [SMALL_STATE(20269)] = 757716,
  [SMALL_STATE(20270)] = 757730,
  [SMALL_STATE(20271)] = 757744,
  [SMALL_STATE(20272)] = 757758,
  [SMALL_STATE(20273)] = 757772,
  [SMALL_STATE(20274)] = 757786,
  [SMALL_STATE(20275)] = 757800,
  [SMALL_STATE(20276)] = 757814,
  [SMALL_STATE(20277)] = 757828,
  [SMALL_STATE(20278)] = 757842,
  [SMALL_STATE(20279)] = 757856,
  [SMALL_STATE(20280)] = 757870,
  [SMALL_STATE(20281)] = 757884,
  [SMALL_STATE(20282)] = 757898,
  [SMALL_STATE(20283)] = 757912,
  [SMALL_STATE(20284)] = 757926,
  [SMALL_STATE(20285)] = 757940,
  [SMALL_STATE(20286)] = 757954,
  [SMALL_STATE(20287)] = 757968,
  [SMALL_STATE(20288)] = 757982,
  [SMALL_STATE(20289)] = 757996,
  [SMALL_STATE(20290)] = 758010,
  [SMALL_STATE(20291)] = 758024,
  [SMALL_STATE(20292)] = 758038,
  [SMALL_STATE(20293)] = 758052,
  [SMALL_STATE(20294)] = 758066,
  [SMALL_STATE(20295)] = 758080,
  [SMALL_STATE(20296)] = 758094,
  [SMALL_STATE(20297)] = 758108,
  [SMALL_STATE(20298)] = 758122,
  [SMALL_STATE(20299)] = 758136,
  [SMALL_STATE(20300)] = 758150,
  [SMALL_STATE(20301)] = 758164,
  [SMALL_STATE(20302)] = 758178,
  [SMALL_STATE(20303)] = 758192,
  [SMALL_STATE(20304)] = 758206,
  [SMALL_STATE(20305)] = 758220,
  [SMALL_STATE(20306)] = 758234,
  [SMALL_STATE(20307)] = 758248,
  [SMALL_STATE(20308)] = 758262,
  [SMALL_STATE(20309)] = 758266,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15917),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12579),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13813),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12014),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13242),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13367),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10976),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10025),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13459),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13818),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15208),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15438),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15770),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4134),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5171),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3288),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13813),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11973),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8621),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4326),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3207),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13236),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13583),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11021),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11345),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13679),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10480),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4858),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14009),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3767),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3772),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13701),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14133),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4375),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15394),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15741),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8239),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13166),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12323),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4301),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8239),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4552),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4415),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16491),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16571),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12781),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20309),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7393),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10877),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4245),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15536),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7648),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14547),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5255),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11942),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9711),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10139),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6919),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6951),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6984),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7385),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7011),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9505),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10747),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9905),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6455),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10049),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12708),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7912),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8766),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7486),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7812),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4894),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5667),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7549),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5692),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7793),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9155),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9236),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10748),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7330),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9654),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10287),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7348),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7060),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6236),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9264),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10729),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7187),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9925),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9763),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10870),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6741),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10417),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13078),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5764),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5338),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5974),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11623),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6299),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6303),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9715),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6307),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6311),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5978),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9361),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4798),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13010),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12597),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6315),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5982),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9701),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5590),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5251),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8994),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9101),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9870),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2908),
  [297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2, 0, 28),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sequence_expression, 2, 0, 28),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2991),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3181),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10262),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4805),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13766),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14204),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15707),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16236),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15149),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13193),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12272),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4394),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4573),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17153),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2923),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2657),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3167),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3190),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10291),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4812),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13785),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14121),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15713),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16239),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13209),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12288),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17168),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4015),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5207),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12000),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4329),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2977),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13235),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13675),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13355),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8771),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10437),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4862),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13811),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14219),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4389),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15852),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15821),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4403),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13239),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12313),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16859),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16864),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13065),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3102),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3531),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3099),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10367),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4743),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13914),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14083),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15624),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16177),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13098),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12443),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4305),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17252),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3189),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3495),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3086),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10546),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4738),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2584),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13859),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14170),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15502),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16095),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13251),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12208),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4356),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16401),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3079),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3343),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3204),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10330),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4830),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2611),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13810),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14208),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3596),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15721),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16243),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13223),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12310),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17194),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3092),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2666),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3355),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3208),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10343),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4831),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13817),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14022),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15723),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16244),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13231),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12314),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4187),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17201),
  [685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 4, 0, 0),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3469),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3793),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3144),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10523),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4797),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13727),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14138),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3817),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15693),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16229),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13111),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12122),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16984),
  [739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 1, 0, 0),
  [741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 2, 0, 0),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3480),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1535),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3872),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3162),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10237),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4799),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13737),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14237),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15697),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16231),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13155),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12227),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17063),
  [795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 3, 0, 0),
  [797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 4, 0, 0),
  [799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 3, 0, 0),
  [801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 2, 0, 0),
  [803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 1, 0, 0),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3775),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4153),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3091),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10247),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4740),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2588),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13878),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14243),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15590),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16154),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13128),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12330),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4057),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16473),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3851),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4084),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3101),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10543),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4744),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2599),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13924),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14105),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15655),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16202),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4085),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13165),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12465),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17349),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4643),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2667),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4859),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3177),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10257),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4832),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13868),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3753),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3754),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13761),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14189),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4745),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15701),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16233),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4861),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13189),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12266),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4855),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17141),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4802),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14013),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3762),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3763),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4823),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4872),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3072),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10323),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4803),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13830),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14078),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4901),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15423),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16052),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4910),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13253),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12461),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4309),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4891),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17184),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4737),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5031),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2660),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5180),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3200),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10317),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4822),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13798),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14169),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5110),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15917),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15719),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16242),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5194),
  [1103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13216),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12488),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5141),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17181),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5193),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5358),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10255),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4754),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13995),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14211),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5326),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15676),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16218),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5364),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13215),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12342),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5370),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16476),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4923),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5049),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3107),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10258),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4750),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2604),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3786),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3787),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13976),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14187),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5081),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15673),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16216),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13207),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12348),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4432),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16412),
  [1223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5092),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5265),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3007),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10406),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4836),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2595),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13715),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14167),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5229),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14965),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15903),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5114),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13267),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12210),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4401),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5126),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17243),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15149),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5468),
  [1279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5707),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3194),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10308),
  [1291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4833),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [1295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14017),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2601),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3726),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3728),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13791),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14151),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15717),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16241),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5549),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13213),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12297),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5550),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17172),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4815),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5687),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5793),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3105),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10398),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4821),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13956),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14161),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5791),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15670),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16214),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5716),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13190),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12092),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4412),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5724),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16356),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4746),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5758),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2621),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1573),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5961),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3185),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10273),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4809),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [1419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [1421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [1423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [1425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [1427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13779),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14077),
  [1431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5871),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15711),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16238),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5962),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13201),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12287),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4435),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5963),
  [1451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17163),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7396),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20194),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11388),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19034),
  [1461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8053),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18966),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17996),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17705),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17996),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4455),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9206),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20180),
  [1481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11316),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18445),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19952),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4469),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5772),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20181),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11322),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17895),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18936),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [1509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5986),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6175),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3097),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10337),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4742),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [1529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [1531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13902),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14057),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6412),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15612),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16169),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6176),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13139),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12399),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4261),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6177),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16871),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7243),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20164),
  [1565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11238),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19172),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18132),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4465),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5058),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20182),
  [1581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11332),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18778),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19175),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4467),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6378),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20171),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11248),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18300),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20278),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4503),
  [1607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5351),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20183),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11340),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19446),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17885),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4462),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [1627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [1629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20172),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11264),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20129),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19097),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4511),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5282),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5918),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20184),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11353),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17501),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18777),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4504),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [1661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6033),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6195),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20185),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11357),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17771),
  [1671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [1673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19443),
  [1675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4453),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6513),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6214),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20186),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11359),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18005),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17498),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4472),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6555),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9665),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20187),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11599),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18286),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17767),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4485),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9465),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6231),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20188),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11365),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18550),
  [1727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18000),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6595),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6254),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20189),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11369),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18709),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18285),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4476),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6647),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20190),
  [1759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11373),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18862),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18549),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4499),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7911),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20173),
  [1775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11275),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17870),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18818),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4451),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5947),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20191),
  [1793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11377),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18920),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18696),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4510),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7271),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5826),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20192),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11379),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18967),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18860),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4457),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7747),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3898),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6708),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20193),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11386),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18990),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18912),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20175),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11282),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18166),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20096),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4477),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6721),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7538),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4926),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20166),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11243),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19668),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4130),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18747),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6883),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20159),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11228),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19615),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20108),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4502),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4853),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20195),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11395),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19056),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18988),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4471),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20086),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11207),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18257),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18181),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4484),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4775),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20196),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11398),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19078),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19011),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4489),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6089),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2656),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [1955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6278),
  [1957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3183),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10264),
  [1961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4806),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [1971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [1973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13774),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14036),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6605),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15709),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16237),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6279),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13199),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12284),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4407),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6280),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17159),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [2001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20197),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11400),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19103),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19033),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4500),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6122),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5966),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20198),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11407),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19133),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19054),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4507),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6733),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20176),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11286),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19487),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17863),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4473),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5894),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20199),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11409),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19162),
  [2063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19075),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4447),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5704),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20200),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11413),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19198),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19102),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4460),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5589),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5202),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20201),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11420),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19225),
  [2101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19131),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4468),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7038),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5231),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20202),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11426),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19237),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19161),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4481),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4885),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20203),
  [2137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11431),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19251),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19197),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20118),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11482),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20030),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19884),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6180),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20177),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11292),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19964),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17442),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4458),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6530),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6434),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5997),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [2195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6189),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3114),
  [2201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10403),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4824),
  [2205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [2209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [2213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14016),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14248),
  [2219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6486),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15683),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16224),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6190),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13238),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12211),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6191),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16609),
  [2241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6000),
  [2243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [2247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6209),
  [2251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3118),
  [2253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10509),
  [2255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4826),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [2259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [2261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [2263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [2265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [2267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13691),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14171),
  [2271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6526),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15685),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16225),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6210),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13254),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12352),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4279),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6211),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16682),
  [2293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6008),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [2299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [2301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6224),
  [2303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3131),
  [2305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10380),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4827),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [2311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [2313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [2315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [2317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [2319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13709),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14031),
  [2323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6568),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15689),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16227),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6226),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13272),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12134),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4336),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6227),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16821),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6009),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [2353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6249),
  [2355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3137),
  [2357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10426),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4829),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [2363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [2365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [2369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [2371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13719),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14027),
  [2375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6612),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15691),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16228),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6250),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13250),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12093),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4414),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6251),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16912),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20178),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11300),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18971),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18161),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4512),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5148),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20153),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11102),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17849),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19423),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4448),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4089),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20179),
  [2435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11308),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19189),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19471),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4452),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5190),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11770),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17562),
  [2453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11142),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17854),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17822),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4498),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7335),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6848),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20155),
  [2471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11179),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19814),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17598),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4488),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7077),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6913),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20156),
  [2489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11197),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17620),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18350),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6730),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6942),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20157),
  [2509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11221),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20123),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19799),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4456),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9114),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6820),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7373),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20158),
  [2529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18476),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20054),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4463),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7002),
  [2541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2642),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4761),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [2547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [2549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [2551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5735),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4792),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6396),
  [2573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1688),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6778),
  [2581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3094),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10278),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4741),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13892),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14039),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7016),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15599),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16160),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7055),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13136),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12359),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7079),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16662),
  [2623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [2625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4782),
  [2627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2608),
  [2633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [2637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6184),
  [2639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [2643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [2645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6843),
  [2647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3029),
  [2649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10310),
  [2651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4774),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [2655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [2657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [2659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [2661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [2663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13882),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14023),
  [2667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6726),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15109),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15939),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6845),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13270),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12407),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4258),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6910),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16927),
  [2689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6166),
  [2691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2646),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [2695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [2697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6908),
  [2699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3039),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10382),
  [2703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4788),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [2707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [2709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [2711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [2713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [2715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13979),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14192),
  [2719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7123),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15136),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15950),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6909),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13232),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12458),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4298),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6939),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17314),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6256),
  [2743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2648),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [2749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6936),
  [2751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3048),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10441),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4793),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [2759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [2761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [2765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [2767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13726),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14120),
  [2771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6771),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15161),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15959),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6937),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13163),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12391),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4353),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [2789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6978),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16343),
  [2793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6298),
  [2795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [2801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6995),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3060),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10519),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4796),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [2811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [2813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [2815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [2817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [2819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13769),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14020),
  [2823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6844),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15217),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15977),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6996),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13244),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12223),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4314),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6998),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16430),
  [2845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [2847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4795),
  [2849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [2851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [2853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2612),
  [2855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [2861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4848),
  [2863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [2865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [2867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2610),
  [2869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [2873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [2875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4766),
  [2877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [2879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [2881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [2883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [2887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [2889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4735),
  [2891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [2893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [2895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [2897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [2901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [2903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4860),
  [2905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [2907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [2909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [2911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [2915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [2917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4736),
  [2919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [2921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [2925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [2929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [2931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4854),
  [2933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [2935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [2937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [2939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [2943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7538),
  [2945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9114),
  [2947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11770),
  [2949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5772),
  [2951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4296),
  [2953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5058),
  [2955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5351),
  [2957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5918),
  [2959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6195),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6848),
  [2963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6214),
  [2965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9665),
  [2967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6231),
  [2969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6913),
  [2971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6254),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4089),
  [2975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3827),
  [2977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5947),
  [2979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3794),
  [2981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6942),
  [2983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6708),
  [2985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6180),
  [2987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4853),
  [2989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3536),
  [2991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4220),
  [2993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3044),
  [2995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6283),
  [2997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5966),
  [2999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7002),
  [3001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3182),
  [3003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5704),
  [3005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5202),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7243),
  [3009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3348),
  [3011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3362),
  [3013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4926),
  [3015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6530),
  [3017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3498),
  [3019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7911),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4060),
  [3023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6733),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5148),
  [3027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7373),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12439),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10240),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8091),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8136),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15852),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15821),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15423),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16052),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15697),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16231),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15394),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15741),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15707),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16236),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15624),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16177),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15713),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16239),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15655),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16202),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15721),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16243),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15723),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16244),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15590),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16154),
  [3081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3258),
  [3083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [3085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [3087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16928),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13277),
  [3091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19816),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4395),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15701),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16233),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15502),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16095),
  [3103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2948),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16378),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13194),
  [3109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19890),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15693),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16229),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6917),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7810),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5859),
  [3125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3549),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16558),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13100),
  [3131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18070),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4182),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7570),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5608),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [3141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3613),
  [3143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16633),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13118),
  [3147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18351),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4188),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5937),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [3155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8072),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7136),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5773),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9667),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6669),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5214),
  [3167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3483),
  [3169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16883),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13184),
  [3173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18203),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4838),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5238),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6182),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7199),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [3187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7714),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6158),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6142),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7425),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [3199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10340),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9192),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5365),
  [3205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8145),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6271),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6949),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7134),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6197),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6858),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6476),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5955),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9259),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5013),
  [3233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3432),
  [3235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16452),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13173),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17623),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4357),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6982),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [3251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3756),
  [3253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16529),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13222),
  [3257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18378),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4276),
  [3261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3751),
  [3263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16387),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13131),
  [3267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18569),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4189),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4424),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6531),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6532),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6550),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6552),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6558),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6560),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9436),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9438),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9458),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9460),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9468),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9470),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6570),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6571),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6590),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6592),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6599),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6602),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6616),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6618),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6640),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6643),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6650),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6653),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6104),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6105),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5821),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5823),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5830),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5832),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3893),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6791),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6793),
  [3361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4025),
  [3363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16634),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13200),
  [3367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19889),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6694),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6709),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6736),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6738),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7563),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7564),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7597),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7600),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7500),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7577),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4747),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4748),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4769),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4771),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4778),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4780),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6611),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6613),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6117),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6119),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6125),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6127),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5872),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5873),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5889),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5891),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5897),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5899),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5554),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5555),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5583),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5586),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5594),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5597),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5146),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5152),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5107),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5182),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5252),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5264),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6790),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6796),
  [3507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4052),
  [3509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17052),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13156),
  [3513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18511),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4348),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7058),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7064),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7088),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7093),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4222),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [3529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_application_expression, 2, 0, 27),
  [3531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_application_expression, 2, 0, 27),
  [3533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2948),
  [3536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48),
  [3538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48),
  [3540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16378),
  [3543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(181),
  [3546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1579),
  [3549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3167),
  [3552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3190),
  [3555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10291),
  [3558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1580),
  [3561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13785),
  [3564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14121),
  [3567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(274),
  [3570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3206),
  [3573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15713),
  [3576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16239),
  [3579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3168),
  [3582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13209),
  [3585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12288),
  [3588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4159),
  [3591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3169),
  [3594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17168),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7127),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7129),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6718),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7157),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6751),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6754),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6777),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6780),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6813),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6816),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6824),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6827),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4439),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6849),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6851),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6875),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6878),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6886),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6890),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7237),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6518),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7265),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7267),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7275),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7277),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4950),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4913),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5227),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4866),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4895),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4952),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4927),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6356),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6357),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5184),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6373),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6375),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6381),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6383),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5253),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7712),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7749),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7731),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7734),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7771),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7779),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7017),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7018),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7033),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7035),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7041),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7043),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6413),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6414),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6429),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6431),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6692),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6439),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9134),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9136),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9198),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9203),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9210),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9212),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5769),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5760),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5775),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5756),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7177),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5780),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5798),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7227),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5085),
  [3809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3258),
  [3812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16928),
  [3815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(172),
  [3818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1561),
  [3821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2991),
  [3824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3181),
  [3827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10262),
  [3830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1562),
  [3833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13766),
  [3836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14204),
  [3839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(269),
  [3842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3112),
  [3845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15707),
  [3848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16236),
  [3851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2992),
  [3854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13193),
  [3857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12272),
  [3860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4394),
  [3863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2993),
  [3866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17153),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4964),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4998),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4960),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7246),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7274),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5352),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5367),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5313),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5269),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5323),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6011),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6012),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7326),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7223),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6028),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6030),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6036),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6038),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6489),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6490),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6508),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6510),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6516),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [3923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3549),
  [3926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16558),
  [3929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(189),
  [3932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1597),
  [3935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3343),
  [3938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3204),
  [3941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10330),
  [3944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1598),
  [3947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13810),
  [3950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14208),
  [3953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(279),
  [3956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3596),
  [3959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15721),
  [3962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16243),
  [3965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3344),
  [3968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13223),
  [3971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12310),
  [3974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4181),
  [3977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3345),
  [3980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17194),
  [3983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3613),
  [3986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16633),
  [3989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(192),
  [3992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1603),
  [3995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3355),
  [3998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3208),
  [4001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10343),
  [4004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1604),
  [4007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13817),
  [4010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14022),
  [4013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(280),
  [4016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3660),
  [4019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15723),
  [4022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16244),
  [4025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3356),
  [4028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13231),
  [4031] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12314),
  [4034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4187),
  [4037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3358),
  [4040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17201),
  [4043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4397),
  [4045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17347),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13198),
  [4049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18220),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4332),
  [4053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4257),
  [4055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17276),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13167),
  [4059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19644),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4443),
  [4063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3483),
  [4066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16883),
  [4069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(204),
  [4072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1700),
  [4075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3531),
  [4078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3099),
  [4081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10367),
  [4084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1701),
  [4087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13914),
  [4090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14083),
  [4093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(267),
  [4096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3382),
  [4099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15624),
  [4102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16177),
  [4105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3532),
  [4108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13098),
  [4111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12443),
  [4114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4305),
  [4117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3533),
  [4120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17252),
  [4123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3432),
  [4126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16452),
  [4129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(139),
  [4132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1665),
  [4135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3495),
  [4138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3086),
  [4141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10546),
  [4144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1666),
  [4147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13859),
  [4150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14170),
  [4153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(283),
  [4156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3289),
  [4159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15502),
  [4162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16095),
  [4165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3496),
  [4168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13251),
  [4171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12208),
  [4174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4356),
  [4177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3490),
  [4180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16401),
  [4183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3751),
  [4186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16387),
  [4189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(154),
  [4192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1523),
  [4195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3793),
  [4198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3144),
  [4201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10523),
  [4204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1524),
  [4207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13727),
  [4210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14138),
  [4213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(260),
  [4216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3817),
  [4219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15693),
  [4222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16229),
  [4225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3795),
  [4228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13111),
  [4231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12122),
  [4234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4183),
  [4237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3811),
  [4240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16984),
  [4243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3756),
  [4246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16529),
  [4249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(160),
  [4252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1535),
  [4255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3872),
  [4258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3162),
  [4261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10237),
  [4264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1536),
  [4267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13737),
  [4270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14237),
  [4273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(262),
  [4276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3868),
  [4279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15697),
  [4282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16231),
  [4285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3875),
  [4288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13155),
  [4291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12227),
  [4294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4275),
  [4297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3834),
  [4300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17063),
  [4303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4052),
  [4306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17052),
  [4309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(208),
  [4312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1706),
  [4315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4084),
  [4318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3101),
  [4321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10543),
  [4324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1707),
  [4327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13924),
  [4330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14105),
  [4333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(259),
  [4336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3950),
  [4339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15655),
  [4342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16202),
  [4345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4085),
  [4348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13165),
  [4351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12465),
  [4354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4347),
  [4357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4086),
  [4360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17349),
  [4363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4025),
  [4366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16634),
  [4369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(164),
  [4372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1682),
  [4375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4153),
  [4378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3091),
  [4381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10247),
  [4384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1683),
  [4387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13878),
  [4390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14243),
  [4393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(287),
  [4396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4090),
  [4399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15590),
  [4402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16154),
  [4405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4056),
  [4408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13128),
  [4411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12330),
  [4414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4234),
  [4417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4057),
  [4420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16473),
  [4423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4397),
  [4426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17347),
  [4429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(184),
  [4432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1609),
  [4435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4326),
  [4438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3207),
  [4441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10480),
  [4444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1681),
  [4447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13701),
  [4450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14133),
  [4453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(247),
  [4456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4375),
  [4459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15394),
  [4462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15741),
  [4465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4268),
  [4468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13166),
  [4471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12323),
  [4474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4301),
  [4477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4415),
  [4480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16571),
  [4483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4257),
  [4486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17276),
  [4489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(193),
  [4492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1617),
  [4495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4329),
  [4498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2977),
  [4501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10437),
  [4504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1618),
  [4507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13811),
  [4510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14219),
  [4513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(268),
  [4516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4389),
  [4519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15852),
  [4522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15821),
  [4525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4403),
  [4528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13239),
  [4531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12313),
  [4534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4419),
  [4537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4157),
  [4540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16864),
  [4543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4841),
  [4545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16719),
  [4547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13255),
  [4549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17722),
  [4551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4377),
  [4553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4918),
  [4555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17335),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13237),
  [4559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19917),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4402),
  [4563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4955),
  [4565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17302),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13221),
  [4569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19424),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4433),
  [4573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5158),
  [4575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16565),
  [4577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13142),
  [4579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19089),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [4583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5217),
  [4585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16490),
  [4587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13179),
  [4589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17834),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [4593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4841),
  [4596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16719),
  [4599] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(169),
  [4602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1555),
  [4605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4859),
  [4608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3177),
  [4611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10257),
  [4614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1556),
  [4617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13761),
  [4620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14189),
  [4623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(266),
  [4626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4745),
  [4629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15701),
  [4632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16233),
  [4635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4861),
  [4638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13189),
  [4641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12266),
  [4644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4376),
  [4647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4855),
  [4650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17141),
  [4653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4918),
  [4656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17335),
  [4659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(167),
  [4662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1647),
  [4665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4872),
  [4668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3072),
  [4671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10323),
  [4674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1648),
  [4677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13830),
  [4680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14078),
  [4683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(281),
  [4686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4901),
  [4689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15423),
  [4692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16052),
  [4695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4910),
  [4698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13253),
  [4701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12461),
  [4704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4309),
  [4707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4891),
  [4710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17184),
  [4713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5278),
  [4715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17376),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13153),
  [4719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19739),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4400),
  [4723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4955),
  [4726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17302),
  [4729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(135),
  [4732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1726),
  [4735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5049),
  [4738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3107),
  [4741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10258),
  [4744] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1727),
  [4747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13976),
  [4750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14187),
  [4753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(248),
  [4756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5081),
  [4759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15673),
  [4762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16216),
  [4765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5050),
  [4768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13207),
  [4771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12348),
  [4774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4432),
  [4777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5051),
  [4780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16412),
  [4783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5158),
  [4786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16565),
  [4789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(206),
  [4792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1649),
  [4795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5265),
  [4798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3007),
  [4801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10406),
  [4804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1654),
  [4807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13715),
  [4810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14167),
  [4813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(290),
  [4816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5229),
  [4819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14965),
  [4822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15903),
  [4825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5114),
  [4828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13267),
  [4831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12210),
  [4834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4401),
  [4837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5126),
  [4840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17243),
  [4843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5217),
  [4846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16490),
  [4849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(186),
  [4852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1591),
  [4855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5180),
  [4858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3200),
  [4861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10317),
  [4864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1592),
  [4867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13798),
  [4870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14169),
  [4873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(276),
  [4876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5110),
  [4879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15719),
  [4882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16242),
  [4885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5194),
  [4888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13216),
  [4891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12488),
  [4894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4172),
  [4897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5141),
  [4900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17181),
  [4903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5578),
  [4905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16421),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13122),
  [4909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17579),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4165),
  [4913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10244),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13576),
  [4919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16677),
  [4921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2951),
  [4923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11841),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20162),
  [4927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13396),
  [4929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2933),
  [4931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14328),
  [4933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14508),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17837),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [4939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2916),
  [4941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18989),
  [4943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4956),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14977),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15196),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11851),
  [4951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17237),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13276),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12109),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17545),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8271),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16663),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10030),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20154),
  [4967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14275),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18390),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17789),
  [4973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5444),
  [4975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 0),
  [4977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 0),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [4981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4522),
  [4983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5377),
  [4985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13484),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14551),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4567),
  [4991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4505),
  [4993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18680),
  [4995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16306),
  [4997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15892),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5379),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18681),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13162),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12445),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5178),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17326),
  [5011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14873),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19444),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7433),
  [5017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20165),
  [5019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14364),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19357),
  [5023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18442),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7470),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20168),
  [5029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14396),
  [5031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20282),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19355),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7807),
  [5037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20170),
  [5039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14421),
  [5041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19013),
  [5043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19962),
  [5045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5502),
  [5047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [5049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4529),
  [5051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5373),
  [5053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13547),
  [5055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14442),
  [5057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4531),
  [5059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4470),
  [5061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19502),
  [5063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15267),
  [5065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16001),
  [5067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5277),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17518),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13110),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12397),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5111),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16524),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8736),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20174),
  [5083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14433),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17444),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18275),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7638),
  [5091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20133),
  [5093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14753),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19893),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19876),
  [5099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5754),
  [5101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17244),
  [5103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13263),
  [5105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19212),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4413),
  [5109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5278),
  [5112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17376),
  [5115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(138),
  [5118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1735),
  [5121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5358),
  [5124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3109),
  [5127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10255),
  [5130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1736),
  [5133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13995),
  [5136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14211),
  [5139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(249),
  [5142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5326),
  [5145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15676),
  [5148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16218),
  [5151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5364),
  [5154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13215),
  [5157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12342),
  [5160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4287),
  [5163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5370),
  [5166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16476),
  [5169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5629),
  [5171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [5173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4580),
  [5175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5402),
  [5177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13502),
  [5179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14685),
  [5181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4516),
  [5183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4454),
  [5185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19828),
  [5187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15435),
  [5189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16058),
  [5191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5518),
  [5193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18452),
  [5195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13271),
  [5197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12181),
  [5199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5315),
  [5201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17231),
  [5203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5659),
  [5205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [5207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4576),
  [5209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5454),
  [5211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13389),
  [5213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14279),
  [5215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4517),
  [5217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4461),
  [5219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17421),
  [5221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15458),
  [5223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16069),
  [5225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5394),
  [5227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17711),
  [5229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13104),
  [5231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12126),
  [5233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5356),
  [5235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17352),
  [5237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5935),
  [5239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17363),
  [5241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13247),
  [5243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18906),
  [5245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4436),
  [5247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5578),
  [5250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16421),
  [5253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(183),
  [5256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1585),
  [5259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5707),
  [5262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3194),
  [5265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10308),
  [5268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1586),
  [5271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13791),
  [5274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14151),
  [5277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(275),
  [5280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5553),
  [5283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15717),
  [5286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16241),
  [5289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5549),
  [5292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13213),
  [5295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12297),
  [5298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4164),
  [5301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5550),
  [5304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17172),
  [5307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6485),
  [5309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16791),
  [5311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13130),
  [5313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17897),
  [5315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4262),
  [5317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6161),
  [5319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16489),
  [5321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13261),
  [5323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20242),
  [5325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [5327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6319),
  [5329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16855),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13112),
  [5333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18214),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4283),
  [5337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6109),
  [5339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16512),
  [5341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13109),
  [5343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19030),
  [5345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4337),
  [5347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6596),
  [5349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17121),
  [5351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13243),
  [5353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17950),
  [5355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4442),
  [5357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18136),
  [5359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6207),
  [5361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17274),
  [5363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13107),
  [5365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18078),
  [5367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [5369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19012),
  [5371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7096),
  [5373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16715),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13148),
  [5377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17610),
  [5379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4184),
  [5381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10000),
  [5383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 1, 0, 18),
  [5385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 1, 0, 18),
  [5387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8657),
  [5389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [5391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15291),
  [5393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [5395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4613),
  [5397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4622),
  [5399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2985),
  [5401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10162),
  [5403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7961),
  [5405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13504),
  [5407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14327),
  [5409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14712),
  [5411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4601),
  [5413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [5415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19975),
  [5417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15416),
  [5419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15075),
  [5421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15929),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10198),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19977),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13160),
  [5429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12321),
  [5431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8253),
  [5433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16447),
  [5435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6935),
  [5437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17299),
  [5439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13252),
  [5441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17478),
  [5443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4358),
  [5445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5754),
  [5448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17244),
  [5451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(132),
  [5454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1718),
  [5457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5793),
  [5460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3105),
  [5463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10398),
  [5466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1719),
  [5469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13956),
  [5472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14161),
  [5475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(246),
  [5478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5791),
  [5481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15670),
  [5484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16214),
  [5487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5716),
  [5490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13190),
  [5493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12092),
  [5496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4412),
  [5499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5724),
  [5502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16356),
  [5505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8654),
  [5507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [5509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4623),
  [5511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [5513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14699),
  [5515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [5517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6977),
  [5519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16673),
  [5521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13170),
  [5523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18636),
  [5525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [5527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6906),
  [5529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16737),
  [5531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13113),
  [5533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19737),
  [5535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [5537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6841),
  [5539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17394),
  [5541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13121),
  [5543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17681),
  [5545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4273),
  [5547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8664),
  [5549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [5551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [5553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [5555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14312),
  [5557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [5559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6007),
  [5561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_expression, 1, 0, 0),
  [5563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_expression, 1, 0, 0),
  [5565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16538),
  [5567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [5569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [5571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5913),
  [5573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3111),
  [5575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10368),
  [5577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [5579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14005),
  [5581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14228),
  [5583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [5585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6010),
  [5587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15678),
  [5589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16220),
  [5591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5914),
  [5593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13224),
  [5595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12387),
  [5597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4405),
  [5599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5915),
  [5601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16543),
  [5603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6070),
  [5605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_application, 2, 0, 62),
  [5607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_application, 2, 0, 62),
  [5609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16972),
  [5611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [5613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [5615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5942),
  [5617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3153),
  [5619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10567),
  [5621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [5623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13732),
  [5625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14176),
  [5627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [5629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6103),
  [5631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15695),
  [5633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16230),
  [5635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5943),
  [5637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13120),
  [5639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12217),
  [5641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [5643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5944),
  [5645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17019),
  [5647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6070),
  [5650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16972),
  [5653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(157),
  [5656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1529),
  [5659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5942),
  [5662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3153),
  [5665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10567),
  [5668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1530),
  [5671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13732),
  [5674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14176),
  [5677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(261),
  [5680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6103),
  [5683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15695),
  [5686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16230),
  [5689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5943),
  [5692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13120),
  [5695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12217),
  [5698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4224),
  [5701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5944),
  [5704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17019),
  [5707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8673),
  [5709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [5711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4602),
  [5713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4603),
  [5715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14293),
  [5717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4604),
  [5719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5935),
  [5722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17363),
  [5725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(178),
  [5728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1573),
  [5731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5961),
  [5734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3185),
  [5737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10273),
  [5740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1574),
  [5743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13779),
  [5746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14077),
  [5749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(271),
  [5752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5871),
  [5755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15711),
  [5758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16238),
  [5761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5962),
  [5764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13201),
  [5767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12287),
  [5770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4435),
  [5773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5963),
  [5776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17163),
  [5779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6007),
  [5782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16538),
  [5785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(141),
  [5788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1741),
  [5791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5913),
  [5794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3111),
  [5797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10368),
  [5800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1742),
  [5803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14005),
  [5806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14228),
  [5809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(250),
  [5812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6010),
  [5815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15678),
  [5818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16220),
  [5821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5914),
  [5824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13224),
  [5827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12387),
  [5830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4405),
  [5833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5915),
  [5836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16543),
  [5839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6207),
  [5842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17274),
  [5845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(175),
  [5848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1567),
  [5851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6278),
  [5854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3183),
  [5857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10264),
  [5860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1568),
  [5863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13774),
  [5866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14036),
  [5869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(270),
  [5872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6605),
  [5875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15709),
  [5878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16237),
  [5881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6279),
  [5884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13199),
  [5887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12284),
  [5890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4407),
  [5893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6280),
  [5896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17159),
  [5899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6403),
  [5901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16533),
  [5903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [5905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [5907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6525),
  [5909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3078),
  [5911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10557),
  [5913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [5915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13840),
  [5917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14125),
  [5919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [5921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6355),
  [5923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15292),
  [5925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16008),
  [5927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6527),
  [5929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13218),
  [5931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12188),
  [5933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4290),
  [5935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6487),
  [5937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16583),
  [5939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6485),
  [5942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16791),
  [5945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(196),
  [5948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1694),
  [5951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6175),
  [5954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3097),
  [5957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10337),
  [5960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1695),
  [5963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13902),
  [5966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14057),
  [5969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(265),
  [5972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6412),
  [5975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15612),
  [5978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16169),
  [5981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6176),
  [5984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13139),
  [5987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12399),
  [5990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4261),
  [5993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6177),
  [5996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16871),
  [5999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6161),
  [6002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16489),
  [6005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(143),
  [6008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1750),
  [6011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6189),
  [6014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3114),
  [6017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10403),
  [6020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1751),
  [6023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14016),
  [6026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14248),
  [6029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(251),
  [6032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6486),
  [6035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15683),
  [6038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16224),
  [6041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6190),
  [6044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13238),
  [6047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12211),
  [6050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4242),
  [6053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6191),
  [6056] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16609),
  [6059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6319),
  [6062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16855),
  [6065] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(146),
  [6068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1499),
  [6071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6209),
  [6074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3118),
  [6077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10509),
  [6080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1500),
  [6083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13691),
  [6086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14171),
  [6089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(253),
  [6092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6526),
  [6095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15685),
  [6098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16225),
  [6101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6210),
  [6104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13254),
  [6107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12352),
  [6110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4279),
  [6113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6211),
  [6116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16682),
  [6119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6403),
  [6122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16533),
  [6125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(198),
  [6128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1656),
  [6131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6525),
  [6134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3078),
  [6137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10557),
  [6140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1657),
  [6143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13840),
  [6146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14125),
  [6149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(282),
  [6152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6355),
  [6155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15292),
  [6158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16008),
  [6161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6527),
  [6164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13218),
  [6167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12188),
  [6170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4290),
  [6173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6487),
  [6176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16583),
  [6179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6109),
  [6182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16512),
  [6185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(150),
  [6188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1511),
  [6191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6224),
  [6194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3131),
  [6197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10380),
  [6200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1512),
  [6203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13709),
  [6206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14031),
  [6209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(255),
  [6212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6568),
  [6215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15689),
  [6218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16227),
  [6221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6226),
  [6224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13272),
  [6227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12134),
  [6230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4336),
  [6233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6227),
  [6236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16821),
  [6239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6596),
  [6242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17121),
  [6245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(152),
  [6248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1517),
  [6251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6249),
  [6254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3137),
  [6257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10426),
  [6260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1518),
  [6263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13719),
  [6266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14027),
  [6269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(258),
  [6272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6612),
  [6275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15691),
  [6278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16228),
  [6281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6250),
  [6284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13250),
  [6287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12093),
  [6290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4414),
  [6293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6251),
  [6296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16912),
  [6299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6935),
  [6302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17299),
  [6305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(217),
  [6308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1627),
  [6311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6936),
  [6314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3048),
  [6317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10441),
  [6320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1628),
  [6323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13726),
  [6326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14120),
  [6329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(263),
  [6332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6771),
  [6335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15161),
  [6338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15959),
  [6341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6937),
  [6344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13163),
  [6347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12391),
  [6350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4353),
  [6353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6978),
  [6356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16343),
  [6359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(7096),
  [6362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16715),
  [6365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(179),
  [6368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1688),
  [6371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6778),
  [6374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3094),
  [6377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10278),
  [6380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1689),
  [6383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13892),
  [6386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14039),
  [6389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(288),
  [6392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(7016),
  [6395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15599),
  [6398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16160),
  [6401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(7055),
  [6404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13136),
  [6407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12359),
  [6410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4179),
  [6413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(7079),
  [6416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16662),
  [6419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7153),
  [6421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17196),
  [6423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [6425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [6427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6703),
  [6429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3170),
  [6431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10246),
  [6433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [6435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13747),
  [6437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14104),
  [6439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [6441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6765),
  [6443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15662),
  [6445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16208),
  [6447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6704),
  [6449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13181),
  [6451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12247),
  [6453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4311),
  [6455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6705),
  [6457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17093),
  [6459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6977),
  [6462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16673),
  [6465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(222),
  [6468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1635),
  [6471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6995),
  [6474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3060),
  [6477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10519),
  [6480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1636),
  [6483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13769),
  [6486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14020),
  [6489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(272),
  [6492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6844),
  [6495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15217),
  [6498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15977),
  [6501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6996),
  [6504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13244),
  [6507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12223),
  [6510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4314),
  [6513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6998),
  [6516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16430),
  [6519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6906),
  [6522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16737),
  [6525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(214),
  [6528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1621),
  [6531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6908),
  [6534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3039),
  [6537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10382),
  [6540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1622),
  [6543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13979),
  [6546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14192),
  [6549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(257),
  [6552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(7123),
  [6555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15136),
  [6558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15950),
  [6561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6909),
  [6564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13232),
  [6567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12458),
  [6570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4298),
  [6573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6939),
  [6576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17314),
  [6579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(7153),
  [6582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17196),
  [6585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(163),
  [6588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1541),
  [6591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6703),
  [6594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3170),
  [6597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10246),
  [6600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1542),
  [6603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13747),
  [6606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14104),
  [6609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(264),
  [6612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6765),
  [6615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15662),
  [6618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16208),
  [6621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6704),
  [6624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13181),
  [6627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12247),
  [6630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4311),
  [6633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6705),
  [6636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17093),
  [6639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6841),
  [6642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17394),
  [6645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(212),
  [6648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1610),
  [6651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6843),
  [6654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3029),
  [6657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10310),
  [6660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1611),
  [6663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13882),
  [6666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14023),
  [6669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(252),
  [6672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6726),
  [6675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15109),
  [6678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15939),
  [6681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6845),
  [6684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13270),
  [6687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12407),
  [6690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4258),
  [6693] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6910),
  [6696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16927),
  [6699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10332),
  [6701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [6703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5295),
  [6705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4579),
  [6707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20161),
  [6709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13506),
  [6711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14303),
  [6713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17547),
  [6715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [6717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4445),
  [6719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19578),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8552),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20163),
  [6725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14347),
  [6727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18749),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17833),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5524),
  [6733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20167),
  [6735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14376),
  [6737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19965),
  [6739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19169),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5332),
  [6743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20145),
  [6745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14637),
  [6747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17482),
  [6749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17462),
  [6751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [6753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20169),
  [6755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14406),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19159),
  [6759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19664),
  [6761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7535),
  [6763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 60),
  [6765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 60),
  [6767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9562),
  [6769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15595),
  [6771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [6773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2949),
  [6775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7464),
  [6777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7876),
  [6779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13657),
  [6781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14801),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [6785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17634),
  [6787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16035),
  [6789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15448),
  [6791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16064),
  [6793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7465),
  [6795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19829),
  [6797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13233),
  [6799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12076),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7160),
  [6803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17284),
  [6805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7405),
  [6807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 1, 0, 9),
  [6809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 1, 0, 9),
  [6811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9724),
  [6813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15070),
  [6815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [6817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3223),
  [6819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7429),
  [6821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7919),
  [6823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13614),
  [6825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14529),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [6829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18431),
  [6831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15398),
  [6833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16039),
  [6835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7430),
  [6837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17910),
  [6839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13219),
  [6841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12225),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7232),
  [6845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17031),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9530),
  [6849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 16),
  [6851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 16),
  [6853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9410),
  [6855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 2, 0, 9),
  [6857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 2, 0, 9),
  [6859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9731),
  [6861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 2, 0, 16),
  [6863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 2, 0, 16),
  [6865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9539),
  [6867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9543),
  [6869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7933),
  [6871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17009),
  [6873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [6875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [6877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7903),
  [6879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3089),
  [6881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10365),
  [6883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [6885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13871),
  [6887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14205),
  [6889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [6891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7935),
  [6893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15413),
  [6895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16044),
  [6897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7904),
  [6899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13105),
  [6901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12255),
  [6903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [6905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7906),
  [6907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16898),
  [6909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 95),
  [6911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 95),
  [6913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9566),
  [6915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 60),
  [6917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 60),
  [6919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9415),
  [6921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 80),
  [6923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 80),
  [6925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9426),
  [6927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9565),
  [6929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9549),
  [6931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9427),
  [6933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 95),
  [6935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 95),
  [6937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9429),
  [6939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9730),
  [6941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9568),
  [6943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 80),
  [6945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 80),
  [6947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9563),
  [6949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9423),
  [6951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(7933),
  [6954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17009),
  [6957] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(155),
  [6960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1675),
  [6963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(7903),
  [6966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3089),
  [6969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10365),
  [6972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1676),
  [6975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13871),
  [6978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14205),
  [6981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(285),
  [6984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(7935),
  [6987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15413),
  [6990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16044),
  [6993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(7904),
  [6996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13105),
  [6999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12255),
  [7002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4251),
  [7005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(7906),
  [7008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16898),
  [7011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9553),
  [7013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9424),
  [7015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7626),
  [7017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9512),
  [7019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15647),
  [7021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [7023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3075),
  [7025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7633),
  [7027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7916),
  [7029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13551),
  [7031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14664),
  [7033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [7035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19114),
  [7037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16073),
  [7039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15858),
  [7041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7634),
  [7043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19143),
  [7045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13204),
  [7047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12264),
  [7049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7467),
  [7051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17296),
  [7053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9735),
  [7055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9590),
  [7057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9677),
  [7059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_pattern, 1, 0, 0),
  [7061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [7063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_pattern, 1, 0, 0),
  [7065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14508),
  [7067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17548),
  [7069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9578),
  [7071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9536),
  [7073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9502),
  [7075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9719),
  [7077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9693),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9507),
  [7081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7885),
  [7083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9607),
  [7085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15209),
  [7087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [7089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2988),
  [7091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7802),
  [7093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7925),
  [7095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13387),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14336),
  [7099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [7101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18522),
  [7103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15475),
  [7105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16077),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7804),
  [7109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17439),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13178),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12158),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7645),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17404),
  [7119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9604),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9633),
  [7123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9639),
  [7125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9589),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9611),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9625),
  [7131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9624),
  [7133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9603),
  [7135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9632),
  [7137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7535),
  [7140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0),
  [7142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0),
  [7144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15595),
  [7147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2429),
  [7150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2949),
  [7153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7464),
  [7156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13657),
  [7159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14801),
  [7162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2950),
  [7165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17634),
  [7168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15448),
  [7171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16064),
  [7174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7465),
  [7177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19829),
  [7180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13233),
  [7183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12076),
  [7186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7160),
  [7189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17284),
  [7192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7405),
  [7195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15070),
  [7198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2428),
  [7201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3223),
  [7204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7429),
  [7207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13614),
  [7210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14529),
  [7213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3226),
  [7216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18431),
  [7219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15398),
  [7222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16039),
  [7225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7430),
  [7228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17910),
  [7231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13219),
  [7234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12225),
  [7237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7232),
  [7240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17031),
  [7243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7626),
  [7246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15647),
  [7249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2434),
  [7252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3075),
  [7255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7633),
  [7258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13551),
  [7261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14664),
  [7264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3108),
  [7267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19114),
  [7270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16073),
  [7273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15858),
  [7276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7634),
  [7279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19143),
  [7282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13204),
  [7285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12264),
  [7288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7467),
  [7291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17296),
  [7294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2922),
  [7296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14781),
  [7298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2925),
  [7300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5059),
  [7302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15004),
  [7304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15914),
  [7306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17548),
  [7308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8749),
  [7310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [7312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4521),
  [7314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8543),
  [7316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13597),
  [7318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14902),
  [7320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [7322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4444),
  [7324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17873),
  [7326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15377),
  [7328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16034),
  [7330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8546),
  [7332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18293),
  [7334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13164),
  [7336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12470),
  [7338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8379),
  [7340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16769),
  [7342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7885),
  [7345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15209),
  [7348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2430),
  [7351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2988),
  [7354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7802),
  [7357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13387),
  [7360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14336),
  [7363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2990),
  [7366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18522),
  [7369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15475),
  [7372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16077),
  [7375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7804),
  [7378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17439),
  [7381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13178),
  [7384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12158),
  [7387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7645),
  [7390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17404),
  [7393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13841),
  [7395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [7397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3100),
  [7399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13581),
  [7401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13618),
  [7403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2917),
  [7405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14759),
  [7407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [7409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2914),
  [7411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18268),
  [7413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5061),
  [7415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15332),
  [7417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16020),
  [7419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13587),
  [7421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19517),
  [7423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13137),
  [7425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12322),
  [7427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8941),
  [7429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16614),
  [7431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [7433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [7435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15899),
  [7437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [7439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [7441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8473),
  [7443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [7445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15948),
  [7447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [7449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [7451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8732),
  [7453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7886),
  [7455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13665),
  [7457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 2, 0, 43),
  [7459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14397),
  [7461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [7463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19631),
  [7465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 2, 0, 43),
  [7467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15564),
  [7469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16134),
  [7471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8733),
  [7473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18529),
  [7475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13117),
  [7477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12299),
  [7479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8388),
  [7481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17368),
  [7483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [7485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [7487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [7489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [7491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [7493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [7495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [7497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 69),
  [7499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 69),
  [7501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [7503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [7505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [7507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [7509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [7511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [7513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [7515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [7517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [7519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 43),
  [7521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 43),
  [7523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [7525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [7527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [7529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [7531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [7533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [7535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [7537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [7539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [7541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [7543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [7545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [7547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [7549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [7551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 89),
  [7553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 89),
  [7555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [7557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 69),
  [7559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 69),
  [7561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [7563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 89),
  [7565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 89),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [7569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [7571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4575),
  [7573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13274),
  [7575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13704),
  [7577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11015),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15783),
  [7581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4554),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16306),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15892),
  [7587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8716),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [7595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14860),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16089),
  [7601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15075),
  [7603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15929),
  [7605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4515),
  [7607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15267),
  [7609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16001),
  [7611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12030),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19629),
  [7615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8334),
  [7617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12014),
  [7619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7822),
  [7621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 1, 0, 0),
  [7623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13124),
  [7625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13367),
  [7627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10976),
  [7629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10025),
  [7631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13459),
  [7633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13818),
  [7635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7659),
  [7637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [7639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9169),
  [7641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14677),
  [7643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15004),
  [7645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15914),
  [7647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8896),
  [7649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17056),
  [7651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(9033),
  [7654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16362),
  [7657] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(218),
  [7660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1712),
  [7663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(9105),
  [7666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3103),
  [7669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10294),
  [7672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1713),
  [7675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13940),
  [7678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14136),
  [7681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(244),
  [7684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(9125),
  [7687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15491),
  [7690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16087),
  [7693] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(9107),
  [7696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13177),
  [7699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12306),
  [7702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4382),
  [7705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(8119),
  [7708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16697),
  [7711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9033),
  [7713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16362),
  [7715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [7717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [7719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9105),
  [7721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3103),
  [7723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10294),
  [7725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [7727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13940),
  [7729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14136),
  [7731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [7733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9125),
  [7735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15491),
  [7737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16087),
  [7739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9107),
  [7741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13177),
  [7743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12306),
  [7745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4382),
  [7747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8119),
  [7749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16697),
  [7751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13961),
  [7753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12928),
  [7755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_get_expression, 3, 0, 0),
  [7757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_get_expression, 3, 0, 0),
  [7759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8690),
  [7761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_get_expression, 5, 0, 0),
  [7763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_get_expression, 5, 0, 0),
  [7765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_get_expression, 5, 0, 0),
  [7767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_get_expression, 5, 0, 0),
  [7769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigarray_get_expression, 5, 0, 0),
  [7771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigarray_get_expression, 5, 0, 0),
  [7773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_path, 3, 0, 67),
  [7775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_path, 3, 0, 67),
  [7777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_get_expression, 6, 0, 0),
  [7779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_get_expression, 6, 0, 0),
  [7781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_get_expression, 6, 0, 0),
  [7783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_get_expression, 6, 0, 0),
  [7785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigarray_get_expression, 6, 0, 0),
  [7787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigarray_get_expression, 6, 0, 0),
  [7789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__value_name, 1, 0, 1),
  [7791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__value_name, 1, 0, 1),
  [7793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__instance_variable_name, 1, 0, 10),
  [7795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0),
  [7797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0),
  [7799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [7801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7948),
  [7803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7698),
  [7805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7355),
  [7807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7452),
  [7809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8473),
  [7812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15948),
  [7815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2433),
  [7818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3026),
  [7821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8732),
  [7824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13665),
  [7827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14397),
  [7830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3028),
  [7833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19631),
  [7836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15564),
  [7839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16134),
  [7842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8733),
  [7845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18529),
  [7848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13117),
  [7851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12299),
  [7854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8388),
  [7857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17368),
  [7860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10205),
  [7862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [7864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_path, 1, 0, 22),
  [7866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_path, 1, 0, 22),
  [7868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 4, 0, 0),
  [7870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 4, 0, 0),
  [7872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension, 4, 0, 0),
  [7874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension, 4, 0, 0),
  [7876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_extension, 4, 0, 0),
  [7878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_extension, 4, 0, 0),
  [7880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7506),
  [7882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7508),
  [7884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_extension, 5, 0, 0),
  [7886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_extension, 5, 0, 0),
  [7888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7551),
  [7890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7554),
  [7892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12982),
  [7894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12795),
  [7896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__value_name, 1, 0, 0),
  [7898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__value_name, 1, 0, 0),
  [7900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7351),
  [7902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7354),
  [7904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 3, 0, 0),
  [7906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 3, 0, 0),
  [7908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 6, 0, 0),
  [7910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 6, 0, 0),
  [7912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7418),
  [7914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7420),
  [7916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 7, 0, 0),
  [7918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 7, 0, 0),
  [7920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 8, 0, 0),
  [7922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 8, 0, 0),
  [7924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13320),
  [7926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [7928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [7930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3016),
  [7932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10506),
  [7934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [7936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13831),
  [7938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14092),
  [7940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [7942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7173),
  [7944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4207),
  [7946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6773),
  [7948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16461),
  [7950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13176),
  [7952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 9, 0, 0),
  [7954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 9, 0, 0),
  [7956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag, 2, 0, 0),
  [7958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag, 2, 0, 0),
  [7960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12913),
  [7962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12887),
  [7964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10072),
  [7966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10084),
  [7968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7722),
  [7970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7737),
  [7972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [7974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [7976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number, 1, 0, 0),
  [7978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 1, 0, 0),
  [7980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_name, 1, 0, 6),
  [7982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_name, 1, 0, 6),
  [7984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_path, 1, 0, 5),
  [7986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7609),
  [7988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7939),
  [7990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7944),
  [7992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constant, 1, 0, 0),
  [7994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constant, 1, 0, 0),
  [7996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_path, 1, 0, 0),
  [7998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_path, 1, 0, 0),
  [8000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7972),
  [8002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7859),
  [8004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12960),
  [8006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10201),
  [8008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8572),
  [8010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8573),
  [8012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10204),
  [8014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12974),
  [8016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13491),
  [8018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4495),
  [8020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8685),
  [8022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8688),
  [8024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unit, 2, 0, 0),
  [8026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit, 2, 0, 0),
  [8028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10165),
  [8030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10192),
  [8032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8706),
  [8034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8708),
  [8036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7620),
  [8038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_string, 3, 0, 0),
  [8040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_string, 3, 0, 0),
  [8042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character, 3, 0, 0),
  [8044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character, 3, 0, 0),
  [8046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_path, 3, 0, 32),
  [8048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_path, 3, 0, 0),
  [8050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_path, 3, 0, 0),
  [8052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7689),
  [8054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [8056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [8058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [8060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [8062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [8064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [8066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13888),
  [8068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13889),
  [8070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2356),
  [8072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [8074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 2, 0, 0),
  [8076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 2, 0, 0),
  [8078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 2, 0, 0),
  [8080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 2, 0, 0),
  [8082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 0),
  [8084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 0),
  [8086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 2, 0, 0),
  [8088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 2, 0, 0),
  [8090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefix_expression, 2, 0, 25),
  [8092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefix_expression, 2, 0, 25),
  [8094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 1, 0, 26),
  [8096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 1, 0, 26),
  [8098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [8100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [8102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 3, 0, 0),
  [8104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 3, 0, 0),
  [8106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 3, 0, 0),
  [8108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 3, 0, 0),
  [8110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 0),
  [8112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 0),
  [8114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_name, 3, 0, 34),
  [8116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_name, 3, 0, 34),
  [8118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 3, 0, 0),
  [8120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 3, 0, 0),
  [8122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7613),
  [8124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 3, 0, 46),
  [8126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 3, 0, 46),
  [8128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_expression, 3, 0, 47),
  [8130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_expression, 3, 0, 47),
  [8132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 3, 0, 0),
  [8134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 3, 0, 0),
  [8136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_expression, 4, 0, 0),
  [8138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_expression, 4, 0, 0),
  [8140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 4, 0, 0),
  [8142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 4, 0, 0),
  [8144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 4, 0, 0),
  [8146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 4, 0, 0),
  [8148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 4, 0, 0),
  [8150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 4, 0, 0),
  [8152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 4, 0, 0),
  [8154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 4, 0, 0),
  [8156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, 0, 0),
  [8158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, 0, 0),
  [8160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 4, 0, 0),
  [8162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 4, 0, 0),
  [8164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 5, 0, 0),
  [8166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 5, 0, 0),
  [8168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coercion_expression, 5, 0, 0),
  [8170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coercion_expression, 5, 0, 0),
  [8172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 5, 0, 0),
  [8174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 5, 0, 0),
  [8176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7606),
  [8178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 5, 0, 0),
  [8180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 5, 0, 0),
  [8182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 5, 0, 0),
  [8184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 5, 0, 0),
  [8186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 5, 0, 0),
  [8188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 5, 0, 0),
  [8190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 4, 0, 45),
  [8192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 4, 0, 45),
  [8194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13958),
  [8196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13960),
  [8198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 5, 0, 0),
  [8200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 5, 0, 0),
  [8202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 6, 0, 0),
  [8204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 6, 0, 0),
  [8206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coercion_expression, 6, 0, 0),
  [8208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coercion_expression, 6, 0, 0),
  [8210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 6, 0, 0),
  [8212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 6, 0, 0),
  [8214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 7, 0, 0),
  [8216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 7, 0, 0),
  [8218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_path, 1, 0, 0),
  [8220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_path, 1, 0, 0),
  [8222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13978),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13981),
  [8226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_path, 3, 0, 0),
  [8228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_path, 3, 0, 0),
  [8230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 2, 0, 0),
  [8232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 2, 0, 0),
  [8234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_path, 1, 0, 24),
  [8236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_path, 1, 0, 24),
  [8238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 3, 0, 0),
  [8240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 3, 0, 0),
  [8242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [8244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 4, 0, 0),
  [8246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 4, 0, 0),
  [8248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_path, 3, 0, 71),
  [8250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_path, 3, 0, 71),
  [8252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 5, 0, 0),
  [8254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 5, 0, 0),
  [8256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 6, 0, 0),
  [8258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 6, 0, 0),
  [8260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 7, 0, 0),
  [8262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 7, 0, 0),
  [8264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 8, 0, 0),
  [8266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 8, 0, 0),
  [8268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 3, 0, 0),
  [8270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 3, 0, 0),
  [8272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7350),
  [8274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7361),
  [8276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension, 3, 0, 0),
  [8278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension, 3, 0, 0),
  [8280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7444),
  [8282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7450),
  [8284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13911),
  [8286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [8288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4545),
  [8290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13620),
  [8292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [8294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4479),
  [8296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2362),
  [8298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [8300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9584),
  [8302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [8304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [8306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9660),
  [8308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3124),
  [8310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10265),
  [8312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [8314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13699),
  [8316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14194),
  [8318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [8320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9431),
  [8322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15687),
  [8324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16226),
  [8326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15240),
  [8328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9661),
  [8330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13265),
  [8332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12464),
  [8334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [8336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9694),
  [8338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16756),
  [8340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 2, 0, 45),
  [8342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 2, 0, 45),
  [8344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4434),
  [8346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7416),
  [8348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [8350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [8352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7534),
  [8354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3174),
  [8356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10243),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [8360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13754),
  [8362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14154),
  [8364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [8366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7560),
  [8368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15577),
  [8370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16144),
  [8372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7536),
  [8374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13182),
  [8376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12251),
  [8378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [8380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7343),
  [8382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17130),
  [8384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4171),
  [8386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7293),
  [8388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [8390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [8392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7228),
  [8394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [8396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10411),
  [8398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [8400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13819),
  [8402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14029),
  [8404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [8406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7233),
  [8408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7230),
  [8410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13195),
  [8412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12474),
  [8414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4361),
  [8416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7312),
  [8418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16866),
  [8420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6740),
  [8422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [8424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7370),
  [8426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3054),
  [8428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15194),
  [8432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15968),
  [8434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7371),
  [8436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13234),
  [8438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12180),
  [8440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [8442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [8444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15354),
  [8446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16026),
  [8448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [8450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [8452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2164),
  [8454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4404),
  [8456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4514),
  [8458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15458),
  [8460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16069),
  [8462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [8464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4539),
  [8466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15435),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16058),
  [8470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4346),
  [8472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 5, 0, 105),
  [8474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 5, 0, 105),
  [8476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4191),
  [8478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4195),
  [8480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15678),
  [8482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16220),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15413),
  [8486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16044),
  [8488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15695),
  [8490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16230),
  [8492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4368),
  [8494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15292),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16008),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15662),
  [8500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16208),
  [8502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4392),
  [8504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4518),
  [8506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13230),
  [8508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5414),
  [8510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4524),
  [8512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5596),
  [8514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5435),
  [8516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5656),
  [8518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4551),
  [8520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13966),
  [8522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4278),
  [8524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8794),
  [8526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4527),
  [8528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4541),
  [8530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4411),
  [8532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5400),
  [8534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5646),
  [8536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5526),
  [8538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8774),
  [8540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5425),
  [8542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8758),
  [8544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5389),
  [8546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8770),
  [8548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5611),
  [8550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5427),
  [8552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [8554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5429),
  [8556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [8558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13226),
  [8560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13229),
  [8562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4321),
  [8564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5706),
  [8566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5383),
  [8568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5385),
  [8570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5562),
  [8572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13890),
  [8574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5387),
  [8576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5689),
  [8578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13891),
  [8580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13965),
  [8582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13983),
  [8584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4217),
  [8586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5431),
  [8588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5652),
  [8590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13985),
  [8592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13134),
  [8594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5432),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13963),
  [8598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13175),
  [8600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13246),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5395),
  [8604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5580),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8776),
  [8608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8812),
  [8610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5702),
  [8612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5709),
  [8614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8751),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13133),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5638),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8655),
  [8622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [8624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8729),
  [8626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [8628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10000),
  [8631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15291),
  [8634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2424),
  [8637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2985),
  [8640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10162),
  [8643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13504),
  [8646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14712),
  [8649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2986),
  [8652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19975),
  [8655] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15075),
  [8658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15929),
  [8661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10198),
  [8664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19977),
  [8667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13160),
  [8670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12321),
  [8673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8253),
  [8676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16447),
  [8679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8666),
  [8681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [8683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8535),
  [8685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [8687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8674),
  [8689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [8691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9818),
  [8693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [8695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19977),
  [8697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [8699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [8705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [8707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [8709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [8711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [8713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [8715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [8717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [8721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [8723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [8725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [8727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [8729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [8731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [8733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [8735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [8737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [8739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2190),
  [8741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [8743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [8745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [8747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [8749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [8751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [8753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [8755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [8757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [8759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [8761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [8763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [8765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [8767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [8769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [8771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [8773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [8775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [8777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_id, 2, 0, 0),
  [8779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_id, 2, 0, 0),
  [8781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17287),
  [8783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [8785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [8787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [8789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [8791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [8793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [8795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [8797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [8799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [8801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0),
  [8803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0),
  [8805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17287),
  [8808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [8810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [8812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [8814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [8816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [8818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [8820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [8822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [8826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [8828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [8830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [8832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [8834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [8838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [8840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [8842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [8844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [8846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [8848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [8850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_id, 1, 0, 0),
  [8852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_id, 1, 0, 0),
  [8854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [8856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [8858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [8860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [8864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [8866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [8868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [8870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [8872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [8874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [8876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [8878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [8880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [8882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [8884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [8886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [8888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [8890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [8892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [8894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [8896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [8898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [8900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [8902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9418),
  [8904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9476),
  [8906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9556),
  [8908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9617),
  [8910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9664),
  [8912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [8914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9707),
  [8916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2912),
  [8918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4406),
  [8920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0),
  [8922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(5171),
  [8925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0),
  [8927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(5207),
  [8930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [8932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4260),
  [8934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat1, 1, 0, 0),
  [8936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 1, 0, 0),
  [8938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [8940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2261),
  [8942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [8944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signed_number, 2, 0, 0),
  [8946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signed_number, 2, 0, 0),
  [8948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11732),
  [8950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 4, 0, 72),
  [8952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sequence_expression, 4, 0, 72),
  [8954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11699),
  [8956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__signed_constant, 1, 0, 0),
  [8958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signed_constant, 1, 0, 0),
  [8960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, 0, 49),
  [8962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sequence_expression, 3, 0, 49),
  [8964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sequence_expression, 1, 0, 0),
  [8966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__sequence_expression, 1, 0, 0),
  [8968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4410),
  [8970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 5, 0, 0),
  [8972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 5, 0, 0),
  [8974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 5, 0, 0),
  [8976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 5, 0, 0),
  [8978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 4, 0, 0),
  [8980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 4, 0, 0),
  [8982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 5, 0, 0),
  [8984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 5, 0, 0),
  [8986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 2, 0, 0),
  [8988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 2, 0, 0),
  [8990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 6, 0, 0),
  [8992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 6, 0, 0),
  [8994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 7, 0, 0),
  [8996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 7, 0, 0),
  [8998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 2, 0, 0),
  [9000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 2, 0, 0),
  [9002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_binding_pattern, 2, 0, 0),
  [9004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_binding_pattern, 2, 0, 0),
  [9006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 6, 0, 97),
  [9008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 6, 0, 97),
  [9010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11630),
  [9012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4186),
  [9014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 3, 0, 0),
  [9016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 3, 0, 0),
  [9018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 4, 0, 0),
  [9020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 4, 0, 0),
  [9022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_binding_pattern, 4, 0, 40),
  [9024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_binding_pattern, 4, 0, 40),
  [9026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_pattern, 2, 0, 0),
  [9028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_pattern, 2, 0, 0),
  [9030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 5, 0, 0),
  [9032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 5, 0, 0),
  [9034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [9036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 4, 0, 0),
  [9038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 4, 0, 0),
  [9040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 4, 0, 0),
  [9042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 4, 0, 0),
  [9044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4380),
  [9046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 20),
  [9048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 20),
  [9050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_binding_pattern, 2, 0, 40),
  [9052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_binding_pattern, 2, 0, 40),
  [9054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag_binding_pattern, 2, 0, 40),
  [9056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_binding_pattern, 2, 0, 40),
  [9058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constructor_path, 1, 0, 4),
  [9060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constructor_path, 1, 0, 4),
  [9062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 4, 0, 32),
  [9064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 4, 0, 32),
  [9066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constructor_path, 3, 0, 31),
  [9068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constructor_path, 3, 0, 31),
  [9070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 3, 0, 0),
  [9072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 3, 0, 0),
  [9074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_binding_pattern, 3, 0, 0),
  [9076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_binding_pattern, 3, 0, 0),
  [9078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 5, 0, 97),
  [9080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 5, 0, 97),
  [9082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_pattern, 3, 0, 0),
  [9084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_pattern, 3, 0, 0),
  [9086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 3, 0, 0),
  [9088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 3, 0, 0),
  [9090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_binding_pattern, 3, 0, 0),
  [9092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_binding_pattern, 3, 0, 0),
  [9094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_binding_pattern, 3, 0, 0),
  [9096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_binding_pattern, 3, 0, 0),
  [9098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_or_binding_pattern, 3, 0, 0),
  [9100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_binding_pattern, 3, 0, 0),
  [9102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 5, 0, 32),
  [9104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 5, 0, 32),
  [9106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_binding_pattern, 3, 0, 0),
  [9108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_binding_pattern, 3, 0, 0),
  [9110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_binding_pattern, 3, 0, 0),
  [9112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_binding_pattern, 3, 0, 0),
  [9114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 19),
  [9116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 19),
  [9118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11722),
  [9120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 21),
  [9122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 21),
  [9124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 3, 0, 0),
  [9126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 3, 0, 0),
  [9128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [9130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [9132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4177),
  [9134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1963),
  [9136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [9138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16073),
  [9140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15858),
  [9142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [9144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13054),
  [9146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16954),
  [9148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [9150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15448),
  [9152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16064),
  [9154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [9156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13550),
  [9158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17118),
  [9160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [9162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15564),
  [9164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16134),
  [9166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [9168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [9170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [9172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15398),
  [9174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16039),
  [9176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [9178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8676),
  [9180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [9182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15475),
  [9184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16077),
  [9186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13186),
  [9188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4180),
  [9190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [9192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13248),
  [9194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20111),
  [9196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [9198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17640),
  [9200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4225),
  [9202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [9204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [9206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [9208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [9210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [9212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [9214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9318),
  [9216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8198),
  [9218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6804),
  [9220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10445),
  [9222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9570),
  [9224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7617),
  [9226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10267),
  [9228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15124),
  [9230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7708),
  [9232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7897),
  [9234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9094),
  [9236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14750),
  [9238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15515),
  [9240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16101),
  [9242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9195),
  [9244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17310),
  [9246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6810),
  [9248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10453),
  [9250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9484),
  [9252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8223),
  [9254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6938),
  [9256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10836),
  [9258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9879),
  [9260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7706),
  [9262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10730),
  [9264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7615),
  [9266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7798),
  [9268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8952),
  [9270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14592),
  [9272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15233),
  [9274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15985),
  [9276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16541),
  [9278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13205),
  [9280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18780),
  [9282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4292),
  [9284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9314),
  [9286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8179),
  [9288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6887),
  [9290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10467),
  [9292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9725),
  [9294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7622),
  [9296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10288),
  [9298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7696),
  [9300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7966),
  [9302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9053),
  [9304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14858),
  [9306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15634),
  [9308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16185),
  [9310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16424),
  [9312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6894),
  [9314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10474),
  [9316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9881),
  [9318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8251),
  [9320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6920),
  [9322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11038),
  [9324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10144),
  [9326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7624),
  [9328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10973),
  [9330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7610),
  [9332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7718),
  [9334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9157),
  [9336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14549),
  [9338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15657),
  [9340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16204),
  [9342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17309),
  [9344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6924),
  [9346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11045),
  [9348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [9350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7109),
  [9352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10801),
  [9354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [9356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [9358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [9360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [9362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [9364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [9366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [9368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [9370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4335),
  [9372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1779),
  [9374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [9376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4163),
  [9378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [9380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10451),
  [9382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10458),
  [9384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10472),
  [9386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10478),
  [9388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11042),
  [9390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11049),
  [9392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10645),
  [9394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4381),
  [9396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4238),
  [9398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13260),
  [9400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19630),
  [9402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [9404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10590),
  [9406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [9408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [9410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_class_expression, 3, 0, 0),
  [9412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_class_expression, 3, 0, 0),
  [9414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4355),
  [9416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_class_expression, 1, 0, 0),
  [9418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_class_expression, 1, 0, 0),
  [9420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_value_pattern, 1, 0, 17),
  [9422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_value_pattern, 1, 0, 17),
  [9424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5779),
  [9426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5747),
  [9428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_class_expression, 4, 0, 0),
  [9430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_class_expression, 4, 0, 0),
  [9432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class, 4, 0, 0),
  [9434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class, 4, 0, 0),
  [9436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4158),
  [9438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class, 5, 0, 0),
  [9440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class, 5, 0, 0),
  [9442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4218),
  [9444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13101),
  [9446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4274),
  [9448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4249),
  [9450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4310),
  [9452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4343),
  [9454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_pattern, 4, 0, 0),
  [9456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_pattern, 4, 0, 0),
  [9458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [9460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [9462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 4, 0, 0),
  [9464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 4, 0, 0),
  [9466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 4, 0, 0),
  [9468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 4, 0, 0),
  [9470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [9472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [9474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 4, 0, 0),
  [9476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 4, 0, 0),
  [9478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [9480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [9482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [9484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [9486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 3, 0, 0),
  [9488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 3, 0, 0),
  [9490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4214),
  [9492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 8, 0, 131),
  [9494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 8, 0, 131),
  [9496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4354),
  [9498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4239),
  [9500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5720),
  [9502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 9, 0, 131),
  [9504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 9, 0, 131),
  [9506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parenthesized_abstract_type, 3, 0, 0),
  [9508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parenthesized_abstract_type, 3, 0, 0),
  [9510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_pattern, 3, 0, 0),
  [9512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_pattern, 3, 0, 0),
  [9514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [9516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [9518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 3, 0, 0),
  [9520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 3, 0, 0),
  [9522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 6, 0, 82),
  [9524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 6, 0, 82),
  [9526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4431),
  [9528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 7, 0, 82),
  [9530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 7, 0, 82),
  [9532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 5, 0, 0),
  [9534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 5, 0, 0),
  [9536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 5, 0, 0),
  [9538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 5, 0, 0),
  [9540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 5, 0, 0),
  [9542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 5, 0, 0),
  [9544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 5, 0, 0),
  [9546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 5, 0, 0),
  [9548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_expression, 2, 0, 0),
  [9550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_expression, 2, 0, 0),
  [9552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13183),
  [9554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20240),
  [9556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4202),
  [9558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 5, 0, 82),
  [9560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 5, 0, 82),
  [9562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_expression, 3, 0, 0),
  [9564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_expression, 3, 0, 0),
  [9566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_expression, 3, 0, 0),
  [9568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_expression, 3, 0, 0),
  [9570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_expression, 2, 0, 0),
  [9572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_expression, 2, 0, 0),
  [9574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 1, 0, 0),
  [9576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 1, 0, 0),
  [9578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 1, 0, 18),
  [9580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 18),
  [9582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4291),
  [9584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13145),
  [9586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20061),
  [9588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [9590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 6, 0, 0),
  [9592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 6, 0, 0),
  [9594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 7, 0, 0),
  [9596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 7, 0, 0),
  [9598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 2, 0, 40),
  [9600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 2, 0, 40),
  [9602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4254),
  [9604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 4, 0, 82),
  [9606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 82),
  [9608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 4, 0, 83),
  [9610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 83),
  [9612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12030),
  [9614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7759),
  [9616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9817),
  [9618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7864),
  [9620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9540),
  [9622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7778),
  [9624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10988),
  [9626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8128),
  [9628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10270),
  [9630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7983),
  [9632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10290),
  [9634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7999),
  [9636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10977),
  [9638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7719),
  [9640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13382),
  [9642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7866),
  [9644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10435),
  [9646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7773),
  [9648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11695),
  [9650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7818),
  [9652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9256),
  [9654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7842),
  [9656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10171),
  [9658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7784),
  [9660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12363),
  [9662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5788),
  [9664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7856),
  [9666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10010),
  [9668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7862),
  [9670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13043),
  [9672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7867),
  [9674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10610),
  [9676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7872),
  [9678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12539),
  [9680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7875),
  [9682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9599),
  [9684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7879),
  [9686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8971),
  [9688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7894),
  [9690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10811),
  [9692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7899),
  [9694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9168),
  [9696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7901),
  [9698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12751),
  [9700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7965),
  [9702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10688),
  [9704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7957),
  [9706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9381),
  [9708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8102),
  [9710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10739),
  [9712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7883),
  [9714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9326),
  [9716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7811),
  [9718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10824),
  [9720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_clause, 2, 0, 0),
  [9722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_clause, 2, 0, 0),
  [9724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8000),
  [9726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13466),
  [9728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13212),
  [9730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18692),
  [9732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4252),
  [9734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12345),
  [9736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8369),
  [9738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7762),
  [9740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7668),
  [9742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7763),
  [9744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8907),
  [9746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14597),
  [9748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15705),
  [9750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16235),
  [9752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17026),
  [9754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 4, 0, 70),
  [9756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 4, 0, 70),
  [9758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8010),
  [9760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8011),
  [9762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 4, 0, 0),
  [9764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 4, 0, 0),
  [9766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8015),
  [9768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8016),
  [9770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8020),
  [9772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8021),
  [9774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8025),
  [9776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8026),
  [9778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 4, 0, 0),
  [9780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 4, 0, 0),
  [9782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8028),
  [9784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8029),
  [9786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8032),
  [9788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8033),
  [9790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8035),
  [9792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8036),
  [9794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8039),
  [9796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8040),
  [9798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9844),
  [9800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8044),
  [9802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8045),
  [9804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10096),
  [9806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17278),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19636),
  [9810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7947),
  [9812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11610),
  [9814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15311),
  [9816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16014),
  [9818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8049),
  [9820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8050),
  [9822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8057),
  [9824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8058),
  [9826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11721),
  [9828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8061),
  [9830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8062),
  [9832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10997),
  [9834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8064),
  [9836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8065),
  [9838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12098),
  [9840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8103),
  [9842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16415),
  [9844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10249),
  [9846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20137),
  [9848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15665),
  [9850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16210),
  [9852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10627),
  [9854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8097),
  [9856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9337),
  [9858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13660),
  [9860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17290),
  [9862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20148),
  [9864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7816),
  [9866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9767),
  [9868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17375),
  [9870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20099),
  [9872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15552),
  [9874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16128),
  [9876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 5, 0, 91),
  [9878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 5, 0, 91),
  [9880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 5, 0, 70),
  [9882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 5, 0, 70),
  [9884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_exception_expression, 4, 0, 57),
  [9886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_exception_expression, 4, 0, 57),
  [9888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_clause, 3, 0, 0),
  [9890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_clause, 3, 0, 0),
  [9892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 5, 0, 0),
  [9894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 5, 0, 0),
  [9896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9991),
  [9898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_toplevel_directive, 1, 0, 0),
  [9900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_toplevel_directive, 1, 0, 0),
  [9902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11134),
  [9904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12197),
  [9906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16433),
  [9908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17516),
  [9910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12202),
  [9912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13191),
  [9914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12195),
  [9916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8578),
  [9918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 5, 0, 0),
  [9920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 5, 0, 0),
  [9922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10027),
  [9924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_module_expression, 4, 0, 57),
  [9926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_module_expression, 4, 0, 57),
  [9928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12996),
  [9930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9557),
  [9932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10253),
  [9934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10773),
  [9936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 2, 0, 0),
  [9938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 2, 0, 0),
  [9940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8099),
  [9942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10735),
  [9944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8378),
  [9946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7728),
  [9948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7616),
  [9950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7729),
  [9952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8981),
  [9954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14691),
  [9956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15659),
  [9958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16206),
  [9960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17412),
  [9962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12510),
  [9964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8114),
  [9966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7979),
  [9968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9613),
  [9970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9904),
  [9972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20124),
  [9974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15653),
  [9976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16200),
  [9978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9009),
  [9980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_expression, 4, 0, 57),
  [9982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_expression, 4, 0, 57),
  [9984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9295),
  [9986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11581),
  [9988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8376),
  [9990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7740),
  [9992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7644),
  [9994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7741),
  [9996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9202),
  [9998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14283),
  [10000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15680),
  [10002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16222),
  [10004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16516),
  [10006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10765),
  [10008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8129),
  [10010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type, 1, 0, 0),
  [10012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tuple_type, 1, 0, 0),
  [10014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8908),
  [10016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12774),
  [10018] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(16415),
  [10021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 6, 0, 104),
  [10023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 6, 0, 104),
  [10025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_expression, 3, 0, 0),
  [10027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_expression, 3, 0, 0),
  [10029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8138),
  [10031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8140),
  [10033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10320),
  [10035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8429),
  [10037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7873),
  [10039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7673),
  [10041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7874),
  [10043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9081),
  [10045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14615),
  [10047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15247),
  [10049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15991),
  [10051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17144),
  [10053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8152),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8153),
  [10057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 7, 0, 116),
  [10059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 7, 0, 116),
  [10061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9377),
  [10063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 4, 0, 57),
  [10065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 4, 0, 57),
  [10067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10838),
  [10069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7984),
  [10071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 8, 0, 127),
  [10073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 8, 0, 127),
  [10075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 44),
  [10077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 4, 0, 44),
  [10079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7990),
  [10081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7991),
  [10083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 3, 0, 44),
  [10085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 3, 0, 44),
  [10087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, 0, 0),
  [10089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, 0, 0),
  [10091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_expression, 3, 0, 47),
  [10093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 47),
  [10095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [10097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8166),
  [10099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [10101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [10103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [10105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [10107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [10109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_case, 3, 0, 64),
  [10111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_case, 3, 0, 64),
  [10113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 2, 0, 0),
  [10115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 2, 0, 0),
  [10117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3036),
  [10119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 3, 0, 0),
  [10121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 3, 0, 0),
  [10123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0),
  [10125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0),
  [10127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3036),
  [10130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3080),
  [10132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3080),
  [10135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 1, 0, 0),
  [10137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 1, 0, 0),
  [10139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [10141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [10143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [10145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 44),
  [10147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 3, 0, 44),
  [10149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [10151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sign_expression, 2, 0, 25),
  [10153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sign_expression, 2, 0, 25),
  [10155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [10157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_expression, 3, 0, 50),
  [10159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_expression, 3, 0, 50),
  [10161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [10163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sign_operator, 1, 0, 0),
  [10165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sign_operator, 1, 0, 0),
  [10167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_operator, 1, 0, 0),
  [10169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_case, 4, 0, 86),
  [10171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_case, 4, 0, 86),
  [10173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_product_expression, 3, 0, 49),
  [10175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_product_expression, 3, 0, 49),
  [10177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 70),
  [10179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 4, 0, 70),
  [10181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [10183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [10185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [10187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [10189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [10191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [10193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [10195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [10197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [10199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [10201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_expression, 3, 0, 49),
  [10203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_expression, 3, 0, 49),
  [10205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [10207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [10209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_refutation_case, 1, 0, 0),
  [10211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_refutation_case, 1, 0, 0),
  [10213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aliased_type, 3, 0, 0),
  [10215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_aliased_type, 3, 0, 0),
  [10217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [10219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_then_clause, 2, 0, 0),
  [10221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_then_clause, 2, 0, 0),
  [10223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [10225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 0),
  [10227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1, 0, 0),
  [10229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3251),
  [10231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [10233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [10235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [10237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3123),
  [10239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3123),
  [10242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [10244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [10246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [10248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [10250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [10252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [10254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [10256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [10258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [10260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_operator, 1, 0, 0),
  [10262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [10264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [10266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [10268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [10270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [10272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [10274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [10276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [10278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [10280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [10282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [10284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [10286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [10288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [10290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [10292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [10294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2367),
  [10296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [10298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [10300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [10302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2342),
  [10304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [10306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [10308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [10310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [10312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10191),
  [10314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17723),
  [10316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [10318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [10320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3136),
  [10322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4169),
  [10324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3159),
  [10326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10105),
  [10328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute, 2, 0, 0),
  [10330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute, 2, 0, 0),
  [10332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [10334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [10336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3159),
  [10339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [10341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3136),
  [10344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10052),
  [10346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [10348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [10350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9990),
  [10352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3251),
  [10355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3015),
  [10357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [10359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [10361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [10363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [10365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [10367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [10369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [10371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [10373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [10375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [10377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [10379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [10381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [10383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [10385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [10387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [10389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [10391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2357),
  [10393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [10395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4011),
  [10397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12000),
  [10399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13235),
  [10401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13675),
  [10403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11021),
  [10405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11345),
  [10407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13355),
  [10409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4548),
  [10411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [10413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4069),
  [10415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11973),
  [10417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13236),
  [10419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13583),
  [10421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13679),
  [10423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4526),
  [10425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [10427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3004),
  [10429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor, 4, 0, 57),
  [10431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11209),
  [10433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor, 4, 0, 57),
  [10435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14977),
  [10437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15196),
  [10439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3004),
  [10442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(5171),
  [10445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(4011),
  [10448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13813),
  [10451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(12000),
  [10454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13235),
  [10457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13675),
  [10460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(11021),
  [10463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(11345),
  [10466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13355),
  [10469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0),
  [10471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(15208),
  [10474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(15438),
  [10477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(15770),
  [10480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(4548),
  [10483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(16859),
  [10486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [10488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(4069),
  [10491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(11973),
  [10494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13236),
  [10497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13583),
  [10500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13679),
  [10503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(4526),
  [10506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(16491),
  [10509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3015),
  [10512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [10514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [10516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10057),
  [10518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12920),
  [10520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8420),
  [10522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8622),
  [10524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7754),
  [10526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7666),
  [10528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7755),
  [10530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9092),
  [10532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14499),
  [10534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15703),
  [10536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16234),
  [10538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16856),
  [10540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9357),
  [10542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8398),
  [10544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8462),
  [10546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7766),
  [10548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7669),
  [10550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7767),
  [10552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8943),
  [10554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14648),
  [10556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15715),
  [10558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16240),
  [10560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17180),
  [10562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10004),
  [10564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [10566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [10568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2254),
  [10570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [10572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [10574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2336),
  [10576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2371),
  [10578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [10580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [10582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [10584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [10586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10092),
  [10588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8344),
  [10590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8467),
  [10592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7788),
  [10594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8865),
  [10596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8433),
  [10598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8547),
  [10600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7775),
  [10602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7677),
  [10604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7776),
  [10606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9000),
  [10608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14758),
  [10610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15727),
  [10612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16246),
  [10614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17280),
  [10616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9983),
  [10618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [10620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10015),
  [10622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [10624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [10626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [10628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [10630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [10632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10036),
  [10634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [10636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10040),
  [10638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [10640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3171),
  [10642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10029),
  [10644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [10646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8341),
  [10648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8613),
  [10650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7896),
  [10652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5761),
  [10654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [10656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9046),
  [10658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8427),
  [10660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8604),
  [10662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7742),
  [10664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7651),
  [10666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7743),
  [10668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9129),
  [10670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14341),
  [10672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15699),
  [10674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16232),
  [10676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16610),
  [10678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2939),
  [10680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(2939),
  [10683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10044),
  [10685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10061),
  [10687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10024),
  [10689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10114),
  [10691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [10693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10013),
  [10695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9997),
  [10697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10068),
  [10699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10031),
  [10701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8718),
  [10703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [10705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8406),
  [10707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8696),
  [10709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7964),
  [10711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8856),
  [10713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8426),
  [10715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8505),
  [10717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7769),
  [10719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7671),
  [10721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [10723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8974),
  [10725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14707),
  [10727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15725),
  [10729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16245),
  [10731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17227),
  [10733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10053),
  [10735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_of, 4, 0, 0),
  [10737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_of, 4, 0, 0),
  [10739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3171),
  [10742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [10744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10159),
  [10746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8394),
  [10748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8544),
  [10750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7717),
  [10752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12698),
  [10754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8380),
  [10756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8618),
  [10758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7781),
  [10760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7678),
  [10762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7782),
  [10764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9040),
  [10766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14817),
  [10768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16340),
  [10770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16247),
  [10772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17344),
  [10774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9046),
  [10776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11581),
  [10778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2975),
  [10780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10735),
  [10782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8856),
  [10784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12920),
  [10786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9357),
  [10788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9484),
  [10790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_path, 3, 0, 32),
  [10792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_expression, 1, 0, 0),
  [10794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_expression, 1, 0, 0),
  [10796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19734),
  [10798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2978),
  [10800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12345),
  [10802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9318),
  [10804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8865),
  [10806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [10808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [10810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [10812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [10814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [10816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [10818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [10820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9881),
  [10822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [10824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [10826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(2978),
  [10829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [10831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [10833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [10835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [10837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [10839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [10841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [10843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [10845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [10847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [10849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12698),
  [10851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11707),
  [10853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_path, 1, 0, 5),
  [10855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10320),
  [10857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(2975),
  [10860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [10862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_variable, 2, 0, 0),
  [10864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_variable, 2, 0, 0),
  [10866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9314),
  [10868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15038),
  [10870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15923),
  [10872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18663),
  [10874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [10876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12005),
  [10878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13103),
  [10880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13680),
  [10882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10217),
  [10884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13634),
  [10886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13947),
  [10888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9244),
  [10890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [10892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structure, 2, 0, 0),
  [10894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structure, 2, 0, 0),
  [10896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_module_expression, 3, 0, 0),
  [10898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_module_expression, 3, 0, 0),
  [10900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_application, 2, 0, 15),
  [10902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_application, 2, 0, 15),
  [10904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structure, 3, 0, 0),
  [10906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structure, 3, 0, 0),
  [10908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_application, 3, 0, 37),
  [10910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_application, 3, 0, 37),
  [10912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 7, 0, 0),
  [10914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 7, 0, 0),
  [10916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 5, 0, 0),
  [10918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 5, 0, 0),
  [10920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_module_expression, 1, 0, 0),
  [10922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_module_expression, 1, 0, 0),
  [10924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [10926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 6, 0, 0),
  [10928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 6, 0, 0),
  [10930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 4, 0, 0),
  [10932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 4, 0, 0),
  [10934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_module_expression, 4, 0, 0),
  [10936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_module_expression, 4, 0, 0),
  [10938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13437),
  [10940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8938),
  [10942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14579),
  [10944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(12579),
  [10947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13813),
  [10950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(12005),
  [10953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13103),
  [10956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13680),
  [10959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(10976),
  [10962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(10217),
  [10965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13634),
  [10968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13947),
  [10971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0),
  [10973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15208),
  [10976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15438),
  [10979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15770),
  [10982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9185),
  [10984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [10986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [10988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14630),
  [10990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 5, 0, 78),
  [10992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 5, 0, 78),
  [10994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature, 1, 0, 0),
  [10996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13124),
  [10998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 3, 0, 36),
  [11000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 3, 0, 36),
  [11002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [11004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [11006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14631),
  [11008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(12014),
  [11011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13124),
  [11014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13367),
  [11017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(10025),
  [11020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13459),
  [11023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13818),
  [11026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14580),
  [11028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 56),
  [11030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 56),
  [11032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13242),
  [11035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10174),
  [11037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8381),
  [11039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7750),
  [11041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7664),
  [11043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7751),
  [11045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9004),
  [11047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14452),
  [11049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16766),
  [11051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11065),
  [11053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9323),
  [11055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14766),
  [11057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10129),
  [11059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8377),
  [11061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7745),
  [11063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7654),
  [11065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7746),
  [11067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8953),
  [11069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14401),
  [11071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16693),
  [11073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8828),
  [11075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10266),
  [11077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8416),
  [11079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7952),
  [11081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7639),
  [11083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7953),
  [11085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8990),
  [11087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14807),
  [11089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16414),
  [11091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9237),
  [11093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9237),
  [11095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14721),
  [11097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_path, 1, 0, 8),
  [11099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_path, 1, 0, 8),
  [11101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 1, 0, 5),
  [11103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12779),
  [11105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8320),
  [11107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7735),
  [11109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7629),
  [11111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7736),
  [11113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9102),
  [11115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14827),
  [11117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16420),
  [11119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 2, 0, 0),
  [11121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 2, 0, 0),
  [11123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 3, 0, 0),
  [11125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 3, 0, 0),
  [11127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10740),
  [11129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [11131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7930),
  [11133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7683),
  [11135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7931),
  [11137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8968),
  [11139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14454),
  [11141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15527),
  [11143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16109),
  [11145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16644),
  [11147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10775),
  [11149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8339),
  [11151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7757),
  [11153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7667),
  [11155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7758),
  [11157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9153),
  [11159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14546),
  [11161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16950),
  [11163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 4, 0, 0),
  [11165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 4, 0, 0),
  [11167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9311),
  [11169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14356),
  [11171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9311),
  [11173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8714),
  [11175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9700),
  [11177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10809),
  [11179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8350),
  [11181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7973),
  [11183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7709),
  [11185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7974),
  [11187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9014),
  [11189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14264),
  [11191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15646),
  [11193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16189),
  [11195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16904),
  [11197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 4, 0, 0),
  [11199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 4, 0, 0),
  [11201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature, 2, 0, 0),
  [11203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14767),
  [11205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_module, 4, 0, 0),
  [11207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_module, 4, 0, 0),
  [11209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16562),
  [11211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19988),
  [11213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9909),
  [11215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 2, 0, 0),
  [11217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 2, 0, 0),
  [11219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_path, 3, 0, 38),
  [11221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_path, 3, 0, 38),
  [11223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 3, 0, 32),
  [11225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 3, 0, 0),
  [11227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 3, 0, 0),
  [11229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 3, 0, 32),
  [11231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 1, 0, 5),
  [11233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13606),
  [11235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18227),
  [11237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9307),
  [11239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13143),
  [11241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18837),
  [11243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4383),
  [11245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18537),
  [11247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12556),
  [11249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 3, 0, 0),
  [11251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 3, 0, 0),
  [11253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 3, 0, 0),
  [11255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 3, 0, 0),
  [11257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 3, 0, 0),
  [11259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 3, 0, 0),
  [11261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_type, 3, 0, 0),
  [11263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_type, 3, 0, 0),
  [11265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20035),
  [11267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9351),
  [11269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, 0, 6),
  [11271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, 0, 6),
  [11273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_argument, 1, 0, 0),
  [11275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9784),
  [11277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14460),
  [11279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_type, 4, 0, 0),
  [11281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_type, 4, 0, 0),
  [11283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 4, 0, 0),
  [11285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 4, 0, 0),
  [11287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 4, 0, 0),
  [11289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 4, 0, 0),
  [11291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 4, 0, 0),
  [11293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 4, 0, 0),
  [11295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_path, 3, 0, 84),
  [11297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_path, 3, 0, 84),
  [11299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, 0, 0),
  [11301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, 0, 0),
  [11303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18688),
  [11305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10704),
  [11307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18655),
  [11309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12489),
  [11311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18683),
  [11313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12586),
  [11315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_type, 5, 0, 0),
  [11317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_type, 5, 0, 0),
  [11319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 5, 0, 0),
  [11321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 5, 0, 0),
  [11323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 5, 0, 0),
  [11325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 5, 0, 0),
  [11327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 5, 0, 0),
  [11329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 5, 0, 0),
  [11331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 5, 0, 0),
  [11333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 5, 0, 0),
  [11335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_type, 5, 0, 0),
  [11337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_type, 5, 0, 0),
  [11339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1, 0, 0),
  [11341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1, 0, 0),
  [11343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20293),
  [11345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9248),
  [11347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18931),
  [11349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9600),
  [11351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 6, 0, 0),
  [11353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 6, 0, 0),
  [11355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 6, 0, 0),
  [11357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 6, 0, 0),
  [11359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 6, 0, 0),
  [11361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 6, 0, 0),
  [11363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 7, 0, 0),
  [11365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 7, 0, 0),
  [11367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20212),
  [11369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9541),
  [11371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19958),
  [11373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10172),
  [11375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 6, 0, 13),
  [11377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 6, 0, 13),
  [11379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14353),
  [11381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_class_expression, 3, 0, 50),
  [11383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_class_expression, 3, 0, 50),
  [11385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19106),
  [11387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9638),
  [11389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_path, 1, 0, 41),
  [11391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_path, 1, 0, 41),
  [11393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19123),
  [11395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9646),
  [11397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9432),
  [11399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14534),
  [11401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17917),
  [11403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10717),
  [11405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 2, 0, 0),
  [11407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 2, 0, 0),
  [11409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2, 0, 0),
  [11411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2, 0, 0),
  [11413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19227),
  [11415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8973),
  [11417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 2, 0, 0),
  [11419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 2, 0, 0),
  [11421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 2, 0, 0),
  [11423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 2, 0, 0),
  [11425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17449),
  [11427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10208),
  [11429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17472),
  [11431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10097),
  [11433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19956),
  [11435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10989),
  [11437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19298),
  [11439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9035),
  [11441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19322),
  [11443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9059),
  [11445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 4, 0, 13),
  [11447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 4, 0, 13),
  [11449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19976),
  [11451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10436),
  [11453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19947),
  [11455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12075),
  [11457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19448),
  [11459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9170),
  [11461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17639),
  [11463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10011),
  [11465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20083),
  [11467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11006),
  [11469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20125),
  [11471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11013),
  [11473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19218),
  [11475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10594),
  [11477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19572),
  [11479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8919),
  [11481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19604),
  [11483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8936),
  [11485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15449),
  [11487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14536),
  [11489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19767),
  [11491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12752),
  [11493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19329),
  [11495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9576),
  [11497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18520),
  [11499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10637),
  [11501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19985),
  [11503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12143),
  [11505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17746),
  [11507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10083),
  [11509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17768),
  [11511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10109),
  [11513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19885),
  [11515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12759),
  [11517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18094),
  [11519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9320),
  [11521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19915),
  [11523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12745),
  [11525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 5, 0, 6),
  [11527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 5, 0, 6),
  [11529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 5, 0, 0),
  [11531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 5, 0, 0),
  [11533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17744),
  [11535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10837),
  [11537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17852),
  [11539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10791),
  [11541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9700),
  [11543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14502),
  [11545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19666),
  [11547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10826),
  [11549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19725),
  [11551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9597),
  [11553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17924),
  [11555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13044),
  [11557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18744),
  [11559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9330),
  [11561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18034),
  [11563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13038),
  [11565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20208),
  [11567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13383),
  [11569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18062),
  [11571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13035),
  [11573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18643),
  [11575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10399),
  [11577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18039),
  [11579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11608),
  [11581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18765),
  [11583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13557),
  [11585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18925),
  [11587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13642),
  [11589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18806),
  [11591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9271),
  [11593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18239),
  [11595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10521),
  [11597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17469),
  [11599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10816),
  [11601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17905),
  [11603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9301),
  [11605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18229),
  [11607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10611),
  [11609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17977),
  [11611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10757),
  [11613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18848),
  [11615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9820),
  [11617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18121),
  [11619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11621),
  [11621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19052),
  [11623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9294),
  [11625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19565),
  [11627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12105),
  [11629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18346),
  [11631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10582),
  [11633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19154),
  [11635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9389),
  [11637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0),
  [11639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0),
  [11641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15569),
  [11644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18376),
  [11646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10646),
  [11648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19514),
  [11650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9860),
  [11652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19563),
  [11654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9867),
  [11656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 1, 0, 0),
  [11658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_binding_repeat1, 1, 0, 0),
  [11660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17706),
  [11662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11700),
  [11664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_class_expression, 4, 0, 57),
  [11666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_class_expression, 4, 0, 57),
  [11668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function, 4, 0, 57),
  [11670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function, 4, 0, 57),
  [11672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [11674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3025),
  [11676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [11678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10129),
  [11680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14258),
  [11682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12017),
  [11684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [11686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [11688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [11690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [11692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [11694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [11696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [11698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [11700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [11702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_module_type, 5, 0, 0),
  [11704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_module_type, 5, 0, 0),
  [11706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0),
  [11708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0),
  [11710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(16035),
  [11713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_argument, 1, 0, 0),
  [11715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9956),
  [11717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9909),
  [11719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14611),
  [11721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 1, 0, 7),
  [11723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 1, 0, 7),
  [11725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11853),
  [11727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15569),
  [11729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10758),
  [11731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 2, 0, 0),
  [11733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 2, 0, 0),
  [11735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10174),
  [11737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14318),
  [11739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 1, 0, 0),
  [11741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_module_type, 3, 0, 0),
  [11743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_module_type, 3, 0, 0),
  [11745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 1, 0, 3),
  [11747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 1, 0, 3),
  [11749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6322),
  [11751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8355),
  [11753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8650),
  [11755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 2, 0, 12),
  [11757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 2, 0, 12),
  [11759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6336),
  [11761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8391),
  [11763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8662),
  [11765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 2, 0, 7),
  [11767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 2, 0, 7),
  [11769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11892),
  [11771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0),
  [11773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0),
  [11775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [11777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14500),
  [11779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8714),
  [11781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6335),
  [11783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7905),
  [11785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3552),
  [11787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9572),
  [11789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9583),
  [11791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8653),
  [11793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5060),
  [11795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3025),
  [11798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [11800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9830),
  [11802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 3, 0, 0),
  [11804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 3, 0, 0),
  [11806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6324),
  [11808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_type, 1, 0, 0),
  [11810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_type, 1, 0, 0),
  [11812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10860),
  [11814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6400),
  [11816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8328),
  [11818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8626),
  [11820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6477),
  [11822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3339),
  [11824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9503),
  [11826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8487),
  [11828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4972),
  [11830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7334),
  [11832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3558),
  [11834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9596),
  [11836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8672),
  [11838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10236),
  [11840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5065),
  [11842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15538),
  [11844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16119),
  [11846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13210),
  [11848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18630),
  [11850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [11852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14598),
  [11854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [11856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [11858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [11860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2096),
  [11862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [11864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [11866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [11868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [11870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [11872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [11874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [11876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [11878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [11880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [11882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [11884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [11886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [11888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [11890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [11892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [11894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6329),
  [11896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_directive, 2, 0, 0),
  [11898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_directive, 2, 0, 0),
  [11900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9109),
  [11902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3555),
  [11904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9586),
  [11906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8663),
  [11908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5062),
  [11910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14261),
  [11912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 3, 0, 0),
  [11914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 3, 0, 0),
  [11916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 5, 0, 0),
  [11918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 5, 0, 0),
  [11920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [11922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10266),
  [11924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14553),
  [11926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7214),
  [11928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3561),
  [11930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9605),
  [11932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8679),
  [11934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10405),
  [11936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5067),
  [11938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15651),
  [11940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16194),
  [11942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14319),
  [11944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_class_type, 1, 0, 0),
  [11946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_class_type, 1, 0, 0),
  [11948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 4, 0, 0),
  [11950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 4, 0, 0),
  [11952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 4, 0, 0),
  [11954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 4, 0, 0),
  [11956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12052),
  [11958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10657),
  [11960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_parameter, 2, 0, 0),
  [11962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_parameter, 2, 0, 0),
  [11964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 1, 0, 0),
  [11966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 1, 0, 0),
  [11968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17234),
  [11970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19477),
  [11972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10267),
  [11974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9666),
  [11976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [11978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_class_type, 4, 0, 57),
  [11980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_class_type, 4, 0, 57),
  [11982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class_type, 4, 0, 0),
  [11984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class_type, 4, 0, 0),
  [11986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 6, 0, 0),
  [11988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 6, 0, 0),
  [11990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11773),
  [11992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9848),
  [11994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7051),
  [11996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3564),
  [11998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9620),
  [12000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8682),
  [12002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5069),
  [12004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 1, 0, 0),
  [12006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_binding_repeat1, 1, 0, 0),
  [12008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 5, 0, 0),
  [12010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 5, 0, 0),
  [12012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3088),
  [12014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3088),
  [12017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0),
  [12019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0),
  [12021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 3, 0, 0),
  [12023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 3, 0, 0),
  [12025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 2, 0, 0),
  [12027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 2, 0, 0),
  [12029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9795),
  [12031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class_type, 5, 0, 0),
  [12033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class_type, 5, 0, 0),
  [12035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 5, 0, 0),
  [12037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 5, 0, 0),
  [12039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17240),
  [12041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19495),
  [12043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10288),
  [12045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9926),
  [12047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4303),
  [12049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_parameter, 4, 0, 58),
  [12051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_parameter, 4, 0, 58),
  [12053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 6, 0, 0),
  [12055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 6, 0, 0),
  [12057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [12059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [12061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [12063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [12065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [12067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [12069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [12071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [12073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [12075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10809),
  [12077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14663),
  [12079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14558),
  [12081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10740),
  [12083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14516),
  [12085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5765),
  [12087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9324),
  [12089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9841),
  [12091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8938),
  [12093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [12095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13024),
  [12097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 7, 0, 6),
  [12099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 7, 0, 6),
  [12101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 7, 0, 0),
  [12103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 7, 0, 0),
  [12105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9185),
  [12107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12664),
  [12109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 8, 0, 13),
  [12111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 8, 0, 13),
  [12113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 1, 0, 0),
  [12115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 1, 0, 0),
  [12117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 6, 0, 0),
  [12119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 6, 0, 0),
  [12121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12334),
  [12123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6347),
  [12125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8418),
  [12127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8669),
  [12129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6345),
  [12131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12767),
  [12133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10775),
  [12135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14436),
  [12137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9775),
  [12139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10852),
  [12141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9772),
  [12143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9803),
  [12145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17226),
  [12147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19398),
  [12149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10730),
  [12151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_attribute, 4, 0, 0),
  [12153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_attribute, 4, 0, 0),
  [12155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 5, 0, 0),
  [12157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 5, 0, 0),
  [12159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9432),
  [12161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9245),
  [12163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_attribute, 3, 0, 0),
  [12165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_attribute, 3, 0, 0),
  [12167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [12169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17211),
  [12171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19418),
  [12173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10817),
  [12175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17223),
  [12177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19438),
  [12179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10681),
  [12181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11639),
  [12183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0),
  [12185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0),
  [12187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8687),
  [12190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8691),
  [12193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9323),
  [12195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 3, 0, 0),
  [12197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 3, 0, 0),
  [12199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8687),
  [12201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 4, 0, 0),
  [12203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 4, 0, 0),
  [12205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 5, 0, 0),
  [12207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 5, 0, 0),
  [12209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8691),
  [12211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 0),
  [12213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, 0, 0),
  [12215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8494),
  [12217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(16649),
  [12220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9919),
  [12222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9955),
  [12224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9369),
  [12226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10069),
  [12228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10857),
  [12230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19750),
  [12232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8757),
  [12234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14897),
  [12236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15932),
  [12238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8841),
  [12240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16649),
  [12242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 4, 0, 0),
  [12244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 4, 0, 0),
  [12246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14665),
  [12248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14437),
  [12250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [12252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_equation, 2, 0, 0),
  [12254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_equation, 2, 0, 0),
  [12256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17396),
  [12258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10710),
  [12260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14352),
  [12262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8828),
  [12264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14350),
  [12266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 3, 0, 0),
  [12268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 3, 0, 0),
  [12270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9561),
  [12272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17357),
  [12274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13544),
  [12276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(16426),
  [12279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, 0, 0),
  [12281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, 0, 0),
  [12283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_equation, 3, 0, 0),
  [12285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_equation, 3, 0, 0),
  [12287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8678),
  [12289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [12291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9367),
  [12293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9806),
  [12295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constraint, 4, 0, 0),
  [12297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constraint, 4, 0, 0),
  [12299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [12301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [12303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [12305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [12307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [12309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [12311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [12313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [12315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [12317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 2, 0, 3),
  [12319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 2, 0, 3),
  [12321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12758),
  [12323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17154),
  [12325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19195),
  [12327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10935),
  [12329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 12),
  [12331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 12),
  [12333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12728),
  [12335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12770),
  [12337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17241),
  [12339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19513),
  [12341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10973),
  [12343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12771),
  [12345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9884),
  [12347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8678),
  [12350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14550),
  [12352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8455),
  [12354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16426),
  [12356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14494),
  [12358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2953),
  [12360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(2953),
  [12363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10867),
  [12365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14918),
  [12367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [12369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 129),
  [12371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 129),
  [12373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 51),
  [12375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 51),
  [12377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 120),
  [12379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 120),
  [12381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [12383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [12385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [12387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [12389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 130),
  [12391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 130),
  [12393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [12395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [12397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [12399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [12401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [12403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 30),
  [12405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 30),
  [12407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [12409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8743),
  [12411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13884),
  [12413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7208),
  [12415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9319),
  [12417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14034),
  [12419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [12421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15517),
  [12423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [12425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [12427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11065),
  [12429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14686),
  [12431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [12433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [12435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7342),
  [12437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [12439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7097),
  [12441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [12443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [12445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 95),
  [12447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 95),
  [12449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9321),
  [12451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 8, 0, 121),
  [12453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 8, 0, 121),
  [12455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 60),
  [12457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 60),
  [12459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 3, 0, 7),
  [12461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 3, 0, 7),
  [12463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [12465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5297),
  [12467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [12469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4810),
  [12471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [12473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4992),
  [12475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 9, 0, 128),
  [12477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 9, 0, 128),
  [12479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [12481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [12483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [12485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6155),
  [12487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [12489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9514),
  [12491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 1, 0, 6),
  [12493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 1, 0, 6),
  [12495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14049),
  [12497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8997),
  [12499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8839),
  [12501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 1, 0, 0),
  [12503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 1, 0, 0),
  [12505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14052),
  [12507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9006),
  [12509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8851),
  [12511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 2, 0, 13),
  [12513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 2, 0, 13),
  [12515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14060),
  [12517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9016),
  [12519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8883),
  [12521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(15416),
  [12524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 2, 0, 18),
  [12526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 2, 0, 18),
  [12528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [12530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5919),
  [12532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8589),
  [12534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 51),
  [12536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 51),
  [12538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [12540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [12542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [12544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [12546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2242),
  [12548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [12550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [12552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2251),
  [12554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2252),
  [12556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [12558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [12560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7065),
  [12562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 63),
  [12564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 63),
  [12566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__polymorphic_typed, 2, 0, 0),
  [12568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__polymorphic_typed, 2, 0, 0),
  [12570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 74),
  [12572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 74),
  [12574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 135),
  [12576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 135),
  [12578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 4, 0, 64),
  [12580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 4, 0, 64),
  [12582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__polymorphic_type, 1, 0, 0),
  [12584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__polymorphic_type, 1, 0, 0),
  [12586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_floating_attribute, 3, 0, 0),
  [12588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_floating_attribute, 3, 0, 0),
  [12590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8970),
  [12592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8855),
  [12594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8972),
  [12596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8857),
  [12598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8995),
  [12600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8861),
  [12602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [12604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [12606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [12608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8967),
  [12610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 4, 0, 86),
  [12612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 4, 0, 86),
  [12614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9901),
  [12616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 75),
  [12618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 75),
  [12620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [12622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5662),
  [12624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [12626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6792),
  [12628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [12630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [12632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5232),
  [12634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3006),
  [12637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [12639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4928),
  [12641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 61),
  [12643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 61),
  [12645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0),
  [12647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0),
  [12649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 11, 0, 135),
  [12651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 11, 0, 135),
  [12653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [12655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [12657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [12659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6454),
  [12661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 74),
  [12663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 74),
  [12665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [12667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [12669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 75),
  [12671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 75),
  [12673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 30),
  [12675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 30),
  [12677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 93),
  [12679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 93),
  [12681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 52),
  [12683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 52),
  [12685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 6, 0, 106),
  [12687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 6, 0, 106),
  [12689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 94),
  [12691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 94),
  [12693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 107),
  [12695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 107),
  [12697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 60),
  [12699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 60),
  [12701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 108),
  [12703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 108),
  [12705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 3, 0, 64),
  [12707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 3, 0, 64),
  [12709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 80),
  [12711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 80),
  [12713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 52),
  [12715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 52),
  [12717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 81),
  [12719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 81),
  [12721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [12723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7971),
  [12725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [12727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [12729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [12731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6071),
  [12733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_type, 1, 0, 0),
  [12735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_type, 1, 0, 0),
  [12737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 12),
  [12739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 12),
  [12741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 76),
  [12743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 76),
  [12745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 53),
  [12747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 53),
  [12749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 54),
  [12751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 54),
  [12753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 76),
  [12755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 76),
  [12757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [12759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6686),
  [12761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [12763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7128),
  [12765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 96),
  [12767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 96),
  [12769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 5, 0, 56),
  [12771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 5, 0, 56),
  [12773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_typed, 2, 0, 0),
  [12775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_typed, 2, 0, 0),
  [12777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 33),
  [12779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 33),
  [12781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14701),
  [12783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 6, 0, 78),
  [12785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 6, 0, 78),
  [12787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 3),
  [12789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 3),
  [12791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 12),
  [12793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 12),
  [12795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [12797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5789),
  [12799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [12801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6617),
  [12803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [12805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7161),
  [12807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [12809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5248),
  [12811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16905),
  [12813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 63),
  [12815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 63),
  [12817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [12819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [12821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7317),
  [12823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 53),
  [12825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 53),
  [12827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 81),
  [12829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 81),
  [12831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 96),
  [12833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 96),
  [12835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 39),
  [12837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 39),
  [12839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 39),
  [12841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 39),
  [12843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 54),
  [12845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 54),
  [12847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 33),
  [12849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 33),
  [12851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(16905),
  [12854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [12856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6140),
  [12858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 4, 0, 79),
  [12860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 4, 0, 79),
  [12862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 129),
  [12864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 129),
  [12866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 4, 0, 59),
  [12868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 4, 0, 59),
  [12870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 9),
  [12872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 9),
  [12874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 16),
  [12876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 16),
  [12878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [12880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4223),
  [12882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [12884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6779),
  [12886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 30),
  [12888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 30),
  [12890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 3),
  [12892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 3),
  [12894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11914),
  [12896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 51),
  [12898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 51),
  [12900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 52),
  [12902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 52),
  [12904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 16),
  [12906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 16),
  [12908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 74),
  [12910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 74),
  [12912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 75),
  [12914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 75),
  [12916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 93),
  [12918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 93),
  [12920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 85),
  [12922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 85),
  [12924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 8, 0, 117),
  [12926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 8, 0, 117),
  [12928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [12930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4325),
  [12932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 130),
  [12934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 130),
  [12936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17235),
  [12938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19458),
  [12940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11272),
  [12942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_constraint, 4, 0, 0),
  [12944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_constraint, 4, 0, 0),
  [12946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14181),
  [12948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14181),
  [12951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 8, 0, 128),
  [12953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 8, 0, 128),
  [12955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function_type, 5, 0, 66),
  [12957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function_type, 5, 0, 66),
  [12959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 85),
  [12961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 85),
  [12963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14188),
  [12965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14188),
  [12968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 6, 0, 100),
  [12970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 6, 0, 100),
  [12972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 6, 0, 109),
  [12974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 6, 0, 109),
  [12976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 36),
  [12978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 36),
  [12980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8683),
  [12983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [12985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7225),
  [12987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [12989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6666),
  [12991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 118),
  [12993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 118),
  [12995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9780),
  [12997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function_type, 3, 0, 0),
  [12999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function_type, 3, 0, 0),
  [13001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [13003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6850),
  [13005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9930),
  [13007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 7),
  [13009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 7),
  [13011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [13013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [13015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 9),
  [13017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 9),
  [13019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_floating_attribute, 4, 0, 0),
  [13021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_floating_attribute, 4, 0, 0),
  [13023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 8, 0, 93),
  [13025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 8, 0, 93),
  [13027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [13029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0),
  [13031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0),
  [13033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0), SHIFT_REPEAT(12334),
  [13036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 7, 0, 106),
  [13038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 7, 0, 106),
  [13040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 7, 0, 117),
  [13042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 7, 0, 117),
  [13044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 5, 0, 100),
  [13046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 5, 0, 100),
  [13048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 5, 0, 86),
  [13050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 5, 0, 86),
  [13052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 107),
  [13054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 107),
  [13056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 118),
  [13058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 118),
  [13060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 108),
  [13062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 108),
  [13064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 119),
  [13066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 119),
  [13068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [13070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [13072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 5, 0, 79),
  [13074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 5, 0, 79),
  [13076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 94),
  [13078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 94),
  [13080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [13082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [13084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 7, 0, 121),
  [13086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 7, 0, 121),
  [13088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 80),
  [13090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 80),
  [13092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 120),
  [13094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 120),
  [13096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9827),
  [13098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 95),
  [13100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 95),
  [13102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 119),
  [13104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 119),
  [13106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 3, 0, 59),
  [13108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 3, 0, 59),
  [13110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function_type, 6, 0, 45),
  [13112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function_type, 6, 0, 45),
  [13114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [13116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6344),
  [13118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12749),
  [13120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 7, 0, 109),
  [13122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 7, 0, 109),
  [13124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8683),
  [13126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_constraint, 3, 0, 0),
  [13128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_constraint, 3, 0, 0),
  [13130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 61),
  [13132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 61),
  [13134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [13136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5849),
  [13138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12724),
  [13140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13443),
  [13142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10034),
  [13144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10621),
  [13146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19483),
  [13148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8813),
  [13150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14324),
  [13152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15667),
  [13154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16212),
  [13156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13258),
  [13158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9160),
  [13160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8860),
  [13162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10752),
  [13164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20084),
  [13166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14659),
  [13168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15038),
  [13170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15923),
  [13172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 4, 0, 0),
  [13174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 4, 0, 0),
  [13176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10767),
  [13178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14238),
  [13180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14195),
  [13183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 2, 0, 0),
  [13185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 2, 0, 0),
  [13187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8713),
  [13189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [13191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [13193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1760),
  [13195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [13197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1762),
  [13199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [13201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [13203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 2, 0, 0),
  [13205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 2, 0, 0),
  [13207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 7, 0, 0),
  [13209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 7, 0, 0),
  [13211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8677),
  [13213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9086),
  [13215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8866),
  [13217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9090),
  [13219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8877),
  [13221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9106),
  [13223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8832),
  [13225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [13227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [13229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12729),
  [13231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12741),
  [13233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 3, 0, 0),
  [13235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 3, 0, 0),
  [13237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14195),
  [13239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 5, 0, 35),
  [13241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 5, 0, 35),
  [13243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12035),
  [13245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14196),
  [13247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9043),
  [13249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8858),
  [13251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14148),
  [13253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9056),
  [13255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8868),
  [13257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [13259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_argument, 2, 0, 0),
  [13261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_argument, 2, 0, 0),
  [13263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14114),
  [13265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9093),
  [13267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8884),
  [13269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9956),
  [13272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8569),
  [13274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 4, 0, 0),
  [13276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 4, 0, 0),
  [13278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 6, 0, 55),
  [13280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 6, 0, 55),
  [13282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9948),
  [13284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 5, 0, 0),
  [13286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 5, 0, 0),
  [13288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9830),
  [13291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9916),
  [13293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 7, 0, 77),
  [13295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 7, 0, 77),
  [13297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 4, 0, 14),
  [13299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 4, 0, 14),
  [13301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_typed, 2, 0, 0),
  [13303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_typed, 2, 0, 0),
  [13305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 3, 0, 0),
  [13307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 3, 0, 0),
  [13309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9132),
  [13311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8889),
  [13313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9144),
  [13315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8835),
  [13317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10862),
  [13319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14239),
  [13321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10859),
  [13323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14908),
  [13325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [13327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6348),
  [13329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [13331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [13333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [13335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7381),
  [13337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [13339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4813),
  [13341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [13343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [13345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [13347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7298),
  [13349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [13351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6160),
  [13353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [13355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5922),
  [13357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8616),
  [13359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [13361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [13363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [13365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7720),
  [13367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [13369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5676),
  [13371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [13373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [13375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [13377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5116),
  [13379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10605),
  [13381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14021),
  [13383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [13385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [13387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [13389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [13391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9795),
  [13394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [13396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7066),
  [13398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9412),
  [13400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 2, 0, 0),
  [13402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 2, 0, 0),
  [13404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13609),
  [13406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 5, 0, 55),
  [13408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 5, 0, 55),
  [13410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9416),
  [13412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 3, 0, 0),
  [13414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 3, 0, 0),
  [13416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13609),
  [13419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 6, 0, 77),
  [13421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 6, 0, 77),
  [13423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9425),
  [13425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9428),
  [13427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9430),
  [13429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11639),
  [13431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14628),
  [13433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [13435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6456),
  [13437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [13439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9848),
  [13442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [13444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [13446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [13448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [13450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [13452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [13454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [13456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [13458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [13460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [13462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9551),
  [13464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9554),
  [13466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9564),
  [13468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9567),
  [13470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9569),
  [13472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [13474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14634),
  [13476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [13478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [13480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9145),
  [13482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8887),
  [13484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8985),
  [13486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8837),
  [13488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8969),
  [13490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8863),
  [13492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [13494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7192),
  [13496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9926),
  [13499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9878),
  [13501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [13503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7329),
  [13505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [13507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7162),
  [13509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3098),
  [13511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3098),
  [13514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [13516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4883),
  [13518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17229),
  [13520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [13522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [13524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [13526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7099),
  [13528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9180),
  [13530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8882),
  [13532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9191),
  [13534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8886),
  [13536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17229),
  [13539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11715),
  [13541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11155),
  [13543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15543),
  [13545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [13547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15927),
  [13549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9214),
  [13551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8890),
  [13553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [13555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6967),
  [13557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [13559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5770),
  [13561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 4, 0, 35),
  [13563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 4, 0, 35),
  [13565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10865),
  [13567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 1, 0, 0),
  [13569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_external_repeat1, 1, 0, 0),
  [13571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [13573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5285),
  [13575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [13577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
  [13579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [13581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7151),
  [13583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [13585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9071),
  [13587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [13589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6629),
  [13591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [13593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [13595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11727),
  [13597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11434),
  [13599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15392),
  [13601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [13603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12998),
  [13605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [13607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6670),
  [13609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11440),
  [13611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16251),
  [13613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 3, 0, 14),
  [13615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 3, 0, 14),
  [13617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10793),
  [13619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8650),
  [13622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10581),
  [13624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [13626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9517),
  [13628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [13630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6798),
  [13632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8662),
  [13635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14174),
  [13637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14174),
  [13640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [13642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5163),
  [13644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13510),
  [13646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13510),
  [13649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [13651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6601),
  [13653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [13655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4374),
  [13657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [13659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6144),
  [13661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [13663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6863),
  [13665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [13667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [13669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [13671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [13673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [13675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5851),
  [13677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10863),
  [13679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [13681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4996),
  [13683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 5, 0, 0),
  [13685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 5, 0, 0),
  [13687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4543),
  [13689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [13691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [13693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [13695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [13697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [13699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [13701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [13703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [13705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [13707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [13709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [13711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 3, 0, 0),
  [13713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6459),
  [13715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 4, 0, 0),
  [13717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 4, 0, 0),
  [13719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4550),
  [13721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [13723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [13725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [13727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9433),
  [13729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0),
  [13731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0),
  [13733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4550),
  [13736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4550),
  [13739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6461),
  [13741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6462),
  [13743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4390),
  [13745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6463),
  [13747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6464),
  [13749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [13751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [13753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6351),
  [13755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_item, 2, 0, 0),
  [13757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_item, 2, 0, 0),
  [13759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [13761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [13763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6162),
  [13765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [13767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7320),
  [13769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [13771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [13773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [13775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [13777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [13779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [13781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [13783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [13785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [13787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [13789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [13791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [13793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(8743),
  [13796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(13884),
  [13799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0),
  [13801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(9319),
  [13804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(14034),
  [13807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1486),
  [13810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(15208),
  [13813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(15438),
  [13816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(15770),
  [13819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12234),
  [13821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20160),
  [13823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18465),
  [13825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6165),
  [13827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6168),
  [13829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6171),
  [13831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6173),
  [13833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4386),
  [13835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [13837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 2, 0, 0),
  [13839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8720),
  [13841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4441),
  [13843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [13845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4216),
  [13847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5926),
  [13849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5928),
  [13851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7172),
  [13853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5929),
  [13855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5930),
  [13857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5931),
  [13859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7179),
  [13861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7181),
  [13863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [13865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [13867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [13869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9158),
  [13871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8864),
  [13873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9182),
  [13875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8873),
  [13877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9002),
  [13879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8859),
  [13881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [13883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7263),
  [13885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2947),
  [13887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(2947),
  [13890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7308),
  [13892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9775),
  [13895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [13897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7164),
  [13899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7213),
  [13901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4334),
  [13903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7338),
  [13905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6352),
  [13907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7166),
  [13909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7182),
  [13911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8787),
  [13913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [13915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [13917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [13919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [13921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7313),
  [13923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7167),
  [13925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7168),
  [13927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7169),
  [13929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6353),
  [13931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [13933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9841),
  [13936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [13938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [13940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5138),
  [13942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [13944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [13946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [13948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [13950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4911),
  [13952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [13954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7101),
  [13956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4892),
  [13958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7336),
  [13960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4931),
  [13962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9670),
  [13964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7102),
  [13966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5688),
  [13968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5212),
  [13970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5700),
  [13972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5660),
  [13974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4875),
  [13976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7104),
  [13978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7107),
  [13980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7108),
  [13982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9064),
  [13984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8852),
  [13986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9088),
  [13988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8875),
  [13990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9154),
  [13992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8871),
  [13994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4948),
  [13996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6354),
  [13998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5697),
  [14000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [14002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_item, 1, 0, 0),
  [14004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_item, 1, 0, 0),
  [14006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13568),
  [14008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5729),
  [14010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7063),
  [14012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13568),
  [14015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5728),
  [14017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5785),
  [14019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5631),
  [14021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5802),
  [14023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7092),
  [14025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5732),
  [14027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7253),
  [14029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 2, 0, 0),
  [14031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 2, 0, 0),
  [14033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7116),
  [14035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7118),
  [14037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7120),
  [14039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7159),
  [14041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5239),
  [14043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4999),
  [14045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 3, 0, 0),
  [14047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 3, 0, 0),
  [14049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [14051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5002),
  [14053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5004),
  [14055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [14057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7306),
  [14059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5241),
  [14061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5355),
  [14063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9733),
  [14065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7311),
  [14067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5256),
  [14069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5189),
  [14071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5195),
  [14073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5276),
  [14075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5200),
  [14077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5293),
  [14079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5304),
  [14081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5306),
  [14083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5206),
  [14085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [14087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7387),
  [14089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [14091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [14093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0),
  [14095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0),
  [14097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7391),
  [14099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6724),
  [14101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [14103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6079),
  [14105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6753),
  [14107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6083),
  [14109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6087),
  [14111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6088),
  [14113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6764),
  [14115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6767),
  [14117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6768),
  [14119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [14121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [14123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [14125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6642),
  [14127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [14129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7399),
  [14131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6652),
  [14133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [14135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [14137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6661),
  [14139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6663),
  [14141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6664),
  [14143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [14145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7882),
  [14147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [14149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9151),
  [14151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [14153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [14155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [14157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [14159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6673),
  [14161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [14163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8989),
  [14165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6675),
  [14167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6678),
  [14169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [14171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6680),
  [14173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6682),
  [14175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8996),
  [14177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9096),
  [14179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9135),
  [14181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13082),
  [14183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [14185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8932),
  [14187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8850),
  [14189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8976),
  [14191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8885),
  [14193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13667),
  [14195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13667),
  [14198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [14200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9518),
  [14202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7400),
  [14204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9522),
  [14206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9067),
  [14208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8880),
  [14210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9523),
  [14212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9525),
  [14214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9526),
  [14216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7892),
  [14218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6349),
  [14220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7401),
  [14222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 4, 0, 0),
  [14224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 4, 0, 0),
  [14226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [14228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7067),
  [14230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7068),
  [14232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4814),
  [14234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7070),
  [14236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7071),
  [14238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4817),
  [14240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7072),
  [14242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4818),
  [14244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4819),
  [14246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13650),
  [14248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13650),
  [14251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6815),
  [14253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6138),
  [14255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7923),
  [14257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4199),
  [14259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [14261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [14263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6826),
  [14265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6111),
  [14267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6837),
  [14269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6839),
  [14271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6483),
  [14273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6840),
  [14275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6130),
  [14277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6131),
  [14279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8626),
  [14282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4820),
  [14284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [14286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [14288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10795),
  [14290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4330),
  [14292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7928),
  [14294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6877),
  [14296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6146),
  [14298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6889),
  [14300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9720),
  [14302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6898),
  [14304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6148),
  [14306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6902),
  [14308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6904),
  [14310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6150),
  [14312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6154),
  [14314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6159),
  [14316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0),
  [14318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0),
  [14320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9420),
  [14322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [14324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7929),
  [14326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [14328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0),
  [14330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0),
  [14332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [14334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [14336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [14338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [14340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10853),
  [14342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14236),
  [14344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4543),
  [14347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4543),
  [14350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10709),
  [14352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5852),
  [14354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [14356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5854),
  [14358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5855),
  [14360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5856),
  [14362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5857),
  [14364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [14366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [14368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [14370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4577),
  [14373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4577),
  [14376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 3, 0, 0),
  [14378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8534),
  [14380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8651),
  [14382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14046),
  [14384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9655),
  [14386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12499),
  [14388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14576),
  [14390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8669),
  [14393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9609),
  [14395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9884),
  [14398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [14400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [14402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [14404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [14406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [14408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [14410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [14412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [14414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [14416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4544),
  [14418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4544),
  [14420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [14422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [14424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [14426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [14428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [14430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [14432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [14434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19452),
  [14436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [14438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16567),
  [14440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17421),
  [14442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9919),
  [14445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4577),
  [14447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4577),
  [14449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9612),
  [14451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12017),
  [14453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14645),
  [14455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [14457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [14459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9776),
  [14461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [14463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [14465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9626),
  [14467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9636),
  [14469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9640),
  [14471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [14473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3065),
  [14476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [14478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19327),
  [14480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13581),
  [14482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16478),
  [14484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18268),
  [14486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 5, 0, 0),
  [14488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [14490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 4, 0, 0),
  [14492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 4, 0, 0),
  [14494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14678),
  [14496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 4, 0, 0),
  [14498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17689),
  [14500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11841),
  [14502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16374),
  [14504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18989),
  [14506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13530),
  [14508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19580),
  [14510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5377),
  [14512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17271),
  [14514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18680),
  [14516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14678),
  [14519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 5, 0, 0),
  [14521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 5, 0, 0),
  [14523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4544),
  [14526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4544),
  [14529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18182),
  [14531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8543),
  [14533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16513),
  [14535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17873),
  [14537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13530),
  [14540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 3, 0, 0),
  [14542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 3, 0, 0),
  [14544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13455),
  [14546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18484),
  [14548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5402),
  [14550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16542),
  [14552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19828),
  [14554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19581),
  [14556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5373),
  [14558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16423),
  [14560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19502),
  [14562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10845),
  [14564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10847),
  [14566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13455),
  [14569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14747),
  [14571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 4, 0, 0),
  [14573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9806),
  [14576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 3, 0, 0),
  [14578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 3, 0, 0),
  [14580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14253),
  [14582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [14584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3051),
  [14587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [14589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [14591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [14593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [14595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [14597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [14599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [14601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [14603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [14605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [14607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [14609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [14611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [14613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [14615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [14617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [14619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [14621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [14623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [14625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [14627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14522),
  [14629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_type, 3, 0, 73),
  [14631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8600),
  [14633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_type, 3, 0, 73),
  [14635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_type, 3, 0, 0),
  [14637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_type, 3, 0, 0),
  [14639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [14641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [14643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [14645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [14647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [14649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [14651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [14653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [14655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [14657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9018),
  [14659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8876),
  [14661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14674),
  [14663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_toplevel_directive, 2, 0, 0),
  [14665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_toplevel_directive, 2, 0, 0),
  [14667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14159),
  [14669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14247),
  [14671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8905),
  [14673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8881),
  [14675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14024),
  [14677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8925),
  [14679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8833),
  [14681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14072),
  [14683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9034),
  [14685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8847),
  [14687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9908),
  [14689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8913),
  [14691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8836),
  [14693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [14695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [14697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [14699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [14701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [14703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [14705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [14707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [14709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [14711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [14713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8988),
  [14715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8867),
  [14717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [14719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [14721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [14723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [14725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [14727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [14729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [14731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [14733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [14735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [14737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10772),
  [14739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8806),
  [14741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10842),
  [14743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [14745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [14747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [14749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2971),
  [14751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(2971),
  [14754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2982),
  [14756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(2982),
  [14759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2989),
  [14761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(2989),
  [14764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 3, 0, 0),
  [14766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 3, 0, 0),
  [14768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12690),
  [14770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2995),
  [14772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(2995),
  [14775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [14777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [14779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [14781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [14783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [14785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [14787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [14789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [14791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [14793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [14795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 0),
  [14797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 0),
  [14799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12690),
  [14802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [14804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [14806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 0),
  [14808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 0),
  [14810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [14812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [14814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [14816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9930),
  [14819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15812),
  [14821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14253),
  [14824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, 0, 0),
  [14826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, 0, 0),
  [14828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2965),
  [14830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 2, 0, 0),
  [14832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 2, 0, 0),
  [14834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [14836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8651),
  [14839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(14046),
  [14842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0),
  [14844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(12499),
  [14847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(14576),
  [14850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(15208),
  [14853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(15438),
  [14856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(15770),
  [14859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(2965),
  [14862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3214),
  [14864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3214),
  [14867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12664),
  [14869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14485),
  [14871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9279),
  [14873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13485),
  [14875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12691),
  [14877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14588),
  [14879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14063),
  [14881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14118),
  [14883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 2, 0, 0),
  [14885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 2, 0, 0),
  [14887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 3, 0, 0),
  [14889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 3, 0, 0),
  [14891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15754),
  [14893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 4, 0, 0),
  [14895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 4, 0, 0),
  [14897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(15754),
  [14900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [14902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [14904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [14906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [14908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [14910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [14912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [14914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 5, 0, 0),
  [14916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 5, 0, 0),
  [14918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [14920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [14922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9736),
  [14924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [14926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9723),
  [14928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9316),
  [14930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12707),
  [14932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12700),
  [14934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14484),
  [14936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9819),
  [14938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12686),
  [14940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13605),
  [14942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13605),
  [14945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9500),
  [14947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12695),
  [14949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [14951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14522),
  [14954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [14956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10585),
  [14958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13097),
  [14960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9516),
  [14962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [14964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [14966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12700),
  [14969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14674),
  [14972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 2, 0, 0),
  [14974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 2, 0, 0),
  [14976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16315),
  [14978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16315),
  [14981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7484),
  [14983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12718),
  [14985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12718),
  [14987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12773),
  [14989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [14991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [14993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [14995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [14997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [14999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [15001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [15003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [15005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [15007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5270),
  [15009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [15011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [15013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [15015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [15017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5879),
  [15019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [15021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [15023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [15025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [15027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5381),
  [15029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [15031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [15033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [15035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [15037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [15039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [15041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [15043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5726),
  [15045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6263),
  [15047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [15049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5881),
  [15051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [15053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [15055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14972),
  [15058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7248),
  [15060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [15062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14972),
  [15064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [15066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [15068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9173),
  [15070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [15072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [15074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [15076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12706),
  [15078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [15080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [15082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [15084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [15086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [15088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [15090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [15092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [15094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [15096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [15098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8442),
  [15100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11976),
  [15102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [15104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9181),
  [15106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6419),
  [15108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [15110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [15112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [15114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [15116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [15118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [15120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [15122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [15124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [15126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [15128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [15130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11458),
  [15132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [15134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [15136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3778),
  [15138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5386),
  [15140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14819),
  [15142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6963),
  [15144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [15146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [15148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [15150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [15152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [15154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [15156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [15158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2293),
  [15160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [15162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6968),
  [15164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6017),
  [15166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [15168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6255),
  [15170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [15172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6019),
  [15174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3143),
  [15176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [15178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [15180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6421),
  [15182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3184),
  [15184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure_item, 1, 0, 0),
  [15186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure_item, 1, 0, 0),
  [15188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [15190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4233),
  [15192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [15194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3033),
  [15196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3033),
  [15199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(12579),
  [15202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3184),
  [15205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7847),
  [15207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [15209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [15211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [15213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [15215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [15217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [15219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2317),
  [15221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [15223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6496),
  [15225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [15227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [15229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6498),
  [15231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [15233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [15235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [15237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [15239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [15241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [15243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [15245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4939),
  [15247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7374),
  [15249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5484),
  [15251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [15253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [15255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [15257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6574),
  [15259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [15261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4190),
  [15263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6537),
  [15265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [15267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [15269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7025),
  [15271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [15273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6540),
  [15275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12090),
  [15277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3501),
  [15279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9444),
  [15281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [15283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5150),
  [15285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6215),
  [15287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [15289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9448),
  [15291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5721),
  [15293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [15295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7139),
  [15297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [15299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5952),
  [15301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [15303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7194),
  [15305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3250),
  [15307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [15309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7155),
  [15311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7003),
  [15313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7865),
  [15315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [15317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7434),
  [15319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3723),
  [15321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3250),
  [15324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [15326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [15328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5736),
  [15330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [15332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [15334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [15336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [15338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [15340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [15342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [15344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [15346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [15348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [15350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7878),
  [15352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6714),
  [15354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [15356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [15358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7561),
  [15360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7945),
  [15362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6578),
  [15364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [15366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [15368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6580),
  [15370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7641),
  [15372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4764),
  [15374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9916),
  [15377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3090),
  [15379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [15381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [15383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [15385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8445),
  [15387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [15389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8607),
  [15391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 88),
  [15393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [15395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [15397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [15399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [15401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6289),
  [15403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6108),
  [15405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3203),
  [15407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4756),
  [15409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [15411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5645),
  [15413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [15415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [15417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [15419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [15421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [15423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [15425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [15427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8436),
  [15429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 1, 0, 0),
  [15431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 1, 0, 0),
  [15433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [15435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(2996),
  [15438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [15440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [15442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6627),
  [15444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [15446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8923),
  [15448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6362),
  [15450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [15452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [15454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6630),
  [15456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3364),
  [15458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [15460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4154),
  [15462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3374),
  [15464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [15466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [15468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7250),
  [15470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [15472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [15474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [15476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [15478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10058),
  [15480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13422),
  [15482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4270),
  [15484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [15486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [15488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [15490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [15492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4066),
  [15494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [15496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [15498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [15500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [15502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [15504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [15506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [15508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [15510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [15512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [15514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [15516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [15518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [15520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10969),
  [15522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [15524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [15526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6795),
  [15528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [15530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5091),
  [15532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [15534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5318),
  [15536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7189),
  [15538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [15540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [15542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6799),
  [15544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [15546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5098),
  [15548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5115),
  [15550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [15552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5071),
  [15554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7023),
  [15556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [15558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6233),
  [15560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8466),
  [15562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [15564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 3, 0, 68),
  [15566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [15568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [15570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [15572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [15574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [15576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [15578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [15580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8699),
  [15582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [15584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 2, 0, 42),
  [15586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6880),
  [15588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6687),
  [15590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [15592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5161),
  [15594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [15596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [15598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [15600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4758),
  [15602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [15604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5147),
  [15606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [15608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5196),
  [15610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0),
  [15612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5810),
  [15614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [15616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [15618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5812),
  [15620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [15622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4922),
  [15624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [15626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [15628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5932),
  [15630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [15632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [15634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [15636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [15638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6946),
  [15640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [15642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6690),
  [15644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5310),
  [15646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6445),
  [15648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [15650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4393),
  [15652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12706),
  [15655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [15657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [15659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [15661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [15663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6855),
  [15665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [15667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [15669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [15671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [15673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6860),
  [15675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [15677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [15679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6864),
  [15681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [15683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [15685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [15687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [15689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3143),
  [15692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14819),
  [15695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3543),
  [15697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5292),
  [15699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6965),
  [15701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [15703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [15705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7100),
  [15707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2996),
  [15709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6915),
  [15711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4941),
  [15713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9676),
  [15715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4097),
  [15717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7574),
  [15719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [15721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [15723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7579),
  [15725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8554),
  [15727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [15729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6364),
  [15731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [15733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [15735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7290),
  [15737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2956),
  [15739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(2956),
  [15742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5257),
  [15744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16297),
  [15746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [15748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [15750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [15752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [15754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [15756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [15758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [15760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [15762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2323),
  [15764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [15766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6596),
  [15768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [15770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3823),
  [15772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6261),
  [15774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9809),
  [15776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8742),
  [15778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12705),
  [15780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6403),
  [15782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [15784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3788),
  [15786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6503),
  [15788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14633),
  [15790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [15792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [15794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [15796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12114),
  [15798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8728),
  [15800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5578),
  [15802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [15804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3745),
  [15806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5632),
  [15808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6007),
  [15810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [15812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3798),
  [15814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5924),
  [15816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5754),
  [15818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [15820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3783),
  [15822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5717),
  [15824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6319),
  [15826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [15828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3808),
  [15830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6220),
  [15832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12694),
  [15834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4918),
  [15836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [15838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3914),
  [15840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4889),
  [15842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [15844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [15846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2234),
  [15848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [15850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8581),
  [15852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 42),
  [15854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 1, 0, 0),
  [15856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [15858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [15860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [15862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [15864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [15866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [15868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5217),
  [15870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [15872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3759),
  [15874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5167),
  [15876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [15878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [15880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3878),
  [15882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [15884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [15886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [15888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [15890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [15892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [15894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [15896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [15898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [15900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [15902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3862),
  [15904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [15906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12767),
  [15908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14692),
  [15910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [15912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 88),
  [15914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [15916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [15918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3743),
  [15920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [15922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [15924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [15926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [15928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14633),
  [15931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9941),
  [15933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9584),
  [15935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [15937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3812),
  [15939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9696),
  [15941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6841),
  [15943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [15945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3727),
  [15947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6925),
  [15949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0),
  [15951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [15953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [15955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [15957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [15959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [15961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [15963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__instance_variable_name, 1, 0, 10),
  [15965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 33),
  [15967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [15969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7933),
  [15971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [15973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3721),
  [15975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7920),
  [15977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [15979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [15981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(12718),
  [15984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(12718),
  [15987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(12773),
  [15990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_expression, 3, 0, 0),
  [15992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [15994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [15996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3867),
  [15998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5950),
  [16000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature_item, 1, 0, 0),
  [16002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [16004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6977),
  [16006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [16008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3886),
  [16010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7008),
  [16012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9033),
  [16014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [16016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3773),
  [16018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8095),
  [16020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6906),
  [16022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [16024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3832),
  [16026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6957),
  [16028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5278),
  [16030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [16032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3797),
  [16034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5320),
  [16036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [16038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [16040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3766),
  [16042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [16044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6207),
  [16046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [16048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3732),
  [16050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6286),
  [16052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [16054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [16056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3915),
  [16058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [16060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6740),
  [16062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [16064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3771),
  [16066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6806),
  [16068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 4, 0, 54),
  [16070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1, 0, 0),
  [16072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [16074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [16076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3765),
  [16078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [16080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [16082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 68),
  [16084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [16086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 88),
  [16088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [16090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [16092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 42),
  [16094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [16096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5158),
  [16098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [16100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3747),
  [16102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5185),
  [16104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6161),
  [16106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [16108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3803),
  [16110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6200),
  [16112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6109),
  [16114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [16116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3813),
  [16118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6240),
  [16120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6935),
  [16122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [16124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3809),
  [16126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6985),
  [16128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [16130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [16132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [16134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3909),
  [16136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4425),
  [16138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [16140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [16142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3928),
  [16144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [16146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [16148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13343),
  [16150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7293),
  [16152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [16154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3850),
  [16156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7174),
  [16158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12694),
  [16161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7153),
  [16163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [16165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3929),
  [16167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6712),
  [16169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12701),
  [16171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [16173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 68),
  [16175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5935),
  [16177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [16179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3739),
  [16181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5969),
  [16183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [16185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [16187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [16189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3789),
  [16191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [16193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7096),
  [16195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [16197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3807),
  [16199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6945),
  [16201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7416),
  [16203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [16205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3722),
  [16207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7346),
  [16209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6485),
  [16211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [16213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3859),
  [16215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6267),
  [16217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12693),
  [16219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12689),
  [16221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4397),
  [16223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [16225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3777),
  [16227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4226),
  [16229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4841),
  [16231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [16233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3724),
  [16235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4828),
  [16237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14693),
  [16239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16297),
  [16242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [16244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [16246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3791),
  [16248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [16250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [16252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [16254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3729),
  [16256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [16258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [16260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [16262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [16264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3770),
  [16266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [16268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8438),
  [16270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [16272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 68),
  [16274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15864),
  [16276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__typed, 2, 0, 0),
  [16278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__typed, 2, 0, 0),
  [16280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_constraint, 4, 0, 0),
  [16282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8721),
  [16284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [16286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 3, 0, 42),
  [16288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8488),
  [16290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [16292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 88),
  [16294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [16296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [16298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [16300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 69),
  [16302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11696),
  [16304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12833),
  [16306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15124),
  [16308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8490),
  [16310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 2, 0, 0),
  [16312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14393),
  [16314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12922),
  [16316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12850),
  [16318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [16320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 89),
  [16322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13024),
  [16324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14381),
  [16326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12876),
  [16328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12864),
  [16330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12789),
  [16332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 3, 0, 0),
  [16334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14726),
  [16336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12951),
  [16338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12962),
  [16340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_sequence, 1, 0, 0),
  [16342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_sequence, 1, 0, 0),
  [16344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14383),
  [16346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [16348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 43),
  [16350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [16352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10842),
  [16354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 133),
  [16356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11777),
  [16358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15213),
  [16360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10600),
  [16362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6123),
  [16364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10457),
  [16366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [16368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17236),
  [16370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4776),
  [16372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_pattern, 3, 0, 0),
  [16374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_pattern, 3, 0, 0),
  [16376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 124),
  [16378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9456),
  [16380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 132),
  [16382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [16384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 133),
  [16386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7761),
  [16388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6026),
  [16390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 76),
  [16392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 111),
  [16394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 111),
  [16396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 110),
  [16398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [16400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 125),
  [16402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4206),
  [16404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_constraint, 5, 0, 0),
  [16406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 112),
  [16408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5170),
  [16410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 42),
  [16412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 76),
  [16414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 6, 0, 0),
  [16416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 102),
  [16418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 125),
  [16420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 113),
  [16422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [16424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 69),
  [16426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 114),
  [16428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_effect_pattern, 4, 0, 87),
  [16430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_effect_pattern, 4, 0, 87),
  [16432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7039),
  [16434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6811),
  [16436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 103),
  [16438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [16440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6435),
  [16442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5581),
  [16444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10583),
  [16446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 103),
  [16448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 115),
  [16450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6371),
  [16452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 134),
  [16454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13056),
  [16456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6716),
  [16458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5333),
  [16460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 5, 0, 0),
  [16462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6427),
  [16464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern, 1, 0, 0),
  [16466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern, 1, 0, 0),
  [16468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [16470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_pattern, 2, 0, 0),
  [16472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag_pattern, 2, 0, 0),
  [16474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_pattern, 2, 0, 0),
  [16476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_pattern, 2, 0, 0),
  [16478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7272),
  [16480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_initializer, 3, 0, 0),
  [16482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5895),
  [16484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11048),
  [16486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__effect_pattern, 1, 0, 0),
  [16488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__effect_pattern, 1, 0, 0),
  [16490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 123),
  [16492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6873),
  [16494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3891),
  [16496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6514),
  [16498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 43),
  [16500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5887),
  [16502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 89),
  [16504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6884),
  [16506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10743),
  [16508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9466),
  [16510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5245),
  [16512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 122),
  [16514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 53),
  [16516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [16518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6548),
  [16520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [16522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [16524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 90),
  [16526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9208),
  [16528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7244),
  [16530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11053),
  [16532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9804),
  [16534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 4, 0, 0),
  [16536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 88),
  [16538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7031),
  [16540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5375),
  [16542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6638),
  [16544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4767),
  [16546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11923),
  [16548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6034),
  [16550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [16552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5739),
  [16554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6749),
  [16556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5819),
  [16558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [16560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6115),
  [16562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 101),
  [16564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 124),
  [16566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_pattern, 2, 0, 0),
  [16568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_pattern, 2, 0, 0),
  [16570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5591),
  [16572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 113),
  [16574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [16576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4958),
  [16578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8773),
  [16580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 126),
  [16582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [16584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4896),
  [16586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 53),
  [16588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7154),
  [16590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 132),
  [16592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_initializer, 2, 0, 0),
  [16594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6588),
  [16596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 90),
  [16598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [16600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6722),
  [16602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6379),
  [16604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10462),
  [16606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [16608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6822),
  [16610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7085),
  [16612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 136),
  [16614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, 0, 134),
  [16616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 126),
  [16618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 122),
  [16620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6648),
  [16622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4437),
  [16624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 102),
  [16626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6597),
  [16628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 68),
  [16630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17236),
  [16633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5199),
  [16635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [16637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4943),
  [16639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10477),
  [16641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_pattern, 3, 0, 0),
  [16643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_pattern, 3, 0, 0),
  [16645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5828),
  [16647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 10, 0, 136),
  [16649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7594),
  [16651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [16653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 101),
  [16655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10483),
  [16657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7568),
  [16659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [16661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6506),
  [16663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 110),
  [16665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5755),
  [16667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4285),
  [16669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7234),
  [16671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [16673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9196),
  [16675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 115),
  [16677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [16679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6556),
  [16681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [16683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7725),
  [16685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 114),
  [16687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 123),
  [16689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_pattern, 3, 0, 0),
  [16691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_pattern, 3, 0, 0),
  [16693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 112),
  [16695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7056),
  [16697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [16699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17312),
  [16701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 4, 0, 0),
  [16703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17312),
  [16706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 3, 0, 0),
  [16708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_specification, 3, 0, 0),
  [16710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 3, 0, 98),
  [16712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18407),
  [16714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9802),
  [16716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 4, 0, 98),
  [16718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 4, 0, 46),
  [16720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 5, 0, 0),
  [16722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 5, 0, 46),
  [16724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_specification, 2, 0, 0),
  [16726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12779),
  [16728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14474),
  [16730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [16732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [16734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [16736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8694),
  [16739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8717),
  [16741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8694),
  [16743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9823),
  [16745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13217),
  [16747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9940),
  [16749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13214),
  [16751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10137),
  [16753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_pattern, 3, 0, 0),
  [16755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_pattern, 3, 0, 0),
  [16757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_pattern, 3, 0, 0),
  [16759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [16761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_or_pattern, 3, 0, 0),
  [16763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13227),
  [16765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_pattern, 2, 0, 0),
  [16767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [16769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_pattern, 2, 0, 0),
  [16771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14266),
  [16773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13256),
  [16775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9937),
  [16777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13115),
  [16779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10486),
  [16781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13154),
  [16783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13152),
  [16785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_pattern, 3, 0, 0),
  [16787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_pattern, 3, 0, 0),
  [16789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13126),
  [16791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19536),
  [16793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19536),
  [16795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19613),
  [16797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [16799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [16801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [16803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [16805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15453),
  [16807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7204),
  [16809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [16811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [16813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [16815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17193),
  [16817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19340),
  [16819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11805),
  [16821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8559),
  [16823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16366),
  [16825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5909),
  [16827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [16829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [16831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [16833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [16835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14069),
  [16837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7649),
  [16839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6101),
  [16841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [16843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [16845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [16847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6091),
  [16849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [16851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [16853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [16855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6266),
  [16857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [16859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [16861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [16863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [16865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [16867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [16869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [16871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6193),
  [16873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [16875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [16877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [16879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5496),
  [16881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [16883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [16885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [16887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [16889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14249),
  [16891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7163),
  [16893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17213),
  [16895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19373),
  [16897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11814),
  [16899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4482),
  [16901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14107),
  [16903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5378),
  [16905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5998),
  [16907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [16909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [16911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [16913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [16915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [16917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [16919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [16921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4475),
  [16923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14147),
  [16925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5279),
  [16927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [16929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14085),
  [16931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7297),
  [16933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9946),
  [16935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4963),
  [16937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [16939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [16941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [16943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8963),
  [16945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [16947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [16949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [16951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [16953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14155),
  [16955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9031),
  [16957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7572),
  [16959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [16961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [16963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [16965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6449),
  [16967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [16969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [16971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [16973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [16975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14087),
  [16977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8400),
  [16979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5235),
  [16981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [16983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [16985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [16987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [16989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [16991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [16993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [16995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [16997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [16999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [17001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [17003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [17005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13391),
  [17007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6346),
  [17009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [17011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [17013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [17015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4480),
  [17017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14061),
  [17019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5175),
  [17021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [17023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [17025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [17027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [17029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4490),
  [17031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14164),
  [17033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13613),
  [17035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13613),
  [17037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20279),
  [17039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5075),
  [17041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [17043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [17045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [17047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7495),
  [17049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [17051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [17053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [17055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [17057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [17059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [17061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [17063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [17065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14043),
  [17067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7528),
  [17069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5847),
  [17071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [17073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [17075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [17077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [17079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14145),
  [17081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8405),
  [17083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [17085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14163),
  [17087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8277),
  [17089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [17091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [17093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [17095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [17097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14477),
  [17099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [17101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [17103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [17105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [17107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [17109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [17111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [17113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [17115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [17117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13069),
  [17119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17258),
  [17121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19705),
  [17123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6401),
  [17125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [17127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [17129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [17131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [17133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14201),
  [17135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8287),
  [17137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9504),
  [17139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [17141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [17143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [17145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [17147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8693),
  [17149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7888),
  [17151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [17153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [17155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [17157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4466),
  [17159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14184),
  [17161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5213),
  [17163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4915),
  [17165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [17167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [17169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [17171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [17173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [17175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [17177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [17179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17186),
  [17181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19270),
  [17183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11176),
  [17185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17251),
  [17187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19042),
  [17189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11459),
  [17191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4801),
  [17193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [17195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [17197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [17199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_field, 1, 0, 0),
  [17201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16696),
  [17203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19516),
  [17205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12029),
  [17207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5808),
  [17209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [17211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [17213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [17215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5767),
  [17217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [17219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [17221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [17223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6060),
  [17225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [17227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [17229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [17231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6321),
  [17233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [17235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [17237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [17239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4692),
  [17241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [17243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [17245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [17247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7106),
  [17249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [17251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [17253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [17255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6073),
  [17257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [17259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [17261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [17263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4450),
  [17265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14227),
  [17267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5683),
  [17269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [17271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [17273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [17275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13290),
  [17277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15213),
  [17280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16549),
  [17282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18866),
  [17284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14214),
  [17286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14218),
  [17288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 1, 0, 0),
  [17290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [17292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [17294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [17296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [17298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8680),
  [17300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8912),
  [17302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9253),
  [17304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [17306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7821),
  [17308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8702),
  [17310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10986),
  [17312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8390),
  [17314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8895),
  [17316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8680),
  [17319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10648),
  [17321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8360),
  [17323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9110),
  [17325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10256),
  [17327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10616),
  [17329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8345),
  [17331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10555),
  [17333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14140),
  [17335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9118),
  [17337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13467),
  [17339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10802),
  [17341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8332),
  [17343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9044),
  [17345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10608),
  [17347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9165),
  [17349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8370),
  [17351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(13613),
  [17354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(13613),
  [17357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0),
  [17359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9007),
  [17361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10999),
  [17363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10780),
  [17365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8393),
  [17367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13767),
  [17369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14140),
  [17372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10035),
  [17374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_field_specification, 1, 0, 0),
  [17376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9774),
  [17378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10700),
  [17380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9171),
  [17382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10777),
  [17384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9306),
  [17386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8343),
  [17388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8929),
  [17390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8317),
  [17392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9070),
  [17394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10653),
  [17396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12662),
  [17398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8385),
  [17400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13001),
  [17402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8336),
  [17404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 1, 0, 0),
  [17406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9149),
  [17408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9299),
  [17410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12764),
  [17412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8399),
  [17414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9861),
  [17416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8384),
  [17418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10593),
  [17420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8327),
  [17422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9354),
  [17424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8371),
  [17426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8959),
  [17428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9614),
  [17430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9462),
  [17432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8374),
  [17434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12750),
  [17436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8366),
  [17438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10274),
  [17440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8428),
  [17442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9419),
  [17444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8419),
  [17446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8979),
  [17448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9995),
  [17450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9097),
  [17452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13026),
  [17454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9163),
  [17456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9349),
  [17458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8926),
  [17460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12511),
  [17462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9052),
  [17464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12775),
  [17466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8982),
  [17468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9010),
  [17470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10202),
  [17472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9015),
  [17474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8909),
  [17476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9047),
  [17478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10033),
  [17480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10184),
  [17482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8395),
  [17484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9111),
  [17486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11735),
  [17488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_string_content, 1, 0, 0),
  [17490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [17492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10155),
  [17494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8992),
  [17496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12118),
  [17498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [17500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8608),
  [17502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10173),
  [17504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8348),
  [17506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11658),
  [17508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8423),
  [17510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [17512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7520),
  [17514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9190),
  [17516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9852),
  [17518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9358),
  [17520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8358),
  [17522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9143),
  [17524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10766),
  [17526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9042),
  [17528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9558),
  [17530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [17532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7688),
  [17534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [17536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7403),
  [17538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13290),
  [17540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17012),
  [17542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8815),
  [17544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11237),
  [17546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11159),
  [17548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2518),
  [17550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14007),
  [17552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13379),
  [17554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17203),
  [17556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16754),
  [17558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [17560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [17562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [17564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13927),
  [17566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [17568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14797),
  [17570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4614),
  [17572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17270),
  [17574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7619),
  [17576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11343),
  [17578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [17580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [17582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7679),
  [17584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [17586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [17588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11206),
  [17590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [17592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [17594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11684),
  [17596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11551),
  [17598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16181),
  [17600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14490),
  [17602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9582),
  [17604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11166),
  [17606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [17608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11556),
  [17610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16498),
  [17612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13980),
  [17614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [17616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [17618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [17620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11321),
  [17622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [17624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14118),
  [17626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17291),
  [17628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5384),
  [17630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11213),
  [17632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16587),
  [17634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [17636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11249),
  [17638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8461),
  [17640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [17642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11569),
  [17644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 3, 0, 0),
  [17646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17332),
  [17648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8495),
  [17650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11324),
  [17652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [17654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11571),
  [17656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16346),
  [17658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7419),
  [17660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11594),
  [17662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [17664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16399),
  [17666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5428),
  [17668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0),
  [17670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16370),
  [17672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5698),
  [17674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11299),
  [17676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [17678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11294),
  [17680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16566),
  [17682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12958),
  [17684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11217),
  [17686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11412),
  [17688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11446),
  [17690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16955),
  [17692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7446),
  [17694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11586),
  [17696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [17698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16620),
  [17700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [17702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11550),
  [17704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16962),
  [17706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8814),
  [17708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11589),
  [17710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [17712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11438),
  [17714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17334),
  [17716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7940),
  [17718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11396),
  [17720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11401),
  [17722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7404),
  [17724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [17726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [17728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3444),
  [17730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [17732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14717),
  [17734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [17736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7408),
  [17738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8609),
  [17740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [17742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [17744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8611),
  [17746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10834),
  [17748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14037),
  [17750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11297),
  [17752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12923),
  [17754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12930),
  [17756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [17758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [17760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12914),
  [17762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11545),
  [17764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11303),
  [17766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16813),
  [17768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13259),
  [17770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5503),
  [17772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [17774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4611),
  [17776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14398),
  [17778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [17780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5504),
  [17782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4530),
  [17784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [17786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4618),
  [17788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4540),
  [17790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14496),
  [17792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4619),
  [17794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5506),
  [17796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [17798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13723),
  [17800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13672),
  [17802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16504),
  [17804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11192),
  [17806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8795),
  [17808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [17810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16499),
  [17812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13984),
  [17814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16730),
  [17816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8686),
  [17818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11244),
  [17820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11257),
  [17822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16458),
  [17824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13959),
  [17826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11441),
  [17828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11344),
  [17830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11585),
  [17832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [17834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10156),
  [17836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [17838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16770),
  [17840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8707),
  [17842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11543),
  [17844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17341),
  [17846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5615),
  [17848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [17850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10160),
  [17852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11255),
  [17854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11519),
  [17856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8799),
  [17858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [17860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [17862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8747),
  [17864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13921),
  [17866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [17868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11328),
  [17870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11492),
  [17872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11348),
  [17874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11471),
  [17876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [17878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11371),
  [17880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [17882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [17884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13149),
  [17886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [17888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13923),
  [17890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11449),
  [17892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17001),
  [17894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7507),
  [17896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11381),
  [17898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11496),
  [17900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [17902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11454),
  [17904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17381),
  [17906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7623),
  [17908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [17910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11498),
  [17912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11522),
  [17914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [17916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 2, 0, 0),
  [17918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [17920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11210),
  [17922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4559),
  [17924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [17926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [17928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13157),
  [17930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4533),
  [17932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11475),
  [17934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16463),
  [17936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13964),
  [17938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [17940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16612),
  [17942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12966),
  [17944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [17946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4534),
  [17948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13159),
  [17950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7832),
  [17952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [17954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11367),
  [17956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17392),
  [17958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7977),
  [17960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11093),
  [17962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13918),
  [17964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 4, 0, 0),
  [17966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [17968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11096),
  [17970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [17972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7850),
  [17974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11153),
  [17976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11107),
  [17978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [17980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17395),
  [17982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [17984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11378),
  [17986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11109),
  [17988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16798),
  [17990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10001),
  [17992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16249),
  [17994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14874),
  [17996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9243),
  [17998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11341),
  [18000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11268),
  [18002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5536),
  [18004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11100),
  [18006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [18008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [18010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4528),
  [18012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11118),
  [18014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4532),
  [18016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5539),
  [18018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11135),
  [18020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11200),
  [18022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [18024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [18026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11383),
  [18028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [18030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11137),
  [18032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7921),
  [18034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [18036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11517),
  [18038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_quoted_string_content_repeat1, 1, 0, 0),
  [18040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 1, 0, 0),
  [18042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16606),
  [18044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13228),
  [18046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [18048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11390),
  [18050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11260),
  [18052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16655),
  [18054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7352),
  [18056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11306),
  [18058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11520),
  [18060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11158),
  [18062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11422),
  [18064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [18066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2554),
  [18068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13535),
  [18070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17311),
  [18072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11161),
  [18074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5451),
  [18076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11234),
  [18078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11442),
  [18080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5409),
  [18082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4520),
  [18084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11152),
  [18086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11410),
  [18088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7521),
  [18090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [18092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11479),
  [18094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [18096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7362),
  [18098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16586),
  [18100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10203),
  [18102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11211),
  [18104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11169),
  [18106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11427),
  [18108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9228),
  [18110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11214),
  [18112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11527),
  [18114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13926),
  [18116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4553),
  [18118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13929),
  [18120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12063),
  [18122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11416),
  [18124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [18126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7656),
  [18128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11531),
  [18130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5681),
  [18132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16321),
  [18134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14915),
  [18136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9406),
  [18138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11261),
  [18140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5682),
  [18142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [18144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4568),
  [18146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5701),
  [18148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [18150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13607),
  [18152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16616),
  [18154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16333),
  [18156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14925),
  [18158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9866),
  [18160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11263),
  [18162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11503),
  [18164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6444),
  [18166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6509),
  [18168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6752),
  [18170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0),
  [18172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6517),
  [18174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6523),
  [18176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6524),
  [18178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6667),
  [18180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6551),
  [18182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 3, 0, 82),
  [18184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6763),
  [18186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6559),
  [18188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6566),
  [18190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6567),
  [18192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9515),
  [18194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6766),
  [18196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4247),
  [18198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9459),
  [18200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16009),
  [18202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12787),
  [18204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9469),
  [18206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9479),
  [18208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9483),
  [18210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6688),
  [18212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6591),
  [18214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5174),
  [18216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6600),
  [18218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6609),
  [18220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6610),
  [18222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6141),
  [18224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [18226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6641),
  [18228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6651),
  [18230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17679),
  [18232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13625),
  [18234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16709),
  [18236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6660),
  [18238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6662),
  [18240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6914),
  [18242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [18244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [18246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [18248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [18250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [18252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5850),
  [18254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5822),
  [18256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5831),
  [18258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5840),
  [18260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5844),
  [18262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [18264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6814),
  [18266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8697),
  [18268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tag_spec, 1, 0, 0),
  [18270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14844),
  [18272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [18274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [18276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [18278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [18280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7051),
  [18282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6825),
  [18284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6699),
  [18286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6737),
  [18288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6770),
  [18290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6789),
  [18292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5215),
  [18294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7357),
  [18296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6836),
  [18298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7598),
  [18300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7526),
  [18302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7493),
  [18304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6838),
  [18306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7529),
  [18308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4811),
  [18310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4770),
  [18312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4779),
  [18314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4789),
  [18316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4791),
  [18318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [18320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [18322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6944),
  [18324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [18326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [18328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [18330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5205),
  [18332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6156),
  [18334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6118),
  [18336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6126),
  [18338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6136),
  [18340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6137),
  [18342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5920),
  [18344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5890),
  [18346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5898),
  [18348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5905),
  [18350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5906),
  [18352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6876),
  [18354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [18356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [18358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [18360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [18362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [18364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5665),
  [18366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6888),
  [18368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5208),
  [18370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5585),
  [18372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5595),
  [18374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5605),
  [18376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5610),
  [18378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5249),
  [18380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6897),
  [18382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5166),
  [18384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6901),
  [18386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5263),
  [18388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5104),
  [18390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5145),
  [18392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5236),
  [18394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [18396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [18398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [18400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11627),
  [18402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [18404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [18406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [18408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [18410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7319),
  [18412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [18414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [18416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [18418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [18420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7266),
  [18422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7276),
  [18424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7285),
  [18426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7289),
  [18428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 4, 0, 0),
  [18430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 4, 0, 99),
  [18432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4867),
  [18434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7200),
  [18436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4870),
  [18438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4289),
  [18440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4333),
  [18442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4925),
  [18444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4879),
  [18446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4871),
  [18448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4440),
  [18450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6477),
  [18452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7260),
  [18454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6374),
  [18456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6382),
  [18458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6391),
  [18460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6395),
  [18462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14465),
  [18464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7333),
  [18466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [18468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [18470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [18472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [18474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7212),
  [18476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [18478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10244),
  [18480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8475),
  [18482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4213),
  [18484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7905),
  [18486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4370),
  [18488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7733),
  [18490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7774),
  [18492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7797),
  [18494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7809),
  [18496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4197),
  [18498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [18500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4385),
  [18502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(16089),
  [18505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [18507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6781),
  [18509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [18511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12558),
  [18513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14131),
  [18515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16262),
  [18517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [18519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [18521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_typed, 2, 0, 0),
  [18523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7080),
  [18525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0),
  [18527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7034),
  [18529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7042),
  [18531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7048),
  [18533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7049),
  [18535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6472),
  [18537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tag_specification_repeat1, 2, 0, 0),
  [18539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6430),
  [18541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7062),
  [18543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6438),
  [18545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6446),
  [18547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [18549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [18551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7090),
  [18553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [18555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [18557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [18559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [18561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7115),
  [18563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [18565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [18567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [18569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [18571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7117),
  [18573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9109),
  [18575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9200),
  [18577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9211),
  [18579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9030),
  [18581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14153),
  [18583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9091),
  [18585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14153),
  [18588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5804),
  [18590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5725),
  [18592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5790),
  [18594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5752),
  [18596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5783),
  [18598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4993),
  [18600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6852),
  [18602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4967),
  [18604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5028),
  [18606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4995),
  [18608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5010),
  [18610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5308),
  [18612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5301),
  [18614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [18616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5302),
  [18618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5372),
  [18620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6072),
  [18622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6723),
  [18624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19072),
  [18626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13651),
  [18628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17373),
  [18630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6029),
  [18632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6037),
  [18634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6046),
  [18636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6050),
  [18638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 3, 0, 0),
  [18640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6619),
  [18642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7158),
  [18644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12558),
  [18646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18377),
  [18648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6854),
  [18650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12766),
  [18652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15649),
  [18654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18338),
  [18656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [18658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17653),
  [18660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6821),
  [18662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20297),
  [18664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14320),
  [18666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19942),
  [18668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6621),
  [18670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(15864),
  [18673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18638),
  [18675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7240),
  [18677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18694),
  [18679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6573),
  [18681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [18683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14979),
  [18685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14330),
  [18687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4612),
  [18689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8460),
  [18691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 1, 0, 0),
  [18693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18036),
  [18695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6625),
  [18697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12739),
  [18699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15483),
  [18701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11749),
  [18703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17599),
  [18705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7020),
  [18707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9242),
  [18709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9532),
  [18711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14710),
  [18713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19722),
  [18715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14384),
  [18717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_instantiated_class_type_repeat1, 2, 0, 0),
  [18719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14695),
  [18721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17886),
  [18723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6416),
  [18725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 1, 0, 0),
  [18727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 5, 0, 0),
  [18729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15800),
  [18731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14157),
  [18733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tag_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(8495),
  [18736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10157),
  [18738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12778),
  [18740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14621),
  [18742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14439),
  [18744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18884),
  [18746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5875),
  [18748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19903),
  [18750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4897),
  [18752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14355),
  [18754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18188),
  [18756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [18758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10005),
  [18760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10181),
  [18762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20219),
  [18764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7321),
  [18766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14486),
  [18768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10394),
  [18770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9992),
  [18772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19568),
  [18774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6833),
  [18776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18495),
  [18778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [18780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14478),
  [18782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7421),
  [18784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7509),
  [18786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9080),
  [18788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10087),
  [18790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8780),
  [18792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14559),
  [18794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 1, 0, 2),
  [18796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11967),
  [18798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20260),
  [18800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6783),
  [18802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19766),
  [18804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [18806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17752),
  [18808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6359),
  [18810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14537),
  [18812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13264),
  [18814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8840),
  [18816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19219),
  [18818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [18820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14790),
  [18822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18809),
  [18824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9139),
  [18826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13196),
  [18828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18336),
  [18830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [18832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14290),
  [18834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9027),
  [18836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14782),
  [18838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7954),
  [18840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14581),
  [18842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17565),
  [18844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5557),
  [18846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5606),
  [18848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12732),
  [18850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16338),
  [18852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20044),
  [18854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7566),
  [18856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5616),
  [18858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 2, 0, 11),
  [18860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 2, 0, 0),
  [18862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10332),
  [18864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11653),
  [18866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8469),
  [18868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14666),
  [18870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19203),
  [18872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5784),
  [18874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8710),
  [18876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [18878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14618),
  [18880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18490),
  [18882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5262),
  [18884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14357),
  [18886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17816),
  [18888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5209),
  [18890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17606),
  [18892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [18894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18028),
  [18896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6534),
  [18898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8826),
  [18900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12748),
  [18902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16339),
  [18904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14285),
  [18906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17551),
  [18908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6107),
  [18910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20270),
  [18912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14632),
  [18914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10933),
  [18916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12711),
  [18918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16283),
  [18920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13982),
  [18922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17318),
  [18924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13987),
  [18926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14560),
  [18928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19408),
  [18930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5088),
  [18932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12719),
  [18934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16324),
  [18936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17480),
  [18938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4751),
  [18940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14582),
  [18942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19707),
  [18944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7131),
  [18946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14768),
  [18948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18071),
  [18950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9440),
  [18952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8824),
  [18954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8854),
  [18956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19583),
  [18958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [18960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18635),
  [18962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7753),
  [18964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14299),
  [18966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14694),
  [18968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18054),
  [18970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [18972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19724),
  [18974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5366),
  [18976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12671),
  [18978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14199),
  [18980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9024),
  [18982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8870),
  [18984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8878),
  [18986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19610),
  [18988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4259),
  [18990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14217),
  [18992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9036),
  [18994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8849),
  [18996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12976),
  [18998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14262),
  [19000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 3, 0, 29),
  [19002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9757),
  [19004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20100),
  [19006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6014),
  [19008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7625),
  [19010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [19012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10844),
  [19014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14231),
  [19016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14689),
  [19018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18310),
  [19020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [19022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [19024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 1, 0, 23),
  [19026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 3, 0, 0),
  [19028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19820),
  [19030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [19032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14177),
  [19034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9095),
  [19036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8843),
  [19038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [19040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 1, 0, 0),
  [19042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18621),
  [19044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6492),
  [19046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9511),
  [19048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14635),
  [19050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8612),
  [19052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6685),
  [19054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8468),
  [19056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6859),
  [19058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10012),
  [19060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9816),
  [19062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4555),
  [19064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4555),
  [19066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10805),
  [19068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6120),
  [19070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5173),
  [19072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7998),
  [19074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9342),
  [19076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16199),
  [19078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8590),
  [19080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5809),
  [19082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6128),
  [19084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16028),
  [19086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7170),
  [19088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9113),
  [19090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5601),
  [19092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9146),
  [19094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8493),
  [19096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [19098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8942),
  [19100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11683),
  [19102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8615),
  [19104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5878),
  [19106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7334),
  [19108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9122),
  [19110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9123),
  [19112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8947),
  [19114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15184),
  [19116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9147),
  [19118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5659),
  [19120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11728),
  [19122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [19124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9124),
  [19126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5892),
  [19128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11607),
  [19130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15189),
  [19132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9252),
  [19134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16254),
  [19136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [19138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15430),
  [19140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9141),
  [19142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15060),
  [19144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5900),
  [19146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11620),
  [19148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15190),
  [19150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5824),
  [19152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8575),
  [19154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9442),
  [19156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11652),
  [19158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5629),
  [19160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11685),
  [19162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11679),
  [19164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9269),
  [19166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10199),
  [19168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5833),
  [19170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9575),
  [19172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15568),
  [19174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9289),
  [19176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10227),
  [19178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5444),
  [19180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11694),
  [19182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16304),
  [19184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [19186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8619),
  [19188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [19190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6511),
  [19192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6881),
  [19194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [19196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7914),
  [19198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8498),
  [19200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7860),
  [19202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9369),
  [19204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8949),
  [19206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17228),
  [19208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16920),
  [19210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19344),
  [19212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9274),
  [19214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [19216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9213),
  [19218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8903),
  [19220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14978),
  [19222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15025),
  [19224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10827),
  [19226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15214),
  [19228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9238),
  [19230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10745),
  [19232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15962),
  [19234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7738),
  [19236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8906),
  [19238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9023),
  [19240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9288),
  [19242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15215),
  [19244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6593),
  [19246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16301),
  [19248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13269),
  [19250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14102),
  [19252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [19254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [19256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7785),
  [19258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10518),
  [19260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14992),
  [19262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9380),
  [19264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15216),
  [19266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8592),
  [19268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [19270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9373),
  [19272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9404),
  [19274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15343),
  [19276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10806),
  [19278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15064),
  [19280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13014),
  [19282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat1, 2, 0, 0), SHIFT_REPEAT(7998),
  [19285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat1, 2, 0, 0),
  [19287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9595),
  [19289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15575),
  [19291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9060),
  [19293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17188),
  [19295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 2, 0, 0),
  [19297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(16262),
  [19300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8623),
  [19302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [19304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6891),
  [19306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15630),
  [19308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8484),
  [19310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8501),
  [19312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4108),
  [19314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9621),
  [19316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5587),
  [19318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [19320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6818),
  [19322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12129),
  [19324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15608),
  [19326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15908),
  [19328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15227),
  [19330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9641),
  [19332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5598),
  [19334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10707),
  [19336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6603),
  [19338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6755),
  [19340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [19342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 2, 0, 0),
  [19344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(14979),
  [19347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10134),
  [19349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15231),
  [19351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10741),
  [19353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15065),
  [19355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [19357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16302),
  [19359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [19361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10060),
  [19363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15232),
  [19365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9150),
  [19367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10164),
  [19369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8628),
  [19371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5192),
  [19373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10189),
  [19375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10733),
  [19377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15039),
  [19379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [19381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10599),
  [19383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6553),
  [19385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9463),
  [19387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [19389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [19391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10832),
  [19393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6519),
  [19395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5106),
  [19397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8508),
  [19399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7022),
  [19401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8450),
  [19403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6961),
  [19405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10391),
  [19407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14991),
  [19409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10719),
  [19411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10631),
  [19413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8570),
  [19415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6536),
  [19417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9471),
  [19419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15242),
  [19421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8595),
  [19423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6956),
  [19425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9308),
  [19427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15029),
  [19429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9230),
  [19431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7036),
  [19433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10081),
  [19435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15245),
  [19437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12114),
  [19439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8671),
  [19441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7044),
  [19443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15934),
  [19445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8636),
  [19447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [19449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10219),
  [19451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15246),
  [19453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13572),
  [19455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10131),
  [19457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [19459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10142),
  [19461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9073),
  [19463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9098),
  [19465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12636),
  [19467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10577),
  [19469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6562),
  [19471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [19473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11536),
  [19475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8584),
  [19477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6626),
  [19479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8519),
  [19481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6418),
  [19483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13911),
  [19485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11742),
  [19487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [19489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6828),
  [19491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9542),
  [19493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12268),
  [19495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6715),
  [19497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6739),
  [19499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14937),
  [19501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15262),
  [19503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8645),
  [19505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [19507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6432),
  [19509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4205),
  [19511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13029),
  [19513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15264),
  [19515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11926),
  [19517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6440),
  [19519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13034),
  [19521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15265),
  [19523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11848),
  [19525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [19527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7069),
  [19529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13042),
  [19531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7356),
  [19533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6645),
  [19535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [19537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13032),
  [19539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9656),
  [19541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9100),
  [19543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [19545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7732),
  [19547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8702),
  [19549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10749),
  [19551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8439),
  [19553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5225),
  [19555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8477),
  [19557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7247),
  [19559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8525),
  [19561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [19563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8598),
  [19565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7573),
  [19567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9899),
  [19569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [19571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15283),
  [19573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10438),
  [19575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15145),
  [19577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10623),
  [19579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14946),
  [19581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [19583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10578),
  [19585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15289),
  [19587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9247),
  [19589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15030),
  [19591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9079),
  [19593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7094),
  [19595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [19597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9084),
  [19599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10644),
  [19601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15290),
  [19603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10676),
  [19605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15098),
  [19607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10701),
  [19609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17351),
  [19611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 1, 0, 0),
  [19613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8382),
  [19615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9174),
  [19617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7214),
  [19619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8701),
  [19621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4200),
  [19623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7269),
  [19625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9809),
  [19627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9085),
  [19629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8719),
  [19631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [19633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9858),
  [19635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15102),
  [19637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8530),
  [19639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [19641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15824),
  [19643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7278),
  [19645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9396),
  [19647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9975),
  [19649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15103),
  [19651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10744),
  [19653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14948),
  [19655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7602),
  [19657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6654),
  [19659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15307),
  [19661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9284),
  [19663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9875),
  [19665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7382),
  [19667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9877),
  [19669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [19671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12543),
  [19673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15309),
  [19675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8491),
  [19677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [19679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12585),
  [19681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15310),
  [19683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12613),
  [19685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10650),
  [19687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12625),
  [19689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8961),
  [19691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8648),
  [19693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16022),
  [19695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9392),
  [19697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8532),
  [19699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(16700),
  [19702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9022),
  [19704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9025),
  [19706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8538),
  [19708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9164),
  [19710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 2, 0, 0), SHIFT_REPEAT(15819),
  [19713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 2, 0, 0),
  [19715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [19717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9986),
  [19719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15327),
  [19721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8744),
  [19723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4755),
  [19725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15756),
  [19727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9204),
  [19729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7690),
  [19731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11895),
  [19733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10803),
  [19735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9637),
  [19737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15329),
  [19739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14074),
  [19741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9142),
  [19743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9216),
  [19745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9645),
  [19747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15330),
  [19749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4772),
  [19751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9649),
  [19753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5710),
  [19755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11058),
  [19757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8480),
  [19759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4917),
  [19761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9651),
  [19763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12757),
  [19765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5502),
  [19767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11724),
  [19769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9408),
  [19771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9222),
  [19773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11994),
  [19775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8542),
  [19777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5795),
  [19779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8901),
  [19781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12379),
  [19783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15819),
  [19785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_type, 2, 0, 0),
  [19787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15125),
  [19789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10140),
  [19791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 2, 0, 0),
  [19793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 2, 0, 0), SHIFT_REPEAT(16461),
  [19796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14139),
  [19798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [19800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7586),
  [19802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4781),
  [19804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13841),
  [19806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15350),
  [19808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4914),
  [19810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8902),
  [19812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 2, 0, 0),
  [19814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(17056),
  [19817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5792),
  [19819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11005),
  [19821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15129),
  [19823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9029),
  [19825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15351),
  [19827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5803),
  [19829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14173),
  [19831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9058),
  [19833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15352),
  [19835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8443),
  [19837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7188),
  [19839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_params_repeat1, 2, 0, 0),
  [19841] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_params_repeat1, 2, 0, 0), SHIFT_REPEAT(13545),
  [19844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4930),
  [19846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9076),
  [19848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9087),
  [19850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11012),
  [19852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15130),
  [19854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14190),
  [19856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8586),
  [19858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [19860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11018),
  [19862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15743),
  [19864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8551),
  [19866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5090),
  [19868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14203),
  [19870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11020),
  [19872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15542),
  [19874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14216),
  [19876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10043),
  [19878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14222),
  [19880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14233),
  [19882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15372),
  [19884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8605),
  [19886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [19888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8725),
  [19890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4555),
  [19893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4555),
  [19896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14244),
  [19898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9161),
  [19900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9162),
  [19902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10569),
  [19904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5007),
  [19906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14251),
  [19908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [19910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14025),
  [19912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8918),
  [19914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15374),
  [19916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14033),
  [19918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8464),
  [19920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6794),
  [19922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14041),
  [19924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4961),
  [19926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14044),
  [19928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4250),
  [19930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14048),
  [19932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8935),
  [19934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15375),
  [19936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13491),
  [19938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14050),
  [19940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14053),
  [19942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8945),
  [19944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7395),
  [19946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14058),
  [19948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8948),
  [19950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14065),
  [19952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8456),
  [19954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7138),
  [19956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14070),
  [19958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12207),
  [19960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16122),
  [19962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14073),
  [19964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14076),
  [19966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8557),
  [19968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5353),
  [19970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14080),
  [19972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8486),
  [19974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6361),
  [19976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16700),
  [19978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14081),
  [19980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14084),
  [19982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14086),
  [19984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14089),
  [19986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [19988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7691),
  [19990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15393),
  [19992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14091),
  [19994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14095),
  [19996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8928),
  [19998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8950),
  [20000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14097),
  [20002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5329),
  [20004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14100),
  [20006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16180),
  [20008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12754),
  [20010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15395),
  [20012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14106),
  [20014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [20016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14113),
  [20018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9283),
  [20020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [20022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14117),
  [20024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14122),
  [20026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12744),
  [20028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15396),
  [20030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14124),
  [20032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9013),
  [20034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16255),
  [20036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8567),
  [20038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6495),
  [20040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14126),
  [20042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12710),
  [20044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9019),
  [20046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14128),
  [20048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12720),
  [20050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8749),
  [20052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11649),
  [20054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14132),
  [20056] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9946),
  [20059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [20061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14134),
  [20063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15152),
  [20065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9117),
  [20067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [20069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14142),
  [20071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14987),
  [20073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17261),
  [20075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8562),
  [20077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6016),
  [20079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15516),
  [20081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11022),
  [20083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6376),
  [20085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_instantiated_class_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8697),
  [20088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9026),
  [20090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8580),
  [20092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6577),
  [20094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10815),
  [20096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15953),
  [20098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13553),
  [20100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15154),
  [20102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7309),
  [20104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6728),
  [20106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6031),
  [20108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6384),
  [20110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8951),
  [20112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6039),
  [20114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13621),
  [20116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15155),
  [20118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16298),
  [20120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10846),
  [20122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8746),
  [20124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9137),
  [20126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [20128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8458),
  [20130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8539),
  [20132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16317),
  [20134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13630),
  [20136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10864),
  [20138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [20140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10021),
  [20142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13611),
  [20144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11072),
  [20146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9166),
  [20148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10854),
  [20150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [20152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7502),
  [20154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11739),
  [20156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10596),
  [20158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17075),
  [20160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17076),
  [20162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17077),
  [20164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11616),
  [20166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [20168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14116),
  [20170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16015),
  [20172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13744),
  [20174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9344),
  [20176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11622),
  [20178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14498),
  [20180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8329),
  [20182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14612),
  [20184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13867),
  [20186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [20188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15440),
  [20190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14018),
  [20192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [20194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [20196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13790),
  [20198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [20200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9573),
  [20202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14071),
  [20204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(14067),
  [20207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_binding_pattern_repeat1, 2, 0, 0),
  [20209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6885),
  [20211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10620),
  [20213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13705),
  [20215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [20217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4709),
  [20219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14434),
  [20221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [20223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16514),
  [20225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9082),
  [20227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9074),
  [20229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13877),
  [20231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13799),
  [20233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8689),
  [20235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8785),
  [20237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 1, 0, 0),
  [20239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10604),
  [20241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13745),
  [20243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13794),
  [20245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5567),
  [20247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [20249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13808),
  [20251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13720),
  [20253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14168),
  [20255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0), SHIFT_REPEAT(9606),
  [20258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14706),
  [20260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14402),
  [20262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5571),
  [20264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7532),
  [20266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [20268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [20270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [20272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13795),
  [20274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [20276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13873),
  [20278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7871),
  [20280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14389),
  [20282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14409),
  [20284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13055),
  [20286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8430),
  [20288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14358),
  [20290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7909),
  [20292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16544),
  [20294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7546),
  [20296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5593),
  [20298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(14030),
  [20301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_expression_repeat1, 2, 0, 0),
  [20303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13796),
  [20305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14438),
  [20307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6542),
  [20309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8476),
  [20311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5848),
  [20313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6896),
  [20315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [20317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [20319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [20321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5604),
  [20323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6762),
  [20325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14160),
  [20327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13797),
  [20329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10705),
  [20331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13874),
  [20333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13746),
  [20335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13560),
  [20337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [20339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14367),
  [20341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5493),
  [20343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13545),
  [20345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19279),
  [20347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8463),
  [20349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [20351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7764),
  [20353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14654),
  [20355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16568),
  [20357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9261),
  [20359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12144),
  [20361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10661),
  [20363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9177),
  [20365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13875),
  [20367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10512),
  [20369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8526),
  [20371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [20373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [20375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13801),
  [20377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13575),
  [20379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13800),
  [20381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5186),
  [20383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [20385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14166),
  [20387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8472),
  [20389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7796),
  [20391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9353),
  [20393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14441),
  [20395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5129),
  [20397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7184),
  [20399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16380),
  [20401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9393),
  [20403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [20405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13876),
  [20407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13833),
  [20409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4384),
  [20411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16593),
  [20413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [20415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13804),
  [20417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [20419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8556),
  [20421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13834),
  [20423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14456),
  [20425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [20427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4196),
  [20429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9737),
  [20431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14446),
  [20433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6823),
  [20435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(4594),
  [20438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5247),
  [20440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13805),
  [20442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14047),
  [20444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13749),
  [20446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7059),
  [20448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9598),
  [20450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [20452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13879),
  [20454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [20456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9298),
  [20458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13085),
  [20460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13806),
  [20462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16617),
  [20464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13721),
  [20466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6628),
  [20468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [20470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8624),
  [20472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9467),
  [20474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14503),
  [20476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7119),
  [20478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8940),
  [20480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [20482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14108),
  [20484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13755),
  [20486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14530),
  [20488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6632),
  [20490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13881),
  [20492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [20494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [20496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13706),
  [20498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13750),
  [20500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14413),
  [20502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [20504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16640),
  [20506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [20508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13812),
  [20510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [20512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13407),
  [20514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5446),
  [20516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [20518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14489),
  [20520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [20522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [20524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13883),
  [20526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7800),
  [20528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14252),
  [20530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [20532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [20534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13814),
  [20536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14420),
  [20538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [20540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [20542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [20544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10042),
  [20546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14497),
  [20548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14506),
  [20550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [20552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16664),
  [20554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8980),
  [20556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13885),
  [20558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6734),
  [20560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9784),
  [20563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13815),
  [20565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6325),
  [20567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7913),
  [20569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13751),
  [20571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [20573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10045),
  [20575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13722),
  [20577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14193),
  [20579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4978),
  [20581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [20583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4264),
  [20585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10099),
  [20587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13816),
  [20589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13886),
  [20591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [20593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6760),
  [20595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14816),
  [20597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16681),
  [20599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8549),
  [20601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [20603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13752),
  [20605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19343),
  [20607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16410),
  [20609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4538),
  [20611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8784),
  [20613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [20615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14604),
  [20617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13773),
  [20619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7660),
  [20621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16480),
  [20623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6093),
  [20625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13820),
  [20627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [20629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14223),
  [20631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13471),
  [20633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17263),
  [20635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13380),
  [20637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16015),
  [20640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14526),
  [20642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [20644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16698),
  [20646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [20648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13821),
  [20650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14026),
  [20652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9478),
  [20654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [20656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 2, 0, 0),
  [20658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [20660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13516),
  [20662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13897),
  [20664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7024),
  [20666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6649),
  [20668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16713),
  [20670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14531),
  [20672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13909),
  [20674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6966),
  [20676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14462),
  [20678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7027),
  [20680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10407),
  [20682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14051),
  [20684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [20686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [20688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13822),
  [20690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6835),
  [20692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16729),
  [20694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9229),
  [20696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13898),
  [20698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [20700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [20702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14527),
  [20704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6971),
  [20706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3306),
  [20708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13724),
  [20710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14469),
  [20712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14075),
  [20714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7040),
  [20716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10074),
  [20718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13823),
  [20720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16742),
  [20722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13696),
  [20724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9050),
  [20726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13899),
  [20728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13756),
  [20730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7576),
  [20732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13707),
  [20734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13824),
  [20736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7249),
  [20738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [20740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14096),
  [20742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7047),
  [20744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10103),
  [20746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [20748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9764),
  [20750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17289),
  [20752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [20754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10111),
  [20756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16755),
  [20758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [20760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13900),
  [20762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9258),
  [20764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14584),
  [20766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7252),
  [20768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [20770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14603),
  [20772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7583),
  [20774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6102),
  [20776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13759),
  [20778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14127),
  [20780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6659),
  [20782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4572),
  [20784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [20786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13725),
  [20788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13757),
  [20790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16767),
  [20792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [20794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14515),
  [20796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13419),
  [20798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7407),
  [20800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [20802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19128),
  [20804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6062),
  [20806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13429),
  [20808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8804),
  [20810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14608),
  [20812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14150),
  [20814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13825),
  [20816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [20818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [20820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7468),
  [20822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16781),
  [20824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13758),
  [20826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [20828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14595),
  [20830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13908),
  [20832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6420),
  [20834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6522),
  [20836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5527),
  [20838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10525),
  [20840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [20842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7273),
  [20844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14514),
  [20846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6423),
  [20848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14178),
  [20850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7125),
  [20852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16799),
  [20854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9856),
  [20856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [20858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7483),
  [20860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13688),
  [20862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13910),
  [20864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9193),
  [20866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13826),
  [20868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [20870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14207),
  [20872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13916),
  [20874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13760),
  [20876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14521),
  [20878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13753),
  [20880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5211),
  [20882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16815),
  [20884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [20886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6436),
  [20888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14488),
  [20890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12997),
  [20892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7503),
  [20894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7890),
  [20896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_copy_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(15088),
  [20899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_copy_expression_repeat1, 2, 0, 0),
  [20901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9108),
  [20903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6350),
  [20905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13684),
  [20907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6451),
  [20909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6443),
  [20911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16832),
  [20913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13018),
  [20915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13838),
  [20917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4372),
  [20919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5673),
  [20921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7284),
  [20923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9863),
  [20925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13690),
  [20927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13037),
  [20929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13912),
  [20931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14566),
  [20933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16845),
  [20935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13700),
  [20937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6557),
  [20939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13685),
  [20941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6497),
  [20943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13728),
  [20945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [20947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9868),
  [20949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12124),
  [20951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13827),
  [20953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17283),
  [20955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16857),
  [20957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7318),
  [20959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19757),
  [20961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5441),
  [20963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14268),
  [20965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13762),
  [20967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4757),
  [20969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [20971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13515),
  [20973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16872),
  [20975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [20977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexing_operator_path, 3, 0, 0),
  [20979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexing_operator_path, 3, 0, 0),
  [20981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14682),
  [20983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4760),
  [20985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17183),
  [20987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17187),
  [20989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17189),
  [20991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [20993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14793),
  [20995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4417),
  [20997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13915),
  [20999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [21001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4519),
  [21003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13352),
  [21005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16882),
  [21007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4570),
  [21009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexing_operator_path, 1, 0, 0),
  [21011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexing_operator_path, 1, 0, 0),
  [21013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14557),
  [21015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [21017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8492),
  [21019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16800),
  [21021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [21023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7086),
  [21025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [21027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14780),
  [21029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [21031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16893),
  [21033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13763),
  [21035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10595),
  [21037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14650),
  [21039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5125),
  [21041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13917),
  [21043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [21045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [21047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [21049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [21051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [21053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8924),
  [21055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16906),
  [21057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [21059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14567),
  [21061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13932),
  [21063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14716),
  [21065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14658),
  [21067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [21069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18400),
  [21071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10839),
  [21073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9963),
  [21075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9186),
  [21077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13919),
  [21079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16919),
  [21081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13697),
  [21083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4777),
  [21085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13729),
  [21087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13102),
  [21089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13764),
  [21091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5999),
  [21093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [21095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10632),
  [21097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [21099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16929),
  [21101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6288),
  [21103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14864),
  [21105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10649),
  [21107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8515),
  [21109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13920),
  [21111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12910),
  [21113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12852),
  [21115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6222),
  [21117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16938),
  [21119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [21121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [21123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7557),
  [21125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13414),
  [21127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12967),
  [21129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4787),
  [21131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8318),
  [21133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6078),
  [21135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8862),
  [21137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18770),
  [21139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16952),
  [21141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13765),
  [21143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5458),
  [21145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [21147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [21149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [21151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13579),
  [21153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13730),
  [21155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14235),
  [21157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16961),
  [21159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13384),
  [21161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5505),
  [21163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17217),
  [21165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [21167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13933),
  [21169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [21171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6565),
  [21173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7113),
  [21175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10606),
  [21177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16971),
  [21179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14610),
  [21181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [21183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14392),
  [21185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(3456),
  [21188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13832),
  [21190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4924),
  [21192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(4589),
  [21195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [21197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [21199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10736),
  [21201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16982),
  [21203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17357),
  [21205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [21207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [21209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13935),
  [21211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13938),
  [21213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [21215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14720),
  [21217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4921),
  [21219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14617),
  [21221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16991),
  [21223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4365),
  [21225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [21227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13738),
  [21229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6797),
  [21231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12540),
  [21233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13698),
  [21235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8930),
  [21237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13936),
  [21239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4565),
  [21241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17000),
  [21243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5827),
  [21245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7186),
  [21247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16428),
  [21249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [21251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [21253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12580),
  [21255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13453),
  [21257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17010),
  [21259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [21261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [21263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12587),
  [21265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(15080),
  [21268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_declaration_repeat1, 2, 0, 0),
  [21270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13937),
  [21272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13768),
  [21274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [21276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17018),
  [21278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4566),
  [21280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13358),
  [21282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13713),
  [21284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6579),
  [21286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13835),
  [21288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14841),
  [21290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [21292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [21294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [21296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 2, 0, 0),
  [21298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13731),
  [21300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17027),
  [21302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [21304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14740),
  [21306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9133),
  [21308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7364),
  [21310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13872),
  [21312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4904),
  [21314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13770),
  [21316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17034),
  [21318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11003),
  [21320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13695),
  [21322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1951),
  [21325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9008),
  [21327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13836),
  [21329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13946),
  [21331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9178),
  [21333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [21335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7397),
  [21337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17222),
  [21339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17045),
  [21341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14338),
  [21343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14662),
  [21345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9184),
  [21347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17051),
  [21349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17058),
  [21351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17065),
  [21353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17070),
  [21355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [21357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17074),
  [21359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5240),
  [21361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17078),
  [21363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17084),
  [21365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8361),
  [21367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17089),
  [21369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17094),
  [21371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13934),
  [21373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17098),
  [21375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17102),
  [21377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17107),
  [21379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17112),
  [21381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17117),
  [21383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17119),
  [21385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17120),
  [21387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17122),
  [21389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17123),
  [21391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17124),
  [21393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17126),
  [21395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17128),
  [21397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17129),
  [21399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17131),
  [21401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17133),
  [21403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17134),
  [21405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17135),
  [21407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17136),
  [21409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17138),
  [21411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17140),
  [21413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17142),
  [21415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17143),
  [21417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17145),
  [21419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17146),
  [21421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17147),
  [21423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17149),
  [21425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17151),
  [21427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17152),
  [21429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7310),
  [21431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13949),
  [21433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7366),
  [21435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4932),
  [21437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11009),
  [21439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16382),
  [21441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [21443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14764),
  [21445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14868),
  [21447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7697),
  [21449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14404),
  [21451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6801),
  [21453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20040),
  [21455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [21457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14676),
  [21459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11014),
  [21461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10813),
  [21463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13837),
  [21465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9209),
  [21467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [21469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9634),
  [21471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13771),
  [21473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13842),
  [21475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7191),
  [21477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8965),
  [21479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13952),
  [21481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17306),
  [21483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17307),
  [21485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17308),
  [21487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4693),
  [21489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [21491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [21493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8922),
  [21495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9642),
  [21497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12203),
  [21499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14885),
  [21501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7196),
  [21503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13772),
  [21505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9647),
  [21507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10108),
  [21509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [21511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [21513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [21515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13954),
  [21517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14363),
  [21519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6582),
  [21521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13733),
  [21523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5811),
  [21525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13870),
  [21527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9156),
  [21529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18438),
  [21531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1759),
  [21534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [21536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 2, 0, 23),
  [21538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14055),
  [21540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [21542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14224),
  [21544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13793),
  [21546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14332),
  [21548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6500),
  [21550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [21552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13472),
  [21554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13922),
  [21556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9270),
  [21558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14445),
  [21560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14309),
  [21562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5814),
  [21564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [21566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13543),
  [21568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13928),
  [21570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13716),
  [21572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14335),
  [21574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8457),
  [21576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13775),
  [21578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6689),
  [21580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13967),
  [21582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [21584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 1, 0, 4),
  [21586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [21588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10379),
  [21590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14267),
  [21592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6110),
  [21594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13734),
  [21596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14725),
  [21598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5714),
  [21600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13433),
  [21602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7844),
  [21604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [21606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16388),
  [21608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16389),
  [21610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16390),
  [21612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13844),
  [21614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6363),
  [21616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [21618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [21620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [21622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8805),
  [21624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13776),
  [21626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [21628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [21630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [21632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14340),
  [21634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16639),
  [21636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13970),
  [21638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13784),
  [21640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6861),
  [21642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14875),
  [21644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6366),
  [21646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [21648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [21650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6515),
  [21652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14731),
  [21654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5777),
  [21656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9021),
  [21658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14321),
  [21660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14272),
  [21662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8986),
  [21664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13971),
  [21666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13483),
  [21668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5538),
  [21670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18149),
  [21672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13857),
  [21674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16435),
  [21676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16436),
  [21678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16437),
  [21680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9017),
  [21682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5750),
  [21684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9054),
  [21686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6124),
  [21688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [21690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16377),
  [21692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [21694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [21696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [21698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9061),
  [21700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17735),
  [21702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13972),
  [21704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13777),
  [21706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5829),
  [21708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5038),
  [21710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13735),
  [21712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14479),
  [21714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4280),
  [21716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [21718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_expression, 1, 0, 0),
  [21720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13845),
  [21722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [21724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [21726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8704),
  [21728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18173),
  [21730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [21732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14651),
  [21734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10032),
  [21736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16484),
  [21738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16485),
  [21740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16486),
  [21742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10175),
  [21744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [21746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [21748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [21750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6135),
  [21752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14891),
  [21754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16692),
  [21756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [21758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13778),
  [21760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5535),
  [21762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16519),
  [21764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16520),
  [21766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16521),
  [21768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14333),
  [21770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6866),
  [21772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13986),
  [21774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5094),
  [21776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6380),
  [21778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [21780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [21782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [21784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8319),
  [21786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18779),
  [21788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13548),
  [21790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16341),
  [21792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16550),
  [21794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16551),
  [21796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14778),
  [21798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5100),
  [21800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [21802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [21804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [21806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [21808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16573),
  [21810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16574),
  [21812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16575),
  [21814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10964),
  [21816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [21818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [21820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [21822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [21824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14135),
  [21826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13002),
  [21828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16597),
  [21830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16598),
  [21832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16599),
  [21834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13653),
  [21836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10158),
  [21838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [21840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [21842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [21844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9119),
  [21846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13992),
  [21848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13847),
  [21850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17210),
  [21852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [21854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14277),
  [21856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16621),
  [21858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16622),
  [21860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16623),
  [21862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8356),
  [21864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16515),
  [21866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [21868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [21870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [21872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14444),
  [21874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [21876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14791),
  [21878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [21880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16645),
  [21882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16646),
  [21884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16647),
  [21886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5839),
  [21888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [21890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [21892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [21894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [21896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5078),
  [21898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8916),
  [21900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16668),
  [21902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16669),
  [21904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16670),
  [21906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [21908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [21910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [21912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4837),
  [21914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5625),
  [21916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6390),
  [21918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9020),
  [21920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13993),
  [21922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16685),
  [21924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16686),
  [21926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16687),
  [21928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13463),
  [21930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [21932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [21934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [21936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13780),
  [21938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5880),
  [21940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14563),
  [21942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16703),
  [21944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16704),
  [21946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16705),
  [21948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [21950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [21952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [21954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5563),
  [21956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14296),
  [21958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5883),
  [21960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16716),
  [21962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16717),
  [21964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16718),
  [21966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [21968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [21970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [21972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [21974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8931),
  [21976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8258),
  [21978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13420),
  [21980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13465),
  [21982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8610),
  [21984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13849),
  [21986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16733),
  [21988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16734),
  [21990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16735),
  [21992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [21994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [21996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [21998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8937),
  [22000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13736),
  [22002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13994),
  [22004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16745),
  [22006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16746),
  [22008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16747),
  [22010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [22012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [22014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [22016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [22018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16758),
  [22020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16759),
  [22022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16760),
  [22024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [22026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [22028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [22030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13781),
  [22032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [22034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16771),
  [22036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16772),
  [22038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16773),
  [22040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [22042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [22044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [22046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5443),
  [22048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7171),
  [22050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16787),
  [22052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16788),
  [22054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16789),
  [22056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [22058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [22060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [22062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14411),
  [22064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10077),
  [22066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14006),
  [22068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7149),
  [22070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [22072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16803),
  [22074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16804),
  [22076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16805),
  [22078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [22080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [22082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [22084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [22086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [22088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16823),
  [22090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16824),
  [22092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16825),
  [22094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [22096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [22098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [22100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13373),
  [22102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7681),
  [22104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16838),
  [22106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16839),
  [22108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16840),
  [22110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [22112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [22114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [22116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12883),
  [22118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [22120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13693),
  [22122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6538),
  [22124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14306),
  [22126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [22128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16847),
  [22130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16848),
  [22132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16849),
  [22134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [22136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [22138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [22140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13998),
  [22142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5347),
  [22144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5896),
  [22146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14888),
  [22148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6696),
  [22150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16861),
  [22152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16862),
  [22154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16863),
  [22156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [22158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [22160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [22162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [22164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13782),
  [22166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14834),
  [22168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [22170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16873),
  [22172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16874),
  [22174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16875),
  [22176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [22178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [22180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [22182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13702),
  [22184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9446),
  [22186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(3284),
  [22189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16884),
  [22191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16885),
  [22193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16886),
  [22195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [22197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [22199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [22201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [22203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16894),
  [22205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16895),
  [22207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16896),
  [22209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13554),
  [22211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [22213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [22215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [22217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4557),
  [22219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13464),
  [22221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [22223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16909),
  [22225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16910),
  [22227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16911),
  [22229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14000),
  [22231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [22233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [22235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [22237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4561),
  [22239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [22241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16921),
  [22243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16922),
  [22245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16923),
  [22247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5912),
  [22249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [22251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [22253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [22255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5904),
  [22257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16425),
  [22259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14845),
  [22261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16930),
  [22263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16931),
  [22265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16932),
  [22267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [22269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [22271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [22273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20273),
  [22275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6598),
  [22277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5376),
  [22279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7258),
  [22281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16941),
  [22283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16942),
  [22285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16943),
  [22287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12782),
  [22289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [22291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [22293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [22295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13783),
  [22297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9355),
  [22299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13624),
  [22301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7522),
  [22303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9063),
  [22305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16956),
  [22307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16957),
  [22309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16958),
  [22311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [22313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [22315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [22317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14001),
  [22319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8900),
  [22321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16964),
  [22323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16965),
  [22325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16966),
  [22327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [22329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [22331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [22333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13866),
  [22335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13615),
  [22337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13158),
  [22339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4942),
  [22341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16974),
  [22343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16975),
  [22345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16976),
  [22347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [22349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [22351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [22353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5363),
  [22355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12730),
  [22357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8502),
  [22359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16985),
  [22361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16986),
  [22363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16987),
  [22365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13792),
  [22367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [22369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [22371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [22373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13356),
  [22375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5684),
  [22377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12747),
  [22379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13717),
  [22381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18969),
  [22383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14002),
  [22385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16992),
  [22387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16993),
  [22389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16994),
  [22391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4513),
  [22393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [22395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [22397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [22399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13748),
  [22401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17003),
  [22403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17004),
  [22405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17005),
  [22407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [22409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [22411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [22413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13426),
  [22415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14585),
  [22417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13689),
  [22419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [22421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13742),
  [22423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [22425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17013),
  [22427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17014),
  [22429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17015),
  [22431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8392),
  [22433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [22435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [22437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [22439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17570),
  [22441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8791),
  [22443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [22445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11999),
  [22447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17021),
  [22449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17022),
  [22451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17023),
  [22453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13286),
  [22455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [22457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [22459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [22461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14186),
  [22463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [22465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17028),
  [22467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17029),
  [22469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17030),
  [22471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13787),
  [22473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [22475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [22477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [22479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [22481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17037),
  [22483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17038),
  [22485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17039),
  [22487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [22489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [22491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [22493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [22495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17047),
  [22497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17048),
  [22499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17049),
  [22501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14315),
  [22503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [22505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14010),
  [22507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6018),
  [22509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17053),
  [22511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17054),
  [22513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17055),
  [22515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17059),
  [22517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17060),
  [22519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17061),
  [22521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17066),
  [22523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17067),
  [22525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17068),
  [22527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17071),
  [22529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17072),
  [22531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17073),
  [22533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13410),
  [22535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17079),
  [22537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17080),
  [22539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17081),
  [22541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17085),
  [22543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17086),
  [22545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17087),
  [22547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17090),
  [22549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17091),
  [22551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17092),
  [22553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17095),
  [22555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17096),
  [22557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17097),
  [22559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17099),
  [22561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17100),
  [22563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17101),
  [22565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17103),
  [22567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17104),
  [22569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17105),
  [22571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17108),
  [22573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17109),
  [22575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17110),
  [22577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17113),
  [22579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17114),
  [22581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17115),
  [22583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13686),
  [22585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13863),
  [22587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [22589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4563),
  [22591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [22593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [22595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14889),
  [22597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6021),
  [22599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14395),
  [22601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14294),
  [22603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [22605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [22607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9976),
  [22609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 1, 0, 0),
  [22611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14344),
  [22613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [22615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [22617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9508),
  [22619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14011),
  [22621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [22623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [22625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5169),
  [22627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10669),
  [22629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14894),
  [22631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14412),
  [22633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9045),
  [22635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6035),
  [22637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13525),
  [22639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7694),
  [22641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14012),
  [22643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(14056),
  [22646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2, 0, 0),
  [22648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [22650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6608),
  [22652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13864),
  [22654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14881),
  [22656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20105),
  [22658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20109),
  [22660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20112),
  [22662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5237),
  [22664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6045),
  [22666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13788),
  [22668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14014),
  [22670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7653),
  [22672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [22674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14423),
  [22676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3885),
  [22678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [22680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14302),
  [22682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7206),
  [22684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9233),
  [22686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7530),
  [22688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7756),
  [22690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14440),
  [22692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9450),
  [22694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13907),
  [22696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [22698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [22700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13403),
  [22702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [22704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11725),
  [22706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14366),
  [22708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13718),
  [22710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16479),
  [22712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9159),
  [22714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13865),
  [22716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14916),
  [22718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [22720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [22722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4209),
  [22724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13481),
  [22726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8437),
  [22728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13789),
  [22730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6402),
  [22732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [22734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4560),
  [22736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7794),
  [22738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [22740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14926),
  [22742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14927),
  [22744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17316),
  [22746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19415),
  [22748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4307),
  [22750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6981),
  [22752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5548),
  [22754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [22756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19531),
  [22758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7480),
  [22760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8957),
  [22762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17876),
  [22764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10163),
  [22766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19709),
  [22768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [22770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8444),
  [22772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7245),
  [22774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13321),
  [22776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11579),
  [22778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [22780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [22782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5731),
  [22784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [22786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [22788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [22790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9728),
  [22792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19490),
  [22794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17360),
  [22796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17400),
  [22798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [22800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6672),
  [22802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8489),
  [22804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6372),
  [22806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20138),
  [22808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5640),
  [22810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10598),
  [22812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13090),
  [22814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [22816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [22818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [22820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19849),
  [22822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [22824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13330),
  [22826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 3, 0, 0),
  [22828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9089),
  [22830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16472),
  [22832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8602),
  [22834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4768),
  [22836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4284),
  [22838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19759),
  [22840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16537),
  [22842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19243),
  [22844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19244),
  [22846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19245),
  [22848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [22850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5113),
  [22852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16045),
  [22854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8667),
  [22856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [22858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8585),
  [22860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6639),
  [22862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11066),
  [22864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19670),
  [22866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7448),
  [22868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18874),
  [22870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [22872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5745),
  [22874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18944),
  [22876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16690),
  [22878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6674),
  [22880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7453),
  [22882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18953),
  [22884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5718),
  [22886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18995),
  [22888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 92),
  [22890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5043),
  [22892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17333),
  [22894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9862),
  [22896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8113),
  [22898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5155),
  [22900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17613),
  [22902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9855),
  [22904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13197),
  [22906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5910),
  [22908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19864),
  [22910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [22912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17502),
  [22914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8874),
  [22916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10335),
  [22918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8606),
  [22920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [22922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13305),
  [22924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7004),
  [22926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7341),
  [22928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16419),
  [22930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16442),
  [22932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19316),
  [22934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19317),
  [22936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19318),
  [22938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10828),
  [22940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16261),
  [22942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8675),
  [22944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7388),
  [22946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7693),
  [22948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18160),
  [22950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13344),
  [22952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [22954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17580),
  [22956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8422),
  [22958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [22960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8597),
  [22962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_type, 2, 0, 65),
  [22964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4079),
  [22966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19508),
  [22968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [22970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7431),
  [22972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8737),
  [22974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13316),
  [22976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7801),
  [22978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8496),
  [22980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [22982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18198),
  [22984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [22986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17778),
  [22988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6785),
  [22990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18200),
  [22992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12212),
  [22994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [22996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_label, 3, 0, 66),
  [22998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7337),
  [23000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [23002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5029),
  [23004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17830),
  [23006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16679),
  [23008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5520),
  [23010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10825),
  [23012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [23014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13369),
  [23016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5349),
  [23018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [23020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13299),
  [23022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6991),
  [23024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18115),
  [23026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16907),
  [23028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16939),
  [23030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19367),
  [23032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19368),
  [23034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19369),
  [23036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15532),
  [23038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7231),
  [23040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19699),
  [23042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5407),
  [23044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19879),
  [23046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9699),
  [23048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [23050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8614),
  [23052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6116),
  [23054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6993),
  [23056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18140),
  [23058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13292),
  [23060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7861),
  [23062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18280),
  [23064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13997),
  [23066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18281),
  [23068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13999),
  [23070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7961),
  [23072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4816),
  [23074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17246),
  [23076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [23078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13509),
  [23080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [23082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7672),
  [23084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18302),
  [23086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9577),
  [23088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [23090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7302),
  [23092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19729),
  [23094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11027),
  [23096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16438),
  [23098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [23100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17409),
  [23102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19393),
  [23104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19394),
  [23106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19395),
  [23108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15674),
  [23110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13285),
  [23112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5312),
  [23114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5331),
  [23116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18559),
  [23118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5607),
  [23120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4295),
  [23122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19774),
  [23124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [23126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19396),
  [23128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13317),
  [23130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [23132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18622),
  [23134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7175),
  [23136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19433),
  [23138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16471),
  [23140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [23142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7938),
  [23144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [23146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17772),
  [23148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7012),
  [23150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19525),
  [23152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10575),
  [23154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8999),
  [23156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5908),
  [23158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8500),
  [23160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7726),
  [23162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17279),
  [23164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [23166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14245),
  [23168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19416),
  [23170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19417),
  [23172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15204),
  [23174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8588),
  [23176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [23178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [23180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10095),
  [23182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7176),
  [23184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16462),
  [23186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [23188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19894),
  [23190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8617),
  [23192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5888),
  [23194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [23196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7556),
  [23198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7895),
  [23200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11736),
  [23202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5434),
  [23204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19228),
  [23206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19520),
  [23208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9520),
  [23210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16684),
  [23212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4281),
  [23214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [23216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16720),
  [23218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19435),
  [23220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19436),
  [23222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19437),
  [23224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15008),
  [23226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12430),
  [23228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19124),
  [23230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8577),
  [23232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9457),
  [23234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [23236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8471),
  [23238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6874),
  [23240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7951),
  [23242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6494),
  [23244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9336),
  [23246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18794),
  [23248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17915),
  [23250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19616),
  [23252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16936),
  [23254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12450),
  [23256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19186),
  [23258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5864),
  [23260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19250),
  [23262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10808),
  [23264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8793),
  [23266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17238),
  [23268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17253),
  [23270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19455),
  [23272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19456),
  [23274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19457),
  [23276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15405),
  [23278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13307),
  [23280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5869),
  [23282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19304),
  [23284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5000),
  [23286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17951),
  [23288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17317),
  [23290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7147),
  [23292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19959),
  [23294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6181),
  [23296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9334),
  [23298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7943),
  [23300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19918),
  [23302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12975),
  [23304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9407),
  [23306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [23308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13652),
  [23310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7967),
  [23312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17362),
  [23314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19921),
  [23316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [23318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17365),
  [23320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19474),
  [23322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19475),
  [23324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19476),
  [23326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15733),
  [23328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6077),
  [23330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6879),
  [23332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13342),
  [23334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [23336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4388),
  [23338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20098),
  [23340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16344),
  [23342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [23344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19909),
  [23346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4509),
  [23348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19541),
  [23350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8506),
  [23352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [23354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8620),
  [23356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [23358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16398),
  [23360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7150),
  [23362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20091),
  [23364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10047),
  [23366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16400),
  [23368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19492),
  [23370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19493),
  [23372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19494),
  [23374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15970),
  [23376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10245),
  [23378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4906),
  [23380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6163),
  [23382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20296),
  [23384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16432),
  [23386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16041),
  [23388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9375),
  [23390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6725),
  [23392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8411),
  [23394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16475),
  [23396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [23398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17467),
  [23400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6149),
  [23402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17454),
  [23404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16482),
  [23406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19510),
  [23408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19511),
  [23410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19512),
  [23412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16336),
  [23414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7380),
  [23416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19413),
  [23418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16528),
  [23420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6152),
  [23422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17473),
  [23424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5390),
  [23426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17481),
  [23428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [23430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6196),
  [23432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16564),
  [23434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9402),
  [23436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16577),
  [23438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19527),
  [23440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19528),
  [23442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19529),
  [23444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15061),
  [23446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9352),
  [23448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8892),
  [23450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13257),
  [23452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9519),
  [23454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16618),
  [23456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [23458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11810),
  [23460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8070),
  [23462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15386),
  [23464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16660),
  [23466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [23468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7605),
  [23470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16666),
  [23472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19543),
  [23474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19544),
  [23476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19545),
  [23478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13336),
  [23480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16699),
  [23482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19076),
  [23484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13629),
  [23486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8625),
  [23488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5582),
  [23490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13297),
  [23492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16741),
  [23494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7414),
  [23496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19557),
  [23498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16748),
  [23500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19559),
  [23502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19560),
  [23504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19561),
  [23506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4976),
  [23508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19789),
  [23510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6893),
  [23512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17805),
  [23514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8510),
  [23516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7032),
  [23518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [23520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16774),
  [23522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5927),
  [23524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [23526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7442),
  [23528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17815),
  [23530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16819),
  [23532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [23534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16830),
  [23536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19575),
  [23538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19576),
  [23540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19577),
  [23542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8591),
  [23544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5820),
  [23546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7368),
  [23548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19360),
  [23550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16869),
  [23552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6167),
  [23554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17728),
  [23556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10086),
  [23558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7834),
  [23560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17887),
  [23562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16916),
  [23564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16925),
  [23566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19591),
  [23568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19592),
  [23570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19593),
  [23572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13988),
  [23574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17763),
  [23576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6172),
  [23578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17736),
  [23580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6276),
  [23582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16960),
  [23584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [23586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17991),
  [23588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9689),
  [23590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16998),
  [23592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17007),
  [23594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19607),
  [23596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19608),
  [23598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19609),
  [23600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13990),
  [23602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17783),
  [23604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [23606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17032),
  [23608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7927),
  [23610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9538),
  [23612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17164),
  [23614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8555),
  [23616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17871),
  [23618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8723),
  [23620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17166),
  [23622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19623),
  [23624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19624),
  [23626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19625),
  [23628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8632),
  [23630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5261),
  [23632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17185),
  [23634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7884),
  [23636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13311),
  [23638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6903),
  [23640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17898),
  [23642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [23644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8453),
  [23646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7057),
  [23648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17214),
  [23650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17216),
  [23652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19639),
  [23654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19640),
  [23656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19641),
  [23658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7296),
  [23660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19573),
  [23662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17232),
  [23664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6677),
  [23666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17978),
  [23668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8522),
  [23670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6428),
  [23672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7946),
  [23674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18046),
  [23676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10147),
  [23678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17259),
  [23680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9672),
  [23682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17960),
  [23684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17265),
  [23686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19655),
  [23688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19656),
  [23690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19657),
  [23692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7840),
  [23694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17979),
  [23696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_label, 4, 0, 45),
  [23698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [23700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7054),
  [23702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17285),
  [23704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18069),
  [23706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13206),
  [23708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9674),
  [23710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17971),
  [23712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8465),
  [23714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6812),
  [23716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17323),
  [23718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6681),
  [23720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18020),
  [23722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9978),
  [23724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6216),
  [23726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17327),
  [23728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19671),
  [23730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19672),
  [23732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19673),
  [23734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4203),
  [23736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18109),
  [23738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17354),
  [23740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8800),
  [23742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18057),
  [23744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17388),
  [23746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7932),
  [23748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17393),
  [23750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19686),
  [23752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19687),
  [23754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19688),
  [23756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7299),
  [23758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17407),
  [23760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8752),
  [23762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18076),
  [23764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17025),
  [23766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19701),
  [23768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19702),
  [23770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19703),
  [23772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16589),
  [23774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8639),
  [23776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [23778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7268),
  [23780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19714),
  [23782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13050),
  [23784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9501),
  [23786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8568),
  [23788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6507),
  [23790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17329),
  [23792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19716),
  [23794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19717),
  [23796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19718),
  [23798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [23800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7300),
  [23802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16406),
  [23804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8652),
  [23806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5690),
  [23808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6143),
  [23810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16743),
  [23812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19731),
  [23814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19732),
  [23816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19733),
  [23818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13283),
  [23820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [23822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16908),
  [23824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3970),
  [23826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19589),
  [23828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17325),
  [23830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19746),
  [23832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19747),
  [23834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19748),
  [23836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17380),
  [23838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8528),
  [23840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [23842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6183),
  [23844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18241),
  [23846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16422),
  [23848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19761),
  [23850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19762),
  [23852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19763),
  [23854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7877),
  [23856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6186),
  [23858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18255),
  [23860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16474),
  [23862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7685),
  [23864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [23866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10059),
  [23868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10607),
  [23870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9249),
  [23872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16608),
  [23874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19776),
  [23876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19777),
  [23878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19778),
  [23880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6234),
  [23882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16672),
  [23884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13033),
  [23886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8574),
  [23888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [23890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9257),
  [23892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18199),
  [23894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16794),
  [23896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19791),
  [23898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19792),
  [23900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19793),
  [23902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7211),
  [23904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18367),
  [23906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16876),
  [23908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6916),
  [23910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [23912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19804),
  [23914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17057),
  [23916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19806),
  [23918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19807),
  [23920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19808),
  [23922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17254),
  [23924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8646),
  [23926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [23928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8790),
  [23930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7222),
  [23932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18389),
  [23934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5500),
  [23936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18579),
  [23938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17322),
  [23940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19821),
  [23942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19822),
  [23944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19823),
  [23946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6817),
  [23948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8593),
  [23950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [23952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17353),
  [23954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5234),
  [23956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10640),
  [23958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10023),
  [23960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [23962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7815),
  [23964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7820),
  [23966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12697),
  [23968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18619),
  [23970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17401),
  [23972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19836),
  [23974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19837),
  [23976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19838),
  [23978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18657),
  [23980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13310),
  [23982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16402),
  [23984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19851),
  [23986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19852),
  [23988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19853),
  [23990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6203),
  [23992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18524),
  [23994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7081),
  [23996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19605),
  [23998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [24000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7349),
  [24002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16460),
  [24004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19866),
  [24006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19867),
  [24008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19868),
  [24010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8533),
  [24012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [24014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6147),
  [24016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6205),
  [24018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18536),
  [24020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13522),
  [24022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13140),
  [24024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [24026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16525),
  [24028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19881),
  [24030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19882),
  [24032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19883),
  [24034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13315),
  [24036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [24038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16592),
  [24040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19896),
  [24042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19897),
  [24044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19898),
  [24046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10662),
  [24048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7845),
  [24050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18719),
  [24052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7513),
  [24054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16667),
  [24056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19911),
  [24058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19912),
  [24060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19913),
  [24062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7406),
  [24064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18675),
  [24066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [24068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8190),
  [24070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19453),
  [24072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [24074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18665),
  [24076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18720),
  [24078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8802),
  [24080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16740),
  [24082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19925),
  [24084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19926),
  [24086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19927),
  [24088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [24090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18686),
  [24092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7410),
  [24094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18697),
  [24096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5941),
  [24098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [24100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16802),
  [24102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19939),
  [24104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19940),
  [24106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19941),
  [24108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5410),
  [24110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18729),
  [24112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6478),
  [24114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19906),
  [24116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12042),
  [24118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16890),
  [24120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19953),
  [24122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19954),
  [24124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19955),
  [24126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7423),
  [24128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [24130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8479),
  [24132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7264),
  [24134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16969),
  [24136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19967),
  [24138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19968),
  [24140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19969),
  [24142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13323),
  [24144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5938),
  [24146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18796),
  [24148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17011),
  [24150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19979),
  [24152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19980),
  [24154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19981),
  [24156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5940),
  [24158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18839),
  [24160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4491),
  [24162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19621),
  [24164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17042),
  [24166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19991),
  [24168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19992),
  [24170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19993),
  [24172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11641),
  [24174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [24176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19200),
  [24178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17083),
  [24180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19996),
  [24182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19997),
  [24184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19998),
  [24186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [24188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8540),
  [24190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9197),
  [24192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17111),
  [24194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20001),
  [24196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20002),
  [24198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20003),
  [24200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 22),
  [24202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17125),
  [24204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20006),
  [24206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20007),
  [24208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20008),
  [24210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17137),
  [24212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20011),
  [24214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20012),
  [24216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20013),
  [24218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17148),
  [24220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20016),
  [24222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20017),
  [24224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20018),
  [24226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [24228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18900),
  [24230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17155),
  [24232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20021),
  [24234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20022),
  [24236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20023),
  [24238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [24240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18902),
  [24242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17161),
  [24244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20026),
  [24246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20027),
  [24248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20028),
  [24250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6700),
  [24252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17165),
  [24254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20031),
  [24256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20032),
  [24258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20033),
  [24260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17170),
  [24262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20036),
  [24264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20037),
  [24266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20038),
  [24268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17178),
  [24270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20041),
  [24272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20042),
  [24274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20043),
  [24276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [24278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8684),
  [24280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17190),
  [24282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20046),
  [24284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20047),
  [24286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20048),
  [24288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7137),
  [24290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18952),
  [24292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17197),
  [24294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20051),
  [24296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20052),
  [24298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20053),
  [24300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7141),
  [24302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18961),
  [24304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13692),
  [24306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7328),
  [24308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19744),
  [24310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7584),
  [24312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18981),
  [24314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7596),
  [24316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18984),
  [24318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7340),
  [24320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4840),
  [24322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19003),
  [24324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4845),
  [24326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19006),
  [24328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4857),
  [24330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9998),
  [24332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [24334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19026),
  [24336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [24338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19029),
  [24340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [24342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10937),
  [24344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6272),
  [24346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19047),
  [24348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6274),
  [24350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19050),
  [24352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7082),
  [24354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6277),
  [24356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5956),
  [24358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19068),
  [24360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5958),
  [24362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19071),
  [24364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5960),
  [24366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12533),
  [24368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [24370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19093),
  [24372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4903),
  [24374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19120),
  [24376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [24378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19098),
  [24380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [24382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6929),
  [24384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5609),
  [24386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19122),
  [24388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5561),
  [24390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19125),
  [24392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5670),
  [24394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4865),
  [24396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19140),
  [24398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [24400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10602),
  [24402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [24404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5230),
  [24406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19152),
  [24408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5118),
  [24410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19156),
  [24412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9653),
  [24414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5219),
  [24416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7924),
  [24418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16918),
  [24420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18405),
  [24422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4944),
  [24424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11178),
  [24426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18556),
  [24428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18700),
  [24430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [24432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19187),
  [24434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13308),
  [24436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [24438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19191),
  [24440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11807),
  [24442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [24444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7477),
  [24446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19637),
  [24448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [24450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19217),
  [24452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8545),
  [24454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5744),
  [24456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [24458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19221),
  [24460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [24462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [24464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13404),
  [24466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [24468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [24470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10200),
  [24472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 1, 0, 0),
  [24474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6473),
  [24476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [24478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10584),
  [24480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10579),
  [24482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8440),
  [24484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5250),
  [24486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11816),
  [24488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9657),
  [24490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [24492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19296),
  [24494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5666),
  [24496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19319),
  [24498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 4, 0, 0),
  [24500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5369),
  [24502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [24504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5695),
  [24506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19330),
  [24508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [24510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10691),
  [24512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8582),
  [24514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6589),
  [24516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9127),
  [24518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11256),
  [24520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8536),
  [24522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [24524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8692),
  [24526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11274),
  [24528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13020),
  [24530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12735),
  [24532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10647),
  [24534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13294),
  [24536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5153),
  [24538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6482),
  [24540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19653),
  [24542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8553),
  [24544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5076),
  [24546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13319),
  [24548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16902),
  [24550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11473),
  [24552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [24554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6931),
  [24556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19549),
  [24558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [24560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16983),
  [24562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7870),
  [24564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8920),
  [24566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8435),
  [24568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7724),
  [24570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6644),
  [24572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7441),
  [24574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19599),
  [24576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6933),
  [24578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19574),
  [24580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17754),
  [24582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7699),
  [24584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7445),
  [24586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19620),
  [24588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7219),
  [24590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19819),
  [24592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4558),
  [24594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19111),
  [24596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [24598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [24600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11015),
  [24602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10492),
  [24604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8955),
  [24606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13322),
  [24608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8596),
  [24610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7156),
  [24612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7457),
  [24614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16604),
  [24616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4846),
  [24618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17806),
  [24620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5391),
  [24622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13301),
  [24624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13314),
  [24626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16464),
  [24628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7642),
  [24630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7379),
  [24632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19391),
  [24634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [24636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 1, 0, 0),
  [24638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5362),
  [24640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19669),
  [24642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16508),
  [24644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8558),
  [24646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5283),
  [24648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16530),
  [24650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19135),
  [24652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19136),
  [24654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19137),
  [24656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9333),
  [24658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8893),
  [24660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [24662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13565),
  [24664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13061),
  [24666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7823),
  [24668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6948),
  [24670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [24672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10008),
  [24674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20101),
  [24676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7360),
  [24678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15036),
  [24680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard, 2, 0, 0),
  [24682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8656),
  [24684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [24686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19874),
  [24688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8983),
  [24690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8661),
  [24692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19938),
  [24694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5300),
  [24696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5584),
  [24698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19905),
  [24700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13281),
  [24702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [24704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20074),
  [24706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [24708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19899),
  [24710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10062),
  [24712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20214),
  [24714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5149),
  [24716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19472),
  [24718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5653),
  [24720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19929),
  [24722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20238),
  [24724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8483),
  [24726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [24728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12737),
  [24730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8459),
  [24732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6717),
  [24734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7934),
  [24736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4535),
  [24738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18083),
  [24740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [24742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [24744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8668),
  [24746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19990),
  [24748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6962),
  [24750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5442),
  [24752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9924),
  [24754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6758),
  [24756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19834),
  [24758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8730),
  [24760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4438),
  [24762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6970),
  [24764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20116),
  [24766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8599),
  [24768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7595),
  [24770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6480),
  [24772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17939),
  [24774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8711),
  [24776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11025),
  [24778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7765),
  [24780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19100),
  [24782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13656),
  [24784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13287),
  [24786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5679),
  [24788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19684),
  [24790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8565),
  [24792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6027),
  [24794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5853),
  [24796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19566),
  [24798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7830),
  [24800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13347),
  [24802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5742),
  [24804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6975),
  [24806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20146),
  [24808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12753),
  [24810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18253),
  [24812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7780),
  [24814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7970),
  [24816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20246),
  [24818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7499),
  [24820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19301),
  [24822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18620),
  [24824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5622),
  [24826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17233),
  [24828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [24830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20258),
  [24832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7715),
  [24834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20253),
  [24836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13129),
  [24838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9005),
  [24840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17561),
  [24842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7772),
  [24844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10866),
  [24846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10981),
  [24848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5120),
  [24850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19989),
  [24852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7863),
  [24854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10465),
  [24856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11740),
  [24858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10858),
  [24860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8571),
  [24862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [24864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13087),
  [24866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [24868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16467),
  [24870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [24872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [24874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [24876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [24878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [24880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [24882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [24884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16175),
  [24886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [24888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [24890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [24892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [24894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [24896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [24898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [24900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16332),
  [24902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7836),
  [24904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [24906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4459),
  [24908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [24910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8594),
  [24912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9616),
  [24914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4420),
  [24916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6097),
  [24918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [24920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [24922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [24924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6151),
  [24926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11266),
  [24928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16494),
  [24930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [24932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [24934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [24936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5519),
  [24938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [24940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [24942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [24944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [24946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5501),
  [24948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [24950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7375),
  [24952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [24954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10187),
  [24956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6153),
  [24958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [24960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [24962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12677),
  [24964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6098),
  [24966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [24968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [24970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5404),
  [24972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5380),
  [24974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [24976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7555),
  [24978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [24980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [24982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16556),
  [24984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8566),
  [24986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7198),
  [24988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6512),
  [24990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6539),
  [24992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6223),
  [24994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [24996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [24998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [25000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [25002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [25004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [25006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [25008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5934),
  [25010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [25012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [25014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15058),
  [25016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [25018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [25020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7917),
  [25022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [25024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [25026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [25028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9936),
  [25030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9799),
  [25032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9800),
  [25034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5275),
  [25036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9913),
  [25038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 1, 0, 0),
  [25040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11456),
  [25042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16591),
  [25044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [25046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7607),
  [25048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [25050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9917),
  [25052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6217),
  [25054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12652),
  [25056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9918),
  [25058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [25060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [25062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [25064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [25066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [25068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [25070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16652),
  [25072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [25074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16368),
  [25076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13977),
  [25078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11204),
  [25080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5368),
  [25082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [25084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16507),
  [25086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [25088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [25090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [25092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [25094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [25096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15175),
  [25098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7005),
  [25100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9072),
  [25102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15443),
  [25104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [25106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6338),
  [25108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17625),
  [25110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [25112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [25114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6218),
  [25116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6219),
  [25118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6339),
  [25120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11598),
  [25122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16678),
  [25124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5575),
  [25126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [25128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5801),
  [25130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6340),
  [25132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7073),
  [25134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13519),
  [25136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7074),
  [25138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [25140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12660),
  [25142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [25144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [25146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7217),
  [25148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6892),
  [25150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [25152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [25154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16732),
  [25156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11931),
  [25158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6248),
  [25160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13633),
  [25162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13664),
  [25164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8960),
  [25166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7121),
  [25168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [25170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [25172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8008),
  [25174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7028),
  [25176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [25178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15281),
  [25180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5157),
  [25182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7006),
  [25184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9509),
  [25186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9510),
  [25188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7007),
  [25190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8807),
  [25192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6950),
  [25194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4399),
  [25196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [25198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15465),
  [25200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_string, 3, 0, 0),
  [25202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10193),
  [25204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9951),
  [25206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11174),
  [25208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16761),
  [25210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [25212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [25214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9952),
  [25216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7545),
  [25218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9927),
  [25220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5816),
  [25222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12630),
  [25224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12046),
  [25226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5588),
  [25228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9120),
  [25230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5612),
  [25232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7078),
  [25234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [25236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [25238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [25240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16811),
  [25242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9933),
  [25244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [25246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [25248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6988),
  [25250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9104),
  [25252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11946),
  [25254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [25256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [25258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6989),
  [25260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5079),
  [25262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12047),
  [25264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15397),
  [25266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [25268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15639),
  [25270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [25272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7037),
  [25274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11947),
  [25276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8579),
  [25278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [25280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5082),
  [25282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9513),
  [25284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [25286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12629),
  [25288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [25290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6972),
  [25292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8448),
  [25294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11443),
  [25296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16846),
  [25298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6895),
  [25300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9472),
  [25302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9473),
  [25304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5455),
  [25306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [25308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5457),
  [25310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9474),
  [25312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12606),
  [25314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5602),
  [25316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9550),
  [25318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5603),
  [25320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [25322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9743),
  [25324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7829),
  [25326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [25328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [25330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16903),
  [25332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [25334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8660),
  [25336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9475),
  [25338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5477),
  [25340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7657),
  [25342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [25344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [25346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [25348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [25350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6406),
  [25352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6407),
  [25354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5461),
  [25356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15500),
  [25358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [25360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4762),
  [25362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10016),
  [25364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7045),
  [25366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6169),
  [25368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5462),
  [25370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7046),
  [25372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6170),
  [25374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [25376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4363),
  [25378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [25380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [25382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [25384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6174),
  [25386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11499),
  [25388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16937),
  [25390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [25392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9477),
  [25394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [25396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5083),
  [25398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12575),
  [25400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5825),
  [25402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11278),
  [25404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9167),
  [25406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7608),
  [25408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7701),
  [25410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [25412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [25414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16990),
  [25416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6408),
  [25418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [25420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6409),
  [25422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6410),
  [25424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13989),
  [25426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [25428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [25430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [25432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10133),
  [25434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [25436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [25438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6235),
  [25440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4198),
  [25442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9842),
  [25444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15596),
  [25446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7205),
  [25448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7261),
  [25450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [25452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5027),
  [25454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [25456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [25458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [25460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9759),
  [25462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13991),
  [25464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9843),
  [25466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [25468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7558),
  [25470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5449),
  [25472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10085),
  [25474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6341),
  [25476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11104),
  [25478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17017),
  [25480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [25482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [25484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9455),
  [25486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6342),
  [25488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11056),
  [25490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7402),
  [25492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9668),
  [25494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12503),
  [25496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6343),
  [25498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6900),
  [25500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5393),
  [25502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9953),
  [25504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9964),
  [25506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5753),
  [25508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [25510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [25512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17158),
  [25514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7562),
  [25516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6990),
  [25518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [25520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [25522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7332),
  [25524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9669),
  [25526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [25528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [25530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6239),
  [25532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6377),
  [25534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15772),
  [25536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5781),
  [25538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5030),
  [25540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8583),
  [25542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [25544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8775),
  [25546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5140),
  [25548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9754),
  [25550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9362),
  [25552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6242),
  [25554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [25556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [25558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [25560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [25562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6243),
  [25564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11173),
  [25566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17173),
  [25568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5191),
  [25570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9833),
  [25572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [25574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10776),
  [25576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7578),
  [25578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8396),
  [25580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [25582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7567),
  [25584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12650),
  [25586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [25588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12583),
  [25590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9480),
  [25592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9481),
  [25594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [25596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [25598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17207),
  [25600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9482),
  [25602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [25604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8560),
  [25606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7891),
  [25608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8731),
  [25610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13135),
  [25612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13151),
  [25614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5834),
  [25616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9003),
  [25618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [25620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [25622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5835),
  [25624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5226),
  [25626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5836),
  [25628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15867),
  [25630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [25632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7839),
  [25634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6247),
  [25636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8563),
  [25638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8564),
  [25640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [25642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5763),
  [25644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [25646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6424),
  [25648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6905),
  [25650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11219),
  [25652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17220),
  [25654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5837),
  [25656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7413),
  [25658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [25660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10751),
  [25662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10787),
  [25664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5838),
  [25666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7498),
  [25668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12584),
  [25670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12969),
  [25672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [25674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [25676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [25678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [25680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [25682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17255),
  [25684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16841),
  [25686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [25688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7824),
  [25690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6964),
  [25692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5020),
  [25694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5024),
  [25696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [25698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5025),
  [25700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7825),
  [25702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [25704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [25706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [25708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [25710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15986),
  [25712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [25714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9658),
  [25716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6481),
  [25718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [25720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6761),
  [25722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [25724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [25726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7580),
  [25728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [25730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [25732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [25734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6634),
  [25736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5036),
  [25738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11240),
  [25740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17273),
  [25742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5039),
  [25744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5040),
  [25746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9738),
  [25748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9673),
  [25750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6433),
  [25752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5224),
  [25754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10643),
  [25756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12502),
  [25758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15884),
  [25760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5841),
  [25762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [25764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5842),
  [25766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9675),
  [25768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [25770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [25772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17315),
  [25774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5843),
  [25776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9739),
  [25778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10759),
  [25780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6679),
  [25782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7841),
  [25784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12494),
  [25786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [25788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7792),
  [25790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [25792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [25794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [25796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [25798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [25800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [25802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15518),
  [25804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16131),
  [25806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7376),
  [25808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [25810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [25812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [25814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__infix_operator, 1, 0, 0),
  [25816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [25818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [25820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9663),
  [25822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5991),
  [25824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5992),
  [25826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5993),
  [25828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6257),
  [25830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11270),
  [25832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17337),
  [25834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [25836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [25838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [25840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [25842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6441),
  [25844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [25846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6442),
  [25848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [25850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12616),
  [25852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9376),
  [25854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6683),
  [25856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [25858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [25860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [25862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17384),
  [25864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [25866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [25868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9892),
  [25870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10339),
  [25872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [25874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6237),
  [25876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [25878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [25880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [25882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16288),
  [25884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5618),
  [25886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5644),
  [25888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5316),
  [25890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7415),
  [25892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10216),
  [25894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7428),
  [25896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11301),
  [25898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17398),
  [25900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5994),
  [25902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5073),
  [25904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5995),
  [25906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5996),
  [25908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8748),
  [25910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9524),
  [25912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12504),
  [25914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6238),
  [25916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12999),
  [25918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [25920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [25922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16603),
  [25924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9692),
  [25926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [25928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7076),
  [25930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13119),
  [25932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [25934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [25936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [25938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9732),
  [25940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8754),
  [25942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15322),
  [25944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6112),
  [25946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9555),
  [25948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11309),
  [25950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17024),
  [25952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16850),
  [25954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9846),
  [25956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [25958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11326),
  [25960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17367),
  [25962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [25964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8705),
  [25966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8709),
  [25968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12520),
  [25970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [25972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5413),
  [25974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12552),
  [25976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6583),
  [25978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [25980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [25982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [25984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [25986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17218),
  [25988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [25990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [25992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [25994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [25996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [25998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [26000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [26002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6992),
  [26004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9741),
  [26006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15526),
  [26008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7808),
  [26010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4240),
  [26012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11659),
  [26014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [26016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [26018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9548),
  [26020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [26022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11351),
  [26024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17397),
  [26026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [26028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7523),
  [26030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12912),
  [26032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7655),
  [26034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [26036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12617),
  [26038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6994),
  [26040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [26042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [26044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [26046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [26048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16625),
  [26050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [26052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7216),
  [26054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [26056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19785),
  [26058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7541),
  [26060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [26062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [26064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [26066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [26068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8811),
  [26070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15210),
  [26072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7218),
  [26074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7229),
  [26076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7665),
  [26078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9801),
  [26080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [26082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7918),
  [26084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [26086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7292),
  [26088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11385),
  [26090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16806),
  [26092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [26094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [26096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12602),
  [26098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [26100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [26102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7519),
  [26104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12492),
  [26106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [26108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [26110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [26112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17262),
  [26114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [26116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10146),
  [26118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [26120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [26122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [26124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [26126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7294),
  [26128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7295),
  [26130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [26132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16265),
  [26134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9234),
  [26136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [26138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [26140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [26142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5388),
  [26144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5416),
  [26146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11418),
  [26148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17355),
  [26150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [26152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6544),
  [26154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6899),
  [26156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [26158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7377),
  [26160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [26162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12524),
  [26164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [26166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6862),
  [26168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4241),
  [26170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [26172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [26174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16404),
  [26176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [26178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9291),
  [26180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [26182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4905),
  [26184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5415),
  [26186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [26188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [26190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [26192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [26194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [26196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15303),
  [26198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4773),
  [26200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10571),
  [26202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [26204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6185),
  [26206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4940),
  [26208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [26210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7855),
  [26212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11450),
  [26214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16446),
  [26216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4980),
  [26218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7849),
  [26220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6188),
  [26222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [26224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [26226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8499),
  [26228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12567),
  [26230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [26232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12619),
  [26234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [26236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [26238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16569),
  [26240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [26242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4984),
  [26244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [26246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [26248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [26250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [26252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8635),
  [26254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13123),
  [26256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15594),
  [26258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7550),
  [26260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13132),
  [26262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14003),
  [26264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14004),
  [26266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [26268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7327),
  [26270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9698),
  [26272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11477),
  [26274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16643),
  [26276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [26278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8603),
  [26280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [26282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [26284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [26286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16584),
  [26288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [26290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12593),
  [26292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6624),
  [26294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [26296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7611),
  [26298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [26300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [26302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16751),
  [26304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [26306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [26308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [26310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [26312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [26314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [26316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [26318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [26320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [26322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15955),
  [26324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4989),
  [26326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [26328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17382),
  [26330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [26332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6258),
  [26334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7378),
  [26336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [26338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [26340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [26342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11529),
  [26344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16818),
  [26346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [26348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [26350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6470),
  [26352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7316),
  [26354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [26356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12638),
  [26358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [26360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6259),
  [26362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [26364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [26366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16979),
  [26368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9705),
  [26370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6225),
  [26372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6260),
  [26374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [26376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [26378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [26380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9275),
  [26382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6229),
  [26384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6232),
  [26386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15014),
  [26388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9889),
  [26390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5139),
  [26392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7398),
  [26394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [26396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [26398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11940),
  [26400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [26402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [26404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7215),
  [26406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11558),
  [26408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17215),
  [26410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9276),
  [26412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [26414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13074),
  [26416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10683),
  [26418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [26420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12657),
  [26422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [26424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7110),
  [26426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11318),
  [26428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [26430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [26432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17300),
  [26434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [26436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13070),
  [26438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5861),
  [26440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7242),
  [26442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8425),
  [26444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [26446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [26448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [26450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9849),
  [26452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [26454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9850),
  [26456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15193),
  [26458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7837),
  [26460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [26462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [26464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5862),
  [26466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5863),
  [26468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18297),
  [26470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15508),
  [26472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13004),
  [26474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11573),
  [26476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17330),
  [26478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7209),
  [26480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16828),
  [26482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [26484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9706),
  [26486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12668),
  [26488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [26490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [26492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [26494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [26496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17379),
  [26498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11930),
  [26500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6133),
  [26502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10526),
  [26504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9281),
  [26506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [26508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [26510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [26512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6385),
  [26514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15353),
  [26516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9890),
  [26518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [26520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6134),
  [26522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [26524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7394),
  [26526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [26528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8093),
  [26530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [26532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11591),
  [26534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16347),
  [26536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [26538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5417),
  [26540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [26542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [26544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6819),
  [26546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12679),
  [26548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [26550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [26552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [26554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [26556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [26558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16395),
  [26560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [26562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12245),
  [26564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6386),
  [26566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [26568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13599),
  [26570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6292),
  [26572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [26574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [26576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [26578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6387),
  [26580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [26582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15522),
  [26584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7384),
  [26586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6943),
  [26588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [26590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7436),
  [26592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [26594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7112),
  [26596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [26598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11113),
  [26600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16407),
  [26602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11392),
  [26604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [26606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16416),
  [26608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6054),
  [26610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12592),
  [26612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [26614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8738),
  [26616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [26618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [26620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16441),
  [26622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7438),
  [26624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7439),
  [26626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [26628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [26630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [26632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [26634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [26636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [26638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6457),
  [26640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15769),
  [26642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [26644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [26646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6458),
  [26648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5534),
  [26650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [26652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [26654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11480),
  [26656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16469),
  [26658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8452),
  [26660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [26662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [26664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6055),
  [26666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [26668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12645),
  [26670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6206),
  [26672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [26674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [26676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16502),
  [26678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3897),
  [26680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [26682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5865),
  [26684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9920),
  [26686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4156),
  [26688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [26690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [26692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6264),
  [26694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15896),
  [26696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6388),
  [26698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [26700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5866),
  [26702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18795),
  [26704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5867),
  [26706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5273),
  [26708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7658),
  [26710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6244),
  [26712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [26714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11509),
  [26716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16532),
  [26718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6245),
  [26720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [26722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [26724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [26726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [26728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12538),
  [26730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6056),
  [26732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [26734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6246),
  [26736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [26738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [26740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16572),
  [26742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5392),
  [26744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6867),
  [26746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6460),
  [26748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6921),
  [26750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9851),
  [26752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [26754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [26756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [26758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [26760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [26762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16093),
  [26764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [26766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6868),
  [26768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8637),
  [26770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12326),
  [26772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9834),
  [26774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9835),
  [26776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7843),
  [26778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11110),
  [26780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16602),
  [26782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [26784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6265),
  [26786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9813),
  [26788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12056),
  [26790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10822),
  [26792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12501),
  [26794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10823),
  [26796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [26798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [26800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [26802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [26804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16653),
  [26806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9814),
  [26808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5623),
  [26810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5620),
  [26812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [26814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [26816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [26818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [26820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [26822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [26824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14945),
  [26826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6389),
  [26828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9452),
  [26830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4679),
  [26832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [26834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6869),
  [26836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [26838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11140),
  [26840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16676),
  [26842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10722),
  [26844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6922),
  [26846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12521),
  [26848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [26850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6923),
  [26852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12328),
  [26854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [26856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [26858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16727),
  [26860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12570),
  [26862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6520),
  [26864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12094),
  [26866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [26868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [26870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7256),
  [26872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7852),
  [26874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [26876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15018),
  [26878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4680),
  [26880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13108),
  [26882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9755),
  [26884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7254),
  [26886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [26888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [26890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [26892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7409),
  [26894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11163),
  [26896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16750),
  [26898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5314),
  [26900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13125),
  [26902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12618),
  [26904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [26906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12588),
  [26908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [26910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [26912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10660),
  [26914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [26916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [26918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16783),
  [26920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7955),
  [26922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4681),
  [26924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7783),
  [26926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7411),
  [26928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [26930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [26932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18955),
  [26934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15444),
  [26936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15104),
  [26938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9777),
  [26940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9758),
  [26942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [26944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9778),
  [26946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6268),
  [26948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [26950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7851),
  [26952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [26954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11226),
  [26956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16814),
  [26958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [26960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [26962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7515),
  [26964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8778),
  [26966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [26968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12684),
  [26970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5948),
  [26972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4785),
  [26974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9957),
  [26976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [26978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [26980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16870),
  [26982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5411),
  [26984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7389),
  [26986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7853),
  [26988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7854),
  [26990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9958),
  [26992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [26994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [26996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [26998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5949),
  [27000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [27002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15183),
  [27004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [27006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16944),
  [27008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7390),
  [27010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [27012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4786),
  [27014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8681),
  [27016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11281),
  [27018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16900),
  [27020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7207),
  [27022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7305),
  [27024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [27026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [27028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [27030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10148),
  [27032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10188),
  [27034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [27036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [27038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16948),
  [27040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [27042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [27044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7674),
  [27046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [27048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [27050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [27052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [27054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7322),
  [27056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [27058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [27060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15255),
  [27062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4953),
  [27064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [27066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6368),
  [27068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [27070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4919),
  [27072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [27074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [27076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11354),
  [27078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16981),
  [27080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [27082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [27084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8740),
  [27086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [27088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9348),
  [27090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5939),
  [27092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [27094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [27096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17008),
  [27098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [27100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [27102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [27104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [27106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15301),
  [27108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [27110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15174),
  [27112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11403),
  [27114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17016),
  [27116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8122),
  [27118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [27120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4933),
  [27122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4936),
  [27124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [27126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [27128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17035),
  [27130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14696),
  [27132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9810),
  [27134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [27136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [27138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6392),
  [27140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8273),
  [27142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9947),
  [27144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6393),
  [27146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11429),
  [27148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17050),
  [27150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [27152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9188),
  [27154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15441),
  [27156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5807),
  [27158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10065),
  [27160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [27162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9949),
  [27164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13931),
  [27166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17088),
  [27168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10066),
  [27170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6394),
  [27172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5921),
  [27174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9935),
  [27176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5677),
  [27178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11525),
  [27180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16348),
  [27182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17116),
  [27184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [27186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9712),
  [27188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9713),
  [27190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17127),
  [27192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [27194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [27196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [27198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9871),
  [27200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7449),
  [27202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [27204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12666),
  [27206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17139),
  [27208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5953),
  [27210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9945),
  [27212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9954),
  [27214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9837),
  [27216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5685),
  [27218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7739),
  [27220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17150),
  [27222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9965),
  [27224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5476),
  [27226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5668),
  [27228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9782),
  [27230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5923),
  [27232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5322),
  [27234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17156),
  [27236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [27238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7392),
  [27240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [27242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [27244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [27246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5884),
  [27248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17162),
  [27250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [27252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12635),
  [27254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [27256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7437),
  [27258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7440),
  [27260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13188),
  [27262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17167),
  [27264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5954),
  [27266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [27268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6710),
  [27270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4682),
  [27272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13674),
  [27274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7662),
  [27276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17171),
  [27278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6711),
  [27280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [27282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4732),
  [27284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4684),
  [27286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9798),
  [27288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17179),
  [27290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [27292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [27294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [27296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7663),
  [27298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5715),
  [27300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [27302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16626),
  [27304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17192),
  [27306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [27308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6646),
  [27310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7140),
  [27312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7454),
  [27314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12791),
  [27316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17199),
  [27318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [27320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7142),
  [27322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [27324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7950),
  [27326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [27328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [27330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7687),
  [27332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [27334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7542),
  [27336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [27338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7543),
  [27340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [27342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7786),
  [27344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9768),
  [27346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9769),
  [27348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [27350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9770),
  [27352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7787),
  [27354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [27356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7585),
  [27358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7790),
  [27360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [27362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7601),
  [27364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [27366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7791),
  [27368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14993),
  [27370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [27372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12853),
  [27374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [27376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4808),
  [27378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4825),
  [27380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5727),
  [27382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7571),
  [27384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10872),
  [27386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13957),
  [27388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10874),
  [27390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10875),
  [27392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9786),
  [27394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5528),
  [27396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4844),
  [27398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9788),
  [27400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4850),
  [27402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8470),
  [27404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5893),
  [27406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13710),
  [27408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7880),
  [27410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7795),
  [27412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [27414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12500),
  [27416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [27418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4851),
  [27420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10893),
  [27422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6746),
  [27424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6747),
  [27426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7540),
  [27428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6748),
  [27430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11553),
  [27432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16782),
  [27434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [27436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [27438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6584),
  [27440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [27442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [27444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7676),
  [27446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6284),
  [27448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6285),
  [27450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [27452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13092),
  [27454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [27456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10421),
  [27458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10425),
  [27460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10429),
  [27462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [27464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6273),
  [27466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7777),
  [27468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [27470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6275),
  [27472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [27474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9205),
  [27476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4734),
  [27478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [27480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7525),
  [27482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5967),
  [27484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13081),
  [27486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5968),
  [27488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6290),
  [27490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13079),
  [27492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13080),
  [27494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13083),
  [27496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [27498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5957),
  [27500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [27502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11898),
  [27504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5959),
  [27506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12655),
  [27508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [27510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9831),
  [27512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12656),
  [27514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [27516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [27518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [27520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13225),
  [27522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [27524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [27526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5972),
  [27528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [27530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [27532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5734),
  [27534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5799),
  [27536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5737),
  [27538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5216),
  [27540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8977),
  [27542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9048),
  [27544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8927),
  [27546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [27548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9152),
  [27550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7203),
  [27552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9172),
  [27554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [27556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8779),
  [27558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12518),
  [27560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7799),
  [27562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6291),
  [27564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7803),
  [27566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5693),
  [27568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5525),
  [27570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [27572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8104),
  [27574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5095),
  [27576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17324),
  [27578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5096),
  [27580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [27582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7618),
  [27584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [27586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9049),
  [27588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9051),
  [27590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9078),
  [27592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4929),
  [27594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7805),
  [27596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5558),
  [27598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9650),
  [27600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12447),
  [27602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5674),
  [27604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [27606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9789),
  [27608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [27610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12571),
  [27612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9341),
  [27614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12508),
  [27616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5973),
  [27618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8478),
  [27620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19886),
  [27622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19887),
  [27624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19888),
  [27626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [27628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [27630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4888),
  [27632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5117),
  [27634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [27636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7707),
  [27638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5694),
  [27640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13211),
  [27642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5340),
  [27644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12576),
  [27646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5345),
  [27648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5757),
  [27650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5346),
  [27652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5806),
  [27654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [27656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12589),
  [27658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9399),
  [27660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12596),
  [27662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [27664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7270),
  [27666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5787),
  [27668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5447),
  [27670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16753),
  [27672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [27674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9939),
  [27676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [27678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9906),
  [27680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [27682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [27684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [27686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5592),
  [27688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [27690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [27692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7331),
  [27694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5902),
  [27696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5154),
  [27698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [27700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [27702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [27704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9907),
  [27706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [27708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17169),
  [27710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [27712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5975),
  [27714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5976),
  [27716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5977),
  [27718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12451),
  [27720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [27722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5903),
  [27724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [27726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5399),
  [27728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [27730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [27732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13067),
  [27734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13962),
  [27736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5635),
  [27738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [27740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [27742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [27744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [27746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [27748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13075),
  [27750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [27752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [27754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11633),
  [27756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4192),
  [27758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11634),
  [27760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5771),
  [27762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11635),
  [27764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9832),
  [27766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12715),
  [27768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12716),
  [27770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [27772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [27774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [27776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [27778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4387),
  [27780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5259),
  [27782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8118),
  [27784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16397),
  [27786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9959),
  [27788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9409),
  [27790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [27792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6300),
  [27794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6301),
  [27796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [27798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6302),
  [27800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [27802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5766),
  [27804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6304),
  [27806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9277),
  [27808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6305),
  [27810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [27812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18413),
  [27814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18415),
  [27816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18416),
  [27818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5733),
  [27820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6306),
  [27822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [27824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5786),
  [27826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5868),
  [27828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [27830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10071),
  [27832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5741),
  [27834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15390),
  [27836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [27838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [27840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12717),
  [27842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [27844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9716),
  [27846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9717),
  [27848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9718),
  [27850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7552),
  [27852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6308),
  [27854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6309),
  [27856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6310),
  [27858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [27860] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [27862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6312),
  [27864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6313),
  [27866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6314),
  [27868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [27870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [27872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12663),
  [27874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18096),
  [27876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [27878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [27880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 3, 0, 0),
  [27882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5621),
  [27884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5624),
  [27886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5711),
  [27888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5979),
  [27890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5980),
  [27892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5740),
  [27894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12553),
  [27896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5749),
  [27898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5981),
  [27900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7553),
  [27902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [27904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [27906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [27908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [27910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9282),
  [27912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8131),
  [27914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [27916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16443),
  [27918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9370),
  [27920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9225),
  [27922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5870),
  [27924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4839),
  [27926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4847),
  [27928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4852),
  [27930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7643),
  [27932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5634),
  [27934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5577),
  [27936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13011),
  [27938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5639),
  [27940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9359),
  [27942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5643),
  [27944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17550),
  [27946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17556),
  [27948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17559),
  [27950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5647),
  [27952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13013),
  [27954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13015),
  [27956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9077),
  [27958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8529),
  [27960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12598),
  [27962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12599),
  [27964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6959),
  [27966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12600),
  [27968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [27970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4409),
  [27972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [27974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [27976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [27978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [27980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13185),
  [27982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7650),
  [27984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11250),
  [27986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [27988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17266),
  [27990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [27992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17062),
  [27994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6316),
  [27996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6317),
  [27998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6318),
  [28000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [28002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5983),
  [28004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5984),
  [28006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [28008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7435),
  [28010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [28012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7458),
  [28014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8142),
  [28016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [28018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16488),
  [28020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5985),
  [28022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [28024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6521),
  [28026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [28028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [28030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9280),
  [28032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18081),
  [28034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18084),
  [28036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18085),
  [28038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [28040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12634),
  [28042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [28044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [28046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [28048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [28050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [28052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [28054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9702),
  [28056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9703),
  [28058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9704),
  [28060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7703),
  [28062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [28064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5636),
  [28066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [28068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5696),
  [28070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7475),
  [28072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8154),
  [28074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5630),
  [28076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16527),
  [28078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6554),
  [28080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18493),
  [28082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18504),
  [28084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18506),
  [28086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4282),
  [28088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8531),
  [28090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5266),
  [28092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5267),
  [28094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5109),
  [28096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6094),
  [28098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9826),
  [28100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [28102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [28104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [28106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [28108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [28110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7985),
  [28112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16554),
  [28114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [28116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18856),
  [28118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18861),
  [28120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18863),
  [28122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [28124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7476),
  [28126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10972),
  [28128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5063),
  [28130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5101),
  [28132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [28134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7937),
  [28136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7941),
  [28138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9001),
  [28140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9041),
  [28142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7992),
  [28144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6095),
  [28146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16580),
  [28148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9083),
  [28150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19025),
  [28152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19027),
  [28154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19028),
  [28156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [28158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9103),
  [28160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9126),
  [28162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8353),
  [28164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9128),
  [28166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5350),
  [28168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12760),
  [28170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12761),
  [28172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12734),
  [28174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8002),
  [28176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16605),
  [28178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7279),
  [28180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19342),
  [28182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19345),
  [28184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19346),
  [28186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7280),
  [28188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10113),
  [28190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12496),
  [28192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7593),
  [28194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7281),
  [28196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5478),
  [28198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7282),
  [28200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [28202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [28204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8013),
  [28206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16627),
  [28208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13202),
  [28210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19756),
  [28212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19764),
  [28214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19765),
  [28216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9960),
  [28218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [28220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9961),
  [28222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [28224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5572),
  [28226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18426),
  [28228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6096),
  [28230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [28232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [28234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7075),
  [28236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8017),
  [28238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7283),
  [28240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16651),
  [28242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20131),
  [28244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20135),
  [28246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20136),
  [28248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [28250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7958),
  [28252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [28254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [28256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12628),
  [28258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4874),
  [28260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8022),
  [28262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [28264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16674),
  [28266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [28268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17456),
  [28270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17457),
  [28272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17458),
  [28274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4373),
  [28276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13409),
  [28278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6293),
  [28280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [28282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [28284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6294),
  [28286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8027),
  [28288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13144),
  [28290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16691),
  [28292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6960),
  [28294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17523),
  [28296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17524),
  [28298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17525),
  [28300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8275),
  [28302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7485),
  [28304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [28306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [28308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7286),
  [28310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7527),
  [28312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_content, 1, 0, 0),
  [28314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7287),
  [28316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7288),
  [28318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8031),
  [28320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4920),
  [28322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16706),
  [28324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13192),
  [28326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17576),
  [28328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17577),
  [28330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17578),
  [28332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13174),
  [28334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [28336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4902),
  [28338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6932),
  [28340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9962),
  [28342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4986),
  [28344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [28346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4988),
  [28348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13220),
  [28350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8034),
  [28352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5669),
  [28354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16723),
  [28356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6057),
  [28358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17630),
  [28360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17631),
  [28362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17632),
  [28364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6594),
  [28366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9876),
  [28368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7627),
  [28370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [28372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17358),
  [28374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8037),
  [28376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16738),
  [28378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6934),
  [28380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17684),
  [28382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17685),
  [28384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17686),
  [28386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [28388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [28390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [28392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [28394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [28396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [28398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8041),
  [28400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7105),
  [28402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16749),
  [28404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [28406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17738),
  [28408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17739),
  [28410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17740),
  [28412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16342),
  [28414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [28416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [28418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4900),
  [28420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7443),
  [28422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [28424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8485),
  [28426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [28428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8047),
  [28430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8946),
  [28432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16762),
  [28434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6657),
  [28436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17792),
  [28438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17793),
  [28440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17794),
  [28442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [28444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9880),
  [28446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7010),
  [28448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4319),
  [28450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7559),
  [28452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8052),
  [28454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7447),
  [28456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16775),
  [28458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4418),
  [28460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17846),
  [28462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17847),
  [28464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17848),
  [28466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4421),
  [28468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [28470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [28472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18596),
  [28474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7143),
  [28476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [28478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [28480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8059),
  [28482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18019),
  [28484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16790),
  [28486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15890),
  [28488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17900),
  [28490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17901),
  [28492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17902),
  [28494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9262),
  [28496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [28498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4422),
  [28500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9266),
  [28502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [28504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [28506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6295),
  [28508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8063),
  [28510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [28512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16809),
  [28514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6296),
  [28516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17954),
  [28518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17955),
  [28520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17956),
  [28522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8647),
  [28524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [28526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6297),
  [28528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5064),
  [28530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6058),
  [28532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [28534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5628),
  [28536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9371),
  [28538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8066),
  [28540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4934),
  [28542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16827),
  [28544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18007),
  [28546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18008),
  [28548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18009),
  [28550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [28552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7686),
  [28554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [28556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [28558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [28560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [28562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15731),
  [28564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5499),
  [28566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4349),
  [28568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16843),
  [28570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9411),
  [28572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18049),
  [28574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18050),
  [28576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18051),
  [28578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [28580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [28582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6065),
  [28584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4328),
  [28586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12615),
  [28588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [28590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [28592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [28594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4626),
  [28596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [28598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16851),
  [28600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6198),
  [28602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18089),
  [28604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18090),
  [28606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18091),
  [28608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10141),
  [28610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13249),
  [28612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5406),
  [28614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [28616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10169),
  [28618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5168),
  [28620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5723),
  [28622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16865),
  [28624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13172),
  [28626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18129),
  [28628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18130),
  [28630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18131),
  [28632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20308),
  [28634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5176),
  [28636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [28638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9785),
  [28640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9622),
  [28642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9787),
  [28644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5396),
  [28646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16877),
  [28648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [28650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18169),
  [28652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18170),
  [28654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18171),
  [28656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7488),
  [28658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6697),
  [28660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13089),
  [28662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5289),
  [28664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6882),
  [28666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8788),
  [28668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [28670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8789),
  [28672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16887),
  [28674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4429),
  [28676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18209),
  [28678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18210),
  [28680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18211),
  [28682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6720),
  [28684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18364),
  [28686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11333),
  [28688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [28690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4430),
  [28692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [28694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13362),
  [28696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17385),
  [28698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [28700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6326),
  [28702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16897),
  [28704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14994),
  [28706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18249),
  [28708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18250),
  [28710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18251),
  [28712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9994),
  [28714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [28716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6327),
  [28718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9340),
  [28720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [28722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5330),
  [28724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16913),
  [28726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18289),
  [28728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18290),
  [28730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18291),
  [28732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6328),
  [28734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6066),
  [28736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9885),
  [28738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6199),
  [28740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12648),
  [28742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9886),
  [28744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6080),
  [28746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [28748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16924),
  [28750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6081),
  [28752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18329),
  [28754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18330),
  [28756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18331),
  [28758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6082),
  [28760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [28762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5201),
  [28764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16392),
  [28766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6832),
  [28768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [28770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5284),
  [28772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5204),
  [28774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16933),
  [28776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [28778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18369),
  [28780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18370),
  [28782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18371),
  [28784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9417),
  [28786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7827),
  [28788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8808),
  [28790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [28792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6918),
  [28794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5933),
  [28796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [28798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9921),
  [28800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [28802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16945),
  [28804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18409),
  [28806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18410),
  [28808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18411),
  [28810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6742),
  [28812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6743),
  [28814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6744),
  [28816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6606),
  [28818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7359),
  [28820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6745),
  [28822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [28824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [28826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [28828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16959),
  [28830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [28832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18448),
  [28834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18449),
  [28836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18450),
  [28838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [28840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13088),
  [28842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6757),
  [28844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [28846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5334),
  [28848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6607),
  [28850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [28852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6563),
  [28854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16967),
  [28856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5335),
  [28858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18487),
  [28860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18488),
  [28862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18489),
  [28864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9922),
  [28866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [28868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5188),
  [28870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5242),
  [28872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8783),
  [28874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5143),
  [28876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7533),
  [28878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5325),
  [28880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [28882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16977),
  [28884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6772),
  [28886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18526),
  [28888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18527),
  [28890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18528),
  [28892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9902),
  [28894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5359),
  [28896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6787),
  [28898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6788),
  [28900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6953),
  [28902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [28904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12522),
  [28906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7646),
  [28908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6564),
  [28910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16989),
  [28912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11145),
  [28914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18564),
  [28916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18565),
  [28918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18566),
  [28920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16631),
  [28922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [28924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [28926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13168),
  [28928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10167),
  [28930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7647),
  [28932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16995),
  [28934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7013),
  [28936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18602),
  [28938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18603),
  [28940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18604),
  [28942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [28944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5492),
  [28946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5183),
  [28948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5187),
  [28950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [28952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5619),
  [28954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6479),
  [28956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6954),
  [28958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17006),
  [28960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6955),
  [28962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18640),
  [28964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18641),
  [28966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18642),
  [28968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7014),
  [28970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12714),
  [28972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7590),
  [28974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4886),
  [28976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12863),
  [28978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6084),
  [28980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9903),
  [28982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [28984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6085),
  [28986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16021),
  [28988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18677),
  [28990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18678),
  [28992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18679),
  [28994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9859),
  [28996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5699),
  [28998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [29000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [29002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9893),
  [29004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6927),
  [29006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [29008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6928),
  [29010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6086),
  [29012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8665),
  [29014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18714),
  [29016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18715),
  [29018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18716),
  [29020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [29022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16383),
  [29024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [29026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5796),
  [29028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6834),
  [29030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [29032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [29034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [29036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18751),
  [29038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18752),
  [29040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18753),
  [29042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6658),
  [29044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7148),
  [29046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [29048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [29050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7900),
  [29052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8023),
  [29054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6484),
  [29056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [29058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6543),
  [29060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18787),
  [29062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18788),
  [29064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18789),
  [29066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [29068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [29070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [29072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [29074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [29076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9996),
  [29078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18811),
  [29080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18812),
  [29082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18813),
  [29084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [29086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [29088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8537),
  [29090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12382),
  [29092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9547),
  [29094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7814),
  [29096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5151),
  [29098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8670),
  [29100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18833),
  [29102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18834),
  [29104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18835),
  [29106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [29108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [29110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18845),
  [29112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18846),
  [29114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18847),
  [29116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9950),
  [29118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [29120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18857),
  [29122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18858),
  [29124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18859),
  [29126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [29128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4881),
  [29130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18867),
  [29132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18868),
  [29134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18869),
  [29136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [29138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [29140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18877),
  [29142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18878),
  [29144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18879),
  [29146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [29148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9894),
  [29150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18887),
  [29152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18888),
  [29154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18889),
  [29156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9891),
  [29158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6930),
  [29160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18897),
  [29162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18898),
  [29164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18899),
  [29166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9608),
  [29168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18907),
  [29170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18908),
  [29172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18909),
  [29174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9215),
  [29176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [29178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18917),
  [29180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18918),
  [29182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18919),
  [29184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7544),
  [29186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18927),
  [29188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18928),
  [29190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18929),
  [29192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19278),
  [29194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18937),
  [29196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18938),
  [29198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18939),
  [29200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [29202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18947),
  [29204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18948),
  [29206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18949),
  [29208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9201),
  [29210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18957),
  [29212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18958),
  [29214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18959),
  [29216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [29218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15969),
  [29220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [29222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [29224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [29226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6068),
  [29228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7589),
  [29230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6069),
  [29232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4856),
  [29234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4733),
  [29236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4863),
  [29238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10818),
  [29240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4909),
  [29242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13208),
  [29244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9895),
  [29246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9896),
  [29248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7365),
  [29250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10829),
  [29252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4880),
  [29254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [29256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9792),
  [29258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6759),
  [29260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7700),
  [29262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13084),
  [29264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [29266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7614),
  [29268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5244),
  [29270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19070),
  [29272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6330),
  [29274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15767),
  [29276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7524),
  [29278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9714),
  [29280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9464),
  [29282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7152),
  [29284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [29286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6331),
  [29288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6332),
  [29290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4391),
  [29292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19130),
  [29294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10135),
  [29296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [29298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4834),
  [29300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19147),
  [29302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7817),
  [29304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [29306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19153),
  [29308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4843),
  [29310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6023),
  [29312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19155),
  [29314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4849),
  [29316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7491),
  [29318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7492),
  [29320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6974),
  [29322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [29324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15830),
  [29326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9898),
  [29328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7369),
  [29330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13262),
  [29332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6983),
  [29334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19240),
  [29336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11019),
  [29338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11561),
  [29340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [29342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [29344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9900),
  [29346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16405),
  [29348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [29350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15866),
  [29352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19313),
  [29354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5671),
  [29356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7487),
  [29358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6032),
  [29360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9923),
  [29362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6729),
  [29364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7494),
  [29366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15898),
  [29368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6976),
  [29370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19366),
  [29372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5296),
  [29374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [29376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [29378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8782),
  [29380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15909),
  [29382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15920),
  [29384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15926),
  [29386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15935),
  [29388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15947),
  [29390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15956),
  [29392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15965),
  [29394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15974),
  [29396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15983),
  [29398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15988),
  [29400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15999),
  [29402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16006),
  [29404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16012),
  [29406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16018),
  [29408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16024),
  [29410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16031),
  [29412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16037),
  [29414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16042),
  [29416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16050),
  [29418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16056),
  [29420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16062),
  [29422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16067),
  [29424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16074),
  [29426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16084),
  [29428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16092),
  [29430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16099),
  [29432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16106),
  [29434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16117),
  [29436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16125),
  [29438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16132),
  [29440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16141),
  [29442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16151),
  [29444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16157),
  [29446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16166),
  [29448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16174),
  [29450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16182),
  [29452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16187),
  [29454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16192),
  [29456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16198),
  [29458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16201),
  [29460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16203),
  [29462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16205),
  [29464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14929),
  [29466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16209),
  [29468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16211),
  [29470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16213),
  [29472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16215),
  [29474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16217),
  [29476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16219),
  [29478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16221),
  [29480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16223),
  [29482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10693),
  [29484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [29486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9888),
  [29488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [29490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10190),
  [29492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7015),
  [29494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [29496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6040),
  [29498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8513),
  [29500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6041),
  [29502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6042),
  [29504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [29506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6043),
  [29508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6044),
  [29510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5298),
  [29512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5299),
  [29514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [29516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5105),
  [29518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [29520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [29522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [29524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [29526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5738),
  [29528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7303),
  [29530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6047),
  [29532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [29534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7202),
  [29536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6048),
  [29538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6501),
  [29540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6049),
  [29542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [29544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [29546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7713),
  [29548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8724),
  [29550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13948),
  [29552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7383),
  [29554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [29556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7455),
  [29558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7716),
  [29560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15814),
  [29562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7459),
  [29564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [29566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7461),
  [29568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5680),
  [29570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16417),
  [29572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7482),
  [29574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12611),
  [29576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9796),
  [29578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [29580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9797),
  [29582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12561),
  [29584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7710),
  [29586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7661),
  [29588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [29590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5663),
  [29592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [29594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [29596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_string, 2, 0, 0),
  [29598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [29600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7165),
  [29602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7504),
  [29604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10150),
  [29606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [29608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [29610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [29612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7516),
  [29614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10151),
  [29616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10206),
  [29618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [29620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [29622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9285),
  [29624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [29626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [29628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [29630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [29632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [29634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [29636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7190),
  [29638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7197),
  [29640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [29642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16308),
  [29644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7501),
  [29646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10073),
  [29648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 0),
  [29650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_comment = 0,
  ts_external_token__left_quoted_string_delimiter = 1,
  ts_external_token__right_quoted_string_delimiter = 2,
  ts_external_token_DQUOTE = 3,
  ts_external_token_line_number_directive = 4,
  ts_external_token__null = 5,
  ts_external_token__error_sentinel = 6,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_comment] = sym_comment,
  [ts_external_token__left_quoted_string_delimiter] = sym__left_quoted_string_delimiter,
  [ts_external_token__right_quoted_string_delimiter] = sym__right_quoted_string_delimiter,
  [ts_external_token_DQUOTE] = anon_sym_DQUOTE,
  [ts_external_token_line_number_directive] = sym_line_number_directive,
  [ts_external_token__null] = sym__null,
  [ts_external_token__error_sentinel] = sym__error_sentinel,
};

static const bool ts_external_scanner_states[10][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
    [ts_external_token__error_sentinel] = true,
  },
  [2] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [3] = {
    [ts_external_token_comment] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [4] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [5] = {
    [ts_external_token_comment] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [6] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [7] = {
    [ts_external_token_comment] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [8] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [9] = {
    [ts_external_token_comment] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_ocaml_interface_external_scanner_create(void);
void tree_sitter_ocaml_interface_external_scanner_destroy(void *);
bool tree_sitter_ocaml_interface_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_ocaml_interface_external_scanner_serialize(void *, char *);
void tree_sitter_ocaml_interface_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_ocaml_interface(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__lowercase_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_ocaml_interface_external_scanner_create,
      tree_sitter_ocaml_interface_external_scanner_destroy,
      tree_sitter_ocaml_interface_external_scanner_scan,
      tree_sitter_ocaml_interface_external_scanner_serialize,
      tree_sitter_ocaml_interface_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
